zenon Guida versione 7.60

zenon Guida versione 7.60

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

© 2017 Ing. Punzenberger COPA-DATA Srl


Manuale

Manuale

In questo settore trovate la documentazione relativa al prodotto zenon.

Ancora in questo capitolo

Famiglia di prodotti zenon

Registrazione della licenza

Filo conduttore attraverso l'help - Visione generale

Editor

Progettazione efficiente con zenon

Runtime

Applicazioni mobili per zenon

Attribuzioni

Automatic Line Coloring (ALC) - Topologia

Backup di progetto

Batch Control

Cambio lingua

Cambio unità di misura

Controlli

Conversione del progetto

Definizione di impianto

Elaborazione degli stati

Energy Edition

Engineering distribuito

File di configurazione

Funzioni e script

Gestione allarmi

Gestione del progetto e workspace

Gestione monitor

Gestione turni

Gestione user

Guida Runtime

Immagini

Import - Export

Industrial Maintenance Manager (IMM)

Industrial Performance Analyzer

Installazione e update

Interblocchi

Interfacce di programmazione

Interfaccia SAP

Keyboard

Lista Eventi Cronologica (CEL)

Load Management

Log delle modifiche

Manager gruppi di ricette

Menù

Message Control

MS Azure

Multi-Touch

OPC-Server

PLC Diagnosis

Process Gateway

Process Recorder

Production and Facility Scheduler (PFS)

Reporting

Rete

Ricette standard

Riferimenti incrociati

Schedulatore

Sequenze di comando

Server di archiviazione

Simulazione di progetto

Simulazione driver

Stili

Temporizzatori

Tool

Trasporto remoto

Trend esteso

Variabili

Visualizzazione globale

Wizards

zenon Logic

Elemento WPF

zenon Operator

zenon Remote Desktop

zenon Science Package per LEGO MINDSTORMS

zenon Security Guide

zenon Web Server


Famiglia di prodotti zenon

Manuale -> Famiglia di prodotti zenon

Software di automazione per HMI, SCADA e reporting, zenon offre ai suoi utenti molte funzionalità integrate che consentono di configurare e gestire a Runtime i propri progetti in modo indipendente da una specifica piattaforma.

Con zenon si può:

  • Creare, distribuire, modificare e eseguire progetti di automazione.
  • Usare zenon Logic, l´integrato soft-PLC.
  • Registrare e analizzare dati acquisiti da diverse sorgenti e da diversi impianti

attention Attenzione

Quando nella guida si menziona zenon in generale, di regola si intende lo zenon Supervisor e lo zenon Operator.

zenon è disponibile anche in due edizioni speciali:

  • La “Energy Edition”: un prodotto pensato per soddisfare le esigenze specifiche del settore dell´energia e quello delle infrastrutture.
  • La “Pharma Edition”: per l´industria farmaceutica.

Queste edizioni sono concepite per soddisfare nel miglior modo possibile le esigenze dei settori cui si rivolgono, e contengono elementi speciali, come simboli propri, Wizard ecc.

Ancora in questo capitolo

zenon Supervisor

zenon Operator

<CA_PRODUCTNAME:>

zenon Analyzer


zenon Supervisor

Manuale -> Famiglia di prodotti zenon -> zenon Supervisor

Lo zenon Supervisor è uno strumento molto efficiente per la creazione e l´esecuzione di progetti di automazione. Consta di due componenti: l´Editor e il Runtime. Consente di realizzare in modo semplice e rapido reti di automazione - anche via connessione web - e può essere utilizzato in combinazione con tutti gli attuali sistemi operativi di Windows.

Ne esiste anche una versione con funzionalità ridotte, che può essere utilizzata come sistema di gestione di macchinari: lo zenon Operator.


zenon Operator

Manuale -> Famiglia di prodotti zenon -> zenon Operator

Lo zenon Operator è un prodotto conveniente, pensato per essere utilizzato come strumento di gestione dei macchinari. In linea di principio, funziona come lo zenon Supervisor. Rispetto allo zenon Supervisor, però, lo spettro delle funzionalità a disposizione è più limitato.

Lo zenon Operator è composto da un Editor e da un Runtime, e può essere utilizzato sia su sistemi operativi PC che CE.


<CA_PRODUCTNAME:>

Manuale -> Famiglia di prodotti zenon ->

zenon Logic è l´ambiente di programmazione integrato in zenon corrispondente a quanto previsto dallo standard IEC 61131. È a disposizione come Editor e Runtime (Soft-PLC) per lo zenon Supervisor e lo zenon Operator.


zenon Analyzer

Manuale -> Famiglia di prodotti zenon -> zenon Analyzer

Eseguendo un´analisi che coinvolge diversi sistemi, lo zenon Analyzer prepara e rende disponibili tutti i dati online e offline, consentendone una valutazione dal punto di vista del management e del controlling. Questo strumento svolge compiti precedentemente eseguiti separatamente ed elimina quei problemi che sorgono quando è necessario sincronizzare, eseguire la manutenzione e il coordinamento di diversi sistemi IT operanti in parallelo. Lo zenon Analyzer:

  • Aggrega e analizza dati acquisiti da diverse fonti in diversi formati.
  • Li mette in relazione reciproca.
  • Visualizza i risultati dell´analisi dei dati nella forma grafica di un rapporto.

Il processo produttivo non deve essere interrotto mentre si usa lo zenon Analyzer. Lo zenon Analyzer può essere implementato in un sistema produttivo esistente, senza che sia necessario modificare la configurazione di quest´ultimo. Il sistema produttivo continua a funzionare mentre il tool acquisisce i dati e crea i relativi report. L´infrastruttura esistente, indipendentemente dal produttore, viene implementata nel reporting tramite lo zenon Analyzer.

Per accedere alle analisi, basta un browser standard di Microsoft. Non è necessario installare, né adeguare nessun software, di cui poi si dovrebbe eseguire anche la manutenzione. Le analisi possono essere implementate senza ulteriori componenti o Plug-In nell´Intranet di un´azienda. I rapporti standard vengono già forniti con lo zenon Analyzer. In qualsiasi momento si possono creare, salvare e distribuire analisi proprie.

Ulteriori informazioni sullo zenon Analyzer si trovano nella documentazione dedicata allo zenon Analyzer, oppure possono essere richieste direttamente al Vostro sales-partner di COPA-DATA: sales@copadata.com.


Registrazione della licenza

Manuale -> Registrazione della licenza

Per poter usare l´Editor e il Runtime di zenon, si deve prima registrare la licenza del prodotto. Finché non è stata registrata la licenza, zenon funziona in modalità demo.

Ancora in questo capitolo

Registrazione licenza di zenon

Modalità demo

Visualizzazione delle informazioni relative a versione e licenza

Scegliere la giusta dimensione della licenza

Tipi di registrazione licenza

Parametro della riga comando per tool di licenza

Registrazione licenza remota

Particolarità relative al funzionamento Server-Client


Registrazione licenza di zenon

Manuale -> Registrazione della licenza -> Registrazione licenza di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di registrare la licenza di zenon:

  1. Per eseguire la registrazione licenza:
    • In Windows, aprire Start -> Tutti i programmi -> COPA-DATA-> Licensing; oppure
    • Nell´Editor di zenon, aprire File ->Configurazione generale ->Licenza prodotto...; oppure:
    • Nell´Editor di zenon, aprire Guida-> Informazioni su -> Modifica/richiedi licenza; oppure:
    • Nello Startup Tool, cliccare sul pulsante Tools, selezionare Licensing, cliccare su Start
  2. Si apre la finestra di dialogo per consente di inserire i dati della licenza.
  3. Selezionare zenon Editor/Runtime
  4. Inserire il numero di serie e quello di attivazione.

    I dati relativi si trovano:

    • Sul certificato di licenza.
    • Sull´adesivo di licenza.

    Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

  5. Dopo il riavvio dell´Editor/del Runtime, usare zenon con la licenza che è stata inserita.

Finestra di dialogo di registrazione licenza.

Parametri | Descrizione
Editor/Runtime | Attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Web Server | Attivo: la licenza vale per lo zenon Web Server.
Numero di serie (serial number) | Numero di serie della licenza Se si ha già una licenza, il suo numero di serie verrà visualizzato in questo campo. Inserire qui il numero di serie corrente.
Numero di attivazione (activation number) | Numero di attivazione della licenza. Se si ha già una licenza, il suo numero di attivazione verrà visualizzato un questo campo.
OK | Accetta i dati inseriti; quando viene riavviato, zenon verrà aperto con questi dati di licenza.
Annulla (Cancel) | Rifiuta gli inserimenti e usa zenon con la licenza valida finora o senza licenza.
Richiedi Licenza Software (Get soft-license) | Apre l´assistente che consente di richiedere una licenza software.


Modalità demo

Manuale -> Registrazione della licenza -> Modalità demo

Se la licenza per l´Editor non è stata registrata, quest´ultimo verrà eseguito in modalità demo. Se il Runtime non è stato registrato, funziona in modalità demo.

Modalità demo

Condizioni

Editor:

L´Editor viene eseguito:

  • Per le prime 40 volte in cui viene avviato: per 30 minuti.
  • Dal 41° al 50° start: per 20 minuti.
  • A partire dal 51° start: per 10 minuti.

Runtime:

Quando non ne è stata registrata la licenza, il Runtime viene eseguito per 30 giorni, oppure può essere avviato per 40 volte, a seconda di quale sia il limite che viene raggiunto per primo.

A partire dal 41° start, oppure dal 31° giorno, il Runtime viene eseguito solamente per 10 minuti.

Ad ogni start viene visualizzato un messaggio che informa l´utente che il programma viene eseguito in modalità demo.

Nota: quanto detto sopra a proposito del comportamento del software in caso di mancata registrazione della licenza, vale anche per il Workbench e il Runtime di zenon Logic.


Visualizzazione delle informazioni relative a versione e licenza

Manuale -> Registrazione della licenza -> Visualizzazione delle informazioni relative a versione e licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diversi modi di sapere quale versione e quale licenza si sta utilizzando, e quali sono i moduli compresi nella licenza:

  • Nell’Editor: Nell´Editor di zenon, cliccare sul menù Guida -> Informazioni su....
  • Nel Runtime: eseguire la funzione Visualizza informazioni di licenza.

    Nota: non esiste il pulsante Modifica/richiedi licenza a Runtime.

Parametri/Pulsanti | Descrizione
Versione | Numero della versione dell´Editor o del Runtime.
Edizione | Edizione utilizzata.
Numero di serie | Numero di serie della licenza
Numero di attivazione | Numero di attivazione della licenza
Scadenza (facoltativo) | In caso licenza con limite temporale, informazione relativa alla data di scadenza della licenza stessa.
Moduli in licenza | Informazione sui moduli compresi nella licenza di cui si dispone.
Modifica/richiedi licenza | Apre la finestra di dialogo di registrazione licenza.
Chiudi | Chiude la finestra di dialogo.


Scegliere la giusta dimensione della licenza

Manuale -> Registrazione della licenza -> Scegliere la giusta dimensione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le licenze per l'Editor e per il Runtime vengono calcolate in base al numero dei TAG o IOS necessari.

Calcolo su base TAG

1 TAG corrisponde a 1 variabile. Per determinare la dimensione della licenza, si considera la somma dei TAG dei seguenti driver.

  • Driver PLC e driver bus.

Non vengono contate le variabili del:

  • Driver interno
  • Driver di sistema
  • Driver matematico
  • Driver di simulazione

Si può registrare una licenza per l'Editor e il Runtime con il seguente numero di TAG:

  • 64 TAG
  • 128 TAG
  • 256 TAG
  • 512 TAG
  • 1.024 TAG
  • 2.048 TAG
  • 4.096 TAG
  • 8.192 TAG
  • 16.384 TAG
  • 65536 TAG
  • Illimitati

E' possibile eseguire un update della licenza in qualsiasi momento in modo tale da aumentare il numero di TAG a disposizione.

Calcolo su base IOS

Le licenze possono essere concesse anche sulla base IOS. In questo caso, per determinare la dimensione della licenza viene considerata la somma degli IOS dei seguenti driver:

  • Driver PLC e driver bus.

Non vengono contate le variabili del:

  • Driver interno
  • Driver di sistema
  • Driver matematico
  • Driver di simulazione

Calcolo

Tipo di dato | Valore
1 bit: | 1 I/OS
1 byte | 8 I/OS
1 WORD | 16 I/OS
1 DWORD | 16 I/OS
1 float | 16 I/OS
1 stringa (max. 64 caratteri) | 16 I/OS

Se non si trova il tipo di dato desiderato in questa lista, dipende dal tipo di driver prescelto. Alcuni driver, infatti, adottano una denominazione specifica dei tipi di dato. Informazioni più dettagliate su questo argomento si possono trovare nella documentazione del driver che si sta usando. Questa documentazione si trova nel nodo Driver della guida in linea, oppure nel file PDF sul supporto di installazione; oppure può essere scaricata anche nell´area clienti del sito Web www.copadata.com.

Example Esempio

Si vuole visualizzare 96 valori binari e 20 numerici in zenon:

Moltiplicare i 20 valori numerici per 16 e si otterranno 320 I/OS. Sommare questi ultimi ai 96 valori binari. Il risultato di 416 I/OS sarà la base per la scelta della dimensione della licenza da acquistare.

Visualizzazione in zenon

Nella riga di stato della visualizzazione dettagli delle variabili sono visualizzate le seguenti informazioni:

  • Quanti I/OS sono utilizzati correntemente.
  • Quanti I/OS sono compresi nella licenza.

Un esempio:

  • 3799/550/1: esistono 3799 inserimenti; in base al filtro applicato al momento, ne vengono visualizzati 550; un inserimento è selezionato.
  • La licenza di cui si dispone prevede un numero illimitato di variabili per il progetto 22730.

Nota relativa alla licenza client.

Si possono usare licenze client se:

  • Il progetto di partenza è un progetto standalone o un client.
  • Il progetto di partenza usa un massimo di 64 TAGS che necessitano di una licenza, se non è un client.
  • Tutti i sottoprogetti sono client.


Tipi di registrazione licenza

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diversi modi di registrare la licenza di zenon:

  • Licenza software: richiede al momento dello start dell´Editor o del Runtime un numero di identificazione PC univoco.
    Caratteristiche:
    • La licenza non può essere rubata.
    • La licenza è legata ad un determinato computer.
    • Pratica soprattutto per i computer portatili.
  • Licenza dongle: al momento dello start dell´Editor o del Runtime, cerca un hardware dongle nelle interfacce parallele o USB.

    I dongle possono essere:

    • Dongle su standalone
    • Dongle di rete: su un dongle centrale in rete viene accreditato un certo numero di licenze, che possono essere usate nello stesso tempo come licenze “concurrent use”.

    Caratteristiche dei dongle:

    • Facilità d'uso.
    • La licenza può essere trasferita da un computer all'altro disconnettendo il dongle da un computer e collegandolo ad un altro, o in rete.
    • Non ci sono problemi in caso di malfunzione del disco fisso.

info Info

Se non esiste una licenza valida, oppure se sono state assegnate tutte le licenze disponibili in rete, allora l´Editor o il Runtime si avvieranno in modalità demo.

Ancora in questo capitolo

Softlizenzierung

Registrazione licenza via dongle


Softlizenzierung

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Softlizenzierung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

InfoDie Softlizenz weist einem Rechner eine eindeutige Identifikation zu. Dabei werden bestimmte Komponenten des Rechners überprüft. Diese Lizenz funktioniert immer nur auf einem bestimmten Rechner. Soll sie auf einen anderen Rechner übertragen werden oder ändern sich zu viele Komponenten des lizenzierten Rechners, muss sie neu ausgestellt werden.

Info

I codici di licenza per licenze software dipendono dalla versione. Questo significa che possono essere attivati solo per quella versione di zenon per la quale sono stati acquistati. Se si cambia versione, dunque, bisognerà rinnovare il numero di attivazione.

Softlizenz erwerben

Um eine Softlizenz zu erhalten:

  1. Wählen Sie im Menü Datei: Allgemeine Konfiguration -> Produkt lizenzieren.

    Der Dialog zur Lizenzierung öffnet sich.

  2. Geben Sie die Seriennummer ein.
  3. Klicken Sie auf Softlizenz anfordern.

    Der Dialog Produktlizenzierung öffnet sich.
    Falls noch nicht geschehen, geben Sie die Seriennummer ein.

  4. Klicken Sie auf Lizenzanforderung für Softlizenzierung.
  5. Geben Sie Ihre Kontaktdaten ein.
  6. Klicken Sie auf Weiter.
  7. Zum Versenden haben Sie zwei Möglichkeiten:
    1. automatisch
    • klicken Sie auf die Schaltfläche Senden an
    • wählen Sie die gewünschte COPA-DATA Organisation
    • mit Klick auf OK wird die Lizenzanforderung über Ihr E-Mail Programm versandt
    • über die Schaltfläche Drucken, können Sie Ihr Exemplar ausdrucken oder an ein verbundenes Faxgerät schicken
    1. manuell
    • klicken Sie auf die Schaltfläche Fertig stellen
    • die Lizenzanforderung wird als Textdatei gespeichert
    • ein Info-Fenster informiert Sie über Name und Speicherort
    • die Datei wird im Texteditor automatisch geöffnet
    • schicken Sie die Datei per E-Mail oder Fax an Ihren Vertriebspartner

Sobald Sie Ihre Lizenzdaten erhalten haben, öffnen Sie den Lizenzierungsdialog erneut und geben Sie Ihre Aktivierungsnummer ein.

info Info

Bitte beachten Sie, dass der Button Lizenzanforderung für Softlizenzierung nicht für alle OEM-Versionen zur Verfügung steht.


Registrazione licenza via dongle

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La registrazione della licenza via dongle funziona nel modo seguente: in caso di licenza standalone, si collega un dongle direttamente al computer; per licenze di rete, invece, il dongle viene collegato ad un computer di rete. zenon usa due tipi di sistemi dongle:

  • CodeMeter
    (incluso nel setup)
  • WibuKey
    (software contenuto nel supporto di installazione)

Il software necessario per la registrazione licenza via CodeMeter viene installato automaticamente con zenon.

Configurazione

Di regola non è necessario eseguire nessuna configurazione se i dongle sono usati localmente. L´uso di dongle di rete, invece, può rendere necessario eseguire delle configurazioni individuali. Queste impostazioni devono essere eseguite nel software dongle corrispondente.

I dettagli su questo tema si trovano nei capitoli WibuKey e CodeMeter.

WibuKey

L´addizionale software di gestione WibuKey non viene più installato automaticamente con il setup a partire dalla versione 7.50 di zenon. Questo software, però, continua ad essere parte integrante del pacchetto standard di zenon. Se necessario, installare la versione corrente del software WibuKey dal supporto di installazione zenon:

  • ...\AdditionalSoftware\WIBU-SYSTEMS WibuKey

Nota: gli utenti che lavorano già con WibuKey, possono ottenere nuove licenze per i loro dongle WibuKey.

Ancora in questo capitolo

CodeMeter

WibuKey


CodeMeter

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

CodeMeter può essere utilizzato come dongle su postazione standalone o in rete.

Per poter utilizzare CodeMeter:

  • La chiavetta USB CodeMeter deve essere collegata ad una porta USB sul computer locale, oppure essere disponibile come server su un computer di rete.
  • Il firmware del dongle deve essere almeno della versione 1.16.

Nota: le descrizioni del CodeMeter WebAdmin si riferiscono alla versione 6.10.

attention Attenzione

Se si rimuove il dongle quando è in uso, zenon si chiude, si avvia in modalità demo e viene eseguito in questa modalità finché il sistema non rileva una licenza valida.

Configurazione

Per eseguire la configurazione, avviare l´applicazione CodeMeterControl Center via: Windows Desktop -> Start -> Tutti i programmi -> CodeMeter -> CodeMeter Control Center.

Il Control Center di CodeMeter si apre con due schede:

  • Licenza: contiene informazioni sui dongle trovati.
  • Eventi: visualizza il numero delle chiavette collegate, degli inserimenti di licenza, dei firm-item trovati e di tutti gli accessi al CodeMeter Runtime-Server. Per registrare gli eventi in modo durevole, attivare nel menù File l´inserimento Logging.

Nota: nelle versioni precedenti alla 6.10, il Control Center ha anche la scheda Allocation che consente la configurazione di processi di prestito di licenze. A partire dalla versione 6.10 di CodeMeter, questa scheda esiste solamente se inserimenti corrispondenti esistono sul client.

info Info

Questo manuale descrive i casi più rilevanti per gli utenti di zenon.
Per avere una guida dettagliata all´uso di CodeMeter, consultare l´help integrato di CodeMeter. Per aprirla nel:

  • Control Center: Cliccare nel menù Aiuto sulla voce Aiuto.
  • WebAdmin: Cliccare sul punto interrogativo nella seconda riga di menù.

La guida CodeMeter verrà aperta come help sensibile al contesto.

Ancora in questo capitolo

Scheda “Licenza”

Aggiornare orario certificato (certified time)

Richiedere una licenza

Adattare la licenza

Gestione di rete via WebAdmin

Risoluzione dei problemi

Possibilità di configurazione per il CodeMeter Dongle


Scheda “Licenza”

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Scheda “Licenza”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono visualizzati e configurati dongle e licenze.

Opzione

Descrizione

Licenza

Elenca tutte le chiavette CodeMeter attive.

Nome

Nome individuale della chiavetta selezionata; può essere modificato mediante il pulsante con la matita che si trova a destra del nome stesso.

No di serie (Serial):

Numero di serie della chiavetta selezionata.

Versione (Version):

Versione del firmware della chiavetta selezionata.

Capacità (Capacity):

Visualizzazione dello spazio libero di memoria in percentuale e in byte.

Stato (Status):

Selezione dello stato della chiavetta CodeMeter selezionata usando pulsanti di opzione.

  • Disattivata (Disabled):
    La chiavetta collegata è disattivata e non può essere utilizzata da nessuna applicazione.
  • Attivata finché collegata (Enabled until unplugged):
    La chiavetta è attiva finché è collegata. Dopo essere stata rimossa dal PC viene disattivata automaticamente.
  • Attivata (Enabled):
    La chiavetta è completamente attiva e lo rimane anche dopo essere stata rimossa.
    Stato raccomandato: se si perde la chiavetta, infatti, non sarà possibile per persone non autorizzate accedere a licenze e dati personali (per es.: CmPasswordManager).

Eventuali modifiche devono essere confermate usando la password dongle.

Update licenza (License Update)

Avvia l´assistente che consente di aggiungere, modificare e cancellare licenze.

Espelli (Eject)

Consente di rimuovere la chiavetta.

Modifica password (Change password)

Consente di modificare la password

CodeMeter viene avviato/CodeMeter viene terminato.

Informazione se il servizio CodeMeter viene eseguito o meno. Può essere modificato nel menù Processo.

WebAdmin

Avvia il browser web con l´interfaccia per amministrare i dongle di rete. A questo scopo, la porta 22350 deve essere aperta. Per i dettagli relativi all´argomento, si veda il capitolo Gestione di rete.


Aggiornare orario certificato (certified time)

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Aggiornare orario certificato (certified time)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile aggiornare l´orario certificato (certified time) salvato nel dongle mediante il server per la sincronizzazione dell´ora di CodeMeter. Per poterlo fare, si deve disporre di un accesso a Internet.

Per aggiornare l´orario:

  1. Avviare CodeMeter WebAdmin
  2. Controllare la configurazione di rete.
    1. Le impostazioni proxy nel CodeMeter Webadmin sono corrette?
    2. I dati di accesso sono attuali?
  3. Passare al menù Contenitore (Container).
  4. Selezionare la chiavetta desiderata.
  5. Cliccare su CMContainer Info

  6. Passare all´inserimento Orario certificato (Certified time) (CM Container).
  7. Cliccare sul simbolo per l´update.
  8. Viene visualizzato un messaggio che informa che tutte le chiavette verranno sincronizzate.
  9. Cliccare su OK.
  10. Un altro messaggio informa che l´update è stato eseguito.
    Suggerimento: se viene visualizzato un messaggio di errore, controllare soprattutto la correttezza dei dati di accesso.


Richiedere una licenza

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Richiedere una licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per richiede licenze per CodeMeter, oppure per attualizzarle, selezionare nella scheda Licenza del CodeMeter Control Center il pulsante Update licenza (License Update). Si apre l´assistente che consente di eseguire l´update:

Decidere se si desidera:

  • Richiedere una licenza.
  • Importare un update di una licenza.
  • Creare una ricevuta (receipt) per COPA-DATA.

Richiedere una licenza

Se si vuole richiedere una licenza, ci sono le seguenti opzioni:

  • Estendere una licenza esistente di COPA-DATA.
  • Creare una nuova licenza di COPA-DATA.

Estendere una licenza

Per aggiungere una ulteriore licenza di COPA-DATA:

  1. Nella finestra di dialogo che consente di selezionare una Opzione, selezionare Estendi licenza esistente (Extend existing license).
  2. Cliccare su Avanti (Next).
  3. Selezionare in COPA-DATA.
  4. Cliccare su Avanti (Next).
  5. Selezionare il luogo di salvataggio.
  6. Cliccare su Applica (Apply).
  7. Inviare il file al distributore di COPA-DATA.

Richiedere una nuova licenza

Per richiedere una nuova licenza di COPA-DATA:

  1. Nella finestra di dialogo che consente di selezionare una Opzione, selezionare Estendi licenza esistente (Extend existing license).
  2. Cliccare su Avanti (Next).
  3. Inserire il Firmcode ricevuto da COPA-DATA.
  4. Cliccare su Avanti (Next).
  5. Selezionare il luogo di salvataggio.
  6. Cliccare su Applica (Apply).
  7. Inviare il file al distributore di COPA-DATA.


Adattare la licenza

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Adattare la licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile modificare in qualsiasi momento la licenza in relazione alla sua estensione e al Runtime. Procedura:

  1. Ordinare a COPA-DATA la modifica desiderata.
  2. Si riceve un file *.WibuCmRaU per il dongle.
  3. Installare questo file.
    1. O eseguendo un doppio clic sul file.
    2. Oppure trascinando il file sul Control Center di CodeMeter

Verrà poi visualizzato un messaggio che informa che l´aggiornamento della licenza è riuscito.
Se dovesse essere visualizzato un messaggio di errore 229, significa che la licenza sul dongle è già aggiornata.

Se per la richiesta di licenza dovesse essere necessario creare un file .WibuCmRaC, oppure importare manualmente il file .WibuCmRaU con l´update, seguire le indicazioni della sezione Aggiornare manualmente la licenza.

Ancora in questo capitolo

Richiedere o aggiornare una licenza


Richiedere o aggiornare una licenza

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Adattare la licenza -> Richiedere o aggiornare una licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Richiedere o aggiornare una licenza

Per aggiornare manualmente una licenza:

  1. Creare un file .WibuCmRaC.
  2. Inviarlo a COPA-DATA.
  3. Si riceve un file .WibuCmRaU aggiornato.
  4. Copiarlo sul dongle.

Creare un file WibuCmRaC

  1. Assicurarsi che il dongle CodeMeter sia collegato al computer. -
  2. Aprire il Control Center di CodeMeter.
    Percorso: Start -> Tutti i programmi -> CodeMeter -> CodeMeter Control Center
  3. Nella scheda Licenza, cliccare sul pulsante Update licenza (License Update).
  4. Si apre l´assistente che consente di eseguire l´update:
  5. Cliccare su Avanti (Next).

  6. Selezionare Crea richiesta licenza (Create license request) e cliccate su Avanti (Next)

  7. Selezionare Estendi licenza esistente (Extend existing license)
  8. Cliccare su Avanti (Next).

  9. Selezionare il produttore e cliccare su Avanti (Next).
  10. Selezionare il luogo di salvataggio desiderato per il file .WibuCmRaC corrispondente.
  11. Cliccare su Applica (Apply).
  12. Viene generato il file .WibuCmRaC
  13. Inviarlo a sales@copadata.com, oppure all´indirizzo che vi è stato indicato.

Installare il file WibuCmRaU

COPA-DATA invia un file *.WibuCmRaU aggiornato.

Installarlo sul dongle cliccandoci sopra due volte.

Alternativa:

  1. Aprire il Control Center di CodeMeter.
  2. Nella finestra di dialogo che consente di aggiornare la licenza, selezionare Lizenzaktualisierung einspielen.
  3. Seguire le istruzioni dell´assistente di installazione


Gestione di rete via WebAdmin

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Gestione di rete via WebAdmin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la gestione in rete, avviare l´interfaccia WebAdmin cliccando sul pulsante WebAdmin nel Control Center di CodeMeter. Informazioni dettagliate relative alle singole impostazioni si trovano nella guida del CodeMeter WebAdmin. Per aprire quest´ultima, cliccare sul simbolo “punto interrogativo” (?) nel WebAdmin. Le opzioni e le indicazioni più importanti si trovano anche in questa documentazione:

  • Gestione delle chiavette CodeMeter
  • Gestione licenze
  • Salvare i dati licenza
  • Impostazioni di rete
  • Impostazioni Proxy

attention Attenzione

Il CodeMeter WebAdmin utilizza di default la porta 22350.
Tenere presente quanto segue:

  • Se si usa un altro firewall rispetto a quello integrato nel sistema operativo di Windows, bisogna rendere accessibile questa porta.
  • Se si cambia il numero di porta, l´interfaccia WebAdmin non potrà più essere avviata, perché la porta è parte integrante dell´indirizzo.
    Per esempio: http://localhost:22350/configuration/extra.html
    In questo caso, bisogna prima determinare quale porta è usata al momento servendosi degli appositi freeware-Tool o dei tool standard di Windows; poi bisogna inserire questo numero di porta al posto di 22350 nella riga indirizzo del browser.
    Modificare poi il numero di porta nel WebAdmin cliccando su Configurazione -> Avanzata -> Extra .

Ancora in questo capitolo

Rete

CodeMeter Sticks

Amministrare le licenze


Rete

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Gestione di rete via WebAdmin -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Rete

Corrette impostazioni di rete sono presupposto per poter assicurare una comunicazione priva di errori con un dongle di rete e l´avvio del WebAdmin.

Lista ricerca server

Opzione

Descrizione

Lista ricerca server

Visualizzazione dei server CodeMeter disponibili. Gli inserimenti possono essere cancellati dalla lista, oppure si può cambiare l´ordine degli inserimenti nella lista. La successione definita in questa sede determina l´ordine dei tentativi di connessione dei client.

Il sistema cerca solamente i server definiti in questa lista. In questo modo è possibile far pervenire le richieste dei client a server di rete CodeMeter definiti.

Nota: se un server CodeMeter si trova in un´altra subnet, usare l´indirizzo IP nella lista di ricerca.

Si dovrebbe utilizzare questa lista di ricerca solamente se non è possibile trovare il CM Stick in rete.

Aggiungi un nuovo server

Apre la finestra di dialogo che consente di selezionare un server.
Si definisce il server di rete CodeMeter digitando nel campo di inserimento il relativo nome del computer o l´indirizzo IP.

Aggiungi

Applica le modifiche.

Ripristina le impostazioni di default

Ripristina le impostazioni standard.

Proxy

Per accedere ai servizi di CodeMeter in Internet (come il server per la sincronizzazione dell´ora), inserire qui, se necessario, i dati di accesso validi per la propria azienda.

attention Attenzione

CodeMeter memorizza queste credenziali. Se si cambia regolarmente la password di accesso, si dovrà modificarla anche nelle impostazioni proxy CodeMeter WebAdmin!

Attivare come server

Per attivare una chiavetta come server in rete:

  1. Cliccare su Configurazione-> Server ->Accesso server.

  2. Nell´area Server di rete, cliccare su Abilita.

    Se si ha bisogno di un altro numero di porta per la comunicazione, modificarlo alla voce Configurazione-> Avanzata -> Extra.

    Il computer impostato diventa server di rete CodeMeter e rende disponibili le sue licenze in rete.

Modificare il numero di porta

Alla voce Configurazione-> Avanzata-> Extra si possono modificare molti parametri di comunicazione.
Di default, il CodeMeter WebAdmin comunica tramite la porta 22350. Se necessario, però, si può modificare il numero di porta in questa sede.

Opzione | Descrizione
Porta di rete | Porta per la comunicazione CodeMeter in rete. Default: 22350 Il valore può essere personalizzato. Se si modifica il numero di porta, bisogna fare in modo che tutti i server Runtime CodeMeter usino la stessa porta. Dopo ogni modifica, il servizio CodeMeter dovrà essere riavviato. Raccomandazione: non modificare il numero di porta.
Tempo scaduto in rete | Impostazione dell´intervallo di tempo in cui si attende una risposta del server. Default: 100 secondi
Tempo di attesa UDP | Intervallo di tempo massimo entro il quale una richiesta UDP deve ricevere una risposta. Default: 1000 millisecondi.


CodeMeter Sticks

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Gestione di rete via WebAdmin -> CodeMeter Sticks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
CodeMeter Sticks

Il WebAdmin si apre con la schermata Contenitore/Tutti i container.

Qui si selezionano i dongle desiderati e le informazioni e azioni desiderate:

  • Licenze (Licenses): visualizzazione delle licenze disponibili.
  • CmContainer Info: informazioni sul dongle.
  • Dati utente (User data): dati relativi a utente, numero di licenze e validità.
  • Backup e ripristino (Backup and Restore): backup dei dati della chiavetta in un file e loro ripristino.

CmContainer Infos

Quando si clicca sul pulsante CmContainer Infos, vengono visualizzati i dettagli relativi al dongle selezionato.

Opzione

Descrizione

CmStick

Visualizzazione della chiavetta riconosciuta e del suo stato.

Tutte le restanti informazioni si riferiscono alla chiavetta selezionata.

Nome (Name)

Visualizza il nome assegnato nel Control Center.

Numero di serie (Serial number)

Numero di serie della chiavetta selezionata.

CmContainerType

Versione hardware della chiavetta.

Unità (First Device)

Informazioni di dispositivo relative alla chiavetta; dimensioni solo in caso di chiavette con memoria flash.

Stato (Status):

Stato di attivazione come definito nel Control Center.

Ora di sistema (PC) - System Time (PC)

Ora locale del server Runtime CodeMeter.

Ora di sistema (System Time) (CMContainer)

Ora interna salvata della chiavetta.

Ora certificata (Certified time)

L´ora certificata salvata della chiavetta. Può essere modificata usando il simbolo per l´update che si trova accanto a destra.

Nota: per eseguire l´aggiornamento mediante il server di sincronizzazione dell´ora di CodeMeter è necessario disporre di un accesso a Internet attivo. Assicurarsi che le impostazioni di rete siano corrette, soprattutto i dati di accesso correnti.

Memoria libera (Free Memory)

Spazio di memoria disponibile sulla chiavetta. Per deframmentare la memoria, cliccare sul pulsante “Deframmentare” (accanto a destra).


Amministrare le licenze

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Gestione di rete via WebAdmin -> Amministrare le licenze

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Amministrare le licenze

Le licenze si amministrano nella scheda Licenze (Licenses) del menù Contenitore.

  1. Selezionare il dongle desiderato.
  2. Al di sotto della dicitura COPA-DATA si trovano informazioni sulle licenze di questo dongle.
  3. Per visualizzare ulteriori dettagli, cliccare sulle cifre nella colonna Product Code.

Panoramica

Opzione | Descrizione
Product Code | Codice numerico per il prodotto. Cliccando sulla cifra, vengono visualizzati i dettagli.
Nome (Name) | Nome del dongle.
Unità d´uso (Unit counter) | Visualizzazione delle unità d´uso eventualmente rimanenti.
Scadenza (Valid until) | Visualizzazione della eventuale data di scadenza. Poi zenon passerà in modalità demo.
Quantità di licenze (License Quantity) | Numero complessivo delle licenze
Feature Map | Licenze che vengono fornite con diverse funzionalità e moduli.

Dettagli

Opzione | Descrizione
Dongle Number | Numero di serie del dongle. Deve corrispondere al numero del dongle attivo.

Limiti di durata

Un dongle può avere anche un limite di durata a causa di:

  • Una data di scadenza.
  • Intervallo di tempo consentito per l´uso.

Data di scadenza

Può essere che il dongle abbia una data di scadenza fissa per un dongle. Questa data indica l´ultimo giorno della validità della licenza. Poi zenon passa in modalità demo. La data di scadenza viene visualizzata nel CodeMeter WebAdmin.
Per sapere qual è la data di scadenza:

  1. Passare al dongle in questione.
  2. Nella schermata delle “Licenze” c`è una colonna Scadenza (Valid until) che visualizza la data di scadenza.

  3. La data di scadenza viene visualizzata anche nella visualizzazione dettagli del dongle, nella colonna Valore (Value).

Intervallo di tempo consentito per l´uso

Può essere che per il dongle sia stato definito un intervallo di tempo in cui ne è consentito l´uso. Questo intervallo decorre dal momento del primo uso dell´Editor o del Runtime di zenon. Dopo la scadenza di questo intervallo di tempo, zenon passa in modalità demo. Per verificare quale sia l´intervallo di tempo:

  1. Passare al dongle in questione.
  2. Visualizzare le licenze.
  3. Cliccare nell´inserimento sotto COPA-DATA sulla cifra nella colonna Product Code.

    Si apre la finestra Product ItemDetails.

    La colonna Value della cella Usage Period visualizza il periodo di tempo in cui la licenza è valida e la data in cui questo intervallo di tempo è iniziato.


Risoluzione dei problemi

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errore

Soluzione

zenon funziona solamente in modalità demo.

Controllare

  • Le licenze.
  • La connessione al dongle di rete.
  • Se le informazioni di licenza (SERIAL7= e ACTIVATIONKEY7=) sono state inserite in modo corretto nel file zenon6.ini.
    Fate attenzione anche a eventuali spazi vuoti dopo il numero di serie (SERIAL7=), o dopo la chiave di attivazione (ACTIVATIONKEY7=).
    Percorso del file zenon6.ini: %ProgramData%\COPA-DATA\System

Il dongle non trovato.
  • Controllare le impostazioni di rete.
  • Se la chiavetta si trova in un altro dominio, aggiungerla alla lista server.
  • Aumentare il tempo di attesa UDP.
  • Se si tratta di una macchina virtuale (VM), configurare la chiavetta come unità rimovibile.
    Attenzione: la configurazione come unità rimovibile può anche avere come conseguenza (a seconda dalla configurazione del computer) che il computer non riesca ad avviarsi.
  • Configurare la chiavetta come HID.

Errore 410
(con schede SD)

La connessione a schede SD è instabile.

Usare un lettore di carte magnetiche esterno.

Ora certificata non può essere aggiornata.

Controllare:

  • Le impostazioni proxy, soprattutto tutti i dati di accesso e la password.
  • La lista dei server di sincronizzazione alla voce Configurazione-> Time server
    per es.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us

Messaggio di errore durante l´update della licenza:

Errore nell´update di CmSticks x-xxxxxxx:
questo update non può essere più caricato (This update can no longer be read in) Il contenuto di CmSticks è a un nuovo stato, errore 229. (The content of the CmStick has a newer version, error229.)

L´update per questa licenza è stato già trasferito al dongle. Il dongle è up-to-date.

Il sistema operativo Windows visualizza il messaggio:

Memoria insufficiente

Il dongle viene identificato come memoria locale. In alcuni casi, però, può succedere che il sistema operativo segnali "Spazio di memoria insufficiente".

Questa segnalazione può essere ignorata.

In alternativa si può configurare il dongle come unità rimovibile. Per i dettagli relativi alla configurazione, si veda il capitolo Configurare il dongle come unità rimovibile o HID.

Attenzione: la configurazione come unità rimovibile può anche avere come conseguenza (a seconda dalla configurazione del computer) che il computer non riesca ad avviarsi.

Il sistema operativo Windows non visualizza più il simbolo del cestino.

Questo può succedere quando il dongle viene identificato come un´unità locale fissa.

In alternativa si può configurare il dongle come unità rimovibile. Per i dettagli relativi alla configurazione, si veda il capitolo Configurare il dongle come unità rimovibile o HID.

Attenzione: la configurazione come unità rimovibile può anche avere come conseguenza (a seconda dalla configurazione del computer) che il computer non riesca ad avviarsi.


Possibilità di configurazione per il CodeMeter Dongle

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Possibilità di configurazione per il CodeMeter Dongle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il dongle viene integrato nel sistema come HID (Human Interface Device). Si consiglia di adottare questa configurazione. Se necessario, però, il dongle può essere configurato anche come dispositivo di archiviazione di massa o unità rimovibile.

Configurazioni

Configurato come:

Descrizione

Limitazioni

HID

Il dongle:

  • Non viene visualizzato nella lista delle unità disponibili.
  • Non occupa nessuna lettera di unità.

Disponibile solamente per dongle CodeMeter senza memoria.

Dispositivo di archiviazione di massa

Il dongle viene visualizzato e gestito come unità locale.

Per la configurazione, si veda il capitolo Configurare il dongle come HID o dispositivo di archiviazione di massa.

Le conseguenze possono essere:

  • Il sistema operativo segnala che esiste troppo poco spazio di memoria per il dongle.
  • Il simbolo Windows del cestino non viene più visualizzato.
  • I l dongle non viene trovato in “Macchine virtuali”.

Unità rimovibile

Il dongle viene visualizzato e gestito come unità rimovibile.

Per la configurazione, si veda il capitolo Configurare il dongle come unità rimovibile.

Se si configura il dongle come unità rimovibile:

  • Nei sistemi che consentono il booting via drive USB, può succedere che il computer non riesca ad avviarsi.
  • Il dongle viene visualizzato come drive nella taskbar e può essere rimosso (espulso) in qualsiasi momento.

Ancora in questo capitolo

Configurare il dongle come HID o dispositivo di archiviazione di massa


Configurare il dongle come HID o dispositivo di archiviazione di massa

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> CodeMeter -> Possibilità di configurazione per il CodeMeter Dongle -> Configurare il dongle come HID o dispositivo di archiviazione di massa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare il dongle come HID o dispositivo di archiviazione di massa

CodeMeter , a partire dalla versione 5.0, supporta la classe di periferiche Human Interface Device (HID) dello standard USB. Così i dongle CodeMeter possono registrarsi nel sistema non solo come dispositivi di archiviazione di massa (Mass Storage Device), ma anche come HID (Human Interface Device). In questo caso, il dongle non viene visualizzato nella lista delle unità disponibili e non occupa una lettera di unità. Tutti i dongle CodeMeter senza memoria supportano HID. Speciali host del driver USB non devono essere installati per configurarli, visto che la funzionalità viene resa disponibile dal sistema operativo.

Requisiti:

  • CodeMeter container con l´identificazione "2-xxxxxxx", o "3-xxxxxxx".
  • Almeno CodeMeter Firmware 2.02.
  • CodeMeter Runtime 5.0 e più recente. Se la versione di CodeMeter installata dovesse essere più vecchia, si può scaricare da Wibu Systems (www.wibu.com) il Runtime CodeMeter attuale.

Da HID a dispositivo di archiviazione di massa

Per modificare la comunicazione USB da Human Interface Device (HID) a memoria di massa (Mass Storage Device):

  1. Verificare nel CodeMeter WebAdmin lo stato, nella scheda Container -> CmContainer Info.
  2. Non è assegnata nessuna unità.

  3. Aprire la riga di comando CodeMeter cmu: Start -> Programmi -> CodeMeter -> Tools -> CodeMeter Command Prompt.
  4. Digitare i seguenti comandi nella prompt dei comandi:
    cmu32 /s [maschera box - numero di serie] --set-config-disk MsdCommunication
    Nota: al posto di [maschera box - numero di serie] digitare il numero di serie della chiavetta.

    Se il comando è stato eseguito con successo, viene visualizzato il seguente messaggio:
    Communication mode changed successfully.
    Please replug your CmDongle to apply the changes.

  5. Rimuovere il dongle dal calcolatore.
  6. Ricollegare il dongle al calcolatore.
  7. Nella scheda Eventi del Control Center di CodeMeter verrà visualizzato il cambio a MSD.

  8. Nel CodeMeter WebAdmin, verificare l´unità nella scheda Container -> CmContainer Info.
    È inserita un´unità, ma non c´è nessuna memoria flash.

Da dispositivo di memoria di massa a HID

Per modificare la comunicazione USB da dispositivo di memoria di massa Mass Storage Device a Human Interface Device:

  1. Verificare nel CodeMeter WebAdmin lo stato, nella scheda Container -> CmContainer Info.
  2. È assegnato un drive, ma non c`è una memoria flash.

  3. Aprire la riga di comando CodeMeter cmu: Start -> Programmi -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Digitare i seguenti comandi nella prompt dei comandi:
    cmu32 /s [maschera box - numero di serie] --set-config-disk HidCommunication
    Nota: al posto di [maschera box - numero di serie] digitare il numero di serie della chiavetta.

    Se il comando è stato eseguito con successo, viene visualizzato il seguente messaggio:
    Communication mode changed successfully.
    Please replug your CmDongle to apply the changes.

  4. Rimuovere il dongle dal calcolatore.
  5. Ricollegare il dongle al calcolatore.
  6. Nel Control Center di CodeMeter, nella scheda Eventi viene visualizzato il cambio a HID.

  7. Nel CodeMeter WebAdmin, verificate l´unità nella scheda Contenuto/CmContainer. Non ce ne deve essere nessuna.


WibuKey

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> WibuKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

WibuKey può essere utilizzato su postazione singola o in rete. Il dongle deve essere attivo su una porta USB, o su una porta parallela sul computer locale, oppure come server su un computer di rete.

Per controllare le impostazioni della chiavetta:

  1. Installare il software di gestione WibuKey dal supporto di installazione.
    Percorso di salvataggio:
    \AdditionalSoftware\WIBU-SYSTEMS WibuKey
    Usare questo software per la registrazione licenza via dongle di rete.
  2. Aprire il pannello di controllo:
  3. Aprire l´elemento di controllo WibuKey del pannello di controllo.
  4. Selezionare la chiavetta da testare sul computer locale o in rete

    Per creare una lista dei “server Wibu boxes” in rete, cliccare sul pulsante Leggere

  5. Controllare se il numero nell´ultima colonna della seconda riga è identico alle cifre iniziali della chiavetta.

Ulteriori informazioni relative al funzionamento in rete si trovano nel capitolo Dongle di rete.

Ancora in questo capitolo

Dongle di rete


Dongle di rete

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> WibuKey -> Dongle di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare WibuKey in rete come dongle, server e client devono essere configurati in modo corrispondente:

  • Configurazione del server
  • Configurazione del client

attention Attenzione

WibuKey usa il numero di porta 22347. Questa porta è impostata in modo fisso e non può essere modificata. Tenere presente quanto segue:

  • Se si usa un altro firewall rispetto a quello integrato nel sistema operativo di Windows, questo numero di porta deve essere reso disponibile se si vuole utilizzare WibuKey come dongle di rete.

Ancora in questo capitolo

Configurare il server

Impostare client


Configurare il server

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> WibuKey -> Dongle di rete -> Configurare il server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare il server

Sul server dongle deve essere attivo il server WibuKey. Il server WibuKey può essere configurato o come applicazione (per esempio avvio tramite Autostart), oppure come servizio.

Quando si installa il software WibuKey devono essere selezionate le opzioni

32 Bit WkNet/WkLAN server di rete

Installallare come servizio NT con Autostart

in modo tale che il server WibuKey venga installato come servizio (consigliato).

Per avviare il server WibuKey-Server come applicazione, deve essere creato un collegameno con il file WkSvW32.exe nell´AUTOSTART di Windows.

Dopo essere stato installato, il file si trova nella cartella C:/Programmi/WIBUKEY/Server/.


Impostare client

Manuale -> Registrazione della licenza -> Tipi di registrazione licenza -> Registrazione licenza via dongle -> WibuKey -> Dongle di rete -> Impostare client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostare client

Per il client, si devono eseguire alcune impostazioni di rete nel pannello di controllo. Fra i sottosistemi WibuKey si sceglie quale tipo di acceso di rete verrà utilizzato. La registrazione della licenza di zenon usa il sottosistema WkLan.

Alla voce “Server name/IP address” si indica o il nome del server, il suo indirizzo IP, oppure una maschera per l´indirizzo IP. Quando si clicca su "Browse" la lista viene popolata con tutti i server dongle trovati.

Gli inserimenti vengono presi in considerazione nella successione della lista, e possono essere anche combinati.

Se come primo inserimento c´è un determinato server, il sistema verifica se su questo computer viene eseguito il servizio server dongle, e se su questo computer c´è un dongle corretto (più veloce!) Se non viene trovato nessun dongle, e se come prossimo inserimento c`è una maschera di filtro, vengono esaminati tutti i computer nella rete, il cui indirizzo IP corrisponde alla maschera.

Nella scheda Contents dovrebbe (dovrebbero) essere visualizzato (i) il server (o i server) con i dongle trovati:


Parametro della riga comando per tool di licenza

Manuale -> Registrazione della licenza -> Parametro della riga comando per tool di licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tool di licenza può essere gestito tramite la riga comando con i seguenti flag come parametri:

Il trasferimento dei parametri avviene digitando davanti al parametro un '/' oppure un '-'.

Per es.: /silent oppure -silent

Parametro | Descrizione
request | Costringe il programma a non visualizzare il primo dialogo; al suo posto viene visualizzata subito la finestra di dialogo che richiede la chiave di attivazione (Non ha alcuna importanza se si usa il flag /silent oppure –silent)
sernum:<num> | Costringe il programma a non leggere il numero di serie dal file zenon6.ini, ma ad usare il <num> trasferito per la licenza.
actkey:<key> | Costringe il programma a non leggere la chiave di attivazione dal file zenon6.ini, ma ad usare la<key> trasferita per la licenza.
silent | Costringe il programma a non visualizzare nessun dialogo. Tuttavia il file License.txt viene scritto.
mailto:<addr> | Funziona solo in combinazione con il flag 'silent' e costringe il programma a mandare la richiesta di licenza per E-Mail all'indirizzo <addr> indicato.


Registrazione licenza remota

Manuale -> Registrazione della licenza -> Registrazione licenza remota

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare una licenza ad un computer usando un collegamento remoto:

  1. Nel menù contestuale del progetto, selezionare Trasporto Remoto-> Cambia la password e visualizza la licenza
  2. Avviare il Trasporto Remoto
  3. Non appena la connessione è stabilita, viene visualizzata la registrazione licenza del calcolatore remoto.

  4. Inserire il numero di serie e quello di attivazione contenuti nel documento di licenza.
  5. Confermare l´inserimento cliccando su OK


Particolarità relative al funzionamento Server-Client

Manuale -> Registrazione della licenza -> Particolarità relative al funzionamento Server-Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quella che riguarda la registrazione della licenza di moduli nel funzionamento Server-Client, bisogna tenere conto delle seguenti particolarità:

Archiviazione

Si distinguono i seguenti casi:

  • Licenza per server e client: gli archivi possono essere aperti e modificati sul client.
  • Licenza per il server, ma non per il client: gli archivi possono essere aperti, ma non modificati sul client.
  • Niente licenza per il client avviato come standalone: può essere aperta la finestra archivi, ma non i singoli archivi.

Automatic Line Coloring

Si distinguono i seguenti casi:

  • Licenza per il server, ma non per il client: la funzionalità ALC è disponibile senza alcun tipo di limitazione.
  • Niente licenza per il client avviato come standalone: la funzionalità ALC non è disponibile.

info Info

Se si ha una licenza per il server per la Energy Edition, si ha una licenza anche per ALC.

Batch Control

Il client acquisisce la licenza dal server e non ha bisogno di una licenza propria. Se il server non dispone di una propria licenza, il client non potrà utilizzare il modulo.

Load Management

Si distinguono i seguenti casi:

  • Licenza per il server, ma non per il client: la funzionalità Load Management è disponibile senza alcun tipo di limitazione.
  • Niente licenza per il client avviato come standalone: la funzionalità Load Management non è disponibile.

Message Control

Il client acquisisce la licenza dal server e non ha bisogno di una licenza propria. Se il server non dispone di una propria licenza, il client non potrà utilizzare il modulo.

Everywhere Server by zenon

L´Everywhere Server acquisisce la licenza dal Runtime. La licenza per l´Everywhere Server viene concessa dal Runtime. Se il Runtime non dispone di una licenza corrispondente, non si potrà usare l´Everywhere Server .

Per questo motivo può succedere che il Runtime funzioni, ma l´Everywhere Server non possa essere avviato per la mancanza delle necessarie autorizzazioni di licenza. In questo caso, usare il tool di registrazione licenza per ottenere la licenza di cui si ha bisogno.


Filo conduttore attraverso l'help - Visione generale

Manuale -> Filo conduttore attraverso l'help - Visione generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quante più potenzialità ha un sistema di controllo di processo, tanto più grande è la guida che deve descriverle agli utenti.

A differenza di tutti gli altri capitoli di questa guida in cui vengono descritte features e funzionalità del software, questo capitolo ha lo scopo di facilitare la consultazione della guida.

Ancora in questo capitolo

Un capitolo per iniziare

Aggiornamento online dell´help di zenon

Orientarsi nella guida

Funzionalità dell'online-help - Così trovate quello che state cercando


Un capitolo per iniziare

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Info

Questo capitolo è rivolto specialmente a tutti quelli che usano zenon per la prima volta e devono affrontare il seguente problema: qual è la parte della guida che potrebbe essere più utile? Questo capitolo, infatti, spiega quali sono i passi necessari a creare un progetto di base. Informazioni più dettagliate contenute in tutorial e manuale sono collegate ai singoli passaggi mediante appositi link.

Ancora in questo capitolo

L’Editor

Creare un progetto

Immagini e modelli

Driver e variabili

Funzioni

Avviare il Runtime

Ulteriori possibilità


L’Editor

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> L’Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon:

zenon consiste di due parti:

1. Editor
(sistema di gestione): qui si creano i progetti.

2. Runtime
: a Runtime si visualizza e gestisce l'impianto progettato.

Struttura dell'Editor:

L'interfaccia utente dell'Editor si divide in diversi settori:

Elemento

Contenuto

01 - Barre degli strumenti:

Raccolta delle barre degli strumenti per l´Editor e i suoi moduli. Sono a disposizione per:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visualizzazione albero del manager di progetto.

03 - Visualizzazione dettagli del manager di progetto:

Dettagli riguardanti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Area principale di lavoro; qui vengono visualizzati documenti come immagini o report.

05 - Barra degli strumenti "Elementi":

Barra degli strumenti per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Visualizza le proprietà dell´oggetto selezionato. Esistono tre modalità di visualizzazione selezionabili nella barra degli strumenti delle proprietà.

07 - Guida delle proprietà:

Visualizza delle brevi spiegazioni riguardanti le proprietà di immagini, variabili, funzioni e di altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzazione di messaggi quando i progetti vengono compilati e salvati a Runtime.

09 - Barra di stato:

Visualizza informazioni di stato sulla disponibilità Editor e sulla immagini.

10 - Barra degli strumenti "Proprietà":

Definisce il tipo di visualizzazione e l´ordine delle proprietà; visualizza la Guida delle proprietà.

11 - Lista incrociata:

Si seleziona quali finestre devono essere visualizzate:

  • Nel menù a tendina della voce Extras

Il posizionamento delle finestre può essere modificato individualmente. La finestra principale è l´unica che non può essere nascosta.

Prossimo passo:

Ulteriori informazioni su come creare un progetto si trovano nel capitolo Creare un progetto.


Creare un progetto

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Creare un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un workspace:

Il workspace è la base per uno o più progetti.
Come creare un nuovo workspace è spiegato nel Tutorial di base

Creare un progetto:

Dopo aver creato un workspace, si procede alla creazione di un nuovo progetto in questo workspace. Un progetto è un´unità in sé indipendente e funzionante, costituita di elementi configurabili (per es. immagini, variabili, funzioni ecc.).
Le informazioni relative a come creare un progetto si trovano nel Tutorial di base

info Info

Adesso siete in grado di creare un progetto.

Prossimo passo:

Per vedere come aggiungere immagini ad un progetto, si prega di consultare il prossimo capitolo Immagini e modelli.


Immagini e modelli

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Immagini e modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un modello:

I modelli definiscono l'area dello schermo nella quale saranno aperte poi le immagini. Ogni immagine si basa su un modello.
Ulteriori informazioni su come creare dei modelli si trovano nel Tutorial di base e nel capitolo Modelli.

Creare un'immagine:

zenon offre molti diversi tipi di immagine predefiniti, fra cui anche il tipo "standard", in cui l'area dello schermo può essere definita liberamente. Non ci sono limiti alla possibilità di adeguare l´immagine dal punto di vista ottico.
Per poter visualizzare in modo schematico un impianto sullo schermo, utilizzare semplicemente le possibilità offerte dagli elementi d´immagine predefiniti.

Aggiungere elementi d'immagine nell´immagine:

zenon offre elementi d'immagine vettoriali e dinamici predefiniti, che possono essere collegati a funzioni o variabili.
Ulteriori informazioni sugli elementi d'immagine si trovano nel Tutorial di base; le diverse forme di elementi d'immagine predefiniti sono descritte in modo esaustivo nel capitolo Elementi d'immagine.
Un'altra possibilità di risparmiare tempo in fase di progettazione è rappresentata dai simboli predefiniti, che si trovano nella libreria simboli. Ulteriori informazioni su questo tema si trovano nel capitolo Simboli e gruppi di elementi.

info Info

Adesso siete in grado di creare un nuovo progetto con immagini ed elementi d'immagine.

Prossimo passo:

Perché gli elementi d'immagine visualizzino valori “veri”, consentendovi così di monitorare il Vostro impianto via zenon, si ha bisogno di driver e di variabili. Ulteriori dettagli su questo tema si trovano nel capitolo Driver e variabili.


Driver e variabili

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Driver e variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione di un driver

Le variabili si basano sul driver loro assegnato; quindi è necessario anzitutto selezionare un driver. In fase di progettazione, si utilizza nella maggior parte dei casi uno dei driver di simulazione contenuti nel pacchetto standard. Questo driver può essere poi sostituito con quello adatto al PLC utilizzato. zenon, un sistema aperto e indipendente, supporta più di 250 protocolli di comunicazione e driver. Informazioni dettagliate sui singoli driver si trovano nella relativa documentazione. Quest´ultima si trova nella guida in linea, più precisamente nel capitolo dedicato ai Driver.

Creare una variabile

Le variabili sono l'interfaccia con i dati di processo e rappresentano determinati valori di misurazione o stati. Perché le variabili segnalino il verificarsi di eventi critici per il processo, è possibile collegarle a valori limite.
Informazioni su come procedere a creare variabili si trovano nel Tutorial di base. Una descrizione dettagliata di variabili, tipi di dato e matrici di reazione si trova nel capitolo Modello di dati di processo e definizione di variabili.

Visualizzazione di valori nell'elemento d'immagine

Perché visualizzino i valori in "entrata", gli elementi d'immagine configurati devono essere collegati a variabili.
Ulteriori informazioni relative a come collegare una variabile ad un elemento dinamico si trovano nel Tutorial di base. Il capitolo Elementi d'immagine contiene un collegamento ai capitoli Elementi dinamici e Elementi vettoriali di zenon.

info Info

Adesso avete un'idea generale dell´uso di variabili e driver.

Prossimo passo

Non volete solamente monitorare, ma anche gestire un impianto? Per poter operare attivamente in zenon, è necessario creare e collegare funzioni.

Ulteriori informazioni su questo tema si trovano nel capitolo Funzioni.


Funzioni

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare una funzione:

Le funzioni consentono di gestire un impianto a Runtime. Per es., eseguendo funzioni si può passare da un'immagine all'altra dell'impianto, oppure si possono effettuare delle modifiche ai valori.
Più funzioni possono essere riunite e gestire in uno script. Per ulteriori informazioni su questo tema consultare il capitolo Gestione degli script.

Collegare una funzione ad elemento d'immagine dinamico:

Per ulteriori informazioni su questo tema consultare il Tutorial di base. Visto che zenon offre un gran numero di funzioni diverse, queste ultime sono elencate e descritte brevemente nel capitolo Panoramica sulle funzioni. Nella finestra di dialogo Nuova funzione, inoltre, ogni funzione viene descritta brevemente (in basso).

info Info

Adesso siete in grado di creare un progetto semplice. Potete creare un'immagine, collegare elementi d'immagine a variabili e funzioni e visualizzare una violazione di valori limite.

Prossimo passo:

Per vedere come visualizzare il risultato della progettazione a Runtime, si prega di consultare il capitolo Avviare il Runtime.


Avviare il Runtime

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Avviare il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dall'editor al Runtime

Il progetto configurato nell'Editor, può essere adesso visualizzato e gestito a Runtime. Si lascia dunque il sistema di gestione (Editor) e si passa al funzionamento online (Runtime).
Per ulteriori informazioni sull'avvio del Runtime, vedere il Tutorial di base o consultare il capitolo Runtime.

info Info

Non ci sono più ostacoli alla configurazione, visualizzazione e gestione successiva del progetto.

Volete saperne di più?

Quanto sopra illustrato non vuole essere che una piccola panoramica sulle possibilità offerte da zenon. Per saperne di più, consultare il capitolo Ulteriori possibilità.


Ulteriori possibilità

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Un capitolo per iniziare -> Ulteriori possibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo capitolo si parla delle molteplici possibilità che si possono realizzare usando zenon:

Si desidera .... | Nessun problema!
Richiamare l'attenzione degli operatori su eventi critici di processo (violazioni di valori limite)? | Gestione allarmi
Analizzare allarmi. | Industrial Performance Analyzer
Registrare eventi di processo e di sistema? | Lista eventi cronologica
Registrare modifiche effettuate nel progetto? | Log delle modifiche
Salvare e comprimere dati di processo? | Server di archiviazione
Colorare e rendere dinamiche linee e condutture? | Automatic Line Coloring
Creare una gestione utenti conforme alle norme FDA (sistema password)? | Gestione user
Analizzare file di LOG? | Diagnosis Viewer
Visualizzare valori di processo mediante curve? | Trend esteso
Gestire i dati di manutenzione dei dispositivi? | Industrial Maintenance Manager
Inviare messaggi? | Message Control
Creare una rete client/server? | Rete
Ambiente di sviluppo | Editor
Importare o esportare parti del progetto? | Importazione/Esportazione
Eseguire azioni ad un orario definito? | Production & Facility Scheduler
Creare report? | Generatore Report
Creare una lista per valori limite e comandi? | Ricette
Definire una successione di funzioni? | Gestione script
Eseguire funzioni in un momento determinato? | Temporizzatori
Tradurre informazioni di testo visualizzate a Runtime da una lingua all'altra? | Cambio lingua
Gestire l'accesso a determinati oggetti di zenon a Runtime mediante variabili? | Interblocchi
Programmare autonomamente processi ciclici? | Process Control Engine
Imparare a conoscere i meccanismi di integrazione con zenon Logic? | zenon Logic Workbench
Scambiare dati con il livello ERP? | Interfaccia SAP


Aggiornamento online dell´help di zenon

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Aggiornamento online dell´help di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Documentation-Download Tool gestisce l´aggiornamento della guida in linea, inclusi Embedded Help, Dialog Help, Tool-Tipp e documentazione in formato PDF di zenon e zenon Logic.

L´aggiornamento viene eseguito online. È quindi necessario disporre di una connessione Internet.

Contenuti degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • Documentazione di zenon e zenon Logic
  • Documentazione driver
  • Tutorial
  • Glossario

Formati file degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • Guida in linea per zenon e zenon Logic (.chm)
  • Documentazione di zenon (.pdf)

Nota: questo tool è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime


Orientarsi nella guida

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Orientarsi nella guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo offre una panoramica dei capitoli del manuale online e, nello stesso tempo, una breve introduzione alla terminologia di zenon. Informazioni su come progettare in modo efficiente si trovano nel manuale Progettare in modo efficiente con zenon.

Parametri

Descrizione

Gestione allarmi

Eventi di processo critici
La gestione allarmi ha la funzione di evidenziare eventi di processo anomali e di aiutare l’operatore a localizzarli e eliminarli.

Log delle modifiche

Documentazione della progettazione, Audit Trail
Il Log delle modifiche garantisce una documentazione e una registrazione complete della progettazione. E’ possibile registrate le modifiche (p.e. modifiche, cancellazioni, creazioni) eseguite in un progetto.

Progettazione impianto

Riproduce la struttura o l´impianto e permette di assegnare in modo corretto i dettagli del livello inferiore (per es. macchinari, ricette e processi) e di metterli in relazione fra loro. Corrisponde alle norme ISA S88 e S95.

Server di archiviazione

Registrazione dei dati di processo
Il modulo “Archiviazione” serve a registrare e a comprimere i dati di processo a più livelli (valore medio, somma, massimo e/o minimo), e si basa su un Editor conforme al sistema, flessibile e di facile utilizzo.

Automatic Line Coloring

Colorazione topologica di linee
La colorazione automatica delle linee serve a rendere dinamiche linee nella tecnica dei processi (trasporto di sostanza e materiali) e nella distribuzione dell'energia (per l'elettricità).

Batch Control

Il modulo Batch Control consente di automatizzare i processi produttivi su base lotti.

Gestione user

Sistema di password
zenon prevede un'amministrazione utenti sia per l´Editor (capitolo “Progetto”) che per il funzionamento online (Runtime) . Questo sistema password è conforme alle direttive di FDA (Food an Drug administration, 21 CFR Part 11).

Immagini

I componenti principali di un progetto sono le immagini, che offrono all’utente un'informazione il più possibile completa sugli impianti da gestire.

Lista eventi cronologica

Diario dell'azienda, Audit Trail
Tutti gli eventi di processo o di sistema e le impostazioni eseguite dell’utente, possono essere registrate nella Lista eventi cronologica.

Controlli

Implementazione di NET user control, controlli ActiveX e elementi WPFdi creazione propria. È possibile accedere alle API di zenon.

Diagnosis Viewer

Reporting Tool
Consente di leggere i file di Log esistenti di zenon, l´online logging, di salvare la visualizzazione corrente, e di parametrizzare Diagnose-Client e Diagnosis Server.

Elementi d’immagine dinamici e Elementi d'immagine vettoriali

zenon offre due tipi di elementi d'immagine: elementi vettoriali e dinamici. Tutti gli elementi possono essere resi dinamici.

Editor

Ambiente di progettazione
Il sistema di controllo di processo si articola in Editor e Runtime: l'ambiente di progettazione, l'Editor, e la visualizzazione online, il Runtime. I progetti vengono configurati nell'Editor, mentre la loro gestione ed monitoraggio avviene a Runtime.
Descrizione dettagliata dell'ambiente di progettazione di zenon, l'Editor.

Energy Edition

Un pacchetto con funzionalità speciali pensate per il settore Energy e per la tecnologia dei processi (per es. Automatic Line Coloring).

Trend esteso

Visualizzazione di valori tramite curve
Il trend esteso serve a visualizzare valori online (gestione HD) e valori storici (valori di archivio) di variabili e variabili derivate.

Funzioni

Macro predefinite che possono essere usate e parametrizzate dal progettista in modo semplice e veloce e che servono ad eseguire operazioni in zenon
Le azioni dell'utente in zenon vengono eseguite mediante funzioni di progetto definite dall'utente stesso. Tutte le funzioni utilizzate in un progetto sono basate sulle funzioni di sistema esistenti.

HTML

Visualizzazione in forma di pagina HTML
L'utilizzo di un’immagine per la visualizzazione di pagine HTML rende disponibili tutte le possibilità del Microsoft Internet Explorer.

Importazione/Esportazione

E' possibile esportare parti di un progetto da zenon, oppure importarle in zenon. Il formato del file di esportazione è *.XML.

Industrial Maintenance Manager

Gestione dei dati di manutenzione
L'Industrial Maintenance Manager serve alla cura dei dati relativi ai dispositivi e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficace gli intervalli di esecuzione dei lavori di manutenzione. Si ha sempre una visione generale completa di quali dispositivi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Il sistema, inoltre, registra quali lavori di manutenzione sono stati eseguiti in passato.

Industrial Performance Analyzer

Analisi di allarmi
L'Industrial Performance Analyzer consente di localizzare e ridurre al minimo i punti deboli (tempi di interruzione del funzionamento) di un impianto.

Installazione e update

Informazioni relative all´installazione di zenon su diversi sistemi operativi (per es. Windows CE, .. Embedded, ...)

Keyblock Runtime Start

Un programma che avvia il Runtime di zenon e blocca tutti i tasti di sistema Windows.
Gli utenti lavorano nel Runtime di zenon e non hanno accesso al livello del sistema operativo.

Keyboard

Keyboard virtuale
Con l´immagine di tipo keyboard si può creare una tastiera virtuale, liberamente definibile.

File di configurazione

Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-INI.

Load Management

Per l´implementazione di un management del consumo energetico in piccoli e medi produttori di energia, e anche in aziende il cui rifornimento di energia è regolato da contratti speciali.
Questo modulo può essere usato sia per prevedere i consumi, che per ottimizzare il consumo di energia.

Registrazione licenza

Per poter usare l´Editor e il Runtime di zenon, si deve prima registrare la licenza del prodotto.
Finché non si dispone di una licenza valida per zenon, il software funziona solo in modalità Demo.

Cambio unità di misura

Consente di convertire l´unità di base in cosiddette unità di commutazione, per esempio metro in yard, o metro in decimetro, centimetro in millimetro.
Per l´unità di conversione possono essere definiti un fattore, un offset e uno spostamento virgola in riferimento all´unità di base corrispondente.

Gestione menù

Nell´Editor si possono creare menù standard-Windows.

Message Control

Invio di messaggi via SMS, Voice Message o E-Mail.
Questo modulo ha il compito di inviare messaggi a diversi destinatari.

Applicazioni mobili per zenon

Grazie a queste applicazioni è possibile visualizzare i progetti realizzati con zenon su dispositivi mobili, tablet e computer desktop.

Gestione monitor

Sistema multi-monitor
Attraverso la gestione monitor di zenon si può definire per ogni postazione se il sistema destinatario del progetto deve avere uno o più monitor.

Multi-Touch

Con zenon si può lavorare con touch screen anche tramite gesture multitouch. I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche per navigare all´interno della visualizzazione globale.

Rete

Modello Client/Server
Il sistema di controllo di processo consente di realizzare in una struttura di rete il cosiddetto modello Client/Server, oppure un sistema multi-gerarchico con sotto-stazioni, centrali di campo e centrali.

Blocco note

Emissione di protocolli e file di testo.

OPC-Server

Il server OPC rende disponibili le variabili utilizzate nel progetto a tutti gli "OPC Client Tool" standard.

Diagnosi PLC

Il "PLC Diagnosis” è uno strumento che consente di visualizzare i dettagli del programma di un PLC direttamente in un'immagine. A seconda del PLC utilizzato, sono a disposizione diverse funzionalità. Adesso esiste l'analisi delle successioni di processi a catena di Simatic S7-Graph che serve alla visualizzazione di informazioni relative alle successioni di processi di PLC S7 e il Monitoring Viewer di zenon Logic che serve alla visualizzazione di tutti i programmi che vengono usati nel Runtime di zenon Logic.

Process Gateway

Il Process Gateway consente la connessione a sistemi di livello superiore. Parti dell'immagine di processo di zenon possono essere rese disponibili ad altre applicazioni e aggiornate.

Production & Facility Scheduler

Orario, orologio di commutazione
Il Production & Facility Scheduler PFS consente di eseguire azioni (per es. modifica del valore impostabile di una variabile, esecuzione di una funzione) collegate ad un determinato intervallo di tempo o ad un modello temporale.

Scripting

zenon offre diverse interfacce (VBA, VSTA oppure .Net) per l´implementazione di programmi propri o per l´automatizzazione della progettazione:

Conversione del progetto

Informazione/i relativa (e) alla compatibilità, comprese istruzioni per una corretta conversione di progetti di versioni di zenon più vecchie.

Backup di progetto

Salvataggio e backup di progetti esistenti.
Questi backup possono essere riletti sullo stesso PC o su un altro PC. I backup di progetto possono essere anche versionati.

Simulazione progetto

Consente di passare fra la modalità di simulazione e la modalità hardware. Nella modalità di simulazione vengono eseguite operazioni di commutazione, scritte ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

Gestione del progetto

Informazione sulla creazione e sulla gestione di un progetto
Salvare un progetto, rileggere un progetto, progetti globali, configurazione, Trasporto Remoto.

Modello per i dati di processo e definizione di variabili

Le variabili sono l’interfaccia tra la sorgente dei dati (PLC, bus di campo) e zenon.
Variabili, tipi di dato, driver, matrici di reazione.

Lista incrociata

Panoramica relativa ad un progetto
Con la Lista incrociata si può creare una panoramica relativa al progetto in forma di tabella. La Lista incrociata, ad esempio, consente di vedere quali variabili sono usate e in quali immagini.

Trasporto remoto

Il trasporto remoto consente di trasferire i file Runtime ad un sistema di destinazione. Questo garantisce che tutti i file necessari giungano sempre al PC di destinazione.
Sono disponibili anche altre funzionalità (per es. copia incrementale, trasmissione di stato).

Reporting con il Generatore Report

Documentazione, analisi e presentazione dei dati del processo sulla base dei dati online e di archivio acquisiti da zenon. Il reporting si articola in:

  • Generatore Report
  • Report Viewer

Ricette

Liste di parametri per valori impostabili e comandi
Le ricette servono a definire un insieme di liste di parametri per l'impostazione di valori e comandi, eseguibili a Runtime attraverso una chiamata di funzione.

Manager gruppi di ricette

Il Manager di gruppi ricette offre ulteriori possibilità rispetto a quelle delle ricette standard: ad es. creazione libera di un layout, o organizzazione di ricette in gruppi.

Runtime

Gestione online, Runtime
Il sistema di controllo di processo si divide in Editor e Runtime: l´ambiente di progettazione, l'Editor, e la visualizzazione online, il Runtime. I progetti vengono configurati nell'Editor, mentre la loro gestione ed monitoraggio avviene a Runtime.
Possibilità di gestione a Runtime

Guida Runtime

zenon offre la possibilità di creare a Runtime una guida contestuale per i progetti attivi.

Interfaccia SAP

zenon e SAP comunicano tramite un´interfaccia bidirezionale.
Il sistema di controllo di processo invia segnalazioni relative ai diversi tipi di processo all'applicazione SAP (per es. monitoraggio in tempo reale della gestione magazzini).

Sequenze di comando

A Runtime, i comandi del modulo “Comandi” possono essere organizzati e visualizzati in sequenze. È possibile anche l´interazione dell´operatore.

Schedulatore

Esecuzione di azioni ad un tempo definito.
Viene caricato il modulo “Schedulatore” quando non si ha una licenza per il modulo PFS. La sua funzionalità è analoga a quella del PFS, ma meno estesa. Lo schedulatore viene utilizzato per eseguire particolari azioni ad un determinato orario.

Caratteri

I tipi di carattere disponibili nel sistema operativo, possono essere utilizzati in zenon.

Gestione script

Successione di funzioni
Più funzioni definite dall’utente possono essere collegate in una sequenza tramite uno script.

Cambio lingua

Questa funzione consente di visualizzare a Runtime le informazioni di testo in diverse lingue.

Elaborazione degli stati

Attributi per variabili
Con la gestione degli stati è possibile assegnare stati ad ogni variabile. Nel complesso sono definiti 64 bit di stato. I più usati sono: spontaneo, disturbato, valore manuale e valore di riserva.

Stili

Gli stil consentono di estrarre proprietà grafiche da elementi ad immagine nell´Editor, di amministrarle e di applicarle ad altri elementi.

Gli stili vengono amministrati e gestiti sempre nel progetto globale.

zenon Logic Runtime

Il Runtime di zenon Logic interpreta il codice PLC compilato (PLC-Code) del workbench di zenon Logic. Il Runtime è eseguito su PC Windows 7/8 e 7 embedded, e su piattaforme Windows CE.

zenon Logic Workbench

zenon Logic è un ambiente di sviluppo per IEC 61131-3. Con l'ambiente di sviluppo di zenon Logic - la cosiddetta Workbench - si possono progettare e programmare PLC nelle cinque lingue definite in IEC 61131-3.

Simulazione driver

Se, al momento della configurazione del progetto, non è disponibile il processo che ne è alla base, quest´ultimo può essere simulato e per testare il funzionamento del progetto configurato.

Tool

Una serie di tool aiutano a gestire, analizzare e configurare zenon:

  • Diagnosis Viewer: consente la lettura e la configurazione dei file LOG di zenon.
  • Keyblock Runtime Start: avvia il Runtime di zenon e, contemporaneamente, blocca tutti i tasti di sistema di Windows.
  • Aggiornamento online dell´help di zenon consente l´update online della guida in linea di zenon.
  • Project Translation Interface: tool per la traduzione di file di lingua di zenon. Apre o salva file per zenon Language Translation Wizard. Con questo tool si possono importare o esportare progetti rispettivamente in o da zenon.
  • Startup Tool: consente di avviare l´Editor e il Runtime con certi parametri, di amministrare differenti versioni di zenon su un computer, di amministrare istanze SQL e di definire lingue per l´Editor e il Runtime.
  • System Information Collector: legge informazioni di sistema e di zenon, le visualizza in una finestra di emissione e le salva in forma di file ZIP.

Per zenon Logic sono disponibili:

  • zenon Logic Runtime Manager: amministra tutti i progetti Runtime di zenon Logic standalone da avviare manualmente sul vostro computer.
    La documentazione di questo tool è parte della documentazione di zenon Logic.

Variabili

Le variabili, chiamate anche variabile di processo o punti di dato, sono l’interfaccia tra la sorgente dati (PLC, bus di campo) e zenon. Rappresentano determinati valori di misurazione o stati dell´hardware, incluse proprietà come scala, valori limite ecc.

Interblocchi

Autorizzazioni di accesso
Gli interblocchi consentono di gestire tramite variabili l’accesso a determinati oggetti di zenon a Runtime.

Engineering distribuito

Gestione multiutente, progettazione multiutente
La funzione multi-utente di zenon consente a più utenti di lavorare contemporaneamente ad uno stesso progetto.

Video

File .avi in zenon
Mediante un’immagine di visualizzazione di video si possono visualizzare riprese online oppure riprese video salvate (*.avi)

Visualizzazione globale

Scorrere all´interno di grandi immagini.
Con l'immagine globale è possibile eseguire lo scroll con il mouse in immagini standard più grandi della risoluzione dello schermo. E' possibile anche zoomare e visualizzare o escludere dalla visualizzazioni nell'immagine informazioni in dipendenza dal livello di zoom scelto. (Zooming, panning, decluttering).

Wizard

Assistenti che facilitano la progettazione
Per aiutare il progettista a svolgere operazioni ricorrenti nel modo più facile e rapido possibile, zenon mette a disposizione Wizard relativi a diversi temi. Gli utenti possono creare anche dei propri Wizard per svolgere compiti particolari.

Temporizzatori

Con i temporizzatori vengono definite tutte le chiamate funzioni che devono essere eseguite in ciclo o entro un tempo determinato.

zenon Remote Desktop

Con il modulo zenon Remote Desktop viene stabilita una connessione di tipo "Remote Desktop" con un un sistema di destinazione remoto per consentire la facile gestione di gestire un computer remoto.
Il desktop viene visualizzato esattamente come sul sistema di destinazione.

Il zenon Remote Desktop stabilisce una connessione di semplice osservazione del sistema remoto, oppure una connessione che consente anche di gestire il dispositivo remoto.

zenon Science Package

Il zenon Science Package consente la programmazione di LEGO Mindstorms NXT 2.0 / EV 3.0. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO Controller con zenon Logic, un ambiente di programmazione IEC 61131-3 integrato in
zenon.

zenon Web Server e zenon Web Server Pro

Il zenon Web Server porta progetti 1:1 in Internet e in Intranet. Per il trasferimento dei progetti non è necessario eseguire nessuna modifica o adattamento al progetto. A differenza di zenon Web Server Pro, zenon Web Server offre la sola funzionalità di osservazione.
zenon Web Server Pro, invece, offre non solo la funzionalità di osservazione, ma anche la possibilità di gestire attivamente il progetto. È possibile accedere direttamente ai processi tramite il WEB.

zenon sotto CE

Il Runtime CE di zenon può essere utilizzato su diverse piattaforme Hardware CE. In generale, la versione CE di zenon offre le stesse funzionalità della versione di zenon per il PC, con alcune limitazioni dovute alle più modeste risorse hardware.

Attribuzioni

Trasmissione di valori
Il trasferimento (attribuzione) di un valore attuale di una variabile a una seconda variabile all’interno di un driver o da un driver all´altro, viene realizzato tramite attribuzioni.


Funzionalità dell'online-help - Così trovate quello che state cercando

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Funzionalità dell'online-help - Così trovate quello che state cercando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qualche volta succede che non è possibile trovare con la funzione "cerca” informazioni che sono però disponibili nella guida online.
Proprio per questo motivo, potete trovare qui di seguito dei consigli preziosi che Vi aiuteranno a cercare e soprattutto a trovare quello che state cercando nella nostra guida.

Strategie di ricerca

  • Di Default la guida inizia con un sommario. Qui potete trovare l'intera documentazione (manuale online, tutorial, documentazione sui driver) organizzata in una struttura ad albero.
  • Mediante la voce cerca potete iniziare una ricerca inserendo nell'apposito campo una parola o un'espressione.
  • Mediante la voce preferiti potete selezionare dei capitoli dalla consultazione particolarmente frequente. Per farlo, è sufficiente selezionare il capitolo desiderato nel sommario, oppure trovarlo mediante la funzionalità cerca (con un doppio clic), e poi spostarlo su Favoriti. Il capitolo selezionato viene visualizzato qui come argomento corrente e può essere aggiunto ai Favoriti.

Ricerca di parole o di espressioni:

Parametri | Descrizione
Parola singola | per es. allarme vengono visualizzati i capitolo che contengono la parola "allarme". Anche le eventuali varianti grammaticali della parola vengono tenute in considerazione.
Espressioni | z.B. 'gestione allarmi si effettua una ricerca nella guida volta a ricercare l'espressione "gestione allarmi". Senza l'uso delle virgolette, verrebbero visualizzati i risultati della ricerca relativa alle parole "allarme" E "gestione", cioè i capitoli che contengono entrambe le parole.
Estensioni | Per es. allarme* si ricercano nei diversi capitoli tutte le espressioni in cui allarme è una parte delle stesse. L'asterisco (*) può essere anche posto all'inizio della parola da ricercare (per es. *allarme)
Collegamenti | AND Tutte e due le parole dovrebbero ricorrere nello stesso capitolo. per es. allarme AND CEL Vengono visualizzati i capitoli che contengono entrambe le parole.
 | OR Perlomeno una delle parole deve essere presente nel capitolo per es. allarme OR CEL Vengono visualizzati i capitoli che contengono o la parola "allarme" o la parola "CEL", oppure entrambe le parole.
 | NOT Solo una delle parole è contenuta nel capitolo. per es. allarme NOT CEL Vengono visualizzati i capitoli che contengono la parola "allarme" ma non quella "CEL".
 | NEAR Entrambe le parole sono contenute nel capitolo, una accanto all'altra per es. allarme NEAR CEL Vengono visualizzati i capitoli che contengono entrambe le parole "allarme" e "CEL" ad una distanza massima di otto parole.


Editor

Manuale -> Editor

zenon consiste di due componenti principali, l´Editor e il Runtime. I progetti vengono creati nell'Editor dove li si può anche modificare ed aggiornare; la gestione del progetto, invece, avviene a Runtime. A partire dalla versione 7.10 di zenon, l´Editor è disponibile sia nella versione a 32-Bit, che in quella a 64-Bit. I progetti possono essere creati con entrambe le versioni. I dettagli riguardanti la compatibilità con versioni precedenti a zenon 7.10 si trovano nella parte della guida dedicata alla Conversione di progetto, nel capitolo Versione a 64-Bit.

Nella parte della guida dedicata all´Editor si impara a conoscere le parti fondamentali di cui consiste l´Editor; si ricevono inoltre informazioni relative a come usare il Manager di progetto, le Barre degli strumenti, i Menù e i Profili editor. Spiegazioni riguardanti il menù contestuale degli elementi in un´immagine, si trovano nel capitolo Immagini.

tutorial Informazioni sulla licenza

Per poter lavorare con l´Editor di zenon bisogna avere la relativa licenza. La licenza viene calcolata sulla base del numero di tag e IOS utilizzati. Informazioni dettagliate sul tema licenze si trovano nel capitolo Registrazione licenza.

L´Editor è a disposizione come zenon Supervisor e come zenon Operator. Le due versioni si differenziano per lo spettro delle delle funzioni a disposizione. Per i dettagli vedi il capitolo Restrizioni dello zenon Operator.

Adeguamento alle impostazioni dimensioni del sistema operativo.

Se si esegue la proprietà Modifica le dimensioni di tutti gli elementi nel pannello di controllo del sistema operativo, o se si seleziona manualmente un livello di ridimensionamento, accade quanto segue:

  • Nell´Editor di zenon si tiene conto del fattore di ingrandimento selezionato.
  • La grandezza e il posizionamento degli oggetti vengono adattati.

Server SQL

L´Editor di zenon lavora con una banca dati SQL. Questa viene installata insieme all´Editor di zenon. Per creare una connessione con il database, l´Editor si collega allo zenon SQL-Server (zenDBSrv.exe). Quest´ultimo instaura la connessione con il server SQL.

Funzionamento multi-monitor

Se su un PC sono in funzione più monitor, le finestre di dialogo, le barre degli strumenti ecc., possono essere spostati da un monitor all´altro. La posizione di questi oggetti viene salvata e mantenuta al momento dello start successivo.

info Info

Se, quando viene riavviato l´Editor, è disponibile solo il monitor principale, è possibile che degli elementi che sono stati spostati non siano più visibili nell´area visualizzata. Per riportare tutti gli elementi sul monitor principale, si deve attivare il Profilo standard. In questo modo, saranno ripristinate le posizioni standard degli elementi.

Ancora in questo capitolo

Avviare l’Editor

Compatibilità:

Interfaccia utente

Barre degli strumenti

Barra dei menù

Profili editor

Manager di progetto

Finestra principale

Finestra delle proprietà

Guida delle proprietà

Finestra di emissione

Riga di stato

Chiudere l'Editor


Avviare l’Editor

Manuale -> Editor -> Avviare l’Editor

Ci sono diverse possibilità di avviare l´Editor:

  • Cliccare sul simbolo zenon sul desktop del PC.
  • Usare il menù Windows File -> COPA-DATA -> zenon Editor.
  • Avviare usando lo Startup Tool. Questo tool consente di gestire più versioni di zenon e di configurare l´Editor e il Runtime prima dello start.
  • Avvio mediante il Windows Autostart.
  • Doppio clic su un file di workspace (.wsp6). In questo caso si aprirà sempre la versione a 32-Bit dell´Editor di zenon.

Servizio zenAdminSrv

Per avviare l´Editor, deve essere avviato il servizio zenAdminSrv . Se questo servizio non è disponibile, sarà visualizzata la relativa segnalazione di errore. Attivare il servizio e riavviare l´Editor.

Quando si avvia l´Editor usando Windows Autostart, zenon cerca di avviare l´Editor per cinque volte e poi smette di provare e visualizza un messaggio di errore che informa che è impossibile raggiungere il servizio.


Compatibilità:

Manuale -> Editor -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor di zenon è completamente compatibile con le versioni precedenti. Questo significa che i progetti realizzati in una di versioni precedenti potranno essere aperti e modificati in qualsiasi momento.

Quando si apre un progetto con un numero di versione inferiore:

  • Il progetto viene convertito automaticamente
  • Viene creato automaticamente un backup del progetto

Attenzione: i progetti convertiti non potranno più essere aperti nell´Editor di una versione precedente. Il backup di progetto creato al momento della conversione, però, potrà essere aperto e modificato.

Compatibilità fra Editor e Runtime

Con l´Editor di zenon si possono creare file Runtime per diverse versioni del Runtime. Il Runtime, dunque, non deve necessariamente essere della stessa versione dell´Editor. Questa "retrocompatibilità" è particolarmente utile se si intende utilizzare dei sistemi misti. Per esempio: un progetto viene realizzato con l´Editor della versione 7.60, ma può essere avviato anche con un Runtime della versione 6.20 SP4.

attention Attenzione

Se in un progetto si configurano con un Editor di una versione più recente delle proprietà che non esistono in una versione precedente, queste proprietà non saranno a disposizione quando si lavora con quest´ultima versione. Questo può avere delle conseguenze indesiderate a Runtime.

Creazione dei file Runtime

Procedura per creare nell´Editor dei file Runtime per versioni precedenti:

  1. Selezionare il progetto nella struttura ad albero del Manager di progetto.
  2. Nelle proprietà di progetto, passare alla sezione Generale
  3. Aprire il menù a tendina della proprietà Crea file Runtime per.
  4. Selezionare nel menù a tendina la versione desiderata.

Attenzione: per garantire la coerenza dei file Runtime, bisognerà crearli tutti di nuovo dopo ogni modifica di questa proprietà. Vengono convertite anche le configurazioni di tutti i driver. Se delle impostazioni non esistono nella versione scelta, verranno scelte quelle di default.

XML

I dati esportati in formato XML sono a disposizione anche per l´importazione in versioni dell´Editor con numero di serie più alto.

Eccezione: se dei dati del RGM vengono salvati direttamente a Runtime come file XML tramite la funzione di export, non potranno essere reimportarti.


Interfaccia utente

Manuale -> Editor -> Interfaccia utente

L'interfaccia utente dell'Editor si divide in diversi settori:

Elemento

Contenuto

01 - Barre degli strumenti:

Raccolta delle barre degli strumenti per l´Editor e i suoi moduli. Sono a disposizione per:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visualizzazione albero del manager di progetto.

03 - Visualizzazione dettagli del manager di progetto:

Dettagli riguardanti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Area principale di lavoro; qui vengono visualizzati documenti come immagini o report.

05 - Barra degli strumenti "Elementi":

Barra degli strumenti per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Visualizza le proprietà dell´oggetto selezionato. Esistono tre modalità di visualizzazione selezionabili nella barra degli strumenti delle proprietà.

07 - Guida delle proprietà:

Visualizza delle brevi spiegazioni riguardanti le proprietà di immagini, variabili, funzioni e di altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzazione di messaggi quando i progetti vengono compilati e salvati a Runtime.

09 - Barra di stato:

Visualizza informazioni di stato sulla disponibilità Editor e sulla immagini.

10 - Barra degli strumenti "Proprietà":

Definisce il tipo di visualizzazione e l´ordine delle proprietà; visualizza la Guida delle proprietà.

11 - Lista incrociata:

Si seleziona quali finestre devono essere visualizzate:

  • Nel menù a tendina della voce Extras

Il posizionamento delle finestre può essere modificato individualmente. La finestra principale è l´unica che non può essere nascosta.

Ancora in questo capitolo

Modificare la visualizzazione

Posizionare le finestre

Modalità schermo intero

Combinazioni di tasti


Modificare la visualizzazione

Manuale -> Editor -> Interfaccia utente -> Modificare la visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le finestre dell´Editor possono essere ordinate individualmente sullo schermo. Per aprire il menù con le impostazioni per configurare la visualizzazione delle finestre, si deve cliccare con il tasto destro del mouse sul bordo delle finestre stesse. Le proprie impostazioni possono essere salvate come Profili editor.

Menù contestuale "Finestra"

Opzione

Stato

Funzione

Dinamico

Attivo

La finestra selezionata può essere posizionata liberamente sul desktop. Viene visualizzata nella finestra principale. È possibile visualizzare più finestre in quella principale e passare dall´una all´altra.

Cliccando due volte sul titolo si passa fra Dinamico e Agganciare.

Non attivo

(default)

La finestra viene ancorata. La proprietà Agganciare è attiva.

Agganciare

Attivo

(default)

È possibile spostare le finestre a piacere tenendo premuto il tasto sinistro del mouse. Durante la procedura di spostamento, un aiuto di posizionamento indica la posizione in cui è stata inserita la finestra. Al rilascio del tasto del mouse, la finestra viene ancorata alle altre adiacenti.

Quando si passa da Dinamico a Agganciare, la finestra viene inserita nell´ultima posizione nella quale era ancorata.

Cliccando due volte sul titolo si passa fra Dinamico e Agganciare.

Suggerimento: se si vuole spostare una finestra senza ancorarla, tenere premuto durante lo spostamento il tasto Ctrl. In questo caso non verrà visualizzato nessun aiuto di posizionamento.

Non attivo

È possibile spostare le finestre a piacere tenendo premuto il tasto sinistro del mouse. Quando si rilascia il tasto, le finestre vengono visualizzate nel posto corrispondente in primo piano.

La proprietà Dinamico è attiva.

Apri nella finestra principale

Attivo

La finestra viene visualizzata nella finestra principale come scheda.

Tutte le schede vengono visualizzate nella finestra principale. Cliccando sul titolo della finestra, si passa da una scheda all´altra.

Per visualizzare una scheda di nuovo come finestra, aprire il menù contestuale cliccando con il tasto destro del mouse sul titolo della finestra, e settare la proprietà Apri nella finestra principale su non attiva.

Non attivo

(default)

La finestra viene visualizzata in modo normale.

Nascondi automaticamente

Attivo

Non appena la finestra perde il focus del mouse, viene nascosta. Il titolo della finestra viene visualizzato sul bordo sinistro dell´Editor.

Per riportare la finestra in primo piano, portare il mouse sul titolo della finestra.

Non attivo

(default)

La finestra viene visualizzata sempre in primo piano.

Chiudi

La finestra viene chiusa.

Per visualizzarla di nuovo, selezionare nella barra dei menù -> Visuale -> Nome della finestra


Posizionare le finestre

Manuale -> Editor -> Interfaccia utente -> Posizionare le finestre

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Posizionamento

Nell´Editor di zenon, tutte le finestre possono essere posizionate a piacere sul desktop mediante:

  • Drag & Drop: le finestre vengono trascinate nella posizione desiderata e vengono posizionate in modo libero (Dinamico), oppure ancorate.
  • Cliccando due volte sul titolo, si passa da Dinamico ad Agganciare e viceversa.

Aiuti di posizionamento

Quando si sposta una finestra all´interno dell´interfaccia dell´Editor, il sistema visualizza degli aiuti che servono a facilitarne il posizionamento. Questi ultimi rappresentano una finestra, o i suoi bordi.

Questo elemento rappresenta un´area finestra nell´Editor.

Questo elemento rappresenta l´area al bordo dell´Editor.

Posizionare finestre

Per posizionare un elemento in modalità "ancorata":

  1. Trascinare l´elemento con il mouse nell´area desiderata.
  2. Verrà visualizzato l´aiuto di posizionamento.
  3. Quest´ultimo rappresenta una finestra e i suoi settori:
    1. Centro: intera finestra
    2. Freccia in alto: metà superiore
    3. Freccia in giù: metà inferiore
    4. Freccia a destra: metà di destra
    5. Freccia a sinistra: metà di sinistra

    Oppure il bordo dell´Editor.

  4. Spostare il mouse sull´aiuto di posizionamento centrale o su quello per il bordo dell´Editor; poi portare il puntatore sull´area desiderata.
  5. L´area dell´Editor sulla quale verrebbe posizionato l´elemento al momento del rilascio del tasto del mouse, viene colorata di blu.
  6. Spostare il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colorerà di blu.
  7. Rilasciare il tasto del mouse e l´elemento verrà posizionato.
  8. Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione tramite schede.

Esempi

  1. La finestra delle Proprietà viene spostata con lo stato Agganciare attivo.
  2. Vengono visualizzati gli aiuti di posizionamento.

  3. Si porta il puntatore del mouse sulla freccia in alto dell´aiuto di posizionamento centrale.
  4. L´area dell´Editor in cui verrebbe inserita la finestra viene visualizzata in blu.

  5. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:

  6. Adesso si porta il puntatore del mouse sull´aiuto di posizionamento per il bordo dell´Editor.
  7. Il settore di inserimento dell´Editor si colora di blu.

  8. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:


Modalità schermo intero

Manuale -> Editor -> Interfaccia utente -> Modalità schermo intero

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor di zenon si può visualizzare la finestra principale nella modalità a schermo intero. Procedura:

  • Usare la combinazione di tasti Shift+F9
    oppure
  • Selezionare l´opzione Modalità schermo intero nel menù a tendina Finestra.

La modalità "schermo intero" esclude dalla visualizzazione tutte le altre finestre e visualizza solamente quella principale, con tutti i documenti aperti (immagini, report....), in forma di immagine che occupa tutto lo schermo.

Nota: il menù Elementi di controllo può essere aperto anche in modalità schermo intero.

La modalità schermo intero può essere chiusa:

  • Con il pulsante visualizzato per chiudere la modalità schermo intero.
  • Con la combinazione di tasti Shift +F9

Lavorare in modalità schermo intero

In modalità "schermo intero" viene visualizzato un menù che serve a chiudere questa modalità di visualizzazione, e ad aprire determinate finestre e barre degli strumenti.

Parametri

Descrizione

Chiudi schermo intero

Chiude la modalità di visualizzazione "schermo intero". In alternativa, usare la combinazione di tasti Shift+F9, oppure il tasto Esc.

Finestre ancorabili

Menù a tendina per aprire le finestre:

  • Proprietà
  • Guida delle proprietà

La prima volta, le finestre verranno aperte in una posizione determinata in modo fisso. Poi potranno essere posizionate liberamente; quando poi si riaprirà la modalità di visualizzazione "schermo intero", verranno aperte nella posizione definita individualmente.

Opzioni barre strumenti

Menù a tendina per aprire le barre degli strumenti:

  • Immagini
  • Orientamento
  • Livelli di visibilità
  • Elementi

La prima volta, le barre degli strumenti verranno aperte in una posizione determinata in modo fisso. Poi potranno essere posizionate liberamente; quando poi si riaprirà la modalità di visualizzazione "schermo intero", verranno aperte nella posizione definita individualmente.


Combinazioni di tasti

Manuale -> Editor -> Interfaccia utente -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Generale

Comandi | Combinazione di tasti
Apre la guida | F1
Avvia /chiude la modalità schermo intero | Shift+F9
Remote: chiude la modalità schermo intero | Ctrl+Alt+Shift+F
Avvia l´Editor VSTA | Alt+F10
Avvia l'Editor VBA | Alt+F11
Wizard: apre la selezione Wizard. | Alt+F12
Apre "Esplora file" con focus sulla cartella SQL per il progetto attuale. Corrisponde a: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Ctrl+Alt+E
Apre "Esplora file" con focus sui file del progetto attuale. Per esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Apre "Esplora file" con focus sui file Runtime del progetto attuale. Per esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Ctrl+Alt+R
Avvia il Runtime; prima vengono compilati i file Runtime modificati. | F5
Crea i file Runtime modificati | F7

Profili Editor

Comandi | Combinazione di tasti
Caricare profilo editor 1 | Shift+F1
Caricare profilo editor 2 | Shift+F2
Caricare profilo editor 3 | Shift+F3
Caricare profilo editor 4 | Shift+F4
Caricare profilo editor 5 | Shift+F5
Caricare profilo editor 6 | Shift+F6
Caricare profilo editor 7 | Shift+F7
Caricare profilo editor 8 | Shift+F8
Salva visuale Editor attuale come: |
Profilo Editor 1 | Ctrl+Shift+F1
Profilo Editor 2 | Ctrl+Shift+F2
Profilo Editor 3 | Ctrl+Shift+F3
Profilo Editor 4 | Ctrl+Shift+F4
Profilo Editor 5 | Ctrl+Shift+F5
Profilo Editor 6 | Ctrl+Shift+F6
Profilo Editor 7 | Ctrl+Shift+F7
Profilo Editor 8 | Ctrl+Shift+F8

Editor grafico

Nota sulle combinazioni di tasti: il segno più (+) significa che i tasti vanno premuti contemporaneamente.
Esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione di tasti
Finestra principale: scorrere i contenuti con panning hand. | Tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri le proprietà | Alt+Invio

Selezionare

Comando

Combinazione di tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Selezione: modifica successione. Definisce l´elemento in riferimenti al quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Seleziona il prossimo elemento nella successione di creazione.

Tab

Seleziona l´elemento precedente nella successione di creazione.

Shift+Tab

Posizionare

Comando | Combinazione di tasti
Spostare l´oggetto selezionato | Tasti freccia
Spostare di 10 pixel ogni volta che si preme il tasto freccia. | Shift+Tasto con frecce
Spostare solo orizzontalmente oppure solo verticalmente. | Tenere premuto Shift quando si esegue lo spostamento.
Centrare l´oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione di tasti
Salva le modifiche. | Ctrl+S
Inserisce un elemento preso dagli appunti. | Ctrl+V Shift+Ins
Inserisce un elemento preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia l´elemento selezionato. | Ctrl+C Ctrl+Ins
Copiare invece che spostare. | Tenere premuto Ctrl quando si esegue lo spostamento.
Duplica l´elemento selezionato. Ulteriori informazioni su questo tema si trovano nel capitolo Duplicare elementi. | Ctrl+D
Cancella l´elemento selezionato. | Canc
Taglia l´elemento selezionato. | Shift + Del Ctrl+X
Annulla le modifiche. | Ctrl+Z Alt+Backspace
Aggiunge o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa il segno più (+). Cancella: il cursore del mouse diventa il segno meno (-). Funziona con polilinee, poligoni e tubature. | Ctrl+Shift
Termina il disegno di polilinee e poligoni. | S
Termina il disegno di polilinee e poligoni e cancella l´ultima sezione disegnata. | Esc
Sposta gli elementi selezionati di un livello verso l´alto. | +
Sposta gli elementi selezionati di un livello verso il basso. | -
Porta gli elementi selezionati in primo piano. | Ctrl++
Porta gli elementi selezionati sullo sfondo | Ctrl+-

Ridimensionare

Comando

Combinazione di tasti

Modificare la grandezza

Posizionare il cursore del mouse sul punto di aggancio finché non assume l´aspetto di una freccia. Poi, usando i tasti freccia, si potrà modificare la grandezza dell´elemento con la precisione di un pixel; se si tiene premuto il tasto Shift , invece, la modifica della dimensione dell´elemento avverrà in passi di 10 pixel.

Nota: se nella proprietà Rotazione [°] è stato definito un angolo diverso da 0, non sarà possibile ridimensionare l´elemento usando i tasti di direzione.

Ridimensionare un oggetto in riferimento al suo punto centrale

Tenere premuto il tasto Alt quando si ridimensiona l´elemento.

Ridimensionare in modo proporzionale

Tenere premuto il tasto Shift quando si ridimensiona l´elemento.

Visualizzazione dettagli

Comando | Combinazione di tasti
Creare un nuovo elemento per il modulo in questione. | Ins.
Modificare la colonna selezionata. | F2
Copiare l´elemento selezionato della lista. | Ctrl+C
Inserire un elemento copiato in precedenza. | Ctrl+V
Cancellare l´elemento selezionato dalla lista. | Canc
Scorrere più elementi nella lista verso l'alto. | Tasto PGSU
Scorrere più elementi nella lista verso il basso. | Tasto PGGIÙ
Navigare nella lista. | Tasti di direzione (tasti freccia)

Runtime

Comando | Combinazione di tasti
Sfoglia fra le finestre Windows aperte. | Alt+Tab
Terminare il Runtime. | Alt+F4


Barre degli strumenti

Manuale -> Editor -> Barre degli strumenti

Nell´Editor, le principali barre degli strumenti si trovano di default immediatamente sotto la Barra dei menù. La barra degli strumenti Elementi rappresenta un´eccezione a questa regola; si trova, infatti, a destra, accanto alla Finestra principale. Quando si porta il cursore del mouse su un simbolo di una barra degli strumenti, viene visualizzato nella barra di stato un breve testo che informa sulla funzione del simbolo.

Sono disponibili le seguenti barra degli strumenti principali:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra dei menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Lista macro VBA

Le seguenti finestre hanno una propria barra degli strumenti, che viene visualizzata sul bordo superiore della finestra stessa:

  • Dettagli workspace
  • Proprietà

info Info

I titoli delle barre dei simboli sono sempre nella lingua attiva al momento della prima apertura dell´Editor. Se, per esempio, si usa la barra degli strumenti 'Immagini' per la prima volta in lingua tedesca, il nome continuerà ad essere visualizzato in tedesco anche se poi si cambia la lingua dell´Editor passando all´inglese.

Se si vuole che i nomi vengano visualizzati in un´altra lingua, bisogna anzitutto cancellare tutti i profili Editor, poi avviare l´Editor nella lingua desiderata e infine attivare le barre degli strumenti.

I profili Editor non si cancellano in zenon, ma a livello dei file system. Informazioni dettagliate su questo tema si trovano nel capitolo Cancellare profili editor.)

Azioni con simboli e barre degli strumenti

Le opzioni per le barre degli strumenti si configurano alla voce: Extras - > Impostazioni -> Scheda Toolbar

Azioni per le barre degli strumenti:

  • Posizionare liberamente sullo schermo
  • Chiudere
  • Aprire

Azioni per i simboli:

  • Elimina
  • Aggiungi

Posizionare la barra degli strumenti

  1. Cliccare con il tasto sinistro del mouse su un´area libera della barra degli strumenti.
  2. Trascinare la barra degli strumenti nella posizione desiderata dello schermo.

    Un rettangolo visualizza dove e come verrà inserita la barra degli strumenti.

  3. Rilasciare il tasto del mouse per posizionare la barra degli strumenti.

Nota: le barre degli strumenti che contengono menù a tendina, possono essere posizionate solo orizzontalmente.

Chiudere la barra degli strumenti

Si può chiudere una barra degli strumenti o usando il menù a tendina Visuale, oppure tramite la voce Impostazioni del menù a tendina Extras.

Menù a tendina: il modo più veloce di chiudere una barra degli strumenti.

  1. Aprire il menù a tendina Visuale.
  2. Passare alla voce "Toolbar".
  3. Cliccare sull´inserimento relativo alla barra degli strumenti che si vuole nascondere.

Impostazioni: Consente di chiudere più barre simboli contemporaneamente.

  1. Aprire il menù Extras -> Impostazioni -> Tab: Toolbar.
  2. Eliminare il segno di spuntatura accanto alla barra degli strumenti desiderata.
  3. Confermare la selezione cliccando su OK.

Aprire una barra degli strumenti

Le barra degli strumenti si aprono o usando il menù a tendina Visuale, oppure usando la voce Impostazioni del menù "Extras".

Menù a tendina: il modo più veloce di aprire una barra degli strumenti.

  1. Cliccare sul menù a tendina Visuale
  2. Passare alla voce "Toolbar".
  3. Cliccare sull´inserimento relativo alla barra degli strumenti che si vuole aprire.

Impostazioni: consente di aprire più barre degli strumenti contemporaneamente.

  1. Aprire il menù Extras -> Impostazioni -> Tab: Toolbar.
  2. Fare il segno di spuntatura accanto alla barra degli strumenti desiderata.
  3. Confermare la selezione cliccando su OK.

Aggiungere un simbolo

  1. Aprire il menù Extras -> Impostazioni -> Tab: Comandi.
  2. Selezionare nella finestra a sinistra una categoria.
  3. Cliccare nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. Tenendo premuto il tasto sinistro del mouse, trascinare il simbolo nella posizione desiderata nella barra degli strumenti.

Cancellare simboli

  1. Aprire il menù Extras-> Impostazioni -> Tab: Toolbar.

    Verranno attivati tutti i simboli di tutte le barre degli strumenti nell´Editor

  2. Cliccare con il tasto sinistro del mouse sul simbolo che si vuole eliminare.
  3. Trascinare il simbolo fuori dalla barra degli strumenti e rilasciare il tasto del mouse.

Ancora in questo capitolo

Barra degli strumenti "Finestre ancorabili"

Barra degli strumenti "Orientamento"

Barra degli strumenti "Immagini"

Barra degli strumenti "Simboli"

Barra degli strumenti "Profili editor"

Barra degli strumenti "Elementi"

Barra degli strumenti "Production and Facility Scheduler"

Barra degli strumenti "Trasporto remoto"

Barra degli strumenti "Generatore report"

Barra degli strumenti "File Runtime"

Barra degli strumenti "Livelli di visibilità"

Barra degli strumenti "Lista macro"

Barra degli strumenti "Visualizzazione dettagli"

Barra degli strumenti "Proprietà"


Barra degli strumenti "Finestre ancorabili"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Finestre ancorabili"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la barra simboli Finestre ancorabili possono essere riattivate le seguenti finestre nascoste o chiuse.

Simbolo

(da sinistra a destra)

Funzione

Manager di progetto

Attiva il manager di progetto.

Finestra di emissione

Attiva la finestra di emissione.

Cross reference list

Attiva la lista incrociata.

Finestra delle proprietà

Attiva la finestra delle proprietà.

Embedded Help

Attiva la finestra della guida delle proprietà.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Orientamento"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Orientamento"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nr

Simbolo

Funzione

01

Allinea a sinistra

Allinea tutti gli elementi selezionati alla sinistra del primo elemento selezionato.

02

Allinea a destra

Allinea tutti gli elementi selezionati alla destra del primo elemento selezionato.

03

Allinea in alto

Allinea tutti gli elementi selezionati in alto rispetto al primo elemento selezionato.

04

Allinea in basso

Allinea tutti gli elementi selezionati in basso rispetto al primo elemento selezionato.

05

Centra orizzontalmente

Centra orizzontalmente l´elemento selezionato.

Se sono stati selezionati più elementi, vengono allineati tutti rispetto all´elemento che è stato selezionato per primo.

06

Centra verticalmente

Centra verticalmente l´elemento selezionato.

Se sono stati selezionati più elementi, vengono allineati tutti rispetto all´elemento che è stato selezionato per primo.

07

Stessa distanza X

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse x; i primi due elementi determinano la distanza.

08

Stessa distanza Y

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse y; i primi due elementi determinano la distanza.

09

Stessa distribuzione X:

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Perché questa opzione sia attiva, devono essere selezionati almeno tre elementi.

10

Stessa distribuzione Y:

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Perché questa opzione sia attiva, devono essere selezionati almeno tre elementi.

11

Stessa larghezza

Gli elementi selezionati vengono adattati alla larghezza del primo elemento selezionato.

Nota: questo adattamento viene eseguito sulla base delle coordinate ottiche. Per i dettagli a questo proposito, si prega di consultare la parte della documentazione che segue questa tabella.

12

Stessa altezza

Gli elementi selezionati vengono adattati all´altezza del primo elemento selezionato.

Nota: questo adattamento viene eseguito sulla base delle coordinate ottiche. Per i dettagli a questo proposito, si prega di consultare la parte della documentazione che segue questa tabella.

13

Stesse dimensioni

Gli elementi selezionati vengono adattati all´altezza e alla larghezza del primo elemento selezionato.

Nota: questo adattamento viene eseguito sulla base delle coordinate ottiche. Per i dettagli a questo proposito, si prega di consultare la parte della documentazione che segue questa tabella.

14

In primo piano

Sposta gli elementi selezionati in primo piano.

15

Porta in avanti

Sposta gli elementi selezionati di un piano in avanti.

16

Porta indietro

Sposta gli elementi selezionati indietro di un piano sullo sfondo.

17

Sullo sfondo

Sposta gli elementi selezionati sullo sfondo.

18

Rifletti orizzontalmente

Riflette l´elemento selezionato su un´asse orizzontale.

19

Rifletti verticalmente

Riflette l´elemento selezionato su un´asse verticale.

20

Ruota di 90°

Ruota l´elemento selezionato di 90° in senso orario.

21

Crea gruppo elementi

Crea un nuovo gruppo elementi da tutti gli elementi selezionati.

22

Separa gruppo elementi

Il gruppo elementi viene separato nei suoi elementi originari; poi il gruppo non esisterà più.

23

Modalità modifica singola gruppo elementi

Consente di modificare i singoli elementi di un gruppo elementi. Con questo pulsante si passa dalla modalità di modifica oggetti singola alla modalità di modifica simbolo e viceversa.

24

Inserisci in gruppo elementi

Apre la finestra di dialogo contenente i gruppi di elementi esistenti, per consentire di aggiungere l´elemento in un gruppo.

25

Elimina da gruppo elementi

Elimina l´elemento selezionato dal gruppo elementi attivo.

26

Sostituisci collegamenti

Apre la finestra di dialogo per sostituire variabili o funzioni collegate ad elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.

27

Trasmetti proprietà

Trasferisce le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasferire ad un elemento:

    Cliccare su un elemento con proprietà originarie -> cliccare sul simbolo "Trasmetti proprietà" -> cliccare sull´elemento di destinazione: Le proprietà verrano trasferite all´elemento di destinazione.

  • Trasferire a più elementi:

    Selezionare l´elemento sorgente -> selezionare gli elementi di destinazione tenendo premuto il tasto Ctrl (sia l´elemento sorgente che quelli di destinazione verranno evidenziati; quello sorgente è distinto dalla presenza di punti di ancoraggio neri) -> cliccare sul simbolo "Trasmetti proprietà". Le proprietà dell´elemento sorgente verranno trasferite agli elementi di destinazione.

Quali proprietà vengono trasferite, dipende dall´oggetto sorgente e da quello di destinazione. Di norma, vengono trasferiti colori, caratteri, allineamento testo e bordi.

Se sono stati selezionati più elementi sorgente, verranno trasferite le proprietà del primo elemento selezionato.

28

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Adattamento: stessa larghezza/altezza/dimensione

L´adattamento della dimensione di elementi ruotati e non ruotati si orienta alle coordinate ottiche, non a quelle logiche. L´allungamento di elementi ruotati è inteso come superficie del rettangolo, all´interno delle cui linee immaginarie si trova l´elemento ruotato (Bounding Rectangle).

Ad esempio

Due elementi prima della modifica delle dimensioni:

Dopo l´adattamento usando il comando Stessa altezza:


Barra degli strumenti "Immagini"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Immagini"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un´apposita barra degli strumenti consente la modifica di immagini. Di default, questa barra viene visualizzata sotto la barra di menù.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutti

Salva tutte le immagini modificate.

Taglia

Taglia l'immagine attiva e la salva negli appunti, anche per più progetti. Questo comando è disponibile solo se è stato selezionato un elemento.

Copia

Salva una copia dell´immagine corrente negli appunti. Questo comando è disponibile solo se è stato selezionato un elemento.

Incolla

Aggiunge un´immagine presa dagli appunti. Questo comando è disponibile solo se gli appunti contengono dei dati.

Copia formato

Trasferisce le formattazioni dell´elemento appena selezionato al prossimo elemento scelto.

Refresh immagine

Attualizza la visualizzazione dello schermo.

Annulla

Consente di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definire il numero di azioni annullabili: Extras -> Impostazioni -> Impostazioni -> Numero delle azioni annullabili. In questo campo, si può digitare un valore compreso fra 1 e 100.

Modalità di modifica

Passa dallo zoom alla modalità modifica.

Zoom

Sono disponibili due modalità di zoom:

  • Zoom senza livelli predefiniti:
    Si può inserire nel menù a tendina un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoom tool:
    usando i simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine con il mouse. Premendo il tasto Ctrl , si passa da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi la modalità zoom: Cliccate sul simbolo Modalità modifica nella barra degli strumenti Elementi.

Guida

Apre la guida online.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Simboli"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Simboli"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La libreria dei simboli vene gestita tramite il menù contestuale oppure la barra degli strumenti:

Comandi del menù contestuale e della barra simboli.

Menù contestuale

Funzione

Simbolo nuovo

Viene creato un nuovo simbolo.

Apri simbolo

Apre il simbolo nell´Editor dei simboli per consentire l´applicazione di modifiche.

Nuovo gruppo

Viene creato un nuovo gruppo di simboli che può essere popolato di simboli selezionati della libreria, oppure con simboli creati ad hoc. (Copia e incolla) Disponibile solo nella biblioteca di simboli globale.

Inserisci simbolo in immagine come gruppo elementi

Crea un gruppo elementi a partire dal simbolo e lo inserisce in un´immagine (per i dettagli, vedi capitolo Gruppi elementi).

Inserisci simbolo in immagine

Inserisce il simbolo nell´immagine (per i dettagli, vedi il capitolo Simboli).

Elementi collegati

Apre il sottomenù contenente gli elementi collegati e la possibilità di ritornare all´elemento originario.

Torna all'elemento di partenza

Torna all´elemento di partenza (questo comando si trova solamente nella barra degli strumenti).

Copia

Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).

Incolla

Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).

Elimina

Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica).

Attenzione: non si può annullare la cancellazione!

Espandi/riduci nodi

Nella visualizzazione gerarchica, consente di espandere o ridurre il nodo selezionato o tutti i nodi.

Visualizzazione piatta

Ordina tutti i simboli in una visualizzazione non strutturata. Semplifica la ricerca di un determinato simbolo.

Nota: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.

Visualizzazione gerarchica

Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.

_Esporta selezione in XML

Apre la finestra di dialogo per esportare i simboli selezionati in formato XML. (Per i dettagli, vedi capitolo Import / Export dei simboli

Esporta immagine/simbolo su file grafico...

Esporta l´immagine/il simbolo come file grafico. La finestra di dialogo di selezione file offre i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i codec Windows Imaging Component (WIC) installati sul sistema che supportano Salva. La dimensione della grafica dipende dall´immagine o dal simbolo da esportare.

Importa file XML

Importa simboli da un file XML (vedi capitolo Import / Export dei simboli).

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Barra degli strumenti "Profili editor"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Profili editor"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili Editor vengono gestiti usando la relativa barra degli strumenti.

Simbolo

(da sinistra a destra)

Funzione

Carica il profilo standard

Ripristina tutte le impostazioni iniziali per la visualizzazione e la posizione delle finestre, ma anche per i contenuti e la visualizzazione delle barra degli strumenti e dello stato di emissione; carica il profilo standard di zenon.

Selezionare profilo Editor

Selezione di un profilo Editor fra i dieci proposti dal menù a tendina.

Carica il profilo Editor selezionato

Carica il profilo selezionato nell´area Selezionare profilo Editor.

Salva il Profilo editor selezionato

Salva le impostazioni correnti relative alle finestre nel profilo visualizzato nel settore Selezionare profilo Editor.

Carica profili standard

Carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Gli eventuali profili già esistenti verranno sovrascritti.

Reimposta i filtri

Cancella tutti i collegamenti dei profili predefiniti con i moduli.

Salvataggio automatico dei profili Editor

Attivo: le modifiche del profilo corrente vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Non attivo: le modifiche non vengono salvate quando si cambia profilo; quando si riaprirà il profilo in questione, verranno riproposte le posizioni originali.

Assegna nomi ai profili Editor.

Apre una finestra di dialogo che consente di assegnare nomi individuali ai profili Editor.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Nota: è possibile inserire nella barra degli strumenti ulteriori opzioni per l´importazione ed esportazione usando l´adeguamento dei comandi definito dall´utente per le barre degli strumenti.


Barra degli strumenti "Elementi"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Elementi"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simbolo

Funzione

Modalità modifica

Passa dallo zoom alla modalità modifica.

Ellisse/Cerchio

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento (cerchio).

Curva

Con larghezza, colore e tipo di linea definibili.

Arco di cerchio

Disegna un arco di cerchio con un angolo di apertura di 180° (modificabile); larghezza, colore e tipo di linea sono definibili.

Linea

Con larghezza, colore e tipo di linea definibili.

Poligono

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Polilinea

Con tipo di linea e colore di linea.

Rettangolo

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Tubatura

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Testo statico

Con colore per il carattere e selezione del tipo di carattere

Pulsante

Superficie per gestire comandi con l´aspetto di un pulsante.

Elemento combinato

Visualizza una o più variabili su un unico elemento d’immagine con colori e simboli (sequenza caratteri).

Slider universale

Slider/potenziometro.

Interruttore

Semplice elemento per impartire comandi o d´impostazione di valori limite

Combo-/Listbox

Collega i valori di variabili a messaggi di testo.

Elemento di comando

Disponibile solo se si dispone di una licenza per SICAM 230.

Allarme ad immagine

Disponibile solo se si dispone di una licenza per SICAM 230.

Valore numerico

Visualizza valori in forma numerica.

Bargraf

Visualizzazione di valori come grafico a barre.

Strumento analogico

Visualizza valori in forma di strumento.

Collega testo

Visualizza testi associati a valori limite

Curve trend

Semplice visualizzazione grafica lineare

Elemento WPF

Visualizza file WPF-XAML validi.

Elemento ActiveX

Inserisce elementi AktiveX

Orologio

Visualizza data ed ora.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Production and Facility Scheduler"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Production and Facility Scheduler"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può lavorare con il modulo "Production Facility Scheduler" anche usando la relativa barra degli strumenti.

Simbolo

(da sinistra a destra)

Funzione

Rinomina

Consente di modificare il nome di un impianto.

Proprietà

Apre una finestra con le proprietà dell´impianto.

Cancella

Elimina l´impianto selezionato dopo una richiesta conferma.

Ordina i valori in modo crescente

Ordina i valori della tabella/colonna selezionata in modo crescente.

Ordina i valori attuali in modo decrescente

Ordina i valori della tabella/colonna selezionata in modo decrescente.

Cambiare data

Apre la finestra di dialogo per inserire una data e passa alla data indicata

Visualizzare giornata attuale

Passa dalla data visualizzata alla data attuale.

Visualizzazione giorno

Visualizza un giorno nel calendario.

Vista settimanale

Visualizza una settimana nel calendario.

Visualizzazione mensile

Visualizza un mese nel calendario.

Elemento precedente.

Torna indietro nel calendario di un elemento; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).

Elemento successivo

Va avanti nel calendario di un elemento; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).

Anteprima punti di switch

Apre l´anteprima dei punti di commutazione.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Trasporto remoto"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Trasporto remoto"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un computer di sviluppo può stabilire connessioni remote con altri PC. La barra degli strumenti Trasporto remoto mette a disposizione delle funzioni per eseguire il trasferimento e la richiesta di dati fra i diversi PC.

Simbolo

(da sinistra a destra)

Funzione

Trasporto Remoto: stabilisci il collegamento.

Apre la finestra di dialogo di configurazione del Trasporto Remoto per impostare il sistema di destinazione e la cartella di destinazione.

Trasporto Remoto: stabilisci collegamento tramite Trasporto remoto.

Stabilisce una connessione via Trasporto Remoto con il sistema remoto.

Trasporto remoto: trasporta solo file modificati

Trasferisce al computer di destinazione tutti i file Runtime modificati dal momento dell´ultima modifica sul computer di sviluppo.

Trasporto remoto: importa tutte le cartelle Runtime

Importa i file Runtime dalla cartella definita sul sistema Remoto nella cartella Runtime locale.

Trasporto remoto: imposta il progetto di partenza su Runtime remoto.

Imposta il progetto attivo come progetto di partenza nel sistema connesso in remoto.

Trasporto remoto: partenza Runtime remoto

Lancia il Runtime sul sistema remoto.

Trasporto remoto: termina Runtime remoto

Termina il Runtime sul sistema remoto.

Trasporto remoto: aggiorna Runtime remoto

Esegue la funzione Aggiorna sul sistema remoto.

Remote Desktop: avvia connessione

Avvia una connessione per gestire il computer di destinazione tramite zenon Remote Desktop. In questo modo sarà possibile gestire il computer di destinazione sul proprio PC.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Ulteriori simboli possono essere aggiunti usando le opzioni della barra degli strumenti:

Trasporta tutti i file Runtime

Trasferisce tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo una richiesta di conferma. Questa opzione non viene supportata da Windows CE.

Richiedi stato del sistema remoto

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • La versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Nota: tutti i comandi per il Trasporto remoto sono a disposizione anche nel Menù contestuale del progetto.


Barra degli strumenti "Generatore report"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Generatore report"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il "Generatore Report" è disponibile nell´Editor una barra degli strumenti.
Procedura per visualizzare questa barra degli strumenti (se non dovesse essere già visibile):

  1. Aprire il menù Extras -> Impostazioni -> Scheda: Barra degli strumenti
  2. Attivare con un segno di spunta la checkbox accanto a Generatore report.
  3. Confermare la selezione cliccando su OK.

Simbolo

(da sinistra a destra)

Funzione

Stampa report

Stampa il report con la stampante impostata come standard.

Anteprima report

Apre il report in un´anteprima. Nell´anteprima, il report può essere ingrandito oppure ridotto (zoom); lo si può sfogliare e stampare.

Ridisegna report

Attualizza la visualizzazione.

Ricalcola le funzioni

Ricalcola le formule nel report

Assistente funzioni

Apre la finestra di dialogo che aiuta a configurare le funzioni.

Carattere

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Carattere.

Allineamento paragrafo

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Allineamento.

Cornice

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Cornice.

Aspetto cella

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Aspetto cella.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "File Runtime"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "File Runtime"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor c´è una barra degli strumenti con simboli da utilizzare per trasferire file dall´Editor al Runtime e dal Runtime all´Editor:

Simbolo

(da sinistra a destra)

Funzione

Compila file modificati

Crea file Runtime di tutti i file modificati nell´Editor. Il menù a tendina offre la possibilità di scegliere se i file Runtime devono essere creati solo per il progetto attivo, o per tutti i progetti caricati.

Crea tutti i file Runtime

Crea file Runtime per tutti i file esistenti nell´Editor. Il menù a tendina offre la possibilità di scegliere se i file Runtime devono essere creati solo per il progetto attivo, o per tutti i progetti caricati.

Importa file Runtime

I file modificabili a Runtime (come ricette oppure gestione utenti) verranno importati dal Runtime nell´Editor.

Configurazione file modificabili a Runtime

Apre la finestra di dialogo per definire i file modificabili a Runtime.

Avvia Runtime

Avvia il Runtime.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Livelli di visibilità"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Livelli di visibilità"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Analogamente ai programmi CAD, anche nell´Editor di zenon possono essere definiti dei livelli di visibilità da assegnare poi ai singoli elementi. In questo modo è possibile nascondere in immagini complesse gli elementi non necessari, che poi, però, possono essere visualizzati di nuovo in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello di visibilità ad un elemento viene eseguita tramite proprietà Livello di visibilità del nodo Generale. L´attivazione o la disattivazione dei singoli livelli avviene usando i pulsanti della barra degli strumenti Livelli di visibilità:

Simbolo

(da sinistra a destra)

Funzione

Attiva tutti livelli visibilità

Visualizza tutti i livelli di visibilità.

Disattiva tutti livelli visibilità

Nasconde tutti i livelli di visibilità.

Livello visibilità <Nr>

Mostra o nasconde il livello di visibilità corrispondente.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Info

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun effetto a Runtime.

Nota sugli elementi di controllo: gli elementi di controllo vengono visualizzati a Runtime sempre nella posizione più avanzata. Questo vale anche quando nell´Editor sono coperti da altri elementi. In questo modo si garantisce che sia sempre possibile per l´utente lavorarci.


Barra degli strumenti "Lista macro"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Lista macro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro che sono state create con VBA, possono essere gestite usando la barra degli strumenti Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Aggiorna la lista delle macro VBA/VSTA

Carica nel menù a tendina della barra degli strumenti tutte le macro Public Sub Name () contenute in myWorkspace e nei moduli.

Cerca macro

Ricerca di macro effettuata usando il campo di inserimento del menù a tendina, oppure selezionandone una fra quelle offerte dal menù a tendina. Quando si apre il menù a tendina, la sua dimensione viene adeguata a quella dell´elemento più largo.

Macro del menù a tendina

Contiene tutte le macro caricate che potranno essere selezionate.

Esegui macro selezionata.

Esegue la macro selezionata nel menù a tendina.

Esegui la macro assegnata #<x>.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre la finestra di dialogo con la quale è possibile assegnare le macro ai singoli pulsanti della barra degli strumenti. È possibile collegare un massimo di 5 macro ai pulsanti dall´1 al 5.

Filtra per macro VBA

Filtra le macro VBA. Verranno visualizzate solamente le macro VBA.

Filtra per macro VSTA

Filtra le macro VSTA. Verranno visualizzate solamente le macro VSTA.

Visualizza tutte le macro

Elimina il filtro attualmente in uso; in questo caso verranno visualizzate tutte le macro.

AZ

Ordina le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Ordina le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Info

Se nella finestra di dialogo di collegamento delle macro non vengono visualizzate tutte la macro contenute in myWorkspace, eseguire la funzione Aggiorna la lista delle macro VBA.


Barra degli strumenti "Visualizzazione dettagli"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Visualizzazione dettagli"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella visualizzazione dettagli del Manager di progetto vengono visualizzate le barre degli strumenti del nodo attivato. Queste ultime corrispondono ai contenuti del relativo menù contestuale. La spiegazioni relative ai simboli delle singole barre degli strumenti si trovano nei capitoli dedicati ai diversi nodi del Manager di progetto, per esempio: Variabili - Visualizzazione dettagli - Barra degli strumenti


Barra degli strumenti "Proprietà"

Manuale -> Editor -> Barre degli strumenti -> Barra degli strumenti "Proprietà"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Un´apposita barra degli strumenti consente di organizzare la visualizzazione della finestra delle proprietà:

Simbolo

(da sinistra a destra)

Funzione

Raggruppato

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Usando il menù contestuale, si possono aggiungere o rimuovere inserimenti dai "Preferiti".

Standard per il manuale: le note nel manuale relative alle proprietà usano sempre la visualizzazione raggruppata. I contenuti dei gruppi corrispondono a quelli della Opzione dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono visualizzate in una lista. Usando il menù contestuale, si possono aggiungere o rimuovere inserimenti dai "Preferiti".

Opzione dialogo

Tutte le proprietà vengono raggruppate in modo logico come nel tipo di visualizzazione Raggruppato e i gruppi vengono ordinati secondo la frequenza e la priorità del loro uso in forma di finestra di dialogo. Con questo tipo di visualizzazione non è possibile definire dei preferiti.

Visualizza/nascondi Preferiti

Mostra o nasconde il nodo Preferiti in cima alle visuali Raggruppato o Tutte le proprietà. In questo nodo sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Il sistema propone di default dei preferiti.

Aggiungere o cancellare inserimenti dalla lista dei "Preferiti": lo si può fare usando il comando 'Aggiungi ai Preferiti' del menù contestuale della proprietà, oppure trascinando via Drag&Drop le proprietà desiderate nella lista dei favoriti.

La successione delle proprietà nella lista dei "Preferiti" è definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Nella visuale Opzione dialogo non è possibile creare dei preferiti.

Visualizza/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppato e Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Nelle visuali Raggruppato e Tutte le proprietà, visualizza le proprietà raggruppate in ordine alfabetico crescente o decrescente.

Espandi/riduci tutti i nodi

Espande o riduce tutti i nodi nelle visuali Raggruppato e Tutte le proprietà.

Eccezione: il nodo delle proprietà selezionate al momento rimane aperto quando si clicca su Riduci tutti i nodi.

Visualizza guida delle proprietà

Visualizza la guida integrata riguardante le proprietà (guida delle proprietà).

Rilascia proprietà

Simboli: rilascia la proprietà selezionata.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra dei menù

Manuale -> Editor -> Barra dei menù

La barra dei menù contiene (a seconda del modulo e dell´elemento selezionati) menù a tendina per i seguenti elementi.

Base

  • File
  • Modifica
  • Visuale
  • Immagini
  • Extras
  • Finestra
  • Guida

Immagini e simboli

Non appena viene aperta un´immagine, si aggiungono nuove voci di menù alla barra:

  • Elementi
  • Elementi di controllo

Quando si apre la Libreria simboli generale, la voce di menù Immagini viene sostituita da Simbolo.

Report

Se si apre un report:

  • La voce di menù Immagini viene sostituita da Report
  • Inoltre viene aggiunta la voce Formato
  • I comandi del menù Modifica vengono sostituiti

Ancora in questo capitolo

File

Modifica

Visuale

Immagini

Simbolo

Finestra

Guida

Extras


File

Manuale -> Editor -> Barra dei menù -> File

Sono possibili le seguenti azioni:

Voce di menù | Azione
Progetto nuovo... | Apre la finestra di dialogo per creare un nuovo progetto.
Inserisci progetto esistente... | Apre la finestra di dialogo per inserire un progetto esistente nell´Editor.
Inserisci progetto 5.50... | Apre la finestra di dialogo per inserire un progetto creato con l´Editor della versione 5.50.
Ripristina backup di progetto... | Apre la finestra di dialogo per caricare lo stato di un progetto salvato in un backup.

Workspace

Azioni per il workspace:

Voce di menù | Azione
Nuovo... | Apre la finestra di dialogo per creare un nuovo workspace.
Apri... | Apre la finestra di dialogo per caricare un workspace già esistente.
Salva | Salva l´attuale workspace.
Salva con nome... | Salva l'attuale workspace. È possibile selezionare il nome e il luogo di salvataggio.
Chiudi | Chiude l´attuale workspace.
Crea backup... | Apre la finestra di dialogo per salvare tutti i progetti dell attuale workspace. Il backup viene salvato in un file compresso *.wsb.
Ripristina backup... | Apre la finestra di dialogo per caricare i progetti salvati in un backup del workspace.

Configurazione generale

Impostazioni generali

Voce di menù

Azione

Licenza prodotto...

Apre la finestra di dialogo "Registra prodotto" che serve ad inserire il numero di serie e quello di attivazione, oppure a richiedere una licenza software.

Standard...

Apre la finestra di dialogo per la configurazione delle impostazioni standard; qui si definiscono le cartelle per salvare i diversi dati e le stampanti per:

  • AML
  • CEL
  • Valori
  • Protocolli
  • Screenshot
  • Blocco note

Pannello di controllo

Apre il pannello di controllo del sistema operativo.

Workspace esistenti

Lista dei workspace già esistenti. Vengono visualizzati gli ultimi 5 workspace selezionati. La lista viene aggiornata quando si passa da un workspace ad un altro, e, al momento della chiusura dell´Editor, viene scritta nel file zenon6.ini.

Chiudi

Chiude l´Editor di zenon.


Modifica

Manuale -> Editor -> Barra dei menù -> Modifica

Immagini e simboli

Quando si seleziona un´immagine o un simbolo, il menù Modifica offre delle funzioni specifiche.

Sono possibili le seguenti azioni:

Parametro

Descrizione

Annulla

Annulla l’ultima azione.

Il numero delle azioni annullabili viene definito alla voce Extras -> Impostazioni .

Attenzione: non è possibile annullare azioni nell´Editor dei modelli.

Taglia

Taglia gli oggetti selezionati e li salva negli appunti.

Copia

Copia gli oggetti selezionati e li salva negli appunti.

Incolla

Incolla oggetti tagliati o copiati presi dagli appunti. Gli elementi vengono inseriti sempre al centro dell´area nella quale si lavora. Se ci sono più oggetti, la posizione reciproca degli oggetti rimane la stessa.

Incolla nella stessa posizione

La copia dell´oggetto viene incollata nella stessa posizione dove si trova l´originale.

Elimina

Elimina gli oggetti selezionati.

Seleziona tutto

Seleziona tutti gli oggetti nella finestra principale.

Proprietà

Apre la finestra delle proprietà.

Sostituisci collegamenti...

Apre la finestra di dialogo per sostituire variabili o funzioni collegate ad elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.

Posizione elemento

Modifica la posizione degli elementi selezionati.

Tasto ALT+ clic con il tasto sinistro del mouse seleziona elementi di livelli inferiori.

Primo piano

Porta gli elementi selezionati in primo piano.

Sfondo

Porta gli elementi selezionati sullo sfondo.

In avanti

Sposta gli elementi selezionati di un piano in avanti.

Indietro

Sposta gli elementi selezionati indietro di un piano sullo sfondo.

Allinea

Riposiziona gli elementi selezionati.

Sinistra

Gli elementi selezionati vengono allineati a sinistra.

Destra

Gli elementi selezionati vengono allineati a destra.

In su

Gli elementi selezionati vengono allineati in alto.

In giù

Gli elementi selezionati vengono allineati in basso.

Disponi

Riordina elementi. Il punto di partenza è il primo elemento selezionato.

Stessa larghezza

Imposta la larghezza di tutti gli elementi selezionati in base a quella del primo elemento selezionato.

Nota: nel caso di elementi ruotati, la larghezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra degli strumenti "Orientamento".

Stessa altezza

Imposta l´altezza di tutti gli elementi selezionati in base a quella del primo elemento selezionato.

Nota: nel caso di elementi ruotati, l´altezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra degli strumenti "Orientamento".

Stesse dimensioni

Imposta le dimensioni (altezza e larghezza) del primo elemento selezionato per tutti gli altri elementi.

Nota: nel caso di elementi ruotati, la grandezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra degli strumenti "Orientamento".

Centra orizzontalmente

Centra orizzontalmente gli elementi selezionati rispetto al primo elemento.

Centra verticalmente

Centra verticalmente gli elementi selezionati rispetto al primo elemento.

Stessa distanza x

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse X sia uguale; i primi due elementi determinano la distanza.

Stessa distanza y

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse Y sia uguale; i primi due elementi determinano la distanza.

Stessa spaziatura x

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Perché questa opzione sia attiva, devono essere stati selezionati almeno tre elementi.

Stessa spaziatura y

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Perché questa opzione sia attiva, devono essere stati selezionati almeno tre elementi.

Rifletti orizz.

Riflette l´elemento selezionato su un´asse orizzontale.

Rifletti vertic.

Riflette l´elemento selezionato su un´asse verticale.

Ruota 90°

Ruota l´elemento selezionato di 90° in senso orario.

Ordinamento sinistra/destra

Imposta l´ordine di tabulazione in orizzontale per la funzione Set focus degli elementi.

Ordinamento alto/basso

Imposta l´ordine di tabulazione in verticale per la funzione Set focus degli elementi.

Simbolo

Crea

Crea un nuovo simbolo da tutti gli elementi selezionati.

Dividi

Il simbolo viene diviso nei suoi elementi originari; il simbolo non esiste più.

Modalità di modifica singola simbolo / elemento

Consente di modificare i singoli elementi che compongono un simbolo. Consente di passare fra la modalità di modifica singola e la modalità di modifica simbolo.

Inserisci nel simbolo esistente

Apre la lista dei simboli e consente di inserire il simbolo attivo in un simbolo della lista.

Elimina da un simbolo

Elimina l´elemento selezionato dal simbolo attivo. Questo elemento non apparterrà più al simbolo.

Converti simbolo in gruppo di elementi

Converte un simbolo in un gruppo di elementi. Il simbolo perde, dunque, il suo collegamento con quello originale nella libreria e potrà essere modificato solo localmente. Questa conversione non potrà essere annullata.

Lista simboli...

Apre una lista di tutti i simboli visualizzati nell'immagine attuale. Per ogni simbolo vengono elencate le singole componenti grafiche.

Modifica ordinamento per il focus

Apre il menù a tendina per definire la successione orizzontale o verticale per la gestione tastiera.

Ordinamento sinistra/destra

Stabilisce la successione orizzontale.

Ordinamento alto/basso

Stabilisce la successione verticale.

Reporting

Per i report, il menù Modifica mette a disposizione i seguenti inserimenti:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copia

Copia l´area evidenziata negli appunti.

Incolla

Aggiunge il contenuto degli appunti.

Incolla speciale

Offre delle opzioni di inserimento estese per operazioni cella:
  • Tutto

Inserisce tutto il contenuto degli appunti.

  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Il collegamento alle formule va perso.

  • Formato

Applica solamente il formato.

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle selezionate.

  • In giù

Le celle vengono popolate dall´alto in basso.
  • A destra

Le celle vengono popolate verso destra.

Elimina

Cancella dalle celle selezionate:
  • Tutto

Tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Elimina colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Trova/Sostituisci...

Apre la finestra di dialogo per la ricerca e la sostituzione nel foglio elettronico.


Visuale

Manuale -> Editor -> Barra dei menù -> Visuale

Sono possibili le seguenti azioni:

Voce di menù | Azione
Riga di stato | Mostra o nasconde la Barra di stato dell´Editor. Questa non è identica alla barra di stato della visualizzazione dettagli del Manager di progetto.
Manager di progetto | Visualizza la finestra del Manager di progetto.
Finestra di emissione | Visualizza la Finestra di emissione.
Lista incrociata | Visualizza la Lista riferimenti incrociati.
Finestra proprietà | Visualizza la Finestra delle proprietà.
Guida delle proprietà | Visualizza la finestra che contiene la guida delle proprietà.
Toolbar | Menù a tendina che consente di visualizzare/nascondere le barre degli strumenti.


Immagini

Manuale -> Editor -> Barra dei menù -> Immagini

Sono possibili le seguenti azioni:

Voce di menù

Azione

Salva immagine

Salva l'immagine attuale.

Salva tutte le immagini

Salva tutte le immagini.

Ridisegna immagine

Ridisegna la pagina attiva.

Mostra griglia

Attiva o disattiva la visualizzazione della griglia.

Utilizza la griglia

Attiva o disattiva l´uso della griglia.

Attiva: tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di ancoraggio.

Usare: se si avvicina un oggetto al punto di ancoraggio di un altro, l´oggetto in questione si aggancerà a questo punto di ancoraggio.

Zoom

Modifica il fattore di zoom per la visualizzazione; il menù a tendina mette a disposizione valori predefiniti compresi fra 15 % e 400 %.

Esporta immagine/simbolo su file grafico....

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva:

  • In immagini: l´immagine selezionata con tutti gli elementi e i simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Quando si clicca su questo comando, si apre il visualizzatore file (file browser). Qui si seleziona il luogo di salvataggio, il nome e il tipo di file.

Inserisci grafica vettoriale...

Apre la finestra di dialogo per inserire una grafica vettoriale esterna.
Supporta alcune versioni dei tipi di dato DXF e PLT.

Nota: l´importazione di grafiche vettoriali non è disponibile per l´Editor a 64-Bit.

info Info

Non appena viene attivato un elemento ad immagine, viene visualizzato il menù Elementi. Questo menù mette a disposizione tutti gli elementi vettoriali e gli elementi dinamici che si trovano nella barra degli strumenti Elementi. Se si selezionano degli speciali tipi d´immagine, diventa attivo anche il menù Elementi di controllo. Questo menù mette a disposizione dell´utente gli elementi di controllo relativi al tipo d´immagine selezionato.


Simbolo

Manuale -> Editor -> Barra dei menù -> Simbolo

Sono possibili le seguenti azioni:

Voce di menù

Azione

Salva simbolo

Salva il simbolo corrente.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre la finestra di dialogo per la configurazione della grandezza del simbolo e del colore di sfondo.

Nota: modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista simboli...

Apre una lista di tutti i simboli visualizzati nell'immagine attuale. Per ogni simbolo vengono elencate le singole componenti grafiche.

Modalità schermo intero

La modalità "schermo intero" esclude dalla visualizzazione tutte le altre finestre e visualizza solamente quella principale, con tutti i documenti aperti (immagini, report....), in forma di immagine che occupa tutto lo schermo.

Nota: il menù Elementi di controllo può essere aperto anche in modalità schermo intero.

La modalità schermo intero può essere chiusa:

  • Con il pulsante visualizzato per chiudere la modalità schermo intero.
  • Con la combinazione di tasti Shift +F9

Ridisegna simbolo

Ridisegna la pagina attiva.

Mostra griglia

Attiva o disattiva la visualizzazione della griglia.

Utilizza la griglia

Attiva o disattiva l´uso della griglia.

Attiva: tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usare: se si avvicina un oggetto al punto di ancoraggio di un altro, l´oggetto in questione si aggancerà a questo punto di ancoraggio.

Modifica ordinamento per il focus

Apre il menù a tendina per definire la successione orizzontale o verticale per la gestione tastiera.

Ordinamento sinistra/destra: determina la successione orizzontale.

Ordinamento alto/basso: determina la successione verticale.

Zoom

Modifica il fattore di zoom per la visualizzazione; il menù a tendina mette a disposizione valori predefiniti compresi fra 15 % e 400 %.

Esporta simbolo su file...

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva:

  • In immagini: l´immagine selezionata con tutti gli elementi e i simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Quando si clicca su questo comando, si apre il visualizzatore file (file browser). Qui si seleziona il luogo di salvataggio, il nome e il tipo di file.

Inserisci grafica vettoriale...

Apre la finestra di dialogo per inserire una grafica vettoriale esterna.


Finestra

Manuale -> Editor -> Barra dei menù -> Finestra

Sono possibili le seguenti azioni:

Voce di menù

Azione

Modalità schermo intero

La modalità "schermo intero" esclude dalla visualizzazione tutte le altre finestre e visualizza solamente quella principale, con tutti i documenti aperti (immagini, report....), in forma di immagine che occupa tutto lo schermo.

Nota: il menù Elementi di controllo può essere aperto anche in modalità schermo intero.

La modalità schermo intero può essere chiusa:

  • Con il pulsante visualizzato per chiudere la modalità schermo intero.
  • Con la combinazione di tasti Shift +F9

Chiudi

Chiude la finestra attiva.

Dividi

Suddivide la finestra principale e posiziona le finestre attive in modo corrispondente.

Lista delle finestre

Visualizza le finestre aperte. Al massimo 9 finestre possono essere visualizzate in questa lista.

Finestra

Apre la finestra di dialogo per gestire le finestre aperte in quella principale:

  • Attiva
  • Salva (possibile selezione multipla)
  • Chiudi (possibile selezione multipla)

La finestra attiva al momento viene evidenziata nella visualizzazione (selezionata e sfondo color blu).


Guida

Manuale -> Editor -> Barra dei menù -> Guida

Sono possibili le seguenti azioni:

Voce di menù | Azione
Informazioni... | Apre la finestra di dialogo contenente le informazioni relative a versione e licenza.
Primi Passi | Apre la sezione Tutorial della guida in linea.
Guida | Carica la guida in linea.
I video tutorial di zenon | Apre in un browser web il canale YouTube di COPA-DATA con video che offrono esempi di progettazione. Si prega di tenere presente che la pagina web viene aperta via HTTPS. Il computer deve avere un accesso a Internet e la porta corrispondente deve essere disponibile.
Aggiorna documentazione... | Apre il Documentation-Download Tool per eseguire un update della documentazione.


Extras

Manuale -> Editor -> Barra dei menù -> Extras

Sono possibili le seguenti azioni:

Voce di menù

Azione

Gestione Add-Ins per l´Editor...

Apre la finestra di dialogo che consente di gestire gli Add-In.

Aggiorna Add-Ins per l'Editor

Apre la finestra di dialogo che consente di eseguire l´update di Add-In e Wizard.

Informazioni più precise a questo proposito si trovano nella parte della documentazione dedicata ai Wizard, capitolo Update dei Wizard.

Nota: questo punto di menù esiste solamente se è stato attivato VBA VSTA nel file zenon6.ini. Per attivare VBA, assicurarsi che nel settore [VBA] del file sia presente l´inserimento EIN=1.

Avvia Wizards in Editor...

Apre la finestra di dialogo che consente di selezionare un assistente.

Nota: questo punto di menù esiste solamente se è stato attivato VBA VSTA nel file zenon6.ini. Per attivare VBA, assicurarsi che nel settore [VBA] del file sia presente l´inserimento EIN=1.

Gestione servizi Editor...

Apre la finestra di dialogo che consente di gestire i servizi Editor.

Apri Editor Add-In

Apre l´Editor per la programmazione di Add-In.

Apri Editor VSTA con WorkspaceAddin...

Apre l’Editor VSTA

Nota: questo punto di menù esiste solamente se è stato attivato VSTA nel file zenon6.ini. Per attivare VBA, assicurarsi che nel settore [VBA] del file sia presente l´inserimento EIN=1.

Apri Editor VBA

Apre l’Editor di Visual Basic.

Nota: questo voce di menù esiste solamente se è stato attivato VBA nel file zenon6.ini. Per attivare VSTA, assicurarsi che nel settore [VSTA] del file sia presente l´inserimento ON=1.

Aggiorna Runtime di Windows CE...

Apre l´applicazione per eseguire l´update di un Runtime Windows CE.

Compila progetto per il Web

Compila un progetto per consentirne l´uso con HTML Web Engine.

Definizione nuova voce di menù...

Apre la finestra di dialogo che consente di implementare programmi esterni come proprie voci di menù.

Suggerimento: se è già stata creata un´altra voce di menù, quest´ultima verrà visualizzata in questa finestra di dialogo. Nuove e ulteriori voci di menù vengono create alla voce Extras -> Impostazioni -> Menu Tools.

Gestione profili Editor

Apre il sottomenù che consente di gestire i profili Editor.

Impostazioni

Apre la finestra di dialogo che consente di configurare le impostazioni generali, i menù, gli schemi colore, i comandi e le barre degli strumenti.

Ancora in questo capitolo

Impostazioni

Menù Tools

Schema colori

Comandi

Toolbar


Impostazioni

Manuale -> Editor -> Barra dei menù -> Extras -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Impostazioni è possibile definire le impostazioni di base per zenon.

Editor e Runtime

Parametro | Descrizione
Lingua selezionata | Scegliere la lingua da utilizzare nell´interfaccia dell´Editor. Per rendere effettivo il cambio di lingua, l´Editor deve essere riavviato. La lingua standard dell´Editor e l´inglese.
Non inviare segnalazione di errori a Microsoft. | Attivo: impedisce che venga inviata una segnalazione di errore a Microsoft quando il programma smette di funzionare.

Opzioni Editor

Parametro | Descrizione
Carica l'ultimo Workspace attivo | Attivo: all´avvio dell´Editor vengono caricati gli ultimi workspace attivi e visualizzati in una struttura ad albero (Default). Non attivo: all´avvio dell´Editor non viene caricato nessun workspace. I progetti e i workspace esistenti possono essere aperti usando il menù contestuale, che consente anche di crearne dei nuovi.
Visualizza bordi in Editor per gli elementi dinamici | Attivo: visualizza gli elementi dinamici nell´Editor con una cornice di posizione.
Filtro nella lista dettagliata Case Sensitive | Attivo: il filtro nella visualizzazione lista distingue fra lettere maiuscole e minuscole. Non attivo: il filtro nella visualizzazione lista non tiene conto di scrittura in lettere maiuscole e minuscole (Default).
Ordinamento logico dei testi in visualizzazione dettagli | Attivo: i nomi file contenenti numeri vengono ordinati secondo un criterio logico, per es. 1, 2, 10, 11 Non attivo: i nomi file contenenti numeri vengono ordinati secondo un criterio alfabetico nella visualizzazione a lista, per es. 1, 10, 11, 2
Utilizza Assistenti di configurazione | Attivo: quando si creano Archivi, Elementi combinati e Slider universale, il sistema offre automaticamente l´aiuto di un assistente per aiutare nella loro configurazione. Non attivo: Archivi, Elementi combinati e Slider universale dovranno essere configurati manualmente.
Colore delle colonne filtrate nella lista oggetti | Configurazione del colore di sfondo per evidenziare le colonne filtrate nelle liste configurabili. Cliccando sul campo colore, si apre la finestra di dialogo che consente di selezionare un colore.

Modifica immagine

Parametro | Descrizione
Utilizza accelerazione Hardware, se disponibile | Attivo: viene utilizzata l´accelerazione Hardware. Non attivo: non viene utilizzata l´accelerazione Hardware.
Immissione parametri alla creazione | Attivo: quando si crea un elemento dinamico, si aprono automaticamente le finestre di dialogo per configurare i dettagli, come, ad esempio, quella che consente di selezionare una variabile da collegare all´elemento stesso. Non attivo: l´elemento dinamico viene disegnato, mentre le sue proprietà devono essere configurate separatamente.
Visualizza finestra 'Sostituisci collegamenti' all'inserimento del simbolo | Attivo: quando si inserisce un simbolo in un´immagine, viene visualizzata öa finestra di dialogo Sostituisci collegamenti. Non attivo: la finestra di dialogo non verrà aperta. I collegamenti possono essere sostituiti in qualsiasi momento usando il comando Sostituisci collegamenti del menù contestuale.
Spazio per cambio posizione | Evita uno spostamento involontario di elementi. Prima che un elemento venga effettivamente spostato, deve essere mosso perlomeno de numero di pixel indicato per questa proprietà.
Dimensione punti di selezione |
Azioni annullabili | Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni. Indicare un numero compreso fra 1 e100.

Griglia

Parametro

Descrizione

Mostra griglia

Attivo: visualizza nella finestra principale la griglia definita alla voce Tipo di griglia.
Non attivo: la griglia non verrà visualizzata.

Posiziona sulla griglia

Attivo: gli elementi d'immagine vengono sempre allineati sulla base della griglia. Questa funzione è indipendente dall’opzione Mostra griglia.

Colore

Definisce il colore della griglia. Per consentire la selezione del colore della griglia viene visualizzata la tavolozza dei colori di Windows.

Visualizzazione

Menù a tendina con il tipo di visualizzazione della griglia:

  • Pieno
  • Intersezioni

Spazio verticale

Definisce la distanza verticale fra i singoli punti di intersezione in cui à articolata la griglia. Questo parametro, dunque, definisce anche il grado di precisione con cui possono essere visualizzate le dimensioni dell´elemento d´immagine.

Valore consigliato per questo parametro: 10 Pixel

Spazio orizzontale

Definisce la distanza orizzontale fra i singoli punti di intersezione in cui à articolata la griglia. Questo parametro, dunque, definisce anche il grado di precisione con cui possono essere visualizzate le dimensioni dell´elemento d´immagine.

Valore consigliato per questo parametro: 10 Pixel

Punti di ancoraggio

Parametro | Descrizione
Utilizza ancoraggio tra elementi vicini | Gli elementi hanno punti di ancoraggio. Se, spostando un oggetto, ci si avvicina al punto di ancoraggio di un altro, il punto di ancoraggio dell´oggetto selezionato ci si aggancia e si orienta rispetto ad esso.
Dimensione nell'Editor immagini\simboli | Definisce la grandezza del punto di aggancio in pixel (punti quadrati). Inserire un numero compreso fra 1 e 20.
Dimensione nell'Editor modelli | Definisce la grandezza del punto di aggancio in pixel (punti quadrati) per l´orientamento di modelli ad altri modelli, oppure ai bordi dello schermo. Inserire un numero compreso fra 1 e 40.


Menù Tools

Manuale -> Editor -> Barra dei menù -> Extras -> Menù Tools

Nella finestra di dialogo Menù Tools è possibile implementare programmi esterni nella struttura di menù dell´Editor. I programmi implementati individualmente verranno visualizzati alla fine delle voci del menù Extras.

Contenuti menù

Opzioni | Azione
Contenuti menù | Visualizza una lista dei programmi esterni già implementati.
Nuovo... | Aggiunge una nuova voce di menù.
Elimina | Elimina una nuova voce esistente dal menù.
In su | Sposta verso l´alto la voce di menù selezionata nella lista e nel menù.
In giù | Sposta verso il basso la voce di menù selezionata nella lista e nel menù.
Menù testo | Nome con il quale verrà visualizzato il nuovo menù nelle opzioni.
File | Nome e percorso del programma esterno che deve essere aperto (file *.exe).
Parametri | Ulteriore switch per l´apertura del programma, per esempio un nome di file.

Example Esempio

Menù testo: Editor testo

File: C:\Windows\notepad.exe

Parametri: C:\test.txt

Apre il blocco note e il file test.exe. Se questo file non esiste, il sistema propone di crearlo.


Schema colori

Manuale -> Editor -> Barra dei menù -> Extras -> Schema colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda delle finestra di dialogo "Impostazioni" si definisce lo schema colore per l´Editor.

Schema colori per l'Editor

Parametro | Descrizione
Schema colori per l'Editor | Cliccando sul menù a tendina, si apre la lista con le possibilità fra cui eseguire la selezione.
Anteprima | Modifica lo schema colore dell´Editor. La finestra di dialogo rimane aperta.
OK | Applica le modifiche e chiude la finestra di dialogo.
Annulla. | Rifiuta le modifiche e chiude la finestra di dialogo.


Comandi

Manuale -> Editor -> Barra dei menù -> Extras -> Comandi

Nella finestra di dialogo Comandi si stabilisce quali comandi debbano essere a disposizione nelle diverse barre degli strumenti.

Categorie

Opzioni | Azione
Categorie | Selezione della categoria che contiene il comando desiderato.

Comandi

Opzioni | Azione
Comandi | Lista dei comandi a disposizione.
Descrizione | Testo per tooltip Se si porta il puntatore del mouse su un pulsante, viene visualizzata una breve descrizione della funzione di quest´ultimo sotto forma di tooltip.

Aggiungere un simbolo

  1. Aprire il menù Extras -> Impostazioni -> Tab: Comandi.
  2. Selezionare nella finestra a sinistra una categoria.
  3. Cliccare nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. Tenendo premuto il tasto sinistro del mouse, trascinare il simbolo nella posizione desiderata nella barra degli strumenti.

Cancellare simboli

  1. Aprire il menù Extras-> Impostazioni -> Tab: Toolbar.

    Verranno attivati tutti i simboli di tutte le barre degli strumenti nell´Editor

  2. Cliccare con il tasto sinistro del mouse sul simbolo che si vuole eliminare.
  3. Trascinare il simbolo fuori dalla barra degli strumenti e rilasciare il tasto del mouse.

info Info

Per annullare delle modifiche apportate ad una barra degli strumenti e per ripristinare lo stato originale, passare alla scheda Toolbar. Selezionare la barra degli strumenti in questione e cliccare sul pulsante Ripristina, oppure su Ripristina tutto: in quest´ultimo caso verrà ripristinato lo stato originale per tutte le barre degli strumenti.


Toolbar

Manuale -> Editor -> Barra dei menù -> Extras -> Toolbar

Nella finestra di dialogo Toolbar si definisce l´aspetto e la visibilità delle barre degli strumenti.

Barre degli strumenti

Opzioni | Azione
Barre degli strumenti | Checkbox attiva: la barra simboli verrà visualizzata nell´Editor.
Ripristina | Ripristina lo stato originario della barra degli strumenti selezionata.
Ripristina tutti | Ripristina lo stato originario di tutte le barre degli strumenti.


Profili editor

Manuale -> Editor -> Profili editor

L´Editor si apre in un´impostazione standard, con finestre predefinite. È però possibile modificare a piacere la posizione delle finestre. Informazioni dettagliate a questo proposito si trovano nel capitolo Adatta visualizzazione

Nota:

  • Solo la modalità schermo intero è garanzie di funzionalità ottimale.
  • I profili Editor funzionano in modo diverso da versione a versione. L´esportazione e l´importazione di profili Editor fra differenti versioni non sono supportate.

Impostazioni individuali

Le impostazioni individuali vengono modificate e gestite nei profili. Si può accedere ai profili nei modi seguenti:

  • Mediante la barra degli strumenti Profili editor

    (Vedi: Gestire i profili Editor nella barra degli strumenti)

  • Mediante il sottopunto Gestione profili editor del menù Extras della barra dei menù.

    (Vedi Gestire i profili Editor mediante il Menù)

  • Mediante combinazioni di tasti

    (Vedi Gestire i profili Editor con combinazioni di tasti)

È possibile attribuire profili Editor a singoli moduli anche tramite il menù contestuale (vedi: Selezionare profili Editor nel menù contestuale), oppure si possono usare profili predefiniti.

info Info

Nel caso di finestre divise (come il Manager di progetto, suddiviso in visuale generale e visualizzazione dettagli), la definizione della larghezza vale sempre per la finestra nel suo complesso. Al momento dell´avvio e della chiusura dell`Editor, il sistema determina la corretta relazione fra gli elementi della finestra.

Se la relazione reciproca fra gli elementi della finestra viene modificata, l´apertura di un profilo provoca solamente l´impostazione della finestra nel suo complesso in base ai valori definiti. La relazione reciproca fra visuale generale e visualizzazione dettagli del Manager di progetto, per esempio, non verrà modificata.

Ancora in questo capitolo

Profili predefiniti

Gestire i profili Editor nella barra degli strumenti

Gestire i profili Editor usando il menù

Gestire i profili Editor con combinazioni di tasti

Selezionare profili Editor nel menù contestuale

Cancellare profili Editor

Assegnazione di nomi individuali ai profili Editor


Profili predefiniti

Manuale -> Editor -> Profili editor -> Profili predefiniti

In zenon sono a disposizione dell´utente tre profili predefiniti. Si ottimizza il layout dell´Editor per:

  • Visualizzazione lista (variabili, funzioni, ricette, ecc.):
    Profilo 1 in posizione di memorizzazione P1.
  • Immagini:
    Profilo 2 in posizione di memorizzazione P2.
  • Standard per task generali:
    Profilo 3 in posizione di memorizzazione P3.

I profili predefiniti devono essere attivati in modo esplicito. Questi profili sovrascrivono le posizioni di memorizzazione P1, P2 e P3. Se li si attiva, quando si seleziona un nodo dell´albero di progetto, il sistema applica il profilo ad esso assegnato. Se, invece, si disattiva l´assegnazione automatica dei profili, questo meccanismo automatico non verrà più applicato quando si passa da un nodo all´altro. Le posizioni di memorizzazione P1, P2 e P3 continuano a contenere i profili corrispondenti. Questi ultimi possono essere assegnati manualmente, oppure possono essere sovrascritti da profili definiti individualmente.

Selezionare un profilo predefinito

È possibile attivare o disattivare questi profili. A questo scopo, usare o i simboli nella barra degli strumenti per i profili Editor, oppure:

  1. Aprire il menù Extras.
  2. Cliccare su Gestione profili Editor
    • Carica profili predefiniti: carica i profili predefiniti sui primi tre posti di memorizzazione e li assegna ai moduli. I profili già esistenti verranno sovrascritti.
    • Cancella riferimenti profili: Cancella tutti i collegamenti di profili predefiniti con i moduli.

Per utilizzare i profili, selezionare nel menù contestuale del modulo desiderato la voce Profilo editor -> [Numero profilo].

attention Attenzione

Quando si attivano i profili predefiniti, le impostazioni corrispondenti vengono assegnate alle posizioni di memorizzazione P1, P2 e P3; i profili vengono rinominati P1, P2 e P3. Anche le impostazioni e i nomi individuali per tutte le altre posizioni di memorizzazione (da P4 a P10) vanno perse. Il profilo standard viene mantenuto.

Segnalazione di errore al momento dell´apertura di profili predefiniti.

Quando si seleziona un profilo predefinito, se viene visualizzata una segnalazione di errore con il rimando allo zenAdminSrv, le ragioni possono essere due:

  1. Il servizio zenAdminSrv è eseguito con un numero di versione inferiore a quello dell´Editor con cui si lavora al momento.
    Soluzione: eseguire l´update del servizio.
  2. I profili sono stati rimossi dalla cartella standard:
    Soluzione: copiare il file Predefined Editor Profiles.epf nella cartella C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (xxx corrisponde alla versione attuale di zenon).

Profili

Profilo 1: visualizzazione liste

Visualizzazione ottimizzata per la modifica di variabili e visualizzazioni lista.

Profilo 2: immagini

Visualizzazione ottimizzata per la modifica di immagini.

Profilo 3: standard

Visualizzazione standard, ottimizzata per i moduli che non si basano su liste.


Gestire i profili Editor nella barra degli strumenti

Manuale -> Editor -> Profili editor -> Gestire i profili Editor nella barra degli strumenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, la barra degli strumenti "Profili Editor" viene visualizzata al centro della seconda riga dei simboli dell´Editor. Se è stata disattivata e perciò non viene visualizzata, cliccare con il tasto destro del mouse accanto alle barre degli strumenti e selezionare Profili editor. Verrà visualizzata la seguente barra degli strumenti:

Simbolo

(da sinistra a destra)

Funzione

Carica il profilo standard

Ripristina tutte le impostazioni iniziali per la visualizzazione e la posizione delle finestre, ma anche per i contenuti e la visualizzazione delle barra degli strumenti e dello stato di emissione; carica il profilo standard di zenon.

Selezionare profilo Editor

Selezione di un profilo Editor fra i dieci proposti dal menù a tendina.

Carica il profilo Editor selezionato

Carica il profilo selezionato nell´area Selezionare profilo Editor.

Salva il Profilo editor selezionato

Salva le impostazioni correnti relative alle finestre nel profilo visualizzato nel settore Selezionare profilo Editor.

Carica profili standard

Carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Gli eventuali profili già esistenti verranno sovrascritti.

Reimposta i filtri

Cancella tutti i collegamenti dei profili predefiniti con i moduli.

Salvataggio automatico dei profili Editor

Attivo: le modifiche del profilo corrente vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Non attivo: le modifiche non vengono salvate quando si cambia profilo; quando si riaprirà il profilo in questione, verranno riproposte le posizioni originali.

Assegna nomi ai profili Editor.

Apre una finestra di dialogo che consente di assegnare nomi individuali ai profili Editor.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Nota: è possibile inserire nella barra degli strumenti ulteriori opzioni per l´importazione ed esportazione usando l´adeguamento dei comandi definito dall´utente per le barre degli strumenti. Per esportare o importare dei profili Editor, nel Menù principale selezionare l´opzione corrispondente alla voce Extras -> Gestione profili Editor..


Gestire i profili Editor usando il menù

Manuale -> Editor -> Profili editor -> Gestire i profili Editor usando il menù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gestire i profili Editor usando il menù, selezionare Extras -> Gestione profili Editor.

Sono disponibili le seguenti opzioni:

Opzioni | Funzione
Nome... | Apre una finestra di dialogo che consente di assegnare nomi individuali ai profili.
Carica profilo standard | Resetta tutte le impostazioni relative alle finestre su quelle di default e carica il profilo standard di zenon.
Carica profili predefiniti | Carica i profili predefiniti di COPA-DATA sui primi tre posti di memorizzazione e li collega ai moduli. I profili già esistenti verranno sovrascritti.
Cancella riferimenti profili | Cancella tutti i collegamenti dei profili predefiniti con i moduli.
Esportare... | Apre il file manager e salva le impostazioni come file .zip; la cartella in cui salvare questo file può essere scelta liberamente.
Importazione... | Apre il file manager per consentire di selezionare un file .zip in cui sono state salvate impostazioni relative ai profili Editor e importarlo.

Per selezionare dei profili Editor individuali o per salvarli, usare le funzioni corrispondenti della barra degli strumenti o le combinazioni di tasti.


Gestire i profili Editor con combinazioni di tasti

Manuale -> Editor -> Profili editor -> Gestire i profili Editor con combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono possibili le seguenti azioni:

Comandi | Combinazione di tasti
Caricare profilo editor 1 | Shift+F1
Caricare profilo editor 2 | Shift+F2
Caricare profilo editor 3 | Shift+F3
Caricare profilo editor 4 | Shift+F4
Caricare profilo editor 5 | Shift+F5
Caricare profilo editor 6 | Shift+F6
Caricare profilo editor 7 | Shift+F7
Caricare profilo editor 8 | Shift+F8
Salva visuale Editor attuale come: |
Profilo Editor 1 | Ctrl+Shift+F1
Profilo Editor 2 | Ctrl+Shift+F2
Profilo Editor 3 | Ctrl+Shift+F3
Profilo Editor 4 | Ctrl+Shift+F4
Profilo Editor 5 | Ctrl+Shift+F5
Profilo Editor 6 | Ctrl+Shift+F6
Profilo Editor 7 | Ctrl+Shift+F7
Profilo Editor 8 | Ctrl+Shift+F8


Selezionare profili Editor nel menù contestuale

Manuale -> Editor -> Profili editor -> Selezionare profili Editor nel menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Manager di progetto, è possibile usare il menù contestuale per assegnare in modo stabile ad ogni progetto, o ad ogni sua parte, determinati profili Editor: Cliccare con il tasto destro del mouse sul nodo desiderato -> Selezionare Profili Editor-> Selezionare.

È possibile eliminare un´assegnazione effettuata selezionando l´inserimento 'nessuno' nel menù contestuale.


Cancellare profili Editor

Manuale -> Editor -> Profili editor -> Cancellare profili Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare i dati relativi ai profili:

  1. Cancellare l´intera cartella Editor, nel percorso C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor

    Nota: si deve sostituire USERNAME con il nome utente dell´utente Windows registrato.

  2. Cancellare l´inserimento per i profili nella Windows registry sotto: HKEY_CURRENT_USER\Software\COPA-DATA\Editor\Profiles


Assegnazione di nomi individuali ai profili Editor

Manuale -> Editor -> Profili editor -> Assegnazione di nomi individuali ai profili Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente ha la possibilità di personalizzare i profili Editor e di assegnargli nomi individuali. Il nome viene assegnato o direttamente nella barra degli strumenti, o mediante combinazione di tasti oppure usando una finestra di dialogo.

Per configurare dei profili individuali:

  1. Posizionare le finestre dell´Editor come si desidera.
  2. Aprire la finestra di dialogo per assegnare un nome individuale.
    • Barra degli strumenti, simbolo Assegna nome ai profili oppure
    • Menù-> Extras -> Gestione profili Editor -> Nome

  3. Indicare nel campo di inserimento il nome desiderato, digitandolo dopo la denominazione breve del profilo Editor (P1, P2, ecc.).

attention Attenzione

Quando si attivano i profili predefiniti, le impostazioni corrispondenti vengono assegnate alle posizioni di memorizzazione P1, P2 e P3; i profili vengono rinominati P1, P2 e P3. Anche le impostazioni e i nomi individuali per tutte le altre posizioni di memorizzazione (da P4 a P10) vanno perse. Il profilo standard viene mantenuto.

Usando le combinazioni di tasti da Shift+F1 a Shift+F8, è possibile aprire in qualsiasi momento i primi 8 profili dell´Editor. Oppure si può selezionare il profilo Editor desiderato usando il simbolo corrispondente nella barra degli strumenti.


Manager di progetto

Manuale -> Editor -> Manager di progetto

Il Manager di progetto si trova di default sul margine sinistro dello schermo, direttamente sotto le barre degli strumenti. Ci sono due tipi di visualizzazione del Manager di progetto:

  • Albero di progetto
  • Topologia di rete

Albero di progetto

L´albero di progetto contiene:

  • A sinistra, il Workspace con i progetti e la Libreria simboli generale:
    • Nel workspace si trovano tutti i progetti caricati con le loro variabili, funzioni, immagini ecc.
    • La Libreria simboli generale contiene una serie di grafiche predefinite cui potranno essere aggiunte delle nuove grafiche create dall´utente.
  • Nella parte destra del Manager di progetto si trova la "visualizzazione dettagli":

    In questa finestra viene visualizzata una lista di tutti gli elementi e delle impostazioni relativi al nodo selezionato nella struttura ad albero del Manager di progetto.

Topologia di rete

La visuale chiamata "Topologia di rete" visualizza la struttura della topologia di tutti i progetti presenti nel workspace e consente di controllare tutti i componenti che costituiscono la rete, e di trasferire via Trasporto Remoto i file Runtime ai computer connessi.

Informazioni dettagliate su questo argomento si trovano nella parte di questa documentazione dedicata al tema "Rete", e in particolare nel capitolo Verificare la validità della Topologia di rete.

Ancora in questo capitolo

Workspace

Visualizzazione dettagli del Manager di progetto

File

Libreria simboli generale

Dialoghi di selezione


Workspace

Manuale -> Editor -> Manager di progetto -> Workspace

Il workspace è l´area in cui si amministrano i seguenti componenti di un progetto:

  • Variabili
    • Driver
    • Tipi di dato
    • Matrici di reazione
    • Attribuzioni
    • Allarmi
    • Unità di misura
  • Immagini
    • Modelli
    • Caratteri
    • Tavolozze di colori
    • Libreria simboli
  • Funzioni
    • Script
  • File lingua
  • Server di archiviazione
  • Ricette
    • Ricette standard
    • Manager di gruppi ricette
  • Batch Control
  • Temporizzatori
  • Interfacce di programmazione
    • Process Control Engine
    • Lista Macro
    • VSTA
  • zenon Logic è un ambiente di sviluppo per IEC 61131-3.
  • Production & Facility Scheduler
  • Interblocchi
  • Comandi
  • Load Management
  • Message Control
  • Menù
  • Generatore Report
  • Gestione user
    • Utenti
    • Gruppi utenti
  • Interfaccia SAP
  • File: aggiunge file esterni. Questi file non vengono modificati con zenon, ma con un programma esterno.
    • Grafica
    • Guida
    • Multimedia
    • Testi e formati
    • Driver
    • Report Viewer
    • Altro
  • Log delle modifiche
  • Progettazione impianto
  • Backup progetto

La disponibilità dei singoli componenti può dipendere dalla licenza scelta. Per verificare quali moduli sono disponibili con la licenza di cui si è in possesso, cliccare su Guida -> Info su.....

Se si desidera estendere la lista dei moduli a disposizione acquistando una licenza più ampia, rivolgersi al distributore di zona, oppure a sales@copadata.com.

info Info

I singoli elementi del Manager di progetto, come variabili e funzioni, possono essere visualizzati in una finestra propria. A questo scopo, cliccare sul comando Apri in nuova finestra del menù contestuale. Questo consente, ad esempio, di modificare contemporaneamente variabili e funzioni.

Ancora in questo capitolo

Workspace - Visualizzazione dettagli


Workspace - Visualizzazione dettagli

Manuale -> Editor -> Manager di progetto -> Workspace -> Workspace - Visualizzazione dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione dettagli del workspace è la finestra nella quale si gestiscono i progetti. Vengono visualizzati solamente i progetti caricati al momento, cioè il progetto attivo e tutti quei progetti in cui l´opzione Mantieni progetto in memoria è attiva.

Barra degli strumenti

Simbolo

Descrizione

Nuovo progetto

Apre la finestra di dialogo che consente di creare un nuovo progetto.

Inserisci progetto esistente...

Apre la finestra di dialogo che consente di inserire un progetto esistente.

Inserisci progetto 5.50...

Apre il browser file per consentire di selezionare un progetto della versione 5.50.

Ripristina backup di progetto...

Apre la finestra di dialogo che consente di ripristinare un backup di progetto

Elimina progetto selezionato...

Elimina il progetto selezionato dopo una richiesta di conferma. Se vengono selezionati più progetti, verrà cancellato quello selezionato per ultimo.

Workspace

Azioni per il workspace:

  • Nuovo...: Apre la finestra di dialogo che consente di creare un nuovo workspace.
  • Apri...: Apre la finestra di dialogo che consente di aprire un workspace già esistente.
  • Salva: Salva il workspace.
  • Salva con nome...: Salva il workspace con un nuovo nome.
  • Chiudi: Chiude il workspace attivo.
  • Crea backup...: Apre la finestra di dialogo che consente la creazione di un nuovo backup.
  • Ripristina Backup...: Apre la finestra di dialogo che consente di ripristinare un backup.

Apri l´Editor VSTA con WorkspaceAddin

Apre l'Editor VSTA con lo zenon WorkspaceAddin.

Apri Editor VBA...

Apre l’editor VBA.

Avvia l´Editor Wizards...

Apre la finestra di dialogo contente i Wizard disponibili.

Aggiorna Wizard

Apre la finestra di dialogo per l´update dei Wizard.

Rimuovi tutti i filtri

Elimina tutti i filtri impostati.

Proprietà

Apre la finestra delle proprietà.

Guida

Apre la guida online.

Queste azioni sono disponibili anche come comandi nel menù contestuale del nodo Workspace.


Visualizzazione dettagli del Manager di progetto

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un elemento nella struttura ad albero del Manager di progetto, tutti gli oggetti appartenenti a questo elemento vengono visualizzati con le loro proprietà nella visualizzazione dettagli.

Con la visuale a tabella, si può:

Azione

Procedura

Selezionare liberamente le colonne

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Selezione colonne

Modificare la larghezza delle colonne:

  • Sul titolo della colonna, spostare il puntatore del mouse sulla linea di separazione finché non assume la forma di una croce.
  • Tenere premuto il tasto del mouse.
  • Trascinare la colonna finché non avrà la dimensione desiderata.

Ordinare le colonne:

Cliccando con il mouse sul titolo della colonna si inverte l´ordine corrente della lista (crescente/ decrescente).

Formattare una colonna

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Formatta colonne

Raggruppa proprietà

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Raggruppa per questa colonna oppure

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Annulla raggruppamento

Adattare la visualizzazione alla larghezza della finestra

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Aggiusta la dimensione alla larghezza della finestra

Eliminare una colonna

Cliccare con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Elimina colonna selezionata

Menù contestuale

Comando | Azione
Ordinamento crescente | Ordina la colonna in senso crescente.
Ordinamento decrescente | Ordina la colonna in senso decrescente.
Raggruppa per questa colonna | Raggruppa gli elementi in base a questa colonna.
Annulla raggruppamento | Elimina il raggruppamento esistente.
Selezione colonne... | Apre la finestra di dialogo che consente di selezionare quali colonne che devono essere visualizzate.
Formatta colonne... | Apre la finestra di dialogo che consente di formattare la colonna.
Aggiusta la dimensione alla larg. Finestra | Distribuisce tutte le colonne sull´intera larghezza della finestra.
Elimina colonna selezionata | Elimina la colonna selezionata dalla visualizzazione.

Riga di stato

Con liste, la barra di stato della visualizzazione dettagli visualizza informazioni relative agli elementi della lista: numero totale di elementi, numero di elementi filtrati e numero di elementi selezionati.

Example Esempio

Visualizzazione della barra di stato della visualizzazione dettagli:
39 totali / 30 filtrati / 2 selezionati
significa

  • Esistono complessivamente 39 elementi
  • 30 vengono visualizzati, sulla base delle impostazioni di filtro che sono state adottate.
  • 2 sono stati selezionati

Nel caso delle variabili, viene anche visualizzato il numero delle TAG o IO utilizzate e il numero massimo consentito dalla licenza che cui si dispone.

Per es.: 32 TAGs utilizzate/TAGs illimitate.

info Info

Informazioni dettagliate riguardanti la modifica e la gestione degli elementi, si trovano nel capitolo Modificare inserimenti e nella descrizione dell´elemento in questione.

Ancora in questo capitolo

Modificare inserimenti

Barra degli strumenti della visualizzazione dettagli

Navigazione nella visuale lista

Filtrare gli inserimenti della lista

Sostituisci testo nella colonna selezionata...

Sostituisci testo nei valori limite

Mostra e nascondi colonne

Proprietà delle colonne


Modificare inserimenti

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Modificare inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di modificare gli elementi:

Possibilità

Procedura

Barra degli strumenti della visualizzazione dettagli

  • Selezionare con il tasto sinistro del mouse la cella desiderata.
  • Selezionare nella barra degli strumenti il pulsante Modifica cella selezionata.

Menù contestuale
  • Cliccare con il tasto destro del mouse nella cella desiderata.
  • Selezionare nel menù contestuale l´inserimento Modifica cella selezionata.

Doppio clic ritardato

  • Selezionare la cella desiderata cliccando due volte a breve distanza di tempo (cliccare due volte lentamente).

Finestra delle proprietà

  • Selezionare l´elemento desiderato.
  • Modificare nella finestra delle Proprietà l'inserimento desiderato.

Tasto F2

  • Selezionare con il tasto sinistro del mouse la cella desiderata.
  • Premere il tasto F2.

info Info

Quando si clicca su una cella, la riga viene selezionata nel suo complesso. Si riconosce quale cella è stata selezionata perché appare il simbolo del binocolo nel titolo della colonna corrispondente.

attention Attenzione

Eccezioni

  • Nella visualizzazione dettagli possono essere modificate solo quelle proprietà che sono modificabili anche nella finestra delle proprietà. Non è possibile, per esempio, modificare il nome di una variabile del driver di sistema.
  • Il Log delle modifiche non può essere modificato a causa di quanto previsto dalle norme FDA.
  • Per quello che riguarda i backup di progetto, è modificabile solo il nome del backup.


Barra degli strumenti della visualizzazione dettagli

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Barra degli strumenti della visualizzazione dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sul bordo superiore della visualizzazione dettagli c´è una barra degli strumenti che offre tutte le opzioni che si trovano nel menù contestuale. A seconda del nodo selezionato nell´albero del progetto (ad esempio: immagini, variabili, simboli ecc.), verranno visualizzati differenti pulsanti nella barra degli strumenti.

I pulsanti che non è consentito utilizzare, sono disattivati.

Barra degli strumenti

Simbolo | Azione
Nuova Variabile | Apre la finestra di dialogo che consente di creare di una nuova variabile.
Crea funzione standard | Apre l´assistente che consente di selezionare una variabile e di impostare valori e che crea di conseguenza una funzione adatta. L´azione verrà documentata nella finestra di emissione.
Utilizzo variabile | Esegue un´analisi per rilevare le variabili selezionate nel progetto attuale e le visualizza in una lista che viene aperta una finestra apposita.
Visualizza variabili non utilizzate... | Esegue un´analisi per rilevare le variabili non utilizzate nel progetto corrente e le visualizza in una lista che viene aperta una finestra apposita.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Espandi/riduci | Menù a tendina che consente di espandere tutti nodi o quelli selezionati, oppure di ridurli.
Attiva tutte | Attiva tutti gli elementi non attivi di una variabile strutturata.
Attiva | Attiva gli elementi selezionati di una variabile strutturata.
Disattiva | Disattiva gli elementi selezionati di una variabile strutturata.
_Esporta selezione in XML | Esporta gli elementi selezionati in un file XML.
Importa file XML | Importa variabili da un file XML.
Importazione/Esportazione | Apre il menù a tendina che consente di importare ed esportare progetti Step 7, dBase e CSV. Nota: ulteriori informazioni a questo proposito si trovano nella parte della guida in linea dedicata a "Import - Export", nel capitolo Importazione di progetto Step 7.
Filtro esteso | Attiva/disattiva il filtro esteso. Apre la finestra di dialogo che consente di selezionare i criteri di filtro.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo nei valori limiti... | Apre la finestra di dialogo che consente di selezionare la dynamic property. Dopo che è stata selezionato una proprietà, se si clicca su OK si apre la finestra di dialogo per la ricerca e la sostituzione.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.

Menù contestuale

Voce di menù

Azione

Nuova Variabile

Apre la finestra di dialogo che consente di creare di una nuova variabile.

Crea funzione standard

Apre l´assistente che consente di selezionare una variabile e di impostare valori e che crea di conseguenza una funzione adatta. L´azione verrà documentata nella finestra di emissione.

Elemento collegato

Apre sottomenù che visualizza gli elementi collegati.

Utilizzo variabile...

Esegue un´analisi per rilevare le variabili selezionate nel progetto attuale e le visualizza in una lista che viene aperta una finestra apposita.

Visualizza variabili non utilizzate...

Esegue un´analisi per rilevare le variabili non utilizzate nel progetto corrente e le visualizza in una lista che viene aperta una finestra apposita.

Copia

Copia gli inserimenti selezionati negli appunti

Incolla

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Espandi/riduci nodi

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Attiva tutte

Attiva tutti gli elementi non attivi di una variabile strutturata.

Attiva

Attiva gli elementi selezionati di una variabile strutturata.

Disattiva

Disattiva gli elementi selezionati di una variabile strutturata.

_Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa file XML

Importa degli inserimenti da un file XML.

Import/Export esteso

Apre il menù a tendina che consente di importare ed esportare progetti Step 7, dBase e CSV.

Nota: ulteriori informazioni a questo proposito si trovano nella parte della guida in linea dedicata a "Import - Export", nel capitolo Importazione di progetto Step 7.

Filtro esteso

Attiva/disattiva il filtro esteso

Apre la finestra di dialogo che consente di selezionare i criteri di filtro.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Sostituisci testo nei valori limite...

Apre la finestra di dialogo che consente di selezionare la dynamic property. Dopo che è stata selezionato una proprietà, se si clicca su OK si apre la finestra di dialogo per la ricerca e la sostituzione.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Navigazione nella visuale lista

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Navigazione nella visuale lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una lista:

  1. Cliccare nella colonna nella quale deve essere effettuata la ricerca.
  2. Digitare il primo carattere per avviare la ricerca. Se non esiste nessun inserimento che inizia con questa lettera, la ricerca si interrompe immediatamente.
  3. Il primo inserimento trovato viene selezionato. Viene visualizzato un campo di inserimento. Il primo carattere del testo della cella è selezionato.
    Nota: in questo campo è possibile inserire solamente criteri di ricerca, ma non si può modificare il nome dell´elemento.
  4. Digitare altri caratteri per limitare il raggio della ricerca. Se non viene trovato nessun elemento che corrisponde ai criteri indicati, il carattere digitato non viene accettato e la selezione rimane nella posizione attuale.
  5. Se nella colonna esistono più inserimenti corrispondenti al criterio di ricerca indicato, è possibile navigare usando i tasti Ctrl+Su oppure Ctrl+ Giù.
  6. Con il tasto BACKSPACE viene cancellato l´ultimo carattere digitato del criterio di ricerca e viene avviata una nuova ricerca sulla base dei caratteri restanti. Con la cancellazione dell´ultimo carattere, la ricerca viene conclusa.

Ordinamento

Per ordinare all´interno della visuale a lista, è possibile anche selezionare più colonne contemporaneamente.

  1. Cliccare nell´intestazione della colonna con il primo criterio di ordinamento.
  2. Tenere premuto il tasto Shift e cliccare sul titolo della colonna con il secondo criterio di ordinamento;
  3. Così facendo, si può aggiungere un numero qualsiasi di colonne.

    Un esempio: quando si ordina sulla base di blocco dati e offset, il sistema visualizza prima tutti i blocchi dati e tutti i relativi indirizzi ordinati in modo corretto.

Suggerimento: cliccando una seconda volta sul titolo della colonna si cambia la successione di ordinamento.


Filtrare gli inserimenti della lista

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Filtrare gli inserimenti della lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi della visualizzazione dettagli possono essere filtrati e ordinati secondo diversi criteri:

Metodo

Procedura

In ordine alfabetico

Clic del mouse sul titolo di una colonna: La lista viene ordinata sulla base della colonna sulla cui intestazione si è cliccato. Se si clicca una seconda volta sul titolo della colonna, si inverte l´ordine.

Inserimento dei criteri di filtro

Immediatamente sotto il titolo della colonna si trova un campo che consente di inserire i criteri di filtro. Qui devono essere i criteri secondi i quali la lista deve essere filtrata.

Verrano poi visualizzati solamente quegli oggetti che corrispondono al criterio di filtro indicato.

Se si vuole che vengano visualizzati di nuovo tutti gli oggetti della lista, bisognerà cancellare il criterio di filtro inserito.

Cliccando nel campo di inserimento del criterio di filtro, si attiva un menù a tendina che contiene i filtri usati per ultimi di questa colonna.

Filtra secondo le checkbox

Quelle liste in cui ci sono delle checkbox (per es. la lista dei modelli), possono essere ordinate e filtrate anche sulla base dell´attivazione o disattivazione delle checkbox.

L´ordinamento funziona come l´ordinamento alfabetico.

Per quello che riguarda il filtro, invece, nella cella che si trova immediatamente sotto il titolo della colonna, si trova un menù a tendina in cui si può selezionare una delle seguenti opzioni: caselle con segno di spunta, caselle senza segno di spunta, tutte le caselle.

Placeholder

Per l´inserimento di criteri di filtro, si possono utilizzare dei placeholder:

  • * sostituisce una successione di segni.
    Esempio: *1 filtra tutti gli elementi che finiscono con il segno 1, per esempio Variabile 1.
    Si possono utilizzare wildcard solamente come prefisso o suffisso.
  • ? sostituisce un carattere singolo.
    Esempio: Variabile? filtra tutti gli elementi che iniziano con la successione di caratteri Variabile e che hanno un altro carattere, per esempio Variabile1, Variabile 2, Variabile 3 ...

Collegamento logico

Le parole inserite come criterio di filtro possono essere collegate mediante le espressioni logiche AND e OR. Questo funziona anche quando si utilizzano wildcard (*), ma non quando si usano placeholder per caratteri singoli (?).

Usare i contenuti di una cella come criterio di filtro

Nella visualizzazione dettagli si possono utilizzare come criteri di filtro parole o successioni di caratteri contenuti in una cella:

  • Selezionare l´inserimento desiderato.
  • Tenere premuto il tasto ALT e cliccare sulla cella.
  • L´inserimento contenuto nella cella in questione sarà aperto in un campo di modifica.
  • Selezionare con il mouse una qualsiasi successione di caratteri.
  • Trascinare (Drag&Drop) la parte selezionata tenendo premuto il tasto sinistro del mouse sulla cella di filtro che si trova in cima alla colonna.
  • La successione di caratteri scelta viene applicata come nuovo testo di filtro.

Effetto del filtro "Elementi collegati"

Usando l´opzione Elementi collegati, è possibile visualizzare gli elementi collegati all´elemento attuale. Se si passa ad un elemento della visualizzazione dettagli usando questa opzione (per esempio ad una variabile), questo elemento verrà visualizzato indipendentemente dalle impostazioni di filtro settate al momento. Se questo elemento non è contenuto nel filtro attuale, verrà visualizzato alla fine della lista e verrà selezionato automaticamente.

Modifica delle proprietà

Quando un oggetto viene selezionato nella visualizzazione dettagli o viene creato usando il menù contestuale, i suoi parametri possono essere definiti o modificati nella finestra delle proprietà.

È possibile selezionare più elementi contemporaneamente. Se più oggetti vengono selezionati contemporaneamente, le loro proprietà possono essere modificate insieme.

In questo caso, gli inserimenti e le modifiche nella finestra delle proprietà varranno per tutti gli oggetti selezionati. Gli inserimenti validi fino a questo momento verranno sovrascritti. Nella finestra proprietà, però, saranno disponibili solo quelle proprietà che valgono per tutti gli inserimenti selezionati.

Filtri estesi per le variabili

Per le variabili è disponibile una finestra di dialogo che consente di precisare ulteriormente i criteri di filtro. Questa finestra di dialogo si apre:

  • Usando il simbolo Attiva filtro esteso della barra degli strumenti nella visualizzazione dettagli, oppure
  • Usando il comando Filtro esteso del menù contestuale.

Con l´opzione "Filtro esteso", i filtri standard vengono estesi con l´aggiunta degli elementi Tipi di dato, Flag di selezione e Filtro stringa (nome variabile, identificazione, matrice di reazione).
  • Eseguire il filtro: quando si clicca sul tasto Ins quando il campo filtro è attivo, il sistema esegue l´operazione di filtro.
  • Cancellare il filtro: se si vuole cancellare dei filtri impostati, cliccare sul pulsante Rimuovi tutti i filtri che si trova nella barra degli strumenti, oppure selezionare il comando Rimuovi tutti i filtri nel menù contestuale.


Sostituisci testo nella colonna selezionata...

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Sostituisci testo nella colonna selezionata...

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supporta la funzionalità Cerca/sostituisci per stringhe (per esempio, nomi immagine, nomi variabile, identificazioni variabile). È possibile sostituire testi in colonne attive e in valori limite.

attention Attenzione

Il sistema prende in considerazione solamente i testi che si trovano in strutture espanse (variabili o tipi di dato). Le strutture ridotte, invece, non esistono per l´Editor come destinazioni e, prima di iniziare la ricerca, bisogna espanderle.

Sostituisci testo nella colonna selezionata:

  1. Attivare la finestra di dialogo usando il simbolo Sostituisci testo nella colonna selezionata della barra degli strumenti, oppure usando il comando del menù contestuale che ha lo stesso nome.
  2. Nella finestra di dialogo, definire i parametri per eseguire la ricerca e la sostituzione.
  3. Le sostituzioni verranno eseguite nella colonna attiva. Qual è la colonna attiva è visibile grazie al simbolo del Binocolo visualizzato accanto al titolo della colonna stessa.

attention Attenzione

Se nell´identificazione variabili si usa il Cambio lingua (visibile dalla presenza della parola chiave @), la ricerca e la sostituzione potrà essere eseguita correttamente solamente se la proprietà Visualizza parole chiave non tradotte è attiva. Per attivare questa proprietà:

  • Nelle proprietà di progetto, passare al nodo Aspetto grafico
  • Attivare la checkbox della proprietà Visualizza parole chiave non tradotte


Sostituisci testo nei valori limite

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Sostituisci testo nei valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per sostituire testi in valori limite:

  • Attivare la finestra di dialogo usando il simbolo "Sostituisci testi in valori limite" della barra degli strumenti, oppure usando il comando del menù contestuale che ha lo stesso nome.
  • Selezionare nella finestra di dialogo la "dynamic property" desiderata.

  • Si aprirà così la finestra di dialogo Sostituisci testo in valori limite.

attention Attenzione

Il sistema prende in considerazione solamente i testi che si trovano in strutture aperte (variabili o tipi di dato). Le strutture chiuse, invece, non esistono per l´Editor come destinazioni e, prima di iniziare la ricerca, bisogna espanderle.


Mostra e nascondi colonne

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Mostra e nascondi colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può visualizzare o escludere dalla visualizzazione le colonne della visualizzazione dettagli e le si può ordinare a piacimento. Per alcuni tipi di immagine, le seguenti impostazioni possono essere eseguite anche usando le finestre di dialogo di cambio immagine.

Mostra e nascondi colonne

  1. Cliccare con il tasto destro del mouse sul titolo di una colonna.
  2. Selezionare nel menù contestuale Selezione colonne...

    Si aprirà la finestra di dialogo di configurazione.

  3. Selezionare o deselezionare la colonna desiderata.
    Si possono selezionare più colonne tenendo premuto il tasto Shift oppure Ctrl mentre si clicca con il tasto sinistro del mouse.

    Colonne disponibili visualizza una lista di tutte le colonne ancora disponibili. Colonne selezionate visualizza tutte le colonne attive.

Finestra di dialogo di configurazione

Nota: quali colonne sono disponibili dipende dal modulo di cui si configura la visualizzazione.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ordinare le colonne

La successione e l´ordine delle colonne possono essere configurati a piacimento. Ci sono due possibili modi:

  1. Nella finestra di dialogo Impostazioni colonne, usare i pulsanti In su e In giù.
  2. Nella visuale dettagli del Manager di progetto, trascinare (Drag&Drop) con il mouse le colonne nella posizione desiderata:
    • Cliccare con il mouse nel titolo della colonna desiderata.
    • Tenere premuto il tasto sinistro del mouse.
    • Trascinare il titolo colonna nella posizione desiderata. Due frecce rosse segnano il posto nel quale verrà inserita la colonna.
    • Rilasciando il tasto sinistro del mouse, la colonna verrà posizionata anel posto desiderato.


Proprietà delle colonne

Manuale -> Editor -> Manager di progetto -> Visualizzazione dettagli del Manager di progetto -> Proprietà delle colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


File

Manuale -> Editor -> Manager di progetto -> File

È possibile integrare file esterni in un progetto usando il nodo File del Manager di progetto. Per modificare un file esterno, però, si deve avere il relativo programma. Cioè: è possibile implementare, per esempio, un video. Per modificarlo, però, si dovrà usare il relativo software. Con zenon è possibile solo gestire questi file.

Sono disponibili i seguenti tipi di file esterni:

  • Grafica
  • Guida
  • Multimedia
  • Liste
  • Driver
  • Report Viewer
  • Altri

Sottocartelle

Per i nodi Guida, Liste, Multimedia e Altro è possibile creare delle sottocartelle. A questo scopo, usare il comando Nuova cartella che si trova nel menù contestuale. Grazie alle sottocartelle, è possibile utilizzare il cambio lingua a Runtime anche per i documenti.

attention Attenzione

Le sottocartelle sono uno strumento solo per organizzare il cambio lingua. Tutti gli altri elementi, come grafiche, file multimedia, ecc., devono essere salvati sempre al livello superiore della cartella, perché non sono accessibili per zenon se si trovano in sottocartelle.

Menù contestuale

Voce di menù | Azione
Aggiungi file grafico | Apre il File Manager e consente di selezionare un file.
Importa tabella lingua | Apre il File Manager e consente di selezionare un file.
Aggiungi file di help | Apre il File Manager e consente di selezionare un file.
Aggiungi file multimediale | Apre il File Manager e consente di selezionare un file.
Aggiungi file lista | Apre il File Manager e consente di selezionare un file.
Aggiungi file driver | Apre il File Manager e consente di selezionare un file.
Importa file definizione report | Apre il File Manager e consente di selezionare un file.
Aggiungi altro file | Apre il File Manager e consente di selezionare un file.
Guida | Apre la guida online.

Ancora in questo capitolo

Grafica

Guida

Multimedia

Testi e formati

Driver

Report Viewer

Altri


Grafica

Manuale -> Editor -> Manager di progetto -> File -> Grafica

File per grafiche di sfondo in immagini, generatore Report, oppure per elementi dinamici (pulsante, interruttore, elemento combinato).

Sono consentiti i seguenti formati:

Grafiche pixel

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.tif
    Nota: non disponibile per elemento combinato e generatore Report.

Grafiche vettoriali

  • *.wmf
  • *.xaml
    Nota: disponibile solo per gli elementi WPF! Per i file XAML non si può avere un´anteprima nella visualizzazione dettagli!

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file
Nuova cartella... | Aggiunge una nuova sottocartella.
Rinomina cartella... | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina con i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Grafica - Barra degli strumenti e menù contestuale


Grafica - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Grafica -> Grafica - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Grafica"

Voce di menù | Azione
Aggiungi file | Apre il File Manager e consente di selezionare un file
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con | Apre una lista di programmi adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Guida

Manuale -> Editor -> Manager di progetto -> File -> Guida

Cartella dei file help per la guida Runtime del progetto. Questi file vengono salvati in formato *.chm.

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Nuova cartella... | Aggiunge una nuova sottocartella.
Rinomina cartella... | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Guida - Barra degli strumenti e menù contestuale


Guida - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Guida -> Guida - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Guida"

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con | Apre una lista di programmi adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Multimedia

Manuale -> Editor -> Manager di progetto -> File -> Multimedia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile implementare file audio e video nei seguenti formati:

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Bisogna tenere presente il fatto che, per eseguire questi file, sul computer Runtime ci devono essere i relativi Codecs.

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Nuova cartella... | Aggiunge una nuova sottocartella.
Rinomina cartella... | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Multimedia - Barra degli strumenti e menù contestuale


Multimedia - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Multimedia -> Multimedia - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Multimedia"

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con | Apre una lista di programmi adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Testi e formati

Manuale -> Editor -> Manager di progetto -> File -> Testi e formati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Testi e formati consentiti sono:

  • File di testo per la visualizzazione nel progetto
    Suffisso: .txt
  • File di formato per la formattazione di stampe
    Suffisso: .frm
  • File HTML per la visualizzazione in immagini HTML
    Suffisso: .htm oppure .html

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella... | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Testi e formati - Barra degli strumenti e menù contestuale


Testi e formati - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Testi e formati -> Testi e formati - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Testi e formati"

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con | Apre il file selezionato nell´Editor standard del formato file, oppure offre una selezione di Editor adatti.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Driver

Manuale -> Editor -> Manager di progetto -> File -> Driver

È possibile implementare file driver nei seguenti formati:

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Normalmente non è necessario l´inserimento manuale. I file vengono generati automaticamente al momento della definizione del driver e vengono salvati in questa parte del Manager di progetto.

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella... | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Driver - Barra degli strumenti e menù contestuale


Driver - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Driver -> Driver - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Driver"

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file.
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con.. | Apre una lista di programmi adatti alla modifica del file selezionato.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Report Viewer

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli di report sono dei file in formato RDL 2.0, che possono essere aperti, visualizzati e modificati nel Report Viewer di zenon.

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un File di definizione Report.
Nuova cartella... | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Nota: disponibile solamente se si ha una licenza per il Generatore di rapporti e il Report Viewer.
Non disponibile se l´opzione Progetto WindowsCE (proprietà di progetto Generale) è attiva.

Ancora in questo capitolo

Report Viewer - Barra degli strumenti e menù contestuale


Report Viewer - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer -> Report Viewer - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "File definizione Report"

Voce di menù | Azione
Nuovo file definizione Report | Apre la finestra di dialogo che consente di creare un nuovo file RDL sulla base di dataset già definiti.
Apri file definizione di Report | Apre il programma collegato ai file RDL per consentire la modifica di un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Crea funzione standard | Questo comando è disponibile solamente nella barra degli strumenti. Crea una funzione di cambio immagine per passare ad un´immagine di tipo Report Viewer da selezionare, ed inserisce il file RDL selezionato nell´opzione file definizione Report.
Torna all'elemento di partenza | Quando ci sono elementi collegati, si ritorna a quello partendo dal quale si era passati al file di definizione report. Questo comando è disponibile nel menù contestuale solamente se ci sono degli elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Importa file di definizione Report esistente | Apre la finestra di dialogo che consente di importare un file di definizione Report già esistente. Questi file devono essere di tipo RDL 2.0.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Altri

Manuale -> Editor -> Manager di progetto -> File -> Altri

Cartella nella quale si può salvare qualsiasi tipo di file.

Menù contestuale

Voce di menù | Azione
Aggiungi file... | Apre il File Manager e consente di selezionare un file
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare le sottocartelle che sono state create dall´utente.
Elimina cartella | Cancella la cartella selezionata creata dall´utente, dopo una richiesta di conferma.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Altri - Barra degli strumenti e menù contestuale


Altri - Barra degli strumenti e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Altri -> Altri - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Altri"

Voce di menù | Azione
Aggiungi file | Apre il File Manager e consente di selezionare un file
Modifica file esternamente | Apre il programma definito nel sistema operativo come standard per la modifica del file selezionato.
Apri file esternamente con.. | Apre una lista di programmi adatti alla modifica del file selezionato
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Libreria simboli generale

Manuale -> Editor -> Manager di progetto -> Libreria simboli generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione dell´utente delle grafiche predefinite. Queste ultime vengono salvate nel modulo Libreria simboli generale. Mentre i simboli nella cartella Immagini sono disponibili solamente per l´immagine corrente, quelli della Libreria simboli generale possono essere utilizzati in ogni progetto.

L´utente può creare anche dei propri simboli, può raggruppare i simboli o collegarli. I dettagli su questo argomento si trovano nel capitolo Immagini/Simboli.


Dialoghi di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione dell´utente dialoghi specifici e liste filtrate che consentono di selezionare determinati elementi. Questi dialoghi e liste sono uguali in tutto il sistema ed elencano i progetti correnti e i loro sottoprogetti. Sono a disposizione per:

  • Variabili d'archivio
  • Utenti
  • Gruppi utenti
  • Immagini
  • File
  • Tipi di dato
  • Immagini filtro
  • Funzioni
  • Modelli
  • Driver
  • Variabili

Informazioni dettagliate relative alle diverse visuali, si trovano nel capitolo Visualizzazione dettagli del Manager di progetto; le informazioni riguardanti il filtro delle liste, si trovano nel sottocapitolo Filtra inserimenti lista.

Informazioni dettagliate relative ai dialoghi di selezione per funzioni e variabili, e per la sostituzione di funzioni e variabili già selezionate, si trovano nei sottocapitoli:

  • Funzioni
  • Variabili

Ancora in questo capitolo

Variabili d'archivio

Selezione utente: utente singolo

Gruppi utenti

Immagini

File

Tipi di dato

Immagini filtro

Funzioni

Modelli

Driver

Variabili


Variabili d'archivio

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Variabili d'archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il sistema mette a disposizione dell´utente una finestra di dialogo specifica per selezionare le variabili di un archivio; in questo dialogo sono elencati tutti gli archivi che sono stati creati e configurati.

Nota: le variabili possono essere utilizzate anche contemporaneamente per più progetti. In questo caso, bisogna assicurarsi che i progetti in questione siano disponibili a Runtime.

Collegamento di variabili

Per selezionare delle variabili:

  1. Selezionare l´archivio desiderato.
  2. Aprire la struttura ad albero dell´archivio.
  3. Aprire la lista delle variabili.
  4. Selezionare le variabili desiderate.

Parametro

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione delle variabili che devono essere collegate. Il collegamento può essere eseguito in due modi:

  • Cliccando due volte sulla variabile desiderata.
  • Selezionando la variabile desiderata e successivamente cliccando su "Incolla" o "Sostituisci".

Incolla

Aggiunge le variabili selezionate nella Finestra di selezione alla Lista delle variabili.

Sostituisci

Aggiunge la variabile selezionata nella Finestra di selezione alla Lista delle variabili, sostituendo la variabile selezionata in quest´ultima lista. Se sono state selezionare più variabili nella Finestra di selezione, verrà aggiunta quella che è stata scelta per ultima.

Elimina

Cancella la variabile selezionata dalla Lista delle variabili.

Lista delle variabili

Lista delle variabili selezionate per eseguire il collegamento.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.


Selezione utente: utente singolo

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Selezione utente: utente singolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione utente, si seleziona a Runtime un utente per utilizzarlo in un altro modulo.

Per selezionare un utente:

  1. Selezionare l´utente desiderato nella lista degli utenti esistenti.
  2. Confermare l´inserimento cliccando su OK.

    L´utente verrà aggiunto. .

Finestra di dialogo "Selezione utente"

Opzione | Descrizione
Lista Workspace | Visualizzazione dei progetti di un workspace e selezione dei progetti i cui utenti potranno poi essere selezionati.
Lista utenti | Visualizzazione degli utenti del progetto selezionato. È possibile filtrare questa lista.
Nessuna selezione | Un utente già esistente viene deselezionato.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Gruppi utenti

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione di gruppi utenti.

Opzione | Descrizione
Lista Workspace | Visualizzazione dei progetti di un workspace e selezione dei progetti i cui utenti potranno poi essere selezionati.
Lista gruppi utenti | Visualizzazione dei gruppi utenti del progetto selezionato. È possibile filtrare questa lista.
Nessuna selezione | Un gruppo utenti già selezionato viene deselezionato.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Immagini

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo "Selezione immagine" si selezionano le immagini da collegare all´esecuzione di funzioni. Queste immagini possono essere del:

  • Progetto corrente
  • Sottoprogetti
  • Tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare le immagini del progetto corrente o di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Immagini" | Selezione di un´immagine. Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata quella che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


File

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Scegli file si possono selezionare in una visuale filtrata i file del progetto corrente, oppure dei sottoprogetti:

  • Se nel nodo File/Grafica del Manager di progetto non ci sono già i file che si vuole utilizzare, li si può aggiungere direttamente in questa finestra di dialogo (comando "Aggiungi file...").
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta (segno di spunta nella relativa casella che si trova nella parte bassa della finestra di dialogo).


Tipi di dato

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo "Selezione tipo di dato" si possono selezionare in una visuale filtrata i tipi di dato del progetto corrente o di sottoprogetti.


Immagini filtro

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si passa ad un´immagine con filtro per altre immagini (filtro AML, filtro CEL, filtro tempo), verrà aperta una finestra di dialogo per la selezione di immagini; qui si definirà:

  • L´immagine che richiama
  • Le immagini da aggiornare

Selezione dell´immagine che richiama

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza il progetto corrente. Si possono selezionare solo le immagini di questo progetto.
Finestra "Immagini" | Selezione dell´immagine. Se si selezionano più immagini, il cambio immagine aprirà sempre la prima delle immagini selezionate.
Nessuna selezione | Non ha nessuna funzione per questa selezione immagine.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Selezione "Immagine da aggiornare"

Parametro

Descrizione

Finestra "Albero di progetto"

Visualizza il progetto corrente.

Si possono selezionare solo le immagini di questo progetto.

Finestra "Immagini"

Selezione delle immagini che devono essere aggiornate.

Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.

È possibile selezionare più immagini. La selezione degli inserimenti della lista avviene con un doppio clic o usando il pulsante Aggiungi.

Finestra "Selezione"

Elenca tutte le immagini selezionate (è la finestra che si trova nella parte inferiore del dialogo).

Aggiungi

Aggiunge gli elementi selezionati nella finestra "Immagini" alla finestra "Selezione".

Elimina

Cancella gli elementi selezionati dalla finestra "Selezione".

Nessuna selezione

Elimina tutte le immagini che sono state collegate.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Funzioni

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire di collegare una funzione (per esempio ad un elemento d´immagine) viene aperta una finestra di dialogo di "Selezione funzioni".

Elemento

Descrizione

Albero di progetto

Consente di scegliere il progetto da cui verrà selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Le funzioni già collegate verranno cancellate.

Suggerimento: le dimensioni di questa finestra di dialogo possono esser modificate. Dopo aver eseguito la modifica, la posizione e la grandezza della finestra di dialogo verranno salvate.

Cambiare le funzioni collegate

  1. Manualmente
    • Aprire le funzioni nella Visualizzazione dettagli del Manager di progetto.
    • Trascinare la funzione desiderata sull´elemento tenendo premuto il tasto sinistro del mouse.
    • La funzione collegata precedentemente all´elemento verrà sostituita da quella nuova.
  2. Automaticamente
    • Selezionare nel menù contestuale dell´elemento il comando "Sostituisci collegamenti". I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Modelli

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione modelli si selezionano i modelli per l´esecuzione di funzioni; questi modelli possono essere:

  • Del progetto corrente.
  • Di sottoprogetti.
  • Di tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Modelli" | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Driver

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo di Selezione driver si possono selezionare in una visuale filtrata i driver del progetto correnti o di sottoprogetti.


Variabili

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire la selezione di variabili, viene visualizzata una finestra di dialogo.
Queste variabili possono essere utilizzate in parte anche per più progetti contemporaneamente. In questo caso, bisogna assicurarsi che i progetti in questione siano disponibili a Runtime.

Collegamento di una variabile

Per gli elementi che possono essere collegati solo ad una singola variabile, si apre la seguente finestra di dialogo:

Elemento

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Ci sono due modi di collegare una variabile all´elemento:

  • Cliccando due volte sulla variabile desiderata. In questo caso, la finestra di dialogo verrà chiusa automaticamente dopo che è stata eseguita la selezione.
  • Selezionando la variabile desiderata e cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Verrà eliminato il collegamento delle variabili già collegate (per es. variabili lotti collegate nel server archivi).

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.

Gestione degli errori

Ci possono essere diverse ragioni per cui una variabile non viene visualizzata nella finestra di selezione.

  • È stato selezionato un filtro, e la variabile desiderata non corrisponde ai criteri di questo filtro: controllare nella riga filtro se c´è un filtro attivo. Sotto la finestra di selezione vengono visualizzate delle informazioni sugli elementi filtrati; anche queste informazioni possono essere d´aiuto per verificare l´esistenza di filtri attivi.
  • La finestra di dialogo viene aperta dall´Editor già filtrata e la variabile non corrisponde ai criteri del filtro impostato. La finestra di dialogo viene aperta già filtrata quando sono consentiti solamente dei determinati tipi di dato. Per es.: non è consentito collegare ad un elemento dinamico di tipo Valore numerico una variabile stringa.
  • È stato selezionato il progetto sbagliato nella struttura ad albero.

attention Attenzione

La finestra di dialogo consente generalmente di selezionare più variabili usando le combinazioni di tasti abituali in Windows. Nelle finestre di dialogo in cui può essere selezionata solo una variabile, però, se ne potrà effettivamente collegare una sola. Se vengono selezionate più variabili, verrà assegnata all´elemento solo la prima variabile selezionata.

Collegamento di più variabili.

Per gli elementi che possono essere collegati con più variabili, si apre la seguente finestra di dialogo:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione delle variabili. Ci sono due modi per selezionare le variabili:

  • Cliccando due volte sulla variabile; la variabile selezionata verrà aggiunta alla lista delle variabili.
  • Trascinando (Drag&Drop) la variabile selezionata nella lista delle variabili.
  • Selezionare le variabili desiderate. Usando il tasto Ctrl- oppure quello Shift, è possibile selezionare più variabili contemporaneamente. Cliccando su Aggiungi, le variabili selezionate verranno poi inserite nella lista di quelle da collegare.

Lista variabili

Elenca tutte le variabili selezionate.

Aggiungi

Aggiunge alla lista variabili la variabile selezionata nella finestra di selezione.

Elimina

Elimina dalla lista la variabile selezionata nella lista variabili.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Determinati collegamenti, come quelli di variabili lotti nell´archiviazione, possono essere eliminati.

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.

Gestione degli errori

Ci possono essere diverse ragioni per cui una variabile non viene visualizzata nella finestra di selezione.

  • È stato selezionato un filtro, e la variabile desiderata non corrisponde ai criteri di questo filtro: controllare nella riga filtro se c´è un filtro attivo. Sotto la finestra di selezione vengono visualizzate delle informazioni sugli elementi filtrati; anche queste informazioni possono essere d´aiuto per verificare l´esistenza di filtri attivi.
  • La finestra di dialogo viene aperta dall´Editor già filtrata e la variabile non corrisponde ai criteri del filtro impostato. La finestra di dialogo viene aperta già filtrata quando sono consentiti solamente dei determinati tipi di dato. Per es.: non è consentito collegare ad un elemento dinamico di tipo Valore numerico una variabile stringa.
  • È stato selezionato il progetto sbagliato nella struttura ad albero.

Cambiare la variabile collegata

Selezionare nel menù contestuale dell´elemento il comando Sostituisci collegamenti. I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Finestra principale

Manuale -> Editor -> Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report ecc. La finestra principale è l´unica finestra che non può essere esclusa dalla visualizzazione.

Aprire parallelamente più documenti.

È possibile visualizzare nella finestra principale più immagini contemporaneamente. Le diverse immagini aperte possono essere selezionate cliccando sulle relative schede che si trovano sul bordo superiore della finestra principale stessa, e possono essere gestite usando le opzioni della voce di menù Finestra. Quando si passa da una scheda all´altra, gli elementi della finestra delle proprietà vengono adattati alla scheda selezionata.

Per chiudere le immagini aperte, usare la combinazione di tasti Ctrl + F4, il menù contestuale oppure il comando Immagine -> Chiudi.

Menù contestuale - Documenti

Cliccando con il tasto destro del mouse sulla scheda di un documento, si apre un menù contestuale:

Parametro | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutte. | Chiude tutti gli altri documenti.

Posizionare elementi nell´immagine

Attivare gli elementi cliccando sul simbolo corrispondente nella Barra degli elementi e disegnarli con il mouse nella finestra principale.

Ci sono i seguenti modi di spostare un elemento nella finestra principale:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Ruotare: ruotare a piacere l´elemento usando il "punto di presa" sul Punto di riferimento.


Finestra delle proprietà

Manuale -> Editor -> Finestra delle proprietà

Nella finestra delle proprietà vengono visualizzati i parametri e le proprietà degli oggetti selezionati nella visualizzazione dettagli del Manager di progetto, oppure degli elementi selezionati nell'immagine. Nella finestra delle proprietà vengono impostati o modificati i valori e i parametri degli oggetti e degli elementi selezionati. Quando si passa da una scheda ad un´altra nella finestra principale, le proprietà visualizzate nella finestra delle proprietà vengono adattate alla scheda attiva al momento.

Le impostazioni relative alla visualizzazione, all´ordinamento e ai preferiti vengono salvate e saranno applicate al riavvio dell´Editor. Dopo la modifica delle proprietà di un elemento nella finestra delle proprietà, sarà l´ultima proprietà modificata ad essere visualizzata automaticamente quando si seleziona di nuovo questo elemento.

Nota: le proprietà che hanno effetti molto importanti, vengono visualizzate fra parentesi graffe.
Esempio: {Nuovo limite}.

Selezione multipla

Se si selezionano più oggetti parallelamente (selezione multipla), tutte le proprietà differenti negli elementi selezionati verranno visualizzate nella finestra delle proprietà in color arancione, oppure evidenziate in color rosso. Verranno visualizzate le proprietà dell´elemento selezionato per ultimo. Nella visuale Raggruppato e in quella Tutte le proprietà, si potrà poi trasferire il valore configurato per la proprietà scelta a tutti gli oggetti selezionati premendo il testo Invio. (Questo non è possibile se è stata selezionata per la finestra delle proprietà la visuale Opzione dialogo.)

Example Esempio

Sono selezionati diversi oggetti con differenti colori di riempimento. L´ultimo elemento selezionato ha il colore di riempimento verde. Per la proprietà Colore di sfondo verrà visualizzato il colore verde e il valore #32CD32 sarà scritto in rosso . Cliccando sul campo di inserimento e premendo il tasto Invio si trasferirà la proprietà verde a tutti gli elementi selezionati.

Gestione tastiera

Si può navigare nelle proprietà anche usando la tastiera:

Tasto | Funzione
Tab oppure In alto | Passa alla proprietà successiva.
Shift+Tab oppure In basso | Passa alla proprietà precedente.
Ins oppure A destra | Apre un nodo.
A sinistra | Chiude un nodo.
Home | Passa al primo nodo
Fine | Passa all´ultimo nodo

Barra degli strumenti

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Un´apposita barra degli strumenti consente di organizzare la visualizzazione della finestra delle proprietà:

Simbolo

(da sinistra a destra)

Funzione

Raggruppato

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Usando il menù contestuale, si possono aggiungere o rimuovere inserimenti dai "Preferiti".

Standard per il manuale: le note nel manuale relative alle proprietà usano sempre la visualizzazione raggruppata. I contenuti dei gruppi corrispondono a quelli della Opzione dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono visualizzate in una lista. Usando il menù contestuale, si possono aggiungere o rimuovere inserimenti dai "Preferiti".

Opzione dialogo

Tutte le proprietà vengono raggruppate in modo logico come nel tipo di visualizzazione Raggruppato e i gruppi vengono ordinati secondo la frequenza e la priorità del loro uso in forma di finestra di dialogo. Con questo tipo di visualizzazione non è possibile definire dei preferiti.

Visualizza/nascondi Preferiti

Mostra o nasconde il nodo Preferiti in cima alle visuali Raggruppato o Tutte le proprietà. In questo nodo sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Il sistema propone di default dei preferiti.

Aggiungere o cancellare inserimenti dalla lista dei "Preferiti": lo si può fare usando il comando 'Aggiungi ai Preferiti' del menù contestuale della proprietà, oppure trascinando via Drag&Drop le proprietà desiderate nella lista dei favoriti.

La successione delle proprietà nella lista dei "Preferiti" è definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Nella visuale Opzione dialogo non è possibile creare dei preferiti.

Visualizza/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppato e Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Nelle visuali Raggruppato e Tutte le proprietà, visualizza le proprietà raggruppate in ordine alfabetico crescente o decrescente.

Espandi/riduci tutti i nodi

Espande o riduce tutti i nodi nelle visuali Raggruppato e Tutte le proprietà.

Eccezione: il nodo delle proprietà selezionate al momento rimane aperto quando si clicca su Riduci tutti i nodi.

Visualizza guida delle proprietà

Visualizza la guida integrata riguardante le proprietà (guida delle proprietà).

Rilascia proprietà

Simboli: rilascia la proprietà selezionata.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Ancora in questo capitolo

Raggruppato

Opzione dialogo

Tutte le proprietà

Preferiti

Ordinare le proprietà

Proprietà collegate


Raggruppato

Manuale -> Editor -> Finestra delle proprietà -> Raggruppato

La visuale Raggruppato è il tipo di visualizzazione di default della finestra delle proprietà. In questo tipo di visualizzazione, le proprietà sono ordinate in gruppi secondo un criterio logico.

Usando il relativo comando della barra degli strumenti, si possono visualizzare o nascondere tutte le proprietà.

info Info

Le indicazioni del manuale relative alle proprietà partono sempre dalla visualizzazione Raggruppato. I contenuti dei gruppi corrispondono a quelli del tipo di visuale Opzione dialogo.


Opzione dialogo

Manuale -> Editor -> Finestra delle proprietà -> Opzione dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tipo di visualizzazione Opzione dialogo ordina le proprietà in gruppi e le presenta in forma di dialogo.

Nella Opzione dialogo non è possibile creare dei preferiti, né nascondere delle proprietà.

Ancora in questo capitolo

Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10


Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10

Manuale -> Editor -> Finestra delle proprietà -> Opzione dialogo -> Deaktivieren des automatischen Scrollens von Comboboxen unter Windows 10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unter Windows 10 ist die Maus und Touchpad-Eigenschaft Inaktive Fenster beim Daraufzeigen scrollen per Default aktiviert. Dies führt in der Dialogansicht dazu, dass sobald man mit dem Mauszeiger über eine Combobox fährt (z.B. bei Crea file Runtime per) und dabei scrollt, die Einstellung in der Combobox geändert wird.

Um diese Eigenschaft und damit das automatische Scrollen zu deaktivieren:

  1. Öffnen Sie die Einstellungen unter Windows 10
  2. Wählen Sie Geräte
  3. Navigieren Sie zu Maus und Touchpad
  4. Deaktivieren Sie die Eigenschaft Inaktive Fenster beim Daraufzeigen scrollen.


Tutte le proprietà

Manuale -> Editor -> Finestra delle proprietà -> Tutte le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le proprietà vengono visualizzate in una lista organizzata in ordine alfabetico.

Usando il relativo comando della barra degli strumenti, si possono visualizzare o nascondere Tutte le proprietà.


Preferiti

Manuale -> Editor -> Finestra delle proprietà -> Preferiti

Le visuali Raggruppato e Tutte le proprietà hanno un nodo Preferiti che si trova nella parte superiore della finestra. Qui vengono visualizzate quelle proprietà che sono utilizzate più frequentemente.

Il sistema propone di default alcuni preferiti. Per aggiungere a questa lista dei proprio inserimenti, procedere come segue:

  • Cliccare con il tasto destro del mouse sul nome della proprietà desiderata.
  • Selezionare nel menù contestuale < Aggiungi proprietà > ai preferiti
  • La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Per eliminare degli inserimenti dalla lista dei favoriti, procedere come segue:

  • Cliccare con il tasto destro del mouse sul nome della proprietà desiderata.
  • Selezionare nel menù contestuale <Rimuovi proprietà > dai preferiti

I preferiti possono essere visualizzati o nascosti usando il relativo pulsante della barra degli strumenti.
Attenzione: nella visuale "Opzione dialogo" non è possibile creare dei preferiti.


Ordinare le proprietà

Manuale -> Editor -> Finestra delle proprietà -> Ordinare le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il criterio di ordinamento delle proprietà viene definito nella barra degli strumenti mediante i pulsanti 'ordinamento logico', 'ordinamento crescente' e 'ordinamento decrescente'. Di default, le proprietà sono visualizzate ordinate secondo un criterio logico. C'è la possibilità di metterle in modo alfabetico.

Ordinamento logico

Le proprietà vengono ordinate in modo logico, secondo il loro uso probabile. Questo tipo di ordinamento è possibile nella visuale 'Raggruppato' e 'Tutte le proprietà'.

Ordinamento crescente / decrescente

Le proprietà vengono elencate in ordine alfabetico, crescente o decrescente. Questo tipo di ordinamento è possibile per le visuali Raggruppato, Tutte le proprietà e per i Preferiti.

Chiudere e aprire nodi

Nelle visualizzazioni Raggruppato e Tutte le proprietà è possibile chiudere tutti i nodi e riaprirli. Il nodo delle proprietà attive al momento, però, non verrà chiuso quando si clicca su Riduci tutto.


Proprietà collegate

Manuale -> Editor -> Finestra delle proprietà -> Proprietà collegate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad alcune proprietà, come variabili o parametri, possono essere collegati dei valori. In questo caso, il valore cambia sempre quando si modifica quello della proprietà sorgente.

Quando un elemento riprende i valori da un´altra proprietà (proprietà sorgente), sarà visualizzata una freccia accanto al valore della proprietà in questione.

Eliminare il collegamento

Per eliminare questo collegamento, procedere come segue:

  1. Cliccare con il tasto destro del mouse sulla proprietà.
  2. Selezionare nel menù contestuale l´inserimento che elimina il collegamento alla proprietà sorgente (il nome di questo inserimento del menù contestuale dipende dalla proprietà).
    Nota: è possibile eliminare anche il collegamento di tutti i valori ripresi dalla proprietà sorgente.

Il collegamento viene sciolto anche se si sovrascrive il valore con un altro.

In questo caso, le modifiche del valore sorgente non avranno più effetto su questo valore. Il simbolo che segnala l´esistenza di un link (freccia) scomparirà.

Ripristinare il collegamento

Per collegare di nuovo un valore scollegato a quello sorgente, procedere come segue:

  1. Cliccare con il tasto destro del mouse sulla proprietà.
  2. Selezionare nel menù contestuale l´inserimento che ripristina il collegamento al valore sorgente (il nome di questo inserimento del menù contestuale dipende dalla proprietà).
    Nota: è possibile anche ripristinare contemporaneamente il collegamento di tutti i valori ripresi dalla proprietà sorgente.

In questo caso, questa proprietà riprenderà sempre il valore corrente della proprietà sorgente. Il simbolo che segnala l´esistenza di un link (freccia) verrà visualizzato di nuovo.


Guida delle proprietà

Manuale -> Editor -> Guida delle proprietà

Può essere visualizzata una finestra contenente informazioni relative alle singole proprietà.

Per aprire la guida delle proprietà:

  • Selezionare nella barra degli strumenti delle proprietà il simbolo Visualizza guida delle proprietà (questo simbolo si trova al margine destro della barra)
  • Oppure: Selezionare nel menù Visuale il comando Guida delle proprietà.
  • Oppure cliccare con il tasto destro del mouse su una qualsiasi barra titoli e selezionare poi nel menù contestuale il comando Guida

Per chiudere la guida delle proprietà:

  • Cliccare sulla X che si trova sul margine destro in alto della barra del titolo.

A differenza di quanto accade quando si apre la guida in linea usando il tasto F1, in questo help integrato viene descritta solamente la proprietà selezionata.

Questa guida offre:

  • Una breve descrizione della proprietà selezionata al momento.
  • Un link per aprire la guida online nella quale si trova una descrizione più dettagliata.
  • Un link per aprire il canale YouTube di COPA-DATA con video che forniscono degli esempi di progettazione.
  • L´informazione relativa al nome della proprietà per l´API.

La finestra che ospita la guida delle proprietà può essere (come tutte le altre finestre dell´Editor) posizionata liberamente sullo schermo.

Proprietà collegate

Le informazioni sulle proprietà collegate si trovano nel capitolo Proprietà collegate.


Finestra di emissione

Manuale -> Editor -> Finestra di emissione

La finestra di emissione visualizza informazioni di stato e messaggi di errore durante l´avvio dell´Editor, e al momento in cui un progetto viene compilato e trasferito. Queste informazioni sono di diversi tipi:

  • Errori
  • Avvisi
  • Segnalazioni

Le impostazioni di visualizzazione di queste informazioni possono essere personalizzate. Le impostazioni che stabiliscono quali informazioni devono essere visualizzate, sono salvate al momento della chiusura dell´Editor e valgono anche per la visualizzazione di nuove informazioni. Bisogna però precisare che nessuna informazione va perduta, perché le impostazioni di cui si parla hanno effetto solamente sulle modalità di visualizzazione e non su quelle di raccolta delle informazioni.

Esempio: se si decide di escludere dalla visualizzazione gli avvertimenti (Warning), non ne verrà visualizzato nessuno finché non ne viene ripristinata la visualizzazione. A partire da questo momento, però, saranno di nuovo visibili tutti gli avvertimenti. Questo significa che verranno visualizzati anche gli avvertimenti accumulati fino a questo momento.

Le informazioni blu non possono essere escluse dalla visualizzazione, perché che si tratta di segnalazioni che riguardano il progetto e che devono rimanere sempre visibili.

Barra degli strumenti e menù contestuale

Simboli e menù contestuale offrono le stesse opzioni. I simboli significano (da sinistra a destra):

Simbolo/Voce del menù contestuale | Descrizione
Visualizza errori | Attiva: gli errori vengono visualizzati in rosso. Non attiva: gli errori vengono nascosti. Lo stato selezionato può essere combinato con avvisi e segnalazioni e viene salvato al momento della chiusura dell´Editor.
Visualizzazione avvisi | Attiva: gli avvisi vengono visualizzati in arancione. Non attiva: gli avvisi vengono nascosti. Lo stato selezionato può essere combinato con errori e segnalazioni e viene salvato al momento della chiusura dell´Editor.
Visualizza segnalazioni | Attiva: le segnalazioni vengono visualizzate in nero. Non attiva: le segnalazioni vengono nascoste Lo stato selezionato può essere combinato con errori e avvisi e viene salvato al momento della chiusura dell´Editor.
Salva | Salva l´intero contenuto della finestra di emissione in un file di LOG. Il posto in cui viene salvato il file e il nome dello stesso possono essere scelti liberamente.
Copia | Copia i testi selezionati nella finestra di emissione negli appunti.
Elimina | Cancella il completo contenuto della finestra di emissione. Dopo l´esecuzione di questa azione, non sarà più possibile recuperare il contenuto cancellato della finestra di emissione.
Trova | Apre la finestra di dialogo per la ricerca di testo all´interno della finestra di emissione.
Guida | Apre la pagina della guida in linea.

Example Esempio

Cancellare il contenuto della finestra di emissione usando il simbolo corrispondente, oppure tramite il menù contestuale e poi compilare i file Runtime. Nella finestra di emissione verranno visualizzate le informazioni corrispondenti. Queste informazioni si troveranno fra due segnalazioni in color blu.

  1. Cliccare sul simbolo Segnalazioni: Le segnalazioni standard (testo in colore nero) verranno nascoste.
  2. Creare ancora una volta i file Runtime; le segnalazioni continueranno a non essere visualizzate.
  3. Escludere adesso dalla visualizzazione anche gli errori (testo rosso) e gli avvisi (testo arancione).
  4. Le segnalazioni di color blu (quelle relative al progetto) continueranno ad essere visualizzate.
  5. Creare di nuovo i file Runtime, e riattivare la visualizzazione delle segnalazioni: Verranno visualizzate tutte le segnalazioni generate a partire dal momento della cancellazione del contenuto della finestra di emissione.


Riga di stato

Manuale -> Editor -> Riga di stato

Nella barra di stato dell´Editor sono visualizzate informazioni che dipendono dall´oggetto selezionato; queste informazioni riguardano:

  • La disponibilità dell´Editor.
  • Funzione del simbolo sul quale si trova il cursore del mouse.
  • Posizione del cursore del mouse nelle immagini.
  • Tipo e nome dell´elemento attivo in un´immagine.
  • Punto di start (asse x/y), e larghezza e altezza dell´elemento attivo in un´immagine.
    Il punto 0/0 dell´asse si trova nell´angolo sinistro in alto.

Nel caso dei report, la barra di stato non ha nessuna funzione.


Chiudere l'Editor

Manuale -> Editor -> Chiudere l'Editor

Quando si chiude l´Editor (come quando si chiude o si cambia il workspace), il sistema controlla tutti i progetti per verificare se sono state eseguite delle modifiche. I progetti per cui non sono stati ancora creati i file Runtime, vengono elencati in una finestra di dialogo; il sistema propone all´utente di compilare i file Runtime per questi progetti.

Parametro | Descrizione
Sì | Vengono creati i file Runtime di tutti i progetti della lista. Poi l´Editor viene chiuso.
No | I file Runtime non vengono generati. L´Editor viene chiuso.
Annulla | I file Runtime non vengono generati. L´Editor non viene chiuso.


Progettazione efficiente con zenon

Manuale -> Progettazione efficiente con zenon

E´ la prima volta che lavorate con zenon?
Qui troverete informazioni sul modo di usare zenon in modo efficiente. Anche se avete già fatto esperienza con altri sistemi di gestione del processo, vi consigliamo di dare un´occhiata a questo capitolo. Imparerete quali sono i concetti fondamentali alla base di zenon, come funziona il programma; perché e come zenon può facilitare e sveltire il vostro lavoro.

Panoramica su zenon

zenon è composto da Editor e Runtime.
I progetti vengono creati nell´Editor. La gestione e il monitoraggio dei processi avvengono invece a Runtime. A partire dalla versione 6.20, l´Editor e il Runtime delle diverse versioni sono compatibili fra di loro. Un progetto creato usando la versione 6.50, ad esempio, funziona anche con il Runtime della versione 6.22, e viceversa.

zenon si differenzia da altri sistemi soprattutto per:

  • Semplicità di gestione: per eseguire molte azioni sono sufficienti solo pochi clic del mouse; assistenti e Wizard facilitano e sveltiscono il lavoro; è l´utente a scegliere se vuole lavorare con Drag&Drop, con il mouse o con la tastiera.
  • Pratico orientamento agli oggetti: si lavora costantemente con oggetti e, invece di dover perdere tempo a programmarli, si deve solamente parametrizzarli. Una volta definito un oggetto, lo si può utilizzare anche in più progetti contemporaneamente; si approfitta dei vantaggi del meccanismo della trasmissione ereditaria e della possibilità di modificare le proprietà in modo molto veloce.
  • Eccellente riutilizzo di elementi e oggetti già configurati: in zenon, molti elementi (da singole variabili a progetti completi) possono essere riutilizzati in modo semplice ed efficace.
  • Rete integrata: progettazione distribuita in rete e ridondanza al 100% possono essere realizzati senza grande sforzo. Per creare delle strutture di rete non si deve far altro che attivare la checkbox corrispondente. Con la stessa semplicità si può connettere in rete singoli progetti standalone in modo da ottenere efficienti sistemi ridondanti.

Suggerimenti e consigli

Molti consigli utili su come sfruttare i vantaggi offerti dal sistema, si trovano nel forum di www.copadata.com. Il modo migliore di imparare ad usare in modo ottimale zenon, è quello di frequentare i training e workshop di COPA-DATA adattati alle priorità e ai progetti dei clienti. Il distributore della vostra area è a vostra completa disposizione per fornirvi le informazioni desiderate; oppure scrivete una E-Mail a sales@copadata.com.

Ancora in questo capitolo

Semplicità d´uso

Orientamento agli oggetti

Riutilizzare elementi

Rete integrata

Consigli e trucchi del mestiere


Semplicità d´uso

Manuale -> Progettazione efficiente con zenon -> Semplicità d´uso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon facilita il lavoro di progettazione, mettendo a disposizione del progettista tutta una serie di comodi strumenti e consentendo, dunque, di incrementare la produttività. Lavorando con zenon, si potrà constatare che molti problemi possono essere risolti con soluzioni personali: Per esempio:

Preferiti

È possibile definire dei favoriti nelle proprietà degli oggetti e nel dialogo di selezione delle funzioni. I preferiti vengono sempre offerti dal sistema in cima alle liste delle proprietà; in questo modo, è possibile accedere velocemente alle proprietà e alle funzioni di uso più frequente.

Lavorare nell´Editor usando la tastiera

Nell´Editor si può lavorare in modo semplice e veloce usando il mouse per gestire i simboli e i menù; ma è anche possibile usare solo la tastiera. Le combinazioni di tasti di uso comune in Windows, funzionano anche in zenon. Per esempio:

  • Ctrl+C e Ctrl+V per copia e incolla
  • Ins crea nuovi oggetti.
  • Canc elimina oggetti selezionati.
  • I tasti Puntatore del mouse servono a navigare all´interno delle diverse visuali.
  • Esc interrompe l´esecuzione di un´azione.
  • Cancellare a ritroso (Backspace) passa nell´albero directory al livello superiore.
  • Ctrl+Z annulla le ultime azioni, fatta eccezione per le operazioni database.

Per ulteriori informazioni sulla gestione via tastiera, consultare il capitolo Combinazioni di tasti.

Drag&Drop:

Nell´Editor, si ha la possibilità di semplificare i passaggi di configurazione usando la funzionalità di Drag&Drop. Per esempio:

  • Cambiare la successione delle voci di menù.
  • Collegare caratteri ad elementi dinamici, come slider universale, orologio, elemento combinato ecc.
  • Modificare la successione di elementi di struttura nell´ambito dei tipi dato strutturato
  • Modificare la successione delle funzioni all´interno di uno script.
  • Copiare oppure spostare funzioni fra diversi script.
  • Copiare script trascinandoli sul nodo principale.

Assistenti e Wizard intelligenti per eseguire compiti complessi

Gli assistenti e i Wizard integrati in zenon aiutano a creare velocemente un progetto di base, oppure ad eseguire delle complesse impostazioni in modo mirato. Soprattutto a chi usa per la prima volta il programma, si raccomanda di usare gli assistenti per la configurazione dello slider universale, dell´elemento combinato e dell´archiviazione.

Tooltip per elementi e proprietà

Se si porta il puntatore del mouse su un elemento di visualizzazione (per esempio un pulsante con testo), oppure su una proprietà con collegamento (per esempio la funzione collegata ad un pulsante di testo), si apre un tooltip. Questo fornisce informazioni relative agli elementi collegati, come la funzione collegata ed i suoi parametri.

Possibilità avanzate di design

L´Editor grafico offre un´ampia scelta di funzioni che aiutano a creare facilmente le immagini del vostro impianto; queste funzioni mettono a disposizione un ampio spettro di possibilità di visualizzazione. Si va dallo zoom continuo, alla possibilità di scalare cliccando con il mouse, dall´aggancio a punti d´angolo, alla distribuzione automatica degli elementi sulla base di regole. I dettagli relativi a questi argomento si trovano nel capitolo Immagini.

Passare ad elementi collegati

Con tutti gli elementi grafici, le funzioni, le variabili e anche con altri elementi, si ha la possibilità di saltare direttamente agli elementi collegati. Ad esempio: con un semplice clic del mouse si passa direttamente da un elemento di visualizzazione alla variabile collegata, dalla variabile direttamente al tipo di dato utilizzato e, da lì, addirittura all´unità di misura usata. Se necessario, si possono rifare questi passaggi a ritroso e saltare all´elemento di partenza usando comodamente il mouse.


Orientamento agli oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA vede il tema dell´automazione in primo luogo come un problema di orientamento agli oggetti, e, in secondo luogo, in modo estremamente pragmatico. Questi sono i principi su cui si basa zenon, un programma che, a sua volta, può essere largamente automatizzato. Non si ha bisogno di nessuna lingua di programmazione per usare zenon. Non si deve scrivere nemmeno una riga di codice. Non si deve fare altro che assegnare delle proprietà a degli oggetti, il tutto con un semplice clic del mouse. Questo funziona non solamente per singoli oggetti, ma anche a livello centrale, per un intero progetto, e addirittura per più progetti contemporaneamente.

Chi adesso pensa che non sia possibile individualizzare zenon e di essere in balia delle proprietà degli oggetti, può essere tranquillo: Naturalmente è possibile usare zenon in modo assolutamente individuale. A questo scopo si può usare soprattutto VBA, oppure l´ambiente di sviluppo VSTA (.NET). Inoltre zenon offre molte interfacce che consentono di comunicare con hardware e software di altri produttori, e uno SCADA Logic integrato: zenon Logic..

I tre principi fondamentali per usare zenon

Tre principi fondamentali rendono il lavoro di progettazione con zenon semplice, affidabile e facilitano il lavoro di manutenzione:

  1. Progettare anziché programmare:

    Definire i parametri necessari, anziché programmare o modificare script.

  2. Globalmente e centralmente anziché localmente:

    Definire gli oggetti solamente una volta e riutilizzarli continuamente, anche per più progetti, anziché dover scrivere o copiare degli script.

  3. Parametrizzare con orientamento ad oggetti:

    Sfruttare tutti i vantaggi offerti dall´orientamento agli oggetti.

Ancora in questo capitolo

Progettare anziché programmare

Globalmente e centralmente anziché localmente

Progettazione con orientamento ad oggetti


Progettare anziché programmare

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettare anziché programmare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali sono i vantaggi che comporta parametrizzare i progetti anziché dover eseguire un complesso lavoro di programmazione?

Si può soprattutto evitare di scrivere righe di codice (lavoro sempre soggetto ad errori); si raggiunge un maggior livello di flessibilità, una migliore visione d´insieme; si impostano progetti più velocemente che poi possono essere facilmente riutilizzati. Ci sono quattro punti da sottolineare:

  1. Usare moduli predefiniti significa guadagnare tempo.
    zenon contiene molti moduli predefiniti. Invece che programmare script, il progettista sceglie il modulo adatto e lo configura, selezionando le proprietà ed i parametri desiderati. Questo gli consente di creare in breve tempo progetti perfettamente funzionanti.
  2. Il prodotto viene fornito dal produttore in una versione perfettamente funzionante
    Il progettista può concentrarsi completamente sul suo progetto. Il software viene sviluppato e testato dal produttore; i progettisti non devono scrivere nemmeno una riga di codice. Ne consegue che è facile imparare a lavorare con zenon, anche per quei dipendenti senza esperienza di software-engineering.
  3. Semplice manutenzione e adattamento del progetto
    zenon lavora in modo strettamente orientato agli oggetti. Tutto questo, in combinazione con il principio “progettare anziché programmare”, significa: Per eseguire modifiche e verifiche, si deve controllare o cambiare solamente le proprietà dei singoli oggetti, invece che leggere lunghi codici e modificarli. Per quello che riguarda la durata di un progetto, poi, questo garantisce:
    • Chiara visione d´insieme: i progetti sono chiari e comprensibili nella loro struttura anche a distanza di anni e per nuovi dipendenti.
    • Sicurezza: si può evitare di scrivere script, continua fonte di errori, e il lavoro di programmazione.
    • Guadagno di tempo: progettazione, modifica e manutenzione possono essere eseguiti in tempi molto più brevi.
  4. Semplice adeguamento ai macchinari
    zenon è adattabile in modo veloce e semplice a macchinari nuovi e/o modificati. Le modifiche di progetto richiedono solamente pochi clic del mouse.

Adeguare zenon:

La parametrizzazione previene anche che gli eventuali errori di uno script vengano copiati di continuo. Permette anche di evitare di dover effettuare quelle complicate modifiche in molti script individuali, che sono altrimenti necessarie anche se si vuole effettuare un cambiamento molto piccolo. Il che non significa, però, perdere libertà di azione. Anche zenon vi dà la possibilità di adeguare ed estendere il sistema in modo del tutto individuale.

  • VBA/VSTA:
    Con l´aiuto del linguaggio script Visual Basics for Applications, oppure di. C# und VB.NET, potete eseguire qualsiasi codice anche nel runtime. Potete affrontare e risolvere problemi di automazione, logica o relativi ad interfacce, nonché quelli concernenti l´accesso a banche dati.
  • zenon Logic:
    Questo ambiente di controllo pienamente integrato, vi consente, come SCADA Logic, di usare tutti i linguaggi 5 IEC 61131-3. In tal modo potete sbrigare tutti i calcoli e i compiti di logica.
  • PCE:
    L´integrato Process Control Engine vi consente di realizzare soluzioni di automazione usando VB-Script e Java Script.
  • Controlli ActiveX:
    Potete integrare qualsiasi controllo standard, come Flash Player oppure Acrobat Reader, in zenon. L´interfaccia è aperta e disponibile anche per controlli ActiveX di programmazione propria.
  • Elementi WPF
    Grazie alla diretta integrazione di Windows Presentation Foundation, potete implementare direttamente in immagini zenon degli elementi grafici realizzati in questo nuovo formato grafico, quali, per esempio, un pulsante, uno strumento analogico e molti altri. Questi elementi possono essere collegati liberamente a variabili e funzioni; così potete realizzare qualsiasi effetto grafico vogliate.
  • Interfaccia COM:
    Grazie all´interfaccia COM, completamente aperta, potete accedere dall´esterno a zenon. Per la comunicazione, disponete di un gran numero di linguaggi di programmazione, come, ad esempio, C++, .NET, Delphi ecc.


Globalmente e centralmente anziché localmente

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Globalmente e centralmente anziché localmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà possono essere definite in zenon in diversi modi, a seconda di quale sia la loro funzione:

  • direttamente sull´oggetto
  • centralmente
  • globalmente

Naturlamente, anche tutte le impostazioni possono essere effettuate sull´oggetto in zenon. Ma questa non è sempre la via migliore.

Definire le proprietà centralmente

Spesso è meglio definire le proprietà una volta sola centralmente. In tal modo, i nuovi oggetti hanno sin dall´inizio le proprietà desiderate. Le eventuali modifiche sono particolarmente semplici: la proprietà desiderata viene modificate solamente in un posto e tutti gli oggetti interessati riprendono la modifica automaticamente. Il che significa che è sufficiente solamente un clic del mouse, anziché scrivere molte righe di codice o cliccare molte volte.

Queste impostazioni centrali sono semplici da trovare in qualsiasi area dell´editor ci si trovi ad operare. Ogni oggetto che riprende delle impostazioni da una sorgente centrale, offre la possibilità di passare direttamente alle stesse. Non dovete far altro che usare il link e vedete subito come sono collegati gli elementi.

Le proprietà, però, non possono essere definite solamente centralmente per un progetto, ma anche in termini globali, il che significa che valgono per più progetti.

Progettazione globale

zenon Vi offre la possibilità di lavorare contemporaneamente a più progetti, dandovi così l´oppurtunità di risparmiare preziose risorse: tempo di lavoro. Usare in tutti i progetti gli stessi caratteri, per esempio, è molto semplice. Una volta definite, proprietà come tipo di carattere e dimensione carattere sono immediatamente disponibili in tutti i progetti di un workspace. Se avete bisogno di un altro carattere per tutti i progetti, non c´è alcun problema; è una questione di pochi secondi modificarlo nel progetto globale. E se volete usare una altro carattere per un singolo progetto? Allora non dovete far altro che modificare il carattere centralmente in questo progetto.

info Info

Vi consigliamo di usare nel progetto globale degli altri circoli numero di quelli usati nel progetto locale. Questo perché zenon, nel caso di numeri identici, si dà sempre la precedenza alle impostazioni locale .

E: usate un nome proprio per le liste caratteri che mantenete consistenti nel progetto locale e nei progetti locali. In tal modo, assicurate che tutti i caratteri vengano trovati anche nel caso di un cambio lingua.

Visione generale delle relazioni di oggetti

Una visione generale concernente i Vostri progetti e le relazioni degli oggetti l´avete anche tramite:

  • lista incrociata (QVL):
    essa mostra le relazioni incrociate sussistenti in un progetto e permette di ricercare con semplicità l´uso di variabili e funzioni.
  • Wizard per documentazione
    esso genera automaticamente una completa documentazione di progetto. Quello che deve essere documentato può essere definito in modo esatto per ogni proprietà.


Progettazione con orientamento ad oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

'Parametrizzare in modo orientato agli oggetti è `uno dei punti fondamentali della filosofia di zenon. Questo principio è fonte di chiara visione d´insieme e rende possibile risparmiare molto tempo nella impostazione e nella gestione di variabili.

Ogni variabile in zenon si basa su due elementi:

  • Driver
  • Tipo di dato

Ancora in questo capitolo

Driver

Tipi di dato

Consigli per l´indirizzamento e l´import-export


Driver

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I driver non sono connessi direttamente in zenon, ma per mezzo di un tipo di oggetto driver. Esso determina quale area del PLC debba essere contattata .

Tipo di oggetto del driver

Esistono molti diversi tipi di oggetto driver, come, ad esempio, PLC-merker standard, blocco dati, entrate, uscite, contatori, ma anche tipi speciali, come allarmi variabili allarmi e driver.

Il tipo di oggetto del driver determina:

  • L´area sul PLC.
  • Quale granularità ha il driver in quest´area.
  • Quali tipi di dato possono essere creati in questa area.

Suggerimento: Non ogni tipo di dato può essere creato in ogni area. Quando si crea una variabile, dunque, selezionare sempre:

  • In primo luogo il driver,
  • Poi il tipo di oggetto del driver e
  • Infine il tipo di dato.

Informazione extra: Granularità

La granularità è importante soprattutto nel caso di PLC ad indirizzamento numerico, come, ad esempio, Siemens S7. Non tutti i PLC hanno le stesse impostazioni e neanche tutte le aree in un PLC hanno le stesse impostazioni.

Per esempio: l´area blocco dati di Siemens S5 è orientata a word, mentre l´area merker è orientata a byte. Il che significa che la più piccola unità che può essere indirizzata è un byte o una word. Se si vuole - ad esempio - scrivere un bit in una tale area, si deve leggere perlomeno un intero byte/word, smascherare il bit corrispondente e modificarlo e riscrivere tutto il byte/word sul PLC.

La stessa informazione è necessaria anche per l´indirizzamento delle aree, denominata offset. Si inizia da zero e si continua a contare in passi byte o word. Se si usa in zenon l´ indirizzamento automatico, questa granularità viene tenuta presente automaticamente. La granularità non dipende dunque dal driver, ma dal tipo di oggetto driver.

Variabili del driver

Le variabili driver vengono offerte da ogni driver e portano molteplici vantaggi nella progettazione. Non comunicano con il PLC, ma leggono un´area di salvataggio interno del driver contenente soprattutto informazioni statistiche. Ma anche delle funzioni speciali possono essere gestite per mezzo di variabili, per esempio numero di telefono per collegamenti modem, oppure comandi per comporre numero e chiudere comunicazione.

Delle informazioni più esatte su questo argomento le trovate nel capitoloVariabili driver.

Sul supporto di installazione di zenon, trovate un file dBase con le più importanti variabili driver. Con esso potete importare queste variabili in ogni driver, anziché doverle creare manualmente.


Tipi di dato

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di dato sono il cuore del parametrizzare in riferimento agli oggetti. Visto che nei tipi di oggetto driver ‑non possono essere effettuate delle impostazioni, essi non sono utilizzabili per questo orientamento agli oggetti. I tipi di dato, invece, offrono molte possibilità.

Distinguiamo tre tipi:

  • Semplici tipi di dato:
  • Struttura di tipi di dato
  • Elementi struttura

Ancora in questo capitolo

Tipi di dato semplice

Tipi di dato strutturato - elementi di struttura - array di struttura


Tipi di dato semplice

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipi di dato semplice sono sempre tipi di dato IEC, cioè quelli definiti nello standard IEC 61131-3, come BOOL, INT, USINT, UDINT, USINT, STRING, WSTRING ecc; hanno una dimensione predefinita - per esempio:
BOOL: 1 bit
INT: 16 bit signed
UINT: 16 bit unsigned

I tipi di dato in zenon consentono, però, accanto al tipo di dato IEC, l´impostazione di molte più proprietà. Esse hanno le stesse denominazioni di quelle delle variabili:

  • Identificazione
  • Unità di misura
  • Campo valori
  • Valori limiti

Perché questa "partita doppia"?

La ragione è tanto semplice, quanto pratica:
la variabile riprende il calcolo del valore, unità e anche valori limite dal tipo di dato che ne è alla base, come un elemento di visualizzazione riprende il tipo e la dimensione del font dal carattere collegato.

Orientamento ad oggetti

Diversamente da quello che accade per il collegamento di elementi dinamici e caratteri, qui abbiamo a che fare con un approccio orientato agli oggetti: l´oggetto tipo di dato trasmette le sue proprietà alla variabile. La differenza?

Delle proprietà collegate/derivate possono essere separate dalla variabile o sovrascritte. Ciò funziona per ogni singola proprietà, ma anche per tutte le proprietà nel loro complesso. Potete, per esempio, riprendere l´unità dal tipo di dato centralmente, ma potete sovrascrivere l´identificazione, oppure l´indirizzo direttamente sulla variabile. Ciò funziona nel modo seguente:

  • Se modificate nella variabile il valore corrispondente, il collegamento viene eliminato.
    Lo notate anche per il fatto che nella proprietà scompare la spunta.

Servendovi del menù contestuale, potete usare le seguenti funzioni:

  • Prendi proprietà dal tipo di dato:

    Se avete separato un collegamento, potete ristabilirlo.

  • Separa proprietà:

    Potete separare delle singole proprietà senza dover modificare il valore. Se, in un secondo tempo, modificate il valore nel tipo di dato, potete essere sicuri che la variabile non ne viene interessata in alcun modo. A voi spetta decidere se il concetto di trasmissione ereditaria deve essere applicato, oppure no.

Un ulteriore aiuto che il sistema vi mette a disposizione, consiste nella possibilità di riprendere, oppure di separare dal tipo di dato tutte le proprietà con un semplice clic del mouse. In tal modo, potete ripristinare velocemente lo stato originario (tutto derivato), oppure revocarlo. Quali vantaggio comporta tutto ciò in pratica?

Soprattutto un elevato grado di flessibilità: Se avete molte variabili con lo stesso valore limite, per esempio un allarme con il valore 1, allora impostate questo valore direttamente nel tipo di dato. Il testo del valore limite e altri parametri opzionali, poi, li potete fissare separatamente per ogni variabile. Così risparmiate tempo e fatica, perché non dovete creare e monitorare il valore limite per ogni singola variabile. L´efficienza della progettazione, poi, cresce considerevolmente. Il tipo di dato BOOL, creato di default, del resto, ha un valore limite di 0 e di 1!

Se, però, non avete un valore limite per ogni variabile BOOL, non dovete per questo controllare ogni variabile e disattivare di nuovo il valore limite. In questo caso, non dovete far altro che sfruttare un utile meccanismo messo a disposizione da zenon e creare un tipo di dato BOOL extra. Procedete nel modo seguente:

  • Lasciate così com´è il tipo di dato standard.
  • Cliccate su Nuovo tipo di dato.
  • Apparirà una lista con i tipi di dato esistenti.
  • Selezionate Standard-Bool.
  • Indicate un nome, per es. MyBool
  • Tutte le proprietà del nuovo tipo di dato vengono riprese automaticamente dal vecchio.
  • Per MyBool cancellate i valori limite.

Tutte le variabili Bool che non devono avere dei valori limite, le create per questo tipo di dato nuovo MyBool; ed ecco che i valori limite non desiderati spariranno. Quelli, invece, che desiderate siano attivi, continuano a funzionare regolarmente.

Naturalmente, potete creare non solo un proprio tipo di dato Bool, ma anche qualsiasi altro tipo di dato desideriate. Tutte quelle variabili che hanno bisogno in larga misura delle stesse proprietà, riceveranno un tipo di dato proprio. Se volete cambiare una proprietà, fatelo centralmente e tutte le variabili derivate riprenderanno automaticamente la modifica; fatta eccezione per quelle il cui il collegamento è stato separato.


Tipi di dato strutturato - elementi di struttura - array di struttura

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato strutturato - elementi di struttura - array di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipo di dato strutturato

Tipi di dato struttura significa un gruppo di tipi di dato che sono definiti esattamente nella loro successione e nel loro ordine. Per esempio, la struttura motore può comporsi degli elementi giri e prestazione.

Una struttura può essere anche di tipo nidificato, con un numero qualsiasi di livelli gerarchici.

Per mezzo di tipi di dato strutturato, si può costruire il variable household in modo tale che corrisponda a quello esistente nella realtà controller o logicamente.

Elemento di struttura

Un tipo di dato struttura è, i realtà, solamente un contenitore, che nasconde il nome per la struttura, ma non porta con sé delle proprietà proprie.

Esse vengono solo con gli elementi di struttura che vengono aggiunti al tipo di dato struttura. Si deve distinguere fra:

  • tipi di dato struttura collegati:

    Relazione con un tipo di dato già esistente. Tutte le proprietà vengono riprese, ad eccezione del nome.

    Vantaggio: se l´elemento struttura ha molte proprietà di un tipo di dato già esistente, queste possono essere riutilizzate. Nel caso delle variabili, naturalmente, si può continuare a modificare delle singole proprietà, oppure le si può separare dal tipo di dato.

  • Tipo di dato struttura proprio separato:

    permette delle impostazioni di indirizzamento individuali. Questo nuovo tipo di dato è valido solamente all´interno di questa struttura.

info Info

Pratico orientamento agli oggetti: se la struttura cambia in qualsiasi momento, basta modificare il tipo di dato struttura per adattare automaticamente tutte le variabili che si basano su questa struttura.

Modifiche possibili in ogni forma:

  • proprietà semplici come unità di misura nel caso di tipo di dato
  • delle proprietà complesse, come l´aggiunta o la cancellazione di un valore limite.
  • modifica della struttura completa per mezzo, per esempio, della modifica della successione degli elementi oppure l´aggiunta di singoli elementi di struttura nel tipo di dato struttura.

Array di struttura

Se non si tratta di un macchinario, ma di molti, è il momento di usare l´array di struttura.

Per esempio: 100 pompe anziché una 1 pompa.
In questo caso la variabile di struttura si trasforma semplicemente in un array di struttura. In tal modo, con un solo clic del mouse, 110 variabili diventano 100 variabili di struttura.

Se dobbiamo impostare, per esempio, per ogni pompa 12 variabili singole, abbiamo bisogno complessivamente di 1200 variabili. Il metodo "parametrizzare in modo orientato agli oggetti" permette di far ciò con pochi clic del mouse. Un altro vantaggio è che tutte le variabili sono già impostate in anticipo. Ogni singola variabile porta con sé già tutte le proprietà di cui ha bisogno, come unità, calcolo valore, allarmi, inserimenti CEL ecc.

info Info

Tipi di dato struttura si prestano anche a facilitare il riutilizzo di variabili.

Ancora in questo capitolo

Esempio: pompa


Esempio: pompa

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato strutturato - elementi di struttura - array di struttura -> Esempio: pompa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio: pompa

Situazione di partenza

Una pompa consiste di due motori. Ognuno di essi ha alcune variabili, come:

  • Numero di giri attuale
  • Consumo elettricità
  • Energia
  • ecc.

Ogni motore, a sua volta, ha un regolatore motore con le seguenti variabili:

  • Numero di giri attuale
  • Quota P
  • Quota I

Per realizzare quanto sopra, procedete nel modo seguente:

  1. create una struttura Regolatore di rispettivamente un tipo di dato per
    • Numero di giri attuale
    • Quota P
    • Quota I
  2. Create una struttura Motore con rispettivamente un tipo di dato:
    • Numero di giri attuale
    • Consumo elettricità
    • Energia
    • ecc.
  3. Nella struttura Motoreriorendete il Regolatore.
  4. Create una struttura pompa e integrateci il motore.

    Visto che abbiamo due motori, riprendete il tipo di dato motore semplicemente due volte nella Vostra struttura Pompa.

  5. Create una variabile che si basa su questo tipo di dato struttura:
    • Crea nuova variabile
    • Scegli tipo di dato struttura Pompa

    I singoli elementi di questa variabile di struttura si chiamano Elementi struttura e possono essere usati in zenon come elementi singoli, come, per esempio, in immagini, allarmi, archivi, ricette ecc.


Consigli per l´indirizzamento e l´import-export

Manuale -> Progettazione efficiente con zenon -> Orientamento agli oggetti -> Progettazione con orientamento ad oggetti -> Consigli per l´indirizzamento e l´import-export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli tratti dall´esperienza pratica:

  • Indirizzamento
  • Esporta/Importa

Indirizzamento:

Nel caso di PLC numerici, potete scegliere se l´indirizzamento deve essere effettuato automaticamente o in modo semi-automatico. Tutte le proprietà descritte in questa sede, sono raggiungibili anche via VBA/VSTA e possono essere usate per la progettazione automatica.

Indirizzamento automatico:

Offset e, se necessario, indirizzo Byte e Bit, vengono calcolati automaticamente sulla base della posizione degli elementi struttura. Se avete impostato nel PLC la stessa struttura di zenon, il tutto corrisponde al100% e non dovete preoccuparvi dell´indirizzamento corretto.

Indirizzamento semi-automatico:

Assegnate dei singoli indirizzi di partenza già nel tipo di dato. Sulla base di questi indirizzi saranno calcolati anche gli altri indirizzi. Potete adattare questi ultimi, naturalmente, se ne avete bisogno. Dettagli concernenti questo tema li trovate in Indirizzamento automatico.

Nel caso di PLC indirizzati simbolicamente, si deve assegnare lo stesso nome in zenon e nel PLC.

Esportazione/Importazione XML

Nel caso di import e export vengono trasmesse anche delle informazioni su tipo di dato, strutture, settori. Potete esportare facilmente tipi di dato struttura e variabili struttura che avete impostato una volta e usarli immutati per mezzo di import in altri progetti , oppure modificarli sulla base delle Vostre esigenze.


Riutilizzare elementi

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della prima impostazione di un progetto, avete bisogno del tempo necessario per creare le variabili, le funzioni, le immagini ed i loro collegamenti. Questi tempi, però, possono essere ridotti in modo sostanziale quando si tratta di creare dei progetti successivi. In zenon, infatti, avete la possibilità di riprendere e riutilizzare in altri progetti degli elementi già impostati.

Normalmente si ha bisogno in diversi progetti di elementi standard, come, ad es., immagini per lo stato del sistema, oppure immagini dettagliate di componenti hardware di uso comune (pompe, valvole, motori ecc.).

Ci sono diversi modi di riutilizzare elementi già impostati.

Tema | Riutilizzo di
sostituisci variabili e funzioni | Elementi
Simboli | Immagini
Struttura di tipi di dato | Variabile
Matrici di reazione | Variabile
Progetto globale | elementi centrali di un progetto
XML | parti progetto per mezzo di import e export
Wizard | immagini e elementi per mezzo di import o individualizzazione
Riutilizzo progetti | Progetti

info Info

Per poter riutilizzare in modo efficiente degli elementi, fate in modo che, al momento della creazione delle variabili, funzioni e immagini, esse siano dotate di una denominazione univoca.

Ancora in questo capitolo

sostituisci variabili e funzioni

Simboli

Tipo di dato strutturato

Matrici di reazione

Progetto globale

XML

Wizards

Riutilizzo progetti


sostituisci variabili e funzioni

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili e le funzioni che vengono salvate in Elementi dinamici, possono essere sostituite in modo automatico. Ciò può accadere in diverse sedi:

  • sostituisci collegamenti nell´immagine:
  • sostituisci collegamenti al momento del cambio immagine:
  • Sostituisci indici
  • Se desiderate avere delle ulteriori informazioni sulla sostituzione di variabili e funzioni, Vi invitiamo a leggere nella sezione concernente le Immagini il capitolo Sostituisci i collegamenti di variabili e funzioni.

Ancora in questo capitolo

Convenzioni di nomenclatura

Possibilità di sostituzione


Convenzioni di nomenclatura

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, è importante che la loro denominazione sia sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In questo modo non vi limitate a rendere più semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il reverse engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Per esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System - Power Plant Classification System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation - Classification System for Technical Products and Technical Product Documentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • IDENTIFICAZIONE-IMPIANTO (sistema identificazione di impianto - Equipment Classification System); per i dettagli si veda http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Comandi Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio KKS:

In un progetto realizzato per il settore Energy, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS.
Una variabile con il nome C01_MDY10-QA001_QA07 ha il seguente significato:

  • Wind energy equipment C01 (row C, Nr. 1)
  • Gestione turbine eoliche MDY10
  • Alimentatore QA001
  • Power protection QA07


Possibilità di sostituzione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le sostituzioni possono essere utilizzate in diversi punti di un progetto.

  • sostituisci collegamenti nell´immagine: le immagini vengono copiate e nell´immagine copiata vengono sostituiti i collegamenti.
  • sostituisci collegamenti al momento del cambio immagine: Si utilizza per diverse gestioni una sola immagine, all´apertura della quale il sistema adatta i collegamenti.
  • Sostituisci indice: Sostituzione di variabili in un´immagine di processo mediante il valore di variabili indice.

Ancora in questo capitolo

sostituisci collegamenti nell´immagine:

sostituisci collegamenti al momento del cambio immagine:

Sostituisci indici


sostituisci collegamenti nell´immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti nell´immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se delle variabili sono collegate ad un´immagine, le si può cambiare semplicemente con delle altre facendo uso di un dialogo di sostituzione. Requisito

  • una chiara ed univoca denominazione delle variabili

In tal modo si possono riutilizzare delle immagini già esistenti usando il meccanismo di Copia& Incolla. La sostituzione viene avviata facendo uso del menù contestuale:

  • cliccate con il tasto destro del mouse sull´elemento
  • cliccate su sostituisci collegamento

In tal modo viene aperto il dialogo che serve alla sostituzione.

Esempio

Nel nostro esempio il progetto dispone di una grande quantità di variabili appartenenti a diverse parti dell´impianto. Nell´immagine di processo ci sono:

  • 10 variabili che provengono dalla gestione delle turbine eoliche MDY10, collegate con elementi dinamici.
  • pulsanti con cambio immagine che conducono a diversi settori di MDY10.

Facendo uso di Copia&Incolla, il progettista riutilizza l´immagine per la gestione delle turbine eoliche MDY11 esattamente così com´è, e sostituisce le variabili o le funzioni con quelle corrispondenti del nuovo PLC. Procedura:

  1. si deve anzitutto evidenziare gli elementi dinamici su cui sono collegate le variabili e le funzioni.
  2. si apre il dialogo di sostituzione

  3. nel campo Sorgente si inserisce la identificazione impianti *MDY10*
    (i segni di apertura e chiusura * sono Wildcards)
  4. nel campo Destinazione si inserisce MDY11
  5. con il comando Applica si avvia la sostituzione e cliccando su OK si chiude il dialogo.

L´immagine può essere adesso usata per la nuova gestione.


sostituisci collegamenti al momento del cambio immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti al momento del cambio immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo prevede sempre l´utilizzo dell´immagine originale che viene aperta durante il runtime con variabili e funzioni diverse. L´immagine contiene diverse variabili e funzioni come nell´esempio relativo a sostituisci collegamenti nell´immagine". La sostituzione avviene al momento del cambio immagine. A tale scopo:

  1. si progettano più funzioni "cambio immagine" che conducono a questa immagine.
  2. al momento della creazione della funzione, il sistema offre all´utente il Dialogo di sostituzione.
  3. ogni funzione contiene una propria procedura di sostituzione.

Una variante compatibile solo con un cambio immagine: Sostituisci indice per array.


Sostituisci indici

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In Arrays potete effettuare tale sostituzione per le variabili tramite variabili indice.

L´immagine viene usata solamente una volta come in sostituisci collegamenti al momento del cambio immagine. Le variabili collegate vengono sostituite al momento del cambio. Il cambio immagine deve essere impostato solamente una volta (a differenza di sostituisci collegamenti nell´immagine) e può essere riutilizzato più volte facendo uso di una variabile indice.

Esempio

Il cambio viene eseguito per portare ad un´immagine di processo che contiene 10 variabili della "gestione turbine eoliche" MDY10. L´obiettivo del progettista è quello di riutilizzare quest´immagine esattamente così com´è, visto che le gestioni delle turbine eoliche MDY11, MDY12 e MDY13 dispongono dello stesso numero di variabili.

Regola di indicizzazione:

  • Sorgente: C01 MDY10 QA001*
  • Destinazione: C01 MDY{X01} QA001

ha il seguente effetto:

  • al momento del cambio turbina, il sistema comunica alla funzione che, al momento del cambio immagine durante il Runtime,essa deve inserire il valore variabile di X01 Indice gestione turbine eoliche nel nome della variabile.

    Esempio: Nel caso in cui questa variabile abbia il valore 12, al momento del cambio immagine, l´immagine di processo viene visualizzata con tutte le variabili della gestione turbine eoliche MDY12.


Simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il potenziale dei simboli per quello che concerne la possibilità del loro riutilizzo è molto grande. I simboli possono essere costruiti in modo complesso e supportano il meccanismo di trasmissione ereditaria. Esso possono essere inseriti in modo scollegato o collegato. Nel caso si opti per il collegamento, è sufficiente modificare un simbolo in una sede per provocare la sincronizzazione di tutte le immagini che lo utilizzano. I simboli possono essere collegati anche ad altri simboli.

Esempio: barra dei pulsanti.

Un simbolo (quadrato vuoto) viene collegato a tutti i pulsanti per servire da base comune.

Le Proprietà rese disponibili consentono di assegnare ad ogni singolo pulsante una veste grafica differente. Se si vuole poi cambiare la forma o il colore dei pulsanti, non bisogna far altro che cambiare il simbolo "pulsante vuoto". Tutti i pulsanti riprenderanno automaticamente la nuova forma e/o colore.

Ancora in questo capitolo

Proprietà rese disponibili

Sostituzione nel caso dei simboli

Libreria simboli generale


Proprietà rese disponibili

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Proprietà rese disponibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli trasmettono, per così dire, in via ereditaria le loro proprietà agli oggetti nei quali sono stati collegati. Tuttavia, singole proprietà possono essere escluse dalla trasmissione ereditaria. Ad esempio la grafica visualizzata nel nostro pulsante. Se la trasmissione ereditaria viene esclusa, questa proprietà può essere settata individualmente per ogni oggetto. In questo caso, le modifiche di questo dettaglio nell´elemento di origine non andranno a influenzare gli altri oggetti.

Riutilizzo immagini

La combinazione di simboli e proprietà rese disponibili può essere un´efficacie soluzione per il riutilizzo di immagini di processo.

Esempio

in un progetto c`è un dialogo centrale di parametrizzazione che deve essere utilizzato per diverse parametrizzazioni. Visto che esso viene usato per i più diversi settori, c´è l´esigenza che determinati adattamenti e modifiche (ad esempio colori di sfondo, immagini ....) siano possibili.

Copy and Paste:

  1. creare un´immagine di processo che contiene questo dialogo di parametrizzazione
  2. moltiplicare l´immagine tramite Copy & Paste
  3. la veste grafica delle immagini di processo utilizzate più volte può essere adattata alle esigenze

Ma: in questo caso non è possibile una trasmissione in via ereditaria. Se il progettista vuole effettuare in un secondo momento adattamenti centrali (concernenti la struttura fondamentale del dialogo di parametrizzazione), egli deve poi ripeterle in ogni immagine di processo.

Metodo tramite simbolo con proprietà rese disponibili:

  1. il dialogo di parametrizzazione viene creato tramite un simbolo
  2. gli elementi che devono essere modificati per le diverse posizioni di parametrizzazione, vengono scollegati dal concetto di trasmissione ereditaria facendo uso di proprietà rese disponibili.
  3. nelle immagini corrispondenti il simbolo viene collegato, posizionato e adeguato.

  4. Nel caso in cui il progettista dovesse decidere di modificare l´aspetto generale del dialogo, egli effettua tali modifiche centralmente nel simbolo. Questa modifica, poi, ha effetto su tutte le posizioni in cui il simbolo è collegato.

  5. Tramite le proprietà rese disponibili e una corrispondente sostituzione, il simbolo globale può essere adattato individualmente.

  6. In questo caso, il progettista ha deciso che l´interfaccia grafica gene reale dei dialoghi di parametrizzazione deve essere modificata. Egli effettua questo cambiamento a livello centrale nel simbolo "Parametrizzazione". Le proprietà individuali dei singoli dialoghi di parametrizzazione rimangono immutate; cambiano solamente quelle proprietà che sono contenute nella trasmissione ereditaria.


Sostituzione nel caso dei simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Sostituzione nel caso dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La procedura descritta nel capitolo sostituisci variabili e funzioni può essere seguita anche nel caso dei simboli. Anche in questo caso, una denominazione mirata degli oggetti è un presupposto fondamentale.

Nel caso della sostituzione di simboli, si deve distinguere due diversi modi di procedere: Da una libreria (progetto/globale), un elemento

  • può essere aggiunto in un´immagine come gruppo elemento
  • può essere collegato in un´immagine

A seconda della procedura, vengono aperti diversi dialoghi che servono alla sostituzione di variabili/funzioni.

Gruppi elementi

Qui le variabili vengono sostituite direttamente tramite il dialogo di sostituzione. Il dialogo offre anche la possibilità di selezionare le variabili aprendo un altro dialogo apposito. Usare dei simboli in questo modo non è ideale ai fini della riutilizzabilità.

Simboli

In questa procedura si lavora mediante string di sostituzione. Queste string vengono sostituite al momento della compilazione mediante le variabili corrispondenti. Nel dialogo qui aperto non è possibile sostituire delle variabili facendo uso di un apposito dialogo di selezione. Qui il progettista lavora facendo uso di singole string di sostituzione che sono divise l´una dall´altra da un punto e virgola (;).

Il simbolo che si trova dietro questo dialogo di sostituzione può adesso essere riutilizzato nei più diversi settori di impianto. Quest´esempio presuppone che, in ogni settore di impianto, vengano utilizzate variabili e funzioni simili (unica differenza: l´abbreviazione dell´impianto nel nome delle variabili e funzioni stesse), le quali possono essere sostituite in modo veloce e chiaro.

Ulteriori informazioni concernenti la sostituzione dei simboli le trovate anche nel manuale relativo alle Immagini nel capitolo Simboli.


Libreria simboli generale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Libreria simboli generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli vengono gestiti o nella libreria simboli nel progetto, o nel progetto globale, oppure nella libreria simboli generale. La differenza fondamentale è la seguente:

Libreria simboli

Proprietà

Libreria simboli generale

I simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione quando si esegue un collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili elenca tutti i progetti del workspace da cui selezionare una variabile per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati solo al momento dell´avvio dell´Editor. Questi simboli non vengono salvati quando si esegue un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione per tutti i progetti del workspace.

Denominazione quando si esegue un collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • I simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti a variabili senza modifiche.
  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome della Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati quando si crea un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto

I simboli sono disponibili solo nel progetto corrente.

Denominazione quando si esegue un collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel nodo Immagini del Manager del progetto e viene salvata quando si crea un backup di progetto.
  • Interblocchi e alias per l´ALC possono essere configurati. Queste proprietà vengono mantenute anche quando i simboli vengono aggiunti in immagini.

Copiare simboli fra librerie

I simboli possono essere copiati via Drag&Drop .
In questo caso, vale quanto segue:

  • Possono essere copiati solamente i simboli del primo livello della struttura ad albero.
  • Gruppi e cartelle non possono essere copiati.
  • Se i nomi dei simboli che si desidera copiare esistono già nella libreria di destinazione, i simboli inseriti verranno rinominati automaticamente.
    La modifica del nome avviene tramite l´inserimento di un carattere di sottolineatura e di un numero ordinale, per es.: Calibrator_1.
  • La possibilità di copiare simboli da una libreria all´altra è limitata.

Di seguito una panoramica delle possibilità di copiare simboli via Drag&Drop da una libreria all´altra:

Copiare via Drag&Drop possibile | Libreria simboli generale | Libreria simboli nel progetto globale | Libreria simboli nel progetto
Libreria simboli generale | -- | + | --
Libreria simboli nel progetto globale | -- | -- | +
Libreria simboli nel progetto | -- | + | --

Legenda:

  • +: possibile copiare.
  • --: non è possibile copiare.

Esempio

Un postazione centrale di progettazione appronta una raccolta di simboli che deve essere utilizzata dalle postazioni di progettazione disseminate in tutto il mondo nei loro progetti specifici. Ad esempio, vengono resi disponibili dei simboli complessi che rappresentano importanti parti di immagini di processo. Questa raccolta di simboli si trova in una directory o in un file, per esempio in „Global_Used_Symbols.SYM". Quando si effettuano a livello centrale delle modifiche grafiche a questa raccolta globale di simboli, il file „Global_Used_Symbols.SYM" viene semplicemente inviato a tutte le postazioni di progettazione locali e in quella sede la nuova versione sostituisce la vecchia. L´adattamento individuale può essere effettuato tramite proprietà rese disponibili e sostituzione.

Non è sempre necessario inviare la raccolta di simboli nella sua interezza. Per inviare solamente alcuni simboli selezionati, si può usare anche lo strumento dell´XML-Export/Import.

attention Attenzione

Nel caso si utilizzi la libreria globale dei simboli, deve essere osservata la seguente regola fondamentale: le postazioni di progettazione locali non possono modificare i simboli che fanno parte della raccolta di simboli. Ogni modifica verrebbe infatti sovrascritta al momento del prossimo update.


Tipo di dato strutturato

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Tipo di dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili possono essere riutilizzate tramite i tipi di dato struttura. In tal modo è possibile realizzare delle strutture complesse e sfruttare i vantaggi del meccanismo di trasmissione ereditaria.

Esempio

il tipo di dato struttura "motore" è costituito da tre elementi:

  • Stato
  • Numero di giri
  • Temperatura

Questi elementi si differenziano fra loro nel modo di trasmissione ereditaria:

  • "stato" e „numero di giri" derivano dal tipo di dato INT, ma la loro trasmissione ereditaria è stata interrotta dal inserimento in modalità scollegata.
    cioè.: nel caso in cui ci siano dei successivi update che riguardano il tipo di dato INT, essi non hanno alcun effetto sui due elementi sopra citati.
  • "Anche temperatura" proviene dal tipo di dato INT, ma la trasmissione ereditaria è intatta.
    cioè.: eventuali modifiche successive al tipo di dato INT hanno effetto anche su questo elemento.

Se, per esempio, progettate 20 motori dalla struttura identica, potete procedere alla creazione di variabili che si basano sullo stesso tipo di dato "motore". Potete farlo, per esempio, creando un array di questo tipo di dato. L´aspetto grafico verrà realizzato in questo esempio tramite un simbolo.

Se collegate il simbolo ad un´immagine di processo, i caratteri simbolici per variabil del simbolo vengono sostituiti dalle variabili del tipo di dato struttura che è stato impostato. Vi preghiamo di assegnare delle denominazioni chiare ed univoche per evitare l´insorgere di problemi.

Se volete realizzare un´immagine di processo che deve servire da visione generale per tutti i motori in questione, potete moltiplicare il simbolo inserito facendo uso dello strumento Copy&Paste. Non si deve far altro, poi, che sostituire per ogni simbolo la variabile di destinazione con il numero progressivo corrispondente:

Nel caso in cui vogliate aggiungere in seguito dei valori limite per le variabili "numero di giri", potete sfruttare il vantaggio offerto dalla relazione ereditaria esistente fra il tipo di dato da voi impostato e le variabili che ne sono derivate. Per effettuare la modifica, dovete impostare un nuovo valore limite per l´elemento struttura „numero di giri" del tipo di dato „motore" da voi creato. Questa modifica avrà poi effetto su tutti i 20 motori.

Naturalmente il progettista ha la possibilità di eliminare questa relazione ereditaria. Si può anche procedere alla modifica del valore limite „numero di giri" per uno solo dei 20 motori.

Nota: è possibile scollegare dal tipo di dato singole o tutte le proprietà di una variabile.

info Info

Se volete altri consigli utili per l´uso di strutture di tipi di dato, leggete per cortesia il capitolo Tipi di dato struttura - elementi struttura - array struttura e, nel manuale Variabili, il capitolo Tipi di dato struttura.


Matrici di reazione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le matrici di reazione fanno sì che l´aspetto delle variabili sia lo stesso in tutto il progetto. Al contrario dei valori limite, le matrici di reazione funzionano ispirandosi al seguente principio: una matrice di reazione viene progettata una volta per tutte e poi assegnata ad un numero qualsiasi di variabili. Tutte le variabili collegate alla stessa matrice di reazione, reagiscono allo stesso modo. Il vantaggio: manutenzione semplice e a livello centrale.


Progetto globale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Progetto globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un progetto globale è possibile fissare degli standard che poi riguardano diversi progetti. In tal modo è possibile definire determinati moduli o elementi validi per tutte le sedi, mentre i progetti locali fissano i parametri individuali.

Nel progetto globale possono essere definiti:

  • Gestione allarmi

    dichiarazione dei gruppi allarmi, classi allarmi e settori allarmi da utilizzare globalmente.

  • Definizione d´impianto:

    Essa può supportare la progettazione centrale, visto che si potrebbe effettuare una divisione in due "impianti". Nel far ciò, si deve definire in modo chiaro quali elementi di progettazione provengono dalla postazione di progettazione centrale e quali da quella locale.

  • Utenti:

    nel caso in cui uno standard preveda l´esistenza di determinati utenti validi a livello globale, questi ultimi possono essere fissati tramite il progetto globale.

  • File:

    Mediante uno standard possono essere indicate, ad esempio, delle grafiche che devono essere utilizzate nei progetti creati a livello locale. Queste grafiche possono essere messe a disposizione a livello globale.

  • Modelli:

    determinazione dell´ordine delle immagini di processo e della dimensione dei progetti da sviluppare. È possibile fissare in una direttiva generale, ad esempio, che in un progetto le immagini di nuova creazione possano venire impostate solamente tramite i modelli di un progetto globale. In tal modo si può garantire un´unità grafica globale.

  • Caratteri e tavolozze di colori:

    Per garantire un´uniformità dei testi e dei colori visualizzati, si può procedere a fissare una seria predefinita di caratteri e tavolozze di colori che vanno usati a livello globale.

  • Tabella lingua:

    Se si definisce mediante uno standard una serie di concetti ed espressioni da utilizzare nella progettazione, è possibile fissarli facendo uso delle tabelle lingua definite e, nello stesso tempo, eseguire le traduzioni corrispondenti.

Esempio

una postazione di progettazione centrale definisce, facendo uso di un progetto globale, degli standrd nei settori colori, carateri, modello ecc, validi per tutti i progettisti. Il progetto globale viene distribuito a tutti i team sotto forma di Backup di progetto. I team locali lo importano nel loro workspace. Si deve procedere a definire chiaramente tramite una direttiva generale che le postazioni di progettazione locali non possono effettuare delle modifiche ad un progetto globale, visto che questi eventuali cambiamenti verrebbero sovrascritti nel momento in cui si scaricano gli update provenienti dalla postazione di progettazione centrale.

Esempio Modello di impianti

Un semplice modello di impianti che riguarda solamente una differenziazione fra un gruppo di progettazione centrale e uno locale. In un progetto individualizzato si potrebbe far ricorso a questa differenza solamente visualizzandola nell´editor. In dettaglio la situazione è la seguente: ogni elemento progettato nell´editor viene inviato con una corrispondente assegnazione ad un gruppo impianti.

Le esistenti immagini di processo vengono visualizzate sulla base dell´assegnazione impianti.

In tal modo, una postazione di progettazione locale è in grado di riconoscere quali immagini vengono attualizzate da una postazione centrale tramite il meccanismo dell´import XML. Per il progettista che opera a livello locale è anche chiaro quali immagini non può modificare. E questo perché ogni eventuale modifica delle immagini di competenza globale viene sovrascritta al momento del prossimo update.

Suggerimento: per attualizzare un progetto globale non si deve sempre creare e importare un completo backup di progetto. Delle singole modifiche possono essere attualizzate anche a livello locale facendo uso dello strumento dell´export e import in formato XML.


XML

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il meccanismo di Import e Export tramite interfaccia XML offre numerose possibilità di riutilizzare delle parti di progetti esistenti.

attention Attenzione

Quando si effettua l´import, gli elementi esistenti vengono sostituiti con i nuovi recanti gli stessi nomi.

Dipendenza nel caso di import.

Se si vogliono importare diverse parti di progetto, si avrà anche un numero corrispondentemente alto di file XML di diverso contenuto. Per riprendere in modo corretto tutti i contenuti di file XML, si deve tener conto delle dipendenze esistenti:

Se, ad esempio, si importa un´immagine e le variabile in essa collegate non esistono nel progetto, il collegamento non può essere ripristinato. Per poter impostare in modo corretto tutti i collegamenti può essere necessario effettuare due volte l´import di un´immagine o di variabili.

Esempio per un´immagine XML:

la variante più complessa è quella rappresentata dall´esportazione di un´immagine, visto che il file XML generato in questo caso contiene non solamente l´immagine e gli elementi in essa contenuti, ma anche i modelli, le variabili e le funzioni collegate, in altre parole tutto quello che è visibile nell´immagine o vi è direttamente collegato.

Cliccando su un pulsante, nell´immagine "A" viene eseguita una funzione "B",la quale apre a sua volta l´immagine "A":

  • La funzione „B" necessita dell´immagine "A" per far in modo che quest´ultima sia collegata alla funzione "B".
  • L´immagine "A", a sua volta, necessita della funzione "B" per collegare quest´ultima al pulsante.

È dunque necessario:

  1. anzitutto importare la funzione,
  2. poi l´immagine e dopo
  3. la stessa funzione una seconda volta; in caso contrario la relazione con l´immagine non può essere generata nella funzione.

Armonizzare progetti fra diversi impianti

La funzione XML-Export/Import si presta anche a garantire che i progetti abbiano un aspetto e contenuti unitari nei diversi impianti di una stessa ditta. Se un´impresa decide che determinate parti di progetto devono essere impostate in modo unitario in tutto il mondo, gli elementi in comune vengono:

  1. progettati a livello centrale
  2. esportati sotto forma di file XLM
  3. inviati alle sedi in forma di file XLM
  4. ripresi da ogni team locale facendo uso del meccanismo di XLM import.

In alternativa si può scegliere di effettuare l´export-import servendosi di un wizard.

Visto che, al momento dell´effettuazione dell´import XLM, gli elementi esistenti vengono sovrascritti, è necessario denominare in modo chiaro e univoco gli elementi in comune. Le modifiche di questi elementi effettuate a livello locale verranno sovrascritte in occasione del prossimo update.

Wizards

Una cosa che può essere utile all´utente nell´effettuazione dell´import è un wizard basato sull´API di zenon. Una volta avviato il wizard, l´utente può selezionare gli elementi da importare basandosi sui suggerimenti fornitigli dal wizard stesso. Suggeriamo di impostare una libreria XML che contenga diverse varianti di immagini e funzionalità in file distinti.

Individualizzazione mediante wizard

Facendo uso di un wizard si possono individualizzare anche funzioni standard, disponibili in file XML. Si importa una funzione in formato XML e poi la si adatta alle esigenze peculiari modificandone determinate proprietà che non sono le stesse per ogni oggetto. Se, ad esempio, esiste una funzione di cambio immagine in formato XML, la si può utilizzare più volte adattandone le proprietà a diverse esigenze specifiche.


Wizards

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Wizards

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il riutilizzo di elementi e parti di progetti può essere realizzato e reso più semplice mediante l´uso di wizard. I wizard si prestano soprattutto a realizzare quanto segue:

  • creazione di progetti di base:

    un wizard consente di creare con pochi clic del mouse certe parti standard di un nuovo progetto. Rispetto alla possibilità di scaricare semplicemente un backup di progetto già esistente del progetto di base, questa variante dà maggiore libertà al progettista.

    Ad esempio, un wizard è in grado di generare diversi tipi di progetto in dipendenza del tipo di macchinari.

  • Creazione di progetti di base predefiniti:

    I wizard possono essere utili anche per creare dei determinati settori nello stesso progetto.

    Per esempio: Creazione del settore del progetto "Motore".
    il wizard imposta gli elementi predefiniti necessari per questo settore. In tal modo, è possibile progettare con pochi clic del mouse le immagini, funzioni, variabili corrispondenti. Oltre al vantaggio rappresentato da tempi di progettazione inferiori, si raggiunge un altro obiettivo, quello di una veste unitaria nell´intero progetto, dato che i wizard vengono utilizzati da una postazione di progettazione centrale e anche da quelle locali.

  • Progettazione tramite banche dati o file predefiniti:

    Anche banche di dati o file predefiniti possono essere un aiuto prezioso per la creazione e per l´ampliamento di progetti. Gli elementi da progettare (nome funzione, tipo funzione, parametro funzione, nome variabile, offset...) vengono descritti in una banca dati o in un file excel. Servendosi di un wizard, queste informazioni vengono lette e si procede a mettere in atto i passi di progettazione necessari in zenon.

Per ulteriori informazioni sui wizard e sulla loro creazione, Vi preghiamo di leggere nella guida in linea il capitolo Wizards.


Riutilizzo progetti

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti possono essere riutilizzati in diversi modi. In questo contesto giocano un ruolo fondamentale dei meccanismi descritti in altri capitolo del riutilizzo.

Backup di progetto

Salva con nome...

Gestione multi-progetto

Ancora in questo capitolo

Backup progetto

Salva con nome

Gestione multi-progetto


Backup progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Backup progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Backup di progetto permettono di riutilizzare progetti completi.

Ad esempio, un progetto può essere mandato a tutti i team locali per essere usato da modello. I team locali caricano nel loro sistema il backup e poi procedono ad individualizzare il progetto.

attention Attenzione

Questo metodo non è adatto alla trasmissione di modifiche di progetto, perché tutte i cambi effettuati a livello locale vengono sovrascritti nel momento in cui si scarica l´update.

Per effettuare il monitoraggio generale (vale a dire per più team contemporaneamente) di progetti creati in tal modo, è consigliabile utilizzare il meccanismo XML-Exports/Imports.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Quando si configura un progetto, dunque, si deve provvedere a contrassegnare in modo chiaro gli elementi che possono essere sovrascritti durante l´importazione. Per quello che concerne l´identificazione necessaria, essa può essere rappresentata, ad esempio, da una corrispondente aggiunta al nome dell´elemento; oppure si può utilizzare la procedura dei gruppi d´impianto; vedi il capitolo Progetto globale.


Salva con nome

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Salva con nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Salva con nome genera nel workspace attivo una copia di un progetto sotto un altro nome e con una nuova GUID.

Esempio

si vuole procedere alla creazione di progetti individuali per diversi tipi di macchinari a partire da un un progetto di base. A tale scopo:

  1. si scarica anzitutto il backup di progetto del progetto di base.
  2. si creano, facendo uso del comando Salva con nome, diversi progetti con nomi differenti (per es Macchina 1, Macchina 2, … ) nel workspace attivo.

In tal modo sia assicura che ogni progetto abbia la stessa situazione di partenza. I progetti, però, non hanno alcun collegamento con il progetto di base. Il che significa che le modifiche apportate a quest´ultimo, non vengono riprese automaticamente nei progetti copiati. I cambi effettuati nel modello di partenza possono essere però ripresi nei progetti individuali mediante il meccanismo di XML Export-/Import.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Quando si configura un progetto, dunque, si deve provvedere a contrassegnare in modo chiaro gli elementi che possono essere sovrascritti durante l´importazione. Per quello che concerne l´identificazione necessaria, essa può essere rappresentata, ad esempio, da una corrispondente aggiunta al nome dell´elemento; oppure si può utilizzare la procedura dei gruppi d´impianto; vedi il capitolo Progetto globale.


Gestione multi-progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella zenon gestione multi-progetto è possibile raggruppare dei progetti anche in un workspace sotto il "tetto" unico di un progetto d´integrazione. In tal modo, è possibile modificare un progetto centralmente nello stesso momento in cui in un altro progetto vengono effettuati dei cambi a livello locale.

Esempio

in una sede di progettazione centrale deve essere realizzato il meccanismo di riutilizzo del materiale grafico in modo tale che sia poi disponibile un´interfaccia omogenea per tutte le sedi mondiali della ditta. A tal scopo, la progettazione centrale crea un modello di progetto che rappresenta la base grafica per tutti gli altri team di progettazione. Se, però, si effettua una modifica dell´aspetto dell´interfaccia a livello centrale, essa deve essere ripresa in tutte le altre sedi di progettazione. A tal scopo si può usare la gestione multi-progetto: un progetto contiene gli elementi che vengono gestiti centralmente, un altro la progettazione locale.

Procedura:

  1. in primo luogo si manda un progetto di base a tutti i team di progettazione.
  2. Esso viene scaricato nel workspace attivo.
  3. Poi si procede localmente all´impostazione di un secondo progetto che contiene gli specifici adattamenti.
  4. Nel workspace ci sono adesso due progetti: il progetto modello e quello personalizzato.
  5. Il prossimo passo consiste nel conferire un ordine gerarchico ai progetti in questione.
  6. Il progetto modello diviene progetto di integrazione, mentre l´altro diventa sotto-progetto.

info Info

Questo metodo non è adatto a progetti che sono destinati a sistemi che usano Windows CE. Questo perché Windows CE consente di avviare sempre solo un progetto alla volta.


Rete integrata

Manuale -> Progettazione efficiente con zenon -> Rete integrata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Engineering distribuito in rete e ridondanza al 100%: con zenon non sono più un problema particolare per Voi. Per impostare delle reti non dovete far altro che attivare la checkbox corrispondente nelle proprietà di progetto. E con la stessa facilità realizzate dei sistemi collegati in rete efficientemente e perfettamente ridondanti partendo da singoli progetti stand alone.

Se disponete di una rete Windows TCP/IP, in zenon sono a Vostra disposizione automaticamente delle funzioni di rete da usarecon semplici clic del mouse, come modello Client/Server, oppure sistema multi-gerarchico con sottostazioni, centrale aree e centrali. Voi

  • create dei progetti che sono accessibili contemporaneamente da diversi utenti in rete.
  • Assicurate degli impianti grazie alla ridondanza circolare al 100% messa a disposizione da zenon.
  • Realizzate senza problemi dei sistemi distribuiti.
  • Accedete a stazioni remote.
  • Monitorate e gestite degli impianti via zenon Web Server.
  • Visualizzate i dati di processo di tutte le stazioni in tempo reale.
  • Rendete visibili le azioni effettuate in una postazione su tutte le altre, per esempio, il ripristino di allarmi.
  • Fate in modo che le azioni vengano protocollate e archiviate centralmente.
  • Siete in grado di usare i dati di processo per applicazioni ERP, come SAP.

zenon pensa automaticamente a garantire il necessario sincronismo di tutti i computer coinvolti.


Consigli e trucchi del mestiere

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon vi mette a disposizione molte combinazione di tasti e vie di progettazione abbreviate. Ve ne presentiamo brevemente una selezione.

Consigli e trucchi per

  • l´Editor
  • il Runtime
  • la Fase di test
  • Combinazioni di tasti

Ancora in questo capitolo

zenon Editor

zenon Runtime

Combinazioni di tasti

Test di progetti


zenon Editor

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> zenon Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli per l´Editor di zenon:

Generale

  • Salvare le visualizzazioni dell´Editor: Facendo uso dei Profili Editor, potete salvare la vostra organizzazione individuale delle finestre dell´Editor ed assegnarla ai diversi moduli.
  • Aprire direttamente la cartella per i file Editor: Selezionate ed evidenziate il progetto, e pigiate poi la combinazione tasti Ctrl +Alt+E.
  • Aprire direttamente la cartella per i file Runtime: Selezionate ed evidenziate il progetto, e pigiate poi la combinazione tasti Ctrl +Alt+R.

Editor immagini/Editor simboli

  • Collega elementi:
    Potete collegare funzioni, variabili, caratteri ecc per Drag&Drop con Elemento dinamici.
  • Aggiungere una copia allo stesso posto:
    Usando la combinazione tasti CTRL+Shift+V potete aggiungere degli elementi copiati esattamente nella stessa posizione dell´elemento originale.
  • Disegna un cerchio:
    Per disegnare un cerchio, trascinando l´elemento Ellisse/Cerchio tenete premuto il tasto Shift.
  • Modificare linea simmetricamente:
    Tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Scalare:
    Potete scalare più elementi d'immagine contemporaneamente: Procedura:
    • Evidenziate tutti gli elementi.
    • Trasformateli in un gruppo elementi.
    • Scalate quest´ultimo come desiderate.
    • I singoli elementi verranno scalati con la stessa dimensione.
    • Scomponete il gruppo in elementi singoli.
  • Modelli per immagini:
    Potete trasformare qualsiasi immagine in un Modello d´immagine.
  • Manipolare le coordinate X/Y di un elemento:

    Potete inserire direttamente in una finestra di dialogo le coordinate X/Y di un elemento o di un angolo di un poligono, oppure potete spostarle facendo uso dei tasti freccia.

    • Inserimento diretto: Quando si clicca due volte sul punto di aggancio di un elemento o un angolo di un poligono, si apre una finestra di dialogo. Potete utilizzare questa finestra di dialogo per inserire direttamente le coordinate X/Y di questo punto.
    • Manipolare usando i tasti freccia: Posizionate il cursore mouse sul punto di aggancio di un elemento o un angolo di un poligono. Adesso potete manipolare direttamente le coordinate X/Y di questo punto usando i tasti freccia.
  • Vai all'elemento collegato:
    Quando si clicca con il tasto destro del mouse su una proprietà nella finestra delle proprietà, si apre un menù contestuale che vi consente di passare direttamente all´elemento collegato.

Cambio lingua

  • Definizione delle unità:
    Settate l´esatta definizione unità come tooltip. Gli operatori sono abituati a far riferimento alle unità di misura usuali nel loro paese. Proprio per questo motivo, l´uso di un tooltip può semplificare in modo considerevole il lavoro di ricerca degli errori, l´ottimizzazione dell´internazionalità e la gestione di quei progetti che devono essere utilizzati al livello internazionale.
    Fate in modo che questo tooltip sia traducibile, usate definizioni internazionali anche nel paese. Naturalmente potete tradurre le unità di misura nella lingua del paese in cui il progetto trova applicazione.
  • Unità di valore come simbolo e non parola:
    Per rappresentare valori, usate i simboli delle corrispondenti unità di misurazione. In tal modo vi risparmierete il lavoro di traduzione.
    Esempio: Indicazione della temperatura: Se usate la parola "grado", dovrete tradurla nelle diverse lingue. Il simbolo °, invece, è internazionale ed uguale in tutte le lingue; lo si può usare in riferimento a gradi Celsius, Fahrenheit e Kelvin.
    Settate dunque nelle proprietà dell´unità di base il simbolo corrispondente.
  • Conversione di valori:
    Aggiungete ad ogni funzione di cambio lingua la corrispondente conversione di valori. In caso contrario può accadere con facilità che ci siano dei malintesi.

L´editor dei simboli:

  • Rilasciare e rendere disponibile una proprietà:
    via Drag&Drop della proprietà nella finestra inferiore dell´Editor dei simboli, potete rilasciare la proprietà stessa. Nel far ciò, dovete sempre cliccare sul nome della proprietà e non sul valore.
  • Modalità di modifica oggetti singola nel caso di simboli:
    Facendo uso della combinazione Alt+Clic su di un elemento, viene attivato l´elemento sottostante.

Variabili e driver

  • Sostituzione:
    Per poter usare nel modo migliore la possibilità di sostituzione:
    • Usate i tipi dato strutturati.
    • Fate attenzione ad assegnare alle vostre variabili dei nomi corti e pregnanti.
    • Tenete presente già al momento dell´assegnazione del nome la possibilità di effettuare una sostituzione. La denominazione dovrebbe essere univoca e facile da sostituire.
    • Progettate anzitutto un´immagine che deve fungere da modello; potrete usare quest´ultimo, dopo averne ultimato la creazione, ogni qual volta vorrete facendo uso della funzione.
  • Creazione automatica di variabili tramite import:
    Molti driver supportano la creazione automatica di variabili con indirizzamento corretto tramite import dal PLC, oppure da un file. Cliccate con il tasto destro del mouse sul driver e selezionate Importa variabili dal driver.


zenon Runtime

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> zenon Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli per il Runtime di zenon:

Generale

  • Visualizza nome immagine:
    Cliccate con il tasto destro del mouse su un settore vuoto dell´immagine e tenete premuto il tasto del mouse. Apparirà il nome dell´immagine.
  • Mostra collegamento:
    Cliccate con il tasto destro del mouse su un elemento dinamico e tenete premuto il tasto del mouse. Verranno visualizzate le funzioni e le variabili collegate.
  • Errore di comunicazione:
    Visualizzazione tramite simboli sull´elemento numerico:
    • Rettangolo rosso in alto a sinistra: nessuna comunicazione con il PLC.
    • Rettangolo blu in alto a sinistra: nessuna comunicazione con il server.
  • Valore impostabile:
    Modificare, oltre il valore, anche il comando.

    Nel Runtime è possibile cambiare non solamente il valore di una variabile. Quando si usa la finestra di dialogo standard, si può modificare tramite il menù a tendina Comando anche la funzione da eseguire, ad esempio Spegni valore spontaneo. Per far sì che venga visualizzata la finestra di dialogo standard, nelle proprietà dell´ elemento dinamico deve essere disattivata la proprietà Immagine tipo Keyboard.

  • Settare valore impostabile direttamente senza dialogo:
    Per settare il valore impostabile direttamente, attivate nelle proprietà dell´elemento dinamico, più precisamente nel gruppo Imposta valore, la proprietà Senza dialogo.

    Quest´impostazione può essere effettuata anche presso la funzione Imposta valore attivando l´opzione Direttamente all´Hardware.

Server di archiviazione

  • Mostra nome del file ARX nell´immagine:
    Il nome del file ARX può essere visualizzato in una colonna della lista degli archivi nell´immagine post-elaborazione archivio. A tal scopo, nello zenon6.ini, più precisamente nella parte [ARCHEDIT], settate l´inserimentoKURZBEZEICHNUNG=1. La denominazione breve verrà visualizzata nella lista. Essa corrisponde al nome file ARX ed è anche parte di tutti gli archivi in cascata.

Con la tastiera:

  • Con la tastiera:
    Il Runtime può essere anche gestito completamente usando la tastiera. Per i dettagli vedi capitolo Uso tastiera nella parte della guida dedicata al Runtime.
  • Bloccare tasti:
    Le combinazioni tasti di Windows e i tasti di sistema possono essere bloccati. Per i dettagli vedi capitolo Blocca combinazioni tasti nella parte della guida dedicata al Runtime.


Combinazioni di tasti

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon potete seguire molte azioni usando combinazioni di tasti.

Generale

Comandi | Combinazione di tasti
Apre la guida | F1
Avvia /chiude la modalità schermo intero | Shift+F9
Remote: chiude la modalità schermo intero | Ctrl+Alt+Shift+F
Avvia l´Editor VSTA | Alt+F10
Avvia l'Editor VBA | Alt+F11
Wizard: apre la selezione Wizard. | Alt+F12
Apre "Esplora file" con focus sulla cartella SQL per il progetto attuale. Corrisponde a: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Ctrl+Alt+E
Apre "Esplora file" con focus sui file del progetto attuale. Per esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Apre "Esplora file" con focus sui file Runtime del progetto attuale. Per esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Ctrl+Alt+R
Avvia il Runtime; prima vengono compilati i file Runtime modificati. | F5
Crea i file Runtime modificati | F7

Profili Editor

Comandi | Combinazione di tasti
Caricare profilo editor 1 | Shift+F1
Caricare profilo editor 2 | Shift+F2
Caricare profilo editor 3 | Shift+F3
Caricare profilo editor 4 | Shift+F4
Caricare profilo editor 5 | Shift+F5
Caricare profilo editor 6 | Shift+F6
Caricare profilo editor 7 | Shift+F7
Caricare profilo editor 8 | Shift+F8
Salva visuale Editor attuale come: |
Profilo Editor 1 | Ctrl+Shift+F1
Profilo Editor 2 | Ctrl+Shift+F2
Profilo Editor 3 | Ctrl+Shift+F3
Profilo Editor 4 | Ctrl+Shift+F4
Profilo Editor 5 | Ctrl+Shift+F5
Profilo Editor 6 | Ctrl+Shift+F6
Profilo Editor 7 | Ctrl+Shift+F7
Profilo Editor 8 | Ctrl+Shift+F8

Editor grafico

Nota sulle combinazioni di tasti: il segno più (+) significa che i tasti vanno premuti contemporaneamente.
Esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione di tasti
Finestra principale: scorrere i contenuti con panning hand. | Tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri le proprietà | Alt+Invio

Selezionare

Comando

Combinazione di tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Selezione: modifica successione. Definisce l´elemento in riferimenti al quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Seleziona il prossimo elemento nella successione di creazione.

Tab

Seleziona l´elemento precedente nella successione di creazione.

Shift+Tab

Posizionare

Comando | Combinazione di tasti
Spostare l´oggetto selezionato | Tasti freccia
Spostare di 10 pixel ogni volta che si preme il tasto freccia. | Shift+Tasto con frecce
Spostare solo orizzontalmente oppure solo verticalmente. | Tenere premuto Shift quando si esegue lo spostamento.
Centrare l´oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione di tasti
Salva le modifiche. | Ctrl+S
Inserisce un elemento preso dagli appunti. | Ctrl+V Shift+Ins
Inserisce un elemento preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia l´elemento selezionato. | Ctrl+C Ctrl+Ins
Copiare invece che spostare. | Tenere premuto Ctrl quando si esegue lo spostamento.
Duplica l´elemento selezionato. Ulteriori informazioni su questo tema si trovano nel capitolo Duplicare elementi. | Ctrl+D
Cancella l´elemento selezionato. | Canc
Taglia l´elemento selezionato. | Shift + Del Ctrl+X
Annulla le modifiche. | Ctrl+Z Alt+Backspace
Aggiunge o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa il segno più (+). Cancella: il cursore del mouse diventa il segno meno (-). Funziona con polilinee, poligoni e tubature. | Ctrl+Shift
Termina il disegno di polilinee e poligoni. | S
Termina il disegno di polilinee e poligoni e cancella l´ultima sezione disegnata. | Esc
Sposta gli elementi selezionati di un livello verso l´alto. | +
Sposta gli elementi selezionati di un livello verso il basso. | -
Porta gli elementi selezionati in primo piano. | Ctrl++
Porta gli elementi selezionati sullo sfondo | Ctrl+-

Ridimensionare

Comando

Combinazione di tasti

Modificare la grandezza

Posizionare il cursore del mouse sul punto di aggancio finché non assume l´aspetto di una freccia. Poi, usando i tasti freccia, si potrà modificare la grandezza dell´elemento con la precisione di un pixel; se si tiene premuto il tasto Shift , invece, la modifica della dimensione dell´elemento avverrà in passi di 10 pixel.

Nota: se nella proprietà Rotazione [°] è stato definito un angolo diverso da 0, non sarà possibile ridimensionare l´elemento usando i tasti di direzione.

Ridimensionare un oggetto in riferimento al suo punto centrale

Tenere premuto il tasto Alt quando si ridimensiona l´elemento.

Ridimensionare in modo proporzionale

Tenere premuto il tasto Shift quando si ridimensiona l´elemento.

Visualizzazione dettagli

Comando | Combinazione di tasti
Creare un nuovo elemento per il modulo in questione. | Ins.
Modificare la colonna selezionata. | F2
Copiare l´elemento selezionato della lista. | Ctrl+C
Inserire un elemento copiato in precedenza. | Ctrl+V
Cancellare l´elemento selezionato dalla lista. | Canc
Scorrere più elementi nella lista verso l'alto. | Tasto PGSU
Scorrere più elementi nella lista verso il basso. | Tasto PGGIÙ
Navigare nella lista. | Tasti di direzione (tasti freccia)

Runtime

Comando | Combinazione di tasti
Sfoglia fra le finestre Windows aperte. | Alt+Tab
Terminare il Runtime. | Alt+F4


Test di progetti

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> Test di progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli su come testare i progetti:

  • Nome della variabile nell´immagine:
    Per visualizzare un nome variabile nell´immagine, progettate un elemento combinato senza stati e con il testo di default: %n.


Runtime

Manuale -> Runtime

Il Runtime è il software che supporta la visualizzazione grafica di progetti HMI/SCADA.

tutorial Informazioni sulla licenza

Per usare il Runtime di zenon è necessario avere una licenza. La licenza è calcolata sulla base del numero di Tag e IOS utilizzati. I dettagli sul tema licenze sono disponibili nel capitolo Registrazione licenza.

Il Runtime offre le seguenti funzionalità:

  • Visualizzazione del processo.
  • Archiviazione di dati, come messaggi, segnalazioni e valori di processo.
  • Lista di informazione allarmi integrata,
  • Ricette,
  • Multi-Touch e molto ancora.

attention Attenzione

In fase di configurazione, si prega di tener presente quanto segue:

  • Per garantire una visualizzazione ottimale di zenon a Runtime, si consiglia di adottare le impostazione standard per la visualizzazione Windows (corrisponde al 100%). Se si configurano risoluzioni più alte, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.
  • Temi di Windows possono coprire elementi a Runtime. Quando si configura un progetto, bisogna far attenzione che ci sia una distanza adeguata fra gli elementi e il margine dello schermo.

A partire dalla versione 7.10 di zenon, il Runtime è disponibile sia nella versione a 32-Bit, che in quella a 64-Bit. I progetti possono essere eseguiti con entrambe le versioni. I dettagli relativi alla compatibilità con le versioni precedenti a zenon 7.10 si trovano nella parte della documentazione relativa alla Conversione del progetto, nel capitolo Versione a 64-Bit. Il Runtime è disponibile come zenon Supervisor e come zenon Operator per sistemi operativi embedded. Le due versioni si differenziano per la gamma delle funzioni disponibili. Per i dettagli vedi Limitazioni per zenon Operator.

Più istanze del Runtime

Su un computer può essere lanciata sempre solo un'istanza del Runtime di zenon alla volta. Questo indipendentemente dal fatto se il Runtime viene avviato come file EXE, come zenon Web Client, oppure come Runtime Control (OCX).

Eccezione: Sul Terminal Server o sul Terminal Client può essere avviata un´istanza Runtime pro utente, come file EXE, come zenon Web Client, oppure come Runtime Control (OCX). All´interno di un contesto utente, può essere eseguita sempre solo 1 istanza alla volta.

Ancora in questo capitolo

Versione a 32 e 64-Bit

Attivazione del Runtime

Disinstallare il Runtime

Runtime per Windows CE

Protocolli supportati

Avvio del Runtime

Avvio del Runtime come servizio

Runtime come ActiveX Control

Gestione del progetto a Runtime

File Runtime

Profili Runtime

Profili filtro

Trattamento degli orari


Versione a 32 e 64-Bit

Manuale -> Runtime -> Versione a 32 e 64-Bit

Adesso zenon è disponibile per l´Editor e il Runtime come versione a 32-bit e a 64-bit. Su sistemi operativi a 64-bit vengono installati l´Editor di zenon a 32-bit e a 64-bit, o il Runtime di zenon a 32-bit e a 64-bit. I nomi dei file eseguibili sono identici per la versione a 32-bit e per quella a 64-bit.

Su sistemi a 64-bit, tutti i servizi disponibili in 64-bit sono registrati e usati nella versione a 64-bit. L´Editor e il Runtime possono essere avviati alternativamente in una delle due versioni. I progetti possono essere modificati in entrambi gli Editor, e possono essere eseguiti in entrambi i Runtime.

Componenti come, ad esempio, il Runtime di zenon Logic, il workbench di zenon Logic, i driver, il Process Gateway e altri tool, vengono sempre utilizzati solamente nella versione a 32-Bit.

Limiti generali

Nell´uso di zenon ci sono dei limiti generali dovuti al fatto che solamente DLL a 64-bit possono essere caricate in processi a 64-bit. Questo riguarda soprattutto i componenti esterni che vengono caricati nell´Editor o a Runtime. La cosa riguarda direttamente le DLL caricate via VBA/VSTA Code e controlli ActiveX. Queste DLL devono essere disponibili in versione a 64-bit per poter essere utilizzate nell´Editor o nel Runtime a 64-bit. I controlli ActiveX forniti da COPA-DATA sono disponibili nella versione a 32-bit e in quella a 64-bit.

Conversione di progetti zenon 5.50.

Non è possibile convertire progetti creati con la versione 5.50 di zenon con l´Editor a 64-Bit. Questi progetti devono essere prima convertiti usando l`Editor a 32-Bit.

Limiti RGM

Nel modulo RGM non è più supportato il database in formato Access. Per poter usare dati MS Access di versioni precedenti in un sistema a 64-Bit, il progetto deve essere anzitutto convertito nell´Editor a 32-Bit. A partire dalla versione 7.10, la proprietà DataSource non è più disponibile. Dettagli su questo tema sono disponibili nel capitolo Convertire database di Manager di gruppi ricette.

VBA

Il VBA di zenon è stato aggiornato alla versione 7.1. Per questa ragione VBA è disponibile adesso anche nella versione di zenon a 64-Bit. Se nel codice VBA si accede alle API Windows o ad altre funzioni DLL importate, questi richiami devono essere adattati a 64-bit. In generale vale quanto segue: Un file VBA creato per una versione a 32-Bit non può essere utilizzato senza modifiche‑in una versione a 64-bit di VBA.

In VBA esistono alcune definizioni/funzioni che consentono di scrivere un codice compatibile per 32 Bit e per 64 Bit. Per esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Informazioni utili sulla portabilità di codice VBA a 32-bit a VBA a 64-bit sono fornite anche da Microsoft:

  • Microsoft Office 2010, note sulla portabilità: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Componenti solo a 32 bit

I seguenti componenti sono disponibili solo nella versione a 32 bit, anche sui computer a 64 bit:

  • Alcuni programmi, come SIC.exe e DiagViewer.exe
  • Registrazione licenza
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Driver
  • Workbench e Runtime di zenon Logic


Attivazione del Runtime

Manuale -> Runtime -> Attivazione del Runtime

Quale procedura si deve eseguire per la prima attivazione del Runtime dipende dal fatto se il dispositivo è di tipo "turn-key" (per così dire "chiavi in mano"), cioè con Runtime già installato, o se è invece un dispositivo sul quale il Runtime deve essere ancora installato. Se il Runtime è già installato, non si deve far altro che copiare il progetto desiderato sul dispositivo Runtime.

Procedura:

  • Salvare i file di progetto su un supporto dati esterno.
  • Trascinarli (Drag&Drop), oppure copiarli (Copia&Incolla) sul dispositivo Runtime.

oppure

  • Trasferire il progetto dal server al dispositivo Runtime.
  • Creare un client usando la topologia di rete.

Nota: questo è possibile anche usando il Trasporto Remoto.

Se il Runtime non è ancora installato sul dispositivo, lo si dovrà anzitutto installare. Si prega di consultare le istruzioni a riguardo che si trovano nel capitolo Installazione standard di zenon.

Per attivare il Runtime dopo averlo installato, è necessario registrare la relativa licenza. I dati della licenza si trovano su un certificato fornito con il dispositivo o con il supporto di installazione.

Nota: è possibile che il disco fisso di un dispositivo soggetto alle dure sollecitazioni della produzione industriale si danneggi e non funzioni più. Per evitare che ci siano delle perdite di dati, è consigliabile realizzare un sistema ridondante, in cui ci sono un server primario e un Server-Standby.

Ancora in questo capitolo

Installazione

Requisiti di sistema e sistemi operativi

Requisiti hardware


Installazione

Manuale -> Runtime -> Attivazione del Runtime -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare il Runtime di zenon, avviare anzitutto il processo di installazione del supporto di installazione di zenon.

Questo processo si avvia automaticamente quando si connette il supporto di installazione di zenon al dispositivo su cui si vuole eseguire l´installazione; l´utente viene guidato passo per passo attraverso tutta la procedura di installazione. In alternativa, è possibile avviare l´installazione eseguendo il file START.exe nella root directory del supporto di installazione di zenon..

info Info

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata all´Installazione e update, nel capitolo Installazione standard di zenon .


Requisiti di sistema e sistemi operativi

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una panoramica dettaglia sui sistemi operativi supportati e su software e hardware necessari, si trova nel capitolo Installazione e update.

Ancora in questo capitolo

Requisiti di sistema con uso di DirectX

Struttura file

Porte libere

Eccezioni per antivirus

Impostazioni firewall


Requisiti di sistema con uso di DirectX

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Requisiti di sistema con uso di DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano le DirectX Hardware oppure le DirectX Software, devono essere soddisfatti i seguenti requisiti minimi:

Nota: La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Parametro

Requisiti minimi

Raccomandato

CPU:

Single Core con supporto SSE2.

Quad Core o più core

Scheda grafica:

(solo DirectX Hardware)

Scheda grafica DirectX 11 Mainstream.

Nota: soprattutto quando si usa una chip grafica integrata, è possibile (a seconda del driver usato) che ci siano problemi di qualità della visualizzazione.

scheda grafica DirectX 11 AMD oppure nVidia High-End dedicata.

Memoria grafica:

(solo DirectX Hardware)

1 GB VRAM

Nota: la quantità di memoria di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e di elementi visualizzati.

2 GB VRAM

Driver della scheda grafica:

(solo DirectX Hardware)

Il driver più recente del produttore della scheda grafica.

Sistema operativo:

DirectX Hardware e DirectX Software funzionano solamente sui sistemi operativi che supportano DirectX11.1.

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows standard.

Deve essere installato sul PC il Runtime DirectX corrente. Per zenon, questo viene installato automaticamente con il setup. Per zenon Web Client, invece, deve essere installato manualmente.

Per verificare la compatibilità della scheda grafica e del driver con DirectX Hardware, si può usare il tool dei sistemi operativi di Windows dxdiag.exe.
Fino a Windows 7: controllare il valore DDI-Version alla voce Visualizzazione. Il valore 11, per esempio, significa DirectX 11.
A partire da Windows 8: tutte le versioni di DirectX supportate sono elencate nella scheda Display, alla voce Feature Levels. DirectX 11, per esempio, viene visualizzato come 11.0.


Struttura file

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Struttura file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La struttura di file viene creata o estesa durante l'installazione.

I file di programma di zenon sono copiati in una cartella definita in fase di installazione.

Inoltre, durante l’installazione, il sistema richiede una cartella per i database-SQL del progetto. Sul supporto di memorizzazione dei progetti (SQL, immagini ecc) ci deve essere abbastanza spazio di memoria visto che qui verranno salvati tutti i dati di progetto correnti e futuri.

Cartella | Percorso
Cartella programma | Sistema a 32-Bit: %Program Files%\COPA-DATA\zenon7xxx Sistema a 64-Bit: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Cartella dei dati programma, per es. simboli globali, modelli di stampa, file di Log, ecc., | %ProgramData%\COPA-DATA\zenon7xxx
Cartella database (SQL) | %ProgramData%\COPA-DATA\SQL
Cartella di sistema | %ProgramData%\COPA-DATA\System
Impostazioni Editor e profili | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Impostazioni Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definizione della cartella Runtime e della cartella dati

Cartella Runtime

L'Editor crea i file Runtime nella cartella Runtime; oppure i file Runtime vengono trasferiti in questa cartella mediante Trasporto Remoto. La cartella Runtime viene creata o aggiornata nell´Editor quando si compila un progetto. Questa cartella può essere modificata nelle proprietà di progetto (nodo "Generale", proprietà "Cartella Runtime"). Nella trasferimento remoto, la cartella Runtime viene definita nelle impostazioni del Trasporto Remoto.

Cartella dati

Il Runtime salva tutti i file dati generati a Runtime (come, per esempio, file di allarme, file di archivi ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare questo percorso di salvataggio nelle proprietà di progetto (Generale/Cartella dati).

Suggerimento: non salvare mai la cartella dati su un dispositivo rimovibile, come una chiavetta USB o una periferica di rete. Si consiglia di salvare i dati localmente e di eseguirne un backup esternamente.

attention Attenzione

Se il percorso indicato non esiste o non è disponibile, il Runtime non scriverà più nessun dato. Questo comporta una perdita completa (100%) dei dati. Il Runtime continuerà ad essere attivo, ma dovrà essere riavviato non appena il percorso sarà di nuovo disponibile. Si può verificare se la cartella Runtime è disponibile o meno usando la variabile del driver di sistema Cartella Runtime non disponibile .


Porte libere

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Porte libere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon e zenon Logic utilizzano determinate porte per comunicare in rete. Se queste porte sono occupate da altri programmi (per esempio un Server SQL già installato), possono insorgere problemi nella comunicazione di zenon. In zenon molti numeri di porta sono modificabili usando lo Startup Tool, oppure tramite le proprietà nell´Editor.

Per verificare l´assegnazione delle porte, procedere come segue:

  1. Inserire nella riga di comando netstat -a -n -o.

    Per aprire la riga di comando in Windows:

    • Premere i tasti Windows+R.
    • Digitare cmd e confermare con OK.
    • Si aprirà una finestra di inserimento DOS.
    • In questa finestra, inserire il comando netstat.
  2. Verrà visualizzata una lista di tutte le porte TCP/IP e UDP attive.
  3. Controllare le porte di ascolto (stato: ASCOLTO) e verificare se per le porte necessarie per la comunicazione di zenon e zenon Logic l´ID processo (PID) corrisponde ai processi di zenon e zenon Logic.

    Nel Task Manager di Windows è possibile verificare quali sono questi PDI: aprire il Task Manager di Windows e passare alla scheda Services.

  4. Nel caso in cui un altro software dovesse utilizzare queste porte, riconfiguratelo.
    Quali siano le porte usate da zenon e zenon Logic, lo vedete nella tabella Assegnazione porta a zenon e zenon Logic. In questa sede potete anche verificare se in questi programmi i numeri di porta sono adattabili e modificabili.

Assegnazione porta a zenon e zenon Logic

Applicazione

Descrizione

Numeri di porta

Protocollo di trasporto

stratonrt[k].exe

Runtime di zenon Logic - comunicazione polling e workbench di zenon Logic .
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Ridondanza di zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Runtime di zenon Logic - comunicazione spontanea.
  • 9000-9010

TCP

zennetsrv.exe

Servizio di rete di zenon .
  • 1100-1100

TCP

zensyssrv.exe

Servizio di trasporto di zenon.
  • 1101

TCP

zendbsrv.exe

Servizio di database di zenon.
  • 1103

TCP

zenAdminsrv.exe

Servizio di amministrazione di zenon.
  • 50777

TCP

zenLogSrv.exe

Servizio di registrazione di zenon.
  • 50780

TCP

zenvnc.exe

Servizio Desktop remoto di zenon.
  • 5600 (fisso)
  • 5610 (fisso)

TCP

CodeMeter.exe

Servizio dongle Code Meter.
  • 22350 (modificabile; ma non deve essere cambiato).

TCP

WkSvW32.exe

Servizio di rete WibuKey.
  • 22347 (fisso)

TCP

Zenrt32.exe

Message Control con Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fisso)

SIP e RTP possono essere configurati usando l´Editor. RTCP viene impostato automaticamente dal sistema.

UDP


Eccezioni per antivirus

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Eccezioni per antivirus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il funzionamento di zenon sono necessari una serie servizi ed operazioni che possono essere considerati pericolosi dai programmi antivirus.

Esempi:

  • Comunicazione con CodeMeter --> USB-Dongle
  • Caricamento di codice VBA oppure VSTA
  • Implementazione di elementi ActiveX in immagini.
  • Accesso frequente a file, ad esempio per archiviazione, CEL, AML....

Nota: ci sono problemi di compatibilità con il programma antivirus Ahnlabs V3. Se dovesse essere impossibile avviare zenon e dovesse essere visualizzato un messaggio di errore, settare V3 in modalità Game-Mode, oppure disinstallare V3.


Impostazioni firewall

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Impostazioni firewall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon usa una serie di porte per i vari servizi. Un eventuale firewall deve consentire la comunicazione tramite queste porte. Se necessario, queste ultime dovranno essere abilitate nel firewall.

Porte usate

Per la comunicazione in zenon vengono utilizzate esclusivamente porte TCP, e non porte UDP. In rete, zenon utilizza le seguenti porte:

Servizi | File | Compito | Porta TCP
Servizio di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100
Servizio di trasporto | zenSysSrv.exe | Trasferimento dati via Trasporto Remoto (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Gateway fra zenon Web Client e Runtime | 1102

I numeri di porta possono essere modificati singolarmente nella scheda Listening ports dello Startup Tool. Bisogna tenere presente che, in questo caso, la modifica andrà eseguita in tutti i dispositivi interessati.

Inoltre, i servizi di zenon e zenon Analyzer usano una serie di porte:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Nota: i driver di zenon che comunicano via Ethernet, usano TCP; per questo motivo sono necessarie autorizzazioni nel firewall, a seconda della porta utilizzata.


Requisiti hardware

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Uno dei requisiti per l´attivazione del Runtime è un Setup eseguito correttamente e portato a termine con successo. Inoltre è indispensabile avere una licenza valida.

Nella seguente tabella sono elencati i requisiti minimi. Questi ultimi si riferiscono all´installazione completa del Runtime. Per gestire progetti di grandi dimensioni, oppure se più progetti sono caricati contemporaneamente, potreste avere bisogno di un hardware più veloce e potente. In questo caso i requisiti minimi saranno maggiori.

Hardware

Requisito minimo

Raccomandato

CPU

Single Core con supporto SSE2.

Quad Core

Memoria RAM

Windows 7/8: da 512 MB.

Nota: progetti con grandi quantità di dati, progetti di rete, più progetti eseguiti in parallelo e progetti con ridondanza hanno bisogno di più spazio di memoria.

Windows 7/8: 4096 MB

Disco fisso

2 GB di spazio di memoria libero per l´installazione del Runtime, più spazio di memoria per i progetti.

Attenzione: se si salvano dati storici (per esempio dati d'archivio, oppure dai relativi ad allarmi e/o dati CEL), sul disco fisso ci deve essere uno spazio di memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati.

Risoluzione dello schermo

VGA con 640 x 480.

Scheda grafica

64 MB di memoria dedicata. Le schede con shared memory possono causare una riduzione delle prestazioni. A questo proposito, tenere presente le informazioni contenute nel capitolo Requisiti del sistema in caso di uso di DirectX.

Periferiche di input

Tastiera e/o mouse. E´possibile anche una gestione tramite Touchscreen. Per la gestione via Touchscreen, sono a disposizione molte tastiere software che potranno essere personalizzate.

Interfaccia USB

(opzionale)
  • Per l´installazione.
    E´possibile un´installazione anche via rete, oppure mediante altri supporti dati.
  • Per Dongle. Possibile anche dongle di rete.

Connessione di rete (opzionale)

64 kBits/s per progetti Client/Server standard.

100 Mbit/s full duplex per funzionamento ridondante.

100 Mbit/s full duplex per progetti Client/Serverstandard.

Connessione remota (opzionale)

Requisito minimo: Modem dial-up a 9600 bit/s.

1 MBit/s full duplex.

Impiego WAN (opzionale):

Qualsiasi connessione tramite router, per esempio via ISDN oppure DSL. Per ragioni tecniche, il trasferimento dati in una rete WAN è più lento che in una rete locale. Si prega di tener presente già in fase di progettazione le possibili velocità di trasferimento dati consentite dalla tecnica WAN utilizzata.

Message Control (opzionale):

I requisiti richiesti sono illustrati nel Message Control.

Interfacce (opzionale):

Le interfacce necessarie dipendono dai requisiti del PLC e/o della connessione bus, ad esempio: interfacce seriali RS232 oppure RS422/485, ISA/PCI, ecc.

Ancora in questo capitolo

Percorsi per setup e in funzione

Modalità demo

Runtime sotto Windows Embedded Standard

Runtime per Windows CE


Percorsi per setup e in funzione

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Percorsi per setup e in funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Percorsi per zenon:

  • Setup
  • Runtime

info Info

Molti percorsi standard possono essere visualizzati usando il comando set:

  • Aprire la riga di comando (cliccare sul menù di start di Windows e digitare cmd).
  • Digitate il comando set
  • Cliccando sul pulsante Invio verranno visualizzate le cartelle standard di Windows e zenon

Nota: visto che i percorsi assoluti possono differire in diversi sistemi operativi, in questo capitolo i percorsi sono indicati sempre come variabili di ambiente Windows. Per esempio %ProgramData%, invece di C:\ProgramData.

Setup

Quando si esegue il setup, il sistema imposta i percorsi per i software necessari e la cartella Runtime di zenon.

Per eseguire il setup, si deve essere in possesso di diritti di amministratore; questo vale anche se si vuole modificare i percorsi di installazione.

Requisiti

I percorsi di installazione dei necessari componenti software di terzi, corrispondono ai percorsi standard del relativo produttore, e non sono modificabili durante il setup.

Quali pacchetti software addizionali devono essere installati, dipende dal tipo di installazione:

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • zenon Logic Runtime
Requisito | Editor | Runtime | Web Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 Sp1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft SQL-Server 2012 SP1 Express (a partire da 7.10) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (fino a 6.22 SP1) | + | + | - | -
Wibu key Dongle Software 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (a partire da 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon Runtime

Per caricare i progetti, il Runtime di zenon utilizza il percorso impostato nel file zenon6.ini. Questo percorso può essere impostato con lo Startup Tool, ma anche usando il Trasporto Remoto remoto da un Editor di zenon.

Oggetto | Percorso
Progetto | [percorso definito dall´utente]\[Progetto]\RT
File esterni | [percorso definito dall´utente]\[Progetto]\RT\FILES\...
Archivi esportati, Lista Eventi Cronologica e Lista di informazione allarmi | [percorso definito dall´utente]\[Progetto]\RT Nota: viene creato al momento del primo export.
File di sistema | Cartella di sistema di Windows.

zenon Logic

I percorsi per zenon Logic vengono creati in modo analogo a quelli per zenon.


Modalità demo

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Modalità demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se non è stata registrata la licenza, il Runtime potrà essere usato in modalità demo per un periodo di 30 giorni. La registrazione della licenza (licenza software o licenza Dongle) può essere eseguita in qualsiasi momento, inserendo un numero di serie e un numero di attivazione validi. Per completare la registrazione della licenza si dovrà poi riavviare zenon.

Nota: a partire dal 41° avvio, oppure dal 31° giorno di funzionamento in modalità demo, il Runtime di zenon funzionerà solo per 10 minuti.
Questa limitazione non esiste con Windows CE. Con Windows CE, il Runtime è attivo sempre solo per 30 minuti in modalità demo.


Runtime sotto Windows Embedded Standard

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Runtime sotto Windows Embedded Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione del Runtime adattata al sistema operativo Windows Embedded Standard 7 SP1 con aggiornamento piattaforma. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Questa tabella contiene solamente i valori che divergono da quelli dell´installazione standard. I parametri restanti corrispondono ai valori descritti nel capitolo Requisiti hardware per il Runtime.

Hardware

Requisiti minimi

Raccomandato

Memoria RAM
  • 512 MB.

Nota: progetti con grandi quantità di dati, progetti di rete, più progetti eseguiti in parallelo e progetti con ridondanza hanno bisogno di più spazio di memoria.
  • 2048 MB

Supporto di memorizzazione dati
  • 2 GB liberi di spazio di memoria sull´unità C:\ prima dell´installazione di .NET Framework 3.5 e 4.5
    800 MB liberi di spazio di memoria dopo l´installazione di .NET Framework.
  • Più lo spazio di memoria per progetti, archivi, ecc.
  • 80 GB

Attenzione: se si salvano dati storici (per esempio dati d'archivio oppure dai relativi ad allarmi e/o dati CEL), sul disco fisso ci deve essere uno spazio di memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati.


Runtime per Windows CE

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Runtime per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono all´installazione completa del Runtime per Windows CE. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Hardware | Requisiti minimi | Raccomandato
CPU | Perlomeno 400 MHz | 1 GHz
Memoria RAM | 64 MB | 1024 MB per Windows CE 6.0.
Supporto di memorizzazione dati | 64 MB spazio libero di memoria. Memoria ritentiva permanentemente accessibile a scrittura per i dati di progetto. | 256 MB o più di spazio di memoria libera.
Connessione di rete | Per Progetti Client/Server standard: 10 Mbit/s full duplex. |

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Disinstallare il Runtime

Manuale -> Runtime -> Disinstallare il Runtime

Per disinstallare il Runtime:

  1. Aprire il pannello di controllo:
  2. Cliccare su Programmi.
  3. Cliccare su Programmi e funzionalità.
  4. Selezionare nei programmi zenon 7.60.
  5. Cliccare su Disinstalla.
  6. Seguire le istruzioni dell´assistente che guida attraverso il processo di disintallazione.


Runtime per Windows CE

Manuale -> Runtime -> Runtime per Windows CE

L´installazione Runtime per Windows CE consiste dei seguenti file:

Nome file | Descrizione
zenonrCE.exe | L'applicazione Runtime
Cd_tooCE.dll | Necessario per il Runtime
ZennetsrvCE.dll | Il servizio di rete per Windows CE. Necessario per progetti di rete.
SysSrvCE.exe | Il servizio di trasporto
LogCliLibCE.dll | Il client Logserver
zenon6.ini | File di testo con le impostazioni per il Runtime, come, ad es., progetto di partenza, lingua del Runtime ecc.
UpdateCE.exe | Applicazione necessaria per il "CE Update Tool".
RgermaCE.dll | File lingua tedesco
RengliCE.dll | File lingua inglese
RfrancCE.dll | File lingua francese
RitaliCE.dll | File lingua italiano
RrussiCE.dll | File lingua russo
RspaniCE.dll | File lingua spagnolo

Per installare il Runtime su un dispositivo CE, usare la voce "Aggiorna Runtime di Windows CE..." del menù Extras.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

info Info

Per le connessioni a Windows CE 6.0 tramite CX1000, Profibus oppure SYCONuni, vale quanto segue: assicurarsi che il file CDMemDrv.dll sia stato inviato al dispositivo CE. CDMemDrv.dll è un driver di dispositivo Windows CE. La DLL è disponibile per x86 e per ARMV4I.

Esistono anche molti altri driver per la comunicazione hardware. Se il tipo di processore del dispositivo CE viene riconosciuto dall´Editor, il Trasporto Remoto trasferisce automaticamente al dispositivo CE insieme al progetto anche i driver utilizzati. Il tipo o la quantità dei file trasferiti è visualizzato nella finestra di emissione dell'Editor.

Questi file devono essere sempre compatibili con la corrispondente versione di CE e con il tipo di processore. Mischiare file di diverse versioni CE o, addirittura, diversi service pack, può causare errori nel funzionamento del sistema, o altri effetti indesiderati; perciò non è consentito.

info Info

All'avvio di zenonrce.exe, viene eseguito anche il file syssrvce.exe. Questo è garanzia del fatto che possa essere instaurata sempre una connessione TCP. In questo modo si riesce ad evitare lunghi tempi di attesa, ed è necessario solamente un file per la funzionalità di autostart.

Ancora in questo capitolo

File di sistema

Update del Runtime Windows CE

Installazione manuale e update del Runtime.


File di sistema

Manuale -> Runtime -> Runtime per Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché il Runtime per Windows CE possa funzionare, devono essere disponibili alcuni file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che non è stato possibile trovare uno o più componenti. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il Runtime. Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
msvcr90.dll | Necessario per il Runtime Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
atl90.dll | Non necessario per l´avvio del Runtime, ma per l´utilizzo di un driver con connessione di rete, o per usare zenon in rete. Se questo file non esiste, il dispositivo non potrà fungere da client, oppure non funzioneranno le connessioni driver TCP/IP.
IMGDECMP.dll | Non necessario per l´avvio del Runtime, ma per la visualizzazione della trasparenza, se alpha blending non è integrato nel sistema operativo. L´animazione di file GIF non è possibile con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non necessario per l'avvio del Runtime. Questo file è necessario per il PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE e possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
il file toolhelp.dll è necessario per le versioni di CE precedenti alla 6.0. Attivare il seguente inserimento nel Platform Manager per garantire che il file sia disponibile sul dispositivo CE, e che il "Toolhelp" sia disponibile nel SDK:
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In questo modo, Toolhelp.dll sarà parte dell´immagine.
Consiglio: si consiglia di usare sempre il service pack più recente del Platform Builder.

Nota: il file toolhelp.dll non è necessario per Windows CE 6, e non dovrebbe essere utilizzato con CE 6.


Update del Runtime Windows CE

Manuale -> Runtime -> Runtime per Windows CE -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire un update del Runtime Windows CE:

  • Assicurarsi che il servizio di trasporto di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicurarsi di non aver stabilito una connessione remota con il dispositivo tramite l´Editor di zenon.
  • Selezionare nel menù Extras dell´Editor di zenon, il comando Aggiorna Runtime di Windows CE

    Si apre la finestra di dialogo che consente di trasferire i file Runtime.

  • Configurare la connessione.
  • Definire i file che si vuole trasferire.
  • Selezionare la versione.
  • Avviare l´update.

Nota: quando si trasferiscono i file Runtime/si installa il Runtime per la prima volta, tenere presente le informazioni contenute nel capitolo Installazione manuale e update del Runtime .

Configurare la connessione.

La connessione con il dispositivo Windows CE si configura nella scheda Connection della finestra di dialogo "Remote Runtime update....".

Parametro | Descrizione
Serial | Impostazione della connessione seriale con il dispositivo Windows CE; si deve selezionare il numero di porta.
TCP/IP | Impostazioni della connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazioni per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; si deve selezionare il numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync.
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: il file syssrvce.exe viene trasferito durante il primo trasporto via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Definizione dei file che devono essere trasferiti

Parametro | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attiva
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: non attivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attiva
Update zenon6.ini | Trasferisce il file zenon6.ini al dispositivo di destinazione. In questo caso verranno modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: Inglese
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver selezionati.
Remove | Cancella i driver selezionati dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Remove all | Cancella tutti i driver dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Selezione della versione

Nella scheda Versions della finestra di dialogo "Remote Runtime update....", selezionare la versione corretta di CE, quando questa non viene riconosciuta automaticamente dal sistema.

Parametro | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che consente la selezione.
Processor type | Tipo di processore del dispositivo.
Source path | Percorso della cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto alla lista.
Delete | Cancella l´inserimento selezionato dalla lista dopo una richiesta di conferma.
Test | Verifica la correttezza delle impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Avvia update

Per stabilire una connessione:

  1. Nella scheda Update della finestra di dialogo "Remote Runtime update....", cliccare sul pulsante Start.

    Il sistema verifica i dati per il trasferimento che verranno poi visualizzati in in una finestra.

  2. Cliccando sul pulsante Next, si avvia il trasferimento al dispositivo di destinazione.

    Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

    Se viene visualizzato il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Info

Se si vuole sostituire zenVNCServer.exe eseguendo un update, il file verrà chiuso, e riavviato dopo l´update. Il file zenVNCSrvCE.exe,

che si trova nel UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esistenti di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installazione manuale e update del Runtime.

Manuale -> Runtime -> Runtime per Windows CE -> Installazione manuale e update del Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installazione e update sono possibili anche senta Trasporto Remoto e ActiveSync. Procedura: bisogna anzitutto copiare manualmente i file necessari su una scheda di memoria per il dispositivo CE. Chiaramente si deve conoscere la versione di CE e il tipo di processore del dispositivo in questione.

È necessario copiare sulla scheda di memoria destinata al dispositivo CE in questione i seguenti file dalla relativa cartella; i file devono essere naturalmente per la piattaforma corretta.

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnosi DLL)
  • zenon6.ini (file di configurazione)
  • Cd_tooCE.dll (Help DLL)
  • ZenNetSrvCE.dll (rete)
  • CDHelper.dll (Hilfs-DLL)
  • Una delle seguenti DDL linguistiche: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (La lingua selezionata è definita nel file zenon6.ini.)
  • syssrvce.exe (servizio di trasporto e Diagnosis Server)
  • atl90.dll (file di sistema, eventualmente parte del sistema operativo)
  • mfc90u.dll (File di sistema, possibilmente parte del sistema operativo)
  • msvcr90.dll (File di sistema, possibilmente parte del sistema operativo)

Altri file, come ad esempio i driver oppure il software del desktop remoto (zenVNCCfgCE.exe e zenVNCSrvCE.exe), sono facoltativi.


Protocolli supportati

Manuale -> Runtime -> Protocolli supportati

Tramite i driver, il Runtime comunica con tutti i tipi possibili di PLC. I driver supportano un grande numero di protocolli.

Driver disponibili:

  • Driver 3964R-RK512 (Win, CE)
  • Driver Allen Bradley DF1 (Win, CE)
  • Driver Allen-Bradley ODVA (Win, CE)
  • Driver Applicom (Win)
  • Applicom IO configuration (Win)
  • Archive driver (formato RAW) (Win, CE)
  • Driver ARCNET per ABB (Win)
  • AS-interface (Win)
  • Driver Bachmann M1 (Win)
  • Bacnet and DDC4000 driver (Win)
  • BACnet driver Next Generation (Win, CE)
  • Beckhoff BC-BK 9000 (Win, CE)
  • Beckhoff TwinCat ADS driver (Win)
  • Beckhoff TwinCat NG driver (Win, CE)
  • Beckhoff TwinCat TC-ADS driver (Win, CE)
  • Biffi DCM (Win)
  • BR TCP-IP driver (Win)
  • BR Transponder Reader 4102/4150 (Win, CE)
  • BR-PVI based driver (Win, CE)
  • BR-PVI based driver (replaced) (Win, CE)
  • Brodersen IOTOOLS (Win)
  • Buderus32 driver (Win)
  • Codesys Arti NG SoftPLC driver (Win, CE)
  • Codesys Arti SoftPLC driver (Win, CE)
  • Codesys SoftPLC driver (Win)
  • CP001 Gateway driver (Win, CE)
  • CTI driver (Win, CE)
  • Danfoss driver (Win)
  • DataTaker driver (Win, CE)
  • DDE Client driver (Win)
  • DMX 512 driver (Win)
  • DNP3 driver (Win, CE)
  • DNP3 Slave/Outstation (Win)
  • Driver for ABB 07KT94 (Win)
  • Driver for ESA PCI CIB (Win, CE)
  • Driver for Esser BMZ 8000 (Win, CE)
  • Driver for IBH Soft PLC (Win, CE)
  • Driver for internal variables (Win, CE)
  • Driver for Mathematics variable (Win, CE)
  • Driver for Otis controller (Win, CE)
  • Driver for SE-Elektronic (Win)
  • Driver for simulator variables (Win, CE)
  • Driver for Slot PCL SPCx00 (Win)
  • Driver for system variables (Win, CE)
  • Driver for the buttons /Ketop (Win, CE)
  • Driver for VIPA CE touchpanel (Win, CE)
  • Drv for BCI hand-held scanner (Win)
  • Eldatic driver (Win)
  • Elrest CAN Network driver (Win)
  • Energy analysis device UPM 3000 (Win)
  • European Installation Bus (Win)
  • Festo EasyIP Multiprog driver (Win)
  • Festo Serial-CI driver, FST (Win)
  • File driver (Win)
  • FMS with PC card from Siemens (Win)
  • Hekatron driver (Win)
  • Hilscher CIF driver (Win)
  • Hilscher CIF Profibus (Win, CE)
  • Hilscher MPI driver (Win, CE)
  • Hilscher SYCON CifX (Win)
  • Hilscher SYCON configuration (Win, CE)
  • Hilscher SYCON configuration (Win, CE)
  • Hitachi driver (Win, CE)
  • HMI adapter driver (Win, CE)
  • HMS configuration (Win)
  • Hydrometer Driver (Win)
  • i-LON 100 driver (Win)
  • Idec driver (Win)
  • Ident System driver (Win, CE)
  • IEC 60870 - 5 - 103 Driver (Win)
  • IEC 60870-5-101_104 driver (Win, CE)
  • IEC 61400-25-4 Annex C (Win, CE)
  • IEC 61499 driver (Win)
  • IEC 61850 Client (Master) (Win, CE)
  • IEC 61850 driver (Win, CE)
  • IEC 61850 Server (Slave) (Win, CE)
  • IEC-62056-21 Driver (Win)
  • IEC60870-5-101/104 Slave (Win, CE)
  • Interbus S driver (Win)
  • Interbus-S (Win)
  • Internal driver with time stamp (Win, CE)
  • Jetter driver (Win)
  • K-Bus driver for CX1000 (Win, CE)
  • Kemro User ID Driver (Win, CE)
  • Kieback + Peter driver (Win)
  • KOYO Sequence driver (Win, CE)
  • LogiCAD driver (Win)
  • LON driver (Win)
  • LS Industrial Systems-XGT (Win)
  • Matsushita TCP-IP driver (Win)
  • Mininet-Master driver (Win, CE)
  • Mitsubishi - Melsec A-Q driver (Win, CE)
  • Mitsubishi - Melsec FX driver (Win, CE)
  • Modbus Energy driver (Win, CE)
  • MODBUS Master protocol (Win, CE)
  • Modbus RTU and Open Modbus TCP (Win, CE)
  • MODBUS Slave protocol (Win, CE)
  • Modicon TSX Micro driver (Win, CE)
  • Moeller Electric PSUNI driver (Win, CE)
  • OMRON driver (Win, CE)
  • Omron FINS driver (Win, CE)
  • OPC Client V2-0 driver (Win, CE)
  • OPC UA Client driver (Win, CE)
  • OSAI TCP/IP driver (Win, CE)
  • Panasonic serial driver (Win)
  • Passive Modbus RTU driver (Win)
  • PC Adapter - Vipa Green Cable (Win, CE)
  • PCS807 Profibus DP driver (Win, CE)
  • PCS812 S7 connection (Win, CE)
  • PDNet PCI - driver (Win)
  • PICnet driver (Win, CE)
  • PILZ-PSS driver (Win, CE)
  • Profibus DP Master driver (Win)
  • ProfiNet IO RT (Win, CE)
  • Reis Robotics driver (Win)
  • RTK9000 driver (Win)
  • S5 H1 driver (Win)
  • S5 TCP-IP driver (Win)
  • S7 driver for S7-200 (Win, CE)
  • S7 driver Softnet based (Win)
  • S7 MPI for Siemens CE terminals (Win, CE)
  • S7 TCP-IP driver (Win, CE)
  • S7_MPIISA driver (Win)
  • Saia Directly driver (Win, CE)
  • SAIA2ND32 driver (Win)
  • SaNORS - Asfinag SOS-telephones (Win)
  • Schiele S400 driver (Win, CE)
  • Schiele S800 driver (Win, CE)
  • Siclimat X Decos (Win)
  • Siemens S5 PD driver (Win, CE)
  • Siemens Sigmasys driver (Win)
  • SIGMATEK driver (Win)
  • Sigmatek Lasal Driver (Win, CE)
  • Simotion driver (Win)
  • SNMP Driver (Win)
  • SoftNet ProfibusDP (Win)
  • SQL Driver (Win)
  • SST Driver (Win)
  • Standard M-Bus driver (Win, CE)
  • straton driver (Win, CE)
  • straton NG driver (Win, CE)
  • straton to zenon RT connection (Win, CE)
  • Swarco Futurit (Win)
  • System 2000 driver (Win)
  • System 2000 driver with logging (Win)
  • Telco200 driver (Win)
  • Teleperm driver (Win)
  • ThinkIO/IOSystem758 (Win, CE)
  • TI 505 - 545 driver (Win)
  • Trend Driver (Win)
  • Trend NG driver (Win)
  • VDMA-XML driver (Win, CE)
  • VMEBUS driver (Win)
  • Win32 Shared memory (Win)
  • WINAC driver (Win)
  • Write variable values in SQL (Win)


Avvio del Runtime

Manuale -> Runtime -> Avvio del Runtime

Ci sono diverse possibilità di avviare il Runtime di zenon:

  • Con l´Editor:
    • Premere il tasto F5
    • Cliccare sul simbolo Avvia Runtime nella barra degli strumenti File Runtime
  • Con lo Startup-Tool
  • Usando il menù "Start" di Windows.
  • Usando Windows Autostart.
  • Con il servizio zenStartupMgr

Servizio zenAdminSrv

Per avviare il Runtime, si deve lanciare il servizio zenAdminSrv Se questo servizio non esiste, verrà visualizzato un corrispondente messaggio di errore.

Quando si avvia il Runtime usando Windows Autostart, zenon cerca di avviare il Runtime finché il servizio sarà disponibile, oppure (in caso contrario) l´utente chiuderà il relativo messaggio di errore cliccando sul pulsante Cancel.

Dimensioni della finestra principale

Le dimensioni della finestra Runtime sul computer locale all´avvio del Runtime si configurano nell´Editor di zenon.
Procedura:

  1. Selezionare il Workspace nell´Editor di zenon.
  2. Nella finestra delle proprietà del workspace, cliccare sul nodo Dimensione Runtime locale.
  3. Configurare i valori per la Larghezza finestra Runtime [Pixel].
  4. Indicare i valori per Altezza delle finestre Runtime [Pixel].

Funzione "In primo piano"

Si può aprire il Runtime in background, vale a dire durante il funzionamento di altri programmi, facendo uso della funzione Porta sullo sfondo. Con la funzionePorta in primo piano, il Runtime viene richiamato in primo piano.

info Info

Quando si porta il Runtime in primo piano usando la funzione Porta in primo piano, la finestra Runtime viene definita come finestra superiore.

Tenere presente quanto segue:

  • In questa situazione la tastiera software DIALOGKBD non potrà essere aperta.
    Si potranno usare altre keyboard.
  • La barra di stato allarmi sarà coperta dalla finestra Runtime.

Ci sono le seguenti possibilità di riportare la barra di stato allarmi in primo piano:

  • Attivare i tasti di sistema (disattivare la proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano premendo Alt+Tab.
  • Attivare la taskbar di Windows e cliccare sulla finestra Status.
  • Riportare il Runtime in background
  • Riavviare il Runtime.

Nota: la funzione Porta in primo piano non è identica alla funzione Porta modello in primo piano!

Imposta progetto di partenza

Quando avete creato un progetto, potete avviarlo in diverse maniere.

Nota: requisito necessario per poterlo avviare, è che il progetto creato sia stato inviato al sistema di destinazione; cosa non necessaria, evidentemente, se il computer di progettazione è allo stesso tempo sistema di destinazione.

Ci sono diverse possibilità di definire quale deve essere il progetto di partenza a Runtime:

Con l´Editor:

  1. Aprire l´Editor di zenon
  2. Selezionare il progetto che si vuole impostare come progetto di partenza.
  3. Aprire il menù contestuale (clic con il tasto destro del mouse sul nome del progetto) e cliccare sulla voce Imposta come progetto di partenza.

Con lo Startup Tool:

  1. Aprire lo Startup Tool.
  2. Cliccare su Item--> Properties...
  3. Nel campo RT-Project, selezionare il progetto di partenza.

Con il Trasporto Remoto:

  1. Attivare il progetto nella barra degli strumenti.
  2. Impostare il progetto desiderato come progetto di partenza.

Usando la topologia di rete:

  1. Aggiungere un computer.
  2. Selezionarlo
  3. Impostate il progetto desiderato come progetto di partenza.

Ancora in questo capitolo

Impostare l´autostart del Runtime

Keyblock Runtime Start

Configurare "Avvio ritardo"


Impostare l´autostart del Runtime

Manuale -> Runtime -> Avvio del Runtime -> Impostare l´autostart del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare l’autostart del Runtime, procedere nel modo seguente:

  1. Selezionare l´applicazione zenonrt.32.exe nella directory C:\Program Files (x86)\COPA-DATA\zenon 7.60 SP0.
  2. Creare un collegamento locale.
  3. Copiarlo nella cartella esecuzione automatica del menù di start.

Il Runtime verrà avviato automaticamente al prossimo login.


Keyblock Runtime Start

Manuale -> Runtime -> Avvio del Runtime -> Keyblock Runtime Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start è un programma con cui il Runtime di zenon viene eseguito come Shell . In questo caso, il Runtime di zenon viene avviato, ma vengono bloccati tutti i tasti di sistema di Windows. In questo caso, i tasti di scelta rapida, come ad esempio il tasto Windows, oppure la combinazione Ctrl+Alt+Canc, non hanno più nessuna funzione. Gli utenti non possono più accedere al sistema operativo usando questi tasti, ma possono lavorare solamente nell´interfaccia di zenon.

Presupposto perché questo avvenga è che la proprietà di progetto Titolo Runtime sia stata impostata su Nessun titolo (schermo completo). In questo caso zenon viene eseguito in modalità a schermo intero e il Runtime non può essere ridotto a icona.

Si prega di tenere presenti anche le informazioni contenute nel capitolo Proteggere i file Runtime.

Nota: si può aggirare il blocco del tasto Windows. Bloccare il tasto Windows usando l'inserimento corrispondente nello Startup Tool (scheda "General" delle "Application settings.."; abilitare l'opzione "Disable Windows Key")

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime


Configurare "Avvio ritardo"

Manuale -> Runtime -> Avvio del Runtime -> Configurare "Avvio ritardo"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usano Dongle per la registrazione della licenza, il "Codemeter Service" deve essere pronto prima dell´avvio del Runtime di zenon. Per questo motivo è stata prevista la possibilità di configurare un ritardo di avvio per il Runtime di zenon.

Ritardo di avvio del Runtime di zenon

Definire nel file zenon6.ini un ritardo di avvio di almeno 30 secondi per zenon.

Procedura:

  1. Aprire il file zenon6.ini con un editor di testo.
  2. Passare al settore [DEFAULT]
  3. Inserire il ritardo desiderato in millisecondi alla voce STARTDELAY= .

Esempio:

[DEFAULT]

STARTDELAY= 30000

info Info

Il percorsozenon6.ini del file è il seguente: %ProgramData%\COPA-DATA\System\


Avvio del Runtime come servizio

Manuale -> Runtime -> Avvio del Runtime come servizio

Il Runtime di zenon può essere avviato automaticamente come servizio mediante il servizio zenStartupMgr.

Attenzione: se il Runtime viene lanciato con lo zenStartupMgr, non potrà più essere terminato o riavviato dagli utenti.

Per avviare un Runtime come servizio:

  1. Registrare il file zenStartupMgr.exe come servizio.
  2. Configurare le proprietà per la registrazione.
  3. Avviare, se necessario, il Trasporto Remoto con lo zenStartupMgr.
  4. Definire nello Startup Tool il Runtime da avviare.
  5. Configurare un ritardo di avvio per il Runtime di zenon se si utilizza una registrazione della licenza tramite dongle.

Registrare il servizio

Per registrare zenStartupMgr.exe come servizio:

  1. Aprire la riga di comando.
  2. Passare al percorso di salvataggio del file zenStartupMgr.exe.
    (Default con 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default con 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrare il file come servizio con il comando zenStartupMgr.exe –service.
    Nota: se già in esecuzione, il servizio sarà prima fermato e poi registrato. Se zenStartupMgr è in esecuzione, verrà chiuso.

Configurare un servizio per l´uso di molti driver

A causa dello spazio di memoria fisso riservato al desktop, il sistema operativo Windows consente la creazione di un numero limitato di finestre; questo numero dipende dalla versione e dalla possibile interazione con il desktop.

Versione/azione | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-Bit | 20 MB | 768 KB

Ogni driver di zenon ha bisogno di più finestre. Si può influire sul numero di driver utilizzabili, usando l´opzione Consenti al servizio di interagire col desktop delle proprietà del servizio.

  • Non attiva:
    è possibile avviare un massimo di 20 driver.
  • Attiva:
    possono essere avviati tanti driver quanti in un Runtime lanciato come processo utente.

Per attivare l´opzione Consenti al servizio di interagire col desktop :

  1. Aprire il "Service Manager" di Windows.
  2. Aprire le proprietà del servizio zenStartupMgr.
  3. Passare alla scheda Connessione.

  4. Attivare l´opzione Consenti al servizio di interagire col desktop.
    Per questo servizio, il "Tipo di avvio" deve essere impostato su automatico. Quando il servizio è attivo, l´utente loggato sul calcolatore viene informato se il Runtime di zenon apre come servizio un´ulteriore finestra, per esempio in caso del verificarsi di un nuovo allarme con la riga di stato attiva.

    Nota per Windows 8/Server 2012: perché il servizio possa essere avviato, il relativo inserimento deve essere settato correttamente nel registro di sistema di Windows.

    1. Passare alla voce HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Aprire, oppure creare il valore DWORD NoInteractiveServices.
    3. Cambiare il valore decimale settandolo da 1 a 0.
  5. Per evitare che sul desktop vengano visualizzate segnalazioni-Runtime, procedere come segue:
    disattivare il servizio Rilevamento servizi interattivi.

Accesso interattivo

Per consentire un accesso interattivo al processo:

  1. Attivare nel servizio l´opzione Consenti al servizio di interagire col desktop.
  2. Attivare il servizio Rilevamento servizi interattivi.

Nota: questo tipo di accesso non è adatto come alternativa alla gestione vera e propria del Runtime. I servizi sono programmi eseguibili che svolgono compiti specifici e che sono progettati per non richiedere l´intervento dell´utente e per non essere gestiti tramite un´interfaccia. Se è necessario eseguire operazioni di gestione che interessano il Runtime Server, il Runtime deve essere avviato come applicazione. Se il Runtime deve essere eseguito sul server come servizio, il Runtime può essere gestito operativamente da un client di zenon.

Limiti all´accesso interattivo

Se il Runtime di zenon viene avviato come servizio e deve tuttavia avere un´interfaccia grafica (GUI), è il sistema operativo a garantirlo mediante il servizio di sistema Secure Desktop (Rilevamento servizi interattivi).

A partire dalla versione Vista/Server 2008, l´accesso all´interfaccia Runtime tramite un servizio di sistema di Windows è stato limitato per ragioni di sicurezza. Soprattutto:

  • Il desktop interattivo viene chiuso automaticamente da Windows dopo un minuto di inattività; dopo viene visualizzata la schermata di login di Windows.
  • Non è possibile la visualizzazione di effetti DirectX per gli elementi (come, ad esempio, effetto glow, oppure ombre).
  • Non è possibile un funzionamento a più monitor.

Ancora in questo capitolo

Configurazione del Runtime di zenon Logic

Configurazione nello Startup Tool

Trasporto remoto

Procedura


Configurazione del Runtime di zenon Logic

Manuale -> Runtime -> Avvio del Runtime come servizio -> Configurazione del Runtime di zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se zenon viene eseguito come servizio, l´interfaccia utente del Runtime integrato di zenon Logic non è disponibile. Se si vogliono eseguire delle modifiche alla configurazione del Runtime di zenon Logic, il Runtime deve essere avviato normalmente.

Ci sono diverse possibilità di configurazione:

1. Ci si può collegare via Trasporto Remoto al pannello su cui deve essere attivo il Runtime ed inserire in questa sede la licenza per lo stesso Runtime.

2. Configurazione di rete: configurabile anche la crittografia via Trasporto Remoto.

3. Vedi capitolo zenon6.ini, Impostazioni generali [DEFAULT].


Configurazione nello Startup Tool

Manuale -> Runtime -> Avvio del Runtime come servizio -> Configurazione nello Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello Startup Tool si possono definire diversi programmi che devono essere avviati dal servizio. Per avviare un Runtime di zenon esistente come servizio:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Application
  3. Selezionare Options.
  4. Si aprirà la finestra di dialogo con le impostazioni.
  5. Passare alla scheda Service startup.

  6. Per definire un Runtime, cliccare sul pulsante New.
  7. Si aprirà la finestra di dialogo per selezionare un programma.

  8. Cliccando sul comando ..., si aprirà la finestra di dialogo che consente di selezionare file.
  9. Passare alla cartella di zenon.
  10. Selezionare Zenrt32.exe.
  11. Chiudere la finestra di dialogo e lo Startup Tool.


Trasporto remoto

Manuale -> Runtime -> Avvio del Runtime come servizio -> Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con le sue impostazioni standard, il Trasporto Remoto di zenon funziona nel contesto dell´utente registrato. In questa configurazione, questa applicazione non può né avviare il Runtime come servizio, né eseguire un reload o terminare il Runtime.

Il Trasporto Remoto, dunque, deve essere avviato inseme allo zenStartupMgr. Procedura:

  1. Creare un inserimento per lo start del file zenSysSrv nello Startup Tool -> Service startup.
  2. Nella finestra della scheda "Service startup", posizionare quest´inserimento prima di quello per il file zenrt32.exe.
  3. Disattivare lo zenSysSrv per gli utenti registrati.

Una volta eseguite queste configurazioni, il Trasporto Remoto potrà:

  • Trasferire dati al server.
  • Ricaricare dati

Se il Runtime è eseguito come servizio, non potrà essere chiuso o riavviato via Trasporto Remoto.

Disattivare il Trasporto Remoto per gli utenti loggati

Se lo zenSysSrv viene lanciato con lo zenStartupMgr, non potrà essere più avviato da utenti registrati. Per evitarlo, cancellarlo manualmente dalla registry.

zenSysSrv fino a Windows 8:

  1. Aprire la finestra di dialogo Windows che consente l´esecuzione di comandi (tasto Windows + R).
  2. Digitare msconfig.
  3. Si aprirà la finestra di dialogo di Configurazione di sistema.
  4. Passare alla scheda Avvio.
  5. Disabilitare lo start automatico di zenon disattivando la checkbox davanti a zenSysSrv.exe.
  6. Cliccare su Applica.
  7. Confermare la finestra di dialogo cliccando su OK.
  8. Riavviare il computer.

zenSysSrv a partire da Windows 8:

  1. Aprire la "Gestione attività" (tasti Ctrl+ Shift + Esc).
  2. Passare alla scheda Avvio.
  3. Disabilitare lo start automatico di zenon disattivando la checkbox davanti all´inserimento zenSysSrv - Transport service.
  4. Cliccare su Disabilita.
  5. Riavviare il computer.

Attenzione: se si registra nuovamente una versione di zenon mediante lo Startup Tool, l´inserimento verrà creato di nuovo e dovrà essere di nuovo eliminato manualmente.


Procedura

Manuale -> Runtime -> Avvio del Runtime come servizio -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il servizio zenStartupMrg, questo lancia in successione tutti i processi inseriti nello Startup-Tool come processi figli. Quando poi si arresta il servizio, questo chiude tutti i processi che aveva avviato nella successione inversa a quella in cui li aveva lanciati.

Diritti

Tutti i processi avviati dal servizio zenStartupMrg sono eseguiti nel contesto dell´utente con cui il servizio viene avviato dal sistema. Di regola si tratta dell' account di sistema locale. Si possono usare solamente quelle risorse a cui questo account può accedere.
Perciò, di regola, non sono accessibili:

  • Le unità di rete
  • Le stampanti di rete
  • Le banche dati in cui l'opzione Usa sicurezza integrata di Windows NT è attiva.

Quando si avvia lo zenStartupMgr nel contesto di un utente Windows dedicato, inoltre, non è possibile nessuna interazione con il desktop.
Attenzione: la password di un utente dedicato non deve né essere modificata, né scadere. Altrimenti il servizio non si avvierà più.

Secure Desktop

Secure Desktop può essere usato per accedere in modo interattivo ad un processo che ha un´interfaccia utente e viene eseguito nel contesto di sistema. In questo caso, devono essere soddisfatti i seguenti presupposti:

  • Si deve abilitare nelle proprietà del servizio zenStartupMgr l´opzione Consenti al servizio di interagire col desktop
  • Il servizio Rilevamento servizi interattivi deve essere avviato.

Nota: questo tipo di accesso non è adatto come alternativa alla gestione vera e propria del Runtime. I servizi sono programmi eseguibili che svolgono compiti specifici e che sono progettati per non richiedere l´intervento dell´utente e per non essere gestiti tramite un´interfaccia. Se è necessario eseguire operazioni di gestione che interessano il Runtime Server, il Runtime deve essere avviato come applicazione. Se il Runtime deve essere eseguito sul server come servizio, il Runtime può essere gestito operativamente da un client di zenon.

Finestre di messaggio e dialoghi modali vengono soppressi automaticamente se:

  • Il Runtime di zenon viene avviato mediante lo zenStartupMgr nel contesto di sistema
    e
  • Secure Desktop non viene visualizzato.

attention Attenzione

I dialoghi modali non devono mai essere richiamati via VBA o VSTA, perché non esiste nessuna possibilità di chiuderli con un´interazione dell´utente.


Runtime come ActiveX Control

Manuale -> Runtime -> Runtime come ActiveX Control

Per HMI di KUKA è disponibile un controllo ActiveX che consente l'esecuzione dell´intero Runtime in un controllo. Così il Runtime può essere implementato in un´altra applicazione come sotto-programma. Il controllo si comporta (con alcune eccezioni) in modo analogo allo zenon Web Client ed è eseguibile anche in un browser.

Nome del controllo: zenRuntimeCtrl.ocx

Differenze rispetto allo zenon Web Server:

  • Può funzionare solamente in un'installazione dello zenon Runtime a 32 bit.
  • Possibili anche server e standalone, non solo client
    Nota: I moduli Sequenze di comando e Batch Control non sono supportati in questo ActiveX Control.
  • Avvia anche driver
  • Solo licenze software.
  • La licenza è letta dallo zenon6.ini; perciò è necessaria una licenza per zenon Runtime.
  • Il progetto di partenza viene letto dallo zenon6.ini; OCX-Properties Server, zenon Web Server e progetto non esistono.
  • La comunicazione di rete viene eseguita tramite zenNetSrv.exe, non via zenNetSrv.dll

attention Attenzione

Il Runtime ActiveX Control supporta solo licenze software. Una registrazione licenza via Wibukey o CodeMeter non è possibile.


Gestione del progetto a Runtime

Manuale -> Runtime -> Gestione del progetto a Runtime

Modalità di gestione

Potete lavorare a Runtime con il mouse, con la tastiera e usando la funzionalità touchscreen. In caso di gestione con il mouse o mediante touch-screeen, potete usare nel vostro progetto soprattutto pulsanti, pulsanti di stato, interruttori e pulsanti invisibili. Il cambiamento del simbolo del cursore segnala che è possibile gestire l´oggetto d´immagine con il mouse. In questo caso, la freccia diventa il simbolo della mano.

info Info

Il tempo di apertura delle immagini a Runtime dipende dal numero delle variabili collegate. È possibile incominciare a lavorare con un´immagine, infatti, solo dopo che tutte le variabili sono state registrate con successo sul driver.

Se ci sono molte variabili da registrare, il tempo di apertura dell´immagine potrà essere maggiore. In questo caso, viene visualizzata una barra di avanzamento che mostra lo stato del processo di caricamento.

Ancora in questo capitolo

Mouse

Touch

Gestione funzionamento da tastiera

Bloccare le combinazioni di tasti

Stabilire successione all´interno di un modello

Posizionamento e gestione di modelli

Liste configurabili

Messaggi-Runtime


Mouse

Manuale -> Runtime -> Gestione del progetto a Runtime -> Mouse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca su un elemento dinamico, si apre (secondo modalità che dipendono dalle impostazioni nell´elemento dinamico) la finestra di dialogo standard che consente di settare un valore impostabile. A seconda del tipo di dato della variabile, si aprono le seguenti finestre di dialogo:

Le operazioni possibili sono:

Parametro | Descrizione
Imposta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo sul PLC.
Imposta e modifica valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione della variabile), se prima era visualizzato il valore spontaneo.
Modificare valore di riserva | Setta un nuovo valore di riserva per la variabile.
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattiva il valore spontaneo | Disattiva il collegamento con il PLC per questo valore, settando il bit di stato OFF (Bit 20).
Attiva il valore spontaneo | Ripristina il collegamento con il PLC per questo valore, resettando il bit OFF.
Imposta lo stato binario | - LOW (0) - HIGH (1)

Le operazioni possibili sono:

Parametro | Descrizione
Imposta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo nel PLC.
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione variabile), se prima era visualizzato il valore spontaneo.
Modifica valore di riserva | Setta un nuovo valore di riserva per la variabile.
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattiva il valore spontaneo | Disattiva il collegamento con il PLC per questo valore, settando il bit di stato OFF (Bit 20).
Attiva il valore spontaneo | Ripristina il collegamento con il PLC per questo valore, resettando il bit OFF.
Valore | Nuovo valore numerico (entro l´area di misurazione consentita).

Le operazioni possibili sono:

Parametro | Descrizione
Imposta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo sul PLC.
Imposta e modifica valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione della variabile), se prima era visualizzato il valore spontaneo.
Modificare valore di riserva | Setta un nuovo valore di riserva per la variabile.
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattiva il valore spontaneo | Disattiva il collegamento con il PLC per questo valore, settando il bit di stato OFF (Bit 20).
Attiva il valore spontaneo | Ripristina il collegamento con il PLC per questo valore, resettando il bit OFF.
Testo | Testo nuovo

Lazo

Elementi dinamici collegati a una variabile oppure a una funzione, possono essere preselezionati a Runtime usando il lazo per utilizzarli poi per eventi VBA.

Selezione mediante lazo.

Perché sia possibile selezionare elementi a Runtime mediante lazo, devono essere eseguite le seguenti configurazioni nell´Editor:

  • Attivare la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazo) nelle proprietà di progetto.
  • Attivare la proprietà Runtime/selezionabile tramite lazonelle proprietà dell'elemento dinamico.

Nel Runtime ci sono diversi metodi per selezionare degli elementi:

  • Seleziona elementi: cliccare con il tasto sinistro del mouse in una parte vuota dell´immagine e trascinare il lazo sugli elementi ad immagine tenendo premuto il tasto del mouse.
  • Estendere la selezione: Ctrl+clic del mouse su un elemento per deselezionarlo (se già selezionato) o selezionarne uno in aggiunta a quelli già selezionati.
  • Aggiungere elementi: aprendo il lazo, tenere premuto il tasto Ctrl: in questo modo si aggiungono nuovi elementi a quelli già selezionati.
  • Cancellare la selezione: aprire il lazo in un punto dell' immagine che non contiene nessun elemento.


Touch

Manuale -> Runtime -> Gestione del progetto a Runtime -> Touch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon è possibile lavorare con schermi che supportano la funzionalità usando i gesti multi-touch. Per avere un esempio di progetto con multi-touch, si prega di rivolgersi al proprio consulente zenon.

Per lavorare con multi-touch, si consiglia di:

  • Usare una scheda grafica compatibile con DirectX 11.
  • Selezionare l'opzione "DirectX Hardware" nelle impostazioni di progetto ("Aspetto grafico" - "Qualità grafica").

Nota: per le gestures Windows 8, l´interazione può essere configurata in molte sezioni semplicemente usando le proprietà, senza che sia necessario effettuare ulteriori operazioni di programmazione.

Ancora in questo capitolo

Navigazione con multitouch nella visualizzazione globale.


Navigazione con multitouch nella visualizzazione globale.

Manuale -> Runtime -> Gestione del progetto a Runtime -> Touch -> Navigazione con multitouch nella visualizzazione globale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche per navigare all´interno della visualizzazione globale. A questo scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: se un´immagine in un contenitore non è una visualizzazione globale, riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale nel contenitore di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Visualizzazione globale incorporata in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Muovere modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: viene spostato il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Conversione del progetto

Valori per Sposta orizzontalmente e Sposta verticalmente quando si converte in zenon 7.20 un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Ancora in questo capitolo

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Runtime -> Gestione del progetto a Runtime -> Touch -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch con Windows 7 per navigare nella visualizzazione globale, li si deve:

  • attivare usando la proprietà Multi-Touch per Zoom e Scrolling
  • o implementare con VBA/VSTA

Zoom e scrolling mediante la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare multi-touch senza VBA/VSTA:

  1. Nel nodo Interazione delle proprietà di progetto, selezionare l´opzione Windows 7 per la proprietà Analisi.
  2. Disattivare la proprietà Ricava dimensioni dal modello nel nodo Modello delle proprietà dell´immagine.
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In questo modo sarà possibile scorrere e zoomare nell´immagine usando i gesti multi-touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicture sono a disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode)

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Runtime -> Gestione del progetto a Runtime -> Touch -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivare nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


Gestione funzionamento da tastiera

Manuale -> Runtime -> Gestione del progetto a Runtime -> Gestione funzionamento da tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione del Runtime può avvenire anche per mezzo della sola tastiera. In questo caso, anzitutto viene posto il focus su un modello; poi si naviga all´interno del modello con i tasti freccia e si inizializza l´azione usando il tasto Enter. La gestione avviene con le seguenti funzioni:

  • Attiva focus sul modello
  • Elimina focus dal modello
  • Imposta focus
  • Focus: esegui funzione elemento

La successione nella quale vengono selezionati gli elementi, è definita mediante l'attribuzione di numeri di indice agli elementi di un´immagine. La definizione della successione di navigazione funziona anche con i simboli.

La gestione via tastiera può avvenire anche usando combinazioni di tasti liberamente assegnabili dall´utente, come, per es, Ctrl+M. Tramite la proprietà Combinazione tasti (gruppo "Runtime" delle proprietà dell´elemento), è possibile assegnare una determinata combinazione di tasti ad un determinato elemento di gestione (per es. un pulsante).

Ancora in questo capitolo

Funzioni


Funzioni

Manuale -> Runtime -> Gestione del progetto a Runtime -> Gestione funzionamento da tastiera -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione della gestione tramite tastiera del progetto a Runtime, usare le seguenti funzioni:

Attiva focus sul modello

Quando si usa la tastiera per gestire il progetto a Runtime, questa funzione imposta il focus su un modello definito.

Per configurare la funzione:

  1. Nella lista delle funzioni, selezionare a funzione Immagini del nodo Attiva focus sul modello.

    Si apre la finestra di dialogo per selezionare un modello.

  2. Selezionare il modello desiderato.
  3. Per i progetti multi-monitor, selezionare il monitor virtuale per l´apertura del modello.
  4. Chiudere la finestra di dialogo cliccando su OK.
  5. Definire quale elemento d'immagine deve ricevere il focus.
    Procedura:
    1. Aprire la finestra di dialogo per Modifica ordinamento per il focus con Ordinamento sinistra/destra.
    2. Definire l´elemento al quale si vuole passare per primo.

Comportamento a Runtime:

  • il modello su cui è stato settato il focus, verrà visualizzato con una cornice. La larghezza della linea e il colore di questa cornice vengono configurate nel nodo Aspetto grafico/Immagini delle proprietà di progetto.
  • Nell´immagine, riceverà il focus quell´oggetto che è stato definito come primo elemento nella successione configurata per sinistra/destra. La successione per alto/basso verrà ignorata.

Finestra di dialogo "Selezione modelli"

Nella finestra di dialogo Selezione modelli si selezionano i modelli per l´esecuzione di funzioni; questi modelli possono essere:

  • Del progetto corrente.
  • Di sottoprogetti.
  • Di tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Modelli" | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Settare il focus sul modello in caso di modelli aperti più volte.

Se un modello viene visualizzato più volte sul monitor, ogni volta che la funzione "Attiva focus sul modello" viene eseguita, il focus si sposta nella direzione contraria alla successione di apertura. Esempio: se si ha un modello che può essere aperto più volte e si aprono le immagini Immagine1, Immagine2 e Immagine3, e poi si setta il focus su questo modello, l´immagine aperta per ultima, cioè Immagine 3, sarà la prima a ricevere il focus. Quando la funzione Attiva focus sul modello verrà eseguita di nuovo, il focus si sposterà su Immagine2, e così via.

Imposta focus

Questa funzione setta il focus su un elemento definito e può quindi essere utilizzata per rendere possibile a Runtime la navigazione tramite tastiera all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´Editor nel menù contestuale, oppure nel menù Modifica alla voce "Modifica ordinamento per focus...-
su elemento | Stabilire l’elemento che deve ricevere il focus. Inserire in questo campo il nome oggetto dell’elemento desiderato.

Focus: esegui funzione elemento

Questa funzione attiva l´elemento che ha il focus nel modello desiderato.

Elimina focus dal modello

Questa funzione elimina a Runtime il focus dal modello corrente. Per poter continuare a lavorare con la tastiera, il focus deve essere settato di nuovo su un modello.


Bloccare le combinazioni di tasti

Manuale -> Runtime -> Gestione del progetto a Runtime -> Bloccare le combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile bloccare le combinazioni di tasti di Windows per il Runtime. Il blocco si configura nell´Editor. È possibile bloccare per il Runtime anche tutti i tasti di sistema.

Bloccare le combinazioni di tasti di Windows

Per bloccare le combinazione di tasti di Windows, passare nell´Editor alla sezione Interazione delle proprietà di progetto; qui attivare la proprietà Pulsanti di sistema bloccati.

Verranno bloccate:

Combinazione tasti | Effetto
Alt+Esc | Passa all´applicazione successiva.
Alt+Tab | Consente di passare da un´applicazione aperta all´altra. Direzione: avanti.
Alt+Shift + Tab | Consente di passare da un´applicazione aperta all´altra. Direzione: indietro.
Ctrl+Tab | Consente di passare alla prossima finestra all`interno di un´applicazione. Può essere assegnata in modo specifico a seconda dell'applicazione.
Ctrl+Esc | Apre il menù di start.
Alt+F4 | Chiude l´applicazione.
Ctrl+F4 | Chiude la finestra all´interno di un´applicazione.
Ctrl+Shift+Esc | Apre la "Gestione attività" di Windows.
Tasto Windows | Apre il menù start.
Tasto Windows + D | Riduce ad icona o ingrandisce tutte le finestre.
Tasto Windows + E | Apre l'"Esplora file" di Windows.
Tasto Windows + F | Attiva la ricerca.
Tasto Windows + M | Riduce ad icona tutte le finestre esistenti nella barra delle applicazioni.
Tasto Windows + P | Passa alla modalità presentazione.
Tasto Windows + R | Apre la finestra di dialogo “Esegui.

Vengono bloccate anche tutte le corrispondenti combinazioni con azioni del mouse.

Non vengono bloccate:

Combinazione tasti | Effetto
Ctrl+Alt+Canc | Riavvia il computer.
Tasto Windows + L | Blocca il PC.

Bloccare tutti i pulsanti di sistema

Per bloccare tutti i tasti di sistema a Runtime:

  • Attivare la proprietà
  • Avviare il Runtime con Keyblock Runtime Start
  • Tenere presente i suggerimenti contenuti nel capitolo Proteggere i file Runtime

attention Attenzione

La proprietà Pulsanti di sistema bloccati non è a disposizione per i progetti CE.


Stabilire successione all´interno di un modello

Manuale -> Runtime -> Gestione del progetto a Runtime -> Stabilire successione all´interno di un modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definite la successione d'attivazione degli elementi di un'immagine al momento della progettazione nell`Editor di zenon:

  1. Aprire l´immagine.
  2. Cliccare con il tasto destro del mouse su un´area vuota.
  3. Selezionare nel menù contestuale che si aprirà Modifica ordinamento per il focus.
  4. Selezionare nella lista a cascata che si aprirà Ordinamento sinistra/destra oppure Ordinamento alto/basso.
  5. Ogni elemento nell´immagine viene contrassegnato con un numero posto nell´angolo in alto a sinistra.
  6. Cliccare sull´elemento al quale si vuole che si passi per primo.
  7. Il numero dell´elemento diventerà 1.
  8. Cliccate su tutti gli altri elementi nella successione che avete deciso di adottare:
    • Cambia il colore di sfondo del numero degli elementi che avere già definito.
    • Gli elementi che non possono essere raggiunti tramite la tastiera nel Runtime (proprietà Focus impostato sull'elemento non attiva), sono contraddistinti da un numero rosso.
    • Se si clicca su di un elemento tenendo premuto il tasto Ctrl, la numerazione inizia con l´indice numerico dell´elemento su cui avete cliccato.

info Info

Nelle proprietà degli elementi, la posizione viene visualizzata mediante le proprietà Posizione focus sinistra/destra e Posizione Focus su/giu Queste proprietà hanno il solo scopo di fornire delle informazioni; i valori relativi al posizionamento non possono essere modificati in questa area delle proprietà dell´elemento

Simboli

Si può assegnare un indice anche ai simboli. Durante la compilazione dei file Runtime, il simbolo viene scomposto e vengono aggiunti gli elementi esistenti nel simbolo. Nell'eseguire questa operazione, il sistema tiene conto della successione definita nel simbolo.

Example Esempio

In un'immagine ci sono tre elementi: il valore numerico Z, il pulsante B e il simbolo VS. Il simbolo preso dalla libreria del progetto, contiene 3 valori numerici: Z1, Z2 e Z3.

Se si fissa la successione all´interno dell´immagine nel modo seguente: B - VS - Z,
, la successione a Runtime sarà la seguente: B - Z1 - Z2 - Z3 - Z.


Posizionamento e gestione di modelli

Manuale -> Runtime -> Gestione del progetto a Runtime -> Posizionamento e gestione di modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, i modelli possono essere aperti in una posizione fissa, oppure in una posizione definita in modo relativo. Così, per esempio, è possibile posizionare immagini keyboard, oppure immagine pop-up dove si trova il puntatore del mouse, oppure l´elemento che causa l´apertura di queste immagini. A Runtime, i modelli possono essere aperti:

  • In una posizione assoluta.
  • In relazione alla posizione del mouse.
  • In relazione all'elemento.

Sia la posizione assoluta che quella relativa vengono definite nelle proprietà del modello nell´Editor di zenon.

Mantenere la posizione alla riapertura

Le finestre derivano la loro posizione sullo schermo sempre dal modello. Se si progetta un´immagine pop-up e la si sposta a Runtime, questa immagine verrà riaperta nella posizione progettata quando verrà eseguita di nuovo la funzione di cambio immagine. Usando la proprietà Mantieni posizione e dimensioni alla riapertura, però, si può stabilire che il modello conservi la sua posizione finché è aperto, indipendentemente dai cambi immagine. Se la proprietà è attiva:

  • Se un´immagine viene aperta a Runtime in un modello che è stato spostato manualmente, la posizione e la grandezza di quest´ultimo vengono mantenute anche se ci sarà un cambio ad un´altra immagine.
  • Se nello stesso modello viene aperta un´altra immagine, dunque, posizione e dimensioni del modello verranno mantenute. Questo vale anche per l´apertura con sostituzione.

In tal modo si può usare su ogni client un´altra posizione per il modello, visto che viene sempre salvata la posizione locale.

Posizione assoluta

Il modello viene aperto sempre in corrispondenza di coordinate definite in modo fisso. A tutte le aperture di immagine eseguite automaticamente dal sistema, come, ad esempio, per la gestione tempo o per una violazione di valore limite, viene applicata la posizione predefinita sullo schermo.

Posizionamento relativo

Il posizionamento relativo si adatta in modo particolare all'apertura di immagini pop-up, di immagini tastiera oppure di immagini comando. Questo tipo di posizionamento è possibile per tutti i cambi immagine, le impostazioni di valore tramite immagini keyboard definite liberamente e tutte le immagini di comando; il presupposto è che sia l´utente ad inizializzarli manualmente. Non importa se l'azione viene inizializzata da una funzione di cambio immagine, da una funzione "setta valore impostabile" o direttamente mediante un elemento. Il posizionamento relativo è disponibile per:

  • Elementi dinamici, ai quali si può attribuire una funzione.
  • Elementi dinamici mediante i quali si può settare un valore impostabile (pulsanti, elemento combinato).
  • Menù principali e contestuali
  • Per l´azione specifica "Esegui funzione" nel tipo di immagine Lista di informazione allarmi

Il posizionamento relativo funziona anche in caso di chiamate funzioni "annidate", cioè quando "Cambio immagine" o "Setta valore impostabile" vengono inizializzate tramite uno script. Se è stato scelta l´opzione "posizione relativa", e l'immagine va oltre il bordo dello schermo, quest´ultima viene posizionata automaticamente al bordo del monitor. Questo vale anche nel caso di una gestione multi-monitor, per cui un'immagine non può invadere uno schermo vicino.

attention Attenzione

Il posizionamento relativo funziona solo in caso di apertura diretta da parte dell´utente, non in caso di funzioni automatizzate o in caso di uso di VBA.

Relativo all'elemento

Posiziona il punto di riferimento del modello in modo relativo all'elemento da cui è stato attivato il cambio immagine (per es. un pulsante oppure un elemento combinato). A Runtime, poi, il punto di riferimento del modello viene collocato sempre sul punto di riferimento calcolato per l´elemento. Se il modello non può essere aperto in quella posizione perché l´immagine si troverebbe al di fuori dello schermo, vengono utilizzati i punti di riferimento alternativi.

Bisogna anzitutto fissare un punto di riferimento per il modello e poi la posizione desiderata rispetto all´elemento. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento per l´elemento: verticale
  • In giù
  • In su

Punto di riferimento per l´elemento: orizzontale
  • Sinistra
  • Destra

Spostamento verticale in pixel

Indicare lo spostamento desiderato

Spostamento orizzontale in pixel

Indicate lo spostamento desiderato

Posizione alternativa

Qui si definisce una posizione alternativa per il punto di riferimento del modello e per il punto di riferimento relativo all´elemento. Per definire la posizione alternativa, procedere nel modo utilizzato per fissare la posizione favorita. La posizione alternativa verrà utilizzata dal sistema se il modello non può essere aperto nella posizione favorita.

Relativo alla posizione del mouse

L´immagine viene visualizzata sullo schermo in relazione alla posizione del puntatore del mouse. Se il punto di riferimento si trova in alto a sinistra, il modello verrà aperto in basso a destra rispetto al punto di riferimento. Se l'immagine non può essere visualizzata completamente nella posizione configurata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore visibile dello schermo.

Fissare il punto di riferimento del modello usando le due proprietà "Punto di riferimento per il modello: verticale" e "Punto di riferimento per il modello: orizzontale". Il punto di riferimento viene contrassegnato sul modello da un punto rosso. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento per modello verticale
  • In su
  • In giù
  • Centrato

Punto di riferimento per il modello orizzontale
  • Sinistra
  • Destra
  • Centrato

Example Esempio

Nell´immagine c´è un pulsante che si trova sul bordo destro dello schermo e si vuole posizionare una finestra pop-up alla destra di questo pulsante.

  • Punto di riferimento per l´elemento: a destra / centrato.
  • Punto di riferimento per il modello: a sinistra / centrato.

A Runtime, l´immagine popup verrà aperta a destra del pulsante, centrata rispetto al centro del pulsante. L`immagine popup non coprirà il pulsante.

Usare lo stesso modello anche per un pulsante che si trova sul bordo sinistro dello schermo. La finestra pop-up non potrebbe più essere aperta in modo completo a destra. Per questo motivo il sistema utilizzerà la posizione alternativa configurata. Procedura:

  • Definire: Il punto di riferimento alternativo per l´elemento: a sinistra / centrato.
  • Il punto di riferimento alternativo del modello: a destra / centrato.

Modificare la grandezza a Runtime:

La dimensioni con cui viene aperta un´immagine a Runtime, e le modifiche consentite alle dimensioni stesse, vengono configurate mediante le proprietà del modello, in particolare quelle contenute nel gruppo Posizione.

Proprietà

Descrizione

Larghezza (massima) [Pixel]:

Definisce la larghezza massima.

Altezza (massima) [Pixel]:

Definisce l´altezza massima.

Limite minimo:

Definisce i limiti minimi. Valori possibili:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Dimensioni d'apertura:

Definisce la dimensione con cui viene aperta a Runtime un´immagine basata su questo modello.

  • Grandezza modello: grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata a Runtime con un linea tratteggiata.
  • Larghezza [px]: larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: la grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Sposta e zooma

A Runtime, si possono spostare i modelli o li si può ingrandire o rimpicciolire usando la funzionalità di zoom.

Spostare modelli

Lo spostamento si applica sempre ai monitor definiti nella gestione monitor. Queste impostazioni non sono supportate con Windows CE.

Lo spostamento di modelli a Runtime può essere limitato a:

  • Cornice modello: il modello non potrà essere spostato al di fuori dei bordi del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di fuori del bordo del monitor. Tuttavia una parte dovrà rimanere visibile sul monitor (Margine minimo del frame), in modo tale che sia accessibile da parte dell´utente.

Il limite diventa attivo solamente se il modello si trova all´interno del limite definito già al momento della sua apertura. Se non si configura un limite per la possibilità di spostare un modello, può succedere che questo venga portato (per es. con gesti Multi-Touch) al di fuori dell´area visibile.

info Info

Lo spostamento di modelli è pensato soprattutto per la modalità a schermo intero. L´applicazione Runtime non dovrebbe essere spostata su un altro monitor. Se si sposta il Runtime, infatti, ci potranno essere delle limitazioni nella possibilità di spostamento.

Zoom

Le limitazioni valgono anche per lo zoom. Quando si raggiunge un limite mentre si zooma, il sistema cerca di continuare lo zoom nello spazio libero. Durante questa operazione vengono mantenute le proporzioni fra i lati.

Panoramica: spostare e zoomare

L´immagine seguente mostra il comportamento dei modelli quando li si sposta sullo schermo, oppure li si ingrandisce con lo zoom. Questo comportamento varia a seconda delle impostazioni adottate in fase di configurazione:


Liste configurabili

Manuale -> Runtime -> Gestione del progetto a Runtime -> Liste configurabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse liste che possono essere configurate individualmente a Runtime:

  • Active Directory:
    • Lista nella finestra Active Directory (ma non: albero)
  • AML
  • Filtro AML/Filtro CEL/Filtro tempo:
    • Lotti: Gestione archivio
    • Lotti: Selezione lotti
  • Batch:
    • Lista delle ricette master
    • Lista delle ricette di controllo
    • Lista parametri 1
    • Lista parametri 2
  • Comandi
    • Lista interblocchi
  • Lista utenti:
    • Lista utenti
  • CEL
  • Trend esteso
    • Lista curve estesa
  • Message Control:
    • Coda messaggi
  • Process Recorder
  • RGM:
    • Lista ricette e tabella dei valori ricetta (ma non: tabella valori ricette CE).
  • Gestione turni
  • Liste testi

Fra le azioni possibili per queste liste, ci sono:

  • Spostamento delle colonne.
  • Configurazione delle colonne.
  • Colorazione delle colonne.
  • Evidenziazione della posizione con il focus.
  • Uso di variabili di feedback.

Informazioni generali su questo argomento si trovano anche nel capitolo Design delle liste .

info Info

Anche i touch box possono essere configurati come le liste:

  • Filtro tempo Allarmi / CEL
  • Modifica utente
  • Lista gruppi utenti

Nota: non tutti gli elementi sono configurabili nei touch box. Per esempio, non c´è un´intestazione di colonna e c´è solamente una colonna.

Configurazione nell´Editor.

Configurazioni preliminari riguardanti l´aspetto e il comportamento delle Liste configurabili a Runtime, possono essere eseguite nell´Editor usando le proprietà del gruppo Visualizzazione.

Proprietà delle intestazioni di colonna.

Il comportamento delle intestazioni di colonna a Runtime viene adesso configurato nell´Editor usando le proprietà del gruppo Intestazione:

  • Visualizza intestazione: stabilisce se l´intestazione di colonna verrà visualizzata a Runtime.
  • Visualizza riga di filtro: stabilisce se la riga di filtro verrà visualizzata a Runtime.
  • Blocca ordinamento: gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.
  • Posizione colonne fissa: gestisce la possibilità di modificare la larghezza o spostare le colonne di una tabella a Runtime tramite azioni del mouse.
  • Disattiva menu contestuale: attiva o disattiva il menù contestuale per l´intestazione di colonna.

Comportamento a Runtime

Modificare le celle

È possibile modificare le celle delle liste di tipo liste configurabili: tramite:

  • Doppio clic sull'inserimento.
  • Clic sulla cella, seguito immediatamente da un secondo clic (doppio clic lento).

A seconda del tipo di immagine, ci può essere anche un pulsante per attivare la modifica.

Colorazione delle colonne

Nelle liste configurabili esiste la possibilità di definire separatamente per ogni singola colonna il colore del testo e quello di sfondo. Procedura: quando si configura la funzione di cambio immagine dell´immagine in questione, aprire la scheda Impostazioni colonne e configurare l'area Colori definiti dall´utente.

Mostra focus

Nell´ambito delle liste configurabili, è possibile segnalare dove si trova il focus mediante l´uso di colori di testo e di sfondo diversi. La cella, colonna o riga su cui si trova il focus, dunque, vengono evidenziate tramite l´uso di un determinato colore. Questi colori devono essere configurati nelle proprietà di progetto Colore di selezione per le liste oggetti, al nodo Aspetto grafico.

Priorità di colorazione

Quando si usano diversi colori in una lista, valgono le seguenti priorità:

  1. Generale: Colore di selezione per le liste oggetti
  2. RGM: Interrogazione valore di ricetta
  3. RGM: validazione online
  4. RGM: Interblocco
  5. Lista: colore colonna

Variabili di feedback

Le liste configurabili possono essere collegate ad una variabile di feedback di tipo BOOL. Quest'ultima segnalerà a Runtime se è stato selezionato qualcosa nella lista.

Per collegare una variabile di feedback:

  1. Nell´Editor, cliccare nella lista configurabile in questione.
  2. Aprire il gruppo Variabile di feedback delle proprietà.
  3. Nella proprietà Selezione attiva, cliccare sul pulsante ....

    Si aprirà la finestra di dialogo per selezionare una variabile con il tipo di dato BOOL.

  4. Selezionare una variabile.
  5. Collegare la variabile ad un elemento che dovrà visualizzare a Runtime lo stato della variabile.
    Significato dei valori:
    • 0: nessuna selezione nella lista.
      Nota: quando si chiude un'immagine, la variabile viene settata automaticamente sul valore 0.
    • 1: qualcosa è stato selezionato nella lista.


Messaggi-Runtime

Manuale -> Runtime -> Gestione del progetto a Runtime -> Messaggi-Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime possono essere visualizzati messaggi in corrispondenza di determinati eventi relativi all´esportazione di dati e ad azioni degli utenti. Questi messaggi vengono configurati nell´Editor.
Per far sì che vengano visualizzati:

  1. Aprire le proprietà di progetto per Impostazioni Runtime.
  2. Configurare le proprietà del gruppo Messaggi Runtime per:
    1. Esportazione dati: visualizza il risultato di un´esportazione di dati attivata tramite la funzione Esporta dati.
    2. Sostituzione file: indica se un file viene sovrascritto da un un´esportazione di dati.
    3. Inserimenti errati: consente di attivare/disattivare messaggi Runtime per azioni utente per:

      - Utente bloccato

      - User name non valido

      - Password non valida

      - Sistema bloccato

      - Sistema sbloccato

      - L'utente è stato bloccato

      - Imposta valore

    4. Autorizzazione insufficiente: consente di attivare o disattivare messaggi Runtime per autorizzazioni insufficienti.


File Runtime

Manuale -> Runtime -> File Runtime

Definizione di file Runtime, dati Runtime, cartella Runtime e cartella dati

File Runtime

I file Runtime sono quei file che vengono generati dall´Editor, e vengono letti e interpretati dal Runtime. Alcuni di questi file vengono modificati a Runtime, come ad esempio:

  • Ricette standard.
  • Manager di gruppi ricette, ecc.

I file Runtime vengono salvati nella cartella Runtime. Quest'ultima viene definita nell´Editor, nel gruppo Generale delle proprietà di progetto.

Dati Runtime

Tutti i dati che vengono creati e gestiti a Runtime, come, ad esempio:

  • Lista di informazione allarmi.
  • Lista Eventi Cronologica.
  • Server di archiviazione ecc.

Fanno parte dei dati Runtime anche quei dati che vengono generati dall´Editor (file Runtime) e possono essere modificati a Runtime, come, ad esempio, i dati di:

  • Ricette standard,
  • Manager gruppi di ricette
  • Gestione utenti, ecc.

I dati Runtime vengono salvati nella cartella Runtime. Quest'ultima viene definita nell´Editor, nelle proprietà di progetto, alla voce Generale.

Cartella Runtime

In questa cartella vengono salvati i file Runtime del progetto. Il percorso viene inserito nel file zenon6.ini quando viene settato il progetto di partenza. La cartella Runtime può essere modificata nelle proprietà di progetto. Nella cartella Runtime, si trova la sottocartella RT, e una sottocartella con il nome del computer. Nella cartella RT si trovano tutti i file Runtime generati dall´Editor. Nella cartella con il nome del computer si trovano tutti i file di dati creati a Runtime.

Nota: assicurarsi che ci sia abbastanza spazio di memoria per i dati Runtime, visto che i dati di archivi, AML, CEL, ecc, possono essere molti.

Cartella dati

Il Runtime salva tutti i file dati generati a Runtime (come, per esempio, file di allarme, file di archivi ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare il percorso di salvataggio di questa cartella nelle proprietà di progetto (Generala/Cartella dati).

Suggerimento: non salvare mai la cartella dati su un dispositivo rimovibile, come una chiavetta USB o una periferica di rete. Si consiglia di salvare i dati localmente e di eseguirne un backup esternamente.

Ancora in questo capitolo

Compatibilità dei file Runtime


Compatibilità dei file Runtime

Manuale -> Runtime -> File Runtime -> Compatibilità dei file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime zenon è concepito in modo tale da garantire la compatibilità con le versioni precedenti. Il Runtime può sempre caricare anche progetti di versioni precedenti e interpretarli e visualizzarli in modo corrispondente a queste versioni.
I progetti a partire dalla versione 6.20 SP4 possono essere avviati direttamente, anche senza averli prima convertiti. I progetti con un numero di versione inferiore, però, devono essere prima convertiti. E´possibile anche un funzionamento misto. Questo significa: con la gestione multi-progetto, è possibile caricare ed eseguire contemporaneamente progetti creati con versioni differenti.

Compatibilità online

La compatibilità online consente l´interazione di sistemi Runtime (anche via zenon Web Client) nella rete di zenon, anche se la versione del Runtime-Client è di numero superiore a quella del Runtime-Server.

Il Runtime corrente può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21 SP0
  • 06:21 SP1
  • 06:22 SP0
  • 6.22 SP1
  • 06:50 SP0
  • 6.51 SP0
  • 07:00 SP0
  • 07:10 SP0
  • 07:11 SP0
  • 07:20 SP0
  • 7.20 SP0 [Nr. Build più recente]:
  • 07:50 SP0
  • 7.60 SP0

Grazie alla gestione multi-progetto, si possono caricare anche diversi progetti. Ad esempio, il progetto di integrazione può essere della versione 7.60, un sotto-progetto della versione 07.50 e un ulteriore sotto-progetto della versione 6.51. Il funzionamento misto funziona anche in rete. È dunque possibile avviare con lo zenon Webclient progetti creati con diverse versioni.

Nota: a partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una "Qualità grafica" diversa da Windows standard (inclusa l´impostazione corrispondente per Crea file Runtime per), il Runtime (fino alla versione 6.51 di zenon) carica la qualità grafica Windows extended. Se si seleziona la qualità grafica Windows standard, il sistema manterrà questa impostazione.

Attenzione: server e Server-Standby devono essere sempre della stessa versione.

Nota per il modulo Batch Control: i file Runtime per il Batch Control fino alla versione 7.00 SP0 inclusa, non sono compatibili con le versioni successive. A partire dalla versione 7.10, la compatibilità è garantita.

Versione 7.20 - latest Build

Per la compatibilità con la versione 7.20, esiste un´altra possibilità di selezione "versione più recente". Questa opzione può essere selezionata con l´inserimento 7.20 SP0 [Nr. Build più recente] nel menù a tendina.

Quando si seleziona questa opzione, il sistema rende disponibili i file Runtime per il build corrente della versione 7.20. Questo significa che le funzionalità implementate nella versione 7.20 dopo il release ufficiale, vengono adesso supportate. Si tratta soprattutto di estensioni driver, che, grazie a questa opzione, adesso sono supportate. Si prega di tenere presente che, per utilizzare queste funzionalità, deve essere installata sul computer la build più recente della versione 7.20 di zenon.

Nota: se si seleziona l´opzione 7.20 SP0, i file Runtime verranno compilati - come finora - sulle impostazioni di default di 7.20 SP0.Assicurarsi di usare la build più recente sia per la versione 7.50, che per la versione 7.20 di zenon.

Compatibilità fra Editor e Runtime

Con l´Editor di zenon si possono creare file Runtime per diverse versioni del Runtime. Il Runtime, dunque, non deve necessariamente essere della stessa versione dell´Editor. Questa "retrocompatibilità" è particolarmente utile se si intende utilizzare dei sistemi misti. Per esempio: un progetto viene realizzato con l´Editor della versione 7.60, ma può essere avviato anche con un Runtime della versione 6.20 SP4.

attention Attenzione

Se in un progetto si configurano con un Editor di una versione più recente delle proprietà che non esistono in una versione precedente, queste proprietà non saranno a disposizione quando si lavora con quest´ultima versione. Questo può avere delle conseguenze indesiderate a Runtime.

Creazione dei file Runtime

Procedura per creare nell´Editor dei file Runtime per versioni precedenti:

  1. Selezionare il progetto nella struttura ad albero del Manager di progetto.
  2. Nelle proprietà di progetto, passare alla sezione Generale
  3. Aprire il menù a tendina della proprietà Crea file Runtime per.
  4. Selezionare nel menù a tendina la versione desiderata.

Attenzione: per garantire la coerenza dei file Runtime, bisognerà crearli tutti di nuovo dopo ogni modifica di questa proprietà. Vengono convertite anche le configurazioni di tutti i driver. Se delle impostazioni non esistono nella versione scelta, verranno scelte quelle di default.


Profili Runtime

Manuale -> Runtime -> Profili Runtime

Un profilo Runtime è uno stato temporaneo riproducibile di un´immagine a Runtime, comprese informazioni su:

  • Schema immagine (successione e posizione)
  • Attribuzione monitor
  • Filtri

I profili Runtime sono relativi al progetto e all´utente.

I seguenti tipi di immagine supportano profili Runtime:

  • Lista di informazioni allarmi
  • Post-elaborazione archivio
  • Lista eventi cronologica (CEL)
  • Trend esteso
  • Industrial Maintenance Manager
  • Industrial Performance Analyzer
  • Generatore Report
  • Message Control
  • Diagnosi variabili

Ogni utente di zenon ha una propria cartella, in cui può gestire i suoi profili. Gli amministratori possono vedere e modificare i profili di tutti gli utenti, e possono copiarli nell´account utente System. Tutti gli utenti possono caricare profili Runtime dall´account utente System. Quest´ultimo funziona da account di scambio per profili Runtime.

Nota: solo gli amministratori possono copiare profili nell´account dell´utente System per poi gestirli qui. Tutti gli altri utenti possono gestire solo i loro profili propri e caricare quelli dell´utente System.

Profili predefiniti

Accanto ai profili individuali, ci sono due profili Runtime predefiniti:

  • DEFAULT: creato dall´utente e selezionato come profilo standard.
  • LAST: viene salvato automaticamente nella cartella dell´utente al momento in cui l´user esegue il logout.
    Eccezione: il profilo LAST non viene salvato:
    • Per l´utente System
    • In caso di un login temporaneo senza autorizzazione di scrittura.

Ad ogni utente di zenon può essere attribuito un profilo standard al momento del login.

attention Attenzione

I profili possono essere salvati in modo corretto sul server solo se su quest´ultimo sono disponibili tutti i progetti:

  • Da cui vengono aperte delle immagini sul client.
  • Che aprono delle immagini con una funzione di cambio immagine.

Salvare profili Runtime che non soddisfano queste condizioni, può portare al verificarsi di errori a Runtime.

Ancora in questo capitolo

Creare e caricare il profilo nel Runtime.

Configurare funzioni

Profil zuordnen und verwalten

Directory di archiviazione per i profili


Creare e caricare il profilo nel Runtime.

Manuale -> Runtime -> Profili Runtime -> Creare e caricare il profilo nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un profilo nel Runtime, dovete configurare la corrispondente funzione nell'Editor:

  • Salva profilo: salva il profilo attuale nel modo in cui è stato definito nella funzione
  • Gestione profilo:: apre la gestione dei profili che serve a salvare, caricare, attribuire e gestire i profili.

Inoltre è possibile attivare nel Runtime dei profili già esistenti:

  • Carica profilo

Quando si carica un profilo, viene ripristinato lo stesso stato del momento in cui il profilo stesso è stato salvato. Viene ripristinata dunque la struttura dell´immagine, compresi tutti i filtri impostati (com´era al momento del salvataggio del profilo).

Attenzione: se sono state configurate delle funzioni di cambio immagine (Cambio immagine, Cambio immagine con variabile o Immagine indietro) per le proprietà Funzione apertura o Funzione chiusura dell´immagine (gruppo "Esecuzione"), queste funzioni non verranno eseguite! Tutti gli altri tipi di funzione verranno eseguiti di nuovo.

Se in entrambe le funzioni viene attivato uno script, questo verrà eseguito per intero, comprese le funzioni di cambio immagine in esso contenute. Può dunque succedere che la struttura dell'immagine dopo il caricamento del profilo non corrisponda a quella al momento del salvataggio del profilo stesso.

Una cosa del genere succede con Variabile di immagine attiva: se nella variabile viene eseguito un valore limite che contiene a sua volta una funzione di cambio immagine, quest´ultima verrà eseguita e ciò può avere degli effetti indesiderati sulla visualizzazione.


Configurare funzioni

Manuale -> Runtime -> Profili Runtime -> Configurare funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per caricare, salvare e gestire a Runtime dei profili, dovete anzitutto progettare nell´Editor una funzione e poi attribuirla ad un pulsante:

  • Scegliere "Nuova funzione..."
  • Nella finestra di dialogo che viene visualizzata, passare al nodo Immagini.
  • Selezionare Profilo Runtime

  • Si aprirà la finestra di dialogo per configurare la funzione.

Proprietà | Azione
Apri finestra di dialogo durante il Runtime | Apre a Runtime la finestra di dialogo per gestire, creare, salvare e caricare dei profili.
Carica profilo | Carica a Runtime il profilo definito nella finestra di dialogo:
DEFAULT | Carica il profilo DEFAULT. Questo è stato selezionato fra quelli disponibili dall´utente come profilo standard.
LAST | Carica il profilo LAST. Questo è stato salvato automaticamente al momento del logout di un utente nella sua cartella.
Nome definito da utente | Carica il profilo che ha il nome assegnato nella finestra di dialogo. Se questo profilo non esiste, si mantiene quello corrente.
Nome da variabile | Carica il profilo il cui nome è stato impostato dalla variabile definita.
Salva profilo | Salva il profilo definito nella finestra di dialogo.
DEFAULT | Salva il profilo corrente come DEFAULT.
Nome definito da utente | Salva il profilo con il nome definito nella finestra di dialogo.
Nome da variabile | Salva il profilo con il nome che viene acquisito dalla variabile definita nella finestra di dialogo.


Profil zuordnen und verwalten

Manuale -> Runtime -> Profili Runtime -> Profil zuordnen und verwalten

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Profile können im Editor und zur Runtime zugeordnet werden. Die Erstellung und Speicherung erfolgt zur Runtime.

Im Editor

Im Editor werden Benutzern Runtimeprofile zugewiesen:

  • im Dialog beim Anlegen eines neuen Benutzers mit der Eigenschaft Runtimeprofil das beim Login aufgerufen wird:

  • Über die Eigenschaft Profilo runtime eines Benutzers:

  • In der Dropdownliste stehen jeweils folgende Einstellungen zur Auswahl:
    • Keines: Kein Profil wird zugeordnet (Standardeinstellung)
    • DEFAULT: Das Profil DEFAULT wird zugeordnet
    • LAST: Das Profil LAST wird zugeordnet

Zur Runtime

Zur Runtime können Sie Profile über die Profilverwaltung speichern, laden, zuweisen und verwalten. Dazu muss die Funktion Profilo Runtime mit der Eigenschaft Verwaltungsdialog in der Runtime öffnen projektiert sein.

Hinweis: Administratoren können die Profile anderer Benutzer verwalten.

Eigenschaft | Aktion
Angemeldeter Benutzer | Benutzer, der aktuell am System angemeldet ist.
Benutzer, dessen Profile verwaltet werden | Benutzer, dessen Profile angezeigt werden und verwaltet werden können.
Profile | Liste der vorhandenen Profile.
Profilname | Name des Profils.
Zuletzt geändert | Datum und Uhrzeit der letzten Änderung.
Umbenennen | Öffnet den ausgewählten Profilnamen zum Umbenennen.
Löschen | Löscht das ausgewählte Profil nach einer Sicherheitsabfrage.
Kopieren | Kopiert das ausgewählte Profil zum Benutzer System. Der Name kann dabei geändert werden. Tipp: Profile beim Benutzer System stehen allen nicht eingeloggten Benutzern zur Verfügung.
Profil speichern | Öffnet den Dialog zur Vergabe eines Profilnamens und speichert das Profil unter diesem Namen. Dabei sind nicht erlaubt: Leerzeichen sowie die Sonderzeichen / | \ : * ? ! " < > $
Profil laden | Lädt das ausgewählte Profil.
Schließen | Schließt den Dialog.

Tastenkombinationen

Taste | Aktion
F5 | Aktualisiert die Liste der Profile. Bei unerwarteten Ereignissen im zenon Netzwerk wie Ausfall von Server oder Standby werden die Inhalte der Liste automatisch aktualisiert.
Esc | Schließt den Dialog.
Eingabe | Lädt das ausgewählte Profil.
Einfg | Speichert den aktuellen Zustand als neues Profil.
F2 | Ermöglicht das Ändern des Namens des ausgewählten Profils.
Entf | Löscht das ausgewählte Profil nach einer Sicherheitsabfrage.


Directory di archiviazione per i profili

Manuale -> Runtime -> Profili Runtime -> Directory di archiviazione per i profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati dei profili vengono salvati in modo differente a seconda del tipo di Runtime usato.

Tipo di Runtime | Directory di archiviazione
Server o standalone: | I dati vengono salvati localmente.
Client | I dati sono salvati sul server e vengono richiesti e modificati in modo interattivo.
Standby | I dati sono salvati sul server e vengono richiesti e modificati in modo interattivo, e sincronizzati localmente.


Profili filtro

Manuale -> Runtime -> Profili filtro

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente a Runtime in relazione ad una determinata immagine.

Per poter utilizzare i profili filtro, devono essere configurati nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profili filtro | Gestione profili a Runtime.
Selezione profili | Selezione di un profilo salvato a Runtime fra quelli contenuti nel menù a tendina.
Salva | Cliccando sul pulsante a Runtime, si salvano le impostazione di filtro come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cliccando sul pulsante (Elimina) a Runtime, si cancella il profilo selezionato.

Usando questi elementi di controllo, a Runtime sarà possibile:

  • Salvare filtri.
  • Usare i filtri salvati.
  • Cancellare profili filtro.
  • I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Salvare profili filtro

Per creare un profilo filtro:

  1. Definire condizioni di filtro.
  2. Assegnare un nome digitandolo nel campo di inserimento Profilo filtro.
  3. Cliccare su Salva.
    Il profilo filtro verrà salvato e sarà disponibile nel menù a tendina.

Usare profili filtro

Per usare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina della proprietà Profili filtro.
  2. Il filtro verrà applicato immediatamente.

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina della proprietà Profili filtro.
  2. Cliccare sul pulsante Elimina.
    Il profilo filtro verrà cancellato.
  3. Il filtro cancellato continuerà ad essere applicato finché non ne viene definito o selezionato uno nuovo.

Ancora in questo capitolo

Esportare e importare profili filtro


Esportare e importare profili filtro

Manuale -> Runtime -> Profili filtro -> Esportare e importare profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile trasferire profili filtro ad altri progetti ed altri computer usando gli elementi di controllo per import ed export.

Per esportare profili:

  1. Creare nell´immagine gli elementi di controllo per "Importa" e "Esporta":
    Elementi di controllo -> Profilo filtro -> Importa o Esporta
  2. Avviare il Runtime.
  3. Aprire l´immagine.
  4. Creare i profili desiderati.
  5. Salvarli.
  6. Esportare i profili:
    Verranno salvati in un file XML e potranno essere importati in altri progetti nello stesso tipo di immagine.

Per importare profili:

  1. Salvare il file XML con i profili desiderati nel computer Runtime, nel caso in cui questo non sia il computer da cui si esegue l´esportazione.
  2. Avviare il Runtime.
  3. Aprire l´immagine.
  4. Importare i profili.

info Info

Durante l´operazione d´importazione, tutti i profili esistenti verranno cancellati. Il profilo attivo al momento dell´importazione, però, non verrà modificato.

File XML possono essere importati solamente nel tipo di immagine corrispondente, cioè uguale quello con cui sono stati creati. Se si prova di importare dei profili di un altro tipo di immagine, l´importazione si blocca e viene visualizzato un messaggio che informa dell´errore che si è verificato.


Trattamento degli orari

Manuale -> Runtime -> Trattamento degli orari

Le indicazioni di tempo in zenon sono: ora locale, orari UTC o periodi di tempo. In linea di principio valgono le seguenti considerazioni:

  • Tutti i tempi "da - a" in filtri come cambio immagine AML o CEL, vengono salvati in formato UTC.
  • Gli orari (in moduli come PFS e Load Management) sono indicati nelle rispettive ore locali (Local Time)
  • I periodi di tempo sono intervalli espressi in secondi.

Eccezioni:

  • L´IPA scrive i dati storici nella banca dati usando l´ora locale come "datetime".
  • La funzione Acquisisci ora dalla variabile e la funzione Scrivi data/ora nella variabile di zenon non salva nessun dato orario, ma si limita ad acquisire dal PLC l´ora locale formattata come stringa o a scriverla.

UTC:

La sigla UTC significa Coordinated Universal Time. L´unità di misura del tempo è il secondo SI (sistema internazionale di unità di misura). UTC è l´unità di riferimento utilizzata internazionalmente per la determinazione dell´orario, si basa su misurazioni eseguite da orologi atomici e viene reso noto e messo a disposizione di tutti tramite trasmettitori appositi. A seconda del fuso orario, si deve aggiungere o sottrarre all´UTC un determinato valore. Questo valore può variare di un´ora in corrispondenza del cambio dall´ora solare a quella legale.
Esempi:

Paese | Ora locale
Alaska | UTC -9
Australia, Queensland | UTC +10
Bulgaria | UTC +2
Gran Bretagna | UTC
Corea | UTC +9
Europa centrale (Central European Time) | UTC +1
Europa centrale (Central European Time) Ora legale | UTC +2
Arabia Saudita | UTC +3
USA costa orientale | UTC -5
Emirati Arabi Uniti | UTC +4

Effetti sulle configurazioni

I valori configurati per data e ora hanno come effetto orari diversi a seconda del luogo in cui viene eseguito il Runtime.

Per esempio: nell´Editor, per l´esecuzione di una funzione nel modulo PFS, si configura localmente nel fuso orario UTC +1 il valore ore 14.00. Dopo il trasferimento dei file a un Runtime che viene eseguito su un computer che si trova nel fuso orario UTC +10, questa funzione sarà eseguita alle ore 23.

Cambio del fuso orario

Se si cambia fuso orario nel sistema operativo, la modifica viene applicata automaticamente in zenon a Runtime.

Tipp Suggerimento

Il fuso orario del calcolatore può essere analizzato usando la variabile del driver di sistema [Informazioni di sistema] Orario legale/solare.

La differenza fra orario del computer e orario di riferimento UTC può essere analizzata usando la variabile del driver di sistema [Informazioni di sistema] Offset orario da UTC.

Ancora in questo capitolo

Cambio all´ora legale


Cambio all´ora legale

Manuale -> Runtime -> Trattamento degli orari -> Cambio all´ora legale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda il passaggio dall´ora solare a quella legale e viceversa, vale quanto segue:

  • Usare il meccanismo Windows di cambio automatico integrato nel computer.
  • Non cambiare mai l´orario manualmente!

    Eventuali modifiche eseguite manualmente possono causare problemi riguardanti dati orari importanti per il funzionamento di zenon, per esempio quando effettuare il salvataggio di dati d´archivio, i temporizzatori ecc.

Il comportamento di Schedulatore e Production & Facility Scheduler in corrispondenza del passaggio dall´ora legale a quella solare e viceversa, deve essere impostato al momento della configurazione di questi moduli:

  • Cambio dell´orario Schedulatore
  • Cambio dell´orarioProduction & Facility Scheduler


Applicazioni mobili per zenon

Manuale -> Applicazioni mobili per zenon

Grazie a queste applicazioni è possibile visualizzare i progetti realizzati con zenon su dispositivi mobili, tablet e computer desktop. Base di questa visualizzazione è un progetto di zenon esistente. Non è necessario nessuna ulteriore operazione di configurazione.

Per consentire la visualizzazione sui diversi dispositivi mobili, tablet e computer desktop, sono disponibili delle App di zenon che possono essere scaricare dai relativi App-Store.
Si può anche creare una propria applicazione mobile per visualizzare un progetto zenon. Ulteriori informazioni su questo tema e esempi di codice, si trovano nel capitolo Modello dati del Everywhere Server.

Sono disponibili le seguenti App:

  • Everywhere Essentials Alarm Management
    Visualizza alarmi del Runtime su dispositivi mobili. Si può configurare un filtro degli allarmi per gruppi di impianti in fase di progettazione della connessione.
    La App è disponibile per dispositivi su cui è installato il sistema operativo iOS di Apple.´
  • Everywhere Essentials QR Data App
    Visualizza dati real-time del Runtime su dispositivi mobili. Si possono inserire variabili singole. In alternativa si può scannerizzare un codice QR con le impostazioni di connessione e le variabili da visualizzare in esso contenute.
    Questa App è disponibile per i dispositivi che utilizzano i sistemi operativi Android e Apple iOS.
  • Notifier-App by zenon:
    Consente di ricevere e riconoscere messaggi SMS inviati dal modulo "Message Control".
    Questa App è disponibile per il sistema operativo Android.
  • Everywhere App by zenon:
    Questa App consente un accesso semplice a zenon via smartphone, tablet e computer desktop.
    Sono disponibili le seguenti App:
    • Everywhere App by zenon per Windows Mobile
    • Everywhere App by zenon per i prodotti della serie iPhone, iPad.
    • Everywhere App by zenon per Windows Desktop
    • Everywhere App by zenon Per Android
  • Everywhere Server by zenon:
    Rende accessibili i dati di zenon per le applicazioni mobile.

Dopo che il server è stato configurato, sono disponibili le seguenti funzionalità via App:

  • Visualizzazione in tempo reale dei valori di un progetto di zenon
  • Autenticazione tramite l´applicazione mobile.
  • Selezione dei modelli di impianto del progetto attivo.
  • Assegnazione delle autorizzazioni operative progettate (via inserimento nel file .INI)
  • Possono essere attivate singole variabili.
  • Visualizzazione di valori in liste ...
    • ... con barre di stato bar grafiche.
    • ... con strumenti analogici dinamici
    • ... Messaggi di allarme con orario

Ancora in questo capitolo

Everywhere - Alarm Management

Everywhere Essentials QR Data App

Notifier App by zenon

Everywhere App by zenon

Everywhere Server by zenon


Everywhere - Alarm Management

Manuale -> Applicazioni mobili per zenon -> Everywhere - Alarm Management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Essentials - Alarm Management visualizza la Lista di informazione allarmi del Runtime di zenon in forma semplificata.

Di default è preconfigurata una connessione con il COPA-DATA Demo-Server.

info Info

La App è disponibile per dispositivi su cui è installato il sistema operativo iOS di Apple.´

Ancora in questo capitolo

Installazione

Lista dei profili

Schermata allarmi


Installazione

Manuale -> Applicazioni mobili per zenon -> Everywhere - Alarm Management -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura da seguire per utilizzare Everywhere Essentials - Alarm Management sul proprio dispositivo:

  • Aprire l´App-Store sul dispositivo.
  • Inserire come criterio di ricerca Everywhere Essentials, oppure Alarm Management.
  • Selezionare Everywhere Essentials - Alarm Management e installare la App sul dispositivo.

Per usare la App:

  • Aprire Everywhere Essentials - Alarm Management sul proprio dispositivo.
    La App si avvia con la schermata allarmi.


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere - Alarm Management -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Header

Parametro | Descrizione
< Back | Passa alla schermata allarmi.
+ | Crea un nuovo profilo e apre la finestra di configurazione per un profilo.

Lista profili

Lista contenente tutte le connessioni configurate. Selezionare un profilo esistente per connettersi al server corrispondente.

Ancora in questo capitolo

Modificare un profilo


Modificare un profilo

Manuale -> Applicazioni mobili per zenon -> Everywhere - Alarm Management -> Lista dei profili -> Modificare un profilo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi.

Header

Parametro | Descrizione
Done | Salva la configurazione e passa alla schermata allarmi.

Impostazioni di connessione.

Parametro | Descrizione
Profile Name | Nome della connessione, liberamente configurabile.
Server address | Nome o indirizzo IP dell´Everywhere Server con cui deve essere instaurata una connessione..
Port | HTTPS-Port per la comunicazione con Everywhere Server Default: 8050
Project name | Nome progetto del progetto Everywhere Server.
Select alarms from equipment group | Nome del gruppo di impianti, così come progettato nell´Editor di zenon. Nota: nella schermata allarmi vengono visualizzati solamente quegli allarmi che sono collegati al gruppo di impianti selezionato.
User | Nome utente per il login sull´Everywhere Server.
Password | Password per il login sull´Everywhere Server.


Schermata allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere - Alarm Management -> Schermata allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La schermata allarmi visualizza la Lista di informazione allarmi del Runtime di zenon in forma semplificata.

Header

Parametro

Descrizione

Cog symbol

Passa alla panoramica profili per consentire la selezione o la configurazione di una connessione.

Connection status

Visualizza lo stato della connessione corrente con Everywhere Server by zenon

  • online
    Connessione attiva con il server.
  • offline
    Nessuna connessione con il server.

Inserimento d´allarme

Parametro

Descrizione

[Testo allarme]

Testo d´allarme

Time received

Time stamp dell´allarme:
GG.MM.AAAA, hh:mm:ss

Status

Stato dell´allarme:

  • Active
    L`allarme è attivo.
  • Acknowledged
    L´allarme è stato riconosciuto.
  • Gone
    L´allarme è uscito.

Esempio


Everywhere Essentials QR Data App

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gratuita Everywhere Essentials QR Data App visualizza dati real-time del Runtime su dispositivi mobili. Le informazioni rilevanti vengono lette direttamente da un codice QR. .

Questo codice QR può essere creato per la App con il Everywhere Essentials QR Code Generator di un progetto esistente.

Nota: la App è disponibile per i dispositivi con i sistemi operativi Weindows 10, Windows 10 Mobile, Android e Apple iOS.

info Info

L´Everywhere Essentials QR Data App visualizza i dati di progetto resi disponibili dall´Everywhere Server.

Ancora in questo capitolo

Installazione

App-Bar

Schermata Start

Lista dei profili

Stabilire una connessione

Schermata dei risultati


Installazione

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura da seguire per utilizzare Everywhere Essentials QR Data App sul proprio dispositivo:

  • Aprire l´App-Store sul dispositivo.
  • Inserire come criterio di ricerca QR Data App, oppure Essentials QR.
  • Selezionare Everywhere Essentials QR Data App e installare la App sul dispositivo.

Per usare la App:

  • Aprire la Everywhere Essentials QR Data App sul dispositivo.
    Verrà visualizzata la schermata start.


App-Bar

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> App-Bar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La App-Bar serve alla navigazione sui dispositivi Android.

Nota: per i dispositivi con il sistema operativo Apple iOS non è disponibile una App-Bar.

App-Bar

Parametro | Descrizione
zurück (Simbolo: freccia curvata a sinistra) | Passa alla schermata precedente dell´App.
Home (Simbolo: casa) | Chiude l´App e torna alla schermata iniziale del dispositivo Android.
nn (simbolo: schermi sovrapposti) | Panoramica delle ultime App aperte sul dispositivo.
info Info
La App-Bar ha lo stesso aspetto e le stesse funzionalità su tutte le schermate. Molto spesso questa barra è già integrata nell´hardware di un dispositivo Android. In questo caso non viene visualizzata nessuna App-Bar.


Schermata Start

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Schermata Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Essentials QR Data App si avvia visualizzando o la schermata di scannerizzazione, o la schermata per immissione manuali.

Quale schermata viene visualizzata per prima dipende dalla schermata attiva nel momento in cui la App è stata chiusa.

Ancora in questo capitolo

Schermata di scannerizzazione

Schermata per immissione manuali


Schermata di scannerizzazione

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Schermata Start -> Schermata di scannerizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa schermata si esegue la scansione del codice QR e si apre la lista dei profili.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
Profili (Simbolo: cacciavite) | Apre la Lista dei profili.

Piè di pagina

Parametro | Descrizione
Manual Input | Passa alla schermata per l´immissione manuale.

Processo di scansione

Per scannerizzare un codice QR-Code:

  • Puntate la fotocamera del dispositivo sul codice QR.
    Se il codice QR viene riconosciuto dal dispositivo mobile:
    • Intorno all´immagine viene visualizzato un bordo spesso.
    • Inoltre gli elementi fondamentali del codice QR vengono evidenziati con l´utilizzo di un colore.
    • Il nome del progetto riconosciuto, oppure quello del gruppo di impianti riconosciuto viene visualizzato nel piè di pagina.
  • La App stabilisce una connessione con l´Everywhere Server by zenon.
    Nota: Ulteriori informazioni su questo tema si trovano nel capitolo Stabilire una connessione.
  • Dopo che la connessione con l´Everywhere Server by zenon è stata stabilita con successo, la App passa alla schermata dei risultati.
    I valori della variabile identificata vengono visualizzati nel modo impostato in fase di configurazione.


Schermata per immissione manuali

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Schermata Start -> Schermata per immissione manuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella schermata per immissione manuale si può inserire manualmente il nome variabile, oppure quello del gruppo di impianti.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
Profili (Simbolo: cacciavite) | Apre la Lista dei profili.

Inserimento manuale

Parametro

Descrizione

Campo di inserimento

Campo di inserimento per nome variabile oppure nome del gruppo di impianti.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

Tipo di input

Menù a tendina per selezionare íl tipo di query:

  • Variable
    Il nome variabile inserito corrisponde al nome di una variabile (Nome).
  • Equipment Group
    Il nome inserito corrisponde al nome di gruppo di impianti (Nome).

Go

Pulsante per avviare la query.

Il risultato verrà poi visualizzato nella schermata dei risultati.

Piè di pagina

Parametro | Descrizione
Scan QR Code | Passa alla schermata di scannerizzazione.


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Barra delle azioni - Pulsanti di azione

Parametro

Descrizione

<- Select profile

Torna indietro alla schermata di inserimento.

  • Schermata di scannerizzazione
  • Schermata per immissione manuale

Questo dipende dalla visuale con cui è stata aperta la lista dei profili.

Action Overflow
(simbolo: tre puntini in verticale)

Cliccando sul pulsante si apre il menù a tendina delle azioni.

Lista dei profili.

Lista contenente tutti i profili configurati. Selezione di uno dei profili tramite breve tocco (tap) sul nome del profilo stesso.

Parametro | Descrizione
Add new profile | Crea un nuovo profilo e apre l´immagine per configurarlo. Nota: ulteriori informazioni sull´uso dei profili quando si stabilisce una connessione si trovano nel capitolo Stabilire una connessione.
Edit selected profile | Apre la schermata per configurare un profilo.
Delete selected profile | Cancella il profilo selezionato. Prima di eseguire la cancellazione, il sistema visualizza una richiesta di conferma.

Richiesta di conferma

Prima di cancellare un profilo, il sistema visualizza una finestra di dialogo con una richiesta di conferma.

Parametro | Descrizione
No | Il profilo non verrà cancellato dalla lista. Poi la finestra di dialogo verrà chiusa.
Yes | Il profilo viene cancellato. Poi la finestra di dialogo verrà chiusa.

Ancora in questo capitolo

Modifica profili


Modifica profili

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Lista dei profili -> Modifica profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi. Inoltre si può configurare la granularità della visualizzazione dei risultati.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
<- Add Profiles | Torna alla lista dei profili.
Salva profilo (Simbolo: disco floppy) | Salva le impostazioni del profilo e torna alla lista dei profili. Prima di salvare le impostazioni, il sistema visualizza una finestra di dialogo con una richiesta di conferma.

stabilisci il collegamento.

Parametro | Descrizione
Profile Name | Nome della connessione, liberamente configurabile.
Server | Nome o indirizzo IP dell´Everywhere Server con cui deve essere instaurata una connessione..
Port | HTTPS-Port per la comunicazione con Everywhere Server Default: 8050
Project Name | Nome progetto del progetto Everywhere Server.
User | Nome utente per il login sull´Everywhere Server.
Password | Password per il login sull´Everywhere Server.

Visualizzazione dettagli

Le proprietà vengono attivate o disattivate tramite un slider.

Queste impostazioni hanno un effetto diretto sull´aspetto della visualizzazione nella schermata dei risultati.

Parametro | Descrizione
Read Connection Settings from QR Code | Le impostazioni di connessione con l´Everywhere Server vengono acquisite dal codice QR. Default: attiva: Se questa proprietà è disattivata, oppure se il codice QR non contiene le impostazioni di connessione, verranno utilizzate quelle dell´ultimo profilo selezionato.
Show Variable Name | visualizzazione del nome della variabile. Attiva o disattiva la visualizzazione del nome variabile nella schermata dei risultati. Default: attiva: Nota: corrisponde alla proprietà Nome nella configurazione di zenon.
Show Variable Identification | Attiva o disattiva la visualizzazione dell´identificazione variabile nella schermata dei risultati. Default: attiva: Nota: corrisponde alla proprietà Identificazione nella configurazione di zenon.
Show Variable Timestamp | Attiva o disattiva la visualizzazione del time stamp nella schermata dei risultati. Default: attiva: Nota: corrisponde alla proprietà nella configurazione di zenon.
Show Variable Status | Attiva o disattiva la visualizzazione dello stato della variabile nella schermata dei risultati. Default: attiva: Nota: corrisponde alla proprietà StatusString nella configurazione di zenon.
Show Identification after Scan | I dati per accedere all´Everywhere Server vengono visualizzati mentre viene instaurata la connessione. Default: non attivo

Salva profilo - Finestra di dialogo con richiesta di conferma

Prima di salvare un profilo, il sistema visualizza una finestra di dialogo con una richiesta di conferma.

Parametro | Descrizione
No | Il profilo non viene salvato Poi la finestra di dialogo verrà chiusa.
Yes | Il profilo viene salvato. Poi la finestra di dialogo verrà chiusa.


Stabilire una connessione

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Stabilire una connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda la connessione con un Everywhere Server by zenon, valgono le seguenti regole:

  • Se il codice QR contiene delle impostazioni di connessione che sono già salvate in un profilo esistente, la App stabilisce subito una connessione. Se il tentativo di connessione ha successo, l´esito viene visualizzato nella schermata dei risultati senza che siano eseguiti altri passaggi.
  • In caso di immissione manuale della query dei valori, oppure se nel codice QR non sono contenute le impostazioni di connessione, vengono sempre utilizzate quelle del profilo attuale.
  • Se il codice QR contiene delle impostazioni di connessione che non sono ancora salvate in nessun profilo, viene creato automaticamente un nuovo profilo con le impostazioni standard.
    Prima di stabilire una connessione, il sistema visualizza una finestra di dialogo che richiede i dati di accesso.
  • Se nel profilo attualmente selezionato non ci sono i dati di accesso (User o Password), oppure se questi sono configurati in modo errato, verrà visualizzata una finestra di dialogo per inserire i dati di accesso.
  • Se il tentativo di connessione con l´Everywhere Server by zenon non è riuscito, verrà visualizzato un messaggio di errore.

Errore nello stabilire la connessione

Se il tentativo di connessione con l´Everywhere Server by zenon non è riuscito, verrà visualizzato il seguente messaggio di errore.

Ancora in questo capitolo

Finestra di dialogo di accesso


Finestra di dialogo di accesso

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Stabilire una connessione -> Finestra di dialogo di accesso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finestra di dialogo per l´inserimento dei dati di accesso al server.

Parametro

Descrizione

User

Campo di inserimento per il nome utente.

Password

Campo d´inserimento per la password.

Save Credentials in Profile

Checkbox per salvare i dati inseriti.

  • Se attiva:
    I dati di accesso impostati vengono salvati nel profilo.

Se non si attiva questa checkbox, la finestra di dialogo di accesso verrà visualizzata di nuovo al prossimo tentativo di connessione.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Non viene stabilita nessuna connessione.

OK

Applica le impostazioni e chiude la finestra di dialogo.


Schermata dei risultati

Manuale -> Applicazioni mobili per zenon -> Everywhere Essentials QR Data App -> Schermata dei risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa schermata vengono visualizzati i valori correnti delle variabili del Runtime produttivo. Questi valori vengono aggiornati continuamente.

Nota: le caratteristiche della visualizzazione dipendono dalla configurazione delle impostazioni profilo.

Parametro

Descrizione

< Value of [Sorgente di input]

Torna indietro alla schermata di inserimento:

  • Schermata di scannerizzazione
    Sorgente di input = Nome variabile
  • Schermata per immissione manuale
    Sorgente di input = Gruppo di impianti

Questo dipende dalla visuale con cui è stata aperta la lista dei profili.

Esempi


Notifier App by zenon

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Notifier App by zenon consente di ripristinare quegli allarmi che vengono inviati via Message Control ad uno Smartphone in forma di SMS.

Nota: questa App è disponibile solamente per i dispositivi che usano il sistema operativo Android.

tutorial Informazioni sulla licenza

La Notifier App by zenon è gratuita. Funziona in combinazione con il modulo Message Control. Per poter usare quest´ultimo, è necessario avere una licenza.

Ancora in questo capitolo

Funzionalità

Configurazione

Ricevere e ripristinare SMS di allarme


Funzionalità

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Notifier App by zenon visualizza gli SMS che:

  • Sono stati inviati dal modulo Message Control e
  • Contengono determinate parole chiave, oppure sono stati inviati da determinati numeri di telefono.

Dopo la ricezione del messaggio, sul dispositivo ricevente viene riprodotto un allarme per la durata di 30 secondi. Se il messaggio viene aperto nell´ambito di questo intervallo di tempo, l´utente può ripristinare l´allarme via SMS, rifiutarlo, oppure ignorarlo usando un pulsante. Se non si reagisce ad un allarme in tempo, viene aggiunta un´informazione corrispondente sulla Notification-Bar. Se si attiva quest´ultima, verrà visualizzata una lista degli allarmi che non sono stati ancora ripristinati e di quelli ignorati.

Come schermata iniziale viene visualizzata sempre la corrente lista degli allarmi.

La navigazione all´interno della App avviene mediante pressione sui simboli, oppure scorrendo (gesto "swipe").
È disponibile quanto segue (da destra a sinistra):

  • Visualizza lista allarmi
  • Configurare le parole chiave
  • Configura numeri di telefono
  • Configura codici


Configurazione

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la App si possono configurare parole chiave, numeri di telefono, PIN e NA; si possono inoltre elaborare gli allarmi.

Per usare l´App:

  1. Scaricare la Notifier App by zenon dallo Store.
  2. Aprire la Notifier App.

  3. Verrà visualizzata la finestra di configurazione.

Configurazione della App

Nella schermata di configurazione, definire quanto segue:

  • Parole chiave: lista di tutte le parole chiave impostate.
  • Numeri di telefono: lista di tutti i numeri di telefono a cui la App deve reagire in caso di SMS.
  • Codici PIN e NA: codice PIN per il ripristino e codice NA per il rifiuto.

È inoltre possibile elaborare gli allarmi inseriti nella lista allarmi.

Ancora in questo capitolo

Configurare le parole chiave

Configura numeri di telefono

Configurare i codici PIN e NA


Configurare le parole chiave

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Configurazione -> Configurare le parole chiave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare le parole chiave:

  1. Cliccare su simbolo con la freccia per Keywords.
  2. Verrà visualizzata una lista delle parole chiave configurate.

  3. Se si seleziona una parola chiave, la si può cancellare tramite una finestra di dialogo.
  4. Per creare una nuova parola chiave, cliccare sul pulsante +.
    Nota: con versioni Android<3.0, l´aggiunta avviene cliccando sul pulsante Add New Item.
  5. Si aprirà la finestra di dialogo per aggiungere una nuova parola.

  6. Inserire la parola chiave desiderata e cliccare su Add.

    Nota: si può inserire sempre solamente un´unica parola chiave alla volta. Non è consentito usare spazi vuoti.


Configura numeri di telefono

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Configurazione -> Configura numeri di telefono

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare numeri di telefono i cui SMS vengono accettati come messaggi:

  1. Cliccare sul simbolo del telefono.
  2. Verrà visualizzata una lista dei numeri di telefono impostati.

  3. Se si seleziona un numero di telefono, lo si può cancellare tramite una finestra di dialogo.
  4. Per creare un nuovo numero di telefono, cliccare sul pulsante +.

    Nota: con versioni Android<3.0, l´aggiunta avviene cliccando sul pulsante Add New Item.

  5. Si aprirà la finestra di dialogo per aggiungere un nuovo numero.

  6. Inserire il numero di telefono desiderato e cliccare su Add.

Attenzione: i numeri di telefono devono essere inseriti nel formato +[Prefisso nazionale][Numero].
Esempio: +4369912345678


Configurare i codici PIN e NA

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Configurazione -> Configurare i codici PIN e NA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare i codici PIN e NA:

  1. Cliccare su simbolo con le stelle per Codes.

  2. Verranno visualizzati i codici impostati per PIN e NA.
  3. Per inserire o modificare un codice, cliccare sul campo di inserimento.
  4. Verrà visualizzata una tastiera da utilizzare per l´inserimento del PIN o del NA.

  5. Inserire il PIN di 4 cifre necessario per eseguire il ripristino.
  6. Inserite il NA di 4 cifre necessario per rifiutare l´allarme.
  7. Cliccare su OK.


Ricevere e ripristinare SMS di allarme

Manuale -> Applicazioni mobili per zenon -> Notifier App by zenon -> Ricevere e ripristinare SMS di allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ricevere SMS con allarmi

Procedura di ricezione di SMS:

  1. La Notifier App by zenon verifica tutti gli SMS in entrata per vedere se contengono parole chiave, oppure se sono inviati da uno dei numeri di telefono configurati.
  2. Se il numero di telefono e una parola contenuta nel testo dell`SMS corrispondono ai parametri impostati, viene riprodotto un allarme per la durata di 30 secondi e si apre una finestra contenente un messaggio.

  3. Per accettare e reagire a questo SMS di allarme, cliccare su OK.
    • Se questo SMS contiene un allarme, cliccando su OK si aprirà la finestra per ripristinare l´allarme.
    • Se l´SMS non contiene un allarme, la finestra si chiude cliccando su OK. L´App continua ad essere attiva in background.
  4. Se non si reagisce entro 30 secondi:
    1. La finestra si chiude.
    2. L´allarme termina e un´informazione viene aggiunta alla Notification-Bar del dispositivo mobile.
    3. L´allarme viene salvato nella lista degli allarmi.

Rispondere a SMS di allarme

Procedura di risposta a un SMS.

  1. Se l´SMS di allarme è stato accettato, si apre una finestra di dialogo che contiene il messaggio e diverse possibilità di risposta.
  2. Selezionare la reazione desiderata:
    1. YES: ripristina l´allarme.
    2. NO: rifiuta il ripristino.
    3. Ignore: ignora l´allarme e lo sposta nella lista degli allarmi.

    Nota: il relativo codice di autorizzazione (PIN/NA) deve essere stato salvato nella App.

  3. Chiudere l´App.
    L´App continua ad essere attiva in background dopo la chiusura.

Finestra di allarme

Parametro | Descrizione
SMS Text: | Visualizzazione del testo dell´SMS.
YES | ripristina l´allarme. Viene inviato un SMS in formato Alarm-ID;PIN. Perché questo sia possibile, deve essere stato definito e salvato un PIN in fase di configurazione.
NO | Rifiuta il ripristino dell´allarme. Viene inviato un SMS in formato Alarm-ID;NA. Perché questo sia possibile, deve essere stato definito e salvato un NA in fase di configurazione.
Ignore | L´allarme viene salvato nella lista degli allarmi. Quest´ultima può essere aperta in qualsiasi momento usando il simbolo nella App; sarà poi possibile ripristinare o cancellare l´allarme in questa sede.

info Info

I dettagli relativi al ripristino dei messaggi del modulo Message Control si trovano nel capitolo Ripristino dei messaggi, nella parte della guida relativa al Message Control.

Gestire la lista degli allarmi

Se la App è aperta, si visualizza la lista degli allarmi con un breve tocco sul simbolo del fumetto.

  • I messaggi ignorati sono visualizzati come disattivati (in color grigio). .
  • I messaggi con stato non chiaro, vengono visualizzati come attivi, con un simbolo di pericolo.

Quando non si reagisce in tempo ad un SMS di allarme, oppure si chiude la Notifier App by zenon senza aver eseguito nessuna azione, viene aggiunta un´informazione alla Notification-Bar del dispositivo mobile. Questo viene visualizzato tramite un´informazione di allarme. Il tipo di notifica dipende dal dispositivo mobile.

Per reagire a questo messaggio, eseguire un breve tocco sul simbolo di allarme. Si aprirà la lista degli allarmi.

Elaborare messaggi

Per elaborare gli allarmi con uno stato non chiaro:

  1. Eseguire un breve tocco (tap) sul messaggio.
  2. Ripristinare o ignorare il messaggio.

    Gli allarmi ripristinati verranno rimossi dalla lista.
    Gli allarmi ignorati verranno visualizzati come disattivati.

Cancellare messaggi

Per rimuovere dalla lista gli allarmi ignorati:

  1. Eseguire un breve tocco (tap) sul simbolo con la penna che si trova in alto a destra.

    La lista degli allarmi verrà aperta in modalità di modifica e verranno visualizzati gli allarmi ignorati.

  2. Attivare la checkbox che si trova davanti all´allarme.
  3. Eseguire un breve tocco (tap) sul simbolo per cancellare che si trova in alto a destra.

    Tutti gli allarmi selezionati verranno rimossi dalla lista.


Everywhere App by zenon

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le App consentono di visualizzare un progetto di zenon su dispositivi mobili, tablet e computer desktop. Lo spettro delle funzionalità disponibili è lo stesso. L´interfaccia utente grafica varia a seconda del sistema operativo utilizzato.

Le rispettive App guidano passo per passo attraverso il processo di configurazione. L´utente sceglie il parametro desiderato e riceve le informazioni relative. La navigazione è intuitiva e segue una successione cronologica.

Sono disponibili le seguenti App:

  • Everywhere App by zenon per MS Windows Phone
  • Everywhere App by zenon per iPhone e iPad
  • Everywhere App for Desktop per Desktop
  • Everywhere App by zenon per Android

tutorial Informazioni sulla licenza

Tutte le App sono a disposizione negli store dei rispettivi produttori e possono essere scaricate gratuitamente.

Ancora in questo capitolo

Requisiti

Installazione

Everywhere App by zenon per MS Windows Phone

Everywhere App by zenon per iPhone e iPad

Everywhere App for Desktop

Everywhere App by zenon per Android


Requisiti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere App by zenon visualizza il progetto reso accessibile dall´Everywhere Server su uno smartphone, un tablet o un computer desktop.

Requisiti di sistema

  • Windows Phone 7.5 oppure una versione più recente (si consiglia Windows Phone 8 oppure una versione più recente).
  • iOS 6 oppure una versione più recente per i dispositivi iPhone e iPad di Apple.
  • Windows 8 oppure una versione più recente per Everywhere App for Desktop
  • Android 2.2.x - FROYO oppure una versione più recente.

info Info

L´interfaccia utente dell´Everywhere App by zenon è disponibile solamente in lingua inglese.


Installazione

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguire i seguenti passi per utilizzare l´Everywhere App by zenon sul dispositivo mobile:

  • Accedere all´App-Store.
  • Inserire come criterio di ricerca zenon , oppure Everywhere App.
  • Selezionare Everywhere App by zenon.

Tipp Suggerimento

Un profilo per un progetto demo viene installato durante il processo d´installazione dell´App. Si può dunque testare l´Everywhere App by zenon anche se non si ha ancora realizzato un progetto proprio con zenon.

Ancora in questo capitolo

Nota per chi utilizza OEM


Nota per chi utilizza OEM

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Installazione -> Nota per chi utilizza OEM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Info

Selezionare sempre Everywhere App by zenon!
La App viene usata per diversi prodotti.

L´Everywhere App by zenon è compatibile con tutte le progettazioni OEM.


Everywhere App by zenon per MS Windows Phone

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Login

Lista dei profili

Modifica profili

Modello di impianti

Gruppi di impianti

Selezione delle variabili

Visualizzazione valori

Lista allarmi

Ripristina allarmi


Login

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La schermata di accesso consente di eseguire il login su un Everywhere Server by zenon e di selezionare dei profili utente.

Parametro

Descrizione

Profile

Nome del profilo selezionato.

  • Con un breve tocco (tap) sul nome del profilo si apre la finestra di dialogo per la selezione di uno dei profili esistenti.
  • Toccando (tap) sul nome del profilo si apre anche la finestra di dialogo per creare un nuovo profilo.

User name

Nome utente per il login sull´Everywhere Server.

Password

Password per il login sull´Everywhere Server.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

App-Bar

login (Simbolo>) | Registra l´App nell´Everywhere Server e passa alla prossima schermata.
... | Estende la visualizzazione della App-Bar.


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Parametro | Descrizione
Lista profili | Visualizza una lista dei profili esistenti. Il profilo selezionato al momento è evidenziato con un colore. Con un breve tocco (tap) sul profilo desiderato, lo si attiva e si passa alla schermata di login.

App-Bar

Parametro | Descrizione
edit (simbolo matita) | Con un breve tocco (tap) sul simbolo, la visualizzazione passa da edit (simbolo matita) a add (simbolo +).
add (+ Simbolo) | Con un breve tocco (tap) sul simbolo edit si abilita il simbolo add . Con un altro breve tocco (tap), si apre la schermata per configurare un profilo.
... | Estende la visualizzazione della App-Bar.

Per modificare un profilo esistente:

  • Breve tocco (tap) sul simbolo Edit nella barra App.
  • Breve tocco (tap) su uno dei profili esistenti elencati nella lista.


Modifica profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Modifica profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi.

Parametro

Descrizione

Profile name

Nome del profilo:
Può essere selezionato liberamente.

Server host name

Nome dell´Everywhere Server con cui deve essere stabilita una connessione.

Port HTTPS

Indirizzo della porta per la connessione con l´Everywhere Server.

Default: 8050

Project name

Nome progetto per la connessione con l´Everywhere Server.

Display variables by:

Visualizzazione delle variabili
Selezione dal menù a tendina:

  • Name
    Visualizzazione delle variabili sulla base del nome.
  • Identification
    Visualizzazione delle variabili sulla base dell´identificazione.
  • Res. Label
    Visualizzazione delle variabili sulla base dell´Identificatore di risorsa.

Remember password:

(Slider)

Salvare la password per inserimenti. Questa impostazione viene visualizzata anche come testo:

  • OFF: (slider a sinistra e sfondo chiaro)
    La password per il login non viene salvata nelle impostazioni del profilo.
  • On: (slider a destra e sfondo scuro).
    La password viene salvata nelle impostazioni del profilo.

Default: OFF

App-Bar

Parametro | Descrizione
Save (Simbolo) | Salva le impostazioni attuali e torna alla panoramica profili.
Delete (simbolo cestino) | Cancella il profilo selezionato.
... | Estende la visualizzazione della App-Bar.


Modello di impianti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Modello di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza il modello di impianto progettato.

Con un breve tocco (tap) sul nome del modello di impianto, si passa alla prossima schermata con la selezione dei gruppi di impianti.

App-Bar

continue (Simbolo>) | Registra l´App nell´Everywhere Server e passa alla prossima schermata.
logout X-Simbolo | Termina la connessione con il server e torna alla schermata di login.
... | Estende la visualizzazione della App-Bar.


Gruppi di impianti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Gruppi di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine vengono elencati e selezionati i gruppi di impianti configurati.

Con un breve tocco (tap) sul nome del modello di impianto, si passa alla prossima schermata con la selezione delle variabili assegnate.

App-Bar

continue (Simbolo>) | Registra l´App nell´Everywhere Server e passa alla prossima schermata.
logout X-Simbolo | Termina la connessione con il server e torna alla schermata di login.
... | Estende la visualizzazione della App-Bar.


Selezione delle variabili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Selezione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine vengono elencate e selezionate le variabili configurate del gruppo di impianti scelto.

Visualizza in una lista tutte le variabili disponibili. Selezione delle variabili tramite tap.

Nota: tutte le variabili possono essere selezionate o deselezionate con la barra App estesa.

App-Bar

continue (Simbolo>) | Registra l´App nell´Everywhere Server e passa alla prossima schermata.
logout X-Simbolo | Termina la connessione con il server e torna alla schermata di login.
... | Estende la visualizzazione della App-Bar.

App-Bar estesa

(visibile solamente se l´App-Bar è stata estesa con un tocco (tap) su ...)

select all variables | Attiva/disattiva tutte le variabili nella lista.
clear variables | Visualizza una nuova immagine con la visualizzazione dettagli della/delle variabile/i selezionata/e. Disattivato se nessuna variabile è selezionata.


Visualizzazione valori

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Visualizzazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza i valori delle variabili selezionate. Ci sono due tipi di visualizzazione.

Lista delle variabili

Parametro

Descrizione

Variablenliste

Lista delle variabili selezionate:

Con un breve tocco (tap) sulla variabile, si passa fra "visualizzazione normale" e "visualizzazione dettagli"

  • Visualizzazione normale:
    Nome variabile
    Valore variabile (numerico)
    Valore variabile (visualizzazione a barra)
  • Visualizzazione dettagli:
    Nome variabile
    Data e ora dell´ultimo aggiornamento
    Tipo di comunicazione
    Tipo di dato della variabile
    Valore con visualizzazione dello strumento analogico


Lista allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza una lista contenente gli allarmi attivi. Questi allarmi possono essere ripristinati con un tocco (tap) sull´inserimento corrispondente.

Allarmi

Parametro

Descrizione

Liste mit Alarmeinträgen

Lista degli allarmi attivi:

  • Nome variabile
    Valore
    Data e orario dell´allarme
    Allarme ripristinato: Sì/No
    Allarme rientrato: Sì/No

Se si tocca (tap) sull´inserimento di un allarme, quest´ultimo viene ripristinato.

App-Bar

...

Estende la visualizzazione della App-Bar.


Ripristina allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per MS Windows Phone -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile ripristinare un allarme con un breve tocco (tap) sul corrispondente inserimento nella lista.

Ripristinare un allarme con l´Everywhere App:

  1. Breve tocco (tap) sull´inserimento allarme nella schermata allarmi.
  2. Si apre una finestra di dialogo.
  3. Breve tocco (tap) su Yes se si vuole ripristinare l´allarme.
  4. Il comando No chiude la finestra di dialogo per il ripristino dell´allarme.

Dopo il ripristino, l´inserimento relativo all´allarme (Acknowledged:) vengono visualizzate date e ora.


Everywhere App by zenon per iPhone e iPad

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Login

Lista dei profili

Modifica profili

Modello di impianti

Gruppi di impianti e variabili

Selezione delle variabili

Visualizzazione valori

Lista allarmi

Ripristina allarmi


Login

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La schermata di accesso consente di eseguire il login su un Everywhere Server by zenon e di selezionare dei profili utente.

Parametro | Descrizione
Profilname | Nome del profilo selezionato.
(Simbolo freccia) | Apre la schermata panoramica profili.
Username | Nome utente per il login sull´Everywhere Server.
Passwort | Password per il login sull´Everywhere Server.
Login (Pulsante) | Registra l´App nell´Everywhere Server e passa alla prossima schermata.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Parametro | Descrizione
< Back | Torna alla schermata di login.
Edit | Apre la lista dei profili disponibili nella modalità di modifica. Nota:quando si clicca sul pulsante Edit , questo si trasforma nel simbolo +. Davanti ai profili della lista viene visualizzato un bainco - di color bianco contenuto in un cerchio rosso. (La schermata che consente di modificare i profili si apre cliccando sul nome del profilo).
> (Simbolo) | Apre la schermata che serve alla modifica dei profili.
Nome profilo | Lista dei profili già configurati.

Creare un nuovo profilo.

  • Per creare un nuovo profilo, premere il pulsante +

Modificare un profilo.

Per passare alla modalità di modifica di un profilo, procedere come segue:

  • Breve tocco (tap) sul simbolo >, che si trova a destra del nome del profilo.


Modifica profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Modifica profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi.

Parametro

Descrizione

Cancel

Interrompe l´inserimento e torna alla panoramica profili.

Save

Salva l´inserimento e torna alla panoramica profili.

Profile name

Nome del profilo:
Può essere selezionato liberamente.

Server

Nome dell´Everywhere Server con cui deve essere stabilita una connessione.

HTTPS Port

Indirizzo della porta per la connessione con l´Everywhere Server.

Default: 8050

Project

Nome progetto per la connessione con l´Everywhere Server.

Display variables by:

(Barra degli strumenti)

Visualizzazione delle variabili
Selezione dal menù a tendina:

  • Name
    Visualizzazione delle variabili sulla base del nome.
  • Identification
    Visualizzazione delle variabili sulla base dell´identificazione.
  • Res. Label
    Visualizzazione delle variabili sulla base dell´Identificatore di risorsa.

Remember password:

(Slider)

Salvare la password per inserimenti.

  • OFF: (slider a sinistra e sfondo chiaro)
    La password per il login non viene salvata nelle impostazioni del profilo.
  • On: (slider a destra e sfondo scuro).
    La password viene salvata nelle impostazioni del profilo.

Default: OFF


Modello di impianti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Modello di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza il modello di impianto progettato.

Parametro | Descrizione
Logout | Termina la connessione con il server e torna alla schermata di login.
Nome progetto | Lista dei progetti disponibili sull´Everywhere Server
> (Simbolo) | Apre la schermata che serve alla selezione del modello di impianto.


Gruppi di impianti e variabili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Gruppi di impianti e variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza in una lista i gruppi di impianti disponibili del modello di impianto selezionato, e le variabili corrispondenti.

Intestazione

Parametro | Descrizione
Back | Torna alla schermata precedente. Nota: anche con il gesto scorri a destra si ritorna alla schermata precedente.
Logout | Termina la connessione con il server e torna alla schermata di login.

EQUIPMENT GROUPS

Parametro | Descrizione
Lista gruppi di impianti |
> (Simbolo) |

Variables

Parametro | Descrizione
Lista delle variabili | Lista delle variabili disponibili. Selezione/deselezione tramite semplice tap. Le variabili selezionate sono contrassegnate da un segno di spunta blu.

Piè di pagina

Parametro | Descrizione
Select/Deselect all | Attiva/disattiva tutte le variabili nella lista.
Show Details | Visualizza una nuova immagine con la visualizzazione dettagli della/delle variabile/i selezionata/e. Disattivato se nessuna variabile è selezionata.


Selezione delle variabili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Selezione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine vengono elencate e selezionate le variabili configurate del gruppo di impianti scelto.

Intestazione

Parametro | Descrizione
Back | Torna alla schermata precedente. Nota: anche con il gesto scorri a destra si ritorna alla schermata precedente.
Logout | Termina la connessione con il server e torna alla schermata di login.

Variables

Parametro | Descrizione
Lista delle variabili | Lista delle variabili disponibili. Selezione/deselezione tramite semplice tap. Le variabili selezionate sono contrassegnate da un segno di spunta blu.

Piè di pagina

Parametro | Descrizione
Select/Deselect all | Attiva/disattiva tutte le variabili nella lista.
Show Details | Visualizza una nuova immagine con la visualizzazione dettagli della/delle variabile/i selezionata/e. Disattivato se nessuna variabile è selezionata.


Visualizzazione valori

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Visualizzazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza i valori delle variabili selezionate. Ci sono due tipi di visualizzazione.

Intestazione

Parametro | Descrizione
Back | Torna alla schermata precedente. Nota: anche con il gesto scorri a destra si ritorna alla schermata precedente.
Logout | Termina la connessione con il server e torna alla schermata di login.

Panoramica delle variabili

Parametro

Descrizione

Lista delle variabili

Lista delle variabili selezionate:

  • Visualizzazione normale:
    Nome variabile
    Valore variabile (numerico)
    Valore variabile (visualizzazione a barra)
  • Visualizzazione dettagli:
    Nome variabile
    Data e ora dell´ultimo aggiornamento
    Tipo di comunicazione
    Tipo di dato della variabile
    Valore con visualizzazione dello strumento analogico

Piè di pagina

Parametro | Descrizione
Values (Simbolo) | Passa alla visualizzazione dei valori delle variabili. Sfondo blu se attivo.
Alarms (Simbolo) | Passa alla visualizzazione degli allarmi. Sfondo blu se attivo.


Lista allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza una lista contenente gli allarmi attivi. Questi allarmi possono essere ripristinati con un tocco (tap) sull´inserimento corrispondente.

Allarmi

Parametro

Descrizione

Lista con inserimenti allarmi

Lista degli allarmi attivi:

  • Nome variabile
    Valore
    Data e orario dell´allarme
    Allarme ripristinato: Sì/No
    Allarme rientrato: Sì/No

Se si tocca (tap) sull´inserimento di un allarme, quest´ultimo viene ripristinato.

Piè di pagina

Parametro | Descrizione
Values (Simbolo) | Passa alla visualizzazione dei valori delle variabili. Sfondo blu se attivo.
Alarms (Simbolo) | Passa alla visualizzazione degli allarmi. Sfondo blu se attivo.


Ripristina allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per iPhone e iPad -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile ripristinare un allarme con un breve tocco (tap) sul corrispondente inserimento nella lista.

Ripristinare un allarme con Everywhere App:

  1. Breve tocco (tap) sull´inserimento allarme nella schermata allarmi.
  2. Si apre una finestra di dialogo.
  3. Breve tocco (tap) su Yes se si vuole ripristinare l´allarme.
  4. Il comando No chiude la finestra di dialogo per il ripristino dell´allarme.

Dopo il ripristino, l´inserimento relativo all´allarme (Acknowledged:) vengono visualizzate date e ora.


Everywhere App for Desktop

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Login

Lista dei profili

Modifica profili

Modello di impianto e gruppi di impianti

Selezione delle variabili

Visualizzazione valori

Lista allarmi

Ripristina allarmi


Login

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La schermata di accesso consente di eseguire il login su un Everywhere Server by zenon e di selezionare dei profili utente.

Parametro

Descrizione

Profile

Nome del profilo selezionato.

  • Con un tap, oppure un click con tasto sinistro del mouse, si apre il menù a tendina che serve alla selezione di uno dei profili esistenti.

User name

Nome utente per il login sull´Everywhere Server.

Password

Password per il login sull´Everywhere Server.

login

(Simbolo)

Registra l´App nell´Everywhere Server e passa alla prossima schermata.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

App-Bar

Parametro | Descrizione
edit (simbolo matita) | Con un tap, oppure un click con tasto sinistro del mouse, si apre la schermata che serve a configurare un profilo.


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Navigazione

<-
(Simbolo)

Passa alla schermata precedente.

Parametro

Descrizione

Lista profili

Visualizza una lista dei profili esistenti.

  • Il profilo selezionato al momento è evidenziato graficamente.
  • Con un tap, oppure un click con tasto sinistro del mouse sul profilo desiderato, lo si seleziona.
  • Fate un tap oppure cliccate sul simbolo Edit per modificare il profilo selezionato.

App-Bar

Parametro | Descrizione
Edit (simbolo matita) | Apre il profilo selezionato nella modalità di modifica.
Add (+ Simbolo) | Crea un nuovo profilo.
Delete (simbolo cestino) | Cancella il profilo selezionato.
Save (simbolo dischetto) | Salva le modifiche nel profilo selezionato Nota: Non attivo quando il profilo viene modificato.
Reset X-Simbolo | Rifiuta tutte gli inserimenti. Nota: Non attivo quando non viene modificato nessun profilo.

Per modificare un profilo esistente:

  • Fate un tap, oppure cliccate su uno dei profili esistenti elencati nella lista.
  • Fate un tap, oppure cliccate sul simbolo Edit nella barra App.


Modifica profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Modifica profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi.

Navigazione

<-
(Simbolo)

Passa alla schermata precedente.

Parametro

Descrizione

Profile name

Nome del profilo:
Può essere selezionato liberamente.

Server host name

Nome o indirizzo IP dell´Everywhere Server con cui deve essere instaurata una connessione..

Port HTTPS

Indirizzo della porta per la connessione con l´Everywhere Server.

Default: 8050

Project name

Nome progetto per la connessione con l´Everywhere Server.

Display variables by:

(Lista a cascata)

Visualizzazione delle variabili
Selezione dal menù a tendina:

  • Name
    Visualizzazione delle variabili sulla base del nome.
  • Identification
    Visualizzazione delle variabili sulla base dell´identificazione.
  • Res. Label
    Visualizzazione delle variabili sulla base dell´Identificatore di risorsa.

Remember password:

(Slider)

Salvare la password per inserimenti. Questa impostazione viene visualizzata anche come testo:

  • OFF: (slider a sinistra e sfondo chiaro)
    La password per il login non viene salvata nelle impostazioni del profilo.
  • On: (slider a destra e sfondo scuro).
    La password viene salvata nelle impostazioni del profilo.

Default: OFF

App-Bar

Parametro | Descrizione
Edit (simbolo matita) | Apre il profilo selezionato nella modalità di modifica.
Add (+ Simbolo) | Crea un nuovo profilo.
Delete (simbolo cestino) | Cancella il profilo selezionato.
Save (simbolo dischetto) | Salva le modifiche nel profilo selezionato.
Reset X-Simbolo | Rifiuta tutti gli inserimenti.


Modello di impianto e gruppi di impianti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Modello di impianto e gruppi di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza il modello di impianto progettato. Dopo che è stato selezionato un modello di impianto, il sistema visualizza i gruppi di impianti relativi.

Quando si seleziona un gruppo di impianti, viene visualizzata la relativa gerarchia.
Se un gruppo selezionato contiene delle variabili, si passa alla schermata contenente la panoramica delle variabili.

App-Bar

Logout
(simbolo lucchetto aperto)

Termina la connessione con il server e torna alla schermata di login.


Selezione delle variabili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Selezione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine vengono elencate e selezionate le variabili configurate del gruppo di impianti scelto.

La selezione delle variabili avviene con un breve tocco (tap) oppure cliccando con il tasto sinistro del mouse.

<- (Simbolo) | Passa alla schermata precedente.
-> (Simbolo) | Passa alla schermata successiva.
All | Attiva/disattiva tutte le variabili.
Show only selected | Solo le variabili selezionate vengono visualizzare nella schermata che mostra la panoramica variabili. Non attivo se non c´è perlomeno una variabile selezionata.

App-Bar

Logout
(simbolo lucchetto aperto)

Termina la connessione con il server e torna alla schermata di login.


Visualizzazione valori

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Visualizzazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza i valori delle variabili selezionate. Ci sono due tipi di visualizzazione.

La selezione delle variabili avviene cliccando con il tasto sinistro del mouse oppure con un breve tocco (tap).

<- (Simbolo) | Passa alla schermata precedente.
-> (Simbolo) | Passa alla schermata successiva.

Lista delle variabili

Parametro

Descrizione

Visualizzazione variabili

Con un breve tocco (tap), oppure un clic con tasto sinistro del mouse sulla variabile si passa fra "visualizzazione normale" e "visualizzazione dettagli"

  • Visualizzazione normale:
    Nome variabile
    Valore variabile (numerico)
    Valore variabile (visualizzazione a barra)
    Min, max e unit
  • Visualizzazione dettagli:
    Nome variabile
    Data e ora dell´ultimo aggiornamento
    Tipo di comunicazione
    Tipo di dato della variabile
    Valore in visualizzazione numerica
    Valore con visualizzazione dello strumento analogico

App-Bar

Logout
(simbolo lucchetto aperto)

Termina la connessione con il server e torna alla schermata di login.


Lista allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza una lista contenente gli allarmi attivi. Questi allarmi possono essere ripristinati con un tocco (tap) sull´inserimento corrispondente.

La selezione degli allarmi avviene con un breve tocco (tap), oppure cliccando con il tasto sinistro del mouse.

<-
(Simbolo)

Passa alla schermata precedente.

Allarmi

Parametro

Descrizione

Lista con inserimenti allarmi

Lista degli allarmi attivi:

  • Nome variabile
    Valore
    Data e orario dell´allarme
    Allarme ripristinato: Sì/No
    Allarme rientrato: Sì/No

Si può ripristinare un allarme con un breve tocco (tap), oppure cliccando con il tasto sinistro del mouse sull´inserimento relativo.

App-Bar

Logout
(simbolo lucchetto aperto)

Termina la connessione con il server e torna alla schermata di login.


Ripristina allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile ripristinare un allarme con un breve tocco (tap) sul corrispondente inserimento nella lista.

Ripristinare un allarme con l´Everywhere App for Desktop:

  1. Breve tocco (tap), oppure cliccare sull´inserimento allarme nella schermata allarmi.
  2. Viene visualizzata una finestra di dialogo.
  3. Breve tocco (tap), oppure clic sul comando Yes se si vuole ripristinare l´allarme.
  4. Il comando No chiude la finestra di dialogo per il ripristino dell´allarme.

Dopo il ripristino, l´inserimento relativo all´allarme (Acknowledged:) vengono visualizzate date e ora.


Everywhere App by zenon per Android

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Certificati autofirmati

Login

Lista dei profili

Modifica profili

Modello di impianto e gruppi di impianti

Selezione delle variabili

Visualizzazione valori

Lista di informazione allarmi e ripristino di allarmi


Certificati autofirmati

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Certificati autofirmati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 4.4 di Android si possono usare certificati autofirmati. Per le versioni precedenti si possono utilizzare solamente certificati ufficiali. Per utilizzare certificati si deve usare almeno la versione 4.03.

Per ogni profilo si può selezionare e collegare un certificato installato sul dispositivo. Questo certificato viene utilizzato quando viene stabilita una connessione. In questo caso, Everywhere TrustManager sostituisce Android TrustManager per questo profilo e solo questa applicazione. Questo non ha nessun effetto sulla sicurezza di altre App e non sostituisce lo standard Android TrustManager.

Utilizzare certificati autofirmati

Per utilizzare un certificato autofirmato:

  1. Assicurarsi che il certificato desiderato sia stato installato sul dispositivo. Per informazioni su come creare e assegnare certificati autofirmati, consultare nel manuale Everywhere Server by zenon, il capitolo Everywhere - Certificate creator.
  2. Aprire il impostazioni profili:
  3. Cliccare sul pulsante Browse.

    Si apre il File Manager che consente di selezionare un file di certificato.

  4. Passare al certificato desiderato.

    Nota: vengono visualizzati tutti i tipi di file. Tuttavia vengono accettati solamente file di certificato con codice CER (*.cer o *.crt).

  5. Selezionare il certificato.

    Se un file non viene accettato, viene visualizzato un messaggio che ne informa l´utente.
    Se invece il certificato è corretto, il sistema lo accetta e la finestra di selezione viene chiusa.

Il certificato installato viene visualizzati nel profilo.


Login

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La schermata di accesso consente di eseguire il login su un Everywhere Server by zenon e di selezionare dei profili utente.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
Action Overflow (simbolo: tre puntini in verticale) | Cliccando sul pulsante si apre il menù a tendina delle azioni.
Edit current profile | Apre la schermata per configurare un profilo.
Quit | Chiude l´App e torna alla schermata iniziale del dispositivo Android.

Parametro | Descrizione
Profile | Nome del profilo selezionato. Con un breve tocco (tap) sul nome del profilo si apre la finestra di dialogo per la selezione di uno dei profili esistenti.
Username | Nome utente per il login sull´Everywhere Server.
Password | Password per il login sull´Everywhere Server.
Login | Registra l´App nell´Everywhere Server e passa alla prossima schermata.

Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

App-Bar

Parametro | Descrizione
zurück (Simbolo: freccia curvata a sinistra) | Passa alla schermata precedente dell´App.
Home (Simbolo: casa) | Chiude l´App e torna alla schermata iniziale del dispositivo Android.
nn (simbolo: schermi sovrapposti) | Panoramica delle ultime App aperte sul dispositivo.
info Info
La App-Bar ha lo stesso aspetto e le stesse funzionalità su tutte le schermate. Molto spesso questa barra è già integrata nell´hardware di un dispositivo Android. In questo caso non viene visualizzata nessuna App-Bar.


Lista dei profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Lista dei profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La panoramica profili visualizza una lista i profili esistenti e li gestisce.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
< (Simbolo) | Passa alla schermata precedente.
+ (Simbolo) | Crea un nuovo profilo e passa alla schermata Modifica profilo.

Parametro

Descrizione

Lista profili

Visualizza una lista dei profili esistenti.

Quando si esegue un lungo clic su un inserimento, si apre un menù contestuale:

  • Edit profile
    Passa alla schermata "Modifica profilo". Consente di effettuare delle modifiche ad un profilo già esistente.
  • Delete profile
    Cancella il profilo selezionato.

Con un breve tocco (tap) sul profilo desiderato, lo si attiva e si passa alla schermata di login.

Per modificare un profilo esistente:

  • Breve tocco (tap) su uno dei profili esistenti contenuti nella lista.
    Attenzione: toccare (tap) l´inserimento della lista per un tempo sufficiente!
  • Nel menù contestuale che verra visualizzato, selezionare l´inserimentoEdit profile.
  • Passare alla schermata Modifica profili.


Modifica profili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Modifica profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine è possibile modificare i profili esistenti e configurarne dei nuovi.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
< (Simbolo) | Passa alla schermata precedente.
Save (disco floppy) | Salva le impostazioni attuali e torna alla schermata Modifica profili.

Parametro

Descrizione

Profile name

Nome del profilo:
Può essere selezionato liberamente.

Server host name

Nome dell´Everywhere Server con cui deve essere stabilita una connessione.

Port HTTPS

Indirizzo della porta per la connessione con l´Everywhere Server.

Default: 8050

Project name

Nome progetto per la connessione con l´Everywhere Server.

Display variables by:

Visualizzazione delle variabili
Selezione dal menù a tendina:

  • Name
    Visualizzazione delle variabili sulla base del nome.
  • Identification
    Visualizzazione delle variabili sulla base dell´identificazione.
  • Res. Label
    Visualizzazione delle variabili sulla base dell´Identificatore di risorsa.

Remember password:

(Checkbox)

Salvare la password per inserimenti. Questa impostazione viene visualizzata anche come testo:

  • non attiva:
    La password per il login non viene salvata nelle impostazioni profilo.
  • attiva:
    La password viene salvata nelle impostazioni profilo.

Default: non attivo.

Certificato

Visualizzazione del certificato

Browse

Apre il browser file che consente di selezionare un certificato.


Modello di impianto e gruppi di impianti

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Modello di impianto e gruppi di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza il modello di impianto progettato. Con un breve tocco (tap) su un modello di impianto vengono visualizzati i gruppi di impianti in esso contenuti. Con un breve tocco (tap) sul nome di un gruppo di impianti si passa alla prossima schermata contenente la selezione delle variabili assegnate.

Barra delle azioni - Pulsanti di azione

Parametro

Descrizione

<
(Simbolo)

Passa alla schermata precedente.

Logout:
(Simbolo: freccia curvata a sinistra)

Termina la connessione con il server e torna alla schermata di login.

Parametro

Descrizione

[Nome del gruppo di impianti]

Per facilitare l´orientamento dell´utente, il sistema visualizza (a seconda della selezione) o il nome del modello di impianto, oppure il nome del gruppo di impianti con un testo di color arancione sopra la lista.

Lista dei gruppi di impianti o delle variabili configurati.

Visualizza una lista dei profili esistenti:

Cliccando sul nome del gruppo di impianti, si passa alla panoramica dei gruppi di impianti configurati.

Cliccando su un nome di gruppo di impianti, si passa alla panoramica delle variabili; il sistema visualizza una lista di tutte le variabili configurate nel gruppo di impianti.


Selezione delle variabili

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Selezione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa immagine vengono elencate e selezionate le variabili configurate del gruppo di impianti scelto.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
< (Simbolo) | Passa alla schermata precedente.
Favoriti (Simbolo stella) | Aggiunge la/le variabile/i selezionata/e alla lista dei favoriti.
Cancella favoriti (Simbolo cestino) | Cancella tutte le variabili dalla lista dei favoriti.
Action Overflow (simbolo: tre puntini in verticale) | Cliccando sul pulsante si apre il menù a tendina delle azioni.
Display favorites | Visualizza una lista di tutte le variabili della lista dei favoriti.
Display variables | Visualizza in una lista tutte le variabili attivate del gruppo di impianti selezionato. Per attivare una variabile, bisogna abilitare (segno di spunta) la checkbox della colonna a destra.
Logout | Termina la connessione con il server e torna alla schermata di login.
Display all | Seleziona tutte le variabili contenute nella lista. Viene visualizzato un segno di spunta di color blu nella checkbox accanto al nome variabile.


Visualizzazione valori

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Visualizzazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa immagine visualizza i valori delle variabili selezionate. Ci sono due tipi di visualizzazione.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
< (Simbolo) | Passa alla schermata precedente.
Logout: (Simbolo: freccia curvata a sinistra) | Termina la connessione con il server e torna alla schermata di login.

Lista delle variabili

Parametro

Descrizione

Lista delle variabili

Lista delle variabili selezionate:

Cliccando sulla variabile si passa fra "visualizzazione normale" e "visualizzazione dettagli"

  • Visualizzazione normale:
    Nome variabile
    Valore variabile (numerico)
  • Visualizzazione dettagli:
    Nome variabile
    Valore variabile
    Valore minimo e massimo
    Valore in visualizzazione a barra.


Lista di informazione allarmi e ripristino di allarmi

Manuale -> Applicazioni mobili per zenon -> Everywhere App by zenon -> Everywhere App by zenon per Android -> Lista di informazione allarmi e ripristino di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi sono integrati direttamente nella visualizzazione valori delle variabili. Se allarme diventa attivo, viene visualizzato un segnale di pericolo accanto alla variabile nella schermata della visualizzazione valori.

Se si esegue un lungo clic sull´inserimento della variabile, si apre l´inserimento dell´allarme corrispondente. Questo allarme potrà essere ripristinato nella schermata successiva.

Barra delle azioni - Pulsanti di azione

Parametro | Descrizione
< (Simbolo) | Passa alla schermata precedente.
Logout: (Simbolo: freccia curvata a sinistra) | Termina la connessione con il server e torna alla schermata di login.

Allarmi

Parametro | Descrizione
Lista con inserimenti allarmi | Al nome variabile viene premessa la parola Alarms_. Eseguendo un lungo tap su di un inserimento allarme, si apre la finestra di dialogo per ripristinare l´allarme.

Finestra di dialogo Conferma allarme

Parametro

Descrizione

Variablenname

Nome della variabile con allarme attivo.
Al nome variabile viene premessa la parola "Alarm_".

Wert

Valore della variabile.

Aknowledged:

Allarme ripristinato/confermato:

  • No:
    L´allarme non è stato ancora ripristinato.
  • Yes:
    L´allarme è stato già ripristinato

Default: No

Nota: questo campo non è può essere modificato.

Clear

Allarme uscito:

  • No:
    Lo stato allarme appare ancora.
  • Yes:
    Lo stato allarme non appare più.

Default: No

Nota: questo campo non è può essere modificato.

Cancel

Chiude la finestra di dialogo e torna alla visualizzazione valore delle variabili.

Acknowledge

Ripristina l´allarme e chiude la finestra di dialogo.

Ripristinare un allarme con l´Everywhere App:

  1. Eseguire un clic prolungato sull´inserimento allarme nella visualizzazione valori.
  2. Viene visualizzata una finestra di dialogo.
  3. Cliccare su Acknowledge se si vuole ripristinare l´allarme.
  4. Cancel , invece, chiude la finestra di dialogo di ripristino dell´allarme.

Dopo che l´allarme è stato ripristinato, accanto all´inserimento relativo all´allarme (Acknowledged:) vengono visualizzate date e ora.


Everywhere Server by zenon

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Server by zenon consente di visualizzare in tempo reale i dati di una progettazione zenon su smartphone, tablet e dispositivi desktop.

Viene eseguito nel contesto del Runtime di zenon e viene configurato nel file zenon6.ini. Non è necessario avviare nessun altro programma per configurare questo tool.

tutorial Informazioni sulla licenza

Per poter usare l´Everywhere Server by zenon bisogna disporre di una regolare licenza.

Tutti i dispositivi che supportano il protocollo OData possono essere usati come client.

Per smartphone, tablet e dispositivi desktop è disponibile una App da usare in aggiunta alla vostra programmazione.

Queste App possono essere scaricate gratuitamente dai corrispondenti App-store.

Ancora in questo capitolo

Registrazione della licenza

Requisiti

Protezione dati

Configurazione

Inserimenti CEL

Modello di dati dell´Everywhere Server


Registrazione della licenza

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Server by zenon

L´Everywhere Server acquisisce la licenza dal Runtime. La licenza per l´Everywhere Server viene concessa dal Runtime. Se il Runtime non dispone di una licenza corrispondente, non si potrà usare l´Everywhere Server .

Per questo motivo può succedere che il Runtime funzioni, ma l´Everywhere Server non possa essere avviato per la mancanza delle necessarie autorizzazioni di licenza. In questo caso, usare il tool di registrazione licenza per ottenere la licenza di cui si ha bisogno.


Requisiti

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il server con applicazioni mobili, devono essere soddisfatti i seguenti requisiti:

  • zenon a partire dalla versione 07:11.
  • Devono essere stati configurati utenti nel progetto.
    I dettagli relativi alla gestione user si trovano nel capitolo Gestione user.
  • Per la comunicazione via HTTPS, deve essere abilitata la porta corrispondente sul server e sul client. L´impostazione di default per questa porta è 8050.
  • Sul computer su cui viene eseguito l´Everywhere Server by zenon, deve essere eseguito anche il Runtime di zenon.
    Questo computer/server deve essere raggiungibile nella rete interna.

Requisiti per l´uso di Everywhere App by zenon

I seguenti requisiti devono essere soddisfatti solamente se il progetto di zenon viene visualizzato con l´Everywhere App by zenon:

  • Nel progetto deve essere configurato un modello di impianto.
    A partire da zenon 7.11, le variabili possono essere collegate ad ogni livello.
    I dettagli relativi alla configurazione di un modello di impianto si trovano nel capitolo Definizione di impianto.
  • Sul computer su cui è eseguito l´Everywhere Server by zenon, deve essere eseguito anche il Runtime di zenon.
    Se l´Everywhere App è usato solamente in una rete interna, non è necessaria una connessione Internet.
    Suggerimento: se l´Everywhere Server by zenon deve essere raggiungibile dall´esterno, si raccomanda vivamente di utilizzare una connessione VPN e di collocare l´Everywhere Server by zenon e il PC con il servizio publishing in una DMZ.
    Questo computer, inoltre, deve avere un indirizzo IP pubblico. In questo caso, definire sul firewall delle regole severe per la rete.
    Attenzione: 192.168.xxx.xxx non è un indirizzo pubblico!

info Info

Ulteriori note sulla sicurezza si trovano nella zenon Hardening Guide. In caso di interesse per questo manuale, rivolgersi a support@copadata.com.


Protezione dati

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Protezione dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´uso del protocollo di crittografia "Transport-Layer-Security" (TLS) garantisce il trasferimento sicuro dei dati via HTTPS. Il client verifica l´identità del server. Questo è garanzia dell´integrità, dell´origine e della destinazione del trasferimento dei dati

Informazioni generali sulla comunicazione.

  • L´Everywhere Server by zenon utilizza un certificato server.
    L´Everywhere Server non si avvia senza questo certificato. Questo certificato server viene creato con il tool Everywhere - Certificate creator.exe.
    Se vengono utilizzati più server, per ognuno di questi si possono usare certificati server propri.
  • Il certificato server si basa su un "root certificate".
    Se vengono utilizzati più server, per ognuno di questi si possono usare certificati server propri.
    Questi ultimi si basano sullo stesso "root certificate".
    Vantaggio: diversi server possono essere attivati con un solo "root certificate".
  • È possibile acquistare il "root certificate", oppure potete crearlo voi stessi.
    I "root certificate" sono chiamati anche certificati SLL.
    Consiglio: quando si acquista un "root certificate" (o certificato SSL) da un produttore, non è necessaria un´installazione sul client. Questi certificati, infatti, vengono installati automaticamente con l´installazione del sistema operativo.


Configurazione

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Server by zenon è integrato nel Runtime di zenon. Non è necessario lanciare nessun altro programma. Tutte le impostazioni necessarie vengono eseguite direttamente nel file zenon6.ini.

Tipp Suggerimento

Tutti gli inserimenti. Ini possono essere eseguiti anche con il programma Everywhere. Config.exe. Questo programma offre un´interfaccia grafica. Le configurazioni vengono trasferite anche al file zenon6.ini.

Inserimenti nel file zenon6.ini:

  • Aprire il file zenon6.ini con un editor di testi.
    Nota: il file zenon6.ini si trova in questo percorso %ProgramData%\COPA-DATA\System
  • Aggiungere gli inserimenti relativi al server:

Inserimento

Descrizione

[EVERYWHERE]

Configurazione delle proprietà globali per l´Everywhere Server.

CERTIFCATE=

Certificate server subject per HTTPS

Oggetto del certificato. Il certificato deve essere salvato nel Machine Store, nel nodo MY (certificati propri).

Per esempio: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: L´Everywhere Server viene avviato con il Runtime di zenon.
  • 0: L´Everywhere Server non viene avviato.

Default: 0

PORT=

HTTPS-Port per la comunicazione con Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Solo accesso di lettura possibile via Everywhere Server.
  • 1: Consente la scrittura di variabili e il ripristino di allarmi.

Default: 0

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

Tipp Suggerimento

Ulteriori informazioni relative agli inserimenti .Ini si possono trovare nella guida relativa ai File di configurazione.

Ancora in questo capitolo

Configurazione con il programma Everywhere.Config.exe

Autorizzazione utente

Everywhere - Certificate creator

Creazione di un "root certificate".

Certificato sul client

Rendere disponibile il certificato per il download

Certificati


Configurazione con il programma Everywhere.Config.exe

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Configurazione con il programma Everywhere.Config.exe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti .ini per l´Everywhere Server possono essere configurati anche usando il programma Everywhere.Config.exe . Questo programma si trova nella cartella C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Info

Il programma Everywhere.Config.exe è disponibile solo in lingua inglese.

Cliccando due volte sul programma, si apre la finestra di dialogo di configurazione:

Parametro

Descrizione

Enable Everywhere server

Quando la checkbox è attiva (segno di spunta), l´Everywhere Server by zenon si avvia contemporaneamente al Runtime di zenon.

Default: inattivo

Nota: se questa checkbox non è abilitata, non lo sono neanche tutte le altre impostazioni, che vengono dunque visualizzate in color grigio.

Enable Everywhere write access

Attiva l´accesso in scrittura a variabili e allarmi (ripristino) tramite il server.

0: acceso in sola lettura.

1: possibile la scrittura di variabili e il ripristino di allarmi

Default: 0

HTTPS port:

Porta HTTPS che viene usata dall´Everywhere Server by zenon.

Default: 8050

Server certificate

Certificato server per la comunicazione HTTPS. Può essere sezionato nel menù a tendina.

Quest´ultimo contiene tutti i certificati digitali disponibili.

Nota: il certificato digitale deve contenere una chiave privata. Se non è selezionato nessun certificato server, l´Everywhere Server non verrà avviato! È possibile creare dei certificati digitali usando il tool Everywhere.CertificateCreator.exe.

Add

Cliccando su questo pulsante si apre il programma Everywhere.CertificateCreator.exe. Questo programma serve a creare certificati server propri.

L´inserimento nel menù a tendina si basa sul Friendly name dell´ Everywhere.CertificateCreator.exe

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Nota: queste impostazioni vengono salvate nel file zenon6.ini.
Ulteriori informazioni relative a questi inserimenti .ini si trovano nella parte della guida dedicata ai File di configurazione, più precisamente nel capitolo Everywhere Server [EVERYWHERE].

attention Attenzione

La configurazione vale per tutte le installazioni di zenon su un calcolatore.


Autorizzazione utente

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Autorizzazione utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assegnazione delle autorizzazioni operative impostate può essere eseguita sia usando il file zenon6.ini, che tramite l´Editor di zenon.

Nell’Editor:

  • Cliccare sul nodo Workspace
  • Selezionare il gruppo Everywhere Server delle proprietà del workspace.
  • Selezionare nel menù a tendina della proprietà Livello di autorizzazione: il livello di autorizzazione che deve avere accesso all´Everywhere Server.

info Info

Se si seleziona il livello di autorizzazione 0, tutti gli utenti avranno diritti di scrittura e lettura.

Ulteriori informazioni si trovano nella parte della guida relativa alla gestione user, nel capitolo Livelli di autorizzazione.

Inserimento INI:

Per configurare il livello dell´autorizzazione operativa per l´Everywhere Server, bisogna aggiungere al file zenon6.ini il seguente inserimento:

Inserimento | Descrizione
[PASSWORD] | Configurazione delle autorizzazioni operative per l´Everywhere Server.
EVWH_ACCESS= | Livello di autorizzazione che ha accesso all´Everywhere Server. Valore: Numero del livello di autorizzazione progettato. Default: 0 (= ognuno ha accesso)


Everywhere - Certificate creator

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Everywhere - Certificate creator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere - Certificate creator serve alla creazione di nuovi certificati server. I certificati digitali sono necessari per garantire la sicurezza della comunicazione fra server e client. Questo programma si trova nella cartella %Program Files (x86)%\Common Files\COPA-DATA\STARTUP..

info Info

Le App Android non consentono l´uso di certificati autofirmati. Per la comunicazione con dispositivi Android si possono usare solamente certificati ufficiali.

Per lanciarlo, cliccare due volte su Everywhere.CertificateCreator.exe. Si aprirà un dialogo di configurazione:

Parametro

Descrizione

Server certificate

Host name resp. IP address

Nome, o indirizzo IP tramite il quale si accede dai client all´Everywhere Server.

Si tratta dell´indirizzo IP, oppure del nome PC su cui è eseguito il servizio, oppure l´indirizzo/nome del firewall/router che collega il calcolatore a Internet.

Additional subject attributes

Ulteriori attributi per il certificato (opzionale).

(e.g. O=Firma, L=Ort, C=AT)

Friendly name

Nome da usare per la visualizzazione nel programma Everywhere.Config.exe.

Issuer (Authority certificate)

Certificato del produttore, oppure certificato che deve essere utilizzato per l´autenticazione del certificato server. I certificati esistenti vengono visualizzati nel menù a tendina.

L´inserimento nel menù a tendina si basa sul Friendly name della finestra di dialogo Create root certificate.

Add private CA certificate

Apre la finestra di dialogo per la configurazione del "root certificate".

Nota: il "root certificate" è una parte obbligatoria del certificato server!

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

attention Attenzione

Per eseguire questo programma è necessario avere diritti di amministratore.


Creazione di un "root certificate".

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Creazione di un "root certificate".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assicurare una comunicazione sicura fra server e dispositivi mobili, si installa su questi ultimi un "root certificate". In questo modo si garantisce che il dispositivo di destinazione sia collegato effettivamente con il server indicato.

info Info

Le App Android non consentono l´uso di certificati autofirmati. Per la comunicazione con dispositivi Android si possono usare solamente certificati ufficiali.

Procedura per la creazione di un "root certificate":

  • Cliccare nella finestra di dialogo dell´Everywhere - Certificate creator sul pulsante Add private CA certificate.
  • Si aprirà la finestra di dialogo di configurazione:
Parametro |  | Descrizione
Subject |  |
Common name (CN) | Nome comune Default: CA for Everywhere Server
Organization (O) |  | Nome della ditta Default: Company
Organizational unit (OU) |  | Nome dell´unità organizzativa (nome dipartimento) Default: Department
Locality (L) |  | Nome della località Default: Salzburg
State (ST) |  | Nome della regione o della provincia Default: Salzburg
Country (C) |  | Nome del paese Default: AT
Additional settings |  | Ulteriori informazioni
Friendly name |  | Nome breve Default: CA for Everywhere server
OK |  | Applica le modifiche e apre la finestra di dialogo per salvare il "root certificate".
Cancel |  | Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

L´Everywhere - Certificate creator crea firme digitali usando l´algoritmo Hash sha256.


Certificato sul client

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Certificato sul client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il certificato viene verificato sul client. Se questo certificato non è stato creato per mezzo di un "root certificate" di un´authority (Authority) generalmente conosciuta (=purchase certificate), deve essere installato sul client.

info Info

Le App Android non consentono l´uso di certificati autofirmati. Per la comunicazione con dispositivi Android si possono usare solamente certificati ufficiali.

Installazione di un certificato sul client.

I certificati non autenticati devono essere installati sul client per essere accettati.

Procedura di installazione:

  1. Trasferire il certificato esportato (file .cer) su un WEB-Server o un server FTP.
    La procedura da seguire in questo caso è spiegata nel capitolo Offrire certificato per il download.
  2. Aprire questo certificato sul client usando il browser.

In alternativa, il certificato può essere inviato anche come allegato di un´E-Mail e in seguito aperto sul client.


Rendere disponibile il certificato per il download

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Rendere disponibile il certificato per il download

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le connessioni crittografate è necessario disporre di un certificato sul client. Queste istruzioni descrivono in che modo il certificato viene reso disponibile per il download.

  1. Installare IIS (facoltativo)
    Installare (se non è stato già fatto) Internet Information Services.
    Per farlo, aprire il pannello di controllo sul PC:
    1. Cliccare su Start e poi su Pannello di controllo
    2. Nel pannello di controllo, cliccare su Programmi e poi su Attivazione o disattivazione delle funzionalità Windows.
      Si aprirà la finestra di dialogo per l´attivazione delle funzionalità di Windows.
    3. Nella finestra di dialogo Windows-Features, cliccare su Internetinformationsdienste.
    4. Abilitare (segno di spunta) la checkbox Servizi Web.
      Attivare i corrispondenti servizi nei sottonodi dei "Servizi Web".
  2. Terminare l´attivazione cliccando sul pulsante OK.
    Verranno installati i componenti corrispondenti.

    Nota: se si installa IIS usando il pannello di controllo, verrà eseguita l´installazione standard, con il numero minimo possibile di funzionalità Se si ha bisogno di ulteriori funzionalità di IIS (per es., funzionalità per lo sviluppo di applicazioni, oppure strumenti di gestione Web), si dovranno abilitare le checkbox corrispondenti nella finestra di dialogo delle funzioni.
    Ulteriori informazioni a questo proposito si trovano nel manuale dedicato allo zenon Web Server, nel capitolo Installazione del servizio publishing.
  3. Copiare il certificato.
    Copiare il certificato Everywhere (esempio di nome: Certificate.cernella cartella root IIS.
    Percorso: C:\inetpub\wwwroot
  4. Creazione di un index.html
    Creare anche una pagina index.html. Inserire il seguente codice HTML nel documento:
    <!DOCTYPE html>
    <html>
    <head>
    <title>Certificate download</title>
    </head>
    <body>
    <a href="Certificate.cer"><font size="5">Click to download the certificate.</font></a>
    </body>
    </html>
    Nota: adattare il nome del certificato. Nel nostro esempio il nome del certificato è Certificate.cer.
  5. Configurare tipo MIME in IIS
    Aggiungere nel Manager IIS il nuovo tipo MIME.cer:
    1. Aprire il programma Internet Information Services (IIS) Manager.
    2. Nel nodo del Manager, passare al nodo relativo al vostro computer.
    3. Nel gruppo IIS, selezionare il simbolo della proprietà tipi MIME:
      Si aprirà la finestra di dialogo per la configurazione dei tipi MIME.
    4. Nel menù contestuale, selezionare l´inserimento Add...
      Si aprirà la finestra di dialogo "Aggiungi tipo MIME".
    5. Nel campo di inserimento "Filename extension:", digitare .cer.
    6. Nel campo di inserimento MIME-type:, inserire application/octet-stream.

Poi si potrà scaricare con semplicità il certificato usando il browser.

Script di installazione di IIS

Con questo script si ha l´installazione complete di IIS 7.5, con tutti i pacchetti di funzionalità disponibili. Se non si ha bisogno di determinati pacchetti di funzioni, si deve modificare lo script in modo tale che vengano installati solamente i pacchetti necessari.

start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;IIS-FTPPublishingService;IIS-FTPServer;IIS-FTPManagement;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI


Certificati

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Configurazione -> Certificati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare correttamente l´Everywhere Server by zenon, eseguire i seguenti passaggi:

  1. Lanciare il programma Everywhere.Config.exe.
  2. Attivare la checkbox Enable Everywhere server.
  3. Digitare il numero di porta corretto nel campo di inserimento Port (HTTPS).
  4. Selezionare un certificato server fra quelli disponibili nel menù a tendina Server certificate.

Creare un certificato server

Per creare un certificato server:

  1. Nel programma Everywhere.Config.exe , cliccare sul pulsante Add per avviare il programma Everywhere - Certificate creator.
  2. Digitare i propri dati nel campi di inserimento.
  3. Assegnare un Friendly name.
  4. Selezionare un certificato SLL dal menù a tendina Issuer (Authority certificate).

info Info

Le App Android non consentono l´uso di certificati autofirmati. Per la comunicazione con dispositivi Android si possono usare solamente certificati ufficiali.

Creare un "certificato radice" (certificato SLL).

Comprare un certificato da un produttore di certificati SLL.
Così facendo, non sarà necessario installarlo sul client, dato che questi certificati per default sono già installati sul dispositivo di destinazione.
Cercare in Internet i "certificati SLL". Produttori sono, ad esempio:

  1. GoDaddy (http://www.godaddy.com)
  2. VeriSign (http://www.verisign.com)
  3. CAcert (http://wiki.cacert.org/FAQ/AboutUs)

Esiste però anche la possibilità di creare un proprio "root certificate":

  1. Cliccare nell´Everywhere - Certificate creator sul pulsante Add private CA certificate
  2. Digitare i propri dati nel campi di inserimento.
  3. Assegnare un Friendly name.
  4. Cliccare sul pulsante OK.
  5. Verrà visualizzata una finestra di dialogo per salvare il certificato SLL.
  6. Assegnare un nome al certificato SLL e salvarlo.

info Info

Questo "root certificate" salvato è quello che deve essere installato sul client.


Inserimenti CEL

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Inserimenti CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della registrazione via Everywhere Server viene generato un inserimento CEL se:

  • i dati di accesso inviati vengono verificati dal Runtime

    Questo succede:
    • Al momento della prima richiesta di un client.
    • Ad intervalli di 5 minuti
    • Sempre prima di una richiesta di scrittura se è trascorso più di un secondo dall´ultima verifica.

Per variabili, allarmi, e inserimenti CEL non ripristinati, viene supportata un trasferimento incrementale dei cambiamenti di valore.

Inserimenti nei LOG:

Level Error

Descrizione

Level Error

Errori verificatosi durante l´esecuzione dell´Everywhere Server.

Ma non errori che hanno a che fare con l´esecuzione di richieste dei client.

Level Warning

Errori verificatosi durante l´esecuzione dell´Everywhere Server.

Ma non errori che hanno a che fare con l´esecuzione di richieste dei client.

Level Success

Richieste dei client eseguite con successo che causano una modifica dello stato interno dell´Everywhere Server, oppure del Runtime di zenon.

Level Failed
  • Errori durante l´esecuzione di richieste dei client.
  • Errori durante la verifica dei dati di accesso.

Level Msg

Stato dell´Everywhere Server:

  • Start/Stop
  • Creazione di sessions riuscita.
  • Termine di sessions.

Level Debug

Richieste in entrata ed in uscita con

  • Session-ID,
  • URI (Uniform Resource Identifier)
  • Metodo e stato

Level Deep Debug

Stato dell´Everywhere Server e richieste in entrata e in uscita, riassunti in un inserimento (Level Msg + Level Debug).


Modello di dati dell´Everywhere Server

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Open Data Protocol (= OData) viene utilizzato come interfaccia per l´implememtazione di dati nella vostra applicazione web. Questo protocollo è un "WCF-Data-Service".

Questo servizio dati è un cosiddetto "RESTful services" (REpresentational State Transfer Architecture – REST). Vi sono definiti solo metodi per la manipolazione, o l´interrogazione del modello di dati (CRUD – Create – Read – Update – Delete).

Visto che questi metodi coincidono con i comandi HTTP (GET, PUT, POST, DELETE), i servizi dati possono essere implementati molto efficacemente usando il protocollo HTTP. In questo caso, l´oggetto desiderato è identificato tramite l´URL, e l´operazione tramite il rispettivo comando HTTP.

Tipp Suggerimento

PUT, CREATE e DELETE devono "puntare" diverse istanze.
Ulteriori informazioni sull´argomento si trovano nella documentazione online ufficiale ODATA..
Link: http://www.odata.org/documentation/odata-version-2-0/operations/

I dati (come in un database relazionale) sono organizzati in tabelle. Per la query dei dati, si possono definire dei criteri di filtro (in modo analogo ad una query SQL).

Nota: a differenza di quanto accade per i servizi dati tradizionali, nell´Everywhere Service si usa un modello di dati dipendente dalle session. Questo significa che il modello di dati (a seconda della session) può ricevere dati diversi.

info Info

L´Everywhere Service è un servizio dati WCF.
Per ulteriori dettagli e per un´ampia documentazione relativa all´OData Service, consultare: www.odata.org.

Ancora in questo capitolo

Modello di dati - Dati di progetto statici

Modello di dati - dati di progetto che cambiano

Interrogazione di archivi

Apertura del modello di dati via Web Browser

Esempi

Usare la App su un dispositivo mobile (Android)


Modello di dati - Dati di progetto statici

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Modello di dati - Dati di progetto statici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

EquipmentModels (Collection)

  • Tipo: Everywhere.Service.Data.ZenonEquipmentModel
    • Nome (string)
    • Guid (string, key)
    • EquipmentGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)

EquipmentGroups (Collection)

  • Tipo: Everywhere.Service.Data.ZenonEquipmentGroup
    • Guid (string, key)
    • Nome (string)
    • ParentGroup (Everywhere.Service.Data.ZenonEquipmentGroup)
    • ChildGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)
    • Model (Everywhere.Service.Data.ZenonEquipmentModel)

Variables (Collection)

  • Tipo: Everywhere.Service.Data.ZenonEquipmentModel
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • MinimumValue (Real)
    • MaximumValue (Real)
    • Unit (String)
    • ResourcesLabel (String)
    • Identification (String)
    • Name (String)
    • Id (int, key)

AlarmClasses (Collection)

  • Tipo: Everywhere.Service.Data.ZenonAlarmClass
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

AlarmGroups (Collection)

  • Tipo: Everywhere.Service.Data.ZenonAlarmGroup
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

Archives (Collection)

  • Tipo: Everywhere.Service.Data.ZenonArchive
    • Id (String, key)
    • Name (String)
    • Values (Collection, Everywhere.Service.Data.ZenonArchiveValue)

ArchiveValues (Collection)

  • Tipo: Everywhere.Service.Data.ZenonArchiveValue
    • ArchiveId (String, key)
    • VariableName (String)
    • Timestamp (Int64, Unixtime [ms], key)
    • Type (int, key, None = 0, Sum = 1, Average = 2, Min = 3, Max = 4)
    • Value (string)
    • VariableId (int, key)


Modello di dati - dati di progetto che cambiano

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Modello di dati - dati di progetto che cambiano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di seguito trovate il modello di dati per valori che vengono aggiornati.

Alarms (Collection)

  • Tipo: Everywhere.Service.Data.ZenonAlarm
    • Deleted (bool)
    • Acknowledged (bool, writeable)
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • ReactivateNumber (int)
    • ReactivateStatus (Int64)
    • ReactivateTime (Int64, Unixtime [ms])
    • TimeAcknowledged (Int64, Unixtime [ms])
    • TimeCleared (Int64, Unixtime [ms])
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string, writeable)
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • AlarmStatus (int)
    • Cookie (int)
    • Id (int, key)

Example Esempio

Le proprietà "Acknowledged" e "Comment" possono essere utilizzate per ripristinare un allarme in zenon, oppure per salvare un commento.

Queste proprietà possono poi essere trasferite al server con il comando "PUT" oppure "MERGE".

CEL (Collection)

  • Tipo: Everywhere.Service.Data.ZenonEvent
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string )
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Cookie (int)
    • Id (int, key)

OnlineVariables (Collection)

  • Tipo: Everywhere.Service.Data.ZenonOnlineVariable
    • Id (int, key)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Status (Int64)
    • Timestamp TimeReceived (Int64, Unixtime [ms])
    • Value (string, writeable)

Example Esempio
  • Per registrare delle variabili, deve essere creata una nuova istanza nella collection. Per farlo si usa il comando CREATE.
    La registrazione viene rimossa con il comando DELETE.
  • Per identificare la variabile online creata sul client, è necessario poterne determinare l´ID. Questo ID corrisponde a quello della variabile di zenon i cui valori devono essere interrogati.
    PUT oppure MERGE scrivono un valore su una variabile.


Interrogazione di archivi

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Interrogazione di archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili di archivio possono essere interrogate solamente dal relativo progetto dell´Everywhere Server. Non sono supportate quelle variabili valgono per più progetti.

Nota sulla query dei valori di archivio:

Per interrogare dei valori di archivio, è necessario inserire le seguenti proprietà per la query server:

  • Archive ID
  • Orario iniziale
  • Ora finale

attention Attenzione

I valori senza questi criteri di filtro non potranno essere interrogati.

Esempi:

  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/ArchiveValues?$format=json&$filter=ArchiveId%20eq%20%27FI%27%20and%20Timestamp%20gt%201377690800000L%20and%20Timestamp%20lt%201377690862000L
  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Archives%28%27FI%27%29/Values?$format=json&$filter=Timestamp%20gt%201379934601375L%20and%20Timestamp%20lt%201379934601377L%20and%20VariableName%20eq%20%27BodyShop1.Actual%27


Apertura del modello di dati via Web Browser

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Apertura del modello di dati via Web Browser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modello di dati dell´Everywhere Server può essere visualizzato in un Web Browser. In questo modo, ci si può fare velocemente un´idea generale e testare le prime righe di programmazione.

Per aprire un modello di dati, usare Mozilla Firefox oppure Google Chrome (consigliato).

Attenzione: il Microsoft Internet Explorer non supporta la piena funzionalità!

Indirizzo URI

https://Serveradresse oder DNS-Name:Portnummer\zendata\Projektname

Parametro | Descrizione
https:// | Schema URI del protocollo di comunicazione WWW. https: sigla che sta per Hypertext Transfer Protocol Secure (protocollo sicuro di trasferimento).
Indirizzo server o nome DNS | Indirizzo IP, o nome DNS dell´Everywhere Server.
: | : (due punti) Separano l´indirizzo server dal numero di porta.
Numero di porta: | Numero di porta per la comunicazione, come configurato nell´Everywhere Server.
zendata | Costante: è sempre zendata
Nome progetto | Nome del progetto di zenon.

Example Esempio

https://89.26.13.1:8050/zendata/Demo_Automotive

Ancora in questo capitolo

Registrazione sul modello di dati


Registrazione sul modello di dati

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Apertura del modello di dati via Web Browser -> Registrazione sul modello di dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se una registrazione in modalità sicura (https://) non è possibile, appare una segnalazione corrispondente nel browser.
La si può saltare, cliccando sul relativo pulsante (Chrome: "Continue anyway", Firefox: "I am aware of the risk"). La comunicazione avverrà poi in modalità non protetta.

Appare la finestra di dialogo di login:

Nome utente:

Il nome utente è nel contempo l´ID della session. Questo ID della session consiste di:

Time Stamp|Device ID|User Name

Parametro

Descrizione

Data e ora

Time stamp a 32-Bit della session:

  • UTC Unix-Time
    (UTF8 codificato: stringa HEX a 8 caratteri)
  • deve avere 8 caratteri

|

Carattere barra verticale
Tasto Alt GR- e tasto <-

ID dispositivi

ID del dispositivo di destinazione (dispositivo mobile, ...) - Normalmente UUID. Questo ID dipende dal dispositivo e deve essere univoco.

|

Carattere barra verticale
Tasto Alt GR- e tasto <-

Nome utente

Nome utente, come è stato configurato in zenon. Fare attenzione alla scrittura in lettere maiuscole e minuscole.
Nota: il nome utente non può contenere un segno di due punti.

Example Esempio

538497B4|550e8400-e29b-11d4-a716-446655440000|Manager

Password:

Consiste di:

Tipo di invio della password e Password

Parametro

Descrizione

Tipo di invio della password

Modo in cui la password viene inviata.

  • =
    (segno di uguale )
    non crittografata
  • +
    (segno di più)
    crittografata

Nota: alla password deve essere assolutamente premesso il tipo di invio (= oppure +). In caso contrario, la registrazione sul modello di dati non avrà successo!

Password

La password configurata in zenon.

Nota: attenzione alla scrittura in lettere maiuscole e minuscole!

Example Esempio

+Manager
Comunicazione crittografata con l´Everywhere Server - Registrazione con la password Manager.


Esempi

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di seguito vengono forniti alcuni esempi di codice. Questi esempi mostrano come i valori possono essere aggiornati dal server.
Nota: gli esempi usano il linguaggio di programmazione Java.

Ancora in questo capitolo

Esempi di visualizzazione browser

Esempio di codice - Chiamata di oggetti OEntity dal server

Altri esempi di codice


Esempi di visualizzazione browser

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Esempi -> Esempi di visualizzazione browser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un browser può essere usato per visualizzare il progetto di zenon in un browser.
Nota: gli indirizzi web qui visualizzati si riferiscono al progetto demo dell´Everywhere Server.

Modello di dati - Visione generale

Per visualizzare nel browser una visione generale semplificata del modello di dati, inserire il seguente URI nel browser:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE

Modello di dati - Visuale dettagli

Il seguente URI elenca l´intero modello dati:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/$metadata

Visualizzazione delle variabili.

Per avere una visione generale di tutte le variabili, usare l´URI:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json

Visualizzazione delle variabili con filtro

È possibile filtrare la visualizzazione delle variabili. Usando l´indirizzo seguente viene visualizzata la variabile con l´ID 321

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json&$filter=Id%20eq%20321

Nota: per avere una descrizione precisa di tutti i filtri, si prega di consultare la documentazione OData online. Questa documentazione si trova in Internet, all´indirizzo www.odata.org.


Esempio di codice - Chiamata di oggetti OEntity dal server

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Esempi -> Esempio di codice - Chiamata di oggetti OEntity dal server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo esempio mostra come possono essere richiamate dal server le informazioni di un oggetto OEntity. Questi dati possono essere acquisiti ed usati per la programmazione. Questo esempio, inoltre, mostra come si possono attivare le proprietà di un oggetto dati.

/**

*

* @param position: Object at which position of the entityset should be returned

* @return the finished Item Alarm for the Listt of Alarms

*/

protected Alarm GetAlarmFromEntity(int position) {

Alarm retAlarm = new Alarm();

// We use position as listItemId. Here we could use some other unique id

// to reference the list data

ListView listViewAlarms = (ListView)findViewById(R.id.Alarmlist);

OEntity var = alarms.elementAt(position).getLink("Variable", OLink.class).getRelatedEntity();

int EntityItemCnt= alarms.count();

OProperty<String> varName = var.getProperty("Name", String.class);

OProperty<String> alarmText = alarms.elementAt(position).getProperty("Text", String.class);

String Header = varName.getValue() + " - " + alarmText.getValue();

// Body data

Bundle bodyBundle = new Bundle();

OProperty<?> alarmValue = alarms.elementAt(position).getProperty("Value");

String timeReceived = alarms.elementAt(position).getProperty("TimeReceived").getValue().toString();

String timeCleared = alarms.elementAt(position).getProperty("TimeCleared").getValue().toString();

String Acknowledged = alarms.elementAt(position).getProperty("Acknowledged").getValue().toString();

Date date = new java.util.Date(Long.parseLong(timeReceived));

String dateString = new SimpleDateFormat("dd.MM.yyyy HH:mm").format(date);

retAlarm.setAlarmName(varName.getValue());

retAlarm.setTimeReceived(dateString);

retAlarm.setValue(alarmValue.getValue().toString());

retAlarm.setAcknowledged(Acknowledged);

retAlarm.setCleared(timeCleared);

retAlarm.setAlmText(alarmText.getValue());

return retAlarm;

}


Altri esempi di codice

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Esempi -> Altri esempi di codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In Internet si possono trovate altri esempi di codice per la programmazione con OData.

L´esempio indicato mostra come delle informazioni relative ad un oggetto OEntity possono essere interrogate dal server sul dispositivo di destinazione. Questo esempio, inoltre, mostra come vengono acquisite le proprietà di un oggetto dati.

Link: https://github.com/vorburger/odata4j/tree/master/odata4j-core/src/test/java/org/odata4j

attention Attenzione

Questa pagina Internet non viene visualizzata in Internet Explorer!


Usare la App su un dispositivo mobile (Android)

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Usare la App su un dispositivo mobile (Android)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare le proprie applicazioni su un dispositivo mobile (Android), compilarle con il programma Eclipse.
Eclipse è uno strumento di programmazione che serve allo sviluppo di software; veniva originariamente usato come ambiente di sviluppo integrato per il linguaggio di programmazione Java.

info Info

Eclipse può essere scaricato gratuitamente.

Installation:

Per poter usare Eclipse come strumento per sviluppare delle applicazioni, si deve installare il programma, incluso l´Android Developer Bundle.

Sul computer su cui si esegue il lavoro di programmazione, devono essere installate le seguenti componenti:

  • L´Android Developer Bundle
    L´Android Developer Bundle può essere scaricato da Internet gratuitamente.
    Link per il programma di installazione: http://developer.android.com/sdk/index.html
    È importante che sul dispositivo desktop sia installato il driver corretto per il dispositivo mobile. In caso contrario, non sarà possibile nessuna forma di comunicazione fra il computer di sviluppo e dispositivo finale.
  • Java Development e Runtime Environment
    L´ambiente di sviluppo Java (JRE) e l´ambiente Runtime Java (JSE) devono essere installati sul PC di sviluppo.

    JRE e JSE possono essere scaricati direttamente dalla pagina Internet di Java. I due ambienti devono essere installati separatamente.
    Link per il download: www.oracle.com/technetwork/java/javase/downloads/index.html
  • Librerie richieste:
    Per poter usare OData in Eclipse , si deve poi implementare in Eclipse la libreria adatta all´ambiente di sviluppo desiderato.
    Le librerie relative alle comuni lingue di programmazione si trovano nel sito Internet "OData". Selezionare il linguaggio di programmazione desiderato nella schede visualizzate per passare alla pagina nella quale si eseguirà il download.
    Link per le librerie: www.odata.org/libraries.

Ancora in questo capitolo

Impostazioni consigliate per l´ambiente di programmazione Eclipse


Impostazioni consigliate per l´ambiente di programmazione Eclipse

Manuale -> Applicazioni mobili per zenon -> Everywhere Server by zenon -> Modello di dati dell´Everywhere Server -> Usare la App su un dispositivo mobile (Android) -> Impostazioni consigliate per l´ambiente di programmazione Eclipse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura per configurare Eclipse per dispositivi mobili:

  1. Selezionare nella barra dei menù Run l´inserimento Run configurations....
  2. Verrà visualizzata la finestra di dialogo per eseguire una nuova configurazione Run.
  3. Cliccare sul simbolo New launch configuration.
  4. Alla struttura ad albero Android Application verrà aggiunto il nuovo inserimento NEW_configuration.
  5. Nella scheda Android, assegnare un nome al proprio progetto App Android.
  6. Cliccare sul pulsante Browse... per selezionare il proprio progetto Android. Quest´ultimo verrà poi trasferito al dispositivo mobile.
  7. Collegare adesso il proprio dispositivo mobile al calcolatore di sviluppo.

  8. Configurare il proprio dispositivo di destinazione nella scheda Target .
  9. Assicurarsi che la proprietà Always prompt to pick device sia attiva.
    Nota: in questo caso, il sistema chiederà sempre su quale dispositivo la vostro App deve essere eseguita prima che inizi l´esecuzione stessa.
  10. Avviare il processo di debug.
  11. Avviare la App.
    Nota: per quello che riguarda gli altri inserimenti, si consiglia di mantenere le impostazioni di default.
  12. Dopo che l´utente ha cliccato su Play o Debug , il sistema gli chiede di selzionare il suo dispositivo di destinazione o il suo emulatore per avviare il programma.
  13. Subito dopo l`App verrà avviata automaticamente sul dispositivo finale.


Attribuzioni

Manuale -> Attribuzioni

Le attribuzioni permettono di smistare il valore attuale di una variabile a una seconda variabile all´interno di un driver o fra un driver e l´altro.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

zenon permette di scrivere i valori direttamente dal PLC in una banca dati SQL, o di scrivere modifiche spontanee di valori da un driver su un secondo driver. Si possono definire delle attribuzioni per più progetti contemporaneamente.

Attenzione: Le attribuzioni che valgono per diversi progetti vengono eseguite solo dopo il caricamento di tutti i progetti.

Trasferimento

Un´attribuzione trasmette il valore, lo stato e il timestamp della variabile di origine a quella di destinazione.

Nota: stato e timestamp possono essere elaborati solamente dai seguenti driver:

  • Driver Interno
  • driver SQL
  • driver AK (SICAM 230)

Gli stati Realtime esterno (T_EXTERN), Realtime interno (T_INTERN)e Annuncio ora solare/ora legale (T_CHG_A) non vengono trasmessi. Essi vengono definiti dal timestamp.

La risoluzione dovrebbe trovarsi per entrambe le variabili entro gli stessi limiti (comportamento di sovraffollamento).

Il trasferimento del valore avviene in presenza di una variazione di quest´ultimo: ogni volta che la variabile sorgente subisce una modifica di valore, viene modificato anche il valore della variabile di destinazione. Nel caso in cui il valore della variabile di destinazione dovesse essere modificato indipendentemente dalla variabile sorgente, la variabile di destinazione mantiene il suo valore finché la variabile sorgente subisce nuovamente una modifica.

info Info

Anche le attribuzioni a variabili interne vengono eseguite solamente sul server.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova Attribuzione | Aggiunge una nuova attribuzione nella lista.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa file XML.
Guida | Apre la guida online.

Ancora in questo capitolo

Configurazione nell'Editor

Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Variabili trigger e tipo trigger


Configurazione nell'Editor

Manuale -> Attribuzioni -> Configurazione nell'Editor

Per definire delle attribuzioni:

  1. nel Manager di progetto andate al punto Attribuzioni che troverete nel nodo Variabili
  2. Le attribuzioni già esistenti vengono mostrate nella visualizzazione dettagli.
  3. Selezionate nel menù contestuale oppure nella barra dei simboli l´azione desiderata, per esempio Nuova attribuzione
  4. Nella finestra delle proprietà vengono ora visualizzate le proprietà della nuova attribuzione che potranno anche essere modificate in questa sede.

Un´attribuzione necessita assolutamente di:

  • un nome univoco
  • una variabile sorgente
  • una variabile di destinazione

Quando selezionate le proprietà Variabile sorgente o Variabile di destinazione, si apre la lista variabili corrispondente dalla quale potrete scegliere le variabili desiderate. Ogni variabile di qualsiasi driver è selezionabile come origine. La variabile di destinazione deve avere un´abilitazione lettura/scrittura.

Ogni modifica del valore della variabile sorgente verrà trasferita alla variabile di destinazione dell´attribuzione.

Tramite il menù contestuale della sezione lista del manager di progetto le attribuzioni si possono tagliare, copiare, inserire e eliminare.


Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Attribuzioni -> Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuova Attribuzione | Aggiunge una nuova attribuzione nella lista.
Taglia | Copia gli inserimenti selezionati negli appunti e li cancella dalla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Proprietà.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML.
Elimina filtro | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Variabili trigger e tipo trigger

Manuale -> Attribuzioni -> Variabili trigger e tipo trigger

Per le attribuzioni si possono definire una variabile trigger e un tipo trigger. In tal modo possono essere definite delle attribuzioni gestite dagli eventi. I valori non vengono attribuiti più automaticamente, ma solamente in caso di modifica del valore delle variabili trigger.

Le variabili trigger devono essere variabili binarie. Sono possibili le seguenti configurazioni:

Variabile trigger | Tipo trigger | Risultato
non definito |  | Ogni modifica nella variabile sorgente ha come conseguenza il fatto che il valore sorgente viene attribuito alla variabile di destinazione.
definito | Fronte | L'attribuzione viene eseguita solo nel caso in cui la variabile trigger subisca una modifica di valore da 0 a 1. Solo un fronte positivo della variabile bit fa sì che si verifichi un'attribuzione. L'attribuzione non viene più causata automaticamente dalla modifica di un valore nella variabile sorgente.
definito | Livello | L'attribuzione viene eseguita sempre finché la variabile trigger ha un valore pari a 1. Ogni volta che il valore della variabile sorgente cambia, viene attivata l'attribuzione ed il valore viene scritto nella variabile di destinazione. Questa attribuzione rimane attiva finché il valore della variabile trigger non cambia tornando di nuovo a 0.


Automatic Line Coloring (ALC) - Topologia

Manuale -> Automatic Line Coloring (ALC) - Topologia

La colorazione topologica delle linee rende possibile dinamizzare in modo semplice e automatico la rappresentazione di linee e reti nella tecnica dei processi (per sostanze e materiali) e nella distribuzione dell'energia (per l'elettricità). Questo strumento consente di realizzare con facilità le colorazioni di reti topologiche.

Dato che la struttura della linea viene disegnata nell´immagine con tutti i suoi elementi topologici (come ad es., serbatoi e valvole, oppure generatori, interruttori e consumatori), questa struttura viene riprodotta internamente come modello, e il flusso di energia, sostanze e materiali viene visualizzato a Runtime.

Per consentire la creazione di modelli validi per diversi immagini, tutta la progettazione e la configurazione viene eseguita a livello dell'intero progetto. Ne deriva un modello topologico complessivo per un progetto, che viene utilizzato per analizzare lo stato delle linee (condutture/tubature) e per eseguire la loro colorazione.

L'intera topologia viene creata automaticamente a partire dalla progettazione grafica. Non sono necessarie altre operazioni di progettazione.

info Info

Partendo da una sorgente, l´algoritmo ALC passa per ogni interruttore solo una volta per direzione.

Immagini dettagli

Se si desidera visualizzare immagini singole, si può estrarre una parte dalla rete topologica e visualizzarla singolarmente ricorrendo all´uso di alias. Un´immagine dettagli può essere visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali.

tutorial Informazioni sulla licenza

Per poter utilizzare l´ALC, è necessario avere una licenza sia per l´Editor che per il Runtime (stand-alone, server, standby).

Non è necessaria una licenza per il Runtime-Client.

La registrazione della licenza si esegue tramite la zenon Energy Edition.

  • ALC: già compreso nella licenza per la Energy Edition; mette a disposizione proprietà di base per la colorazione delle linee.
  • Pacchetto topologia: richiede una licenza aggiuntiva sul server (non sul client) ed estende l´ALC con l'aggiunta di:
    • Fornitura multipla
    • Secured supply
    • Interblocchi topologici
    • Elementi topologici: trasformatore e sezionatore
    • Localizzazione guasti (dalla versione 6.50)

Ancora in questo capitolo

Elementi ALC

Configurazione

Funzione: "Modifica colore sorgente ALC"

Alias per immagini dettagli

Localizzazione guasti nelle reti elettriche

Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.


Elementi ALC

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Automatic Line Coloring (ALC) consente di colorare linee in base allo stato del processo. Per la rappresentazione degli elementi topologici si usa l´elemento combinato. L´ALC consente di dinamizzare in modo semplice e automatico la rappresentazione di linee e reti nella tecnica dei processi (per sostanze e materiali) e nella distribuzione dell'energia (per l'elettricità).

Configurazione

In fase di progettazione, si distinguono due tipi di elementi d'immagine con diversa funzione. Da una parte ci sono gli elementi topologici (sorgente, interruttore, sezionatore, carico, trasformatore o link), e dall'altra le linee.

Gli elementi topologici hanno una funzione ed un colore (sorgente e trasformatore). Se gli elementi topologici attivi, le linee collegate riprendono il colore di questi elementi se si tratta di una sorgente o di un trasformatore; in caso si tratti, invece, di interruttore o link, le linee riprendono il colore dell´input dell´elemento. Quando gli elementi topologici non sono attivi, invece, il colore delle linee è quello definito nella configurazione dell´elemento nell'Editor.

L´assegnazione delle differenti funzioni di questi elementi viene eseguita nelle proprietà dell´Elemento combinato.

Esempio

Una sorgente è collegata ad una linea. Al termine di questa linea si trova un interruttore. A quest´ultimo è collegata una seconda linea. Se la sorgente è attiva, la prima linea viene colorata fino all'interruttore usando il colore della sorgente definito nelle proprietà di progetto alla voce "Automatic Line Coloring". L'altra linea (quella che si trova dopo l'interruttore) verrà colorata solo dopo che l'interruttore è chiuso.

Sorgente non attiva

Sorgente attiva

Interruttore chiuso

Indefinito o in fault

info Info

Il sistema riconosce automaticamente se lo stato dell'elemento topologico è indefinito o in fault,. In questo caso, le linee connesse e tutti gli altri elementi vengono visualizzati per entrambi gli stati usando il colore della sorgente Undefined predefinita.

Numero di interruttori chiusi in sequenza

Il numero di interruttori chiusi in sequenza gioca un ruolo importante per il corretto funzionamento dell´algoritmo ALC.

Suggerimento: posizionare un massimo di 256 interruttori chiusi in sequenza fra sorgente e carico.

Ancora in questo capitolo

Elementi topologici

Linee

Controllo della progettazione


Elementi topologici

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi topologici delle linee vengono riprodotto nelle immagini di zenon utilizzando l´ Elemento combinato. Il loro stato determina la colorazione della linea connessa.

Sono disponibili le seguenti impostazioni:

Proprietà

Descrizione

Tipo funzione

Definisce il tipo di elemento topologico che deve essere riprodotto mediante l´elemento combinato.

Terminazione

Per fine bus di raccordo. Sopprime il messaggio d’errore "La linea è collegata solamente da un lato“ durante la compilazione nell´Editor.

Generatore

In linea di principio, un generatore si comporta come una sorgente, viene però considerato indipendente e non sincrono con la rete.

Nessuna funzione

L´elemento non ha nessuna funzione in ALC.
Nota: il tipo di funzione "Nessuna funzione" è il valore di default.

Link

Si utilizza un link per far riprendere una linea da altro punto. Se un link viene "alimentato" da una linea, anche tutti gli altri link che hanno lo stesso numero saranno alimentato dalla stessa sorgente/dalle stesse sorgenti. E non ha importanza se questi link si trovano nella stessa immagine o in immagini completamente diverse del progetto. Con questo strumento è dunque possibile progettare linee per più immagini. E' consentito avere più di due link con lo stesso numero in un progetto.

I link possono essere alimentati contemporaneamente da più linee, oppure alimentare a loro volta più uscite. In linea di principio, non c'è nessuna differenza fra input e output. Le informazioni della sorgente vengono inoltrate a tutte le linee connesse.
Attenzione: due elementi di tipo "link" non possono essere connessi direttamente ad una linea. In mezzo ci deve essere sempre un altro elemento topologico (interruttore/separatore o trasformatore).
Un Link non può essere attivato o disattivato; è sempre attivo.

Sorgente

Determina il colore utilizzato per la colorazione. Se la sorgente è attiva (valore: 1), tutte le linee connesse per cui è stata attivata l´opzione Colori da ALC nelle proprietà dell´elemento, acquisiscono il colore della sorgente. Questo colore è quello che è stato definito per la sorgente nelle proprietà di progetto (per esempio serbatoi o generatori). Una sorgente è un singolo polo, cui viene assegnato un numero di sorgente statico. La sorgente è commutabile sulla base dello stato della sua variabile principale. In generale, le sorgenti sono considerate come sincrone con la rete e separabili.

Informazioni dettagliate relative alla sorgente si trovano nel capitolo Configurazione delle sorgenti.

Interruttore

Un interruttore serve ad interrompere una linea. Se l'interruttore è chiuso/attivo (valore: 1), il collegamento fra due linee è chiuso e la linea si colora fino all´interruttore successivo usando il colore definito per la sorgente. In questo caso, un interruttore inoltra il colore della sorgente della linea in entrata alla linea in uscita.

Se invece lo stato dell´interruttore è in fault (valore: 3) o indefinito (valore: 2), oppure se lo stato della variabile principale è INVALID, la linea si colorerà usando il colore definito come Undefined nella configurazione dell´ALC nelle proprietà di progetto. Così un interruttore fornisce alla sua uscita (connessione2) il numero di sorgente 0 (Undefined), invece del numero di sorgente in entrata.

Esempio: si veda la sezione Esempio interruttore - Colori da ALC di questa documentazione.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Valvola

Una valvola si comporta in modo simile ad un interruttore, ma viene usata in condutture di acqua e gas.

Valori della variabile principale:

  • Valvola OFF: valore 0 -> Valvola chiusa -> l´acqua non fluisce.
  • Valvola ON: valore 1 -> Valvola completamente aperta -> l´acqua fluisce.
  • Valvola DIF: valore 2 -> Valvola parzialmente aperta -> l´acqua fluisce
  • Valvola STO: valore 3 -> Valvola disturbata

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Carico

È posto alla fine di una linea. Non ha alcun influsso sulla colorazione, ma viene usato solamente per far sì che il modello possa essere rappresentato interamente. Se si ha intenzione di accedere al modello con un programma esterno (per es. VBA), può essere che il carico sia necessario per eseguire ulteriori calcoli e che debba essere progettato di conseguenza.
Nei progetti del settore Energy, il carico viene usato per rappresentare le utenze. Queste ultime vengono prese in considerazione per il calcolo degli interblocchi topologici ALC (nel modulo Comandi) 'Sconnessione carico'.

Valvola di ritegno

La valvola di ritegno inoltra informazioni solamente in una direzione.

Valori della variabile principale:

  • Valore 0:
    L'inoltro non è attivo (= la valvola è chiusa)
  • Valore 1 o 2:
    L'inoltro è possibile solamente in una direzione. Il colore della sorgente viene inoltrato solamente dall´entrata verso l´uscita. Un inoltro nella direzione opposta non è previsto. Questo vale anche per l´inoltro dell´informazione ALC per la messa a terra.
  • Valore 3:
    L'inoltro è indefinito. Questo si verifica, per esempio, quando la valvola di ritegno è disturbata. In questo caso lo stato viene inoltrato solo all'uscita.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

La valvola di ritegno viene presa in considerazione anche dagli interblocchi topologici.

Trasformatore

Un trasformatore è allo stesso tempo un carico e una sorgente. Serve a sostituire il colore di ingresso (sorgente di input) con un colore di uscita (sorgente propria del trasformatore).
La linea in uscita viene attivata solo quando il trasformatore ha una linea in entrata attiva. La linea in uscita, però, non riprende il colore da quella in entrata (come nel caso dell'interruttore), ma quello della sorgente propria del trasformatore. Per questa ragione, si deve definire per ogni trasformatore una sorgente. Un trasformatore non può essere attivato o disattivato; è sempre attivo.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Trasformatore per alimentazione invertita:

Per avere un trasformatore ad alimentazione invertita, si deve selezionare per la proprietà Sorgente per alimentazione invertita (gruppo Automatic Line Coloring delle proprietà dell´elemento combinato) una sorgente diversa da UNDEFINED [0]. Questo significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´ingresso all´uscita (in avanti) e dall´uscita all´ingresso (indietro). L´unica differenza è che è la proprietà Sorgente per alimentazione invertita e non la proprietà Sorgente ad essere usata per l´inoltro del numero della sorgente.

Nota: stati della rete difettosi ed errori di configurazione, come, per es., alimentazione contemporanea di ingresso e uscita, oppure cortocircuito di ingresso e uscita, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione invertita si comporta come due trasformatori progettati per lavorare in modo antiparallelo, non inversamente alimentati.

Sezionatore

In linea di principio, un sezionatore si comporta come un interruttore. Tuttavia, un sezionatore nel modello topologico non può essere commutato quando si trova sotto carico - interblocco topologico "Sezionatore sotto carico" nel modulo "Comandi".

Come nel caso dell´interruttore, anche per il sezionatore lo stato è definito dalla variabile principale: on, off, posizione intermedia, in fault.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Il numero di sorgente impostato (per i tipi di funzione "Sorgente" e "Trasformatore") viene inoltrato agli utilizzatori passando per interruttori chiusi (sezionatori, valvole ecc.). I colori di tutte le linee connesse e degli elementi topologici sono calcolati in modo dinamico a partire dalla somma superiore dei numeri delle sorgenti che alimentano.

Sorgente e Numero Link

Parametro

Descrizione

Sorgente

Qui si assegna una sorgente ad un elemento. Il menù a tendina contiene tutte le sorgenti definite nella configurazione ALC (nelle proprietà di progetto). Sono elencati i nomi delle sorgenti.
Questa proprietà è attiva solo se è stato selezionato il tipo di funzione sorgente', 'trasformatore' o 'generatore'.

I dettagli relativi alla sorgente si trovano nel capitolo Configurazione delle sorgenti.

Attenzione: non usare qui le sorgenti di sistema predefinite (ID 0..9). Per questo collegamento configurare sorgenti proprie: ? Per configurare sorgenti proprie, cliccare nel gruppo delle proprietà di progetto "Automatic Line Coloring" sul pulsante ... della proprietà "Configurazione ALC".? Le sorgenti di sistema UNDEFINED [0], GROUND FAULT [1], SHORT FAULT [2] e GROUNDED [3] sono riservate esclusivamente alla progettazione delle messa a terra.? Le sorgenti di sistema predefinite da SYSSOURCE4 [4] a SYSSOURCE9 [9] servono da placeholder.

Numero Link

Qui si imposta liberamente il numero link per il tipo funzione Link. Tutti i numeri link identici nel progetto sono correlati. Una spiegazione dettagliata si trova nella descrizione del tipo di funzione Link.
Queste proprietà è attiva solamente se è stato selezionato Link come tipo di funzione.

Variabili degli elementi topologici

Perché lo stato (aperto, chiuso, disturbato) possa essere comunicato ad un interruttore (e a un sezionatore, valvola ecc.), nel corrispondente elemento combinato dovrà essere collegata come variabile principale una variabile con il tipo di dato BOOL oppure integer.

Esempio:

  • Driver IEC870: variabili con Typ ID T01..T37
  • Driver IEC850: variabili */Pos/stVal[ST]
  • Driver DNP3...: variabili input.

Prerequisito: il DPI/DPC Mapping non deve essere stato disattivato nel driver.

info Info

Per la posizione dell´interruttore, vengono presi in considerazione solamente i primi due bit della variabile principale.

  • Il primo bit rappresenta il vero e proprio processo di commutazione; 0 corrisponde a OFF, e 1 a ON.
  • Il secondo bit è il bit di errore. Se il valore di questo bit è 0, non c´è nessun errore.

Nel caso di una sorgente, lo stato - "esistente" (ON) / "non esistente" (OFF) - viene analizzato utilizzando la variabile principale collegata. Le variabili più adatte allo scopo sono in questo caso quelle interne con il tipo di dato BOOL. Poi si potrà collegare la sorgente al resto della tipologia tramite un interruttore o un sezionatore, cosicché sarà la posizione dell´interruttore o del sezionatore a inoltrare il colore della sorgente.

Nota: come variabile principale di una sorgente collegata alla rete tramite un interruttore/separatore (per es. messa a terra), creare una variabile del driver interno, configurarla (gruppo "Variabili interne" delle proprietà della variabile) con Funzionamento Rete e Valore iniziale 1 ("sempre esistente"). In alternativa si può collegare una sorgente direttamente con la variabile di processo (la sorgente e il suo interruttore in uno). In questo modo è possibile disattivare o aggirare l´interblocco topologico quando si esegue la commutazione della sorgente.

Stati

  • Un interruttore e una sorgente sono attivi (chiusi) quando il valore della variabile collegata è 1.
  • Un interruttore è in fault se il valore della variabile collegata è >1, oppure ha il bit di stato INVALID.
    Un interruttore in fault restituisce alla sua uscita (connessione 2) il numero di sorgente 0 (Undefined), anziché il numero della sorgente in entrata. Nella direzione dall'ingresso all'uscita, l'interruttore si comporta come se fosse aperto.

    Nota: se la variabile principale di un interruttore ha lo stato INVALID, tutta la parte seguente della rete è INVALID, perché lo stato della rete non è noto. Lo stato INVALID viene inoltrato tramite interruttori successivi chiusi.

attention Attenzione

Se nei singoli stati dell´elemento combinato si attiva l´opzione Da ALC sia per il colore che per il colore di riempimento, a Runtime non verranno colorate solamente le linee, ma anche gli elementi topologici.

Ancora in questo capitolo

Esempio interruttore - Colore da ALC

Punti di connessione degli elementi topologici

Inverti Ingresso/Uscita


Esempio interruttore - Colore da ALC

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Esempio interruttore - Colore da ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio 1

Elemento combinato con valore di stato 00 e colore linea da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea da ALC attivo

  2. Risultato a Runtime:
    • Colore della sorgente: verde.
    • Colore di "non alimentato": bianco.
    • Stato dell´interruttore: off/aperto (valore 0)

Esempio 2

Elemento combinato con valore di stato 01 e colore da ALC:

  1. Configurazione nell'Editor.
    • Elemento combinato con valore di stato 01.
    • Colore linea da ALC attivo.
    • Colore di riempimento da ALC attivo.

  2. Risultato a Runtime:
    • Colore della sorgente: verde.
    • Colore di "non alimentato": bianco.
    • Stato dell´interruttore: on/chiudo (valore 1)

Esempio 3

Elemento combinato con valore di stato 00 senza colore da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 00.
    • Colore linea da ALC non attivo.

  2. Risultato a Runtime:
    • Colore della sorgente: verde
    • Colore di "non alimentato" e colore costruzione della linea: bianco.
    • Colori linea e di riempimento definiti dell´elemento combinato: nero.
    • Stato dell´interruttore: off/aperto (valore 0)

Esempio 4

Elemento combinato con valore di stato 01 senza colore da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 01.
    • Colore linea da ALC non attivo.
    • Colore di riempimento da ALC non attivo.

  2. Risultato a Runtime:
    • Colore della sorgente = verde.
    • Colore di "non alimentato" e colore costruzione della linea: bianco.
    • Colori linea e di riempimento definiti dell´elemento combinato: nero.
    • Stato dell´interruttore: on/chiuso (valore 1).


Punti di connessione degli elementi topologici

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Punti di connessione degli elementi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di progettazione, una linea viene collegata ad un elemento topologico (elemento combinato) sovrapponendo gli elementi nell'immagine in corrispondenza di cosiddetti punti di connessione dell'elemento combinato. Si può collegare una sola linea alla volta ad un punto di connessione. Tutte le linee il cui inizio si trova all´interno dell'area definita, sono considerate connesse (topologia dalla grafica).

attention Attenzione

Non ruotare gli elementi ALC, perché:

Il calcolo del modello topologico per l'ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.

Punti di connessione ed aree di connessione

  • L´area di connessione per un punto di connessione si trova al centro di ogni lato dell´elemento combinato. Ogni elemento combinato, dunque, ha 4 punti di connessione.
  • La dimensione di un´area di connessione corrisponde ai 2/3 dell´altezza e larghezza di un elemento combinato, ma non supera in ogni caso i 20 pixel.
  • Ogni area di connessione è centrata in mezzo al relativo angolo dell´elemento e si estende in modo simmetrico verso l´interno e verso l´esterno, rispettivamente per al massimo 10 pixel.

attention Attenzione

Se l´elemento combinato è più piccolo di 30 pixel, le aree di connessione si sovrapporranno all´interno dell´elemento. Linee che si toccano possono provocare degli errori (compilazione, colorazione).

Nella seguente immagine si possono vedere i possibili punti di connessione per elementi combinati più piccoli o più grandi di 30 pixel.

Colori:

  • Blu: elemento combinato.
  • Rosso: aree di connessione.

Dimensioni:

  • A: altezza dell´elemento combinato.
  • B: larghezza dell’elemento combinato.
  • a: larghezza dell´area di connessione: 2/3 di A, ma al massimo 20 pixel.
  • b: lunghezza dell´area di connessione: 2/3 di B, ma al massimo 20 pixel.

Regole

  • Se una linea si trova al di fuori dell´area di connessione, il sistema non rileva una connessione e quindi la linea non verrà colorata. E non verranno colorate neanche tutte le linee successive.
  • Nel caso delle sorgenti, degli utilizzatori e dei Links, possono essere usati in linea di principio tutti i punti di connessione descritti.
    Attenzione: nel caso delle sorgenti e degli utilizzatori, può essere usato solo un punto di connessione alla volta. Se si usano più punti di connessione contemporaneamente, si possono verificare degli stati indefiniti.
    Con elementi del tipo Link, invece, si possono usare anche più punti di connessione contemporaneamente . Le informazioni in entrata relative al colore verranno inoltrate a tutte le linee.
  • Con interruttori/separatori/valvole e trasformatori, la connessione 1 (input) è a sinistra o sopra, mentre la connessione 2 (output) è a destra o sotto. Questa successione può essere modificata con la proprietà Inverti Ingresso/Uscita.
    Attenzione: per quello che riguarda gli interruttori e i trasformatori, si deve tener presente che può essere usato solo un punto di connessione input e uno per l'output. L'uso simultaneo di più punti di connessione per input e output può generare incongruenze e, quindi, non è consentito.
  • Per tutti gli elementi topologici vale quanto segue: può essere connessa solo una linea per punto di connessione. Eventuali diramazioni non possono essere realizzate direttamente sull'elemento, ma devono essere configurate usando linee.


Inverti Ingresso/Uscita

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Inverti Ingresso/Uscita

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si progetta un trasformatore, un sezionatore o un interruttore, input e output possono essere invertiti. Procedura:

  1. Come Tipo funzione, selezionare trasformatore, sezionatore o interruttore.
  2. Attivare la checkbox Inverti Ingresso/Uscita.

L´input verrà poi posizionato a destra o sotto e l´output a sinistra o sopra.

Panoramica

Configurazione apparecchio. | Input | Output
Normale | Sinistra. | Destra
Normale | Sopra | Sotto
Invertito | Destra | Sinistra.
Invertito | Sotto | Sopra


Linee

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le linee vengono rappresentate graficamente usando gli elementi vettoriali Linea, Polilinea e Tubatura.

Se l'opzione colori da ALC è attiva per una linea, la colorazione è determinata dalle impostazioni della configurazione ALC. Le linee vengono colorate automaticamente dal sistema a seconda dello stato degli elementi tecnologici e delle impostazioni ALC.

In questo caso, il colore proviene normalmente dal numero della sorgente a maggiore priorità, oppure rimane "vuoto/non in tensione" come definito nelle proprietà dell'oggetto con "colori statici" o "colori dinamici".

Si può definire il tipo di visualizzazione usando i menù a tendina:

  • Priorità di visualizzazione
  • Fornitura multipla
  • Secured supply

Nelle proprietà delle linee sono a disposizione le seguenti opzioni:

Parametri

Descrizione

Colori da ALC

Attiva la colorazione automatica delle linee per questo elemento vettoriale. Questo significa: la linea viene colorata se la sorgente che la rifornisce è attiva e se tutti gli interruttori/le valvole che portano dalla sorgente alla linea sono chiusi. Se la linea è rifornita da una sola sorgente, per la colorazione viene utilizzato il colore sorgente impostato. La larghezza della linea non viene modificata.

Priorità di visualizzazione

Definisce se viene visualizzata Fornitura multipla, o Secured supply, oppure entrambe le opzioni.
Default: Fornitura multipla

Secured supply

L'elemento viene visualizzato secondo le regole di secured supply.

Una linea viene considerata "secured supply" quando è alimentata da almeno due differenti interruttori o trasformatori con una sorgente non di sistema. Le sorgenti di sistema non contribuiscono al "secured supply", ma non lo escludono.

Fornitura multipla

L'elemento viene visualizzato secondo le regole della fornitura multipla.

Una linea è considerata a "fornitura multipla" se viene alimentata perlomeno da due sorgenti differenti. In questo contesto, non ha alcuna importanza se si tratta di sorgenti di sistema o sorgenti utente, né da quale parte la linea viene alimentata dalle sorgenti.

Nessuna priorità

Le regole di colorazione per Fornitura multipla e per Secured supply vengono applicate contemporaneamente, se entrambi i criteri sono soddisfatti. Questo significa:

Se una linea

  • ha Fornitura multipla e Secured supply,,
  • la priorità di visualizzazione viene impostata su Nessuna priorità,
  • la visualizzazione per la "Fornitura multipla" è settata su Due sorgenti ad alta priorità,
  • la visualizzazione per la "Secured supply" è settata su Doppia larghezza,

La linea verrà poi visualizzata con il doppio della larghezza e in due colori.

Visualizza fornitura multipla

Fornitura multipla significa che una linea viene rifornita contemporaneamente da differenti sorgenti. Qui si definisce in che modo debbano essere visualizzate le linee a fornitura multipla.

Default: Sorgente ad altra priorità

Sorgente ad altra priorità

La linea prende sempre il colore di quella sorgente che ha il più elevato grado di priorità.
Nota: le priorità corrispondono alla successione scelta nella configurazione ALC.

Due sorgenti ad alta priorità

E' rilevante per quelle linee che sono rifornite da due o più differenti sorgenti. Le due sorgenti con il maggior grado di priorità determinano la colorazione. La linea viene poi visualizzata con questi due colori (tratteggiata). La lunghezza del tratto può essere modificata usando la proprietà Lunghezza tratto alim. multipla.

Nella fornitura multipla, le sorgenti di sistema valgono come sorgenti vere e proprie, e colorano le linee in due colori, se sono state configurate in modo corrispondente.

Colore alternativo

Viene usato il colore definito nella proprietà Colore alternativo.

Lunghezza tratto alim. multipla

Definisce la lunghezza tratto in pixel di linee, polilinee oppure tubature usata per la colorazione tratteggiata ALC di Due sorgenti ad alta priorità per Visualizza fornitura multipla.

  • Minimo: 0 (lunghezza tratto automatica)
  • Massimo: 32767
  • Default: 0

Colore alternativo

Colore alternativo per la colorazione di linee, polilinee oppure tubature in caso di "fornitura multipla".

Visualizza secured supply

Si parla di "secured supply'" quando una linea viene alimentata in modo multiplo (parallelo) da una sola sorgente. Qui si può definire in che modo deve essere visualizzato la "secured supply'".

Una linea viene visualizzata sempre come se avesse secured supply se viene alimentata da perlomeno due interruttori con una sorgente vera e propria (non una di sistema).

Default: Normale

Doppia larghezza

Rilevante per quelle linee che vengono rifornite da una stessa sorgente in modo multiplo (secured). In questo caso la linea viene visualizzata con una larghezza doppia a quella configurata. (Esempio: una linea per cui è stata configurata una larghezza linea di 5 pixel, viene visualizzata con una larghezza linea pari a 10).
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), la larghezza della linea non cambia!

Il colore è sempre determinato dalla sorgente a più alta priorità!

Doppia luminosità

Rilevante per quelle linee che vengono rifornite da una stessa sorgente in modo multiplo (secured). In questo caso la linea verrà rappresentata con una luminosità doppia rispetto a quella progettata.
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), il colore della linea non cambia!
Se questa linea viene alimentata in modo multiplo da una sola sorgente (secured supply), viene visualizzata con una luminosità doppia rispetto a quella configurata .
Formula per il calcolo della luminosità doppia:

  1. Il colore RGB impostato viene convertito nel sistema HLS.
  2. L (luminance = luminosità) viene ricalcolata con NewLuminance = 240*3/4 + L/4 3.
  3. Il valore del colore viene ricalcolato nel sistema RGB con la nuova luminosità.

Il colore è sempre determinato dalla sorgente a più alta priorità!

Normale

L'elemento viene visualizzato con il colore della sorgente e con la larghezza impostata.

Utilizza alias

Attivo: alias viene usato.

Alias

Apre la finestra di dialogo per la selezione di un alias.

info Info

I colori delle sorgenti e le priorità delle stesse vengono definiti nelle proprietà del progetto.

Le sorgenti definite dall´utente devono avere un ID maggiore di 9. Gli ID fino a 9 sono riservati alle sorgenti di sistema.

info Info

Il calcolo del colore di una linea nel Runtime viene effettuato sulla base della seguente lista di priorità:

  1. Automatic Line Coloring (priorità maggiore, prevale su tutte le altre impostazioni)
  2. Cambio colori dinamico
  3. Colori statici

Ancora in questo capitolo

Esempio

Punti di connessione di linee


Esempio

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee -> Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´esempio seguente la "Sorgente 0" è blu, mentre la "sorgente 1" è rossa. Inoltre, la "sorgente 0" è quella con la maggiore priorità.

Sorgente 0

Sorgente 1

Tenendo presenti questi presupposti e le diverse opzioni possibili, abbiamo i seguenti esempi di visualizzazione:

 | Linea / Polilinea | Tubatura
Sorgente ad altra priorità |  |
Due sorgenti ad alta priorità |  |
Doppia larghezza |  |
Doppia luminosità |  |


Punti di connessione di linee

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee -> Punti di connessione di linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connessione di una linea (linea, polilinea o tubatura) ad un´altra avviene sovrapponendo il disegno nell'immagine in corrispondenza dei cosiddetti "punti di connessione" delle linee. I punti di connessione - in realtà si tratta di aree di connessione - si trovano all'inizio e alla fine di ogni linea e sono larghi più o meno 3 Pixel.

Example Esempio

Il punto iniziale di una linea ha le coordinate (punto di partenza x/punto di partenza y): 150/100 Pixel.
Ne risulta un'area di connessione (x / y): 147 - 153 / 97 - 103 Pixel.

Se l'inizio della linea o la fine della stessa linea, o quella di una o più altre linee si trovano all'interno di quest'area, le linee vengono connesse automaticamente senza che ci sia bisogno di ulteriori impostazioni. Una semplice sovrapposizione delle aree di connessione delle singole linee non è sufficiente!

Nella seguente illustrazione viene rappresentata graficamente l'area di connessione (le linee verdi sono connesse a quella nera, la linea rossa no):

info Info

In un´area di connessione può essere connesso un numero qualsiasi di linee.

attention Attenzione

Se una linea si trova fuori dell'area di connessione (come, ad esempio, la linea rossa dell´illustrazione), non verrà stabilita nessuna connessione e non ci sarà, dunque, una colorazione della linea. E non verrano colorate neanche le linee successive.

Linee che si incrociano possono essere disegnate con facilità collocando le loro estremità al di fuori del´area di connessione.

attention Attenzione

Usare gli elementi ALC solamente nello stato non-ruotato. perché:

Il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.


Controllo della progettazione

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Controllo della progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettare gli elementi topologici e le linee desiderate in uno o più immagini e salvare queste immagini. Mediante Creare tutti i file Runtime oppure Compila file modificati, si potrà poi verificare se ci sono degli errori o dei conflitti nelle immagini configurate. Nel caso in cui dovessero esserci errori o conflitti, verranno infatti visualizzati messaggi di errore e avvertimenti corrispondenti nella finestra di emissione.

info Info

Cliccar due volte sulla riga corrispondente della finestra di emissione. L´immagine contenente l´elemento configurato in modo sbagliato verrà aperta automaticamente. Se questo elemento è parte di un simbolo, quest´ultimo verrà selezionato automaticamente.

Possono essere visualizzati i seguenti messaggi di errore.

  • ALC: Immagine '%s' - sulla linea '%s' sono collegati 2 elementi con differenti Numeri Link. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - Per l'elemento '%s' sono impostati piu di due punti di connessione. Per ciascun elemento possono essere utilizzati solo una Entrata e una Uscita. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Possono essere visualizzati i seguenti avvisi.

  • ALC: Immagine '%s' - La linea con Alias '%s' è collegata con una linea non-Alias. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento con Alias '%s' è collegato con una linea non-Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento non Alias '%s' è collegato con una linea Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: ALC: Immagine '%s' - La linea '%s' è collegata solamente da un lato. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento '%s' non è collegato. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento '%s' è collegato solamente da un lato. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Nei messaggi d´errore o negli avvertimenti, gli elementi corrispondenti sono identificati usando il rifermento dell'elemento. Questo riferimento serve anche da chiave di collegamento per gli alias ALC.


Configurazione

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare l´ALC:

  1. Nelle proprietà di progetto, passare alla proprietà Configurazione ALC del gruppo Automatic Line Coloring.
  2. Cliccare sul pulsante ….
  3. Si apre la finestra di dialogo di configurazione.
  4. Configurare le proprietà desiderate per:
    • Sorgenti ALC

      Creare una nuova sorgente e progettare il colore desiderato per la topologia.

      Nota: nel farlo, tenere presente che le sorgenti di sistema (ID 0..9) hanno già un significato predefinito, oppure sono riservate a versioni successive.

      Tenere presenti anche i principi validi per la colorazione di UNDEFINED.)

    • Interblocchi

      Configurare quali sono gli interblocchi topologici che devono essere presi in considerazione il modulo Comandi.
      Nota: questa scheda del dialogo di configurazione sarà visibile solamente se si ha la licenza per il pacchetto Topologia.

    • Marker immagine

      Configurare la tabella colori per il marker di pagina per la Posizione guasto basata su impedenza.
      Nota: questa scheda del dialogo di configurazione sarà visibile solamente se si ha la licenza per il pacchetto Topologia.

Ancora in questo capitolo

Configurazione delle sorgenti

Configurazione degli interblocchi topologici

Configurazione dei marker immagine


Configurazione delle sorgenti

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione delle sorgenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le sorgenti, i loro nomi e il loro colore (successione e priorità), vengono configurate nelle proprietà di ogni singolo progetto, alla voce "Configurazione ALC". Le sorgenti con ID compreso fra 0 e 9 sono riservate alle sorgenti di sistema. Non è consentito modificare la funzione di quelle sorgenti di sistema che ne hanno già una (per es. GROUNDED - il colore della sorgente "messa a terra"). Quelle, invece, che nella versione corrente di zenon non hanno ancora nessuna funzionalità, sono riservate a versioni future del programma.

I colori sorgente a partire da ID #10 possono essere assegnati liberamente agli elementi topologici , per esempio all´elemento "Sorgente": "Generatore" o "110kV" ecc. Per farlo, aggiungere nuovi colori.

Colori sorgente

Parametro

Descrizione

Numero

Numero interno successivo e univoco, che consente un'identificazione chiara della sorgente. Questo numero viene assegnato automaticamente dal sistema e non può essere cambiato.

Attenzione: gli ID da 0 a 9 sono riservati alle sorgenti di sistema e non devono essere usati per le sorgenti specifiche dell'utente.

Nome

Denominazione logica per la sorgente (ad esempio: "acqua" o "messa a terra"). Questo nome viene utilizzato anche quando si seleziona la sorgente per elementi combinati. Si può modificare il nome cliccandoci sopra con il tasto sinistro del mouse. In questo caso, il campo di inserimento passerà alla modalità di modifica. Le modifiche vengono applicate quando si preme il tasto "Enter", oppure si seleziona un'altra sorgente.

Nota: le denominazioni non sono traducibili.

Colore linea

Colore della linea della sorgente corrispondente. Viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature.

Tratteggiato

Checkbox da attivare.
Se attiva, la linea viene disegnata tratteggiata.

Nota: questa checkbox può essere attivata solo per GROUNDED. Per tutte le altre sorgenti, questa checkbox è visualizzata in color grigio e, dunque, disabilitata.

Nuovo...

Aggiunge un nuovo colore.

Elimina

Cancella il colore selezionato.

In su (freccia)

Sposta la sorgente selezionata di una posizione verso l´alto.

All'inizio (freccia)

Sposta la sorgente selezionata all´inizio della lista.

In giù (freccia)

Sposta la sorgente selezionata di una posizione verso il basso.

Alla fine (freccia)

Sposta la sorgente selezionata alla fine della lista.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

I colori possono essere configurati direttamente inserendo il codice esadecimale corrispondente, oppure usando una tavolozza di colori.

Per input diretto:

  1. Cliccare con il tasto sinistro del mouse sulla denominazione del colore.

    Il campo passerà in modalità di modifica.

  2. Inserire il codice.
  3. Premere il tasto INVIO, oppure selezionare un´altra sorgente per applicare la modifica.

Con una tavolozza di colori:

  1. Selezionare la riga desiderata.
  2. Cliccare sul pulsante ... che si trova dietro la denominazione del colore.
    Nota: Il pulsante ... diventa visibile solamente quando si clicca sull´inserimento con il tasto sinistro del mouse.

    La tavolozza colori si apre in un menù contestuale.

  3. Selezionare il colore desiderato.

Il codice esadecimale descrive un valore di colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Identificatore che indica semplicemente che si sta usando un codice colore esadecimale.
RR | 2 caratteri che specificano la quantità di rosso del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
GG | 2 caratteri che specificano la quantità di verde del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
BB | 2 caratteri che specificano la quantità di blu del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.

info Info

La successione in questa lista rispecchia la priorità delle sorgenti; il primo elemento riceve il grado di priorità maggiore.

Per modificare il grado di priorità delle singole sorgenti, si può spostarle in alto o in basso nella lista servendosi dei "pulsanti-freccia".

attention Attenzione

Limitazioni alla possibilità di cancellare sorgenti e resettare colorazioni erronee:

Le sorgenti con ID compreso fra 0 e 9 sono riservate alle sorgenti di sistema. Non possono:

  • Essere cancellate.
  • Essere resettate come colore errato.

Cancellare sorgenti

Per poter essere cancellate, le sorgenti devono avere un ID a partire da 10 . Si può cancellare solo la sorgente con l'ID maggiore.

Resettare colorazioni erronee

Non è consentito usare nessuno dei colori delle sorgenti di sistema per resettare colorazioni errate dopo averne eliminato la causa. Si dovrà scegliere un colore con un ID a partire da 10.

Ancora in questo capitolo

Metodo di colorazione per UNDEFINED


Metodo di colorazione per UNDEFINED

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione delle sorgenti -> Metodo di colorazione per UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colorazione della rete può essere implementata in due modi con lo stato UNDEFINED:

  • Standard
  • Alimentazione prioritaria

L´impostazione del metodo di colorazione si esegue usando la proprietà di progetto Automatic Line Coloring/Metodo di colorazione.

Standard

La ricerca grafi inizia da una sorgente e prosegue attraverso tutta la rete in modo che ogni interruttore chiuso (la variabile di switch ha il valore 1) venga attraversato solamente una volta in ogni direzione e non si verifichi nessun ciclo. Nel corso di questo processo, ogni nodo attraversato (= segmento di linea) viene colorato con il colore della sorgente. Nodi sono le linee direttamente collegate.

Se la ricerca trova un interruttore la cui variabile di switch ha uno dei seguenti stati, il colore UNDEFINED viene usato per colorare la rete a partire da questo punto:

  • INVALID [valore: qualsiasi],
  • è invalid [valore: 3]
  • è in posizione intermedia [valore: 2])

Da questo momento, la ricerca grafo prosegue da questo stesso modo. Ogni interruttore viene attraversato una sola volta in una direzione con il colore UNDEFINED. Per questo motivo, ogni interruttore può essere attraversato per un massimo di quattro volte per ogni sorgente:

  1. Con numero sorgente in direzione "avanti",
  2. Con numero sorgente in direzione "indietro",
  3. Con UNDEFINED in direzione "avanti",
  4. Con UNDEFINED in direzione "indietro",

Alimentazione prioritaria

Se per la proprietà "Metodo di colorazione" si seleziona l´impostazione Alimentazione prioritaria, saranno colorate come UNDEFINED solamente quelle linee alimentate potenzialmente da almeno una sorgente, ma da nessuna sorgente in modo chiaro e univoco. Se una linea è alimentata da almeno una sorgente in modo chiaro ed univoco, non può continuare a ricevere una colorazione UNDEFINED da un´altra sorgente.

Questa ricerca viene eseguita in due fasi:

  • Nella prima fase (come nel caso dell´opzione Standard) il colore sorgente viene distribuito nella rete a partire da ogni sorgente attiva, finché l'interruttore successivo è chiuso. La ricerca viene interrotta se l´interruttore è aperto, oppure invalid/undefined.
  • Nella seconda fase, la ricerca inizia a partire da ogni interruttore invalid/undefined alimentato da una sola parte, e il colore UNDEFINED viene distribuito nella parte non alimentata della rete. Questa ricerca considera chiusi anche gli interruttori invalid/undefined e continua a distribuire dunque il colore UNDEFINED in rete finché non incontra un interruttore chiaramente aperto. La ricerca viene interrotta anche quando si arriva ad un segmento di linea che è già alimentato.


Configurazione degli interblocchi topologici

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione degli interblocchi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, il modulo Comandi può calcolare automaticamente gli interblocchi. Questi interblocchi si basano sullo stato dinamico della rete elettrica. La topologia della rete viene progettata usando ALC. Se il modulo "Comandi" riconosce che l´esecuzione di un comando corrisponde alla condizione di interblocco, impedisce che il comando in questione venga eseguito. Esempio: sulla base della configurazione ALC e degli stati attuali(ON / OFF) delle sorgenti, degli interruttori, dei separatori, ecc., il modulo Comandi può riconoscere automaticamente che l´esecuzione del comando porterebbe al verificarsi dello stato "Messa a terra". In questo caso, il sistema impedirà che il comando venga eseguito.

La configurazione della verifica degli interblocchi topologici di ALC per il modulo Comandi si esegue centralmente (per il progetto in questione). In questa sede si stabilisce se un utente può sbloccare un interblocco (ammesso che gli sia stato assegnato il livello di autorizzazione necessario per lo sblocco dell´azione).

info Info

Questa finestra di dialogo è disponibile solo se si ha una licenza sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Le impostazioni eseguite qui vengono applicate globalmente per l'intero modello topologico. Sono disponibili le seguenti condizioni:

Parametro

Descrizione

Messa a terra

Interblocco attivo se deve essere chiuso un interruttore/sezionatore uno dei cui contatti è collegato a terra e il cui altro contatto è in tensione o indefinito.

Circuito in area indefinita

Interblocco attivo se deve essere chiuso un interruttore/sezionatore in cui entrambi i contatti sono "Undefined" o "Fault".

Sezionatore sotto carico

Interblocco attivo se per la chiusura o l´apertura del sezionatore devono essere soddisfatte determinate condizioni.

Condizioni: si veda la sezione "Sezionatore sotto carico - Condizioni di blocco".

Sconnessione carico

Interblocco attivo se deve essere aperto un interruttore/sezionatore, il che avrebbe come conseguenza che un carico acceso, alimentato da una sorgente (generatore), non sarebbe più alimentato.

Area indefinita troppo grande

Interblocco attivo se deve essere chiuso un interruttore/sezionatore uno dei cui contatti è "Undefined" o "Disturbed", e l´altro no.

Il sistema segnala questo interblocco anche quando per il comando è stata configurata la direzione di switch nessuna.

Se si clicca nella colonna Imposta stati di uno di questi interblocchi, si apre un menù a tendina con tre possibili impostazioni:

Parametro | Descrizione
Non monitorato | La condizione selezionata non viene presa in considerazione in questo progetto (modello topologico).
Sbloccabile | La condizione selezionata viene presa in considerazione in questo progetto. Se viene verificata l´esistenza della condizione, l´utente del modulo Comandi potrà sbloccarla (nel tipo di immagine Comandi). L'azione di sblocco viene protocollata nellaCEL.
Non sbloccabile | La condizione selezionata viene presa in considerazione in questo progetto. L'utente non può sbloccarla.

Interblocchi topologici - Eccezione

L´interblocco topologico non viene eseguito se:

  • La variabile di un interruttore ha lo stato Revision
    oppure
  • La variabile viene corretta manualmente, oppure impostata su Valore di riserva e viene settata su un valore variabile uguale a quello iniziale; in altre parole, se l´interruttore:
    • è settato su OFF e poi viene corretto manualmente su OFF, o sostituito
    • è settato su ON e poi viene corretto manualmente su ON, o sostituito

Ancora in questo capitolo

Sezionatore sotto carico - Condizioni di interblocco


Sezionatore sotto carico - Condizioni di interblocco

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione degli interblocchi topologici -> Sezionatore sotto carico - Condizioni di interblocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´interblocco topologico Sezionatore sotto carico, la posizione di un sezionatore (aperto/chiuso) può essere cambiata solo se è soddisfatta una delle seguenti condizioni per i segmenti della linea che sono collegati dal sezionatore in questione:

Alla chiusura del sezionatore:

Il sistema verifica se la topologia prima del passaggio a ON si trova in uno di questi stati:

  • Entrambi i segmenti della linea sono alimentati/messi a terra dalla stessa sorgente;
  • Un segmento della linea non è sotto tensione e l'altro è messo a terra;
  • Un segmento della linea non è sotto carico.

All´apertura del sezionatore:

Il sistema verifica se la topologia dopo il passaggio a OFF si trova in uno di questi stati:

  • Entrambi i segmenti della linea sono alimentati dalla stessa sorgente;
  • Un segmento della linea non è più sotto carico e l'altro è messo a terra
  • Un segmento della linea non è più sotto carico.

info Info

Significato di "non sotto carico"

Lo stato non sotto carico significa:

  • O:
    tutti gli interruttori e separatori connessi al segmento della linea sono aperti.
  • Oppure:
    tutti gli interruttori e separatori connessi al segmento della linea sono chiusi, ma connettono solo ad un segmento che non è sotto carico

Inoltre, per avere lo stato non sotto carico, devono essere soddisfatte tutte le seguenti condizioni:

  • Tutti le sorgenti e i consumatori connessi al segmento di linea sono spenti.
  • Al segmento della linea non deve essere connesso nessun trasformatore.
  • Non si deve trattare di una linea che è connessa solamente a questo sezionatore (una linea aperta).


Configurazione dei marker immagine

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione dei marker immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo della configurazione ALC si configura la tavolozza di colori dei marker immagini per la rilevazione della posizione guasti basata su impedenza e il calcolo della distribuzione di carico. Vedere anche: AddMarker.

Parametro | Descrizione
Numero | Numero progressivo interno e univoco per consentire un´assegnazione chiara e univoca. Questo numero viene assegnato automaticamente dal sistema e non può essere cambiato.
Colore di linea | Colore della linea del marker immagine.
Colore di sfondo | Colore di riempimento del marker immagine.
Nuovo | Aggiunge un nuovo colore.
Elimina | Cancella il colore selezionato. Nota: si può cancellare solamente l´ultimo colore della lista. I colori standard non possono essere cancellati.

I colori possono essere configurati direttamente inserendo il codice esadecimale corrispondente, oppure usando una tavolozza di colori.

Per input diretto:

  1. Cliccare con il tasto sinistro del mouse sulla denominazione del colore.

    Il campo passerà in modalità di modifica.

  2. Inserire il codice.
  3. Premere il tasto INVIO, oppure selezionare un´altra sorgente per applicare la modifica.

Con una tavolozza di colori:

  1. Selezionare la riga desiderata.
  2. Cliccare sul pulsante ... che si trova dietro la denominazione del colore.
    Nota: Il pulsante ... diventa visibile solamente quando si clicca sull´inserimento con il tasto sinistro del mouse.

    La tavolozza colori si apre in un menù contestuale.

  3. Selezionare il colore desiderato.

Il codice esadecimale descrive un valore di colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Identificatore che indica semplicemente che si sta usando un codice colore esadecimale.
RR | 2 caratteri che specificano la quantità di rosso del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
GG | 2 caratteri che specificano la quantità di verde del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
BB | 2 caratteri che specificano la quantità di blu del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.


Funzione: "Modifica colore sorgente ALC"

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Funzione: "Modifica colore sorgente ALC"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Modifica colore sorgente ALC si può modificare temporaneamente il colore di primo piano e di sfondo di una sorgente ALC per la colorazione a Runtime. La modifica rimane valida fino alla chiusura del Runtime, all´esecuzione di un reload, oppure finché la funzione non viene eseguita di nuovo. Procedura per creare questa funzione:

  • Selezionare "Nuova funzione..." nel menù contestuale del nodo "Funzioni" del Manager di progetto, oppure il simbolo corrispondente della barra degli strumenti della visualizzazione dettagli.
  • Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; aprire il nodo "Immagini".
  • Selezionare Modifica colore sorgente ALC

  • Si aprirà la finestra di dialogo che consente di modificare il colore della linea e di riempimento della sorgente.
  • Configurare i colori desiderati.

Proprietà | Funzione
Sorgente | Menù a tendina che consente di selezionare una sorgente; accanto alle sorgenti vengono visualizzati i colori che gli sono attualmente assegnati. In questa finestra di dialogo non è possibile modificare questi colori.
Nuovi colori per la sorgente | Cliccando sul colore, si apre una finestra di dialogo che consente di selezionare un colore.


Alias per immagini dettagli

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Alias per immagini dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare singole immagini, un'area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Gli elementi d´immagine nell´immagine dettagli non vengono ripresi nel modello topologico, ma prendono i colori ALC dal modello. Per farlo, questi elementi d´immagine fanno riferimento ad un alias degli elementi dell´immagine globale.

attention Attenzione

Gli alias sono validi solamente all´interno di un progetto!

Per i simboli che contengono elementi con collegamenti ad alias, questo significa:

Se il simbolo viene aggiunto alla Libreria simboli generale, oppure alla Libreria simboli nel progetto globale e modificato in questa sede, tutte le informazioni relative agli alias ALC andranno perse vanno senza che il sistema ne informi l´utente!

Creare alias

Possono essere creati alias per i seguenti elementi:

  • Linea
  • Polilinea
  • Tubatura
  • Elemento Combinato

attention Attenzione

Non si può creare un alias ALC se nel nome dell´immagine selezionata è contenuto un punto (.).

Soluzione: sostituire nel nome dell´immagine il punto con un altro carattere, per esempio un carattere di sottolineatura (_).

Per creare un elemento sorgente come alias:

  • Nel nodo ALC delle proprietà dell´elemento, attivare la proprietà Utilizza alias.

    La relativa checkbox è attiva solo se si ha una licenza per l'ALC ed è stata attivata la proprietà Colori da ALC.

  • Cliccare sul pulsante .... della proprietà Alias.
  • Si aprirà la finestra di dialogo che consente di selezionare un elemento.

Parametro

Descrizione

Immagine

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Elementi ALC disponibili

Mostra gli elementi contenuti nell´immagine, con il loro nome, tipo elemento e tipo di funzione. Cliccando su un elemento, si seleziona un alias.

Filtro

Gli elementi possono essere filtrati in tutte le colonne. Quando si imposta un filtro in una colonna, le opzioni offerte da tutti gli altri filtri verranno ridotte a valori che possono essere combinati in modo logico .

  • Nome: inserimento di un criterio di ricerca definito dall´utente con wildcard (*). Gli ultimi 12 criteri di ricerca inseriti vengono visualizzati nel menù a tendina fino alla chiusura dell´Editor.
  • Elemento: selezione dal menù a tendina.
  • Tipo funzione: selezione dal menù a tendina.

Quando si clicca su ..., si apre la ricerca salvata oppure il menù a tendina.

Quando si clicca sul pulsante X a filtro attivo, quest´ultimo verrà cancellato.

Alias selezionato

Visualizza l´elemento selezionato nel campo Elementi ALC disponibili.

Nessuna selezione

Cancella l´elemento selezionato.

Ok

Salva la selezione e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Info

Quando si definisce un elemento come alias, la selezione può essere eseguita solamente fra gli elementi e le immagini dello stesso progetto in cui viene definito l´alias. Non possono essere selezionati elementi di sottoprogetti, oppure di progetti paralleli.

Sostituzione di nomi alias

Gli alias possono essere sostituiti in fase di cambio immagine usando "Sostituisci collegamento". Un´immagine dettagli, perciò, può visualizzare i dati di differenti parti di un impianto, per es. uscite o reti parziali. I nomi alias vengono sostituiti in modo analogo a variabili e funzioni. La sostituzione è possibile anche in elementi che sono usati in simboli. Per consentire la selezione della destinazione, viene aperta la stessa finestra di dialogo aperta per la proprietà Alias.

Nota: non è possibile la sostituzione tramite variabili indice.


Localizzazione guasti nelle reti elettriche

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità di localizzazione degli errori mette in evidenza le parti della rete soggette a messe a terra, oppure a cortocircuito, usando colori speciali della configurazione ALC. I punti di partenza per la localizzazione degli errori sono i cosiddetti dispositivi di riconoscimento messa a terra o corto circuito che sono assegnati ad un interruttore di potenza. Si parte dal presupposto che i dispositivi di riconoscimento di messa a terra o corto circuito si trovino sempre all´uscita dell´elemento "interruttore di potenza". Per questa ragione, le variabili corrispondenti (con le segnalazioni del dispositivo di sicurezza) devono essere collegate a elementi ALC con il tipo di funzione interruttore.

Le segnalazioni dei dispositivi di sicurezza vengono visualizzate mediante colori speciali - con gli ID 1 e 2, ma solo se la segnalazione arriva quando le linee sono sotto carico. Allo stesso tempo, le segnalazioni vengono settate sulle ulteriori variabili per la visualizzazione. In questo modo, nell´immagine potranno essere visualizzate graficamente anche gli errori, per esempio tramite altri elementi combinati visibili solo in caso ci sia una ragione.

La visualizzazione deve essere resettata manualmente (riconosciuta), dopo che i dispositivi di sicurezza hanno ritirato le segnalazioni.

info Info

Questa funzionalità è disponibile solo se si ha una licenza sia per la Energy Edition, che per il modulo Automatic Line Coloring (pacchetto topologia):

Localizzazione errori

La localizzazione errori viene eseguita localmente su ogni computer della rete di zenon. Ogni client della rete ha il suo modello indipendente e, perciò, può cercare indipendentemente le messe a terra e i cortocircuiti in diverse parti della topologia.

La localizzazione errori nelle reti elettriche si suddivide in:

  • Ricerca di guasto a terra
  • Ricerca di cortocircuito

Per configurare la localizzazione errori:

  • Si ha bisogno anzitutto di una licenza per l'ALC e per la Energy Edition di zenon
  • Bisogna poi creare le immagini corrispondenti.
  • Si devono configurare le proprietà del gruppo ALC degli elementi combinati utilizzati che hanno il tipo di funzione interruttore.
  • Si devono poi configurare le linee della rete elettrica in modo tale che queste vengano colorate in base alla configurazione ALC.

C`è una serie di funzioni che consentono la localizzazione errori nelle reti elettriche a Runtime:

  • Avvia ricerca messa a terra
  • Riconosci guasto messa a terra
  • Termina ricerca messa a terra
  • Riconoscimento breve messaggio

Colorazione

Le segnalazioni dei dispositivi di sicurezza vengono visualizzate mediante i colori sorgente ID 1 e ID 2. Le linee vengono colorate però solamente se la segnalazione arriva quando le linee stesse sono sotto carico. A Runtime, il colore assegnato sulla base della configurazione dell´ALC cambia automaticamente non appena muta lo stato della linea. Le colorazioni configurate possono essere modificate a Runtime usando la funzione Modifica colore sorgente ALC .

Le segnalazioni vengono elaborate nella´ordine in cui arrivano. In caso di conflitti:

  • I colori previsti per la localizzazione guasto sono considerati prioritari.
  • Le segnalazioni di cortocircuito hanno la precedenza rispetto a quelle relative al guasto "messa a terra".

Ancora in questo capitolo

Ricerca di guasto a terra

Ricerca di cortocircuito


Ricerca di guasto a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di guasto a terra serve a mettere in evidenza colorandole quelle parti della rete elettrica potenzialmente interessate da messa a terra. A questo scopo, viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente GROUND FAULT (ID 1). Nello stesso tempo, le segnalazioni vengono settate sulle ulteriori variabili per la rappresentazione grafica.

Quali parti della rete elettrica sono interessate da un guasto a terra, viene dedotto dalle corrispondenti segnalazioni provenienti dai relè di guasto a terra (indicatori di messa a terra, dispositivi di protezione con rilevamento di guasto a terra). Per quello che riguarda le segnalazioni di guasto a terra, vale quanto segue:

  • Ogni dispositivo può avere da una a tre segnalazioni di guasto a terra.
  • Le segnalazioni di guasto a terra sono elaborate o via elaborazione messaggi permanente o via elaborazione di messaggi transitori.
  • Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione.
    • leading: Prima arriva la segnalazione relativa alla direzione in avanti e/o indietro, poi quella relativa al trigger.
    • lagging: prima arriva il trigger, poi la direzione.

info Info

Un componente di una rete elettrica potenzialmente interessato da guasto a terra non viene più considerato come interessato da guasto a terra, solo dopo che si è riusciti a metterlo sotto carico.

Configurazione

Per configurare la ricerca di guasto a terra:

  1. Assegnare all´elemento combinato che deve rappresentare l´interruttore nell´immagine il Tipo funzione interruttore
  2. Configurare la modalità di riconoscimento messa a terra, l´attivazione del riconoscimento messa a terra e la visualizzazione del riconoscimento messa a terra
  3. Creare le funzioni per l´avvio della ricerca messa a terra, il ripristino del messaggio di guasto a terra e il termine della ricerca messa a terra

info Info

Per poter limitare i guasti a terra anche in reti miste, iniziando da una sorgente, si ricerca un´area soggetta a messa a terra per ogni area.

Ancora in questo capitolo

Modalità di riconoscimento messa a terra

Tipo di riconoscimento messa a terra

Visualizzazione messa a terra

Attivazione del riconoscimento messa a terra

Avviare la ricerca di guasto a terra

Riconosci guasto messa a terra

Termina ricerca messa a terra


Modalità di riconoscimento messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Modalità di riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di guasto a terra può:

  • Colorare la parte della rete elettrica potenzialmente interessata da un guasto a terra
    , oppure
  • Colorare tutta la rete in cui si è verificato un guasto a terra.

La modalità in cui viene eseguita la colorazione viene definita nella proprietà Modalità ricerca messa a terra (proprietà di progetto, nodo ALC).

Per configurare questa proprietà:

  • Nelle proprietà di progetto, passare al nodo Automatic Line Coloring.
  • Selezionare la modalità desiderata nel menù a tendina della proprietà Modalità ricerca messa a terra.
    • Colorazione rete: colora solamente la parte della rete potenzialmente interessata dal guasto a terra.
    • Colorazione intera rete: colora l´intera rete nella quale si è verificato un guasto a terra.

Questa impostazione può essere modificata a Runtime usando il modello ad oggetti delle API di zenon. In questo caso, la ricerca di guasto a terra viene ricalcolata completamente.


Tipo di riconoscimento messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Tipo di riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direzione e il tipo di elaborazione delle segnalazioni per l´elemento combinato di tipo interruttore, sono definite tramite l´impostazione Tipo. Per configurare queste impostazioni:

  1. Passare al nodo Automatic Line Coloring delle proprietà dell´elemento combinato.
  2. Passare al gruppo Riconoscimento messa a terra.
  3. Aprire il menù a tendina della proprietà Tipo e selezionare il tipo desiderato, con direzione e tipo dell´eleborazione delle segnalazioni.
    • Direzione:
      indica se viene prima il fronte positivo dell´allarme trip o il fronte positivo di una direzione.
    • Anticipo desiderato: lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip.
    • Ritardo desiderato: dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, il relè di guasto a terra è considerato non direzionale.
    • Elaborazione delle segnalazioni:
      Indica come vengono elaborate le segnalazioni.
    • Nessuno: interruttore normale; le segnalazioni non verranno elaborate.
    • Elaborazione messaggi permanenti: solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:
    • Elaborazione del messaggio transitorio: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

Nota: La distinzione tra elaborazione del messaggio permanente e l'elaborazione dei messaggi transitoria riguarda solo l'elaborazione del messaggio, non il tipo. Pertanto l’elaborazione del messaggio di un bit transitorio non si riferisce necessariamente ad un bit.

attention Attenzione

Per inibire guasti a terra intermittenti, il sistema ignora le segnalazioni di guasto a terra che sono rilevate in intervalli inferiori ai due secondi.


Visualizzazione messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Visualizzazione messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile collegata alla proprietà Visualizza è una variabile di output della localizzazione errori e visualizza lo stato registrato del relè di guasto a terra. Questo è necessario perché tutte le segnalazioni sono salvate internamente finché non vengono ripristinate. Le segnalazioni salvate, dunque, non corrispondono necessariamente allo stato attuale della variabile di feedback.

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono possono essere i seguenti:

Valore | Significato
0 | nessuna messa a terra
1 | Messa a terra in avanti
2 | Messa a terra indietro
3 | Messa a terra non direzionale
4 | Stato errore -> entrambe le direzioni hanno attivato

info Info

Per prevenire dei problemi di funzionamento della rete, la variabile collegata alla proprietà "Visualizza" dovrebbe essere una variabile locale.


Attivazione del riconoscimento messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Attivazione del riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite la proprietà Attivazione si definisce la variabile usata per la segnalazione del relè di guasto a terra. Questa variabile può contenere delle informazioni sulla presenza di guasto a terra e sulla direzione di quest´ultimo dal punto di vista del relè di guasto a terra. Si differenzia fra:

  • Relè di guasto a terra non direzionali
  • Relè di guasto a terra direzionali con allarme trip
  • Relè di guasto a terra direzionali senza allarme trip

Per configurare la variabile da collegare alla proprietà Attivazione:

  1. Passare al nodo Automatic Line Coloring delle proprietà dell´elemento combinato
  2. Passare al gruppo Riconoscimento messa a terra
    1. Per i relè di guasto a terra non direzionali:

      Cliccare sul pulsante ... della proprietà Attivazione.

      Nella finestra di dialogo che si aprirà, selezionare la variabile desiderata.

      Le proprietà per la direzione rimangono vuote.

    2. Per i relè di guasto a terra direzionali con allarme trip.

      Collegare la variabile alla proprietà Attivazione e aggiungere la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro.

    3. Per i relè di guasto a terra senza allarme trip.

      Collegare la variabile con la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

      La proprietà Attivazione rimane vuota.

Nota: se con un relè di guasto a terra direzionale rispondono entrambe le direzioni a Avanti, questo dispositivo verrà considerato difettoso e ignorato dal sistema.


Avviare la ricerca di guasto a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Avviare la ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Avvia ricerca messa a terra serve a localizzare un guasto a terra e ha due effetti a Runtime:

  1. Vengono ignorate le segnalazioni provenienti da tutti i relè di guasto a terra che sono stati progettati con elaborazione del messaggio transitorio.
  2. L´algoritmo di ricerca viene modificato: dopodiché le azioni di switch possono solamente ridurre l´area soggetta a guasto a terra. Le nuove segnalazioni di guasto a terra , dunque, non ingrandiscono l´area potenzialmente soggetta a guasto a terra.

Per configurare la funzione Avvia ricerca messa a terra:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasti nelle reti elettriche".
  • Selezionare la funzione Avvia ricerca messa a terra.

  • Collegare la funzione ad un pulsante.


Riconosci guasto messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Riconosci guasto messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Riconosci guasto messa a terra consente di ripristinare un guasto a terra registrato internamente da un relè di guasto a terra In questo modo, lo stato di guasto a terra registrato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Una segnalazione di guasto a terra viene cancellata internamente solo se è stata ripristinata e non è più in attesa.

Regole per il ripristino:

  • Se è stata collegata una variabile che corrisponde ad una variabile trigger o di direzione di un relè di guasto a terra, verrà ripristinata solo questa determinata segnalazione di guasto a terra.
  • Se non è stata collegata nessuna variabile, verranno ripristinate tutte le segnalazioni di guasto a terra.
  • Il ripristino può avvenire anche tramite il modello a oggetti delle API di zenon.

Per configurare la funzione Riconosci guasto messa a terra:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasti nelle reti elettriche".
  • Selezionare la funzione Riconosci guasto messa a terra

  • Si apre la finestra di dialogo per la selezione di una variabile.
  • Collegare la variabile desiderata alla funzione.
  • Collegare la funzione ad un pulsante.


Termina ricerca messa a terra

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Termina ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile terminare la ricerca messa a terra a Runtime con la funzione Termina ricerca messa a terra.

Per configurare la funzione:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasto nelle reti elettriche"
  • Selezionare la funzione Termina ricerca messa a terra

  • Collegate la funzione ad un pulsante


Ricerca di cortocircuito

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di cortocircuito serve a mettere in evidenza parti della rete potenzialmente interessate da cortocircuito colorandole in modo corrispondente. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente SHORT FAULT.

Quali parti della rete sono potenzialmente interessate da cortocircuito, viene evidenziato dai messaggi di cortocircuito. Un dispositivo di rilevazione guasti a terra (indicatore di cortocircuito, dispositivo di protezione) può avere da uno a tre messaggi di cortocircuito. Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione. Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Progettazione

Per configurare la ricerca di cortocircuito:

  1. Assegnare l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore
  2. Definire "Visualizzazione di cortocircuito" e "Inizializzazione rilevazione circuito"
  3. Impostare la funzione per "Riconoscimento breve messaggio"

Ancora in questo capitolo

Tipo di rilevazione circuito

Visualizzazione di cortocircuito

Inizializzazione rilevazione circuito

Riconoscimento breve messaggio


Tipo di rilevazione circuito

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Tipo di rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

  1. Passare al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato
  2. Aprire il nodo Rilevazione circuito
  3. Selezionare il tipo desiderato nella proprietà Tipo
    • Direzione:
      indica se viene prima il fronte positivo dell´allarme trip o il fronte positivo di una direzione.
    • leading:
      lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging
      dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di identificazione del cortocircuito è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • Nessuno:
      interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente:
      solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:


Visualizzazione di cortocircuito

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Visualizzazione di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione cortocircuito. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono possono essere i seguenti:

Valore | Significato
0 | Nessun cortocircuito
1 | Corto circuito in avanti
2 | Corto circuito indietro
3 | Corto circuito non direzionale


Inizializzazione rilevazione circuito

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Inizializzazione rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile per il messaggio del dispositivo di rilevazione cortocircuito viene definita tramite la Attivazione. Essa può contenere delle informazioni sulla presenza di un cortocircuito e la direzione dello stesso dal punto di vista del dispositivo di riconoscimento corto circuito Si differenzia fra:

  • rilevatore di corto circuito non-direzionale
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per:

  1. Passare al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato
  2. Aprire il nodo Rilevazione circuito
    1. Per rilevatore di corto circuito non-direzionale

      Cliccare in corrispondenza della proprietà Attivazione sul pulsante ...

      Selezionare nella finestra di dialogo che si aprirà la variabile desiderata.

      Le proprietà per la direzione rimangono vuote.

    2. Per rilevatori di corto circuito direzionali con segnalazione di intervento

      Collegare la variabile con Attivazione e aggiungere la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

    3. Per rilevatori di corto circuito direzionali senza segnalazione di intervento

      Collegare la variabile con la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

      La proprietà Attivazione rimane vuota.


Riconoscimento breve messaggio

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Riconoscimento breve messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Riconoscimento breve messaggio un cortocircuito registrato internamente da un apparecchio di rilevazione cortocircuito può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di cortocircuito viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Regole per il ripristino:

  • Se è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione cortocircuito, viene ripristinato solo questo determinato messaggio di cortocircuito
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di cortocircuito.
  • Il ripristino può avvenire anche tramite le API di zenon.

Per configurare la funzione Riconoscimento breve messaggio:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasto nelle reti elettriche"
  • Selezionare la funzione Riconoscimento breve messaggio

  • Selezionare nella finestra di dialogo che si aprirà la variabile desiderata
  • Collegare la funzione ad un pulsante.


Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rilevazione guasti basata su impedenza e il calcolo della distribuzione di carico estende l´ALC. Mentre l´ALC identifica nodi e vertici, questo modello rileva anche linee e i loro parametri. Localizzazione guasti da protezione è possibile tramite progettazione nell´Editor di zenon.

Il modello mette a disposizione proprietà e metodi per l´analisi esterna del rilevamento dei guasti e della distribuzione del carico tramite le API.

Proprietà per l´ALC e il metodo topologico esteso.

Gli elementi ALC Elemento combinato e Linea (linea, polilinea, tubo) dispongono di proprietà speciali per il rilevamento della posizione del guasto basato su impedenza e per il calcolo del carico. Le proprietà per il calcolo della distribuzione del carico non sono analizzate in zenon; per analizzare la distribuzione del carico, l´utente deve creare degli algoritmi nelle API zenon.

Il semplice modello topologico per la colorazione è stato integrato da un modello topologico esteso che include tutte le linee in forma di vertici separati. Questo modello topologico esteso viene salvato come file ALC.xml, in modo da poter essere letto da applicazioni esterne. Il file ALC.xml contiene due sezioni:

  • GraphElements:
    contiene il modello topologico esteso senza alias.
  • GraphAliases:
    contiene solo gli alias.

Ancora in questo capitolo

Localizzazione di corto circuito basata su impedenza

Modello topologico esteso

API:


Localizzazione di corto circuito basata su impedenza

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Localizzazione di corto circuito basata su impedenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la localizzazione guasto basata su impedenza, viene settato nella topologia un marker di errore nel punto della rete in cui è stato rilevato il problema. I valori di impedenza rilevati dai dispositivi di sicurezza vengono analizzati dal modulo ALC. Sulla base della topologia, i marker di errore vengono posizionati in modo corretto in un´immagine di zenon.

Se si verifica un cortocircuito e se la reattanza è diversa da zero, viene avviata la ricerca della posizione in cui si è verificato il cortocircuito:

  • Cortocircuito:
    Segnalato dalla variabile collegata alla proprietà Attivazione.
  • Reattanza:
    Valore della variabile (con il tipo di dato REAL) collegata alla proprietà Reattanza dalla protezione.

Posizione del marker

Tutte le linee vengono attraversate nella direzione corrispondente. La direzione risulta dalla reattanza negativa o positiva. La rispettiva reattanza della linea attraversata viene dedotta e il sistema continua la ricerca finché il valore della reattanza residua non è minore alla reattanza della prossima linea. Nella linea viene disegnato un marker. La posizione di questo marker corrisponde alla reattanza residua.

Se non c´è un valore di reattanza, non verrà settato nessun marker in caso di segnalazione di cortocircuito. Perché il marker possa essere disegnato in modo corretto, l´area non deve essere sotto carico durante la segnalazione di cortocircuito. In caso di segnalazioni di cortocircuito con ritardo, la reattanza viene analizzata solo dopo che è giunta la direzione di segnalazione, oppure è scaduto il timeout di 2 secondi.

La ricerca viene interrotta se è stato trovato un elemento di switch aperto, oppure un altro elemento ALC. Ogni parte della rete e ogni singola linea al suo interno vengono attraversate solamente una volta per ogni trigger; per questa ragione, in caso di curva, nella rete ci sono meno marker di quelli possibili.

Quando si esegue un reload, i marker già esistenti verranno ridisegnati esattamente nella posizione precedente al reload. Le modifiche apportate alla configurazione della localizzazione errori, vengono analizzate solo dopo il verificarsi di un nuovo cortocircuito.

Se si cancella e ripristina una segnalazione di cortocircuito, tutti i marker del trigger di questo cortocircuito verranno cancellati.

Nota: sulla base della successione di cancellazione dei cortocircuiti e della riaccensione, i marker possono rimanere visibili, anche quando la linea non è più colorata come cortocircuito.

Ancora in questo capitolo

Configurazione nell'Editor


Configurazione nell'Editor

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Localizzazione di corto circuito basata su impedenza -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la localizzazione guasto basata su impedenza, viene settato nella topologia un marker di errore nel punto della rete in cui è stato rilevato il problema. Il punto viene calcolato per impedenza, sulla base della topologia.

Procedura per configurare la localizzazione guasti basata su impedenza nell´Editor di zenon:

  1. Attivare la rilevazione errore basata su impedenza:
    1. A questo scopo, cliccare sul progetto desiderato nel Workspace.
    2. Passare al gruppo Automatic Line Coloring delle proprietà di progetto.
    3. Attivare la proprietà Posizione guasto basato su impedenza (segno di spunta nella casella).
  2. Configurare la modalità di visualizzazione del marker d´immagine usando le proprietà di progetto:
    1. Dimensione del marker di pagina
    2. Spessore linea del marker di pagina
    3. Tipo visualizzazione del marker di pagina
  3. Creare un´immagine di zenon.
  4. Posizionare l´elemento combinato all´interno dell´immagine di zenon creata.
    Si aprirà la finestra di dialogo che consente la scelta di una variabile.
  5. Configurare le impostazioni ALC per l´elemento combinato:
    1. Assicurarsi anzitutto che l´elemento combinato sia selezionato.
    2. Passare al gruppo delle proprietà Automatic Line Coloring.
    3. Sezionare nel menù a tendina della proprietà Tipo funzione l´opzione Interruttore
    4. Collegare alla proprietà Reattanza dalla protezione (nella sezione delle proprietà Locazione dell'errore/distribuzione del carico) una variabile con tipo di dato REAL con il valore della impedenza misurata.
    5. Selezionate il tipo di Rilevazione circuito nel menù a tendina della proprietà Tipo.
    6. Configurare il colore del marker nella proprietà Colore marcatore.


Modello topologico esteso

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Modello topologico esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni oggetto ha un ID univoco tramite il quale viene referenziato all´interno del file. Gli attributi corrispondono a un subset degli elementi d'immagine di zenon che hanno creato gli elementi.

GraphElement

ID | Descrizione
Picture | Nome immagine
ElementID | ID dell´elemento d´immagine
ElementRef | Riferimento dell´elemento d´immagine
Type | Tipo dell´elemento d´immagine (vedi "Elementi")
SourceID | Numero della sorgente
ReverseSourceID | Numero della sorgente in direzione "indietro".
Variable | Variabile di stato
VarProtReact | Variabile di reattanza
MaxIType | Tipo di corrente massima
MaxIVal | Valore costante corrente massima
VarMaxI | Variabile corrente massima
VarCurI | Variabile corrente istantanea
VarCalcI | Variabile correte calcolata
VarCurP | Variabile potenza istantanea
LoadType | Tipo di carico
LoadVal | Valore costante carico
VarLoad | Variabile carico
React | Reattanza
Resist | Resistenza
Length | Lunghezza linea
Node1IDs | Lista di tutti gli elementi ID connessi con il nodo 1
Node2IDs | Lista di tutti gli elementi ID connessi con il nodo 2

GraphAlias

ID | Descrizione
Picture | Nome Immagine
ElementID | ID dell´elemento d´immagine
ElementRef | Riferimento dell´elemento d´immagine
Type | Tipo dell´elemento d´immagine (vedi "Element")
OrigElemRef | Elemento d´immagine - Riferimento all´elemento d´immagine originale.
OrigGraphElemID | ID dell´elemento originale in "GraphElements"


API:

Manuale -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> API:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello a oggetti delle API di zenon, per il modello sono disponibili gli oggetti ALCGraphElement e ALCGraphAlias. Questi oggetti contengono la stessa informazione del file XML. Si può accedere a questi oggetti nell´ALC Engine via:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Interblocchi topologici specifici per l´utente.

Quando il sistema controlla un interblocco topologico, nell´ALC Engine viene attivato il seguente evento:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

Vengono trasferite informazioni su interruttore/sezionatore che deve essere commutato e il nuovo stato. L´evento può popolare LockResult, bUnlockable e bsText per visualizzare una condizione di interblocco violata. Se l´eventhandler restituisce tpBusy in LockResult, continuerà ad essere interrogato finché non restituirà più tpBusy; la query, però, può durare al massimo 10 secondi. Dopo 10 secondi l´interblocco è attivo. Testo di interblocco e possibilità di sblocco sono restituite da bsText e bUnlockable.

Marker immagine

È possibile inserire a Runtime elementi marker nelle immagini usando le API di zenon. Marker sono disponibili per i seguenti elementi:

  • Linea
  • Polilinea
  • Tubatura

I marker vengono aggiunti o cancellati mediante le funzioni API in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Il GUID fornito da AddMarker(), identifica il marker in modo univoco e serve sia da nome elemento (con il prefisso„$MARKER_"),che da chiave per effettuare la cancellazione via DelMarker(). I marker inseriti via API vengono salvati nel progetto in relazione all´immagine. Attenzione: il salvataggio non viene eseguito in modo ritentivo, cioè è valido fino al riavvio del Runtime.

Indipendentemente dal monitor su cui l´immagine viene aperta, il sistema visualizza i marker che sono in essa settati. I marker sono trattati internamente come normali elementi d'immagine. Vengono dunque scatenati eventi mouse.

L´aspetto dei marker viene impostato usando le impostazioni di progetto, nell´area Automatic Line Coloring della configurazione di progetto:

  • Tipo visualizzazione del marker di pagina: Triangolo, Cerchio, Quadrato, Croce
  • Dimensione del marker di pagina: Dimensione in pixel
  • Spessore linea del marker di pagina: Larghezza in pixel
  • Colore marker: è definito via Indice nella tabella colori marker, che si trova nelle proprietà degli elementi ad immagine nel gruppo Automatic Line Coloring.


Backup di progetto

Manuale -> Backup di progetto

Un progetto consiste di file Editor e file Runtime. Il trasferimento dei file Runtime è possibile, ad esempio, mediante il Trasporto remoto. Questo capitolo contiene informazioni relative al backup e al ripristino dei file Editor di un progetto.

Quando si esegue il backup di un progetto, viene creato un file ZIP contenente lo stato salvato del progetto stesso. Questo backup può essere poi riletto sullo stesso o su un altro computer. È possibile anche eseguire un versionamento dei backup di un progetto.

Nel Manager di progetto c´è un nodo specifico chiamato Backup di progetto. Si veda anche il capitolo: Editor Manager di progetto. Il menù contestuale di questo nodo del Manager di progetto offre le opzioni Crea backup e Importa backup.

attention Attenzione

I backup di progetto creati con zenon e Server Express SQL (SQL Server 2005), non possono essere riletti in un server di database MSDE (o Server SQL 2000)!

attention Attenzione

I simboli della Libreria simboli generale vengono salvati per gruppo (per esempio Tank, Substation, ...) localmente in un file apposito (*.sym) nella cartella di programma zenon. Per i progetti multi-user e in caso di inoltro di progetti, questi file devono essere sempre aggiunti manualmente al backup di progetto.

I simboli della libreria del progetto locale o del progetto globale sono contenuti automaticamente nel corrispondente backup di progetto.

Suggerimento: salvare simboli sempre localmente.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Crea backup... | Apre la finestra di dialogo che consente di creare un backup di progetto.
Importa backup | Apre il File manager consentendo così di selezionare un file di backup; quest´ultimo verrà poi importato nella lista.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Progettazione nell'editor

Versionamento


Progettazione nell'editor

Manuale -> Backup di progetto -> Progettazione nell'editor

I backup di progetto vengono creati, gestiti e ripristinati nel nodo Backup di progetto.

Potete:

  • Creare ed esportare backup di progetto
  • Ripristinare backup progetto
  • Salvare il workspace ed effettuare un backup
  • Cancellare progetti

Quando si seleziona il nodo Backup di progetto nel Manager di progetto, il sistema mostra nella visualizzazione dettagli del Manager di progetto tutti file di backup esistenti.

Ancora in questo capitolo

Backup di progetto - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Creare backup e esportare progetto

Ripristinare backup di progetto

Backup e ripristino del workspace

Elimina progetto


Backup di progetto - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Manuale -> Backup di progetto -> Progettazione nell'editor -> Backup di progetto - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù

Azione

Crea backup...

Apre la finestra di dialogo che consente di creare un backup di progetto.

Ripristina backup

Ripristina lo stato del progetto salvato nel file di backup.

Ripristina backup di progetto come nuovo progetto

Crea un nuovo progetto con i dati del file di backup.

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Esporta backup

Apre la finestra di dialogo che consente di selezionare una cartella per il file di backup e di esportare quest´ultimo.

Importa backup

Apre il File manager consentendo così di selezionare un file di backup; quest´ultimo verrà poi importato nella lista.

Confronta i backup di progetto selezionati nel Log delle modifiche

Questa opzione è attiva solo quando è stato selezionato più di un inserimento nella lista della visualizzazione dettagli.

Il sistema trova la versione più vecchia e quella più recente. Viene creato un filtro tempo con il quale si passa al Log delle modifiche; qui verranno visualizzate le differenze fra i file di backup selezionati.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Creare backup e esportare progetto

Manuale -> Backup di progetto -> Progettazione nell'editor -> Creare backup e esportare progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare backup di progetto

Per creare un backup di progetto, cliccare con il tasto destro del mouse nel Manager di progetto su Backup di progetto e selezionare la voce Crea backup .

Si aprirà la finestra di dialogo che consente di creare un backup del progetto:

Opzione | Descrizione
Nome file | Nome del file ZIP per il backup di progetto.
Descrizione | Testo libero di commento.
OK | Applica gli inserimenti e crea un backup di progetto.
Annulla | Termina la creazione del backup di progetto.
Guida | Apre la guida online.

Nota: quando si converte un progetto in una versione più recente del software, viene creato automaticamente un backup di progetto. Se il nome è identico a quello di un backup già esistente, quest´ultimo verrà sovrascritto automaticamente senza una richiesta di conferma.

attention Attenzione

Dato che il servizio zenDbSrv.exe viene eseguito solamente con i diritti locali e non con quelli dell’utente loggato, non è possibile creare un backup su un´unità di rete!

zenon salva il backup di progetto in una cartella di banca dati (SQL) propria, predefinita:

%ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP

info Info

Anche quando si crea un backup di un workspace, per tutti i progetti di questo workspace viene creato un backup. I relativi file, tuttavia, non sono contenuti nel nodo “Backup di progetto” e non possono essere riletti singolarmente.

Esportare progetto

I backup di progetto possono essere esportati in qualsiasi momento da zenon (per es. per inviarli, o per trasferirli su un altro computer). Procedura: cliccare con il tasto destro del mouse sul backup di progetto desiderato e selezionare Esporta backup nel menù contestuale . Nella finestra di dialogo che si aprirà, selezionare la cartella e confermare con OK.
Quando il backup di progetto dura più di 1 secondo, viene visualizzata una barra di avanzamento.
Le informazioni relative all´esportazione del backup (per esempio: successo/insuccesso) vengono visualizzate nella finestra di emissione.

Tutti i backup di un progetto vengono visualizzati nella visualizzazione dettagli quando si clicca sul nodo “Backup di progetto” del Manager di progetto.

(Si veda anche Manager di progetto, Visualizzazione dettagli del Manager di progetto.)


Ripristinare backup di progetto

Manuale -> Backup di progetto -> Progettazione nell'editor -> Ripristinare backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I backup di progetto possono essere ripristinati tramite:

  • Il workspace
  • Il nodo “Backup di progetto” del Manager di progetto.

attention Attenzione

I progetti di zenon realizzati con la versione 6.01 o 6.20, non possono essere più riletti direttamente in zenon 7.10 o in versioni successive.

Background: le versioni che si basano su MSDE (SQL Server 2000), non sono compatibili con il server SQL 2012 usato in zenon 7.10.

Soluzione: innanzitutto convertire il progetto in zenon 7.0, e poi in 7.10 o in versioni successive.

Workspace

  1. Nel menù contestuale del workspace, selezionare il comando Ripristina backup di progetto...
  2. Si aprirà la finestra di dialogo che consente di selezionare un backup di progetto.

Parametro

Descrizione

File di Backup

Selezione del file che deve essere riletto.

Cliccando sul comando ..., si apre la finestra di dialogo che consente di selezionare un file.

Genera un nuovo progetto

Attivo: verrà creato un nuovo progetto nella banca dati.

Dettagli backup

Informazioni sul progetto che deve essere ripristinato:

  • Nome
  • ID progetto
  • Versione Editor
  • Versione di progetto (solo se è attivo il Versionamento).
  • Descrizione

Tutti i dati vengono ripresi dal progetto che deve essere ripristinato e hanno uno scopo puramente informativo. Non sarà dunque possibile modificarli in questa finestra di dialogo.

OK

I dati vengono applicati e il progetto selezionato viene riletto.

Annulla

Rifiuta tutti i dati e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nodo “Backup di progetto”

  1. Passare al nodo Backup di progetto del Manager di progetto.
  2. Selezionare il backup desiderato
    Nota: Se il backup desiderato non dovesse essere presente nella lista della Visualizzazione dettagli, importarlo.
  3. Nel menù contestuale oppure nella barra degli strumenti, selezionare il comando Ripristina backup.
  4. Il backup di progetto verrà ripristinato dopo una richiesta di conferma e verrà attivato automaticamente

attention Attenzione

I progetti

  • Che sono stati creati con Server SQL 2005 Express, non possono più essere utilizzati su SQL 2000 (MSDE).
  • Che sono stati creati con SQL Server 2008 R2, non possono più essere utilizzati con SQL Server 2005 Express .

Importare backup di progetto

Nel menù contestuale del nodo Backup di progetto del Manager di progetto, selezionare la voce Importa backup. Prima viene importato il progetto e, in un secondo momento, viene ripristinato.

Prima di tutto il sistema controlla automaticamente se il file di backup desiderato del progetto esiste già. Se non esiste ancora, il file importato viene inserito nella lista dei backup di progetto. Tutti i progetti che sono stati già importati, ma che non sono stati ancora ripristinati, vengono aggiunti alla lista dei backup nella Visualizzazione dettagli del Manager di progetto.

In questa finestra viene visualizzata una lista di tutti i backup che sono stati creati per un determinato progetto. I nomi file possono essere modificati nella lista.

Esportare e importare backup di progetto

Può essere necessario importare od esportare un backup di progetto se si vuole usare i file Editor di un progetto su un altro PC. Quando lo si esporta, il file di backup viene copiato dalla cartella %ProgramData%\COPA-DATA\[SQL folder]\Projectname su un altro dispositivo (per es.: su una chiavetta USB). Sia l'importazione che l'esportazione sono operazioni di copia, e non azioni di spostamento.

Cancellare backup di progetto

I file di backup vengono cancellati dalla cartella %ProgramData%\COPA-DATA\[SQL folder]\Projectname.

Gestione degli errori

Errore | Soluzione
Backup di progetto non è visualizzato. | Il nodo Backup di progetto elenca solamente quei progetti che sono contenuti nella cartella Standard SQL/Backup. I progetti di altre cartelle possono essere importati manualmente.
Il pulsante OK è disattivato nella finestra di dialogo di ripristino. | Il file ZIP selezionato contiene dati non validi. Forse è stato selezionato un backup di workspace o un altro file ZIP.
Storia dei backup di progetto non è più disponibile. | Il progetto è stato rinominato e perciò la storia non è più disponibile. Il file di backup, però, esiste ancora e può essere importato manualmente, oppure riletto usando il menù contestuale del workspace.


Backup e ripristino del workspace

Manuale -> Backup di progetto -> Progettazione nell'editor -> Backup e ripristino del workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare il backup di un workspace.

Selezionare nel menù contestuale del workspace la voce Workspace -> Crea backup. I backup di Workspace vengono salvati come file *.wsb. Il nome del backup può essere scelto liberamente dall´utente.

Nota: Quando si crea un backup del workspace, viene creato automaticamente un backup di tutti i progetti contenuti nel Workspace in questione. I relativi file, tuttavia, non sono contenuti nel nodo “Backup di progetto” e non possono essere riletti singolarmente.

Ripristinare backup

Quando il Workspace è aperto/chiuso:

Nel menù contestuale del Workspace, selezionare la voce Workspace/Ripristina backup.... Si apre la finestra di dialogo che consente di selezionare un backup e stabilire in quale cartella deve essere eseguito il ripristino.


Elimina progetto

Manuale -> Backup di progetto -> Progettazione nell'editor -> Elimina progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un progetto, selezionate la voce Progetto / Elimina del menu contestuale del progetto stesso.

attention Attenzione

Quando si cancella un progetto, tutte le connessioni alla database aperte vengono interrotte. Questo non accade al momento della effettuazione di un backup di un progetto esistente.


Versionamento

Manuale -> Backup di progetto -> Versionamento

I backup di progetto possono essere versionati. Le versioni sono identificate e messe in ordine mediante un numero progressivo e la data/ora della loro creazione.

Per attivare il versionamento:

  1. navigate nelle proprietà proprietà di progetto e passate al nodo Generale
  2. passate al settore Versionamento
  3. attivate la proprietà Attiva versionamento
  4. assegnate nella proprietà Versione generale un numero principale

In tal modo verrà generato ad ogni backup di progetto un numero per la versione di progetto. Questo numero consiste di Versione generale e di un numero dettaglio assegnato internamente, separati da un punto. Questo numero dettaglio vene elevato di una unità ad ogni backup di progetto. La versione di un backup di progetto viene visualizzata in:

  • la visuale dettagliata del nodo Backup di progetto
  • nel dialogo di ripristino di un backup nel workspace

Il numero di Versione progetto viene controllato in caso di trasmissione dei file Runtime per Trasporto Remoto o tramite la topopogia di rete; esso può essere letto via VBA o una variabile del driver di sistema. Se nell´Editor è caricata un´altra versione, il sistema visualizzerà un avvertimento. Nel caso in cui si verifichi un conflitto nel corso della trasmissione dei file Runtime tramite la rete, per tutti i progetti che devono essere trasmessi a questo calcolatore e per cui sussiste tale conflitto, la trasmissione può essere accettata o rifiutata.

Lo stato complessivo del progetto può essere accettato nel backup di progetto anche in forma di export XML.

info Info

Il versionamento funziona anche nell´engineering distribuito. In tal caso, il project.ini di un backup deve poter essere bloccato sul server per eventuali tentativi di modifica. I file XML vengono salvati solamente in caso di backup locali.

Backup della successione corretta

Nel versionamento può essere assegnato a piacere il Versione generale. Sulla base da questo numero principale, viene calcolato automaticamente il numero dettaglio con ogni nuovo backup a partire da 0. Se si modifica il Versione generale, l´assegnazione del numero dettaglio comincia di nuovo da 0.

Fate attenzione a Versione generale universale e a universale versionamento. Visto che gli utenti possono cambiare liberamente il Versione generale, esiste la possibilità:

  • di una successione casuale

    per es. . 2.1 è seguito da 1.0

  • uso plurimo dello stesso numero

    per es. 1.0, 1.1, 1.2, 1.0

  • disattivare temporanemente il versionamento

    Il che significa: i backup di progetto senza numero di versione vengono mescolati a quelli versionati

Per assicurare una visione chiara della successione dei singoli backup di progetto, il sistema salva nel project.ini anche l´orario in cui il backup in questione è stato salvato.

XML-Export

Se la proprietà Esportazione XML attiva è attiva, nell´ambito del backup di progetto viene impostato un file compresso del nome VERSION.ZIP. Esso contiene i dati XML export di:

  • Variabile
  • Tipi di dato
  • Matrici di reazione
  • Attribuzioni
  • Allarmi
  • Unità di misura
  • Immagini
  • Modelli
  • Lista caratteri
  • Tavolozza colori
  • Libreria simboli - Progetto
  • Funzioni
  • Archiviazione
  • Ricette
  • Manager gruppi di ricette
  • Temporizzatori
  • Macro VBA
  • Interblocchi
  • Comandi
  • EMS
  • Menu
  • Gestione user
  • Gruppi utenti
  • Interfaccia SAP

Il contenuto dei file corrisponde a quello che viene generato nel caso di un export XML manuale

Il contenuto di questi file XML corrisponde a quello che viene generato nel caso di un comune export in forma XML. Nel caso di progetti multiuser, gli export XML vengono generati solamente con backup locali.

Variabile di sistema

Analogamente alla proprietà Versione progetto, esiste anche una variabile di sistema Versione del progetto nel tema Informazioni di sistema.

Ancora in questo capitolo

Trattamento errori


Trattamento errori

Manuale -> Backup di progetto -> Versionamento -> Trattamento errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori di versionamento vengono visualizzati e trattati in file Log, nella finestra di emissione e in segnalazioni popup.

Diagnosis Viewer

Inserimenti nei file Log.

Inserimento | Descrizione
Error BackupDatabase: Skip on an Error in BackupXml: [Pfad] | Errore nella creazione di VERSION.ZIP con i file Xml-Export durante il backup di progetto. Il backup è stato realizzato, ma mancano i file Xml.
GetDBBackupStatus: BINARY.ZIP not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file BINARY.ZIP non è stato trovato, il backup è danneggiato.
GetDBBackupStatus: project.ini not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file project.ini non è stato trovato, il backup è danneggiato.

Finestra di emissione

Inserimenti nella finestra di emissione:

Inserimento Output Window

Spiegazione: cosa significa?

La trasmissione del progetto '%s' è stata rifiutata.

Ci sono due possibili cause:

  • Nel corso del controllo di versione si è verificato un conflitto e l´utente ha rifiutato la trasmissione.
  • Nel corso del controllo di versione si è verificato un errore.

Nessun percorso di progetto definito.

Errore nel controllo di versione.

Segnalazioni Popup

Segnalazioni di errore in popup:

Messaggio di errore

Descrizione

La versione %d.%d del progetto sul calcolatore di destinazione non corrisponde: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con il Trasporto Remoto:

per il progetto è stato attivato il versionamento e il numero di versione del progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Sì:
  • No: nessuna trasmissione

Sul computer %s non corrisponde la versione %d.%d del progetto %s: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con la topologia di rete:

per uno o più progetti è stato attivato il versionamento e il numero di versione di questo progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Si: Si prosegue la trasmissione
  • No: nessuna trasmissione
  • Sì tutti: si continua la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se lo si deve trasmettere
  • No tutti: si termina la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se se ne deve interrompere la trasmissione

Questo dialogo viene riaperto se, nel corso della trasmissione a un altro calcolatore di destinazione, si verifica di nuovo un conflitto di versioni.

Non è possibile salvare il progetto perchè il 'project.ini' è bloccato!

Nel corso della realizzazione di un backup di un progetto multi-user con versionamento, si deve elevare il numero di versione nel project.ini. Ciò non è possibilie perché il project.ini è bloccato per le modifiche.


Batch Control

Manuale -> Batch Control

Il modulo Batch Control offre la possibilità di automatizzare processi produttivi su base lotti. Il modulo è conforme a quanto previsto dallo standard ANSI/ISA–88.01–1995, conosciuto anche come ANSI/ISA–S88.

Per il Batch Control ci sono due diversi Editor disponibili a Runtime:

  • Editor matrice: per ricette semplici, eseguite in modo sequenziale o parallelo.
  • Editor PFC: per ricette complesse, con diramazioni.

Dal tipo di licenza di cui si è in possesso dipende se si ha a disposizione entrambi gli Editor, o solamente l´Editor matrice.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. La licenza è differente per l´uso di:

  • Editor matrice
  • Editor matrice e Editor PFC

Editor:

La configurazione nell´Editor di zenon è possibile solo se si è un possesso della licenza per uno dei due Editor Batch.

Runtime:

Per quello che riguarda l´esecuzione a Runtime, la lista verrà popolata di ricette solo se si ha la licenza per un Editor Batch. La creazione e la modifica delle ricette è possibile sempre solo per l´Editor per cui si è un possesso di una licenza.

Rete:

In rete vale sempre la licenza del server. Eventuali licenze proprie dei client verranno ignorate nel funzionamento della rete.

attention Attenzione

Note nell´embedded help dell´Editor relative a VBA Keywords sono ancora senza funzione nella versione attuale.

Note relative al passaggio dalla versione 7.00 alla 7.10, o ad una versione successiva

Prima di convertire un progetto in una nuova versione di zenon, tutte le ricette devono essere completate. L´esecuzione delle ricette attive non continuerà dopo il riavvio del sistema. Il riavvio funziona solamente nell´ambito della stessa versione di zenon.

Attenzione: i progetti con ricette create con la versione 7.10 di zenon o con versioni più recenti, non possono essere eseguiti in zenon 7.0.

Conseguenze al di fuori del modulo Batch Control

Se si usano differenti versioni per Editor e Runtime, potrebbero emergere dei problemi se si ha una licenza per il modulo Batch Control, ma non si usa questo modulo.

Background: non appena viene registrata la licenza per il modulo, vengono compilati alcuni file Runtime. Un progetto batch che è stato compilato con la versione 7.0, però, non può essere eseguito in 7.10.

Soluzioni:

  • Compilare il progetto con un Editor della versione 7.10 o successiva.
  • Usare un Runtime della versione 7.0.
  • Usare una licenza che non include il modulo Batch Control.

Batch Control e modulo Sequenze di comando

Se si ha una licenza sia per il modulo Batch Control che per le Sequenze di comando, si seleziona quale modulo utilizzare a Runtime nelle proprietà di progetto.

Procedura per selezionare il modulo preferito a Runtime:

  • Nell´Editor, cliccare sul nodo del progetto in questione.
  • Passare al gruppo di proprietà di progetto Impostazioni Runtime.
  • Alla voce Modulo di licenza a Runtime, selezionare nel menù a tendina della proprietà Modulo preferito Sequenze di comando (default) o Batch Control.

Il modulo selezionato sarà poi disponibile a Runtime per ulteriori configurazioni.

Ancora in questo capitolo

Introduzione

Terminologia

Procedura

Configurazione nell'Editor

Conversione

Configurazione e gestione a Runtime

Autorizzazioni Funzioni

Comportamento in rete

Reporting

Editor delle formule

Esportazione XML: unità, fasi e ricette.

CEL

Gestione delle malfunzioni

Gestione errori


Introduzione

Manuale -> Batch Control -> Introduzione

Il modulo Batch Control consiste di tre parti:

  1. L´ambiente di progettazione nell´Editor di zenon:
    Qui vengono create tutte le unità (nomenclatura ISA, capitolo 4.2.5: Units) con le loro fasi (ISA - 5.1.2.4: Phases) e reazioni. Le fasi devono avere un equivalente nel "control" (ISA: Equipment Control), chiamato funzione tecnologica (ISA: Process Action).
    Il modulo Batch Control riflette il modello fisico (in conformità allo standard ISA 4.2) come livello gerarchico piatto basato su unità (Units).
    Sì è scelto deliberatamente di rinunciare ad altri livelli del modello, come cella del processo, area, fabbrica ecc. Anche per quello che riguarda la creazione delle ricette batch, sono stati implementati solo il livello più basso (fasi) di "ISA structure model 5.1" e le ricette parziali (Operation). Gli altri livelli (come "unit procedures" e "procedures") non sono disponibili.
  2. Editor PFC e Editor matrice:
    Con questi Editor si creano le ricette master nel Runtime di zenon (ISA: Master recipes). Da queste ultime derivano le ricette di controllo (ISA: Control recipes) che possono essere eseguite (vedi anche ISA 5.3.1.). Durante il processo, l´esatto stato della ricetta batch viene visualizzato nel rispettivo Editor e l´utente ha la possibilità di intervenire nella procedura di esecuzione della ricetta.
  3. Recipe Execution Engine (REE):
    Il REE è integrato direttamente nel Runtime di zenon ed esegue in background una ricetta batch in modo completamente automatico. L´utente può gestire il REE usando comandi come Start, Pausa, Stop ecc. Ci sono tre possibili modalità di esecuzione: automatico, semiautomatico e manuale.

Particolarità del modulo Batch Control.

A differenza della maggior parte degli altri moduli di zenon, nel Batch Control la progettazione avviene in gran parte (la creazione delle ricette) a Runtime e non nell´Editor. Questo comporta tutta un serie di particolarità che saranno illustrate nei capitoli di questa documentazione. Le fasi modificate, per esempio, non vengono più trasferite in una ricetta master già rilasciata, in modo tale da evitare cambi di dati indesiderati.

Il modulo è concepito in modo tale da essere completamente indipendente dal tipo di PLC. Questo significa in concreto che il trasferimento dati avviene tramite tutti i driver Energy di zenon disponibili, o anche con RTU. Questi ultimi si limitano ad eseguire le funzioni tecnologiche. Tutto il processo di esecuzione della ricetta avviene sul PC nel REE. Per questa ragione non è necessario modificare il codice del PLC quando si cambia qualcosa in una ricetta batch, o si creano nuove ricette master.

Il modulo si attiene alla rigorosa separazione fra elaborazione della ricetta batch (ISA: Procedural Control Model) ed esecuzione della funzione tecnologica (ISA: Process Model) descritta nel capitolo in 5.2.1 dello standard ISA–S88.

Struttura di base della comunicazione

Per la comunicazione con il processo si usano variabili standard di zenon. Visto però che le variabili hanno spesso denominazioni molto tecniche e dunque di difficile lettura, è stato introdotto un ulteriore livello di astrazione. Questo livello contiene dei parametri disponibili in due forme:

  • Parametri di comando: vengono usati per inviare valori impostabili al PLC durante l´esecuzione di una fase.
  • Parametri di feedback. vengono usati per rileggere i valori dal PLC, in modo tale da poterli analizzare.

Con entrambi i tipi di parametri si può sia scrivere (per es. in reazioni), che leggere (per es. in condizioni) valori.

Schema:

Il PLC comunica con il driver di zenon, quest´ultimo con il Runtime di zenon. Il Runtime inoltra i valori al REE, dove questi vengono elaborati. Il REE funziona internamente in modo asincrono con il Runtime di zenon in un ciclo di 100 ms.

Rete

Il modulo Batch Control è perfettamente compatibile per un uso in rete con tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. Per il resto tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby!


Terminologia

Manuale -> Batch Control -> Terminologia

Nel modulo Batch Contro di zenon si usano i seguenti termini:

Espressione | Definizione
Unità | Macchinario concreto o parte di un impianto, con cui possono essere eseguite delle fasi. (ISA 88: Unit)
Rilascio unità | Elemento del modulo Batch Control che cancella l'assegnazione di una unità nel Manager unità. In questo modo, l'unità può essere riassegnata in un´altra ricetta.
Assegnazione unità | Elemento del modulo Batch Control che causa l'assegnazione di un´unità nel Manager unità. Un'unità assegnata può essere utilizzata solamente dalle fasi all´interno della ricetta. In questo modo, l'unità è bloccata per le fasi di altre ricette eseguite in parallelo.
Manager unità | Meccanismo interno di gestione che amministra l´assegnazione delle unità per tutti i REE a Runtime.
Azione | Nel modulo Batch Control: tutti i comandi che vengono utilizzati per la modifica di una ricette, per esempio "Inserisci fase", "Testare ricetta" ecc.
Inizio sequenza parallela | Elemento che consente di suddividere il processo di esecuzione della ricetta in due o più sequenze.
Selezione di inizio sequenza | Elemento che consente di suddividere il processo di esecuzione della ricetta in due o più sequenze, di cui solo una può essere attiva. Ognuna delle sequenze successive deve iniziare con una transizione. La transizione determina quale sequenza viene eseguita nel processo.
Elemento iniziale | Elemento del modulo Batch Control, con cui inizia ogni ricetta.
Elemento attivo | Posizione in una ricetta del modulo Batch Control in cui il processo in modalità semi-automatica e manuale viene interrotto automaticamente e gli elementi attivi vengono messi in pausa. Con il comando "step successivo", il processo verrà ripreso da questa posizione.
Batch Control | Strumento per la creazione e l'esecuzione di ricette master e ricette di controllo conformi alla normativa ISA S88.
Operazione batch | Elaborazione automatica e sequenziale di una serie di operazioni singole.
Parametro di comando | Termine generico per parametro iniziale e parametro di setpoint.
Fine sequenza parallela | Elemento che ricongiunge il processo di elaborazione della ricetta suddiviso in due o più rami nuovamente in un unico ramo.
Fine sequenza | Elemento che ricongiunge una diramazione iniziata con un elemento "selezione di inizio sequenza".
Elemento finale | Elemento del modulo Batch Control, con cui finisce ogni ricetta.
Fase | Processo predefinito costituito da un blocco input, parametri di comando e di ritorno, una condizione di fase completata, risposta ad eventi ecc. (ISA 88: Phase)
Parametro iniziale | Tipo di parametro per valori di default della fase. I valori vengono scritti prima della verifica dell´interblocco di ingresso.
Comando | Nel modulo Batch Control: comando che interviene nel processo di elaborazione della ricetta, per esempio: avvio, arresto, cambio di modalità, ecc..
Ricetta-matrice | Ricetta del modulo Batch Control creata con l'Editor matrici.
Sequenza parallela | Nel modulo Batch Control. Una sequenza parallela inizia con un elemento "inizio sequenza parallela" e si ricongiunge alla sequenza attiva tramite una "fine sequenza parallela". Tra questi elementi, ci sono almeno due sequenze eseguite contemporaneamente.
Parametro | Collegamento di una variabile a una fase.
Ricetta PFC | Ricetta del modulo Batch Controlcreata con l'Editor PFC.
REE - Recipe Execution Engine | Parte del modulo Batch Control che controlla il flusso delle ricette. Il motore esegue una ricetta di controllo e gestisce l'intero processo della ricetta.
Ricetta | Nelle ricette possono essere salvati in forma riassuntiva dati dati correlati, come, ad esempio, parametri di macchinari e dati formato. Questi dati possono essere trasferiti al dispositivo con un solo passaggio e, viceversa, riletti altrettanto facilmente. Si distingue fra 'ricette standard' e 'ricette RGM'. Nel modulo Batch Control, in una ricetta sono definiti non solo i dati, ma anche la procedura. Si distingue tra ricetta matrice e ricetta PFC.
Parametro di feedback | Tipo di parametro per valori che si acquisiscono dal PLC.
Jump target | Elemento del modulo Batch Control che consente di passare direttamente ad una posizione definita di un ramo.
Ricetta di controllo | Parte del modulo Batch Control. Contiene la struttura di un processo di produzione basato sul metodo batch, in conformità di quando previsto dallo standard ISA 88. Una ricetta di controllo è sempre derivata da una ricetta master e può essere eseguita una volta sola. (ISA 88: Control recipe)
Ricetta parziale | Nel modulo Batch Control le ricette possono essere suddivise in singole parti. Le ricette parziali vengono gestite in una libreria centrale. Nella ricetta possono essere aggiunte istanze di ricette parziali. I parametri delle fasi utilizzate possono essere modificati; la struttura può essere modificata solo nel modello ricetta parziale.
Transizione | Elemento del modulo Batch Control che contiene una condizione. L'elemento viene usato dopo le fasi per garantire un passaggio definito da una fase a quella successiva.
Linea di connessione | Parte dell´elemento di connessione del modulo Batch Control: posiziona il punto di connessione sull'elemento.
Punto di connessione | Parte dell´elemento di connessione del modulo Batch Control. Collega due elementi tra di loro (per.es.: una fase con un´altra fase, o una fase con una linea). Cambia colore quando il cursore del mouse si trova su di esso.
Elemento di connessione | Possibilità esistente nel modulo Batch Control di collegare due elementi l´uno con l´altro. E' composto da punto di connessione e linea di connessione
Diramazione | Area del modulo Batch Control che consente una suddivisione in due o più rami, di cui solo uno può essere attivo durante il processo di esecuzione di una ricetta. Si tratta di una ramificazione aut/aut. Una diramazione comincia sempre con un elemento di selezione di inizio sequenza e termina con un elemento di fine sequenza.
Ricetta master | Parte del modulo Batch Control. Contiene la struttura di un processo di produzione basato sul metodo batch, in conformità di quando previsto dallo standard ISA 88. Una ricetta è costituita dai seguenti componenti: Fasi, transizioni, sequenza parallela ecc.(ISA 88: Master recipe). Le ricette master servono come modello per le ricette di controllo.
Parametro di setpoint | Tipo di parametro per valori di default della fase. I valori vengono scritti dopo una riuscita verifica dell´interblocco di ingresso.
Ramo | Un´area di esecuzione nel modulo Batch Control. Su di esso possono essere messe fasi, transizioni e jump target.


Procedura

Manuale -> Batch Control -> Procedura

La configurazione e l´uso del modulo Batch Control sono articolati in tre fasi principali:

  1. Progettazione nell´Editor di zenon:
  2. Creazione delle ricette nel Batch-Editor (PFC e matrice) a Runtime
  3. Esecuzione delle ricette a Runtime

Configurazione

Il progettista riproduce nell´Editor la realtà fisica esistente. Definisce e crea unità e gli attribuisce fasi e parametri.

Creazione delle ricette

A Runtime, l´utente definisce la ricetta master sulla base delle impostazioni dell´Editor. Questa ricetta definisce il processo. Possono essere utilizzate solamente le unità, le fasi ed i parametri definiti nell´ambiente di progettazione.
Eccezione: se nell´Editor è stata attivata la proprietà Modificabile in ricetta master del gruppo Imposta valore, il parametro corrispondente potrà essere modificato. . Questo è possibile solamente per i parametri di comando.

Esecuzione delle ricette

L´utente esegue la ricetta a Runtime. A questo scopo, avvia una ricetta di controllo basata sulla ricetta master. Ogni ricetta di controllo può essere avviata e usata solamente una volta. Per questo motivo può essere assegnata in modo inequivocabile ad un certo lotto. Le ricette vengono eseguite in modo automatico, semiautomatico o manuale.

L´operatore non può più influenzare le ricette.
Eccezione: se, chi ha creato la ricetta, ha attivato l´ opzione Modificabile in ricetta di controllo, l´operatore ha la possibilità di modificare dei parametri anche a Runtime.


Configurazione nell'Editor

Manuale -> Batch Control -> Configurazione nell'Editor

Per poter usare il modulo Batch Control a Runtime, bisogna fare quanto segue nell´Editor:

  • Creare unità, fasi e reazioni
  • Creare un´immagine di tipo Batch Control
  • Creare una funzione di cambio immagine per aprire l´immagine di tipo Batch Control a Runtime.

Nota: nell´Editor è possibile copiare e inserire elementi a tutti i livelli.

Visualizzazione dettagli

Nel modulo "Batch Control" la finestra della visualizzazione dettagli è divisa in due parti:

  • A sinistra abbiamo la struttura ad albero. L´inserimento Unit è il punto di partenza della struttura ad albero.
    Al livello successivo vengono visualizzate le unità esistenti. Seguono poi le fasi appartenenti ad ogni singola unità. Il successivo livello della struttura ad albero (sottopunto delle fasi) è quello delle reazioni..
  • Nella parte destra della finestra della visualizzazione dettagli del modulo "Batch Control", viene visualizzata un elenco semplice delle unità, delle fasi, dei parametri o delle reazioni, a seconda di quale livello della struttura ad albero è stato selezionato.

Ancora in questo capitolo

Unità

Fasi

Parametro

Condizioni

Reazioni

Strategie di controllo

Sostituisci collegamenti

Creare un´immagine del tipo Batch Control

Job-variabili

Cambio immagine - Batch Control

Keyboard

Funzioni di zenon


Unità

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova unità:

  1. Passare nel Manager di progetto al nodo Batch Control
  2. Selezionare Unità nella visualizzazione dettagli.
  3. Selezionare nel menù contestuale il comando Nuova unità
  4. Verrà creata una nuova unità nella visualizzazione dettagli.

Ancora in questo capitolo

Barra degli strumenti - Struttura ad albero delle unità

Albero di progetto - Menù contestuale Batch Control

Menù contestuale Unità

Menù contestuale Unità x

Visualizzazione dettagli Unità

Visualizzazione dettagli Unità x

Informazioni a Runtime


Barra degli strumenti - Struttura ad albero delle unità

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Barra degli strumenti - Struttura ad albero delle unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barra degli strumenti si riferisce a tutta la struttura ad albero delle unità. A seconda dell´elemento selezionato, i simboli sono attivi, oppure disattivati.

Parametro

Descrizione

Rinomina

Apre il campo di inserimento per il nome dell´elemento selezionato e consente di modificarne il nome.

Non è disponibile per il nodo principale Unità.

Copia

Copia l´unità selezionata negli appunti.

Non è disponibile per il nodo principale Unità.

Incolla

Aggiunge un´unità copiata proveniente dagli appunti.

Elimina

Elimina l´elemento selezionato dopo una richiesta di conferma.

Non è disponibile per il nodo principale Unità.

Espandi tutto

Visualizza l´intera struttura ad albero.

Cliccando sulla freccia accanto al simbolo si apre un menù a tendina in cui si può selezionare uno dei seguenti comandi:

  • Espandi tutto: espande tutti i nodi.
  • Riduci tutto: riduce tutti i nodi.
  • Espandi selezione: espande il nodo selezionato.
  • Riduci selezione: riduce il nodo selezionato.

Cliccando sul pulsante, si espandono sempre tutti gli elementi.

Si possono espandere o ridurre gli elementi anche cliccando due volte sull´inserimento superiore della struttura ad albero.

Esporta tutte le unità XML...

Esporta tutte le unità in un file XML.

Importa unità XML...

Importa unità da un file XML.

Guida

Apre la guida online.


Albero di progetto - Menù contestuale Batch Control

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Albero di progetto - Menù contestuale Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametro | Descrizione
Nuova unità | Crea una nuova unità.
Esporta tutti in XML... | Esporta tutte le unità in un file XML.
Importa file XML... | Importa unità da un file XML.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.


Menù contestuale Unità

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Menù contestuale Unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando con il tasto destro del mouse sulla voce principale Unità nella struttura ad albero delle unità, si apre un menù contestuale:

Voce di menù | Azione
Nuova unit | Crea una nuova unità.
Crea collegamenti nelle fasi... | Apre la finestra di dialogo per sostituire collegamenti nelle fasi.
Crea collegamenti nelle unità... | Apre la finestra di dialogo per sostituire collegamenti nelle unità.
Incolla | Aggiunge un´unità copiata proveniente dagli appunti.
Esporta tutte le unità XML... | Esporta tutte le unità in un file XML.
Importa unità XML... | Importa unità da un file XML.
Guida | Apre la guida online.


Menù contestuale Unità x

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Menù contestuale Unità x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando con il tasto destro del mouse su un´unità già creata, si apre un menù contestuale:

Voce di menù | Azione
Nuova fase | Crea una nuova fase.
Crea collegamenti nelle fasi... | Apre la finestra di dialogo per sostituire collegamenti nelle fasi.
Crea collegamenti nelle unità... | Apre la finestra di dialogo per sostituire collegamenti nella unità selezionata.
Rinomina | Consente di rinominare l´unità selezionata.
Elimina | Cancella l´unità selezionata.
Copia | Copia l´unità selezionata negli appunti.
Incolla | Aggiunge un´unità copiata proveniente dagli appunti.
_Esporta selezione in XML | Esporta l´unità selezionata in un file XML.
Importa fase da XML... | Importa fasi da un file XML.
Guida | Apre la guida online.


Visualizzazione dettagli Unità

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Visualizzazione dettagli Unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù | Azione
Nuova unit | Crea una nuova unità nella visualizzazione dettagli.
Sostituisci collegamenti nelle fasi... | Apre la finestra di dialogo per sostituire collegamenti nelle fasi.
Sostituisci collegamenti nelle unità... | Apre la finestra di dialogo per sostituire collegamenti nelle unità.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
_Esporta selezione in XML | Esporta le unità selezionate in un file XML.
Importa aggregati XML... | Importa unità da un file XML.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Visualizzazione dettagli Unità x

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Visualizzazione dettagli Unità x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro | Descrizione
Nuova fase | Crea una nuova fase nella visualizzazione dettagli.
Sostituisci collegamenti | Apre la finestra di dialogo per sostituire collegamenti nelle fasi.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
_Esporta selezione in XML | Esporta le fasi selezionate in un file XML.
Importa fasi da XML... | Importa fasi da un file XML.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Informazioni a Runtime

Manuale -> Batch Control -> Configurazione nell'Editor -> Unità -> Informazioni a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime è possibile richiamare e visualizzare informazioni su singole unità tramite variabili. Ogni unità da assegnare inizializza i valori delle variabili collegate con 0 oppure un testo vuoto. Le informazioni provengono dalla ricetta che assegna l´unità quando ha luogo la query. Le variabili vengono popolate sempre solo in caso di modifiche.

La configurazione delle variabili che forniscono le informazioni desiderate a Runtime viene eseguita nel gruppo Informazioni Runtime delle proprietà delle unità. La configurazione delle variabili viene eseguita per:

  • Ricetta master: informazioni su ID, nome e descrizione della ricetta master, oltre che su versione e versione iniziale.
  • Ricetta di controllo: informazioni su ID, nome e descrizione e Job ID della ricetta di controllo.
  • Esecuzione:: informazioni sulla quantità delle ricette attive, sullo stato di esecuzione (testo e numerico) e sulla modalità di esecuzione (testo e numerico).

    Nota: il valore per la proprietà Quantità ricette attive è in genere 0 o 1. Se viene visualizzato un valore maggiore, significa che si è forzato manualmente l´avvio di altre ricette.

  • Funzioni di base: informazioni sulle fasi attive. Se la fase si trova in una ricetta parziale, il nome di quest´ultima viene visualizzato tra parentesi.
  • Errore: gli errori vengono visualizzati a Runtime e salvati nei Log. Un errore di processo, ad esempio, viene segnalato visivamente e, contemporaneamente, viene visualizzato il numero assoluto degli errori di processo storici. Non appena si verifica un errore di processo, il contatore viene incrementato di 1 unità. Se si riavvia la fase, l´errore storico sparisce dalla visualizzazione, non viene più segnalato visivamente. L´informazione registrata nei Log, invece, rimane. La stessa cosa vale anche per gli errori di comunicazione. I simboli visualizzano dunque solo gli errori in attesa; i contatori forniscono invece delle informazioni anche sugli errori storici.
  • Informazioni matrice: visualizzazione dei passi attivi in una ricetta matrice. Vengono usate sempre le informazioni della ricetta principale, anche quando l´oggetto trigger dell´azione si trova in una ricetta parziale. Si possono selezionare tutte le variabili numeriche il cui tipo di dato è >= 2 Byte.
    Le ricette PFC ricevono sempre valori vuoti o 0.

Valori - Stato di esecuzione e modalità di esecuzione

Per i valori per la variabile delle proprietà Stato di esecuzione (numerico) e Modalità di esecuzione (numerico), si veda il capitolo Assegnazione variabili/Genrale.

Informazioni in ricette e unità

Dopo un restart seguente ad un riavvio del Runtime, lo stato relativo con l´informazione viene salvato nelle ricette.
Per esempio: In pausa dopo termine regolare del Runtime oppure Fermato dopo chiusura con errore.

Lo stato di esecuzione viene visualizzato nelle informazioni unità. Lo stato di esecuzione (numerico e testo) nelle informazioni unità contiene un numero e un testo che corrispondono a quelli della variabile nell´immagine. Incluse informazioni, se causato da riavvio, informazioni sugli oggetti in stato divergente, informazioni che rimandano un cambio di stato.
Attenzione: il contenuto di questa variabile non è compatibile fra le versioni zenon 7.10 e 7.11.


Fasi

Manuale -> Batch Control -> Configurazione nell'Editor -> Fasi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fase è l´oggetto di esecuzione di una ricetta, è dunque il suo componente principale. Ad ogni fase nel modulo Batch Control deve corrispondere una funzione tecnologica nel PLC.

Esempio: si vuole riscaldare un serbatoio.

A questo scopo si ha bisogno di:

  1. Un´attrezzatura corrispondente: un riscaldamento nel serbatoio.
  2. Un sensore di temperatura, per rilevare la temperatura effettiva nel serbatoio. Collegare questo sensore ad un PLC.
  3. Un programma nel PLC che gestisca il riscaldamento per assicurare che venga raggiunta la temperatura desiderata.
    Questo programma è la funzione tecnologica nel PLC. Questo programma:
    • Ha un parametro di input: una temperatura desiderata che viene implementata nel Batch Control con un parametro di comando.
    • Ha bisogno di un parametro di output: anche in questo caso, si tratta di una temperatura desiderata che deve essere raggiunta e che viene implementata nel Batch Control come parametro di feedback

Per comunicare al PLC il processo di elaborazione della ricetta, si ha bisogno di corrispondenti informazioni di stato da trasferire al PLC. A questo scopo si usano le reazioni e, per il feedback, le condizioni.

Una fase, dunque, consiste di:

Tipo | Descrizione
Parametro di comando. | I valori impostabili che vengono inviati al PLC.
Parametro di feedback. | I valori di feedback che informano il REE sullo stato della funzione tecnologica nel PLC. Questi possono essere analizzati in condizioni e transizioni.
Reazioni | Gli eventi REE possono essere utilizzati, da un lato, per informare la funzione tecnologica nel PLC sullo stato del REE, dall´altro, per informare l´utente su errori (per es.: timeout, valori non validi dei parametri).
Condizioni | Servono ad analizzare i parametro di feedback: viene analizzato lo stato della funzione tecnologica nel PLC.
Tempi | Consentono di monitorare processi critici dal punto di vista dei tempi. Se il tempo impostato viene superato, il sistema inizializza un evento al quale può seguire una reazione definita.

Configurazione

Per creare una nuova fase:

  1. Selezionare l´unità per cui deve essere creata la fase, oppure creare anzitutto l´unità desiderata.
  2. Selezionare nel menù contestuale il comando Nuova fase.
  3. Verrà visualizzata una nuova fase nella struttura ad albero della visualizzazione dettagli.
  4. Al nodo "fase" verrà aggiunto automaticamente il sottonodo reazioni.

info Info

Se nell´Editor si selezionano più funzioni contemporaneamente le cui formule sono identiche, ma i cui parametri sono differenti, il sistema non lo evidenzierà tramite uno sfondo colorato per i diversi valori.

Ancora in questo capitolo

Menù contestuale - Fase

Visualizzazione dettagli - Fase


Menù contestuale - Fase

Manuale -> Batch Control -> Configurazione nell'Editor -> Fasi -> Menù contestuale - Fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Fase x

Cliccando con il tasto destro del mouse su una fase esistente, si apre un menù contestuale che serve a creare i parametri:

Parametro | Descrizione
Nuovo parametro iniziale | Creazione di un nuovo parametro iniziale.
Nuovo parametro setpoint | Creazione di un nuovo parametro setpoint.
Nuovo parametro feedback | Creazione di un nuovo parametro feedback.
Sostituisci collegamenti nelle fasi... | Apre la finestra di dialogo per sostituire collegamenti nelle fasi.
Rinomina | Consente di modificare il nome della fase selezionata.
Elimina | Elimina la fase selezionata dopo una richiesta di conferma.
Copia | Copia l´elemento selezionato negli appunti
Incolla | Aggiunge un elemento copiato preso dagli appunti.
_Esporta selezione in XML | Esporta le fasi selezionate in un file XML.
Guida | Apre la guida online.


Visualizzazione dettagli - Fase

Manuale -> Batch Control -> Configurazione nell'Editor -> Fasi -> Visualizzazione dettagli - Fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro | Descrizione
Nuovo parametro iniziale | Creazione di un nuovo parametro iniziale.
Nuovo parametro setpoint | Creazione di un nuovo parametro setpoint.
Nuovo parametro feedback | Crea un nuovo parametro di feedback nella visualizzazione dettagli.
Sostituisci collegamenti | Apre la finestra di dialogo per sostituire i collegamenti.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Parametro

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri sono l´interfaccia di comunicazione con il PLC. Sono lo strumento per inviare valori al PLC e per rileggerli poi dal PLC. Per evitare che l´utente si trovi a lavorare nel modulo Batch Control con nomi di variabili complesse e incomprensibili, si usa un livello di astrazione. Ogni parametro consiste - per ogni singola fase - di un nome univoco e di una descrizione. Il progettista ne fa uso per descrivere a chi crea la ricetta, oppure all´utente, a cosa serve il parametro e quali effetti ha.

Ad una fase può essere aggiunto un numero qualsiasi di parametri. Si distingue fra parametri di comando e parametri di feedback. I parametri di comando, a loro volta, si dividono in parametri iniziali e parametri setpoint. Ogni parametro può essere impostato in qualsiasi momento da parametro di comando a parametro di feedback e viceversa.

Ancora in questo capitolo

Visualizzazione dettagli - Parametri

Parametro di comando.

Parametro di feedback

Esempio di parametro di stato

Tempo di esecuzione


Visualizzazione dettagli - Parametri

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro -> Visualizzazione dettagli - Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barra degli strumenti e il menù contestuale mettono a disposizione comandi per creare e gestire i parametri.

Parametro | Descrizione
Nuovo parametro iniziale | Crea un nuovo parametro iniziale nella visualizzazione dettagli.
Nuovo parametro setpoint | Crea un nuovo parametro setpoint nella visualizzazione dettagli.
Nuovo parametro feedback | Crea un nuovo parametro di feedback nella visualizzazione dettagli.
Sostituisci collegamenti | Apre la finestra di dialogo per sostituire i collegamenti.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Parametro di comando.

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro -> Parametro di comando.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri di comando trasferiscono informazioni e valori al PLC. Su distingue fra:

  • Parametri iniziali: parametri di comando che vengono settati prima dell´evento start. Trasferiscono le informazioni che devono essere salvate nel PLC prima del settaggio dell´interblocco di input, per esempio, quale strategia di controllo viene eseguita.
  • Parametri setpoint: parametri di comando che vengono inviati dopo l´interblocco di input durante l´esecuzione della fase.

I parametri di comando contengono i valori impostabili da trasferire al PLC. Parametro iniziale e parametro di setpoint vengono scritti nel PLC in modalità sicura. Una descrizione dettagliata si trova nel capitolo: Processo di elaborazione di una fase in dettaglio.

I parametri di comando possono essere utilizzati anche in transizioni, condizioni e reazioni. I parametri iniziali e quelli di setpoint possono essere collegati alla stessa variabile. Se ne tiene conto nel processo di convalida dell´uso multiplo di una variabile.

I parametri di comando hanno una serie di proprietà che possono essere configurate nella finestra delle proprietà. In questo caso, vale quanto segue:

  • Ogni parametro deve essere collegato ad una variabile.
  • Il tipo di dato della variabile deve essere identico a quello del parametro.
  • I valori limite del parametro devono essere compresi fra quelli della variabile.

In caso contrario, verranno visualizzati dei messaggi di errore al momento della convalida.

Nota sulla proprietà Modificabile in ricetta master: con questa proprietà si stabilisce se il valore del parametro di comando possa essere modificato o meno da chi crea la ricetta master. Se, per esempio, si vuole che i parametri relativi ai macchinari non siano modificabili nella ricetta, ma predefiniti in modo fisso, si deve disattivare questa proprietà.

Configurazione

Per creare un nuovo parametro di comando:

  1. Selezionare la fase desiderata.
  2. Nel menù contestuale, selezionare il comando Nuovo parametro iniziale, oppure Nuovo parametro setpoint.
  3. Verrà creato un nuovo parametro di comando nella visualizzazione dettagli.

Nota sulla compatibilità:

Se i file Runtime sono creati per zenon 7.10 o per versioni più vecchie, i parametri iniziali e i parametri setpoint continuano ad essere trattati come parametri di comando. I parametri di comando di zenon 7.10 o di versioni precedenti, vengono trasformati tutti in parametri setpoint.


Parametro di feedback

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro -> Parametro di feedback

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri di feedback contengono i valori di risposta con cui la funzione tecnologica del REE comunica il suo stato. Normalmente il valore viene settato dal PLC e analizzato dal REE. I parametri di feedback possono essere analizzati in transizioni e condizioni.

Possono essere utilizzati anche in reazioni. In questo caso vengono acquisiti i valori configurati nel parametro di feedback. Per farlo, li si deve collegare come parametri di destinazione alle voci Assegna parametro e Impostazione parametri di valore delle proprietà della reazione.

Configurazione

Per creare un nuovo parametro di feedback:

  1. Selezionare la fase desiderata per cui si vuole creare un nuovo parametro di feedback.
  2. Selezionare nel menù contestuale il comando Nuovo parametro di feedback
  3. Verrà creato un nuovo parametro di comando nella visualizzazione dettagli.


Esempio di parametro di stato

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro -> Esempio di parametro di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter comunicare con il PLC, si ha bisogno normalmente di due parametri di stato:

  • Uno in direzione di scrittura e
  • Uno in direzione di lettura

La variabile alla base di questi parametri dovrebbe avere un tipo di dato numerico, come USINT o UINT. Si consiglia di eseguire entrambi i parametri come parametri di feedback.

info Info

A prima vista, ciò potrebbe sembrare illogico per quello che riguarda i comandi in direzione di scrittura; in realtà non lo è, per la seguente ragione: Quando si esegue la fase, vengono sempre settati tutti i parametro di comando. Questi ultimi saranno poi visibili nella lista dei parametri di comando, dove potrebbero essere modificati accidentalmente. Questo però non ha senso per un comando destinato al PLC. Non si tratta semplicemente di comunicare un singolo valore come comando al PLC, ma di trasferire lo stato della fase nella ricetta.

In particolare per quello che riguarda la scrittura dei parametri di comando, ha senso non solo trasferire al PLC il semplice processo di scrittura, ma anche comunicare lo stato quando tutti i valori sono stati scritti e il PLC può dunque iniziare ad elaborare la funzione tecnologica.

Consigliamo di usare a questo scopo la reazione all´evento Scrittura parametri di comando completata. In concomitanza a reazioni ad un evento, è possibile scrivere anche dei valori su un parametro di feedback. Proprio per questa ragione è ragionevole e consigliabile usare per entrambi i parametri di stato dei parametri di feedback.

Di seguito riportiamo un esempio di quali valori possono assumere i parametri:

Parametro di stato in direzione di scrittura (verso il SPS): Comandi

Valore | Nome dell´evento
0 | non definito
1 | Fase avviata
2 | Scrittura parametri di comando completata
3 | Fase terminata: condizione di transizione soddisfatta e Minima durata di esecuzione raggiunta (nel caso questa proprietà sia stata configurata)
4 | Fase disattivata
5-9 | Reserve
10 | Modifica stato: sospensione in corso
11 | Modifica stato: continua
12 | Modifica stato: Interrompi
13 | Modifica stato: riavvia
14 | Modifica stato: arresta
15 | Modifica stato: Annulla
16-19 | Reserve
20 | Modifica modalità: automatica
21 | Modifica modalità: semiautomatica
22 | Modifica modalità: manuale
23-29 | Reserve
30 | "Termina Runtime " avviato
31 | Restart Runtime
32 | Assegnazione aggregati non possibile
33 | Superato tempo di attesa aggregato
34 | Interblocco di ingresso bloccato
35 | Superato tempo limite di attesa per interblocco di ingresso
36 | Superato il tempo massimo di esecuzione
37 | Superato tempo di attesa per condizione successiva
38 | Fase avviata più volte

La spiegazione del significato preciso dei singoli eventi si trova nel capitolo Tipo di evento.

Per ogni inserimento della tabella, creare nella fase una reazione corrispondente per scrivere il valore dello stato.
Suggerimento: usare per tutte le fasi le stesse denominazioni parametri, per es.: StatusFase. La ragione di ciò è che poi sarà sufficiente progettare le reazioni per una sola fase, per poi trasferirle a tutte le altre fasi via Copy & Paste. Naturalmente è anche possibile copiare i parametri. In questo caso, però, non bisogna dimenticare di correggere le variabili. Queste ultime, infatti, devono essere adeguate alle rispettive fasi.

Parametri in direzione di lettura (dal PLC): Valori di feedback

Valore | Descrizione | Collegato nella proprietà
0 - 1 | non definito |
2 | Funzione tecnologica completata | Condizione di termine fase
3 - 9 | Reserve |
10 | Funzione tecnologica in pausa | In pausa
11 | Reserve |
12 | Funzione tecnologica interrotta | Fermato
13 | Funzione tecnologica riavviata | Riavviato
14 | Funzione tecnologica stoppata | Stoppato
15 | Funzione tecnologica annullata | Interrotto

Collegare i valori ad una formula nella relativa proprietà.

Suggerimento: è possibile copiare le formule e limitarsi a modificare il valore. Se si configura questa impostazione all´inizio della definizione dei parametri della prima fase, sarà poi possibile copiare l´intera fase e si disporrà poi di questa impostazione in tutte le fasi.


Tempo di esecuzione

Manuale -> Batch Control -> Configurazione nell'Editor -> Parametro -> Tempo di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tempo di esecuzione viene regolato da due proprietà indipendenti l´una dall´altra. I loro valori, dunque, non devono essere complementari.

Massima durata di esecuzione

La Massima durata di esecuzione si riferisce a Fase disattivata e, dunque, al processo. Non è legata alla Minima durata di esecuzione.

Minima durata di esecuzione

La proprietà Minima durata di esecuzione definisce per quanto tempo zenon attende dopo la scrittura dei parametri di comando, indipendentemente dalla verifica della condizione di transizione. Durante l´esecuzione, il sistema verifica la massima durata di esecuzione. Se quest´ultima viene superata, viene inizializzato un evento. Si può collegare a questo evento una reazione. Ciò accade indipendentemente dal fatto se la fase verifica ancora la sua Condizione di termine fase, oppure attende ancora la scadenza della Minima durata di esecuzione.

La lunghezza della Minima durata di esecuzione può superare quella della Massima durata di esecuzione.

Esempio

  • Abbiamo la fase: Inizia miscelazione. La conferma che il miscelatore è in funzione può durare al massimo 5 secondi, alla scadenza dei quali verrà visualizzato un messaggio di errore.
    Configurazione: si assegna alla proprietà Massima durata di esecuzione il valore 5 secondi, con reazione corrispondente.
  • Il miscelatore, però, deve essere in funzione per 15 minuti, prima che venga eseguita la prossima fase.
    Progettazione: si assegna alla proprietà Minima durata di esecuzione il valore 15 minuti.

Il valore della "Minima durata di esecuzione" (15 minuti) è dunque maggiore a quello della "Massima durata di esecuzione" (5 secondi).


Condizioni

Manuale -> Batch Control -> Configurazione nell'Editor -> Condizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le condizioni servono ad informare il REE sullo stato della funzione tecnologica nel PLC. L´analisi delle condizioni avviene sempre tramite formule, che vengono create nell´Editor delle formule.

Suggerimento: usare un solo parametro di stato (parametro di feedback) che assume valori diversi per comunicare lo stato della funzione tecnologica nel PLC alla fase. Un esempio si trova nel capitolo Esempio di parametro di stato.

Configurazione

Per creare una nuova condizione:

  1. Cliccare sulla fase corrispondente.
  2. Selezionare le condizioni desiderate nel nodo Generale, oppure nel nodo Condizione stato transizione delle proprietà della fase.
  3. Cliccare nel campo per il valore, oppure sul pulsante ... .

    Verrà aperto l´Editor delle formule.

  4. Definire la formula per la condizione.

Nota: Il pendant delle condizioni sono le reazioni. Con le reazioni si trasferisce lo stato di esecuzione alle funzioni tecnologiche nel PLC.

Generale

Sono a disposizione le seguenti condizioni generali:

  • Interblocco di ingresso

    Se si configura un interblocco di ingresso, la fase verrà eseguita a Runtime solo quando la condizione dell´interblocco di input sarà soddisfatta.
    Si configura l´interblocco di ingresso tramite la proprietà Interblocco di ingresso. La condizione che l´interblocco deve soddisfare, viene definita tramite l´Editor delle formule. La formula può consistere di uno o più parametri di comando e/o parametri di feedback della fase. Possono essere usatia nche valore e stato delle variabili. La formula restituisce TRUE o FALSE come risultato. A Runtime la condizione può essere visualizzata, ma non modificata. Il tempo di attesa per l´interblocco di ingresso viene configurato tramite la proprietà Tempo di attesa per interblocco di ingresso.

    L´esecuzione di una fase inizia non appena sono soddisfatte le seguenti condizioni:

    • La fase è attiva.
    • L´unità è assegnata.
    • La funzione non si trova già in esecuzione.
    • Tutte le variabili necessarie hanno ricevuto un valore.

    È soddisfatto l´interblocco di ingresso (se ne è stato configurato uno).

    Nota:le informazioni relative al comportamento di un interblocco di ingresso si trovano anche nel capitolo Processo di elaborazione di una fase in dettaglio.

  • Condizione di termine fase

    Dopo che è riuscito il processo di scrittura di tutti i parametri di valore, una fase analizza la condizione di termine fase. La fase potrà essere conclusa e ripresa l´esecuzione della ricetta solo se questa Condizione di termine fase è soddisfatta. Quest´ultima viene configurata tramite la proprietà Condizione di termine fase.
    La condizione da soddisfare viene definita usano l´Editor delle formule.
    La formula:

    • Può consistere di uno o più parametri di comando e/o parametri di feedback della fase.
    • Può usare valore e stato delle variabili.

Restituisce come risultato TRUE o FALSE.

A Runtime la condizione può essere visualizzata, ma non modificata. Il tempo di attesa per al condizione di fase completata viene configurato tramite la proprietà Massima durata di esecuzione.

Stato transizione

Come transizioni sono disponibili le seguenti proprietà:

  • In pausa
    Il processo di elaborazione della ricetta si ferma all´interno della fase:
    • In attesa di Completata
    • In attesa di allocazione.
    • In attesa di interblocco.
    • In attesa di Fine fase.
    • Verifica di esecuzione parallela
  • Fermato
    Il processo di elaborazione della ricetta si ferma all´interno della fase:
    • In attesa di Completata
    • In attesa di allocazione.
    • In attesa di interblocco.
    • In attesa di Fine fase.
    • Verifica di esecuzione parallela
  • Stoppato
  • Interrotto
  • Riavviato
    La funzione viene eseguita di nuovo dall´inizio.
  • Condizione di uscita
    Se questa condizione è soddisfatta, il passo di esecuzione attivo al momento viene interrotto e si esce dalla fase. I dettagli a questo proposito si trovano nel capitolo Uscire da una fase.

Variabili

Le condizioni di transizione vengono definite tramite parametri che sono collegati a variabili. Queste condizioni stabiliscono quando la fase cambia stato.

Il cambio di stato viene posticipato finché:

  • Ogni variabile ha un valore.
  • La formula è TRUE.
  • Nessuna variabile ha lo stato “disturbato”.

Se non è stata definita nessuna condizione, il cambio di stato è consentito sempre.

Tutte le variabili per il cambio di stato vengono richieste nell´advising delle variabili in modo tale da ottenere un valore nel modo più veloce possibile. I valori di una variabile che definisce il cambio di stato vengono letti al momento del passaggio nello stato di transizione. Per essere riconosciuto, un eventuale impulso deve assumere il valore TRUE entro il tempo di attesa impostato.

Nota: alla chiusura del Runtime, il sistema non attende la variabile per il cambio di stato da Arresta a Stoppato, perché in questo momento tutte le variabili sono già deregistrate.

Ancora in questo capitolo

Tempo di attesa


Tempo di attesa

Manuale -> Batch Control -> Configurazione nell'Editor -> Condizioni -> Tempo di attesa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chi crea la ricetta può definire dei tempi di attesa. La configurazione di tempi di attesa (timeout) impedisce che processi critici dal punto di vista temporale durino troppo a lungo a causa del verificarsi di eventi non previsti. Se la condizione non viene soddisfatta entro il tempo di attesa definito, viene inizializzato un evento corrispondente. Tramite le reazioni si può reagire ad un evento e influenzare il processo di elaborazione di una ricetta.

Per tutti i tempi di attesa vale quanto segue:

  • Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.
  • Il tempo di attesa scorre indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche in caso di chiusura o riavvio del Runtime.
  • Se si ferma una fase e poi la si riavvia, il timeout verrà riavviato (comincerà da zero).
  • Se una fase viene eseguita più volte, ogni volta il timeout comincia da zero.
  • In tempi di attesa in quanto tali non influenzano il processo in nessun modo. Servono solamente a generare un evento. La reazione deve essere definita nell´evento. Dopo che l´evento è stato inizializzato, il sistema continua ad attendere che la condizione venga soddisfatta.


Reazioni

Manuale -> Batch Control -> Configurazione nell'Editor -> Reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le reazioni sono lo strumento principale che consente di influenzare il processo di esecuzione della ricetta, e di comunicare con il PLC. Le reazioni si basano sempre su eventi. Si può trattare di eventi del REE (per es.: Fase avviata), ma anche di eventi generali (per es. "Termina Runtime " avviato). Usando le reazioni si può comunicare, per esempio, al PLC quando una fase è stata avviata e terminata nel REE, e quando sono stati settati tutti i parametro di comando.

In modo analogo, per comunicare lo stato della fase al PLC si devono usare le reazioni. Altrimenti il PLC non ha nessuna informazione sul processo di esecuzione della ricetta.

Esempio: Se si arresta il REE oppure la fase, viene inizializzato l´evento Modifica stato: arresta. Come reazione, si può prevedere che questo cambio di stato venga inviato al PLC come impostazione di valore. Solo in seguito il PLC potrà reagire e arrestare la funzione tecnologica. Un esempio si trova nel capitolo Esempio di parametro di stato.

Nota: Il pendant delle reazioni sono le condizioni. Tramite le condizioni, lo stato della funzione tecnologica nel PLC viene trasferito al REE.

Configurazione

Con ogni fase viene creato automaticamente il nodo reazioni. In questo nodo può essere creato un numero qualsiasi di reazioni. Per creare una nuova reazione:

  1. Cliccare su reazioni con il tasto destro del mouse.
  2. Selezionare nel menù contestuale il comando Nuova reazione
  3. Verrà creata una nuova reazione nella visualizzazione dettagli.
  4. Nella visualizzazione dettagli, cliccare sull´inserimento nella colonna Evento.
  5. Selezionare nel menù a tendina l´evento desiderato e definire nella finestra delle proprietà il tipo di reazione desiderato.

Ci sono diverse reazioni possibili per ogni evento. Quando vengono inizializzate, le reazioni vengono ordinate ed eseguite in base al loro livello di priorità. 1 significa il livello di priorità più alto. Se si vuole riordinare le reazioni di uno stesso tipo, lo si può fare tramite la barra degli strumenti o il menù contestuale.

Alcune reazioni vengono inizializzate una sola volta nel corso del processo di elaborazione di una ricetta, per esempio Timeout. Se si riavvia la fase, anche queste reazioni verranno inizializzate di nuovo, se necessario.

Le reazioni possono utilizzare solamente i parametri della fase cui appartengono. Le reazioni copiate da altre fasi cercano di usare parametri dello stesso nome della nuova fase. .

Regole di configurazione

  • Delle reazioni possono verificarsi con qualsiasi stato dell´oggetto.
  • Ci sono diverse reazioni possibili per ogni evento. Quando vengono inizializzate, le reazioni vengono ordinate ed eseguite in base al loro livello di priorità. 1 significa il livello di priorità più alto.
  • Tutte le variabili di tutti i parametri vengono registrate sul driver per la lettura. Se un valore necessario per una reazione non dovesse essere ancora disponibile, oppure essere disturbato, verrà scritto quello di sostituzione. La scrittura dei valori avviene senza conferma di scrittura.
  • Alcune reazioni vengono inizializzate una sola volta nel corso del processo di elaborazione di una ricetta, per esempio Timeout. Se si riavvia la fase, anche queste reazioni verranno inizializzate di nuovo, se necessario.

Runtime

Le azioni di reazioni vengono registrate nella CEL, a patto che sia stata attivata la proprietà Crea inserimento CEL nelle proprietà della reazione in questione. System viene inserito come utente.

Ancora in questo capitolo

Menù contestuale - Reazioni - Struttura ad albero delle unità

Visualizzazione dettagli - Reazioni

Eventi

Tipi di reazione


Menù contestuale - Reazioni - Struttura ad albero delle unità

Manuale -> Batch Control -> Configurazione nell'Editor -> Reazioni -> Menù contestuale - Reazioni - Struttura ad albero delle unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametro | Descrizione
Nuova reazione | Crea una nuova reazione nella visualizzazione dettagli.
Sostituisci collegamenti | Apre la finestra di dialogo per sostituire i collegamenti.
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Guida | Apre la guida online.


Visualizzazione dettagli - Reazioni

Manuale -> Batch Control -> Configurazione nell'Editor -> Reazioni -> Visualizzazione dettagli - Reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro | Descrizione
Nuova reazione | Crea una nuova reazione nella visualizzazione dettagli.
Ordine di esecuzione: prima | Per reazioni dello stesso tipo: cliccando su questo pulsante la reazione avanza di un posto nell´ordine di esecuzione.
Ordine di esecuzione: dopo | Per reazioni dello stesso tipo: cliccando su questo pulsante la reazione retrocede di un posto nell´ordine di esecuzione.
Ordine di esecuzione: cambia | Attivo solamente se sono selezionate contemporaneamente esattamente due reazioni (non di più). Cliccando su questo pulsante le due reazioni si scambiano il posto nell´ordine di esecuzione.
Sostituisci i link degli elementi selezionati con un nuovo link | Apre la finestra di dialogo per sostituire i collegamenti.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Eventi

Manuale -> Batch Control -> Configurazione nell'Editor -> Reazioni -> Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni reazione è una reazione ad un evento. Questo evento viene definito nella proprietà Evento. Per ogni evento possono essere definite più reazioni. La successione di esecuzione può essere definita nella visualizzazione dettagli.

Durante il processo di convalida della ricetta a Runtime, verrà visualizzato il nome dell´evento se saranno rilevati degli errori.
Sintassi: (Nome evento.x). Il Nome evento corrisponde a Evento. x è un numero che indica la posizione nell´ordine di esecuzione.

È possibile selezionare i seguenti eventi nel menù a tendina:

Evento

Descrizione

Procedura

Eventi in elaborazione.

Fase attivata

È il primo evento inizializzato.

Con questo evento si comunica al PLC che la fase è stata attivata nel REE e sta per essere avviata.

Assegnazione unit non possibile

Viene inizializzato quando non è stato possibile assegnare l´unità al primo tentativo.

Fase avviata

Con questo evento si comunica al PLC che la fase è stata attivata nel REE e che i parametri di comando stanno per essere scritti.

Altri eventi potranno essere eseguiti prima di questo se è stata attivata la proprietà Consenti esecuzione prima dello Start Event per l´evento in questione. Per i dettagli a questo proposito consultare il capitolo Consenti esecuzione prima dello start della fase.

Interblocco di ingresso bloccato

Viene inizializzato se il blocco dell´interblocco di ingresso è riuscito. L´interblocco non verrà eseguito.

Ha senso solo se è stata configurata la proprietà Interblocco di ingresso.

Blocco di ingresso verificato con successo

Viene inizializzato se la verifica dell´interblocco è riuscita al primo tentativo. L´interblocco viene eseguito. L´interblocco viene eseguito.

Ha senso solo se è stata configurata la proprietà Interblocco di ingresso.

Fine scrittura parametro di setpoint

Viene inizializzato quando tutti parametri di comando sono stati scritti. Non si può garantire, però, che tutti i parametri siano effettivamente arrivati al PLC. Questo, infatti, dipende dalla comunicazione del rispettivo driver. Si può però presumere che i parametri siano arrivati effettivamente al PLC.

Raccomandazione: usare questo evento per comunicare al PLC che la fase ha scritto tutti i parametri di comando e che dunque il PLC può cominciare il processo di elaborazione della funzione tecnologica.

Condizione di transizione soddisfatta

Viene inizializzato quando la fase è finita. Questo evento è l´ultima reazione della fase e indipendente dalla ragione per cui la fase è finita. In questo modo la condizione di transizione è soddisfatta.

Questo evento viene inizializzato anche in caso di un riavvio.

Fase disattivata

Viene inizializzato quando la fase era attiva, e viene terminata.

Timeout

Eventi legati ai timeout.

Fase avviata più volte

Una fase può essere attiva solo una volta. Se viene attivata più volte in parallelo, viene inizializzato questo evento.

Superato tempo limite di attesa unit

Viene inizializzato alla scadenza del tempo di attesa configurato per l´assegnazione dell´unità. Può verificarsi anche durante Sospensione in corso e Fermato.

Superato tempo limite di attesa per interblocco di ingresso

Viene inizializzato quando il tempo di attesa (Timeout) per l´interblocco di ingresso è scaduto.

Ha senso solamente se è stata definita una Interblocco di ingresso.

Comando senza valore

Viene inizializzato quando deve essere effettuato il toggling di un parametro di comando e la variabile assegnata a questo parametro non ha un valore valido.

Superato tempo limite di esecuzione

Viene inizializzato quando viene superato il timeout configurato per l´attesa che la condizione di transizione venga soddisfatta (Completata).

Superato tempo di attesa per azione successiva

Viene inizializzato quando la fase non viene completata entro il tempo configurato (Timeout), sebbene la condizione di transizione sia stata soddisfatta.

Variabile collegata in errore
  • Se deve essere utilizzato il valore di una variabile con lo stato INVALID (non valido), viene generato questo evento una volta per ogni variabile disturbata e fase.
  • Se lo stato della variabile passa da INVALID a NON-INVALID, e poi di nuovo a INVALID, la reazione verrà inizializzata di nuovo quando verrà utilizzata questa variabile.
  • Se si riavvia la fase, questo evento verrà inizializzato di nuovo quando verrà utilizzata una variabile INVALID.

Il sistema verifica l´esistenza di variabili con lo stato INVALID in corrispondenza delle seguenti attività:

  • Variabile sorgente in reazione
  • Variabile per condizione di transizione
  • Variabile per interblocco di ingresso
  • Scrivi parametro di comando inversamente
  • Consentire variabili per cambio di stato con stati transitori.
  • Nota: l´elaborazione degli eventi in caso di INVALID non avviene necessariamente nella successione in cui vengono acquisiti. Se, durante l´elaborazione di un altro evento, si verifica un errore INVALID, quest´ultimo evento può superare quello in esecuzione nella successione di elaborazione.

Modifica di stato

Eventi legati alla modifica di stato.

Se cambia lo stato della fase, viene attivata la reazione corrispondente.

Modifica stato: in esecuzione.

La fase viene eseguita:

Modifica stato: sospensione in corso

Lo stato della fase sta passando a In pausa.

Modifica stato: In pausa

La fase è in pausa.

Modifica stato: Riprendi

L´esecuzione di una fase riprende dopo un´interruzione.

Se lo stato in un oggetto passa da In pausa a In esecuzione, vengono inizializzati gli eventi Continua e In esecuzione.

Modifica stato: Interrompi

Interruzione della fase in corso.

Modifica stato: fermato

La fase è stata interrotta.

Modifica stato: riprendi

Riavvio della fase in corso.

Modifica stato: arresta

Arresto della fase in corso.

Modifica stato: stoppato

La fase è stata arrestata.

Modifica stato: interrompi

Interruzione della fase in corso.

Modifica stato: Interrotto

La fase è stata interrotta.

Modifica stato: Completata

La fase è completata.

Avviata condizione di uscita

Viene inizializzato se viene avviata la Condizione di uscita per l´uscita da una fase.

Soddisfatta condizione di uscita

Viene inizializzato se viene soddisfatta la Condizione di uscita per l´uscita da una fase.

Modifica della modalità

Eventi legati alla modifica della modalità nel REE.

Modifica modalità: automatica

Il REE è passato alla modalità automatica.

Modifica modalità: semiautomatica

Il REE è passato alla modalità semiautomatica.

Modifica modalità: manuale

Il REE è passato alla modalità manuale.

Chiusura e riavvio del Runtime

Eventi legati alla chiusura e al riavvio del Runtime.

"Termina Runtime " avviato

Viene inizializzato quando il Runtime viene chiuso. Questo è uno stato particolarmente critico per il modulo Batch Control, visto che il processo di elaborazione delle ricette non termina subito nel PLC. Proprio per questo, la chiusura del Runtime viene ritardata per dare modo al modulo Batch Control di salvare tutti i dati. Viene generata un´immagine di processo che può essere in seguito usata da punto di partenza.

Il sistema, inoltre, assicura che, quando si verifica questo evento, il parametro delle azioni Setta valore impostabile giunga sicuramente al PLC. La fase viene messa in pausa internamente solo dopo che sarà giunta la conferma di scrittura da parte del driver.

Ulteriori dettagli su quello che succede alla chiusura del Runtime, si trovano nel capitolo: Chiusura e riavvio del Runtime..

Con questo evento, non è possibile nessuna tipo di reazione del gruppo Influsso ricetta.

Restart Runtime

Il Runtime è stato riavviato.

Interruzioni e errori

Eventi legati ad interruzioni ed errori della comunicazione e sul PLC.

Errore di comunicazione

Con questo evento si comunica che la comunicazione è interrotta.

Errore di comunicazione risolto

Con questo evento si comunica che il problema di interruzione della comunicazione è stato risolto.

Ripristino perdita di comunicazione

Con questo evento si comunica che un problema di interruzione della comunicazione visualizzato è stato riconosciuto e ripristinato.

Errore PLC

Viene inizializzato quando c´è un errore PLC.

Errore PLC risolto

Viene inizializzato quando c´è l´errore PLC è stato risolto.

Errore PLC risolto tramite disattivazione della fase

Viene inizializzato quando c´era un errore PLC al momento della chiusura di una fase. Lo stato di questo errore è stato modificato alla chiusura della fase e settato su risolto. Non vale per il riavvio di una fase.

Eventi in caso di riavvio

Le reazioni Fase attivata, Fase avviata e Fase disattivata vengono attivate sempre solo una volta. In caso di riavvio di una fase, queste reazioni non verranno inizializzate di nuovo. Se è vero che il processo di elaborazione della fase ricomincia, essa però non è stata portata a termine completamente prima.

In modo analogo, la reazione Fase disattivata verrà inizializzata solo dopo che una fase viene terminata e non al suo riavvio.

La reazione Fase avviata viene inizializzata quando sono stati eseguiti l´assegnazione dell´unità e il parallelo rilevamento di esecuzione. Se, in caso di riavvio, la procedura non ha ancora superato questo rilevamento, la reazione viene inizializzata dal comando Riavvia. Se la procedura è già oltre, invece, la reazione verrà eseguita di nuovo.

Consenti esecuzione prima di "Fase avviata"

È possibile consentire eventi anche prima dell´evento Fase avviata. A questo scopo, si deve attivare per l´evento corrispondente la proprietà Consenti esecuzione prima dello Start Event. È possibile configurare questa proprietà solamente per quegli eventi che sono consentiti sia prima che dopo Fase avviata. Per tutti gli altri eventi, il valore viene settato automaticamente in corrispondenza del tipo cui appartengono.

I seguenti eventi sono consentiti sia prima che dopo "Fase avviata":

  • Modifica della modalità
  • Modifica di stato
  • Uscita dalla fase
  • "Termina Runtime " avviato
  • Riavvio del Runtime
  • Variabile collegata in errore
  • Fase disattivata (può verificarsi prima, se si è usciti dalla fase prima di Fase avviata)
  • Superato tempo di attesa per azione successiva (può verificarsi prima, se si è usciti dalla fase prima di Fase avviata)
  • Errori di comunicazione (ma solo a partire dal passo in cui si attendono i valori per la proprietà Errore di comunicazione)

I seguenti eventi sono consentiti solo prima "Fase avviata":

  • Fase attivata
  • Assegnazione unità
  • Fase avviata più volte (esecuzione esclusa)

Tutti gli altri eventi sono consentiti solo dopo Fase avviata.


Tipi di reazione

Manuale -> Batch Control -> Configurazione nell'Editor -> Reazioni -> Tipi di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di reazione vengono definiti più precisamente e parametrizzati nelle proprietà delle reazioni. Nel gruppo Reazioni sono disponibili i seguenti tipi di reazione:

Tipo di reazione

Descrizione

Impostazione parametri di valore

Ha effetto diretto sia sui parametri di comando, che su quelli di feedback. Si possono usare tutti i tipi di dato parametro.
Attenzione: il valore deve essere compreso fra i valori limite della variabile collegata al parametro. In caso contrario, verrà visualizzato un messaggio di errore al momento della convalida.

Inserimenti nella CEL

Genera un nuovo inserimento nella CEL. In questo modo, la reazione può essere documentata, e il processo di elaborazione della ricetta potrà essere ricostruito in seguito. A questo scopo si deve attivare la proprietà Crea inserimento CEL. Il testo da usare per gli inserimenti nella CEL viene definito nella proprietà Messaggio di testo CEL.

System viene inserito come utente.

Funzione

Consente di collegare una qualsiasi funzione di zenon.

Questo offre la possibilità, ad esempio, di aprire un pop-up per informare l´utente di uno stato particolare, oppure di avviare un´azione di salvataggio di dati.

Nota: in rete, la funzione viene eseguita sempre sul server.

Assegna parametro

Consente di eseguire l´assegnazione di un valore da un Parametro sorgente ad un Parametro di destinazione. Si possono utilizzare sia parametri di comando che parametri di feedback. I tipi di dato del parametro sorgente e di quello di destinazione devono essere identici, altrimenti verrà emesso un errore al momento della convalida della ricetta.

Influenza sulla ricetta

Consente di:

  • Modificare la modalità di esecuzione.
  • Eseguire comandi per il REE.
  • Eseguire comandi fase.

In questo modo si può reagire ad eventi gravi, come Superato tempo di attesa, oppure Variabile collegata in errore.

Nota: usare questo tipo di reazione con attenzione, perché influenza l´intero processo di elaborazione della ricetta.

Per ogni singolo evento, è possibile una sola volta:

  • Settare la Modalità e
  • Settare un singolo Comando.

Questo perché non ha senso, per esempio, con lo stesso evento mettere in pausa una ricetta e contemporaneamente fermarla.

Ulteriori dettagli relativi ai comandi si trovano nel capitolo Comandi e azioni.


Strategie di controllo

Manuale -> Batch Control -> Configurazione nell'Editor -> Strategie di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le strategie di controllo consentono di settare parametri per differenti versioni di una fase. Per ogni strategia di controllo verranno inviati solamente i parametri assegnati a quella strategia di controllo.

Configurazione delle strategie di controllo

Per poter utilizzare le strategie di controllo si deve anzitutto attivarle nella fase. Procedura:

  1. Selezionare la fase desiderata.
  2. Passare al gruppo delle proprietà Strategia di controllo.
  3. Attivare la checkbox (segno di spunta) davanti alla proprietà Strategia di controllo attiva.
  4. Selezionare un parametro nella proprietà Parametro di strategia di controllo. Questo parametro definisce quale strategia è attiva a Runtime.
  5. Nell´Editor verrà visualizzato il nodo Strategia di controllo come sottonodo della fase.
  6. Cliccare con il tasto destro del mouse sul nodo "Strategia di controllo" e selezionare nel menù contestuale l´inserimento Nuova strategia di controllo.
  7. Verrà creata una nuova strategia di controllo.
  8. Configurare le proprietà della strategia di controllo.
    Nel farlo, tenere presente:
    • Il Nome e il Numero modalità di esecuzione della strategia di controllo devono essere univoci all´interno della stessa fase.
    • Il Nome non può essere vuoto, non può contenere un punto, non può consistere solamente di spazi vuoti, e può avere una lunghezza massima di 256 caratteri.
  9. Aggiungere i parametri di comando desiderati.

    Nota: se si clicca su un parametro, verranno visualizzate le sue proprietà.
    Si possono modificare solamente le seguenti proprietà del gruppo Imposta valore:

    • Valore parametro
    • Valore min.
    • Valore max.
    • Modificabile in ricetta master

    Tutte le altre proprietà non possono essere modificate. Se le si vuole modificare, si deve passare alla lista dei parametri della fase.

Copiare strategie di controllo

Usando i comandi del menù contestuale e della barra degli strumenti, è possibile copiare delle strategie di controllo e inserirle nella stessa fase, o in altre fasi.

Se si inseriscono strategie di controllo copiate da altre fasi, unità e progetti, verranno inseriti solamente quei collegamenti a parametri che possono essere risolti anche nella nuova fase. Le condizioni sono le stesse dell´inserimento di Collegamenti parametro.

Ancora in questo capitolo

Menù contestuale - Nodo - Strategie di controllo

Menù contestuale - Strategia di controllo selezionata

Barra degli strumenti e Menù contestuale - Lista delle strategie di controllo

Parametro


Menù contestuale - Nodo - Strategie di controllo

Manuale -> Batch Control -> Configurazione nell'Editor -> Strategie di controllo -> Menù contestuale - Nodo - Strategie di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando con il tasto destro del mouse sul nodo Strategia di controllo, si apre un menù contestuale con i seguenti inserimenti:

Parametro | Descrizione
Nuova strategia di controllo | Crea una nuova strategia di controllo.
Incolla strategia di controllo | Inserisce una strategia di controllo presa dagli appunti. Quando viene inserita in una fase, una strategia di controllo copiata viene adeguate in modo da rendere Nome e Numero modalità di esecuzione univoci, a meno che questi non esistano già nella fase stessa.
Guida | Apre la guida online.


Menù contestuale - Strategia di controllo selezionata

Manuale -> Batch Control -> Configurazione nell'Editor -> Strategie di controllo -> Menù contestuale - Strategia di controllo selezionata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando con il tasto destro del mouse su una strategia di controllo, si apre un menù contestuale con i seguenti inserimenti:

Parametro

Descrizione

Inserisci parametro di comando

Apre la finestra di dialogo per selezionare parametri di comando.

Inserisci collegamenti parametro

Inserisce nella strategia di controllo selezionata dei parametri copiati dalla lista di un´altra strategia di controllo. Nota: copiare i parametri nella lista delle strategie di controllo.

Rinomina

Seleziona il nome della strategia di controllo consentendo di cambiarne il nome.

Elimina

Elimina la strategia di controllo selezionata dopo una richiesta di conferma.

Copia

Copia la strategia di controllo selezionata. Tramite il comando Incolla del menù contestuale del nodo Strategia di controllo, la si potrà poi riutilizzare inserendola.

Quando viene inserita in una fase, una strategia di controllo copiata viene adeguate in modo da rendere Nome e Numero modalità di esecuzione univoci, a meno che questi non esistano già nella fase stessa.

Guida

Apre la guida online.


Barra degli strumenti e Menù contestuale - Lista delle strategie di controllo

Manuale -> Batch Control -> Configurazione nell'Editor -> Strategie di controllo -> Barra degli strumenti e Menù contestuale - Lista delle strategie di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti della lista delle strategie di controllo possono essere modificati usando i simboli della barra degli strumenti o i comandi del menù contestuale.

Le voci a disposizione nel menù contestuale e nella barra degli strumenti sono le seguenti:

Parametro | Descrizione
Inserisci parametro di comando | Apre la finestra di dialogo per selezionare parametri di comando.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Parametro

Manuale -> Batch Control -> Configurazione nell'Editor -> Strategie di controllo -> Parametro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collegare parametri

Ci sono diverse possibilità di collegare parametri ad una strategia di controllo:

  • Selezionare nel menù contestuale della strategia di controllo il comando Inserisci parametro di comando.
  • Selezionare nella visualizzazione dettagli delle strategie di controllo, nella barra degli strumenti oppure nel menù contestuale di un parametro, il comando Inserisci parametro di comando.
  • Via Drag&Drop, trascinare parametri dalla lista parametri della fase sulla strategia di controllo. Vengono collegati solamente parametri di comando.

Nota: se si cancella un parametro in una fase, verranno cancellati anche tutti i relativi collegamenti in tutte le altre fasi.

Rilasciare o ripristinare valori collegati

I parametri delle strategie di controllo riprendono i valori dei parametri a cui sono collegati.
Questi collegamenti possono essere sciolti per:

  • Sovrascrittura del valore
  • Eliminazione del collegamento tramite menù contestuale.

Usando il menù contestuale si può anche ristabilire il collegamento con il parametro sorgente.

Informazioni dettagliate sui valori collegati si trovano nel capitolo Proprietà collegate via link del manuale dedicato all´Editor.

Copiare parametri

È possibile copiare collegamenti di parametri esistenti da una strategia di controllo ad un´altra. È possibile copiare collegamenti di parametri fra fasi, unità e progetti diversi. Quando si inseriscono dei collegamenti di parametri copiati, il sistema prova a collegare i parametri sulla base del loro nome. Non vengono creati dei nuovi parametri.

Inserire questi collegamenti non sarà possibile se nella fase di destinazione non esiste nessun parametro con il nome copiato, oppure se il parametro corrispondente è già parte della strategia di controllo.


Sostituisci collegamenti

Manuale -> Batch Control -> Configurazione nell'Editor -> Sostituisci collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I collegamenti di variabili e funzioni possono essere sostituiti in modo automatico in unità, fasi e reazioni. Questo procedimento corrisponde al processo di Sostituisci collegamenti al momento del cambio immagine o Sostituisci collegamenti nell´immagine Editor.

Si possono sostituire:

  • Unità: variabili collegate per informazioni Runtime.
  • Reazioni: funzioni collegate.
  • Parametri: variabili collegate.

Per sostituire elementi:

  1. Selezionare il comando Sostituisci collegamenti nel menù contestuale oppure nella barra dei simboli.
  2. Si aprirà la finestra di dialogo per sostituire i collegamenti.

Proprietà

Descrizione

Sorgente

Inserimento della parte di stringa da ricercare.

Possono essere usati i placeholder * e ?. I placeholder sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.

Se si usano placeholder, tenere presente cosa accade quando si usa un carattere più volte:

  • Esempio di successione caratteri: 01{SU(00,Test1)}
    Test1 deve essere sostituito da Test 2.
  • Se si inserisce *1 per "Sorgente” e 2 per "Destinazione”, il sistema trova e sostituisce 1 in 01, ma non in t1 successivi.
    Risultato: 02{SU(00,Test1)}
  • Se si inserisce *t1 per "Sorgente” e t2 per "Destinazione”, il sistema trova e sostituisce t1.
    Risultato: 01{SU(00,Test2)}

Destinazione

Inserimento della nuova parte di stringa

Nota: sorgente e destinazione devono trovarsi nello stesso progetto.

Applica

Sostituzione delle stringhe cercate della sorgente con quelle definite in Destinazione.

Rispetta minuscolo/maiuscolo

Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.

Nome

Scambia informazioni nel nome delle variabili.

Descrizione

Scambia informazioni nell’ identificazione.

Variabile/funzione

Apre la lista per selezionare variabili/funzioni con riferimento alla riga selezionata nella lista. Cliccando su una variabile o una funzione della lista, si definisce una nuova variabile o funzione di destinazione.
Alternativa: cliccare due volte su una variabile sorgente o una funzione sorgente.

Sostituzione

Sostituzione con selezione manuale.

Per sostituire elementi manualmente:

  • Selezionare l´elemento della lista che si vuole sostituire, come sorgente.
  • Selezionare un elemento di destinazione usando il pulsante Variabile/Funzione.

    L´elemento corrente viene sostituito dal nuovo.

Sostituzione automatica con regole.

Procedura per sostituire elementi automaticamente, sulla base di determinate regole:

  • Definire nel campo di inserimento Sorgente i parametri dell´elemento che si intende sostituire:
  • Usando il campo di inserimento Destinazione , definire il parametro per la nuova variabile/funzione.
  • Mediante le opzioni Nome/Identificazione, stabilire che cosa dovrà essere sostituito.
  • Cliccare su Applica.

info Info

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.


Creare un´immagine del tipo Batch Control

Manuale -> Batch Control -> Configurazione nell'Editor -> Creare un´immagine del tipo Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine del tipo Batch Control

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare nella proprietà Tipo di immagine Batch Control.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo

Descrizione

Inserisci template

Inserisce gli elementi di controllo per ricette master e/o ricette di controllo in punti predefiniti dell´immagine. Questi elementi di controllo possono essere modificati: li si può integrare con l´aggiunta di altri elementi; li si può ridurre o riposizionare all´interno dell´immagine.

Default (Ricetta master)

Inserisce gli elementi di controllo per ricette master in punti predefiniti dell´immagine. Questi elementi di controllo possono essere modificati: li si può integrare con l´aggiunta di altri elementi; li si può ridurre o riposizionare all´interno dell´immagine.

Default (Ricetta di controllo)

Inserisce gli elementi di controllo per ricette di controllo in punti predefiniti dell´immagine. Questi elementi di controllo possono essere modificati: li si può integrare con l´aggiunta di altri elementi; li si può ridurre o riposizionare all´interno dell´immagine.

Editor ricette

Inserisce l´Editor che serve a creare ricette master e ricette di controllo.

Controllo ricette

Elementi di controllo per la gestione delle ricette.

Esecuzione comandi ricetta

Elementi di controllo per i comandi delle ricette:

  • Avvia ricetta
  • Ricetta in pausa
  • Ripristina ricetta
  • Sospendi ricetta
  • Riavvia ricetta
  • Interrompi ricetta
  • Annulla ricetta

Esecuzione comandi di fase

Elementi di controllo per i comandi relativi alla fase:

  • Fase in pausa
  • Ripristina fase
  • Sospendi fase
  • Riavvia fase
  • Esci dalla fase

Passaggio dalla modalità di esecuzione

Elementi di controllo per le modalità di esecuzione:

  • Passa in modalità automatica
  • Passa in modalità semiautomatica
  • Passa in modalità manuale

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

  • Passa in modalità automatica
  • Passa in modalità semiautomatica
  • Passa in modalità manuale

Navigazione esecuzioni

Elementi di controllo per la navigazione all´interno delle ricette:

  • Continuare la ricetta solo dalla posizione di esecuzione selezionata
  • Continuare la ricetta da tutte le posizioni di esecuzione
  • Salta la condizione

Generale

Elementi di controllo generali:

  • Verifica ricetta per errori
  • Modifica elemento
  • Aspetto grafico

Navigazione Operation

Elementi di controllo per la navigazione in ricette parziali.

  • Passa al modello Operation
  • Vai alla ricetta principale

Ricette master

Elementi di controllo per ricette master.

Lista ricette master

In questa lista possono essere visualizzate tutte le ricette master. È possibile limitare il numero delle ricette visualizzate applicando un filtro.

Il filtro può essere configurato già nell´Editor di zenon, in fase di impostazione della funzione di cambio immagine. È possibile eseguire un´operazione di filtro anche a Runtime. Le impostazioni di filtro definite a Runtime non vengono salvate. Questo significa che, alla riapertura dell´immagine, bisognerà inserire di nuovo i filtri da applicare. È possibile definire criteri di filtro stabili solamente in fase di configurazione nell´Editor di zenon.

Tutti i comandi sono possibili anche nei menù contestuali della lista. I comandi di gestione della lista possono essere aperti nell´intestazione della lista stessa, mentre quelli per la gestione delle ricette, invece, possono essere aperti in fase di modifica di una o più ricette.

Le ricette contenute nella lista non possono essere modificate direttamente nella lista stessa. Rinominare una ricetta, oppure cambiare la descrizione o lo stato di una ricetta è possibile solamente usando i comandi corrispondenti.

Selezione colonne per ricette master ...

Apre una finestra di dialogo per definire quali colonne devono essere visualizzate.
Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Imposta colonne per ricette master...

Apre una finestra di dialogo per modificare le impostazioni delle colonne.
Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Nuova ricetta master...

Apre la finestra di dialogo per creare una nuova ricetta master.

Crea nuova versione per ricetta master

Crea una nuova versione della ricetta master selezionata. Quest´ultima deve essere rilasciata, oppure contrassegnata come obsoleta.

Rinomina ricetta master

Attivo solo se è stata selezionata solo una ricetta master.
Viene aperta la finestra di dialogo per assegnare un nome univoco e una descrizione.
Le ricette possono essere rinominate solo se hanno lo stato modificabile.
Usare questa funzione anche per modificare la descrizione della ricetta master.

Quando si rinomina una ricetta, viene generato un inserimento nella CEL.

Duplica ricetta master

Attivo solamente se è stata selezionata una sola ricetta.
Crea una copia della ricetta selezionata. Per la creazione della copia si usa la versione salvata sul disco fisso. Se si sta modificando questa ricetta su un altro computer, ma le modifiche non sono state ancora salvate, queste ultime non verranno tenute in considerazione nella creazione della copia. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

La copia della ricetta riceve automaticamente lo stato modificabile e può essere dunque modificata.

Quando si duplica una ricetta, viene generato un inserimento nella CEL.

Elimina ricetta master

Cancella definitivamente le ricette selezionate. Se la ricetta è aperta nell´Editor di un altro PC, verrà chiusa automaticamente.

È possibile cancellare solo se non esiste nessuna ricetta di controllo che si basa su questa ricetta master. Prima si dovranno cancellare tutte le ricette di controllo.
Quelle ricette che vengono eseguite in modalità test (stato della ricetta master: verifica in esecuzione), non potranno essere cancellate. Prima le si dovrà completare, fermare o terminare.

Per tutti quei casi in cui delle ricette non devono essere assolutamente cancellate (per es. nei settori in cui vale la normativa FDA), si consiglia di non progettare questo pulsante, oppure di dotarlo di un Livello di autorizzazione: corrispondente.
Quando si cancella una ricetta, viene creato un inserimento nella CEL.

Apri ricetta master

Apre le ricette master selezionate nell´Editor delle ricette, a condizione che nell´immagine esista l´elemento Editor ricette. Ogni ricetta master selezionata verrà aperta in una scheda a parte dell´Editor delle ricette.

Passa alla modalità di modifica della ricetta master

Modifica lo stato delle ricette master selezionate a Modificabile. Quando le ricette hanno questo stato, possono essere modificate completamente.
Solo le ricette in Modalità testpossono essere impostate di nuovo a Modificabile.

Passa alla modalità di test per la ricetta master

Modifica lo stato delle ricette master selezionate su Modalità test. Solo le ricette prive di errori possono essere impostate nella modalità test. Se nel processo di convalida si verificano degli errori, si dovrà prima correggerli.

Le ricette che si trovano in modalità test possono essere eseguite, ma non possono essere più modificate. I dettagli relativi allo stato si trovano nel capitolo Tipi di ricette e stato delle ricette.

Rilascia modello ricetta

Modifica lo stato delle ricette master selezionate su Rilasciata. Si può rilasciare solamente delle ricette prive di errori. Se nel processo di convalida si verificano degli errori, si dovrà prima correggerli.
Solo quelle ricette che hanno lo stato Modalità test e modificabile possono essere rilasciate.

Le ricette rilasciate non possono essere più modificate. Si possono creare ricette di controllo solo da ricette rilasciate.
I dettagli relativi allo stato si trovano nel capitolo Tipi di ricette e stato delle ricette

Quando si rilascia una ricetta, viene generato un inserimento nella CEL.

Ricetta master impostata come obsoleta

Modifica lo stato della ricetta su obsoleta. La ricetta non può essere più né modificata, né rilasciata. Non è possibile creare una ricetta di controllo sulla base di questa ricetta.

Visualizza nella lista le ricette di controllo associate

Visualizza tutte le ricette di controllo che si basano sulla ricetta master selezionata e che corrispondono ai criteri di filtro impostati.

Aggiorna dinamicamente la lista delle ricette di controllo

Disattiva il pulsante Visualizza nella lista le ricette di controllo associate. Quando si seleziona una ricetta master, verranno visualizzate automaticamente tutte le ricette di controllo associate.

Filtro di visualizzazione ricette di controllo

Consente di filtrare le ricette master sulla base di determinati criteri:

  • Ricette di controllo predefinite:
    Visualizza le ricette di controllo pronte per essere eseguite.
  • Ricette di controllo attualmente eseguite
    Visualizza solamente le ricette di controllo in esecuzione al momento.
  • Ricette di controllo completate:
    Visualizza solamente le ricette di controllo già eseguite.
  • Ricette di controllo obsolete:
    Visualizza solamente le ricette di controllo con lo stato obsoleta.

Il filtro viene applicato solo quando si clicca su Visualizza la lista delle ricette di controllo associate.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

Elementi compatibili

  • Aggiorna dinamicamente la lista delle ricette di controllo
  • Ricette di controllo predefinite
  • Ricette di controllo attualmente in esecuzione
  • Ricette di controllo completate
  • Ricette di controllo obsolete

Ricette di controllo

Elementi di controllo per ricette di controllo.

Lista ricette di controllo...

In questa lista possono essere visualizzate tutte le ricette di controllo. È possibile limitare il numero delle ricette visualizzate applicando un filtro.

Di default questa lista è sempre vuota. Per popolare questa lista:

  • Si devono selezionare ricette master.
  • Si devono settare i filtri
    Ricette di controllo in esecuzione,
    Ricette di controllo pronte e
    Ricette di controllo completate
    (configurazione della funzione di cambio immagine).
  • Si deve premere il pulsante Visualizza nella lista le ricette di controllo associate.

Oltre ai filtri citati sopra, la lista stessa può essere filtrata. Il filtro può essere configurato già nell´Editor di zenon, in fase di impostazione della funzione di cambio immagine. È possibile eseguire un´operazione di filtro anche a Runtime. Le impostazioni di filtro definite a Runtime non vengono salvate. Questo significa che, alla riapertura dell´immagine, bisognerà inserire di nuovo i filtri da applicare. È possibile definire criteri di filtro stabili solamente in fase di configurazione nell´Editor di zenon.

Tutti i comandi sono possibili anche nei menù contestuali della lista. I comandi di gestione della lista possono essere aperti nell´intestazione della lista stessa, mentre quelli per la gestione delle ricette, invece, possono essere aperti in fase di modifica di una o più ricette.
Le ricette contenute nella lista non possono essere modificate direttamente nella lista stessa. Rinominare una ricetta, cambiarne la descrizione, oppure avviare una ricetta è possibile solamente usando i comandi corrispondenti.

Selezione colonne per ricetta di controllo...

Apre una finestra di dialogo per definire quali colonne devono essere visualizzate.
Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Imposta colonne per ricetta di controllo...

Apre una finestra di dialogo per modificare le impostazioni delle colonne.
Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Nuova ricetta di controllo ...

Apre la finestra di dialogo per consentire di inserire un nome univoco e una descrizione per la ricetta di controllo. Anche nella rete di zenon viene eseguita una verifica dell´univocità del nome della ricetta. Il nome deve essere univoco solamente all´interno della ricetta master. Ricette di controllo che si basano su ricette master diverse, possono avere lo stesso nome. L´univocità all´interno del modulo Batch Control viene ottenuta referenziando sempre il nome della ricetta master e quello della ricetta di controllo.

Quando si crea una ricetta di controllo, viene generato un inserimento nella CEL.

Rinomina ricetta di controllo

Attivo solo se è stata selezionata solo una ricetta di controllo.
Viene aperta la finestra di dialogo per assegnare un nome univoco e una descrizione.
Le ricette possono essere rinominate solo se hanno lo stato pronta.
Usare questa funzione anche per modificare la descrizione della ricetta di controllo.

Duplica ricetta di controllo

Attivo solamente se è stata selezionata una sola ricetta.
Crea una copia della ricetta selezionata. Per la creazione della copia si usa la versione salvata sul disco fisso. Se si sta modificando questa ricetta su un altro computer, ma le modifiche non sono state ancora salvate, queste ultime non verranno tenute in considerazione nella creazione della copia. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

La copia della ricetta riceve automaticamente lo stato predefinita e può essere dunque modificata o avviata. Lo stato di esecuzione del duplicato viene settato su automatico.

Quando si duplica una ricetta, viene generato un inserimento nella CEL.

Cancella ricetta di controllo

Cancella definitivamente le ricette selezionate. Se la ricetta è aperta nell´Editor di un altro PC, verrà chiusa automaticamente.

Cancellare è possibile solo se tutte le ricette selezionate non sono in esecuzione (stato ricetta di controllo: In esecuzione). Prima le si dovrà completare, fermare o terminare.

Per tutti quei casi in cui delle ricette non devono essere assolutamente cancellate (per es. nei settori in cui vale la normativa FDA), si consiglia di non progettare questo pulsante, oppure di dotarlo di un Livello di autorizzazione: corrispondente.
Quando si cancella una ricetta, viene creato un inserimento nella CEL.

Apri ricetta di controllo

Apre le ricette di controllo selezionate nell´Editor delle ricette, a condizione che nell´immagine esista l´elemento Editor ricette. Ogni ricetta di controllo selezionata verrà aperta in una scheda a parte dell´Editor delle ricette.

Avvia ricetta di controllo

Avvia le ricette di controllo selezionate nella modalità di esecuzione impostata. Le ricette vengono eseguite automaticamente sul server. Non è necessario che la ricetta sia aperta nell´Editor delle ricette.

Liste parametri

Casella di riepilogo per la visualizzazione di parametri.

Si possono creare due caselle di riepilogo. Questi vengono configurati con il cambio immagine.

Importa/Export XML

Elemento di controllo per l´importazione/ esportazione in un file XML.

Esporta ricetta master...

Esporta la ricetta master selezionata in un file XML.

Esporta ricetta di controllo...

Esporta la ricetta di controllo selezionata in un file XML.

Importa XML...

Importa il file XML selezionato.


Job-variabili

Manuale -> Batch Control -> Configurazione nell'Editor -> Job-variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor è possibile collegare job-variabili. Queste variabili consentono di assegnare Job ID a produzioni batch. Per garantire che il valore della variabile sia disponibile immediatamente, la Job-variabile viene inserita e registrata nella connessione globale al momento dell´avvio del Runtime. C`è una query della variabile anche in caso di reload.

Le Job-variabili definite nella proprietà Variabile d'ordinamento individuale, possono essere assegnate tramite una funzione. Altrimenti viene usata la Job ID globale.

Job-variabile globale

Per collegare una Job ID:

  1. Passare al nodo Generale/Job ID nelle proprietà del modulo.
  2. Collegare nella proprietà Job ID una variabile.
  3. Selezionare nel menù a tendina della proprietà Acquisisci valore dalla variabile di ordinamento in fase di: la modalità di acquisizione del valore a Runtime: :
    • Generazione della ricetta di controllo:

      Il valore attuale della variabile verrà acquisito nella ricetta di controllo al momento della sua creazione. Il valore verrà visualizzato nella finestra di dialogo di configurazione della ricetta di controllo. . Il campo riservato a questo valore non deve essere vuoto, altrimenti la ricetta non potrà essere creata.

    • Avvio della ricetta di controllo

      A Runtime, il contenuto della variabile viene scritto nella ricetta al momento dell´avvio della ricetta di controllo. Il campo riservato a questo valore non deve essere vuoto!

    Nota relativa al cambio valore: il valore acquisito dalla variabile viene convertito sempre in una stringa, indipendentemente dal tipo della variabile. Nell´effettuare il cambia da REAL a STRING, il sistema tiene conto di 10 cifre decimali. Gli zero alla fine vengono eliminati.

  4. Se lo si desidera, si può definire anche una Variabile d'ordinamento individuale

A Runtime, il Job ID assegnato può essere visualizzato nella lista delle ricette di controllo.

Job-Variabile individuale

Per collegare una Variabile d'ordinamento individuale:

  1. Passare al nodo Generale/Job ID nelle proprietà del modulo.
  2. Collegare nella proprietà Variabile d'ordinamento individuale una o più variabili.
  3. Nella configurazione di funzioni di zenon, selezionare la variabile desiderata e la modalità di assegnazione.


Cambio immagine - Batch Control

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il modulo Batch Control a Runtime, si deve configurare una funzione di cambio immagine per poter aprire l´immagine del tipo Batch Control a Runtime:

  1. Selezionare nel nodo Funzioni del menù contestuale, la voce Nuova Funzione
  2. Selezionare la funzione Cambio immagine
  3. Selezionare l´immagine di tipo Batch Control
  4. Verrà visualizzata la finestra di dialogo di filtro
  5. Configurare le
    1. impostazioni per la lista delle ricette master/ ricette di controllo, incluso Pre-Filtro
    2. Assegnazioni variabili
    3. Impostazioni lista parametri
  6. Collegare la funzione ad un pulsante in modo tale da poter aprire l´immagine a Runtime.

Ancora in questo capitolo

Impostazioni della lista ricette

Assegnazione variabili

Impostazioni lista parametri


Impostazioni della lista ricette

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Impostazioni della lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si devono configurare le impostazioni di:

  • Lista ricette master
  • Lista delle ricette di controllo
  • Pre-filtro

Lista delle ricette master

Configurazione delle ricette master.

Opzione

Descrizione

Pre-filtro

Selezione fra le opzioni offerte dal menù a tendina; qui si definisce se debba essere usata o meno una forma di pre-filtro quando si visualizzano le ricette master. Possibili impostazioni:

  • Nessun pre-filtro:
    le ricette non saranno sottoposte ad un pre-filtro. Nella lista verranno visualizzate tutte le ricette master.
  • ID dalla variabile
    le ricette verranno filtrate sulla base dell´ID. Il criterio sulla base del quale viene eseguita l´operazione di filtro viene configurata nella proprietà Variabile.
  • Nome da variabile
    le ricette verranno filtrate sulla base del nome. Il criterio sulla base del quale viene eseguita l´operazione di filtro viene configurata nella proprietà Variabile.

Variabile

Definizione della variabile che fornisce i valori sulla base dei quali viene eseguita l´operazione di pre-filtro. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Acquisisci dall'immagine chiamante

Attiva: A Runtime, le impostazioni di colonna vengono riprese dall´immagine chiamante, cioè da quell´immagine in cui è progettato il pulsante cui è stata collegata la funzione di cambio immagine. Anche l´immagine chiamante deve essere di tipo Batch Control. Se si attiva questa opzione, non sarà possibile configurare le proprietà delle colonne nell´Editor.

Campo elenco

Visualizzazione delle colonne configurate.

Selezione colonne

Apre la finestra di dialogo per selezionare le colonne da visualizzare.

Formato colonne

Apre la finestra di dialogo per formattare le colonne.

Lista delle ricette di controllo

Configurazione delle ricette di controllo.

Opzione

Descrizione

Riempi l'elenco delle ricette di controllo quando si attiva l'immagine

Impostazione che definisce in che modo deve essere popolata la lista delle ricette master al momento della sua apertura. Selezione di una opzione.

  • Nessun riempimento
  • Imposta e utilizza la selezione della ricette master dall'immagine chiamante
  • Visualizza tutti i modelli di ricetta utilizzati

Pre-filtro

Selezione fra le opzioni offerte dal menù a tendina; qui si definisce se debba essere usata o meno una forma di pre-filtro quando si visualizzano le ricette di controllo. Possibili impostazioni:

  • Nessun pre-filtro: le ricette non saranno sottoposte ad un pre-filtro.
  • ID dalla variabile le ricette verranno filtrate sulla bas dell´ID. Il criterio sulla base del quale viene eseguita l´operazione di filtro viene configurata nella proprietà Variabile.
  • Nome da variabile le ricette verranno filtrate sulla base del nome. Il criterio sulla base del quale viene eseguita l´operazione di filtro viene configurata nella proprietà Variabile.
  • ID Task dalla variabile: le ricette verranno filtrate sulla base del Job ID. Il criterio sulla base del quale viene eseguita l´operazione di filtro viene configurata nella proprietà Variabile.

Variabile

Definizione della variabile che fornisce i valori sulla base dei quali viene eseguita l´operazione di pre-filtro. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Apri le ricette trovate nell'Editor ricette

Attiva: le ricette visualizzate nella lista al momento dell´apertura dell´immagine verranno aperte nell´Editor delle ricette.

Nota: verranno visualizzate al massimo 20 ricette, le prime 20 ricette trovate.

Selezione delle ricette master popola automaticamente la lista delle ricette di controllo

Attiva: la lista delle ricette di controllo visualizza sempre le ricette di controllo delle ricette master selezionate in quel momento. A Runtime, poi, non sarà necessario premere il pulsante Aggiorna dinamicamente la lista delle ricette di controllo.

Acquisisci dall'immagine chiamante

Attiva: le impostazioni delle colonne verranno acquisite a Runtime dall´immagine chiamante. Se si attiva questa opzione, non sarà possibile configurare le proprietà delle colonne nell´Editor.

Campo elenco

Visualizzazione delle colonne configurate.

Selezione colonne

Apre la finestra di dialogo per selezionare le colonne da visualizzare.

Formato colonne

Apre la finestra di dialogo per formattare le colonne.

Filtra le ricette di controllo per stato

Impostazioni per il filtro delle ricette di controllo sulla base del loro stato.

Acquisisci filtro dall'immagine chiamante

Attiva: il filtro viene ripreso dall´immagine chiamante.

Utilizza questo filtro

Selezione dei criteri relativi allo stato di una ricetta che deve essere aperta.

Attiva: È possibile selezionare più stati; per farlo si deve attivare la checkbox corrispondente (segno di spunta nella casella).

  • Pronta
  • In esecuzione
  • Completata
  • Obsoleta

Opzioni generali

Nomi di ricetta sono case sensitive

Attiva: quando viene eseguita l´operazione di filtro per nomi ricetta, si tiene conto della scrittura in lettere maiuscole/minuscole.

Default: non attiva.

Proponi dialogo a Runtime

Attiva: al momento della chiamata funzione a Runtime, si apre questo dialogo e l´utente può adattare la configurazione prima dell´esecuzione della funzione.

Il dialogo viene aperto a Runtime sul computer attuale. Nel funzionamento di rete, il dialogo viene aperto sul client se la chiamata funzione avviene sul client.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.

Ancora in questo capitolo

Selezione colonne

Formato colonne

Pre-filtro


Selezione colonne

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Impostazioni della lista ricette -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Opzioni.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: queste impostazioni vengono usate a Runtime per finestre ancorabili solo se non c`è nessun profilo Runtime a disposizione per l´utente loggato.

Esempi - Selezione colonne

Selezione colonne per la lista delle ricette master:

Selezione colonne per la lista delle ricette di controllo:

Selezione colonne per la lista delle ricette parziali (disponibile solo a Runtime):

Selezione colonne per le liste parametri:


Formato colonne

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Impostazioni della lista ricette -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si definisce il formato delle colonne:

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: queste impostazioni vengono usate a Runtime per finestre ancorabili solo se non c`è nessun profilo Runtime a disposizione per l´utente loggato.


Pre-filtro

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Impostazioni della lista ricette -> Pre-filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per evitare che a Runtime tutte le ricette vengano sempre caricate nelle corrispondenti liste, è possibile definire già in fase di configurazione della funzione di cambio immagine dei criteri di filtro per ricette master e ricette di controllo. A Runtime verranno visualizzate nella liste delle ricette master e in quella delle ricette di controllo solo quelle ricette che soddisfano i criteri di filtro. Queste ricette verranno aperte anche nell´Editor delle ricette, a condizione che questo sia stato attivato.

Se si desidera che l´operatore non possa eliminare il filtro a Runtime:

  1. Disattivare l´opzione Visualizza questa finestra di dialogo a Runtime.
  2. Bloccare il filtro colonna: Aprire la finestra di dialogo Formato colonne... e attivare l´opzione Disattiva filtro colonne a Runtime. In questo modo sarà impossibile per l´operatore modificare il filtro a Runtime e non verranno visualizzate quelle ricette che, per es., egli non è autorizzato a modificare.

Filtro per ricette master

Configurare:

  1. Pre-filtro

    Si può stabilire se le ricette devono essere sottoposte ad un´operazione di filtro preliminare. Le ricette possono essere filtrate per ID o per nome. A Runtime, la condizione di filtro viene verificata per mezzo di una variabile.

  2. Impostazioni colonne
    1. Nella finestra di dialogo di configurazione della funzione di cambio immagine cliccare su un filtro colonna nella Lista delle ricette master, oppure nella Lista delle ricette di controllo.
    2. Inserire qui il testo di filtro desiderato; sono consentite wildcard in forma di asterisco (*).
    3. Confermate il testo di filtro premendo il tasto Ins perché venga applicato.
  3. Apertura ricetta automatica

    Si può stabilire se le ricette trovate debbano essere aperte subito nell´Editor delle ricette.

    Nota: può essere aperto automaticamente un massimo di 20 ricette (le prime 20 ricette trovate).

info Info

In caso di reload del Runtime, le impostazioni del pre-filtro per ricette master vengono di nuovo applicate. Questo vale anche se cambia il valore delle variabili filtro, oppure se si aggiungono alla lista altre ricette che non corrispondono al filtro. In caso di reload, la lista viene ricreata sempre in modo esatto.

Filtro per ricette di controllo

Configurare:

  1. Stato della ricetta

    Filtrare le ricette di controllo sulla base del loro stato. È possibile selezionare più stati contemporaneamente attivando le checkbox corrispondenti (segno di spunta nella casella); oppure si può acquisire il filtro dall´immagine chiamante.

  2. Riempimento della lista delle ricette

    Si può stabilire se e come debba essere riempita la lista delle ricette di controllo alla sua apertura.

  3. Pre-filtro

    Si può stabilire se le ricette devono essere sottoposte ad un´operazione di filtro preliminare. Le ricette possono essere filtrate per ID, nome o Job ID. A Runtime, la condizione di filtro viene verificata per mezzo di una variabile.

  4. Impostazioni colonne
    1. Nella finestra di dialogo di configurazione della funzione di cambio immagine cliccare su un filtro colonna nella Lista delle ricette master, oppure nella Lista delle ricette di controllo.
    2. Inserire qui il testo di filtro desiderato; sono consentite wildcard in forma di asterisco (*).
    3. Confermate il testo di filtro premendo il tasto Ins perché venga applicato.
  5. Apertura ricetta automatica

    Si può stabilire se le ricette trovate debbano essere aperte subito nell´Editor delle ricette.

    Nota: può essere aperto automaticamente un massimo di 20 ricette (le prime 20 ricette trovate).

info Info

In caso di reload del Runtime, le impostazioni del pre-filtro per ricette di controllo non vengono applicate di nuovo. Verranno invece visualizzate tutte le ricette di controllo che corrispondono al filtro corrente a Runtime (ricette master, stato, filtro colonne).


Assegnazione variabili

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si collegano variabili ad elementi nella ricetta. In questo modo è possibile visualizzare gli stati di una fase o di una ricetta parziale in un´altra immagine, e reagire agli stessi. Lo stato di esecuzione della ricetta e dell´oggetto selezionato possono essere visualizzati usando variabili stringa o numeriche. Le variabili numeriche si prestano, ad esempio, ad essere collegate ad un elemento combinato. I dettagli relativi agli stati si trovano nel capitolo Codifica dello stato di esecuzione.

Per visualizzare gli stati:

  1. Creare una nuova immagine con gli elementi di controllo desiderati.
  2. Collegare gli elementi a variabili.
  3. Collegare poi queste variabili nel filtro della funzione di cambio immagine agli oggetti corrispondenti.

Collegare variabili

Per collegare una variabile:

  1. Cliccare sul pulsante ….
  2. Si apre la finestra di dialogo per selezionare una variabile.
  3. Selezionare la variabile desiderata

Visualizza

Vengono visualizzati:

  • Per la ricetta, su cui si trova il focus:
    • Nome
    • Descrizione
    • Stato
    • Modalità di esecuzione
    • Stato di esecuzione
    • Tipo ricetta
  • Per l´oggetto nella ricetta su cui si trova il focus (fase o ricetta parziale):
    • Nome
    • Descrizione
    • Unità
    • Tipo
    • Stato
    • Stato interno
    • Tempo di avvio
    • Tempo di conclusione
    • Contatore di esecuzione:
    • Durata di esecuzione

Parametro

Descrizione

Ricetta master

Collegamenti di variabili per la ricetta master.

Lo stato viene visualizzato quando la ricetta riceve il focus, oppure una fase o una ricetta parziale sono evidenziati.

Si possono collegare:

  • Nome
  • Versione
  • Versione iniziale
  • Descrizione
  • Stato (Testo):
  • Stato (Numerico):

Ricetta di controllo

Collegamenti di variabili per la ricetta di controllo.

Lo stato viene visualizzato quando la ricetta riceve il focus, oppure una fase o una ricetta parziale sono evidenziati.

Si possono collegare:

  • Nome
  • Descrizione
  • Stato (Testo):
  • Stato (Numerico):
  • Job ID (Testo)

Ricetta parziale

Collegamenti di variabili per la ricetta parziale

Lo stato viene visualizzato quando la ricetta riceve il focus, oppure una fase o una ricetta parziale sono evidenziati.

Si possono collegare:

  • Nome
  • Descrizione

Generale

Collegamenti di variabili per informazioni generali

Lo stato viene visualizzato quando la ricetta riceve il focus, oppure una fase o una ricetta parziale sono evidenziati.

Si possono collegare:

  • Modalità di esecuzione (Testo)
  • Modalità di esecuzione (numerico)
  • Stato di esecuzione (Testo)
  • Stato di esecuzione (numerico)
  • Tipo ricetta (Testo)
  • Tipo ricetta (Numerico):

Oggetto selezionato

Collegamenti di variabili per l´oggetto selezionato (fase o ricetta parziale).

Lo stato viene visualizzato quando una fase o una ricetta parziale sono evidenziati.

Si possono collegare:

  • Nome
  • Descrizione
  • Unità
  • Tipo (Testo):
  • Tipo (Numerico):
  • Strategia di controllo
  • Descrizione strategia di controllo
  • Numero modalità di esecuzione
  • Stato (Testo)
  • Stato (Numerico):
  • Stato interno (Testo):
  • Stato interno (Numerico):
  • Tempo di avvio
  • Tempo di conclusione
  • Contatore di esecuzione:
  • Durata di esecuzione

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: se sono evidenziati più oggetti, non verrà visualizzata nessuna informazione.

Ancora in questo capitolo

Codifica dello stato di esecuzione


Codifica dello stato di esecuzione

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stato di esecuzione

Lo stato di esecuzione (sia per la ricetta, che per l´oggetto selezionato) è codificato con diverse informazioni:

  • Byte 0: stato di esecuzione
  • Byte 1: bit di stato per lo stato
  • Byte 2: tipo di oggetto che è parte dello stato.

Se nessuna ricetta è aperta, le variabili stringa saranno vuote e quelle numeriche avranno il valore 0.

Byte 0

Stato di esecuzione
Quali valori sono possibili dipende dal tipo di oggetto.

Stringa | Decimale | Binario
Idle | 1 | 1
in esecuzione. | 2 | 10
Completata | 3 | 11
In pausa (a partire dallo stato: in esecuzione) | 4 | 100
In pausa | 5 | 101
Fermare (a partire dallo stato: in esecuzione) | 6 | 110
Fermare (a partire dallo stato: in pausa) | 7 | 111
Fermare (a partire dallo stato: Riavviare) | 8 | 1000
Fermato | 9 | 1001
Riavviare (a partire dallo stato: Fermato) | 10 | 1010
Stop (a partire dallo stato: in esecuzione) | 11 | 1011
Stop (a partire dallo stato: in pausa) | 12 | 1100
Stop (a partire dallo stato: Fermato) | 13 | 1101
Stoppato | 14 | 1110
Annulla (a partire dallo stato: in esecuzione) | 15 | 1111
Annulla (a partire dallo stato: in pausa) | 16 | 10000
Annulla (a partire dallo stato: Fermato) | 17 | 10001
Annullato | 18 | 10010

Byte 1

Bit di stato per lo stato.
Il testo viene aggiunto alla variabile stringa. Nelle variabili numeriche vengono settati i corrispondenti bit.

Valori per le variabile stringa | Valori per variabili numeriche
n elementi in stato di deviazione | 0b00000001
Attesa di n elemento(i) | 0b00000010

Byte 2

Tipo di oggetto che è parte dello stato.
Solo per variabile numerica.

Decimale | Binario | Significato
1 | 1 | Ricetta
2 | 10 | Fase
3 | 11 | Oggetto-ricetta parziale nella ricetta.

Ancora in questo capitolo

Ricetta master

Ricetta di controllo

Ricetta parziale

Generale

Oggetto selezionato


Ricetta master

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione -> Ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta master

Nome

Nome della ricetta master aperta al momento, oppure della ricetta master associata alla ricetta di controllo o alla ricetta parziale aperta al momento.

Descrizione

Descrizione della ricetta master aperta al momento, oppure della ricetta master associata alla ricetta di controllo o alla ricetta parziale aperta al momento.

Stato (testo o numerico)

Stato della ricetta master aperta al momento, oppure della ricetta master associata alla ricetta di controllo o alla ricetta parziale aperta al momento.

Valori di variabili:

Stringa | Decimale | Binario
Nessuna ricetta nella view attiva | 0 | 0
Creazione (non visibile) | 1 | 1
Modalità di modifica | 2 | 10
Rilasciata | 3 | 11
Modalità test | 4 | 100
Verifica in esecuzione | 5 | 101
Terminato con errore | 6 | 110
Obsoleta | 9 | 1001


Ricetta di controllo

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione -> Ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta di controllo

Nome

Nome della ricetta di controllo selezionata al momento. La ricetta deve essere aperta e avere il focus. Viene popolato nella ricetta di controllo e nell´istanza di ricetta parziale nella ricetta di controllo.

Descrizione

Descrizione della ricetta di controllo selezionata al momento. La ricetta deve essere aperta e avere il focus. Viene popolato nella ricetta di controllo e nell´istanza di ricetta parziale nella ricetta di controllo.

Stato (testo o numerico)

Stato della ricetta di controllo selezionata al momento. La ricetta deve essere aperta e avere il focus. Viene popolato nella ricetta di controllo e nell´istanza di ricetta parziale nella ricetta di controllo.

Valori di variabili:

Stringa | Decimale | Binario
Nessuna ricetta di controllo attiva | 0 | 0
Creazione (non visibile) | 1 | 1
Pronta | 2 | 10
in esecuzione. | 3 | 11
Completata | 4 | 100
Terminato con errore | 5 | 101
Obsoleta | 7 | 111


Ricetta parziale

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione -> Ricetta parziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta parziale

Nome

Nome della ricetta parziale aperta al momento. Viene popolato nel modello ricetta parziale e nell´istanza di ricetta parziale.

Descrizione

Descrizione della ricetta parziale aperta al momento. Viene popolato nel modello ricetta parziale e nell´istanza di ricetta parziale.


Generale

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Generale

Attenzione: il contenuto di questa variabile non è compatibile fra le versioni zenon 7.10 e 7.11.

Modalità di esecuzione (testo o numerico)

Modalità di esecuzione impostata al momento per la ricetta selezionata correntemente. Viene popolato per tutti i tipi di ricetta.

Valori di variabili:

Stringa | Decimale | Binario
Automatico | 1 | 01
Semiautomatico | 2 | 10
Manuale | 3 | 11

Stato di esecuzione (testo o numerico)

Stato della ricetta.

Byte 0

Valori di variabili:

Stringa | Decimale | Binario
Idle | 1 | 1
in esecuzione. | 2 | 10
Completata | 3 | 11
Sospensione in corso (a partire dallo stato: in esecuzione) | 4 | 100
In pausa | 5 | 101
Fermare (a partire dallo stato: in esecuzione) | 6 | 110
Fermato | 9 | 1001
Riavviare (a partire dallo stato: Fermato) | 10 | 1010
Stop (a partire dallo stato: in esecuzione) | 11 | 1011
Stoppato | 14 | 1110
Annulla (a partire dallo stato: in esecuzione) | 15 | 1111
Annullato | 18 | 10010

Byte 1

Valori per le variabili stringa | Valori per variabili numeriche
n elementi in uno stato di deviazione | 0b00000001
Attesa di n elemento(i) | 0b00000010

Byte 2

Tipo di oggetto Solo per le variabili numeriche.

Decimale | Binario | Significato
1 | 1 | Ricetta

Tipo di ricetta (testo o numerico)

Tipo della ricetta selezionata al momento. Viene popolato per tutti i tipi di ricetta.

Valori di variabili:

Stringa | Decimale |  | Binario
Ricetta master |  | 1 | 1
Ricetta di controllo |  | 2 | 10
Modello ricetta parziale |  | 4 | 100
Istanza Operation in ricetta master |  | 9 | 1001
Istanza Operation in ricetta di controllo |  | 10 | 1010


Oggetto selezionato

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Assegnazione variabili -> Codifica dello stato di esecuzione -> Oggetto selezionato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Oggetto selezionato

Le variabili per l´oggetto selezionato contengono sempre dati se è stata scelta una sola fase o una sola ricetta parziale nella ricetta correntemente selezionata. Queste variabili vengono popolate per tutti i tipi di ricetta. In caso non sia stato selezionato nessun oggetto, oppure se ne è stato selezionato più di uno, le variabili stringa saranno vuote e quelle numeriche avranno il valore 0.

Nome

Viene riempito con il nome della fase o della ricetta parziale.

Descrizione

Viene riempito con la descrizione della fase o della ricetta parziale.

Unità

Viene popolato con il nome dell´unità della fase selezionata.

Tipo (testo o numerico)

Valori di variabili:

Stringa | Decimale | Binario
Fase | 3 | 11
Ricetta parziale | 13 | 1101

Stato (testo o numerico)

Viene riempito con il corrente stato di esecuzione dell´elemento.

Valori per una fase.

Byte 0

Valori di variabili:

Stringa | Decimale | Binario
Idle | 1 | 1
in esecuzione. | 2 | 10
Completata | 3 | 11
sospensione in corso (a partire dallo stato: in esecuzione) | 4 | 100
In pausa | 5 | 101
Interrompi (a partire dallo stato: in esecuzione) | 6 | 110
Interrompi (a partire dallo stato: in pausa) | 7 | 111
Interrompi (a partire dallo stato: riavvia) | 8 | 1000
Fermato | 9 | 1001
riprendi (a partire dallo stato: Fermato) | 10 | 1010
arresta (a partire dallo stato: in esecuzione) | 11 | 1011
arresta (a partire dallo stato: in pausa) | 12 | 1100
arresta (a partire dallo stato: Fermato) | 13 | 1101
Stoppato | 14 | 1110
Interrompi (a partire dallo stato: in esecuzione) | 15 | 1111
Interrompi (a partire dallo stato: in pausa) | 16 | 10000
Interrompi (a partire dallo stato: Fermato) | 17 | 10001
Annullato | 18 | 10010

Byte 1:

Sempre vuoto.

Byte 2:

Tipo di oggetto Solo per le variabili numeriche.

Valori di variabili:

Decimale | Binario | Significato
2 | 10 | Fase

Valori per un´istanza ricetta parziale.

Byte 0

Valori di variabili:

Stringa |  | Decimale | Binario
Idle | 1 |  | 1
in esecuzione. | 2 |  | 10
Completata | 3 |  | 11
sospensione in corso (a partire dallo stato: in esecuzione) | 4 |  | 100
In pausa | 5 |  | 101
Interrompi (a partire dallo stato: in esecuzione) | 6 |  | 110
Fermato | 9 |  | 1001
riprendi (a partire dallo stato: Fermato) | 10 |  | 1010
arresta (a partire dallo stato: in esecuzione) | 11 |  | 1011
arresta (a partire dallo stato: in pausa) | 12 |  | 1100
arresta (a partire dallo stato: Fermato) | 13 |  | 1101
Stoppato | 14 |  | 1110
Interrompi (a partire dallo stato: in esecuzione) | 15 |  | 1111
Interrompi (a partire dallo stato: in pausa) | 16 |  | 10000
Interrompi (a partire dallo stato: Fermato) | 17 |  | 10001
Annullato | 18 |  | 10010

Byte 1

Valori per le variabili stringa | Valori per variabili numeriche
n elementi in stato di deviazione | 0b00000001

Il bit viene settato solo se nella ricetta parziale si trovano degli oggetti il cui stato diverge da quello della ricetta parziale stessa. Eccezioni sono Idle e Completata.

Byte 2:

Tipo di oggetto Solo per la variabile numerica.

Valori di variabili:

Decimale | Binario | Significato
3 | 11 | Oggetto ricetta parziale nella ricetta.

Stato interno (testo o numerico)

Viene popolato con lo stato di esecuzione interno dell´elemento selezionato.

Composizione dello stato interno:

  • Byte 0: Stato
  • Byte 1: Bit di stato
  • Byte 2: Tipo di oggetto

Valori per una fase.

Byte 0

Stato interno. Il testo può essere differente per altri oggetti.

Valori di variabili:

Stringa |  | Decimale | Binario
Idle | 1 |  | 1
Attendere fino a quando la fase sia pronta ad iniziare | 2 |  | 10
In attesa di allocazione unità | 3 |  | 11
Attesa allocazione unità - Timeout | 4 |  | 100
In attesa della condizione di esecuzione esclusiva | 5 |  | 101
In attesa dell'interblocco di ingresso | 6 |  | 110
In attesa del blocco di entrata - Timeout | 7 |  | 111
In attesa della condizione di fine fase | 8 |  | 1000
In attesa della condizione di transizione - Timeout | 9 |  | 1001
In attesa della condizione di transizione - Errore di scrittura valore | 10 |  | 1010
In attesa del tempo di esecuzione minimo | 11 |  | 1011
In attesa fino a che la ricetta non sia in stato "In esecuzione" | 12 |  | 1100
In attesa delle condizioni successive | 13 |  | 1101
In attesa delle condizioni seguenti - Timeout | 14 |  | 1110

Byte 1

Stato. Solo per variabile numerica.

Valori di variabili:

Decimale | Binario | Significato
00000001 | 1 | C`è un errore di esecuzione.
00001000 | 8 | C`è un errore di comunicazione.
00010000 | 16 | Errore di comunicazione risolto.
01000000 | 64 | Comunicazione ripristinata

Con una fase, sempre solo uno dei bit di errore di comunicazione può essere attivo. Con una ricetta parziale, viene settato sempre un bit se è rilevante per almeno una fase interna.

Byte 2

Tipo di oggetto Solo per la variabile numerica.

Valori di variabili:

Decimale | Binario | Significato
3 | 11 | Oggetto ricetta parziale nella ricetta.

Possibilità per la fase

Byte 0

Tutte le possibilità.

Byte 1

Tutte le possibilità.

Byte 2

Valori per variabile numerica. |  | Significato
Decimale | Binario
2 | 10 | Fase

Possibilità per istanze ricetta parziale

Byte 0

Valori di variabili:

Stringa | Decimale | Binario
Idle | 1 | 1
Esecuzione di oggetti interni | 8 | 1000
In attesa delle condizioni successive | 13 | 1101

Byte 1

Sempre vuoto.

Byte 2

Valori di variabili:

Decimale | Binario | Significato
3 | 11 | Oggetto ricetta parziale nella ricetta.

Tempo di avvio

Momento in cui è iniziata l´esecuzione dell´oggetto selezionato.

Tempo di conclusione

Momento in cui è stata completata l´esecuzione dell´oggetto selezionato.

Tempo di esecuzione

Periodo trascorso fino a questo momento dall´inizio dell´esecuzione.

Contatore di esecuzione

Numero che indica quante volte è stato eseguito l´elemento.


Impostazioni lista parametri

Manuale -> Batch Control -> Configurazione nell'Editor -> Cambio immagine - Batch Control -> Impostazioni lista parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili due liste parametri con le stesse identiche opzioni. Queste liste possono essere configurate e utilizzate in modo individuale.

Le liste parametri vengono create nell´immagine e configurate quando si imposta la funzione di cambio immagine.

Lista parametri 1

Parametro

Descrizione

Lista parametri 1

Visualizzazione della lista configurata. Per quanto riguarda le colonne, si può:

  • Filtrarle
  • Se ne può modificare la larghezza trascinando il bordo del titolo di colonna con il mouse verso destra o sinistra.
  • Se ne può modificare l´ordine spostando il titolo di colonna via Drag & Drop.

Selezione colonne

Apre la finestra di dialogo per selezionare le colonne che devono essere visualizzate.

Formato colonne

Apre la finestra di dialogo che consente di formattare le colonne.

Visualizza parametro di comando

Selezione dei parametri di comando che devono essere visualizzati. La selezione avviene attivando le checkbox (segno di spunta nella casella):

  • Modificabile in ricetta master:
    Verranno visualizzati i parametri di comando per i quali è stata settata nell´Editor l´opzione Modificabile in ricetta master.
  • Modificabile nella ricetta di controllo:
    Verranno visualizzati i parametri di comando per i quali è stata settata nella ricetta master l´opzione Modificabile nella ricetta di controllo.
  • Modificabile nel tipo di ricetta attuale:
    Verranno visualizzati i parametri di comando che possono essere modificati nel tipo di ricetta attuale.
  • Non modificabile in ricetta master:
    Verranno visualizzati i parametri di comando per i quali non è stata settata nell´Editor l´opzione Modificabile in ricetta master.
  • Non modificabile nella ricetta di controllo:
    Verranno visualizzati i parametri di comando per i quali non è stata settata nella ricetta master l´opzione Modificabile nella ricetta di controllo.
  • Non modificabile nel tipo di ricetta attuale:
    Verranno visualizzati i parametri di comando che non possono essere modificati nel corrente tipo di ricetta.

Si può selezionare e configurare una qualsiasi combinazione delle opzioni di cui sopra. Se si attivano tutte le checkbox (segno di spunta nelle caselle), verranno visualizzati tutti i parametri di comando.

Visualizza parametri di feedback

Attiva: Verranno visualizzati i parametri di feedback.

Variabile per la visualizzazione del numero degli inserimenti

Consente di collegare una variabile che a Runtime contiene il numero dei parametri visualizzati nella lista.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Lista parametri 2

Parametro | Descrizione
Lista parametri 2 | Lista parametri 2 con le stesse possibilità di configurazione della Lista parametri 1.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Le liste parametri vengono create di nuovo a Runtime, quando:

  • Si seleziona un altro elemento nella ricetta.
  • La fase selezionata è stata modificata.
  • La ricetta è stata salvata (anche se il salvataggio è stato eseguito sul client).

info Info

Retrocompatibilità per l´opzione Visualizza parametri di comando:

Questa opzione è stata estesa con la versione 7.11; inoltre, la sua configurazione non viene più eseguita usando pulsanti di opzione, ma tramite checkbox. Per quello che riguarda la retrocompatibilità, le conseguenze sono le seguenti:

Una scrittura "retrocompatibile" è possibile se:

È settata solo una checkbox per i parametri modificabili

Oppure la combinazione di tutte le checkbox fa si che vengano visualizzati tutti i parametri.

Se la combinazione delle checkbox selezionate dà come risultato un´impostazione che non era configurabile nella versione 7.10 di zenon, oppure in quelle precedenti, non verrà visualizzato nessun parametro nella lista.


Keyboard

Manuale -> Batch Control -> Configurazione nell'Editor -> Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri possono essere modificati a Runtime. Le modifiche possono essere effettuate usando apposite keyboard:

Keyboard per il Batch Control

La configurazione generale delle keyboard da usare nel modulo Batch Control viene eseguita nelle gruppo Modifica parametro/Tastiere delle proprietà del modulo. Qui si definiscono le keyboard desiderate per:

  • Parametro binario
  • Parametro numerico
  • Parametro stringa
  • Parametro durata

Con la proprietà Motivazione richiesta in caso di cambio valori, inoltre, è possibile stabile che ogni modifica di valore debba essere giustificata. Se questa proprietà è attiva, prima che l´utente possa effettuare una modifica, verrà visualizzata una finestra di dialogo in cui egli dovrà indicare la ragione.

Comportamento a Runtime

A Runtime, quando si clicca due volte su un inserimento di una lista si apre la keyboard collegata. Cliccando su diverse colonne si possono anche aprire diverse keyboard.

Keyboard per "Setta valore impostabile" per parametri

Le keyboard da usare per settare valori impostabili per i singoli parametri vengono definite nel gruppo Imposta valore/Tastiere delle proprietà del parametro corrispondente. Procedura:

  1. Passare al gruppo Imposta valore delle proprietà del parametro.
  2. Attivare nel sottogruppo Tastiere, la proprietà Utilizza immagine tipo Keyboard:
  3. Definire nella proprietà Immagine tipo Keyboard, quale immagine keyboard deve essere aperta a Runtime.

Uso di una keyboard

I valori possono essere modificati nella ricetta master e nella ricetta di controllo, a condizione che lo stato della ricetta e le impostazioni dei parametri lo consentano. "Minimo" e "massimo" possono essere modificati solamente nella ricetta master, e solo su parametri numerici e parametri di durata.

Per quello che riguarda l´uso di keyboard in immagini del tipo Batch Control, vale quanto segue:

  • Può essere attiva sempre solo una keyboard alla volta. Se ne viene aperta un´altra, quella visualizzata al momento verrà chiusa.
  • Se la keyboard è attiva e si clicca due volte su una colonna in cui non può essere modificato nulla, non ci sarà nessuna reazione.
  • Per valore, minimo e massimo di un parametro, vale quanto segue:
    • Se ad un parametro è collegata una keyboard, verrà usata questa.
    • Se ad un parametro non è collegata nessuna Keyboard, verrà usata la tastiera collegata nel gruppo Modifica parametro al modulo Batch Control nel suo complesso.
    • Anche nel caso in cui ad un parametro è collegata una keyboard, ma questa non esiste più, verrà usata la tastiera collegata nel gruppo Modifica parametro al modulo Batch Control nel suo complesso.
    • Se non esiste neppure quest´ultima, non si aprirà nessuna keyboard a Runtime.
  • Le keyboard per inserimenti binari possono avere i tasti On, Off e Toggle.
  • Quando si passa da un´unità di misura ad un´altra, i valori min. max. e i nomi dell´unità di misura stessa verrano inviati di nuovo alle variabili di sistema.
  • Per la proprietà Modificabile nella ricetta di controllo, il sistema (indipendentemente dal tipo di parametro) cerca prima la keyboard definita nel gruppo Modifica parametro per i Parametro binario. Se non ne è stata collegata nessuna qui, il sistema cercherà una keyboard con il nome standard SETBOOLKBD. Se non esiste neppure quest´ultima, non si aprirà nessuna keyboard a Runtime.
  • Le keyboard collegate direttamente a parametri non possono essere più modificate dopo il rilascio di una ricetta. Se si cancella la keyboard collegata ad un parametro, si potrà usare solamente quella definita nel gruppo Modifica parametro.


Funzioni di zenon

Manuale -> Batch Control -> Configurazione nell'Editor -> Funzioni di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando funzioni di zenon, si possono inviare comandi all´esecuzione batch e si possono creare nell´Editor delle ricette di controllo predefinite:

  • Comandi ricetta-/esecuzione cambio modalità: invia comandi di gestione all´esecuzione batch.
  • Crea ricetta di controllo: crea a Runtime una ricetta di controllo predefinita nell´Editor.
  • Esporta ricette Batch: esporta ricette in un file XML.
  • Importa ricette Batch: importa ricette in un file XML.

Ancora in questo capitolo

Esporta ricette Batch

Importa ricette Batch

Esecuzione comandi ricetta o cambio modalità

Funzione "Produci ricetta di controllo"


Esporta ricette Batch

Manuale -> Batch Control -> Configurazione nell'Editor -> Funzioni di zenon -> Esporta ricette Batch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la funzione Esporta ricette Batch si possono esportare delle ricette in forma di file XML. Procedura per creare questa funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni
  2. Selezionare Nuova funzione nel menù contestuale del nodo.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Batch Control
  4. Selezionare Esporta ricette Batch
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Applica filtro ricetta per

Parametro

Descrizione

Applica filtro ricetta per

Opzione che consente di selezionare a cosa debba essere applicato il filtro ricette:

  • Ricetta master
  • Ricetta di controllo

L´operazione di filtro viene eseguita procedendo dall´alto verso il basso. Ad esempio, Versione viene applicato solamente alle ricette trovate nel filtro Ricette master.

Ricetta master

Attiva: si filtra per ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Filtro di ricetta

Parametro

Descrizione

Filtro di ricetta

Configurazione del filtro di ricetta.

Ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

ID dalla variabile:
L´ID della ricetta master viene definito a Runtime da una variabile Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    La versione della ricetta master viene definita a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta master. Selezione dal menù a tendina.

In caso di selezione "Ricetta master" per filtro ricetta:

  • Tutti
  • Modalità di modifica
  • Rilasciata
  • Modalità test
  • Verifica in esecuzione
  • Terminato con errore
  • Obsoleta

In caso di selezione "Ricetta di controllo" per filtro ricetta:

  • Rilasciata o obsoleta
  • Rilasciata
  • Obsoleta

Applica alle ricette trovate

Consente di stabilire a quali ricette master viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Solo ID più vecchio
  • Solo ID più recente

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.

Job ID dalla variabile:
Trova le ricette di controllo che hanno il Job ID indicato in questa sede. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.

Stato ricetta di controllo

Consente di stabilire a quali stati della ricetta viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Pronta
  • in esecuzione.
  • Completata
  • Terminato con errore
  • Obsoleta

Applica alle ricette trovate

Consente di stabilire a quali ricette di controllo viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Solo ID più vecchio
  • Solo ID più recente

Nota: sia per le ricette master che per quelle di controllo, vengono presi in considerazione solamente i relativi ID. La ricerca di ricette di comando con questo filtro potrebbe avere come risultato il ritrovamento di più ricette. Per ottenere un risultato univoco, dunque, bisogna attivare questo filtro anche per le ricette master.

Ricetta parziale

Parametro per la selezione della ricetta parziale. Selezione dal menù a tendina:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta parziale viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile
    L´ID della ricetta parziale viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta parziale.

Stato Operation

Consente di stabilire a quali stati della ricetta viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Modalità di modifica
  • Rilasciata
  • Obsoleta

Applica alle ricette trovate

Consente di stabilire a quali ricette parziali viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Solo ID più vecchio
  • Solo ID più recente

File di emissione

Selezione del nome file e del luogo di salvataggio.

Denominazione
  • Nome file: Il nome del file XML può essere inserito manualmente e/o viene ripreso dal percorso di salvataggio quando si seleziona un file.
  • Nome file da variabile: Il nome del file XML viene acquisito dalla variabile collegata.
  • Crea nome file da nome ricetta: Il nome del file XML è composto da tipo, nome e versione della ricetta.
  • Crea nome file da ID ricetta: Il nome del file XML è composto da tipo e ID della ricetta.

Sovrascrivi file esistenti

Attiva: in caso di conflitti di nomi, il file XML esistente viene sovrascritto dal nome.

Nota: i file senza percorso verranno salvati nella cartella Export.

I file senza indicazione di percorso verranno salvati automaticamente nella cartella di esportazione.

Proponi dialogo a Runtime

Attivo: la finestra di dialogo viene visualizzata a Runtime ed è abilitata all´uso.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Importa ricette Batch

Manuale -> Batch Control -> Configurazione nell'Editor -> Funzioni di zenon -> Importa ricette Batch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la funzione Importa ricette Batch si possono importare delle ricette in forma di file XML. Procedura per creare questa funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni
  2. Selezionare Nuova funzione nel menù contestuale del nodo.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Batch Control
  4. Selezionare Importa ricette Batch
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Coda di importazione

Parametro | Descrizione
Nome file | Importa il file XML con il nome selezionato.
da variabile | Importa il file XML dalla variabile collegata.

Opzioni di importazione

Parametro

Descrizione

Operazione per conflitti nelle ricette master

Selezione di cosa deve accadere quando si assegna un nome di ricetta master già esistente.

Crea nuova ricetta

Crea una nuova ricetta con questo nome.

Sovrascrivi vecchia ricetta

Sovrascrive la ricetta esistente con questo nome.

Crea nuova versione

Crea una nuova versione della ricetta.

Ignora

Ignora questo passaggio.

Operazioni per conflitti di nomi nelle ricette di controllo/modelli Operation

Selezione di cosa deve accadere quando si assegna un nome di ricetta di controllo e/o di ricetta parziale già esistente.

Crea nuova ricetta

Crea una nuova ricetta con questo nome.

Sovrascrivi vecchia ricetta

Sovrascrive la ricetta esistente con questo nome.

Crea nuova versione

Crea una nuova versione della ricetta.

Ignora

Ignora questo passaggio.

Job ID per nuova ricetta di controllo

Job ID per ricette di controllo di nuova creazione.

Collega variabile di ordinamento individuale

Collega una Job variabile individuale ad ogni ricetta di controllo.

Acquisisci valore dalla variabile di ordinamento in fase di:

Il valore viene acquisito dalla Job variabile al momento di:

  • Avvio della ricetta di controllo
  • Creazione della ricetta di controllo

Proponi dialogo a Runtime

Questa finestra di dialogo di dialogo è abilitata all´uso anche a Runtime.


Esecuzione comandi ricetta o cambio modalità

Manuale -> Batch Control -> Configurazione nell'Editor -> Funzioni di zenon -> Esecuzione comandi ricetta o cambio modalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di inviare comandi di gestione all´esecuzione batch. Procedura per creare questa funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni
  2. Selezionare Nuova funzione nel menù contestuale del nodo.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Batch Control
  4. Selezionare Comandi ricetta-/esecuzione cambio modalità
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Azione

Parametro

Descrizione

Azione

Selezione dell´azione da eseguire:

  • Comando
  • Modalità

Comando

Selezione del comando da eseguire fra quelli del menù a tendina:

  • Ignora
  • Avvia ricetta
  • Ricetta in pausa
  • Ripristina ricetta
  • Sospendi ricetta
  • Riavvia ricetta
  • Interrompi ricetta
  • Annulla ricetta

Modalità

Selezione della modalità in cui deve essere impostata la ricetta:

  • Ignorare
  • Automatico
  • Semiautomatico
  • Manuale

Applica filtro ricetta per

Parametro

Descrizione

Applica filtro ricetta per

Opzione che consente di selezionare a cosa debba essere applicato il filtro ricette:

  • Ricetta master
  • Ricetta di controllo

L´operazione di filtro viene eseguita procedendo dall´alto verso il basso. Ad esempio, Versione viene applicato solamente alle ricette trovate nel filtro Ricette master.

Ricetta master

Attivo: si filtra per ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Filtro di ricetta

Parametro

Descrizione

Filtro di ricetta

Configurazione del filtro di ricetta.

Ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito a Runtime da una variabile Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    La versione della ricetta master viene definita a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta master. Selezione dal menù a tendina.

In caso di selezione "Ricetta master" per filtro ricetta:

  • Tutti
  • Modalità Test
  • Verifica in esecuzione

In caso di selezione "Ricetta di controllo" per filtro ricetta:

  • Rilasciata o obsoleta
  • Rilasciata
  • Obsoleta

Applica alle ricette trovate

Consente di stabilire a quali ricette master viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Solo ID più vecchio
  • Solo ID più recente

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • Job ID dalla variabile:
    Trova le ricette di controllo che hanno il Job ID indicato in questa sede. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.

Stato ricetta di controllo

Consente di stabilire a quali stati della ricetta viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Pronta
  • in esecuzione.

Applica alle ricette trovate

Consente di stabilire a quali ricette di controllo viene applicato il filtro. Selezione dal menù a tendina:

  • Tutte
  • Solo ID più vecchio
  • Solo ID più recente

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Funzione "Produci ricetta di controllo"

Manuale -> Batch Control -> Configurazione nell'Editor -> Funzioni di zenon -> Funzione "Produci ricetta di controllo"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Produci ricetta di controllo, si può fare in modo che, cliccando su un pulsante a Runtime, venga creata una ricetta di controllo predefinita nell´Editor. Procedura per creare questa funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni del Manager di progetto.
  2. Selezionare il comando Nuova funzione.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Batch Control.
  4. Selezionare Produci ricetta di controllo.

    Si aprirà la finestra di dialogo per configurare la funzione.

Finestra di dialogo di configurazione

Filtro di ricetta

Parametro

Descrizione

Filtro di ricetta

Configurazione del filtro di ricetta.

L´operazione di filtro viene eseguita procedendo dall´alto verso il basso. Ad esempio, Versione viene applicato solamente alle ricette trovate nel filtro Ricette master.

Ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito a Runtime da una variabile Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    La versione della ricetta master viene definita a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Applica alle ricette trovate

Consente di stabilire a quali ricette viene applicato il filtro. Selezione degli ID secondo le opzioni proposte dal menù a tendina:

  • Tutti
  • Solo ID più vecchio
  • Solo ID più recente

Nome ricetta di controllo

Parametro

Descrizione

Nome ricetta di controllo

Configurazione del nome della ricetta di controllo.

Nome ricetta di controllo

Selezione della modalità di assegnazione di un nome alla ricetta di controllo.

  • Nome automatico: il nome verrà assegnato automaticamente al momento della creazione della ricetta di controllo.
  • Nome da variabile verrà adottato il nome di una variabile. Cliccando sul pulsante ... si aprirà la finestra di dialogo per selezionare una variabile.
    Se a Runtime esiste già una ricetta con il nome preso dalla variabile selezionata, non verrà creata una nuova ricetta di controllo.

Job ID

Parametro

Descrizione

Job ID

Configurazione del Job ID.

Collega variabile di ordinamento individuale

Attivo: si può collegare una variabile Job. La variabile deve essere stata già configurata. Selezione della variabile fra quelle offerte dal menù a tendina.

Acquisisci valore dalla variabile di ordinamento in fase di:

Consente di stabilire quando il Job ID debba essere acquisito. Possibilità:

  • Avvio della ricetta di controllo
  • Creazione della ricetta di controllo

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Anche se si clicca su "Annulla", la funzione verrà creata, ma senza una destinazione definita.

Guida

Apre la guida online.

Tutti i filtri hanno effetto sempre su un gruppo di ricette con lo stesso nome. A seconda delle impostazioni effettuate in fase di configurazione del filtro, è possibile che rimanga più di una ricetta.
Esempio: Il criterio impostato per la ricerca è *Test. Il risultato della ricerca sono 5 versioni di Test_1 e 3 versioni di Test_2. Se si continua l´operazione di filtro per trovare la versione più recente, verranno create due ricette di controllo, una per ogni ricetta dal numero di versione più alto di ogni gruppo.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Conversione

Manuale -> Batch Control -> Conversione

Quando si cambia la versione di zenon, bisogna terminare tutte le ricette prima di convertire il progetto nella nuova versione.

L´esecuzione delle ricette attive non continuerà dopo il riavvio del sistema. Il riavvio funziona solamente nell´ambito della stessa versione di zenon.


Configurazione e gestione a Runtime

Manuale -> Batch Control -> Configurazione e gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La completa gestione, creazione ed elaborazione delle ricette avviene a Runtime. Non è possibile eseguire delle modifiche nell´Editor di zenon.

Nota: i file Runtime fino alla versione 7.00 SP0 inclusa, non sono compatibili con le versioni successive. A partire dalla versione 7.10, la compatibilità è garantita.

Sincronizzazione

Quando una ricetta, o una ricetta parziale, viene caricata, aperta, duplicata e rilasciata, il sistema verifica se la configurazione di unità, fasi ecc. è stata modificata nell´istanza superiore, per esempio nell´Editor. Informazioni dettagliate a questo proposito si trovano nel capitolo Sincronizzazione.

Procedura di selezione nelle liste:

  • Tasto Ctrl+A: seleziona tutti gli elementi.
  • Tasto Ctrl+clic del mouse: inserisce una ricetta master alla selezione esistente.
  • Tasto Shift+clic del mouse: estende la selezione dalla ricetta master selezionata al momento, fino a quella su cui si clicca.

Salvataggio di ricette quando si chiude il Runtime

Se ci sono ancora delle ricette non salvate al momento della chiusura del Runtime, il sistema chiede all´utente se queste ricette debbano essere salvate. Per evitare che questa richiesta impedisca la chiusura del Runtime, quest´ultimo verrà chiuso automaticamente dopo che sono trascorsi 15 secondi senza che ci sia stato un´inserimento da parte dell´utente. Le ricette non salvate, verranno ignorate.

Ancora in questo capitolo

Interfaccia utente

Regole di progettazione per le ricette

Tipi di ricetta

Ricetta master

Ricette parziali

Strategie di controllo

Ricette di controllo

Convalida delle ricette

Esecuzione delle ricette

Gestione delle ricette

Sincronizzazione


Interfaccia utente

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´interfaccia utente degli Editor a Runtime può essere configurata con barre degli strumenti e finestre ancorabili.

Esempio: interfaccia utente con lista delle ricette master, lista delle ricette di controllo, lista delle ricette parziali e l´Editor PFC:

Posizioni di apertura

La posizione nella ricetta viene adeguata a seconda del tipo di ricetta e dello stato della ricetta stessa:

  • Se si apre una ricetta attiva:

    Viene centrata sul primo elemento attivo. Il primo elemento attivo è quello che si trova più in alto. Se ci sono più elementi attivi nella stessa riga, verrà scelto quello che si trova più a sinistra. In questo contesto, gli elementi preceduti o seguiti da posizioni di esecuzione vengono considerati come attivi.

  • Quando si apre una ricetta per la prima volta:

    Viene centrata sull´inizio della ricetta stessa. In una ricetta PFC, si prende come punto di riferimento per l´apertura l´elemento iniziale. Una ricetta matrice viene aperta in modo tale che sia visibile l´angolo in alto a sinistra.

Tooltip

Un tooltip informa su eventi attuali e storici di un elemento.

Vengono visualizzati:

  • Nome dell´elemento
  • Informazioni di carattere generale sullo stato e sul numero delle esecuzioni.
    Nota: Il contatore si attiva quando la fase viene riattivata, il che significa anche quando lo stato è restarting, ma la condizione per il restarting non è stata ancora attraversata.
  • Errori
  • Durata totale inclusi i tempi nello stato in pausa (PAUSED)
  • Sequenza cronologica

Ancora in questo capitolo

Elementi di controllo dell´Editor delle ricette

Aspetto grafico

Riga di stato


Elementi di controllo dell´Editor delle ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Elementi di controllo dell´Editor delle ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´Editor sono disponibili:

  • Barre degli strumenti (possono essere nascoste)
  • Schede
  • Finestre ancorabili

Barre degli strumenti

Nell´Editor delle ricette c´è una barra degli strumenti specifica per ogni tipo di ricetta e per i diversi stati. Informazioni dettagliate su questo argomento si trovano nei capitoli Barre degli strumenti - Ricetta matrice e Barre degli strumenti e menù contestuale - Ricetta PFC. Si può progettare l´immagine in modo tale che tutte le azioni collegate ai singoli simboli delle barre degli strumenti vengano eseguite anche mediante pulsanti. È dunque possibile una gestione senza uso delle barre degli strumenti; per questo è stata prevista la possibilità di visualizzarle o nasconderle usando le impostazioni dell´Editor di zenon.

Per visualizzare/nascondere le barre degli strumenti:

  1. Nell´Editor di zenon, selezionare l´elemento di controllo Editor ricette nell´immagine Batch Control
  2. Passare al gruppo delle proprietà Visualizzazione/Mostra controlli dell'editor.
  3. Attivare o disattivare la checkbox Toolbar.

Ancora in questo capitolo

Schede dell´Editor delle ricette

Finestre ancorabili


Schede dell´Editor delle ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Elementi di controllo dell´Editor delle ricette -> Schede dell´Editor delle ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se ci sono più ricette aperte nell´Editor delle ricette, ognuna di queste viene rappresentata graficamente da una scheda. Le ricette possono essere visualizzate e aperte in due gruppi, uno sopra l´altro, o uno accanto all´altro. Per aprire una ricetta in un nuovo gruppo:

  1. Selezionare nel menù contestuale della ricetta il comando Gruppo vicino orizzontale, oppure Gruppo vicino verticale
  2. Selezionare il tipo di visualizzazione:
    • Sposta visuale
    • Apri visuale parallela

Gli elementi di controllo valgono sempre solo per la ricetta attiva del gruppo attivo.

  • Il gruppo attivo viene evidenziato mediante un colore.
  • La scheda attiva è quella con i caratteri in grassetto. Le informazioni relative alla scheda attiva vengono visualizzate nell´barra del titolo dell´Editor.
  • Le schede possono essere spostate (anche fra un gruppo e l´altro) e ordinate via Drag&Drop.

Menù contestuale Scheda

Parametro

Descrizione

Salva

Salva le modifiche eseguite nella ricetta.

Chiudi

Chiude la ricetta.

Chiudi tutte.

Chiude tutte le altre ricette aperte. Rimane aperta solamente la ricetta in cui è stato attivato il menù contestuale.

Affianca orizzontalmente

Apre la ricetta in un nuovo gruppo sotto le altre ricette.

  • Sposta visuale la ricetta viene spostata e rimossa al gruppo superiore.
  • Apri visuale parallela: la ricetta viene visualizzata in entrambi i gruppi parallelamente.

Affianca verticalmente

Apre la ricetta in un nuovo gruppo a destra del gruppo attivo.

  • Sposta visuale la ricetta viene spostata e rimossa al gruppo a sinistra.
  • Apri visuale parallela: la ricetta viene visualizzata in entrambi i gruppi parallelamente.


Finestre ancorabili

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Elementi di controllo dell´Editor delle ricette -> Finestre ancorabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor delle ricette del Runtime possono essere visualizzate tre finestre, che possono essere posizionate e ancorate a piacere.

  • Lista delle ricette master
  • Lista delle ricette di controllo
  • Lista delle ricette parziali

Informazioni dettagliate sulla selezione e sul posizionamento di queste finestre si trovano nel capitolo Selezione e posizionamento.

Le impostazioni sono salvate individualmente per ogni computer ed ogni utente.

Visualizzare/nascondere lista

La lista delle finestre ancorabili può essere visualizzata o nascosta usando le relative opzioni di configurazione messe a disposizione dall´Editor di zenon.

Per visualizzare/nascondere la lista:

  1. Nell´Editor di zenon, selezionare l´elemento di controllo Editor ricette nell´immagine Batch Control
  2. Passare al gruppo delle proprietà Visualizzazione\Mostra controlli dell'editor
  3. Attivare o disattivare la checkbox Finestre ancorabili

Esempi

Più lista delle ricette parziali visualizzata nell´Editor delle ricette:

Più lista delle ricette master, delle ricette di controllo e delle ricette parziali visualizzata nell´Editor delle ricette:

Liste delle ricette master, delle ricette di controllo e delle ricette parziali visualizzate come schede nell´Editor delle ricette:

Ancora in questo capitolo

Selezione e posizionamento


Selezione e posizionamento

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Elementi di controllo dell´Editor delle ricette -> Finestre ancorabili -> Selezione e posizionamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione e posizionamento

Per visualizzare e ancorare delle finestre nell´Editor:

  • Selezionare la finestra desiderata usando il menù a tendina del simbolo Selezione delle finestre ancorabili
  • Trascinare la finestra nella posizione desiderata.
  • Posizionarla usando l´aiuto di posizionamento.

Il simbolo Selezione delle finestre ancorabili si trova al margine destro della barra di stato dell´Editor. Cliccando su questo simbolo, si apre la lista delle finestre ancorabili. La selezione delle singole finestre avviene attivando o disattivando le relative checkbox.

Aiuti di posizionamento

Quando si sposta una finestra all´interno dell´interfaccia dell´Editor, il sistema visualizza degli aiuti che servono a facilitarne il posizionamento. Questi ultimi rappresentano una finestra, o i suoi bordi.

Questo elemento rappresenta un´area finestra nell´Editor.

Questo elemento rappresenta l´area al bordo dell´Editor.

Posizionare finestre

Per posizionare un elemento in modalità "ancorata":

  1. Trascinare l´elemento con il mouse nell´area desiderata.
  2. Verrà visualizzato l´aiuto di posizionamento.
  3. Quest´ultimo rappresenta una finestra e i suoi settori:
    1. Centro: intera finestra
    2. Freccia in alto: metà superiore
    3. Freccia in giù: metà inferiore
    4. Freccia a destra: metà di destra
    5. Freccia a sinistra: metà di sinistra

    Oppure il bordo dell´Editor.

  4. Spostare il mouse sull´aiuto di posizionamento centrale o su quello per il bordo dell´Editor; poi portare il puntatore sull´area desiderata.
  5. L´area dell´Editor sulla quale verrebbe posizionato l´elemento al momento del rilascio del tasto del mouse, viene colorata di blu.
  6. Spostare il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colorerà di blu.
  7. Rilasciare il tasto del mouse e l´elemento verrà posizionato.

Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione tramite schede.

Nota: Ulteriori informazioni sul posizionamento delle finestre ancorabili si trovano nel capitolo Interfaccia/Posiziona finestre del manuale dedicato all´Editor di zenon.


Aspetto grafico

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Aspetto grafico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul simbolo per “Aspetto grafico" nella barra degli strumenti, si apre la finestra di dialogo per la configurazione dei colori, delle impostazioni griglia e della visualizzazione dell´ID dell´elemento.

Parametro

Descrizione

Colore di sfondo

Definisce il colore di sfondo del diagramma. Cliccando sul colore, si apre la tavolozza che serve alla selezione di un colore.

Mostra griglia
  • Attivo: la griglia viene visualizzata.
  • Non attiva: la griglia viene nascosta.

Configurabile solamente per le ricette PFC.

Colore griglia

Definisce il colore delle linee della griglia. Cliccando sul colore, si apre la tavolozza che consente di selezionare uin colore.

Visualizza ID degli elementi

Non attivo: non verrà visualizzata nessun ID dell´elemento nella ricetta.
Nota: questa è l´impostazione consigliata per il funzionamento normale.

Attivo: gli ID degli elementi verranno visualizzati nella ricetta; ad eccezione delle linee. L`ID verrà visualizzato nell´angolo in alto a sinistra dell´elemento.
Nota: questa è l´impostazione consigliata per la risoluzione dei problemi.

OK

Accetta tutte le modifiche e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.


Riga di stato

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Interfaccia utente -> Riga di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La riga di stato viene adeguata automaticamente alla ricetta che riceve il focus e viene inizializzata con i dati di questa ricetta. Nella riga di stato viene visualizzato quanto segue:

  • Modalità della ricetta
    • Modalità di modifica
    • Modalità manuale
    • Modalità semiautomatica
    • Modalità automatica
  • Stato della ricetta:
    • Pronta per l'avvio
    • Errore: al momento c´è un errore nella ricetta. Viene visualizzato anche il numero degli errori.
    • Errore storico: durante l´esecuzione della ricetta si è verificato almeno un errore. Al momento, però, non c´è nessun errore.
    • Nessun errore: finora non si sono verificati errori nell´esecuzione della ricetta.
  • Corrente Stato di esecuzione.
  • Posizione del mouse e modifiche, come spostamento delle linee di connessione.
  • Rilascio di una ricetta
  • Terminata senza errori
  • Livello dello zoom della visualizzazione corrente; lo si può gestire in questa sede.

Gli stati globali della ricetta principale vengono visualizzati anche durante l´esecuzione delle ricette parziali.


Regole di progettazione per le ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Regole di progettazione per le ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In generale, per la progettazione valgono le regole definite nello standard ANSI/ISA–S88.

Principi importanti:

Generale

  • Per tutti gli elementi devono essere sempre collegati tutti i punti di connessione.
    Eccezione: jump target. In questo caso devono essere collegati solamente due dei tre punti di connessione di ingresso.
  • C´è un solo elemento iniziale nelle ricette PFC; segna l´inizio del processo. Non è visibile nelle ricette matrice.
  • C´è un solo elemento finale nelle ricette PFC; segna la fine del processo. Non è visibile nelle ricette matrice.
  • Le fasi possono essere inserite dovunque. È anche possibile che più fasi si trovino una dietro all´altra.
  • Ci dovrebbe essere almeno una fase attiva nella ricetta.

Transizioni

  • Le transizioni esistono solamente nelle ricette PFC.
  • Due transizioni non possono trovarsi una dietro all´altra.

Rami

  • I rami esistono solamente nelle ricette PFC.
  • Il primo elemento dopo un Inizio ramo deve essere sempre una transizione.
  • I singoli rami che iniziano con un Inizio ramo devono sfociare tutti in una Fine ramo, mai in una Fine sequenza parallela. Fra l´inizio e la fine di un ramo si possono trovare tutti gli elementi, anche ramificazioni parallele, a patto che queste ultime siano concluse prima dell´elemento Fine ramo. Un elemento "Fine ramo" può essere sostituito in ogni posizione da jump target, anche all´interno di un ramo parallelo.
  • Non ci deve essere necessariamente per ogni Inizio ramo anche una propria Fine ramo. È infatti possibile che due elementi Inizio ramo sfocino nello stesso elemento Fine ramo, o viceversa.
  • Non ci deve essere necessariamente per ogni Inizio ramo una Fine ramo. Se, per esempio, si ha un elemento Inizio ramo con due percorsi, uno dei quali termina in un jump target, non avrebbe senso avere una Fine ramo.

Sequenze parallele

  • Ogni sequenza parallela deve contenere almeno una fase.
  • Il primo elemento dopo un Inizio sequenza parallela non può essere una transizione.
  • I singoli rami che iniziano con un Inizio sequenza parallela devono sfociare tutti in una Fine sequenza parallela, mai in una Fine ramo. Fra Inizio sequenza parallela e Fine sequenza parallela si può usare qualsiasi elemento, anche passi, a patto che questi ultimi siano conclusi prima dell´elemento Fine sequenza parallela.
  • Non tutti i rami avviati in un Inizio sequenza parallela devono necessariamente sfociare in un elemento Fine sequenza parallela. È sufficiente che tutti i rami convergano tramite oggetti Fine parallelo. Allo stesso modo è possibile che rami di diversi oggetti Inizio sequenza parallela convergano in un solo elemento Fine sequenza parallela.
  • Rami paralleli possono "incorporare" ulteriori rami paralleli.
    In questo caso vale quanto segue: ogni ramo parallelo "incorporato" deve riunirsi a quello superiore.

Linie nell´Editor PFC

  • Le linee possono essere usate come collegamento fra tutti gli oggetti. È consentito anche aggiungere un numero qualsiasi di linee una dopo l´altra.
  • Le linee, però, non possono essere utilizzate per collegare due punti di connessione dello stesso tipo.
    Esempio: i due ingressi di due fasi non possono essere collegati direttamente da una linea. In fase di configurazione, il sistema consentirà che si tracci una connessione di questo tipo; ma questa verrà visualizzata in color rosso (perché erronea) e, in fase di convalida, il sistema emetterà un messaggio di errore.

Jump target.

  • I jump target esistono solamente nelle ricette PFC.
  • I jump target corrispondono ad una Fine ramo. Servono a:
    • Passare fra un ramo e l´altro.
    • Uscire da rami.
    • Progettare loop.

    In questo caso, vale quanto segue: Un percorso che termina in un jump target deve iniziare con un elemento selezione di inizio sequenza. Altrimenti non sarà possibile raggiungere la fine.

  • Un jump target è costituito da tre entrate (input) e un´uscita (output). Almeno due ingressi e l´uscita devono essere sempre connessi. Non fa alcuna differenza quale dei punti di connessione di ingresso sono collegati.
  • Si possono collocare jump target uno dopo l´altro, se almeno due punti di connessione di ingresso sono assegnati.
  • Jump sono proibiti:
    • Fra rami paralleli.
    • Per uscire da un ramo parallelo.
    • Per saltare in un ramo parallelo.

Configurazione di oggetti

Reazioni

  • Delle reazioni possono verificarsi con qualsiasi stato dell´oggetto.
  • Ci sono diverse reazioni possibili per ogni tipo di reazione. Quando vengono inizializzate, le reazioni vengono ordinate ed eseguite in base al loro livello di priorità. 1 significa il livello di priorità più alto.
  • Tutte le variabili di tutti i parametri vengono registrate sul driver per la lettura. Se un valore necessario per una reazione non dovesse essere ancora disponibile, oppure essere disturbato, verrà scritto quello di sostituzione. La scrittura dei valori avviene senza conferma di scrittura.
  • Alcune reazioni vengono inizializzate una sola volta nel corso del processo di elaborazione di una ricetta, per esempio Timeout. Se si riavvia la fase, anche queste reazioni verranno inizializzate di nuovo, se necessario.


Tipi di ricetta

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Tipi di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Batch Control differenzia fra i due seguenti tipi di ricetta:

  • Ricette PFC: per processi liberi e complessi. Queste ricette vengono create con l´Editor PFC.
  • Ricette matrice: per semplici processi sequenziali, paralleli. Queste ricette vengono create con l´Editor matrice.

Le ricette possono essere:

  • Ricette master:
    Costituiscono la base per le ricette di controllo. Vengono create nello stato Modificabile. Se il loro stato è Rilasciata, non possono essere più modificate.
  • Ricette parziali:
    Rappresentano una sotto-struttura che può essere incorporata in ricette. In questo modo è possibile migliorare la visione d´insieme di ricette complesse. I modelli ricetta parziale vengono creati in modo analogo alle ricette master. Si possono inserire in ricette master istanze di ricetta parziale.
  • Ricette di controllo:
    Sono ricette che possono essere eseguite una volta. Ogni ricetta di controllo è basata su una ricetta master. L´ordine degli elementi non può essere modificato nelle ricette di controllo. È definito dalla ricetta master. Modificabili sono solamente i parametri di comando per i quali è stata attivata l´opzione Modificabile nella ricetta di controllo.

Le ricette vengono create e modificate a Runtime. Quando si chiude un´immagine contenente delle ricette non ancora salvate, il sistema chiede all´utente se queste ricette debbano essere salvate o meno. Se, entro 15 secondi, non c´è nessun inserimento da parte dell´utente, le modifiche non salvate vengono ignorate e l´immagine viene chiusa.


Ricetta master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricetta master costituiscono la base delle ricette di controllo. Con le ricette master, si definisce e si testa il processo di elaborazione della ricetta. Dopo il rilascio di una ricetta master non è più possibile modificarne il contenuto e la struttura.

Ci sono due Editor che consentono la creazione di ricette master:

  • Editor matrice
  • Editor PFC

A seconda del tipo di licenza, l´utente ha a disposizione solo l´Editor matrice, o entrambi gli Editor.

Ancora in questo capitolo

Creare ricette master

Barra dei simboli e menù contestuale - Visualizzazione elenco delle ricette master

Ricetta PFC

Ricetta-matrice

Ricetta master - Modalità di test

Rilasciare ricetta master

Imposta la ricetta come obsoleta

Versionamento per ricette master

Azioni


Creare ricette master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Creare ricette master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Crea ricetta master, si apre la finestra di dialogo Configurazione ricetta master.

Parametro

Descrizione

Ricetta-matrice

Attivare questo pulsante di opzione se volete creare una ricetta matrice.

Nota: a disposizione solamente se si ha la licenza corrispondente.

Ricetta PFC

Attivare questo pulsante di opzione se volete creare una ricetta PFC.

Nota: a disposizione solamente se si ha la licenza corrispondente.

Nome

Nome univoco per la ricetta. Il nome non deve contenere nessun punto (.), nessun punto interrogativo (?), nessuna @ e nessun asterisco (*).

Lunghezza massima: 256 caratteri.

Nota: quando si copiano delle ricette, al nome esistente viene aggiunto il prefisso "Copia di". Se la lunghezza massima viene superata, il nome verrà ridotto alla lunghezza consentita partendo da dietro.

C`è una verifica dell´univocità del nome che viene eseguita in tutta la rete. Può accadere che non sia possibile usare un certo nome perché un altro utente ha contemporaneamente assegnato lo stesso nome su un altro computer della rete di zenon e che la ricetta non sia visibile fra quelle della lista delle ricette master.

È possibile cambiare il nome di una ricetta in un secondo momento, ma solo fintanto che la ricetta ha lo stato modificabile.

Descrizione

Descrizione facoltativa per la ricetta che si vuole creare.

È possibile cambiare la descrizione di una ricetta in un secondo momento, ma solo fintanto che la ricetta ha lo stato modificabile. A questo scopo, selezionare il simbolo Rinomina ricetta master.

OK

Accetta tutte le impostazioni e crea una nuova ricetta.

Annulla

Chiude la finestra di dialogo senza creare una ricetta.


Barra dei simboli e menù contestuale - Visualizzazione elenco delle ricette master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Barra dei simboli e menù contestuale - Visualizzazione elenco delle ricette master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo | Descrizione
Nuova ricetta master | Apre la finestra di dialogo per la creazione di una nuova ricetta master.
Apri ricetta nell´Editor ricette | Apre le ricette selezionate nell´Editor delle ricette.
Crea nuova versione | Crea una nuova versione della ricetta master selezionata. Quest´ultima deve essere rilasciata, oppure contrassegnata come obsoleta.
Rinomina ricetta master | Apre la finestra di dialogo per rinominare la ricetta selezionata.
Duplica ricetta master | Crea una copia della ricetta selezionata e apre la finestra di dialogo per assegnarle un nome.
Cancella ricetta master | Cancella le ricette selezionate.
_Esporta selezione in XML | Esporta la ricetta master selezionata in un file XML.
Importa file XML | Importa il file XML selezionato come ricetta (e) master.
Passa alla modalità di test per la ricetta master | Imposta la ricetta selezionata nella modalità di test dopo una richiesta di conferma.
Passa alla modalità di modifica della ricetta master | Imposta la ricetta selezionata nella modalità di modifica dopo una richiesta di conferma.
Rilascia ricetta master | Rilascia la ricetta selezionata dopo una richiesta di conferma.
Nuova ricetta di controllo | Apre la finestra di dialogo per la creazione di una nuova ricetta di controllo.
Includi le ricette di controllo in esecuzione durante la visualizzazione | Include le ricette di controllo in esecuzione nella visualizzazione.
Includi le ricette di controllo pronte durante la visualizzazione | Include le ricette di controllo pronte nella visualizzazione.
Includi durante la visualizzazione le ricette di controllo concluse | Include le ricette di controllo concluse nella visualizzazione.
Includi durante la visualizzazione le ricette di controllo obsolete | Include le ricette di controllo obsolete nella visualizzazione.
Visualizza la lista delle ricette di controllo associate | Visualizza tutte le ricette di controllo appartenenti alla ricette master rilasciata che è stata selezionata.
Selezione colonne | Apre la finestra di dialogo per selezionare le colonne da visualizzare.
Formato colonne | Apre la finestra di dialogo per configurare il formato delle colonne.

Menù contestuale

Comando | Descrizione
Nuova ricetta master | Apre la finestra di dialogo per la creazione di una nuova ricetta master.
Apri nell'editor ricette | Apre le ricette selezionate nell´Editor delle ricette.
Rinomina... | Apre la finestra di dialogo che consente di rinominare la ricetta selezionata.
Duplica... | Crea una copia della ricetta selezionata e apre la finestra di dialogo per assegnare un nome al duplicato.
Elimina | Cancella le ricette selezionate.
_Esporta selezione in XML | Esporta la ricetta master selezionata in un file XML.
Importa file XML... | Importa il file XML selezionato come ricetta (e) master.
Passa alla modalità di modifica | Imposta la ricetta selezionata nella modalità di modifica dopo una richiesta di conferma.
Passa alla modalità di test | Imposta la ricetta selezionata nella modalità di test dopo una richiesta di conferma.
Rilascia | Rilascia la ricetta selezionata dopo una richiesta di conferma.
Imposta come obsoleta | Contrassegna le ricette selezionate come obsolete.
Nuova ricetta di controllo | Apre la finestra di dialogo per la creazione di una nuova ricetta di controllo.
Visualizza nella lista le ricette di controllo associate | Visualizza tutte le ricette di controllo appartenenti alla ricette master rilasciata che è stata selezionata.


Ricetta PFC

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nella finestra di dialogo Configurazione ricetta master è stata selezionata l´opzione "Ricetta PFC" e la finestra di dialogo è stata poi chiusa cliccando su OK, la ricetta appena creata verrà aperta in una nuova scheda nell´Editor PFC.

Dato che in ogni ricetta ci deve essere un elemento iniziale ed un elemento finale, questi due elementi saranno già presenti nella ricetta appena creata e non potranno essere cancellati.

Aggiungere alla ricetta le fasi, transizioni, ramificazioni, sequenze parallele e le assegnazioni unità desiderate. I campi in cui non è consentito l´inserimento di un elemento vengono colorati di rosso quando ci si passa sopra con l´elemento stesso.

Ancora in questo capitolo

Editor PFC

Barre degli strumenti e menù contestuale - Ricetta PFC

Elemento iniziale

Inserire e configurare una fase

Inserisci Operation

Linee

Transizioni

Diramazioni e sequenze parallele

Jump target.

Assegnare e configurare le unità

Elemento finale


Editor PFC

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Editor PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor PFC si creano graficamente le ricette.

Dettagli tecnici

  • Dimensioni foglio
    • Default: 11 x 11 celle
    • Minimo: 5 x 5 celle
    • Massimo: 500 x 1000 celle
  • Dimensioni celle:
    • Default: 155 x 111 pixel
  • Limiti esterni: 100 Pixel
  • Griglia: viene visualizzata di default; la si può nascondere.
  • Barra di scorrimento: Viene visualizzata quando il documento è più grande del modello.
  • Scorrere usando la rotellina del mouse: verso l´alto e verso il basso, oppure a destra e a sinstra tenendo premuto il tasto Shift.
  • Zoomare: Tasto Ctrl + rotellina del mouse
  • Selezione di elementi: Clic con il tasto sinistro del mouse
  • Scelta multipla: Tasto Ctrl + clic del mouse
  • Spostare il simbolo: cliccare sull´elemento e muoverlo all´interno del diagramma tenendo premuto il tasto sinistro del mouse. Il contenuto può essere collocato sulle celle colorate di verde. Se una cella si colora di rosso quando ci si passa sopra, non sarà possibile depositarci nulla.


Barre degli strumenti e menù contestuale - Ricetta PFC

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Barre degli strumenti e menù contestuale - Ricetta PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti - Editor PFC: Modalità di editazione

Parametro

Descrizione

Nuova ricetta master...

Apre la finestra di dialogo che consente di creare una nuova ricetta master.

Salva ricetta master

Salva la ricetta aperta nell´Editor delle ricette per essere configurata.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Elimina

Cancella gli elementi selezionati dal diagramma.

Per selezionare più elementi: tasto Ctrl+clic del mouse.

Controlla errori in ricetta

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modifica elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Sostituzione fase/Operation

Apre la finestra di dialogo per selezionare una fase o una ricetta parziale e sostituisce gli elementi selezionati a quelli esistenti. È possibile selezionare e sostituire contemporaneamente più fasi o ricette parziali.

Combinazione di tasti: Tasto Shift+doppio clic del mouse:

Modalità di elaborazione

Passa dalla modalità di inserimento a quella di modifica.

Inserisci fase

Inserisce una fase.

Inserisci transizione

Inserisce una transizione.

Inserisci ramo parallelo

Inserisce l´inizio di un ramo parallelo.

Aggiungi fine parallelo

Inserisce la fine di un ramo parallelo.

Inserisci ramo iniziale

Inserisce l´inizio di una sequenza parallela.

Inserisci chiusura ramo

Inserisce la fine di una sequenza parallela.

Inserisci assegnazione unità

Inserisce un´assegnazione unità.

Inserisci jump

Inserisce un jump target.

Inserisci Operation

Inserisce una ricetta parziale.

Ricetta in modalità test

Imposta la ricetta in modalità di test. Perché questo sia possibile, la ricetta deve essere priva di errori.

Rilascia ricetta

Rilascia la ricetta. Così si potrà creare una ricetta master.

Nota: le azioni di inserimento rimangono attive finché non si passa alla modalità di modifica usando il simbolo Modifica o il tasto Esc, oppure finché non si passa ad un´altra opzione di inserimento usando il simbolo che serve ad inserire un elemento.

Barra degli strumenti - Ricetta PFC: Modalità di test

Parametro | Descrizione
Avvia ricetta | Avvia il processo di elaborazione della ricetta.
Ricetta in pausa | Mette in pausa la ricetta.
Riprendi ricetta | Riprende l´esecuzione di una ricetta messa in pausa.
Ferma ricetta | Sospende l´esecuzione di una ricetta.
Riavvia ricetta | Riavvia una ricetta che era stata sospesa.
Stop ricetta | Arresta la ricetta.
Annulla ricetta | Annulla la procedura di una ricetta.
Fase in pausa | Mette in pausa la fase selezionata.
Riprendi fase | Riprende il processo di elaborazione di una fase selezionata che era stata messa in pausa.
Interrompi fase | Sospende la fase selezionata.
Riavvia fase | Riavvia la fase selezionata sospesa.
Esci dalla fase | Inizia il processo per uscire dalla fase.
Controlla errori in ricetta | Inizia la convalida della ricetta.
Modifica elemento | Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.
Aspetto grafico | Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.
Passa alla modalità automatica | Fa passare l´esecuzione in modalità automatica.
Passa alla modalità semiautomatica | Fa passare l´esecuzione in modalità semiautomatica.
Passa alla modalità manuale | Fa passare l´esecuzione in modalità manuale.
Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata | Continua una ricetta solo a partire dalle posizioni selezionate.
Riprendi esecuzione ricetta da tutte le posizioni di esecuzione | Continua una ricetta a partire da tutte le posizioni disponibili.
Ignora la condizione corrente | Ignora una condizione in attesa della fase selezionata. Possibile solamente nella modalità manuale.
Modalità di modifica | Passa dalla modalità di test a quella di modifica.
Rilascia ricetta | Rilascia la ricetta. Così si potrà creare una ricetta master.

Barra degli strumenti - Ricetta PFC: rilasciata

Parametro

Descrizione

Controlla errori in ricetta

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modifica elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

La finestra di dialogo viene aperta in modalità "protetta da scrittura", perché non è più possibile modificare delle ricette rilasciate.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Duplica ricetta

Crea una copia della ricetta. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

Produci ricetta di controllo

Crea una ricetta di controllo sulla base della ricetta master rilasciata.

info Info

Tutte le funzioni dei singoli simboli possono essere progettate anche tramite pulsanti, rendendole così compatibili con la gestione touch. È anche possibile nascondere le barre degli strumenti.


Elemento iniziale

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Elemento iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Primo elemento nel processo. Viene creato automaticamente nell´Editor al momento della creazione della ricetta e non può essere cancellato.


Inserire e configurare una fase

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Inserire e configurare una fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere una fase:

  1. Selezionare nella barra degli strumenti il simbolo per Inserisci fase
  2. Portare il mouse nella posizione desiderata.
  3. Posizionare la fase.
  4. Si apre la finestra di dialogo che consente di selezionare una fase
  5. Selezionare la fase desiderata.

Per configurare una fase:

  1. Cliccare due volte sulla fase.
  2. Si aprirà la finestra di dialogo di configurazione
    (se all´elemento non è stata ancora assegnata nessuna fase, il doppio clic causerà l´apertura della finestra di dialogo per selezionare una fase).

Nota: quando si preme il tasto Shift e si esegue un doppio clic, si apre sempre la finestra di dialogo per selezionare una fase.

Configurazione

Parametro | Descrizione
Fase attiva in questo passo | Attivo: la fase è attiva in questo passo
Nome | Nome della fase. Solo visualizzazione.
Descrizione | Commento sulla fase. Solo visualizzazione.
Unità | Unità su cui viene eseguitala la fase. Solo visualizzazione.
Strategia di controllo | Selezione di una strategia di controllo fra quelle proposte dal menù a tendina. Disponibile solo se nell´Editor sono state configurate delle strategia di controllo per questa fase. Default: nessuna strategia di controllo collegata.
Descrizione della strategia di controllo | Descrizione della strategia di controllo selezionata. Visualizzazione solo della descrizione impostata nell´Editor.
Generale | Scheda per la configurazione delle proprietà generali.
Parametro | Scheda per la configurazione dei parametri.
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.

Per la configurazione delle schede, si veda il capitolo:

  • Generale: visualizzazione e configurazione delle impostazioni per la fase.
  • Parametro: configurazione dei parametri.

Si può prevedere che l´utente debba indicare una ragione per poter effettuare delle modifiche. Ci sono due possibilità di configurazione: o si attiva per il modulo nel suo complesso la proprietà Motivazione richiesta in caso di cambio valori nel nodo Modifica parametro; oppure si attiva per singole fasi la proprietà Motivazione richiesta in caso di cambio valori nel gruppo Generale.

Regole per la modifica di una fase.

Una fase può essere modificata:

  • In una ricetta master in modalità di modifica: Se l´utente dispone dei diritti per farlo.
  • In una ricetta master in modalità di test: Se l´utente dispone dei diritti per farlo e se la fase non è attiva.
  • In una ricetta di controllo con lo stato pronta: Se l´utente dispone dei diritti per farlo e se l´opzione Modificabile nella ricetta di controllo è stata attivata nella ricetta master.
  • In una ricetta di controllo con lo stato In esecuzione: Se l´utente dispone dei diritti per farlo, se l´opzione Modificabile nella ricetta di controllo è stata attivata nella ricetta master, e se la fase non è attiva.

La funzione non può più essere modificata in ricetta di controllo già eseguite e in ricette master rilasciate.

Ancora in questo capitolo

Selezione di una fase

Generale

Parametro

Modifica parametro

Selezione colonne

Formato colonne


Selezione di una fase

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Inserire e configurare una fase -> Selezione di una fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione di una fase

Quando si aggiunge una fase, si apre la finestra di dialogo per la selezione di una fase.

Opzione | Descrizione
Albero di progetto | Visualizza il progetto corrente le cui fasi possono essere selezionate.
Lista delle fasi | In questa lista sono visualizzate tutte le fasi configurate nell´Editor. È possibile filtrare questa lista. nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole. Si possono usare i i placeholder * e ?.
Tasti freccia | Consentono di spostare la selezione verso l´alto o verso il basso.
Nessuna selezione | Cancella la fase già selezionata dall´elemento.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Quando si chiude la finestra di dialogo, tutte le impostazioni effettuate vengono salvate in modo specifico per il singolo utente.


Generale

Generale

Le proprietà della scheda Generale sono settate nell´Editor, eccezion fatta per l´opzione Modificabile nella ricetta di controllo. I valori possono essere modificati nella ricetta master. Un simbolo indica se il valore nella finestra di dialogo corrisponde a quello nell´Editor. In caso questi valori dovessero divergere, si può applicare di nuovo quello definito nell´Editor.

Significato dei simboli accanto ai valori:

Simbolo | Descrizione
Segno di uguale | Il valore nella finestra di dialogo e quello impostato nell´Editor corrispondono.
Parentesi acute | Il valore nella finestra di dialogo e quello impostato nell´Editor divergono.
Frecce in direzioni opposte | Attivo solo se i valori nella ricetta e nell´Editor divergono. Cliccando su questo pulsante, si applica il valore dell´Editor. Quest´ultimo sovrascriverà il valore nella ricetta master.

Modifica fase

Per spiegazioni relative alla configurazione dei dati base visualizzati tramite due schede, si veda il capitolo Inserire e configurare una fase.

Opzione

Descrizione

Tempo di attesa per allocazione unit

Tempo in giorni, ore, minuti e secondi durante il quale si attende l´allocazione aggregato. Il tempo di attesa può essere modificato nel Runtime finché la ricetta si trova nello stato editabile.

Quando il tempo definito è scaduto, viene inizializzato l´evento Superato tempo di attesa aggregato; l´elemento viene evidenziato nella visualizzazione. Ulteriori azioni devono essere definite dal progettista. Se non si verificano ulteriori azioni, l´attesa continua.

Massimo: 9999T 23:59:59
Default: 0T 00:00:00

Nota: Un aggregato può essere allocato sempre solo da un´unica ricetta con lo stato In esecuzione.

Il valore viene impostato nell´Editor e può essere modificato in questa sede finché la ricetta non è stata rilasciata.

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... si apre l´editor delle formule che consente di definire una condizione.
Se si configura un interblocco di ingresso, la fase verrà eseguita a Runtime solo quando la condizione dell´interblocco di ingresso verrà soddisfatta. La formula può consistere di uno o più parametri di comando e parametri di feedback della fase. Possono essere usati valore e stato della variabile. La formula restituisce TRUE o FALSE come risultato. A Runtime la condizione può essere visualizzata, ma non modificata.
Il tempo di attesa per l´interblocco di ingresso viene configurato tramite la proprietà Tempo di attesa per interblocco di ingresso.

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dall´inizio della verifica dell` interblocco di ingresso. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il valore viene impostato nell´Editor e può essere modificato in questa sede finché la ricetta non è stata rilasciata.

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... si apre l´editor delle formule che consente di definire una condizione.
A Runtime, la condizione può essere visualizzata, ma non modificata. L´intervallo di tempo durante il quale si attende il soddisfacimento della condizione, viene definito mediante la proprietà Massima durata di esecuzione.

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dalla scrittura del parametro di comando. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Tempo massimo di esecuzione superato e l attesa continua. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Nota: Il tempo continua a decorrere quando si mette in pausa la ricetta/fase.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il valore viene impostato nell´Editor e può essere modificato in questa sede finché la ricetta non è stata rilasciata.

Ha senso solo se è stata configurata la proprietà Condizione di termine fase.

Ulteriori informazioni sulla durata di esecuzione si trovano nel capitolo Durata di esecuzione.

Minima durata di esecuzione

Tempo minimo di esecuzione della fase.

  • >0: tempo minimo di attesa dopo la scrittura del parametro di comando, indipendentemente dal fatto se la condizione di fase completata è soddisfatta o no.
  • 0: non è definita nessuna durata minima di esecuzione.

Nota: la durata minima di esecuzione può superare la Massima durata di esecuzione. Il valore viene impostato nell´Editor e può essere modificato in questa sede finché la ricetta non è stata rilasciata.

Modificabile nella ricetta di controllo se è stata attivata nella ricetta master l´opzione Modificabile nella ricetta di controllo.

Ulteriori informazioni sulla durata di esecuzione si trovano nel capitolo Durata di esecuzione.

Modificabile nella ricetta di controllo

Attivo: la proprietà può essere modificata nella ricetta di controllo.

Tempo di attesa per condizione successiva

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale la fase deve essere disattivata. Il tempo di attesa inizia a decorrere dal raggiungimento della condizione di fase completata. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per condizione successiva e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Nota: Se esistono condizioni successive dipende dalla struttura della ricetta. Per questo motivo, è consigliabile che la configurazione di un tempo di attesa avvenga non nell´Editor, ma nel Runtime. Il valore viene impostato nell´Editor e può essere modificato in questa sede finché la ricetta non è stata rilasciata.

Ulteriori informazioni si trovano nei capitoli Tempi e Condizione successiva.

OK

Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Parametro

Parametro

Parametro

Descrizione

Lista di parametri

Visualizza i parametri configurati nell´Editor. Si possono filtrare e ordinare i parametri per colonna.

La finestra di dialogo per modificare un parametro si apre cliccando sul simbolo Modifica parametro, cliccando due volte sul parametro, con il comando nel menù contestuale, oppure premendo il tasto Ins.

OK

Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.

Barra degli strumenti

Simbolo | Significato
Modifica parametro | Apre la finestra di dialogo per la configurazione del parametro.
Visualizza tutti i parametri di comando | Cliccando su questo simbolo si passa dalla visualizzazione dei parametri di comando modificabili a quella di tutti i parametri di comando e viceversa.
Visualizza parametri di feedback | Visualizza, oltre ai parametri di comando, anche i parametri di feedback, oppure li nasconde.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.
Formato colonne | Apre la finestra di dialogo che consente di formattare le colonne.


Modifica parametro

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Inserire e configurare una fase -> Modifica parametro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica parametro

Per modificare un parametro a Runtime:

  1. Selezionare nella finestra di dialogo "Modifica fase" la scheda Parametro
  2. Selezionare il parametro desiderato.
  3. Aprire la finestra di dialogo per modificare questo parametro cliccando sul simbolo Modifica parametro della barra degli strumenti, cliccando sul comando corrispondente del menù contestuale, cliccando due volte sul parametro, oppure premendo il tasto Ins
  4. Si aprirà la finestra di dialogo di modifica.

Per ogni tipo di dato, verrà aperta una finestra di dialogo propria:

  • Numerico
  • Binaria:
  • Stringa
  • Durata

Normalmente, le proprietà vengono configurate nell´Editor e solo visualizzate a Runtime. Un´eccezione è rappresentata dai valori del tipo di dato. Questi ultimi, infatti, possono essere modificati e adeguati, a condizione che sia stata attivata la proprietà Modificabile in ricetta master nell´Editor.

Parametri numerico

Parametro

Significato

Parametro

Nome del parametro. Solo visualizzazione.

Descrizione

Descrizione liberamente configurabile del parametro. Solo visualizzazione.

Tipo

Tipo di parametro: Iniziale, valore o feedback. Solo visualizzazione.

Tipo di dato

Tipo di dato del parametro Solo visualizzazione.

Modificabile nella ricetta di controllo

Attivo: il valore del parametro può essere modificato nella ricetta master.

Disponibile solo se:

  • Il parametro è di tipo iniziale o valore.
  • Nell´Editor è stato configurato che il parametro possa essere modificato nella ricetta-Batch (proprietà: Modificabile in ricetta master).

Minimo

Valore minimo per il parametro.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Minimo di variabile

Valore minimo consentito delle variabili.

Valore parametro

Valore del parametro.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Unità di misura

Unità di misura del valore.

Massimo

Valore massimo del parametro. Solo visualizzazione.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Massimo di variabile

Valore massimo consentito delle variabili. Solo visualizzazione.

Variabile

Variabile collegata al parametro. Solo visualizzazione.

Tipo di dato (variabile)

Tipo di dato della variabile. Solo visualizzazione.

Driver

Driver della variabile. Solo visualizzazione.

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Tasti freccia

Navigazione fra i parametri

Questi ultimi vengono visualizzati nella successione della lista. Vengono visualizzati solamente i parametri visibili dati i criteri attuali di filtro e di ordinamento.

Se sono state effettuate delle modifiche, prima di passare ad un altro parametro, viene visualizzata una richiesta di confermare o annullare i cambi. Se le modifiche devono essere applicate, il sistema provvede a verificare le impostazioni prima di passare al prossimo parametro.

Applica

Accetta tutte le modifiche, a condizione che la loro verifica sia stata portata a termine con successo; la finestra di dialogo rimane aperta per consentire ulteriori modifiche.

OK

Accetta tutte le modifiche e chiude la finestra di dialogo, a condizione che la verifica dei cambi effettuati sia stata portata a termine con successo.

Annulla

Annulla tutte le modifiche non ancora applicate e chiude la finestra di dialogo.

Parametri binari

Parametro

Significato

Parametro

Nome del parametro. Solo visualizzazione.

Descrizione

Descrizione liberamente configurabile del parametro. Solo visualizzazione.

Tipo

Tipo di parametro: Iniziale, valore o feedback. Solo visualizzazione.

Tipo di dato

Tipo di dato del parametro Solo visualizzazione.

Modificabile nella ricetta di controllo

Attivo: il valore del parametro può essere modificato nella ricetta master.

Disponibile solo se:

  • Il parametro è di tipo iniziale o valore.
  • Nell´Editor è stato configurato che il parametro possa essere modificato nella ricetta-Batch (proprietà: Modificabile in ricetta master).

Disattivato

Stato: Off.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

ON

Stato: On.

Toggle

cambia lo stato.

Variabile

Variabile collegata al parametro. Solo visualizzazione.

Tipo di dato (variabile)

Tipo di dato della variabile. Solo visualizzazione.

Driver

Driver della variabile. Solo visualizzazione.

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Tasti freccia

Navigazione fra i parametri

Questi ultimi vengono visualizzati nella successione della lista. Vengono visualizzati solamente i parametri visibili dati i criteri attuali di filtro e di ordinamento.

Se sono state effettuate delle modifiche, prima di passare ad un altro parametro, viene visualizzata una richiesta di confermare o annullare i cambi. Se le modifiche devono essere applicate, il sistema provvede a verificare le impostazioni prima di passare al prossimo parametro.

Applica

Accetta tutte le modifiche, a condizione che la loro verifica sia stata portata a termine con successo; la finestra di dialogo rimane aperta per consentire ulteriori modifiche.

OK

Accetta tutte le modifiche e chiude la finestra di dialogo, a condizione che la verifica dei cambi effettuati sia stata portata a termine con successo.

Annulla

Annulla tutte le modifiche non ancora applicate e chiude la finestra di dialogo.

Parametri stringa

Parametro

Significato

Parametro

Nome del parametro. Solo visualizzazione.

Descrizione

Descrizione liberamente configurabile del parametro. Solo visualizzazione.

Tipo

Tipo di parametro: Iniziale, valore o feedback. Solo visualizzazione.

Tipo di dato

Tipo di dato del parametro Solo visualizzazione.

Modificabile nella ricetta di controllo

Attivo: il valore del parametro può essere modificato nella ricetta master.

Disponibile solo se:

  • Il parametro è di tipo iniziale o valore.
  • Nell´Editor è stato configurato che il parametro possa essere modificato nella ricetta-Batch (proprietà: Modificabile in ricetta master).

Stringa

Successione di caratteri alfanumerici.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

La lunghezza della stringa è limitata dalla Lunghezza stringa configurata nella variabile.

Lunghezza stringa

Definisce la lunghezza possibile della stringa. Solo visualizzazione.

Variabile

Variabile collegata al parametro. Solo visualizzazione.

Tipo di dato (variabile)

Tipo di dato della variabile. Solo visualizzazione.

Driver

Driver della variabile. Solo visualizzazione.

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Tasti freccia

Navigazione fra i parametri

Questi ultimi vengono visualizzati nella successione della lista. Vengono visualizzati solamente i parametri visibili dati i criteri attuali di filtro e di ordinamento.

Se sono state effettuate delle modifiche, prima di passare ad un altro parametro, viene visualizzata una richiesta di confermare o annullare i cambi. Se le modifiche devono essere applicate, il sistema provvede a verificare le impostazioni prima di passare al prossimo parametro.

Applica

Accetta tutte le modifiche, a condizione che la loro verifica sia stata portata a termine con successo; la finestra di dialogo rimane aperta per consentire ulteriori modifiche.

OK

Accetta tutte le modifiche e chiude la finestra di dialogo, a condizione che la verifica dei cambi effettuati sia stata portata a termine con successo.

Annulla

Annulla tutte le modifiche non ancora applicate e chiude la finestra di dialogo.

Durata

Parametro

Significato

Parametro

Nome del parametro. Solo visualizzazione.

Descrizione

Descrizione liberamente configurabile del parametro. Solo visualizzazione.

Tipo

Tipo di parametro: Iniziale, valore o feedback. Solo visualizzazione.

Tipo di dato

Tipo di dato del parametro Solo visualizzazione.

Modificabile nella ricetta di controllo

Attivo: il valore del parametro può essere modificato nella ricetta master.

Disponibile solo se:

  • Il parametro è di tipo iniziale o valore.
  • Nell´Editor è stato configurato che il parametro possa essere modificato nella ricetta-Batch (proprietà: Modificabile in ricetta master).

Minimo

Valore minimo per il parametro in formato:
T hh:mm:ss

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Variabile di minimo

Valore massimo consentito delle variabili.

Durata

Valore del parametro in formato:
G:hh:mm:ss.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Unità di misura

Unità di misura del valore.

Massimo

Valore massimo per il parametro in formato:
G:hh:mm:ss.

L´impostazione dell´Editor può essere modificata se è stata attivata nell´Editor stesso la proprietà Modificabile in ricetta master.
Il simbolo a destra del valore mostra se il valore è stato cambiato. I valori modificati possono essere sovrascritti da quello di default impostato nell´Editor cliccando sul pulsante che si trova accanto. Nel caso delle strategie di controllo, la sincronizzazione avviene usando i valori che sono stati impostati nella strategia di controllo in fase di collegamento dei parametri.

Variabile di massimo

Valore massimo consentito delle variabili. Solo visualizzazione.

Variabile

Variabile collegata al parametro. Solo visualizzazione.

Tipo di dato (variabile)

Tipo di dato della variabile. Solo visualizzazione.

Driver

Driver della variabile. Solo visualizzazione.

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Tasti freccia

Navigazione fra i parametri

Questi ultimi vengono visualizzati nella successione della lista. Vengono visualizzati solamente i parametri visibili dati i criteri attuali di filtro e di ordinamento.

Se sono state effettuate delle modifiche, prima di passare ad un altro parametro, viene visualizzata una richiesta di confermare o annullare i cambi. Se le modifiche devono essere applicate, il sistema provvede a verificare le impostazioni prima di passare al prossimo parametro.

Applica

Accetta tutte le modifiche, a condizione che la loro verifica sia stata portata a termine con successo; la finestra di dialogo rimane aperta per consentire ulteriori modifiche.

OK

Accetta tutte le modifiche e chiude la finestra di dialogo, a condizione che la verifica dei cambi effettuati sia stata portata a termine con successo.

Annulla

Annulla tutte le modifiche non ancora applicate e chiude la finestra di dialogo.


Selezione colonne

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Inserire e configurare una fase -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Formato colonne

Parametro

Descrizione

Colonne disponibili

Lista delle colonne disponibili nella scheda Scelta colonne. La colonna selezionata qui viene configurata tramite le proprietà della sezione Parametri.

Parametro

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna. Il titolo colonna è traducibile online. Per renderlo traducibile, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.

Orientamento

Orientamento.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutti gli inserimenti e chiude la finestra di dialogo.


Inserisci Operation

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Inserisci Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire una ricetta parziale (Operation):

  1. Selezionare nella barra degli strumenti il simbolo per Inserisci Operation
  2. Portare il mouse nella posizione desiderata.
  3. Posizionare la ricetta parziale.
  4. Si aprirà la finestra di dialogo per selezionare un modello per la ricetta parziale.
  5. Selezionare la ricetta parziale desiderata.
  6. La ricetta parziale verrà inserita.


Linee

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le linee collegano elementi utilizzando punti di connessione liberi. Per collegare punti di connessione fra di loro:

  1. Attivare anzitutto un punto con il mouse:
    Il punto di connessione si colorerà di verde. Se si colora invece di rosso, significa che il punto di connessione è già stato assegnato.

  2. Tracciare una linea di collegamento con un altro punto di connessione:
    Una freccia gialla indica la direzione della linea. È consentito attraversare i campi di color verde. Quelli rossi, invece, non possono essere attraversati dalla linea.

  3. Non appena la punta gialla della linea tocca il prossimo punto di connessione, la linea viene creata.

Gestione delle linee

Linee:

  • Vengono tracciate usando il mouse.
  • Possono essere spostate (tenendo premuto il tasto Ctrl)
    In questo caso, tutti i collegamenti esistenti verranno interrotti e si farà un tentativo di ricollegare la linea se alla destinazione ci sono degli oggetti con punti di connessione nella direzione giusta.
    Se sono evidenziate più linee, verrà spostata quella nella cui cella si trova il puntatore del mouse.
  • Possono essere cancellate evidenziandole e premendo il tasto Canc.
  • Vengono cancellate quando le si ridisegna dall´inizio alla fine.
  • Hanno un tooltip che visualizza il loro ID.

Quando una linea tocca un punto di connessione di un oggetto, questo punto verrà attivato. Se il collegamento è possibile, questo punto verrà visualizzato in color verde, altrimenti in rosso. Non è consentito collegare due punti di connessione dello stesso tipo, cioè due ingressi o due uscite. È possibile tracciare la linea in ogni caso. Ma le connessioni non consentite verranno visualizzate in color rosso, e, quando viene eseguito un test, causeranno la visualizzazione di un messaggio di errore.

In modalità di modifica, i punti di connessione degli elementi vengono sempre visualizzati, anche quando il punto in questione è collegato. Nello stato "Rilasciata", non viene visualizzato nessun punto di connessione.

Proprietà del punto di connessione:

  • Connesso: colorato di rosso; il collegamento viene interrotto quando viene tracciata la linea e si può cercare un altro punto di connessione.
  • Aperto: colorato di verde; trascinando il mouse viene creata una nuova linea.


Transizioni

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Transizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le transizioni vengono utilizzate dopo le fasi per garantire un passaggio definito da una fase a quella successiva. Le transizioni visualizzano il loro stato interno durante il processo e informano per mezzo di un tooltip su stato e durata del processo stesso.

Informazioni dettagliate sulle transizioni si trovano nel capitolo Transizioni della sezione dedicata alla Configurazione nell'Editor.


Diramazioni e sequenze parallele

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Diramazioni e sequenze parallele

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette possono avere diramazioni ed essere eseguite in rami paralleli.

Rami e rami paralleli consistono di:

  • Linee orizzontali semplici o doppie.
  • Tratti di connessione (consistenti di linea e punto di connessione).

Creare una ramificazione:

Per creare una ramificazione:

  1. Selezionare il simbolo Inserisci inizio ramo
  2. Trascinare la diramazione nella posizione desiderata.
  3. Unire il punto di connessione iniziale ad un punto di connessione finale dell´oggetto precedente.
  4. Collegare tutti e due i punti di connessione finali agli oggetti successivi desiderati.
  5. Chiudere il ramo con l´oggetto Inserisci chiusura ramo

Inserire rami paralleli

Per creare una ramificazione parallela:

  1. Selezionare il simbolo Inserisci ramo parallelo
  2. Trascinare la diramazione nella posizione desiderata.
  3. Unire il punto di connessione iniziale ad un punto di connessione finale dell´oggetto precedente.
  4. Collegare tutti e due i punti di connessione finali agli oggetti successivi desiderati.
  5. Chiudere la ramificazione parallela con l´oggetto Aggiungi fine parallelo

Modificare e spostare

È possibile spostare e modificare le dimensioni di rami e rami paralleli.

Spostare

Per spostare un oggetto:

  1. Cliccare sull´oggetto con il mouse.
  2. Tenere premuto il tasto del mouse.
  3. Trascinare l´oggetto nella posizione desiderata.

Modificare la grandezza

È possibile allungare e accorciare gli oggetti Inizio/Fine ramo/ramo parallelo. Per modificarne le dimensioni:

  1. Muovere il mouse alla fine dell´oggetto finché il cursore non diventa una doppia freccia.
  2. Tenere premuto il tasto sinistro del mouse e muovere il mouse stesso nella direzione desiderata:
    • Per allungare l´oggetto, allontanare il mouse dall´oggetto.
    • Per accorciare l´oggetto, muovere il mouse verso l´interno dell´oggetto.
  3. Quando si allunga l´oggetto, viene aggiunto un nuovo tratto di connessione;
    • Tutti i campi in cui è possibile un´estensione, si colorano di verde.
    • Per inserire più tratti di connessione, si deve ripetere la procedura.
  4. Quando si accorcia l´oggetto, tutti i tratti di connessione interessati verranno cancellati.

Ancora in questo capitolo

Rami

Rami paralleli

Separare e riunire rami


Rami

Rami

Un ramo consente di eseguire uno di più percorsi possibili. A questo scopo, è necessario che l´elemento posto all´inizio di un percorso di esecuzione sia una transizione. Questo significa che l´unico tipo di oggetto che può seguire un Inizio ramo è una transizione.

Procedura:

  • Viene scelto il percorso in cui per primo la transizione restituisce il valore TRUE.
  • Se più transizioni dovessero avere il valore TRUE contemporaneamente, verrà scelto sempre il percorso più a sinistra nel quale la transizione è TRUE.

Per inizio e fine vale quanto segue: se prima dell´elemento si trova un passo e dopo l´elemento si trova una transizione, il passo rimarrà attivo finché non sarà completata anche la transizione.

In un ramo, gli oggetti vengono elaborati in sequenza. Ogni ramo elabora i propri oggetti, in modo indipendente dagli altri rami.


Rami paralleli

Rami paralleli

Si parla di "rami paralleli" quando il percorso di esecuzione si suddivide in più percorsi che vengono eseguiti contemporaneamente. Nel corso del processo, viene colorata anche l´area intermedia della Fine ramo parallelo. Il colore utilizzato corrisponde a quello impostato per la colorazione della fase.

Fine ramo parallelo viene visualizzato come attivo non appena è stato completato il primo di più elementi precedenti. Il sistema attende che tutti gli elementi precedenti siano stati completati. Poi l´elemento Fine ramo parallelo viene visualizzato come disattivato e si passa oltre.

Fine ramo parallelo è visualizzato attivo:

  • In caso di transizioni: subito dopo essere state attraversate.
  • In caso di fasi: Quando la “condizione di fase completata” è soddisfatta e la “minima durata di esecuzione” è scaduta.

Durante l´esecuzione, lo stato viene visualizzato tramite colori.


Separare e riunire rami

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Diramazioni e sequenze parallele -> Separare e riunire rami

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Separare e riunire rami

Nelle sequenze parallele, l´esecuzione si separa in corrispondenza dell´elemento inizio sequenza parallela; i singoli rami si ricongiungono poi in corrispondenza dell´elemento fine sequenza parallela. I percorsi degli oggetti paralleli sono rami indipendenti l´uno dall´altro. Solo in corrispondenza di fine sequenza parallela, vengono sincronizzati tutti i rami.

I rami possibili vengono definiti in fase di creazione della ricetta. In fase di esecuzione della ricetta a Runtime, si determina se i singoli rami sono allocati o rilasciati. Un ramo è sempre attivo finché un oggetto in esso contenuto è attivo.

Fine sequenza parallela

Una fine sequenza parallela riunisce i rami dei percorsi connessi. L´oggetto che si trova dopo l´elemento fine sequenza parallela viene attivato quando tutti i percorsi hanno raggiunto a fine sequenza parallela nel corso della loro esecuzione.

Il percorso di sinistra è terminato, perciò fine sequenza parallela è già attivo. La transizione che si trova dopo fine sequenza parallela, però, non è ancora attiva perché il ramo di destra non è ancora completato.

Quando anche il ramo di destra è completato:

La transizione che si trova dopo fine sequenza parallela viene attivata. Tutti gli oggetti attivi prima, rimangono attivi.


Jump target.

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Jump target.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I jump target consentono di:

  • Saltare fra un ramo e l´altro.
  • Uscire da rami.
  • Configurare loop.

Un jump target è costituito da tre entrate (input) e un´uscita (output). L´uscita si trova sempre in basso, mentre le entrate si trovano sempre sopra e ai lati. Si può collegare qualsiasi punto di connessione di input. Un percorso che termina in un jump target deve essere iniziato con un elemento selezione di inizio sequenza. Altrimenti non sarà possibile raggiungere la fine. Non è consentito l´uso di jump target per sequenze parallele.

In fase di configurazione, tutti i punti di connessione sono visibili; in modalità di verifica, invece, sono visibili solamente quei punti di connessione che sono effettivamente collegati.


Assegnare e configurare le unità

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Assegnare e configurare le unità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare un´unità:

  1. Selezionare nella barra degli strumenti il simbolo Inserisci assegnazione unità
  2. Spostare il mouse nella posizione desiderata.
  3. Posizionare l´elemento Assegnazione unità.
  4. L´elemento verrà inserito.

Per configurare l´assegnazione unità:

  1. Cliccare due volte sull´elemento Assegnazione unità.

    Si aprirà la finestra di dialogo di configurazione.

Configurazione

In una finestra di dialogo di configurazione si possono selezionare le unità esistenti nella ricetta batch. Si differenzia fra assegnazione e rilascio. Il rilascio può essere eseguito in modo selettivo o globale. Unità già selezionate, ma non più esistenti nella ricetta, vengono visualizzate con un contrassegno particolare.

Quando si apre questa finestra di dialogo in una ricetta rilasciata, verrà visualizzata con l´indicazione "solo lettura". Questo significa che sarà possibile leggere tutti gli inserimenti, ma non modificarli.

Parametro

Descrizione

Lista unità

Visualizza le unità a disposizione e le azioni a queste assegnate.

Azione

Assegna un´azione all´unità selezionata nella lista.

Assegna unità

Assegna l´unità.

Rilascia unità

Rilascia l´unità.

  • Rilascia l'ultima assegnazione L´ultima assegnazione verrà rilasciata.
  • Rilascia l'intera ricetta Tutte le assegnazioni nella ricetta verranno rilasciate.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Assegnare e configurare le unità

Assegnare un´unità tramite l´elemento "Assegna unità" o tramite una fase è possibile solo se l´unità stessa non è ancora assegnata, o è assegnata esclusivamente nella stessa ricetta. L´assegnazione e il rilascio di tutte le unità collegate all´elemento “Assegnazione unità” avviene contemporaneamente. Il sistema attende finché tutte le unità che devono essere assegnate, sono rilasciate. Solo in questo momento verranno eseguite contemporaneamente tutte le assegnazioni e tutti i rilasci. Le fasi che si trovano prima di un elemento "Assegnazione unità" attivo, rimangono attive finché l´assegnazione non è stata eseguita con successo.

Le assegnazioni unità sono mantenute finché è attiva la fase che le ha causate. Quando la ricetta viene terminata e ci sono ancora delle assegnazioni di elementi Assegnazione unità attive, queste ultime verranno rilasciate in modo implicito.

Nota: una funzione nello stato in pausa oppure fermata non cerca di assegnare l´unità. Questo vale anche se la fase passa a in pausa o fermata mentre attende che sia eseguita l´assegnazione. Solo dopo un riavvio, ci sarà un nuovo tentativo di assegnare l´unità. Ma: quando ci si trova in modalità manuale, si può imporre l´assegnazione dell´unità da parte di un´altra ricetta. La ricetta con la prima assegnazione manterrà il controllo e avrà la precedenza in fase di esecuzione. Se questa ricetta cede il suo "primato di assegnazione", quest´ultimo verrà ripreso da quella ricetta per la quale è stata eseguita per prima un´assegnazione "forzata".

Azioni

Per ogni unità usata nella ricetta può essere definita un´azione:

  • Nessuna azione
  • Assegna
  • Rilascia

Tooltip

Nel tooltip dell´elemento Assegnazione unità vengono visualizzate tutte le unità che sono evidenziate per un´assegnazione o un rilascio. In fase di esecuzione, viene visualizzata la durata di esecuzione; inoltre, tutte le unità di cui si è in attesa verranno evidenziate tramite un colore. Si deve attendere quelle unità che sono assegnate in un´altra ricetta.


Elemento finale

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta PFC -> Elemento finale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ultimo elemento del processo. Viene creato automaticamente nell´Editor al momento della creazione della ricetta e non può essere cancellato.


Ricetta-matrice

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nella finestra di dialogo Configurazione ricetta master è stata selezionata l´opzione "Ricetta matrice" e se la finestra di dialogo è stata chiusa cliccando su OK, la nuova ricetta si apre nell´Editor matrice in una nuova scheda.

Ancora in questo capitolo

Editor matrice

Barre degli strumenti - Ricetta matrice

Nominare passi.

Inserire e configurare una fase

Inserisci Operation


Editor matrice

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice -> Editor matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor matrice si possono creare ricette e ricette parziali in una matrice.

Dettagli tecnici:

  • Le colonne contengono fasi e ricette parziali:
    Se si vuole inserire una nuova fase, si deve cliccare sul simbolo che si trova sopra la linea diagonale.
    Se si vuole inserire una ricetta parziale, invece, si deve cliccare sul simbolo che si trova sotto la linea diagonale.
  • Le righe contengono passi con fasi attive/disattivate.
    Quando ci clicca sul simbolo "+", viene inserita nella matrice una nuova riga o una nuova colonna con fase o ricetta parziale.
  • Cancella colonna/riga: Per cancellare le righe o le colonne selezionate, premere sul tasto Canc.
  • Spostare righe/colonne: Le righe e le colonne possono essere spostate per Drag & Drop usando il mouse. Le denominazioni individuali dei passi vengono mantenute, il numero dei passi viene modificato e adeguato automaticamente.
  • Celle laterali:
    • Doppio clic sulla fase: apre la finestra di dialogo per configurare la fase.
    • Doppio clic sul passo: apre la finestra di dialogo per assegnare un nome al passo.
  • Selezione delle righe/colonne: :
    • Clic con il tasto sinistro del mouse nella cella laterale: seleziona una riga/colonna.
    • Tasto Ctrl + clic del mouse nella cella laterale: seleziona una riga/colonna.
  • Celle:
    • Clic con il tasto sinistro del mouse: seleziona una cella.
    • Tasto Shift + clic del mouse: attiva/disattiva la fase.
    • Tasto Ctrl + clic del mouse: seleziona più celle.
    • Doppio clic sulla cella: apre la finestra di dialogo per la configurazione della fase.
  • Barra di scorrimento: viene visualizzato se il documento è più grande del modello.
  • Scorrere nell´immagine usando la rotellina del mouse: verso l´alto e verso il basso, oppure verso sinistra e destra tenendo premuto il tasto Shift.


Barre degli strumenti - Ricetta matrice

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice -> Barre degli strumenti - Ricetta matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti - Ricetta matrice: Modalità di modifica

Simbolo

Descrizione

Nuova ricetta master...

Apre la finestra di dialogo per la creazione di una nuova ricetta master.

Salva ricetta master

Salva la ricetta aperta nell´Editor per essere configurata.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Elimina

Cancella gli elementi selezionati dal diagramma.

Per selezionare più elementi: tasto Ctrl+clic del mouse.

Controlla errori in ricetta

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modifica elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Attiva elementi selezionati

Attiva la fase o la ricetta parziale delle celle selezionate.

Disattivazione elementi selezionati

Disattiva la fase o la ricetta parziale delle celle selezionate.

Sposta la colonna selezionate a sinistra o le operazioni selezionate in su

Sposta le colonne selezionate di una posizione a sinstra, o i passi selezionato di una posizione verso l´alto.

Sposta le colonne selezionate verso destra o le operazioni selezionate verso il basso

Sposta le colonne selezionate di una posizione a destra, oppure i passi selezionati di una posizione verso il basso.

Ricetta in modalità test

Imposta la ricetta in modalità di test. Perché questo sia possibile, la ricetta deve essere priva di errori.

Rilascia ricetta

Rilascia la ricetta. Così si potrà creare una ricetta master.

Barra degli strumenti - Ricetta matrice: Modalità di test

Parametro | Descrizione
Avvia ricetta | Avvia il processo di elaborazione della ricetta.
Ricetta in pausa | Mette in pausa la ricetta.
Riprendi ricetta | Riprende l´esecuzione di una ricetta messa in pausa.
Ferma ricetta | Sospende l´elaborazione di una ricetta.
Riavvia ricetta | Riavvia una ricetta che era stata sospesa.
Stop ricetta | Arresta la ricetta.
Annulla ricetta | Annulla la procedura di una ricetta.
Fase in pausa | Mette in pausa la fase.
Riprendi fase | Riprende il processo di elaborazione di una fase che era stata messa in pausa.
Interrompi fase | Sospende la fase.
Riavvia fase | Riavvia una fase che era stata sospesa.
Esci dalla fase | Inizia il processo per uscire dalla fase.
Controlla errori in ricetta | Inizia la convalida della ricetta.
Modifica elemento | Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.
Aspetto grafico | Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.
Passa alla modalità automatica | Fa passare l´esecuzione in modalità automatica.
Passa alla modalità semiautomatica | Fa passare l´esecuzione in modalità semiautomatica.
Passa alla modalità manuale | Fa passare l´esecuzione in modalità manuale.
Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata | Continua una ricetta solo a partire dalle posizioni selezionate.
Riprendi esecuzione ricetta da tutte le posizioni di esecuzione | Continua una ricetta a partire da tutte le posizioni disponibili.
Ignora la condizione corrente | Ignora una condizione in attesa. Possibile solamente nella modalità manuale.
Modalità di modifica | Passa dalla modalità di test a quella di modifica.
Rilascia ricetta | Rilascia la ricetta. Così si potrà creare una ricetta master.

Barra degli strumenti - Ricetta matrice: rilasciata.

Parametro

Descrizione

Controlla errori in ricetta

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modifica elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Duplica ricetta

Crea una copia della ricetta. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

Produci ricetta di controllo

Crea una ricetta di controllo sulla base della ricetta master rilasciata.

info Info

Tutte le funzioni dei singoli simboli possono essere progettate anche tramite pulsanti, rendendole così compatibili con la gestione touch. È anche possibile nascondere le barre degli strumenti.


Nominare passi.

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice -> Nominare passi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile assegnare nomi individuali ai passi nell´Editor matrice. Quando si esegue un doppio clic sulla cella "Passo", si apre una finestra di dialogo per assegnare un nome individuale.

Il nome può constare di al massimo 100 caratteri; quando è preceduto da un @, il nome è traducibile.


Inserire e configurare una fase

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice -> Inserire e configurare una fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere una fase:

  1. Cliccare sul segno "+" che si trova sopra la linea diagonale nell´ultima colonna della matrice.
  2. Si apre la finestra di dialogo per selezionare una fase.
  3. Selezionare la fase desiderata.

Per configurare una fase:

  1. Eseguire un doppio clic sul campo matrice contenente la fase desiderata.
  2. Si apre la finestra di dialogo di configurazione.

Configurazione

Parametro | Descrizione
Fase attiva in questo passo | Attivo: la fase è attiva in questo passo
Nome | Nome della fase. Solo visualizzazione.
Descrizione | Commento sulla fase. Solo visualizzazione.
Unità | Unità su cui viene eseguitala la fase. Solo visualizzazione.
Strategia di controllo | Selezione di una strategia di controllo fra quelle proposte dal menù a tendina. Disponibile solo se nell´Editor sono state configurate delle strategia di controllo per questa fase. Default: nessuna strategia di controllo collegata.
Descrizione della strategia di controllo | Descrizione della strategia di controllo selezionata. Visualizzazione solo della descrizione impostata nell´Editor.
Generale | Scheda per la configurazione delle proprietà generali.
Parametro | Scheda per la configurazione dei parametri.
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.

Per quello che riguarda la configurazione delle schede, vedi la sezione dedicata all´Editor PFC/capitolo:

  • Generale: visualizzazione e configurazione delle impostazioni per la fase.
  • Parametro: configurazione dei parametri.

Regole per la modifica di una fase.

Una fase può essere modificata:

  • In una ricetta master in modalità di modifica: Se l´utente dispone dei diritti per farlo.
  • In una ricetta master in modalità di test: Se l´utente dispone dei diritti per farlo e se la fase non è attiva.
  • In una ricetta di controllo con lo stato pronta: Se l´utente dispone dei diritti per farlo e se l´opzione Modificabile nella ricetta di controllo è stata attivata nella ricetta master.
  • In una ricetta di controllo con lo stato In esecuzione: Se l´utente dispone dei diritti per farlo, se l´opzione Modificabile nella ricetta di controllo è stata attivata nella ricetta master, e se la fase non è attiva.

La funzione non può più essere modificata in ricetta di controllo già eseguite e in ricette master rilasciate.


Inserisci Operation

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta-matrice -> Inserisci Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere una ricetta parziale:

  1. Cliccare sul segno "+" che si trova sotto la linea diagonale nell´ultima colonna della matrice.

    Si apre la finestra di dialogo che consente di selezionare un modello ricetta parziale.

  2. Selezionare il modello ricetta parziale desiderato.

    Verrà inserita una nuova ricetta parziale.


Ricetta master - Modalità di test

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Ricetta master - Modalità di test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modalità di test consente di testare una ricetta master senza averla prima rilasciata e prima che siano state create delle ricette di controllo. In modalità di test, inoltre, è possibile anche applicare direttamente delle modifiche effettuate nell´Editor mediante un reload del Runtime.
Eccezione: mentre una ricetta è in fase di esecuzione, il reload riguardante questa ricetta verrà ritardato. Il reload verrà eseguito solo dopo che la ricetta sarà stata completata, arrestata o annullata.

In modalità di test non è possibile modificare le linee fondamentali della procedura di elaborazione della ricetta. Si possono solo modificare i valori dei parametri di comando. Queste modifiche vengono salvate direttamente nella ricetta master. Il salvataggio non è automatico, ma deve essere eseguito esplicitamente dall´utente.

Parametro

Descrizione

Avvia ricetta

Avvia il processo di elaborazione della ricetta.

Ricetta in pausa

Mette in pausa la ricetta.

Riprendi ricetta

Riprende l´esecuzione di una ricetta messa in pausa.

Ferma ricetta

Sospende l´elaborazione di una ricetta.

Riavvia ricetta

Riavvia una ricetta che era stata sospesa.

Stop ricetta

Arresta la ricetta.

Annulla ricetta

Annulla la procedura di una ricetta.

Fase in pausa

Mette in pausa la fase selezionata.

Riprendi fase

Riprende il processo di elaborazione di una fase selezionata che era stata messa in pausa.

Interrompi fase

Sospende la fase selezionata.

Riavvia fase

Riavvia la fase selezionata sospesa.

Controlla errori in ricetta

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modifica elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Passa alla modalità automatica

Fa passare l´esecuzione in modalità automatica.

Passa alla modalità semiautomatica

Fa passare l´esecuzione in modalità semiautomatica.

Passa alla modalità manuale

Fa passare l´esecuzione in modalità manuale.

Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata

Continua una ricetta solo a partire dalle posizioni selezionate.

Riprendi esecuzione ricetta da tutte le posizioni di esecuzione

Continua una ricetta a partire da tutte le posizioni disponibili.

Ignora la condizione corrente

Ignora una condizione in attesa.

Possibile solamente nella modalità manuale.

Imposta ricetta in modalità di modifica

Torna dalla modalità di test a quella di modifica.

Rilascia ricetta

Rilascia la ricetta. Così si potrà creare una ricetta master.


Rilasciare ricetta master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Rilasciare ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile rilasciare una ricetta master selezionandola e cliccando sul pulsante Rilascia ricetta master. È possibile selezionare e rilasciare contemporaneamente più ricette. Il rilascio deve essere confermato tramite un´apposita finestra di dialogo. Sarà ancora possibile aprire le finestre di dialogo per assegnazioni unità, transizioni e condizioni, ma in modalità protetta da scrittura.

info Info

È possibile rilasciare solamente le ricette master prive di errori. Una ricetta master rilasciata non potrà più essere modificata.

Per ogni ricetta, però, è possibile creare una copia della ricetta master rilasciata cliccando sul pulsante Duplica ricetta master. Si potrà utilizzare questa copia per eseguire delle modifiche alla ricetta.

Le ricette possono essere rilasciate solo se anche tutte le ricette di controllo in esse contenute sono state rilasciate.


Imposta la ricetta come obsoleta

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Imposta la ricetta come obsoleta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette non più valide che non dovono essere cancellate, possono essere contrassegnate come "obsolete". Se una ricetta viene impostata su questo stato, non la si potrà più né modificare, né rilasciare. Non sarà neanche possibile creare una ricetta di controllo sulla base di questa ricetta. La ricetta potrà però essere duplicata e usata come modello per nuove ricette master.

Per poter essere impostate come obsolete, le ricette master devono avere lo stato rilasciata. Per le ricette di controllo appartenenti ad una ricetta master impostata come obsoleta vale quando segue:

  • Le ricette di controllo che si trovano in fase di esecuzione, continueranno ad essere eseguite.
  • Le ricette di controllo che hanno lo stato pronta, non potranno essere più eseguite.


Versionamento per ricette master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Versionamento per ricette master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette master possono essere versionate. Viene creata una copia di una ricetta rilasciata o obsoleta. Questa copia si trova nella modalità di modifica e riceve un numero di versione univoco. La nuova ricetta può essere modificata, ma non rinominata. Le singole versioni, inclusa la ricetta d'origine, possono essere cancellate.

Creare una versione

Per utilizzare il versionamento a Runtime:

  1. Nell´Editor, passare nel gruppo di proprietà Generale/Versionamento del nodo Batch Control.
  2. Attivare la proprietà Attiva versionamento (segno di spunta nella casella).
  3. Adesso il versionamento delle ricette è attivato e verrà usato a Runtime.

Per creare una nuova versione di una ricetta a Runtime:

  1. Selezionare la ricetta master desiderata.
    Nota: la ricetta deve essere rilasciata oppure obsoleta.
  2. Selezionare nel menù contestuale oppure nella barra degli strumenti l´opzione Crea nuova versione, oppure cliccare sul pulsante corrispondente nell´immagine.
  3. Verrà creata una nuova ricetta.

Regole per il versionamento.

Per il versionamento vale quanto segue:

  • Una nuova versione di una ricetta riceve lo stesso nome della ricetta d'origine.
  • Le nuove versioni di una ricetta non possono essere rinominate. Questo non è possibile neanche se la versione si trova in modalità di modifica ed è l´unica versione rimanente.
  • La descrizione può invece essere modificata per ogni versione.
  • Ogni versione riceve un numero di versione univoco assegnato in modo progressivo. I numeri di versione delle ricette cancellate sono bloccati e non possono essere assegnati un´altra volta.
  • Nella lista delle ricette master, il numero di versione della nuova ricetta e quello della ricetta d'origine vengono visualizzati in colonne a parte.
  • I numeri di versione vengono visualizzati anche nella barra del titolo dell´Editor delle ricette, nella scheda della ricetta, nella lista delle ricette master e in tooltip.

Rilascia solo una versione

È possibile consentire il rilascio sempre di una sola versione per ogni ricetta master. A tale scopo, attivare nell´Editor la proprietà Approva solo una versione (proprietà del modulo Batch Control, gruppo Versionamento). In questo modo sarà possibile rilasciare solamente una versione di ogni ricetta master. Se si vuole rilasciare un´altra versione, bisognerà prima cancellare quella rilasciata in precedenza, oppure contrassegnarla come obsoleta.


Azioni

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricetta master -> Azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Azione | Descrizione
Controlla errori in ricetta | Verifica se ci sono errori nel processo di elaborazione della ricetta e visualizza messaggi di errore.
Modifica elemento | Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.
Aspetto grafico | Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.
Duplica ricetta | Copia la ricetta selezionata e la inserisce come copia nella lista.
Crea ricetta di controllo | Crea una ricetta di controllo sulla base della ricetta master rilasciata.
Nuova ricetta master | Apre la finestra di dialogo per la creazione di una nuova ricetta.
Salva ricetta master | Salva tutte le modifiche apportate ad una ricetta master dal momento in cui è stata salvata per l´ultima volta.
Elimina | Cancella l´elemento selezionato.
Cambia fase | Apre la finestra di dialogo per la selezione di una fase. La fase corrente viene sostituita dalla nuova.
Modalità di elaborazione | Fa ritornare il cursore del mouse in modalità di modifica dopo l´aggiunta di un elemento. Il ritorno alla modalità di modifica può avvenire anche premendo il tasto Esc.
Inserisci fase | Occupa il cursore del mouse con una fase. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci transizione | Occupa il cursore del mouse con una transizione. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci inizio ramo parallelo | Occupa il cursore del mouse con l´inizio di un ramo parallelo. Quest´ultimo potrà essere inserito con un clic del mouse in ogni posizione consentita che sia libera.
Aggiungi fine parallelo | Occupa il cursore del mouse con la fine di un ramo parallelo. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci inizio ramo | Occupa il cursore del mouse con l´inizio di un ramo. Quest´ultimo potrà essere inserito con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci fine sequenza | Occupa il cursore del mouse con la fine di un ramo. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci assegnazione unità | Occupa il cursore del mouse con una allocazione fase. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Inserisci jump | Occupa il cursore del mouse con una jump target. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.
Imposta ricetta in modalità test | Imposta la ricetta nella modalità test.
Rilascia ricetta | Rilascia la ricetta. Così si potrà creare una ricetta master.


Ricette parziali

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette parziali sono una sotto-struttura che può essere incorporata in ricette. In questo modo è possibile migliorare la visione d´insieme di ricette complesse. Le ricette parziali vengono create nello stesso modo delle ricette matrice e ricette PFC. Le ricette parziali vengono create sulla base di modelli, ed inserite come istanza in ricette matrici o ricette PFC esistenti.

Creare ricette parziali

Per creare una nuova ricetta parziale:

  1. Nell´Editor delle ricette, aprire la lista delle ricette parziali (attivare la checkbox).
  2. Selezionare nella barra dei simboli o nel menù contestuale della lista il comando Nuova Operation
  3. Si aprirà la finestra di dialogo per configurare una ricetta parziale.

Parametro

Descrizione

Ricetta matrice

Attivare questo pulsante di opzione se si vuole creare una ricetta parziale in forma di una ricetta matrice.

Nota: a disposizione solamente se si ha la licenza corrispondente.

Ricetta PFC

Attivare questo pulsante di opzione se si vuole creare una ricetta parziale in forma di una ricetta PFC.

Nota: a disposizione solamente se si ha la licenza corrispondente.

Nome

Nome univoco per la ricetta parziale. Il nome non deve contenere nessun punto (.), nessun punto interrogativo (?), nessuna @ e nessun asterisco (*).

Lunghezza massima: 256 caratteri.

Nota: quando si copiano delle ricette parziali, al nome esistente viene aggiunto il prefisso "Copia di". Se la lunghezza massima viene superata, il nome verrà ridotto alla lunghezza consentita partendo da dietro.

C`è una verifica dell´univocità del nome che viene eseguita in tutta la rete. Può accadere che non sia possibile usare un certo nome perché un altro utente ha contemporaneamente assegnato lo stesso nome su un altro computer della rete di zenon e che la ricetta non sia visibile fra quelle della lista delle ricette parziali.

È possibile cambiare il nome di una ricetta in un secondo momento, ma solo fintanto che la ricetta ha lo stato modificabile.

Descrizione

Descrizione facoltativa per la ricetta parziale che si vuole creare.

È possibile cambiare la descrizione di una ricetta in un secondo momento, ma solo fintanto che la ricetta ha lo stato modificabile. A questo scopo, selezionare il simbolo Rinomina Operation.

OK

Applica tutte le impostazioni e crea una nuova ricetta parziale.

Annulla

Chiude la finestra di dialogo senza creare una ricetta parziale.

La configurazione nell´Editor delle ricette avviene in modo analogo alla creazione e configurazione delle ricette PFC o delle ricette matrice.

Le modifiche effettuate in modelli di ricetta parziale sono visibili per l´utente nell´istanza di ricetta parziale solo dopo che il modello stesso è stato salvato.

Aprire ricette parziali

Le ricette parziali già esistenti possono essere aperte mediante:

  • Doppio clic su una ricetta nella lista delle ricette parziali
  • Il comando Apri nell'editor ricette del menù contestuale di una ricetta parziale
  • Clic sul simbolo Apri nella barra dei simboli.

Utilizzo delle ricette parziali

Le ricette parziali possono essere inserite in ricette dell´Editor matrice o dell´Editor PFC per essere usate lì come parte della ricetta.

Per inserire ricette parziali:

  • Nella ricetta PFC, usando il simbolo Inserisci Operation
  • Nella ricetta matrice, usando il simbolo Inserisci Operation

All´interno di ricette parziali possono essere eseguiti comandi e fasi. Nella CEL viene indicata anche la posizione dell´oggetto nella ricetta quando viene eseguito un comando.

Quando un´istanza di ricetta parziale viene inserita in una ricetta, viene inserita sempre la versione salvata al momento. Se quindi la ricetta parziale è aperta in modalità di modifica, tutte le modifiche non salvate non saranno parte dell´istanza inserita.

Salvare ricette parziali

Le ricette parziali (come istanze) sono sempre parte della ricetta master in cui sono integrate. Quando si salva un´istanza di ricetta parziale, viene salvata automaticamente anche la relativa ricetta master.

Tooltip

Le ricette parziali hanno un tooltip. Non appena una ricetta parziale viene eseguita, il tooltip visualizza le seguenti informazioni:

  • Stato di esecuzione:
    Contiene lo stato attuale e quello di origine (stato dal quale viene la ricetta parziale). Lo stato di origine viene visualizzato tramite colore e non corrisponde sempre all´ultimo stato reale.
  • Contatore di esecuzione
  • Errore:
    indica il numero degli oggetti che hanno al momento lo stato "errore", e il numero degli oggetti che hanno avuto lo stato "errore".
  • Uscita dalla fase:
    Numero degli oggetti da cui si sta uscendo o si è usciti.
  • Durata complessiva con i momento di attivazione e disattivazione.
  • Informazioni sugli stati degli oggetti interni: numero degli oggetti nel rispettivo stato (fatta eccezione per Idle)

Ancora in questo capitolo

Barra degli strumenti e Menù contestuale - Ricette parziali

Selezione del modello per una ricetta parziale.

Stato Operation

Simboli per esecuzione


Barra degli strumenti e Menù contestuale - Ricette parziali

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette parziali -> Barra degli strumenti e Menù contestuale - Ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti - Lista

Parametro | Descrizione
Nuova Operation | Crea una nuova ricetta parziale.
Apri Operation in editor | Apre la ricetta parziale selezionata nell´Editor delle ricette.
Rinomina Operation | Apre la finestra di dialogo per rinominare una ricetta.
Duplica Operation | Duplica la ricetta parziale selezionata.
Cancella Operation | Cancella la ricetta parziale selezionata.
_Esporta selezione in XML | Esporta la ricetta parziale selezionata in un file XML.
Importa file XML | Importa il file XML selezionato come ricetta (e) parziale (i).
Rilascia Operation | Verifica la ricetta parziale selezionata e la rilascia se non è stato rilevato nessun errore.
Selezione colonne | Apre la finestra di dialogo per selezionare le colonne da visualizzare.
Formato colonne | Apre la finestra di dialogo per la formattazione delle colonne.

Menù contestuale

Parametro | Descrizione
Nuova Operation | Crea una nuova ricetta parziale.
Rinomina | Apre la finestra di dialogo per rinominare una ricetta.
Duplica... | Duplica la ricetta parziale selezionata.
Elimina | Cancella la ricetta parziale selezionata.
_Esporta selezione in XML | Esporta la ricetta parziale selezionata in un file XML.
Importa file XML... | Importa il file XML selezionato come ricetta (e) parziale (i).
Aprire nell´editor ricette | Apre la ricetta parziale selezionata nell´Editor delle ricette.
Rilascia | Verifica la ricetta parziale selezionata e la rilascia se non è stato rilevato nessun errore.

Barra degli strumenti - Editor PFC: Modalità di modifica

Parametro

Descrizione

Nuova Operation...

Apre la finestra di dialogo per la creazione di una nuova ricetta parziale.

Salva Operation

Salva la ricetta aperta nell´Editor per essere elaborata.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Elimina

Cancella gli elementi selezionati dal diagramma.

Per selezionare più elementi: tasto Ctrl+clic del mouse.

Verifica il modello Operation per eventuali errori

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modificare un elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Cambia fase

Apre la finestra di dialogo per selezionare una fase e sostituisce la fase corrente con quella selezionata. È possibile selezionare e sostituire contemporaneamente più funzioni.

Combinazione di tasti: Tasto Shift+doppio clic del mouse:

Modalità di elaborazione

Passa dalla modalità di inserimento a quella di modifica.

Inserisci fase

Inserisce una fase.

Inserisci transizione

Inserisce una transizione.

Inizio ramo parallelo

Inserisce l´inizio di un ramo parallelo.

Aggiungi fine parallelo

Inserisce la fine di un ramo parallelo.

Inserisci ramo iniziale

Inserisce l´inizio di una sequenza parallela.

Inserisci chiusura ramo

Inserisce la fine di una sequenza parallela.

Inserisci assegnazione unità

Inserisce un´assegnazione unità.

Inserisci jump

Inserisce un jump target.

Rilascia Operation

Rilascia la ricetta.

Nota: le azioni di inserimento rimangono attive finché non si passa alla modalità di modifica usando il simbolo Modifica o il tasto Esc, oppure finché non si passa ad un´altra opzione di inserimento usando il simbolo che serve ad inserire un elemento.

Barra degli strumenti - Ricetta PFC: rilasciata

Parametro

Descrizione

Verifica il modello Operation per eventuali errori

Verifica se ci sono errori nella ricetta e visualizza gli errori rilevati in una finestra di informazione. Se ci sono più errori, vengono visualizzati i primi.

Il messaggio di errore contiene il numero di errore, l´ID dell´elemento, la sua posizione e un messaggio in testo non cifrato.

Modificare un elemento

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

La finestra di dialogo viene aperta in modalità "protetta da scrittura", perché non è più possibile modificare delle ricette rilasciate.

Aspetto grafico

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Duplica Operation

Crea una copia della ricetta. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.


Selezione del modello per una ricetta parziale.

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette parziali -> Selezione del modello per una ricetta parziale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Operation possono essere inserite in ricette come istanze. Quando si inserisce una ricetta parziale in una ricetta matrice oppure in una ricetta PFC, viene aperta una finestra di dialogo che consente di selezionare un modello per la ricetta parziale. Questa finestra contiene tutte le ricette parziali configurate fino a quel momento:

Parametro

Descrizione

Lista Workspace

Nella finestra di dialogo standard per visualizzare i progetti esistenti nel workspace. Senza funzione nel modulo Batch Control, perché le ricette parziali possono essere selezionate sempre solo dal progetto attivo al momento.

Suggerimento: riducete al minimo questa area della finestra di dialogo trascinando il bordo con il mouse. In seguito verrà visualizzata solo ridotta a icona*.

Lista delle Operation

Contiene tutte le ricette parziali che sono state create. È possibile selezionare qualsiasi ricetta parziale (matrice e PFC) per entrambi gli editor (matrice e PFC).

Gli inserimenti della lista:

  • possono essere ordinati cliccando sul titolo della colonna; se si clicca una seconda volta sull´Header della colonna, l´ordine viene invertito.
  • possono essere filtrati digitando degli inserimenti alfanumerici nel campo "Testo filtro" (si possono usare wildcard)

Tasti freccia

Spostano la selezione:

  • in su
  • In basso

Riga di stato

Visualizza:

  • Il numero degli inserimenti.
  • Il numero degli inserimenti filtrati visualizzati.
  • Il numero degli inserimenti selezionati.

Nessuna selezione

Cancella la selezione esistente per la ricetta parziale esistente e chiude la finestra di dialogo.

OK

Applica la selezione, chiude la finestra di dialogo e inserisce la ricetta parziale.

Annulla

Ignora la selezione e chiude la finestra di dialogo senza selezionare o modificare un modello.

*Workspace ridotto a icona:


Stato Operation

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette parziali -> Stato Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato visualizzato per una ricetta parziale rappresenta sempre lo stato dell´oggetto con il livello maggiore di priorità nella ricetta parziale stessa.

Per quello che riguarda la colorazione, vale quanto segue:

  • Stato non transiente: la ricetta parziale viene colorata per intero.
  • Stato transiente: vengono visualizzati stato originale e stato target.
  • Stato Fermare (HOLDING) come stato originale: viene visualizzato sempre In esecuzione (RUNNING, verde).

Priorità

Priorità degli oggetti in una ricetta parziale, iniziando dal livello maggiore:

  1. Interrompi (ABORTING)
  2. Interrotto (ABORTED)
  3. Arresta (STOPPING)
  4. Stoppato (STOPPED)
  5. Riavvia (RESTARTING)
  6. Bloccato (HOLDING)
  7. Fermato (HELD)
  8. Sospensione in corso (PAUSING)
  9. In pausa (PAUSED)
  10. In esecuzione (RUNNING)
  11. Completata (COMPLETE)
  12. Idle (IDLE)


Simboli per esecuzione

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette parziali -> Simboli per esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrispondono ai simboli generalmente usati nel REE. Le ricette parziali vengono contrassegnate nel REE mediante triangoli che si trovano negli angoli in alto a sinistra e a destra.

Simbolo

Descrizione

Tooltip

Idle:

Nella ricetta parziale non c´è nessun oggetto attivo.

Idle

In esecuzione:

Durante l´esecuzione di una ricetta parziale viene visualizzato sempre un simbolo.

Se nella ricetta parziale vengono ancora eseguiti degli oggetti, viene visualizzato il simbolo "progress".

Esecuzione di oggetti interni.

Elemento attivo

Fine ricetta parziale:

Se ci sono già degli oggetti attivi dopo la ricetta parziale, viene visualizzato il simbolo per la Condizione successiva.

In attesa della Condizione successiva.

Nella Operation almeno una posizione di esecuzione in attesa:

Visualizza se, nella modalità semiautomatica o in quella manuale, l´esecuzione è in attesa nella ricetta parziale dopo una fase.

Se un oggetto all´interno della ricetta parziale ha uno stato differente, viene visualizzato un ulteriore simbolo in alto a destra.

Si parla di "stato differente" quando in una ricetta parziale un oggetto ha uno stato che non corrisponde a quello della ricetta stessa e non è Idle (IDLE) o Completato (COMPLETE).


Strategie di controllo

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Strategie di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, quando si configura la fase nella ricetta PFC oppure nella ricetta matrice, si possono scegliere delle strategie di controllo. Queste ultime devono essere state già configurate nell´Editor di zenon.

Le strategie di controllo possono essere modificate solo:

  • In ricette master
    • In modalità di modifica
    • Modalità di test
  • In modelli ricetta parziale:
    • In modalità di modifica

La strategia di controllo non può essere modificata in istanze ricetta parziale.

Parametri di comando nella fase.

Se delle strategie di controllo sono attivate per una fase (proprietà Strategia di controllo attiva nell´Editor), tutti i parametri di comando verranno inizialmente rimossi quando si inserisce queste fase in una ricetta.

Se si cambia la strategia di controllo nella finestra di dialogo di modifica di una fase, accade quanto segue:

  • Vengono rimossi tutti i parametri esistenti al momento in questa fase
  • Vengono inseriti i parametri collegati alla nuova fase selezionata

    Questi parametri vengono inizializzati con il valore che hanno al momento i collegamenti parametri. Le configurazioni Runtime esistenti dei parametri andranno perdute.

Quando si seleziona una strategia di controllo per una fase, oltre ai parametri collegati, verrà inserito anche il parametro per la scrittura del Numero modalità di esecuzione. Quest´ultimo riceve il numero parametro come valore numerico. Non è un parametro-ricetta. Se lo stesso parametro è già collegato alla fase, la configurazione del collegamento verrà ignorata!

Sincronizzazione delle modifiche alle strategie di controllo e attivazione delle strategie di controllo

Durante la sincronizzazione, vengono applicate le modifiche effettuate nell´Editor alle fasi. Per i dettagli, vedi capitolo Sincronizzazione.

Visualizzazione della strategia di controllo

Le strategie di controllo selezionate vengono visualizzate:

  • Nel tooltip della fase (nessuna visualizzazione se non è stata selezionata nessuna strategia)
  • Nella fase, nella ricetta.

    Matrice:

    PFC:

  • Nelle informazioni relative all´unità per le fasi attive (in forma di appendice).
  • Nel report per una fase.

Strategie di controllo e variabili

Quando si seleziona una fase nella ricetta, vengono popolate le variabili per la strategia di controllo.

Parametro

Tipo di dato

Descrizione

Nome della strategia di controllo

STRING

Visualizza il Nome della strategia di controllo collegata alla fase selezionata.

Vuoto se:

  • Non è stata selezionata nessuna fase.
  • La fase non utilizza nessuna strategia di controllo.
  • Alla fase non è collegata momentaneamente nessuna strategia di controllo.
  • In caso di selezione multipla.

Descrizione strategia di controllo

STRING

Visualizza il Descrizione della strategia di controllo collegata alla fase selezionata.

Vuoto se:

  • Non è stata selezionata nessuna fase.
  • La fase non utilizza nessuna strategia di controllo.
  • Alla fase non è collegata momentaneamente nessuna strategia di controllo.
  • In caso di selezione multipla.

Numero modalità di esecuzione

LINT

Visualizza il Numero modalità di esecuzione della strategia di controllo collegata alla fase selezionata.

È -1 se:

  • Non è stata selezionata nessuna fase.
  • La fase non utilizza nessuna strategia di controllo.
  • Alla fase non è collegata momentaneamente nessuna strategia di controllo.
  • In caso di selezione multipla.


Ricette di controllo

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricetta di controllo sono copie di ricette master rilasciate, che vengono utilizzate per la produzione.

Ancora in questo capitolo

Creare ricette di controllo

Barra degli strumenti e menù contestuale - Ricetta di controllo - Visualizzazione elenco

Barra degli strumenti - Ricetta di controllo - Modalità di esecuzione

Eseguire una ricetta di controllo


Creare ricette di controllo

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette di controllo -> Creare ricette di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette di controllo possono essere create solamente sulla base di una ricetta master rilasciata. Nella lista delle ricette master, selezionare la ricetta rilasciata che deve fungere da base per la ricetta di controllo e cliccare sul pulsante Nuova ricetta di controllo....

Parametro

Descrizione

Ricetta-matrice

Attivo: Viene creata una ricetta di controllo matrice.

Solo visualizzazione.

Ricetta PFC

Attivo: Viene creata una ricetta di controllo PFC.

Solo visualizzazione.

Job ID

Job ID fornito dalla Job variabile.

Nome

Nome univoco per la ricetta di controllo. Il nome non deve contenere nessun punto (.), nessun punto interrogativo (?), nessuna @ e nessun asterisco (*).

C`è una verifica dell´univocità del nome che viene eseguita in tutta la rete. Può accadere che non sia possibile usare un certo nome perché un altro utente ha contemporaneamente assegnato lo stesso nome su un altro computer della rete di zenon.

Si può cambiare il nome anche in seguito, ma solo finché la ricetta ha lo stato Pronta.

Descrizione

Descrizione facoltativa della ricetta

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Se la ricetta di controllo è stata creata usando il simbolo corrispondente nella barra degli strumenti, verrà aperta automaticamente in una nuova scheda nell´Editor delle ricette, a condizione che quest´ultimo sia stato progettato all´interno dell´immagine di tipo Batch Control. Se, invece, la ricetta di controllo è stata creata usando il menù contestuale, non verrà aperta nell´Editor delle ricette.

La nuova ricetta verrà visualizzata anche nella lista delle ricette di controllo, anche se non corrisponde ai criteri di filtro impostati.


Barra degli strumenti e menù contestuale - Ricetta di controllo - Visualizzazione elenco

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette di controllo -> Barra degli strumenti e menù contestuale - Ricetta di controllo - Visualizzazione elenco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo | Descrizione
Apri la ricetta di controllo in Editor | Apre le ricette selezionate nell´Editor delle ricette.
Rinomina la ricetta di controllo | Apre la finestra di dialogo che consente di rinominare la ricetta selezionata.
Duplica ricetta di controllo | Crea una copia della ricetta selezionata e apre la finestra di dialogo per assegnarle un nome.
Elimina ricetta di controllo | Cancella le ricette selezionate.
_Esporta selezione in XML | Esporta la ricetta di controllo selezionata in un file XML.
Importa file XML | Importa il file XML selezionato come ricetta (e) di controllo.
Avvia ricetta di controllo | Avvia la ricetta di controllo selezionata.
Selezione colonne | Apre la finestra di dialogo per selezionare le colonne da visualizzare.
Formato colonne | Apre la finestra di dialogo per configurare il formato delle colonne.

Menù contestuale

Comando | Descrizione
Apri nell'editor ricette | Apre le ricette selezionate nell´Editor delle ricette.
Rinomina | Apre la finestra di dialogo che consente di rinominare la ricetta selezionata.
Duplica ricetta | Crea una copia della ricetta. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.
Elimina | Cancella le ricette selezionate.
_Esporta selezione in XML | Esporta la ricetta di controllo selezionata in un file XML.
Importa file XML... | Importa il file XML selezionato come ricetta (e) di controllo.
Avviare | Avvia la ricetta di controllo selezionata.


Barra degli strumenti - Ricetta di controllo - Modalità di esecuzione

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette di controllo -> Barra degli strumenti - Ricetta di controllo - Modalità di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Tipo

Descrizione

Avvia ricetta

Comando

Avvia il processo di elaborazione della ricetta.

Ricetta in pausa

Comando

Mette in pausa la ricetta.

Riprendi ricetta

Comando

Riprende l´elaborazione di una ricetta messa in pausa.

Ferma ricetta

Comando

Sospende l´elaborazione di una ricetta.

Riavvia ricetta

Comando

Riavvia una ricetta che era stata sospesa.

Stop ricetta

Comando

Arresta la ricetta.

Annulla ricetta

Comando

Annulla la procedura di una ricetta.

Fase in pausa

Comando

Mette in pausa la fase.

Riprendi fase

Comando

Riprende il processo di elaborazione di una fase che era stata messa in pausa.

Interrompi fase

Comando

Sospende la fase.

Riavvia fase

Comando

Riavvia una fase che era stata sospesa.

Esci dalla fase

Comando

Inizia il processo per uscire dalla fase.

Controlla errori in ricetta

Azione

Inizia la convalida della ricetta.

Modificare un elemento

Azione

Apre la finestra di dialogo corrispondente per consentire la modifica dell´elemento selezionato.

Aspetto grafico

Azione

Apre la finestra di dialogo per configurare i colori di sfondo, la griglia e la visualizzazione dell´ID dell´elemento.

Passa in modalità automatica

Comando

Fa passare l´esecuzione in modalità automatica.

Passare in modalità semiautomatica

Comando

Fa passare l´esecuzione in modalità semiautomatica.

Passare in modalità manuale

Comando

Fa passare l´esecuzione in modalità manuale.

Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata

Comando

Continua una ricetta solo a partire dalle posizioni selezionate.

Continuare la ricetta da tutte le posizioni di esecuzione

Comando

Continua una ricetta a partire da tutte le posizioni disponibili.

Salta la condizione in attesa

Comando

Ignora una condizione in attesa.

Possibile solamente nella modalità manuale.

Duplica ricetta

Azione

Crea una copia della ricetta. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

La copia della ricetta riceve automaticamente lo stato predefinita e può essere dunque modificata o avviata. Lo stato di esecuzione del duplicato viene settato su automatico.

Quando si duplica una ricetta, viene generato un inserimento nella CEL.


Eseguire una ricetta di controllo

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Ricette di controllo -> Eseguire una ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette di controllo possono essere avviate:

  • Dopo aver selezionato una ricetta nella lista delle ricette di controllo:
    • Cliccando sul pulsante Avvia ricetta di controllo
    • Cliccando sul comando Avviare nel menù contestuale.
  • Cliccando sul simbolo Avvia ricetta di controllo della barra degli strumenti quando la ricetta di controllo è aperta.

Ricetta di controllo PFC:

Ricetta di controllo matrice:

Modificare valori

Se è stata attivata nella ricetta master l´opzione Modificabile nella ricetta di controllo, sarà possibile modificare questi valori nella ricetta di controllo finché la fase non è ancora attiva. In questo caso, accanto al valore verrà visualizzato un pulsante per eseguire la sincronizzazione. Cliccando su questo pulsante, si applicherà il valore definito nella ricetta master.

Non è più possibile modificare valori in quelle ricette di controllo che sono state già eseguite.

Significato dei simboli accanto ai valori modificabili:

Simbolo | Descrizione
Segno di uguale | Valore in ricetta di controllo e in ricetta master coincidono.
Parentesi acute | Valore in ricetta di controllo e in ricetta master divergono.
Frecce in direzioni opposte | Quando si clicca sul pulsante, verrà applicato il valore della ricetta master. . Quest´ultimo sovrascriverà quello della ricetta di controllo. Attivo solamente se i valori della ricetta di controllo e della ricetta master non sono identici.


Convalida delle ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Convalida delle ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile eseguire già in fase di configurazione una verifica delle ricette per rilevare la presenza di eventuali errori. Per convalidare una ricetta, cliccare sul corrispondente simbolo nella barra degli strumenti dell´Editor delle ricette a Runtime (segno di spunta di color verde - Controlla errori in ricetta). Verrà eseguito un processo di verifica della funzionalità della ricetta sulla base di regole interne; questo controllo riguarda soprattutto:

  • Sintassi (tutte le linee sono connesse, percorribili dall´inizio alla fine, ecc.)
  • Variabili
  • Tipi di dato
  • Strategie di controllo: Collegamento di strategie di controllo; il valore dei relativi parametri collegati viene controllato con riferimento ai limiti della variabile.

Il risultato di questa verifica viene visualizzato in un popup (testo normale). Gli errori che sono stati rilevati, vengono salvati nel file LOG, che può essere analizzato tramite il Diagnosis Viewer.

Le regole da osservare in fase di progettazione sono descritte nel capitolo Regole di progettazione per le ricette.

attention Attenzione

Le ricette parziali non connesse al momento dell´esecuzione della convalida, verranno ignorate nel processo di verifica della ricetta. I loro contenuti e le loro procedure non verranno sottoposti a verifica.


Esecuzione delle ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Comandi

Stato ricetta

Recipe Execution Engine (REE)


Comandi

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime sono a disposizione i seguenti comandi e azioni:

  • I comandi hanno effetto sul processo di elaborazione delle ricette.
  • Le azioni consentono di eseguire delle modifiche alle ricette.

Questi sono i presupposti perché un comando per una fase venga accettato:

  • Il REE deve essere funzionante.
  • La fase deve essere attiva.
  • La fase deve trovarsi in uno stato in cui il comando in questione è consentito.

Via selezione multipla è possibile inviare un comando a più fasi nell´ambito dello stesso ciclo di esecuzione.

Nota: si differenzia fra comando di ricetta e comando di fase.

  • I comandi di ricetta hanno effetto sull´esecuzione di tutte le fasi attive in una ricetta, ma anche sullo stato della ricetta stessa.
  • I comandi di fase, invece, vengono applicati solamente alle fasi selezionate (è possibile una selezione multipla).
Comando | Descrizione
Avvia ricetta | Avvia il processo di elaborazione della ricetta.
Ricetta in pausa | Mette in pausa il processo di elaborazione della ricetta.
Ripristina ricetta | Riprende il processo di elaborazione di una ricetta messa in pausa.
Ferma ricetta | Sospende il processo di elaborazione di una ricetta.
Riavvia ricetta | Riavvia tutti gli elementi attivi in una ricetta sospesa.
Stop ricetta | Arresta la ricetta.
Annulla ricetta | Annulla la ricetta.
Fase in pausa | Mette in pausa la fase.
Riprendi fase | Riprende una fase messa un pausa.
Interrompi fase | Sospende la fase.
Riavvia fase | Riavvia la fase sospesa.
Esci dalla fase | Annulla fase. Possibile solamente nella modalità manuale.
Passa in modalità automatica | Imposta il REE in modalità automatica.
Passare in modalità semiautomatica | Imposta il REE in modalità semiautomatica.
Passare in modalità manuale | Imposta il REE in modalità manuale.
Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata | Continua una ricetta solo a partire dalle posizioni selezionate.
Continuare la ricetta da tutte le posizioni di esecuzione | Continua una ricetta a partire da tutte le posizioni disponibili.
Salta la condizione in attesa | Ignora una condizione in attesa. Possibile solamente nella modalità manuale.

Comandi consentiti

Ci sono delle condizioni di esecuzione che valgono per i comandi di ricetta e per i comandi di fase. Ad esempio: una ricetta di controllo non può essere più arrestata se ha lo stato Annullare.

Nota: il comando Reset non è stato implementato nel modulo Batch Control di zenon.

Panoramica dei comandi nel modulo Batch Control

Nota: questa panoramica è presa dallo standard ANSI/ISA-S88 (grafica 18).

Comportamento in caso di comando "Stop"

Dopo il comando "Stop", le fasi, le transizioni e le fine sequenza parallela passano subito allo stato "Stoppato", anche se altri elementi sono ancora in attesa di una condizione per lo stop. Altri comandi successivi, come, ad es."Annulla", vengono ignorati. Continua ad essere visualizzato lo stato "Stoppato".

Comportamento in caso di comando "Stop"

Dopo il comando Stop, le transizioni e fine sequenza parallela passano subito allo stato Stoppato, anche se altri elementi sono ancora in attesa di una condizione per lo stop. Altri comandi successivi, come, ad es. Annulla, vengono ignorati. Continua ad essere visualizzato lo stato Stoppato.


Stato ricetta

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stato per le ricette master

Le ricette master possono avere i seguenti stati:

  • Modificabile: Con questo stato si può modificare tutto. Ogni nuova ricetta master viene creata in questo stato.
  • Modalità test: In questo stato, la ricetta si comporta in modo simile ad una ricetta di controllo. L'ordine degli elementi non può essere modificato. Può essere però eseguita e tutti i comandi, le azioni, le modalità ecc. sono a disposizione. Possono essere modificati anche tutti quei parametri di comando per i quali è stata attivata l´opzione Modificabile in ricetta master.
    Eccezione: non è possibile eseguire modifiche se c´è una fase attiva. Decisivo in questo caso è lo stato quando si clicca sul pulsante OK. Se in questo momento la fase è attiva, tutte le modifiche di valore non verranno accettate, e verrà visualizzato un messaggio di errore.
    In modalità test, le ricette possono essere eseguite anche più volte consecutivamente. Questo non è possibile per le ricette di controllo.
    In caso di reload o di riavvio del Runtime, le modifiche effettuate nell´Editor verranno applicate, ma solamente dopo che la ricetta sarà stata chiusa.
  • Rilasciata: In questo stato non è più possibile effettuare delle modifiche alla ricetta.
    Nota: anche eventuali modifiche alle fasi o alle reazioni nell´Editor non verranno inviate ad una ricetta master. La ricetta master mantiene sempre lo stato del momento del rilascio.
    Eccezione: a causa di questo meccanismo di sicurezza, le modifiche alle variabili e alle funzioni non vengono prese in considerazione. Una possibile conseguenza di ciò è che una ricetta master e tutte le ricette di controllo basate su di essa potrebbero diventare non valide. Se, ad esempio, si cambia il tipo di dato di una variabile da Bool a String, la funzione di convalida non potrà più essere portata a termine con successo e la ricetta non potrà essere più utilizzata finché non verrà corretto l´errore nell´Editor. Le unità in sé non sono protette, dato che vengono utilizzate da più ricette. Se si cambia il nome di un´unità nell´Editor, questa modifica ha effetto subito dopo il reload o il riavvio del Runtime su tutte le fasi basate su questa unità.

    Per poter rilasciare una ricetta master, quest´ultima deve essere stata prima convalidata ed essere priva di errori. La convalida viene eseguita automaticamente al momento del rilascio della ricetta e non c´è modo di evitarla. Si possono creare ricette di controllo solo da ricette rilasciate.

    Se si vuole modificare una ricetta master con lo stato Rilasciata, se ne deve creare una copia usando l´opzione "Duplica". Questa copia riceve lo stato Modificabile.

Stati per le ricette di controllo

Le ricette di controllo possono avere i seguenti stati:

  • Pronta: una ricetta di controllo appena creata ha questo stato. Con questo stato si può avviare la ricetta e si possono anche modificare quei parametri di comando per cui è stata attivata l´opzione Modificabile nella ricetta di controllo.
  • In esecuzione: la ricetta di controllo è stata avviata e viene elaborata. La ricetta mantiene questo stato finché non viene completata, arrestata o annullata. Si apprende lo stato esatto della ricetta attraverso lo stato di esecuzione.
    In questo stato si possono modificare anche quei parametri di comando per i quali è stata attivata l´opzione Modificabile nella ricetta di controllo.
    Eccezione: non è possibile eseguire modifiche se c´è una fase attiva. Decisivo in questo caso è lo stato quando si clicca sul pulsante OK. Se in questo momento la fase è attiva, tutte le modifiche di valore non verranno accettate, e verrà visualizzato un messaggio di errore.
  • Completata: La ricetta ha raggiunto il suo stato finale. Non può essere più riavviata, né modificata. Non è più possibile neanche modificare i parametri di comando. . Le ricette di controllo completate possono essere duplicate e cancellate.


Recipe Execution Engine (REE)

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il REE (Recipe Execution Engine) esegue le ricette a Runtime. È possibile avviare un numero qualsiasi di ricette.

Ancora in questo capitolo

Simboli e colori

Crea immagine ricetta

Comportamento degli elementi a Runtime

Modalità e cambiamento di modalità

Stati di esecuzione

Esegui ricette step by step e saltare all´interno della ricetta

Processo di elaborazione di una fase in dettaglio

Esci dalla fase

Restart - Fase

Scrittura sicura del parametri di comando

Termine e riavvio dl Runtime


Simboli e colori

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Simboli e colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stati nel corso del processo di elaborazione di una fase vengono visualizzati mediante diversi simboli. Alcuni di questi simboli vengono utilizzati anche per transizioni e per fine sequenza parallela.

Simboli per lo stato interno:

Simbolo | Significato
 | La fase si avvia.
 | In attesa di comunicazione con il dispositivo.
 | In attesa allocazione unità. L´unità della fase è già utilizzata in un´altra ricetta.
 | Attesa allocazione unità scaduta.
 | In attesa della condizione di esecuzione esclusiva. Un´altra istanza della fase è attiva nella stessa ricetta.
 | Scrittura parametro iniziale.
 | Impossibile scrivere parametro iniziale.
 | Verifica dell'interblocco di ingresso.
 | Attesa interblocco di ingresso scaduta.
 | Scrittura del parametro di setpoint.
 | Scrittura del parametro di setpoint scaduta.
 | In attesa del tempo di esecuzione minimo.
 | Fase: In attesa della condizione di transizione. Transizione: In attesa di "Condizione di transizione". Fine sequenza parallela: Attesa che l´esecuzione sia terminata in tutti i rami.
 | Tempo massimo di esecuzione scaduto.
 | In attesa della condizione successiva.
 | Tempo di attesa della condizione successiva scaduto.
 | Dopo il comando Riavvia in caso di attesa della condizione di riavvio.
 | Dopo il comando Esci dalla fase in caso di attesa della condizione di uscita.

Simboli per errori:

I simboli che si trovano nell´angolo in basso a sinistra della fase informano sullo stato di errore della fase stessa. Questi simboli possono essere visualizzati in diverse possibili combinazioni con i simboli per lo stato interno.

Simbolo | Significato
 | C´è un errore di comunicazione.
 | L´errore di comunicazione è stato risolto; attesa di riconoscimento (acknowledgment) dell´errore di comunicazione.
 | L´errore di comunicazione è stato risolto (e eventualmente riconosciuto).
 | Errore PLC
 | Errore PLC risolto.

Simboli per "Esci dalla fase":

I simboli che si trovano nell´angolo in basso a destra della fase informano sullo stato al momento dell´uscita dalla fase.

Simbolo | Significato
 | In attesa della condizione di uscita.
 | Condizione di uscita soddisfatta.

Se si verifica un errore durante il processo di elaborazione di una fase, quest´ultima verrà contrassegnata come erronea fino al riavvio.

Stato

Lo stato di esecuzione di fasi, transizioni e fine sequenza parallela viene segnalato tramite colori:

Stato

Colore

Idle

bianco.

in esecuzione.

verde

Completata

Blu

arresta

Due colori:

  • Giallo
  • Colore originario.

Stoppato

Giallo

Sospensione in corso

Due colori:

  • Arancione
  • Colore originario

In pausa

Arancione

Interrompi

Due colori:

  • Grigio
  • Colore originario

Fermato

Grigio

Interrompi

Due colori:

  • Rosso
  • Colore originario

Interrotto

Rosso

Riprendi

Due colori:

  • verde
  • Colore originario

Imponi:

(solo fasi e transizioni)

Bordo viola.

Timeout

Bordo rosso.


Crea immagine ricetta

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Crea immagine ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il funzionamento Batch, tutte le ricette in esecuzione al momento possono essere salvate con tutti i dati ricetta in un´immagine ricetta (Image). Il salvataggio può avvenire:

  • Alla chiusura del Runtime: in questo caso un´immagine di tutte le ricette in esecuzione verrà creata automaticamente.
  • In modo ciclico: un´immagine ricetta (facoltativa) verrà scritta in modo ciclico, alla scadenza di un intervallo di tempo liberamente configurabile compreso fra 30 e 4294967295 secondi.
  • Quando una fase diventa attiva: un´immagine ricetta (facoltativa) verrà scritta quando viene attivata una fase.

Questi metodi possono essere utilizzati anche in una qualsiasi combinazione. In questo modo si garantisce che, anche in caso di errori, il Batch Control possa continuare a funzionare in modo corretto.

Immagine ricetta alla chiusura del Runtime

Quando viene inizializzato l´evento "Termina Runtime " avviato, la chiusura del Runtime verrà rimandata finché il modulo Batch Control non avrà salvato tutti i dati. Verrà creata un´immagine di processo che rappresenta lo stato di partenza per il riavvio. Il sistema garantisce anche che, al verificarsi di questo eventi, i parametri delle azioni Settare valore impostabile arrivino sicuramente al PLC. La fase viene messa in pausa internamente solo dopo che sarà giunta la conferma di scrittura da parte del driver. Questa immagine della ricetta contiene le immagini ricetta dei REE, la successione delle allocazioni e tutte le reazioni necessarie al momento del riavvio. Ulteriori informazioni si trovano nel capitolo: Chiusura e riavvio del Runtime.

Scrittura ciclica di un´immagine ricetta

Un´immagine di ricetta può essere scritta anche in modo ciclico a Runtime in esecuzione. Non appena viene attivata la proprietà Attivazione scrittura ciclica, viene creata un´immagine di ricetta sulla base del ciclo impostato.

Per attivare la scrittura ciclica:

  1. Nelle proprietà del modulo Batch Control, passare al gruppo Immagine ricetta
  2. Attivare la proprietà Attivazione scrittura ciclica (segno di spunta nella casella).
  3. Nella proprietà Frequenza d'interrogazione [s], definire l´intervallo di tempo per la scrittura dell´immagine ricetta; l´intervallo minimo è pari a 30 secondi.

In caso di scrittura ciclica, vengono conservati sempre gli ultimi due file contenenti l´immagine ricetta. Quelli più vecchi vengono cancellati. La scrittura viene eseguita in due passaggi:

  1. Prima di tutto, l´immagine ricetta viene scritta nel file TemporaryImg.REE .
  2. Se quest´operazione riesce, viene assegnato il prossimo numero di versione e il file temporaneo viene rinominato usando la nuova versione.

Nel caso delle immagini create in modo ciclico, tutte le ricette in esecuzione al momento vengono salvate nell´immagine ricetta. In questo modo si garantisce che, al momento del riavvio, la ricetta corrisponda allo stato di esecuzione. Perché questo accada, la ricetta presa dall´immagine sovrascrive la ricetta Runtime quando la si riavvia. Il riavvio è possibile solamente se la ricetta in questione esiste ancora sul disco fisso e non si trova ancora in uno stato di esecuzione. Se è stata già terminata e salvata dopo la creazione dell´immagine ricetta, la ricetta non verrà riavviata.

Scrittura dell´immagine di ricetta all'attivazione di una fase.

Un´immagine di ricetta può essere creata anche al momento dell´attivazione di una fase. Per far in modo che venga creata un´immagine di ricetta ad ogni attivazione di una fase:

  1. Nelle proprietà del modulo Batch Control, passare al gruppo Immagine ricetta
  2. Attivare la proprietà Scrivi immagine di ricetta all'attivazione di una fase.

Ogni volta che si attiva una fase a Runtime, verrà scritta un´immagine di ricetta.

Salvataggio e ripristino

Le immagini REE vengono salvate nella cartella di progetto sulla base della seguente convenzione di denominazione: Batch[Versione-Hex].REE

Basandosi sul suffisso file .REE , allo start del Runtime il sistema legge i file contenenti le immagini di ricetta e individua la loro versione più recente. La versione più recente è l´immagine della ricetta che deve essere caricato; questo file verrà conservato anche dopo il riavvio. Tutti gli altri file con il suffisso REE verranno cancellati.


Comportamento degli elementi a Runtime

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Comportamento degli elementi a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio valgono le seguenti considerazioni: le fasi e tutti gli elementi che le seguono (transizioni, fine sequenza parallela, inizio sequenza parallela, attribuzione) rimangono attivi fino all´attivazione della prossima fase. Eccezione: C´è un "salto" manuale.

Fasi

Tutte le fasi in pausa (PAUSED)

In modalità Manuale, è possibile far passare tutte le fasi allo stato in pausa (PAUSED).
Esempio: prima di fine sequenza parallela, si continua a percorrere questo ramo oltre questa fine. Di conseguenza la posizione di esecuzione si trova dopo fine sequenza parallela e prima della prossima fase. Tutte le fasi prima di fine sequenza parallela sono nello stato in pausa (PAUSED). Una di queste fasi viene fatta passare prima allo stato Hold e poi Riavvia. Le altre fasi rimangono "in pausa (Paused)". Quando la fase che è stata riavviata viene completata, esiste solo una posizione di esecuzione. Se la si attiva usando prossimo passo, non ci sarà più nessuna posizione di esecuzione. L´elemento fine sequenza parallela, però, rimarrà in pausa.

Soluzione: continuazione delle fasi in pausa.

Mettere in pausa e riprendere

In caso di "In pausa" e per "Riprendi", vale quanto segue:

  • Passaggio dalla modalità manuale a quella automatica: Tutte le fasi in pausa vengono proseguite.
  • "Mettere in pausa" e "riprendere" con posizione di esecuzione attiva: Con un comando ricetta Riprendi, non vengono riprese le posizioni di esecuzione. Le posizioni di esecuzione vengono riprese solamente in caso di un comando fase Riprendi, e con i comando Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata e Riprendi esecuzione ricetta da tutte le posizioni di esecuzione.
  • Se una fase è stata messa in pausa in modalità manuale e la modalità di esecuzione viene impostata su automatico, la fase riprende. Il passaggio alla modalità di esecuzione automatica esegue implicitamente il comando Ripristina fase.
    • Un comando Fase in pausa, seguito dal comando Ricetta in pausa e Ripristina ricetta, fa passare di nuovo le funzioni in pausa allo stato in esecuzione.
  • In caso di messa in pausa e di continuazione globale, lo stato della ricetta passerà a In esecuzione. Fasi con posizioni di esecuzione, però, rimarranno in pausa, e la posizione di esecuzione rimarrà invariata.
  • In caso di messa in pausa e di continuazione locale, lo stato della ricetta rimarrà In esecuzione. La ricetta verrà ripresa in corrispondenza delle posizioni di esecuzione. Questo vale anche se la posizione di esecuzione è stata spostata.

Diramazioni

Nelle diramazioni vale quanto segue:

  • Finché la transizione di sinistra non ha nessun valore, quella di destra viene ignorata.
  • Se la condizione di entrambe le transizioni è soddisfatta, viene scelta la diramazione a sinistra.

Stop degli elementi

Quando si arresta una fine sequenza parallela, questo elemento si disattiva immediatamente e non reagisce a nessun ulteriore "comando REE", come, ad es., Annulla. Per questa ragione, lo stato non cambierà a Annullato dopo un comando Annulla. Questo vale anche per le transizioni. Le fasi, invece, dopo un stop attendono eventualmente ancora che altre condizioni vengano soddisfatte.

Transizioni

  • Le transizioni rimangono attive finché non è stata raggiunta una fase successiva, o la fine della ricetta. Questo vale anche se una transizione è seguita da una “fine sequenza parallela” e un´altra transizione.
  • Nei rami, gli impulsi per una transizione vengono ignorati finché la transizione a sinistra di quella in questione non ha ancora un valore valido.
  • Con Sospendi e Riavvia, le transizioni vengono disattivate. La posizione di esecuzione viene riattivata in modalità manuale o semiautomatica.

Posizione di esecuzione e jump target

Comando

Descrizione

Riprendi

Se un oggetto si trova in pausa e, dopo quest´oggetto, c´è una posizione di esecuzione, il comando Riprendi ha lo stesso effetto di un Prossimo passo. Questo vale anche per i jump.

Nel caso di un comando di fase, il comando ha effetto solamente sul jump nello stesso ramo.

Sospendi

Dipende dall´oggetto:

  • Sospendi fase: rimuove posizioni di esecuzione nei rami.
  • Sospendi ricetta: rimuove tutte le posizioni di esecuzione.

Pausa

Non ha effetto su jump target. Le destinazioni già definite vengono mantenute.

Altro

Causano sempre la cancellazione dei jump.

In caso di un comando di fase, verrà cancellato solo il jump nell´area della fase.


Modalità e cambiamento di modalità

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Modalità e cambiamento di modalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il REE può funzionare in tre modalità:

  • Automatico: l´elaborazione della ricetta avviene in modo completamente automatico.
  • Semiautomatico: la ricetta viene eseguita manualmente; non si può saltare nessuna condizione.
  • Manuale: ogni passaggio della ricetta o della ricetta parziale viene eseguito manualmente; è possibile saltare le condizioni di cui il sistema è in attesa.

Per eseguire una ricetta manualmente o in modo semiautomatico, si possono usare le modalità Esegui ricetta a passi e Salta.

Quando si passa alla modalità automatica, vengono rimosse tutte le posizioni di esecuzione. I comandi globali vengono eseguiti solamente in quei rami che non contengono nessuna posizione di esecuzione.

info Info

Per poter reagire ad eventi seri, si può passare da una modalità all´altra anche durante il funzionamento del sistema; questo passaggio viene eseguito tramite il tipo di reazione Influenza sulla ricetta.


Stati di esecuzione

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Stati di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti stati non sono possibili per le ricette:

Stato

Descrizione

Idle

Il REE si trova in stato "Idle".

in esecuzione.

Quando si avvia una ricetta di controllo, questa passa allo stato In esecuzione. Singoli elementi all´interno della ricetta, però, possono avere uno stato differente.

Completata

Una ricetta passa allo stato completata:

  • In una ricetta PFC: non appena è stato raggiunto l´elemento finale
    oppure
  • In una ricetta matrice: non appena tutte le fasi sono state elaborate per intero.

Non sarà più possibile eseguire una ricetta che ha questo stato.

Sospensione in corso

Dopo un comando ricetta Pausa, la ricetta ha lo stato Sospensione in corso. Mantiene questo stato finché tutte le funzioni che sono in esecuzione non hanno lo stato In pausa. Solo dopo, anche la ricetta riceve lo stato In pausa.

In pausa

Tutte le fasi attive della ricetta sono in pausa o sospese. Il processo di elaborazione della ricetta si ferma all´interno della fase in caso di:

  • In attesa allocazione unità.
  • Verifica di esecuzione parallela
  • In attesa dell'interblocco di ingresso
  • In attesa della condizione di transizione.
  • In attesa della condizione successiva.

Interrompi

Dopo un comando ricetta Sospendi, la ricetta ha lo stato In corso. Solo quando tutte le fasi attive hanno lo stato fermato, anche la ricetta passa allo stato fermato.

Fermato

Tutte le fasi attive della ricetta sono fermate. Il processo di elaborazione della ricetta si ferma all´interno della fase in caso di:

  • In attesa allocazione unità.
  • Verifica di esecuzione parallela
  • In attesa dell'interblocco di ingresso
  • In attesa della condizione di transizione.
  • In attesa della condizione successiva.

Riavvia

Dopo il comando Riavvia ricetta, la ricetta ha lo stato Riavvia. Solo quando tutte le fasi prima fermate nella ricetta sono state riavviate, la ricetta passa allo stato In esecuzione.

Arresta

Dopo un comando ricetta Interrompi ricetta, la ricetta ha lo stato Arresta. Solo quando tutte le fasi attive hanno lo stato Stoppato, anche la ricetta passa allo stato Stoppato.

Stoppato

Tutte le fasi attive nella ricetta sono state arrestate. Una ricetta di controllo arrestata non potrà essere ripresa o riavviata.

Annulla

Dopo un comando ricetta Annulla ricetta, la ricetta ha lo stato interrompi. Solo quando tutte le fasi attive hanno lo stato annullato, anche la ricetta passa allo stato annullato.

Annullato

Tutte le fasi attive nella ricetta sono state annullate. Una ricetta di controllo annullata non potrà essere ripresa o riavviata.

Pronta

Pronta per essere eseguita.


Esegui ricette step by step e saltare all´interno della ricetta

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Esegui ricette step by step e saltare all´interno della ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esegui ricette step by step

Si può eseguire una ricetta step by step se:

  • La ricetta si trova in modalità semiautomatica o manuale
    e
  • Se lo stato della ricetta è In esecuzione.

In caso di esecuzione step by step, l´esecuzione viene messa in pausa non appena è stata completata l´esecuzione di un elemento. Lo si fa tramite il comando Pausa nel percorso di esecuzione interessato. Non appena tutti gli elementi attivi di questo percorso hanno raggiunto lo stato In pausa, la posizione di esecuzione viene contrassegnata da una freccia rossa. Le ricette parziali vengono trattate come tutti gli altri oggetti di una ricetta.

L´esecuzione viene ripresa con:

  • un passo selettivo: selezione della freccia corrispondente (verde)
  • Un passo globale: vengono avviate tutte le posizioni con frecce per possibile ripresa.

Errore di comunicazione con esecuzione step by step

Se si verifica un errore di comunicazione in una fase mentre questa attende una posizione di esecuzione, quest´ultima non verrà più visualizzata finché l´errore non verrà risolto. Tuttavia, se nel frattempo l´esecuzione viene impostata in modalità automatica, la fase verrà solo messa in pausa e dovrà essere riavviata. Questo vale anche quando poi si ritorna in modalità manuale o semiautomatica.

Comandi

Comandi globali

Con i comandi globali, tutte le posizioni di esecuzione vengono cancellate perché l´esecuzione non può essere continuata da lì.

Eccezioni: Mettere in pausa e Riprendi. In questo caso le posizioni di esecuzione vengono mantenute così come sono.

Comandi di fase

  • Sospendi per una fase: la posizione di esecuzione viene cancellata nel percorso di esecuzione della fase.
  • Riprendi: se c´è una posizione di esecuzione, in questo percorso di esecuzione viene eseguito un prossimo passo selettivo.

Eccezioni:

Comandi di fase Sospendi e Riavvia in una diramazione parallela, con "fine sequenza parallela" attivo.

Se in questo esempio (immagini da sinistra a destra) si sospende un ramo parallelo e lo si riavvia, continuando nell´esecuzione step by step, si raggiunge all´elemento fine sequenza parallela già messo in pausa. Per poter continuare l´esecuzione in questo punto, è necessario che la fase a sinistra riceva il comando Riprendi.

Eseguire step by step solo un percorso in una diramazione parallela con una fase attiva prima

Se in una diramazione parallela preceduta da una fase viene completata l´esecuzione di un solo percorso, e in uno dei due rami paralleli si attende (la fase prima è In esecuzione), non verrà più visualizzata nessuna posizione di esecuzione nella diramazione parallela. Per avere queste ultime anche negli altri percorsi, si deve mettere in pausa la fase usando un comando di fase. Dopo sarà possibile completare l´esecuzione del percorso.

Tuttavia, se l´esecuzione della sequenza parallela continua con questa posizione di esecuzione, la fase prima della sequenza parallela verrà disattivata. In questo modo, il percorso a sinistra rimarrà in pausa e senza posizione di esecuzione. Visto che qui non c`è nessuna fase attiva, l´esecuzione può essere ripresa solo con un globale Mettere in pausa e Riavvia.

Saltare (jump)

Saltare significa passare da una posizione ad un´altra posizione distante, per continuare l´esecuzione da lì.

Per saltare:

  1. Selezionare una posizione di esecuzione con il mouse.
  2. Trascinarla su una delle destinazioni offerte.
  3. Eseguire il comando Riprendi esecuzione ricetta solo da posizione di esecuzione selezionata.

Verranno disattivati tutti gli elementi attivi davanti al puntatore e verrà attivato l´oggetto che si trova dopo la destinazione.

Se si rileva un jump in cui origine e destinazione sono praticamente lo stesso posto (jump fra linee, jump target o oggetti “fine sequenza”), il jump verrà ignorato e verrà eseguito uno step normale.

Jump in sequenze parallele

Se, in rami paralleli, si salta mediante la fase nel primo ramo parallelo, la prima fase prima del ramo parallelo viene disattivata. La fase non sarà più attiva. Non è possibile saltare fasi se il risultato è poi quello che non ci sarebbe più nessuna fase attiva all´interno della ricetta. Il seguente comportamento nell´esecuzione di un jump causa un errore:

  • Ricetta con sequenza parallela

  • Un passo globale attiva la fase prima di inizio sequenza parallela.

  • Dopo il passo successivo si trova la posizione di esecuzione prima della fase nella sequenza parallela.

  • La posizione di esecuzione viene spostata dietro questa fase.

    Regole nell´esecuzione di un jump: Gli oggetti che si trovano prima di un "inizio sequenza parallela" vengono disattivati non appena oggetti che si trovano dopo vengono attivati.
    Così, con il jump viene disattivata adesso la prima fase. La fase saltata nella sequenza parallela non è diventata mai attiva, tanto meno quelle successive.
    In questo modo, adesso non ci sono più fasi attive nella ricetta:


Processo di elaborazione di una fase in dettaglio

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Processo di elaborazione di una fase in dettaglio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una fase viene elaborata in modo sequenziale sempre secondo lo stesso schema. Per poter scomporre il processo esatto, si ha bisogno anche di una condizione successiva. Per questo esempio usiamo una transizione come condizione successiva. Alla fase assegnamo il nome Fase 1. Altri casi speciali di processo con condizioni successive sono descritti nel capitolo Condizione successiva.

Fase/Transizione | Evento
Fase viene attivata | Fase attivata
Tutte le variabili della fase vengono registrate nei driver. |
Vengono avviati Assegnazione unità e Tempo di attesa per assegnazione unità | In caso che l´assegnazione unità non sia riuscita al primo tentativo: Assegnazione unità non possibile
Passaggio facoltativo: Assegnazione unità non possibile entro il tempo di attesa. | Superato tempo limite di attesa unità
Viene avviata una verifica volta a stabilire se la fase non sia già stata eseguita. Questo può verificarsi se la fase è già attiva in una sequenza parallela, oppure se l´assegnazione unità è stata ignorata manualmente e la fase viene eseguita già in un´altra ricetta. | Fase avviata più volte
Avvio della scrittura di parametri iniziali e fase. | Fase avviata
Vengono avviati la verifica del blocco input e il Tempo di attesa per interblocco di ingresso. | In caso che la verifica dell´interblocco di ingresso non sia riuscita al primo tentativo: Interblocco di ingresso bloccato
Passaggio facoltativo: Condizione dell´interblocco di ingresso non TRUE entro il tempo di attesa. | Superato tempo limite di attesa per interblocco di ingresso
Scrittura del parametro di setpoint. | Se tutti i parametri di valore sono stati scritti: Fine scrittura parametro di setpoint
Vengono avviati la verifica della condizione di fase completata e il tempo per Minima durata di esecuzione e Massima durata di esecuzione. |
Passaggio facoltativo: Condizione di transizione soddisfatta, ma Minima durata di esecuzione non raggiunta. |
Passaggio facoltativo: Condizione per la condizione di fase completata non TRUE entro la Massima durata di esecuzione | Superato tempo limite di esecuzione
Condizione di fase completata è TRUE e la "minima durata di esecuzione" è stata raggiunta o superata. Viene avviato Tempo di attesa per condizione successiva . Viene attivata la transizione. | Fase terminata
Tutte le variabili della transizione vengono registrate nei driver. |
Passaggio facoltativo: Condizione successiva non TRUE entro il timeout. Viene verificata la condizione di transizione. | Superato tempo di attesa per condizione successiva
Viene attivata la fase successiva. La condizione successiva può essere costituita da più oggetti (per es. transizione + assegnazione unità). Solo dopo che la fase successiva (oppure la fine della ricetta) è stata raggiunta, si considera soddisfatta la condizione successiva. |
La fase riceve l´informazione che la condizione successiva è soddisfatta. La condizione di transizione è TRUE | Fase disattivata
Tutti gli eventi della fase vengono disattivati. |
Tutte le variabili della fase vengono deregistrate dai driver. Tutte le variabili della transizione vengono deregistrate dai driver. |
La fase viene disattivata. La transizione viene disattivata. |

Regole per i valori delle transizioni

Se la condizione di una transizione è TRUE quando la transizione è attiva, quest´ultima viene contrassegnata come conclusa. Se il suo valore dovesse poi cambiare e tornare FALSE, questo non avrebbe nessun effetto sul successivo processo di elaborazione della ricetta.

Messa in pausa e riavvio globali quando c´è un errore di comunicazione

Se una fase è in pausa e c´è un errore di comunicazione, non si potrà semplicemente riprendere la fase. I comandi di fase non sono consentiti, i comandi di ricetta vengono aggirati Se la ricetta è in pausa, si può inviare un comando di ricetta Riprendi ricetta. Se è vero che la ricetta tornerà allo stato In esecuzione, il percorso di esecuzione con la fase disturbata rimarrà però in pausa.

Ancora in questo capitolo

Condizione successiva


Condizione successiva

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Processo di elaborazione di una fase in dettaglio -> Condizione successiva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Condizione successiva

Dopo essere stata eseguita, una funzione rimane ancora attiva mentre viene proseguita la procedura di elaborazione della ricetta. Solo dopo l´attivazione della prossima fase, oppure dopo la fine della ricetta, la fase viene disattivata. Ciò è quello che si intende quando si parla di Condizione successiva. Questo vale anche quando fra una fase e quella successiva (o la fine della ricetta) si trovano altri elementi, come una transizione o fine sequenza parallela. Questo è garanzia del fatto che venga mantenuta l´allocazione unità nel periodo che intercorre fra l´esecuzione di una fase e lo start della prossima.


Esci dalla fase

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Esci dalla fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile uscire da una fase durante la sua esecuzione. In questo caso, l´esecuzione prosegue dopo la fase in questione, ignorando i passi di quest´ultima ancora in attesa. È possibile uscire da una fase solo in modalità manuale. Se si vuole, si può anche configurare una condizione nella proprietà Condizione stato transizione/Condizione di uscita dell´Editor.

È possibile uscire da una fase quando quest´ulima ha i seguenti stati:

  • in esecuzione.
  • Sospensione in corso
  • In pausa
  • Interrompi
  • Fermato
  • Riavvia

Quando la fase riceve il comando di uscita, il corrente passo di esecuzione viene interrotto, ed inizia immediatamente il processo della Condizione di uscita. Se quest´ultima è soddisfatta, il sistema provvede che l´oggetto ripassi allo stato In esecuzione:

  • Riavvia : Il normale processo viene ripreso a partire dal passo In attesa fino a che la ricetta non sia in stato„In esecuzione". Questo significa: Nessuno dei passi fra l´inizializzazione dell´uscita dalla fase e In attesa fino a che la ricetta non sia in stato„In esecuzione" verranno eseguiti.
  • In esecuzione: Il normale processo viene ripreso dopo la fase, oppure la fase attende che la condizione Mettere in pausa venga soddisfatta.

Dal momento dell´inizio della verifica per uscire da una fase, non viene più controllata nessuna condizione transiente. La verifica della Condizione di uscita viene interrotta solo in caso di passaggio allo stato Arresta o Annulla.

Comportamento in caso di uscita dalla fase a seconda dello stato:

  • Uscita dalla fase a partire dallo stato Fermare oppure Fermato:
    con il ritorno allo stato In esecuzione, viene eseguito un restart solo internamente. I dati di esecuzione sull´oggetto vengono mantenuti. Questo vale anche se viene eseguito un restart durante il processo di verifica della Condizione di uscita.
  • Uscita dalla fase se lo stato della ricetta non è In esecuzione o Riavviare:
    Se c´è uno stato diverso, dopo che la condizione è stata soddisfatta, il sistema continua ad attendere finché lo stato della ricetta non è cambiato, passando a In esecuzione oppure Riavviare. Questo consente di uscire anche con diversi stati della ricetta. .
    Per esempio: La ricetta ha lo stato Fermato. Per una fase viene eseguita l´azione Uscita. Poi la fine dell´uscita verrà raggiunta solamente quando l´utente esegue un comando globale Riavvio. Questo consente di uscire quando la ricetta ha lo stato Fermato senza dover utilizzare il normale meccanismo per un restart.

info Info

Se si verifica un errore della comunicazione con il PLC mentre è in corso il processo di uscita, il sistema sospende la verifica della condizione di uscita finché l´errore di comunicazione non viene risolto.

Soppressione delle reazioni durante l´uscita

Mentre è in corso il processo di uscita da una fase, la maggior parte degli eventi di cambiamento di stato e di modalità vengono soppressi. La verifica della Condizione di uscita ha la priorità e il cambiamento di stato viene eseguito anche senza controllo della condizione. Un´eccezione è costituita dagli stati Arresta e Annulla, e da "Termina Runtime " avviato e Restart Runtime, perché hanno un grado di priorità maggiore a Uscita dalla fase. Questi eventi vengono inizializzati, come anche l´evento per Variabile collegata in errore.


Restart - Fase

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Restart - Fase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le fasi possono essere riavviate. In questo caso, tutti gli oggetti attivi collegati vengono disattivati, anche sequenze parallele combinate. Una fase esegue sempre solo una serie di eventi per Attivazione, Start e completato, indipendentemente dal numero dei restart. Gli eventi già eseguiti verranno ignorati in caso di un restart. Le condizioni transienti vengono controllate solo dopo l´evento Start.

Disattivazione

In linea di principio, tutti gli oggetti attivi vengono disattivati al momento del restart di una fase; tuttavia, solo se sono collegati. Gli oggetti attivi isolati non vengono disattivati.

Successione di disattivazione

La disattivazione parte dall´oggetto attivo da più lungo tempo. Questo oggetto viene riattivato anche dopo il restart. Quando viene disattivato, questo oggetto disattiva anche tutti i rami con i quali esso può stabilire un collegamento tramite un oggetto attivo.

Ramo isolato

Un ramo è isolato quando non è collegato tramite un oggetto attivo ad un altro ramo. La disattivazione avviene sempre fra rami collegati. Finché un oggetto non ha lo stato completato, non esiste nessun collegamento attivo con l´oggetto successivo.

Restart di fasi selezionate

È possibile selezionare e riavviare una o più fasi. Se si selezionano più fasi, queste devono trovarsi in rami separati.

Nel ramo selezionato, il sistema esegue un restart dell´oggetto più vecchio. In questo modo verranno disattivati tutti gli oggetti attivi nei rami collegati.

Restart globale

Con il "restart globale" vengono riavviate tutte le fasi. Il restart viene eseguito per l´oggetto attivo più vecchio; in questo modo verranno disattivati tutti gli oggetti attivi collegati. Tutti gli oggetti attivi rimanenti si trovano in un ramo isolato. Anche in questo caso verrà riavviato l´oggetto più vecchio finché non saranno presi in considerazione tutti gli oggetti attivi.


Scrittura sicura del parametri di comando

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Scrittura sicura del parametri di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scrittura dei parametri di comando (parametri iniziali e parametri setpoint) sul PLC viene eseguita in modo sicuro. È possibile configurare un timeout nell´Editor.

Procedura

Per quello che concerne la scrittura dei parametri di comando, vale quanto segue:

  1. Il sistema attende finché tutti i parametri da scrivere in modo inverso non hanno ricevuto un valore. .
    • Se questo non avviene entro il tempo di attesa configurato, vengono fatti 3 tentativi.
    • Se ci dovessero essere ancora dei parametri senza valore, il sistema non scriverà nessun parametro, neanche quelli provvisti di valore.
  2. Se tutti i tentativi non hanno avuto successo, viene inizializzato l´evento Comando senza valore.
  3. I parametri di comando vengono scritti.
  4. I valori attuali vengono confrontati con quelli scritti. .

    Dopo la scrittura dei valori dei parametri, questi ultimi vengono riletti. Se i valori letti dopo lo scadere del timeout impostato non corrispondono a quelli scritti, tutti i parametri verranno scritti un´altra volta. Il processo viene ripetuto al massimo 3 volte.

  5. Se la scrittura sicura non riesce, viene inizializzato l´evento Errore di comunicazione. Questo significa:
    • L´errore deve essere riconosciuto.
    • La fase deve essere impostata di nuovo nello stato "In esecuzione".
    • La scrittura viene riavviata alla ripresa della procedura di esecuzione.
    • L´esecuzione della fase viene riavviata in caso di restart.
  6. Mentre viene eseguito il procedimento di scrittura sicura, la procedura di elaborazione può essere messa in pausa, arrestata ecc. usando comandi. Se la fase ha lo stato In pausa e poi la si riprende, inizierà di nuovo anche il processo di scrittura. In questo caso, il sistema determinerà di nuovo i valori da invertire per un parametro di comando per cui deve essere eseguito il toggle.
  7. Si può anche ignorare la scrittura dei parametri di comando.
  8. Se si termina il Runtime mentre è in corso la scrittura dei parametri di comando, questi ultimi verranno scritti un´altra volta al riavvio del Runtime. I parametri per cui deve essere eseguito il toggle vengono determinati di nuovo..

Durata e tempo di inizio della scrittura vengono visualizzati nel tooltip della fase.

Configurazione del tempo di attesa

Per configurare il tempo di attesa per la scrittura sicura:

  1. Nelle proprietà del modulo Batch Control, passare al gruppo Generale/Scrittura sicura
  2. Selezionare nella proprietà Timeout per la scrittura sicura il tempo di attesa desiderato.

info Info

Questo tempo comprende tutti i tempi di attesa dell´intero processo di scrittura:

  • Attesa dei valori per tutti i parametri che devono essere scritti.
  • Attesa della conferma relativa ai parametri scritti.
  • Attesa per leggere le variabili.

Se si adotta il valore di default di 20 secondi, tutti questi processi di attesa devono essere portati a termine in modo positivo entro 20 secondi. Se il tempo di attesa è trascorso senza un risultato positivo, la scrittura riparte dall´inizio.


Termine e riavvio dl Runtime

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Esecuzione delle ricette -> Recipe Execution Engine (REE) -> Termine e riavvio dl Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Azioni in caso di riavvio

Possono essere predefinite le azioni da eseguire nel caso in cui il Runtime venga riavviato dopo essere stato chiuso. Queste ultime possono essere definite per:

  • Restart dopo arresto corretto del Runtime
  • Riavvio dopo errore di sistema

Per ognuna di queste due proprietà si può scegliere una delle seguenti azioni:

  • Mantieni ricetta: dopo il restart, viene bloccata l´intera ricetta.
  • Ricetta in pausa: dopo il restart, viene messa in pausa l´intera ricetta.
  • Stato ricetta mantenuto: dopo il restart, la ricetta viene settata nello stesso stato che aveva prima della chiusura del Runtime.

Modifica di stato

In caso di restart, il sistema tenta di eseguire il cambio di stato configurato. Questo è possibile solo se anche il comando corrispondente è eseguibile. Lo stato Riavviare per ricetta e fase viene trattato come In esecuzione. Questo significa:

  • Viene settato in pausa per: In esecuzione, Mettere in pausa e Riavviare.
  • Viene settato Fermato per: In esecuzione, Mettere in pausa, In pausa, Fermare e Riavviare.

Le condizioni transienti non verranno verificate e non verranno settati eventi. In questo modo, lo stato nella ricetta può essere armonizzato con quello dell´impianto, senza inviare degli eventi per il cambio di stato all´impianto stesso.

File di immagine

Al momento della chiusura del Runtime viene creato un file di immagine (Image) delle ricette attive. Questo file contiene le immagini dei REE, la successione delle assegnazioni e di tutte le reazioni necessarie al momento del restart.

Assegnazioni

Dopo il restart, le assegnazioni corrispondono allo stato precedente alla chiusura. Il sistema salva i dati relativi a chi ha assegnato un´unità e chi ha forzato delle assegnazioni (e in quale successione). Se una ricetta non può ripartire (per es. perché la convalida non è riuscita), le assegnazioni per questa ricetta verranno rimosse.

Reazioni

Le reazioni che sono state inizializzate dal processo, vengono accettate anche nell´image se sono attive. Verranno eseguite anche dopo il restart del REE. In questo modo si garantisce che la reazione venga eseguita sempre interamente, o prima della creazione del file di immagine, oppure dopo il restart.

La reazione Termina Runtime viene eseguita sempre e non può essere mai ripresa nell´image.

Scrittura sincrona

Il REE gestisce le conferme per tutte le variabili il cui settaggio di valore impostabile deve essere eseguito in modo sincrono. Il timeout viene definito mediante l´intervallo di tempo entro il quale il Runtime deve chiudersi. Il timeout ricomincia da zero ad ogni conferma di scrittura. Questo riavvio viene registrati nel file LOG.

Le variabili che non hanno accesso a nessun driver vengono scritte sempre senza conferma anche quando una conferma è richiesta. I driver interni non supportano nessuna forma di conferma di scrittura.

Assegna parametro

Visto che all´avvio del Runtime vengono si avviano anche tutti i driver, è possibile che questi ultimi non abbiano ancora nessun valore valido da fornire quando questo è necessario per il restart. In caso di restart, il sistema non attende l´update dei valori. In questo modo si garantisce che il valore venga scritto come atteso. Se non è disponibile nessun valore, si usa quello di riserva.

Il sistema attende i valori di driver interni a condizione che questi siano disponibili entro due cicli.

Rilevamento di eventuali errori di comunicazione

Al momento del restart, viene eseguita anche una verifica volta a rilevare eventuali errori di comunicazione, a condizione che la si sia configurata.


Gestione delle ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Gestione delle ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, l´intera gestione delle ricette avviene grazie a una o più immagine di tipo Batch Control. Adottando le impostazioni di filtro adeguate, si possono ottenere delle visuali già filtrate per ricette master e/o ricette di controllo.

Nell´immagine ci sono diversi elementi di controllo (pulsanti, liste, Editor) che servono a svolgere diversi compiti e operazioni. L´immagine può essere progettata in modo tale che sia suddivisa in tre aree principali, che possono essere (almeno in parte) configurate e utilizzate in modo completamente indipendente l´una dall´altra:

  • Area ricette master: Consiste di una lista e di pulsanti di gestione. Quest´area può essere usata in modo completamente indipendente.
  • Area ricette di controllo: Consiste di una lista e di pulsanti di gestione. Quest´area può essere usata solo in combinazione con la Lista delle ricette master, perché si deve selezionare prima una ricetta master perché possano essere visualizzate nella lista le ricette di controllo appartenenti a questa ricetta master.
  • Editor delle ricette: A seconda del tipo di ricetta impostata, si utilizza l´Editor PFC oppure l´Editor matrice.

Ancora in questo capitolo

Gestione delle ricette master

Gestione delle ricette di controllo

Importare ricette

Salvataggio sul disco fisso e possibilità di backup


Gestione delle ricette master

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Gestione delle ricette -> Gestione delle ricette master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lista e formattazione della lista

Lista/Azione

Descrizione

Lista ricette master

In questa lista possono essere visualizzate tutte le ricette master. È possibile limitare il numero delle ricette visualizzate applicando un filtro.

Il filtro può essere configurato già nell´Editor di zenon, in fase di impostazione della funzione di cambio immagine. È possibile eseguire un´operazione di filtro anche a Runtime. Le impostazioni di filtro definite a Runtime non vengono salvate. Questo significa che, alla riapertura dell´immagine, bisognerà inserire di nuovo i filtri da applicare. È possibile definire criteri di filtro stabili solamente in fase di configurazione nell´Editor di zenon.

Tutti i comandi sono possibili anche nei menù contestuali della lista. I comandi di gestione della lista possono essere aperti nell´intestazione della lista stessa, mentre quelli per la gestione delle ricette, invece, possono essere aperti in fase di modifica di una o più ricette.

Le ricette contenute nella lista non possono essere modificate direttamente nella lista stessa. Rinominare una ricetta, oppure cambiare la descrizione o lo stato di una ricetta è possibile solamente usando i comandi corrispondenti.

Suggerimenti per una configurazione ottimale della lista:

Si può modificare l´aspetto della lista, sia dal punto di vista grafico che da quello dei contenuti:

  • Contenuti: Si può scegliere quali colonne devono essere visualizzate; il formato delle colonne stesse (larghezza, orientamento, Header) può essere modificato e si può impostare una funzione di filtro. Queste impostazioni possono essere modificate sie nell´Editor che a Runtime.
  • Dal punto di vista grafico: Nell´Editor (impostazioni della lista) si trova un´ampia gamma di possibilità di impostare l´aspetto grafico della lista, nelle aree Visualizzazione, Barra di scorrimento e Riempimento. Grazie a queste proprietà è possibile configurare le liste in modo tale che possano essere usate anche in gestione touch.

Azioni per la gestione delle liste

Azione | Descrizione
Selezione colonne per ricette master... | Apre una finestra di dialogo per definire quali colonne devono essere visualizzate. Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.
Imposta colonne per ricette master... | Apre una finestra di dialogo per modificare le impostazioni delle colonne. Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Azioni di gestione delle ricette

Azione

Descrizione

Nuova ricetta master...

Crea una nuova ricetta master, completamente vuota, nello stato modificabile. Viene visualizzata la finestra di dialogo per inserire un nome univoco e una descrizione libera. Anche nella rete di zenon viene eseguita una verifica dell´univocità del nome della ricetta.
A seconda del tipo di licenza di cui si dispone, c´è anche la possibilità di selezionare il tipo di ricetta: ricetta-matrice o ricetta PFC. Se solo uno di questi due tipi di ricetta è consentito dalla licenza di cui si è in possesso, questo tipo sarà impostato in modo fisso dal sistema. Il tipo di ricetta selezionato non potrà essere modificato in seguito.

Quando si crea una ricetta master, viene generato un inserimento nella CEL.

Crea nuova versione

Le ricette master possono essere versionate. Viene creata una copia di una ricetta rilasciata o obsoleta. Questa copia si trova nella modalità di modifica e riceve un numero di versione univoco. La nuova ricetta può essere modificata, ma non rinominata. Le singole versioni, inclusa la ricetta d'origine, possono essere cancellate.

Duplica ricetta master

Attivo solamente se è stata selezionata una sola ricetta.
Crea una copia della ricetta selezionata. Per la creazione della copia si usa la versione salvata sul disco fisso. Se si sta modificando questa ricetta su un altro computer, ma le modifiche non sono state ancora salvate, queste ultime non verranno tenute in considerazione nella creazione della copia. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.
La copia della ricetta riceve automaticamente lo stato modificabile e può essere dunque modificata.

Quando si duplica una ricetta, viene generato un inserimento nella CEL.

Elimina ricetta master

Cancella definitivamente le ricette selezionate. Se la ricetta è aperta nell´Editor di un altro PC, verrà chiusa automaticamente.
È possibile cancellare solo se non esiste nessuna ricetta di controllo che si basa su questa ricetta master. Prima si dovranno cancellare tutte le ricette di controllo.
Quelle ricette che vengono eseguite in modalità test (stato della ricetta master: verifica in esecuzione), non potranno essere cancellate. Prima le si dovrà completare, fermare o terminare.

Per tutti quei casi in cui delle ricette non devono essere assolutamente cancellate (per es. nei settori in cui vale la normativa FDA), si consiglia di non progettare questo pulsante, oppure di dotarlo di un Livello di autorizzazione: corrispondente.
Quando si cancella una ricetta, viene creato un inserimento nella CEL.

_Esporta selezione in XML

Esporta la ricetta master selezionata in un file XML.

Importa file XML

Importa il file XML selezionato come ricetta master.

Rinomina ricetta master

Attivo solo se è stata selezionata solo una ricetta master.
Viene aperta la finestra di dialogo per assegnare un nome univoco e una descrizione.
Le ricette possono essere rinominate solo se hanno lo stato modificabile.
Usare questa funzione anche per modificare la descrizione della ricetta master.

Quando si rinomina una ricetta, viene generato un inserimento nella CEL.

Apri ricetta master

Apre le ricette master selezionate nell´Editor delle ricette, a condizione che nell´immagine esista l´elemento Editor ricette. Ogni ricetta master selezionata verrà aperta in una scheda a parte dell´Editor delle ricette.

Rilasciare ricetta master

Modifica lo stato delle ricette master selezionate su Rilasciata. Si può rilasciare solamente delle ricette prive di errori. Se nel processo di convalida si verificano degli errori, si dovrà prima correggerli.
Solo quelle ricette che hanno lo stato Modalità test e modificabile possono essere rilasciate.

Le ricette rilasciate non possono essere più modificate. Si possono creare ricette di controllo solo da ricette rilasciate.
I dettagli relativi allo stato si trovano nel capitolo Tipi di ricette e stato delle ricette

Quando si rilascia una ricetta, viene generato un inserimento nella CEL.

Testa ricetta master

Modifica lo stato delle ricette master selezionate su Modalità test. Solo le ricette prive di errori possono essere impostate nella modalità test. Se nel processo di convalida si verificano degli errori, si dovrà prima correggerli.

Le ricette che si trovano in modalità test possono essere eseguite, ma non possono essere più modificate. I dettagli relativi allo stato si trovano nel capitolo Tipi di ricette e stato delle ricette.

Modifica ricetta master

Modifica lo stato delle ricette master selezionate a Modificabile. Quando le ricette hanno questo stato, possono essere modificate completamente.
Solo le ricette in Modalità testpossono essere impostate di nuovo a Modificabile.

Ricetta master impostata come obsoleta

Modifica lo stato della ricetta su obsoleta. La ricetta non può essere più né modificata, né rilasciata. Non è possibile creare una ricetta di controllo sulla base di questa ricetta.

Nuova ricetta di controllo...

Apre la finestra di dialogo per consentire di inserire un nome univoco e una descrizione per la ricetta di controllo. Anche nella rete di zenon viene eseguita una verifica dell´univocità del nome della ricetta. Il nome deve essere univoco solamente all´interno della ricetta master. Ricette di controllo che si basano su ricette master diverse, possono avere lo stesso nome. L´univocità all´interno del modulo Batch Control viene ottenuta referenziando sempre il nome della ricetta master e quello della ricetta di controllo.

Quando si crea una ricetta di controllo, viene generato un inserimento nella CEL.

Azioni per popolare la lista delle ricette di controllo

Visto che ogni ricetta di controllo può essere eseguita solamente una volta, è molto probabile che in un progetto ci siano moltissime ricette di controllo. Dato che ogni ricetta di controllo deve essere aperta sul disco fisso quando viene caricata nella lista delle ricette di controllo, non è consigliabile visualizzare tutte le ricette di controllo. Perciò le impostazioni standard non prevedono che le ricette di controllo vengano aperte automaticamente. Le si deve aprire manualmente e mediante filtri:

  1. Settare le impostazioni di filtro adeguate.
  2. Selezionare le ricette master desiderate.
  3. Cliccare sul pulsante Visualizza nella lista le ricette di controllo associate.
  4. Nella lista delle ricette di controllo verranno visualizzate le ricette di controllo che corrispondono al filtro e alla selezione.
Azione/Filtro | Descrizione
Ricetta di controllo attualmente eseguita | Apre le ricette di controllo in esecuzione al momento. Stato ricetta di controllo: in esecuzione.
Ricetta di controllo pronta | Apre le ricette di controllo pronte per essere eseguite. Stato ricetta di controllo: Pronta
Ricette di controllo completate | Apre le ricette di controllo già eseguite. Stato ricetta di controllo: Completata
Ricette di controllo obsolete | Apre le ricette di controllo che sono state contrassegnate come obsolete. Ricetta di controllo Stato: Obsoleta
Visualizza nella lista le ricette di controllo associate | Visualizza tutte le ricette di controllo che si basano sulla ricetta master selezionata e che corrispondono ai criteri di filtro impostati.


Gestione delle ricette di controllo

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Gestione delle ricette -> Gestione delle ricette di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lista e formattazione della lista

Lista/Azione

Descrizione

Lista ricette di controllo

In questa lista possono essere visualizzate tutte le ricette di controllo. È possibile limitare il numero delle ricette visualizzate applicando un filtro.

Di default questa lista è sempre vuota. Per popolare questa lista:

  • Si devono selezionare ricette master.
  • Si devono settare i filtri
    Ricette di controllo in esecuzione,
    Ricette di controllo pronte e
    Ricette di controllo completate
    (configurazione della funzione di cambio immagine).
  • Si deve premere il pulsante Visualizza nella lista le ricette di controllo associate.

Oltre ai filtri citati sopra, la lista stessa può essere filtrata. Il filtro può essere configurato già nell´Editor di zenon, in fase di impostazione della funzione di cambio immagine. È possibile eseguire un´operazione di filtro anche a Runtime. Le impostazioni di filtro definite a Runtime non vengono salvate. Questo significa che, alla riapertura dell´immagine, bisognerà inserire di nuovo i filtri da applicare. È possibile definire criteri di filtro stabili solamente in fase di configurazione nell´Editor di zenon.

Tutti i comandi sono possibili anche nei menù contestuali della lista. I comandi di gestione della lista possono essere aperti nell´intestazione della lista stessa, mentre quelli per la gestione delle ricette, invece, possono essere aperti in fase di modifica di una o più ricette.
Le ricette contenute nella lista non possono essere modificate direttamente nella lista stessa. Rinominare una ricetta, cambiarne la descrizione, oppure avviare una ricetta è possibile solamente usando i comandi corrispondenti.

Suggerimenti per una configurazione ottimale della lista:

Si può modificare l´aspetto della lista, sia dal punto di vista grafico che da quello dei contenuti:

  • Contenuti: Si può scegliere quali colonne devono essere visualizzate; il formato delle colonne stesse (larghezza, orientamento, Header) può essere modificato e si può impostare una funzione di filtro. Queste impostazioni possono essere modificate sie nell´Editor che a Runtime.
  • Dal punto di vista grafico: Nell´Editor (impostazioni della lista) si trova un´ampia gamma di possibilità di impostare l´aspetto grafico della lista, nelle aree Visualizzazione, Barra di scorrimento e Riempimento. Grazie a queste proprietà è possibile configurare le liste in modo tale che possano essere usate anche in gestione touch.

Azioni per la gestione delle liste

Azione | Descrizione
Selezione colonne per ricetta di controllo... | Apre una finestra di dialogo per definire quali colonne devono essere visualizzate. Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.
Imposta colonne per ricetta di controllo... | Apre una finestra di dialogo per modificare le impostazioni delle colonne. Attenzione: Queste modifiche verranno ignorate quando l´immagine verrà aperta di nuovo. Una configurazione permanente è possibile solo nell´Editor di zenon.

Azioni di gestione delle ricette

Azione

Descrizione

Duplica ricetta di controllo

Attivo solamente se è stata selezionata una sola ricetta.
Crea una copia della ricetta selezionata. Per la creazione della copia si usa la versione salvata sul disco fisso. Se si sta modificando questa ricetta su un altro computer, ma le modifiche non sono state ancora salvate, queste ultime non verranno tenute in considerazione nella creazione della copia. Viene aperta la finestra di dialogo per assegnare alla ricetta un nome univoco e una descrizione.

La copia della ricetta riceve automaticamente lo stato predefinita e può essere dunque modificata o avviata. Lo stato di esecuzione del duplicato viene settato su automatico.

Quando si duplica una ricetta, viene generato un inserimento nella CEL.

Cancella ricetta di controllo

Cancella definitivamente le ricette selezionate. Se la ricetta è aperta nell´Editor di un altro PC, verrà chiusa automaticamente.
Cancellare è possibile solo se tutte le ricette selezionate non sono in esecuzione (stato ricetta di controllo: In esecuzione). Prima le si dovrà completare, fermare o terminare.

Per tutti quei casi in cui delle ricette non devono essere assolutamente cancellate (per es. nei settori in cui vale la normativa FDA), si consiglia di non progettare questo pulsante, oppure di dotarlo di un Livello di autorizzazione: corrispondente.
Quando si cancella una ricetta, viene creato un inserimento nella CEL.

Rinomina ricetta di controllo

Attivo solo se è stata selezionata solo una ricetta di controllo.
Viene aperta la finestra di dialogo per assegnare un nome univoco e una descrizione.
Le ricette possono essere rinominate solo se hanno lo stato pronta.
Usare questa funzione anche per modificare la descrizione della ricetta di controllo.

Apri ricetta di controllo

Apre le ricette di controllo selezionate nell´Editor delle ricette, a condizione che nell´immagine esista l´elemento Editor ricette. Ogni ricetta di controllo selezionata verrà aperta in una scheda a parte dell´Editor delle ricette.

Avvia ricetta di controllo

Avvia le ricette di controllo selezionate nella modalità di esecuzione impostata. Le ricette vengono eseguite automaticamente sul server. Non è necessario che la ricetta sia aperta nell´Editor delle ricette.


Importare ricette

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Gestione delle ricette -> Importare ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si importa una ricetta da un file XML, verrà visualizzata la seguente finestra di dialogo in caso siano rilevati conflitti di nomi:

Selezionare in questa finestra di dialogo il modo in cui si intende procedere:

Parametro | Descrizione
Nome ricetta master/ricetta di controllo/ricetta parziale | Nome della ricetta già usato.
Creare una nuova ricetta | Crea una nuova ricetta con questo nome e incrementa il numero di versione che si trova alla fine del nome.
Sovrascrivere la ricetta esistente | Sovrascrive la ricetta esistente con questo nome.
Creare una nuova versione della ricetta. | Crea una nuova versione della ricetta con questo nome. Nota: attivo solamente se è stata selezionata l´opzione Attiva versionamento nell´Editor (proprietà del modulo Batch Control, gruppo Versionamento). E
Esegui questa operazione per tutti i conflitti successivi | L´opzione selezionata verrà applicata a tutti i conflitti di nome rilevati. Il numero di questi conflitti è visualizzato tra parentesi.
Numero delle ricette che verranno importate da file XML | Numero delle ricette contenute nel file XML selezionato. Numero delle ricette contenute nel file XML selezionato.
Ignora | Ignora l´importazione della ricetta visualizzata al momento.
OK | Accetta la seleziona e visualizza le opzioni per il prossimo conflitto di nomi, oppure chiude la finestra di dialogo.
Annulla | Annulla l´azione e chiude la finestra di dialogo.

Quando c´è un conflitto di nomi, è possibile che non siano disponibili tutte le opzioni di importazione; questo dipende dallo stato della ricetta già esistente:

Tipo di ricetta

Stato della ricetta esistente

Opzioni possibili

Ricetta master

Modalità di modifica
  • Creare una nuova ricetta
  • Sovrascrivere la ricetta esistente
  • Creare una nuova versione della ricetta.

Rilasciata
  • Creare una nuova ricetta
  • Creare una nuova versione della ricetta.

Obsoleta
  • Creare una nuova ricetta
  • Creare una nuova versione della ricetta.

Ricetta di controllo

Pronta
  • Creare una nuova ricetta
  • Sovrascrivere la ricetta esistente

in esecuzione.
  • Creare una nuova ricetta

Completata
  • Creare una nuova ricetta

Ricetta parziale

Modalità di modifica
  • Creare una nuova ricetta
  • Sovrascrivere la ricetta esistente

Rilasciata
  • Creare una nuova ricetta

Nota: non è possibile importare delle ricette di controllo in ricette master esistenti se il numero di versione della ricetta master differisce. La ricetta master della ricetta di controllo da importare deve sempre avere lo stesso numero di versione della ricetta master esistente.


Salvataggio sul disco fisso e possibilità di backup

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Gestione delle ricette -> Salvataggio sul disco fisso e possibilità di backup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ricette master

Ogni ricetta master ha un ID univoco con il quale viene salvato sul disco fisso con il suffisso file .MR, per es.: 9.MR.
Ne consegue che ad ogni ricetta corrisponde un file. Si può leggere l´ID della ricetta nella lista delle ricette master. Procedura: visualizzare la colonna ID ricetta master.
La cartella per le ricette master è una sottocartella della Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes

Nella stessa cartella si trova il file Recipe.unique preposto alla gestione delle ricette. Quest´ultimo è garanzia che i nomi ricetta siano univoci.

Nota: Quando si cancella una ricetta manualmente usando il file explorer (e dunque non a Runtime e al di fuori del modulo Batch Control), bisogna cancellare il file Recipe.unique perché il suo contenuto sua di nuovo corretto. Se, ad esempio, si cancella manualmente una ricetta di controllo, la relativa ricetta master non potrà più essere cancellata nel modulo Batch Control perché la ricetta di controllo in quella sede verrà visualizzata come se esistesse ancora. Solo dopo una reinizializzazione del fileRecipe.unique si potrà cancellare la ricetta master.

Backup di ricette master

Si può eseguire in qualsiasi momento un backup dei file .MR (e dunque tutte le ricette master). Per farlo, si può usare la funzione Operazioni file .

Ripristino di ricette master

Si dovrebbe eseguire un ripristino solamente nei casi strettamente necessari, perché in questa operazione si perdono necessariamente dei dati attuali. Procedura:

  1. Terminare il Runtime.
  2. Salvare tutte le ricette master esistenti.
  3. Rinominare il file Recipe.unique o cancellatelo. Questo file verrà generato di nuovo automaticamente dai file .MR al momento dell´apertura del Runtime.
  4. Ripristinare i file .MR da un backup precedente.
  5. Riavviare il Runtime.

Ricette di controllo

Ogni ricetta di controllo ha un ID univoco con il quale viene salvato sul disco fisso con il suffisso file .CR, per es.: 9.CR.
Ne consegue che ad ogni ricetta corrisponde un file. Si può leggere l´ID della ricetta nella lista delle ricette di controllo. Procedura: visualizzare la colonna ID ricetta di controllo. Le ricette di controllo si basano sempre su una ricetta master e, perciò, sono sempre assegnate a quest´ultima. Le serie di numeri ID sono sempre univoche solo in riferimento alla ricetta master che è alla base delle ricette di controllo.
Esempio: la ricetta master con l´ID 9 ha ricette di controllo con l´ID 1 e 2. Anche la ricetta master con l´ID 10 ha ricette di controllo con l´ID 1 e 2.

Per questo motivo, ogni ricetta master ha una sottocartella in cui sono salvate le ricette di controllo. Il nome della cartella è sempre: <ID Ricetta master >.crd. Nel nostro esempio, dunque, c´è la cartella 9.crd con i file 1.CR e 2.CR, e la cartella 10.crd con i file 1.CR e 2.CR.

Le cartelle per le ricette di controllo sono delle sottocartelle della Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes\. Le singole cartelle per le ricette di controllo vengono create in questa cartella. In ogni cartella per le ricette di controllo si trova il file Recipe.unique. Quest´ultimo è garanzia che i nomi ricetta siano univoci.

Backup e ripristino di ricette di controllo

Procedere come nel caso delle ricette master; l´unica differenza è che si deve eseguire un backup di tutti i file .CR e della relativa struttura di cartelle. Quando si esegue il ripristino, bisogna cancellare tutti i file Recipe.unique. Anche questi verranno ripristinati automaticamente.


Sincronizzazione

Manuale -> Batch Control -> Configurazione e gestione a Runtime -> Sincronizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Controllo delle modifiche nell´Editor.

Quando si carica, apre, duplica o rilascia una ricetta, il sistema verifica se ci sono state delle modifiche nella configurazione di unità, fasi ecc. nell´Editor. Se si rileva una modifica, quest´ultima viene applicata nell´oggetto a cui è assegnata la funzione modificata. Le impostazioni che sono state sovrascritte a Runtime, verranno mantenute. Le ricette modificate vengono contrassegnate mediante un asterisco (*) nel nome della ricetta.

La ricetta viene analizzata anche in caso di reload.

Nota: Vengono aggiornate solamente quelle ricette che si trovano in modalità di modifica o in modalità di test. Le ricette in modalità test che sono in esecuzione verranno aggiornate solo dopo che l´esecuzione sarà stata completata.

attention Attenzione

Le modifiche apportate alle fasi nell´Editor verranno applicate senza la visualizzazione di un avviso quando si rilascia una ricetta a Runtime. Per tutti i dati che vengono sovrascritti a Runtime, l´Editor è il sistema dominante.

Sincronizzazione delle fasi

È possibile modificare le fasi in 4 livelli "sovrapposti":

  • Nell´Editor di zenon
  • Nel modello ricetta parziale
  • Nella ricetta master
  • Nella ricetta di controllo.

Durante l´instanziazione, vengono usati sempre i dati del livello immediatamente superiore. Anche la sincronizzazione e la comparazione nelle finestre di dialogo di modifica si riferiscono sempre al livello immediatamente superiore.

Origine dei dati per comparazione e sincronizzazione

Posizione della fase | Fase che fornisce i dati comparativi
Nell´Editor di zenon | Nessun dato comparativo.
Nella ricetta master | La fase progettata nell´Editor di zenon.
Nella ricetta di controllo | La fase presa della ricetta master.
Nel modello ricetta parziale | La fase progettata nell´Editor di zenon.
Nell´istanza ricetta parziale nella ricetta master. | La fase del modello della ricetta parziale.
Nell´istanza ricetta parziale nella ricetta di controllo. | La fase dell´istanza della ricetta parziale nella ricetta master.

Informazioni relative all´origine dei dati comparativi si trovano nei tooltip degli elementi di controllo per la sincronizzazione

Ricette e ricette parziali

Viene eseguita la sincronizzazione quando:

  • Viene aperta una ricetta.
  • Viene eseguito il reload di una ricetta.
  • Viene salvato un modello di ricetta parziale e, nel corso di questo processo, viene aperta una ricetta che ha un´istanza di questo modello.

I valori in fasi e parametri corrispondono di default a quelli nei modelli e possono essere sovrascritti localmente.

Modifiche a strategie di controllo e attivazione delle strategie di controllo

Quando ci sono delle strategie di controllo, per la sincronizzazione vale quanto segue:

  • Quando si sincronizzano le ricette, le fasi con strategie di controllo attive vengono aggiornate con le informazioni modificate (modifica nome, nuovi tag aggiunti, ecc.).
  • Quando si attivano delle strategie di controllo per una fase nell´Editor, a Runtime la fase viene settata nello stato in cui nessuna strategia è attiva. Essa contiene solamente parametri di feedback.
  • Quando si disattivano delle strategie di controllo per una fase nell´Editor, dopo la sincronizzazione la fase contiene la completa configurazione attuale della fase stessa. Con questo update, verrrano ignorate tutte le modifiche apportate alla fase nella ricetta.


Autorizzazioni Funzioni

Manuale -> Batch Control -> Autorizzazioni Funzioni

È possibile prevedere che l´utente debba essere in possesso di determinate autorizzazioni per poter eseguire delle modifiche nell´Editor e/o nel Runtime. Il sistema visualizzerà un avviso ogni volta che si prova ad eseguire delle azioni di gestione per le quali non si hanno i diritti corrispondenti. Eccezione: non viene visualizzato nessun avviso durante la modifica.

Quando ad un utente manca l´autorizzazione funzioni:

  • nel Runtime non sono eseguibili le funzioni corrispondenti.
  • nell'Editor: le barre degli strumenti e i menù contestuali dei moduli corrispondenti sono visualizzati grigi.

Per gli utenti esiste la possibilità di registrarsi temporaneamente per eseguire delle azioni che richiedono delle autorizzazioni particolari. I dettagli a questo proposito si trovano nel capitolo Login permanente e temporaneo del manuale Gestione user.

Informazioni dettagliate sulle singole autorizzazioni funzioni si trovano nel manuale dedicato alla Gestione user, soprattutto nel capitolo Autorizzazioni funzioni.

Note:

  • Queste autorizzazioni sono disponibili solamente se si dispone di una licenza per il Batch Control sul PC in questione.
  • Le istanze ricetta parziale utilizzano sempre i diritti utente della ricetta in cui sono incorporate.


Comportamento in rete

Manuale -> Batch Control -> Comportamento in rete

Il modulo Batch Control è perfettamente compatibile per un uso in rete con tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. Per il resto tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby!

Quando si usa il modulo Batch Control in rete, vale quanto segue:

Funzioni

Le funzioni vengono eseguite sempre sul server.

Fasi

  • Modifica di fasi in ricette master:
    • Modalità di modifica: le modifiche vengono eseguite localmente sul client.
      Se, durante la modifica, la ricetta viene salvata su un altro computer in rete, la configurazione attuale va persa. In questo caso verrà visualizzato un messaggio corrispondente e la finestra di dialogo di modifica verrà chiusa. I nuovi dati saranno visualizzati dal server.
    • Modalità test: le modifiche vengono eseguite sul server.
  • Ricetta di controllo: le modifiche vengono eseguite sul server.
  • Se una ricetta viene salvata in rete, tutti i client che la usano vengono aggiornati.
  • Se una ricetta viene aperta su un client, viene visualizzata sempre la versione attuale del server, anche se lì non è stata ancora salvata.
  • Se una ricetta viene cancellata su un computer, viene visualizzato un messaggio su tutti i computer che hanno aperto questa ricetta; questo messaggio informa che la ricetta è stata cancellata.

Modalità

  • Il cambio della modalità (automatica, semi-automatica, manuale) può essere eseguito dal server e dal client.
  • Jumps e avanzamenti step by step in una ricetta possono essere eseguiti sia dal server che dal client

Ricette

  • Le ricette possono essere avviate e gestite dal server zenon o dai client zenon.
  • Se in una ricetta vengono modificati i parametri mentre la ricetta stessa viene salvata su un altro client zenon, la modifica verrà rifiutata e non eseguita.
  • Una ricetta master può essere modificata sul client zenon mentre sul server zenon passa in modalità test e viene inviata al client zenon. In questo caso vengono applicate le modifiche salvate per ultime. Cioè: se il client zenon salva per ultimo, la ricetta passa di nuovo alla modalità di modifica. Se è lo zenon server a salvare per ultimo, la modifica eseguita dallo zenon client viene rifiutata e la ricetta si trova in modalità test.
  • Se si verifica un errore di comunicazione durante la cancellazione di una ricetta o di un modello ricetta parziale, la cancellazione verrà rifiutata e verrà visualizzato un relativo messaggio di errore.

Web Client

Con un Web Client standard:

  • Le impostazioni per griglia e colori possono essere modificate.
  • Non si possono creare o modificare ricette.
  • La dimensione dell'area di modifica non può essere cambiata.
  • Nella barra degli strumenti vengono disattivati tutti i simboli non consentiti; non sarà dunque possibile selezionare gli oggetti corrispondenti.

Queste limitazioni non valgono per il Web Client PRO.

Ancora in questo capitolo

Ridondanza


Ridondanza

Manuale -> Batch Control -> Comportamento in rete -> Ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Batch Control di zenon non supporta la ridondanza. Per le reti che adottano il meccanismo della ridondanza, questo significa che:

  • Quando il server smette di funzionare, la ricetta si trova in uno stato indefinito.
    La ricetta non continua ad essere eseguita sullo Standby Server.
  • Quando poi il Server-Standby passa a svolgere il ruolo di server primario, accade quanto segue:
    • Le ricette master possono essere riportate in modalità di modifica e cancellate.
      Queste modifiche verranno poi accettate sul server originario, quando tornerà a funzionare.
    • Le ricette di controllo non possono essere né modificate, né eseguite.
  • Sul Server-Standby non sono possibili i comandi "Avvia", "Mettere in pausa" o altri comandi.
  • Se non si modifica la ricetta sul Server-Standby, questa riprende ad essere eseguita normalmente non appena il server è di nuovo online.


Reporting

Manuale -> Batch Control -> Reporting

Con il Report Viewer integrato in zenon si possono creare report relativi alla configurazione delle ricette.

Quando si passa ad un´immagine di tipo Report Viewer:

  • Si possono filtrare le ricette
  • Si possono creare i Dataset per i report relativi al Batch Control:
    • Ricetta master
    • Ricetta di controllo
    • Immagini di ricetta
    • Struttura matrice
    • Struttura PFC
    • Fasi
    • Parametri
    • Transizioni
    • Assegnazioni unità
    • Istanze di ricette parziali

Ancora in questo capitolo

Filtro ricette Batch Control


Filtro ricette Batch Control

Manuale -> Batch Control -> Reporting -> Filtro ricette Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel configurare il cambio ad un´immagine di tipo Report Viewer, si può settare un filtro per le ricette del modulo BatchControl. Per filtrare per ricette:

  1. Durante il cambio immagine, aprire la scheda Definizione report
  2. Passare all´area Filtro
  3. Nell´area Filtro specifico per modulo, cliccare su Batch Control: filtro ricetta:
  4. Si aprirà la finestra di dialogo che consente di configurare il filtro.

Applica filtro ricette a

Parametri

Descrizione

Applica filtro ricette a

Selezione del tipo di ricetta a cui deve essere applicato il filtro:

  • Ricetta master
  • Ricetta di controllo

Ricetta master

Attivo: si filtra per ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Impostazioni filtro ricetta

Parametri

Descrizione

Impostazioni filtro ricetta

Opzioni per il filtro ricette

Selezione della lista ricette dall'immagine di controllo Batch richiamata
  • Attivo: durante il Runtime, viene usata la prima ricetta selezionata dell´immagine Batch, da cui viene aperta l´immagine report viewer. Impostazioni individuali in questa finestra di dialogo non sono disponibili.
  • Non attiva: le impostazioni di filtro vengono modificate individualmente facendo uso di questa finestra di dialogo.

Ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito a Runtime da una variabile Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    La versione della ricetta master viene definita a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta. Selezione dal menù a tendina, dipendente dal tipo di filtro:

Filtro per ricette master:

  • Tutti
  • Modalità di modifica
  • Rilasciata
  • Modalità di test
  • Verifica in esecuzione
  • Terminato con errore
  • Imposta come obsoleta

Filtro per ricette di controllo:

  • Rilasciata o obsoleta
  • Rilasciata
  • Imposta come obsoleta

Filtra risultati per

Definizione di quale ID fra quelli contenuti nella lista a cascata deve essere selezionato quando si filtra per nomi.

  • Solo ID più vecchio
  • Solo ID più recente

Visto che si può usare un report solamente per una ricetta, non è possibile effettuare un filtro per "tutte le ricette".

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • Job ID dalla variabile:
    Trova le ricette di controllo che hanno il Job ID indicato in questa sede. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.
    Nota: se la variabile non contiene nessun valore, nessun report verrà inviato al Report Viewer.

Stato ricetta di controllo

Selezione dello stato ricetta fra quelli della lista a cascata:

  • Tutti
  • Preparata
  • In esecuzione.
  • Completata
  • Terminato con errore
  • Obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi o job ID.

  • Solo ID più vecchio
  • Solo ID più recenti

OK

Riprende tutte le modifiche, crea filtri e chiude il dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Editor delle formule

Manuale -> Batch Control -> Editor delle formule

L´Editor delle formule si apre sempre automaticamente ogni volta che è necessario inserire o modificare una formula. Soprattutto i caso di:

Editor:

  • Proprietà delle fasi
  • Condizioni di blocco
  • Condizione di termine fase
  • Condizioni stato transizione
  • Condizioni per il rilevamento di problemi di comunicazione ed errori PLC.

Runtime:

  • Condizione di fase completata e interblocchi in caso di modifica di una fase.
  • Modifica di transizioni.

info Info

se si cancella la fase referenziata nella formula e si inserisce una nuova fase, ci sarà una nuova assegnazione degli operandi nelle transizioni. Per poter riassegnare gli operandi, si deve inserire di nuovo la stessa fase. I parametri di un´altra fase non vengono collegati automaticamente.

Inserire una formula

Sono consentiti i seguenti inserimenti:

  • Costante in cifre decimali.
  • Numeri esadecimali se sono introdotti da un x.
  • Punto come separatore decimale; bisogna tenere presente quanto segue:
    • La virgola viene sostituita automaticamente da un punto: se si digita 23,000, verrà inserito effettivamente 23.000.
    • Gli zeri come cifre decimali vengono rimossi: se si digita 23.000, verrà inserito effettivamente 23.

Parametri

Descrizione

Lista parametri

Lista dei parametri che possono essere usati per la formula.

Ogni inserimento di questa lista consiste di:

  • Un nodo principale per la denominazione.
  • Un valore.
  • Uno stato.
  • I bit del valore e dello stato.

Un simbolo collocato sul primo nodo indica se si tratta di un parametro di comando o di feedback.

La denominazione breve all´inizio del nome viene usata nella formula.

Aggiungi

Apre la finestra di dialogo per aggiungere un parametro. In questo caso, vale quanto segue:

  • Si possono aggiungere: parametri numerici e binari, nonché parametri di durata. I valori inseriti per la durata vengono ricalcolati in secondi.
  • Per le condizioni della fase possono essere usati solamente i parametri creati per esse.
  • I parametri possono essere aggiunti più di una volta.

Sostituzione

Consente di sostituire un parametro. Se si clicca su questo pulsante, si apre la finestra di dialogo per aggiungere un parametro.

  • Il nuovo parametro selezionato sostituisce quello evidenziato.
  • Se si clicca sul pulsante Nessuna selezione, il parametro evidenziato verrà cancellato dalla lista.

In caso di sostituzione, la denominazione breve rimane la stessa.

Rimuovi

Cancella il parametro evidenziato. Per poter cancellare un parametro:

  • La formula deve essere corretta.
  • Il parametro selezionato non deve essere utilizzato nella formula.

Operatori logici

Tramite il pulsante "Operatori logici", si inseriscono operatori logici nella formula.

AND

'AND' logico

OR

'OR' logico

XOR

Or esclusivo logico

NOT

Negazione

Sintassi

Quando si clicca sui pulsanti degli operatori, la stringa visualizzata su questi verrà inserita nella formula.

(

Aperta parentesi.

)

Chiusa parentesi.

Operatori Bit a Bit e di confronto

&

AND

|

OR

>

Maggiore di

>=

Maggiore uguale

<

Minore di

<=

Minore uguale

=

Uguale

<>

Minore o maggiore

Condizione

Configurazione e visualizzazione delle formule.

Copia

Copia l´intera formula.

  • Tutti i parametri configurati dell´albero dei parametri.
  • Formula dal campo.

Incolla

Aggiunge una formula presa dagli appunti. In questo caso, tutti gli elementi configurati fino a quel momento vengono cancellati e sostituiti dalla formula copiata.

Quando si copiano formule fra diversi fasi, il sistema tenta di risolvere gli operandi usando i loro nomi. Per i parametri non trovati, vengono creati degli inserimenti non validi nella lista degli operandi. Il punto in cui vengono usati nella formula rimane invariato.

OK

Accetta la formula e chiude la finestra di dialogo.

La formula deve essere corretta.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

In una formula si può inserire un massimo di 99 parametri. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri | Descrizione
Bit di valore | Ci sono 32 bit di valore (da 0 a 31). Descrivono il parametro bit per bit. Per i parametri binari è rilevante solo il bit 0, per SINT e UNSINT i bit 0-7 ecc...
Bit di stato | Sono i bit di stato più comuni. La definizione esatta e spiegazioni sull´uso dei bit di stato si trovano nella Lista Bit di stato.
Valore e Stato | Nelle formule, tutti i valori (bit di valore e bit di stato) vengono trattati come valori binari e possono poi essere collegati logicamente tramite AND, oppure OR, e mediante altre espressioni logiche. Un´eccezione è costituita dal valore totale e dallo stato complessivo. Per poter giungere ad un'espressione booleana, deve essere anzitutto eseguita un´operazione OR bit a bit di confronto di questo valore totale con una costante. A questo scopo si usa l'operatore &. Se questa operazione di confronto OR restituisce il valore 0 (FALSE), si ottiene il valore binario 0 (FALSE), altrimenti 1 (TRUE). Esempio: si veda il capitolo Esempio collegamento OR a bit

info Info

I bit di stato NORM e N_NORM sono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.

info Info

Le formule con valori X binari e collegamento bit a bit possono essere usate con un massimo di 2 valori binari. Se sono necessari più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value -> non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona

Ancora in questo capitolo

Aggiungere parametri

Lista dei bit di stato

Operatori logici

Formule a bit

Operatori di confronto

Esempi di formule


Aggiungere parametri

Manuale -> Batch Control -> Editor delle formule -> Aggiungere parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul pulsante Aggiungi nell´Editor delle formule, si apre la finestra di dialogo per selezionare i parametri che devono essere utilizzati per una formula.

Parametri | Descrizione
Lista progetti | Visualizzazione del progetto attivo. Si possono selezionare sempre solo quei parametri che sono stati creati nel progetto attivo per la fase da configurare.
Lista parametri | Lista dei parametri disponibili per la fase selezionata. Il parametro viene accettato quando lo si seleziona e si clicca sul pulsante OK, oppure quando si esegue un doppio clic sul parametro stesso.
Nessuna selezione | Cancella il parametro già impostato. Rilevante solamente in caso di sostituzione di parametri. Il parametro verrà cancellato dalla lista dell´Editor delle formule cliccando sul pulsante Nessuna selezione a condizione che il parametro sia evidenziato nell´Editor delle formule e si apra questa finestra di dialogo cliccando sul pulsante Sostituisci . In caso di sostituzione, la denominazione breve rimane la stessa.
OK | Aggiunge i parametri selezionati alla lista parametri della formula e chiude la finestra di dialogo.
Annulla | Rifiuta le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lista dei bit di stato

Manuale -> Batch Control -> Editor delle formule -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Batch Control -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collegamenti logici: l´analisi delle variabili viene eseguita solo per rilevare il valore logico '0'; se il valore non è uguale a '0', viene considerato '1'.

A differenza delle formule a bit, l'area tecnica può essere modificata da un fattore di estensione -> diverso da '0' o '1'.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | Or esclusivo logico

Questa è la priorità degli operatori nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per formule a bit)
2 | NOT
3 | AND
4 | XOR/OR

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99.

info Info

I bit di stato NORM e N_NORMsono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule a bit

Manuale -> Batch Control -> Editor delle formule -> Formule a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le formule bit hanno solamente uno stato logico low e high. A differenza delle formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR

Ancora in questo capitolo

Esempio: collegamento OR bit a bit


Esempio: collegamento OR bit a bit

Manuale -> Batch Control -> Editor delle formule -> Formule a bit -> Esempio: collegamento OR bit a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vuole verificare se è settato uno dei bit di stato utente 1-8 (M1 ... M8) della variabile X01.

Formula usuale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa query può essere semplificata tramite il collegamento OR bit a bit dello stato complessivo.

Collegamento OR bit a bit:

X01.Status & 0xFF

La costante può essere impostata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 255; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è settato su 1, il risultato del collegamento OR bit a bit è 1 (True), altrimenti 0 0 (False).

Se, per esempio, la query deve riguardare tutti i bit di stato utente fatta eccezione per l´M7, l'espressione binaria corrispondente sarebbe: 10111111. Il bit 7 non è interessante, per questo è settato su 0. Questo corrisponde all´esadecimale 0xBF. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di usare un collegamento OR bit a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto restituisce un risultato sbagliato, si avrà il valore binario 0 (False), altrimenti 1 (True).

Esempio:

Si vuole verificare se un valore è uguale alla costante 202. La formula corrispondente è la seguente:

X01.value = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Nota: il collegamento OR bit a bit funziona con il carattere OR (|) in modo uguale a questo esempio.


Operatori di confronto

Manuale -> Batch Control -> Editor delle formule -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli operatori di confronto servono a confrontare direttamente due valori numerici. Il risultato di questo confronto è uno stato binario. "0" se la condizione non è soddisfatta, e "1“ se la condizione è soddisfatta.

Operatore | Descrizione
< | Minore
> | Maggiore:
<= | Minore uguale
>= | Maggiore uguale
= | Uguale a
<> | Diverso da

A sinistra e a destra di un operatore di confronto devono esserci un valore (totale) o uno stato (totale); non si possono usare bit singoli con questi operatori di confronto.

A destra dell'operatore di confronto ci può essere anche una costante.
Nell´elemento combinato, queste costanti vengono inserite come valori esadecimali o valori decimali. Quando si clicca sul pulsante OK, i numeri esadecimali vengono convertiti automaticamente in numeri decimali. Esempio: 0x64 corrisponde al valore numerico 100.

Nota: l´elemento combinato non è disponibile nel modulo Batch Control.

Example Esempio

X01.valore >= X02.valore
Il risultato è "1" se il valore di X01 è maggiore o uguale al valore di X02

X01.valore = 0x64
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico100 (= hex 0x64)

(X01.valore = 0x64) OR (X01.valore = 0x65)
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= hex 0x64 e hex 0x65)


Esempi di formule

Manuale -> Batch Control -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Semplice collegamento logico AND di due valori bit.

Example Esempio

Formula: X01.03 AND X02.03

Questa formula restituisce il risultato “TRUE” quando il Bit 3 della variabile 1 e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confrontare valore o stato di una variabile

Example Esempio

(X01.valore> X02.valore)

Comparare confronti fra di loro su base logica

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore)

Confronti con bit di valore e bit di stato

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore ) OR (X01.03 = X02.03)

Confrontare un valore con un valore decimale o esadecimale

Example Esempio

Formula: (X01.valore = 111)

Formula: (X01.valore = 0x6F)

Se si usa un valore esadecimale, quest´ultimo viene convertito poi in un numero decimale quando si clicca su OK. Se si inserisce un valore decimale e si conferma l´inserimento, questo sarà visualizzato come valore decimale anche al momento della riapertura.

info Info

Non è possibile usare una virgola o un punto quando si inseriscono i numeri.


Esportazione XML: unità, fasi e ricette.

Manuale -> Batch Control -> Esportazione XML: unità, fasi e ricette.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

il modulo Batch Control consente di esportare unità, fasi e ricette in un file XML. Nei seguenti capitoli verrà descritta la struttura di questo file.

Ancora in questo capitolo

Proprietà generali delle ricette nel file XML.

Proprietà matrice nel file XML.

Proprietà PFC nel file XML.

Proprietà parametro


Proprietà generali delle ricette nel file XML.

Manuale -> Batch Control -> Esportazione XML: unità, fasi e ricette. -> Proprietà generali delle ricette nel file XML.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà di ricette master.

Proprietà delle ricette master sono contenute anche nelle ricette di controllo esportate.

Nodo

Proprietà

Descrizione

Possibile valore

Ricetta

  • MasterRecipe
  • ControlRecipe
  • OperationTemplate

MrId

ID della ricetta master corrispondente.

MrName

Nome della ricetta master corrispondente.

MrDescription

Descrizione della ricetta master corrispondente.

MrVersion

Versione della ricetta master corrispondente.

MrSourceVersion

Versione originale della ricetta master.

MrStatus

Stato della ricetta master corrispondente.
  • 1: Modalità di modifica
  • 2: Rilasciata
  • 3: Modalità di test
  • 4: Verifica in esecuzione
  • 8: Obsoleta

RecipeType

Tipo della ricetta.
  • Matrice
  • PFC

ApprovalTime

Time stamp del rilascio della ricetta master corrispondente.

ApprovalUserName

Nome dell´utente che ha rilasciato la ricetta.

ApprovalUserID

ID dell´utente che ha rilasciato la ricetta.

OutdatedTime

Tempo obsoleto per ricette.

OutdatedUserName

Nome dell´utente da cui la ricetta è stata settata su "obsoleta".

OutdatedUserID

ID dell´utente da cui la ricetta è stata settata su "obsoleta".

Structure

Nodo per la struttura della ricetta.

Proprietà delle ricette di controllo.

Proprietà

Descrizione

Possibile valore

CrId

ID della ricetta di controllo.

CrName

Nome della ricetta di controllo.

CrDescription

Descrizione della ricetta di controllo

CrStatus

Stato della ricetta di controllo.
  • 2: Pronta
  • 3: in esecuzione.
  • 4: Completata
  • 7: Obsoleta

CrJobID

Job ID della ricetta di controllo.

CrJobIDVar

Variabile per il Job ID.

CreationTime

Time stamp della creazione della ricetta di controllo.

CreationUserName

Nome dell´utente che ha creato la ricetta di controllo.

CreationUserID

ID dell´utente che ha creato la ricetta di controllo.

StartingTime

Time stamp dell´avvio della ricetta di controllo.

StartingUserName

Nome dell´utente che ha avviato la ricetta di controllo.

StartingUserID

ID dell´utente che ha avviato la ricetta di controllo.

Proprietà delle ricette parziali

Proprietà

Descrizione

Possibile valore

OpId

ID del modello di ricetta parziale.

OpName

Nome del modello di ricetta parziale.

OpDescription

Descrizione del modello di ricetta parziale.

OpType

Tipo della ricetta parziale.
  • Matrice
  • PFC

OpStatus

Stato del modello di ricetta parziale.
  • 1: Modalità di modifica
  • 2: Rilasciata

ApprovalTime

Time stamp del rilascio del modello di ricetta parziale.

ApprovalUserName

Nome dell´utente che ha rilasciato il modello di ricetta parziale.

ApprovalUserID

ID dell´utente che ha rilasciato il modello di ricetta parziale.

Structure

Nodo per la struttura della ricetta.


Proprietà matrice nel file XML.

Manuale -> Batch Control -> Esportazione XML: unità, fasi e ricette. -> Proprietà matrice nel file XML.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura matrice

Nodo

Proprietà

Descrizione

Possibile valore

Structure

Column

Numero di colonna nella ricetta matrice.
  • Tipo 1: Fase
  • Tipo 2: Ricetta parziale

ObjectName

Nome della fase collegata, o della ricetta parziale collegata.

StepInfo

Numero di step nella ricetta matrice.

StepDescr

Descrizione del passo nella ricetta matrice.

Proprietà delle celle matrice

Nodo

Proprietà

Descrizione

Possibile valore

Cell

  • Tipo 1: Fase
  • Tipo 2: Ricetta parziale

CellActive

TRUE,se la cella matrice in questa posizione è attiva.

  • TRUE: Matrix-Zelle aktiv
  • FALSE: Matrix-Zelle inaktiv

ChartId

ID della cella matrice.

Phase

Nodo delle proprietà per la fase di una cella matrice. I dettagli relativi si trovano nel capitolo Proprietà generali

ControlStrategy

Nodo proprietà per la strategia di controllo utilizzata.

Nota: questa strategia di controllo viene usata con una fase in una cella matrice.

I dettagli relativi si trovano nel capitolo Proprietà generali


Proprietà PFC nel file XML.

Manuale -> Batch Control -> Esportazione XML: unità, fasi e ricette. -> Proprietà PFC nel file XML.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura della ricetta PFC.

Nodo | Proprietà | Descrizione | Possibile valore
Structure |  |  |
 | LastObjId | Ultimo ID utilizzato della ricetta PFC. |
 | ColCount | Numero delle colonne nella ricetta PFC. |
 | RowCount | Numero delle righe nella ricetta PFC. |
 | CenterColOffset | Coordinate di partenza della colonna. |
 | CenterRowOffset | Coordinate di partenza della riga. |

Proprietà dell´elemento.

Nodo

Descrizione

Possibile valore

Chart-Objekt

Elemento per la ricetta PFC.
  • TYPE= 1=Elemento iniziale
  • TYPE= 2=Elemento finale
  • TYPE= 3=Fase
  • TYPE= 4=Transizione
  • TYPE= 5=Inizio ramo
  • TYPE= 6=Fine ramo
  • TYPE= 7=Inizio sequenza parallela
  • TYPE= 8=Fine sequenza parallela
  • TYPE= 9=Assegnazione unità
  • TYPE= 10=Ricetta parziale
  • TYPE= 11=Linea
  • TYPE= 12=Jump target

Elemento iniziale

Nodo | Proprietà | Descrizione | Possibile valore
ChartObject |  | Elemento per la ricetta PFC. | TYPE= 1
 | ChartId | ID dell´elemento nella ricetta PFC. |
 | ChartRow | Coordinate riga dell´elemento. |
 | ChartCol | Coordinate colonna dell´elemento. |

Elemento finale

Nodo | Proprietà | Descrizione | Possibile valore
ChartObject |  | Elemento per la ricetta PFC. | TYPE= 2
 | ChartId | ID dell´elemento nella ricetta PFC. |
 | ChartRow | Coordinate riga dell´elemento. |
 | ChartCol | Coordinate colonna dell´elemento. |

Fase

Nodo | Proprietà | Descrizione | Possibile valore
ChartObject |  |  | TYPE= 3
 | ChartId | ID dell´elemento nella ricetta PFC. |
 | ChartRow | Coordinate riga dell´elemento. |
 | ChartCol | Coordinate colonna dell´elemento. |
 | Unit | Nome unità della fase collegata. |
 | Phase | Nodo delle proprietà per la fase di un elemento PFC. |

Transizione

Nodo | Proprietà | Descrizione | Possibile valore
ChartObject |  |  | TYPE= 4
 | ChartId | ID dell´elemento nella ricetta PFC. |
 | ChartRow | Coordinate riga dell´elemento. |
 | ChartCol | Coordinate colonna dell´elemento. |
Condition |  | Condizione per le transizioni selezionate. |
 | Expression | Le condizioni servono ad informare il REE sullo stato della funzione tecnologica nel PLC. |
OperandTag |  | Indirizzamento delle condizioni parametro. |
 | PhaseChartId | ID della fase nella condizione. |
 | TagAddressing | Parametro della fase. |

Inizio ramificazione

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 5

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Cell

Numero delle ramificazioni da sinistra a destra.

Connector

Punti di connessione delle ramificazioni.
  • TRUE: diramazione verso il basso.
  • FALSE: nessuna diramazione.

ArrayOffset

Cella iniziale della diramazione.

Fine diramazione

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 6

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Cell

Numero delle ramificazioni da sinistra a destra.

Connector

Punti di connessione delle ramificazioni.
  • TRUE: diramazione verso il basso.
  • FALSE: nessuna diramazione.

ArrayOffset

Cella finale della diramazione.

Inizio sequenza parallela

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 7

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Cell

Numero delle ramificazioni da sinistra a destra.

Connector

Punti di connessione delle ramificazioni.
  • TRUE: diramazione verso il basso.
  • FALSE: nessuna diramazione.

ArrayOffset

Cella iniziale della diramazione.

Fine sequenza parallela

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 8

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Cell

Numero delle ramificazioni da sinistra a destra.

Connector

Punti di connessione delle ramificazioni.
  • TRUE: diramazione verso il basso.
  • FALSE: nessuna diramazione.

ArrayOffset

Cella finale della diramazione.

Assegnazione unità

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 9

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Allocations

Nome dell´assegnazione unità.
  • Allocations
  • Deallocations

Unit

Nome dell´unità assegnata

Global

Opzioni per il rilascio dell´unità.
  • FALSE=Rilascio dell´ultima assegnazione
  • TRUE=Rilascio dell´intera ricetta

Ricetta parziale

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 10

ChartId

ID dell´elemento nella ricetta PFC.

ChartRow

Coordinate riga dell´elemento.

ChartCol

Coordinate colonna dell´elemento.

Operation

Ricetta parziale

OpId

ID della ricetta parziale.

OpName

Nome della ricetta parziale.

OpType

Tipo della ricetta parziale.

OpDescription

Descrizione della ricetta parziale.

OpStatus

Stato della ricetta parziale.

ApprovalTime

Time stamp per le ricette rilasciate.

ApprovalName

Nome della ricetta rilasciata.

ApprovalUserId

ID dell´utente che ha rilasciato la ricetta.

Structure

Struttura della ricetta.
  • PFC_Structure
  • Matrix_Structure

Linea

Nodo

Proprietà

Descrizione

Possibile valore

ChartObject

TYPE= 11

ChartId

ID della linea.

ChartRow

Coordinate riga per il punto iniziale della linea.

ChartCol

Coordinate colonna per il punto iniziale della linea.

FirstCol

Coordinate colonna della cella in cui inizia la linea.

FirstRow

Coordinate riga della cella in cui inizia la linea.

SecondCol

Coordinate colonna della cella in cui finisce la linea.

SecondRow

Coordinate riga della cella in cui finisce la linea.

LineSegments

Coordinate colonna, riga, tipo delle celle (separate da un #) in cui si sviluppa l´intera linea.
  • 0: Linea dritta dall´alto in basso
  • 1: 90° dall´alto verso destra
  • 2: 90° dall´alto verso sinistra
  • 3: Linea dritta da sinistra a destra
  • 4: 90° da destra verso il basso
  • 5: 90° da sinistra verso il basso

Jump target

Nodo | Proprietà | Descrizione | Possibile valore
ChartObject |  |  | TYPE= 12
 | ChartId | ID del jump target. |
 | ChartCol | Coordinate colonna per il punto iniziale del jump target. |
 | ChartRow | Coordinate riga per il punto iniziale del jump target. |


Proprietà parametro

Manuale -> Batch Control -> Esportazione XML: unità, fasi e ricette. -> Proprietà parametro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fasi

Nodo

Proprietà

Descrizione

Possibile valore

Phase

Proprietà generali della fase.

PhaseName

Nome della fase.

PhaseDescr

Stringa liberamente definibile per una descrizione più precisa della fase.

TOAllocation

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale si attende l´allocazione aggregato.

TOInterlocking

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà "blocco input" deve restituire il valore TRUE.

MinExecTime

Tempo minimo di esecuzione della fase.

ExplanationMinExecTimeNeeded

Motivazione richiesta per la modifica del tempo minimo di esecuzione

TRUE: Se effettua delle modifiche di valore concernenti questa fase durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato.

FALSE: non è necessario indicare una ragione.

MaxExecTime

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà "condizione di fase completata" deve restituire il valore TRUE.

TOFollowingCond

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale la fase deve essere disattivata.

MinExecTimeCrModifiable

Durata minima di esecuzione della fase modificabile nella ricetta di controllo.

  • TRUE: Durata minima di esecuzione della fase modificabile nella ricetta di controllo.
  • FALSE: Durata minima di esecuzione della fase non modificabile nella ricetta di controllo.

RtLocalFlags

Flag le cui proprietà non sono più collegate alla configurazione impostata nell´Editor. Non vengono sovrascritte in caso di reload.

Questa proprietà è una bit-coded DWORD in cui ogni bit rappresenta una proprietà. In un indice a base 0, la codificazione è la seguente:

  • Timeout condizione di fase completata: Bit 0 (decimale 1)
  • Timeout blocco input: Bit 1 (decimale 2)
  • Timeout per condizione successiva: Bit 2 (decimale 4)
  • Timeout allocazione aggregato: Bit 3 (decimale 8)
  • Minima durata di esecuzione: Bit 7 (decimale 128)

CSActive

Strategie di controllo attive
  • TRUE: Strategie di controllo attive
  • FALSE: Strategie di controllo non attive

CSTag

Parametro di strategia di controllo

CondInterlocking

Nodo per la condizione del blocco input.

CondDone

Nodo per la condizione di fase completata.

CondEscaping

Nodo per la condizione per uscire dalla fase.

CondPausing

Nodo per la condizione per passare da Sospensione in corso a In pausa.

CondHolding

Nodo per la condizione per passare da Fermare a Fermato.

CondStopping

Nodo per la condizione per passare da Arresta a Stoppato.

CondAborting

Nodo per la condizione per passare da Annulla a Annullato.

CondRestarting

Nodo per la condizione per passare da Riavvia a Avviato.

CondFailure

Nodo per la condizione per il rilevamento di un errore di comunicazione.

CondConnReconnect

Nodo per la condizione per il riconoscimento di un errore di comunicazione.

CondPlcError

Nodo per la condizione per errore PLC.

Parametri

Nodo

Proprietà

Descrizione

Possibile valore

Giorno

TagName

Nome del parametro.

TagDescr

Descrizione del parametro.

TagType

Tipo di parametro.
  • 0: Parametri setpoint:
  • 1: Parametro di feedback
  • 2: Parametro iniziale

DataType

Tipo di dato
  • 0: BOOL
  • 1: Stringa
  • 2: Analogico
  • 3: Durata

Variabile

Variabile collegata al parametro.

VariableDataType

Tipo di dato della variabile.

VariableDriver

Nome del file EXE del driver della variabile

VariableDriverDescr

Nome del driver della variabile

TagValue VariantType

Valore del parametro.

ValueMin VariantType

Valore minimo del parametro.

ValueMax VariantType

Valore massimo del parametro.

VariableMin

Valore minimo della variabile.

VariableMax

Valore massimo della variabile.

MeasUnit

Unità di misura della variabile.

MaxStringLength

Lunghezza stringa, corrispondente a quella progettata nella variabile.

EditableInRecipe

Modificabile nella ricetta master
  • TRUE: i valori dei parametri sono modificabili nella ricetta master.
  • FALSE: i valori dei parametri non sono modificabili nella ricetta master.

ExplanationNeeded

Motivazione richiesta in caso di cambio valori
  • TRUE: Se effettua delle modifiche di valore relative a questo parametro a Runtime, l´utente dovrà indicare una ragione per il cambio effettuato.
  • FALSE: Non è necessario indicare una motivazione.

TagModified

Valore del parametro modificato.
  • TRUE: Valore del parametro modificato.
  • FALSE: Valore del parametro non modificato.

EditableInCr

Valore del parametro modificabile nella ricetta di controllo.
  • TRUE: Valore del parametro modificabile in ricetta di controllo
  • FALSE: Valore del parametro non modificabile nella ricetta di controllo

UseKeyboard

Utilizzare immagine di tipo Keyboard
  • TRUE: L´immagine keyboard viene utilizzata per questo parametro.
  • FALSE: L´immagine keyboard non viene utilizzata per questo parametro.

KeyboardPictureName

Nome dell´immagine Keyboard selezionata. Disponibile solo se è stata attivata la proprietà "Immagine Keyboard".

Reazioni

Nodo

Proprietà

Descrizione

Possibile valore

Reaction

Contiene le proprietà generali per le reazioni.

EventType

Selezione del tipo di evento in presenza del quale deve essere eseguita la reazione. Per ogni evento possono essere definite più reazioni.
  • 0: "Termina Runtime " avviato
  • 1: Interblocco di ingresso bloccato
  • 2: Superato tempo limite di attesa per interblocco di ingresso
  • 3: Fase attivata
  • 4: Superato tempo limite di esecuzione
  • 5: Fase disattivata
  • 6: Superato tempo di attesa per condizione successiva
  • 7: Variabile collegata in errore
  • 8: Modifica stato: Riprendi
  • 9: Modifica stato: in esecuzione.
  • 10: Modifica stato: sospensione in corso
  • 11: Modifica stato: In pausa
  • 12: Modifica stato: Completata
  • 13: Modifica stato: Riavvia
  • 14: Modifica stato: Interrompi
  • 15: Modifica stato: fermato
  • 16: Modifica stato: arresta
  • 17: Modifica stato: stoppato
  • 18: Modifica stato: Annulla
  • 19: Modifica stato: Annullato
  • 20: Modifica modalità: automatica
  • 21: Modifica modalità: semiautomatica
  • 22: Modifica modalità: manuale
  • 28: Superato tempo di attesa aggregato
  • 29: Fase avviata più volte
  • 30: Assegnazione aggregati non possibile
  • 31: Fine scrittura parametro di setpoint
  • 32: Condizione di transizione soddisfatta
  • 33: Comando senza valore
  • 34: Restart Runtime
  • 35: Avviata condizione di uscita
  • 36: Soddisfatta condizione di uscita
  • 37: Errore di comunicazione
  • 38: Errore di comunicazione risolto
  • 39: Ripristino perdita di comunicazione
  • 40: Fase avviata
  • 41: Errore PLC
  • 42: Errore PLC risolto
  • 43: Errore PLC risolto tramite disattivazione della fase
  • 44: Blocco di ingresso verificato con successo

ReactionDescr

Descrizione della reazione.

ReactionPrio

Mostra la successione di esecuzione se sono state definite più reazioni allo stesso evento. La successione è definita sulla base della posizione nella lista e viene visualizzata in questa sede.

ModeCommand

Attraverso questa reazione, si può gestire a Runtime la modalità di esecuzione come la reazione all´evento.
  • 0: Ignora
  • 1: Automatico
  • 2: Semiautomatico
  • 3: Manuale

StateCommand

Comando ricetta o fase che viene eseguito a Runtime al verificarsi dell´evento.
  • 0: Ignora
  • 2: Ricetta in pausa
  • 3: Ripristina ricetta
  • 4: Ferma ricetta
  • 5: Riavvia ricetta
  • 6: Interrompi ricetta
  • 7: Annulla ricetta
  • 8: Fase in pausa
  • 9: Interrompi fase
  • 10: Riavvia fase
  • 11: Riprendi fase

Funzione

Funzione che deve essere eseguita.

CelEnabled

Crea inserimento nella CEL.

TRUE: Il testo definito nella proprietà "Messaggio di testo CEL" viene inserito nella Lista Eventi Cronologica (CEL).

FALSE: nessun inserimento nella CEL.

CelMsg

Messaggio di testo CEL Disponibile solo se la proprietà "Crea inserimento CEL" è attiva.

CelGroup

Assegnazione di un gruppo allarme/evento già esistente a messaggi CEL per l´evento selezionato.

CelClass

Assegnazione di una classe allarme/evento già esistente a messaggi CEL per l´evento selezionato.

SourceTag

Parametro il cui valore è trasferito a quello selezionato nella proprietà "Parametro di destinazione".

DestinationTag

Parametro a cui è trasferito il valore di quello selezionato nella proprietà "Parametro sorgente".

SetTag

Parametro su cui deve essere scritto il valore impostabile definito come reazione all´evento.

SetValueNum

Valore impostabile per parametri di tipo numerico.

SetValueStr

Valore impostabile per parametri di tipo String.

SetValueBool

Valore impostabile per un parametro binario.
  • 0: Disattivato
  • 1: ON
  • 4: Toggle

SetValueDuration

Valore impostabile in giorni, ore, minuti e secondi per parametro di tipo "Durata". L´intervallo di tempo viene scritto in forma di valore in secondi sulla variabile collegata nel parametro.

ExecuteBeforeStartEvent

Consentire esecuzione prima dell´evento "Start".

TRUE: L´evento può essere eseguito prima dell´evento "Fase avviata".

FALSE: L´evento può essere eseguito solamente dopo che quello "Fase avviata" è stato eseguito.

Strategie di controllo

Nodo | Proprietà | Descrizione | Possibile valore
ControlStrategy |  | Contiene le proprietà per la configurazione delle strategie di controllo. |
 | CSName | Nome della strategia di controllo. |
 | CSDescription | Descrizione della strategia di controllo. |
 | ActiveCSNumber | Numero univoco della strategia di controllo per l´identificazione all´interno della fase. |
 | CSTag | Nodo per la definizione di un parametro collegato alla strategia di controllo. |

Strategie di controllo

Nodo | Proprietà | Descrizione | Possibile valore
ConfiguredControlStrategy |  | Contiene le proprietà della strategia di controllo configurata nella ricetta. |
 | CSName | Nome della strategia di controllo. |
 | CSDescription | Descrizione della strategia di controllo. |
 | ActiveCSNumber | Numero univoco della strategia di controllo per l´identificazione all´interno di questa fase. |


CEL

Manuale -> Batch Control -> CEL

I messaggi, le informazioni e gli errori relativi a ricette, unità, comandi, reazioni, eventi ecc. vengono salvati e visualizzati nella Lista Eventi Cronologica ( CEL).

Gruppi e classi

Le informazioni CEL possono essere assegnate a gruppi e a classi. Questi gruppi e classi corrispondono ai gruppi allarme/evento e alle classi allarme/evento configurati nel progetto. Il relativo gruppo o la relativa classe vengono inseriti nella CEL e possono essere utilizzati per eseguire operazioni di filtro o di raggruppamento.

L´assegnazione di gruppi e classi avviene per azioni per:

  • Ricette
  • Reazioni
  • Comandi
  • Cambi valori
  • Ignora, imponi e esegui step by step

Ricette

Il gruppo o la classe impostati vengono inseriti nella CEL in corrispondenza delle seguenti azioni ricetta:

  • Lista ricette master
    • Nuova
    • Crea nuova versione
    • Elimina
    • Duplica ricetta
    • Rinomina
    • Rilascia
    • Imposta come obsoleta
    • Nuova ricetta di controllo
  • Lista ricette di controllo
    • Rinomina
    • Duplica ricetta
    • Elimina
  • Lista delle Operation
    • Nuovo
    • Rinomina
    • Duplica ricetta
    • Elimina
    • Rilascia

Comandi

Il gruppo o la classe impostati vengono inseriti in corrispondenza di tutti i comandi di ricetta, comandi di fase, cambiamento di modalità e messaggi di riavvio.

Cambio Valori

Il gruppo o la classe impostati vengono inseriti in ricette di controllo in corrispondenza di cambi di valore.

Ignora, imponi e esegui step by step

Il gruppo o la classe impostati vengono inseriti per tutti i passi manuali, quando si ignorano passi o quando li si esegue.

Attribuzioni

L´attribuzione dei gruppi e delle classi avviene

  • Generale: Nelle proprietà del nodo Batch Control, più precisamente nel gruppo Gruppi/Classi eventi CEL
  • Reazioni: Nelle proprietà dell´evento di una reazione nel gruppo Reazioni/Inserimenti nella CEL System viene inserito come utente.


Gestione delle malfunzioni

Manuale -> Batch Control -> Gestione delle malfunzioni

Se si verificano degli errori di comunicazione oppure degli errori PLC, li si può rilevare a Runtime mediante una formula configurata nell´Editor. In caso di errori riguardanti la comunicazione, la fase interessata viene messa in pausa oppure sospesa (a seconda di quanto è stato impostato in fase di configurazione).

Ancora in questo capitolo

Errori di comunicazione

Errori PLC


Errori di comunicazione

Manuale -> Batch Control -> Gestione delle malfunzioni -> Errori di comunicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il rilevamento degli errori può essere configurato a parte per ogni singola fase, visto che le fasi possono essere eseguite anche su diversi PLC. La reazione ad un errore di comunicazione, invece, viene definita per tutte le fasi a livello globale. Inoltre, è possibile configurare anche una reazione all´evento Errore di comunicazione .

Per configurare il rilevamento di errori di comunicazione:

  1. Selezionare la fase desiderata.
  2. Cliccate sulla proprietà Errore di comunicazione del gruppo Errore
  3. Se si clicca sul pulsante ...., si apre l´Editor delle formule dove verrà definita la condizione per il rilevamento degli errori di comunicazione.
  4. Cliccare sulla proprietà Ripristino perdita di comunicazione
  5. Definire la condizione per il rilevamento del ripristino della comunicazione.
  6. Passare alle proprietà del modulo Batch Control.
  7. Nel gruppo Generale/Errore di comunicazione, aprire il menù a tendina della proprietà Azione con perdita di comunicazione
  8. Selezionate in questo menù a tendina la reazione che si desidera in caso di errore di comunicazione.
    • Interrompi fase
    • Fase in pausa

Verifica a Runtime

All´avvio di una fase o al riavvio del Runtime, il sistema attende per 60 secondi di ricevere i valori da utilizzare per la formula per la verifica della comunicazione. Se questo intervallo di tempo scade senza che il sistema abbia ricevuto dei valori, si presuppone che ci sia un errore di comunicazione.

Una nuova verifica dell´esistenza di eventuali errori di comunicazione viene eseguita quando la fase si trova in un nuovo passo.

In caso di riavvio o di reload del Runtime, l´attesa dell´acquisizione dei valori può avvenire in diversi passaggi, visto che la fase viene avviata nel bel mezzo della sua procedura di elaborazione. La verifica dell´esistenza di eventuali errori di comunicazione viene eseguita anche in tutte le aree in cui viene effettuata una analisi degli errori.

Ripristino

Verifica della formula per il ripristino della comunicazione

Il sistema rileva una perdita della comunicazione con il PLC quando il valore della formula configurata per la proprietà Errore di comunicazione è TRUE. Il sistema attende finché non viene ristabilita la comunicazione con il PLC, cioè fino al momento in cui il valore della formula è FALSE. Poi il sistema continua ad attendere finché il valore della formula configurata per la proprietà Ripristino perdita di comunicazione non è TRUE oppure vuoto. Solo a partire da questo momento può essere ripresa l´esecuzione dell´oggetto.

Nell´intervallo di tempo compreso fra la perdita della comunicazione e il suo ripristino:

  • Non può essere inviato nessun comando di fase per la fase in questione.
  • Se lo stato cambia direttamente, non vengono verificate le condizioni transienti.
  • Non viene inizializzata nessuna reazione per il cambio di stato.
  • Il percorso di elaborazione della fase interessata rimane nel vecchio stato quando viene eseguito un comando globale Riprendi o Riavvia.
  • Si rimanda l´esecuzione delle posizioni di esecuzione successive finché la comunicazione per la fase non è stata ristabilita.

Ignorare un errore di comunicazione

Si può ignorare un errore di comunicazione sia mentre l´errore ancora sussiste, sia in fase di ripristino della comunicazione. In entrambi i casi, la comunicazione viene considerata ristabilita. Vengono inizializzate tutte le reazioni dei passi saltati. Un tooltip informa dell´errore ignorato.

Quando è stato ignorato un errore di comunicazione, non se ne può verificare un altro fintanto che il valore della formula configurata per la proprietà Errore di comunicazione non passa a FALSE.

Contatore per ricetta e ricetta parziale per comunicazione ristabilita

Nella riga di stato dell´Editor delle ricette sono disponibili delle informazioni relative agli errori verificatisi in una ricetta; queste informazioni sono fornite dal simbolo della visualizzazione errori e dal suo tooltip. Vengono visualizzate solamente le informazioni di priorità più alta. Gli errori attivi e quelli storici non vengono visualizzati contemporaneamente.

Definizione di priorità e codifica della visualizzazione errori nel tooltip:

Priorità | Colore | Descrizione
1 | Rosso | Al momento ci sono x errori attivi.
2 | Rosso | Al momento ci sono x errori di comunicazione non ancora riconosciuti.
3 | Giallo | C´erano degli errori.
4 | verde | Nono sono stati rilevati errori.

Nota: "Al momento ci sono x errori attivi" somma gli errori di procedura di elaborazione e quelli di comunicazione.


Errori PLC

Manuale -> Batch Control -> Gestione delle malfunzioni -> Errori PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il rilevamento di errori PLC può essere configurato separatamente per ogni singola fase.

Per configurare il rilevamento di errori PLC a Runtime:

  1. Configurare in zenon una variabile che informi dell´errore PLC.
  2. Nell´Editor, selezionare nel modulo Batch Control la fase desiderata.
  3. Nel gruppo Errore, cliccare sulla proprietà Errore PLC.
  4. Cliccando sul pulsante ...., si apre l´Editor delle formule, in cui si definirà la condizione per il rilevamento dell´errore PLC utilizzando la variabile configurata.
    Nota: la formula può essere visualizzata nel report.

Per visualizzare il numero degli errori PLC attivi e risolti in un´immagine:

  1. Selezionare l´unità per le cui fasi è stato progettato il rilevamento di errori PLC.
  2. Passare al gruppo delle prioprietà Informazioni Runtime/Errore.
  3. Configurare le variabili per le proprietà.
    • Numero di errori PLC in attesa
    • Numero di errori PLC risolti
  4. Configurare l´analisi e la visualizzazione delle variabili a Runtime.

Verifica a Runtime

Se c`è una formula per errori PLC collegata, il sistema la verifica mentre la fase è attiva. La verifica inizia dopo che la comunicazione con il PLC è stata stabilita e dura finché la funzione non viene disattivata. La connessione viene considerata stabilita, quando il sistema ha ricevuto tutti i valori per la formula di rilevamento degli errori di comunicazione.

Se si verifica un errore di comunicazione, l´errore PLC non verrà analizzato finché non è stato riconosciuto quello di comunicazione. Dopo l´avvenuto riconoscimento dell´errore di comunicazione, l´analisi continua utilizzando il valore in attesa al momento.

Gli errori PLC e la loro risoluzione vengono visualizzati tramite un simbolo speciale nella fase oppure nella ricetta parziale e con un proprio inserimento nel tooltip.

Se, al momento del completamento di una fase, c`è un errore PLC attivo, quest´ultimo viene settato su risolto. A differenza di quanto succede in caso di normale disattivazione di un errore PLC, in questo caso viene settato un evento proprio: Errore PLC risolto tramite disattivazione della fase. Questo vale solo in caso di vero e proprio completamento, non in caso di riavvio. In quest´ultimo caso, non viene settato nessun nuovo evento per eventuali errori PLC attivi.


Gestione errori

Manuale -> Batch Control -> Gestione errori

Avvisi e messaggi di errore vengono scritti nei file LOG e possono essere analizzati con il Diagnosis Viewer. A questo scopo si deve attivare il modulo Batch Control nelle impostazioni di filtro.

Variabile del driver di sistema

Il modulo Batch Control fornisce al driver di sistema SYSDRV informazioni mediante variabili del driver di sistema. Informazioni relative ai messaggi di queste variabili si trovano nel manuale SYSDRV, nel capitolo Tema - Batch Control.

Ricostruzione di file indice

Quando non è possibile leggere il file indice (recipe.unique) all´avvio del Runtime, oppure questo file non esiste, esso verrà creato al momento dello start. Durante questo intervallo di tempo non potranno essere elaborate le query dei client che richiedono o elaborano un ID. Le modifiche verranno ignorate, le query riceveranno risposta solo dopo l´avvenuta creazione del file indice.


Cambio lingua

Manuale -> Cambio lingua

La funzionalità del cambio lingua consente di visualizzare a Runtime testi, grafiche e caratteri in diverse lingue.
Il "Cambio lingua" è uno strumento particolarmente utile nei seguenti casi:

  • Quando si tratta di creare un progetto da utilizzare in diverse regioni e con diverse lingue.
  • Quando si hanno impianti decentralizzati, a cui si deve poter accedere da tutto il mondo.
  • Se si vuole consentire la gestione in diverse lingue di uno stesso impianto.

La configurazione avviene creando nella visualizzazione dettagli del nodo File delle lingue una tabella lingua contenente i file lingua necessari.
Una guida step by step si trova nel tutorial dedicato all´Internazionalizzazione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo file lingua.. | Apre la finestra di dialogo che consente di creare un nuovo file lingua.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Oggetti traducibili

Tabella lingua e file lingua.

Parole chiave nella tabella lingua

Modificare inserimenti

Modificare esternamente un file lingua

Parole chiave predefinite – Testi di sistema in CEL

Font - Caratteri

Percorsi per cambio lingua dell´help del Runtime

Funzione "Cambio lingua"


Oggetti traducibili

Manuale -> Cambio lingua -> Oggetti traducibili

Si può utilizzare il "Cambio lingua" per la maggior parte dei moduli e delle funzionalità.
Ad esempio:

  • Finestre di dialogo visualizzate a Runtime, come finestre standard per il login, oppure finestre di dialogo per filtri allarmi.
  • Testi visualizzati su elementi, come pulsanti o elementi di tipo "Testo statico".
  • Testi valore limite.
  • Identificazione variabili.
  • Testi di stato e messaggi di sistema nella Lista di informazione allarmi, nella Lista Eventi Cronologica e nell´Industrial Performance Analyzer
  • Cambio lingua per i testi di un'immagine di tipo Blocco note, oppure pagine HTML per il tipo d´immagine HTML.
  • Guida Runtime
  • Nomi gruppi e classi per i gruppi allarme/evento e le classi allarmi/eventi.
  • Percorsi per grafiche, guida, multimedia, testi, formati, e Report Viewer.
  • Cambio di elementi dinamici e statici in sequenze concatenate S7-Graph.
  • Set di caratteri, come Arial Unicode.
  • e molto altro ancora.

È possibile configurare elementi in modo che non siano traducibili:

Ancora in questo capitolo

Testi non traducibili


Testi non traducibili

Manuale -> Cambio lingua -> Oggetti traducibili -> Testi non traducibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non traducibili sono:

Funzionalità

Testi non traducibili

ALC

Nomi delle sorgenti.

Progettazione di impianto

Cambio lingua non possibile.

Archivio

  • Nome breve
  • Nome

Tipi di dato

  • Nome

Funzioni

  • Nome

HTML Web Engine

I testi generati a Runtime per l´AML e la CEL.

Eccezioni: le colonne Testo e Unità di misura.

Load Management
  • Nome Rete
  • Nome Gruppo di utilizzatori
  • Nome Utenze
  • Nome Generatore

Menù

  • Nome per menù principale

PFS

Nomi di:

  • Gruppi di modello orario
  • Eventi
  • Calendario

Matrici di reazione

  • Nome

Manager di gruppi ricette
  • Nome gruppo
  • Nome ricetta

Modelli

  • Nome

Caratteri

  • Nome

Script

  • Nome

Ricette standard
  • Nome

Liste testi

Cambio lingua non possibile.

Driver

  • Nome (viene indicato nella Selezione driver)

Variabili

  • Nome
  • Valore di riempimneto arch. per tipo String

Interblocchi

  • Nome

Temporizzatori

  • Nome del temporizzatore.

Attribuzioni

  • Nome


Tabella lingua e file lingua.

Manuale -> Cambio lingua -> Tabella lingua e file lingua.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter configurare un cambio lingua, si deve anzitutto creare un nuovo File lingua nella Tabella lingua del nodo File delle lingue del progetto o del progetto globale. Questo file lingua viene salvato come file di testo.

A questo proposito, vale quanto segue:

  • La tabella contiene sempre una colonna Parola chiave.
  • La colonna ZENONSTR.TXT viene creata automaticamente. Questo file non può essere cancellato, ma esteso. All’avvio del Runtime, questo file viene caricato automaticamente.
  • Nella tabelle lingua, ad ogni lingua viene assegnata una propria colonna.
  • Per ogni colonna viene creato un proprio file lingua.
    In questo file viene salvata la parola chiave con la sua traduzione. Parola chiave e traduzione sono separate dal carattere "barra verticale" |.
  • Quando si inserisce una nuova parola chiave in una tabella lingua, questa parola verrà inserita automaticamente nella riga corrispondente di tutte le colonne della tabella. La parola chiave dovrà poi essere sostituita manualmente nelle varie colonne con la sua traduzione nelle diverse lingue.
  • Le traduzioni possono essere visualizzate e cambiate anche nell´Editor. Procedura: nella visualizzazione dettagli del nodo "File delle lingue" selezionare nel menù contestuale o nella barra degli strumento l´inserimento "Tabella lingua per l´Editor". È possibile scegliere fra tutti file lingua configurati.
    Per poter eseguire il cambio lingua a Runtime, invece, si deve progettare la funzione corrispondente nell´Editor.
  • Se nel file in uso al momento non esiste nessun inserimento (lingua/colonna), verrà visualizzato un inserimento vuoto.
  • Se non esiste nessun inserimento in nessun file (lingue/colonne), può essere visualizzata in alternativa la parola chiave.
    Perché questo sia possibile, però, la proprietà Visualizza parole chiave non tradotte deve essere attiva. Nota: questa proprietà si trova nel gruppo "Aspetto grafico" delle proprietà di progetto.
  • Se nel progetto globale e nel progetto locale ci sono parole chiavi identiche, a Runtime verranno utilizzati gli inserimenti del progetto globale.

Ancora in questo capitolo

Cambio lingua - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Parole chiave

Creare un nuovo file lingua

Rinominare un file lingua

Copia e incolla

Ordinare

Filtrare

Trova

Sostituisci

Visualizzazione di più righe

Caratteri

Usare la tabella lingua nell´Editor


Cambio lingua - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Cambio lingua - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli e i comandi della barra degli strumenti e del menù contestuale consentono di eseguire azioni per creare e gestire i file delle lingue.

Voce di menù

Azione

Nuovo file lingua...

Aggiunge un nuovo file lingua vuoto nella tabella.

Crea funzione standard

Crea una funzione Cambio lingua e apre la finestra di dialogo per configurarla.

Salva

Salva il file lingua.

Copia file

Copia il file selezionato negli appunti

Copia parola chiave

Copia le parole chiave selezionate negli appunti.

Incolla

Aggiunge contenuto preso dagli appunti (file oppure parole chiave) nella tabella lingua. Il file aggiunto sarà visibile solo dopo che sarà stato eseguito un aggiornamento della visualizzazione dell´Editor.

Elimina file

Cancella il file di lingua selezionato dalla tabella lingua.

Elimina chiave

Cancella la parola chiave selezionata dalla tabella lingua.

Torna all'elemento di partenza

Ritorna alla posizione di partenza nell´Editor di zenon.

Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.

Esporta file

Esporta il file di lingua selezionato in formato TXT.

Importa file

Importa file in formato TXT.

Import/Export esteso

Apre il menù a tendina che consente di importare ed esportare file CSV.

Trova

Apre la finestra di dialogo per cercare inserimenti nel file di lingua attivo.

Sostituisci

Apre la finestra di dialogo per cercare e sostituire inserimenti nella file lingua attivo.

Carattere per il file di lingua selezionato

Apre il menù a tendina che consente di selezionare un carattere:

  • Scegli: si apre la finestra di dialogo che consente di selezionare un carattere.
  • Carattere Standard: verrà utilizzato il carattere standard.

Non disponibile per parola chiave.

Tabella lingua per l'Editor

Apre il menù a tendina che consente di selezionare il file lingua per l´Editor.

Rimuovi tutti i filtri

Elimina tutti i testi filtro dalle colonne.

Tabella caratteri

Apre la mappa caratteri di Windows.

Guida

Apre la guida online.

info Info

Le operazioni esporta, copia, cerca e sostituisci file si riferiscono al file di lingua attivo.

Attivo significa: quando si clicca all´interno della tabella, il file nella cui colonna si è cliccato viene impostato come "attivo". Il nome del file attivo verrà visualizzato nella finestra delle proprietà, e verrà visualizzato il simbolo del cannocchiale nel titolo della colonna che contiene il file.


Parole chiave

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Parole chiave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definire le parole chiave

Le parole chiave sono contrassegnate dal carattere @.

A questo proposito, vale quanto segue:

@Testo

Viene tradotto tutto il testo.

Testo@

Il testo non viene tradotto.

@Testo@Testo

Viene tradotto il testo compreso tra i due segni @

  • Regola: il testo dopo un numero dispari di @ viene tradotto. Il conteggio comincia all´inizio dell´inserimento. Il testo tra il primo e il secondo @ viene tradotto, quello tra il secondo e il terzo @ no!

Esempio: @user@Doe

  • user viene tradotto
  • Doe non viene tradotto

Concatenazioni

Elementi di testo da tradurre ed elementi di testo che non vanno tradotti, possono essere concatenati.

Esempio:
@L’utente @ Doe @ viene deregistrato.

Testo | Traduzione
L´utente | X
Doe | --
viene deregistrato. | X

Traduzioni a Runtime

Per quello che riguarda la visualizzazione di traduzioni a Runtime, vale quanto segue:

  • Alla parola chiave è assegnata una traduzione: vengono visualizzati i testi tradotti.
  • Alla parola chiave non è assegnata nessuna traduzione: non verrà visualizzato nessun testo.
  • Nessun file lingua contiene una traduzione: viene visualizzata la parola chiave senza @.

Visualizzazione di parole chiave

Per visualizzare la parola chiave non tradotta in caso di testi mancanti:

  1. Nelle proprietà di progetto, passare a Aspetto grafico -> Runtime generale.
  2. Attivare la proprietà Visualizza parole chiave non tradotte (segno di spunta nella casella).

    I testi non tradotti verranno poi visualizzati a Runtime come @Parola chiave.


Creare un nuovo file lingua

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Creare un nuovo file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo file lingua:

  1. Aprire il menù contestuale del nodo File di lingua nel Manager di progetto
  2. Selezionare la voce Nuovo file lingua.

    Si aprirà la finestra di dialogo che consente di creare un nuovo file lingua.

  3. Assegnare al file un nome a piacere. L´estensione file *.txt verrà aggiunta al nome automaticamente.
    Il nome file corrisponde al titolo della colonna nella visualizzazione dettagli del nodo File delle lingue.

    Nota: non è consentito l´uso di caratteri speciali.

  4. Confermare cliccando sul pulsante OK.

    Il nuovo file verrà inserito nella colonna più a destra della tabella lingua. Si potrà modificare la posizione del file nella tabella portando il mouse sull´intestazione della colonna e trascinandola via Drag&Drop.

Quando si crea un nuovo file lingua, vengono generate sottocartelle corrispondenti nella cartella File dell´albero di progetto. Queste cartelle hanno il nome del file lingua che è stato appena creato. Queste cartelle sono il luogo di salvataggio per i contenuti riferiti alla lingua. Le sottocartelle vengono create per:

  • Grafica
  • Guida
  • Multimedia
  • Liste
  • Report Viewer


Rinominare un file lingua

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Rinominare un file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome del file attivo viene visualizzato nella finestra delle proprietà come proprietà Nome file. Qui è possibile modificarlo. Quando si rinomina un file lingua, vengono rinominate anche le relative sottocartelle nelle cartelle di file binari.


Copia e incolla

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Copia e incolla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile copiare i file lingua e inserirli nel progetto sorgente, oppure in altri progetti.

Copia

Per copiare un file lingua:

  1. Cliccare con il tasto destro del mouse nella colonna della tabella lingua con la lingua desiderata.
  2. Selezionare il comando Copia file.

    Il file lingua verrà copiato negli appunti.

Incolla

Per inserire un file lingua preso dagli appunti:

  1. Cliccare con il tasto destro del mouse nella tabella lingua.
  2. Selezionare Incolla.

    Il file lingua preso dagli appunti verrà inserito come ultima colonna a destra della tabella lingua. Verranno create anche le necessarie cartelle per i file binari.

Nota: le parole chiave possono essere copiate e inserite anche usando le combinazioni di tasti Ctrl+C e Ctrl+V. Questo, tuttavia, non è possibile per i file lingua.

Comportamento in caso di "Incolla"

Quando si esegue l´operazione "Incolla", il sistema distingue fra progetto sorgente e altri progetti:

  • "Incolla" nel progetto sorgente:
    Viene inserito un nuovo file con il nome COPIA n DI XXX.TXT.
    • n: numero della copia.
    • XXX: nome del file copiato.
  • Quando si inserisce un file in un altro progetto, il sistema controlla se esiste già un file lingua con lo stesso nome.
    • Se esiste un file lingua con lo stesso nome: verrà visualizzata la richiesta se il file esistente deve essere sovrascritto.
    • Se il file lingua non esiste ancora: il file lingua verrà inserito con il suo nome originale.

info Info

I file lingua possono essere anche esportati e importati.


Ordinare

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Ordinare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti delle colonne della tabella lingua possono essere ordinati. Si può modificare anche la successione delle colonne.

Ordinare gli inserimenti:

  1. Cliccare sull´intestazione della colonna che deve essere ordinata.

    L´ordine degli inserimenti della colonna verrà modificato. La direzione dell´ordinamento (ascendente/discendente) è indicata dalla freccia visualizzata sopra l´intestazione della colonna.

  2. Cliccando di nuovo sull´intestazione, si inverte di nuovo la direzione dell´ordinamento degli inserimenti della colonna..

Modificare la successione delle colonne:

  1. Cliccare sull´intestazione della colonna che si vuole spostare.
  2. Tenere premuto il tasto del mouse.
  3. Spostare il mouse nella posizione desiderata.

    Una barra verticale blu indica il posto in cui la colonna verrà collocata.

  4. Rilasciare il tasto del mouse.

    La colonna verrà spostata nella posizione desiderata.

Nota: la colonna Parola chiave deve essere sempre la prima a sinistra della tabella e non può essere spostata.


Filtrare

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Filtrare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile visualizzare una visuale filtrata della tabella lingua.

Procedura:

  1. Cliccare sul campo "Testo filtro" della colonna desiderata.
  2. Inserire un testo filtro.
    Si possono usare wildcard:
    • *: sostituisce qualsiasi carattere e un qualsiasi numero di caratteri.
      red* trova tutti i testi che iniziano con red.
    • ?: sostituisce un determinato carattere.
      r?d trovared, rad, ...

    Tutte le righe che non corrispondono al criterio di filtro, verranno nascoste nella visualizzazione filtrata della colonna.

È possibile combinare filtri diversi.

Per resettare il filtro, cancellare il testo filtro dall´apposito campo di inserimento nell´intestazione di colonna, oppure usare il comando Rimuovi tutti i filtri del menù contestuale.


Trova

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Trova

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile cercare nella tabella lingua determinati testi o frammenti di testo. Per farlo, si possono utilizzare cosiddette espressioni regolari (regular expressions). Le corrispondenze trovate, poi, possono essere anche immediatamente sostituite. L´operazione "Trova e sostituisci" viene sempre eseguita solamente per la colonna nella quale si trova il cursore.

Per eseguire la ricerca:

  1. Cliccare nella colonna desiderata.
  2. Cliccare con il tasto destro del mouse.
  3. Si aprirà il menù contestuale; selezionare Trova.

Finestra di dialogo "Trova"

Parametro

Descrizione

Trova

Campo di inserimento del criterio di ricerca.

Solo parole intere
  • Attivo: il sistema cercherà solamente il criterio di ricerca digitato nel campo di inserimento.
    Esempio: "Text" trova solamente "Text", ma non "Textur".
  • Non attivo: il sistema cerca anche le espressioni che contengono il criterio di ricerca.
    Per esempio: "Text" trova in questo caso anche "Textur".

Maiuscole/minuscole:

  • Attivo: nell´eseguire la ricerca, il sistema distingue fra lettere maiuscole e minuscole.
    Esempio: "Text" trova solo "Text". ma non "text".
  • Non attivo: nell´eseguire la ricerca, il sistema non tiene conto della scrittura in lettere maiuscole e minuscole.

Direzione

Definisce la direzione in cui viene eseguita la ricerca.

  • Su: la ricerca procede dalla cella selezionata verso l´alto.
  • Giù: la ricerca procede dalla cella selezionata verso il basso.

Trova successivo

Cerca ed evidenzia la prossima corrispondenza di testo.

Annulla

Interrompe la ricerca e chiude la finestra di dialogo.

Ricerca incrementale

Per eseguire una ricerca incrementale:

  1. Portare il puntatore del mouse nella colonna desiderata.
  2. Digitare il carattere con cui inizia l´inserimento desiderato.
    • Verrà selezionata la prossima riga della colonna attiva, che inizia con il carattere indicato come criterio di ricerca.
    • La ricerca si riferisce sempre al primo carattere della riga.
      Ad esempio: r trova la riga che contiene red, ma non quella che contiene green.


Sostituisci

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Sostituisci

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trovare e sostituire testi:

  1. Cliccare nella colonna desiderata.
  2. Cliccare con il tasto destro del mouse.
  3. Si aprirà il menù contestuale; selezionare Sostituisci.

Finestra di dialogo "Sostituisci"

Parametro

Descrizione

Trova

Campo di inserimento del criterio di ricerca.

Sostituisci con

Inserimento del termine che deve sostituire il criterio di ricerca.

Solo parole intere
  • Attivo: il sistema cercherà solamente il criterio di ricerca digitato nel campo di inserimento.
    Esempio: "Text" trova solamente "Text", ma non "Textur".
  • Non attivo: il sistema cerca anche le espressioni che contengono il criterio di ricerca.
    Esempio: "Text" trova in questo caso anche "Textur".

Maiuscole/minuscole:
  • Attivo: nell´eseguire la ricerca, il sistema distingue fra lettere maiuscole e minuscole.
    Esempio: "Text" si trova solamente "Text" ma non "text".
  • Non attivo: nell´eseguire la ricerca, il sistema non tiene conto della scrittura in lettere maiuscole e minuscole.

Trova successivo

Cerca e trova la prossima corrispondenza di testo.

Sostituisci

La corrispondenza trovata viene sostituita.

Sostituisci tutto

Tutte le corrispondenze trovate nella colonna attiva vengono sostituite senza una richiesta di conferma.

Annulla

Termina la ricerca


Visualizzazione di più righe

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Visualizzazione di più righe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Testi chiave e traduzioni possono essere visualizzati a più righe. A questo scopo, è possibile modificare l´altezza delle righe stesse.

Per definire individualmente l´altezza delle righe:

  1. Portate il mouse sull´intestazione della riga, a sinistra della colonna Parola chiave.
  2. Spostare il mouse verso la linea di separazione fra le righe, finché il puntatore non assume l´aspetto di una croce.
  3. Trascinare la riga tenendo premuto il tasto sinistro del mouse finché non avrà l´altezza desiderata.

Per adattare l´altezza delle righe automaticamente:

  1. Portare il mouse sull´intestazione della riga, a sinistra della colonna Parola chiave.
  2. Spostare il mouse verso la linea di separazione fra le righe, finché il puntatore non assume l´aspetto di una croce.
  3. Cliccare due volte sulla linea di separazione.

    L´altezza della riga verrà adattata automaticamente al contenuto, e l´Interruzione riga verrà eseguita in corrispondenza della larghezza della colonna.

Nota: le altezze delle righe impostate non verranno salvate quando si chiude la lista.


Caratteri

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anche i caratteri possono essere modificati usando il menù contestuale della tabella lingua.
Nel progetto globale si possono creare delle liste caratteri globali. Gli inserimenti presenti in queste liste saranno poi disponibili in tutti i progetti del workspace.

info Info

Se il tipo di carattere non viene visualizzata in modo corretto nella visualizzazione elenco, si dovrà attivare nel panello di controllo il tipo di carattere Arial Unicode.


Usare la tabella lingua nell´Editor

Manuale -> Cambio lingua -> Tabella lingua e file lingua. -> Usare la tabella lingua nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le parole chiave possono essere tradotte e utilizzate già durante la progettazione nell’Editor. Per esempio, si può verificare già nell`Editor se i campi testo hanno la lunghezza necessaria per gli inserimenti nelle diverse lingue.

Per usare un file lingua nell´Editor:

  1. Selezionare nel menù contestuale l´inserimento Tabella lingua per l'Editor.
  2. Selezionare nel sottomenù il file desiderato
  3. Il file lingua attivo nell´Editor è facilmente riconoscibile per il colore verde dell´intestazione della colonna corrispondente.


Parole chiave nella tabella lingua

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le parole chiave per i testi traducibili sono contrassegnate in zenon dal carattere @. Nella tabella lingua, le parole chiave vengono inserite senza il carattere @. Eventuali caratteri di controllo @ verranno rimossi automaticamente.

Tipp Suggerimento

Per:

  • Inserire parole chiave, usare il Language Table Wizard
  • Gestire traduzioni, usare il Language Translation Wizard und das Project Translation Interface
  • Importare testi di sistema, usare System Text Wizard

Per quello che riguarda l´aggiunta di inserimenti nella tabella lingua, vale quanto segue:

  • Per ogni @ viene creato un pacchetto.
  • Ogni pacchetto deve essere inserito singolarmente nella tabella lingua.

    Esempio: al testo traducibile "@L´utente@ Doe @viene deregistrato." corrispondono due pacchetti nella tabella lingua:

    • Riga 1: L´utente
    • Riga 2: viene deregistrato.
  • Dopo un´importazione, ogni file lingua riceve in un primo momento solamente le parole chiave che aveva prima dell´importazione.
  • Non appena si modifica qualcosa nella tabella lingua (per es. inserimento di una nuova parola chiave), vengono sincronizzate tutte le parole chiave di tutti i file lingua.
    Ogni file conterrà poi tutte le parole chiave.
  • Tutte le nuove parole chiave inserite nella tabella vengono sempre scritte subito in tutti i file di lingua esistenti

attention Attenzione

Un´importazione può avere come conseguenza il fatto che esistono delle nuove parole chiave per le quali non ci sono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate a Runtime.

Per visualizzare le parole chiave precedute da un @, deve essere stata attivata nelle proprietà di progetto la proprietà Visualizza parole chiave non tradotte.

Ancora in questo capitolo

Aggiungere una nuova parola chiave

Language Table Wizard

System Text Wizard


Aggiungere una nuova parola chiave

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Aggiungere una nuova parola chiave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere una nuova parola chiave:

  1. Cliccare nell´ultima cella vuota della colonna Parola chiave.
  2. Inserire la parola chiave.

    Quest´ultima verrà inserita automaticamente in tutte le colonne disponibili della tabella lingua.

  3. Inserire per ogni colonna il termine corretto.

Nota: si può inserire una parola chiave anche premendo il tasto Ins. Quando si preme il tasto Ins, l´ultima riga della colonna "Parola chiave" verrà abilitata alla modifica, indipendentemente dalla posizione del cursore mouse nella tabella.

info Info

È possibile inserire parole chiave anche usando il Language Table Wizard. Si raccomanda di usare il Wizard. In questo modo si avrà la garanzia di inserire tutte le parole chiave necessarie.


Language Table Wizard

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Language Table Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard

  • Cerca nel progetto attivo i testi traducibili o le parole chiave (testo contrassegnato da un @).
  • Scrive le parole chiave trovate.
    • O nella tabella lingua selezionata del progetto attivo, oppure,
    • Nel progetto globale.

Per esigenze di riferimento, deve essere selezionata almeno una tabella (ZENONSTR.TXT) per l´importazione.

Se vengono trovati testi senza il segno @, è possibile impostarli come parole chiave nel progetto. Per farlo, si dovrà digitare un @ all´inizio del testo.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Il "Language Table Wizard" sostituisce il vecchio Language Change Wizard (VBA).

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Settings

Finish


Avviare il Wizard

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Language Table Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard può essere selezionato direttamente nella finestra di dialogo che consente di lanciare i Wizard.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì Language Table Wizard

  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Language Table Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Per navigare all´interno del Wizard, si può o cliccare sulle singole schede, oppure avanzare step by step cliccando sui tasti freccia.

Per chiudere il Wizard, cliccare su Cancel .


Settings

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Language Table Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Import options

Nel gruppo "Import options" si può selezionare quanto segue:

  • Se i testi esistenti devono essere sovrascritti nella tabella lingua selezionata,
  • Se i testi traducibili trovati devono essere settati come parole chiave nel progetto (in questo caso i testi verranno contrassegnati nel progetto con una @) e
  • Se le tabelle lingua del progetto globale devono essere utilizzate o no.

Select language tables

Nel gruppo "Select language tables", a seconda dell´impostazione dell´opzione „Add keywords to lanaguage table global project", vengono visualizzate le tabelle lingua del progetto attivo, oppure quelle del progetto globale. La parola chiave viene inserita come testo nelle tabelle lingua selezionate. Deve essere selezionata almeno una tabella!

Project options

Nel gruppo „Project options" è possibile selezionare quali testi o parole chiavi rilevanti per il processo devono essere ricercati.

Screen elements

Nel gruppo "„Screen elements" è possibile selezionare quali elementi d'immagine devono essere analizzati.


Finish

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> Language Table Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si può avviare la ricerca di testi traducibili e parole chiave.

Per avviare la ricerca, cliccare sul pulsante Finish.

I testi traducibili vengono cercati e scritti nelle tabelle lingua selezionate secondo le impostazioni definite nella scheda "Settings".


System Text Wizard

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> System Text Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il "System Text Wizard" consente di importare testi di sistema nella tabella lingua. I testi di sistema sono testi del Runtime, che vengono usati in zenon in dialoghi e menù, e che non possono essere modificati dall´utente. Per rendere traducibili anche questi testi predefiniti da zenon, li si deve anzitutto importare in una tabella lingua usando questo Wizard. Il numero delle parole chiave e dei testi importati può essere limitato usando un´opzione nel Wizard.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Settings

Finish


Avviare il Wizard

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> System Text Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì System Text Wizard.
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> System Text Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Per navigare all´interno del Wizard, si può o cliccare sulle singole schede, oppure avanzare step by step cliccando sui tasti freccia.

Per chiudere il Wizard, cliccare su Cancel .


Settings

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> System Text Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda „Settings" vengono riassunte le impostazioni per l´importazione dei testi di sistema.

Project settings

Opzione

Descrizione

Overwrite existing language table
  • Attiva: i testi con parole chiave esistenti verranno sovrascritti.

Add keyword to language table global project
  • Attiva: i testi di sistema verranno scritti nella tabella lingua del progetto globale.
  • Non attiva: i testi di sistema verranno scritti nella tabella lingua del progetto locale.

Select keyword language

Selezione della lingua per le parole chiave da un menù a tendina.

Select language

Selezione delle lingue e del file lingua corrispondente. Sono disponibili le lingue supportate da zenon.

Per selezionare una lingua:

  1. Attivare la Checkbox che si trova davanti alla lingua desiderata.
    Una selezione multipla è possibile.
  2. Selezionare nel menù a tendina il file lingua corrispondente.
    Attenzione: il file lingua deve essere già stato progettato in zenon.

Select category

Selezione dei moduli e delle funzionalità per cui devono essere importati i testi di sistema. Per selezionare un oggetto, attivare la checkbox che si trova davanti all´oggetto desiderato.


Finish

Manuale -> Cambio lingua -> Parole chiave nella tabella lingua -> System Text Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si avvia l´operazione di importazione.

Per avviare l´importazione, cliccare sul pulsante Finish.
Quando si chiude il Wizard, si può salvare la configurazione impostata, in modo tale da poter riutilizzare le stesse impostazioni quando si riavvierà l´assistente.


Modificare inserimenti

Manuale -> Cambio lingua -> Modificare inserimenti

Per modificare un inserimento, cliccare due volte sulla cella. Quando si preme il tasto F2, la cella che ha il focus viene aperta in modalità di modifica.

Cancellare parola chiave e traduzioni

È possibile cancellare singole traduzioni, oppure intere chiavi con tutte le traduzioni.

Per cancellare una parola chiave con tutte le traduzioni:

  1. Selezionate la riga desiderata della tabella lingua.
  2. Premete il tasto Canc, oppure selezionare nel menù contestuale il comando Elimina parola chiave

    La parola chiave viene cancellata con tutte le traduzioni dopo una richiesta di conferma.

    Possono essere selezionate e cancellate contemporaneamente diverse righe (tasto Ctrl+clic; Shift+clic)

Per eliminare celle:

  1. Selezionare la cella desiderata della tabella lingua.

    La colonna Parola chiave non deve essere attiva.

  2. Tenere premuto il tasto Shift e cliccare il tasto Canc.

    La traduzione della colonna attiva verrà cancellata.

Copia e incolla

Per copiare parole chiave:

  1. Selezionare le righe desiderate (selezione multipla possibile).
  2. Premere la combinazione di tasti Ctrl+C , oppure selezionare nel menù contestuale il comando Copia chiave

    Le parole chiave verranno copiate negli appunti.

Per inserire parole chiave:

  1. Cliccate nella tabella lingua.
  2. Premete la combinazione di tasti Ctrl+V, oppure selezionare nel menù contestuale il comando Incolla.

    Le parole chiave e gli inserimenti per i file lingua salvati negli appunti verranno inseriti nella tabella lingua.

    Se la chiave copiata esiste già nella lista, ne viene creata una nuova Copia n di XXX

    • n: numero della copia.
    • XXX: nome della chiave copiata.


Modificare esternamente un file lingua

Manuale -> Cambio lingua -> Modificare esternamente un file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file lingua possono essere modificati anche esternamente. Per poterlo fare, bisogna anzitutto esportare i file che si intende modificare.
Possibilità di esportazione e importazione:

Formato file | Export/Import via | Nota
XML in ZIP | Language Translation Wizard | Adatta alla modifica tramite Project Translation Interface. Inserisce testi in un file XML e li esporta con i file lingua selezionati come file ZIP. Inoltre, di ogni immagine del progetto viene generato uno screenshot, che viene inserito nel file ZIP. Il file ZIP contiene anche le liste caratteri del progetto selezionato, e quelle del progetto globale. Interessa sempre i file lingua selezionati. Modifica con il tool di traduzione Project Translation Interface.
TXT | Esporta/importa file (non disponibile per la colonna "Parola chiave") | Strumento adatto particolarmente all´inoltro ad altri utenti o all´importazione in altri progetti. Riguarda sempre solo il file lingua selezionato e le parole chiave. Modifica tramite Editor di testi.
CSV | Import/Export esteso -> CSV | Strumento adatto particolarmente alla modifica esterna. Riguarda sempre tutti i file lingua di una tabella lingua. Modifica con Microsoft Excel

Per modificare un file lingua:

  1. Esportare il file desiderato.
  2. Eseguire le modifiche desiderate.
  3. Reimportare il file nell´Editor

attention Attenzione

Se sono state eseguite delle modifiche esternamente, bisogna tenere presente quanto segue:

  • Quando si esegue un´importazione, il vecchio file non viene semplicemente sovrascritto, ma viene eseguito un merge fra il nuovo file e quello esistente al momento nel progetto. Per i dettagli su questo tema, consultare il capitolo: Esportare e importare file lingua.
  • Le modifiche riguardano sempre solamente la parola chiave e le lingue selezionate. Tutte le altre lingue rimangono immutate, oppure vuote.

Ancora in questo capitolo

Esportare e importare file lingua

Language Translation Wizard

Modifica di un file ZIP

Modificare un file testo

Modifica di CSV in MS Excel

Esportare testi per farli tradurre


Esportare e importare file lingua

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Esportare e importare file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le tabelle lingua possono essere esportate in diversi formati e poi essere reimportate da diversi formati:

  • XML in un file ZIP.
  • TXT
  • CSV

Esportazione

XML/ZIP

Per esportare un file lingua preparato in formato XML in un file ZIP, usare il Language Translation Wizard.

TXT e CSV

Per esportare un file lingua in TXT o CSV:

  1. Per esportare in TXT, cliccare anzitutto nella colonna desiderata.
    Per un´esportazione in CSV, basta cliccare con il tasto destro del mouse nella tabella.
  2. Aprire il menù contestuale cliccando con il tasto destro del mouse.
  3. Selezionare il tipo di esportazione desiderato:
    • Esporta file: esporta la tabella lingua nel formato TXT.
    • Import/Export esteso -> Esporta tutto in CSV...: esporta tutte le tabelle esistenti nel formato CSV.

    Si apre la finestra di dialogo per selezionare il posto in cui salvare il file e per scegliere un nome file.

  4. Salvare il file di esportazione.

    Verrà visualizzato un messaggio che informa che l´esportazione è stata eseguita con successo e offre la possibilità di aprire la cartella nell´Esplora risorse.

    • Cliccando sul pulsante Sì, si aprirà la cartella in cui è stato salvato il file e la finestra di dialogo verrà chiusa.
    • Se si clicca sul pulsante No, invece, verrà semplicemente chiusa la finestra di dialogo e non verrà aperta la cartella di esportazione.

Importazione

XML

Per importare un file lingua preparato in formato XML da un file ZIP, usare il Language Translation Wizard.

TXT e CSV

Per importare un file lingua da TXT o CSV:

  1. Cliccare nella tabella lingua.
  2. Aprire il menù contestuale cliccando con il tasto destro del mouse.
  3. Selezionare il tipo di importazione desiderato:
    • Importa file: importa un file in formato TXT.
    • Import/export esteso -> Importa file CSV: importa un file in formato CSV.

    Si apre la finestra di dialogo che consente di selezionare un file.

  4. Se si clicca su OK, il file verrà importato.

attention Attenzione

Un´importazione può avere come conseguenza il fatto che esistono delle nuove parole chiave per le quali non ci sono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate a Runtime.

Per visualizzare le parole chiave precedute da un @, deve essere stata attivata nelle proprietà di progetto la proprietà Visualizza parole chiave non tradotte.

Comportamento quando si esegue l´importazione

In caso di importazione, vale quanto segue:

  • Se degli inserimenti sono presenti sia nel file di importazione che nel progetto, gli inserimenti già esistenti nel progetto verranno sovrascritti da quelli importati.
  • Gli inserimenti che sono presenti solamente nel progetto, non verranno modificati.
  • Gli inserimenti presenti solamente nel file di importazione, verranno inseriti nel progetto.
  • Se non esiste ancora nel progetto un file lingua del file di importazione, verrà creato un nuovo file con il nuovo nome.

Importazione di TXT

Per poterli importare, i file di testo devono corrispondere al formato della tabella lingua.
Formato: Parola chiave + | + Traduzione

Quando si esegue un´importazione, il vecchio file non viene semplicemente sovrascritto, ma viene eseguito un merge fra il nuovo file e quello esistente al momento nel progetto.

Importazione di CSV

Per poterli importare, i file CSV devono corrispondere al formato della tabella lingua:

  • I file devono avere il suffisso .csv. In caso contrario, verrà visualizzato un messaggio di errore.
  • Separatori colonne consentiti:
    • Barra verticale (|)
    • Punto e virgola (;)
    • TAB (->)

    Se si usano anche altri caratteri come separatori colonne, verrà visualizzato un messaggio di errore.

  • La prima riga deve contenere una lista dei file. Al primo posto deve esserci un placeholder per la colonna Parola chiave.
  • Nelle altre righe ci sono il testo chiave e le rispettive traduzioni, divise dal separatore colonne.
    Il testo chiave deve essere sempre nella prima colonna.

Example Esempio

Struttura del file CSV:

Parola chiave|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Language Translation Wizard

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Language Translation Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard serve per la preparazione dei dati per il Project Translation Interface, uno strumento di traduzione.

Vengono elaborati tutti i dati rilevanti per la traduzione e poi compressi in un file ZIP. Questo file ZIP potrà poi essere decompresso nella Procect Translation Interface e le tabelle lingua potranno poi essere modificate e/o integrate. Dopo aver eseguito le modifiche, il file ZIP può essere caricato nel Wizard e le tabelle lingua modificate possono essere reimportate nel progetto.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Il Language Translation Wizard è incluso anche nelle Project Translation Interfaces (a pagamento).

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Esportazione

Import


Avviare il Wizard

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Language Translation Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì Language Translation Wizard
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Language Translation Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Per chiudere il Wizard, cliccare su Cancel .


Esportazione

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Language Translation Wizard -> Esportazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo l´esportazione, il Wizard analizza tutti i testi di elementi d'immagine, di limits e di altri oggetti di progetto, che sono contrassegnati come testi traducibili tramite il simbolo @.

Questi testi vengono inseriti in file XML ed esportati con le tabelle lingua selezionate in un file ZIP. Inoltre, di ogni immagine del progetto viene generato uno screenshot, che viene inserito nel file ZIP. Il file ZIP contiene anche le liste caratteri del progetto selezionato, e quelle del progetto globale.

Pulsante | Descrizione
Zip Name: | Nome del file di esportazione.
C:\ | Percorso di salvataggio del file di esportazione. Cliccando sul pulsante ..., si apre il browser file ("Cerca cartella") che consente di scegliere una cartella dove salvare il file di esportazione.
Liste Sprachdateien | Campo lista con possibilità di selezione, in cui sono visualizzati tutti i file lingua esistenti nel progetto.
Select all | Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.
Export | Esporta i dati nella cartella di destinazione. È attivo solamente se sono state selezionate una o più tabelle lingua.
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Freccia a destra | Passa alla prossima scheda nel processo di configurazione del Wizard.
Cancel | Chiude il Wizard senza eseguire l´esportazione.

attention Attenzione

I seguenti caratteri speciali non possono essere usati nel nome immagine:
: / \ * < >

Questi caratteri speciali vengono rimossi e sostituiti da un numero progressivo.


Import

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Language Translation Wizard -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda del Wizard si seleziona il file ZIP da importare.

Pulsante | Descrizione
... | Percorso di salvataggio del file di importazione. Cliccando sul pulsante ..., si apre il browser file che serve alla selezione di una cartella.
Lista file lingua | Campo lista (con possibilità di selezione) dei file lingua tradotti da importare.
Select all | Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.
Import | Importa le tabelle lingua selezionate nell´attuale progetto di zenon. È attivo solamente se sono stati selezionati uno o più file lingua.
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Cancel | Chiude il Wizard senza eseguire l´importazione.

attention Attenzione

Quando si aggiunge un nuovo file lingua in zenon 6.51, deve essere eseguito un reload del progetto nel workspace dopo la chiusura del Wizard.

A partire dalla versione 7.00 SP0, invece, i file lingua vengono aggiornati automaticamente.


Modifica di un file ZIP

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Modifica di un file ZIP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare un file lingua esportato come file ZIP:

  1. Aprire il file ZIP con il Project Translation Interface.
  2. Modificare le traduzioni.
  3. Salvare le modifiche in un file ZIP e imporlo nel progetto. .

Cooperazione fra Language Translation Wizard e Project Translation Interface

La Project Translation Interface e lo zenon Language Translation Wizard sono due strumenti che collaborano in modo stretto.

Il Wizard:

  • Analizza i progetti di zenon alla ricerca di testi traducibili.
  • Li inserisce in un file XML.
  • Crea screenshot delle immagini con testi traducibili.
  • Comprime il file XML, gli screenshot, i file per la traduzione e le liste caratteri del progetto in un file ZIP.
  • Dopo che è stata portata a termine la traduzione nella Project Translation Interface, importa i testi tradotti nel progetto di zenon.

L´Interface:

  • Apre il file ZIP creato dal Wizard.
  • Aiuta il lavoro del traduttore con strutturazione file, analisi della lunghezza delle parole e visualizzazione grafica.
  • Esporta la traduzione finita in un file ZIP.


Modificare un file testo

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Modificare un file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda i file lingua, vale quanto segue:

  • I contenuti vengono inseriti come testo in ordine cronologico.
  • Il separatore fra parola chiave e il termine tradotto è una | (barra verticale).
  • Viene tradotto solamente il termine che si trova dopo la barra verticale.

Example Esempio

|

eins|one

zwei|two

drei|three


Modifica di CSV in MS Excel

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Modifica di CSV in MS Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile anche modificare file usando il programma MS Excel. Per modificare un file lingua usando MS Excel:

  1. Aprire il file CSV con MS Excel.

    Il file di esportazione verrà importato automaticamente in Excel.
    I dati verranno visualizzati nel modo seguente:

    • Colonna A: parola chiave.
    • Altre colonne: traduzioni; una traduzione a colonna.
    • Non viene visualizzato nessun separatore.
  2. Modificare i testi.
  3. Salvare il file di nuovo in formato CSV.

Per usare in zenon il file lingua così modificato, importate il file CSV in zenon.


Esportare testi per farli tradurre

Manuale -> Cambio lingua -> Modificare esternamente un file lingua -> Esportare testi per farli tradurre

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile tradurre testi sia tramite il Language Translation Wizard, che usando file CSV.
Suggerimento: usare il Language Translation Wizard. per eseguire la traduzione.

Per esportare i testi da tradurre:

  1. Esportare la tabella lingua come file CSV, oppure in un file ZIP.
  2. Fare tradurre i testi.
  3. Importare il file modificato.

attention Attenzione

In progetti multi-utente, i testi chiave e le loro traduzioni possono essere modificati solo se per i file è stata attivata l´opzione Rendere possibili le modifiche. I testi traducibili di quei file per cui non sono permesse le modifiche, non potranno essere né selezionati, né modificati.

I testi chiave possono essere modificati solamente se le modifiche sono consentite per tutti i file. Quando si inseriscono delle nuove chiavi, queste verranno inserite solamente in quei file per i quali sono consentite le modifiche.


Parole chiave predefinite – Testi di sistema in CEL

Manuale -> Cambio lingua -> Parole chiave predefinite – Testi di sistema in CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per tutti i testi usati a Runtime come default, ci sono delle parole chiave predefinite.

Suggerimento: per la progettazione, usare il System Text Wizard.

Attenzione: le modifiche vengono sovrascritte quando si esegue un update di zenon. Per questa ragione, salvare il file con gli inserimenti modificati a parte e copiarlo nella nuova versione di zenon dopo aver eseguito l´update.

Perché il cambio lingua nelle finestre di dialogo o per le parole chiave predefinite funzioni per la CEL, si deve impostare la lingua Runtime su "inglese", perché le parole chiave sono definite in inglese.

I testi utilizzati nei titoli delle colonne della Lista eventi cronologica e della Lista di informazione allarmi, possono essere configurati tramite le proprietà di progetto.
Ci sono tre modi per aprire la finestra di dialogo che consente di eseguire questa configurazione:

  • Proprietà di progetto -> Lista eventi cronologica (CEL) -> Impostazioni colonna CEL
    oppure
  • Proprietà di progetto -> Lista di informazione allarmi -> Impostazione colonna AML
    oppure
  • La relativa funzione di Cambio immagine

La procedura è analoga a quello per i testi. Il carattere @ premesso alla descrizione contrassegna il testo per il cambio lingua.


Font - Caratteri

Manuale -> Cambio lingua -> Font - Caratteri

Nell´ambito del cambio lingua, può essere necessario usare diversi caratteri, come, ad esempio, Unicode per caratteri asiatici.

Definizione tramite liste caratteri

I caratteri e le liste caratteri vengono definite nel nodo Immagini/Lista caratteri del Manager di progetto. Le liste caratteri impostate in questo nodo potranno poi essere selezionate in fase di configurazione della funzione di Cambio lingua.

Nota: i dettagli relativi a caratteri e a liste si trovano nel capitolo Caratteri, nella guida dedicata alle Immagini.

Assegnare direttamente un tipo di carattere al file lingua

I tipi di carattere possono essere assegnati al file lingua anche direttamente. Questo, però, definisce solamente l´aspetto visivo nel file lingua. La visualizzazione dei testi tradotti nell´Editor e a Runtime non ne è condizionata; questa visualizzazione viene definita mediante Liste caratteri.

Per assegnate direttamente un tipo di carattere al file lingua:

  1. Selezionare una colonna del file lingua.
  2. Selezionare nel menù contestuale Carattere per il file lingua selezionato/Scegli....

    Si aprirà la finestra di dialogo standard Windows che consente di selezionare un carattere.

  3. Selezionare il carattere desiderato.

    Nota: ulteriori impostazioni offerte dalla finestra di dialogo standard, come colore del carattere, non hanno alcun effetto sulla visualizzazione in zenon

info Info

Tipi di carattere e file lingua possono essere già usati e visualizzati nell´Editor. A questo scopo, selezionare nel menù contestuale:

  • Del file lingua: Tabella lingua per l´Editor -> Selezionare file desiderato
  • Della lista caratteri: Lista carattere per l´Editor -> Selezionare lista desiderata


Percorsi per cambio lingua dell´help del Runtime

Manuale -> Cambio lingua -> Percorsi per cambio lingua dell´help del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un nuovo file lingua, i file richiesti per il cambio lingua vengono creati automaticamente nelle sottocartelle necessarie del nodo File:

  • Grafica
  • Guida
  • Multimedia
  • Testi e formati
  • Report Viewer

Quando si configura la funzione di cambio lingua, è possibile scegliere la cartella corrispondente:

attention Attenzione

I file devono avere lo stesso nome nelle diverse lingue e devono essere salvati in diverse cartelle.

Un percorso è già impostato di default nell’Editor. Quando si esegue la funzione di cambio lingua, viene modificato il percorso. Esiste la possibilità di creare delle cartelle individuali nella struttura ad albero del progetto, al di sotto del nodo File .

info Info

È possibile creare diversi livelli di sottocartelle nel nodo File. Nella configurazione della funzione "Cambio lingua", però, potranno essere selezionate solamente quelle cartelle che si trovano al primo livello.

Se non si esegue il cambio di lingua, le cartelle standard valgono come percorsi di default.

attention Attenzione

In generale, il cambio lingua non è possibile a Runtime con l´help HTML dei sistemi operativi di Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato usando un´ immagine HTML.

Eccezione: help con Windows CE.


Funzione "Cambio lingua"

Manuale -> Cambio lingua -> Funzione "Cambio lingua"

Mediante questa funzione è possibile cambiare a Runtime la lingua di visualizzazione di testi, per esempio, delle didascalie di pulsanti.

Quando si crea un nuovo file di lingua, viene creata automaticamente una corrispondente sottocartella nelle seguenti cartelle del nodo "File" del Manager di progetto: grafica, guida, multimedia, testi e formati, e Report Viewer. A queste cartelle viene assegnato lo stesso nome dato al nuovo file di lingua. I file corrispondenti vengono salvati in queste cartelle. La sottocartella attiva può essere cambiata usando la funzione Cambio lingua. Se nella sottocartella non c´é nessun file con il nome indicato, il sistema cerca di caricare il file dalla cartella superiore non dipendente dalla lingua.

Per configurare la funzione:

  1. Scegliere il comando Nuova funzione....
  2. Passare al nodo Applicazione.
  3. Selezionare Cambio lingua.
  4. Si aprirà una finestra di dialogo che consente di configurare il cambio lingua. .

    Quando la si esegue a Runtime, la funzione accede al file di lingua configurato.

Finestra di dialogo di configurazione

Opzione | Descrizione
File per cambio lingua | Apre la gestione file per consentire la selezione di un file.
Lista caratteri | Menù a tendina contenente le liste dei caratteri definiti nell´Editor.
Cambio cartelle | Contiene i percorsi per i file necessari.
Grafica | Menù a tendina che consente la selezione della sottocartella lingua per le grafiche.
Guida | Menù a tendina che consente la selezione della sottocartella lingua per i file CHM della guida Runtime.
Multimedia | Menù a tendina che consente la selezione della sottocartella lingua per i file multimedia.
Testi e formati | Menù a tendina che consente la selezione della sottocartella lingua per testi e formati
File definizione Report | Menù a tendina che consente la selezione della sottocartella lingua per il Report Viewer
Ok | Applica la configurazione, crea la funzione e chiude la finestra di dialogo.
Annulla | Rifiuta le impostazioni, chiude la finestra di dialogo e crea una funzione senza destinazione.
Guida | Apre la guida online.


Cambio unità di misura

Manuale -> Cambio unità di misura

La funzionalità di "Cambio unità di misura" consente la conversione e il cambio di unità di base in cosiddette unità di conversione, per esempio metro in yard, metro in decimetro, centimetro in millimetro. Un´unità di base contiene il valore di partenza per eseguire la conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe hanno una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Quando si configurano i parametri di una variabile, si può selezionare un´unità di base. A Runtime, si può poi passare da un unità di misura ad un´altra usando la funzione cambio unità di misura.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova unità base | Crea una nuova unità di base.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Guida | Apre la guida online.

info Info

Il cambio unità di misura non deve essere usato insieme alla funzione variablerw del Generatore di report. Questa funzione, infatti, mette a disposizione uno strumento per il cambio unità di misura per progetti più vecchi. Se un´unità di misura di una variabile definita nel "cambio unità di misura" viene modificata usando questa funzione di report, si dovrà configurare nuovamente il cambio unità di misura.

Ancora in questo capitolo

Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Configurare un´unità di misura

Attribuzione di un´unità di base ad una variabile

Funzione Cambio unità di misura

Runtime


Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Manuale -> Cambio unità di misura -> Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Unità di misura - Visualizzazione dettagli

Voce di menù | Azione
Nuova unità di misura base | Crea una nuova unità di base.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Guida | Apre la guida online.

Menù contestuale e barra degli strumenti Unità base/Unità di conversione

Voce di menù | Azione
Nuova unità di misura base | Crea una nuova unità di base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento di partenza | Menù a tendina che consente tornare all´elemento dal quale si è passati all´unità di misura. Questa voce di menù è attiva solamente se l´unità di misura è collegata ad un altro elemento.
Rinomina | Consente di modificare il nome dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura già collegate a variabili o utilizzate in funzioni, dovranno essere adattate manualmente nella variabile o nella funzione cui sono collegate. Vedere anche: Attribuzione di unità di base ad una variabile Funzione "Cambio unità di misura".
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se esiste già un inserimento con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Guida | Apre la guida online.


Configurare un´unità di misura

Manuale -> Cambio unità di misura -> Configurare un´unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire la conversione, si deve anzitutto creare un´unità di base e un´unità di conversione, e si devono configurare i parametri sulla base dei quali verrà effettuata la conversione. La conversione viene eseguita secondo la formula y=kx+d (Austria) oppure y=mx+b (Germania). Ogni unità di base può essere assegnata a una variabile come unità di misura.

Procedura per creare una nuova unità di base:

  1. Nel Manager di progetto, selezionare il nodo "Unità di misura".
  2. Cliccare con il tasto destro del mouse su "Unità di misura".
  3. Nel menù contestuale, selezionare il comando "Nuova unità di base".
  4. Viene creato un nuovo inserimento nella lista visualizzata nella Visualizzazione dettagli.
  5. Assegnare una denominazione all´unità di misura.
  6. Creare un´unità di conversione.

Procedura per creare un´unità di conversione:

  • Cliccate con il tasto destro del mouse su unità di base.
  • Nel menù contestuale, selezionare il comando "Nuova unità di conversione".
  • Viene creato un nuovo inserimento nella lista visualizzata nella Visualizzazione dettagli.
  • Assegnare una denominazione all´unità di misura.
  • Impostate un Fattore per la conversione.
  • Configurare un valore per la Posizione della virgola decimale.
  • Configurare un valore per l´Offset.


Attribuzione di un´unità di base ad una variabile

Manuale -> Cambio unità di misura -> Attribuzione di un´unità di base ad una variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assegnazione di unità di base ad un variabile viene eseguita nella proprietà Unità di misura della variabile stessa (nodo Generale).

Qui si può assegnare una denominazione a piacere all´unità di misura. Se si vuole utilizzare la funzionalità di cambio unità di misura a Runtime, si deve selezionare un´unità di base definita in precedenza scegliendola fra quelle offerte dal menù a tendina.

Suggerimento: quando si assegna una denominazione a piacere, si dovrebbe creare subito dopo nel nodo "Unità di misura" l´unità base con lo stesso nome.

Perché a Runtime possa essere eseguita la conversione di unità, si deve impostare una Funzione "Cambio unità di misura" .

attention Attenzione

Se si modificare l´unità di misura in un secondo momento, il cambiamento di nome non viene eseguito automaticamente per le variabili già connesse.

Procedura per cambiare la denominazione di unità di misura già collegate a variabili:

  • Selezionare la visualizzazione dettagli del Manager di progetto.
  • Selezionare la colonna "Unità di misura", oppure aggiungerla alla visualizzazione se non è ancora visualizzata.
  • Selezionare poi nel menù contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nella finestra di dialogo che si aprirà, cercare il vecchio nome e sostituirlo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Nota: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Sostituisci in | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

info Info

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attention Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e contatore cicli di funzionamento nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella immagine EMS vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Controlli

Manuale -> Controlli

In zenon possono essere implementati dei Control propri. A tal scopo sono a disposizione:

  • .NET User Controls (sul tema implementazione in zenon, vedi anche .NET Controls nella parte della guida concernente le Immagini.)
  • ActiveX (sul tema implementazione in zenon vedi anche ActiveX nella parte della guida concernente le Immagini.)
  • WPF

info Info

Delle informazioni sull´uso delle interfacce di programmazione di zenon (PCE, VBA, VSTA) le trovate nella parte della guida Interfacce di programmazione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

attention Attenzione

Tenere presente che errori in applicazioni come ActiveX, PCE, VBA, VSTA, WPF e applicazioni esterne che accedono a zenon via le API, possono condizionare anche la stabilità del Runtime.

Ancora in questo capitolo

Generale

ActiveX

.NET User Controls

WPF


Generale

Manuale -> Controlli -> Generale

Control per zenon possono essere realizzati mediante ActiveX, .NET e WPF. Tramite VBA/VSTA si può accedere alle API di zenon.

Ancora in questo capitolo

Accesso alle API di zenon

Metodi


Accesso alle API di zenon

Manuale -> Controlli -> Generale -> Accesso alle API di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon, un ActiveX Control può essere esteso con l´aggiunta di funzioni specifiche, per poter accedere alle API di zenon.

Accesso alle API di zenon

  • Selezionare nelle Project References con Add References... la zenon-RT libreria oggetti
  • Inserire le funzioni estese nel codice classe del control.

Funzioni estese ActiveX zenon

// Viene aperto al momento dell´avvio del Control nel runtime di zenon.

public bool zenonInit(zenon.Element dispElement)…

// Viene aperto al momento della distruzione del Control nel runtime di zenon.

public bool zenonExit()…

// Supporta il Control Variablenverknüpfungen (collegamentivariabili).

public short CanUseVariables()…

// Tipi di dato supportati da Com Control.

public short VariableTypes()…

// Numero massimo delle variabili che possono essere collegate con il Control.

public short MaxVariables()…

Esempio

Il COM Object di una variabile di zenon viene salvato temporaneamente in un Member per potervi poi accedere nel Paint Event del Control:

zenon.Variabile m_cVal = null;

public bool zenonInit(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // le variabili sono supportate

}

public short VariableTypes()

{

return short.MaxValue; // tutti i tipi di dato vengono supportati

}

public short MaxVariables()

{

return 1; // al massimo una variabile deve essere collegata con il Control

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// zenon Variables has changed

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

} catch { }

}


Metodi

Manuale -> Controlli -> Generale -> Metodi

ActiveX Control e .NET-Control che usano variabili di zenon, necessitano di determinati metodi.

Ancora in questo capitolo

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuale -> Controlli -> Generale -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controlli -> Generale -> Metodi -> MaxVariables

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controlli -> Generale -> Metodi -> VariableTypes

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controlli -> Generale -> Metodi -> zenonExit

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controlli -> Generale -> Metodi -> zenonExitEd

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Info: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controlli -> Generale -> Metodi -> zenonInit

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActiveX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.


zenonInitEd

Manuale -> Controlli -> Generale -> Metodi -> zenonInitEd

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Info: è disponibile attualmente solo per ActiveX.


ActiveX

Manuale -> Controlli -> ActiveX

Con ActiveX si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Sviluppare elementi Active X
  • Esempio LatchedSwitch (C++)
  • Esempio CD_SliderCtrl (C++)
  • Esempio .NET Control come ActiveX (C#)

Le informazioni sull´elemento dinamico ActiveX le trovate in questa guida nella parte dedicata alle Immagini e in particolare nel capitolo ActiveX .

ActiveX per Windows CE

Se un ActiveX Control deve funzionare sotto Windows CE, il modello apartmentdeve essere settato su Threading. Se è settato su Free, il Control non funzionerà nel Runtime di zenon.

Ancora in questo capitolo

Sviluppare elementi Active X

Esempio LatchedSwitch (C++)

Esempio CD_SliderCtrl (C++)

Esempio .NET Control come ActiveX (C#)


Sviluppare elementi Active X

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento dinamico ActiveX in zenon può trasferire delle variabili all´ActiveX Control senza che sia necessario usare la via più lunga attraverso VBA per gestire il Control.

Il Control può definire autonomamente quante variabili di zenon possono essere utilizzate e di che tipo esse possono essere. Inoltre le proprietà del Control possono essere definite tramite l´elemento dinamico.

A tal scopo, l´interfaccia (Dispatch-Interface) del Control deve supportare una serie di determinati metodi.

Ancora in questo capitolo

Metodi


Metodi

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni ActiveX-Control che può usare delle variabili di zenon deve contenere i seguenti metodi.

  • CanUseVariables
  • MaxVariables
  • VariableTypes
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

Non ha alcuna importanza quale Dispatch ID hanno i metodi nell´interfaccia. All´apertura dei metodi, in zenon viene tratto dall´interfaccia l´ID corretto.

Ancora in questo capitolo

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonExitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Info: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActiveX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.


zenonInitEd

Manuale -> Controlli -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonInitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Info: è disponibile attualmente solo per ActiveX.


Esempio LatchedSwitch (C++)

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di seguito verrà descritto a titolo di esempio un ActiveX Control che realizza un interruttore bloccabile tramite due variabili Bit. La prima variabile rappresenta l´interruttore, la seconda il blocco. La variabile dell´interruttore può essere modificata tramite l´ActiveX Control solo nel caso in cui il valore della variabile di blocco sia pari a 0.

Lo stato dell´elemento viene visualizzato tramite 4 Bitmaps che possono essere selezionati nell´editor di zenon facendo uso del dialogo properties del Control.

Ancora in questo capitolo

Interfaccia

Control

Metodi

Gestione e visualizzazione

L´interfaccia di zenon


Interfaccia

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control LatchedSwitch possiede la seguente Dispatch Interface:

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
Properties:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // container for the bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Le Properties da SwitchOn a LatchedOff accettano i Bitmaps per visualizzare i 4 stati del Control. Gli stessi Bitmaps vengono depositati negli oggetti della classe CPictureHolder. Attraverso la proprietà Valore impostabile diretto si stabilisce se l´inserimento dei valori impostabili è possibile tramite l´uso di un dialogo, oppure direttamente cliccando sul Control.


Control

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CLatchedSwitchCtrl. Questa classe possiede come Member gli oggettiCPictureHolder per l´accettazione dei Bitmaps. Inoltre sono compresi anche tre DispatchDriver per l´elemento dinamico e le variabili:

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructor

public:

CLatchedSwitchCtrl();

// Overrides

// ClassWizard generated virtual function overrides

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange(CPropExchange* pPX);

virtual void OnResetState();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Implementation

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Class factory and guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS(CLatchedSwitchCtrl) // Property page IDs

DECLARE_OLECTLTYPE(CLatchedSwitchCtrl) // Type name and misc status

// Message maps

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Dispatch maps

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CPictureHolder m_SwitchOn;

CPictureHolder m_SwitchOff;

CPictureHolder m_LatchedOn;

CPictureHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// Dispatch and event IDs

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Ancora in questo capitolo

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control può lavorare solamente con variabili Bit, perciò viene restituito 0x0004.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Solo variabili Bit

}


MaxVariables

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere usate due variabili, perciò risulta 2.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 Variablen

}


zenonInit

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo metodo il sistema si va a prendere mediante il Dispatchpointer dell´elemento dinamico i Dispatchdriver delle variabili. Tramite questo Pointer il sistema va a prendere e setta i valori delle variabili con un clic e disegnando il control.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

Element.m_lpDispatch->AddRef();

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}

info Info

Element.m_lpDispatch->AddRef();

Gli oggetti non utilizzati non vengono eliminati automaticamente dalla memoria. Questo deve essere fatto esplicitamente in fase di programmazione. Il programmatore decide se un oggetto (sulla base di un contatore di riferimenti) può essere rimosso.

COM usa i metodi IUnknow AddRef e Release per gestire il numero di riferimenti di interfacce ad un oggetto.

Le regole generali per la chiamata di questi metodi sono:

  • AddRef deve essere invocato sull'interfaccia se il client riceve il puntatore all´interfaccia.
  • Il metodo Release deve essere invocato se il client termina di usare il puntatore all´interfaccia.

Con una semplice implementazione, una variabile contatore nell´oggetto viene incrementata ad ogni chiamata del metodo AddRef . Ogni chiamata del metodo Release, decrementa di 1 il contatore dell´oggetto. Se questo contatore ha raggiunto lo 0, l'interfaccia può essere cancellata dalla memoria.

Si può implementare un contatore dei riferimenti anche in modo tale che venga contato ogni riferimento all'oggetto (e non all'interfaccia individuale).

In questo caso, ogni delegato AddRef e ogni delegato Release invocano un'implementazione centralizzata all'oggetto. Un Release, di conseguenza, sblocca interamente l´oggetto quando il contatore dei riferimenti ha raggiunto lo zero.


zenonExit

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo rende di nuovo disponibili i Dispatchdriver.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Imposta valore

Disegno


Imposta valore

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Imposta valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un valore impostabile viene settato cliccando una volta sul Control con il tasto sinistro del mouse.

Nel caso in cui m_iSollwertDirekt sia pari a 0, si apre un dialogo per la selezione del valore impostabile; altrimenti viene invertito il valore attuale della variabile di conversione.

Se il valore della variabile di blocco è 1, viene eseguito solamente un MessageBeep; non può essere settato nessun valore impostabile tramite il Control.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Bloccato!!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Toggle

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Disegno

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento del disegno del Control il sistema va a prendersi i valori della variabili tramite il Dispatchdriver di queste ultime; in corrispondenza di ciò viene disegnato una delle 4 grafiche indicate. Quando cambia il valore di una variabile, il Control viene attualizzato facendo uso della routine OnDraw.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // Variabili disponibili ?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dSwitchVar) // Variabile disponibile?

{

vRes = m_dLatchVar.GetValue();

bVal2 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


L´interfaccia di zenon

Manuale -> Controlli -> ActiveX -> Esempio LatchedSwitch (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio CD_SliderCtrl (C++)

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un ActiveX Control che è uguale al Windows SliderCtrl. Questa componente può essere collegata ad una variabile di zenon. L´utente può modificare il valore impostabile di una variabile tramite lo slider. Nel caso in cui la variabile sia modificata tramite un altro elemento dinamico, viene attualizzato lo slider.

Ancora in questo capitolo

Interfaccia

Control

Metodi

Gestione e visualizzazione

L´interfaccia di zenon


Interfaccia

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control CD_SliderCtrl possiede la seguente Dispatch Interface:

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Proprietà del Control

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Metodi del Control (per zenon-ActiveX)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Control

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CD_SliderCtrlCtrl. Questa classe possiede come member un CSliderCtrl comune per Windows, con cui il Control viene editato in una sottoclasse. Le interfaccia IVariable e IElement contengono interfaccia di zenon che si è dovuto integrare. Esse sono derivate da COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Member-Variablen

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** Metodo per la conversione di Variant

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Class factory and guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // Property page IDs

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Type name and misc status

//*** Metodi per la funzionalità di SliderCtrl

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void VScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Ancora in questo capitolo

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control può lavorare con parola, byte, parola doppia e variabili float. Una lista dei possibili tipi di dato la trovate nella descrizione generale di questo metodo.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Wort

0x0002 | // Byte

0x0008 | // D-Wort

0x0010 | // Float

0x0020; // D-Float

}


MaxVariables

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo Control può essere collegata solo una variabile.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 Variablen

}


zenonInit

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro dispElement contiene l´interfaccia per l´elemento dinamico. Tramite questo elemento viene determinata la variabile collegata di zenon. Se questa è valida, viene settato il settore di SliderCtrls. Inoltre vengono settate le impostazioni per la visualizzazione (numero dei ticks, ...). Se non è collegata nessuna variabile, viene fissato un settore di funzionamento da 0 a 0. In tal modo, SliderCtrl non può essere modificato. Tramite la variabile m_bInitialized si stabilisce che i valori impostabili da adesso possono essere settati.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Stabilisci la variabile tramite l´elemento zenon

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Inizializza il settore dello Slider-Ctrl

if (m_interfaceVariable) {

//*** Stabilisci settore di funzionamento

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Stabilisci tick secondari

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo metodo vengono di nuovo rese disponibili le interfacce di zenon.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Disegno

Imposta valore


Disegno

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite DoSuperclassPaint viene disegnato lo SliderCtrl (visto che si tratta di gesubclassed Control). Se al momento del disegno lo slider viene spostato, la variabile m_bInitialized assume il valore FALSE. In tal modo ci si assicura che il valore possa essere modificato. Generalmente il valore della variabile viene determinato ed esso viene rappresentato mediante il metodo SetPos dello SliderCtrl.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** Attualizza la visualizzazione

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Imposta valore

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Imposta valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel metodo LButtonDown la variabile m_bInitialized viene settata a FALSE e nel LButtonUp viene riportata a TRUE. In tal modo ci si assicura che il valore possa essere modificato. Altrimenti si dovrebbe aprire la OnDraw e si dovrebbe visualizzare il valore originario.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Un´impostazione valore viene eseguita da una modifica dello slider. Nei metodi HScroll oppure VScroll viene settato il valore impostabile (a seconda che si tratti di uno slider orizzontale oppure verticale).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** settare valore impostabile senza dialogo ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


L´interfaccia di zenon

Manuale -> Controlli -> ActiveX -> Esempio CD_SliderCtrl (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. Collegare variabili di zenon con il .NET User Control

attention Attenzione

Quando si usano oggetti COM di zenon in user Control di creazione propria, oppure in applicazioni esterne, questi devono essere resi disponibili usando il metodo Marshal.ReleaseComObject. Il rilascio mediante il metodo Marshal.FinalReleaseComObject non può essere usato perché Add-In di zenon smettono di funzionare quando si usa questo metodo.

info Info

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Ancora in questo capitolo

creare Windows Form Control

trasformare .NET User Control in Dual Control

lavorare nell´Editor tramite VBA con ActiveX

Collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    In questo esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    In questo esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


trasformare .NET User Control in Dual Control

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà Macro VBA/Init dell´elemento ActiveX.

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime di zenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime di zenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:

Ancora in questo capitolo

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametro | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controlli -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


.NET User Controls

Manuale -> Controlli -> .NET User Controls

Con i .NET Control si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Differenze fra Control Container e ActiveX
  • Esempio di .NET Control Container
  • Esempio .NET Control come ActiveX (C#)

Le informazioni concernenti l´uso di .NET Controls in ActiveX le trovate nella guida Immagini nel capitolo .NET Controls.

attention Attenzione

Quando si usano oggetti COM di zenon in user Control di creazione propria, oppure in applicazioni esterne, questi devono essere resi disponibili usando il metodo Marshal.ReleaseComObject. Il rilascio mediante il metodo Marshal.FinalReleaseComObject non può essere usato perché Add-In di zenon smettono di funzionare quando si usa questo metodo.

Ancora in questo capitolo

Differenze nell´uso di .NET Control in Control Container e ActiveX

Esempio di .NET Control Container

Esempio .NET Control come ActiveX (C#)


Differenze nell´uso di .NET Control in Control Container e ActiveX

Manuale -> Controlli -> .NET User Controls -> Differenze nell´uso di .NET Control in Control Container e ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un .Net User Control può:

  • essere implementato tramite CD_DotNetControlContainer Control direttamente nell´elemento ActiveX di zenon
  • essere usato come ActiveX Control ed essere implementato direttamente nell´elemento ActiveX di zenon

Le differenze fra Container Control e ActiveX Control sono soprattutto:

CD_DotNetControlContainer Control

ActiveX Control
  • Non deve essere registrato sul calcolatore.
  • Deve essere registrato come ActiveX sul calcolatore (regsvr32).
  • Se ci sono delle modifiche nel Control, il DLL deve essere cambiato.
  • Se ci sono delle modifiche nel Control, il TLB deve essere nuovamente registrato.
  • Accesso tramite VBA e VSTA possibile solamente tramite metodi CD_DotNetControlContainer.
  • Accesso tramite VBA e VSTA molto semplice.


Esempio di .NET Control Container

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo tutorial si descrive come creare in Visual Studio 2010 un semplice .NET User Control (linguaggio di programmazione C#) e come implementarlo poi con l´aiuto di zenon CD_DotNetControlContainer Control come ActiveX in un elemento Active X di zenon.

Ancora in questo capitolo

Generale

Creare .Net User Control

aggiungeremo CD_DotNetControlContainer e .NET User Control

Accesso all´User Control tramite VSTA oppure VBA


Generale

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il CD_DotNetControlContainer serve da wrapper fra un User Control e l´elemento ActiveX di zenon. Tutti i metodi usati nel seguente esempio, nonché tutti i Public Methods e Properties vengono trasmessi tramite il CD_DotNetControlContainer dall´User Control all´ActiveX e possono essere usati da zenon, anche in VBA e VSTA.

Se nell´User Control si referenzia alla Programming Interface di zenon, si può accedere direttamente agli oggetti di zenon.

Nel seguente esempio faremo quanto segue:

  • imposteremo un .NET User Control
  • aggiungeremo CD_DotNetControlContainer e .NET User Control
  • consentiremo l´accesso all´User Control tramite VSTA (VBA)

Percorso per DLL nell´Editor e nel Runtime

Il percorso per .Net DLL selezionato nell´Editor, viene utilizzato anche nel Runtime. Esso viene settato in modo assoluto e non deve essere più modificato.

Vi preghiamo di assicurarvi che venga utilizzato lo stesso percorso nell´Editor e nel Runtime di tutti i calcolatori che fanno parte della rete di zenon.
Suggerimento: Selezionate un percorso assoluto, ad esempio: C:\Controls. Inserite il percorso nel Remote-Transport e nel.NET Control Container. Sincronizzate questo percorso in modo che sia lo stesso su tutti i calcolatori usando il Remote-Transport.

Ancora in questo capitolo

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnExit()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnExit()

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public short CanUseVariables()

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametro | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


Creare .Net User Control

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Creare .Net User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´User Control è un semplice control che consente di settare un nuovo valore attraverso un campo di inserimento (text box). Dopo che si è premuto il pulsante, il valore viene scritto sulla variabile desiderata di zenon.

Un´altra funzione deve riconoscere automaticamente se si è verificato un cambio nel valore della variabile in zenon e visualizzare il nuovo valore nel Control.

info Info

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Passaggi della procedura

  1. In primo luogo procedete alla creazione di un nuovo progetto in VS; usate il tipo di progetto „Windows Forms Control Library"

    Importante: impostate Framework a 3.5!

  2. Poi rinominate il file CS: da "UserControl" in "zenon_CD_DotNetControlContainer.cs" . I file Designer.cs e .resx verranno rinominati automaticamente.

  3. Il prossimo passo consiste nella creazione dell'User Control. A tal scopo avete bisogno di due text box, una per l'input e l'altra per l'output, e di un pulsante per scrivere un nuovo valore sulla variabile di zenon.
    Nominate:
    • la prima text box „txtGetZenonVariable"
    • la seconda tex tbox „txtSetZenonVariable"
    • il pulsante „btnSetZenonVariable"

  4. Per poter accedere agli oggetti di zenon, avete bisogno di un riferimento alla Programming Interface di zenon. Procedura:
    • cliccate sul nodo "References" nel Solution Explorer
    • aprite il menù contestuale
    • selezionate Add References…
    • passate alla scheda COM
    • selezionate zenon programming interface library

    A questo punto dovrebbe apparire il riferimento "zenOn" nella lista dei riferimenti.

  5. Il prossimo passo consisterà nell´impostare nel programmcode di zenon_CD_DotNetControlContainer.cs una variale globale del tipo zenon.Variable:

  6. Questa variabile viene inizializzata tramite il public methode zenOnInit:

    e viene resa di nuovo disponibile attraverso il public methode zenOnExit:

    Nei seguenti metodi si stabilisce se le variabili e i tipi di dato di zenon possono essere usati e quante variabili possono essere consegnate:

  7. Il prossimo passo consiste nello stabilire nel Click-Event del pulsante btnSetZenonVariable che, cliccando sul pulsante stesso, il valore viene scritto nella textbox txtSetZenonVariable sul valore della variabile zenon e poi il contenuto della textbox viene cancellato.

  8. Per poter reagire alla modifica del valore della variabile, avete bisogno del Paint-Event del Control. Viene eseguito anche un trigger per il Paint-Event se cambia il valore della variabile zenon inizializzata e perciò non può essere usato per l´aggiornamento dei valori. Visto che le variabili che sono referenziate nell´elemento ActiveX zenon, sono automaticamenre advised, si può in generale rinunciare al container zenon.OnlineVariable nel Control.

Una visione insieme del codice

Qui ancora una volta l´intero codice in una visione d´insieme:

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//This will be needed to get the zenon Variable Container

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// This public Method will be called by the initialization of the control during

/// the zenon Runtime.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenOnInit(zenOn.Element dispElement)

{

//Check if zenon Variables are added to the

//Control

if (dispElement.CountVariable > 0)

{

try

{

//Take the first zenon Variable and added

//to the global Variable

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

// <summary>

/// This public Method will be called by the release of the control during

/// the zenon Runtime.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Release the zenon Variable (Com-Object)

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// This public Method is needed to link zenon Variables

/// to the control.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only this Variable is supported

}

/// <summary>

/// This public Method returns the Type of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // all Data Types supported

}

/// <summary>

/// This public Method returns the number of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Only 1 Variable should linked to the Control

}

/// <summary>

/// This will be triggert by clicking the Button. The new Value will

/// be set to the zenon Variable

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Set Value from TextBox to the zenon Variable

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// This will be triggert by painting the User Control or the Value of the Variable changed.

/// After the value of the Variable changed the Control will be new painted and the new Value

/// will be set to the Textbox.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Creare release

Alla fine create un Release per poter implementare la DLL completa in zenon e/o in CD_DotNetControlContainer.

A tal scopo si deve assolutamente passare nei settings da Debug a Release.


aggiungeremo CD_DotNetControlContainer e .NET User Control

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> aggiungeremo CD_DotNetControlContainer e .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per preparare il progetto zenon e aggiungere il CD_DotNetControlContainer e il .NET User Control, realizzate i passi seguenti:

  1. Impostate una variabile interne del tipo Stringa e settatela sulla lunghezza stringa di 30.

  2. Aggiungete nel nodo di progetto di zenon dal nome Projekt/Dateien/Sonstige il DLL del .NET User Control impostato. Nel corso di questo processo, il file viene copiato nella cartella Additional a livello di file system.

  3. Il DLL si trova nella cartella di output del Visual Studio Project alla voce ...\bin\Release\zenon_CD_DotNetControlContainer.dll.

  4. Selezionate nel progetto l´elemento ActiveX e trascinatelo nell´immagine zenon.
    • Si apre il dialogo Configurazione.
    • Selezionate il CD_DotNetControlContainer.Container Control.

  5. Per inserire in modo scollegato il .NET User Control nel CD_DotNetControlContainer Control:
    • Cliccate sul pulsante Proprietà.
    • Viene aperto un nuovo dialogo

    • Cliccando sul pulsante Load selezionate il percorso della cartella di progetto, per esempio: C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    Nota: Í controlli dovrebbero essere salvati sempre nella cartella Additional del progetto. In questo caso, infatti, vengono presi in considerazione dal sistema per i backup e trasferimento di file. Il percorso deve essere definito in modo relativo al luogo di salvataggio. In alternativa, si può usare per Path l´opzione Absolute; se si utilizza questa opzione, però, bisogna assicurarsi che la stessa struttura di directory esista anche sul sistema di destinazione.

    Adesso dovrebbe essere visualizzato il .NET User Control.

    Confermare la finestra di dialogo cliccando su OK.

  6. Nell´ultimo passaggio si collega una variabile al Control usando il pusante Variabili.

    La variabile selezionata viene collegata automaticamente mediante il metodo public zenonInit con la variabile definita globalmente (.NET UserControl). Il collegamento con il Control diviene però effettivo solamente dopo l´avvio del Runtime.

    Poi dovete procedere a collegare la variabile interna con un elemento di testo.

  7. Dopo l´avvio del Runtime, il Control è, in un primo momento, ancora vuoto.

    Se viene scritto un valore nella seconda box di testo e poi confermato mediante il pulsante Set zenon Variable, il valore viene scritto sulla variabile di zenon. (L´evento btnSetZenonVariable_Click viene eseguito.)

    Esso viene visualizzato anche nell´elemento di testo di zenon.

    Se il valore viene modificato direttamente nell´elemento di testo di zenon,

    esso verrà scritto tramite il Paint Event del .NET Control nella prima box di testo.


Accesso all´User Control tramite VSTA oppure VBA

Manuale -> Controlli -> .NET User Controls -> Esempio di .NET Control Container -> Accesso all´User Control tramite VSTA oppure VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio si mostra l´accesso via VSTA. La procedura è la stessa con VBA.

  1. Estendete il Control con un Label (label) e denominatelo lblzenon>nfo. In questo Label deve essere visualizzato il valore di un´altra variabile di zenon. Il nuovo valore deve essere settato tramite una macro VSTA.

  2. Estendete il Code della Property (Information) e aggiungete le proprietà get e set alla Property. Esse permettono di leggere e scrivere il testo del Label.

  3. Create un nuovo release per il nostro User Control e copiatelo nella cartella additional del progetto di zenon.
    Non dimenticate: chiudete prima l´Editor di C<D_PRODUCTNAME>!
    Cancellate il vecchio DLL e riavviate l`Editor di zenon. Se il DDL si dovesse ancora trovare nella cartella, cancellatelo una seconda volta. Adesso potete importare il DLL modificato. Il CD_DotNetContainerControl e l´ActiveX vengono aggiornati automaticamente.
  4. Cliccate nell´Editor di zenon su ActiveX e aprite la finestra delle proprietà.

    Potete vedere adesso la nuova proprietà Information nella finestra di selezione del Control e potete anche settare un valore.

    Questo valore viene settato anche nel Control („myInformation")

  5. Per poter lavorare con il CD_DotNetControlContainer in VSTA oppure VBA, avete bisogno anzitutto della referenza al Control. Dopo che si è aperto VSTA per il progetto (ProjectAddin), la referenza di CD_DotNetControlContainer deve essere aggiunta.

    Inoltre deve essere aggiunto anche l´Assembly System.Windows.Forms.

  6. Con il seguente Code può essere settato nuovamente il valore per la proprietà del Control Information:

  7. Alla fine:
    • create una funzione di zenon Esegui macro VSTA
    • Collegate la funzione ad un pulsante

    Durante il Runtime, si cambia il Label cliccando sul pulsante myInformation su New Information.

    Se si clicca di nuovo sullo stesso pulsante si torna alla situazione precedente.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. Collegare variabili di zenon con il .NET User Control

attention Attenzione

Quando si usano oggetti COM di zenon in user Control di creazione propria, oppure in applicazioni esterne, questi devono essere resi disponibili usando il metodo Marshal.ReleaseComObject. Il rilascio mediante il metodo Marshal.FinalReleaseComObject non può essere usato perché Add-In di zenon smettono di funzionare quando si usa questo metodo.

info Info

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Ancora in questo capitolo

creare Windows Form Control

trasformare .NET User Control in Dual Control

lavorare nell´Editor tramite VBA con ActiveX

Collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    In questo esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    In questo esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


trasformare .NET User Control in Dual Control

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà Macro VBA/Init dell´elemento ActiveX.

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime di zenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime di zenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:

Ancora in questo capitolo

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametro | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controlli -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


WPF

Manuale -> Controlli -> WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

Una documentazione esaustiva relativa agli elementi WPF in zenon, e tutorial per designer, sviluppatori e progettisti, si trova nel manuale Elemento WPF di zenon.

In questo manuale sono trattati i seguenti argomenti:

  • Nozioni di base
  • Linee guida per i designer
  • Linee guida per progettisti.
  • Progettazione nell´Editor di <CD_PRODUCTNAME:>


Conversione del progetto

Manuale -> Conversione del progetto

Se si usano le nuove versioni di zenon, i progetti che sono stati realizzati con le precedenti, devono essere anzitutto convertiti nella nuova versione. Se nell´effettuare la conversione ci sono da tener presenti determinate proprietà oppure modifiche, esse verranno descritte nelle indicazioni che forniremo in questa guida sulla conversione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Conversione in caso di update e downgrade

Se effettuate un update per passare ad una versione più recente di zenon, i progetti vengono convertiti automaticamente nella nuova versione al momento in cui vengono aperti. Da questo momento, il progetto non può più essere modificato usando le versioni dell´editor precedenti. Il sistema, però, provvede anche a creare un backup del progetto convertito nella sua versione originale.
Attenzione: se esiste già un backup con lo stesso nome, verrà sovrascritto senza richiesta di conferma.

Non è possibile una conversione di un progetto che è stato realizzato usando una versione superiore in una versione precedente (Downgrade).

Compatibilità con le versioni precedenti

A partire dalla versione 6.21, i progetti sono compatibili verso il basso per il runtime. Il che significa, che essi possono essere modificati anche con l´editor di una versione con un numero superiore. La compatibilità verso il basso del runtime è particolarmente utile quando si intende usare diverse versioni, come, ad esempio: un progetto che è stato realizzato usando la versione 6.50 può essere usato anche su un runtime che funziona ancora sotto 6.22.

attention Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, si possono verificare dei problemi indesiderati durante il funzionamento runtime.

Ancora in questo capitolo

Procedura consigliata per convertire i file Runtime

Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Conversione dalla versione 2.20 a quella 3.04

Conversione dalla versione 3.04, 3.50 a quella 3.52

Conversione dalla versione 3.52 a quella 5.11

Conversione della versione 3.52 a 5.x o a 6.x

Conversione dalla versione 5.11 a quella 5.50

Conversione dalla versione 5.50 a quella 6.01

Conversione dalla versione 5.50 a S7 dBase Export

Conversione dalla versione 6.01 a quella 6.20

Conversione dalla versione 5.50 alla versione > 6.22SP1

Conversione dalla versione X alla versione 06:21

Conversione dalla versione X alla versione 06:22

Conversione dalla versione X alla versione 6.50

Conversione dalla versione X alla versione 06:51

Conversione dalla versione X alla versione 07:00

Conversione dalla versione X alla versione 07:10

Conversione dalla versione X alla versione 07:11

Conversione dalla versione X alla versione 07:20

Conversione dalla versione X alla versione 07:50

Conversione dalla versione X alla versione 7.60


Procedura consigliata per convertire i file Runtime

Manuale -> Conversione del progetto -> Procedura consigliata per convertire i file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando effettuate una conversione di progetto fate attenzione che vengano convertiti correttamente anche i file modificabili durante il Runtime.

Per convertire i file modificabili durante il Runtime:

  1. importate i file dal Runtime nella versione originaria dell´Editor.
  2. Eseguite l´update per la nuova versione.
  3. Nelle proprietà di progetto, passare alla sezione Generale
  4. Cliccare sulla proprietà RT dati modificabili
  5. Si apre il dialogo delle impostazioni dei file modificabili durante il Runtime.

  6. Disattivate tutte le checkbox della colonna Non rigenerare e trasmettere
  7. Compilate il progetto (Creare tutti i file Runtime)
  8. Modificate le checkbox nella proprietà RT dati modificabili riportandole allo stato prima della conversione.


Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Manuale -> Conversione del progetto -> Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si convertono progetti multiutente in una versione di zenon che utilizza una versione più recente del server SQL, si deve tener presente quanto segue. .

Attenzione: I progetti multiutente possono essere convertiti solo se non è in fase di modifica nessun elemento. Tutti i dipendenti, perciò, devono anzitutto accettare le loro modifiche. Nel caso in cui ciò non dovesse essere possibile per qualsiasi ragione, anzitutto deve essere effettuato un backup di progetto sul server SQL di progetto e anche di questo deve essere realizzato un backup. Tutte le informazioni In modifica vengono cancellate.

attention Attenzione

Tutte le modifiche degli stati locali del progetto vanno persi.

La conversione può essere eseguita solamente su quel computer sul quale si trova la banca dati centrale del progetto. Se essa si trova su un computer sul quale non è installato nessun Editor (Standalone, Server banca dati), si deve anzitutto installare su questo computer l'Editor della vecchia versione. Solo dopo si può effettuare la conversione su questo computer.

Istruzioni: update a nuova versione con nuova banca dati.

Partiamo dal presupposto che la vecchia banca dati non viene più utilizzata. In questo caso, succede quanto segue:

  • si tiene conto dei file runtime modificabili
  • vengono eliminati client multi-utente dal backup di progetto.

Compiti nella versione di zenon precedente all´ultima

I seguenti passaggi vengono eseguiti su tutti i calcolatori client di progetti multiutente:

  1. eseguite su tutti i client per tutti gli oggetti con lo stato Consenti modifiche, o Conferma modifiche. oppure Annullare i cambiamenti . Nessun oggetto deve avere lo stato rendere possibili le modifiche.
  2. Cancellate la relativa copia locale di progetto nell´Editor.

I seguenti passi vengono eseguiti sul calcolatore con la banca dati per i progetti multiutente:

  1. Opzionale: importate tutte le modifiche che sono state effettuate nel Runtime:
    1. Per tutti i moduli: settate lo stato rendere possibili le modifiche.
    2. Passate alle proprietà di progetto Generale -> RT dati modificabili e settate tutti i Checkbox per Non decompilare su inattivo.
    3. effettuate un backup di tutti i file del Runtime via Trasporto Remoto nell´Editor.
    4. settate di nuovo i Checkbox in RT dati modificabili sullo stato desiderato.
    5. Per tutti i moduli: settate lo stato Confermare modifiche
    6. Ripetete questi passaggi per tutti i progetti.
  2. Selezionate nel menù contestuale del workspace il comando Inserisci progetto esistente
  3. Passate al progetti, aprite il sottonodo Copie di progetto locali connesse.
  4. Eseguite il seguente passaggio per tutti calcolatori che compaiono nella lista, fatta eccezione per quello che funge da server banca dati.
    • Cliccate con il tasto destro del mouse sul calcolatore collegato e selezionate Chiudi connessione.
  5. Ripetete i passaggi da 2 a 4 per tutti i progetti.
  6. Create un backup per il workspace e per ogni progetto.

Compiti nella nuova versione di zenon

I seguenti passi vengono eseguiti sul calcolatore con la banca dati per i progetti multiutente:

  1. installate il nuovo Editor.
  2. Riavviare il computer.
    Nota: a partire da questo momento non viene più utilizzata la vecchia banca dati.
  3. Rileggete il backup del workspace:
    1. selezionate la stessa cartella nella quale si trovava l´area di lavoro della vecchia versione.
    2. Selezionate Sì per sovrascrivere l´area di lavoro esistente.
    3. Selezionate SÍ per convertire tutti i progetti.
  4. Assicuratevi che la port 1433 non sia bloccata da un firewall, oppure aggiungete il browser SQL alle eccezioni alle regole riguardanti il firewall.
  5. Assicuratevi che il nuovo server SQL consenta le connessioni remote.
    A tal scopo, collegatevi al SQL Server Management Studio e verificate le impostazioni nella sezione Connections.

I seguenti passaggi vengono eseguiti su tutti i calcolatori client di progetti multiutente:

  1. installate il nuovo Editor.
  2. Riavviare il computer.
  3. Aprite l´area di lavoro esistente.
    Nella finestra di emissione verranno visualizzate delle segnalazioni di errore.
  4. Selezionate nel menù contestuale del workspace il comando Inserisci progetto esistente
  5. Inserite il nome del calcolatore con la banca dati per i progetti multiutente.
  6. Selezionate "Aggiorna".
  7. Selezionate il progetto che deve essere inserito.
    1. Iniziate dal progetto globale.
    2. Inserite poi, se esistente, il progetto di integrazione.
    3. Inserite poi tutti gli altri progetti desiderati.

I progetti dovrebbero adesso trovarsi nell´area di lavoro ed essere aggiornati.


Conversione dalla versione 2.20 a quella 3.04

Manuale -> Conversione del progetto -> Conversione dalla versione 2.20 a quella 3.04

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Ristrutturazione della banca dati


Ristrutturazione della banca dati

Manuale -> Conversione del progetto -> Conversione dalla versione 2.20 a quella 3.04 -> Ristrutturazione della banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Create una directory temporanea e di un a sottocartella. Nome della sottocartella: XX Per esempio: C:/TEMP/XX; C:/TEMP indica il percorso della banca dati originaria e C:/TEMP/XX quello della banca dati ristrutturata. Non dimenticate di effettuare il backup della vostra banca dati originaria.
  2. Copiate la banca dati originaria, REV.BAT e DATAMGR.RDL in C:/TEMP
  3. Copiate i nuovi file DBD (della nuova banca dati) e il file DBAREORG.EXE nella cartella XX.
  4. Impostate i percorsi per la directory nella quale si trovano DBREV.EXE e INITDB.EXE, oppure copiate questi file sia in C:/TEMP, che in C:/TEMP/XX. Verificate se questi due programmi possono essere avviati nella finestra DOS senza indicazione di percorso.
  5. Assicuratevi che ci sia abbastanza spazio nell'area di memoria di DOS (minimo 500 K).
  6. Apertura del file Batch REV.BAT nella finestra DOS.

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Avviate DBAREORG.EXE nella directory zenon di Windows (Esegui file).
  8. Impostazione del percorso nel quale si trova la banca dati (XX) mediante CONVERT 2xx -> 3xx e IMPOSTAZIONIPERCORSO.
  9. Avviare la ristrutturazione mediante CONVERT 2xx -> 3xx e KONVERTIERE.
  10. La ristrutturazione è conclusa. La nuova banca dati si trova nel percorso XX. Se ci sono, cancellate i file TAF dal percorso XX. La banca dati originale si trova ancora nel percorso TEMP.
  11. Nel caso in cui la ristrutturazione non sia riuscita al primo tentativo, bisogna ritentare a partire dal punto 1, visto che altrimenti la banca dati ristrutturata dovrebbe essere convertita un'altra volta.

Risultato della ristrutturazione: | sono state convertite tutte le immagini.
 | sono state convertite tutte le variabili.
 | sono state convertite tutte le funzioni, ma bisogna collegarle di nuovo. Eccezione: la funzione diretta immagine non deve più essere ricollegata.
 | viene creato un file Log (DBAREORG.LOG) (nella cartella da cui è stato avviato DBAREORG.EXE). Qui potete trovare informazioni sulle funzioni non collegate..

Ancora in questo capitolo

Ristrutturazione della banca dati nel caso di una modifica delle strutture.


Ristrutturazione della banca dati nel caso di una modifica delle strutture.

Manuale -> Conversione del progetto -> Conversione dalla versione 2.20 a quella 3.04 -> Ristrutturazione della banca dati -> Ristrutturazione della banca dati nel caso di una modifica delle strutture.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Create di un sottocartella temporanea. Nome della sottocartella: XX
  2. Copiate i nuovi file DBD nel percorso XX.
  3. Eseguite il file Batch REV.BAT:

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q datamgr xx/datamgr


Conversione dalla versione 3.04, 3.50 a quella 3.52

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Sistema operativo

Export AML / CEL

Archivi AML / CEL

Funzionamento di rete

Archivi

Layer

Curve

Compatibilità con le versioni precedenti

Banca dati

Documentazione (Interrogazione QRF)

Formati tempo americani

Stampante allarmi

Simboli

Funzione di zoom

Backup di progetto

Filtro per la finestra di sistema

Variabile export

Collega elementi di testo


Sistema operativo

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 3.52 funziona solamente sotto Windows NT 4.0 e WIN 95.


Export AML / CEL

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Export AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome di export di inserimenti AML/CEL è cambiato. Adesso è Ajjmmdd.TXT oppure Cjjmmdd.TXT. Per l'export non c'è una funzione, che, ad esempio, può essere aperta tramite i temporizzatori. Decadono le vecchie impostazioni.


Archivi AML / CEL

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio vengono scritti adesso archivi per AML e CEL. Questi archivi giornalieri non hanno un limite di file. Perciò è possibile che si debba progettare una funzione di cancellazione. In tal modo assicurate che non venga riempita con gli archivi tutta la capacità memoria del disco fisso (vedi funzioni operazioni dati). Al momento di leggere gli archivi, la memoria disponibile viene delimitata tramite il seguente inserimento zenon6.ini.

[ARCHIV]

...

SPEICHER=1000 (default=1000, corrisponde a 1MB)


Funzionamento di rete

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzionamento di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I driver devono essere modificati a locale. Nel capitolo [Comandi] del zenon6.ini bisogna cancellare l'inserimento Treiber=.


Archivi

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi vengono salvati adesso in una sottodirectory del percorso di progetto. I file ARV esistenti vengono spostati quando si ravvia il sistema.


Layer

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Layer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non viene supportato nessun layer nell´import DXF. I layer vengono adesso chiamati simboli.


Curve

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le curve sono state sostituite da segmenti di curve. Le curve esistenti vengono mantenute fino alla modifica.


Compatibilità con le versioni precedenti

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Compatibilità con le versioni precedenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 3.52 non è compatibile verso il basso. (Riguarda, per esempio, zenon.ini, simboli e gestione delle funzioni)


Banca dati

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene fornito un nuovo file di struttura per la banca dati. (DATAMGR.DBD,20.11.1996,14.759 Byte)

Si ha bisogno di questo file per gli archivi di charge e lo si deve copiare nella cartella di progetto.

Eliminare i file *.TAF e *.LOG nella cartella di progetto.


Documentazione (Interrogazione QRF)

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Documentazione (Interrogazione QRF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nei file QRF sono state modificate le interrogazioni per VARIABLE e testo lungo.

  • field VARIABLE = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Formati tempo americani

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Formati tempo americani

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non viene supportato AM/AP come formato di tempo.


Stampante allarmi

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Stampante allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di mancato funzionamento della stampante allarmi, si passa automaticamente alla stampata standard di Windows. Nel caso in cui si voglia una stampa, si deve cancellare nell'Editor la visualizzazione della stampante allarmi.


Simboli

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo una nuova scala e prima del loro salvataggio nella libreria, i simboli devono essere sciolti e riordinati. Le bitmap nei simboli debbono essere salvate separatamente. I file di simboli vengono depositati nel percorso ../zenon.


Funzione di zoom

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzione di zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione di zoom può essere usata per controllare e per modificare elementi.


Backup di progetto

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una banca dati consiste adesso dei file:

*.VBF

*.IDX

*.DAT

*.BIN

*.DBD

*.INI

*.MDB

*.MIB (per NWM III)

*.NWM (per NWM III)

*.EMS (per 230 EMS)

Per salvare gli archivi (*.ARV,*.CEL,*.AML) si deve tenere presente il sottopercorso corrispondente.

attention Attenzione

Il file ALARM.BIN nel percorso archivi salva l'ultimo stato della AML al momento della chiusura del Runtime e non ne dovrebbe essere effettuato un backup.


Filtro per la finestra di sistema

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Filtro per la finestra di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigliamo di controllare i filtri per la finestra di sistema in riferimento alla nuova funzionalità (per es, schedulatore, accessi archivi per AML/CEL).


Variabile export

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Variabile export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l'uso del file di esportazione sotto DBASE, Foxpro, deve essere limitata la larghezza massima delle colonne per il nome della variabile e testo lungo di 128 al massimo di 100 caratteri.

A questo scopo è necessario settare il seguente inserimento zenon6.ini.

[EXPORT]

MAX_LAENGE= z. B. 40


Collega elementi di testo

Manuale -> Conversione del progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Collega elementi di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adesso i testi non sono più centrati nei progetti vecchi, ma con orientamento a sinistra. E' possibile modificare ciò facendo uso della parametrizzazione dell'elemento. Nel caso in cui nei progetti esistenti si renda necessario un adattamento di ampie dimensioni, procedete come segue:

  1. inserire zenon6.ini [Editor] Konvert=1
  2. Aprite nell'Editor alla voce 'apri immagine', settate 'elementi di testo vecchi' e aprire e salvare l'immagine corrispondente. Ripetete l'operazione per ogni immagine in questione.
  3. cancellare zenon6.ini [Editor] Konvert=1.


Conversione dalla versione 3.52 a quella 5.11

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Lavori che vengono eseguiti nella versione 3.52.

Lavori che vengono eseguiti nella versione 5.11


Lavori che vengono eseguiti nella versione 3.52.

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Lavoro di preparazione

Caratteri girati

Nome immagine con segni speciali


Lavoro di preparazione

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Lavoro di preparazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per sicurezza dovreste effettuare un backup del progetto nella vecchia versione.

La banca dati del progetto dovrebbe essere controllata con il tool DBCHECK fornito con la versione 3.52. Nel caso in cui nel corso di questo controllo dovessero verificarsi degli errori, potete ripararli con il tool DBFIX fornito con la versione 3.52.


Caratteri girati

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Caratteri girati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I caratteri girati si comportano (per quello che concerne il posizionamento) nella versione 3.52 in modo diverso dalla versione 5.50 e devono essere modificati.

Per ottenere una visualizzazione compatibile con la versione 3.52, si deve effettuare il seguente inserimento nel project.ini.

[Version]

TEXT352=1


Nome immagine con segni speciali

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Nome immagine con segni speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nomi immagini non possono contenere nessun segno speciale, come / / : * ? < > | Ä Ö Ü; questo perché le immagini vengono salvate come file. Il sistema operativo Windows non permette di utilizzare tali segni speciali.

Nel caso in cui, però, dei nomi immagine già esistenti dovessero contenere tali segni, i nomi debbono essere modificati nella versione precedente, per esempio, nella 3.52, prima di poter essere ripresi nella versione 5.x.

attention Attenzione

Anche tutte le funzioni che contengono dei nomi immagine non validi, devono essere modificate.

Nel caso in cui questa modifica non venga effettuata, le immagini in questione non vengono convertite e, di conseguenza, non sono a disposizione nella versione 5.x.

attention Attenzione

Se in un progetto 3.5x mancando dei modelli, oppure ci sono delle attribuzioni vuote, appare all'avvio del Runtime 5.11 la seguente segnalazione di errore: si è cercato di accedere ad un file dietro la fine file e il Runtime si interrompe.

Perciò è necessario controllare se nei vecchi progetti 3.5x ci siano dei modelli mancanti, oppure delle attribuzioni vuote, prima di passare alla conversione.


Lavori che vengono eseguiti nella versione 5.11

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 5.11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 5.11 di zenon deve essere installata.

Ancora in questo capitolo

Registrazione della licenza


Registrazione della licenza

Manuale -> Conversione del progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 5.11 -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I numeri licenza della versione 5.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 3.52 non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon.ini. zenon.ini:

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

Nelle Start-ICON non deve essere più indicato un nome di login.

Un progetto esistente deve essere integrato in un nuovo workspace.

Il driver di simulazione lavora adesso con lo stesso modello driver di tutti gli altri driver. Alla voce driver/configurazione si deve scegliere l'hardware.

Dopo che il progetto 3.52 è stato letto e le immagini sono state convertite, si deve procedere a selezionare il giusto profilo del monitor e ad avviare di nuovo l'Editor.

In zenon.ini c'è un inserimento che definisce la dimensione del buffer del driver. Di norma vale per il valore il numero delle variabile per 10.

[RT]

DRIVER_QUE =50000

Nel caso in cui questo valore dovesse essere troppo piccolo, si verificano dei problemi di attualizzazione nella visualizzazione.

Si raccomanda di progettare un allarme per l´eccedenza della coda valori del driver. Per farlo è a disposizione una variabile del driver di sistema: [Informazioni di progetto] Coda driver pieno


Conversione della versione 3.52 a 5.x o a 6.x

Manuale -> Conversione del progetto -> Conversione della versione 3.52 a 5.x o a 6.x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Conversione dell´elemento dinamico Interruttore


Conversione dell´elemento dinamico Interruttore

Manuale -> Conversione del progetto -> Conversione della versione 3.52 a 5.x o a 6.x -> Conversione dell´elemento dinamico Interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli interruttori impostati in un progetto realizzato con la versione 3.52 devono essere convertitit via XML export per poter essere utilizzati in una versione più recente di zenon.

Procedura nella nuova versione di zenon:

  1. Menù contestuale Immagini -> Esporta tutti in XML...
  2. Esporta immagini in nuovo file
  3. menu contestuale Immagini -> Importa file XML
  4. seleziona e importa file esportato


Conversione dalla versione 5.11 a quella 5.50

Manuale -> Conversione del progetto -> Conversione dalla versione 5.11 a quella 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Lavori che vengono eseguiti nella versione 05:11.

Lavori che vengono eseguiti nella versione 5.50


Lavori che vengono eseguiti nella versione 05:11.

Manuale -> Conversione del progetto -> Conversione dalla versione 5.11 a quella 5.50 -> Lavori che vengono eseguiti nella versione 05:11.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si consiglia di effettuare un backup dello stato attuale prima della conversione. Devono essere salvati i dati di progetto, nonché i file Runtime modificabili.

La banca dati di progetto dovrebbe essere controllata, e, se necessario, riparata. Delle informazioni ulteriori sull'argomento si trovano sul supporto di installazione alla voce Software/TOOLS/DB_TOOLS/DB_DOKU.DOC.


Lavori che vengono eseguiti nella versione 5.50

Manuale -> Conversione del progetto -> Conversione dalla versione 5.11 a quella 5.50 -> Lavori che vengono eseguiti nella versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 5.50 di zenon deve essere installata.

Dopo l'avvio dell'Editor può essere aperto il vecchio workspace. Poi avviene un'automatica conversione di tutti i progetti.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Conversione dalla versione 5.50 a quella 6.01

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.

Ancora in questo capitolo

Lavori che vengono eseguiti nella versione 05:50.

Lavori che vengono eseguiti nella versione 6.01


Lavori che vengono eseguiti nella versione 05:50.

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di effettuare la conversione, si deve realizzare prima di tutto un backup dei dati sul computer di progettazione. Solo dopo si può dare avvio alla conversione.

Nella finestra delle proprietà del progetto trovate alla voce 'Generale' il dialogo 'Runtime dati modificabili'. In questa sede potete fissare quali dati debbono essere modificati. Ulteriori informazioni su questo tema le trovate alla voce File RT modificabili.

Ancora in questo capitolo

Nome funzione

Progetti

I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Dati

Profili

Driver 3S Arti (da SP2)


Nome funzione

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Nome funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si deve fare attenzione che non ci siano nomi funzioni doppi nel progetto. Visto che nella versione 5.50 non devono essere indicati necessariamente dei nomi funzione, zenon non effettua un controllo volto a verificare la univocità. Ciò non è necessario neppure per la versione 5.50. Nella versione 6.x, tuttavia, le funzioni vengono identificate in base al loro nome.


Progetti

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di aprire un progetto 5.50 nell´editor della versione 6 esso deve prima essere convertito. (File – inserire progetto 5.50 ...) Proseguendo in questa maniera il vecchio progetto rimane intatto e ne viene creata una copia nel server SQL. Vi preghiamo di tenere presente che diversi file e percorsi esterni non vengono accettati nella nuova struttura dell'Editor e del Runtime Dovere modificare manualmente questi file/percorsi, oppure inserirli manualmente nei progetti (nella struttura ad albero del progetto, alla voce File).

Ciò riguarda, ad esempio: sottocartelle definite dall'utente nel percorso di progetto, percorsi lista estesi, banche dati, percorsi di export ecc.


I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

devono essere soggetti a backup nell'Editor prima della conversione in modo tale che non vada perduta nessuna modifica realizzata nel Runtime.


Dati

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file generati dal Runtime, come ad esempio, file AML, CEL, dati HD, file Bin ess, sono compatibili. Essi debbono essere copiati manualmente nelle directory corrispondenti del Runtime della versione 6. Vi preghiamo di fare attenzione che i file vengono convertiti al primo avvio del Runtime. In caso di grandi quantità di dati, dovete tenere conto che la conversione durerà del tempo.


Profili

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili per Allarmi, Trend esteso ecc. vengono salvati nella versione 5.50 nel file con il nome del progetto e la formula finale zrt. (Es. per il progetto Misurazione il file si chiama Messung.zrt. Dovete cambiare il nome di questo file dopo la conversione del progetto in project.zrt. In seguito dovete salvare il file nello stesso percorso nella Runtime directory nella quale si trova anche il project.ini.


Driver 3S Arti (da SP2)

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Driver 3S Arti (da SP2)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne il driver 3S Arti, il nome del file di attribuzione delle variabili è cambiato. Proprio per questo motivo, il file deve essere rinominato prima che si proceda al ricavo via browser di nuove variabili dal PLC. Informazioni più dettagliate sull'argomento le trovate nella documentazione concernente i driver.


Lavori che vengono eseguiti nella versione 6.01

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 6.01 di zenon deve essere installata.

Ancora in questo capitolo

Registrazione della licenza

Gestione utenti/sistema di password

Impostazioni di configurazione

Driver di simulazione:

Funzioni immagine


Registrazione della licenza

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01 -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I numeri licenza della versione 6.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 5.x non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon6.ini invece che nello zenon.ini.


Gestione utenti/sistema di password

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01 -> Gestione utenti/sistema di password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione utenti della versione 6.x c'è la nuova proprietà di Administrator. Da adesso in poi, solo gli amministratori possono modificare dati utenti nel Runtime. Visto che non esisteva ancora questa proprietà nelle versioni passate, essa rimane di Default non attiva per gli utenti esistenti. Nel caso in cui si voglia che deglu utenti possano modificare nel runtime dei dati utente, nella versione 6.x ciò deve essere configurato in un secondo momento!


Impostazioni di configurazione

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01 -> Impostazioni di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sia tutte le proprietà dei progetti che le impostazioni sotto opzioni/impostazioni, inoltre, devono esser controllate.

Dopo che zenon.ini è stato sostituito da zenon6.ini, anche eventuali modifiche manuali (ad esempio per l'archiviazione l'inserimento SPEICHER=) nello zenon.ini devono essere copiate manualmente nello zenon6.ini.


Driver di simulazione:

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01 -> Driver di simulazione:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che anche le impostazioni attuali del driver di simulazione sono salvate nel zenon.ini, adesso vengono usate quelle dello zenon6.ini per il comportamento Runtime. In questa sede, però, si trovano dopo la nuova installazione ancora le impostazioni di default. Si dovrebbe modificare questa situazione dopo la installazione a partire dal vecchio zenon.ini.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Funzioni immagine

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 6.01 -> Funzioni immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 5.50 (e nelle precedenti) potevano essere collegati alle immagini solo script (ma non funzioni), che venivano eseguiti automaticamente all'apertura oppure alla chiusura dell'immagine.

Nella versione 6.01 (e nelle successive) è possibile collegare solo delle funzioni ad immagini; perciò vanno perduti i collegamenti con gli script. Le funzioni desiderate devono essere dunque collegate di nuovo con le immagini corrispondenti.


Conversione dalla versione 5.50 a S7 dBase Export

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 a S7 dBase Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di un progetto realizzato con la versione 5.50 si può verificare un errore. Tipica segnalazione di errore:
"Errore driver 'SIMUL32 - SIMULATORTREIBER' Variabile 'Sub_VISU_E1_IGEF' Tipo per oggetto primitivo '34' Tipo di dato 8 non definito. "

Causa:

Le variabili sono state impostate

  • su un driver S7
  • esportate come dBase
  • e poi reimportate sul driver di simulazione

Soluzione

  • esportare le variabili con zenon 5.50 come dBase
  • controllare nel file dBase tipo di oggetto del driver e tipo dato e poi adattare il driver in modo corrispondente


Conversione dalla versione 6.01 a quella 6.20

Manuale -> Conversione del progetto -> Conversione dalla versione 6.01 a quella 6.20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti della versione 6.01 devono essere convertiti quando sono caricati per la prima volta nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.

Ancora in questo capitolo

File d'archivio

Esportazione archivio nella banca dati SQL


File d'archivio

Manuale -> Conversione del progetto -> Conversione dalla versione 6.01 a quella 6.20 -> File d'archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 SP0, i file d'archivio vengono salvati in formato ARX; prima veniva utilizzato quello ARV. Quando si converte un progetto, il sistema verifica al momento dello start del Runtime se ci sono dei file d'archivio in formato ARV nella cartella Runtime. Dopo la conferma della conversione, i file vengono convertiti nel formato ARX. Questa conversione è eseguita per tutti i progetti prima del loro avvio. Nel corso del processo di conversione, vengono cancellati i file ARV. Per la dislocazione in SQL, alla tabella devono essere aggiunte altre colonne.

Raccomandazione: eseguire un backup dei file ARV prima della conversione.


Esportazione archivio nella banca dati SQL

Manuale -> Conversione del progetto -> Conversione dalla versione 6.01 a quella 6.20 -> Esportazione archivio nella banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La tabella della banca dati <Nome progetto>_<Nome breve> ha ricevuto due ulteriori colonne:

  • GUID: char 36. prende il progetto-GUID da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.
  • STRVALUE: varchar. Assume i valori archiviati string. Per le variabili numeriche questo campo ha il valore ZERO.
    La grandezza del campo dati varchar dipende dalla variabile string da archiviare più lunga. La lunghezza della variabile string viene definita nelle proprietà delle variabili.

La tabella della banca dati <Nome progetto>_VARIABLES è stata ampliata mediante l'aggiunta di un'ulteriore colonna:

  • GUID: char 36. prende il progetto-GUID da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.

Le nuove colonne devono essere inserite manualmente nella banca dati SQL, oppure provvede l'editor ad aggiungerle. Nell'editor bisogna passare per ogni archivio interessato alla scheda Salva . Qui si deve aprire la stringa di collegamento con la banca dati e confermare il dialogo. Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

attention Attenzione

Se non rendete effettive queste modifiche, non viene trasferito nessun dato di archivio nella banca dati SQL!


Conversione dalla versione 5.50 alla versione > 6.22SP1

Manuale -> Conversione del progetto -> Conversione dalla versione 5.50 alla versione > 6.22SP1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di un progetto della versione 5.50 in una versione successiva, tenete presente:

Generale

  • Settare valore impostabile e Elemento combinato

    Dopo la conversione, la proprietà Setta valore impostabile è attiva in tutti gli elementi combinati. Visto che questa proprietà non esiste nella versione 5.50, la si deve disattivare manualmente in ogni elemento combinato dopo aver effettuato la conversione.

  • Copia progetti:

    Quando si copiano progetti nella versione 5.50, lo stesso GUID è nel file project.ini. Il primo progetto qui è stato sovrascritto nella conversione.

    Soluzione: Cancellate l´inserimento INI prima della conversione. In tal modo viene assegnato un numero GUID al momento della conversione.

  • Rendere invisibili i file grafici:

    Un file grafico deve essere invisibile in un elemento combinato in un determinato stato; in questa caso, nella versione 5.50 non veniva semplicemente selezionato in questo stato nessun file grafico. Dopo la conversione, nell´elemento combinato viene visualizzato un rettangolo, perché la proprietà Trasparente non è stata attivata.

    Soluzione: attivate la proprietà Trasparente per il file grafico. In tal modo ottenete la stessa funzionalità.

  • Nomi per immagini:

    Sono consentiti: cifre, lettere e i seguenti caratteri speciali: $, -, @, _, {}, ~, !, ()
    le dieresi e tutti gli altri caratteri speciali nel nome dell´immagine devono essere eliminati prima di effettuare la conversione.

Gruppi ricette e Windows CE

Quando si converte un progetto realizzato con la versione 5.50 con la proprietà Progetto WindowsCE attiva in una versione dal numero di serie superiore a 6.22.SP1, i gruppi ricette non vengono convertiti nella versione superiore.

Background: se la proprietà Progetto WindowsCE è attiva, il tipo di salvataggio viene settato su binary prima che la banca dati del manager gruppi ricette venga convertito. Per questo motivo, nella nuova versione non possono più essere impostati dei nuovi gruppi ricette.

Soluzione: disattivate la proprietà Progetto WindowsCE prima di effettuare la conversione.

A tal scopo, potete procedere come segue:

  • potete aprire il progetto nell´Editor della versione 5.50 e disattivare la proprietà
    oppure
  • potete modificare nel file INI del progetto l´inserimento corrispondente. Procedura:
    • aprite il project.ini del progetto
    • navigate fino alla sezione [RT]
    • settate l´inserimento WIN_CE=0


Conversione dalla versione X alla versione 06:21

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:21

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

zenon Web Client File CAB non più disponibile


zenon Web Client File CAB non più disponibile

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:21 -> zenon Web Client File CAB non più disponibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´installazione automatica del zenon Web Client per mezzo del file CAB non è più possibile a causa delle restrizioni di sicurezza previste da Windows.


Conversione dalla versione X alla versione 06:22

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Autorizzazioni funzioni nel caso di ripristino allarmi

Report Generator Funzione fixed

VBA - Accesso diretto alle variabili per Request non è più possibile.

RGM - banca dati modificata

Modello - Lunghezza massima del nome


Autorizzazioni funzioni nel caso di ripristino allarmi

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22 -> Autorizzazioni funzioni nel caso di ripristino allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.22 di zenon le autorizzazioni per il ripristino di allarmi esistenti fino ad ora nelle proprietà del progetto alla voce "Autorizzazioni funzioni" sono state sostituite da 3 nuove. Per questo motivo la vecchia autorizzazione "Ripristina allarme" non ha più validità.

Nella conversione di progetti esistenti, le nuove autorizzazioni funzioni vengono sovrapposte a quelle vecchie. Il che significa che, se prima era necessario avere il livello 15 per la funzione "ripristina allarme", questo livello è necessario anche per le 3 nuove funzioni.

Per garantire la compatibilità dell'editor con le versioni precedenti può essere eventualmente necessario che si trasmetta il gruppo autorizzazione dalle nuove tre funzioni alla vecchia funzione. Per far ciò si usa il gruppo di autorizzazione più alto. Il che significa che, se le funzioni "Ripristina allarme mediante la barra degli allarmi" ha il livello di autorizzazione 5 e "Ripristina allarme attraverso le immagini" il livello di autorizzazione 2 e "Ripristina allarmi attraverso la funzione" il livello di autorizzazione 12, la funzione "Ripristino allarmi" riceve il livello di autorizzazione 12 per versioni precedenti.

info Info

Indicazione concernente la compatibilità online nel runtime: Se un progetto di una versione di zenon di numero inferiore a 6.22 viene avviato con la versione attuale del programma, il sistema offre la possibilità di impostare le tre nuove funzioni. In base al meccanismo che abbiamo descritto sopra, viene adottato solo il gruppo di autorizzazioni più alto. Il vecchio progetto non può utilizzare la nuova funzionalità.


Report Generator Funzione fixed

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22 -> Report Generator Funzione fixed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argument è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Questo argument non ha più alcun effetto sulla rappresentazione perché i segni di separazione di migliaia in zenon non vengono più utlizzati.


VBA - Accesso diretto alle variabili per Request non è più possibile.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22 -> VBA - Accesso diretto alle variabili per Request non è più possibile.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA mette a disposizione dei nostri clienti uno strumento potente per la gestione della progettazione. La pratica ha messo in evidenza il fatto che, nel caso di una accesso alla variabili tramite VBA, si sono verificate spesso delle confusioni nell'uso dei metodi „Advise" tramite un Online Container e „Request" con apertura diretta. Troppe Request possono rallentare in modo consistente la comunicazione.

Per questo abbiamo deciso di esaudire il desiderio di molti clienti e di chiudere questa fonte di errori. Le variabili adesso sono dunque accessibili per VBA solo tramite „Advise".

Per i progetti esistenti ciò ha come conseguenza delle incompatibilità. La cosa Vi tange nel caso in cui vogliate accedere a delle variabili via VBA per „Request". In questo caso dovete modificare questi progetti. Dopo l'adattamento, però, potete approfittare di una comunicazione molto efficiente nel progetto.

Nuovo:

Un accesso di lettura delle variabili con VBA è possibile adesso solo nel caso in cui la variabile sia registrata nel driver (advised) e abbia anche un valore, cioè è IsOnline() true. Delle interrogazioni puramente spontanee (Requests) non sono più possibili.

Le seguenti funzioni sull'oggetto "Variabile" determinano un errore se non si verifica quanto segue:

  • Value
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Ciò significa che progetti esistenti non funzionano più nel Runtime dopo la coversione, visto che le funzioni citate non funzionano.

Possibilità di soluzione:

  • Definite per tutte le variabili interessate un Online Container.
    Vantaggio: Si accede alle variabili solo nel caso in cui esse siano veramente necessarie.
    Svantaggio: molto lavoro di programmazione
  • Impostate nelle proprietà delle variabili nel gruppo "Impostazioni ulteriori" l'opzione "DDE attivo" per tutte le variabili interessate.
    Vantaggio: facilità di realizzazione.
    Svantaggio: il driver richiede continuamente tutte le variabili.

attention Attenzione

Compatibilità limitata!

Controllate assolutamente dopo la conversone del progetto nella versione attuale tutte le macro VBA Runtime, se c'è un accesso diretto alle variabili. Se dovesse essere così, dovete prendere le misure sopra descritte!


RGM - banca dati modificata

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22 -> RGM - banca dati modificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 6.22 SP1 il formato della banca dati usata per il riversamento dati è stato modificato. Ciò significa che la banca dati viene automaticamente modificata nell'Editor al momento della conversione del progetto.

Se volete modificare dei dati del Manager gruppi ricette nel funzionamento Runtime, dovete procedere nel modo seguente.

  1. avviate l'Editor della versione di partenza prima di convertire il progetto.
  2. Assicurate nelle proprietà di progetto RT dati modificabili che dei dati del Manager gruppi ricette possa essere effettuato un backup e che essi possano essere decompilati.
  3. Se fate funzionare il Runtime su un sistema remoto: create una connessione con il sistema remoto ed effettuate un backup dei dati Runtime. La funzionalità la trovate nella Barra simboli del Trasporto Remoto.
  4. Effettuate un backup dei dati Runtime nell'Editor. A questo scopo utilizzate il comando Importa file Runtime della barra dei simboli File Runtime.
  5. Chiudete il vecchio Editor e avviate il nuovo. Adesso potete convertire senza pericolo il progetto nella nuova versione. Tutti i dati saranno a disposizione nella nuova versione.

attention Attenzione

Le banche dati vecchie del Manager gruppi ricette di versioni più piccole di 6.22 SP1 non possono essere più letti nel runtime 6.22 SP1 (e in quelli delle versioni con numero più alto)! Se i dati non sono stati convertiti tramite l'Editor nel modo descritto prima, perdete tutte le modifiche delle ricette o dei gruppo di ricetta che avete effettuato nel Runtime.

Windows CE

Se un progetto viene convertito con l´opzione Progetto WindowsCE attiva, i dati vengono salvati in zenon 6.22 automaticamente in modo binario. La conseguenza di ciò è che, quando si apre il RGM, si ha l´impressione che tutte le ricette siano sparite.


Modello - Lunghezza massima del nome

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:22 -> Modello - Lunghezza massima del nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nomi di modelli possono avere al massimo 29 caratteri. In una versione precedente era possibile che tali nome potessero avere anche 30 caratteri. Prima di convertire un progetto, tutti i nomi di modelli con 30 caratteri, devono essere ridotti a 29.


Conversione dalla versione X alla versione 6.50

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Ancora in questo capitolo

zenon Logic

Impostazioni grafiche estese per AML e CEL

Bit di stato - nuova denominazione breve

Strutture per UDFB in zenon Logic

VSTA e VBA - Denominazione di oggetti


zenon Logic

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50 -> zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di progetti zenon Logic si deve tener conto di quanto segue:

attention Attenzione

Per zenon Logic vale quanto segue:

  • Tutti i progetti devono essere ricompilati nel workbench dopo la conversione, in modo tale che siano poi in grado di funzionare nel runtime di zenon Logic.
  • I progetti di una versione precedente che non sono stati convertiti nella versione 6.50. non possono funzionare nel runtime di quest´ultima versione.


Impostazioni grafiche estese per AML e CEL

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50 -> Impostazioni grafiche estese per AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.50, l´elemento di controllo Lista informazioni allarmi nell´immmagine corrispondente (AML) e l´elemento di controllo Lista eventi nell´immagine Lista eventi cronologici (CEL) dispongono della proprietà Funzionalità grafiche avanzate.

Essa attiva l´uso e l´adattamento delle barre di scorrimento orizzontali e verticali, dell´intestazione e della griglia per l´elemento di controllo mediante le impostazioni corrispondenti nel gruppo Intestazione e griglia.

Se dei progetti realizzati con versioni precedenti vengono convertiti nella 6.5x, manca la proprietà Funzionalità grafiche avanzate. Per accedere alla proprietà, l´elemento di controllo Lista informazioni allarmi o Lista eventi deve essere cancellato dall´immagine e impostato di nuovo.


Bit di stato - nuova denominazione breve

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50 -> Bit di stato - nuova denominazione breve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 esistevano diverse abbreviazioni per bit di stato nelle differenti lingue. Con la versione 6.50 di zenon, sono state introdotte delle abbreviazioni comuni a tutte le lingue. Per garantire la compatibilità con le versioni precedenti, le nuove abbreviazioni possono essere tradotte nelle vecchie nel project.ini. In questo capitolo trovate:

  1. una lista delle nuove abbreviazioni, incluso confronto con le vecchie.
  2. una lista delle abbreviazioni con le denominazioni complete.
  3. un´introduzione per riattivare vecchie abbreviazioni nel project.ini.

1. Stato Abbreviazione nuova

Bit Nr. | Da 6.50 tutti | Fino a 6.50 tedesco | Fino a 6.50 inglese | Fino a 6.50 francese | Fino a 6.50 italiano | Fino a 6.50 spagnolo | Fino a 6.50 russo
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Indicazione: nella versione 6-50 lo stato no. 10 è stato rinominato in D_DIREC e dalla versione 6.51 è stato modificato in PROGRESS.

2. Abbreviazione - Denominazione completa

A partire dalla versione 6.50, le abbreviazioni sono uguali in tutte le lingue. Le denominazioni complete continuano a essere dipendenti dalla lingua:

Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

3. Attivazione dell´abbreviazione

Se desiderate usare l´abbreviazione, come prima della versione 6.50, in modo dipendente dalla lingua, potete farlo mediante un inserimento nel project.ini. Le abbreviazioni sostituite valgono per:

  • VBA
  • Manager gruppi di ricette
  • Dialoghi dell´elemento combinato
  • Dialoghi della matrice di reazione

Nota: Le abbreviazioni devono essere inserite in lettere maiuscole, non devono avere spazi vuoti e possono contenere al massimo 7 caratteri.

Così aprite il project.ini

  1. Selezionate il progetto nel manager di progetto.
  2. Premete la combinazione di tasti Ctrl+Alt+E
  3. Nel Windows Explorer si apre la cartella SQL di zenon

    C:\ProgramData\COPA-DATA\[SQL-Ordner]\[UID]\FILES

  4. Passate a \zenon\system\
  5. Aprite il file project.ini con un editor testi.

Attribuzione di nuove abbreviazioni a quelle dipendenti dalla lingua

Copiate dalla seguente tabella l´inserimento della lingua desiderata da [STATUS] fino a STATUS63=RES63 incluso, e aggiungetelo nel project.ini.

Tedesco | Inglese | Francese
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italiano | Spagnolo | Russo
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Strutture per UDFB in zenon Logic

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50 -> Strutture per UDFB in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.50, in zenon non sono più disponibili i tipi di dato UDFB di zenon Logic. Per mantenere la compatibilità con la versione 6.22, li potete impostare in zenon con un prefisso di progetto: PROJEKTNAME/UDFBName". A tal scopo, il K5DBXS.ini deve essere completato con l´aggiunta di un inserimento:

  1. aprite il K5DBXS.ini
  2. navigate fino alla sezione [XS]
  3. digitate l´inserimento UseUDFBPrefix=1

Se avete delle domande concernenti l´adattamento di UDFB invisibili, rivolgetevi per cortesia a support@copadata.com oppure alla hotline indicata nel Vostro contratto di support.


VSTA e VBA - Denominazione di oggetti

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 6.50 -> VSTA e VBA - Denominazione di oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A causa di limitazioni nella denominazione di oggetti in VSTA, sono state realizzate alcune modifiche del modello ogetto. Queste modifiche hanno effetto sul codice VBA, visto che quest´ultimo continua ad accedere al vecchio nome e, per questo, non funziona più.

Sono state effettuate le seguenti modifiche:

  • IDriver
    • Name -> Identification:

      Il Property Name non ha il nome, ma l´identificazione fornita dal driver. E´ stata rinominata usando il termine Identification.

    • Driver -> Name:

      Driver è incompatibile con VSTA, visto che questa property fornisce il nome del driver. Si è cambiato il nome adottando Name.

  • IApplication
    • Close -> Methode: Close / Event: OnClose:

      IApplication ha sia un Methode che un event con nome Close. Questo è incompatibile con VSTA. Event è stato rinominato in OnClose.

  • IZenWorkspace
    • Startup -> OnWorkspaceStartup
    • Exit -> OnWorkspaceExit

      Visto che questi due nomi vengono usati per VSTA.intern Events, sono stati cambiati OnWorkspaceStartup e OnWorkspaceExit.

attention Attenzione

Controllate il codice VBA per controllare i nomi modificati e adattatelo in modo corrispondenti ai nuovi modelli.


Conversione dalla versione X alla versione 06:51

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Ancora in questo capitolo

Calcolo larghezza colonne

Impostazioni per la banca dati SQL

Trend esteso Asse XY

GUID nel caso di conversione di progetti della versione 5.50

Pulsanti su cui cliccare Elemento combinato

Menu contestuali Comando

Turni da registrare in PFS

Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Wizard - VBA/VSTA Properties rimosse

Carattere # non permesso nel nome oggetto


Calcolo larghezza colonne

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Calcolo larghezza colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, per il calcolo della larghezza colonne (per es. nella Lista informazioni allarmi o nella CEL) si usa la larghezza media del carattere selezionato. Prima si usava un valore di default. Ciò può avere l´effetto che, dopo la conversione, le colonne vengano visualizzate con un´altra larghezza.


Impostazioni per la banca dati SQL

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Impostazioni per la banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, nel Startup Tool può essere definita l´istanza SQL e la password viene salvata in forma cifrata.

A tal scopo è stato modificato il Dialogo per l´impostazione delle proprietà della banca dati. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti. La visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Nuovi inserimenti

A partire dalla versione 6.51, il zenondb.ini contiene nuovi inserimenti :

[CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90 (Hash della password crittografata)

SQLINSTANCE=RECHNERNAME\ZENON_DEV

Essi sostituiscono l´inserimento:

[CONFIG]

PROVIDER_SQL2005

Nel caso in cui i nuovi inserimenti non dovessero esserci o dovessero essere vuoti, si continua ad usare questo inserimento.

Compatibilità:

Finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precendenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Attenzione: Visto che la cifratura della user-password avviene nel nuovo dialogo mediante lo Startup Tool, a partire dalla versione 6.51 tutte le impostazioni devono essere effettuate per forza tramite lo Startup Tool.


Trend esteso Asse XY

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Trend esteso Asse XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per salvaguardare le prestazioni, a partire dalla versione 6.51 i dati archivio per l´asse X non vengono più caricati automaticamente nel diagramma Trend esteso. Tuttavia, se si desidera visualizzare l´asse X nel diagramma:

  • Aggiungere la variabile selezionata per l´opzione Variabile per l´asse X anche come curva nel diagramma.
  • Disattivare la visualizzazione per questa curva.


GUID nel caso di conversione di progetti della versione 5.50

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> GUID nel caso di conversione di progetti della versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di conversione di progetti realizzati con la versione 5.50 bisogna tener conto del fatto che, quando si converte più di un progetto, si deve creare per ognuno un proprio GUID.

Causa

Nel project.ini della versione 5.50 c`è un inserimento GUID che contiene Project-GUID. Se si converte un progetto nella versione 6.x, viene usato questo GUID.

In zenon 5.50 era possibile copiare delle cartelle a livello file, aprire poi il progetto nell´Editor e rinominarlo. Questa copia di progetto conteneva ancora il GUID originale nel file INI, il che non costituiva un problema per la versione 5.50.

Se vengono convertiti solamente due progetti del genere nella versione 6.x, la conversione del secondo progetto verrà interrotta con la segnalazione che il GUID è già esistente.

Soluzione

Per la conversione di diverse copie di progetto realizzate con la versione 5.50 ci sono tre possibilità:

  1. Salva con nome...
    • Convertire il progetto A
    • nella versione 6.x eseguire il comando "Salva progetto con nome"
    • verrà generato un nuovo GUID
    • cancellare il progetto originale
    • convertire il progetto B

    Attenzione: questo metodo non è adatto ai progetti globali.

  2. Backup di progetto
    • Convertire il progetto A
    • Effettuare un backup di progetto nella versione 6.x
    • cancellare il progetto originale
    • Ricreare il backup mediante il comando "Ripristina backup di progetto" e attivare la proprietà "Genera un nuovo progetto".

    Nota: questo metodo è adatto anche ai progetti globali.

  3. modificare project.ini
    • aprire project.ini della versione 5.50. In questa versione il "project.ini" si chiama Projektname.ini
    • cancellare l´inserimento con il GUID
    • Convertire
    • verrà generato un nuovo GUID

    Nota: se si riapre questo progetto con la versione 5.50, viene generato un nuovo GUID che sarà inserito nel file INI.


Pulsanti su cui cliccare Elemento combinato

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Pulsanti su cui cliccare Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, è possibile creare nell´elemento combinato per l´opzione Simbolo dalla libreria dei pulsanti su cui poter cliccare; questi pulsantoi possono assumere la forma da Voi desiderata.

Nel caso dei progetti realizzati per le versioni precedenti, la proprietà Forma del simbolo corrispondente all'area sensibile (nodo Visualizzazioneviene considerata non attiva.


Menu contestuali Comando

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Menu contestuali Comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni precedenti alla 6.51, il testo era ignorato per i punti di menù automatici. Nel caso della conversione di progetti che sono stati realizzati usando versioni precedenti alla 6.51, prima del testo progettato vengono inserite automaticamente le Macro $ALL$$NOTE$. In questo modo, queste voci di menù funzionano come succedeva finora.


Turni da registrare in PFS

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Turni da registrare in PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella registrazione di Turni nel Production & Facility Scheduler, nella versione 6.50 il nome tabella per la registrazione era denominato in modo fisso con PFSSHIFTHISTORY.

A partire dalla versione 6.51, invece, esso segue il modello seguente: ProjectGUID_TURNO_GUID del Gruppo di impianti
Per esempio: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano le Tavolozze, viene salvato solamente l´indice della tavolozza. Il colore effettivo viene assegnato nel Runtime.

Problema

se nelle versioni prima della zenon 6.51 i colori per i simboli della Libreria simboli generale vengono definiti tramite colori di tavolozze (funzione simile alle tavolozze di colore a partire dalla versione 6.51) e i colori di un simbolo nella versione 6.51 vengono cambiati, quando si riavvia l´Editor tutte i colori dei simboli definiti dall´utente vengono adattati alla modifica. Questa azione è corretta dal punto di vista della compatibilità. Tuttavia si può aver bisogno anche di colori assoluti.

Soluzione

se la libreria dei simboli viene salavata di nuovo in zenon 6.51, gli indici delle tavolozze vengono sostituiti da colori assoluti.

Procedura:

  1. attivate e aprite il progetto con il colore tavolozza corretto in zenon 6.51.
  2. Inserite nella libreria simboli generale un nuovo simbolo.
  3. Salvate la libreria simboli generale. Essa viene salvata nel nuovo formato.
  4. Aprite l`Editor e riavviatelo.
  5. Denominate il simbolo di nuova creazione e salvatelo.
  6. Nella libreria simboli globale, i colori tavolozza vengono sostituiti da colori assoluti.


Wizard - VBA/VSTA Properties rimosse

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Wizard - VBA/VSTA Properties rimosse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuazione dell´operazione di filtro per un cambio ad un´immagine del tipo Trend esteso sono state eliminate le seguenti properties dinamiche, perché non avevano alcuna funzione:

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • nonché ArvName, Titolo, Group e Amplitude dello stesso oggetto

Se doveste usare queste properties in un wizard, le dovete rimuovere.


Carattere # non permesso nel nome oggetto

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 06:51 -> Carattere # non permesso nel nome oggetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, il carattere # non è più permesso per nomi oggetti, come variabili e funzioni. Non è più possibile digitare questo carattere nell'interfaccia.

Background: un # nel nome può portare al verificarsi di problemi, per esempio, in fase di import.


Conversione dalla versione X alla versione 07:00

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attenzione Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup. A partire dalla versione 7.00, il nome dei backup generati automaticamente contiene il server SQL usato, per es.:
before converted to 7.00 SP0 (sql server 2008 r2).zip

Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

Gestione user con Active Directory

Installazione parallela della versione 7.x e della versione 6.51

Server diagnosi con nuovo servizio

Combo-/Listbox dinamica

IPv6

Registrazione della licenza

Message Control

RGM - Comportamento errato nel caso di cambio immagine

Leggi ricetta RGM - nuove condizioni

Driver Allan Bradley RS-Linx

Cambio server SQL


Gestione user con Active Directory

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Gestione user con Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00 SP0 Active Directory è disponibile solamente per la gestione user nel Runtime di zenon. Per l´Editor di zenon ciò significa quanto segue:

  • gli utenti AD non vengono usati per l´Editor.
  • Gli utenti AD non vengono più validati nell´Editor.
  • Non è più possibile effettuare una registrazione nell´Editor mediante AD.

Attenzione: se avete realizzato in un progetto la registrazione nell´Editor di zenon via Active Directory, prima della conversione del progetto stesso si deve procedere a impostare un utente zenon dotato di tutti i diritti necessari.


Installazione parallela della versione 7.x e della versione 6.51

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Installazione parallela della versione 7.x e della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si installa una versione 7.x su un sistema su cui si trova già zenon 6.51, dopo l´installazione, si deve installare di nuovo Multiple Network Protocol Driver dopo un reboot.

Procedura:

  1. Riavviate il sistema.
  2. Aprite sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x64
  3. eseguite il file setup64.exe (setup32.exe su sistemi a 32 Bit) del percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x86)

In tal modo, il driver viene installato nuovamente e collegato in modo corretto alla scheda di rete.


Server diagnosi con nuovo servizio

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Server diagnosi con nuovo servizio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la versione 7.00 SP0 di zenon il Sistema di diagnosi viene modificato. A partire da questa versione, tutti i compiti di Logging vengono svolti tramite il servizio zenLogSrv. Da questo momento, il servizio zenSysServ è responsabile solamente per attività di trasporto remoto. Il numero massimo dei moduli pro Diagnose Client è stato elevato da 32 a 64.

Questo significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili e quelli a partire dalla versione 7.00 sono compatibili.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnosis Viewer 6.51 SP0 e versioni precedenti. | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnosis Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnosis Viewer versione 7.00 SP0 e versioni successive, i file Log creati da un Diagnosis Server della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!


Combo-/Listbox dinamica

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Combo-/Listbox dinamica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7, le Combo-/Listbox possono essere create anche in modo dinamico. Facendo uso della proprietà Inserimento da variabile string si stabilisce se gli inserimenti della box vengono fissati nell´Editor, oppure vengono creati tramite una variabile stringa collegata.

Convertendo dei progetti di una versione di zenon 7, le nuove proprietà vengono dotate di valori validi:

  • Combo-/Listbox statiche (proprietà Inserimento da variabile string disattivata)
  • nessuna variabile di visibilità (proprietà Variabile vuota)

Se i file vengono creati o salvati per una versione precedente, le proprietà per le Combo-/Listbox dinamiche non vengono caricate per garantire la compatibilità con versioni più vecchie.


IPv6

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> IPv6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon, IPv6 può essere usato in rete.

info Info

Grazie ad IPv6, un numero maggiore di utenti e dispositivi possono comunicare via Internet usando numeri più grandi per creare indirizzi IP. Con IPv4, ogni indirizzo IP è lungo 32 bit, il che significa che è possibile creare un massimo di 4,3 miliardi di indirizzi IP univoci. Esempio di indirizzo IPv4:

172.16.254.1

Adesso un confronto: gli indirizzi IPv6 sono lunghi 128 bit, il che rende possibile creare circa 340 sestilioni ((3,4e+38) di indirizzi IP univoci. Esempio di indirizzo IPv6:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 offre anche altri vantaggi per quello che concerne la comunicazione di rete. Nella maggior parte dei casi, i computer e i programmi riconoscono automaticamente le reti compatibili con IPv6 e ne sfruttano i vantaggi senza che l´utente debba fare nulla. IPv6, inoltre, elimina anche quei problemi che possono insorgere in rete a causa delle limitate possibilità di IPv4 in fatto di creazione di indirizzi univoci. Esempio: IPv6 riduce la necessità di ricorrere alla cosiddetta traduzione degli indirizzi di rete (network address translations o NAT), un servizio che consente a diversi client di usare un comune indirizzo IP, che però non funziona sempre in modo affidabile.

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento simultaneo dei due protocolli. L´impostazione viene definita:

  • Network configuration Nello Startup Tool
    , oppure
  • nel file zenon6.ini

Attenzione: IPv6 funziona solamente a partire dalla versione 7.
Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata. Ciò riguarda particolarmente zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

I seguenti componenti non sono interessati da quest´impostazione; usano sempre il protocollo IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione via protocollo nel Process Gateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Diagnosis Viewer

Il Diagnosis Server funziona anche con client di diagnosi indirizzati tramite indirizzi IPv6. Per questo si è provveduto ad adattare il formato dei file Log. Il Diagnosis Viewer legge solamente il nuovo formato dei file LOG. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.


Registrazione della licenza

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00, la licenza viene modificata. Per convertire delle versioni di zenon nella 7.00, si deve acquisire anzitutto una licenza per la versione 7.00 e inserire poi il nuovo Numero di attivazione. Il numero di serie rimane lo stesso.

Gli inserimenti nello zenon6.ini sono i seguenti:

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Message Control

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00 SP0 di zenon, il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti, sia per quello che riguarda la configurazione, che per quello che riguarda la tecnica d´invio.

Importanti modifiche tecniche:

  • Non viene più utilizzato un server COM
  • Non viene più utilizzato il componente aggiuntivo della ditta DerDack
  • La ZenMsgQueue è stata sostituita da un´immagine specifica di tipo Message Control
  • La configurazione viene eseguita nelle proprietà Message-Control del workspace (invio), e nelle proprietà Proprietà specifiche di progetto del modulo Message Control nel progetto (impostazioni specifiche di progetto)
  • Non esiste più una visualizzazione dettagli.
  • Sono stati eliminati il modello turni e la funzionalità calendario.
  • Non ci sono più "File Runtime modificabili"
  • L´invio di E-Mail è possibile sia via Outlook che con un server SMTP; in quest´ultimo è possibile inviare allegati.
  • La configurazione delle modalità di invio non viene più salvata nel file messag32.ini, ma nel file zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo "Message Control" era differente da quella di testi di valore limite standard. A partire dalla versione 7.00, sono entrambi analizzati nello stesso modo. @StringTabelle+%var1

I dettagli riguardanti la configurazione si trovano nel capitolo Configurare il Message Control.

attention Attenzione

Solo i progetti realizzati con versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate, non è possibile garantire una compatibilità al 100% quando si converte un progetto nella nuova versione. Questo vale anche per la compilazione dei file Runtime per versioni precedenti. Quando si esegue una conversione di progetto, bisogna tenere presente soprattutto quanto segue:

  • Utenti:
    • Esiste un utente con lo stesso nome (nome e cognome): viene usato questo utente e le informazioni vengono intergrate.
    • Non esiste nessun utente corrispondente: il sistema crea un nuovo utente; il collegamento con il sostituto e con il gruppo utenti viene cancellato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • Esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono integrate le informazioni.
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    La funzione Esegui Database destinatari è stata eliminata:
    Questa funzione non può più essere creata con l´Editor. Non viene però cancellata quando si effettua una conversione di progetto. La sua esecuzione a Runtime non ha alcun effetto e genera un inserimento nei file LOG.

  • Paging:
    Il paging non è più disponibile come modalità di invio. Alle funzioni esistenti per cui è stata configurata la modalità d´invio Paging, il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • RT file modificabili:
    Dato che la gestione utenti è stata modificata, non sono più necessari i file RT modificabili per il Message Control. Nella versione 7 non è prevista nemmeno la possibilità di importare vecchi dati Runtime. Se si ha bisogno di file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima rileggere in un Editor precedente alla versione 7 di zenon e poi li si deve convertire.
  • Turni e calendario:
    La funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Turni il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • SMS-Gateway:
    Visto che l´interfaccia semplice non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Quando si esegue la conversione del progetto, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.


RGM - Comportamento errato nel caso di cambio immagine

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> RGM - Comportamento errato nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si seleziona erroneamente una ricetta per il cambio immagine del RGM, perché:

  • ricetta non esistente nel Runtime
  • nessuna selezione effettuata
  • ricetta non contenuta nel Filtro

allora cambia il comportamento della lista a cascata Ricette nel Runtime:

  • nelle versioni fino alla 6.51 SP0, la prima ricetta veniva offerta nella lista
  • a partire dalla versione 7.00 SP0, la selezione rimane vuota.


Leggi ricetta RGM - nuove condizioni

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Leggi ricetta RGM - nuove condizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00 SP0, il sistema controlla al momento della lettura di valori variabili in ricette:

  • se i valori delle Proprietà Valore minimo e Valore massimo sono rispettati
  • quale stato ha la variabile

Se i valori sono superati verso l´alto o verso il basso, oppure se lo stato della variabile è INVALID, i valori non vengono più scritti nella ricetta e salvati.

Il sistema procede a analizzare ulteriori Variabili di sistema. Possibili valori di variabili a partire dalla versione 7.00:

  • 0: viene settato prima della lettura e cambia solo quando il procedimento di lettura è completato.
  • 1: Lettura portata a termine con successo.
  • 2: Durante la lettura si è verificato un errore non meglio definito.
  • 3: Perlomeno una variabile ha lo stato INVALID durante la lettura.
  • 4: Perlomeno un valore è al di là dei limiti massimo e minimo.
  • 5: Durante la lettura si è presentato un timeout (30000 + 100*VarCount in [ms]).


Driver Allan Bradley RS-Linx

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Driver Allan Bradley RS-Linx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il driver supporta a partire dalla versione 7.00 SP0 Unsolicited Messages. In tal modo cambia anche la configurazione del driver. Essa viene effettuata adesso nelle tab:

  • Generale: Immutato
    Indicazione: se si usa Unsolicited Messages, si dovrebbe disattivare Update tempo globale
  • Configurazione: il numero KT usato finora viene sostituito dalla denominazione del driver RS-LINX.
  • Configurazione Unsolicited Messages: Nuovo. Impostazioni per Unsolicited Messages.

attention Attenzione

Si deve adattare la configurazione driver nei progetti già esistenti.


Cambio server SQL

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:00 -> Cambio server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon 7.00 SP0 viene installato il Microsoft SQL Server 2008 R2 Express e usato per i progetti realizzati con zenon. A partire dalla versione 7.00, l´Editor di zenon si connette di default solamente con SQL Server 2008 R2. I progetti le cui banche dati si trovano in un´altra istanza SQL (per es. ZENON_DEV bei SQL Server 2005), non possono essere più aperti.

L´istanza server SQL a cui si connette zenDBSrv, può essere modificata tramite loStartup Tool. Lo Startup Tool provvede ad effettuare nello zenDB.ini gli inserimenti necessari per la versione di zenon in questione:

  • prima di 6.00: nessuna banca dati
  • Da 6.00 a 6.20: inserimenti per SQL Server 2000 (MSDE)
  • Da 6.21 a 6.51: inserimenti per SQL Server 2005 Express Edition
    Nel caso della versione 6.51, la password viene inserita in forma ciftata.
  • Versione 7.00 e successive: inserimenti per SQL Server 2008 R2 Express Edition con password cifrata.

Un funzionamente misto dell´istanza SQL Server 2005 „ZENON_DEV" e di quella SQL Server 2008 R2 „ZENON_2008R2" non è possibile.

attention Attenzione

I progetti realizzati con versioni precedenti di zenon devono essere necessariamente esportati e poi riletti nella versione 7:00 di zenon.

Suggerimento: se non è stato effettuato un export e non è più disponibile la versione in questione, il trasferimento può essere realizzato manualmente:

  • copiate tutta la cartella, inclusa GUID, e salvatela in un altro posto
  • create manualmente la connessione con la banca dati

Conversione del progetto

Per la conversione di progetti realizzati con versioni precedenti alla 7:00, consigliamo di applicare la seguente procedura:

  1. creare dei backup di progetto nella versione di partenza
  2. esportare i backup sul disco fisso
  3. zenon Editor 7.00 Editor.
  4. Creare un nuovo workspace.
  5. Rileggere i backup nel nuovo workspace.

I backup di progetto possono essere riletti anche nello stesso workspace dell´Editor della versione 7:00. Visto che la GUID rimane inalterata nell´operazione di rilettura, il workspace può essere aperto nella versione 7.00 di zenon e anche nelle versioni comprese fra 6.21 e 6.51.

info Info

Anche se hanno lo stesso nome e la stessa GUID, i progetti della versione 7.00 di zenon sono indipendenti da quelli delle versioni 6.21/ 6.51.di zenon a causa della diversa istanza Server SQL. I backup della versione 7.00 zenon non compaiono nell´Editor delle versioni 6.21 / 6.51. Per questa ragione Vi consigliamo di salvarli in un nuovo workspace.


Conversione dalla versione X alla versione 07:10

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

Versione a 32 e 64-Bit

Installazione

Batch Control

Conversione di progetti 6.01 o 6.20

Converti banca dati del Manager di gruppi ricette

SQL Server 2012

Report Viewer

Direct Daw eliminato da VBA

WPF

Filtro tempo


Versione a 32 e 64-Bit

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Versione a 32 e 64-Bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adesso zenon è disponibile per l´Editor e il Runtime come versione a 32-bit e a 64-bit. Su sistemi operativi a 64-bit vengono installati l´Editor di zenon a 32-bit e a 64-bit, o il Runtime di zenon a 32-bit e a 64-bit. I nomi dei file eseguibili sono identici per la versione a 32-bit e per quella a 64-bit.

Su sistemi a 64-bit, tutti i servizi disponibili in 64-bit sono registrati e usati nella versione a 64-bit. L´Editor e il Runtime possono essere avviati alternativamente in una delle due versioni. I progetti possono essere modificati in entrambi gli Editor, e possono essere eseguiti in entrambi i Runtime.

Componenti come, ad esempio, il Runtime di zenon Logic, il workbench di zenon Logic, i driver, il Process Gateway e altri tool, vengono sempre utilizzati solamente nella versione a 32-Bit.

Limiti generali

Nell´uso di zenon ci sono dei limiti generali dovuti al fatto che solamente DLL a 64-bit possono essere caricate in processi a 64-bit. Questo riguarda soprattutto i componenti esterni che vengono caricati nell´Editor o a Runtime. La cosa riguarda direttamente le DLL caricate via VBA/VSTA Code e controlli ActiveX. Queste DLL devono essere disponibili in versione a 64-bit per poter essere utilizzate nell´Editor o nel Runtime a 64-bit. I controlli ActiveX forniti da COPA-DATA sono disponibili nella versione a 32-bit e in quella a 64-bit.

Conversione di progetti zenon 5.50.

Non è possibile convertire progetti creati con la versione 5.50 di zenon con l´Editor a 64-Bit. Questi progetti devono essere prima convertiti usando l`Editor a 32-Bit.

Limiti RGM

Nel modulo RGM non è più supportato il database in formato Access. Per poter usare dati MS Access di versioni precedenti in un sistema a 64-Bit, il progetto deve essere anzitutto convertito nell´Editor a 32-Bit. A partire dalla versione 7.10, la proprietà DataSource non è più disponibile. Dettagli su questo tema sono disponibili nel capitolo Convertire database di Manager di gruppi ricette.

VBA

Il VBA di zenon è stato aggiornato alla versione 7.1. Per questa ragione VBA è disponibile adesso anche nella versione di zenon a 64-Bit. Se nel codice VBA si accede alle API Windows o ad altre funzioni DLL importate, questi richiami devono essere adattati a 64-bit. In generale vale quanto segue: Un file VBA creato per una versione a 32-Bit non può essere utilizzato senza modifiche‑in una versione a 64-bit di VBA.

In VBA esistono alcune definizioni/funzioni che consentono di scrivere un codice compatibile per 32 Bit e per 64 Bit. Per esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Informazioni utili sulla portabilità di codice VBA a 32-bit a VBA a 64-bit sono fornite anche da Microsoft:

  • Microsoft Office 2010, note sulla portabilità: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Componenti solo a 32 bit

I seguenti componenti sono disponibili solo nella versione a 32 bit, anche sui computer a 64 bit:

  • Alcuni programmi, come SIC.exe e DiagViewer.exe
  • Registrazione licenza
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Driver
  • Workbench e Runtime di zenon Logic


Installazione

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon 7.10 non può essere installato su sistemi su quali è già installato Microsoft SQL Server Data Engine (MSDE). Ciò riguarda tutti i sistemi su cui sono installati zenon 6.20 oppure una versione precedente.


Batch Control

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di convertire un progetto in una nuova versione di zenon, tutte le ricette devono essere terminate. L´esecuzione delle ricette attive non continuerà dopo il riavvio del sistema. Il riavvio funziona solamente nell´ambito della stessa versione di zenon.


Conversione di progetti 6.01 o 6.20

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Conversione di progetti 6.01 o 6.20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i progetti di zenon realizzati con la versione 6.01 o 6.20, non si può più realizzare direttamente un backup in zenon 7.10 o in versioni successive.

Background: le versioni che si basano su MSDE (SQL Server 2000), non sono compatibili con il server SQL 2012 usato in zenon 7.10.

Soluzione: innanzitutto convertire il progetto in zenon 7.0, e poi in 7.10 o in versioni successive.


Converti banca dati del Manager di gruppi ricette

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Converti banca dati del Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.10, nel Manager di gruppi ricette non viene più supportata la banca dati MS Access. Quando si apre un progetto esistente, la memorizzazione dati passa automaticamente a "Dati binari". Verrà generato un backup di progetto. Esso vi consente di aprire di nuovo il progetto anche con la versione con cui è stato realizzato.

Conversione con Editor a 64-Bit

L´Editor a 64-Bit non può accedere alla banca dati MS Access. Per convertire quest´ultima, aprite anzitutto il progetto nell´Editor a 32-Bit. Qui avete a disposizione un meccanismo che con l´impostazione RGM DataSource: MS AccessDB, trasferisce automaticamente i dati a file binari. La proprietà DataSource non è più disponibile a partire dalla versione 7.10. Se il data storage è stata già settato su file binari, i dati del database sono rigettati. Tenere presente quanto segue:

  • La copia dei dati della banca dati Access nel data storage binario, avviene solamente nelle conversione nell`Editor a 32-bit. I dati del database Access sono sempre rigettati con una versione a 64-bit.
  • Quando si converte sotto 64-bit, il sistema verifica se il data storage del RGM è settato su MS Access. In questo caso, un´informazione corrispondente con notificazione di conversione è visualizzata nell´Editor a 32-bit.
  • Se, quando si copia nell´Editor a 32-bit, si constata che alla destinazione (file binari) i dati sono stato già configurati, il sistema chiede all´utente quali dati devono essere conservati (MS Access o binari). Dati MS Access e binari non possono essere combinati.

Dopo la conversione, potete aprire e modificare il progetto anche con l´Editor a 64-bit.

Se volete convertire il progetto ancora una volta, usate il backup creato automaticamente durante la conversione.

Adattamento di nomi gruppo ricette e nomi ricette per 32-Bit zenon

I nomi gruppo ricette e i nomi ricetta che contengono caratteri non consentiti per "dati binari", vengono modificati automaticamente al momento della conversione di un progetto nella versione a 32-Bit di zenon 7.1x. Gli elementi rinominati vengono visualizzati nella finestra di emissione. Dopo aver effettuato la conversione, quindi, Vi invitiamo a controllare se nella finestra di emissione ci sono delle segnalazioni di avvenute modifiche di nomi!

Attenzione: quando gruppi ricetta o ricette vengono rinominati, si deve procedere a controllare e modificare manualmente i seguenti elementi del progetto:

  • tutte le funzioni RGM
  • le variabili che possono contenere nomi gruppo ricette o nomi ricette
  • codice VBA che può contenere nomi gruppo ricette o nomi ricette


SQL Server 2012

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> SQL Server 2012

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server SQL viene utilizzato nella versione 2012 Express Edition con zenon. Le impostazioni vengono fissate con lo Startup Tool.

Gli inserimenti corretti per lo zenDB.ini li trovate nel capitolo zenDB.ini.

attention Attenzione

I progetti di altre versioni non possono essere aperti direttamente in zenon 7.10. Dei progetti che devono essere modificati in zenon 7.10, si deve realizzare anzitutto un backup nella versione con cui sono stati creati. Il backup può poi essere convertito in zenon 7.10.

Se si installano parallelamente diverse versioni, i differenti server SQL devono avere differenti.percorsi.


Report Viewer

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Intervalli di tempo

A partire dalla versione 7.10 , il Report Viewer può usare diversi intervalli di tempo. Per ragioni concernenti la compatibilità all'indietro, vengono usati i primi due filtri tempo configurati della lista.

Datasets

I data set per AM, CEL, ARCHIVI e ONLINE sono stati ampliati con l´inserimento RESSOURCESLABEL.


Direct Daw eliminato da VBA

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Direct Daw eliminato da VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le classi, metodi e eventi che erano usati per la scrittura diretta in immagini di zenon via la API (VBA/VSTA) di zenon, sono stati eliminati per motivi di performance. Ciò riguarda:

  • classe Draw
  • metodo DrawAPI
  • evento Draw


WPF

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF CircularGauge è stato ampliato da 3 a 6 aree di visualizzazione. La compatibilità all'indietro non è garantita.

Nota: se sono disponibili in un progetto due versioni di file collettivo, il sistema chiede all´utente quale versione deve essere usata. Se si decide di continuare ad usare la versione utilizzata fino a quel momento, non sono necessarie ulteriori azioni. Se si sceglie una versione più recente, però, dovranno essere adattati tutti i file CDWPF corrispondenti in tutti i simboli e immagini in tutti i progetti.


Filtro tempo

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:10 -> Filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione e la visualizzazione dei filtro tempo, nonché i risultati di filtro sono stati modificati, ottimizzati e armonizzati.

La combinazione della nuova opzione Modifica intervallo di tempo e del nuovo comportamento filtro, può far sì che i risultati di filtro a partire dalla versione 7.10 siano diversi da quelli delle versioni precedenti.


Conversione dalla versione X alla versione 07:11

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

API - Modifica del tipo di dato

Batch Control

Comandi

IMM Nomi tabelle

Modifica variabili via API

Filtro lotto

Rete

OPC UA Server: capacità multiprogetto

Funzioni VBA per lista modelli modificate


API - Modifica del tipo di dato

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> API - Modifica del tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel CreateArrayVarEx Methode per l´oggetto Variables, è stato modificato il tipo di dato per lAdrMode da int a zenOn.tpAdrMode.

Il codice esistente deve essere cambiato in modo corrispondente.

Fino alla versione 7.10 di zenon inclusa:

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, int lAdrMode, bool bStartAtNewOffset)

Da zenon 7.11

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, zenOn.tpAdrMode lAdrMode, bool bStartAtNewOffset)


Batch Control

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visualizza parametro di comando

Con la versione 7.11, nel cambio immagine nella scheda Impostazioni lista parametri sono state estese le opzioni per Visualizza parametro di comando; esse sono state inoltre convertite da pulsanti di opzione a Checkbox combinabili a piacere.

Dal punto di vista della retrocompatibilità, ciò significa che una scrittura retrocompatibile è possibile solo se:

  • È settata solo una checkbox per i parametri modificabili
  • Oppure la combinazione di tutte le checkbox fa si che vengano visualizzati tutti i parametri.

Se la combinazione delle checkbox selezionate dà come risultato un´impostazione che non era configurabile nella versione 7.10 di zenon, oppure in quelle precedenti, non verrà visualizzato nessun parametro nella lista.

Riavvio del Runtime

Dopo un restart seguente ad un riavvio del Runtime, lo stato relativo con l´informazione viene salvato nelle ricette. Lo stato di esecuzione viene visualizzato nelle informazioni unità. Lo stato di esecuzione (numerico e testo) nelle informazioni unità contiene un numero e un testo che corrispondono a quelli della variabile nell´immagine. Incluse informazioni, se causato da riavvio, informazioni sugli oggetti in stato divergente, informazioni che rimandano un cambio di stato.
Attenzione: il contenuto di questa variabile non è compatibile fra le versioni zenon 7.10 e 7.11.

File RDL

Il default.rdl di zenon 7.10 può presentare degli errori di configurazione. Se vengono usati file RDL basati su default.rdl per il Batch Control in zenon 7.11, ciò può portare al verificarsi di errori nell´output. Se desiderate usare i corrispondenti file RDL sotto zenon 7.11, effettuate le seguenti modifiche prima dell´uso:

  • Data set per BatchOperationInstances
    • Il campo OpertionType deve essere rinominato in OperationType.
  • BatchMasterRecipes e BatchControlRecipes:
    • Il campo MrVersionSource deve essere rinominato in MrSourceVersion.
    • Integrate il campo dati MrVersion con il tipo di dato Integer
  • BatchPhases1

    Aggiungete i seguenti campi dati:

    • CondPlcError (tipo di dato: Stringa)
    • CSName (tipo di dato: Stringa)
    • CSDescription (tipo di dato: Stringa)
    • CSTag (tipo di dato: Stringa)
    • ActiveCSNumber (tipo di dato: Integer)


Comandi

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel processo di creazione dei file Runtime - via Crea tutti i file runtime - vengono escluse tramite filtraggio tutte le azioni di comando del tipo Comando automatico/remoto e Comando forzato.

Queste azioni sono disponibili in zenon solamente a partire dalla versione 7.11. La validazione della compilazione Editor controlla se per una variabile (o variabili nel caso di uso di wildcard) sono stati progettati due volte lo stesso comando, o la stessa direzione di commutazione. In questo caso, apparirà nella Finestra di emissione una segnalazione di errore.

info Info

Le azioni di comando Comando automatico/remoto e Comando forzato non sono disponibili in versioni del Runtime precedenti alla versione in 7.11.


IMM Nomi tabelle

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> IMM Nomi tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi tabella vengono adesso assegnati in modo fisso nell´IMM:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Queste tabelle hanno di default dei nomi fissi.

Nella conversione di progetti, nomi tabella divergenti vengono mantenuti. I nuovi progetti usano i nomi tabella assegnati in modo fisso.


Modifica variabili via API

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Modifica variabili via API

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Object Model di zenon, il Variables object è stato esteso con l´aggiunta delle funzioni ModifyVariable e ModifyArrayVariable. Con esse possono essere modificati via API proprietà di semplici variabili, variabili strutturate e array. Tutte le proprietà dinamiche che non possono essere modificate via AP, sono state settate su "solo lettura".

  • Funzione ModifyVariable:
    Per variabili semplici. Consente la modifica di:
    • Driver
    • Tipo di oggetto
    • Tipo di dato
    • Modalità di indirizzamento
    • Impostazione ogni tipo di dato parte con nuovo offsett
  • Funzione ModifyArrayVariable:
    Per variabili array. Consente la modifica di:
    • Driver
    • Tipo di oggetto
    • Tipo di dato
    • Modalità di indirizzamento
    • Calcolo offset
    • Lower Bound (0 o 1) e dimensioni array.

Attenzione: anche le seguenti proprietà dinamiche sono state settate per API su "solo lettura":

  • LBound
  • Dim1
  • Dim2
  • Dim3
  • OfsAccordingType
  • IsOffsetManuell
  • IsStartAtNewOffset
  • Driver
  • ID_DataTyp

ID_DriverTyp


Filtro lotto

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Filtro lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro su base lotti è stato esteso e la sua configurazione è stata resa uniforme.

Compatibilità:

  • L´impostazione Lotti nella scheda Tempo si trova adesso nella scheda Lotti e si chiama Visualizza dialogo di selezione lotti.
    Differenza: fino alla versione 7.11, si poteva configurare la finestra di dialogo con la selezione Lotti nel filtro tempo e si poteva attivare il filtro nella scheda Lotti.
    A partire dalla versione 7.11, invece, solo una delle due cose è possibile. Nell´effettuazione della conversione di progetto, viene selezionata l´opzione Visualizza dialogo di selezione lotti e il filtro tempo viene settato in modo fisso sul suo valore di Default Filtro tempo relativo con un´ora.
    • Nota Import XML: nella conversione di un progetto dalla versione 7.10 alla versione 7.11 via export XML e import XML, si verifica un errore ottico. Con l´import XML, la conversione avviene invece che a Filtro tempo relativo con un´ora a Filtro tempo assoluto con un´ora. Ciò non ha alcun effetto nel Runtime, visto che l´impostazione non viene analizzata al momento dell´apertura della finestra di dialogo. Tuttavia, al momento dell´apertura del filtro nel Runtime o nell´Editor viene visualizzata una segnalazione di errore, visto che il tempo d´inizio ha un valore maggiore di quello di termine.
  • Sono state ampliate le possibilità per l´opzione Ultimo lotto. Possono essere visualizzate sia lotti conclusi che lotti correnti, ed essi possono essere combinati. Se si selezionano i lotti attivi, oppure se si opta per la combinazione fra quelli attivi e quelli conclusi e se si compila il progetto per una versione precedente alla 7.11, nel Runtime verranno visualizzati i lotti conclusi.
  • Per le operazioni di filtro su base archivi e nomi lotti, sono disponibili rispettivamente le seguenti opzioni:
    • Nessun filtro: corrisponde alla precedente impostazione * come filtro
    • Statico:
    • Da variabile: nuova impostazione

    Nella conversione di progetti della versione 7.10 o precedente, l´impostazione „*" o stringa vuota viene convertita come Nessun filtro.

  • Se si creano i file Runtime per versioni precedenti alla 7.11, possono essere convertite in modo corretto solamente le opzioni Nessun filtro e Statico. Nel caso di Statico, la stringa viene scritta così com´è; per Nessun filtro viene salvato „*" come filtro. L´opzione Da variabile viene ignorata; non viene settato nessun filtro.


Rete

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Validazione durante la compilazione.

Durante la compilazione del progetto vengono effettuate le seguenti operazioni di validazione per una rete nominale:

  • variabile usata esiste ancora
  • variabile usata non è del tipo Stringa e non è una Struttura di variabile
  • L´isteresi si trova all´interno della somma di tutti carichi.
  • variabile usata non viene letta da SB
  • Le variabili vengono controllate solo se la modalità ridondanza ha il valore Nominale.

info Info

Il controllo di un inserimento configurazione viene effettuato solamente se esso è attivo.

Compatibilità con le versioni precedenti

  • Il Runtime di COPA-DATA può collegarsi a un server con una versione < 7.11.
  • L´Editor di COPA-DATA può creare un progetto per una versione Runtime di COPA-DATA < 7.11.


OPC UA Server: capacità multiprogetto

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> OPC UA Server: capacità multiprogetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.11 di zenon, il server OPC UA è compatibile con la gestione multi-progetto. Si possono selezionare delle variabili del progetto Runtime e di tutti i suoi sottoprogetti. In questo caso, il nome oggetto si compone del nome della variabile e del nome del progetto. Le configurazioni di client OPC UA create con una versione precedente alla zenon 7.11, non sono compatibili. Le si dovrà modificare se le si vuole utilizzare con zenon 7.11 o con versioni successive.


Funzioni VBA per lista modelli modificate

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:11 -> Funzioni VBA per lista modelli modificate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni che servono a verificare il numero di modelli sono state modificate. Fino alla versione 7.10 inclusa, venivano sommati tutti i modelli del progetto locale e del progetto globale. A partire dalla versione 7.11, vengono contati solamente i modelli del progetto locale o quelli del progetto globale.

Sono state modificate le seguenti funzioni VBA:

  • CSchabliste::vba_Count(): a partire dalla versione 7.11, restituisce solo il numero dei modelli locali o globali.
  • CSchabliste::vba_Item(const VARIANT FAR& vID): a partire dalla versione 7.11, restituisce solo la lista dei modelli locali o globali.

Queste modifiche potrebbero causare un´incompatibilità con progetti creati con versioni precedenti. Se si effettua un´interrogazione mediante queste funzioni VBA in un progetto esistente, esse dovranno essere adattate.

Esempio

in un progetto locale ci sono 5 modelli e nel progetto globale ce ne sono 10. Conseguenza:

  • finora venivano contati e iterati 15 modelli.
  • A partire dalla versione 7.11 vengono contati e iterati o 5 o 10 modelli.
  • Se l´iterazione porta ad un errore, per es. 11,
  • si dovranno effettuare delle interrogazioni separate per progetto locale e progetto globale.


Conversione dalla versione X alla versione 07:20

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

Versione 7.20 - Build più recente

BACnetNG

Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Funzioni specifiche per tipo immagine

Successione di visualizzazione degli elementi

DirectX 11.1

DirectX nell´Editor

DirectX: rappresentazione grafica in caso di cambio immagine.

DNP3_TG driver sostituisce DNP3_NG

Collega testo: sostituita la proprietà "Testo da variabile".

Proprietà antialiasing rimossa.

Proprietà Angolo di testo e Inclinazione lettere rimosse.

Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Trend esteso Cross-hair, visuale XY

Formato della tabella della banca dati Archivio in cascata

Qualità grafica "Windows Enhanced"" rimossa

Testo valore limite

IMM Nomi tabelle

Navigazione con Multi-Touch nell´immagine globale

Process Control Engine (PCE) rimosso

Trasporto Remoto: Salvare la password in forma crittografata

Proprietà dei modelli

Modelli: proprietà "Tipo di cornice" modificata.

Modelli. Colore di sfondo.

Ombra nell´Elemento combinato

Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Elementi non collegati

Proprietà di variabili per zenon Analyzer

Imposta progetti zenon Logic


Versione 7.20 - Build più recente

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Versione 7.20 - Build più recente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la compatibilità con la versione 7.20, esiste un´altra possibilità di selezione "versione più recente". Questa opzione può essere selezionata con l´inserimento 7.20 SP0 [Nr. Build più recente] nel menù a tendina.

Quando si seleziona questa opzione, il sistema rende disponibili i file Runtime per il build corrente della versione 7.20. Questo significa che le funzionalità implementate nella versione 7.20 dopo il release ufficiale, vengono adesso supportate. Si tratta soprattutto di estensioni driver, che, grazie a questa opzione, adesso sono supportate. Si prega di tenere presente che, per utilizzare queste funzionalità, deve essere installata sul computer la build più recente della versione 7.20 di zenon.

Nota: se si seleziona l´opzione 7.20 SP0, i file Runtime verranno compilati - come finora - sulle impostazioni di default di 7.20 SP0.Assicurarsi di usare la build più recente sia per la versione 7.50, che per la versione 7.20 di zenon.


BACnetNG

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> BACnetNG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il driver è stato modificato per la versione 7.20.

Separatore

Per l´opzione Property separator adesso è proibito usare i segni @ e # come separatori. Questi caratteri vengono conservati nei progetti convertiti; altrimenti non è possibile utilizzarli.

Attenzione: Se si usa uno dei due caratteri, la comunicazione non sarà possibile.

Indirizzamento

Selezione indirizzo

Il checkbox Use identification to define object name and property nel dialogo di configurazione Settings è stato sostituito dal menù a tendina Property used for adressing. L´indirizzamento può essere selezionato usando i seguenti metodi:

  • Nome variabile
  • Identificazione
  • Indirizzo simbolico

L´inserimento corrispondente della lista a cascata viene settato durante la conversione del progetto.

Nuovo Checkbox per lo stato dell´estrazione

Il nuovo checkbox Do not read property/event state from address string consente di non estrarre Property-ID e Event State dall´indirizzo selezionato.

Se si attiva quest´opzione:

  • Property-ID o Event State devono essere settati usando le proprietà specifiche per driver previste a questo scopo. Questa configurazione viene eseguita automaticamente nel caso di online import.
  • Singoli elementi di liste BACnet Arrays non possono essere più indirizzati.
  • Il nome variabile non può essere usato per l´indirizzamento, perché deve essete univoco. L´indirizzamento deve avvenire o via identificazione, o via indirizzo simbolico.
  • Il sistema non cerca più il Property separator nel campo indirizzo. L´indirizzo, perciò, consiste solo di: <Nome dispositivo>.<Nome oggetto>.
    A questo proposito vale quanto segue:
    • Il nome dispositivo non deve contenere punti (.).
    • Non ci sono restrizioni per quello che concerne i nomi oggetti.


Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non c´è più un messaggio CEL raggruppato quando cambiano dei valori in una ricetta di controllo. . Ogni messaggio contiene invece tutte le informazioni che concernono la ricetta. Gli inserimenti header sono stati rimossi a tutte le modifiche dei valori parametri usano adesso gli stessi inserimenti della modifica tramite lista parametri. Allo stesso modo, gli inserimenti per cambiamenti sono stati adattati al tempo minimo d´esecuzione. Per quest´ultimo sono stati aggiunti nuovi inserimenti.

Sono stati rimossi i seguenti inserimenti:

  • IDS_STRING2460 "@Parametrierung der Grundfunktion@ %s""%s/%s"" @(Spalte@ %i - @Zeile@ %i@) geändert, Steuerrezept@ ""%s""@, Vorlagenrezept@ ""%s"""
  • IDS_STRING2627 "@Begründung:@ ""%s"""
  • IDS_STRING2624 "  il valore di parametro@ ""%s"" @è stato modificato. Vecchio valore@ ""%s"", @nuovo valore@ ""%s""
  • IDS_STRING2628 "  @Minimale Ausführungsdauer wurde geändert. Vecchio valore@ ""%s"", @nuovo valore@ ""%s""

Sono stati aggiunti i seguenti inserimenti:

  • IDS_STRING2624 "@Minima durata di esecuzione della fase@ %s""%s/%s"" @(colonna@ %i - @riga@ %i@) è stata modificata. Valore vecchio@ ""%s"" @valore nuovo@ ""%s""@, ricetta di controllo@ ""%s""@, ricetta master@ ""%s""
  • IDS_STRING2627 "@Minima durata di esecuzione della fase@ %s""%s/%s"" @(colonna@ %i - @riga@ %i@) è stata modificata. Vecchio valore@ ""%s"" @nuovo valore@ ""%s""@, ricetta di controllo@ ""%s""@, ricetta master@ ""%s"" @motivo@ ""%s"""


Funzioni specifiche per tipo immagine

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Funzioni specifiche per tipo immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando delle funzioni specifiche per immagini non sono valide (per es. perché si è copiato un pulsante in´immagine di un altro tipo), il sistema provvederà a mettere in evidenza il collegamento non valido che potrà essere poi sostituito. Le funzioni non valide vengono rimosse in fase di compilazione.

Quando si convertono dei progetti, è possibile che essi contengano ancora nel Runtime delle funzioni specifiche per il tipo di immagine non valide.


Successione di visualizzazione degli elementi

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Successione di visualizzazione degli elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La successione di visualizzazione delle singole componenti degli elementi è stata adeguata.


DirectX 11.1

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX 11.1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di uso di DirectX 11.1, vale quanto segue:

  • Con Windows 8 e con le versioni più recenti del sistema operativo Windows, DirectX 11.1 è nativo.
  • Con Windows 7 e con Server 2008R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non può essere utilizzato.
  • Con Windows 7 SP1 e Server 2008 R2 SP1, deve essere installato un “Windows service pack”.

Per installare il Service Pack:

  1. scaricate dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionare la versione che corrisponde al sistema operativo che si usa.
    • A 32 Bit
    • A 64 Bit
  3. Eseguire il relativo file di installazione.

Nota: questo riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. Nelle versioni più recenti DirectX 11.1 c´è già. L´update non può essere installato in versioni ancora più vecchie.


DirectX nell´Editor

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rappresentazione DirectX nativa è disponibile nell´Editor tramite le impostazioni della proprietà Qualità grafica.

Non c´è più la linea tratteggiata per la griglia. Essa, infatti, viene sostituita nel processo di conversione del progetto da una linea continua.

Quando si crea un nuovo progetto, la Qualità grafica è di default DirectX Hardware. La si può cambiare manualmente a Windows Basis, o DirectX Software. Quando si converte un progetto, il vecchio valore Windows Enhanced viene modificato in DirectX Hardware. Quando nel Runtime si lancia un progetto che è stato configurato con Windows Enhanced, esso viene caricato con DirectX Hardware.

Nota: La rappresentazione grafica di DirectX differisce da Windows Enhanced. Per ulteriori dettagli, vi preghiamo di consultare il capitolo Differenze fra le qualità grafiche di "Windows Enhanced" e "DirectX".

A partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una graphics quality diversa da Windows Basis (inclusa l´impostazione corrispondente per Crea file RT per),), il Runtime (fino alla versione zenon 6.51) carica la qualità grafica Windows Enhanced. Se si seleziona la qualità grafica Windows standard, il sistema manterrà questa impostazione.


DirectX: rappresentazione grafica in caso di cambio immagine.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX: rappresentazione grafica in caso di cambio immagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In corrispondenza di un cambio, chiusura o apertura di un´immagine, è cambiato il comportamento del sistema nel Runtime quando si usa DirectX. A partire da adesso, infatti, solamente il colore di sfondo di un´immagine viene visualizzato fino alla completa apertura o dopo la chiusura della stessa.


DNP3_TG driver sostituisce DNP3_NG

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> DNP3_TG driver sostituisce DNP3_NG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la versione 7.20, il DNP3_TG driver sostituisce il DNP3_NG driver. Quest´ultimo non è più compreso fra quelli che il sistema offre automaticamente alla scelta dell´utente. Esiste però la possibilità di aggiungerlo manualmente. (Vedi i dettagli nella guida relativa ai driver.)

Nel corso della conversione di progetti che usano il driver DNP3_NG, esso viene reinserito nella lista driver.


Collega testo: sostituita la proprietà "Testo da variabile".

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Collega testo: sostituita la proprietà "Testo da variabile".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione dell´elemento d'immagine Collega testo, il checkbox Testo da variabile è stato sostituito dalla nuova selezione drop-down Testo visualizzato.

Ciò consente di selezionare il contenuto da visualizzare nel Runtime scegliendolo in una lista a discesa:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabile: Viene visualizzato il valore della variabile.

Quando si convertono progetti nella versione 7.20, la proprietà viene settata in corrispondenza dello stato del checkbox:

Checkbox nel progetto prima di 7.20 | Selezione nel menù a tendina in 7.20
non attivo | Testo valore limite
attivo (variabile è numerica) | Valore variabili
attivo (variabile non è numerica) | Testo valore limite

Durante la compilazione dei file Runtime nella versione 7.20 o per la versione 7.11 o per una dal numero di serie minore, il valore del checkbox è settato nella versione compilata:

  • Attiva: scelta per la selezione drop-down è Valore variabile
  • inattivo: per tutti gli altri set up.


Proprietà antialiasing rimossa.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà antialiasing rimossa.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La proprietà Usa antialiasing è stata rimossa dalle proprietà di progetto. Adesso viene utilizzata sempre Antialiasing ogni qualvolta la supporta la qualità grafica impostata.


Proprietà Angolo di testo e Inclinazione lettere rimosse.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà Angolo di testo e Inclinazione lettere rimosse.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà Angolo di testo e Inclinazione lettere sono state rimosse. Esse erano utilizzate con l´elemento Testo statico quando il carattere era embedded. Angolo di testo può essere ottenuto mediante una rotazione di tutto l´elemento. Non esiste una procedura sostitutiva per Inclinazione lettere.


Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello zenon6.ini, un inserimento nella sezione [AlarmFilterDialog] poteva essere usato per predeterminare gli inserimenti per nome variabile e identificazione nei dialoghi filtro per AML, CEL e nelle immagini filtro. Questi inserimenti sono stati modificati nella versione 7.20. Perciò gli inserimenti che sono stati già definiti non funzionano più.

Visto che tutti i filtri inseriti sono salvati automaticamente sul computer locale mediante questo inserimento dello zenon6.ini, non è necessaria una configurazione via file INI. Potete trovare i dettagli relativi agli inserimenti attualmente validi nella documentazione concernente lo zenon6.ini.


Trend esteso Cross-hair, visuale XY

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Trend esteso Cross-hair, visuale XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.20 di zenon, il crosshair nel Runtime per la visuale XY viene configurato nel cambio immagine. A tal scopo, attivate l´opzione Mostra crosshair nel diagramma XYnella scheda Rappresentazione .

Finora la configurazione avveniva tramite l´inserimento SHOW_XY_CROSS= del project.ini. Quando si effettua la conversione da una versione precedente a zenon 7.20, l´impostazione viene letta dal projekt.ini e inserita. A partire da questo momento, il sistema ignora l´inserimento nel project.ini.


Formato della tabella della banca dati Archivio in cascata

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Formato della tabella della banca dati Archivio in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7.20, il GUID è contenuto nell´indice quando si trasferiscono archivi in un database-SQL. In questo caso vale quanto segue: esso NON deve essere zero. A partire dalla versione 7.20 di zenon, per il GUID di progetto viene inserita una stringa vuota al posto di ZERO per la dislocazione di variabili.

Se vengono compilati file Runtime per la versione 7.11 o per versioni precedenti, ne deriva un problema di compatibilità: siccome in questo caso viene scritto ZERO nella colonna GUID, il processo di dislocazione non riuscirà.

Soluzione: nel server SQL, la tabella deve essere creata manualmente senza GUID nella chiave primaria, oppure semplicemente senza chiave primaria.

Per esempio, con la seguente sintassi:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)


Qualità grafica "Windows Enhanced"" rimossa

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Qualità grafica "Windows Enhanced"" rimossa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´opzione della qualità grafica Windows Enhanced è stata rimossa da zenon. Quando si crea un nuovo progetto, la Qualità grafica è di default DirectX Hardware. La si può cambiare manualmente a Windows Basis, o DirectX Software. Quando si converte un progetto, il vecchio valore Windows Enhanced viene modificato in DirectX Hardware. Quando nel Runtime si lancia un progetto che è stato configurato con Windows Enhanced, esso viene caricato con DirectX Hardware.

Nota: La rappresentazione grafica di DirectX differisce da Windows Enhanced. Per ulteriori dettagli, vi preghiamo di consultare il capitolo Differenze fra le qualità grafiche di "Windows Enhanced" e "DirectX".

A partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una graphics quality diversa da Windows Basis (inclusa l´impostazione corrispondente per Crea file RT per),), il Runtime (fino alla versione zenon 6.51) carica la qualità grafica Windows Enhanced. Se si seleziona la qualità grafica Windows standard, il sistema manterrà questa impostazione.


Testo valore limite

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Testo valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo valore limite e il testo di stato di una matrice di reazione possono adesso avere una lunghezza massima di 1024 caratteri. Nel formato tabella per l´export di allarmi in SQL, la colonna TEXT è stata estesa a 1024 caratteri.

Il buffer per le parti dinamiche del testo dinamico del valore limite quando si usano "long dynamic limit value texts" (D*.AML e D*.CEL), è adesso variabile, con una grandezza massima di 1024 byte. Il formato in cui si salvano file D*.AML e D*.CEL è stato perciò cambiato.

I file esistenti rimangono inalterati come "fixed-length record format" con 264 byte e non vengono convertiti. Quelli di nuova creazione, invece, vengono impostati con una "record length" variabile nella nuova versione di formato.


IMM Nomi tabelle

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> IMM Nomi tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi tabella vengono adesso assegnati in modo fisso nell´IMM:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Queste tabelle hanno di default dei nomi fissi. Essi corrispondono alle denominazioni della Gestione punti di misurazione

Nella conversione di progetti, nomi tabella divergenti vengono mantenuti. I nuovi progetti usano i nomi tabella assegnati in modo fisso. Se delle tabelle vengono usate sia da IMM che dalla Gestione punti di misurazione, esse devono corrispondere a questa convenzione. Eventuali denominazioni non corrispondenti alla convenzione in IMM, possono essere modificate usando un´apposita finestra di dialogo.


Navigazione con Multi-Touch nell´immagine globale

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Navigazione con Multi-Touch nell´immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettua una conversione da una versione precedente a zenon 7.20, per le proprietà Sposta orizzontalmente e Sposta verticalmente vengono settati i valori seguenti:

  • L'immagine è più grande del modello: Muovi
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione


Process Control Engine (PCE) rimosso

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Process Control Engine (PCE) rimosso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. Si può continuare ad usare PCE per progetti convertiti.

Raccomandazione: Usate zenon Logic invece di PCE.


Trasporto Remoto: Salvare la password in forma crittografata

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Trasporto Remoto: Salvare la password in forma crittografata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.20, la password per la connessione Trasporto Remoto può essere salvata in forma crittografata nello zenon6.ini .

Per la conversione dei progetti, tenete presente quanto segue:

  • Nell´Editor (source system), quando si converte un progetto dalla versione X alla 7.20, l´inserimento KEY= è sostituito da quello KEYCRYPT= e la password è salvata in questa sede in forma crittografata.
  • Nel sistema di destinazione c´è una query per verificare se KEY= ha un inserimento nello zenon6.ini.
    Sì: Questo inserimento ha priorità. Per consentire la conversione, l´inserimento in questione deve essere cancellato manualmente nel sistema di destinazione.

Per i dettagli, vi preghiamo di consultare la guida relativa al Trasporto Remoto, ed in particolare il capitolo Crittografia.

Anche la comunicazione del Trasporto Remoto può essere cifrata. A tal fine, si deve attivare nello Startup Tool la Crittografia della rete zenon.


Proprietà dei modelli

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà dei modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli dispongono adesso di nuove proprietà. Esse consentono di configurare la grandezza di un´immagine al momento della sua apertura, nonché lo spostamento di immagini sullo schermo. Inoltre, sono state rinominate due proprietà già esistenti.

Nuove proprietà.

Proprietà | Descrizione
Dimensioni d'apertura: | Definisce la dimensione con cui viene aperta a Runtime un´immagine basata su questo modello.
Valore (grandezza di apertura) | Valore per il tipo selezionato dell´impostazione della grandezza.
Limite minimo: | Definisce i limiti minimi.
Valore (Minimo): | Valore per il tipo di limitazione selezionato.
Muovi: | Definisce possibili limitazioni per il movimento di un oggetto.
Limite: | Definisce il tipo di limitazione per lo spostamento di oggetti.
Margine minimo del frame: | Definisce l´area che deve rimanere sul monitor quando un oggetto viene spostato oltre il bordo del monitor stesso.

Quando si converte un progetto, i valori delle nuove proprietà sono settati automaticamente sulla base di quelli di default.

Proprietà rinominate

zenon 07:11 | zenon 07:20
Larghezza [Pixel]: | Larghezza (massima) [Pixel]: Definisce la larghezza massima.
Altezza [Pixel]: | Altezza (massima) [Pixel]: Definisce l´altezza massima.

I valori vengono applicati durante la conversione del progetto.


Modelli: proprietà "Tipo di cornice" modificata.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Modelli: proprietà "Tipo di cornice" modificata.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono state modificate le impostazioni possibili per la proprietà Tipo di cornice in relazione ai modelli:

Fino alla versione 7:11 inclusa | Dalla versione 07:20
Cornice spessa | Permetti ridimensionamento
Cornice fine | Dimensione fissa
Nessuna cornice | Nessuna cornice

In tal modo cambia la visualizzazione nell´Editor e nel Runtime. Nell´Editor, anche la cornice del modello adesso è visualizzata nel modo in cui appare nel Runtime sullo stesso PC con le stesse impostazioni nel sistema operativo. L´aspetto del modello nei progetti convertiti, perciò, può essere diverso da quello della versione di partenza.


Modelli. Colore di sfondo.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Modelli. Colore di sfondo.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo sfondo dei modelli viene visualizzato adesso nel Runtime usando il colore dell´immagine che è aperta.


Ombra nell´Elemento combinato

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Ombra nell´Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un elemento combinato, gli effetti d´ombra funzionano in modo del tutto simile a quanto vale per altri elementi o simboli. Rotazioni non hanno alcun effetto sull´angolazione effettiva dell´ombra.


Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´opzione di qualità grafiche WindowsEnhanced è stata rimossa da zenon; vedi capitolo Qualità grafica "Windows Enhanced" rimossa. Dalla conversione di progetto possono risultare delle differenze concernenti i pixel, nonché delle divergenze dell´output grafico di oggetti.

Se si rende necessario modificare un progetto dopo averne effettuato la conversione, tenete presente le seguenti differenze fra le qualità grafiche WindowsEnhanced e DirectX:

Divergenze possono verificarsi nelle seguenti aree:

  • ClearType di caratteri
  • Antialiasing
  • Posizionamento di visualizzazioni all´interno di elementi

    A questo proposito, tenete presente:

    • gli elementi dinamici e
    • tutte le aree in cui ci sono testi.
  • Dinamici/Simboli:
    • Rotazione
    • Ridimensionare
    • Muovi

Eventuali differenze in:

  • Effetto riempimento 3-D
  • Arrotondamento
  • Effetti, come ombra
  • Arrotondamento
  • Fine linea
  • Tipo linea
  • File grafico
  • Zoom nell´Editor di zenon
  • Visualizzazione globale nel Runtime di zenon

Nota: anche delle differenze non inserite nel precedente elenco possono verificarsi in altre aree.


Elementi non collegati

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Elementi non collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento Combinato:

Se non è collegata nessuna variabile principale, l´Elemento combinato non viene più visualizzato nel Runtime.

Elemento Trend:

Se non è definita nessuna curva, l´elemento trend non viene visualizzato nel Runtime.

Elemento orologio:

Se l´elemento orologio è configurato con l´impostazione Differenza di tempo, ma non è collegata nessuna variabile, esso non viene più visualizzato nel Runtime.

Elemento WPF:

Un elemento WPF in cui non è stata collegato nessun file XAML valido, non è disponibile nel Runtime.


Proprietà di variabili per zenon Analyzer

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà di variabili per zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´uso nel prodotto di COPA-DATA zenon Analyzer, è stato aggiunto un nuovo gruppo di proprietà delle variabili:

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Fino alla versione 7.11, gli inserimenti delle adesso nuove proprietà Significato e Parametro per diagramma a cascata erano inseriti nella proprietà Identificazione servizio.

Quando si converte un progetto nella versione 7.20, gli inserimenti nella proprietà Identificazione servizio vengono conservati. Nel caso di export sul zenon Analyzer, vengono controllate sia la proprietà vecchia, che quelle nuove. Se tutte sono occupate, vengono ripresi gli inserimenti della nuove proprietà. Gli inserimenti che sono stati creati usando il Meaning and Waterfall Chart Wizard vengono sempre inseriti nelle nuove proprietà.


Imposta progetti zenon Logic

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:20 -> Imposta progetti zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor zenon non è più possibile creare progetti zenon Logic con il nome __Global.
Attenzione: Se esistono già dei progetti con il nome __Global, essi non verranno più visualizzati.


Conversione dalla versione X alla versione 07:50

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

API: tipo di dato modificato per ReaAlarm (Def 34779

Elementi d'immagine rimossi

Proprietà "Trasparenza" modificata per il testo statico

Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Rimossa "Rete gas" nel modulo Load Management.


API: tipo di dato modificato per ReaAlarm (Def 34779

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> API: tipo di dato modificato per ReaAlarm (Def 34779

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tipo di dato per ReaAlarm è stato modificato:

  • Finora LONG
  • A partire dalla versione 7.50: DOUBLE

Questa modifica può causare errori durante la compilazione di codice esistente.


Elementi d'immagine rimossi

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> Elementi d'immagine rimossi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti elementi d'immagine non sono più disponibili a partire dalla versione 7.50.

  • Elemento di segnalazione
  • Multibin
  • Elemento di stato

Per gli elementi non più supportati vale quanto segue:

  • Dopo la conversione in un progetto attuale che non supporta più un elemento:
    • Gli elementi esistenti vengono visualizzati nell´Editor e nel Runtime.
    • Gli elementi esistenti possono essere configurati nell´Editor.
    • Non si possono creare elementi nuovi di questo tipo nell´Editor.
  • Nella compilazione dei file Runtime per una versione che supporta questi elementi:
    • Gli elementi possono essere visualizzati, configurati e creati. Trovate poi questi elementi in fondo al menù a tendina Elementi.

Nota: la funzionalità dell´elemento Multibin e dell'elemento di stato può essere configurata anche usando l'elemento combinato.


Proprietà "Trasparenza" modificata per il testo statico

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> Proprietà "Trasparenza" modificata per il testo statico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La proprietà "Trasparenza" per l'elemento d'immagine Testo statico è stata modificata. Finora era possibile scegliere solamente fra le opzioni trasparente e coprente. Con la proprietà Trasparenza colore riempimento [%] si può adesso selezionare il grado di trasparenza in punti percentuali fra 0 % (coprente) e 100 % (trasparente).

Quando si converte il progetto, viene adottato il valore 100 % se nel progetto originario era configurata l'opzione trasparente. In tutti gli altri casi viene settato il valore 0 %.


Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non è più possibile incorporare dei font nell'elemento "Testo statico". Come per altri elementi, adesso è possibile solamente collegare dei font usando la proprietà Carattere.

Conversione del progetto

Nel corso del processo di conversione di progetti, il sistema analizza tutte le immagini per verificare la presenza di testo statico con font incorporato.
Se si individuano font incorporati, essi vengono sostituiti:

  1. Il font incorporato viene sostituito con il font standard Arial (10).
  2. Viene visualizzata una nota.
    Cliccando due volte sulla nota, si apre l'immagine contenente l'elemento e il testo statico il cui font è stato modificato viene evidenziato.

Static Text Font Conversion Wizard

Per poter continuare ad usare configurazioni di progetto che usano questa proprietà (realizzate con versioni precedenti), avete a disposizione lo Static Text Font Conversion Wizard, che effettua le necessarie modifiche nel progetto zenon 7.20.

Lo Static Text Font Conversion Wizard:

  • Controlla tutte le immagini ed i simboli di un progetto.
    Opzioni configurabili facoltativamente:
    • Controlla tutti i simboli di un progetto globale.
    • Controlla tutti i simboli della libreria simboli globale.
  • Converte tutte le configurazioni di progetto di font incorporati in font collegati:
    • Creazione di un nuovo font.
      Nome font: Conversion_[nome font esistente]
    • Collegamento di questo nuovo font ad un elemento.

    Opzione configurabile facoltativamente:

    • Creazione e collegamento vengono effettuati nel progetto globale.

attention Attenzione

Vi preghiamo di assicurarvi che i vostri progetti zenon esistenti siano prima di tutto preparati nella versione7.20 in modo corrispondente tramite lo Static Text Font Conversion Wizard; poi potete convertirli in una versione più recente di zenon.

Il Wizard è contenuto solo in Build attuali della versione 7.20.

XML: Import e Export

Quando si importa un file XML per un progetto realizzato con una versione precedente alla 7.50, il testo incorporato viene sostituito con testo standard.

Quando si esportano le immagini convertite, non è più inclusa la proprietà Font. Essa viene sostituita da LinkedFont.

API:

Due proprietà sono disponibili nella API:

Font: era usata in precedenza.

LinkedFont: dalla versione 7.50

Per ragioni di compatibilità, nella API Get/Set è possibile per il font usando entrambe le proprietà.

Comportamento precedente:

  • Era possibile usare il nome esterno Font per settare un Get o Set per un oggetto LOGFONT.
  • Se tutti gli attributi della struttura LOGFONT erano impostati su 0, ad eccezione dello spessore del font (secondo argomento), il font era considerato collegato. Il valore dello spessore del font corrispondeva a quello del font nel modulo Lista caratteri.
  • Se per la struttura LOGFONT veniva settato anche il primo argomento e venivano impostati anche ulteriori valori (non zero), il font era considerato incorporato.

Comportamento a partire dalla versione 7:50:

  • Get: funziona come prima.
  • Set: dipende dai valori.
    • Se il font è stato impostato come collegato (tutti i valori pari a 0, eccetto il secondo argomento), il processo funziona come prima.
    • Se il font è impostato come incorporato, viene sostituito con quello standard.


Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella conversione di un progetto con la versione < = 6.20 SP4 con il driver SE.

Perché la configurazione venga ripresa e applicata in modo corretto, si deve aprire la finestra di dialogo driver e lo si deve confermare cliccando su OK.


SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' stato modificato il percorso di salvataggio per MIB installati individualmente.

  • Finora: %ProgramFiles(x86)%\COPA-DATA\zenon7.60\SNMP-MIBS
  • Dalla versione 7.50: %ProgramData%\COPA-DATA\zenon7.60\CommunicationProfiles\SNMP-MIBS

Così i MIB possono essere installati anche senza diritti di amministratore.


Rimossa "Rete gas" nel modulo Load Management.

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 07:50 -> Rimossa "Rete gas" nel modulo Load Management.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7.50, il modulo Load Management supporta solamente reti elettriche.

La funzionalità "Rete gas" è stata rimossa. Quando si importa, converte e compila dei progetti di zenon realizzati con versioni precedenti, viene visualizzato un messaggio corrispondente nella finestra di emissione dell'Editor di zenon quando il progetto in questione ha ancora contenuti per reti gas.

Al momento dello start del Runtime di zenon, viene generato un inserimento CEL corrispondente.

Testo avviso

In caso di una progettazione con contenuti "Rete gas", viene visualizzato nella finestra di emissione dell'Editor di zenon il seguente messaggio:

La funzionalità "Rete gas" non è più supportata nel modulo Load Management e quindi non verrà importata.


Conversione dalla versione X alla versione 7.60

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 7.60

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Proprietà per le liste configurabili

Lunghezza delle variabili stringa

Effetto di riempimento per pulsanti


Proprietà per le liste configurabili

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 7.60 -> Proprietà per le liste configurabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il comportamento delle intestazioni di colonna a Runtime viene adesso configurato nell´Editor usando le proprietà del gruppo Intestazione:

  • Visualizza intestazione: stabilisce se l´intestazione di colonna verrà visualizzata a Runtime.
  • Visualizza riga di filtro: stabilisce se la riga di filtro verrà visualizzata a Runtime.
  • Blocca ordinamento: gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.
  • Posizione colonne fissa: gestisce la possibilità di modificare la larghezza o spostare le colonne di una tabella a Runtime tramite azioni del mouse.
  • Disattiva menu contestuale: attiva o disattiva il menù contestuale per l´intestazione di colonna.

Comportamento durante la conversione di progetto

Per la conversione di progetto vale quanto segue:

  • Se il progetto viene compilato per una versione precedente a zenon 7.60, viene attivata la proprietà Intestazione statica se nel progetto attuale non è attivata la proprietà Blocca ordinamento.
  • Se si converte un progetto da una versione precedente a zenon 7.60 nella versione attuale, le proprietà Posizione colonne fissa e Blocca ordinamento vengono attivate nella versione attuale se nel progetto originario Intestazione statica è disattivata.


Lunghezza delle variabili stringa

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 7.60 -> Lunghezza delle variabili stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La proprietà Lunghezza stringa di una variabile non può più avere il valore 0.

Quando si converte un progetto, vale quanto segue:

Se un progetto viene convertito da una versione precedente a zenon 7.60 nella versione attuale, il valore della proprietà Lunghezza stringa viene corretto e impostato su 5 (valore di default) se nel progetto originario per questa proprietà era stato configurato il valore 0.


Effetto di riempimento per pulsanti

Manuale -> Conversione del progetto -> Conversione dalla versione X alla versione 7.60 -> Effetto di riempimento per pulsanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda i pulsanti, le proprietà del gruppo Riempimento sono state estese con l´aggiunta della proprietà Tipo di riempimento.

Se, prima della conversione, era configurata l´opzione Monocromatico per Effetto riempimento 3-D, il sistema setta il tipo di riempimento su Monocromatico. Se era stata configurata per Effetto riempimento 3-D una delle altre opzioni, il sistema setta il tipo di riempimento su Lineare e per la proprietà Effetto riempimento 3-D viene impostato il tipo di riempimento configurato nella progettazione originale. Questo vale anche per l´importazione XML da versioni più vecchie.

Quando si compilano i file Runtime per versioni più vecchie, il sistema esegue a Runtime una conversione nel senso inverso. L´accesso tramite le API avviene ancora mediante la proprietà Riempimento.


Definizione di impianto

Manuale -> Definizione di impianto

La definizione di impianto riproduce la struttura di un impianto nell´Editor. In conformità a quanto previsto dalle norme ISA S88 e S95, con zenon possono essere rappresentati tutti i livelli in cui si articola un´azienda:

I livelli superiori permettono di classificare in modo corretto i dettagli dei livelli inferiori e di metterli in relazione reciproca. I livelli inferiori si riferiscono a dispositivi specifici che servono alla gestione e al controllo del processo.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Definizione d´impianto in zenon

Con zenon potete visualizzare l´intero modello e creare qualsiasi tipo di macchinario, edificio e processi. In tal modo, i dati possono essere raggruppati e filtrati sia nel runtime che e nell´editor. I modelli di impianto possono essere visualizzati anche come immagine separata nel runtime, e possono essere utilizzati come filtro per altre immagini aperte. Ab zenon 7.60 wird auch eine hierarchische Filterung unterstützt. Questo significa: Eine Variable muss nurmehr einer Ebene zugeordnet werden und wird dann automatisch in einem Filter für übergeordnete Ebenen eingebunden.

Modelli di impianto possono essere creati per più progetti nel progetto globale, oppure localmente in progetti singoli.

Utilizzo:

  • Editor: Im Editor werden Anlagenmodelle zum Filtern benutzt. So kann bei der Projektierung auf bestimmte Anlagen eingeschränkt werden. Das hat keine Auswirkung zur Runtime.
  • Runtime: Zur Runtime erfolgt die Verknüpfung mit Anlagenmodellen bei der Ausführung von Funktionen, um Informationen zu bestimmten Anlagen zu erhalten und online zu filtern.

Esempio:Nome variabile: Bei der Projektierung im Editor werden Variablen für bestimmte Anlagen ausgefiltert. Zur Runtime werden über Anlagenfilter Alarme für bestimmte Variablen zusammengefasst.

info Info

La lingua impostata per la definizione di impianto non è modificabile.

Finestra Definizione d´impianto

I modelli di impianto possono essere aperti in una finestra propria:

  • A questo scopo, selezionate anzitutto il menù contestuale della "Definizione d´impianto" nel manager di progetto e scegliete il comando Apri in nuova finestra... .
  • Di default viene aperta una nuova finestra con modelli di impianto nella parte bassa dell´editor.
  • Potete piazzare questa finestra (come qualsiasi altra finestra) sullo schermo dove preferite.
  • Se avete aperta anche la visuale dettagliata della "Definizione d´impianto", i contenuti delle due finestre vengono sincronizzati, in modo tale da mettervi in condizione di apportare delle modifiche in entrambe.

Ancora in questo capitolo

Crea modello di impianto

Collegare dei modelli ad elementi e oggetti

Allarmi gerarchici via gruppi di impianti

Autorizzazione utente su modello di impianto

Esporta e importa modelli

Tipo d'immagine Modello di impianto

Filtraggio nella visuale dettagliata

Filtern zur Runtime


Crea modello di impianto

Manuale -> Definizione di impianto -> Crea modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare un numero qualsiasi di modelli di impianto e raggrupparli sulla base di criteri determinati. Create anzitutto il modello e poi i gruppi in esso.

Per creare un nuovo modello:

  • Decidete se volete creare un modello di impianto globale o locale
  • Selezionate nel menù contestuale del nodo Definizione di impianto il comando Nuovo modello di impianto,

    oppure selezionate nella barra degli strumenti il simbolo per Nuovo modello impianti

  • Nella visualizzazione dettagli viene generato un nuovo nodo, che ha il nome standard Modello di impianto X (X sostituisce un numero progressivo)
  • Cambiate il nome per adeguarlo alle vostre esigenze; per far ciò selezionate il nome in questione e premete il tasto F2, oppure cliccate per tre volte nel campo del nome.

info Info

Sono a vostra disposizione modelli di impianto di progetti globali e locali. Nel caso sussistano conflitti di nomenclatura, il sistema accorda la precedenza ai progetti di impianto locali.

Suggerimento: fate attenzione in fase di progettazione di modelli di impianto ad attribuire nomi univoci. Assegnate, ad esempio, a modelli di impianto globali un prefisso o suffisso corrispondente. In tal modo eviterete che i modelli di impianto abbiano lo stesso nome a livello globale e locale. E potete facilmente risalire all´origine dei modelli di impianto visualizzati nelle liste di selezione.

Per creare un nuovo gruppo:

  • Selezionate nel menù contestuale del modello, oppure in un gruppo di livello superiore, il comando Nuovo gruppo impianti

    oppure premete il tasto INS.

    oppure selezionate nella barra degli strumenti il simbolo Nuovo gruppo impianti

  • Nella struttura del modello viene creato un nuovo gruppo che ha il nome standard Gruppo di impianti X (X sostituisce un numero progressivo)
  • Cambiate il nome per adeguarlo alle vostre esigenze: subito dopo aver impostato il gruppo, il campo nome si trova già nella modalità editor; se volete modificare il nome in un secondo momento, selezionate il nome e premete il tasto F2, oppure cliccate per tre volte sul campo del nome.
  • E´ possibile avere quanti gruppi e sottogruppi volete.

Ancora in questo capitolo

Modifica modello impianto

Menù contestuale - Manager di progetto

Barra degli strumenti e Menù contestuale Visualizzazione dettagliata


Modifica modello impianto

Manuale -> Definizione di impianto -> Crea modello di impianto -> Modifica modello impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All´interno di un modello o di più modelli, i gruppi possono essere riordinati, copiati, spostati oppure eliminati.

Selezione

È possibile anche una selezione multipla dei modelli e dei gruppi di impianto, se gli elementi:

  • si trovano allo stesso livello
  • all´interno dello stesso modello
  • e all´interno dello stesso gruppo sovraordinato

    .

La selezione avviene tenendo premuto il tasto Ctrl+clic con il tasto sinistro del mouse:
Nota: Con Shift+clic del mouse è possibile selezionare più elementi a diversi livelli; le possibilità di modifica nel menù contestuale e sulla barra dei simboli, però, sono disattivate.

Elimina

  • Selezionate il nodo desiderato.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Elimina, oppure premete il tasto Canc.
  • Il nodo viene cancellato con tutti i suoi sottogruppi.

Spostare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto sinistro del mouse.
  • Spostate il nodo verso il posto desiderato, e una volta che lo avete raggiunto, rilasciate il tasto del mouse.

Riordinare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto Ctrl e trascinate il nodo tenendo premuto il tasto sinistro del mouse fino a raggiungere la posizione desiderata.
  • Una linea orizzontale indica il posto in corrispondenza della quale potete inserire il nodo.

Copia e incolla

  • Selezionate il nodo desiderato.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Copia, oppure usate la combinazione di tasti Ctrl + C
  • Selezionate il nodo di destinazione.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Inserisci, oppure usate la combinazione di tasti Ctrl + V
  • Il nodo copiato verrà inserito.
    • I sottonodi non vengono copiati con il nodo.
    • Se esiste già un elemento con lo stesso nome, verrà posto davanti all´elemento inserito un Copia di.

Rinomina

Per rinominare modelli o gruppi:

  1. selezionate il modello/il gruppo
  2. premete il tasto F2 oppure cliccate per tre volte sul modello/gruppo

Dopo essere stati rinominati:

  • i modelli vengono riordinati in modo alfabetico
  • i gruppi rimangono nella struttura impostata

attention Attenzione

Le azioni cancella, riordina, sposta, rinomina e inserisci, non possono essere annullate..


Menù contestuale - Manager di progetto

Manuale -> Definizione di impianto -> Crea modello di impianto -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comando

Funzione

Nuovo modello di impianto

Crea un nuovo modello impianti che avrà il nome standard ModelloX (X sostituisce un numero progressivo).

Apri in nuova finestra

Apre una nuova finestra nell´Editor che contiene i modelli di impianto.

Esporta tutti in XML...

Esporta tutti gli inserimenti in un file XML.

Importa file XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Profilo Editor

Apre il menù a tendina che consente di selezionare un profilo Editor predefinito.

Guida

Apre la guida online.


Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Manuale -> Definizione di impianto -> Crea modello di impianto -> Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo

Funzione

Nuovo modello di impianto

Crea un nuovo modello di impianto che avrà il nome standard Modello di impianto X (X sostituisce un numero progressivo).

Nuovo gruppo impianti

crea un nuovo gruppo di impianti che avrà la denominazione standard Gruppo di impianti X (X sostituisce un numero progressivo).

Elemento collegato

Apre la finestra di dialogo che serve a visualizzare gli elementi collegati.

Copia

Copia il gruppo selezionato con i sottogruppi.

Incolla

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Elimina

Elimina il gruppo selezionato con tutti i sottogruppi.

Espandi/
riduci nodi

Apre il menù a tendina che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Ausgewählte erweitern

Espande i nodi selezionati.
  • Ausgewählte reduzieren

Riduce i nodi selezionati.

_Esporta selezione in XML

Esporta gli inserimenti selezionati in un file XML.

Importa XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Apre la guida online.

Menù contestuale Definizione di impianto

Simbolo

Funzione

Nuovo modello di impianto

Crea un nuovo modello di impianto che avrà il nome standard Modello di impianto X (X sostituisce un numero progressivo).

Incolla

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Espandi/
riduci nodi

Apre il menù a tendina che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Ausgewählte erweitern

Espande i nodi selezionati.
  • Ausgewählte reduzieren

Riduce i nodi selezionati.

Esporta tutti in XML...

Esporta tutti gli inserimenti in un file XML.

Importa file XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Apre la guida online.

Menù contestuale Modelli di impianto e Gruppi di impianti

Simbolo

Funzione

Nuovo gruppo di impianto

Crea un nuovo gruppo di impianto che avrà il nome standard Gruppo di impianti X (X sostituisce un numero progressivo).

Elementi collegati

Apre la finestra di dialogo che serve a visualizzare gli elementi collegati.

(Viene visualizzata solamente se ci sono degli elementi collegati).

Copia

Copia il gruppo selezionato con i sottogruppi.

Incolla

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Elimina

Elimina il gruppo selezionato con tutti i sottogruppi.

Espandi/
riduci nodi

Apre il menù a tendina che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Ausgewählte erweitern

Espande i nodi selezionati.
  • Ausgewählte reduzieren

Riduce i nodi selezionati.

Esporta tutti in XML...

Esporta tutti gli inserimenti in un file XML.

_Esporta selezione in XML

Esporta tutti gli inserimenti in un file XML.

Importa file XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Apre la guida online.


Collegare dei modelli ad elementi e oggetti

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni gruppo di impianto può essere collegato ad un numero qualsiasi di elementi ed oggetti di zenon. Avete diverse possibilità di collegare un gruppo ad un elemento:

  • facendo uso della proprietà Gruppi d'impianto dell´elemento.
  • copiando e incollando l´elemento nel gruppo desiderato del modello.
  • per Drag&Drop del gruppo di impianto sulla proprietà Gruppi d'impianto dell´elemento
  • per Drag&Drop dell´elemento sul gruppo di impianti.

Proprietà Gruppi di impianti

Per collegare mediante le proprietà di un elemento:

  1. Selezionate l´elemento
  2. Cliccate nel nodo Generale sulla proprietà Gruppi d'impianto.

    Si apre il Dialogo per l´attribuzione degli elementi ai gruppi impianti

  3. Attribuite i gruppi impianti desiderati (trovate i dettagli nel sottocapitolo Dialogo Definizione d´impianto)

info Info

Nessuna trasmissione ereditaria

Se modelli di impianto sono selezionati o creati per la configurazione di tipi dato, driver, funzioni variabili ecc. usando la proprietà Gruppi d'impianto, essi vengono usati solo per effettuare le operazioni di filtro, e non vengono trasmessi per via ereditaria.

Ad esempio: un modello di impianto selezionato in un tipo di dato non viene trasmesso ereditariamente ad una variabile che si basa su questo tipo di dato.

Copia e incolla

Per il collegamento mediante copia ed incolla:

  1. Selezionate l´elemento
  2. Copiate l´elemento (comando Copia oppure con la combinazioni tasti Ctrl+C)
  3. Selezionate il gruppo di impianto desiderati.
  4. Incollate l´elemento (comandoIncolla oppure con la combinazioni tasti Ctrl+V)

Drag&Drop del gruppo di impianti

Per collegare il gruppo impianti all´elemento tramite Drag&Drop:

  1. Selezionate il gruppo di impianti.
  2. Trascinatelo tenendo premuto il tasto sinistro del mouse sulla proprietà Gruppi d'impianto, nel nodo Generale dell´elemento.

Drag&Drop dell´elemento

Per collegare l´elemento al gruppo di impianti tramite Drag&Drop:

  1. Selezionate l´elemento nella visualizzazione dettagliata del manager di progetto.
  2. Trascinatelo, tenendo premuto il tasto sinistro del mouse, sul gruppo di impianti desiderato.

info Info

Beim Drag&Drop von Strukturvariablen werden nur aktivierte Variablen berücksichtigt. Gli elementi non attivati non vengono collegati. Per gli alberi di struttura chiusi, controllate se tutte le variabili desiderate sono attivate.

Ancora in questo capitolo

Dialog Anlagenmodellierung

Liste Verknüpfte Elemente


Dialog Anlagenmodellierung

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialog Anlagenmodellierung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Dialog Anlagenmodellierung weisen Sie einem Element beliebige Anlagengruppen zu. Der Dialog öffnet sich, wenn Sie in den Eigenschaften eines Elements im Knoten Generale die Eigenschaft Gruppi d'impianto wählen:

Chiudi finestra di dialogo

Opzioni | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Elimina | Annulla la selezione e chiude il dialogo. Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.
Guida | Apre la guida online.

Stati

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo

Modell entfernen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  2. Selezionare un gruppo di impianti oppure un livello.
  3. Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.

    Note:

    • I sottogruppi non vengono aggiunti automaticamente.
    • Può essere collegato un numero qualsiasi di gruppi.

Gruppen aus dem Modell löschen

Per cancellare un colore da tutte le tavolozze:

  1. Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  2. Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

In Bildumschaltung auf Anlagengruppe filtern

Bei der Bildumschaltung auf ein Bild vom Typ AML, CEL, RGM oder Schichtmanagement sowie bei der Funktion Sopprimi Gruppi/Classi/Aree/Strutture (Funktionsgruppe Message Control) kann im Filterdialog auf Anlagengruppen gefiltert werden. Anleitungen dazu finden Sie bei der Beschreibung der entsprechenden Dialoge:

  • AML Anlagenmodellierung
  • CEL Anlagenmodellierung
  • RGM Anlagenmodellierung
  • Message Control Gruppen/Klassen/Bereiche/Anlagen unterdrücken
  • Schichtmanagement

Ancora in questo capitolo

Barra degli strumenti Seleziona gruppo di impianto

Modifica modelli di impianto locali


Barra degli strumenti Seleziona gruppo di impianto

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialog Anlagenmodellierung -> Barra degli strumenti Seleziona gruppo di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante la barra degli strumenti della finestra dei modelli di impianto esistenti, si può gestire una serie di azioni.
Descrizioni dei simboli iniziando da sinistra:

Simbolo

Descrizione

Nuovo modello di impianto

Crea un nuovo modello di impianto.

(Solo per modelli di impianto locali.)

Nuovo gruppo

Crea un nuovo gruppo di impianti al di sotto dell´inserimento selezionato.

(Solo per modelli di impianto locali.)

Modifica

Consente la modifica del nome

(Solo per modelli di impianto locali.)

Elimina

Cancella l´inserimento selezionato.

(Solo per modelli di impianto locali.)

Copia

Copia l´inserimento selezionato.

Incolla

Inserisce gli elementi copiati negli appunti ponendoli al di sotto dell´inserimento selezionato. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

(Solo per modelli di impianto locali.)

Attenzione: se si copiano modelli di impianto del progetto globale nel progetto locale e non li si rinomina, esisteranno due modelli con lo stesso nome. Li si può selezionare entrambi, tuttavia non verrà creato un collegamento al momento della conferma.

Suggerimento: rinominare sempre i modelli che vengono copiati dal progetto globale in quello locale.

Espandi tutto

Tutti i nodi vengono estesi.

Riduci tutto

Tutti i nodi vengono ridotti.

Erweitern der Auswahl

Il nodo selezionato viene esteso.

Reduzieren der Auswahl

Il nodo selezionato viene ridotto.

Avvisi

Mostra avvertimenti.

Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome.


Modifica modelli di impianto locali

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialog Anlagenmodellierung -> Modifica modelli di impianto locali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modelli di impianto e gruppi di impianti di progetti locali possono essere modificati anche nella finestra di dialogo che serve a creare collegamenti. Gruppi di impianti del progetto globale possono essere solamente selezionati e copiati.

Le possibili azioni e metodi di modifica nel nodo definizione di impianto sono limitate, a differenza di quello che concerne la Modifica di modelli di impianto . La modifica di elementi, infatti, avviene esclusivamente usando la barra degli strumenti.

Attenzione: modifiche apportate alla struttura di modelli di impianto locali rimangono, indipendentemente dal fatto se lasciate la finestra di dialogo cliccando su OK, oppure su Annulla.

Le azioni possibili sono:

Azione | Progetto globale | Progetto locale
Crea nuovo modello di impianti | - | X
Crea un nuovo gruppo di impianti | - | X
Modifica il nome | - | X
Elimina | - | X
Copiare Attenzione: se si copiano modelli di impianto del progetto globale nel progetto locale e non li si rinomina, esisteranno due modelli con lo stesso nome. Li si può selezionare entrambi, tuttavia non verrà creato un collegamento al momento della conferma. Suggerimento: rinominare sempre i modelli che vengono copiati dal progetto globale in quello locale. | X | X
Inserisci | - | X
Aggiungi a lista filtri | X | X

Legenda:

  • -: impossibile
  • X: possibile


Liste Verknüpfte Elemente

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Liste Verknüpfte Elemente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Für jede Anlagengruppe können alle Elemente, die die Anlagengruppe verknüpft haben als Liste angezeigt werden. Über das Kontextmenü gelangen Sie direkt zum verknüpften Element:

  1. Markieren Sie die gewünschte Anlagengruppe.
  2. Wählen Sie im Kontextmenü den Befehl Verknüpfte Elemente... .

    (Details siehe Unterkapitel Kontextmenü verknüpfte Elemente.)

    Die Liste der verknüpften Elemente wird geöffnet.

Im Kontextmenü der Elemente können Sie:

  • direkt zum Element springen
  • das Element aus der Liste löschen; das Element verliert dann seine Verknüpfung zu dieser Anlagengruppe

Ancora in questo capitolo

Kontextmenü verknüpfte Elemente


Kontextmenü verknüpfte Elemente

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Liste Verknüpfte Elemente -> Kontextmenü verknüpfte Elemente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Im Dialog für verknüpfte Elemente können einzelne Elemente per Kontextmenü im Editor geöffnet oder aus der Liste gelöscht werden:

Befehl | Beschreibung
Zu verknüpftem Element springen | Springt zum Element im Editor, die Liste bleibt geöffnet.
Ausgewählte Elemente entfernen | Löscht das gewählte Element aus der Liste, die Verbindung zu dieser Anlagengruppe wird gelöst.
Hilfe | Apre la guida online.


Allarmi gerarchici via gruppi di impianti

Manuale -> Definizione di impianto -> Allarmi gerarchici via gruppi di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto si può usare il modello di impianto ai fini di progettare la gestione allarmi gerarchici.

In tal modo, gli allarmi possono:

  • essere visualizzati in forma riassuntivo a seconda della loro posizione.
  • essere identificati sulla base della posizione in cui sono stati originati.
  • essere visualizzati in una struttura gerarchica.
  • essere progettati od estesi in modo semplice nel modello di impianto.

Lista di informazione allarmi

Nella lista AML nel Runtime, gli inserimenti "Area allarmi" e "Numero area allarme" sono vuoti se l´opzione Allarmi gerarchici è attiva.

L´ordinamento effettuato sulla base di queste due colonne prende in considerazione solamente la prima area allarmi per le variabili senza l´opzione "allarmi gerarchici". Visto che queste due colonne sono vuote per le variabili con l´opzione "allarmi gerarchici" attiva, esse vengono raggruppate durante il processo di ordinamento e appaiono in prima posizione in ordine alfabetico quando "Area allarmi" è il criterio in base al quale viene effettuato l´ordinamento. Lo stesso accade anche quando l´ordinamento avviene in base al "Numero area allarme", visto che l´ID per Allarmi gerarchici è sempre vuoto, e dunque viene inserito sempre in prima posizione.

Modello di impianto del progetto globale

I gruppi di impianti nel modello di impianto possono essere configurati sia nel progetto globale, che nel progetto standard. Una variabile può utilizzare sia un gruppo di impianti del progetto globale, che uno del quello standard.

  • I gruppi di impianto configurati nel progetto globale sono disponibili anche nel progetto standard.
  • La struttura gerarchica del progetto standard non contiene automaticamente i nodi del progetto globale.
    Le assegnazioni allarmi di variabili a gruppi di impianti del progetto globale vengono ripresi dal progetto standard e poi diventano valide.
  • L´allarme che si trova sulla variabile vale per tutte le aree allarmi reperibili nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.

Ancora in questo capitolo

Configurazione nell'Editor


Configurazione nell'Editor

Manuale -> Definizione di impianto -> Allarmi gerarchici via gruppi di impianti -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se volete usare l´opzione "Allarmi gerarchici" del modello di impianto, eseguite in zenon i seguenti passaggi:

  1. Costruite anzitutto nel progetto un´immagine del vostro impianto. Questa configurazione può essere effettuata sia nel progetto globale, che in quello standard.
    1. Per far ciò, selezionate nel nodo Definizione di impianto, l´inserimento Nuovo modello di impianto
    2. Create un nuovo inserimento con il simbolo o la voce Nuovo modello di impianto contenuta nel menù contestuale.
      Nominate ogni inserimento con la proprietà Nome. Fate attenzione ad attribuire nomi significativi e riconoscibili.
    3. Ripetete questo passaggio per i singoli elementi del vostro impianto.
      Tenete presente la struttura gerarchica dell´albero dell´impianto.
  2. Configurate le aree allarmi:
    1. Per far ciò, passate al nodo Variabili.
    2. All´interno di quest´ultimo, passate al sottonodo Allarme.
    3. Creata una nuova area allarmi:
      per far ciò, dovete passare al sottonodo Aree allarmi.
    • Create una nuova area allarmi con il simbolo o la voce Nuova area di allarme contenuta nel menù contestuale.
      Nominate ogni inserimento con la proprietà Nome. Fate attenzione ad attribuire nomi significativi e riconoscibili.
    1. Assegnate un gruppo di impianti all´area allarmi:
    • Nella proprietà Gruppi d'impianto, cliccate sul pulsante ...:
      Si apre la finestra di dialogo Selezione gruppo di impianto.
    • Selezionate il gruppo di impianti desiderato ed aggiungetelo cliccando sul pulsante Aggiungi.
      Nota: È possibile una selezione multipla. Così un´area allarmi verrà aggiunta a più gruppi di impianti.
    • Confermate la vostra assegnazione cliccando sul pulsante OK.
      Il gruppo di impianti assegnato all´area allarmi è visibile nella proprietà Gruppi d'impianto. Nel caso di una selezione multipla, i diversi inserimenti sono separati da un punto e virgola (;).
  3. Assegnate alle variabili che avete configurato un elemento preso dalla definizione di impianto:
    1. Per far ciò, passate al nodo Variabili.
    2. Selezionate nella lista delle variabili configurate le variabili desiderate per gruppo di impianti.
      Nota: Usate le possibilità di ordinamento e filtro a disposizione nella visualizzazione dettagli del manager di progetto.
      Al fine di rendere più efficiente la progettazione, usate anche la selezione multipla.
    3. Per le variabili selezionate, passate al gruppo di proprietà Generale.
    4. Nella proprietà Gruppi d'impianto, cliccate sul pulsante ...:
      Si apre la finestra di dialogo Selezione gruppo di impianto.
    5. Selezionate il gruppo di impianti desiderato ed aggiungetelo cliccando sul pulsante Aggiungi.
      Nota: È possibile una selezione multipla. Così una variabile verrà aggiunta a più gruppi di impianti.
    6. Confermate la vostra assegnazione cliccando sul pulsante OK.
      Il gruppo di impianti assegnato alla variabile è visibile nella proprietà Gruppi d'impianto. Nel caso di una selezione multipla, i diversi inserimenti sono separati da un punto e virgola (;).

Tipp Suggerimento

Vi preghiamo di tener presente che i tipi di dato ereditano il gruppo di impianti assegnato. La mole di lavoro di progettazione di un sistema di allarmi gerarchici può essere ridotta tenendo presenti i nessi logici.


Autorizzazione utente su modello di impianto

Manuale -> Definizione di impianto -> Autorizzazione utente su modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon network, operating authorizations can also be configured by means of the equipment model.

.

Tenere presente quanto segue:

  • Il limite dall´autorizzazione viene raggiunto collegando delle variabili ad un modello di impianto.
  • Only variables that are assigned to an equipment model need an operating authorization for operation.
  • Variables that are not linked to an equipment model can always be operated.

info Info

Per ulteriori informazioni relative al tema “autorizzazione operativa”, si prega di consultare il capitolo Autorizzazione operativa in rete.

Ancora in questo capitolo

Configurazione nell'Editor

Comportamento nel runtime.


Configurazione nell'Editor

Manuale -> Definizione di impianto -> Autorizzazione utente su modello di impianto -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Führen Sie folgende Projektierungen durch, um die Bedienberechtigung über Anlagenmodell zu nutzen:

  1. Modellieren Sie Ihr Anlagenmodell.
  2. Attivare la proprietà Modello impianto rilevante per le autorizzazioni utenti. Diese Eigenschaft finden Sie in der Eigenschaftengruppe Generale eines Anlagenmodells. Diese Eigenschaft ist nur in der obersten Ebene eines Anlagenmodells verfügbar.
  3. Verknüpfen Sie projektierte Variablen mit der jeweiligen Anlagengruppe.
    Die Verlinkung erfolgt in der Variableneigenschaftengruppe Generale mit der Eigenschaft Gruppi d'impianto.

Opzionale:

  1. Projektieren Sie Variablen für die Visualisierung von Informationen in der Runtime:
    1. Disponibile su questo PC
    2. Autorizzazione utente per il computer
  2. Verknüpfen Sie die Variablen in der Eigenschaftengruppe Autorizzazione der jeweiligen Anlagengruppe.


Comportamento nel runtime.

Manuale -> Definizione di impianto -> Autorizzazione utente su modello di impianto -> Comportamento nel runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In der zenon Runtime gilt für Bedienberechtigung über Anlagenmodell:

  • Ist für den angeforderten Anlagenteil keine Bedienberechtigung projektiert, ist die Bedienung uneingeschränkt möglich.
  • Bei Anforderung einer nicht vergebener Bedienberechtigung wird die Bedienberechtigung automatisch erteilt.
  • Ist ein Anlagenteil belegt, wird dieser automatisch über das Netzwerk am entsprechenden Client angefordert.
    In der Runtime, welche aktuell die Bedienberechtigung besitzt, wird ein entsprechender Dialog angezeigt.
  • Sind mehrere Teile eines Anlagenmodells von einem Client belegt, wird dies am Client der aktuell die Bedienberechtigung besitzt, zusammengefasst in einem Dialog angezeigt.
  • Wird die Bedienberechtigung für einen Bereich angefordert und ein Teil davon ist bereits belegt, so wird diese automatisch über das Netzwerk beim entsprechenden Client angefordert. Wird diese nicht freigegeben, wird keine Berechtigung vergeben, auch nicht für Bereiche, die verfügbar wären.
  • Anfragen zu mehreren Clients werden parallel ausgeführt.

Dialog - Bedienberechtigung übergeben

Parametri | Descrizione
Sì | L´autorizzazione comando viene trasmessa all´altro computer.
No | Die Bedienberechtigung verbleibt am aktuellen Client. Der anfragende Client kann die gewünschte Aktion nicht ausführen.


Esporta e importa modelli

Manuale -> Definizione di impianto -> Esporta e importa modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli di impianto e i gruppi di impianti possono essere esportati e importati via XML e via API.

attention Attenzione

Quando si effettua l´import, viene sovrascritto l´intero modello di impianto. I modelli di impianto e i gruppi di impianti esistenti che hanno lo stesso nome degli oggetti da importare vengono sovrascritti nel corso del processo di import. Gli oggetti non contenuti nel file di import vengono cancellati.

XML

Esporta

Per esportare dei modelli:

  1. Selezionate il modello di impianto desiderato.
  2. Selezionate Elimina nel menù contestuale oppure nella barra dei simboli:
  3. Si apre la finestra di dialogo per selezionare un percorso di salvataggio.
  4. Selezionate il posto di salvataggio e il nome.
  5. Cliccando suOK viene esportato il modello selezionato, oppure vengono esportati tutti i modelli.
  6. Nella finestra di emissione vengono visualizzati il successo dell´export ed eventuali errori.

Importa

Per importare modelli:

  1. Selezionate nel menù contestuale oppure nella barra degli strumenti Importa XML
  2. Si apre la finestra di dialogo per aprire un file di export XML.
  3. Selezionate il file XML desiderato
  4. Cliccando su OK verranno importati i modelli e i gruppi contenuti nel file XML.
  5. Nella finestra di emissione vengono visualizzati il successo dell´export ed eventuali errori.

API:

Per l´import e l´export via VBA/VSTA vengono usati i seguenti metodi:

  • Esporta: SystemModelManager.Export
  • Importa SystemModelManager.Import


Tipo d'immagine Modello di impianto

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo modello di impianto, potete fare nel Runtime quanto segue:

  • effettuare un´operazione di filtro in altre immagini aperte alla ricerca di determinati gruppi di impianti
  • eseguire automaticamente una dopo l´altra tutte le funzioni collegate con un determinato gruppo di impianti

Il filtraggio sulla base di un gruppo di impianti interessa sempre immagini che sono già aperte. Se delle immagini vengono aperte o caricate di nuovo, essa verranno visualizzate senza il filtro dell´immagine modello di impianto.

Nota: Mit der Option Hierarchischer Filter genügt es, wenn eine Variable mit einer Ebene des Anlagenmodells verknüpft ist. Diese Variable wird automatisch bei der Filterung auf eine übergeordnete Ebenen berücksichtigt.

info Info

Si possono definire delle immagini che presentano dati della AML, CEL oppure RGM. È possibile selezionare solamente immagini del tipo Login. Se essi non contengono dati di AML, CEL oppure RGM, vengono ignorati nel Runtime.

Ancora in questo capitolo

Crea un'immagine del tipo Modello di impianto

Bildumschaltung auf ein Bild vom Typ Anlagenmodell


Crea un'immagine del tipo Modello di impianto

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto -> Crea un'immagine del tipo Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Modello di impianto.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Elemento di controllo | Descrizione
Modello di impianto (Denominazione) | Campo di testo per la rappresentazione del nome del modello di impianto visualizzato nell´immagine. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Modello di impianto (struttura) | Elemento strutturale che rappresenta la struttura di gruppo del modello di impianto selezionato.

Selezione

Unità tecnica della variabile per la visualizzazione durante il runtime.

Elemento di controllo

Descrizione

Applica selezione

Il gruppo selezionato nella struttura ad albero viene applicato come Filtro alle immagini scelte nel cambio immagine. Perché il filtro funzioni, l´immagine deve essere già aperta.

Espandi tutto

Tutti i nodi della struttura ad albero vengono estesi e tutti i sottogruppi vengono perciò visualizzati.

Riduci tutto

Tutti i nodi aperti (estesi) verranno chiusi. Saranno dunque visualizzati solamente i gruppi principali della struttura ad albero.

Espandi selezione

Il nodo selezionato della struttura ad albero viene aperto (esteso).

Riduci selezione

Il nodo selezionato della struttura ad albero viene chiuso (ridotto).

Filtro gerarchico

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiviert:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.

Esecuzione funzioni

Tutte le funzioni del progetto locale che sono collegate con il gruppo attualmente selezionato nella struttura ad albero, vengono eseguite. La successione dell´esecuzione non è definita.
Nota: Die Konfiguration der Option Hierarchischer Filter hat keine Auswirkung bei Funktionsausführung.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Modello di impianto (Denominazione) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.


Bildumschaltung auf ein Bild vom Typ Anlagenmodell

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto -> Bildumschaltung auf ein Bild vom Typ Anlagenmodell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um eine Funktion zur Aufschaltung eines Bildes vom Typ Anlagenmodell anzulegen:

  1. Wählen Sie Funktion neu.
  2. Wählen Sie Bildumschaltung.
  3. Wählen Sie das Bild vom Typ Anlagenmodell aus.

    Der Dialog zur Konfiguration wird geöffnet.

  4. Konfigurieren Sie das anzuzeigende Anlagenmodell und die Bilder, die damit aktualisiert werden können.
  5. Bestätigen Sie die Konfiguration mit Klick auf die Schaltfläche OK.

Dargestelltes Anlagenmodell

Parameter

Beschreibung

Dargestelltes Anlagenmodell

Auswahl, des zur Runtime anzuzeigenden Anlagenmodells.

Name statisch

Auswahl eines Modells aus Dropdownliste.

Die Liste enthält alle im lokalen Projekt und im Globalprojekt vorhandenen Anlagenmodelle. Bei Namenskonflikten (gleicher Name für ein lokales und ein globales Anlagenmodell) wird das lokale Anlagenmodell angezeigt. Es werden also immer alle lokalen Anlagenmodelle und alle globalen Anlagenmodelle mit eindeutigen Namen angeboten.

Name aus Variable

Das Modell wird beim Aufschalten des Bildes aus der hier angegebenen String-Variablen gelesen.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer String-Variablen.

Kann die Variable zur Runtime nicht gelesen werden, bleibt der Name leer. Es wird kein Anlagenmodell angezeigt.

Ausgewählte Anlagengruppe

Auswahl einer Variablen, auf die zur Runtime die im Bild ausgewählte Anlagengruppe geschrieben wird.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer String-Variablen.

Hierarchischer Filter

Checkbox für die Aktivierung der hierarchischen Filterung des Anlagenmodells

  • aktiviert:
    Variablen, die mit einer Unterhierarchie der ausgewählten Anlagengruppe verlinkt sind, werden bei der Filterung berücksichtigt und sind in der Anzeige zur Runtime enthalten.
  • inaktiv:
    Bei der Filterung werden nur Variablen, die mit der ausgewählten Anlagengruppe verlinkt sind, berücksichtigt.

Default: aktiv
Hinweis: bei neuen Projekten ist diese Checkbox immer aktiviert. Für Projekte, die vor zenon 7.60 erstellt und in die aktuelle Version hochkonvertiert wurden, ist diese Option inaktiv.

Zu aktualisierende Bilder

Parameter

Beschreibung

Zu aktualisierende Bilder

Auswahl der Bilder, die zur Runtime mit dem Bild vom Typ Anlagenmodell auf Anlagenmodelle gefiltert werden können.

Si possono definire delle immagini che presentano dati della AML, CEL oppure RGM. È possibile selezionare solamente immagini del tipo Login. Se essi non contengono dati di AML, CEL oppure RGM, vengono ignorati nel Runtime.

Aktualisierung

Parameter

Beschreibung

Aktualisierung

Modus der Aktualisierung.

Auf allen Monitoren aktualisieren

Aktiv: Die in der Liste Zu aktualisierende Bilder angeführten Bilder werden auf allen Monitoren gesucht.

Inaktiv: Die in der Liste Zu aktualisierende Bilder angeführten Bilder werden nur auf dem aufrufenden Monitor gesucht.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Abbrechen

Annulla tutte le modifiche e chiude la finestra di dialogo.

Hilfe

Apre la guida online.

Hinweis: Dieser Filter kann nur im Editor, aber nicht mehr zur Runtime, konfiguriert werden.


Filtraggio nella visuale dettagliata

Manuale -> Definizione di impianto -> Filtraggio nella visuale dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella Visuale dettagliata del manager di progetto si può effettuare un filtraggio sulla base di gruppi impianti. Se questi ultimi non vengono ancora visualizzati, selezionate nel menù contestuale il comando Selezione colonne e aggiungete Gruppi impianti.

Per effettuate il filtraggio:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Aggiungete alla lista i criteri sulla base dei quali deve essere effettuato il filtraggio.
  • Nella visualizzazione dettagliata verranno visualizzati solamente quegli elementi che sono collegati ai gruppi impianti selezionati.

Per resettare il filtro:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Rimuovete dalla lista i criteri di filtro desiderati.


Filtern zur Runtime

Manuale -> Definizione di impianto -> Filtern zur Runtime

Um zur Runtime auf Anlagengruppen zu filtern haben Sie folgende Möglichkeiten:

  • Filter bei der Bildumschaltung definieren: Erstellen Sie eine Funktion Bildumschaltung auf das gewünschte Bild und definieren in der Registerkarte Anlagenmodellierung den Filter. Zur Runtime werden Daten entsprechend dem voreingestellten Filter angezeigt. Um den Filter zur Runtime zu verändern, muss der Button Filter vorhanden sein.
  • Bild vom Typ Anlagenmodell: Erstellen Sie ein Bild vom Typ Anlagenmodell und weisen Sie ihm bei der Bildumschaltung ein Anlagenmodell zu. Zur Runtime können Sie Anlagengruppen auswählen und als Filter auf bereits geöffnete Bilder anwenden. Weiteres können alle mit einer Anlagengruppe verknüpften Funktionen auf Knopfdruck hintereinander ausgeführt werden.

info Info

Wenn Sie bei der Filterung die Option Hierarchischer Filter aktivieren, werden auch alle untergeordneten Ebenen des Anlagenmodells bei der Filterung berücksichtigt.

Ancora in questo capitolo

Filtri con cambio immagine e per l´esecuzione di una funzione

Filter erstellen

Usa immagine del tipo modello di impianto nel Runtime


Filtri con cambio immagine e per l´esecuzione di una funzione

Manuale -> Definizione di impianto -> Filtern zur Runtime -> Filtri con cambio immagine e per l´esecuzione di una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´operazione di filtro sulla base di gruppi di impianto durante il runtime è possibile con le seguenti funzioni:

  • AML e CEL
    • Conferma il riconoscimento d'allarme
    • Ripristina allarmi
    • Esporta allarmi
  • Message Control:
    • Sopprimi Gruppi/Classi/Aree/Strutture
  • Gestione turni
  • Manager gruppi di ricette

Filtro

For the filtering via the Cambio immagine function, the result of the filtering the equipment model can depend on the screen type.

  • Cambio ad un´immagine di tipo:
    • AML:
      Vengono visualizzati solamente quegli allarmi le cui variabili sono collegate con i gruppi impianti.
    • CEL:
      Vengono visualizzati solamente quegli inserimenti le cui variabili sono collegate con i gruppi impianti.
    • Manager gruppi di ricette:
      Vengono visualizzati nella lista a cascata solamente quei gruppi ricetta che sono contenuti anche nel filtro. Se vengono creati degli altri gruppi ricetta, essi possono essere collegati con gruppi impianto esistenti. Questi nuovi dati possono essere riletti nell´editor a partire dai file runtime. Nell´effettuare questa operazione, il sistema rilegge anche i gruppi impianti collegati.
    • Gestione turni:
      Vengono visualizzati solamente quegli turni sono collegate con i gruppi impianti.

info Info

Wenn Sie bei der Filterung die Option Hierarchischer Filter aktivieren, werden auch alle untergeordneten Ebenen des Anlagenmodells bei der Filterung berücksichtigt.


Filter erstellen

Manuale -> Definizione di impianto -> Filtern zur Runtime -> Filter erstellen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die Funktion Bildumschaltung zu erstellen und auf Anlagengruppen zu filtern:

  1. Erstellen Sie eine Funktion Cambio immagine.
  2. Wählen Sie das gewünschte Bild.
  3. Klicken Sie im Dialog Filter auf die Registerkarte Anlagenmodellierung.
  4. Wählen Sie Modelle und Anlagengruppen aus.
  5. Bestätigen Sie mit OK.

Dialog

Hinweis: Die jeweils angezeigten Registerkarten hängen ab vom Modul, in dessen Kontext die Anlagenmodellierung konfiguriert wird.

Progettazione di impianto

Opzioni

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Nota: Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Filtro gerarchico
  • Default: attivato

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Usa immagine del tipo modello di impianto nel Runtime

Manuale -> Definizione di impianto -> Filtern zur Runtime -> Usa immagine del tipo modello di impianto nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime si può effettuare il filtro di immagini già aperte, che contengono dati di AML e CEL, sulla base di gruppi di impianti.

Esempio

In un impianto industriale si vogliono visualizzare gli allarmi del padiglione 3.

Progettazione:

  • il padiglione 3 viene definito nel modello di impianto come un gruppo di impianti proprio.
  • Nel passaggio all´immagine del tipo modello di impianto accade quanto segue:
    • viene selezionato il modello di impianto che contiene il padiglione 3
    • viene scelta l´immagine del tipo AML come Immagine da aggiornare

Nel Runtime accade quanto segue:

  • viene aperta la Lista di informazione allarmi
  • viene aperto il modello di impianto
  • viene selezionato il gruppo di impianti con il padiglione 3
  • si preme il pulsante Usa selezione

L´immagine AML aperta mostra adesso solo quegli allarmi che interessano il padiglione 3.


Elaborazione degli stati

Manuale -> Elaborazione degli stati

La gestione degli stati consente di avere una visione d'insieme sia in rete che nell´ambito di un progetto. Ad ogni variabile possono essere assegnati attributi propri. Complessivamente sono definiti 64 stati / attributi. I più usati sono spontaneo, disturbato, valore manuale e valore di riserva.

Per lo stato, sono disponibili a Runtime molte possibilità di analisi, come, ad esempio: l'elemento combinato, le matrici di reazione e il generatore di rapporti. Gli stati sono accessibili anche in VBA o VSTA, e anche nel manager di gruppi ricette.

Quando una variabile viene salvata in zenon, per esempio in un archivio, nella CEL, o nella AML, il relativo inserimento consiste di 3 informazioni: valore, time stamp e stato. Questo significa che per ogni valore archiviato viene salvato anche lo stato corretto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Bit di stato

Utilizzo


Bit di stato

Manuale -> Elaborazione degli stati -> Bit di stato

In zenon sono a disposizione i seguenti bit di stato:

Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Alcuni singoli stati non sono disponibili con tutti i driver.

Visto che gli stati di ogni variabile sono disponibili anche in VBA/VSTA in forma di valore a 64Bit, viene indicata nella descrizione degli stati anche il numero bit di ogni stato. Questa informazione è necessaria per un´analisi individuale con VBA/VSTA.

Ci sono due possibilità di visualizzazione a Runtime: la forma breve e quella lunga. Queste sono divise nella descrizione da una barra.

Per ogni stato utente si può configurare e salvare un testo che verrà poi visualizzato nei singoli moduli (Editor e Runtime). Il testo breve e quello lungo verranno divisi da un punto e virgola (;).

A questo scopo devono essere eseguiti i seguenti inserimenti nel file project.ini:

[STATUS]

STATUS0=MS_K;Mio stato 0

STATUS1=ET;Testo proprio

......

STATUS63=RES;Non utilizzato

Ancora in questo capitolo

Stato utente da 1 a 8 [M1-M8] e da 14 a 16 [M14-M16]

Select in rete [NET_SEL]

Revisione (REVISION)

In uso [PROGRESS]

Runtime exceeded (TIMEOUT)

Valore manuale [MAN_VAL]

Interrogazione generale [GI]

Spontaneo [SPONT]

Non valido [INVALID]

Orario standard (ora solare) esterno [T_STD_E]

Spento [OFF]

Real time - time stamp esterno [T_EXTERN]

Time stamp interno [T_INTERN]

Non ordinabile [N_SORTAB]

Anomalia trasformatore [FM_TR]

Messaggio default Valore trasformatore [RM_TR]

Informazioni sulle variabili [INFO]

Valore di riserva [ALT_VAL]

Non aggiornato nella rete di zenon [N_UPDATE]

Orario standard (ora solare) interno [T_STD]

Causa di trasmissione (COTx)

P/N-Bit (N_CONF)

Test-Bit [TEST]

Conferma scrittura [WR-ACK]

Scrittura eseguita con successo [WR-SUC]

Stato normale [NORM]

Normal deviation [N_NORM]

IEC Status: Blocked [BL_870]

IEC Status: Substituted [SB_870]

IEC Status: Not Topical [NT_870]

IEC Status: Overflow [OV_870]

Livello di comando: Select [SE_870]

Time stamp esterno non valido [T_INVAL]

Intervento sezionatore rilevato [CB_TRIP]

Rilevamento di intervento sezionatore disabilitato [CB_TR_I]

Valore fuori intervallo di validità [OR_DRV]

ClockNotSynchronized [T_UNSYNC]

Non registrato nel process recorder [PR_NR]


Stato utente da 1 a 8 [M1-M8] e da 14 a 16 [M14-M16]

Manuale -> Elaborazione degli stati -> Bit di stato -> Stato utente da 1 a 8 [M1-M8] e da 14 a 16 [M14-M16]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
0 | M1; stato utente 1 | Dall´utente, dai comandi (ztipo di azione "Blocco") oppure dal Service Tracking del driver IEC 850. | In tutti i driver Eccezione: non disponibile per il driver interno.
Da 1 a 7 | Da M2 a M8; stato utente 8 | Dall'utente | In tutti i driver Eccezione: non disponibile per il driver interno.
Da 13 a 15: | M14; stato utente 14 Fino a M16; stato utente 16 | Dall'utente | In tutti i driver Eccezione: non disponibile per il driver interno.

Gli 11 bit di stato utente possono essere usati in base alle esigenze del progetto specifico. Esempi di utilizzo degli stati utente sono: speciali interblocchi di comandi, o flag per proprie informazioni.

info Info

Il bit di stato utente M1 è usato nel modulo "Comandi" dall´azione "Blocco" per indicare che il punto di switch è bloccato. Il bit è utilizzato anche nel driver IEC850 per il trasferimento di dati "service tracking" al Runtime.

Ulteriori informazioni su questo argomento si trovano nel manuale dedicato ai Comandi , e nella documentazione del driver IEC850.


Select in rete [NET_SEL]

Manuale -> Elaborazione degli stati -> Bit di stato -> Select in rete [NET_SEL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
8 | NET_SEL; selezionato nella rete di zenon | Automaticamente | In tutti i driver

Il bit di stato NET_SEL contrassegna nella rete di zenon la variabile di responso durante il comando. Se il bit NET_SEL è settato, un nuovo comando - selezionato da un´altra postazione (per es. da un altro client nella rete) - non potrà essere eseguito sulla stessa variabile di responso.

Il bit NET_SEL viene settato:

  • Se è stata aperta un´immagine di tipo "Comandi" collegata alla variabile di responso.
  • Quando si esegue un´azione di comando usando il menù contestuale, oppure nel modulo "Sequenze comandi".
  • Quando si esegue un comando auto/remoto (via VBA, Process Gateway ecc).


Revisione (REVISION)

Manuale -> Elaborazione degli stati -> Bit di stato -> Revisione (REVISION)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
9 | Revisione (REVISION) | Dall'utente | In tutti i driver

Le variabili possono essere settate su revisione. In questo caso vengono soppressi dal sistema di controllo la gestione allarmi e i comandi. In questo modo è possibile escludere in modo temporaneo singole parti dell'impianto dalla gestione degli allarmi e dalla gestione operativa.

Nota: vengono soppressi solamente gli allarmi e i comandi. Tutte le altre proprietà del valore limite collegate, come Colore, Funzione, Invisibile, Lampeggio ecc., non sono interessate e vengono visualizzate, o eseguite. Anche i valori attuali delle variabili continuano ad essere visualizzati nelle immagini e anche archiviati!

Se si vuole che anche funzioni collegate o altre proprietà vengano soppresse, bisogna creare una matrice di reazione che analizzi lo stato "revisione". info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino rosso nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


In uso [PROGRESS]

Manuale -> Elaborazione degli stati -> Bit di stato -> In uso [PROGRESS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
10 | PROGRESS; in uso | Automaticamente | Solo in certi driver

Il bit di stato in uso, in combinazione con i "Comandi" (solamente SICAM 230 o nella Energy Edition di zenon), è usato per indicare che un interruttore è in uso al momento, e che perciò la sua posizione cambierà (on/off). Il bit di stato viene settato nella variabile di responso al momento dello start del watchdog timer , e resettato quando quest´ultimo è stato completato con successo o superato (TIMEOUT).
Il settaggio automatico del bit a Runtime può essere attivato nel gruppo comandi, attivando la proprietà Imposta stato di avanzamento.

Se il comando scritto corrisponde già al valore della variabile di responso, il bit non viene settato. Possono essere controllati solamente i valori di responso on e off.


Runtime exceeded (TIMEOUT)

Manuale -> Elaborazione degli stati -> Bit di stato -> Runtime exceeded (TIMEOUT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
11 | Runtime exceeded (TIMEOUT) | Automaticamente; dal watchdog timer nei "Comandi". | Solo in certi driver

Lo stato Runtime exceeded (TIMEOUT) viene settato solamente dal modulo Comandi. Il tipo di azione Comando setta questo bit quando il timeout configurato per il Watchdog viene superato, oppure il comando stesso viene terminato negativamente. Questo vale anche nel caso in cui il PLC riceve COT_actterm con un bit P/N (COT valore 10 con bit di stato N_CONF 33, 35 e 38).

L´azione setta il bit TIMEOUT quando la posizione attesa dell´elemento di switch non viene raggiunta nel corso dell´esecuzione del comando. Questo significa: il valore della variabile di feedback nel comando è diverso da quello definito e il Watchdog Timer è configurato in modo tale da monitorare la variabile di feedback, eventualmente anche insieme alla COT. In caso di Watchdog Timer solo con COT, il bit TIMEOUT viene settato quando il tempo di esecuzione viene superato, oppure terminato con esito negativo.
L´azione successiva per questo elemento di switch resetta il bit TIMEOUT. info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino rosso nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


Valore manuale [MAN_VAL]

Manuale -> Elaborazione degli stati -> Bit di stato -> Valore manuale [MAN_VAL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
12 | MAN_VAL; valore manuale | Automaticamente | In tutti i driver

Questo valore viene settato non appena un valore viene modificato manualmente in un archivio. Questo può essere fatto nel Generatore di report o nell'immagine di tipo Post elaborazione archivio.

Inoltre, questo stato viene settato dalla convalida della Amministrazione punti di misurazione quando un valore di misurazione viene elaborato manualmente.


Interrogazione generale [GI]

Manuale -> Elaborazione degli stati -> Bit di stato -> Interrogazione generale [GI]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
16 | GI; interrogazione generale | Automaticamente | In tutti i driver

Dopo l'avvio del Runtime, la prima immagine ad essere letta viene nominata "'interrogazione generale". Questo significa che il valore non è ancora cambiato dal momento dell´avvio del Runtime.


Spontaneo [SPONT]

Manuale -> Elaborazione degli stati -> Bit di stato -> Spontaneo [SPONT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
17 | SPONT; spontaneo | Automaticamente | In tutti i driver

Il valore attuale è valido. Tutto OK.


Non valido [INVALID]

Manuale -> Elaborazione degli stati -> Bit di stato -> Non valido [INVALID]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
18 | INVALID; non valido | Automaticamente | In tutti i driver

Questo bit è settato se c'è un problema di comunicazione con il driver, o se è disturbata la singola variabile. L'analisi delle singole variabili viene supportata solo dai driver spontanei. La maggior parte dei driver di zenon, però, sono dei driver che lavorano in modalità polling; questo significa che può essere rilevato solamente l´esistenza di un problema generale nella comunicazione. In caso di errore di comunicazione, i bit di stato INVALID e SPONT si escludono a vicenda.

In alcuni protocolli spontanei, i PLC hanno la possibilità di contrassegnare un valore come non valido, per es. IEC 60870 Indicator INV, IEC 61850 Quality. In questo caso, il valore riceverà anche il bit INVALID, tuttavia eventualmente con SPONT. Informazioni più precise a questo proposito si trovano nella documentazione del driver.

info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino rosso nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


Orario standard (ora solare) esterno [T_STD_E]

Manuale -> Elaborazione degli stati -> Bit di stato -> Orario standard (ora solare) esterno [T_STD_E]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
19 | T_STD_E | Automaticamente | Solo in driver con funzionalità real time. Nota: per sapere se un driver ha funzionalità real time, bisogna consultare la relativa documentazione.

Con questo stato si indica in modo inequivocabile se il time stamp ricevuto dal PLC è nell´orario invernale (bit settato) o in quello estivo (bit non settato).

Questo stato può presentarsi solamente insieme allo stato T_EXTERN.

Nota: si prega di tenere presente anche lo stato T_STD per il time stamp interno.

attention Attenzione

Attenzione: fino alla versione 7.50, questo bit di stato aveva un altro significato (vecchia denominazione: T_CHG_A)


Spento [OFF]

Manuale -> Elaborazione degli stati -> Bit di stato -> Spento [OFF]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
20 | OFF; spento | Dall'utente | In tutti i driver

Se non si ha bisogno online di una variabile, la si può disabilitare. Questa variabile non verrà più letta e aggiornata dall´hardware connesso.

Questo stato può essere usato, ad esempio, per escludere delle parti di impianto non ancora attive dalla gestione degli allarmi.

info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino rosso nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


Real time - time stamp esterno [T_EXTERN]

Manuale -> Elaborazione degli stati -> Bit di stato -> Real time - time stamp esterno [T_EXTERN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
21 | T_EXTERN | Automaticamente | Solo in driver con funzionalità real time. Nota: per sapere se un driver ha funzionalità real time, bisogna consultare la relativa documentazione.

Il time stamp è stato inviato da un dispositivo esterno. zenon acquisisce questo valore così com'è. Tutti i moduli di zenon utilizzano questo time stamp.

attention Attenzione

Lo stato di una variabile può essereT_EXTERN o T_INTERN.

  • Se un valore ha lo stato T_EXTERN e non T_INVAL, come time stamp del valore verrà utilizzato il time stamp esterno.
    Il time stamp esterno è il dato orario che il PLC ha fornito al driver insieme al valore.
  • Se un valore ha lo stato T_INTERN o T_EXTERN e T_INVAL,, come time stamp del valore verrà utilizzato il time stamp interno.
    Il time stamp interno è il momento in cui il driver ha ricevuto il valore dal PLC.

Tutti i moduli di zenon classificano i valori sulla base di questi due stati.


Time stamp interno [T_INTERN]

Manuale -> Elaborazione degli stati -> Bit di stato -> Time stamp interno [T_INTERN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Numero bit

Visualizzazione

Settato

Disponibile

22

T-INTERN

Automaticamente

In tutti i driver

Il time stamp viene fornito dal driver zenon. Non appena il valore viene letto correttamente, gli viene assegnato un time stamp. A questo punto tutti i moduli useranno questo time stamp. attention Attenzione

Lo stato di una variabile può essereT_EXTERN o T_INTERN.

  • Se un valore ha lo stato T_EXTERN e non T_INVAL, come time stamp del valore verrà utilizzato il time stamp esterno.
    Il time stamp esterno è il dato orario che il PLC ha fornito al driver insieme al valore.
  • Se un valore ha lo stato T_INTERN o T_EXTERN e T_INVAL,, come time stamp del valore verrà utilizzato il time stamp interno.
    Il time stamp interno è il momento in cui il driver ha ricevuto il valore dal PLC.

Tutti i moduli di zenon classificano i valori sulla base di questi due stati.


Non ordinabile [N_SORTAB]

Manuale -> Elaborazione degli stati -> Bit di stato -> Non ordinabile [N_SORTAB]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
23 | N_SORTAB | Automaticamente | Per standard IEC

Solo per SICAM 230.

Questo stato è relativo al flusso dati in tempo reale con il protocollo SSI. SSI viene usato per SK1703 e riguarda il driver AK.

Lo stato non viene più usato.

Originariamente: se un telegramma arrivava in considerevole ritardo, gli veniva assegnato lo stato N_SORTAB se non poteva più essere ordinato correttamente. Visto che adesso c`è un secondo processo di ordinamento, questo stato non ha più alcun significato.


Anomalia trasformatore [FM_TR]

Manuale -> Elaborazione degli stati -> Bit di stato -> Anomalia trasformatore [FM_TR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
24 | FM_TR | Automaticamente | Per standard IEC

Solo per SICAM 230.

Solo per protocollo SSI: valore trasformatore non plausibile. Nei protocolli più recenti questa informazione viene trasmessa nell´INVALID-Bit.

SSI viene usato per SK1703 e riguarda il driver AK.

info Info

Questo bit di stato viene visualizzato a Runtime mediante quadratino rosso posto nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


Messaggio default Valore trasformatore [RM_TR]

Manuale -> Elaborazione degli stati -> Bit di stato -> Messaggio default Valore trasformatore [RM_TR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
25 | RM_TR | Automaticamente | per standard IEC

Solo per SICAM 230.

Riguarda il protocollo SSI e IEC870-101: Ogni volta che avviene una variazione, viene settato anche il bit.

SSI viene usato per SK1703 e riguarda il driver AK.


Informazioni sulle variabili [INFO]

Manuale -> Elaborazione degli stati -> Bit di stato -> Informazioni sulle variabili [INFO]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
26 | INFO | Automaticamente | Per standard IEC

Solo per SICAM 230.

Non viene più usato.


Valore di riserva [ALT_VAL]

Manuale -> Elaborazione degli stati -> Bit di stato -> Valore di riserva [ALT_VAL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
27 | ALT_VAL; valore di riserva | Dall'utente | In tutti i driver

Per poter simulare un valore, si può passare al valore di riserva. In questo caso, il valore verrà completamente scollegato dal processo, come accade per Spento (OFF). Come nel caso dello spegnimento, anche in questo caso il sistema continuerà a visualizzare l´ultimo valore di processo. Esiste però la possibilità di modificare il valore di sostituzione a Runtime, per esempio usando la finestra di dialogo per l´inserimento di valori impostabili:

  • Modifica valore di riserva:
    modifica solamente il valore di riserva.
  • Imposta e modifica valore di riserva:
    passa al valore di riserva e lo modifica portandolo al valore impostato.
  • Modifica valore spontaneo:
    nonostante il valore di riserva, all´hardware viene inviato un valore impostabile. La variabile, però, mantiene il valore di riserva.
  • Imposta su valore spontaneo:
    disattiva il valore di riserva.

Se non è stato ancora trasferito nessun valore, si utilizzerà il valore di riserva definito; in caso contrario l´ultimo valore valido.

Ulteriori possibilità di intervenire sul valore di riserva sono quelle offerte dal Manager di gruppi ricette oppure dalla Interfaccia di programmazione.

Se, al momento del passaggio al valore di riserva, lo stato non era valido (INVALID settato), questo stato rimane invariato. Il valore avrà lo stato non valido e valore di riserva settato.

Il valore di riserva non verrà inviato all'hardware connesso, ma rimarrà nell'immagine di processo del computer. Questo valore verrà inviato a tutti i moduli di zenon e dove verrà elaborato. Il valore verrà, ad esempio, archiviato e verranno generati degli allarmi.

Usando queste informazioni di stato, questi valori possono essere contrassegnati in modo speciale nel report. In questo modo, da un lato si garantisce la tracciabilità delle modifiche, dall'altro non vengono condizionate successive analisi.

Example Esempio

Poniamo il caso che un sensore per il rilevamento della temperatura esterna sia guasto e fornisca un valore non realistico (per es. -280 ºC). L'utente può inserire al posto di questo valore non realistico un altro, che legge sul termometro (ad esempio 14ºC). Questo valore verrà archiviato, protocollato e usato dagli allarmi.

Tutti i moduli di zenon lavoreranno con questo valore di riserva.

info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino rosso nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.


Non aggiornato nella rete di zenon [N_UPDATE]

Manuale -> Elaborazione degli stati -> Bit di stato -> Non aggiornato nella rete di zenon [N_UPDATE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
29 | N_UPDATE | Automaticamente | In tutti i driver

Nella rete di zenon, il bit di stato viene settato quando il client perde la connessione con il server primario, o quando per la variabile è stata configurata la proprietà Richiedere solo da Server standby, ma non esiste un Server-Standby.

info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino blu posto nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.

Progetto di integrazione

Un´eccezione è rappresentata dal progetto di integrazione. Un progetto di integrazione può essere un progetto standalone che contiene progetti di rete come sottoprogetti.

In questo modo, il progetto di integrazione diventa client di sottoprogetti. In questo caso, il punto blu indica che il server primario del sottoprogetto non ha ancora fornito i dati.

Ulteriori informazioni

Per alcuni driver vale quanto segue: Lo stato Non attualizzato(N_UPDATE) viene settato quando il valore è stato richiesto dall'hardware, ma non è stato ancora possibile leggere nessun valore valido.


Orario standard (ora solare) interno [T_STD]

Manuale -> Elaborazione degli stati -> Bit di stato -> Orario standard (ora solare) interno [T_STD]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
30 | T_STD | Automaticamente | In tutti i driver

Con questo stato si indica in modo inequivocabile se il time stamp interno è nell´orario invernale (bit settato) o in quello estivo (bit non settato).

Questo stato è insieme allo stato T_INTERN.

Nota: si prega di tenere presente anche lo stato T_STD_E per il time stamp esterno.


Causa di trasmissione (COTx)

Manuale -> Elaborazione degli stati -> Bit di stato -> Causa di trasmissione (COTx)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
32 - 37 | COT0 fino a COT5 | Automaticamente | Per gli standard del settore Energy

La causa di trasmissione (COT) secondo il protocollo IEC 60870.

Il valore della causa di trasmissione (vedi IEC60870-5-101 7.2.3) viene mappato sui bit di stato 32 - 37. In questo modo possono essere settati fino a 6 bit COTx (x prende il posto dei numeri bit da 0 a 5). Per esempio: il bit più basso del valore COT viene sistemato sul bit di stato 32 e in <CD_ PRODUCTNAME> riceve il nome di COT0.

L´intero valore COT può essere analizzato a Runtime usando una matrice di reazione (multi-numerica e multi-binaria). Ogni bit COTx incrementa il valore della causa di trasmissione nel modo seguente:

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

Esempio

Tipici valori COT:

Stato | Valore | Causa di trasmissione | Nome breve
COT0 | 1 | periodic, cyclic /polled | COT_per
COT1 | 2 | background scan /integrity | COT_back
COT0, COT1 | 1+2 = 3 | spontaneous /reported | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | activation (command) confirmation | COT_actcon
COT1, COT3 | 2+8 = 10 | activation (command) termination | COT_actterm
COT2, COT4 | 4+16 = 20 | interrogated by station interrogation | COT_inrogen

info Info

Il modulo Comandi usa la causa di trasmissione, N_CONF e lo stato SE_870 per il Watchdog timer di comandi.

Nota:

  • Alcuni driver Energy supportano i bit di stato COTx, anche quando il protocollo in sé non contiene nessuna COT ´(per es. DNP3, IEC850).
  • Alcuni driver Energy supportano solamente una parte limitata (COT=6..10) al watchdog timer nei comandi.

Informazioni dettagliate a questo proposito si trovano nella documentazione del driver.


P/N-Bit (N_CONF)

Manuale -> Elaborazione degli stati -> Bit di stato -> P/N-Bit (N_CONF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
38 | N_CONF | Automaticamente | Per gli standard del settore Energy

Segnala che il PLC ha confermato il comando negativamente. Corrisponde al bit P/N (positive/negative response) del protocollo IEC 60870. Anche durante l´esecuzione di comandi in IEC 61850, la conferma negativa di Select e Operate è messa sul bit di stato N_CONF. Si applica insieme a COTx: COT_actcon(7), COT_actterm(10).

info Info

Il modulo Comandi usa gli stati COTx, N_CONF e SE_870 per il Watchdog timer di comandi.


Test-Bit [TEST]

Manuale -> Elaborazione degli stati -> Bit di stato -> Test-Bit [TEST]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
39 | TEST | Automaticamente | IEC870, IEC850

Segnala lo stato Test in conformità alla norma IEC 60870, oppure alla norma IEC 61850: Quality=Test. Questo bit di stato può essere selezionato nell´elemento combinato, e nella formula di interblocco.


Conferma scrittura [WR-ACK]

Manuale -> Elaborazione degli stati -> Bit di stato -> Conferma scrittura [WR-ACK]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
40 | WR_ACK | Automaticamente | Specifico per il driver

È utilizzato dalle funzioni di zenon Settare valore impostabile o Esegui ricetta per richiedere dal driver una conferma di scrittura.

Nota: delle informazioni dettagliate su questo tema si trovano nel manuale dedicato alle Variabili, nel capitolo Controlla settaggio del valore impostabile.


Scrittura eseguita con successo [WR-SUC]

Manuale -> Elaborazione degli stati -> Bit di stato -> Scrittura eseguita con successo [WR-SUC]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
41 | WR_SUC | Automaticamente | Specifico per il driver

Se deve essere richiesta una conferma di scrittura per le azioni Settare valore impostabile o Esegui ricetta(WR-ACK), viene settato questo bit di stato dopo un processo di scrittura.

Nota: delle informazioni dettagliate su questo tema le trovate nella guida concernente le Variabili nel capitolo Controlla Scrivi valore impostabile.


Stato normale [NORM]

Manuale -> Elaborazione degli stati -> Bit di stato -> Stato normale [NORM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
42 | NORM | Automaticamente | In tutti i driver

Lo stato normale è definito nelle proprietà della variabile e analizzato nel bit di stato NORM.


Normal deviation [N_NORM]

Manuale -> Elaborazione degli stati -> Bit di stato -> Normal deviation [N_NORM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
43 | N_NORM | Automaticamente | In tutti i driver

Per le variabili con il tipo di dato BIT, il driver confronta lo stato di processo e lo stato normale definito e scrive il risultato sul bit di stato N_NORM.


IEC Status: Blocked [BL_870]

Manuale -> Elaborazione degli stati -> Bit di stato -> IEC Status: Blocked [BL_870]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
44 | BL_870 | Automaticamente | IEC870, IEC850

Segnala lo stato Blocked in conformità alla norma IEC 60870 e alla norma IEC 61850: Quality=OperatorBlocked. Il PLC informa che il valore è bloccato per l´invio e rimane nello stato che aveva prima di essere bloccato. Questo bit di stato può essere selezionato in matrici di reazione multiple, nell´elemento combinato e e nella formula di interblocco.

In VBA, con StatusExtValue() si possono sottoporre a polling i 32-Bit superiori; con SetValueWithStatusEx() tutti i 64 bit di stato.


IEC Status: Substituted [SB_870]

Manuale -> Elaborazione degli stati -> Bit di stato -> IEC Status: Substituted [SB_870]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
45 | SB_870 | Automaticamente | IEC870, IEC850 Process Gateway IEC870 Slave

Segnala lo stato Substituted in conformità alla norma IEC 60870 e alla norma IEC 61850: Quality.Source=Substituted. Il PLC informa che il valore non proviene più dall´hardware, ma è stato simulato nel PLC. Questo bit di stato può essere selezionato in matrici di reazione multiple, nell´elemento combinato e nella formula di interblocco.

In VBA, con StatusExtValue()si possono sottoporre a polling i 32-Bit superiori; con SetValueWithStatusEx() tutti i 64 bit di stato.


IEC Status: Not Topical [NT_870]

Manuale -> Elaborazione degli stati -> Bit di stato -> IEC Status: Not Topical [NT_870]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
46 | NT_870 | Automaticamente | IEC870 Process Gateway IEC870 Slave

Segnala lo stato Not topical in conformità alla norma IEC 60870. Il PLC informa che il valore non è stato aggiornato con successo sull´hardware durante un periodo di tempo determinato, oppure che non è disponibile. Questo bit di stato può essere selezionato in matrici di reazione multiple, nell´elemento combinato e nella formula di interblocco.

In VBA, con StatusExtValue() si possono sottoporre a polling i 32-Bit superiori; con SetValueWithStatusEx() tutti i 64 bit di stato.


IEC Status: Overflow [OV_870]

Manuale -> Elaborazione degli stati -> Bit di stato -> IEC Status: Overflow [OV_870]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
47 | OV_870 | Automaticamente | IEC870, IEC850 Process Gateway IEC870 Slave

Segnala lo stato Overflow in conformità alla norma IEC 60870 e alla norma IEC 61850: Quality=Overflow. Il PLC informa che il valore è al di là dell´intervallo predefinito, oppure che che c´è un sovraccarico contatore. Questo bit di stato può essere selezionato in mtrici di reazione multiple, nell´eemento combinato e nella formula di interblocco.


Livello di comando: Select [SE_870]

Manuale -> Elaborazione degli stati -> Bit di stato -> Livello di comando: Select [SE_870]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
48 | SE_870 | Automaticamente | Per gli standard del settore Energy

Il bit viene usato nei protocolli del settore Energy in combinazione con la funzionalità Select before operate, e serve a distinguere fra i due passaggi Select e Execute/Operate di un comando. Si applica insieme a COTx: COT_act(6), COT_actcon(7).

Valori:

  • 0 = execute
  • 1 = select

info Info

Il modulo Comandi usa gli stati COTx, N_CONF e SE_870 per il Watchdog timer di comandi.


Time stamp esterno non valido [T_INVAL]

Manuale -> Elaborazione degli stati -> Bit di stato -> Time stamp esterno non valido [T_INVAL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
49 | T_INVAL | Automaticamente | IEC870, IEC850 Process Gateway IEC870 Slave

Lo stato Time stamp esterno non valido viene settato da un driver quando il time stamp "real time" ricevuto dal PLC è contrassegnato come non valido. In questo caso, i moduli di zenon usano il valore della variabile ricevuto con il time stamp locale del computer. Questo bit di stato può essere selezionato in matrici di reazione multiple, nell´elemento combinato e nella formula di interblocco.

attention Attenzione

Lo stato di una variabile può essereT_EXTERN o T_INTERN.

  • Se un valore ha lo stato T_EXTERN e non T_INVAL, come time stamp del valore verrà utilizzato il time stamp esterno.
    Il time stamp esterno è il dato orario che il PLC ha fornito al driver insieme al valore.
  • Se un valore ha lo stato T_INTERN o T_EXTERN e T_INVAL,, come time stamp del valore verrà utilizzato il time stamp interno.
    Il time stamp interno è il momento in cui il driver ha ricevuto il valore dal PLC.

Tutti i moduli di zenon classificano i valori sulla base di questi due stati.


Intervento sezionatore rilevato [CB_TRIP]

Manuale -> Elaborazione degli stati -> Bit di stato -> Intervento sezionatore rilevato [CB_TRIP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
50 | CB_TRIP | Automaticamente dai "Comandi" | In tutti i driver

Il bit di stato ha il valore 1 quando il sistema ha rilevato un intervento sezionatore, a condizione che nel modulo "Comandi" sia stato configurata l´opzione "Intervento sezionatore rilevato"

Il rilevamento avviene se:

  • Il valore della variabile di feedback cambia da <>0 a 0 e
    • Il bit di stato CB_TR_I (51) non è 1
    • Il bit di stato PROGRESS (10) non è 1
    • Il valore della variabile di feedback è già definito (non si tratta dunque del valore iniziale per questa variabile).

Se il valore della variabile cambia da 0 a <>0, questo bit viene resettato. Questo bit viene resettato anche se il bit di stato PROGRESS (10) viene attivato. Una modifica di CB_TR_I non ha alcuna influenza su un intervento sezionatore già rilevato.

Questo bit di stato può essere modificato in modo esplicito nel modulo "Comandi" mediante l´azione „Stato", „Stato on" o „Stato off". Il bit di stato mantiene questo stato finché il valore della variabile non cambia da <>0 a 0 , o da 0 a <>0. Il presupposto di questo è che il bit di stato CB_TR_I sia pari a 0. Questo significa: il rilevamento di intervento sezionatore non viene soppresso.

Rete

In rete, l´analisi viene eseguita sul server che primario. In effetti, l´analisi viene eseguita anche sul Server-Standby, ma il risultato non viene scritto sui bit di stato. Gli stati correnti di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del Server-Standby o in quello in cui viene stabilita una nuova connessione. Se la variabile di feedback è una variabile di un computer locale, l´analisi verrà eseguita anche sul PC client.


Rilevamento di intervento sezionatore disabilitato [CB_TR_I]

Manuale -> Elaborazione degli stati -> Bit di stato -> Rilevamento di intervento sezionatore disabilitato [CB_TR_I]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
51 | CB_TR_I | Automaticamente, come risultato della formula impostata per la proprietà Disabilita rilevamento nel modulo "Comandi". | In tutti i driver

Indica che è stato soppresso il rilevamento di intervento sezionatore nel modulo "Comandi".

Il ricalcolo viene inizializzato da una modifica dello stato o del valore delle variabili definite nel modulo "Comandi" per i calcoli nelle formule. La formula non viene analizzata e il risultato non viene scritto sullo stato se:

  • Una delle variabili nella formula non ha ancora un valore e uno stato definito
    oppure
  • Una delle variabili è disturbata (INVALID).

Questo bit di stato può essere modificato in modo esplicito nel modulo "Comandi" attraverso l´azione „Stato", "Stato on" o "Stato off". Il bit di stato rimarrà in questo stato finché il risultato della formula non cambia e, dunque, restituisce un altro stato del bit di stato.

Attenzione: un rilevamento dell´intervento sezionatore(CB_TRIP) e la soppressione del suo riconoscimento non possono funzionare contemporaneamente.

Esempio: La formula "RM.Valore<1" porterà al rilevamento di un intervento sezionatore (CB_TRIP = 1), dato che al momento della modifica del valore, non è ancora attivo CB_TR_I.

Rete

In rete, l´analisi viene eseguita sul server che primario. In effetti, l´analisi viene eseguita anche sul Server-Standby, ma il risultato non viene scritto sui bit di stato. Gli stati correnti di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del Server-Standby o in quello in cui viene stabilita una nuova connessione. Se la variabile di feedback è una variabile di un computer locale, l´analisi verrà eseguita anche sul PC client.


Valore fuori intervallo di validità [OR_DRV]

Manuale -> Elaborazione degli stati -> Bit di stato -> Valore fuori intervallo di validità [OR_DRV]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
52 | OR_DRV | Automaticamente | IEC850

Segnala Out of Range in conformità alla norma IEC 61850; corrisponde a Quality=OutofRange. Il PLC informa che il valore si trova al di fuori dell´intervallo di misurazione predefinito. Questo bit di stato può essere selezionato nell´elemento combinato, e nella formula di interblocco.


ClockNotSynchronized [T_UNSYNC]

Manuale -> Elaborazione degli stati -> Bit di stato -> ClockNotSynchronized [T_UNSYNC]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
55 | T_UNSYNC | Automaticamente | IEC850

Segnala l´informazione ClockNotSynchronized in TimeQuality in conformità alla norma IEC 61850. Il PLC informa che il suo orologio non viene sincronizzato con la fonte esterna del dato orario.

Questo bit di stato può essere selezionato nell´elemento combinato.

info Info

Ulteriori informazioni su questo tema si trovano nella documentazione del driver IEC850, nel capitolo Quality, time stamp e bit di stato della variabile.


Non registrato nel process recorder [PR_NR]

Manuale -> Elaborazione degli stati -> Bit di stato -> Non registrato nel process recorder [PR_NR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
54 | PR_NR | Automaticamente | Per il modulo Process Recorder nella modalità di riproduzione.

Durante la riproduzione del Process Recorder a Runtime, questo bit di stato indica che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

info Info

Questo bit di stato viene visualizzato a Runtime mediante un quadratino giallo posto nell´angolo in alto a destra dell´elemento d´immagine.

È possibile attivare o disattivare questa visualizzazione con la proprietà Visualizza stato della variabile.

Per la visualizzazione a Runtime, questo quadratino giallo ha priorità rispetto agli altri simboli (quadratino rosso o blu) che servono a visualizzare gli stati.

Protezione da scrittura

Questo bit viene assegnato solamente dal modulo Process Recorder. Dato che serve a identificare le variabili non registrate nel corso della riproduzione, il bit non deve essere assegnato in modo alternativo.

Questo significa che non sono possibili le seguenti funzionalità:

  • Inoltro del bit mediante l´assegnazione zenon.
  • Modifica manuale mediante:
    • Manager gruppi ricette
    • Le API di zenon

      Per esempio: modifiche di valore come configurato nella proprietà Adattamento di valori non lineari su macro.


Utilizzo

Manuale -> Elaborazione degli stati -> Utilizzo

Ancora in questo capitolo

Matrici di reazione

Elementi d’immagine dinamici

Elemento combinato

Generatore report

Manager di gruppi ricette

VBA

Process Recorder


Matrici di reazione

Manuale -> Elaborazione degli stati -> Utilizzo -> Matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le matrici di reazione sono il modo per sofisticato per elaborare gli stati.

Con le matrici di reazione si possono analizzare singoli stati; a seconda dell´esito di questa analisi, verrà attivato o meno un allarme. In linea di principio, uno stato può essere trattato allo stesso modo di un valore. Come nel caso di un valore, è possibile prevedere che determinati stati causino determinate azioni.

Come, ad esempio:

  • Attivare un allarme.
  • Generare un inserimento nella CEL.
  • Eseguire una funzione.
  • Lampeggio.
  • Cambiamento di colore.
  • Stampa

Esempio:

Un valore non più valido riceve lo stato INVALID. Questo succede, per esempio, se il driver perde la connessione con il PLC. Si può creare una matrice di reazione che causerà l´attivazione dell'allarme se il valore non è più valido (INVALID). In seguito si potrà analizzare l´allarme nel modo che si vuole.


Elementi d’immagine dinamici

Manuale -> Elaborazione degli stati -> Utilizzo -> Elementi d’immagine dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con tutti gli elementi dinamici si ha la possibilità di visualizzare lo stato della variabile collegata. A questo serve la proprietà Visualizza stato della variabile (gruppo "Visualizzazione" delle proprietà dell´elemento dinamico).

Esiste inoltre la possibilità di visualizzare lo stato a Runtime usando il tasto destro del mouse.

Lo stato viene visualizzato a Runtime quando si clicca con il tasto destro del mouse su un elemento dinamico. Finché si tiene premuto il tasto, viene visualizzato il nome della variabile e il suo stato attuale.

Se l´opzione "Visualizza stato" è attiva, alcuni stati verranno visualizzati mediante un quadratino di diversi colori posto nell´angolo in alto a destra dell´elemento, per es. di colore rosso per INVALID o ALT_VAL:

In questo modo è evidente che il valore non è più spontaneo. Cliccando sull´elemento con il tasto destro del mouse (visualizzazione dello stato) si può vedere che qualcuno ha modificato lo stato settandolo su valore di riserva.


Elemento combinato

Manuale -> Elaborazione degli stati -> Utilizzo -> Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'elemento combinato offre la possibilità di analizzare lo stato e di visualizzarlo in forma grafica. Al contrario di quanto succede con le matrici di reazione, l'analisi ha effetto solo sull'immagine.

In altre parole:

1 | Cambia il colore
2 | Viene visualizzato un altro simbolo.
3 | Vengono visualizzati altri testi.
4 | Vengono visualizzati altre bitmap.
5 | Il simbolo viene colorato.


Generatore report

Manuale -> Elaborazione degli stati -> Utilizzo -> Generatore report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel generatore di rapporti c'è naturalmente anche la possibilità di analizzare lo stato.

Questa analisi viene eseguita usando la funzione variabile con lo stato come parametro.

La sintassi è la seguente:

=variabler(temperatura_esterna,stato)

A Runtime, la visualizzazione può avere il seguente aspetto.

Temperatura_esterna

21ºC

ALT_VAL


Manager di gruppi ricette

Manuale -> Elaborazione degli stati -> Utilizzo -> Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Manager di gruppi ricette, c`è la possibilità di leggere, visualizzare e modificare tutti gli stati, se questi ultimi non sono settati dal processo (driver). Per settare bit di stato si usa la colonna Azioni della finestra di dialogo che serve alla modifica di una ricetta


VBA

Manuale -> Elaborazione degli stati -> Utilizzo -> VBA

In VBA c'è la più grande libertà di accedere agli stati e di modificarli se non sono settati dal processo (driver).


Process Recorder

Manuale -> Elaborazione degli stati -> Utilizzo -> Process Recorder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


Energy Edition

Manuale -> Energy Edition

L''Energy Editon di zenon è un pacchetto con funzionalità specifiche per il settore dell'energia e della tecnologia dei processi. L'utente approfitta di una serie di funzioni semplici da implementare che gli permettono di adattare in modo veloce l'applicazione all'ambiente concreto nel quale deve funzionare.

tutorial Informazioni sulla licenza

È necessaria una licenza sia per l´Editor che per il Runtime.

Per la Energy Edition sono a disposizione:

  • Comandi
  • ALC (Automatic Line Coloring): già compreso nella licenza per la Energy Edition, mette a disposizione proprietà di base per la colorazione delle linee.
  • Sequenze di comando
  • Elemento topologico "Trasformatore"
  • Pacchetto topologia: richiede una licenza aggiuntiva sul server (non sul client) ed estende l´ALC con l'aggiunta di:
    • Fornitura multipla
    • Secured supply
    • Interblocchi topologici
    • Elemento topologico "Sezionatore"
    • Localizzazione guasti e ricerca di guasto a terra

Ancora in questo capitolo

Automatic Line Coloring (ALC) - Topologia

Comandi


Automatic Line Coloring (ALC) - Topologia

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colorazione topologica delle linee rende possibile dinamizzare in modo semplice e automatico la rappresentazione di linee e reti nella tecnica dei processi (per sostanze e materiali) e nella distribuzione dell'energia (per l'elettricità). Questo strumento consente di realizzare con facilità le colorazioni di reti topologiche.

Dato che la struttura della linea viene disegnata nell´immagine con tutti i suoi elementi topologici (come ad es., serbatoi e valvole, oppure generatori, interruttori e consumatori), questa struttura viene riprodotta internamente come modello, e il flusso di energia, sostanze e materiali viene visualizzato a Runtime.

Per consentire la creazione di modelli validi per diversi immagini, tutta la progettazione e la configurazione viene eseguita a livello dell'intero progetto. Ne deriva un modello topologico complessivo per un progetto, che viene utilizzato per analizzare lo stato delle linee (condutture/tubature) e per eseguire la loro colorazione.

L'intera topologia viene creata automaticamente a partire dalla progettazione grafica. Non sono necessarie altre operazioni di progettazione.

info Info

Partendo da una sorgente, l´algoritmo ALC passa per ogni interruttore solo una volta per direzione.

Immagini dettagli

Se si desidera visualizzare immagini singole, si può estrarre una parte dalla rete topologica e visualizzarla singolarmente ricorrendo all´uso di alias. Un´immagine dettagli può essere visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali.

tutorial Informazioni sulla licenza

Per poter utilizzare l´ALC, è necessario avere una licenza sia per l´Editor che per il Runtime (stand-alone, server, standby).

Non è necessaria una licenza per il Runtime-Client.

La registrazione della licenza si esegue tramite la zenon Energy Edition.

  • ALC: già compreso nella licenza per la Energy Edition; mette a disposizione proprietà di base per la colorazione delle linee.
  • Pacchetto topologia: richiede una licenza aggiuntiva sul server (non sul client) ed estende l´ALC con l'aggiunta di:
    • Fornitura multipla
    • Secured supply
    • Interblocchi topologici
    • Elementi topologici: trasformatore e sezionatore
    • Localizzazione guasti (dalla versione 6.50)

Ancora in questo capitolo

Elementi ALC

Configurazione

Funzione: "Modifica colore sorgente ALC"

Alias per immagini dettagli

Localizzazione guasti nelle reti elettriche

Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.


Elementi ALC

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Automatic Line Coloring (ALC) consente di colorare linee in base allo stato del processo. Per la rappresentazione degli elementi topologici si usa l´elemento combinato. L´ALC consente di dinamizzare in modo semplice e automatico la rappresentazione di linee e reti nella tecnica dei processi (per sostanze e materiali) e nella distribuzione dell'energia (per l'elettricità).

Configurazione

In fase di progettazione, si distinguono due tipi di elementi d'immagine con diversa funzione. Da una parte ci sono gli elementi topologici (sorgente, interruttore, sezionatore, carico, trasformatore o link), e dall'altra le linee.

Gli elementi topologici hanno una funzione ed un colore (sorgente e trasformatore). Se gli elementi topologici attivi, le linee collegate riprendono il colore di questi elementi se si tratta di una sorgente o di un trasformatore; in caso si tratti, invece, di interruttore o link, le linee riprendono il colore dell´input dell´elemento. Quando gli elementi topologici non sono attivi, invece, il colore delle linee è quello definito nella configurazione dell´elemento nell'Editor.

L´assegnazione delle differenti funzioni di questi elementi viene eseguita nelle proprietà dell´Elemento combinato.

Esempio

Una sorgente è collegata ad una linea. Al termine di questa linea si trova un interruttore. A quest´ultimo è collegata una seconda linea. Se la sorgente è attiva, la prima linea viene colorata fino all'interruttore usando il colore della sorgente definito nelle proprietà di progetto alla voce "Automatic Line Coloring". L'altra linea (quella che si trova dopo l'interruttore) verrà colorata solo dopo che l'interruttore è chiuso.

Sorgente non attiva

Sorgente attiva

Interruttore chiuso

Indefinito o in fault

info Info

Il sistema riconosce automaticamente se lo stato dell'elemento topologico è indefinito o in fault,. In questo caso, le linee connesse e tutti gli altri elementi vengono visualizzati per entrambi gli stati usando il colore della sorgente Undefined predefinita.

Numero di interruttori chiusi in sequenza

Il numero di interruttori chiusi in sequenza gioca un ruolo importante per il corretto funzionamento dell´algoritmo ALC.

Suggerimento: posizionare un massimo di 256 interruttori chiusi in sequenza fra sorgente e carico.

Ancora in questo capitolo

Elementi topologici

Linee

Controllo della progettazione


Elementi topologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi topologici delle linee vengono riprodotto nelle immagini di zenon utilizzando l´ Elemento combinato. Il loro stato determina la colorazione della linea connessa.

Sono disponibili le seguenti impostazioni:

Proprietà

Descrizione

Tipo funzione

Definisce il tipo di elemento topologico che deve essere riprodotto mediante l´elemento combinato.

Terminazione

Per fine bus di raccordo. Sopprime il messaggio d’errore "La linea è collegata solamente da un lato“ durante la compilazione nell´Editor.

Generatore

In linea di principio, un generatore si comporta come una sorgente, viene però considerato indipendente e non sincrono con la rete.

Nessuna funzione

L´elemento non ha nessuna funzione in ALC.
Nota: il tipo di funzione "Nessuna funzione" è il valore di default.

Link

Si utilizza un link per far riprendere una linea da altro punto. Se un link viene "alimentato" da una linea, anche tutti gli altri link che hanno lo stesso numero saranno alimentato dalla stessa sorgente/dalle stesse sorgenti. E non ha importanza se questi link si trovano nella stessa immagine o in immagini completamente diverse del progetto. Con questo strumento è dunque possibile progettare linee per più immagini. E' consentito avere più di due link con lo stesso numero in un progetto.

I link possono essere alimentati contemporaneamente da più linee, oppure alimentare a loro volta più uscite. In linea di principio, non c'è nessuna differenza fra input e output. Le informazioni della sorgente vengono inoltrate a tutte le linee connesse.
Attenzione: due elementi di tipo "link" non possono essere connessi direttamente ad una linea. In mezzo ci deve essere sempre un altro elemento topologico (interruttore/separatore o trasformatore).
Un Link non può essere attivato o disattivato; è sempre attivo.

Sorgente

Determina il colore utilizzato per la colorazione. Se la sorgente è attiva (valore: 1), tutte le linee connesse per cui è stata attivata l´opzione Colori da ALC nelle proprietà dell´elemento, acquisiscono il colore della sorgente. Questo colore è quello che è stato definito per la sorgente nelle proprietà di progetto (per esempio serbatoi o generatori). Una sorgente è un singolo polo, cui viene assegnato un numero di sorgente statico. La sorgente è commutabile sulla base dello stato della sua variabile principale. In generale, le sorgenti sono considerate come sincrone con la rete e separabili.

Informazioni dettagliate relative alla sorgente si trovano nel capitolo Configurazione delle sorgenti.

Interruttore

Un interruttore serve ad interrompere una linea. Se l'interruttore è chiuso/attivo (valore: 1), il collegamento fra due linee è chiuso e la linea si colora fino all´interruttore successivo usando il colore definito per la sorgente. In questo caso, un interruttore inoltra il colore della sorgente della linea in entrata alla linea in uscita.

Se invece lo stato dell´interruttore è in fault (valore: 3) o indefinito (valore: 2), oppure se lo stato della variabile principale è INVALID, la linea si colorerà usando il colore definito come Undefined nella configurazione dell´ALC nelle proprietà di progetto. Così un interruttore fornisce alla sua uscita (connessione2) il numero di sorgente 0 (Undefined), invece del numero di sorgente in entrata.

Esempio: si veda la sezione Esempio interruttore - Colori da ALC di questa documentazione.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Valvola

Una valvola si comporta in modo simile ad un interruttore, ma viene usata in condutture di acqua e gas.

Valori della variabile principale:

  • Valvola OFF: valore 0 -> Valvola chiusa -> l´acqua non fluisce.
  • Valvola ON: valore 1 -> Valvola completamente aperta -> l´acqua fluisce.
  • Valvola DIF: valore 2 -> Valvola parzialmente aperta -> l´acqua fluisce
  • Valvola STO: valore 3 -> Valvola disturbata

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Carico

È posto alla fine di una linea. Non ha alcun influsso sulla colorazione, ma viene usato solamente per far sì che il modello possa essere rappresentato interamente. Se si ha intenzione di accedere al modello con un programma esterno (per es. VBA), può essere che il carico sia necessario per eseguire ulteriori calcoli e che debba essere progettato di conseguenza.
Nei progetti del settore Energy, il carico viene usato per rappresentare le utenze. Queste ultime vengono prese in considerazione per il calcolo degli interblocchi topologici ALC (nel modulo Comandi) 'Sconnessione carico'.

Valvola di ritegno

La valvola di ritegno inoltra informazioni solamente in una direzione.

Valori della variabile principale:

  • Valore 0:
    L'inoltro non è attivo (= la valvola è chiusa)
  • Valore 1 o 2:
    L'inoltro è possibile solamente in una direzione. Il colore della sorgente viene inoltrato solamente dall´entrata verso l´uscita. Un inoltro nella direzione opposta non è previsto. Questo vale anche per l´inoltro dell´informazione ALC per la messa a terra.
  • Valore 3:
    L'inoltro è indefinito. Questo si verifica, per esempio, quando la valvola di ritegno è disturbata. In questo caso lo stato viene inoltrato solo all'uscita.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

La valvola di ritegno viene presa in considerazione anche dagli interblocchi topologici.

Trasformatore

Un trasformatore è allo stesso tempo un carico e una sorgente. Serve a sostituire il colore di ingresso (sorgente di input) con un colore di uscita (sorgente propria del trasformatore).
La linea in uscita viene attivata solo quando il trasformatore ha una linea in entrata attiva. La linea in uscita, però, non riprende il colore da quella in entrata (come nel caso dell'interruttore), ma quello della sorgente propria del trasformatore. Per questa ragione, si deve definire per ogni trasformatore una sorgente. Un trasformatore non può essere attivato o disattivato; è sempre attivo.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Trasformatore per alimentazione invertita:

Per avere un trasformatore ad alimentazione invertita, si deve selezionare per la proprietà Sorgente per alimentazione invertita (gruppo Automatic Line Coloring delle proprietà dell´elemento combinato) una sorgente diversa da UNDEFINED [0]. Questo significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´ingresso all´uscita (in avanti) e dall´uscita all´ingresso (indietro). L´unica differenza è che è la proprietà Sorgente per alimentazione invertita e non la proprietà Sorgente ad essere usata per l´inoltro del numero della sorgente.

Nota: stati della rete difettosi ed errori di configurazione, come, per es., alimentazione contemporanea di ingresso e uscita, oppure cortocircuito di ingresso e uscita, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione invertita si comporta come due trasformatori progettati per lavorare in modo antiparallelo, non inversamente alimentati.

Sezionatore

In linea di principio, un sezionatore si comporta come un interruttore. Tuttavia, un sezionatore nel modello topologico non può essere commutato quando si trova sotto carico - interblocco topologico "Sezionatore sotto carico" nel modulo "Comandi".

Come nel caso dell´interruttore, anche per il sezionatore lo stato è definito dalla variabile principale: on, off, posizione intermedia, in fault.

Nota: se è attiva la proprietà Inverti Ingresso/Uscita, ingresso e uscita di questo elemento vengono invertiti per l´ALC.

Il numero di sorgente impostato (per i tipi di funzione "Sorgente" e "Trasformatore") viene inoltrato agli utilizzatori passando per interruttori chiusi (sezionatori, valvole ecc.). I colori di tutte le linee connesse e degli elementi topologici sono calcolati in modo dinamico a partire dalla somma superiore dei numeri delle sorgenti che alimentano.

Sorgente e Numero Link

Parametro

Descrizione

Sorgente

Qui si assegna una sorgente ad un elemento. Il menù a tendina contiene tutte le sorgenti definite nella configurazione ALC (nelle proprietà di progetto). Sono elencati i nomi delle sorgenti.
Questa proprietà è attiva solo se è stato selezionato il tipo di funzione sorgente', 'trasformatore' o 'generatore'.

I dettagli relativi alla sorgente si trovano nel capitolo Configurazione delle sorgenti.

Attenzione: non usare qui le sorgenti di sistema predefinite (ID 0..9). Per questo collegamento configurare sorgenti proprie: ? Per configurare sorgenti proprie, cliccare nel gruppo delle proprietà di progetto "Automatic Line Coloring" sul pulsante ... della proprietà "Configurazione ALC".? Le sorgenti di sistema UNDEFINED [0], GROUND FAULT [1], SHORT FAULT [2] e GROUNDED [3] sono riservate esclusivamente alla progettazione delle messa a terra.? Le sorgenti di sistema predefinite da SYSSOURCE4 [4] a SYSSOURCE9 [9] servono da placeholder.

Numero Link

Qui si imposta liberamente il numero link per il tipo funzione Link. Tutti i numeri link identici nel progetto sono correlati. Una spiegazione dettagliata si trova nella descrizione del tipo di funzione Link.
Queste proprietà è attiva solamente se è stato selezionato Link come tipo di funzione.

Variabili degli elementi topologici

Perché lo stato (aperto, chiuso, disturbato) possa essere comunicato ad un interruttore (e a un sezionatore, valvola ecc.), nel corrispondente elemento combinato dovrà essere collegata come variabile principale una variabile con il tipo di dato BOOL oppure integer.

Esempio:

  • Driver IEC870: variabili con Typ ID T01..T37
  • Driver IEC850: variabili */Pos/stVal[ST]
  • Driver DNP3...: variabili input.

Prerequisito: il DPI/DPC Mapping non deve essere stato disattivato nel driver.

info Info

Per la posizione dell´interruttore, vengono presi in considerazione solamente i primi due bit della variabile principale.

  • Il primo bit rappresenta il vero e proprio processo di commutazione; 0 corrisponde a OFF, e 1 a ON.
  • Il secondo bit è il bit di errore. Se il valore di questo bit è 0, non c´è nessun errore.

Nel caso di una sorgente, lo stato - "esistente" (ON) / "non esistente" (OFF) - viene analizzato utilizzando la variabile principale collegata. Le variabili più adatte allo scopo sono in questo caso quelle interne con il tipo di dato BOOL. Poi si potrà collegare la sorgente al resto della tipologia tramite un interruttore o un sezionatore, cosicché sarà la posizione dell´interruttore o del sezionatore a inoltrare il colore della sorgente.

Nota: come variabile principale di una sorgente collegata alla rete tramite un interruttore/separatore (per es. messa a terra), creare una variabile del driver interno, configurarla (gruppo "Variabili interne" delle proprietà della variabile) con Funzionamento Rete e Valore iniziale 1 ("sempre esistente"). In alternativa si può collegare una sorgente direttamente con la variabile di processo (la sorgente e il suo interruttore in uno). In questo modo è possibile disattivare o aggirare l´interblocco topologico quando si esegue la commutazione della sorgente.

Stati

  • Un interruttore e una sorgente sono attivi (chiusi) quando il valore della variabile collegata è 1.
  • Un interruttore è in fault se il valore della variabile collegata è >1, oppure ha il bit di stato INVALID.
    Un interruttore in fault restituisce alla sua uscita (connessione 2) il numero di sorgente 0 (Undefined), anziché il numero della sorgente in entrata. Nella direzione dall'ingresso all'uscita, l'interruttore si comporta come se fosse aperto.

    Nota: se la variabile principale di un interruttore ha lo stato INVALID, tutta la parte seguente della rete è INVALID, perché lo stato della rete non è noto. Lo stato INVALID viene inoltrato tramite interruttori successivi chiusi.

attention Attenzione

Se nei singoli stati dell´elemento combinato si attiva l´opzione Da ALC sia per il colore che per il colore di riempimento, a Runtime non verranno colorate solamente le linee, ma anche gli elementi topologici.

Ancora in questo capitolo

Esempio interruttore - Colore da ALC

Punti di connessione degli elementi topologici

Inverti Ingresso/Uscita


Esempio interruttore - Colore da ALC

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Esempio interruttore - Colore da ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio 1

Elemento combinato con valore di stato 00 e colore linea da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea da ALC attivo

  2. Risultato a Runtime:
    • Colore della sorgente: verde.
    • Colore di "non alimentato": bianco.
    • Stato dell´interruttore: off/aperto (valore 0)

Esempio 2

Elemento combinato con valore di stato 01 e colore da ALC:

  1. Configurazione nell'Editor.
    • Elemento combinato con valore di stato 01.
    • Colore linea da ALC attivo.
    • Colore di riempimento da ALC attivo.

  2. Risultato a Runtime:
    • Colore della sorgente: verde.
    • Colore di "non alimentato": bianco.
    • Stato dell´interruttore: on/chiudo (valore 1)

Esempio 3

Elemento combinato con valore di stato 00 senza colore da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 00.
    • Colore linea da ALC non attivo.

  2. Risultato a Runtime:
    • Colore della sorgente: verde
    • Colore di "non alimentato" e colore costruzione della linea: bianco.
    • Colori linea e di riempimento definiti dell´elemento combinato: nero.
    • Stato dell´interruttore: off/aperto (valore 0)

Esempio 4

Elemento combinato con valore di stato 01 senza colore da ALC:

  1. Configurazione nell'Editor:
    • Elemento combinato con valore di stato 01.
    • Colore linea da ALC non attivo.
    • Colore di riempimento da ALC non attivo.

  2. Risultato a Runtime:
    • Colore della sorgente = verde.
    • Colore di "non alimentato" e colore costruzione della linea: bianco.
    • Colori linea e di riempimento definiti dell´elemento combinato: nero.
    • Stato dell´interruttore: on/chiuso (valore 1).


Punti di connessione degli elementi topologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Punti di connessione degli elementi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di progettazione, una linea viene collegata ad un elemento topologico (elemento combinato) sovrapponendo gli elementi nell'immagine in corrispondenza di cosiddetti punti di connessione dell'elemento combinato. Si può collegare una sola linea alla volta ad un punto di connessione. Tutte le linee il cui inizio si trova all´interno dell'area definita, sono considerate connesse (topologia dalla grafica).

attention Attenzione

Non ruotare gli elementi ALC, perché:

Il calcolo del modello topologico per l'ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.

Punti di connessione ed aree di connessione

  • L´area di connessione per un punto di connessione si trova al centro di ogni lato dell´elemento combinato. Ogni elemento combinato, dunque, ha 4 punti di connessione.
  • La dimensione di un´area di connessione corrisponde ai 2/3 dell´altezza e larghezza di un elemento combinato, ma non supera in ogni caso i 20 pixel.
  • Ogni area di connessione è centrata in mezzo al relativo angolo dell´elemento e si estende in modo simmetrico verso l´interno e verso l´esterno, rispettivamente per al massimo 10 pixel.

attention Attenzione

Se l´elemento combinato è più piccolo di 30 pixel, le aree di connessione si sovrapporranno all´interno dell´elemento. Linee che si toccano possono provocare degli errori (compilazione, colorazione).

Nella seguente immagine si possono vedere i possibili punti di connessione per elementi combinati più piccoli o più grandi di 30 pixel.

Colori:

  • Blu: elemento combinato.
  • Rosso: aree di connessione.

Dimensioni:

  • A: altezza dell´elemento combinato.
  • B: larghezza dell’elemento combinato.
  • a: larghezza dell´area di connessione: 2/3 di A, ma al massimo 20 pixel.
  • b: lunghezza dell´area di connessione: 2/3 di B, ma al massimo 20 pixel.

Regole

  • Se una linea si trova al di fuori dell´area di connessione, il sistema non rileva una connessione e quindi la linea non verrà colorata. E non verranno colorate neanche tutte le linee successive.
  • Nel caso delle sorgenti, degli utilizzatori e dei Links, possono essere usati in linea di principio tutti i punti di connessione descritti.
    Attenzione: nel caso delle sorgenti e degli utilizzatori, può essere usato solo un punto di connessione alla volta. Se si usano più punti di connessione contemporaneamente, si possono verificare degli stati indefiniti.
    Con elementi del tipo Link, invece, si possono usare anche più punti di connessione contemporaneamente . Le informazioni in entrata relative al colore verranno inoltrate a tutte le linee.
  • Con interruttori/separatori/valvole e trasformatori, la connessione 1 (input) è a sinistra o sopra, mentre la connessione 2 (output) è a destra o sotto. Questa successione può essere modificata con la proprietà Inverti Ingresso/Uscita.
    Attenzione: per quello che riguarda gli interruttori e i trasformatori, si deve tener presente che può essere usato solo un punto di connessione input e uno per l'output. L'uso simultaneo di più punti di connessione per input e output può generare incongruenze e, quindi, non è consentito.
  • Per tutti gli elementi topologici vale quanto segue: può essere connessa solo una linea per punto di connessione. Eventuali diramazioni non possono essere realizzate direttamente sull'elemento, ma devono essere configurate usando linee.


Inverti Ingresso/Uscita

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Elementi topologici -> Inverti Ingresso/Uscita

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si progetta un trasformatore, un sezionatore o un interruttore, input e output possono essere invertiti. Procedura:

  1. Come Tipo funzione, selezionare trasformatore, sezionatore o interruttore.
  2. Attivare la checkbox Inverti Ingresso/Uscita.

L´input verrà poi posizionato a destra o sotto e l´output a sinistra o sopra.

Panoramica

Configurazione apparecchio. | Input | Output
Normale | Sinistra. | Destra
Normale | Sopra | Sotto
Invertito | Destra | Sinistra.
Invertito | Sotto | Sopra


Linee

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le linee vengono rappresentate graficamente usando gli elementi vettoriali Linea, Polilinea e Tubatura.

Se l'opzione colori da ALC è attiva per una linea, la colorazione è determinata dalle impostazioni della configurazione ALC. Le linee vengono colorate automaticamente dal sistema a seconda dello stato degli elementi tecnologici e delle impostazioni ALC.

In questo caso, il colore proviene normalmente dal numero della sorgente a maggiore priorità, oppure rimane "vuoto/non in tensione" come definito nelle proprietà dell'oggetto con "colori statici" o "colori dinamici".

Si può definire il tipo di visualizzazione usando i menù a tendina:

  • Priorità di visualizzazione
  • Fornitura multipla
  • Secured supply

Nelle proprietà delle linee sono a disposizione le seguenti opzioni:

Parametri

Descrizione

Colori da ALC

Attiva la colorazione automatica delle linee per questo elemento vettoriale. Questo significa: la linea viene colorata se la sorgente che la rifornisce è attiva e se tutti gli interruttori/le valvole che portano dalla sorgente alla linea sono chiusi. Se la linea è rifornita da una sola sorgente, per la colorazione viene utilizzato il colore sorgente impostato. La larghezza della linea non viene modificata.

Priorità di visualizzazione

Definisce se viene visualizzata Fornitura multipla, o Secured supply, oppure entrambe le opzioni.
Default: Fornitura multipla

Secured supply

L'elemento viene visualizzato secondo le regole di secured supply.

Una linea viene considerata "secured supply" quando è alimentata da almeno due differenti interruttori o trasformatori con una sorgente non di sistema. Le sorgenti di sistema non contribuiscono al "secured supply", ma non lo escludono.

Fornitura multipla

L'elemento viene visualizzato secondo le regole della fornitura multipla.

Una linea è considerata a "fornitura multipla" se viene alimentata perlomeno da due sorgenti differenti. In questo contesto, non ha alcuna importanza se si tratta di sorgenti di sistema o sorgenti utente, né da quale parte la linea viene alimentata dalle sorgenti.

Nessuna priorità

Le regole di colorazione per Fornitura multipla e per Secured supply vengono applicate contemporaneamente, se entrambi i criteri sono soddisfatti. Questo significa:

Se una linea

  • ha Fornitura multipla e Secured supply,,
  • la priorità di visualizzazione viene impostata su Nessuna priorità,
  • la visualizzazione per la "Fornitura multipla" è settata su Due sorgenti ad alta priorità,
  • la visualizzazione per la "Secured supply" è settata su Doppia larghezza,

La linea verrà poi visualizzata con il doppio della larghezza e in due colori.

Visualizza fornitura multipla

Fornitura multipla significa che una linea viene rifornita contemporaneamente da differenti sorgenti. Qui si definisce in che modo debbano essere visualizzate le linee a fornitura multipla.

Default: Sorgente ad altra priorità

Sorgente ad altra priorità

La linea prende sempre il colore di quella sorgente che ha il più elevato grado di priorità.
Nota: le priorità corrispondono alla successione scelta nella configurazione ALC.

Due sorgenti ad alta priorità

E' rilevante per quelle linee che sono rifornite da due o più differenti sorgenti. Le due sorgenti con il maggior grado di priorità determinano la colorazione. La linea viene poi visualizzata con questi due colori (tratteggiata). La lunghezza del tratto può essere modificata usando la proprietà Lunghezza tratto alim. multipla.

Nella fornitura multipla, le sorgenti di sistema valgono come sorgenti vere e proprie, e colorano le linee in due colori, se sono state configurate in modo corrispondente.

Colore alternativo

Viene usato il colore definito nella proprietà Colore alternativo.

Lunghezza tratto alim. multipla

Definisce la lunghezza tratto in pixel di linee, polilinee oppure tubature usata per la colorazione tratteggiata ALC di Due sorgenti ad alta priorità per Visualizza fornitura multipla.

  • Minimo: 0 (lunghezza tratto automatica)
  • Massimo: 32767
  • Default: 0

Colore alternativo

Colore alternativo per la colorazione di linee, polilinee oppure tubature in caso di "fornitura multipla".

Visualizza secured supply

Si parla di "secured supply'" quando una linea viene alimentata in modo multiplo (parallelo) da una sola sorgente. Qui si può definire in che modo deve essere visualizzato la "secured supply'".

Una linea viene visualizzata sempre come se avesse secured supply se viene alimentata da perlomeno due interruttori con una sorgente vera e propria (non una di sistema).

Default: Normale

Doppia larghezza

Rilevante per quelle linee che vengono rifornite da una stessa sorgente in modo multiplo (secured). In questo caso la linea viene visualizzata con una larghezza doppia a quella configurata. (Esempio: una linea per cui è stata configurata una larghezza linea di 5 pixel, viene visualizzata con una larghezza linea pari a 10).
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), la larghezza della linea non cambia!

Il colore è sempre determinato dalla sorgente a più alta priorità!

Doppia luminosità

Rilevante per quelle linee che vengono rifornite da una stessa sorgente in modo multiplo (secured). In questo caso la linea verrà rappresentata con una luminosità doppia rispetto a quella progettata.
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), il colore della linea non cambia!
Se questa linea viene alimentata in modo multiplo da una sola sorgente (secured supply), viene visualizzata con una luminosità doppia rispetto a quella configurata .
Formula per il calcolo della luminosità doppia:

  1. Il colore RGB impostato viene convertito nel sistema HLS.
  2. L (luminance = luminosità) viene ricalcolata con NewLuminance = 240*3/4 + L/4 3.
  3. Il valore del colore viene ricalcolato nel sistema RGB con la nuova luminosità.

Il colore è sempre determinato dalla sorgente a più alta priorità!

Normale

L'elemento viene visualizzato con il colore della sorgente e con la larghezza impostata.

Utilizza alias

Attivo: alias viene usato.

Alias

Apre la finestra di dialogo per la selezione di un alias.

info Info

I colori delle sorgenti e le priorità delle stesse vengono definiti nelle proprietà del progetto.

Le sorgenti definite dall´utente devono avere un ID maggiore di 9. Gli ID fino a 9 sono riservati alle sorgenti di sistema.

info Info

Il calcolo del colore di una linea nel Runtime viene effettuato sulla base della seguente lista di priorità:

  1. Automatic Line Coloring (priorità maggiore, prevale su tutte le altre impostazioni)
  2. Cambio colori dinamico
  3. Colori statici

Ancora in questo capitolo

Esempio

Punti di connessione di linee


Esempio

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee -> Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´esempio seguente la "Sorgente 0" è blu, mentre la "sorgente 1" è rossa. Inoltre, la "sorgente 0" è quella con la maggiore priorità.

Sorgente 0

Sorgente 1

Tenendo presenti questi presupposti e le diverse opzioni possibili, abbiamo i seguenti esempi di visualizzazione:

 | Linea / Polilinea | Tubatura
Sorgente ad altra priorità |  |
Due sorgenti ad alta priorità |  |
Doppia larghezza |  |
Doppia luminosità |  |


Punti di connessione di linee

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Linee -> Punti di connessione di linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connessione di una linea (linea, polilinea o tubatura) ad un´altra avviene sovrapponendo il disegno nell'immagine in corrispondenza dei cosiddetti "punti di connessione" delle linee. I punti di connessione - in realtà si tratta di aree di connessione - si trovano all'inizio e alla fine di ogni linea e sono larghi più o meno 3 Pixel.

Example Esempio

Il punto iniziale di una linea ha le coordinate (punto di partenza x/punto di partenza y): 150/100 Pixel.
Ne risulta un'area di connessione (x / y): 147 - 153 / 97 - 103 Pixel.

Se l'inizio della linea o la fine della stessa linea, o quella di una o più altre linee si trovano all'interno di quest'area, le linee vengono connesse automaticamente senza che ci sia bisogno di ulteriori impostazioni. Una semplice sovrapposizione delle aree di connessione delle singole linee non è sufficiente!

Nella seguente illustrazione viene rappresentata graficamente l'area di connessione (le linee verdi sono connesse a quella nera, la linea rossa no):

info Info

In un´area di connessione può essere connesso un numero qualsiasi di linee.

attention Attenzione

Se una linea si trova fuori dell'area di connessione (come, ad esempio, la linea rossa dell´illustrazione), non verrà stabilita nessuna connessione e non ci sarà, dunque, una colorazione della linea. E non verrano colorate neanche le linee successive.

Linee che si incrociano possono essere disegnate con facilità collocando le loro estremità al di fuori del´area di connessione.

attention Attenzione

Usare gli elementi ALC solamente nello stato non-ruotato. perché:

Il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.


Controllo della progettazione

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Elementi ALC -> Controllo della progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettare gli elementi topologici e le linee desiderate in uno o più immagini e salvare queste immagini. Mediante Creare tutti i file Runtime oppure Compila file modificati, si potrà poi verificare se ci sono degli errori o dei conflitti nelle immagini configurate. Nel caso in cui dovessero esserci errori o conflitti, verranno infatti visualizzati messaggi di errore e avvertimenti corrispondenti nella finestra di emissione.

info Info

Cliccar due volte sulla riga corrispondente della finestra di emissione. L´immagine contenente l´elemento configurato in modo sbagliato verrà aperta automaticamente. Se questo elemento è parte di un simbolo, quest´ultimo verrà selezionato automaticamente.

Possono essere visualizzati i seguenti messaggi di errore.

  • ALC: Immagine '%s' - sulla linea '%s' sono collegati 2 elementi con differenti Numeri Link. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - Per l'elemento '%s' sono impostati piu di due punti di connessione. Per ciascun elemento possono essere utilizzati solo una Entrata e una Uscita. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Possono essere visualizzati i seguenti avvisi.

  • ALC: Immagine '%s' - La linea con Alias '%s' è collegata con una linea non-Alias. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento con Alias '%s' è collegato con una linea non-Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento non Alias '%s' è collegato con una linea Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: ALC: Immagine '%s' - La linea '%s' è collegata solamente da un lato. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento '%s' non è collegato. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento '%s' è collegato solamente da un lato. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Nei messaggi d´errore o negli avvertimenti, gli elementi corrispondenti sono identificati usando il rifermento dell'elemento. Questo riferimento serve anche da chiave di collegamento per gli alias ALC.


Configurazione

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare l´ALC:

  1. Nelle proprietà di progetto, passare alla proprietà Configurazione ALC del gruppo Automatic Line Coloring.
  2. Cliccare sul pulsante ….
  3. Si apre la finestra di dialogo di configurazione.
  4. Configurare le proprietà desiderate per:
    • Sorgenti ALC

      Creare una nuova sorgente e progettare il colore desiderato per la topologia.

      Nota: nel farlo, tenere presente che le sorgenti di sistema (ID 0..9) hanno già un significato predefinito, oppure sono riservate a versioni successive.

      Tenere presenti anche i principi validi per la colorazione di UNDEFINED.)

    • Interblocchi

      Configurare quali sono gli interblocchi topologici che devono essere presi in considerazione il modulo Comandi.
      Nota: questa scheda del dialogo di configurazione sarà visibile solamente se si ha la licenza per il pacchetto Topologia.

    • Marker immagine

      Configurare la tabella colori per il marker di pagina per la Posizione guasto basata su impedenza.
      Nota: questa scheda del dialogo di configurazione sarà visibile solamente se si ha la licenza per il pacchetto Topologia.

Ancora in questo capitolo

Configurazione delle sorgenti

Configurazione degli interblocchi topologici

Configurazione dei marker immagine


Configurazione delle sorgenti

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione delle sorgenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le sorgenti, i loro nomi e il loro colore (successione e priorità), vengono configurate nelle proprietà di ogni singolo progetto, alla voce "Configurazione ALC". Le sorgenti con ID compreso fra 0 e 9 sono riservate alle sorgenti di sistema. Non è consentito modificare la funzione di quelle sorgenti di sistema che ne hanno già una (per es. GROUNDED - il colore della sorgente "messa a terra"). Quelle, invece, che nella versione corrente di zenon non hanno ancora nessuna funzionalità, sono riservate a versioni future del programma.

I colori sorgente a partire da ID #10 possono essere assegnati liberamente agli elementi topologici , per esempio all´elemento "Sorgente": "Generatore" o "110kV" ecc. Per farlo, aggiungere nuovi colori.

Colori sorgente

Parametro

Descrizione

Numero

Numero interno successivo e univoco, che consente un'identificazione chiara della sorgente. Questo numero viene assegnato automaticamente dal sistema e non può essere cambiato.

Attenzione: gli ID da 0 a 9 sono riservati alle sorgenti di sistema e non devono essere usati per le sorgenti specifiche dell'utente.

Nome

Denominazione logica per la sorgente (ad esempio: "acqua" o "messa a terra"). Questo nome viene utilizzato anche quando si seleziona la sorgente per elementi combinati. Si può modificare il nome cliccandoci sopra con il tasto sinistro del mouse. In questo caso, il campo di inserimento passerà alla modalità di modifica. Le modifiche vengono applicate quando si preme il tasto "Enter", oppure si seleziona un'altra sorgente.

Nota: le denominazioni non sono traducibili.

Colore linea

Colore della linea della sorgente corrispondente. Viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature.

Tratteggiato

Checkbox da attivare.
Se attiva, la linea viene disegnata tratteggiata.

Nota: questa checkbox può essere attivata solo per GROUNDED. Per tutte le altre sorgenti, questa checkbox è visualizzata in color grigio e, dunque, disabilitata.

Nuovo...

Aggiunge un nuovo colore.

Elimina

Cancella il colore selezionato.

In su (freccia)

Sposta la sorgente selezionata di una posizione verso l´alto.

All'inizio (freccia)

Sposta la sorgente selezionata all´inizio della lista.

In giù (freccia)

Sposta la sorgente selezionata di una posizione verso il basso.

Alla fine (freccia)

Sposta la sorgente selezionata alla fine della lista.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

I colori possono essere configurati direttamente inserendo il codice esadecimale corrispondente, oppure usando una tavolozza di colori.

Per input diretto:

  1. Cliccare con il tasto sinistro del mouse sulla denominazione del colore.

    Il campo passerà in modalità di modifica.

  2. Inserire il codice.
  3. Premere il tasto INVIO, oppure selezionare un´altra sorgente per applicare la modifica.

Con una tavolozza di colori:

  1. Selezionare la riga desiderata.
  2. Cliccare sul pulsante ... che si trova dietro la denominazione del colore.
    Nota: Il pulsante ... diventa visibile solamente quando si clicca sull´inserimento con il tasto sinistro del mouse.

    La tavolozza colori si apre in un menù contestuale.

  3. Selezionare il colore desiderato.

Il codice esadecimale descrive un valore di colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Identificatore che indica semplicemente che si sta usando un codice colore esadecimale.
RR | 2 caratteri che specificano la quantità di rosso del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
GG | 2 caratteri che specificano la quantità di verde del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
BB | 2 caratteri che specificano la quantità di blu del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.

info Info

La successione in questa lista rispecchia la priorità delle sorgenti; il primo elemento riceve il grado di priorità maggiore.

Per modificare il grado di priorità delle singole sorgenti, si può spostarle in alto o in basso nella lista servendosi dei "pulsanti-freccia".

attention Attenzione

Limitazioni alla possibilità di cancellare sorgenti e resettare colorazioni erronee:

Le sorgenti con ID compreso fra 0 e 9 sono riservate alle sorgenti di sistema. Non possono:

  • Essere cancellate.
  • Essere resettate come colore errato.

Cancellare sorgenti

Per poter essere cancellate, le sorgenti devono avere un ID a partire da 10 . Si può cancellare solo la sorgente con l'ID maggiore.

Resettare colorazioni erronee

Non è consentito usare nessuno dei colori delle sorgenti di sistema per resettare colorazioni errate dopo averne eliminato la causa. Si dovrà scegliere un colore con un ID a partire da 10.

Ancora in questo capitolo

Metodo di colorazione per UNDEFINED


Metodo di colorazione per UNDEFINED

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione delle sorgenti -> Metodo di colorazione per UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colorazione della rete può essere implementata in due modi con lo stato UNDEFINED:

  • Standard
  • Alimentazione prioritaria

L´impostazione del metodo di colorazione si esegue usando la proprietà di progetto Automatic Line Coloring/Metodo di colorazione.

Standard

La ricerca grafi inizia da una sorgente e prosegue attraverso tutta la rete in modo che ogni interruttore chiuso (la variabile di switch ha il valore 1) venga attraversato solamente una volta in ogni direzione e non si verifichi nessun ciclo. Nel corso di questo processo, ogni nodo attraversato (= segmento di linea) viene colorato con il colore della sorgente. Nodi sono le linee direttamente collegate.

Se la ricerca trova un interruttore la cui variabile di switch ha uno dei seguenti stati, il colore UNDEFINED viene usato per colorare la rete a partire da questo punto:

  • INVALID [valore: qualsiasi],
  • è invalid [valore: 3]
  • è in posizione intermedia [valore: 2])

Da questo momento, la ricerca grafo prosegue da questo stesso modo. Ogni interruttore viene attraversato una sola volta in una direzione con il colore UNDEFINED. Per questo motivo, ogni interruttore può essere attraversato per un massimo di quattro volte per ogni sorgente:

  1. Con numero sorgente in direzione "avanti",
  2. Con numero sorgente in direzione "indietro",
  3. Con UNDEFINED in direzione "avanti",
  4. Con UNDEFINED in direzione "indietro",

Alimentazione prioritaria

Se per la proprietà "Metodo di colorazione" si seleziona l´impostazione Alimentazione prioritaria, saranno colorate come UNDEFINED solamente quelle linee alimentate potenzialmente da almeno una sorgente, ma da nessuna sorgente in modo chiaro e univoco. Se una linea è alimentata da almeno una sorgente in modo chiaro ed univoco, non può continuare a ricevere una colorazione UNDEFINED da un´altra sorgente.

Questa ricerca viene eseguita in due fasi:

  • Nella prima fase (come nel caso dell´opzione Standard) il colore sorgente viene distribuito nella rete a partire da ogni sorgente attiva, finché l'interruttore successivo è chiuso. La ricerca viene interrotta se l´interruttore è aperto, oppure invalid/undefined.
  • Nella seconda fase, la ricerca inizia a partire da ogni interruttore invalid/undefined alimentato da una sola parte, e il colore UNDEFINED viene distribuito nella parte non alimentata della rete. Questa ricerca considera chiusi anche gli interruttori invalid/undefined e continua a distribuire dunque il colore UNDEFINED in rete finché non incontra un interruttore chiaramente aperto. La ricerca viene interrotta anche quando si arriva ad un segmento di linea che è già alimentato.


Configurazione degli interblocchi topologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione degli interblocchi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, il modulo Comandi può calcolare automaticamente gli interblocchi. Questi interblocchi si basano sullo stato dinamico della rete elettrica. La topologia della rete viene progettata usando ALC. Se il modulo "Comandi" riconosce che l´esecuzione di un comando corrisponde alla condizione di interblocco, impedisce che il comando in questione venga eseguito. Esempio: sulla base della configurazione ALC e degli stati attuali(ON / OFF) delle sorgenti, degli interruttori, dei separatori, ecc., il modulo Comandi può riconoscere automaticamente che l´esecuzione del comando porterebbe al verificarsi dello stato "Messa a terra". In questo caso, il sistema impedirà che il comando venga eseguito.

La configurazione della verifica degli interblocchi topologici di ALC per il modulo Comandi si esegue centralmente (per il progetto in questione). In questa sede si stabilisce se un utente può sbloccare un interblocco (ammesso che gli sia stato assegnato il livello di autorizzazione necessario per lo sblocco dell´azione).

info Info

Questa finestra di dialogo è disponibile solo se si ha una licenza sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Le impostazioni eseguite qui vengono applicate globalmente per l'intero modello topologico. Sono disponibili le seguenti condizioni:

Parametro

Descrizione

Messa a terra

Interblocco attivo se deve essere chiuso un interruttore/sezionatore uno dei cui contatti è collegato a terra e il cui altro contatto è in tensione o indefinito.

Circuito in area indefinita

Interblocco attivo se deve essere chiuso un interruttore/sezionatore in cui entrambi i contatti sono "Undefined" o "Fault".

Sezionatore sotto carico

Interblocco attivo se per la chiusura o l´apertura del sezionatore devono essere soddisfatte determinate condizioni.

Condizioni: si veda la sezione "Sezionatore sotto carico - Condizioni di blocco".

Sconnessione carico

Interblocco attivo se deve essere aperto un interruttore/sezionatore, il che avrebbe come conseguenza che un carico acceso, alimentato da una sorgente (generatore), non sarebbe più alimentato.

Area indefinita troppo grande

Interblocco attivo se deve essere chiuso un interruttore/sezionatore uno dei cui contatti è "Undefined" o "Disturbed", e l´altro no.

Il sistema segnala questo interblocco anche quando per il comando è stata configurata la direzione di switch nessuna.

Se si clicca nella colonna Imposta stati di uno di questi interblocchi, si apre un menù a tendina con tre possibili impostazioni:

Parametro | Descrizione
Non monitorato | La condizione selezionata non viene presa in considerazione in questo progetto (modello topologico).
Sbloccabile | La condizione selezionata viene presa in considerazione in questo progetto. Se viene verificata l´esistenza della condizione, l´utente del modulo Comandi potrà sbloccarla (nel tipo di immagine Comandi). L'azione di sblocco viene protocollata nellaCEL.
Non sbloccabile | La condizione selezionata viene presa in considerazione in questo progetto. L'utente non può sbloccarla.

Interblocchi topologici - Eccezione

L´interblocco topologico non viene eseguito se:

  • La variabile di un interruttore ha lo stato Revision
    oppure
  • La variabile viene corretta manualmente, oppure impostata su Valore di riserva e viene settata su un valore variabile uguale a quello iniziale; in altre parole, se l´interruttore:
    • è settato su OFF e poi viene corretto manualmente su OFF, o sostituito
    • è settato su ON e poi viene corretto manualmente su ON, o sostituito

Ancora in questo capitolo

Sezionatore sotto carico - Condizioni di interblocco


Sezionatore sotto carico - Condizioni di interblocco

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione degli interblocchi topologici -> Sezionatore sotto carico - Condizioni di interblocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´interblocco topologico Sezionatore sotto carico, la posizione di un sezionatore (aperto/chiuso) può essere cambiata solo se è soddisfatta una delle seguenti condizioni per i segmenti della linea che sono collegati dal sezionatore in questione:

Alla chiusura del sezionatore:

Il sistema verifica se la topologia prima del passaggio a ON si trova in uno di questi stati:

  • Entrambi i segmenti della linea sono alimentati/messi a terra dalla stessa sorgente;
  • Un segmento della linea non è sotto tensione e l'altro è messo a terra;
  • Un segmento della linea non è sotto carico.

All´apertura del sezionatore:

Il sistema verifica se la topologia dopo il passaggio a OFF si trova in uno di questi stati:

  • Entrambi i segmenti della linea sono alimentati dalla stessa sorgente;
  • Un segmento della linea non è più sotto carico e l'altro è messo a terra
  • Un segmento della linea non è più sotto carico.

info Info

Significato di "non sotto carico"

Lo stato non sotto carico significa:

  • O:
    tutti gli interruttori e separatori connessi al segmento della linea sono aperti.
  • Oppure:
    tutti gli interruttori e separatori connessi al segmento della linea sono chiusi, ma connettono solo ad un segmento che non è sotto carico

Inoltre, per avere lo stato non sotto carico, devono essere soddisfatte tutte le seguenti condizioni:

  • Tutti le sorgenti e i consumatori connessi al segmento di linea sono spenti.
  • Al segmento della linea non deve essere connesso nessun trasformatore.
  • Non si deve trattare di una linea che è connessa solamente a questo sezionatore (una linea aperta).


Configurazione dei marker immagine

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Configurazione -> Configurazione dei marker immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo della configurazione ALC si configura la tavolozza di colori dei marker immagini per la rilevazione della posizione guasti basata su impedenza e il calcolo della distribuzione di carico. Vedere anche: AddMarker.

Parametro | Descrizione
Numero | Numero progressivo interno e univoco per consentire un´assegnazione chiara e univoca. Questo numero viene assegnato automaticamente dal sistema e non può essere cambiato.
Colore di linea | Colore della linea del marker immagine.
Colore di sfondo | Colore di riempimento del marker immagine.
Nuovo | Aggiunge un nuovo colore.
Elimina | Cancella il colore selezionato. Nota: si può cancellare solamente l´ultimo colore della lista. I colori standard non possono essere cancellati.

I colori possono essere configurati direttamente inserendo il codice esadecimale corrispondente, oppure usando una tavolozza di colori.

Per input diretto:

  1. Cliccare con il tasto sinistro del mouse sulla denominazione del colore.

    Il campo passerà in modalità di modifica.

  2. Inserire il codice.
  3. Premere il tasto INVIO, oppure selezionare un´altra sorgente per applicare la modifica.

Con una tavolozza di colori:

  1. Selezionare la riga desiderata.
  2. Cliccare sul pulsante ... che si trova dietro la denominazione del colore.
    Nota: Il pulsante ... diventa visibile solamente quando si clicca sull´inserimento con il tasto sinistro del mouse.

    La tavolozza colori si apre in un menù contestuale.

  3. Selezionare il colore desiderato.

Il codice esadecimale descrive un valore di colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Identificatore che indica semplicemente che si sta usando un codice colore esadecimale.
RR | 2 caratteri che specificano la quantità di rosso del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
GG | 2 caratteri che specificano la quantità di verde del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.
BB | 2 caratteri che specificano la quantità di blu del colore espressa nel sistema esadecimale. 0-255 corrisponde a 0-FF.


Funzione: "Modifica colore sorgente ALC"

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Funzione: "Modifica colore sorgente ALC"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Modifica colore sorgente ALC si può modificare temporaneamente il colore di primo piano e di sfondo di una sorgente ALC per la colorazione a Runtime. La modifica rimane valida fino alla chiusura del Runtime, all´esecuzione di un reload, oppure finché la funzione non viene eseguita di nuovo. Procedura per creare questa funzione:

  • Selezionare "Nuova funzione..." nel menù contestuale del nodo "Funzioni" del Manager di progetto, oppure il simbolo corrispondente della barra degli strumenti della visualizzazione dettagli.
  • Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; aprire il nodo "Immagini".
  • Selezionare Modifica colore sorgente ALC

  • Si aprirà la finestra di dialogo che consente di modificare il colore della linea e di riempimento della sorgente.
  • Configurare i colori desiderati.

Proprietà | Funzione
Sorgente | Menù a tendina che consente di selezionare una sorgente; accanto alle sorgenti vengono visualizzati i colori che gli sono attualmente assegnati. In questa finestra di dialogo non è possibile modificare questi colori.
Nuovi colori per la sorgente | Cliccando sul colore, si apre una finestra di dialogo che consente di selezionare un colore.


Alias per immagini dettagli

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Alias per immagini dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare singole immagini, un'area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Gli elementi d´immagine nell´immagine dettagli non vengono ripresi nel modello topologico, ma prendono i colori ALC dal modello. Per farlo, questi elementi d´immagine fanno riferimento ad un alias degli elementi dell´immagine globale.

attention Attenzione

Gli alias sono validi solamente all´interno di un progetto!

Per i simboli che contengono elementi con collegamenti ad alias, questo significa:

Se il simbolo viene aggiunto alla Libreria simboli generale, oppure alla Libreria simboli nel progetto globale e modificato in questa sede, tutte le informazioni relative agli alias ALC andranno perse vanno senza che il sistema ne informi l´utente!

Creare alias

Possono essere creati alias per i seguenti elementi:

  • Linea
  • Polilinea
  • Tubatura
  • Elemento Combinato

attention Attenzione

Non si può creare un alias ALC se nel nome dell´immagine selezionata è contenuto un punto (.).

Soluzione: sostituire nel nome dell´immagine il punto con un altro carattere, per esempio un carattere di sottolineatura (_).

Per creare un elemento sorgente come alias:

  • Nel nodo ALC delle proprietà dell´elemento, attivare la proprietà Utilizza alias.

    La relativa checkbox è attiva solo se si ha una licenza per l'ALC ed è stata attivata la proprietà Colori da ALC.

  • Cliccare sul pulsante .... della proprietà Alias.
  • Si aprirà la finestra di dialogo che consente di selezionare un elemento.

Parametro

Descrizione

Immagine

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Elementi ALC disponibili

Mostra gli elementi contenuti nell´immagine, con il loro nome, tipo elemento e tipo di funzione. Cliccando su un elemento, si seleziona un alias.

Filtro

Gli elementi possono essere filtrati in tutte le colonne. Quando si imposta un filtro in una colonna, le opzioni offerte da tutti gli altri filtri verranno ridotte a valori che possono essere combinati in modo logico .

  • Nome: inserimento di un criterio di ricerca definito dall´utente con wildcard (*). Gli ultimi 12 criteri di ricerca inseriti vengono visualizzati nel menù a tendina fino alla chiusura dell´Editor.
  • Elemento: selezione dal menù a tendina.
  • Tipo funzione: selezione dal menù a tendina.

Quando si clicca su ..., si apre la ricerca salvata oppure il menù a tendina.

Quando si clicca sul pulsante X a filtro attivo, quest´ultimo verrà cancellato.

Alias selezionato

Visualizza l´elemento selezionato nel campo Elementi ALC disponibili.

Nessuna selezione

Cancella l´elemento selezionato.

Ok

Salva la selezione e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Info

Quando si definisce un elemento come alias, la selezione può essere eseguita solamente fra gli elementi e le immagini dello stesso progetto in cui viene definito l´alias. Non possono essere selezionati elementi di sottoprogetti, oppure di progetti paralleli.

Sostituzione di nomi alias

Gli alias possono essere sostituiti in fase di cambio immagine usando "Sostituisci collegamento". Un´immagine dettagli, perciò, può visualizzare i dati di differenti parti di un impianto, per es. uscite o reti parziali. I nomi alias vengono sostituiti in modo analogo a variabili e funzioni. La sostituzione è possibile anche in elementi che sono usati in simboli. Per consentire la selezione della destinazione, viene aperta la stessa finestra di dialogo aperta per la proprietà Alias.

Nota: non è possibile la sostituzione tramite variabili indice.


Localizzazione guasti nelle reti elettriche

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità di localizzazione degli errori mette in evidenza le parti della rete soggette a messe a terra, oppure a cortocircuito, usando colori speciali della configurazione ALC. I punti di partenza per la localizzazione degli errori sono i cosiddetti dispositivi di riconoscimento messa a terra o corto circuito che sono assegnati ad un interruttore di potenza. Si parte dal presupposto che i dispositivi di riconoscimento di messa a terra o corto circuito si trovino sempre all´uscita dell´elemento "interruttore di potenza". Per questa ragione, le variabili corrispondenti (con le segnalazioni del dispositivo di sicurezza) devono essere collegate a elementi ALC con il tipo di funzione interruttore.

Le segnalazioni dei dispositivi di sicurezza vengono visualizzate mediante colori speciali - con gli ID 1 e 2, ma solo se la segnalazione arriva quando le linee sono sotto carico. Allo stesso tempo, le segnalazioni vengono settate sulle ulteriori variabili per la visualizzazione. In questo modo, nell´immagine potranno essere visualizzate graficamente anche gli errori, per esempio tramite altri elementi combinati visibili solo in caso ci sia una ragione.

La visualizzazione deve essere resettata manualmente (riconosciuta), dopo che i dispositivi di sicurezza hanno ritirato le segnalazioni.

info Info

Questa funzionalità è disponibile solo se si ha una licenza sia per la Energy Edition, che per il modulo Automatic Line Coloring (pacchetto topologia):

Localizzazione errori

La localizzazione errori viene eseguita localmente su ogni computer della rete di zenon. Ogni client della rete ha il suo modello indipendente e, perciò, può cercare indipendentemente le messe a terra e i cortocircuiti in diverse parti della topologia.

La localizzazione errori nelle reti elettriche si suddivide in:

  • Ricerca di guasto a terra
  • Ricerca di cortocircuito

Per configurare la localizzazione errori:

  • Si ha bisogno anzitutto di una licenza per l'ALC e per la Energy Edition di zenon
  • Bisogna poi creare le immagini corrispondenti.
  • Si devono configurare le proprietà del gruppo ALC degli elementi combinati utilizzati che hanno il tipo di funzione interruttore.
  • Si devono poi configurare le linee della rete elettrica in modo tale che queste vengano colorate in base alla configurazione ALC.

C`è una serie di funzioni che consentono la localizzazione errori nelle reti elettriche a Runtime:

  • Avvia ricerca messa a terra
  • Riconosci guasto messa a terra
  • Termina ricerca messa a terra
  • Riconoscimento breve messaggio

Colorazione

Le segnalazioni dei dispositivi di sicurezza vengono visualizzate mediante i colori sorgente ID 1 e ID 2. Le linee vengono colorate però solamente se la segnalazione arriva quando le linee stesse sono sotto carico. A Runtime, il colore assegnato sulla base della configurazione dell´ALC cambia automaticamente non appena muta lo stato della linea. Le colorazioni configurate possono essere modificate a Runtime usando la funzione Modifica colore sorgente ALC .

Le segnalazioni vengono elaborate nella´ordine in cui arrivano. In caso di conflitti:

  • I colori previsti per la localizzazione guasto sono considerati prioritari.
  • Le segnalazioni di cortocircuito hanno la precedenza rispetto a quelle relative al guasto "messa a terra".

Ancora in questo capitolo

Ricerca di guasto a terra

Ricerca di cortocircuito


Ricerca di guasto a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di guasto a terra serve a mettere in evidenza colorandole quelle parti della rete elettrica potenzialmente interessate da messa a terra. A questo scopo, viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente GROUND FAULT (ID 1). Nello stesso tempo, le segnalazioni vengono settate sulle ulteriori variabili per la rappresentazione grafica.

Quali parti della rete elettrica sono interessate da un guasto a terra, viene dedotto dalle corrispondenti segnalazioni provenienti dai relè di guasto a terra (indicatori di messa a terra, dispositivi di protezione con rilevamento di guasto a terra). Per quello che riguarda le segnalazioni di guasto a terra, vale quanto segue:

  • Ogni dispositivo può avere da una a tre segnalazioni di guasto a terra.
  • Le segnalazioni di guasto a terra sono elaborate o via elaborazione messaggi permanente o via elaborazione di messaggi transitori.
  • Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione.
    • leading: Prima arriva la segnalazione relativa alla direzione in avanti e/o indietro, poi quella relativa al trigger.
    • lagging: prima arriva il trigger, poi la direzione.

info Info

Un componente di una rete elettrica potenzialmente interessato da guasto a terra non viene più considerato come interessato da guasto a terra, solo dopo che si è riusciti a metterlo sotto carico.

Configurazione

Per configurare la ricerca di guasto a terra:

  1. Assegnare all´elemento combinato che deve rappresentare l´interruttore nell´immagine il Tipo funzione interruttore
  2. Configurare la modalità di riconoscimento messa a terra, l´attivazione del riconoscimento messa a terra e la visualizzazione del riconoscimento messa a terra
  3. Creare le funzioni per l´avvio della ricerca messa a terra, il ripristino del messaggio di guasto a terra e il termine della ricerca messa a terra

info Info

Per poter limitare i guasti a terra anche in reti miste, iniziando da una sorgente, si ricerca un´area soggetta a messa a terra per ogni area.

Ancora in questo capitolo

Modalità di riconoscimento messa a terra

Tipo di riconoscimento messa a terra

Visualizzazione messa a terra

Attivazione del riconoscimento messa a terra

Avviare la ricerca di guasto a terra

Riconosci guasto messa a terra

Termina ricerca messa a terra


Modalità di riconoscimento messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Modalità di riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di guasto a terra può:

  • Colorare la parte della rete elettrica potenzialmente interessata da un guasto a terra
    , oppure
  • Colorare tutta la rete in cui si è verificato un guasto a terra.

La modalità in cui viene eseguita la colorazione viene definita nella proprietà Modalità ricerca messa a terra (proprietà di progetto, nodo ALC).

Per configurare questa proprietà:

  • Nelle proprietà di progetto, passare al nodo Automatic Line Coloring.
  • Selezionare la modalità desiderata nel menù a tendina della proprietà Modalità ricerca messa a terra.
    • Colorazione rete: colora solamente la parte della rete potenzialmente interessata dal guasto a terra.
    • Colorazione intera rete: colora l´intera rete nella quale si è verificato un guasto a terra.

Questa impostazione può essere modificata a Runtime usando il modello ad oggetti delle API di zenon. In questo caso, la ricerca di guasto a terra viene ricalcolata completamente.


Tipo di riconoscimento messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Tipo di riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direzione e il tipo di elaborazione delle segnalazioni per l´elemento combinato di tipo interruttore, sono definite tramite l´impostazione Tipo. Per configurare queste impostazioni:

  1. Passare al nodo Automatic Line Coloring delle proprietà dell´elemento combinato.
  2. Passare al gruppo Riconoscimento messa a terra.
  3. Aprire il menù a tendina della proprietà Tipo e selezionare il tipo desiderato, con direzione e tipo dell´eleborazione delle segnalazioni.
    • Direzione:
      indica se viene prima il fronte positivo dell´allarme trip o il fronte positivo di una direzione.
    • Anticipo desiderato: lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip.
    • Ritardo desiderato: dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, il relè di guasto a terra è considerato non direzionale.
    • Elaborazione delle segnalazioni:
      Indica come vengono elaborate le segnalazioni.
    • Nessuno: interruttore normale; le segnalazioni non verranno elaborate.
    • Elaborazione messaggi permanenti: solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:
    • Elaborazione del messaggio transitorio: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

Nota: La distinzione tra elaborazione del messaggio permanente e l'elaborazione dei messaggi transitoria riguarda solo l'elaborazione del messaggio, non il tipo. Pertanto l’elaborazione del messaggio di un bit transitorio non si riferisce necessariamente ad un bit.

attention Attenzione

Per inibire guasti a terra intermittenti, il sistema ignora le segnalazioni di guasto a terra che sono rilevate in intervalli inferiori ai due secondi.


Visualizzazione messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Visualizzazione messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile collegata alla proprietà Visualizza è una variabile di output della localizzazione errori e visualizza lo stato registrato del relè di guasto a terra. Questo è necessario perché tutte le segnalazioni sono salvate internamente finché non vengono ripristinate. Le segnalazioni salvate, dunque, non corrispondono necessariamente allo stato attuale della variabile di feedback.

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono possono essere i seguenti:

Valore | Significato
0 | nessuna messa a terra
1 | Messa a terra in avanti
2 | Messa a terra indietro
3 | Messa a terra non direzionale
4 | Stato errore -> entrambe le direzioni hanno attivato

info Info

Per prevenire dei problemi di funzionamento della rete, la variabile collegata alla proprietà "Visualizza" dovrebbe essere una variabile locale.


Attivazione del riconoscimento messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Attivazione del riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite la proprietà Attivazione si definisce la variabile usata per la segnalazione del relè di guasto a terra. Questa variabile può contenere delle informazioni sulla presenza di guasto a terra e sulla direzione di quest´ultimo dal punto di vista del relè di guasto a terra. Si differenzia fra:

  • Relè di guasto a terra non direzionali
  • Relè di guasto a terra direzionali con allarme trip
  • Relè di guasto a terra direzionali senza allarme trip

Per configurare la variabile da collegare alla proprietà Attivazione:

  1. Passare al nodo Automatic Line Coloring delle proprietà dell´elemento combinato
  2. Passare al gruppo Riconoscimento messa a terra
    1. Per i relè di guasto a terra non direzionali:

      Cliccare sul pulsante ... della proprietà Attivazione.

      Nella finestra di dialogo che si aprirà, selezionare la variabile desiderata.

      Le proprietà per la direzione rimangono vuote.

    2. Per i relè di guasto a terra direzionali con allarme trip.

      Collegare la variabile alla proprietà Attivazione e aggiungere la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro.

    3. Per i relè di guasto a terra senza allarme trip.

      Collegare la variabile con la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

      La proprietà Attivazione rimane vuota.

Nota: se con un relè di guasto a terra direzionale rispondono entrambe le direzioni a Avanti, questo dispositivo verrà considerato difettoso e ignorato dal sistema.


Avviare la ricerca di guasto a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Avviare la ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Avvia ricerca messa a terra serve a localizzare un guasto a terra e ha due effetti a Runtime:

  1. Vengono ignorate le segnalazioni provenienti da tutti i relè di guasto a terra che sono stati progettati con elaborazione del messaggio transitorio.
  2. L´algoritmo di ricerca viene modificato: dopodiché le azioni di switch possono solamente ridurre l´area soggetta a guasto a terra. Le nuove segnalazioni di guasto a terra , dunque, non ingrandiscono l´area potenzialmente soggetta a guasto a terra.

Per configurare la funzione Avvia ricerca messa a terra:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasti nelle reti elettriche".
  • Selezionare la funzione Avvia ricerca messa a terra.

  • Collegare la funzione ad un pulsante.


Riconosci guasto messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Riconosci guasto messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Riconosci guasto messa a terra consente di ripristinare un guasto a terra registrato internamente da un relè di guasto a terra In questo modo, lo stato di guasto a terra registrato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Una segnalazione di guasto a terra viene cancellata internamente solo se è stata ripristinata e non è più in attesa.

Regole per il ripristino:

  • Se è stata collegata una variabile che corrisponde ad una variabile trigger o di direzione di un relè di guasto a terra, verrà ripristinata solo questa determinata segnalazione di guasto a terra.
  • Se non è stata collegata nessuna variabile, verranno ripristinate tutte le segnalazioni di guasto a terra.
  • Il ripristino può avvenire anche tramite il modello a oggetti delle API di zenon.

Per configurare la funzione Riconosci guasto messa a terra:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasti nelle reti elettriche".
  • Selezionare la funzione Riconosci guasto messa a terra

  • Si apre la finestra di dialogo per la selezione di una variabile.
  • Collegare la variabile desiderata alla funzione.
  • Collegare la funzione ad un pulsante.


Termina ricerca messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di guasto a terra -> Termina ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile terminare la ricerca messa a terra a Runtime con la funzione Termina ricerca messa a terra.

Per configurare la funzione:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasto nelle reti elettriche"
  • Selezionare la funzione Termina ricerca messa a terra

  • Collegate la funzione ad un pulsante


Ricerca di cortocircuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ricerca di cortocircuito serve a mettere in evidenza parti della rete potenzialmente interessate da cortocircuito colorandole in modo corrispondente. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente SHORT FAULT.

Quali parti della rete sono potenzialmente interessate da cortocircuito, viene evidenziato dai messaggi di cortocircuito. Un dispositivo di rilevazione guasti a terra (indicatore di cortocircuito, dispositivo di protezione) può avere da uno a tre messaggi di cortocircuito. Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione. Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Progettazione

Per configurare la ricerca di cortocircuito:

  1. Assegnare l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore
  2. Definire "Visualizzazione di cortocircuito" e "Inizializzazione rilevazione circuito"
  3. Impostare la funzione per "Riconoscimento breve messaggio"

Ancora in questo capitolo

Tipo di rilevazione circuito

Visualizzazione di cortocircuito

Inizializzazione rilevazione circuito

Riconoscimento breve messaggio


Tipo di rilevazione circuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Tipo di rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

  1. Passare al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato
  2. Aprire il nodo Rilevazione circuito
  3. Selezionare il tipo desiderato nella proprietà Tipo
    • Direzione:
      indica se viene prima il fronte positivo dell´allarme trip o il fronte positivo di una direzione.
    • leading:
      lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging
      dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di identificazione del cortocircuito è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • Nessuno:
      interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente:
      solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:


Visualizzazione di cortocircuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Visualizzazione di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione cortocircuito. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono possono essere i seguenti:

Valore | Significato
0 | Nessun cortocircuito
1 | Corto circuito in avanti
2 | Corto circuito indietro
3 | Corto circuito non direzionale


Inizializzazione rilevazione circuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Inizializzazione rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile per il messaggio del dispositivo di rilevazione cortocircuito viene definita tramite la Attivazione. Essa può contenere delle informazioni sulla presenza di un cortocircuito e la direzione dello stesso dal punto di vista del dispositivo di riconoscimento corto circuito Si differenzia fra:

  • rilevatore di corto circuito non-direzionale
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per:

  1. Passare al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato
  2. Aprire il nodo Rilevazione circuito
    1. Per rilevatore di corto circuito non-direzionale

      Cliccare in corrispondenza della proprietà Attivazione sul pulsante ...

      Selezionare nella finestra di dialogo che si aprirà la variabile desiderata.

      Le proprietà per la direzione rimangono vuote.

    2. Per rilevatori di corto circuito direzionali con segnalazione di intervento

      Collegare la variabile con Attivazione e aggiungere la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

    3. Per rilevatori di corto circuito direzionali senza segnalazione di intervento

      Collegare la variabile con la direzione corrispondente:

      Avanti: collegare una variabile con la proprietà Avanti

      Indietro: collegare una variabile con la proprietà Indietro

      La proprietà Attivazione rimane vuota.


Riconoscimento breve messaggio

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Localizzazione guasti nelle reti elettriche -> Ricerca di cortocircuito -> Riconoscimento breve messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Riconoscimento breve messaggio un cortocircuito registrato internamente da un apparecchio di rilevazione cortocircuito può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di cortocircuito viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Regole per il ripristino:

  • Se è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione cortocircuito, viene ripristinato solo questo determinato messaggio di cortocircuito
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di cortocircuito.
  • Il ripristino può avvenire anche tramite le API di zenon.

Per configurare la funzione Riconoscimento breve messaggio:

  • Creare una nuova funzione.
  • Passare al nodo "Localizzazione guasto nelle reti elettriche"
  • Selezionare la funzione Riconoscimento breve messaggio

  • Selezionare nella finestra di dialogo che si aprirà la variabile desiderata
  • Collegare la funzione ad un pulsante.


Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rilevazione guasti basata su impedenza e il calcolo della distribuzione di carico estende l´ALC. Mentre l´ALC identifica nodi e vertici, questo modello rileva anche linee e i loro parametri. Localizzazione guasti da protezione è possibile tramite progettazione nell´Editor di zenon.

Il modello mette a disposizione proprietà e metodi per l´analisi esterna del rilevamento dei guasti e della distribuzione del carico tramite le API.

Proprietà per l´ALC e il metodo topologico esteso.

Gli elementi ALC Elemento combinato e Linea (linea, polilinea, tubo) dispongono di proprietà speciali per il rilevamento della posizione del guasto basato su impedenza e per il calcolo del carico. Le proprietà per il calcolo della distribuzione del carico non sono analizzate in zenon; per analizzare la distribuzione del carico, l´utente deve creare degli algoritmi nelle API zenon.

Il semplice modello topologico per la colorazione è stato integrato da un modello topologico esteso che include tutte le linee in forma di vertici separati. Questo modello topologico esteso viene salvato come file ALC.xml, in modo da poter essere letto da applicazioni esterne. Il file ALC.xml contiene due sezioni:

  • GraphElements:
    contiene il modello topologico esteso senza alias.
  • GraphAliases:
    contiene solo gli alias.

Ancora in questo capitolo

Localizzazione di corto circuito basata su impedenza

Modello topologico esteso

API:


Localizzazione di corto circuito basata su impedenza

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Localizzazione di corto circuito basata su impedenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la localizzazione guasto basata su impedenza, viene settato nella topologia un marker di errore nel punto della rete in cui è stato rilevato il problema. I valori di impedenza rilevati dai dispositivi di sicurezza vengono analizzati dal modulo ALC. Sulla base della topologia, i marker di errore vengono posizionati in modo corretto in un´immagine di zenon.

Se si verifica un cortocircuito e se la reattanza è diversa da zero, viene avviata la ricerca della posizione in cui si è verificato il cortocircuito:

  • Cortocircuito:
    Segnalato dalla variabile collegata alla proprietà Attivazione.
  • Reattanza:
    Valore della variabile (con il tipo di dato REAL) collegata alla proprietà Reattanza dalla protezione.

Posizione del marker

Tutte le linee vengono attraversate nella direzione corrispondente. La direzione risulta dalla reattanza negativa o positiva. La rispettiva reattanza della linea attraversata viene dedotta e il sistema continua la ricerca finché il valore della reattanza residua non è minore alla reattanza della prossima linea. Nella linea viene disegnato un marker. La posizione di questo marker corrisponde alla reattanza residua.

Se non c´è un valore di reattanza, non verrà settato nessun marker in caso di segnalazione di cortocircuito. Perché il marker possa essere disegnato in modo corretto, l´area non deve essere sotto carico durante la segnalazione di cortocircuito. In caso di segnalazioni di cortocircuito con ritardo, la reattanza viene analizzata solo dopo che è giunta la direzione di segnalazione, oppure è scaduto il timeout di 2 secondi.

La ricerca viene interrotta se è stato trovato un elemento di switch aperto, oppure un altro elemento ALC. Ogni parte della rete e ogni singola linea al suo interno vengono attraversate solamente una volta per ogni trigger; per questa ragione, in caso di curva, nella rete ci sono meno marker di quelli possibili.

Quando si esegue un reload, i marker già esistenti verranno ridisegnati esattamente nella posizione precedente al reload. Le modifiche apportate alla configurazione della localizzazione errori, vengono analizzate solo dopo il verificarsi di un nuovo cortocircuito.

Se si cancella e ripristina una segnalazione di cortocircuito, tutti i marker del trigger di questo cortocircuito verranno cancellati.

Nota: sulla base della successione di cancellazione dei cortocircuiti e della riaccensione, i marker possono rimanere visibili, anche quando la linea non è più colorata come cortocircuito.

Ancora in questo capitolo

Configurazione nell'Editor


Configurazione nell'Editor

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Localizzazione di corto circuito basata su impedenza -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la localizzazione guasto basata su impedenza, viene settato nella topologia un marker di errore nel punto della rete in cui è stato rilevato il problema. Il punto viene calcolato per impedenza, sulla base della topologia.

Procedura per configurare la localizzazione guasti basata su impedenza nell´Editor di zenon:

  1. Attivare la rilevazione errore basata su impedenza:
    1. A questo scopo, cliccare sul progetto desiderato nel Workspace.
    2. Passare al gruppo Automatic Line Coloring delle proprietà di progetto.
    3. Attivare la proprietà Posizione guasto basato su impedenza (segno di spunta nella casella).
  2. Configurare la modalità di visualizzazione del marker d´immagine usando le proprietà di progetto:
    1. Dimensione del marker di pagina
    2. Spessore linea del marker di pagina
    3. Tipo visualizzazione del marker di pagina
  3. Creare un´immagine di zenon.
  4. Posizionare l´elemento combinato all´interno dell´immagine di zenon creata.
    Si aprirà la finestra di dialogo che consente la scelta di una variabile.
  5. Configurare le impostazioni ALC per l´elemento combinato:
    1. Assicurarsi anzitutto che l´elemento combinato sia selezionato.
    2. Passare al gruppo delle proprietà Automatic Line Coloring.
    3. Sezionare nel menù a tendina della proprietà Tipo funzione l´opzione Interruttore
    4. Collegare alla proprietà Reattanza dalla protezione (nella sezione delle proprietà Locazione dell'errore/distribuzione del carico) una variabile con tipo di dato REAL con il valore della impedenza misurata.
    5. Selezionate il tipo di Rilevazione circuito nel menù a tendina della proprietà Tipo.
    6. Configurare il colore del marker nella proprietà Colore marcatore.


Modello topologico esteso

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> Modello topologico esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni oggetto ha un ID univoco tramite il quale viene referenziato all´interno del file. Gli attributi corrispondono a un subset degli elementi d'immagine di zenon che hanno creato gli elementi.

GraphElement

ID | Descrizione
Picture | Nome immagine
ElementID | ID dell´elemento d´immagine
ElementRef | Riferimento dell´elemento d´immagine
Type | Tipo dell´elemento d´immagine (vedi "Elementi")
SourceID | Numero della sorgente
ReverseSourceID | Numero della sorgente in direzione "indietro".
Variable | Variabile di stato
VarProtReact | Variabile di reattanza
MaxIType | Tipo di corrente massima
MaxIVal | Valore costante corrente massima
VarMaxI | Variabile corrente massima
VarCurI | Variabile corrente istantanea
VarCalcI | Variabile correte calcolata
VarCurP | Variabile potenza istantanea
LoadType | Tipo di carico
LoadVal | Valore costante carico
VarLoad | Variabile carico
React | Reattanza
Resist | Resistenza
Length | Lunghezza linea
Node1IDs | Lista di tutti gli elementi ID connessi con il nodo 1
Node2IDs | Lista di tutti gli elementi ID connessi con il nodo 2

GraphAlias

ID | Descrizione
Picture | Nome Immagine
ElementID | ID dell´elemento d´immagine
ElementRef | Riferimento dell´elemento d´immagine
Type | Tipo dell´elemento d´immagine (vedi "Element")
OrigElemRef | Elemento d´immagine - Riferimento all´elemento d´immagine originale.
OrigGraphElemID | ID dell´elemento originale in "GraphElements"


API:

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topologia -> Rilevazione guasti basata su impedenza e calcolo della distribuzione di carico. -> API:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello a oggetti delle API di zenon, per il modello sono disponibili gli oggetti ALCGraphElement e ALCGraphAlias. Questi oggetti contengono la stessa informazione del file XML. Si può accedere a questi oggetti nell´ALC Engine via:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Interblocchi topologici specifici per l´utente.

Quando il sistema controlla un interblocco topologico, nell´ALC Engine viene attivato il seguente evento:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

Vengono trasferite informazioni su interruttore/sezionatore che deve essere commutato e il nuovo stato. L´evento può popolare LockResult, bUnlockable e bsText per visualizzare una condizione di interblocco violata. Se l´eventhandler restituisce tpBusy in LockResult, continuerà ad essere interrogato finché non restituirà più tpBusy; la query, però, può durare al massimo 10 secondi. Dopo 10 secondi l´interblocco è attivo. Testo di interblocco e possibilità di sblocco sono restituite da bsText e bUnlockable.

Marker immagine

È possibile inserire a Runtime elementi marker nelle immagini usando le API di zenon. Marker sono disponibili per i seguenti elementi:

  • Linea
  • Polilinea
  • Tubatura

I marker vengono aggiunti o cancellati mediante le funzioni API in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Il GUID fornito da AddMarker(), identifica il marker in modo univoco e serve sia da nome elemento (con il prefisso„$MARKER_"),che da chiave per effettuare la cancellazione via DelMarker(). I marker inseriti via API vengono salvati nel progetto in relazione all´immagine. Attenzione: il salvataggio non viene eseguito in modo ritentivo, cioè è valido fino al riavvio del Runtime.

Indipendentemente dal monitor su cui l´immagine viene aperta, il sistema visualizza i marker che sono in essa settati. I marker sono trattati internamente come normali elementi d'immagine. Vengono dunque scatenati eventi mouse.

L´aspetto dei marker viene impostato usando le impostazioni di progetto, nell´area Automatic Line Coloring della configurazione di progetto:

  • Tipo visualizzazione del marker di pagina: Triangolo, Cerchio, Quadrato, Croce
  • Dimensione del marker di pagina: Dimensione in pixel
  • Spessore linea del marker di pagina: Larghezza in pixel
  • Colore marker: è definito via Indice nella tabella colori marker, che si trova nelle proprietà degli elementi ad immagine nel gruppo Automatic Line Coloring.


Comandi

Manuale -> Energy Edition -> Comandi

Il modulo "Comandi" serve principalmente a garantire la sicurezza dei processi di comando delle variabili nei progetti del settore Energy. La scrittura è “sicura”, perché, prima di eseguirla, il sistema verifica se l'operazione di switch è consentita, considerate le condizioni di interblocco configurate e la topologia aggiornata in modo dinamico (stato fisico attuale della rete topologica). Topologia e interblocchi topologici vengono configurati nel modulo ALC (Automatic Line Coloring).

Nota: istruzioni dettagliate su come creare una semplice configurazione dei Comandi si trova nella sezione Configurare nell´Editor di questa guida.

tutorial Informazioni sulla licenza

Incluso nella licenza per la Energy Edition.

Tutte le funzionalità documentate in questo manuale sono disponibili solo se si è un possesso di una licenza per la zenon Energy Edition.

I gruppi comandi contengono sempre una serie di azioni definite, che, di norma, sono adeguate ad una determinata variabile (uno specifico dispositivo). Così, per esempio, si possono definire in modo individuale e centralizzato differenti gruppi comandi per diversi elementi topologici (interruttore/sezionatore ecc.).

Una variabile per il modulo “Comandi” consiste di regola sempre di due variabili fisiche:

  • Variabile di feedback:
    la variabile di feedback viene definita centralmente per l´intero gruppo comandi. Rappresenta lo stato dell´elemento topologico; per es., se l´interruttore è aperto o chiuso.
  • Variabile di comando:
    ad ogni azione nell´ambito di un gruppo comandi viene assegnata una definita variabile di comando. Il driver usa questa variabile per inviare comandi al PLC.

A seconda dell´azione da eseguire, questi comandi vengono eseguiti su una delle due variabili.

Example Esempio

'Comando persistente ON'
Invia il comando o il nuovo valore alla variabile di comando. Se l´esecuzione dell´azione inizializzata è riuscita, può essere verificato con la variabile di feedback.

Modifica stati OFF
Resetta i bit di stato della variabile di feedback configurati nell´azione. Per questo tipo di azione la variabile di comando non è rilevante.
La variabile di azione è uguale a Nome di feedback.

Nota: una descrizione delle azioni di comando si trova nel capitolo Tipi di azione.

Sostituzione nome

Per semplificare o generalizzare la definizione delle variabili, i loro riferimenti (per variabili di comando, di feedback e di condizione) possono essere definiti nel modulo "Comandi" usando il meccanismo della sostituzione del nome. A questo scopo si possono usare wild card '*'. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Grazie a questo tipo di definizione flessibile, si possono definire procedure di validità generale, che poi saranno applicabili a diverse variabili. In questo modo si riduce in modo considerevole anche il numero di gruppi comandi da definire.

Example Esempio
  • Definizione della variabile di comando - proprietà variabile di azione = *_CO
  • Definizione della variabile di feedback - Nome di feedback = *_RV

A Runtime, il modulo "Comandi" aggiunge automaticamente al nome della variabile di comando quello della variabile di feedback visualizzata/selezionata nell'immagine di processo. L'unica differenza fra i nomi di queste due variabili è il suffisso.

Questo vale anche per le variabili di condizione: X01: *_ClsEna.

Anche altre variabili (che sono state collegate nell´immagine “Comandi” a elementi dinamici) possono essere sostituite a Runtime.

Ulteriori dettagli su questo tema si trovano nel capitolo Sostituzione di ulteriori variabili.

Esecuzione

In generale, le operazioni di gestione ad un livello vengono eseguite mediante il menù contestuale di un elemento della topologia (per es. di un interruttore). Un´altra tipica applicazione è l´apertura di un´immagine di tipo Comandi, invece che della finestra di dialogo Imposta valore.

Le azioni di gestione a due livelli, invece, vengono eseguite mediante un menù contestuale, oppure un´immagine di tipo Comandi.

Per questo tipo di immagine sono a disposizione elementi di controllo specifici. Questi elementi di controllo consentono di personalizzare la gestione dei "Comandi", sia per quello che riguarda la visualizzazione, che per quello che riguarda la funzionalità. Così, ad esempio, singole azioni possono essere assegnate direttamente a pulsanti di azione. Queste azioni potranno essere poi selezionate direttamente dall´utente. Questo tipo di immagine ha inoltre tutti i requisiti necessari a realizzare funzionalità come "Sblocco", "Esecuzione a due livelli", “Gestione a due mani”, "Blocco" ecc.

Nota: informazioni dettagliate sulla gestione tramite l´immagine di tipo Comandi si trovano nel capitolo Gestione nell´immagine “Comandi”.

L`apertura di questa immagine avviene sull´elemento d´immagine della variabile di feedback usando il suo menù contestuale, oppure al posto della finestra di dialogo Imposta valore. L´immagine può essere aperta anche tramite una funzione di Cambio immagine collegata ad un pulsante.

A Runtime, un´azione (operazione di switch) può:

  • Essere consentita
    Se non c´è nessuna condizione di interblocco applicabile.
  • Essere vietata.
    Se c´è una condizione di interblocco applicabile che non può essere sbloccata.
  • Essere consentita dopo lo sblocco.
    Se c´è una condizione di interblocco applicabile che può essere sbloccata.

Se ci sono condizioni di interblocco applicabili o meno, dipende dalla configurazione dei gruppi comandi e dallo stato attuale del modello topologico Configurazione ALC - Scheda Interblocchi.

Nota: ulteriori informazioni sulla procedura di esecuzione di un comando si trovano nel capitolo Esecuzione di comando.

Nella rete di zenon, la sincronizzazione delle azioni dei "Comandi" che riguardano una determinata variabile di feedback, avviene mediante l´attivazione del bit di stato NET_SEL. In questo modo si esclude l´eventualità di un´esecuzione parallela da parte di diversi utenti sugli stessi oggetti (stesse variabili). L'esecuzione parallela su diverse variabili di feedback è supportata.

Ancora in questo capitolo

Comandi

Comandi: barra degli strumenti della visualizzazione dettagli e menù contestuale

Configurazione nell'Editor

Gestione a Runtime


Comandi

Manuale -> Energy Edition -> Comandi -> Comandi

Voce di menù | Azione
Nuovo gruppo comandi | Crea un nuovo gruppo comandi.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa unità di misura da un file XML.
Profilo Editor | Apre il menù a tendina che consente la selezione di un profilo Editor.
Guida | Apre la guida online.

info Info

I gruppi comandi possono essere esportati, importati, copiati ed inseriti usando gli appunti. La stessa cosa vale per le azioni e le loro condizioni di interblocco, anche fra diversi gruppi comandi.


Comandi: barra degli strumenti della visualizzazione dettagli e menù contestuale

Manuale -> Energy Edition -> Comandi -> Comandi: barra degli strumenti della visualizzazione dettagli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale "Comandi" e "Gruppo comandi"

Voce di menù | Azione
Nuovo gruppo comandi | Crea un nuovo gruppo comandi.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Esporta selezione in XML... | Esporta gli inserimenti selezionati in un file XML.
Importa file XML... | Importa da un file XML.
Copia | Copia negli appunti il gruppo comandi selezionato.
Incolla | Inserisce il gruppo comandi prendendolo dagli appunti.
Elimina | Cancella il gruppo comandi selezionato dopo una richiesta di conferma.
Rinomina | Consente di rinominare un gruppo comandi.
Proprietà | Apre la finestra delle proprietà per il gruppo comandi selezionato.
Guida | Apre la guida online.

Menù contestuale del gruppo "Azioni"

Voce di menù | Azione
Nuovo comando | Crea un nuovo comando e apre le proprietà.
Nuovo comando auto/remoto | Crea un nuovo comando automatico/remoto e apre le proprietà.
Nuovo comando forzato | Crea un nuovo comando forzato e apre le proprietà.
Nuova impostazione di valore | Crea un nuova azione "Impostazione di valore" e apre le proprietà.
Nuova modifica stati | Crea una nuova azione "Modifica stati" e apre le proprietà.
Nuova sostituzione | Crea una nuova azione "Sostituisci" e apre le proprietà.
Nuovo stato di revisione | Crea una nuova "Revisione" e apre le proprietà.
Nuova correzione manuale | Crea una nuova azione "Correzione manuale" e apre le proprietà.
Nuova disattivazione valore | Crea una nuova azione "Disattivazione valore" e apre le proprietà.
Nuovo rilascio | Crea una nuova azione "Rilasciare" e apre le proprietà.
Richiedi valore di feedback | Crea una nuova azione "Verifica feedback" e apre le proprietà.
Nuovo blocco accesso | Crea un nuovo blocco accesso e apre le proprietà.
Incolla | Inserisce l´azione prendendola dagli appunti.
Guida | Apre la guida online.

Menù contestuale "Azione singola"

Voce di menù | Azione
Nuova condizione di interblocco | Crea una nuova condizione di interblocco. Nota: questa voce di menù viene visualizzata in color grigio (disabilitata) se il tipo di azione è Comando forzato.
Copia | Copia l´azione selezionata negli appunti.
Incolla | Inserisce l´azione prendendola dagli appunti.
Elimina | Cancella l'azione selezionata dopo una richiesta di conferma.
Guida | Apre la guida online.

Menù contestuale "Condizione"

Voce di menù | Azione
Elimina condizione di interblocco | Cancella la condizione selezionata.
Copia | Copia la condizione selezionata.
Incolla | Inserisce una condizione prendendola dagli appunti.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Apre la guida online.

Menù contestuale del gruppo "Variabili".

Voce di menù | Azione
Aggiungi variabile... | Apre la finestra di dialogo che consente di selezionare una variabile.
Incolla | Inserisce una variabile prendendola dagli appunti.
Guida | Apre la guida online.

Menù contestuale "Variabile singola"

Voce di menù | Azione
Cancella variabile | Cancella dal gruppo la variabile selezionata dopo una richiesta di conferma.
Copia | Copia la variabile selezionata negli appunti.
Incolla | Inserisce una variabile prendendola dagli appunti.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Apre la guida online.


Configurazione nell'Editor

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I Comandi sono un modulo che offre molte possibilità di estendere e personalizzare il funzionamento a Runtime.

Si prega di tenere presenti anche le informazioni dell´introduzione di questo manuale quando si configura il modulo nell´Editor di zenon.

Esempio di una prima, semplice configurazione dei “Comandi”

  1. Creare un´immagine di tipo Comandi.
    Inserire nell´immagine elementi di controllo selezionando uno dei relativi templates.

    Configurazione alternativa per la gestione a Runtime tramite menù contestuale:
    Creare un menù contestuale con i seguenti parametri:

    • Tipo di azione Comandi
    • Testo $ALL$
    • ID menù ID_CDM_AUTO
  2. Creare due variabili.
    Si consiglia di creare queste variabili con un driver Energy (z.B. IEC870).
    Attenzione: il driver interno non è adatto alla creazione di variabili di feedback.
    • Variabile di comando
      Variabile per inviare al PLC un comando (open/close), per es. variabile IEC870 T46;
    • Variabile di feedback.
      Variabile che visualizza lo stato (posizione: aperto/chiuso/in fault ecc.) dell´oggetto rilevante nello stesso PLC, per es. T03.

    Assegnare un nome a queste variabili.
    Si può inserire all´inizio dei due nomi la stessa descrizione: per es.: switch_Q0_CO e switch_Q0_RV. Questo consentirà di utilizzare lo stesso gruppo comandi per più coppie di variabili.

  3. Creare un gruppo comandi.
    Configurare le seguenti proprietà del gruppo comandi:
    • Nome variabile di feedback:
      Con sostituzione di nome: *_RV
      Senza sostituzione di nome: nome della variabile di feedback come illustrato nel punto 2 di questo esempio.
    • Immagine
      Collegare all´immagine di tipo Comandi creata nel punto 1 di questo esempio.
  4. Creare azioni nel gruppo comandi.
    1. Configurare un´azione di Tipo Comando persistente con i seguenti parametri:
    • Variabile
      Con sostituzione di nome: *_CO
      Senza sostituzione di nome: nome della variabile di feedback come illustrato nel punto 2 di questo esempio.
    • Stato-Feedback/Direzione Switch: ON
    • Stato comandi: 1
    • Pulsante di comando Azione 1/Pulsante: ON
      Per esecuzione senza menù contestuale e senza Doppio-livello.
    1. Configurare una seconda azione con i seguenti parametri differenti:
    • Stato-Feedback/Direzione Switch: OFF
    • Stato comandi: 0
    • Pulsante di comando: Azione 2/Pulsante: OFF

    Suggerimento: copiare la prima azione configurata e modificare i parametri.

  5. Collegare le variabili al gruppo comandi.
    Nota: questo passaggio è sempre obbligatorio, indipendentemente dal fatto se è stata progettata una sostituzione di nome o meno.
    1. Selezionare le due variabili create nel punto 2 di questo esempio.
    2. Nel gruppo Imposta valore, configurare la proprietà Gruppo comandi.
      Selezionare nel menù a tendina il gruppo comandi creato nel punto 3 di questo esempio.
  6. Configurare un trigger per il comando configurato:
    1. Creare una nuova immagine di zenon. Si può scegliere qualsiasi tipo d´immagine, eccetto Comandi.
    2. Inserire in questa immagine un elemento dinamico.
    3. Collegare questo elemento d'immagine alla variabile di feedback.
    4. Nel menù a tendina della proprietà Imposta valore tramite, selezionare l´inserimento Comandi.
      Questa proprietà si trova nel gruppo Imposta valore delle proprietà dell´elemento d´immagine.

      Configurazione alternativa per la gestione a Runtime tramite menù contestuale:
      Nel menù a tendina della proprietà Menu, selezionare il nome del menù contestuale creato nel punto 1 di questo esempio.
      Questa proprietà si trova nel gruppo Runtime delle proprietà dell´elemento d´immagine.

Adesso l´utente potrà cliccare a Runtime sull´elemento d´immagine progettato (clic con il tasto destro del mouse per aprire il menù contestuale) per inizializzare le azioni configurate nel modulo “Comandi”.

info Info

Anche per eseguire test, si consiglia di usare (se possibile) un driver che supporti completamente l´analisi COT (Cause of Transmission - Causa di trasmissione), per esempio il driver IEC 60870-5-101_104. L´analisi COT è una funzionalità estesa che serve a monitorare la comunicazione durante un comando usando l´impostazione Watchdog timer. I bit di stato COTx della variabile di comando possono essere analizzati anche nelle matrici di reazione Multi-numerica e Multi binaria.

Ancora in questo capitolo

Creare un'immagine di tipo "Comandi".

Variabili del "Gruppo comandi"

Configurare i “Comandi”

Creare menù

Compilazione dei file Runtime


Creare un'immagine di tipo "Comandi".

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Comandi consente di gestire e monitorare a Runtime l´esecuzione di comandi. L´operatore può gestire i comandi a Runtime usando i pulsanti dell´immagine.

L´immagine di tipo Comandi viene creata e configurata nell' Editor. Informazioni più precise sui tipi di immagine predefiniti a disposizione si trovano nel capitolo "Immagini / Tipi immagine predefiniti'.

L'immagine Comandi viene usata per consentire l'interazione degli operatori a Runtime (comandi ad uno e due livelli). L´operatore è in grado di eseguire tutte le operazioni necessarie all'esecuzione di un comando. Può essere necessario, ad esempio, sbloccare un´azione in attesa, oppure, quando si ha un´azione a due livelli, confermare l´esecuzione.

info Info

Quando si usano comandi ad un livello, si può utilizzare anche un menù contestuale. In questo caso, non sarà necessario configurare un´immagine di tipo “Comandi” nel progetto.

Per questo tipo di immagine sono disponibili degli elementi di controllo specifici, che consentono di eseguire le operazioni necessarie per l'esecuzione di un comando e visualizzano le informazioni attuali riguardanti lo stato dell'azione da eseguire (per es. visualizzazione della direzione di switch).

Dopo essere stata creata, l´immagine verrà aperta ancora vuota. Per inserire nell´immagine gli elementi di controllo standard, cliccare sulla voce Elementi di controllo/Inserisci template....

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Comandi.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Modelli

Template - Standard

Modello - Completo

Sostituzione di variabili addizionali nell´immagine.


Modelli

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi". -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´immagine di tipo Comandi sono disponibili più modelli predefiniti.

Template

Descrizione

Casella di riepilogo Modelli (a sinistra)

Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.

Anteprima e descrizione (a destra)

Visualizza l´anteprima e la descrizione del modello selezionato.

Standard

Visualizzazione compatta del comando che mostra:

  • Azioni
  • Interblocchi
  • Pulsanti di selezione ed esecuzione.

Settore dell´energia

Template

Descrizione

Verticale

Visualizzazione verticale dei comandi; si adatta alla perfezione per essere posizionata al margine dell´immagine, accanto ad una schermata riassuntiva:

  • Azioni
  • Interblocchi
  • Pulsanti di selezione ed esecuzione.
  • Bloccare

Verticale senza blocco

Visualizzazione semplificata del modello “Verticale”, senza l´area “Blocco”:

  • Azioni
  • Interblocchi
  • Pulsanti di selezione ed esecuzione.

Completo

Visualizzazione avanzata dei comandi che mostra:

  • Variabile di feedback
  • Variabile di comando
  • Blocco
  • Azioni
  • Interblocchi
  • Pulsanti di selezione ed esecuzione.

Completo con lista interblocchi

Visualizzazione avanzata dei comandi, che comprende anche una lista di tutti gli interblocchi in attesa:

  • Variabile di feedback
  • Variabile di comando
  • Interblocchi (lista)
  • Azioni
  • Pulsanti di selezione ed esecuzione.

Completo senza blocco

Visualizzazione avanzata dei comandi. Viene visualizzato solamente l´interblocco in attesa in quel momento:

  • Variabile di feedback
  • Variabile di comando
  • Azioni
  • Interblocchi (testo)
  • Pulsanti di selezione ed esecuzione.

Minimo

Contiene solo la visualizzazione dei pulsanti di selezione ed esecuzione.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Comportamento quando si applica il modello per la progettazione nell´Editor. Attivo: Gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello. Default: non attivo.
Applica | Inserisce gli elementi del modello selezionato nell´immagine e chiude la finestra di dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Template - Standard

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi". -> Template - Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il template Standard contiene solamente gli elementi di controllo più importanti per le azioni di tipo Comandi. È particolarmente adatto ad azioni che vengono eseguite mediante un menù contestuale, oppure da una sequenza di comando.

Azione / Funzionalità

Elemento di controllo

Descrizione

Azione / Comando attivi

Visualizza l´azione in attesa del gruppo comando.

Direzione

La direzione di switch configurata per l'azione attiva. Per quello che riguarda i testi, si veda la documentazione relativa all´impostazione "Direzione di Switch".

A seconda dell'azione attiva, viene visualizzato il seguente testo:

  • Comando, revisione, correzione, sostituisci: testo da valore limite, dipendente della direzione di switch.
  • Stato: ON o OFF
  • Altre: vuoto

Interblocchi

Elemento di controllo | Descrizione
Interblocco attivo | Testo dell´interblocco attivo.
Sblocca | Con questo pulsante si può sbloccare un interblocco sbloccabile in attesa. Nota: questo elemento di controllo viene visualizzato solo quando l'immagine si trova nello stadio "Sblocca". Questo pulsante è bloccato, invece, se l´interblocco in attesa non è sbloccabile.

Seleziona / Esegui

Elemento di controllo

Descrizione

On

Pulsante di comando per comando persistente, per es. per chiudere un interruttore.

Off

Pulsante di comando per comando persistente, per es. per aprire un interruttore.

Conferma

Conferma l´azione a due livelli in attesa.
Per esempio, un comando persistente a due livelli verrà eseguito solo dopo che l´operatore avrà cliccato su questo pulsante.

Annullare
  • Chiude l´immagine comandi. L´azione in attesa non verrà eseguita.
  • Termina un´azione a due livelli in attesa (Cancel invece di Execute).
  • Termina l´esecuzione dell´azione (a seconda di quanto definito in fase di progettazione; per es.: termina Operate se non ancora terminato).

Questo pulsante è visualizzato in color grigio (non attivo) se l'immagine si trova al “1° livello”.

Ancora in questo capitolo

Elementi di controllo - Panoramica


Elementi di controllo - Panoramica

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi". -> Template - Standard -> Elementi di controllo - Panoramica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi di controllo - Panoramica

Nell´Editor di zenon, nella barra dei menù Elementi di controllo sono disponibili i seguenti elementi per il tipo di immagine Comandi:

Nome

Tipo di controllo

Default

Pulsanti azione

Testo

Pulsanti ai quali può essere assegnata un'azione. Cliccando nell'immagine, l'azione assegnata viene attivata e l'immagine passa alla fase "Sblocco".

Il pulsante non viene visualizzato se:

  • Non è assegnata nessuna funzione al pulsante nel corrente gruppo comandi.
  • La variabile con cui è stata aperta l´immagine è la variabile di comando, e l´azione assegnata al pulsante non usa la variabile di comando come variabile di azione. Tuttavia, il pulsante verrà visualizzato se gli è stata assegnata l´azione "Blocco".

Il pulsante viene visualizzato come bloccato se:

  • L'immagine non si trova nella fase "Livello 1".
  • La variabile di feedback ha settato uno dei bit di stato I_INVALID(18), OFF(20) o N_UPDATEL(29), e l'azione assegnata scrive sulla variabile di comando.
  • La variabile di feedback ha lo stato REVISION(9) attivo e l'azione assegnata scrive sulla variabile di comando.
  • La variabile di feedback ha lo stato REVISION(9) attivo e l'azione assegnata è "Correzione manuale".
  • L'azione assegnata è "Rilascio" e la variabile di feedback non ha attivo lo stato Valore di riserva(27).
  • L'azione assegnata è "Correzione manuale" e il valore della variabile di feedback corrisponde alla direzione di switch.
  • L'azione assegnata è "Sostituzione" e il valore della variabile di feedback corrisponde alla direzione di switch.
  • La variabile di feedback ha lo stato REVISION(9) attivo e l'azione assegnata è "Sostituzione".
  • L'azione assegnata è "Stato di revisione" e il valore della variabile di feedback corrisponde alla direzione di switch.

Azione1

Azione2

VF TTA

Testo

Nome variabile di feedback.

X

VF Identificazione

Testo

Identificazione della variabile di feedback.

X

Variabile di comando (Unità di misura)

Testo

Unità di misura dell´attuale variabile di comando.

X

Variabile di comando (Stato)

Lista

Definisce lo stato da settare per l'azione "Modifica stati", per la direzione di switch "Nessuna". Gli stati vengono settati sullo stato attuale, e vengono poi aggiornati in caso di modifica.

E' bloccato se l'azione attiva non è "Modifica stati".

Direzione

Testo

La direzione di switch configurata per l'azione attiva. Per quello che riguarda i testi, si veda la documentazione relativa all´impostazione "Direzione di Switch".

A seconda dell'azione attiva, viene visualizzato il seguente testo:

Comando, revisione, correzione, sostituisci: testo da valore limite, dipendente della direzione di switch.

Stato: ON o OFF

Altre: vuoto.

X

Esegui 2° livello

Pulsante

Usato per eseguire l'azione.

Questo elemento di controllo è visibile solamente se l'immagine si trova nello stadio "2° livello".

L´elemento di controllo è bloccato se:

  • È stata configurata l´opzione "Comando a due mani" e il tasto "Ctrl" non è premuto.
  • La variabile di feedback ha lo stato REVISION(9) attivo e l'azione attiva è "Comando", "Impostazione valori", "Sostituisci" o "Correzione".
  • Si è già cliccato sul pulsante.

X

Variabile di comando (Minimo)

Numerico

Valore minimo della variabile di comando.

Non visualizzato se il tipo di dato della variabile di comando è "Stringa".

Variabile di comando (Massimo)

Numerico

Valore massimo della variabile di comando.

Non visualizzato se il tipo di dato della variabile di comando è "Stringa".

Barra di scorrimento

Numerico

Impostazione valore mediante barra di scorrimento. Setta il valore nell´elemento di controllo "Valore impostabile" oppure viene settato da quest´ultimo.

Non visualizzato se il tipo di dato della variabile di comando è "Stringa".

L´elemento di controllo è bloccato se:

- Non è attiva nessuna azione.

- L'immagine non si trova nella fase "Livello 1".

Impostazione valore

Numerico, testo

Consente l'inserimento del valore impostabile.

Quando ci si clicca sopra, questo elemento di controllo passa alla modalità di modifica ed è possibile inserire il valore desiderato. Premendo il tasto "Enter" si chiude la modalità di modifica.

Il nuovo valore verrà però settato solamente quando si clicca sull´elemento di controllo "Esegui".

Con questo elemento di controllo viene indicato il valore da settare per l'azione "Impostazione valore".

L´elemento di controllo è bloccato se:

- La variabile di feedback ha settato lo stato REVISION(9).

- Non è attiva nessuna azione.

- L'immagine non si trova nella fase "Livello 1".

VF Valore

Testo

Valore della variabile di feedback.

X

VF Stato

Testo

Contiene lo stato della variabile di feedback nella forma breve.

X

VF Unità

Testo

Unità della variabile di feedback.

X

Testo di interblocco

Testo

Testo dell´interblocco in attesa.

Il testo è traducibile online.

X

Sblocca

Con questo pulsante è possibile sbloccare un interblocco sbloccabile attivo.

Nota: questo elemento di controllo viene visualizzato solo nel caso in cui l'immagine si trovi nello stadio "Sblocca".

L´elemento di controllo è bloccato se il blocco in attesa non è sbloccabile.

X

Chiudi

Pulsante

Chiude l'immagine senza eseguire l'azione.

Il pulsante è visualizzato solo in un'immagine modale.

Questo pulsante è importante per le immagini modali perché è necessario per poter chiudere l´immagine in caso di errore!

Annulla

Pulsante

Termina il processo di esecuzione dei comandi e torna alla fase "1° livello".

Il pulsante è bloccato se l'immagine si trova nello stadio "1° livello".

X

Lista blocchi

Lista

Contiene i blocchi attivati nella variabile di feedback.

E' bloccato se non è stata configurata un´azione "Blocca" per il gruppo comandi.

Il testo è traducibile online.

Identificazione utente

Campo di inserimento

Per inserire l´identificazione utente per il blocco.

E' bloccato se non è stata configurata un´azione "Blocco" per il gruppo comandi.

Codice di blocco

Campo di inserimento

Per inserire il codice di blocco specifico per l'utente.

E' bloccato se non è stata configurata un´azione "Blocco" per il gruppo comandi.

Esegui blocco

Pulsante

Attiva un blocco. L´utente che attiva il blocco viene visualizzato nell´elemento di controllo "Identificazione utente".

E' bloccato se non è stata configurata un´azione "Blocco" per il gruppo comandi.

Quest´azione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Sblocca

Pulsante

Sblocco di un blocco da parte dell'utente indicato nell´identificazione utente.

E' bloccato se non è stata configurata un´azione "Blocco" per il gruppo comandi.

Quest´azione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Esegui

Pulsante

Applica il valore dall´elemento di controllo "Setta valore impostabile" oppure "Setta stato".

Questo elemento di controllo è visibile solo se l'immagine si trova allo stadio "1° livello".

L`elemento di controllo viene bloccato (oltre in caso di blocco generale) se:

  • L'azione attiva non è "Modifica stati", "Impostazione valore" oppure "Nuova correzione manuale".
  • Il valore nell`elemento di controllo "Valore impostabile" non è valido per la variabile di comando.

Commento

Campo di inserimento

Commento relativo al blocco.

Variabile di comando (Stato)

Testo

Stato della variabile di comando attiva in forma breve.

X

Variabile di comando (Nome)

Testo

Nome della variabile di comando attiva.

X

Variabile di comando (identificazione)

Testo

Identificazione della variabile di comando attiva.

X

Variabile di comando (Valore)

Testo

Valore della variabile di comando attiva.

X

Azione attiva

Testo

Nome dell´azione attiva

X


Modello - Completo

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi". -> Modello - Completo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modello Completo contiene tutti gli elementi di controllo per le azioni di tipo Comando e Blocco.

Parametri

Descrizione

Variabile di feedback

Nome

Nome della variabile di feedback.

Identificazione

Identificazione della variabile di feedback.

Stato

Contiene le descrizioni brevi dei bit di stato per la variabile di feedback.

Valore

Valore corrente della variabile di feedback.

Unità di misura

Unità di misura della variabile di feedback.

Variabile di comando

Nome

Nome della variabile di comando.

Identificazione

Identificazione variabile di comando.

Stato

Contiene le descrizioni brevi dei bit di stato per la variabile di comando.

Esempio:

  • Bit per COT
  • Stato SE_870 durante Select
  • Bit di stato Stato PN in caso di risposta negativa da parte del PLC.

Nota: l´azione "Modifica stati", contiene i bit di stato pianificati della variabile di feedback.

Valore

Valore corrente della variabile di comando, oppure campo di inserimento per l´azione comando Impostazione valore.

Nota: questo valore cambia durante il processo di esecuzione dell´azione passando da un valore esistente a quello corrente. La visualizzazione del valore viene aggiornata solamente con COT=7 (COT_actcon) , oppure WR-SUC ..

  • Se è stata configurata "Impostazione valore", vale quanto segue:
    Il valore da settare per l´azione "Setta valore impostabile" viene impostato mediante questo elemento di controllo. Quando ci si clicca sopra, questo elemento di controllo passa alla modalità di modifica, consentendo così l´inserimento di un valore. Premendo il tasto “Enter” si esce dalla modalità di modifica.
    Il nuovo valore, però, verrà settato solamente quando si clicca sull´elemento di controllo "Conferma“.
    L´elemento di controllo è bloccato se:
    - La variabile di feedback ha settato lo stato REVISION(9).
    - Non è attiva nessuna azione.
    - L´immagine non si trova nella fase "Livello 1“.

Unità di misura

Unità di misura della variabile di comando.

Blocco

Gli elementi di controllo del gruppo Blocco sono disabilitati se nel gruppo comando non è stata configurata nessuna azione "Blocco".

Utenti

Campo di inserimento per indicare l´identificazione utente per il blocco.

Codice di blocco

Campo di inserimento per indicare il codice di blocco specifico per l'utente.

Commento

Testo facoltativo relativo al blocco che può essere digitato dall´utente.

Bloccare

Attiva un blocco. Il blocco viene attivato dall´utente indicato nell´elemento di controllo Utenti.

Nota: questa azione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Sbloccato

Rimuove un blocco già attivato.

Possono essere disattivati solamente i blocchi che lo stesso utente ha attivato. In questo modo si garantisce che un utente possa eliminare solamente i blocchi che ha creato lui.

L´utente abilitato ad eseguire lo sblocco, è visualizzato nell´elemento di controllo "Utenti".

Questo pulsante verrà visualizzato in color grigio (disabilitato) se nel gruppo comando non è stata progettata nessuna azione Blocco.

Nota: questa azione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Lista bloccata

Lista dei blocchi attivi:

  • Utente
    Nome dell´utente che ha attivato il blocco.
  • Tempo di blocco
    Time stamp dell´interblocco.
  • Nota
    Testo per l´interblocco.

Azione / Comando

Azione / Comando attivi

Tipo dell´azione comando attiva, per es. “comando doppio”.

Direzione di switch

La direzione di switch configurata nelle proprietà dell'azione attiva. Per quello che riguarda i testi, si veda la documentazione relativa all´impostazione "Direzione di Switch".

A seconda dell'azione attiva, viene visualizzato il seguente testo:

Comando, revisione, correzione, sostituisci: testo da valore limite, dipendente della direzione di switch.

Stato: ON o OFF

Altre: vuoto.

Interblocchi

Interblocco attivo

L´interblocco attivo sulla base della configurazione, oppure i testi dell´interblocco topologico ALC.

Sblocca

Questo pulsante sblocca un interblocco in attesa e sbloccabile.

Nota: questo elemento di controllo viene visualizzato solo se l'immagine si trova nello stadio "Sblocca".

L´elemento di controllo è bloccato se l´interblocco in attesa non è sbloccabile.

Seleziona / Esegui

On

Tasto di comando del primo livello, per es. per chiudere un interruttore.

Nota: visibile solo in livello 1.

Off

Tasto di comando del primo livello, per es. per aprire un interruttore.

Nota: visibile solo in livello 1.

Conferma

Tasto di comando di secondo livello.

Nota: visibile solo in livello 2.

Annullare

Tasto di comando di secondo livello.
Termina il processo di esecuzione dei comandi e torna alla fase "1° livello".

Questo pulsante è visualizzato in color grigio (disabilitato) se l'immagine si trova nella fase “1° livello”.

Chiudi

Chiude l´immagine “Comandi”.


Sostituzione di variabili addizionali nell´immagine.

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare un'immagine di tipo "Comandi". -> Sostituzione di variabili addizionali nell´immagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla possibilità di usare la sostituzione di variabili di zenon e placeholder in variabili di feedback e di comando, per i “Comandi” si possono configurare altre regole di sostituzione per ogni gruppo comandi e azione comandi. È possibile inserire nell´immagine “Comandi” altri elementi dinamici collegati ad ulteriori variabili; anche il nome di queste variabili verrà poi sostituito automaticamente a Runtime. La sostituzione viene eseguita in base a variabili di feedback e di comando.

Quando si configura il progetto nell´Editor di zenon, si ha la possibilità di configurare la proprietà Sostituzione in immagine separatamente per ogni gruppo comando o azione comando. Questa proprietà si trova nel gruppo Immagine di comando.

Requisiti per la sostituzione

I requisiti per utilizzare questa possibilità sono:

  • La variabile di feedback e quella di comando devono essere state configurate nel modulo "Comandi" con il placeholder* (asterisco).
    Esempio: *_RV, *_CO
    Variabile di feedback: Nome variabile di feedback
    Variabile di comando: Variabile
  • Un´immagine "Comandi" deve essere stata configurata nella proprietà Immagine del rispettivo gruppo comando o della rispettiva azione comando.

Nell´immagine "Comandi", le variabili vengono sostituite sulla base delle seguenti regole:

  • Il testo preso dalla proprietà viene sostituito nel nome della variabile visualizzata nell´immagine “Comandi”.
  • Viene sostituito da un testo trovato dai "Comandi" nel nome di una variabile di feedback, oppure di una variabile di comando al posto del segnaposto*.

Quando si configurano più testi da sostituire, questi devono essere separati da un punto e virgola (;). Quando l´immagine viene aperta a Runtime, queste frasi vengono sostituite partendo da sinistra e procedendo verso destra. Non appena viene applicato un testo per la sostituzione, le frasi seguenti vengono ignorate.

Se, quando viene aperta l´immagine "Comandi" a Runtime, non esiste nessun nome variabile con il testo configurato, non ci sarà nessuna sostituzione.

Cambio immagine e modulo "Comandi"
Regole di sostituzione

La sostituzione tramite esecuzione della funzione di cambio immagine è combinabile con quella del modulo "Comandi". Per la sostituzione tramite esecuzione della funzione, valgono le seguenti regole:

  • Se l´immagine viene aperta con una funzione di Cambio immagine, a Runtime verrà applicata la sostituzione progettata al momento di configurare la funzione.
  • Se l´immagine viene aperta tramite il modulo Sequenze di comando, oppure tramite il menù, invece, il Runtime acquisisce l´immagine e la sostituzione dalla progettazione eseguita nell´azione di comando corrispondente. Se non è stata configurata una sostituzione nell´azione di comando, il Runtime acquisisce l´immagine e la sostituzione dal gruppo comando. Se anche qui non è stata progettata una sostituzione, non avrà luogo nessuna sostituzione.
  • Quando si clicca su un elemento dinamico per cui è stata configurata Nuova impostazione di valore, il Runtime acquisisce l´immagine e la sostituzione dall´azione di comando Impostazione valore.

info Info

Ulteriori informazioni sulla sostituzione tramite la funzione di cambio immagine si trovano nel capitolo Comandi della guida dedicata a Funzioni e script.

Esempio

È configurato quanto segue:

  • Nome variabile di feedback: abc_RV.
  • Variabile di feedback progettata nel gruppo comando: *_RV
  • Ulteriori Variabili collegate nell´immagine: xyz_lock, xy_Switch

Risultato - Possibilità 1

  • Sostituzione in immagine progettata: xyz;xy
  • Variabili esistenti nel progetto: abc_lock und abc_Switch.
  • Risultato: Rappresentazione delle variabili nell´immagine: abc_lock und abc_Switch.

Risultato - Possibilità 2

  • Sostituzione in immagine configurata: xy;xyz
  • Variabili esistenti nel progetto: abcz_lock e abc_Switch.
  • Risultato: visualizzazione delle variabili nell´immagine per abcz_lock e abc_Switch.

Risultato - Possibilità 3

  • Sostituzione in immagine configurata: xy;xyz
  • Variabili esistenti nel progetto: abc_lock e abc_Switch.
  • Risultato: Visualizzazione delle variabili nell´immagine: abc_lock e abc_Switch.
    Perché abcz_lock non esiste.


Variabili del "Gruppo comandi"

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Variabili del "Gruppo comandi"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi comandi utilizzano da un lato le variabili delle azioni di commutazione (variabile di feedback e variabile di comando), dall´altro (facoltativamente) le variabili delle condizioni di comando e quelle del rilevamento di intervento sezionatore.

Perché sia possibile utilizzare il modulo “Comandi”, le relative variabili di feedback e di comando devono essere assegnate ad un gruppo comandi. Questa assegnazione viene eseguita nel nodo Variabili => per la singola variabile => nel gruppo di proprietà Imposta valore => nel menù a tendina della proprietà Gruppo comandi.

Assicurarsi che quest´assegnazione venga configurata sia per le variabili di feedback, che per quelle di comando.

Nota: gli eventuali errori di progettazione verranno elencati nella finestra di emissione dell´Editor di zenon al momento della compilazione del progetto. A Runtime, i comandi configurati in modo erroneo o incompleto non verranno richiamati per le variabili interessate.

Per le variabili di feedback e di comando, il valore impostabile può essere settato solamente tramite i “Comandi”, e non più direttamente tramite elementi dinamici. Quando si configurano gli elementi d'immagine tramite cui l´utente inizializza i “comandi”, per la proprietà Imposta valore tramite deve essere impostato il valore Comandi, oppure si deve collegare un menù contestuale. Si consiglia di usare a questo scopo gli elementi d'immagine collegati alla variabile di feedback (e non a quella di comando). In questo modo si garantisce la disponibilità di tutte le azione del gruppo comandi (a condizione che l´utente sia in possesso delle autorizzazioni necessarie).

Nota: l´elemento d´immagine può essere utilizzato anche quando la variabile di feedback è "read-only", per esempio di un PLC IEC 60870. Un elemento combinato con il simbolo di un interruttore può inizializzare il comando, anche se la variabile di feedback non è modificabile. La posizione dell´interruttore (aperto/chiuso) corrisponde al valore della variabile di feedback.

I valori delle variabili di comando possono essere scritti anche direttamente, nonostante ci sia un comando collegato:

  • Via RGM.
  • Via API
  • In zenon Logic, quando la proprietà Visibile esternamente è attivata (Gruppo “Impostazioni esterne” delle proprietà della variabile).

In questo caso, i “comandi” verranno ingnorati.

info Info

Se una variabile è collegata ad un gruppo comandi, non è possibile scrivere valori su questa variabile con la funzione Imposta valore di zenon.

Eccezione: se nello stesso gruppo comandi è stata creata anche un´azione Impostazione valore con la direzione di switch Imposta valore, la funzione di zenon attiva questa azione in background, senza che venga aperta l´immagine Comandi. Questo significa che le condizioni di comando vengono analizzate. Una condizione di interblocco in attesa impedisce la scrittura di un valore impostabile. Durante l´esecuzione dell´azione, il bit di stato NET_SEL non viene settato e la proprietà della variabile Select Before Operate viene ignorata.

Questo vale anche per l´inserimento di valore di una variabile collegata ad un elemento d'immagine dinamico quando per la proprietà Imposta valore tramite è stata selezionata l´opzione Elemento.

Esempio generale

Per il gruppo comando "DPI one stage” è stato configurato il nome della variabile di feedback *_RV, e per le azioni di switch di questo gruppo, si è configurato il nome della variabile di comando *_CO.

Nel progetto SCADA, sono state configurate variabili con il nome ied9_100_RV (posizione dell´interruttore) e ied9_100_CO (comando per l´interruttore). La variabile ied9_100_RV è stata collegata con un elemento d'immagine, per la cui proprietà Imposta valore tramite è stato settato il valore Comandi.

Nella proprietà Gruppo comandi (gruppo “Imposta valore”) delle due variabili ied9_100_RV e ied9_100_CO, collegare il gruppo comando"DPI one stage". A Runtime, la rispettiva wildcard * verrà sostituita con "ied9_100.

Anche altre variabili (per es. ied9_101_RV e ied9_101_CO ecc.) potranno essere collegate a questo gruppo comando. A Runtime, poi, i gruppi comandi vengono istanziati più volte e possono essere gestiti indipendentemente.

Inoltre, anche le variabili facoltative delle condizioni di comando e del rilevamento di intervento sezionatore possono essere configurate con il placeholder *, per es. X01: *_EnableClose.

info Info

A causa del differente uso di valori limite/matrici di reazione per la variabile di comando / variabile di feedback, possono essere visualizzati testi di switch individuali per le azioni. Questo dipende sempre da qual è la variabile su cui viene eseguita l'azione desiderata.

Ancora in questo capitolo

Valori limite e matrici di reazione per testi di direzione di switch

Variabili comuni a più progetti


Valori limite e matrici di reazione per testi di direzione di switch

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Variabili del "Gruppo comandi" -> Valori limite e matrici di reazione per testi di direzione di switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I “Comandi” utilizzano i testi di valore limite delle variabili di comando per la visualizzazione della direzione di switchnell´immagine “comandi” e nel menù contestuale.

Esempio: durante l´esecuzione di un comando nella configurazione a due livelli, per le azioni di tipo Comando viene visualizzato nell´elemento di controllo Direzione di switch un testo corrispondente. Questi testi possono essere definiti tramite i valori limite, oppure gli stati delle matrici di reazione.

Particolarmente in menù contestuali, questi testi consentono all'utente di comprendere meglio, o di avere una visione d´insieme migliore delle azioni che sono a sua disposizione a Runtime (per es. 'Comando: Apri sezionatore).

In questo modo si ha la possibilità di assegnare testi differenti ad ogni variabile che usa uno stesso gruppo comandi. Più coppie di variabili (variabile di feedback e variabile di comando) possono utilizzare lo stesso gruppo comandi, e, nonostante questo, essere rappresentate in modo individuale.

Se non sono stati creati valori limite per una variabile, e non è stata collegata nessuna matrice di reazione, l´azione usa un testo standard:

Direzione di switch dell´azione | Testo standard
Nessuno | @NONE
OFF | @OFF
ON | @ON
DIFF | @INTER
DIST | @FAULT
DIR | @DIR

info Info

Essendo letti dalle impostazioni relative al valore limite, i testi di direzione di switch sono anche traducibili.


Variabili comuni a più progetti

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Variabili del "Gruppo comandi" -> Variabili comuni a più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Le variabili usate nei gruppi comandi devono trovarsi nello stesso progetto perché il modulo "Comandi" funzioni correttamente.

Se, però, si usa una variabile di un altro progetto (per esempio di un progetto subordinato nella gestione multi-progetto), si presuppone che il gruppo comandi, la variabile di feedback, la variabile di comando e l'immagine specifica per l'azione (di tipo 'Comandi') esistano anche in questo altro progetto.

info Info

Tuttavia si possono usare anche variabili comuni a più progetti per gli interblocchi causati dal processo. Le limitazioni di cui sopra valgono solo per le variabili del gruppo comandi.


Configurare i “Comandi”

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´albero di progetto, selezionare la voce Comandi. Nel menù contestuale, selezionare la voce Nuovo gruppo comandi.

Dopo essere stato creato, il nuovo gruppo comandi viene aggiunto alla visuale dettagliata del Manager di progetto con il nome standard "Gruppo comando + Indice". L´indice viene sostituito da un numero progressivo.

Nota: questo nome serve ad identificare il gruppo comandi in modo univoco nell'ambito del sistema.

info Info

L'utente ha piena libertà di assegnare ai gruppi comandi i nomi da lui desiderati. Tuttavia, bisogna fare in modo che questi nomi siano univoci nell'ambito del progetto: questo vale per gli interblocchi generali e per i gruppi comandi.

Per i gruppi comandi sono a disposizione i seguenti parametri:

Parametri

Descrizione

Nome

Nome del gruppo comandi. Deve essere univoco nel progetto per tutti gli interblocchi. Questo nome verrà poi visualizzato per la variabile che usa questo gruppo comandi.

Il gruppo comandi può essere rinominato in qualsiasi momento.

Nome variabile di feedback

Nome della variabile o della maschera per la sostituzione della variabile di feedback.

Una wildcard che si trova in questo nome * (asterisco) serve da placeholder per il testo di sostituzione.

Esempio:

  • *_RV
  • */stVal[ST]

Nel nome della variabile si può utilizzare solamente un placeholder.

Attenzione: se il campo destinato al nome della variabile di feedback rimane vuoto, oppure la variabile qui utilizzata (sostituita o assoluta) non esiste al momento della compilazione, questo gruppo comandi non sarà disponibile a Runtime. In questo caso, durante il processo di compilazione verrà visualizzato un messaggio di errore nella finestra di emissione.

Imposta stato di avanzamento

Se questa proprietà è attivata, viene settato il bit di stato In funzione (PROGRESS) per le azioni Comando e Correzione manuale Su quale valore viene settato questo bit di stato, dipende dalla direzione di switch dell'azione.

Il bit di stato viene settato sul valore 1 se:

  • La Stato-Feedback/Direzione Switch dell´azione sono ON o OFF.
  • La variabile di feedback non ha già il valore della direzione di switch impostata.

Il bit di stato viene settato quando vengono analizzati gli interblocchi e rimane finché l´esecuzione dell´azione non è stata completata.
Questo implica anche che, in caso di Select Before Operate, lo stato PROGRESS viene settato solo dopo un 'Select' riuscito (SE+COT_actcon), e poi rimane settato durante il watchdog timer o il ritardo fronte.

Se si inizializza l´esecuzione dell´azione mediante un menù contestuale, oppure l´azione è ad un livello, anche il bit di stato viene settato in modo corrispondente.

Watchdog timer

Questo menù a tendina offre le seguenti opzioni:

  • Nessuno:
    Il watchdog timer è disattivato. Tuttavia, in caso di Select Before Operate, il sistema attende la conferma di 'Select' (SE+COT_actcon) e verifica anche che 'Select' sia stato portato a termine (il PLC ha reagito a 'Execute' COT_act nel tempo previsto). Se 'Select' non è stato ancora portato a termine, il 'Select' viene disattivato - e viene inviato un 'Cancel' (SE+COT_deact).
  • Solo tramite variabile di feedback:
    Il valore della variabile di feedback (RV) viene utilizzato per verificare se il processo è stato eseguito con successo.
  • Solo tramite Cause of transmision:
    I bit di stato Cause of Transmission (COT) della variabile di comando vengono usati per verificare se il processo è stato portato a termine con successo.
  • Tramite COT e RV:
    Tutte e due le condizioni descritte sopra.

Immagine Modale

Se quest'opzione è abilitata, l'immagine verrà visualizzata come immagine modale, indipendentemente dalla configurazione della proprietà Dialogo modale dell'immagine (gruppo “Rappresentazione”).

Titolo immagine da variabile feedback

L´Identificazione della variabile di feedback viene visualizzata nel titolo dell'immagine. Ma solamente se l´immagine ha un titolo; quest´ultimo viene configurato nel modello corrispondente.

Il cambio lingua è supportato.

Immagine

Nome dell´immagine da aprire quando i “comandi” vengono inizializzati tramite un elemento d'immagine della variabile di feedback (o variabile di comando).

Nota: le azioni inizializzate tramite menù contestuale aprono (per la conferma del secondo livello o del testo di interblocco) l´immagine che è stata definita nelle proprietà dell´azione. L´immagine collegata in questa sede viene offerta nel menù contestuale solamente se non è stata collegata direttamente nessuna immagine nelle proprietà dell´azione di comando.

Rilevamento di intervento sezionatore

Disponibile solo se è attiva la proprietà Imposta stato di avanzamento.

Attivo: la variabile di feedback viene monitorata per verificare se il suo valore cambia da <> 0 a 0 Il rilevamento setta il bit di stato CD_TRIP (50) sul valore 1 solo se:

  • Il bit di stato CB_TR_I (51) non è 1; in caso contrario il rilevamento viene soppresso.
  • Il bit di stato PROGRESS (10) non è 1; altrimenti il cambio di valore della variabile di feedback è considerato risultato di un proprio comando.

Attenzione: anche quei cambiamenti di valore che sono una conseguenza ritardata di un proprio comando, possono essere riconosciuti come un intervento sezionatore. Questo succede se il bit PROGRESS è stato già cancellato, oppure se l´azione non supporta il Watchdog timer .

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il rilevamento di un intervento sezionatore. Cliccando sul pulsante ... si apre l´Editor delle formule.

Per la formula possono essere usate tutte le variabili del nodo Variabili del gruppo comandi. Possono essere usate variabili di tutti i progetti caricati a Runtime. Sono possibili anche sostituzioni di nome con '*' - come per la definizione delle condizioni di interblocco di un´azione.

La soppressione setta il bit di stato CB_TR_I (51) sul valore 1.

Se il rilevamento è attivo, tutte le variabili il cui stato o valore viene usato nella formula per il rilevamento stesso, vengono attivate per la lettura al momento dello start del programma e dopo il caricamento di tutti i progetti, e rimangono attive finché il Runtime è attivo.

Nota: le variabili utilizzate nella formula, non possono essere cancellate dalla lista delle variabili collegate al gruppo comandi.

info Info

Le variabili di feedback e di comando non devono essere necessariamente inserite nella lista delle variabili collegate al gruppo comandi. Bisogna solamente configurarne il nome nelle proprietà del gruppo comandi e nell´azione.

Ancora in questo capitolo

I “Comandi” nella progettazione multiutente

Creare un´azione

Tipi di azione

Uso delle azioni

Condizioni di comando

Editor delle formule


I “Comandi” nella progettazione multiutente

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> I “Comandi” nella progettazione multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Info

Visto che le condizioni di comando e gli interblocchi generali (funzionalità standard - senza Energy Edition) sono salvati nella stessa struttura nell´Editor di zenon, il simbolo di Check-Out (Rendi possibile le modifiche) è settato esattamente nello stesso modo per entrambi i nodi nell´albero di progetto. Tutte le azioni sulle condizioni di comando riguardano anche gli interblocchi generali e viceversa.

Le variabili contrassegnate come cancellate, vengono considerate inesistenti per la compilazione delle condizioni comando. Durante il processo di compilazione, vengono visualizzati messaggi di errore corrispondenti nella finestra di emissione dell´Editor di zenon.


Creare un´azione

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Creare un´azione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le azioni rappresentano i possibili comandi di switch per i gruppi comandi. Per creare una nuova azione, selezionare l´elemento Azioni nella visualizzazione dettagli di un gruppo comandi e poi cliccare con il tasto destro del mouse. Si apre un menù a tendina nel quale si può selezionare una nuova azione. Una volta creata la nuova azione, i dettagli che la riguardano vengono visualizzati anche nella visualizzazione dettagli (per es. "Comando persistente: *_BE [EIN,1]").

Le ulteriori impostazioni riguardanti la nuova azione vengono poi definite nella finestra delle proprietà. Si vedrà che alcune proprietà sono disabilitate; questo dipende dal tipo di azione che si sta configurando.

Per un azione di comando sono a disposizione le seguenti proprietà:

Parametri

Descrizione

Impostazioni azioni

Variabile

Variabile su cui si scrive. Per alcune azioni, questa variabile è la variabile di feedback. In questo caso, il campo corrispondente sarà bloccato.

La sequenza di caratteri '*’ all´interno del nome serve da placeholder per il testo di sostituzione. Nel nome della variabile si può utilizzare solamente un placeholder.

Se la variabile utilizzata qui (sostituita o assoluta) non esiste al momento della compilazione, questa azione non sarà disponibile a Runtime. In questo caso, durante il processo di compilazione verrà visualizzato un corrispondente messaggio di errore.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Default: nessuna attribuzione.

Tipo

Indica il tipo di comando. Questo campo è abilitato alla modifica solamente per il tipo di azione Comando; le impostazioni fra cui si può scegliere sono comando persistente oppure comando impulsivo.

Default: Comando persistente

Stato-Feedback/Direzione Switch

Definisce il valore e lo stato atteso della variabile di feedback dopo l'esecuzione dell'azione.

Bloccato per le azioni Blocco, Nuovo blocco accesso e Rilascio.

Default: il valore di Default dipende dall´azione di comando scelta.

Stato comandi

Definisce il valore che viene scritto sulla variabile di comando con l'azione Comando.

Nota: questo campo è abilitato alla modifica solamente per le azioni di comando comando persistente e comando impulsivo, comando automatico/remoto e comando forzato.

Default: 0

Ritardo fronte

Tempo espresso in millisecondi per il quale viene ritardato il reset del valore per un comando impulso.

Nota: questo campo è abilitato alla modifica per l´azione comando impulsivo.
Il sistema non attende che il watchdog timer sia terminato.

Default: 1000 ms

Imposta valore

Definisce il valore che viene scritto sul PLC.

Nota: questo campo è abilitato alla modifica solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR.

Stati modificabili

Lista dei bit di stato modificabili con l´azione Modifica stati.

Nota: questo campo è abilitato alla modifica solo per l'azione Modifica stati.

Default: nessuno modificabile

Immagine di comando

Immagine

Immagine di tipo Comandi utilizzata quando l´esecuzione dell´azione viene inizializzata tramite il menù contestuale dell´elemento. Se non si indicata qui nessuna immagine, il sistema userà quella che è stata configurata nella proprietà Immagine del gruppo comandi. Se si indica un´immagine creata, ma non disponibile, verrà visualizzato un messaggio di errore quando si creano i file Runtime. In questo caso, l´azione non verrà applicata.

Default: nessuna.

Nota: se il modulo "Comandi" viene attivato usando un elemento dinamico d´immagine, questa proprietà verrà ignorata e verrà sempre utilizzata l´immagine configurata nella proprietà Immagine del gruppo comando.
Il campo non è abilitato alla modifica per il tipo di azione comando automatico/remoto.

Sostituzione in immagine

Regola di sostituzione per immagini del tipo “Comandi”. in questa proprietà si configura la destinazione della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate da un punto e virgola (;). Le sostituzioni configurate vengono eseguite procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di comando, non verrà eseguita nessuna sostituzione. Non si differenzia fra lettere maiuscole e minuscole.

Pulsante di comando

Assegnazione dell´azione ad un pulsante di azione. I pulsanti di azione vengono progettati in un´immagine di tipo “Comandi”. Se il gruppo comandi viene usato con un'altra immagine (per es. mediante una funzione), l'attribuzione al pulsante d'azione viene mantenuta lo stesso. In altre parole: l'azione è sempre collegata al pulsante con l'ID d´azione assegnato. Se manca questo pulsante nell´immagine, l'azione non sarà disponibile nell'immagine stessa. Nel menù a tendina di questa proprietà sono visualizzati solamente i pulsanti d'azione che non sono stati ancora assegnati.

Quest'impostazione è bloccata se non è stata assegnata nessuna immagine al gruppo comandi, oppure per il tipo di azione Blocco.

Default: nessuna attribuzione.

Comparazione valore Attuale/Nominale

Se quest'opzione è abilitata, il sistema verifica se il valore della variabile di feedback corrisponde già al valore impostato per la Stato-Feedback/Direzione Switch . In questo caso, verrà visualizzato un messaggio di interblocco sbloccabile.

Nota: questa opzione è attiva solamente per il tipo di azione Comando

Default: non attiva.

Eseguibile solo se impostato <> attuale

Disattiva un pulsante di azione nell´immagine “Comandi” se il valore della variabile di feedback corrisponde già al valore impostabile. Se cambia il valore della variabile di feedback, il pulsante di azione corrispondente diventa di nuovo attivo.
La stessa cosa vale anche per le voci di menù contestuale. In questo caso, non viene visualizzata nel menù la corrispondente azione di comando.

Nota: questa proprietà è disponibile solamente se la proprietà Comparazione valore Attuale/Nominale è attiva, e solo per l´azione Comando(comando persistente o comando impulso).

Default: non attiva.

Doppio-livello

Se quest'opzione è attiva, l'azione verrà eseguita a Runtime solo dopo che è sarà usato l´elemento di controllo "Esegui 2° stadio. Se quest´opzione non è attiva, l'azione verrà eseguita subito dopo lo sblocco dell'ultimo interblocco, oppure immediatamente se non c'è nessun interblocco in attesa.

Nota: bloccata per le azioni blocco e comando automatico/remoto .

Default: attiva.

Comando a due mani
  • Attivo: l´elemento di controllo Esegui 2° stadio viene attivato solo se si tiene premuto il tasto Ctrl .
    Nelle applicazioni Multi-Touch, i due punti di pressione devono essere su due immagini distinte, basate su un proprio modello.

Quest´opzione non è disponibile se per l´esecuzione dell´azione non è stata attivata l´opzione “Doppio-livello”.

Nota: per l´elemento di controllo Esegui 2° stadio, la proprietà selezionabile tramite lazo (gruppo “Runtime” delle proprietà dell´elemento) non deve essere attiva quando è stata attivata l´opzione “Comando a due mani”.

Default: non attiva.

Chiusura automatica

Se quest'opzione è attivata, l'immagine verrà chiusa automaticamente dopo l'esecuzione dell'azione.

Nota: non è disponibile per il tipo di azione comando automatico/remoto.

Default: non attiva.

ID menu

Il menù ID viene usato a Runtime per la creazione di menù contestuali.

Nota: se a due azioni viene assegnato lo stesso ID, nella struttura ad albero queste azioni saranno contrassegnate da un simbolo speciale. Non potranno essere attivate con il menù contestuale.

Nome comando

Nome liberamente attribuibile all´azione di comando.

A Runtime, questo nome può essere visualizzato per il modulo Comandi tramite l´immagine “Comandi”.

Nel modulo Sequenze di comando, questo nome viene usato per il passaggio (step).

Sequenze di comando

Configurazioni per il modulo Sequenze di comando.

Opzioni

Sopprimi inserimento CEL

Se quest'opzione è attiva, l'esecuzione dell'azione non provocherà nessun inserimento nella CEL.

Default: non attivo.

Timeout

Timeout per il watchdog timer in secondi, per i tipi di azione comando persistente e comando impulso.

Questa impostazione vale anche come timeout per Select.

L'unità di misura sono i secondi.

Questa opzione è disponibile solamente per le azioni di comando Comando, Comando automatico/remoto, Richiedi valore di feedback, Impostazione valore e Comando forzato.

Default: 30

Interruzione Timeout

Consente di interrompere lo scorrere del timeout per il watchdog timer.

Questa opzione è disponibile solamente per le azioni di comando Comando e Impostazione valore.

Se il comando è già in esecuzione (dopo che il sistema ha ricevuto COT_actcon), il watchdog timer potrà essere terminato usando il pulsante Annulla.

Dopodiché, per esempio, i pulsanti saranno di nuovo attivi e disponibili all´uso.

Nota: non tutti i driver supportano questa disattivazione durante il processo di esecuzione. In quest´ultimo caso, non verrà inviato un Cancel al PLC, ma verrà solo interrotta l´azione.

Utilizza qualificatore di comando

Consente di fornire ai comandi un´informazione addizionale (Qualifier of Command). Requisito: anche il driver deve supportare questa possibilità. I possibili driver sono, ad esempio, IEC850, IEC870 e DNP3.

Questa opzione è disponibile solamente per le azioni Comando, Comando automatico/remoto e Comando forzato.

Default: non attivo.

Qualificatore di comando

Inserimento di un valore numerico che viene inviato al driver come parametro di comando. Questa opzione è disponibile solo se la proprietà Utilizza qualificatore di comando è attiva.

  • Intervallo di input: 0 - 127
  • Default: 0

attention Attenzione

L'identificazione dei tipi di azione nella proprietà ID menu deve essere univoca per essere identificabile nel menù contestuale senza possibilità di errore. Se due azioni hanno lo stesso ID, vengono contrassegnate nella struttura ad albero da un simbolo speciale M.

Tipp Suggerimento

Note:

  • Quando si selezionano singole proprietà, si hanno ulteriori informazioni sulle relative funzionalità nell'embedded help.
  • Le azioni e condizioni di comando definite possono essere esportate in XML e importate da XML. Poi potranno essere archiviate in modo molto semplice, o utilizzate in altre applicazioni.
  • Lo stato può essere settato usando il comando Imposta stati.


Tipi di azione

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Tipi di azione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di azione sono le procedure di comando disponibili. A seconda del comando, vengono eseguite diverse operazioni.

Il sistema mette a disposizione una molteplicità di azioni. Per i gruppi comando possono essere definiti i seguenti tipi di azione:

Tipo d´azione:

Nota

Nuovo comando

Comando persistente o comando impulsivo. Il valore della variabile di comando è usato per scrivere lo stato configurato del comando sul PLC.

Nota: il comando persistente è adatto a comandi singoli e doppi con il driver Energy (IEC60870, IEC61850, DNP3).

Nuovo comando auto/remoto

Il comando remoto viene inoltrato dal Process Gateway o dalle API di zenon ai "Comandi" e trattato come un comando persistente.

L´azione non è disponibile né nell´immagine “comandi”, né via menù contestuale.

Nuovo comando forzato

Il tipo di azione Comando forzato consente di settare un comando anche quando la variabile di feedback è vuota, OFF, NT o INVALID .

Nota: l´azione è pensata per arrestare il sistema in caso di emergenza, e deve essere utilizzata con cautela.

Nuova impostazione di valore

Scrive un valore numerico qualsiasi sulla variabile di comando.

Nuova modifica stati

Modifica i bit di stato della variabile di feedback . Vale solo per i bit di stato della lista Stati modificabili.

Nuova sostituzione

Cambia lo stato della variabile di feedback impostandolo sul valore di riserva (ALT_VAL) e scrive un valore di sostituzione sulla variabile di feedback.

Nota: il settaggio della variabile su valori di sostituzione consente di visualizzare il processo con dati raccolti manualmente durante l´intervallo di tempo in cui la comunicazione non funziona, per es via Automatic Line Coloring.

Nuovo stato di revisione

Setta il bit di stato REVISION della variabile di feedback.

Nota: la gestione allarmi viene soppressa nella revisione.

Nuova correzione manuale

Setta il valore della variabile di feedback selezionata in base alla direzione di switch.

Nota: i protocolli di comunicazione del settore Energy (IEC60870, IEC61850, DNP3) escludono la possibilità di scrittura diretta sulla variabile di feedback.

Nuova disattivazione valore

Disattiva la variabile di feedback (bit di stato OFF).

Nota: le variabili disattivate non vengono più lette dall´hardware connesso.

Nuovo rilascio

Setta il bit di stato "Valore di riserva" (ALT_VAL) su 0.

Nota: la conseguenza è che la variabile di feedback avrà di nuovo il valore ricevuto dal PLC.

Richiedi valore di feedback

Analizza lo stato della variabile di feedback senza eseguire nessuna operazione.

Nota: quest´azione è pensata per l´uso nel modulo Sequenze di comando.

Nuovo blocco accesso

La variabile di feedback viene bloccata o sbloccata per ulteriori azioni quando si inserisce un codice di blocco valido.

Nota: nella tabella precedente, i tipi di azione sono elencati nella successione in cui sono offerti nel menù contestuale di zenon. Tuttavia, la successione nella finestra principale è in ordine alfabetico.

Nella visualizzazione dettagli del modulo "Comandi", le azioni vengono visualizzate in una struttura ad albero con la corrispondente direzione di switch e con il valore configurato dell´azione.

attention Attenzione

L'identificazione dei tipi di azioni nella proprietà ID menu deve essere univoca per essere identificabile nel menù contestuale senza possibilità di errore. Se due azioni hanno lo stesso ID, vengono contrassegnate nella struttura ad albero mediante un simbolo speciale M.

Ancora in questo capitolo

Tipo di azione "Comando"

Tipo di azione "Comando automatico/remoto"

Tipo di azione "Comando forzato"

Tipo di azione "Impostazione valore"

Tipo di azione "Modifica di stato"

Tipo di azione "Sostituzione"

Tipo di azione "Stato di revisione"

Tipo di azione "Correzione manuale"

Tipo di azione "Blocco"

Tipo di azione "Rilascio"

Richiedi valore di feedback

Tipo di azione "Blocco"


Tipo di azione "Comando"

Tipo di azione "Comando"

Questo Tipo viene utilizzato (a seconda della configurazione) come Comando persistente , o Comando impulso .

Quando il comando viene eseguito, un valore (0 o 1) viene scritto sulla variabile di comando. Il valore da scrivere viene configurato con la proprietà Stato comandi .

Questo tipo di azione supporta Select Before Operate e il Watchdog timer. Select Before Operate dipende dalla configurazione della corrispondente proprietà della variabile di comando e dal driver.

A seconda del tipo configurato (per es. solo tramite variabile di feedback), il Watchdog timer può verificare anche se la variabile di feedback cambia il valore in modo corrispondente al comando. Quale valore il watchdog timer deve attendere per la variabile di feedback come risultato dell´esecuzione del comando, si configura nella proprietà Stato-Feedback/Direzione Switch (On/Off/nessuno):

Direzione di switch

Valore della variabile di feedback dopo l´esecuzione del comando.

Nessuna

Non è previsto nessun determinato cambio di valore. L´azione viene terminata quando il Timeout configurato è scaduto.

Nota: Il Watchdog timer può essere attivato comunque per prendere in considerazione la Cause of transmission(COT).

OFF

L´azione attende il valore 0.

Se il valore della variabile di feedback è 0 già prima dell´esecuzione dell´azione, verrà segnalata una condizione di interblocco interna se è attiva la proprietà Comparazione valore Attuale/Nominale.

Nota: se il watchdog timer è stato configurato con i valori Nessuno, oppure solo tramite Cause of transmission, il sistema non attenderà il valore della variabile di feedback.

ON

L´azione attende il valore 1 e (in conformità a Comparazione valore Attuale/Nominale) è comparata al valore 1.

Nel caso dei comandi impulso , un valore viene inviato due volte sul PLC. La seconda volta, dopo il configurato Ritardo fronte, c'è un reset automatico a 0 o a 1 ((a seconda di come è stata configurata la proprietà Stato-Feedback/Direzione Switch). Tuttavia, questo non si verifica se è stata attivata la proprietà Select Before Operate nelle proprietà della variabile di comando. I protocolli Energy non consentono di usare un Select con comandi impulso. Se è stata attivata la proprietà Select Before Operate per la variabile di comando, un comando impulso si comporta come un comando persistente.

Attenzione: il comando impulsivo non è consigliato per i driver Energy. Il comando impulsivo dovrebbe essere usato solo con un PLC che attende un impulso invece di un fronte.

info Nota

Se, durante l'esecuzione dell'azione, il valore attuale della variabile di feedback è diverso da quello definito nella direzione di switch, e quest'ultima è stata configurata On oppure Off, può venire settato il bit di stato In corso ( PROGRESS ) per la durata del watchdog timer. A questo scopo, attivare la proprietà Imposta stato di avanzamento del gruppo comandi.


Tipo di azione "Comando automatico/remoto"

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Tipi di azione -> Tipo di azione "Comando automatico/remoto"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipo di azione "Comando automatico/remoto"

Il comando remoto (via Process Gateway, VBA ecc.) viene inoltrato ai "Comandi" di zenon, che svolge l´intera procedura (verifica degli interblocchi, inoltro al driver, feedback, ecc.) come per un Comando persistente .

Al comando non si può accedere né tramite l´immagine “Comandi”, né via menù contestuale.

Il comando viene supportato solo se preceduto da un Select . Per la variabile di comando deve essere stata attivata la proprietà Select Before Operate.

Quando il Runtime viene chiuso, o viene eseguito un reload, ogni Select già settato, viene ignorato. Si prega di tener presente: un master connesso via Process Gateway, non riceve nessuna notifica. Per il master sul Process Gateway si deve realizzare una configurazione propria del Process Gateway (via file INI). Si può aggirare questo problema (per esempio) con una configurazione per l´interruzione della connessione.

Servendosi dell´interfaccia VBA, si possono usare il metodo IVariable::SetValueWithStatusEx e i bit di stato da trasferire per definire se la scrittura deve essere eseguita direttamente tramite programmazione VBA o tramite il modulo "Comandi". Se il bit di stato NET_SEL (Bit 8) è già settato (per es. l´immagine “comandi” è aperta), il comando non viene eseguito. Se il bit di stato non è settato, viene settato e la scrittura viene eseguita tramite il modulo "comandi", oppure vengono inoltrati comandi al modulo "comandi". Il valore di feedback del metodo informa se è stato attivato il modulo "Comandi", oppure se è stato eseguito il comando.

Trasferimento del bit di stato della variabile di comando al metodo:

  • SE_870 + COT_act(6) - Select activation
    Determina l´azione di comando da eseguire e attiva il modulo "comandi". Il valore di feedback del metodo informa se questo è possibile è possibile.
  • SE_870 + COT_deact(8) - Deactivation (Cancel)
    Il comando attualmente attivo viene disattivato.
  • COT_act(6) - Activation (Operate/Execute)
    Execute per i comandi viene eseguito.

Perché il metodo possa eseguire i comandi, deve esistere un´azione Comando remoto, la cui direzione di switch corrisponda al valore impostabile trasferito. Il valore effettivamente scritto sul driver, Select ecc, risulta dalle proprietà dell´azione.

Nota: se un interblocco diventa attivo, viene generato un inserimento (traducibile) nella CEL con il testo configurato.

info Info

Ulteriori informazioni a questo proposito si trovano nel capitolo Select before Operate, nella parte della guida dedicata al Process Gateway IEC870 Slave.


Tipo di azione "Comando forzato"

Tipo di azione "Comando forzato"

Il tipo di azione Comando forzato consente di settare un comando anche se la variabile di feedback è vuota, OFF, Not topical oppure INVALID. Questo tipo di azione è pensato per arresti del sistema in caso di emergenza.

Non possono essere create condizioni di interblocco per il comando forzato, perché non è possibile garantire che le variabili di condizione abbiano un valore valido a Runtime.

Nota: il comando forzato corrisponde ad un comando persistente senza condizioni.

attention Attenzione

Una configurazione imprecisa o erronea di un comando forzato può avere delle conseguenze drammatiche per l´impianto a Runtime. Si raccomanda di usare questo comando solo con cautela e prendere le dovute precauzioni limitandone l´uso mediante autorizzazioni utente.


Tipo di azione "Impostazione valore"

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Tipi di azione -> Tipo di azione "Impostazione valore"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipo di azione "Impostazione valore"

Il tipo di azione Impostazione valore offre la possibilità di scrivere un qualsiasi valore numerico sulla variabile di comando. L´immagine di tipo Comandi offre elementi di controllo specifici che consentono di settare il valore impostabile anche manualmente. Per mezzo della proprietà Stato-Feedback/Direzione Switch si definisce come va settato il valore impostabile:

Direzione di switch

Valore della variabile di feedback

DIR

Il valore impostabile viene settato direttamente. Il valore da settare viene definito tramite la proprietà Imposta valore dell´azione.

Il testo da visualizzare può essere configurato usando un valore limite/una matrice di reazione per lo stato/il valore 5. Se non si configura un testo, il sistema utilizzerà un testo standard.

Comparazione valore Attuale/Nominale non è supportata.

L´azione può essere eseguita più volte successivamente.

Imposta valore

Il valore dell´elemento di controllo Valore impostabile dell´immagine “Comandi” viene scritto sulla variabile di comando.

In caso di esecuzione one-step, il valore viene scritto quando si preme il tasto Esegui, oppure quando si preme il pulsante di azione (se configurato).
In caso di esecuzione two-step, il valore viene scritto quando si preme il tasto Esegui 2a fase.

Questo tipo di azione, per DIR, supporta Select Before Operate.

info Info

Se una variabile è collegata ad un gruppo comandi, non è possibile scrivere valori su questa variabile con la funzione Imposta valore di zenon.

Eccezione: se nello stesso gruppo comandi è stata creata anche un´azione Impostazione valore con la direzione di switch Imposta valore, la funzione di zenon attiva questa azione in background, senza che venga aperta l´immagine Comandi. Questo significa che le condizioni di comando vengono analizzate. Una condizione di interblocco in attesa impedisce la scrittura di un valore impostabile. Durante l´esecuzione dell´azione, il bit di stato NET_SEL non viene settato e la proprietà della variabile Select Before Operate viene ignorata.

Questo vale anche per l´inserimento di valore di una variabile collegata ad un elemento d'immagine dinamico quando per la proprietà Imposta valore tramite è stata selezionata l´opzione Elemento.

Ulteriori informazioni a questo proposito si trovano nel capitolo Uso delle azioni.

attention Attenzione

Quando il valore impostabile vene scritto con la direzione di switch DIR, il sistema non analizza né i limiti delle variabili collegate, né controlla se è consentito settare un valore impostabile per questa variabile.


Tipo di azione "Modifica di stato"

Tipo di azione "Modifica di stato"

Modifica i bit di stato della variabile di feedback. A seconda della direzione di switch definita, viene eseguita la seguente operazione:

Direzione di switch

Azione

OFF

I bit di stato configurati nella lista Stati modificabili vengono resettati tutti a 0.

ON

I bit di stato configurati nella lista Stati modificabili vengono settati tutti a 1 (attivi).

Nessuno

I bit di stato configurati nella lista Stati modificabili devono essere definiti a Runtime, nell´immagine “Comandi”, tramite l´elemento di controllo Settare lo stato. Nell'elemento di controllo, ogni bit di stato viene definito singolarmente per mezzo della relativa checkbox.

  • Nel caso di esecuzione ad un livello, i bit di stato vengono settati quando si preme il pulsante Esegui, oppure quando si preme il pulsante di azione (se progettato).
  • Nel caso di esecuzione a due livelli, i bit di stato vengono settati quando si preme il pulsante Esegui 2° livello.

Quando si cambia un bit di stato a Runtime, la modifica viene registrata nella Lista eventi cronologica (stato compreso valore). La lingua in cui sono visualizzati questi messaggi può essere cambiata a Runtime.

info Info

Con tutte le indicazioni di stato, c´è sempre un´operazione di scrittura della variabile di feedback.

info Info

Se un interruttore viene bloccato tramite l´azione Blocco, viene settato il bit di stato M1 della variabile di feedback.

Anche i bit di stato OFF e REVISION sono trattati in altre azioni.

Inoltre, i bit di stato CB_TRIP e CB_TR_I rispecchiano i risultati restituiti dalla proprietà Rilevamento di intervento sezionatore del Gruppo comando.


Tipo di azione "Sostituzione"

Tipo di azione "Sostituzione"

Il valore di processo di un interruttore gestito in modo remoto viene sostituito temporaneamente (per es. a causa di una revisione, lavori di manutenzione, interruzione costante della comunicazione, ecc.) da un valore di riserva.

La variabile di feedback viene settata sullo stato Valore di riserva ( ALT_VAL ). Inoltre il valore definito dalla direzione di switch viene scritto sulla variabile di feedback.

Direzione di switch | Valore di riserva
OFF | 0
ON | 1
DIFF | 2
DIST | 3
Nessuno | 4

Il valore di riserva non viene inviato all´hardware connesso. Serve solo alla sostituzione dei valori sulla base di informazioni raccolte manualmente.

Tipp Suggerimento

Facendo passare la variabile di feedback a valori di riserva, è possibile visualizzare lo stato topologico attuale della rete in ALC mentre il sistema SCADA è disconnesso dal processo.


Tipo di azione "Stato di revisione"

Tipo di azione "Stato di revisione"

Setta il valore per il bit di stato Revision della variabile di feedback. Questo valore viene configurato nella proprietà Stato-Feedback/Direzione Switch.

Direzione di switch | Stato
OFF | Setta a 0
ON | Setta a 1


Tipo di azione "Correzione manuale"

Tipo di azione "Correzione manuale"

Il tipo di azione Correzione manuale setta il valore della variabile di feedback in base all´impostazione configurata per la Direzione di switch.

Nota: i protocolli di comunicazione del settore Energy (IEC60870, IEC61850, DNP3) escludono la possibilità di scrittura diretta sulla variabile di feedback. L'azione non potrà essere eseguita con successo in questi driver! Per eseguire un comando, il sistema attende che venga settato il valore su una variabile di comando.

Direzione di switch

Azione

OFF

0

ON

1

DIFF

2

DIST

3

DIR

Il valore impostabile viene scritto direttamente. Si definisce il valore da settare usando la proprietà Imposta valore.

Il testo da visualizzare può essere configurato usando un valore limite/una matrice di reazione per lo stato/il valore 5. Se non si configura un testo, il sistema utilizza un testo standard.

La proprietà Comparazione valore Attuale/Nominale non è supportata per questo tipo di azione. L´azione può essere eseguita più volte successivamente.

Imposta valore

Il valore dell'elemento di controllo Imposta valore nell´immagine "comandi" viene scritto sulla variabile di feedback.

attention Attenzione

Quando il valore impostabile vene scritto direttamente, non si verificano i limiti delle variabili collegate, né si controlla se il settaggio del valore impostabile è permesso per questa variabile.

info Info

Il bit di stato In costruzione (PROGRESS) viene settato se:

  • Durante l'esecuzione dell´azione, il valore attuale della variabile di feedback è diverso da quello impostato nella direzione di switch
  • La direzione di switch è stata configurata con i valori On o Off.

Correzione manuale

Correzione manuale significa una modifica manuale di set point non remoto in zenon. La correzione manuale avviene di solito su una variabile senza relazione con il processo. Non ci dovrebbe essere mai un bit invalid attivo per tali variabili. È possibile, ma non è sensato, correggere manualmente una variabile con una relazione con il processo! Il PLC sovrascriverà questo valore.

Comportamento:

Dal punto di vista del driver, la correzione manuale è una normale operazione di settaggio di valore impostabile.

Al contrario - Azione: Sostituisci

Il valore di processo di un interruttore controllato in modo remoto viene sostituito temporaneamente (per es. a causa di lavori di manutenzione) da un valore di riserva.


Tipo di azione "Blocco"

Tipo di azione "Blocco"

La variabile di feedback viene disattivata quando si esegue questa azione.

Il bit di stato della variabile di feedback viene settato su OFF. Le variabili disattivate non vengono più lette dall´hardware connesso.

Se la variabile di feedback ha già settato il bit di stato OFF, quest´ultimo non viene settato nuovamente quando l´azione viene eseguita di nuovo. Il Runtime riceve dal driver il valore attuale della variabile di feedback.

Nota: questo tipo di azione può essere configurato solamente una volta per ogni gruppo di comandi.


Tipo di azione "Rilascio"

Tipo di azione "Rilascio"

L´azione Rilascio riporta il bit di stato Valore di riserva ( ALT_VAL ) a 0 (non attivo). Se è attivo anche il bit di stato Spento ( OFF ) , anche questo viene settato a 0 (non attivo). Dopo l´esecuzione dell´azione Rilascio, il Runtime riceve dal driver il valore attuale per la variabile di feedback.

L'azione può essere eseguita a Runtime solamente se per la variabile di feedback selezionata è attivo il bit di stato Valore di riserva ( ALT_VAL ) (Valore: 1).

Nota: questo tipo di azione può essere configurato solamente una volta per ogni gruppo di comandi.


Richiedi valore di feedback

Richiedi valore di feedback

L'azione Richiedi valore di feedback serve ad analizzare le variabili per rilevare lo stato ON o OFF.

Mentre viene eseguita l'azione Richiedi valore di feedback, viene sbloccato il tasto standard Annullanell'immagine di tipo Comandi.

Il sistema attende (a seconda dell'impostazione del watchdog timer) finché il valore della variabile di feedback non corrisponde a quello impostato per la proprietà dell'azione direzione di switch. Se il risultato dalla verifica è ON, questo valore è 1; se il risultato è OFF, il valore è 0.

Se non è stato configurato un watchdog timer (Watchdog timer = "Nessuno"), il sistema attende al massimo finché non scade il tempo di attesa configurato (~24 ore). In caso contrario, l'azione viene interrotta e viene settato il bit di stato TIMEOUT per la variabile di feedback.

Se, dopo l'esecuzione dell'azione nell'immagine “Comandi”, le altre azioni non sono disponibili, le ragioni sono le seguenti:

  • Il Timeout per il watchdog timer non è ancora scaduto.
  • La variabile di feedback non ha ancora il valore atteso (il cambio di valore non è stato ancora ricevuto).
  • L'azione non è stata ancora interrotta premendo il tasto Annulla.

info Info

Il tipo di azione Richiedi valore di feedback serve solamente a leggere il valore della variabile di feedback, senza eseguire nessuna operazione.

Quest´azione è pensata per l´uso nel modulo Sequenze di comando.

Se la variabile di feedback ha già il valore della direzione di switch, l'esecuzione dell'azione viene considerata subito come conclusa. Gli altri pulsanti dell'immagine “Comandi” tornano subito ad essere disponibili all'uso.

Nota: anche se la variabile di feedback viene settata sullo stato OFF o Revision , il sistema può verificare il valore di feedback.


Tipo di azione "Blocco"

Tipo di azione "Blocco"

Consente di bloccare una variabile di feedback per le azioni del modulo “Comandi”.

Nota:

  • Questo tipo di azione può essere configurato solamente una volta per ogni gruppo di comandi.
  • Non vengono supportate condizioni di interblocco per questa azione. I blocchi possono essere sempre eseguiti.

info Info

Se si blocca un interruttore usando l´azione Blocco, viene settato il bit di stato M1 della variabile di feedback.

Presupposto di questo è che ci siano degli utenti nel sistema che dispongono di un Codice di blocco configurato nel modulo Gestione user . Bloccare o sbloccare una variabile di feedback è possibile solo quando si inserisce un Codice di blocco corretto.

La stessa variabile può essere bloccata anche parallelamente da diversi utenti. In questo caso, sarà di nuovo possibile eseguire le azioni per la variabile di feedback solo dopo che tutti i blocchi saranno stati rimossi inserendo il Codice di blocco.

Non può essere eseguita nessuna azione, se:

  • Le azioni della variabile di comando utilizzano la variabile bloccata come variabile di feedback (per es. comando persistente)
  • Le azioni della variabile di comando utilizzano la variabile bloccata come variabile di comando (per es. Sostituzione)

Una lista di tutti i blocchi attuali può essere visualizzata nell'immagine “Comandi” mediante un elemento di controllo specifico, Lista bloccata .

Si può definire un Codice di blocco individuale per ogni utente. La configurazione del codice viene eseguita nella finestra delle proprietà di un utente definito in precedenza, tramite la proprietà Codice di blocco:

Si può impostare il Codice di blocco per un utente già esistente anche a Runtime.

A Runtime non possono essere cancellati quegli utenti che hanno ancora un blocco comandi attivo.

attention Attenzione

Si possono cancellare utenti anche nell'ambiente di sviluppo. Questo causerà la perdita di blocchi definiti quando si esegue un riavvio o un reload del Runtime.

Gli utenti bloccati (disattivati) nella Gestione user non possono attivare o disattivare un blocco comandi.

info Info

Le informazioni sui blocchi attivi vengono sincronizzate anche nella rete ridondante e sono quindi a disposizione anche dopo un cambio di server.


Uso delle azioni

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I "Comandi" possono essere attivati nella Energy Edition in diversi modi. L'utente può scegliere quale variante preferisce. È possibile anche applicare simultaneamente (in riferimento ad un elemento) i diversi modi di utilizzo delle azioni:

  • Chiamata tramite una funzione di Cambio ad un'immagine di tipo Comandi.
  • Attivazione tramite elementi d'immagine di tipo Valore numerico, Elemento combinato, Collega testo, Bargraf, Orologio, Slider universale, Strumento analogico, oppure Elemento di stato.
    Perché l'attivazione avvenga, la proprietà Imposta valore tramite dell'elemento deve essere impostata su Comandi.
  • Attivazione tramite un menù contestuale, se la proprietà Tipo ha il valore Comandi. Questa proprietà si trova nel gruppo “Rappresentazione/Tipo” delle proprietà del menù contestuale. Per consentire l'interazione con l´utente (per es. interblocco in attesa), viene aperta l´immagine comandi.
  • Attivazione tramite il moduloSequenze di comando.

Tipp Suggerimento

Collegare sempre ad una variabile di feedback tutti gli elementi d'immagine o le funzioni che attivano i “Comandi”.

Solo il collegamento con una variabile di feedback garantisce che tutte le azioni siano disponibili nell´immagine di tipo Comandi per consentire la gestione a Runtime.

Si sconsiglia espressamente il collegamento con una variabile di comando!

Non appena la variabile è stata collegata ad un gruppo comando, settare direttamente un valore impostabile è possibile solamente usando un´immagine di zenon di tipo Comandi, oppure tramite un menù contestuale di tipo Comandi.
Eccezione: se il gruppo comandi contiene un´azione Impostazione valore con Stato-Feedback/Direzione Switch 'Imposta valore', questa azione viene usata per le variabili di comando (non per quelle di feedback).

Questo accade:

  • Quando si esegue la funzione Imposta valore
  • Quando la chiamata avviene tramite un elemento d'immagine; anche se la proprietà dell´elemento Imposta valore tramite ha il valore Box di dialogo, oppure Elemento.
  • Quando la chiamata avviene tramite un menù contestuale di tipo Imposta valore.

In questo caso, il bit di stato NET_SEL della variabile di feedback non viene preso in considerazione e non viene eseguito nessun Select.

attention Attenzione

Con questo tipo di esecuzione, una condizione di interblocco in attesa nell´azione Impostazione valore impedisce la scrittura di un valore impostabile. Non si ha nessun tipo di interazione con l´utente.

Ancora in questo capitolo

Funzione “Cambio di immagine” per aprire un´immagine di tipo “Comandi”

“Comandi” via elementi d'immagine dinamici

Attivazione dei “Comandi” tramite menù contestuale

Macro per menù contestuale

Messaggi di errore quando viene aperto il menù contestuale

Esecuzione di azioni mediante il menù contestuale

Menù contestuale “Imposta valore”


Funzione “Cambio di immagine” per aprire un´immagine di tipo “Comandi”

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni -> Funzione “Cambio di immagine” per aprire un´immagine di tipo “Comandi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Funzione “Cambio di immagine” per aprire un´immagine di tipo “Comandi”

Se, configurando la funzione di Cambio immagine, si seleziona un´immagine di tipo Comandi, verrà visualizzata una finestra di dialogo con i seguenti parametri:

Parametri

Descrizione

Variabile per definizione comando di immissione

La variabile configurata in questo campo d´inserimento definisce il gruppo comandi da utilizzare. L'immagine determina la variabile di feedback appropriata e l'azione collegata tramite il nome di questa variabile.

Livello di partenza

Definisce lo stadio (stato) in cui verrà aperta l'immagine “Comandi”.

  • Livello 1:
    L'immagine viene aperta e attende la definizione dell'azione e la sua esecuzione. Le azioni devono essere eseguite manualmente dall'utente.
  • Blocco
    L'immagine viene aperta nello stadio per il blocco azione.
    Nota: tenere presente che con questo tipo di “livello partenza”, non tutti gli elementi di controllo configurati nell´immagine saranno visibili. Una panoramica degli elementi di controllo visibili si trova nel capitolo Elementi bloccati o disattivati di questa guida.

attention Attenzione

Se manca l´autorizzazione operativa per la variabile di comando, non sarà possibile eseguire il cambio all´immagine di tipo Comandi.


“Comandi” via elementi d'immagine dinamici

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni -> “Comandi” via elementi d'immagine dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
“Comandi” via elementi d'immagine dinamici

Si può attivare i “Comandi” cliccando (con il tasto sinistro del mouse) su un elemento d'immagine dinamico. Di norma, si tratta di un elemento combinato con il simbolo di un interruttore nella topologia, oppure di un elemento “Valore numerico” che rappresenta il valore della posizione dell´interruttore stesso (0 - OFF, 1 - ON, 3 - disturbato, ecc.). Per l´elemento d´immagine dinamico si dovrebbe:

  • Configurare per la proprietà Imposta valore tramite (gruppo “Imposta valore” delle proprietà dell´elemento) l´opzione Comandi.
  • Collegarlo ad una variabile di feedback (o variabile di comando). Cioè ad una variabile che è stata configurata (tramite la proprietà Gruppo comandi) con un gruppo comandi valido, come ad una variabile di comando adeguata (o variabile di feedback).

L´immagine che deve essere aperta (di tipo Comandi) è definita nel Gruppo comandi della variabile collegata all´elemento. La corrispondente variabile di comando (o variabile di feedback) viene determinata automaticamente a partire dal gruppo comando.

info Info

Se è stata selezionata l´opzione Comandi, sarà aperta l´immagine “Comandi” invece della finestra di dialogo standard Impostazione valore.

I seguenti elementi dinamici supportano l´impostazione Comandi:

  • Bargraf
  • Elemento combinato
  • Elemento di testo
  • Orologio
  • Slider universale
  • Valore numerico
  • Strumento analogico
  • Elemento di stato

Se non è stato definito nessun gruppo comandi per la variabile collegata all'elemento, oppure se la configurazione dei “Comandi” non è valida (per es. incompleta), verrà generato un inserimento di errore nel Diagnosis Viewer. In questo caso l´immagine non verrà aperta.

info Info

Se una variabile è collegata ad un gruppo comandi, non è possibile scrivere valori su questa variabile con la funzione Imposta valore di zenon.

Eccezione: se nello stesso gruppo comandi è stata creata anche un´azione Impostazione valore con la direzione di switch Imposta valore, la funzione di zenon attiva questa azione in background, senza che venga aperta l´immagine Comandi. Questo significa che le condizioni di comando vengono analizzate. Una condizione di interblocco in attesa impedisce la scrittura di un valore impostabile. Durante l´esecuzione dell´azione, il bit di stato NET_SEL non viene settato e la proprietà della variabile Select Before Operate viene ignorata.

Questo vale anche per l´inserimento di valore di una variabile collegata ad un elemento d'immagine dinamico quando per la proprietà Imposta valore tramite è stata selezionata l´opzione Elemento.


Attivazione dei “Comandi” tramite menù contestuale

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni -> Attivazione dei “Comandi” tramite menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Attivazione dei “Comandi” tramite menù contestuale

Il modulo “Comandi” può essere inizializzato anche direttamente sull'elemento mediante un menù contestuale - proprietà Runtime - Menù contestuale. Questo è il metodo di attivazione più usato. In questo contesto, il menù contestuale rappresenta già il primo livello delle azioni a due livelli. Per il secondo livello (Esegui o Annulla), oppure per un interblocco, può essere aperta un´immagine (quella che è stata collegata all´azione).

Il menù deve avere un inserimento per cui è stato configurato tipo di azione Comandi. La visualizzazione delle singole azioni viene definita automaticamente tramite il menù. A seconda del "nome" della voce di menù, si può influenzare in modo selettivo la visualizzazione delle azioni.

Quando si crea una nuova azione nel modulo "Comandi", viene generato un menù ID corrispondente al tipo di azione e alla direzione di switch per la proprietà Tipo di azione; questo ID viene poi visualizzato nel menù a tendina. Se il contenuto corrisponde a un ID definito come testo standard per il tipo di azione e la direzione di switch, questo cambierà quando cambia il tipo di azione o la direzione di switch.

Per creare un menù contestuale per i comandi:

  1. Creare le azioni desiderate nel modulo "Comandi".
  2. Nelle proprietà della voce di menù contestuale, selezionare Tipo di azione Comandi.
  3. Selezionare l´azione e la direzione di switch desiderate usando il menù a tendina della proprietà ID menù.
  4. Assegnare un nome univoco nella proprietà Testo
    Nota: se non si definisce nessun inserimento per la proprietà Testo, il campo di inserimento verrà riempito automaticamente con la denominazione "Comandi".

attention Attenzione

La configurazione della proprietà Testo deve essere univoca. Se si assegna più volte lo stesso testo, le altre voci di menù con lo stesso nome non verranno visualizzate.

Visto che le voci di menù create automaticamente con la stessa azione hanno lo stesso testo, il sistema offre delle macro per queste voci di menù.

La successione di caratteri ID_CMD_AUTO è riservata alle voci di menù generate automaticamente. Queste devono essere usate sempre con macro, perché altrimenti verrà inserita solamente la voce di menù.

Per la verifica dell´esistenza di inserimenti doppi, valgono le seguenti regole:

  • Le voci di menù manuali hanno priorità rispetto a quelle automatiche.
  • Se ci sono voci dello stesso tipo, l´ultimo inserimento ha priorità doppia.
  • Quando trova un inserimento doppio, il sistema genera un messaggio corrispondente nei file LOG. Questo avvertimento contiene l´ID e il nome del menù. Agli inserimenti estesi automaticamente viene aggiunto <auto> all'ID.

Azioni per il Tipo di azione "Comandi"

Azione | Direzione di switch | ID di menù
ID_CMD_AUTO |  | Questa voce di menù visualizza automaticamente tutte le azioni possibili per un elemento, a condizione che non venga già usata una voce di menù diretta della lista.
Comando impulsivo | ON (1) | ID_CMD_EBEF_ON
Comando impulsivo | OFF (1) | ID_CMD_EBEF_OFF
Comando impulsivo | NESSUNO | ID_CMD_EBEF_NONE
Comando persistente | ON (1) | ID_CMD_DBEF_ON
Comando persistente | OFF (2) | ID_CMD_DBEF_OFF
Comando persistente | NESSUNO | ID_CMD_DBEF_NONE
Impostazione valore | NESSUNO | ID_CMD_SVALUE
Impostazione valore | DIR | ID_CMD_SVALUE_DIR
Modifica di stato | NESSUNO | ID_CMD_STATE
Modifica di stato | ON (1) | ID_CMD_STATE_ON
Modifica di stato | OFF (0) | ID_CMD_STATE_OFF
Sostituisci | NESSUNO | ID_CMD_REPL_NONE
Sostituisci | ON (1) | ID_CMD_REPL_ON
Sostituisci | OFF (0) | ID_CMD_REPL_OFF
Sostituisci | DIST | ID_CMD_REPL_DEF
Sostituisci | DIFF | ID_CMD_REPL_DIFF
Correzione manuale | NESSUNO | ID_CMD_UPD_NONE
Correzione manuale | ON (1) | ID_CMD_UPD_ON
Correzione manuale | OFF (0) | ID_CMD_UPD_OFF
Correzione manuale | DIFF | ID_CMD_UPD_DIFF
Correzione manuale | DIST | ID_CMD_UPD_DEF
Correzione manuale | DIR | ID_CMD_UPD_DIR
Blocco | NESSUNO | ID_CMD_BLOCK
Rilascia | NESSUNO | ID_CMD_UNLOCK
Bloccare | NESSUNO | ID_CMD_LOCK
Revisione | OFF (0) | ID_CMD_REV_OFF
Revisione | ON (1) | ID_CMD_REV_ON
Comando forzato | ON (1) | ID_CMD_FORCE_ON
Comando forzato | OFF (0) | ID_CMD_FORCE_OFF
Comando forzato | NESSUNO | ID_CMD_FORCE_NONE

Nomi delle voci di menù del menù contestuale

Creazione automatica

Gli inserimenti creati usando ID_CMD_AUTO, ricevono automaticamente un nome sulla base del seguente schema: 'Nome azione' più 'Valore limite della direzione di switch'.

Creazione manuale dalla tabella

Se le voci di menù sono create a partire dalla tabella, per ogni azione, alla voce "Rappresentazione/Testo", deve essere definito un testo per la voce del menù contestuale.

Nomi per le voci di menù:

  • Comandi
  • Imposta valore
  • Stato
  • Sostituzione
  • Rilascio
  • Correzione manuale
  • Disattivazione Valore
  • Blocco
  • Revisione

Testi azione

Azione | Testo
Comando impulsivo Comando persistente | Il testo viene acquisito dal valore limite, in modo corrispondente alla direzione di switch.
Correzione manuale Sostituzione | Se è definita una direzione di switch (diversa da "nessuno"), viene visualizzato il testo del valore limite in modo corrispondente alla direzione di switch.
Stato | "OFF " o "ON", a seconda della direzione di switch impostata.
Revisione | Testo acquisito dal valore limite in modo corrispondente alla direzione di switch.
Altro | Non viene visualizzato nessun testo di azione speciale.

Example Esempio

Testo visualizzato per un comando persistente con valore limite definito:

Comando: direzione di switch ON"

info Info
  • Tutti i testi visualizzati sono traducibili con i meccanismi standard. Per ulteriori informazioni, si veda: Quali testi sono traducibili?
  • Tutti le voci di menù vengono visualizzate automaticamente in ordine alfabetico.

Il gruppo comandi da usare al momento viene determinato tramite la variabile collegata all'elemento d'immagine. Se nessun gruppo comandi è assegnato alla variabile, oppure se non esiste la variabile di feedback, il menù contestuale non viene visualizzato a Runtime (un messaggio di errore corrispondente viene scritto nel Diagnosis Server).

info Info

La visualizzazione delle voci di menù dei comandi dipende dal gruppo comando. La voce di menù viene visualizzata solo se l'azione collegata esiste effettivamente. Se, quindi, la variabile dell'elemento è la variabile comando, potranno essere visualizzate solo le azioni per questa variabile, più l'azione Blocco. Le azioni per la variabile di feedback, invece, verranno nascoste (escluse dalla visualizzazione) automaticamente.

Condizioni di disponibilità

Le voci di menù sono abilitate all´uso solo se le corrispondenti azioni possono essere effettivamente eseguite. Devono essere soddisfatte le seguenti condizioni:

  • Tutte le voci di menù sono bloccate se è attivo il bit di stato NET_SEL per la variabile di feedback.
  • Tutte le voci di menù sono bloccate se non è stato possibile determinare la variabile di feedback.
  • Tutte le voci di menù sono bloccate se la variabile di feedback non ha nessun valore e non è stato possibile ottenerlo nel giro di 30 secondi.
  • Le voci di menù sono bloccate sul Web Client senza accesso in scrittura.
  • Le voci di menù sono bloccate se non c`è una connessione con il server.
  • La voce di menù collegata all'azione Rilascio è bloccata, se il bit di stato ALT_VAL della variabile di comando non è attivo.
  • La voce di menù collegata all'azione Sostituzione o Revisione, la cui direzione di switch corrisponde al valore della variabile comando azione, è bloccata.
  • Sono bloccate tutte le voci di menù, ad eccezione di quella collegata all'azione Blocco, se nella variabile di feedback è attiva un blocco modifiche.
  • Se nella variabile di feedback è attivo il bit di stato REVISION, le azioni Impostazione valore, Sostituzione, Correzione manuale e Comando sono bloccate.
  • Tutte le voci di menù sono bloccate finché sono attivi un watchdog timer o un ritardo fronte o un SBO per il gruppo comandi. Questo dipende dal fatto che anche il bit di stato NET_SEL rimane attivo.


Macro per menù contestuale

Macro per menù contestuale

Una macro è una sequenza di caratteri definita che viene sostituita da un testo quando vengono generate le voci di menù a Runtime. Quasi tutte le macro possono essere presenti più volte in una stessa voce di menù. Possono contenere anche ulteriori macro come risultato. Si deve tenere conto della successione di estensione. Nella progettazione dei menù, le macro sono "case insensitive". Se le macro contengono una macro come risultato, la macro deve essere scritta in lettere maiuscole nel risultato. L´inserimento viene eseguito utilizzando il carattere $ come prefisso e suffisso.

La successione di espansione è da sinistra a destra con la seguente priorità:

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<Stato>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Macro

Descrizione

$ALL$

Restituisce Denominazione azione: Direzione di switch.

Corrisponde alla combinazione delle macro $ACT$: $DIR$

Nota: quando si crea un menù contestuale per i comandi, il testo di default è $ALL$, anche se il menù ha un testo già configurato, ma il tipo di azione viene modificato in "comandi".

$NOTE$

L´intero testo, inclusa la macro, viene interpretato come commento. Se il testo risultante è vuoto, viene utilizzata la macro $ALL$.

Come ultima macro, viene nuovamente verificata la macro nota, e il testo a destra di questa macro viene cancellato, macro inclusa.

Se il testo risultante è vuoto, oppure è costituito solamente di spazi vuoti, la voce di menù non verrà inserita.

$TAG$

Viene sostituita dall´identificazione della variabile di azione.

L´identificazione può essere tradotta tramite il meccanismo di traduzione online. Se non è stato inserito un carattere di traduzione (@), verrà contrassegnata automaticamente l´intera identificazione perché venga tradotta.

$REMA<Stato>$

<Stato> è uno stato di matrice di reazione o di valore limite, il cui testo viene usato per la sostituzione.

Se questo stato non esiste, la voce di menù non verrà visualizzata.

Il testo di valore limite prima dell´espansione macro viene tradotto con riferimento alla posizione del carattere @.

Lo stato può essere un numero fra -231 e 231-1. Sono ammessi spazi vuoti all´inizio e un prefisso Se sono contenuti dei caratteri non convertibili in un numero, oppure il numero si trova al di fuori dell´area indicata, la voce di menù non verrà visualizzata.

$RDIR$

Testo per la direzione di switch preso dalla matrice di reazione/valore limite come nella macro $DIR$, fatta eccezione per:

  • Azione Imposta valore direttamente
    Il testo viene preso dalla matrice di reazione/dal valore limite dello stato che corrisponde al valore impostabile da settare.
  • Azione Status On e Status Off
    Il testo viene preso dalla matrice di reazione/valore limite per gli stati On e Off.
  • Azione Correzione manuale diretta
    Il testo viene preso dalla matrice di reazione/dal valore limite dello stato che corrisponde al valore impostabile da settare.

$DIR$

Direzione switch dell´azione.

$ACT$

Nome dell´azione.

$NAME$

La macro $NAME$ può essere usata per creare dei menù e fornisce il contenuto configurato per la proprietà Nome comando; se si vuole che questo testo venga tradotto a Runtime, si deve usare il carattere @.

Voci di menù generate automaticamente

Le voci di menù generate automaticamente vengono create come Menù-ID menù con ID_CMD_AUTO. In questo caso si devono usare sempre delle macro; in caso contrario viene inserita solamente una voce di menù.

Compatibilità:

Nelle versioni precedenti alla 6.51, il testo era ignorato per i punti di menù automatici. Quando si convertono progetti realizzati con una versione precedente alla 6.51, prima del testo configurato vengono inserite automaticamente le macro $ALL$$NOTE$. In questo modo, queste voci di menù funzionano come succedeva finora.

Cambio lingua online

La didascalia del punto di menù configurata nella proprietà Testo viene tradotta prima dell´espansione macro a partire dal carattere @.

Nota: se nella macro $TAGS$ non si trova il carattere di traduzione (@), verrà tradotto tutto il testo.


Messaggi di errore quando viene aperto il menù contestuale

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni -> Messaggi di errore quando viene aperto il menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Messaggi di errore quando viene aperto il menù contestuale

Quando si aprono menù a Runtime, il sistema analizza la coerenza del loro contenuto. Se il sistema rileva degli errori, vengono generati dei messaggi di errore corrispondenti per il Diagnosis Viewer. Sono possibili i seguenti messaggi di errore:

Parametri | Descrizione
Voce di menù per i comandi soppressa perché il nome è presente più volte nel menù! | Il menù contiene già una voce con il nome usato nei comandi. Si raccomanda di non usare per i comandi i nomi utilizzati per altri voci di menù.
Voce di menù per i comandi soppressa perché la descrizione è presente più volte nel menù! | Esiste già una voce con la stessa descrizione nel menù. Le voci di menù create automaticamente non vengono aggiunte se esiste già un inserimento nel menù che ha la stessa descrizione.
Testo per la voce di menù non trovato! | Non è stato possibile individuare la denominazione di una voce di menù creata automaticamente. Questo indica per lo più la mancanza di un testo di valore limite.
Nessun gruppo comando collegato alla variabile dell'elemento d'immagine! | La variabile associata all'elemento d'immagine non è collegata a nessun gruppo comando, o perlomeno a nessun gruppo ancora valido. Vengono emessi dei messaggi di errore corrispondenti durante la compilazione.
La variabile di feedback non esiste! | La variabile di feedback usata nel gruppo comandi non esiste.
Select non attivabile! | Non è stato possibile attivare il bit di stato NET_SEL prima dello scadere del timeout.


Esecuzione di azioni mediante il menù contestuale

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Uso delle azioni -> Esecuzione di azioni mediante il menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esecuzione di azioni mediante il menù contestuale

Quando si attiva una voce di menù per i “Comandi”, viene eseguita l'azione associata. L´esecuzione mediante il menù causa in primo luogo il settaggio del bit di stato NET_SEL. Solo se questa operazione viene eseguita con successo, può iniziare l'esecuzione dell'azione vera e propria (per es. l´esecuzione dell´azione comando persistente).

Poi si apre l´immagine di tipo “Comandi”, se viene soddisfatto uno dei seguenti criteri:

  • Se l'azione da eseguire è Imposta valore, Stato dell'input con inserimento, o Correzione manuale, viene aperta l'immagine assegnata all'azione nello stadio "Livello 1". In questa immagine si può definire il valore impostabile o lo stato da scrivere.
  • Se l'azione da eseguire è Blocco, viene aperta l'immagine specifica per l'azione nella fase Blocco.
  • Se una condizione di interblocco in attesa impedisce l'esecuzione, viene aperta l'immagine progettata per l'azione nella fase Sblocco. L´esecuzione è impossibile anche se non è stato possibile attivare Select Before Operate senza errori.
  • Se per una azione è stata configurata una esecuzione a due livelli, verrà aperta l'immagine specifica per l'azione nello fase "Livello 2".".
  • Se per un´azione non è stata configurata nessuna immagine specifica, verrà aperta l´immagine configurata centralmente per il gruppo comandi.

info Info

Se non si verifica nessuna delle condizioni sopra illustrate, l'azione viene eseguita immediatamente, senza ulteriori operazioni di gestione da parte dell´operatore.


Menù contestuale “Imposta valore”

Menù contestuale “Imposta valore”

Se una variabile assegnata ad un elemento d'immagine è collegata ad un gruppo comandi, anche la scrittura del valore impostabile verrà eseguita attraverso i “Comandi”. Perché questo accada, deve esistere nei “Comandi” l'azione Impostazione valore con Stato-Feedback/Direzione Switch Imposta valore. Se questa non esiste, non verrà settato il valore impostabile.

info Info

Una condizione di interblocco in attesa impedisce la scrittura di un valore impostabile.


Condizioni di comando

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Condizioni di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi comandi contengono, da un lato, la definizione delle azioni di switch, dall´altro, anche quella delle condizioni di interblocco del comando. Le condizioni di comando sono parametri facoltativi che possono essere definiti specificatamente per singole applicazioni.

Ogni azione di un gruppo comandi può essere integrata con l´aggiunta di condizioni di interblocco. Queste condizioni impediscono che ci sia un´esecuzione non voluta di azioni, in dipendenza dallo stato corrente del processo.

Per quello che riguarda le condizioni di comando, tre parti sono di fondamentale importanza in un gruppo comando:

  • L´azione per cui sono state definite le condizioni, e a cui sono applicabili anche gli interblocchi interni.
    Le azioni determinano quale comando viene eseguito, a quali variabili devono essere applicate queste azioni e parametrizzano gli interblocchi interni.
  • Le variabili di condizione, elencate nel nodo Variabili del gruppo comandi.
    Definiscono quali variabili possono essere utilizzate nelle condizioni di comando.
  • Le variabili di condizione, create per ogni azione.
    Queste condizioni contengono le formule che si basano sulle variabili di condizione. Questa sintassi è la stessa della definizione delle formule nell´Editor della formule. In questo modo si può far dipendere l´esecuzione di comandi anche dallo stato attuale del processo.

info Info

Gli interblocchi generali non hanno nessun influsso su questa analisi.

Oltre alle condizioni di comando, il sistema verifica automaticamente i seguenti tipi di interblocco prima di eseguire l´azione:

  • Condizioni di interblocco interne
  • Condizioni di interblocco topologiche

Condizioni di interblocco interne

Queste condizioni vengono analizzate automaticamente prima dell'esecuzione di ogni azione; il progettista non può influire in nessun modo sullo svolgimento di questa operazione. Le condizioni interne di blocco sono determinate dal sistema e servono al controllo di plausibilità.

Example Esempio

Un interblocco interno è applicabile se:

  • La variabile di feedback è già selezionata nella rete di zenon (ha settato il bit di stato NET_SEL da un altro client).
  • La variabile di feedback ha già il valore desiderato, e per l´azione è stata configurata l´opzione Comparazione valore Attuale/Nominale (gruppo “Impostazioni azioni” delle proprietà dell´azione).
  • In SBO, il Select è stato rifiutato dal PLC (bit di stato: SE_870 + COT_actcon(7) + N_CONF).

Condizioni di interblocco topologiche

Queste condizioni derivano dall'attuale stato topologico durante il runtime. La definizione di queste condizioni si esegue nelle impostazioni relative alla 'configurazione degli interblocchi topologici' del progetto per l´Automatic Line Coloring.

Ancora in questo capitolo

Definire condizioni di comando

Condizioni di interblocco interne


Definire condizioni di comando

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Condizioni di comando -> Definire condizioni di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Definire condizioni di comando

Per ogni azioni può essere definito un numero qualsiasi di condizioni di comando. Tramite queste condizioni si può limitare ulteriormente la possibilità di eseguire un´azione. Queste condizioni vengono definite mediante formule nelle quali possono essere utilizzate le variabili dei progetti attivi. La formula indirizza le variabili collegate mediante l'indice nella condizione.

info Info

La variabile di condizione viene sostituita automaticamente quando si usa un ‚*’ nella definizione.

Definire una variabile di condizione

Prima di tutto, si devono progettare le variabili, o i nomi di sostituzione delle variabili. Questi verranno poi usati nelle formule delle condizioni di comando. Se a Runtime le condizioni definite vengono soddisfatte dalle variabili di processo collegate, l´utente potrà utilizzare le azioni corrispondenti.

info Info

Variabili usate in una formula non possono essere cancellate dal nodo “Variabili” del gruppo comandi:

  • In una condizione di interblocco.
  • Nel rilevamento di intervento sezionatore - Disabilita rilevamento

.

Configurazione

La definizione di una condizione di comando avviene tramite formule. Se ci sono condizioni non soddisfatte, l´azione non verrà eseguita a Runtime; o l´operatore dovrà sbloccarla. Per farlo, però, l´utente dovrà avere il Livelli di autorizzazione per lo sblocco necessario per eseguire questa operazione.

Procedura consigliata per definire una condizione di comando:

  1. Passare al nodo Variabili nella visualizzazione dettagli dei “Comandi”.
    1. Nel menù contestuale, selezionare il comando Aggiungi variabile....
    2. Si aprirà la finestra di dialogo che consente di selezionare variabili.
  2. Selezionate una variabile di processo.
    Questa variabile servirà da base per le formule delle condizioni di comando.

    Facoltativamente:
    Creare una definizione sostituibile:

    1. Per farlo, chiudere la finestra di dialogo di selezione delle variabili cliccando sul pulsante Nessuna selezione.
      Verrà creata una definizione vuota.
    2. Nel campo di inserimento della proprietà Variabile di blocco digitare il nome con il placeholder *.
      In questo modo verrà configurata la sostituzione automatica.
  3. Passare ad un´azione già esistente.
  4. Nel menù contestuale, selezionare il comando Nuova condizione di interblocco
  5. Definire la formula desiderata nella proprietà Collegamento logico.


Condizioni di interblocco interne

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Condizioni di comando -> Condizioni di interblocco interne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Condizioni di interblocco interne

Usando le condizioni di interblocco interne, il sistema verifica se esistono le premesse fondamentali per l'esecuzione azioni (analisi di plausibilità). I risultati di questa analisi vengono visualizzati a Runtime nell´elemento Testo di interblocco dell´immagine di tipo Comandi.

Parametri

Descrizione

Lo stato è già attivo.

Lo stato da settare corrisponde già al valore corrente della variabile di feedback. Questa analisi è attiva solamente se per l´azione è stata attivata la proprietà Comparazione valore Attuale/Nominale.

Questo interblocco può essere sbloccato, a patto che l´utente disponga della necessaria autorizzazione operativa - quest´ultima viene definita nella proprietà Livelli di autorizzazione per lo sblocco dell´azione (gruppo “Diritto di accesso”).

Si è verificato un errore interno

I “Comandi” non possono eseguire il controllo.
Questo succede quanto il tipo di dato della variabile di comando non è consentito per l'azione in questione.

Esempio: azione Comando impulso ON per variabili stringa.

Questo interblocco non può essere sbloccato.

Nessun oggetto di interblocco

Impossibile determinare il gruppo comandi (errore di configurazione).
Questo interblocco non può essere sbloccato.

Azione non definita

Impossibile determinare l'azione da eseguire.
Questo interblocco non può essere sbloccato.

Differenza tra interblocchi locali e globali

Parametro “comando impulso” non coerente (errore di configurazione).
Questo interblocco non può essere sbloccato.

Uno o più valori non sono disponibili

Il valore della variabile di condizione è.

  • Non disponibile (Codice per interblocco: 14)
  • Disturbato - bit di stato INVALID (Codice per interblocco: 15)

Questo interblocco non può essere sbloccato.

Gestione blocchi non valida

Impossibile caricare la gestione dei blocchi ed non è valida.
Questo interblocco non può essere sbloccato.

Variabile bloccata per modifiche

I “Comandi” sono bloccati dalla variabile di feedback (bit di stato M1).
Questo interblocco non può essere sbloccato.

Nota: con il tipo di azione Blocco si può sia bloccare che sbloccare la modifica di variabili nell´immagine “Comandi”.

SBO rifiutato

L'attivazione del Select è stata rifiutata dal PLC.
Questo interblocco non può essere sbloccato.

Nota: solo i driver Energy segnalano il rifiuto del Select - la variabile di comando riceve i bit di stato COT_actcon(7) + N_CONF + SE_870.

Timeout per attivazione SBO.

Dal PLC non è arrivata nessuna conferma (né positiva, né negativa) per l´attivazione del Select prima dello scadere del Timeout configurato.
Questo interblocco non può essere sbloccato.

Nota: solo i driver Energy supportano l´attivazione del Select - la variabile di comando riceve i bit di stato COT_act(6) + SE_870.

Timeout per disattivazione SBO

Dal PLC non è arrivata nessuna conferma (né positiva, né negativa) per la disattivazione (Cancel per il Select) prima dello scadere del Timeout configurato.
Questo interblocco non può essere sbloccato.

Timeout per l'esecuzione

La conclusione dell´esecuzione dell´azione non è stata confermata prima dello scadere del Timeout configurato. Viene settato il bit di stato TIMEOUT per la variabile di feedback.
Questo interblocco non può essere sbloccato.

Nota: il Watchdog timer del gruppo comandi stabilisce ciò deve essere soddisfatto per completare l´esecuzione di un´azione.

SBO scaduto

Il PLC ha notificato lo scadere dell'attivazione SBO. Nel secondo livello del processo di esecuzione, il sistema cercherà di inviare di nuovo un Select .
Questo interblocco non può essere sbloccato.

Nota: il relativo protocollo di comunicazione stabilisce se un PLC può notificare il Select-Timeout o meno. Se il PLC può effettuare la notifica, i driver Energy segnalano lo scadere del Select - la variabile di comando riceve i bit di stato COT_actterm(10) + N_CONF + SE_870.

Nota: i numeri delle condizioni di interblocco interne sono visualizzati anche nella variabile del driver di sistema [Comando] Codice per interblocco; naturalmente a patto che questa variabile sia stata creata nel progetto.


Editor delle formule

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´editor delle formule consente di creare formule usando operatori logici o di confronto per un elemento combinato, per interblocchi e per il modulo “Comandi". Se per la formula sono necessarie ulteriori variabili, crearle nella sezione Formule variabili della finestra degli stati cliccando sul pulsante Aggiungi. Le formule già esistenti sono contrassegnate nella lista degli stati con la lettera F .

Nota sull´inserimento di cifre decimali:

  • Separatore decimale: la virgola (,) viene sostituita automaticamente da un punto (.)
  • Lo zero come cifra decimale viene eliminato automaticamente; 23,000 diventa automaticamente 23

Creare una formula

Cliccare nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Selezionare i bit per la formula nella finestra sinistra dell`Editor delle formule.

A destra si trovano gli operatori logici e di confronto.

Nel sezione Formula (in basso) verrà visualizzata la formula creata.

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit di valore

Ci sono 32 bit di valore (da 0 a 31). Descrivono il valore della variabile bit per bit. Per le variabili binarie, è rilevante solo il bit 0, per le variabili SINT e UNSINT i bit 0-7 ecc...

Nota: l´analisi si riferisce sempre al valore non elaborato (raw value) della variabile (risoluzione segnale), e non al valore di misurazione convertito.

Bit di stato

Sono i bit di stato più comuni. La definizione esatta e spiegazioni sull´uso dei bit di stato si trovano nella Lista Bit di stato.

Non resettato

Non resettato viene trattato come un normale bit di stato; ma qui viene elencato separatamente perché non fa parte dei classici stati delle variabili.

Valore e Stato

Nelle formule, tutti i valori (bit di valore e bit di stato) vengono trattati come valori binari e possono poi essere collegati logicamente tramite AND, oppure OR, e mediante altre espressioni logiche.
Un´eccezione è costituita dal valore totale e dallo stato complessivo. Per poter giungere ad un'espressione booleana, deve essere anzitutto eseguita un´operazione OR bit a bit di confronto di questo valore totale con una costante. A questo scopo si usa l'operatore &.
Se questa operazione di confronto OR restituisce il valore 0 (FALSE), si ottiene il valore binario 0 (FALSE), altrimenti 1 (TRUE).

Esempio: si veda il capitolo Esempio collegamento OR a bit

info Info

I bit di stato NORM e N_NORM sono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se vengono eseguite altre impostazioni per lo stato attuale al di fuori dell´Editor delle formule, queste verranno combinate con la formula tramite un operatore logico AND.

Per esempi, si veda la sezione Esempi di formule.

info Info

Le formule con valori X binari e collegamento bit a bit possono essere usate con un massimo di 2 valori binari. Se sono necessari più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value -> non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona

Ancora in questo capitolo

Lista dei bit di stato

Operatori logici

Formule a bit

Esempio: collegamento OR bit a bit

Operatori di confronto

Esempi di formule


Lista dei bit di stato

Lista dei bit di stato
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Operatori logici

Collegamenti logici: l´analisi delle variabili viene eseguita solo per rilevare il valore logico '0'; se il valore non è uguale a '0', viene considerato '1'.

A differenza delle formule a bit, l'area tecnica può essere modificata da un fattore di estensione -> diverso da '0' o '1'.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | Or esclusivo logico

Questa è la priorità degli operatori nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per formule a bit)
2 | NOT
3 | AND
4 | XOR/OR

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99.

info Info

I bit di stato NORM e N_NORMsono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule a bit

Formule a bit

Le formule bit hanno solamente uno stato logico low e high. A differenza delle formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR


Esempio: collegamento OR bit a bit

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Configurare i “Comandi” -> Editor delle formule -> Esempio: collegamento OR bit a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio: collegamento OR bit a bit

Si vuole verificare se è settato uno dei bit di stato utente 1-8 (M1 ... M8) della variabile X01.

Formula usuale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa query può essere semplificata tramite il collegamento OR bit a bit dello stato complessivo.

Collegamento OR bit a bit:

X01.Status & 0xFF

La costante può essere impostata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 255; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è settato su 1, il risultato del collegamento OR bit a bit è 1 (True), altrimenti 0 0 (False).

Se, per esempio, la query deve riguardare tutti i bit di stato utente fatta eccezione per l´M7, l'espressione binaria corrispondente sarebbe: 10111111. Il bit 7 non è interessante, per questo è settato su 0. Questo corrisponde all´esadecimale 0xBF. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di usare un collegamento OR bit a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto restituisce un risultato sbagliato, si avrà il valore binario 0 (False), altrimenti 1 (True).

Esempio:

Si vuole verificare se un valore è uguale alla costante 202. La formula corrispondente è la seguente:

X01.value = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Nota: il collegamento OR bit a bit funziona con il carattere OR (|) in modo uguale a questo esempio.


Operatori di confronto

Operatori di confronto

Gli operatori di confronto servono a confrontare direttamente due valori numerici. Il risultato di questo confronto è uno stato binario. "0" se la condizione non è soddisfatta, e "1“ se la condizione è soddisfatta.

Operatore | Descrizione
< | Minore
> | Maggiore:
<= | Minore uguale
>= | Maggiore uguale
= | Uguale a
<> | Diverso da

A sinistra e a destra di un operatore di confronto devono esserci un valore (totale) o uno stato (totale); non si possono usare bit singoli con questi operatori di confronto.

A destra dell'operatore di confronto ci può essere anche una costante.
Nell´elemento combinato, queste costanti vengono inserite come valori esadecimali o valori decimali. Quando si clicca sul pulsante OK, i numeri esadecimali vengono convertiti automaticamente in numeri decimali. Esempio: 0x64 corrisponde al valore numerico 100.

Nota: l´elemento combinato non è disponibile nel modulo Batch Control.

Example Esempio

X01.valore >= X02.valore
Il risultato è "1" se il valore di X01 è maggiore o uguale al valore di X02

X01.valore = 0x64
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico100 (= hex 0x64)

(X01.valore = 0x64) OR (X01.valore = 0x65)
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= hex 0x64 e hex 0x65)


Esempi di formule

Esempi di formule

Semplice collegamento logico AND di due valori bit.

Example Esempio

Formula: X01.03 AND X02.03

Questa formula restituisce il risultato “TRUE” quando il Bit 3 della variabile 1 e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confrontare valore o stato di una variabile

Example Esempio

(X01.valore> X02.valore)

Comparare confronti fra di loro su base logica

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore)

Confronti con bit di valore e bit di stato

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore ) OR (X01.03 = X02.03)

Confrontare un valore con un valore decimale o esadecimale

Example Esempio

Formula: (X01.valore = 111)

Formula: (X01.valore = 0x6F)

Se si usa un valore esadecimale, quest´ultimo viene convertito poi in un numero decimale quando si clicca su OK. Se si inserisce un valore decimale e si conferma l´inserimento, questo sarà visualizzato come valore decimale anche al momento della riapertura.

info Info

Non è possibile usare una virgola o un punto quando si inseriscono i numeri.


Creare menù

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Creare menù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I "Comandi" possono essere attivati anche tramite un menù contestuale. I menù contestuali vengono creati nell´Editor, nel nodo Menù, e definiti nelle proprietà dell´elemento cui su riferiscono.

In generale, ci sono tre tipi di voci di menù:

Parametri

Descrizione

Tipo di azione

Stabilisce quale tipo di azione deve essere eseguita a Runtime usando la voce di menù corrispondente. Non tutti i tipi di azione sono disponibili in un menù principale; alcuni sono configurabili solamente con un menù contestuale.

  • Ripristina allarmi (solo menù contestuale)
  • Comandi (solo menù contestuale)
  • Ripristina lampeggio (solo menù contestuale)
  • Funzione
  • Guida
  • Nessuna azione
  • Imposta valore
  • Macro VBA (solo menù contestuale)

Sottomenù

Apre un sottomenù a Runtime.

Separatore

Una linea orizzontale separa le voci di menù.

Sottolineare testo: se si inserisce un &, il carattere successivo sarà sottolineato.

Configurare inserimenti

Per configurare una voce del menù principale o contestuale:

  1. Attivare anzitutto la cella di menù corrispondente.
  2. Nelle proprietà, selezionare:
    • Tipo di azione: dipendente dal tipo di menù
      Si veda anche: Tipi di azioni - Menù principale e Tipi di azioni - Menù contestuale
    • ID menù: ID dell´inserimento
      Nota: Per le voci di menù del modulo Comandi vengono utilizzati per la progettazione tipi predefiniti per questo modulo con ID fissi.
      Ulteriori informazioni su questo tema e un elenco di questi ID predefiniti si trovano nel capitolo Attivazione dei “Comandi” tramite menù contestuale del manuale dedicato alla Energy Edition.
    • Testo: nome univoco della cella menù.

attention Attenzione

Il nome impostato nella proprietà Testo deve essere univoco. Se si assegna più volte lo stesso testo, ulteriori voci di menù con lo stesso nome non verranno visualizzate.

I dettagli relativi alla definizione dei menù contestuali per il modulo "Comandi” si trovano nel capitolo Menù/Comandi.


Compilazione dei file Runtime

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Compilazione dei file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il processo di compilazione dei file Runtime per i gruppi comandi, il sistema esegue un controllo per rilevare eventuali errori di progettazione. Viene inoltre eseguita una validazione per garantire la corretta sostituzione dei nomi variabili.

Per ogni variabile assegnata ad un gruppo comandi, viene istanziato quest´ultimo per la gestione nel Runtime di zenon. In ogni istanza sono poi contenute solamente quelle azioni che possono essere inizializzate tramite questa variabile.

Example Esempio

Il gruppo comandi della variabile di comando, dunque, contiene solamente le azioni per la relativa variabile di comando.

Eccezione a questa regola è l'azione “Sperre”. Questa azione, infatti, è disponibile anche per la variabile comando.

info Info

Anche le modifiche di configurazione che riguardano le variabili rendono necessario ricompilare il progetto.

Ancora in questo capitolo

Sostituzione dei nomi delle variabili.

Errore durante la creazione dei file Runtime.


Sostituzione dei nomi delle variabili.

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Compilazione dei file Runtime -> Sostituzione dei nomi delle variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può aumentare la possibilità di riutilizzo dei gruppi comandi eseguendo una sostituzione dei riferimenti delle variabili. La sostituzione è possibile per la variabile di feedback, quella di comando e quella di condizione.

Durante il processo di sostituzione, il placeholder (carattere *) viene automaticamente sostituito dal nome di quella variabile che è assegnata ai "comandi".

Esempio

Nelle proprietà del gruppo comandi, per la proprietà Nome variabile di feedback è stata configurata la maschera *_RV. Nel progetto sono state create le variabili xyz_RV, abcRV e bool_RV, che sono state poi collegate al gruppo comandi.

Variabile | Parte da sostituire | Risultato | Commento
xyz_RM | xyz | xyz_RM | La variabile esiste, assegnazione riuscita.
abcRM | <vuota> | _RM | La maschera non è corretta perché manca il carattere _ . Il compilatore segnalerà un errore. A Runtime, la gestione della variabile abcRM non inizializza i “Comandi”.
bool_RM | bool | bool_RM | La variabile esiste, assegnazione riuscita.

Queste regole sono applicabili anche alle variabili di comando.

info Info

Durante la compilazione del gruppo comandi, il sistema cerca il testo che corrisponde alla parte da sostituire nel modo seguente:

  • Il testo viene definito in base alla confronto della maschera con il nome della variabile di feedback.
  • Altrimenti, il testo viene definito tramite la variabile di comando. In questo caso viene applicata la prima azione adeguata alla variabile.
  • Se è stato possibile determinare il testo per la sostituzione, il placeholder * verrà sostituito da questo testo.

Si prega di tener presenti i seguenti punti quando si assegna il nome alle variabili:

  • I nomi delle variabili e la maschera dovrebbero essere scelti in modo tale da poter essere assegnati in modo univoco e senza possibile confusione.
  • I nomi utilizzati per le variabili di feedback, di comando e di condizione, dovrebbero essere producibili attraverso lo stesso testo di sostituzione.
  • Se si sostituisce la variabile di feedback (è stata definita con una maschera), ma non quella di comando, bisogna fare particolare attenzione che anche il gruppo comandi che viene creato per la variabile di comando usi la variabile di feedback attesa.
  • Una ulteriore validazione della variabile di feedback è garanzia per il gruppo comandi che lo stesso contenga solamente azioni la cui variabile di comando (nel suo gruppo comandi compilato) usi la stessa variabile di feedback. Azioni configurate in modo erroneo causeranno la visualizzazione di un avvertimento durante il processo di compilazione. .


Errore durante la creazione dei file Runtime.

Manuale -> Energy Edition -> Comandi -> Configurazione nell'Editor -> Compilazione dei file Runtime -> Errore durante la creazione dei file Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando vengono creati i file Runtime per i "Comandi", il sistema esegue un´approfondita analisi per rilevare eventuali errori di progettazione e relazioni non esistenti.

info Info

Se c´è un errore, l´oggetto che lo ha causato non sarà disponibile a Runtime.

Se c´è un errore nel gruppo comandi, non verrà assegnato nessun gruppo comandi alla variabile. La conseguenza sarà che tutte le operazioni di gestione saranno bloccate a Runtime.

Verrà generato un avviso se la progettazione potrebbe essere fonte di problemi per l´esecuzione dei comando. Questo messaggio viene generato indipendentemente dal fatto che la configurazione funzioni a Runtime, o meno.

Nei messaggi di errore vengono utilizzati i seguenti placeholder:

<VERNAME> | Il placeholder viene sostituito nel messaggio di errore dal nome del gruppo comandi.
<VERRM> | Il placeholder viene sostituito nel messaggio di errore dal nome della variabile di feedback.
<AUFVAR> | Il placeholder viene sostituito nel messaggio di errore dal nome della variabile cui è assegnato il gruppo comandi.
<ACTVAR> | Il placeholder viene sostituito nel messaggio di errore dal nome della variabile dell'azione.
<Nome azione> | Il placeholder viene sostituito nel messaggio di errore dal nome dell'azione.
<VARNAME> | Il placeholder viene sostituito nella visualizzazione dalla variabile.

I seguenti messaggi di errore possono essere visualizzati durante la creazione dei file Runtime:

Testo del messaggio

Descrizione

<VERNAME>: interblocco-PV <VERRM> non esiste!

La variabile di condizione per interblocco generale non esiste.

Variabile '<AUFVAR>' utilizza un comando inesistente!

La variabile usa un comando non esistente.

(<AUFVAR>) Il comando '<VERNAME>' non contiene nessuna azione!

I gruppi comandi senza azione non vengono presi in considerazione a Runtime. Questo messaggio può essere anche un errore provocato da un altro.

(<AUFVAR>) Variabile di feedback '<VARRM>' non usa il gruppo comandi '<VERNAME>'

Viene usata una variabile di feedback che usa un altro gruppo comandi. La variabile di feedback deve essere sempre collegata all´interblocco che la usa come variabile di feedback.

(<AUFVAR>) Variabile di feedback '<VARRM>' per il gruppo comandi '<VERNAME>' usa un driver senza connessione a processo!

La variabile di feedback deve trovarsi su un driver connesso al processo.

(<AUFVAR>) gruppo comandi '<VERNAME>' non contiene nessuna azione dopo la compilazione!

Un gruppo comandi senza azioni non ha senso.

(<AUFVAR>) Variabile di feedback '<VARRM>' del gruppo comandi '<VERNAME>' non esiste!

La variabile di feedback usata non esiste o è contrassegnata come cancellata:

(<AUFVAR>) gruppo comandi '<VERNAME>' usa immagine '<GUID immagine>'(<NOME IMMAGINE>) che non è del tipo Power!

Questo messaggio è un avviso. Se è necessaria un'operazione di gestione dell´utente durante l'esecuzione, questa non può essere eseguita.

(<AUFVAR>) gruppo comandi '<VERNAME>' usa l'immagine '<GUID immagine>' che non esiste!

L'immagine assegnata al gruppo comandi non esiste.

(<AUFVAR>) Variabile di azione sostituita '<ACTVAR>' per l'azione '<Nome azione>' del comando '<VERNAME>' non esiste!

Dopo una sostituzione, la variabile di azione non esiste o è contrassegnata come cancellata.

(<AUFVAR>) azione '<Nome azione>' per gruppo comandi '<VERNAME>' usa la variabile '<ACTVAR>' che non esiste

L'azione usa una variabile che non esiste nel progetto o è contrassegnata come cancellata.

(<AUFVAR>) variabile di azione '<ACTVAR>' per l'azione '<Nome azione>' del gruppo comandi '<VERNAME>' usa un driver senza connessione processo!

La variabile assegnata ad un'azione non può trovarsi su un driver interno.

<VERNAME>(<AUFVAR>): l´azione '<Nome azione>'esiste già!

Le seguenti azioni possono essere configurate solo una volta per ogni variabile di azione e gruppo comandi:

  • Comando persistente con lo stesso stato di comando.
  • Correzione manuale con la stessa direzione di switch.
  • Sostituzione con la stessa direzione di switch.
  • Revisione con la stessa direzione di switch.
  • Comando impulsivo
  • Impostazione valore
  • Rilascio
  • Disattivazione valore
  • Blocco

<VERNAME>(<AUFVAR>): azione '<Nome azione>': comando impulsivo e persistente non sono possibili per la stessa variabile di comando!

Comando impulsivo e persistente non devono essere usati insieme.

(<AUFVAR>) azione '<Nome azione>' del gruppo comandi '<VERNAME>' usa l´immagine '<GUID immagine>('<Nome immagine>') che non è del tipo Power!

Questo messaggio è un avviso. Per l´utente non sarà possibile eseguire nessuna operazione di gestione.

(<AUFVAR>) l´azione '<Nome azione>' del gruppo comandi '<VERNAME>' usa l'immagine '<GUID immagine>' che non esiste!

All'azione è assegnata un´immagine che non esiste.

<VERNAME>(<AUFVAR>): interblocco-PV '<VARNAME>' non esiste!

La variabile di condizione sostituita non esiste.

(<AUFVAR>) Variabile'<VARNAME>' di condizione di blocco azione del gruppo comandi '<VERNAME>' non esiste!

Variabile della condizione di blocco non esiste.

(<AUFVAR>) Variabile di azione '<VARANME>' per l'azione '<Nome azione>' del gruppo comandi '<VERNAME>' usa un altro gruppo comandi!

Le variabili di azione usate in un gruppo comandi non devono essere collegate a nessun gruppo comandi, oppure solo a quello in cui sono utilizzate.

(<AUFVAR>) variabile di comando <ACTVAR> non ha un interblocco compilato in modo valido! Azione <Nome azione> cancellata.

La variabile di azione usata nell'azione non ha un gruppo comandi compilato. Questo messaggio può essere anche un errore provocato da un altro.

(<AUFVAR>) la variabile di comando <ACTVAR> usa la variabile di feedback <VARNAME>! Azione <Nome azione> cancellata.

Il gruppo comandi compilato della variabile di feedback contiene azioni la cui variabile non usa la stessa variabile di feedback di <AUFVAR>.
Nota: con la variabile di feedback non ci possono essere delle azioni che modificano altre variabili di feedback.


Gestione a Runtime

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime

Ogni volta che un utente inserisce un comando a Runtime, il sistema esegue automaticamente un watchdog timer in background.

Ancora in questo capitolo

Esecuzione di un comando

Tipo di immagine 'Comandi'

Aggiorna progetto Runtime

Registrazione nella CEL

Cambio server in un sistema ridondante

Chiudere il Runtime

Blocco della variabile di feedback


Esecuzione di un comando

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa descrizione della procedura di esecuzione di un comando con il modulo "Comandi" vale per i seguenti tipi di azione:

  • Comando
  • Comando automatico/remoto
  • Comando forzato (solo in parte)
  • Impostazione valore

info Info

La spiegazione di come l´esecuzione di un comando possa influenzare la visualizzazione e la disponibilità degli elementi di controllo dell´immagine di tipo Comandi è contenuta nel capitolo Gestione nell´immagine “Comandi.

La procedura di esecuzione di un comando dipende dalle seguenti configurazioni:

Proprietà delle variabili

  • Select Before Operate (SBO) non attiva:
    In questo caso non viene eseguito nessun separato comando Select da un´azione.
    Nota: Un driver (per es.: DNP3_NG, oppure IEC850) può comunque eseguire un Select automaticamente. Questo, però, non ha nessun effetto per i "Comandi". Il modulo "Comandi" reagirà in questo caso ad un Select non riuscito, come reagisce a un Operate/Execute non riuscito.
  • Select Before Operate (SBO) attiva:
    In questo caso i “Comandi” inoltrano sempre un Select (COT_act(6), SE) al driver. Poi il sistema attende (indipendentemente dal tipo di Watchdog timer progettato) che l´intero processo di comando sia stato completato (incluso Operate).

    Attenzione: la proprietà della variabile Select Before Operate ha degli effetti decisivi sul Watchdog timer.
    Se Select Before Operate è attivo, indipendentemente dalla configurazione impostata per il watchdog timer, i pulsanti di azione (e le voci dei menù contestuali) vengono disattivati finché COT non riceve il valore COT_accterm(10) .
    Questo vale anche se per il "watchdog timer" sono state configurate le opzioni "nessuno" oppure "solo tramite variabile di feedback".
    Se non riceve il valore COT_accterm, il sistema si limita a settare un bit di stato TIMEOUT della variabile di feedback.
  • Termina Operate attiva:
    Se attivata, anche dopo un Operate può essere inviato al PLC un Cancel, non solo dopo un Select. In questo modo potranno essere interrotti anzitempo sia l´esecuzione del comando, che il watchdog timer attivo. La proprietà viene interpretata automaticamente nell´azione come un Interruzione Timeout attivato.

info Info

Se si configura una variabile con Select Before Operate attivo e il driver non supporta COT , non ci sarà nessuna reazione del driver ad un Select . Dopo lo scadere del Timeout configurato, l´immagine "Comandi" visualizzerà un messaggio che informa della condizione interna di interblocco "Timeout per attivazione SBO".

Tipo di watchdog timer:

La proprietà Watchdog timer del gruppo comandi stabilisce quali condizioni debbano essere soddisfatte perché l´esecuzione dell´azione possa essere portata a termine con successo. Inoltre, tramite la proprietà Watchdog timer si determina quanto a lungo i “Comandi” debbano rimanere attivi per inviare eventualmente al PLC una disattivazione (Cancel), per aggiornare i bit di stato della variabile di feedback e per garantire l´inoltro dell´azione via comando auto/remoto.

  • Nessuno
    • Senza Select Before Operate:
      Comando diretto al PLC ("fire & forget") - invia il comando al PLC e non attende un feedback.
    • Con Select Before Operate:
      Il sistema attende che il processo COT sia completato. Non viene settato nessun bit di stato TIMEOUT , neanche se un Timeout è scaduto.
  • Solo tramite Cause of transmission (COT)
    L´azione è conclusa a COT completato (quando il sistema ha ricevuto COT_actterm(10)).
  • Solo tramite variabile di feedback (RV)
    L´azione è portata a termine con successo quando il valore della variabile di feedback corrisponde allo Stato-Feedback/Direzione Switch configurato nell´azione.
    • Con Select Before Operate:
      Il sistema attende che il processo COT sia completato. Anche quando un Timeout è scaduto, non viene settato nessun bit di stato TIMEOUT .
  • Tramite COT e RV
    L´azione è portata a termine con successo quando tutte e due le condizioni descritte in precedenza sono soddisfatte.

Nota: ulteriori informazioni si trovano nel capitolo Watchdog timer.

Proprietà nell´azione di comando:

  • A un livello:
    Dopo un Select riuscito, i "Comandi" inviano automaticamente l´Operate/Execute al driver.
  • A due livelli:
    Un Select riuscito attiva i pulsanti Esegui 2° fase e Annulla nell´immagine comandi:
    • Se si clicca sul pulsante Esegui 2° Fase,, i "Comandi" inviano al driver un Operate/Execute (COT_act(6), senza SE) .
    • Se si clicca su Annulla, invece, i "Comandi" inoltrano al driver un Cancel (COT_deact(8), SE).
  • Timeout:
    Il valore configurato qui stabilisce quanto tempo il sistema attende la riposta del PLC. Rispettivamente:
    • Dopo che è stato settato un comando Select.
    • Dopo che è stato settato un comando Execute.
    • Dopo che è stato settato un comando Cancel.
  • Interruzione Timeout:
    Se questa proprietà è attiva, l´utente può interrompere un Watchdog timer timeout non ancora scaduto, per esempio, mentre cerca di sincronizzare nel PLC le frequenze delle reti elettriche. Nell´immagine “Comandi”, il pulsante Annulla rimane attivo e abilitato all´uso mentre il comando Execute viene eseguito. A seconda di come è stata configurata la proprietà della variabile Termina Operate, sarà anche possibile inviare una notifica dell´avvenuta interruzione del timeout al PLC.
    Nota: non tutti i protocolli Energy offrono la possibilità tecnica di terminare un Operate. Per questa ragione, non tutti i driver Energy sono in grado di inoltrare un Cancel al PLC.

Ancora in questo capitolo

Select before Operate

Watchdog timer


Select before Operate

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Select before Operate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select before Operate è una procedura dei protocolli Energy (per es. DNP3, IEC61850. oppure IEC60870-101/104). Questa procedura prevede che al PLC venga inviata anzitutto una "reservation/pre-assignment", il cosiddetto comando Select. Solo se questo “pre-assignment” del PLC è riuscito, verrà poi inviato mediante il driver (via “Comandi”) il corrispondente comando Execute.

Nel corso di questo processo, i driver di zenon aggiornano i seguenti bit di stato (tramite le variabili di comando):

  • SE_870, COTx
  • N_CONF, se la configurazione prevede che sia aggiornato.

Questi bit di stato, come anche il bit NET-SEL, non possono essere configurati dal progettista. Vengono settati dal relativo driver, o dai moduli di zenon.

La proprietà Watchdog timer ha effetto solamente sul processo di esecuzione del comando Execute. Il comando Select non è influenzato dal Watchdog timer . Dopo l´invio di un Select, l´azione di comando attende che sia trascorso l´intervallo di tempo configurato nella proprietà Timeout (gruppo di proprietà Opzioni dell´azione di comando).

In questo lasso di tempo può succedere che:

  • Il PLC non reagisca
  • Il PLC reagisca negativamente
  • Il PLC reagisce positivamente
    • L´utente non invii un Execute o Cancel

Cancellazione di una Select

Indipendentemente dal tipo di Watchdog timer configurato, per la cancellazione di una Select (Cancel) vale quanto segue:

  1. Se per la variabile di comando è stata attivata la proprietà Select Before Operate (gruppo “Imposta valore”), l´utente potrà cancellare una Select per comandi a doppio livello (proprietà Doppio-livello dell´azione di comando attivata). Dopo un Select (COT=7, SE) riuscito, i “Comandi” potranno inviare un Deactivation (COT=8, SE) quando si clicca sul pulsante Annulla.
  2. Poi il sistema attenderà la risposta del PLC, oppure che scada un Timeout .
    L´azione viene terminata:
    • Quando il tempo di timeout configurato scade.
    • Quando il PLC conferma la cancellazione (COT=9, any SE or PN).
      La ricezione di un COT=9 provoca la cancellazione del bit di stato PROGRESS .
  3. Il tempo inizia a scorrere nel momento in cui l´utente clicca sul pulsante Cancel. L´intervallo di tempo precedente - quello durante cui l´azione attende un Select - non ha nessun effetto sul periodo di tempo in cui l´azione attende una conferma di cancellazione.
  4. La variabile di feedback non riceve un bit di stato TIMEOUT .
  5. Vale sempre quanto sopra descritto, indipendentemente dalla configurazione della proprietà Watchdog timer.

Nota: il valore del bit PN - Positive(0)/Negative(1) - viene scritto anche come valore sul bit di stato N_CONF della variabile di comando.

Ancora in questo capitolo

SBO - nessuna reazione del PLC

SBO - reazione negativa del PLC

SBO - reazione positiva del PLC

SBO - reazione positiva del PLC, ma l´utente non invia un Execute o Cancel


SBO - nessuna reazione del PLC

SBO - nessuna reazione del PLC

Anzitutto, i "Comandi" inviano un Select al driver. Mentre l´azione attende una reazione del PLC, tutti i pulsanti dell´immagine di tipo Comandi sono visualizzati in color grigio (disabilitati).

Dopo lo scadere dell´azione Timeout , viene visualizzato un messaggio nell´immagine “Comandi”. Questo messaggio viene visualizzato nel campo del testo di interblocco Condizione di interblocco interna "Timeout per attivazione SBO".

In questo caso, sarà abilitato all´uso solo il pulsante Annulla. Tutti gli altri pulsanti dell´immagine “Comandi” continueranno ad essere visualizzati in color grigio (non abilitati).

Anche gli inserimenti del menù contestuale non saranno attivi. u

Nota: in questo caso la variabile di feedback non riceve né un bit di stato TIMEOUT , né un bit di stato PROGRESS .
La stessa cosa vale anche per Select , indipendentemente da quale valore sia stato configurato per il Watchdog timer . La procedura è uguale per le azioni a due livelli e a un livello.


SBO - reazione negativa del PLC

SBO - reazione negativa del PLC

I "Comandi" causano l´invio di una Select (COT_act(6) + SE) da parte del driver. In caso di risposta negativa da parte del PLC (COT_actcon(7) + SE + PN=1), non si continua ad attendere.

  • Se si clicca sul pulsante Cancel , viene eliminato il bit di stato PROGRESS . In questo caso, la variabile di feedback non riceve un bit di stato TIMEOUT .
  • Se l´azione riceve una risposta negativa a Select, viene visualizzato questo messaggio nel campo del testo di interblocco: condizione di interblocco interna "SBO rifiutato".
    In questo caso, sarà abilitato all´uso solo il pulsante Cancel. Tutti gli altri pulsanti dell´immagine “Comandi” sono visualizzati in color grigio (non attivi).

Anche gli inserimenti del menù contestuale non saranno abilitati all´uso.

La stessa cosa vale anche per Select , indipendentemente da quale valore è stato configurato per il Watchdog timer . La procedura è uguale per le azioni a due livelli e a un livello.

Nota: il valore del bit PN - Positive(0)/Negative(1) - viene scritto anche come valore sul bit di stato N_CONF della variabile di azione.


SBO - reazione positiva del PLC

SBO - reazione positiva del PLC

Se il PLC reagisce positivamente ad una Select (COT_actcon(7) + SE) (cioè Select confermato), l´azione passa al livello successivo => esecuzione

  • I "Comandi" termina l´attesa di un Select.
  • Sulla variabile di feedback viene settato il bit di stato PROGRESS. Tuttavia, questo succede solo se il valore corrente della variabile di feedback è diverso da quello del comando.

Quando poi la Select è stata confermata, si verifica quanto segue:

  1. Azioni a un livello:
    I "Comandi" inviano automaticamente un Operate/Execute (COT_act(6), no SE) al PLC.
  2. Azioni a due livelli:
    Si attivano i pulsanti Esegui 2° fase e Annulla nell´immagine di tipo “Comandi”. Se un utente conferma il pulsante Esegui 2° fase, i "Comandi" inviano un Operate/Execute al PLC.

Il bit PROGRESS viene resettato se il PLC conferma l´Execute (COT_actcon(7)), oppure dopo lo scadere del susseguente Watchdog timer.


SBO - reazione positiva del PLC, ma l´utente non invia un Execute o Cancel

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Select before Operate -> SBO - reazione positiva del PLC, ma l´utente non invia un Execute o Cancel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - reazione positiva del PLC, ma l´utente non invia un Execute o Cancel

Se, dopo una Select riuscita, l´utente non invia né un Execute , né un Cancel , il sistema attende senza limite di tempo l´interazione dell´utente. Può dunque succedere (a condizione che il PLC supporti Select Timeout) che un “Select Timeout” durante questo tempo di attesa renda la “Select” non più valida. In questo caso, il PLC invierà un Select-Termination (COT=10, SE, PN=1). Se, nonostante il Select-Termination del PLC, l´utente invia un Execute , i "Comandi" prima di tutto invieranno automaticamente un nuovo Select .
Il sistema smetterà di inviare un Select , o un Cancel al PLC solo dopo che l´utente avrà cliccato sul pulsante Annulla dell´immagine “Comandi”.

Nota: rilevante solo per le azioni a due livelli.


Watchdog timer

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Watchdog timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La più semplice forma di watchdog timer (non prevista per i driver Energy) è eseguita quando:

  • Nel gruppo comandi, per la proprietà Watchdog timer è configurata l´opzione Nessuno o Solo tramite variabile di feedback (RV);
  • Per la variabile di comando non è stata attivata né la proprietà Select Before Operate (SBO), né la proprietà Termina Operate.

Con questa configurazione, il watchdog timer verifica gli interblocchi e invia un comando al PLC. Poi attende e verifica se il valore della variabile di feedback cambia in conformità al comando.

Con i driver Energy (per Select Before Operate o processo COT), la Cause of transmission (COT) viene usata da zenon e PLC per scambiare informazioni riguardanti i comandi: se un comando deve essere scritto e se il processo di scrittura è riuscito o meno. Con i driver Energy, la variabile di comando riceve un COT in base al livello del comando. In background, i "Comandi" possono poi controllare se la variabile di feedback cambia valore e se la variabile di comando modifica la COT in conformità al comando.

Nota: le modifiche di valore della variabile di feedback vengono prese in considerazione solo dopo COT_act(6).

info Info

I bit di stato COTx restituiscono un valore. Questo valore - come tutti gli altri bit di stato - può essere analizzato a Runtime tramite matrici di reazione multi-numeriche o multi binarie.

Nota: COT non è supportato solo dal driver IEC870, ma anche da alcuni altri driver Energy - in diversa misura. Alcuni driver supportano COT nonostante il protocollo in sé non contenga nessuna COT (per es. IEC850, DNP3). Informazioni dettagliate a questo proposito si trovano nella documentazione del driver.

Watchdog timer e condizioni di interblocco dell´azione:

Durante il watchdog timer vengono analizzati gli interblocchi:

  1. In caso di esecuzione diretta (= senza Select Before Operate).
  2. Quando viene attivato il Select (= prima del Select).
  3. Dopo il Select OK - prima dell´Execute.
  • La corrente azione di comando visualizza nell´elemento di controllo Testo di interblocco un´informazione relativa ad eventuali interblocchi attivi. L´utente li deve sbloccare. Per poterlo fare, però, deve disporre dei diritti utente corrispondenti. L´interblocco, poi, deve essere stato configurato come interblocco sbloccabile. Altrimenti sarà solo possibile annullare l´azione in questione.
  • Se l´azione è annullata da un interblocco configurato, non verrà inviato nessun comando al PLC.
  • Nel caso in cui sia già stato inviato un Select , la cancellazione avviene automaticamente. In questo caso, verrà inviata una disattivazione (Cancel).
  • La variabile di feedback non riceverà un bit TIMEOUT. Se dovesse essere già stato settato un bit PROGRESS, quest´ultimo verrà resettato.

Con una configurazione "ad un livello" dell´azione:

Se c´è un interblocco attivo nel primo livello, viene visualizzato il testo di interblocco, e il sistema attende una reazione di un utente. Se l´utente seleziona On oppure Off, si attiva il pulsante Conferma. Il valore viene poi inviato al PLC. Se l´utente clicca su Annulla ed è stato già eseguito un Select , l´azione invia una disattivazione (Cancel).

Con una configurazione "a due livelli" dell´azione:

L´azione a due livelli analizza l´interblocco e visualizza un messaggio già nel corso del primo livello:

  • Esecuzione diretta - nessun Select Before Operate:
    Vale per il momento in cui si clicca sul primo pulsante.
  • attivo Select Before Operate:
    Vale per il momento in cui si riceve la conferma del Select , oppure quando il Timeout per il Select è scaduto.

Quando i clicca sul pulsante per sbloccare l´interblocco, si attiva il pulsante Esegui 2° fase. Se si clicca su questo pulsante, viene inviato un Execute al PLC. Se si clicca su Annulla ed è stato già inviato un Select , l´azione invia una disattivazione (COT_deact(8)+SE) al PLC.

Se non c´era nessun interblocco attivo nel primo livello prima della modifica delle condizioni e prima che l´utente cliccasse sul pulsante Conferma, l´azione verificherà nuovamente le condizioni di interblocco. Se vengono rilevati degli interblocchi in attesa, verrà visualizzato un messaggio che ne informa l´operatore e il sistema attenderà una cancellazione da parte dell´utente.

Nota: in questo caso l´interblocco non può essere sbloccato da un utente.

info Info

Le azioni a un livello si comportano nello stesso modo in tutte e tre i casi.

Watchdog timer e risposte negative del PLC:

  • Execute negativo
    Durante il watchdog timer, il PLC può reagire negativamente ad un Execute/Operate (COT_actcon(7) + PN). Se riceve una reazione negativa ad un Execute , il sistema termina il watchdog timer.
  • Execute Termination negativa
    Se dal PLC arriva una segnalazione negativa per Execution Termination (COT_actterm(10) + PN), il watchdog timer non attenderà più che cambi il valore della variabile di feedback e verrà terminato immediatamente.

Il bit di statoPROGRESS verrà resettato. Non verrà settato il bit di stato TIMEOUT sulla variabile di feedback.

Nota: il valore del bit PN - Positive(0)/Negative(1) - viene scritto anche come valore sul bit di stato N_CONF della variabile di comando.

Ancora in questo capitolo

Cancellazione del watchdog timer

Watchdog timer solo tramite variabile di feedback (RV)

Watchdog timer solo tramite Cause of transmission (COT)

Watchdog timer tramite COT (causa di trasmissione) e RV (variabile di feedback)


Cancellazione del watchdog timer

Cancellazione del watchdog timer

Se per un´azione di comando è stata attivata la proprietà Interruzione Timeout, l´utente potrà terminare il watchdog timer - il secondo livello (Execute) dell´esecuzione - usando il pulsante "Annulla".

In questo caso, i "Comandi" invieranno la cancellazione al driver. Il driver (per es. il driver IEC850) inoltra una Cancel Request al PLC solo se in fase di configurazione è stata attivata la proprietà Termina Operate. Questa proprietà si trova nel gruppo Imposta valore delle proprietà della variabile.

Anche quando è stata attivata la proprietà Termina Operate per la variabile di comando, l´utente potrà terminare il watchdog timer cliccando sul pulsante Annulla nell´immagine di tipo Comandi. Il sistema lo considera automaticamente come un Interruzione Timeout attivato.

Nota: non tutti i driver che supportano la cancellazione di un Select, supportano anche la cancellazione di un Execute. Informazioni più precise si trovano nella documentazione dei diversi driver.


Watchdog timer solo tramite variabile di feedback (RV)

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Watchdog timer -> Watchdog timer solo tramite variabile di feedback (RV)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Watchdog timer solo tramite variabile di feedback (RV)

Il Watchdog timer tramite variabile di feedback è la forma più usata di monitoraggio a Runtime. Questo tipo di monitoraggio reagisce al cambiamento di valore della variabile di feedback. Il valore della variabile di feedback atteso sulla base del comando, viene configurato nella proprietà Stato-Feedback/Direzione Switch - ON/OFF.

Risposte negative del PLC (COT_actcon(7) + PN) causano il termine del watchdog timer.

Nota: le modifiche di valore della variabile di feedback vengono prese in considerazione solo dopo COT_act(6) della variabile di comando. Le modifiche di valore precedenti vengono ignorate. Questa situazione si può verificare, per esempio, quando il valore della variabile di feedback cambia già dopo un Select, senza che sia stato inviato un Operate/Execute.


Watchdog timer solo tramite Cause of transmission (COT)

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Watchdog timer -> Watchdog timer solo tramite Cause of transmission (COT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Watchdog timer solo tramite Cause of transmission (COT)

Se per il Watchdog timer è stata configurata l´opzione solo tramite COT , il watchdog timer non reagisce al cambio del valore della variabile di feedback (RV), ma solo alla causa di trasmissione - i bit di stato COTx della variabile di comando.

Esempio senza SBO:

Il processo in dettaglio:

  1. Il valore e COT_act(6) vengono scritti sulla variabile di comando.
  2. Sulla variabile di feedback viene settato il bit di stato PROGRESS .
  3. Se il PLC riceve il valore COT_act, il sistema aspetta i valori successivi COT_actcon(7) e COT_actterm(10).
  4. Termine del processo:
    1. Il processo viene concluso quando si riceve un COT_actterm.
    2. Se, nel corso del timeout configurato, non si riceve nessun COT_actterm, accade quanto segue:
      - Il processo viene interrotto e viene attivato il bit di stato
      TIMEOUT della variabile di feedback.
      Nota: questo intervallo di tempo viene configurato nella proprietà Timeout dell´azione di comando.
  5. Il bit di stato PROGRESS viene resettato.


Watchdog timer tramite COT (causa di trasmissione) e RV (variabile di feedback)

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Esecuzione di un comando -> Watchdog timer -> Watchdog timer tramite COT (causa di trasmissione) e RV (variabile di feedback)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Watchdog timer tramite COT (causa di trasmissione) e RV (variabile di feedback)

Se per il Watchdog timerè stata configurata l´opzione via COT e RV , il watchdog timer reagisce al valore della variabile di feedback (RV), e alla causa di trasmissione - i bit di stato COTx della variabile di comando.

Esempio senza SBO:

Il processo in dettaglio:

  1. Il valore e COT_act(6) vengono scritti sulla variabile di azione.
  2. Sulla variabile di feedback viene settato il bit di stato PROGRESS .
  3. Se il PLC riceve il valore COT_act, il sistema aspetta i valori successivi COT_actcon(7) e COT_actterm (10).
  4. Termine del processo:
    1. Il processo viene concluso se entrambe queste condizioni vengono soddisfatte:
    • COT_actterm è stato ricevuto.

      e

    • Il valore della variabile di feedback corrisponde alla direzione di switch (proprietà Stato-Feedback/Direzione Switch).
      Quale delle due condizioni si verifica per prima, non ha alcuna importanza. Non appena entrambe sono soddisfatte, il processo viene completato.
    1. Se solo una o nessuna delle due condizioni del punto 4 viene soddisfatta prima dello scadere del Timeout configurato nell´azione, accade quanto segue:
      - Il processo viene terminato e
      - Il bit di stato TIMEOUT della variabile di feedback viene attivato.
  5. Il bit di stato PROGRESS viene resettato.


Tipo di immagine 'Comandi'

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi'

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Comandi consente di gestire e monitorare a Runtime l´esecuzione di comandi. L´operatore può gestire i comandi usando pulsanti. Per l´immagine di tipo “Comandi” esistono diversi tipi di modelli (templates).

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Comandi.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Processo nell´immagine di tipo “Comandi”

Elementi bloccati o disattivati

Elementi di controllo - Gruppo: Azione / Comando

Elementi di controllo - Gruppo: variabile di comando

Elementi di controllo - Gruppo: variabile di feedback

Elementi di controllo - Gruppo: Seleziona / Esegui

Elementi di controllo - Gruppo: Blocco

Elementi di controllo - Gruppo: Interblocchi


Processo nell´immagine di tipo “Comandi”

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Processo nell´immagine di tipo “Comandi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Comandi è caratterizzata da un processo che si articola in diversi stadi:

  1. Inizializzazione:
  2. Fase 1
    Specificazione dell´azione.
  3. Sblocco
    Analisi degli interblocchi e richiesta di Select.
  4. Fase 2
    Esecuzione del comando.
  5. Attesa che il processo di esecuzione sia completato.

E un passaggio indipendente - "Blocco"

A seconda dello stadio del processo in cui ci si trova, gli elementi di controllo dell´immagine vengono aggiornati, alcuni vengono attivati, altri disattivati (nascosti).

Nota: la variabile del driver di sistema [Comando] Step d'immagine consente di visualizzare i diversi passaggi appena descritti.

Inizializzazione:

Questo passaggio inizializza la gestione interna del processo. Poi c´è un immediato passaggio alla fase “Livello 1”, senza interazione dell´utente.

L´inizializzazione viene eseguita indipendentemente dal modo in cui è stata aperta l´immagine:

  • La variabile di feedback e quella di comando (se questa è la variabile di switch) vengono richieste dal driver. Nel corso di questo processo, il sistema verifica se queste variabili esistono. In caso di errore, viene generato un inserimento nei LOG.
  • Viene attivato il bit di stato NET_SEL per la variabile di feedback.
  • Vengono eseguite le impostazioni per la visualizzazione:
    • La proprietà Immagine Modale e il titolo dell´immagine vengono settati in modo corrispondente. Nota: il titolo dell´immagine viene acquisito tramite la proprietà Titolo immagine da variabile feedback.
    • I pulsanti cui non è assegnata nessuna azione vengono nascosti.
      Ulteriori informazioni su questo argomento si trovano nel capitolo Elementi bloccati o disattivati.

Fase 1

L´azione da eseguire può essere già specificata in questa fase. Per esempio, quando l´utente seleziona l´azione usando il menù contestuale. In questo caso, anche se l´immagine “Comandi” è già aperta per un´altra azione già eseguita, l´azione rimane specificata. Se non ne è stata ancora specificata nessuna, il sistema determina automaticamente l´azione da eseguire. Il risultato del processo di determinazione dell´azione da eseguire viene visualizzato nell´elemento di controllo Azione/Comando attivi dell´immagine “Comandi”.

Il passaggio alla fase successiva “Sblocco” avviene:

  • Cliccando su un pulsante di azione:
    In questo modo è l´utente a definire manualmente l´azione da eseguire.
    Esempio: ON/OFF (Operazione specifica per il tipo di immagine: Azione N).
  • Cliccando sul pulsante Esegui (Operazione specifica per il tipo di immagine: Esegui);
    Il pulsante si riferisce all´azione specificata al momento.

L´azione da eseguire viene determinata quando viene aperta l´immagine “Comandi” (per es. quando si clicca sull´elemento di immagine). In questo momento, però, l´azione da eseguire non è ancora specificata, perché l´immagine “Comandi” può includere più azioni possibili. Il risultato del processo di determinazione dipende dagli elementi di controllo configurati nell´immagine e dalle azioni che sono collegate alla variabile di switch.

La determinazione viene eseguita sulla base dei seguenti criteri:

  1. Impostazione valore
    Se nell´immagine è stato configurato un elemento di controllo per l´inserimento di Valore variabile di comando , o Valore variabile di comando (Slider), ed esiste per la variabile di switch l´azione Impostazione valore [Imposta valore].
  2. Modifica stati
    Se nell´immagine è stato configurato un elemento di controllo Imposta stato, ed esiste per la variabile di switch l´azione Modifica stati [nessuno].
  3. Blocco
    Se l´immagine è stata aperta usando la funzione di Cambio immagine con la proprietà Livello di partenzaimpostata su Blocco, e il gruppo comandi contiene l´azione Blocco.
  4. Se non è stato possibile determinare un´azione sulla base dei criteri sopra descritti, l´immagine “Comandi” verrà aperta senza azione attiva. In questo caso, i pulsanti d´inserimento e il pulsante Esegui saranno disattivati.

Nota: per questo motivo potete aprire per determinate azioni immagini di tipo Comandi che avete configurato e il focus viene posto automaticamente sul campo di inserimento rilevante caso per caso.

Sblocco

Quando si usa il menù contestuale, questo passaggio viene attivato direttamente.

In questo passaggio, il sistema verifica se ci sono degli interblocchi in attesa. Solo se non viene rilevato nessun interblocco in attesa, si può passare al "Livello 2".

Contemporaneamente viene inviata una richiesta "Select “ al PLC se per la variabile di comando la proprietà Select Before Operate è attiva. Si attende che il PLC confermi il Select , oppure che scada il Timeout definito nelle proprietà dell´azione. Se scade il timeout o c´è un rifiuto del Select da parte del PLC, viene visualizzato un corrispondente messaggio di interblocco non sbloccabile.

Se ci sono delle condizioni di interblocco in attesa, si passerà al passaggio successivo solo quando tutti gli interblocchi saranno sbloccati. Se la registrazione nella CEL non è stata disattivata nelle proprietà dell´azione (proprietà Sopprimi inserimento CEL), lo sblocco verrà registrato nella CEL.

Quando si clicca sul pulsante Annulla (Operazione specifica per il tipo di immagine: Annulla), si torna alla fase "Livello 1". Questo può essere necessario se c´è un interblocco attivo che non è sbloccabile. In questo caso, un Select eventualmente già attivo, verrà disattivato (Cancel).

Fase 2

In questo passaggio viene inviato al PLC il comando fondamentale (Operate).

Quando si clicca sul pulsante Conferma (Operazione specifica per il tipo di immagine: Esegui 2. stadio) e

  • Esiste un Select valido
  • Non c´è nessun interblocco in attesa

Il sistema inizia ad eseguire l´azione. Se è stata configurata una firma per questo pulsante (proprietà “Firma necessaria” attiva, gruppo “Autorizzazione” delle proprietà dell´elemento), l´esecuzione dell´azione inizierà solo dopo che l´identificazione tramite firma sarà riuscita.

Bit di stato della variabile di feedback:

  • Il bit PROGRESS viene attivato.
  • Se è stato attivato da un´azione precedente, il bit TIMEOUT viene disattivato.

Fase 2 per le azioni a doppio livello

In caso di esecuzione a doppio livello, il sistema attende sempre una conferma da parte di un utente prima di eseguire l´azione. Solo dopo che l´utente ha cliccato sul pulsante Conferma, il sistema procede a verificare di nuovo l´esistenza di interblocchi attivi. Se nel frattempo sono diventate attive delle condizioni di interblocco, il processo di esecuzione non inizierà. In questo caso, si dovrà tornare al “Livello 1” cliccando sul pulsante Annulla e si dovrà iniziare di nuovo la procedura di esecuzione del comando.

Se il bit di stato NET_SEL non è più attivo (per es. nel client di rete dopo un cambio di server nel sistema ridondante), verrà registrato un messaggio di errore. L´azione non verrà eseguita.

Se è scaduta la Select nel PLC (in questo caso la variabile di comando ha i bit di stato SE_870 + COT_actterm(10) + N_CONF), verrà di nuovo inviata una richiesta di Select al PLC. In caso di conferma positiva, il sistema inizierà il processo di esecuzione. Se, però, il nuovo tentativo di attivazione SBO non dovesse riuscire, verrà visualizzato un messaggio che ne informa l´utente.

Se si clicca sul pulsante Annulla invece che su Conferma, si torna alla fase "Livello 1". In questo caso, un Select eventualmente già attivo, verrà disattivato (Cancel).

Attesa che il processo di esecuzione sia completato.

In questa fase il sistema attende che l´azione venga eseguita completamente. La durata del processo di esecuzione dipende dal driver (o dal PLC) e dalla configurazione. Risposte negative del PLC causano l´interruzione del processo di esecuzione; per es.: una risposta negativa ad un Operate.

Perché il processo di esecuzione inizi, è necessario che tutti i seguenti punti siano soddisfatti:

  • Select Before Operate configurato per la variabile di comando:
    Se il Select è stato confermato positivamente dal PLC, si attende Termination.
  • Conclusione del Watchdog timer configurato (a meno che non sia stata configurata l´opzione nessuno).
  • Conclusione della formazione fronte per l´azione comando impulso.
    Nota: il Ritardo fronte non viene eseguito se Select Before Operate è stato attivato nelle proprietà della variabile di comando.

Se è stata configurata la proprietà Chiusura automatica nelle proprietà dell´azione (gruppo “Immagine di comando”), l´immagine “comandi” verrà chiusa quando il processo di esecuzione sarà stato portato a termine. In caso contrario si tornerà alla fase "Inizializzazione".

Quando il watchdog timer è concluso, per i bit di stato della variabile di feedback vale quanto segue:

  • Il bit PROGRESS viene disattivato.
  • Se il watchdog timer si conclude con un errore, viene attivato il bit di stato TIMEOUT .

Blocco

Questo passaggio diventa attivo quando l´immagine “comandi” viene aperta tramite la funzione di Cambio immagine e se per la proprietà della funzione Livello di partenza è stata configurata l´opzione Blocco. La particolarità di questa fase è che alcuni elementi di controllo dell´immagine non vengono visualizzati. Visibili sono solo gli elementi di controllo dei gruppi “Variabile di feedback” e “Blocco”.

Nota: la funzionalità “Blocca/Sblocca” è disponibile anche in altre fasi, a patto che siano stati inseriti nell´immagine gli elementi di controllo corrispondenti.

Se è stata attivata la proprietà Chiusura automatica (gruppo “Impostazioni azioni”/”Immagine di comando”) per l´azione Blocco, l´immagine verrà chiusa dopo che l´operatore avrà cliccato sul pulsante Blocca e Sblocca.

Questo passaggio non può essere passato ad un altro passaggio.


Elementi bloccati o disattivati

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi bloccati o disattivati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché le voci del menù contestuale e gli elementi di controllo dell´immagine “comandi” si attivino, devono essere soddisfatte alcune premesse: Visto che queste ultime riguardano più elementi, le si documenta qui in modo riassuntivo.

Le voci del menù contestuale e gli elementi di controllo dell´immagine “comandi” aperta sono bloccati fino a Chiudi se:

  • Un´altra immagine possiede già al momento il bit di stato NET_SEL attivo della variabile di feedback (per esempio tramite un client di rete).
  • Per la variabile di apertura non è stato configurato nessun comando.
  • Non esiste una variabile di feedback.
  • La variabile di feedback non ha ancora ricevuto nessun valore.
  • Lo stato INVALID o OFF è attivo per la variabile selezionata.
    Eccezione: Comando forzato, Sostituzione
  • La variabile di feedback per i “Comandi” è stata bloccata:
    • E' settato il bit di stato M1, ), cioè è settato il blocco comandi per la variabile di feedback.

    Eccezione: gli elementi di controllo per l´azione Blocco

  • È in esecuzione un´azione per la variabile di comando e il watchdog timer non è ancora concluso.
    Eccezione: in questo caso il pulsante Annulla può essere attivo (a seconda di quanto impostato in fase di progettazione).
  • Il sistema attende la conferma del Select (SBO).
  • Vengono trasferiti i dati del blocco.
  • I dati del blocco non sono validi.
  • L´utente attualmente registrato non ha il livello di autorizzazioni necessario

Sblocca

Uno sblocco sarà possibile solamente se:

  • Il livello di autorizzazione dell´utente registrato consente l´esecuzione.
  • In conformità alla configurazione dell´interblocco:
    • Per la condizione di comando:
      Se è stata attivata la proprietà Sbloccabile.
    • Per gli interblocchi topologici:
      Se è stato selezionato lo stato sbloccabile nella Configurazione ALC.

Azione “Blocco” da menù contestuale

Se l´immagine “comandi” viene aperta da un´azione Blocco, saranno visibili solo i seguenti elementi di controllo:

  • Variabile di feedback (Nome)
  • Variabile di feedback (Identificazione)
  • Variabile di feedback (Valore)
  • Variabile di feedback (Stato)
  • Variabile di feedback (Unità di misura)
  • Blocco
  • Utente
  • Conferma codice di blocco

Gli altri elementi di controllo progettati nell´immagine verranno esclusi dalla visualizzazione.


Elementi di controllo - Gruppo: Azione / Comando

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: Azione / Comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo

Descrizione

Azione / Comando attivi

Tipo di azione di comando attivata (Tipo).

Esempi: Comando persistente, Richiedi valore di feedback).

Direzione di switch

Valore della proprietà Stato-Feedback/Direzione Switch configurata per l´azione attiva.

A seconda dell'azione attiva, viene visualizzato il seguente testo:

  • Comando
  • Revisione
  • Correzione manuale
  • Sostituisci:
    Testo da valore limite, dipendente della direzione di switch.
  • Stato: ON o OFF
  • Altri: vuoto

Nota: Le informazioni sono visualizzate anche nelle variabili del driver di sistema [Comandi] Identificazione dell´azione e [Comandi] Parametri per l'azione.


Elementi di controllo - Gruppo: variabile di comando

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: variabile di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo

Descrizione

Nome

Nome variabile di comando

Identificazione

Identificazione variabile di comando

Stato

Contiene le descrizioni brevi dei bit di stato per la variabile di azione.

Esempio:

  • Bit per COT
  • Stato SE_870 durante Select
  • Stato N_CONF (PN-Bit) in caso di risposta negativa da parte del PLC.

Nota: Contiene i bit di stato previsti della variabile di feedback dell´azione Modifica stati.

Valore

Valore corrente della variabile di comando, oppure campo di inserimento per l´azione comando Impostazione valore.

Nota: con i driver che consentono anche la lettura delle variabili di comando da parte del PLC, durante il processo di esecuzione dell´azione questo valore cambia da uno esistente a quello corrente. La visualizzazione del valore viene aggiornata solamente con COT=7 (COT_actcon) , o WR-SUC .

  • Se è stata configurata "Impostazione valore", vale quanto segue:
    Il valore da settare per l´azione Imposta valore viene indicato mediante questo elemento di controllo. Quando ci si clicca sopra, questo elemento di controllo passa alla modalità di modifica ed è possibile inserire il valore desiderato. Per chiudere la modalità di modifica, cliccare sul tasto Ins.
    Tuttavia, il nuovo valore viene settato solamente quando si clicca sull´elemento di controllo Esegui.

L´elemento di controllo è bloccato se:

  • La variabile di feedback ha settato lo stato REVISION(9).
  • Non è attiva nessuna azione.
  • L'immagine non si trova nella fase "Livello 1".

Unità di misura

Unità di misura della variabile di azione

Nota: il nome viene visualizzato anche nella variabile del driver di sistema [Comandi] Nome variabile di comando.


Elementi di controllo - Gruppo: variabile di feedback

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: variabile di feedback

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
Nome | Nome variabile di feedback
Identificazione | Identificazione della variabile di feedback
Stato | Contiene le descrizioni brevi dei bit di stato per la variabile di feedback.
Valore | Valore attuale della variabile di feedback
Unità di misura | Unità di misura della variabile di feedback.

Nota: il nome viene visualizzato anche nella variabile del driver di sistema [Comandi] Nome variabile di comando.


Elementi di controllo - Gruppo: Seleziona / Esegui

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: Seleziona / Esegui

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
ON | Tasto di comando del primo livello, per es. per chiudere un interruttore. Quando è attiva l´opzione SBO per la variabile di comando - invia un Select al PLC. Nota: visibile solo in livello 1.
OFF | Tasto di comando del primo livello, per es. per aprire un interruttore. Quando è attiva l´opzione SBO per la variabile di comando - invia un Select al PLC. Nota: visibile solo in livello 1.
Conferma | Pulsante di comando del secondo livello - Execute/Operate. Conferma l´esecuzione del comando dopo la conclusione della verifica dell´esistenza di eventuali interblocchi in attesa e dopo una conferma positiva del Select da parte del PLC. Nota: visibile solo in livello 2.
Annullare | Tasto di comando di secondo livello - Cancel. Termina il processo di esecuzione dei “comandi” e torna alla fase "1° livello". Nota: visibile solo in livello 2.
Chiudi | Chiude l´immagine comandi nel Runtime di zenon.

Nota: la variabile del driver di sistema [Comando] Step d'immagine consente di visualizzare i diversi passaggi di esecuzione nell´immagine “comandi”.


Elementi di controllo - Gruppo: Blocco

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: Blocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi di controllo del gruppo Blocco sono bloccati se nel gruppo comando non è stata configurata nessuna azione Blocco.

Elemento di controllo

Descrizione

Utente

Qui si indica l´identificazione utente per il blocco.

Codice di blocco

Qui si indica il codice di blocco specifico per l'utente.

Commento

Testo opzionale che può essere inserito dall´utente per il blocco.

Bloccare

Attiva un blocco tramite l´utente indicato nell´elemento di controllo Utente.

Nota: Questa azione di gestione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Sbloccato

Elimina il blocco causato dall´utente indicato nell´elemento di controllo Utente.
Questo è garanzia del fatto che un utente possa eliminare solamente i blocchi che lui stesso ha settato.

Nota: Questa azione di gestione viene protocollata nella Lista eventi cronologica (se non si è previsto il contrario in fase di configurazione).

Lista blocchi

Lista dei blocchi attivi:

  • Utente
    Nome dell´utente che ha attivato il blocco.
  • Tempo di blocco
    Time stamp dell´interblocco.
  • Commento
    Testo per l´interblocco.


Elementi di controllo - Gruppo: Interblocchi

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Tipo di immagine 'Comandi' -> Elementi di controllo - Gruppo: Interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
Testo di interblocco | L´interblocco attivo sulla base della configurazione, oppure i testi della ALC - interblocco topologico.
Sblocca | Questo pulsante sblocca un interblocco in attesa e sbloccabile. Nota: questo elemento di controllo viene visualizzato solo nel caso in cui l'immagine si trovi nello stadio "Sblocca” (capitolo: Processo nell´immagine di tipo “Comandi”). L´elemento di controllo è bloccato se il blocco in attesa non è sbloccabile.

Nota: i testi di interblocco sono visualizzati anche nella variabile del driver di sistema [Comando] Messaggio di interblocco.


Aggiorna progetto Runtime

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Aggiorna progetto Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si esegue il reload di una configurazione dei “Comandi” a Runtime, bisogna tenere presente quanto segue:

  • Se sono attivi un watchdog timer, una formazione fronte o il SBO, il reload viene rimandato finché questi processi non saranno conclusi.
  • Un'immagine di tipo Comandi aperta viene chiusa e il processo viene riavviato dopo il reload in dipendenza dalla fase in cui si trovava prima del reload:
Fase prima del reload | Comportamento dopo il reload
Livello 1 | L´immagine viene riaperta per il livello 1.
Sblocco oppure 2° livello | Viene attivato il livello "Fase di sblocco" La verifica degli interblocchi viene eseguita un´altra volta.
Blocco | Il blocco viene riattivato.
  • Prima della riapertura dell´immagine, il sistema provvede a determinare nuovamente la variabile di feedback, quella di condizione, il gruppo comandi e l´azione. Se uno di questi oggetti non esiste più, gli elementi di controllo dell´immagine vengono bloccati a Runtime.
  • Se per la variabile che serviva da trigger per i “Comandi” è stato cancellato o modificato il gruppo comandi, l´immagine verrà aperta con elementi di controllo bloccati. In questo caso, l´immagine dovrà essere aperta una seconda volta, oppure si dovranno eseguire di nuovo i "Comandi".
  • Se è stato cancellato o modificato il gruppo comandi nella variabile di feedback, verranno eliminati dalla variabile tutti i blocchi causati dai "comandi".
  • Se un utente che aveva attivato un blocco comandi non esiste più, viene cancellato il blocco. Il bit di stato M1 e il file LOCK.BIN vengono aggiornati di conseguenza.


Registrazione nella CEL

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Registrazione nella CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alle azioni di commutazione, le seguenti azioni utente vengono registrate nella CEL:

Parametri | Descrizione
Sblocca | Lo sblocco di un blocco in attesa viene registrato nella CEL.
Sblocca tutti | Per ogni interblocco sbloccato viene generato un inserimento CEL corrispondente.
Esegui azione | Se l'impostazione "Sopprimi inserimento CEL" non è stata attivata nelle proprietà dell´azione di comando, l'esecuzione dell'azione stessa verrà protocollata nella CEL.


Cambio server in un sistema ridondante

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Cambio server in un sistema ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando il Server-Standby assume il ruolo di server primario, i driver del nuovo server primario svolgono le operazioni di scrittura sui PLC. Per questa ragione, un Select Before Operate in corso verrà interrotto.

Anche la gestione del Select in rete - bit di stato NET_SEL - della variabile di feedback del server primario precedente al cambio di ridondanza, non potrà essere assunta dal nuovo server; il processo di esecuzione dei “Comandi”, dunque, dovrà essere iniziato di nuovo.

Si prega di tener presente il comportamento del Runtime quando il cambio di ridondanza viene inizializzato dall´utente e non dal fatto che il server primario smette di funzionare.


Chiudere il Runtime

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Chiudere il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finché ci sono delle azioni attive nel sistema, la chiusura regolare del Runtime (per esempio mediante una chiamata funzione) viene ritardata.

Anche se c´è un processo Select Before Operate in corso, la chiusura del Runtime di zenon verrà ritardata. Se Select Before Operate è attivo, il sistema lo disattiva (Cancel) automaticamente.

info Info

Questa situazione si verifica soprattutto in caso di esecuzione ad un livello dell´azione di comando comando impulso, con watchdog timer e/o formazione fronte. Il Runtime verrà chiuso solo dopo l´esecuzione dell´azione.


Blocco della variabile di feedback

Manuale -> Energy Edition -> Comandi -> Gestione a Runtime -> Blocco della variabile di feedback

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una variabile di feedback è bloccata se è stato settato il bit di stato utente M1.

Nell´azione Blocco, il blocco può essere attivato o disattivato inserendo il nome utente e il Codice di blocco (configurato nella identificazione utente). Un utente può attivare un blocco per ogni variabile di feedback. Più utenti possono bloccare la stessa variabile di feedback.

I blocchi attivi sono salvati nel file LOCK.BIN in modo ritentivo e vengono presi in considerazione anche dopo un riavvio del sistema.

info Info

Viene eseguito un update automatico dei blocchi nella rete di zenon. Per questa ragione, i blocchi possono essere utilizzati anche in un sistema ridondante.


Engineering distribuito

Manuale -> Engineering distribuito

La funzione multi-utente di zenon consente a piu utenti di lavorare contemporaneamente ad uno stesso progetto. I progetti vengono salvati in un server SQL centrale, mentre possono essere elaborati contemporaneamente in diverse postazioni di lavoro. In seguito questo database centrale del progetto verrà denominato Server DB.

Ad esempio: Un utente crea un’immagine mentre un altro utente allo stesso tempo puo lavorare alla definizione delle variabili.

info Info

Indicazioni sulla terminologia:

"Einchecken" corrisponde alla proprietà Accetta le modifiche

"Auschecken" corrisponde alla proprietà Rendi possibili le modifiche.

Protocollo IP

La comunicazione nella rete di zenon può avvenire a scelta tramite IPv4 e IPv6. I dettagli su questo argomento, li trovate nel capitolo Rete, sezione Presupposti.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Requisiti hardware

Informazioni sul server SQL

Possibilità della gestione multi-utente

Progettazione di un nuovo progetto multiutente

Conversione di un progetto standalone in un progetto multiuser

Conversione di un progetto multiuser in un progetto standalone

Come lavorare con un progetto multiutente

Lavorare offline


Requisiti hardware

Manuale -> Engineering distribuito -> Requisiti hardware

I requisiti minimi si riferiscono all´uso di progetti multiutente con una pluralità di oggetti (per es. >= 100.000 variabili).

Hardware | Requisito minimo
CPU | Quad Core
Memoria RAM | Server: 16GB / Client: 8GB RAM
Disco fisso | Si consiglia SSD

Nota: se necessario l´impostazione Maximum Server Memory del Server SQL deve essere modificata e adeguata manualmente.

info Info

Ulteriori informazioni su questo tema le trovate al link seguente: https://msdn.microsoft.com/en-us/library/ms178067(v=sql.120).aspx


Informazioni sul server SQL

Manuale -> Engineering distribuito -> Informazioni sul server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon a partire dalla versione 7.00 SP0

Nel caso dell´engineering distribuito, tutti i partecipanti accedono ad un server SQL centrale. A partire dalla versione 7.00 SP0 di zenon, tutti i partecipanti devono usare la versione 7.00, oppure una versione ancora più recente:

  • Editor: da 7.00 SP0
  • DBSrv: da 7.00
  • SQL-Server: SQL Server 2008 R2 Express Edition

attention Attenzione

Si deve usare la stessa password su tutti i calcolatori.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Update

Quando si effettua un update del server di progetto per passare a SQL Server 2012 Express, tutti i client devono essere aggiornati nello stesso modo.


Possibilità della gestione multi-utente

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multiutente può essere usata per:

  • progetti standalone, per testare modifiche senza correre dei rischi
  • un server locale con più client
  • un server di rete con più client

Ancora in questo capitolo

Server locale

Server locale al quale si connettono piu client

Un server al quale si connettono più client


Server locale

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso sia il Server DB che la copia locale del progetto si trovano sullo stesso computer.

Un progetto multiutente puo essere creato anche su un singolo computer. In questo caso, per esempio, è sensato prevedere che le modifiche vengano sottoposte prima ad una verifica. A questo scopo, per esempio, sono rese possibili modifiche di un'immagine, si effettuano le modifiche che vengono controllate nel runtime. Tali cambiamenti, poi, possono essere o accettati o rifiutati. L'immagine originaria rimane finché le modifiche non sono state assunte nell'immagine stessa.


Server locale al quale si connettono piu client

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale al quale si connettono piu client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su un calcolatore si trovano il server DB e una copia locale del progetto. Anche i client lavorano localmente con una copia del progetto. Le modifiche alla copia locale del progetto vengono trasmesse alla banca dati del server solo quanto sono state accettate. Anche sul calcolatore del server si lavora con la copia locale del progetto.


Un server al quale si connettono più client

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Un server al quale si connettono più client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server database si trova sul calcolatore centrale. Più client si connettono a questo server. Copie locali del progetto vengono trasferite ai singoli client.

Copie del progetto locali 1-3 del Server DB

info Info

Sono possibili delle combinazioni fra le configurazioni descritte. Per es. ogni calcolatore ha installato uno o più server DB per diversi progetto e ha contemporaneamente solo una copia locale del progetto e un altro server DB.

Server senza login

Su server sui quali nessun utente effettua il login, deve essere attivo il file zendbsrv.exe come servizio.

Il zendbsrv avvia il zensyssrv per le operazioni di Login. Con il sistema operativo Windows 7, non è consentito effettuare questa operazione tramite Trasporto Remoto per motivi di sicurezza. Il file deve essere registrato manualmente:

zendbsrv.exe -service

Suggerimento: registrate nello stesso tempo anche zensyssrv.exe come servizio: zensyssrv.exe -service

info Info

Non appena entrambi i file sono registrati come servizi, il Trasporto Remoto non può più essere usato sotto Windows 7; di conseguenza anche il Runtime non potrà essere avviato via Trasporto Remoto.


Progettazione di un nuovo progetto multiutente

Manuale -> Engineering distribuito -> Progettazione di un nuovo progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla creazione di un nuovo progetto, la checkbox Progetto multiutente deve essere attiva. Nel campo Server di progetto indicate oppure selezionate il server per il progetto multiutente. Se viene inserito un server, la checkbox Progetto multiutente viene attivata automaticamente.

Se il campo Server di progetto rimane vuoto, il progetto e la banca dati del server vengono creati sul PC locale. Viene creata automaticamente anche una copia locale del progetto, con cui si può lavorare poi direttamente nell´Editor.

Requisiti:

  • Il server database del progetto (zendbsrv.exe): deve essere avviato sul computer che funge da server e su quello che fa da client.
  • Impostazioni firewall:
    • i programmi zendbsrv.exe e sqlservr.exe devono essere resi disponibili.
    • SQL Browser deve essere abilitato sia dalla parte del server cje quella del client
  • Numeri di porta che devono essere aperti:
    • 1103
    • 1434 per Server SQL: questo numero di porta può cambiare; per questo motivo il processo SQL Server deve essere completamente escluso dal firewall
    • 1434 per SQL-Browser
  • La risoluzione dei nomi in rete deve funzionare.
  • La ricerca inversa (Reverse lookup) deve restituire lo stesso nome computer sia sul calcolatore che fa da server che su quello che fa da client.

attention Attenzione

I workspace non supportano la funzione multi-utente, perché sono specifici per la postazione di lavoro. Perciò la gerarchia di progetto può essere configurata in modo differente su diversi calcolatori. Affinché la gerarchia sia strutturata in modo uguale su tutti i calcolatori, è necessaria la comunicazione diretta fra i diversi utenti.

Creare un client per un progetto multiutente.

Per creare un client per un progetto multiutente, seguite i passi seguenti:

  1. Selezionare File -> Inserisci progetto esistente...
    Si apre la finestra di dialogo Selezione progetto che consente di selezionare un progetto.
  2. In questa finestra di dialogo, alla voce Nome PC selezionare il nome di un computer.
    Digitare il nome del PC di rete desiderato, oppure cliccare sul pulsante ... in modo tale che venga visualizzata la lista dei computer connessi in rete. Si prega di tenere presente che la lettura della lista dei computer connessi in rete mediante l´uso del pulsante ... può durare un po`di tempo se la rete è grande.
  3. Dopo che il nome di un computer è stato digitato, oppure selezionato, viene aggiornata la lista della Selezione progetto .
    In questa lista vengono visualizzati tutti i progetti di zenon presenti sul computer indicato.
  4. Nella lista Selezione progetto, selezionare il progetto che si vuole implementare sul computer locale nel Workspace di zenon.
  5. Confermare la seleziona cliccando sul pulsante OK.
    Il progetto viene inserito nella lista del Workspace di zenon.

Note sulla progettazione con zenon Logic

Quando si lavora con zenon Logic, si deve tenere presente quanto segue:

  • Nel workbench di zenon Logic, più precisamente nel nodo Tutti i progetti, MultiSpy si possono creare liste e si può aprire l`Editor Binding globale. Per queste impostazioni vale quanto segue: Esse
    • non vengono salvate come multiutente
    • non vengono trasferite al server di progetto
    • vengono rimosse alla sincronizzazione successiva.
  • Quando nuovi progetti di zenon Logic vengono creati nel workbench di zenon Logic usando File ->Progetto nuovo , vale quanto segue: Essi
    • non vengono trasferiti al server di progetto
    • vengono cancellati alla sincronizzazione successiva.

Attenzione: i progetti multiutente di zenon Logic possono essere creati solamente tramite l´Editor di zenon.


Conversione di un progetto standalone in un progetto multiuser

Manuale -> Engineering distribuito -> Conversione di un progetto standalone in un progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per convertire un progetto standalone in un progetto multiuser:

  1. assicuratevi che il progetto globale sia multiuser.
    Nel caso in cui non dovesse essere così, togliete il progetto globale esistente dal workspace e create un nuovo progetto globale adatto all´uso multiuser servendovi del menu contestuale del workspace: Progetto nuovo
  2. Convertite poi il progetto standalone: selezionate nel menu contestuale il comandol Multiuser -> Converti in progetto Multiutente
  3. Il sistema visualizzerà un messaggio che Vi avvisa che questa operazione non può essere annullata.
    Tuttavia, un progetto multiuser può essere ripristinato come progetto standalone mediante un backup.
  4. Confermate di aver letto questo messaggio cliccando sul pulsante Sì.

info Info

Se si effettua una conversione, il computer su cui questa azione viene eseguita, viene definito come database server per il progetto. Questa proprietà non può più essere modificata in un secondo momento.


Conversione di un progetto multiuser in un progetto standalone

Manuale -> Engineering distribuito -> Conversione di un progetto multiuser in un progetto standalone

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per convertire un progetto multiuser in un progetto standalone:

  1. anzitutto assicuratevi che tutte le modifiche di progetto vengano riprese da tutti i client:
    • Progetto -> Menu contestuale -> Multiuser -> Sincronizza
  2. create un backup di progetto
    • Nodo Backup di progetto -> Menu contestuale -> Creare backup progetto
    • Assegnate nel dialogo nome e descrizione; potete creare un backup anche per una copia progetto locale.
  3. Create un backup del progetto come nuovo progetto:
    • Area di lavoro -> Menu contestuale -> Ripristina backup di progetto .
    • Selezionate il backup desiderato.
    • Attivate la checkbox Crea nuovo progetto.
    • confermate cliccando su OK
    • Assegnate un nuovo nome progetto.
  4. Il progetto viene creato come progetto standalone.
    Il progetto multiuser continua ad esistere in parallelo.

Nota: Per convertire la copia locale di progetto in un progetto standalone, si può scegliere nell´Editor, alla voce progetto, anche l´opzione Progetto -> Salva con nome ....


Come lavorare con un progetto multiutente

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti multiutente consentono un accesso molteplice ai moduli. Se realizzate dei progetti multiutente, tenete presente soprattutto quanto segue:

  • Il procedimento in caso di Rendi possibili le modifiche e Accetta modifiche e le loro implicazioni nel caso di cambi in diversi moduli
  • Cancellazione di elementi
  • Sincronizzazione di elementi
  • Le particolarità di VBA e RGM

Rinomina progetto

I progetti non possono essere rinominati localmente con il comando Salva con nome, visto che viene salvata sempre la copia locale di progetto.

Per salvare un progetto server con un nuovo nome:

  1. Effettuate un backup del progetto server.
  2. Selezionate nel menù contestuale Ripristina backup come nuovo progetto.
  3. Assegnate il nuovo nome desiderato.

Il progetto sarà adesso disponibile con il nuovo nome.

Ancora in questo capitolo

Amplia e sincronizza il progetto

Modifiche di elementi esistenti

Cancella progetti

Chiudere la connessione client.

Backup meccanismo

Abilita, accetta e rifiuta modifiche

Cancellazione di un elemento

Sincronizzazione del progetto multiutente

Manager gruppi di ricette

VBA e VSTA

Chiusura dell'editor

Gruppi di stile e stili


Amplia e sincronizza il progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Amplia e sincronizza il progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se viene creato un nuovo elemento come, ad esempio, una variabile o una nuova immagine, questo elemeno è disponibile in un primo momento solo localmente e automaticamente vengono permesse delle modifiche dell'elemento stesso.

Se i cambiamenti vengono accettati, un altro client deve effettuare una sincronizzazione in modo tale da avere gli elementi modificati a disposizione sul suo computer.

Se i cambiamenti sono stati rifiutati dopo che è stato creato un nuovo elemento, è come se questo elemento non fosse mai esistito.

La differenza fra una nuova variabile ed una nuova immagine è che la variabile non è visibile dopo una sincronizzazione su altri calcolatori se le modifiche non sono state ancora accettate. Un'immagine, invece, è visualizzata su altri calcolatori come in costruzione dopo una sincronizzazione.

Vedi anche il capitolo "immagini! / sezione Editor dei modelli

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Questo è possibile tramite la voceProgetto/Sincronizza nel menu contestuale del progetto nel manager progetto.

Nel menu sono presenti le seguenti voci:

Funzionalità | Descrizione
Multiuser/sincronizzare | Il progetto viene aggiornato.
Multi-utente/attiva modalità offline | Viene attivata la Modalità offline. Le modifiche hanno effetto solo localmente e non vengono riprese centralmente finché il progetto è offline.
Multi-utente/attiva modalità online | Viene attivata la Modalità online. Se degli elementi sono stati già modificati e accettati da altri utenti, questi cambiamenti sovrascrivono quelli effettuati nella modalità offline.
Aggiorna versione locale | La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor. Attenzione: Gli elementi/moduli selezionati dall’utente vengono ignorati.

info Info

Quegli elementi che sono stati resi disponibili per la modifica dallo stesso utente che effettua la sincronizzazione, non vengono sovrascritti durante la sincronizzazione. Le modifiche locali sono protette dal fatto di essere selezionate.

Eccezione:
L'utente A seleziona elementi offline. L'utente B seleziona elementi online. Se l'utente A si collega di nuovo con il server, gli elementi, che sono stati selezionati da entrambi gli utenti, per l'utente A vengono sovrascritti da quelli dell'utente B. Nel caso in cui in un team un componente stia effettuando la messa in opera di un impianto, consigliamo di non modificare il progetto sul server in questa fase offline!


Modifiche di elementi esistenti

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Modifiche di elementi esistenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si modifica un elemento esistente, si deve effettuare un check-out della parte che si vuole cambiare. Questo impedisce che più progettisti accedano e modifichino lo stesso elemento. Un elemento per il quale si è effettuato il check-out, è inaccessibile e non può essere modificato da parte di altri utenti.

L’elemento può essere modificato solamente dall'utente che ha effettuato il check-out e ottenuto in questo modo i diritti di modifica. Per tutti gli altri utenti l'elemento è bloccato.

Per poter effettuare delle modifiche di un elemento, l’utente deve selezionare la voce “Progetto/Consenti modifiche” nel menù contestuale dell'elemento. E' possibile effettuare il check-out solamente di singoli elementi, per esempio di una variabile. A questo scopo viene attivata la voce "Consenti modifiche" nel menù contestuale della visualizzazione dettagli della singola variabile. Inoltre è possibile effettuare il check-out di tutte le variabili del progetto contemporaneamente mediante il nodo principale.

Se un progetto è del tipo multiutente, viene aggiunta all´albero di progetto la voce In costruzione. Nella visualizzazione dettagli di questa lista sono elencati gli elementi del progetto attuale per cui è stato effettuato il check-out. Di default, ci sono le seguenti colonne: Stato, Elemento, Destinazione e Modulo. E’ possibile inserire ulteriori colonne nel menù contestuale del titolo colonne selezionando la voce “Selezione Campo”. Con le ulteriori colonne, la lista offre una visione d'insieme di quale elemento viene modificato, da quale utente e su quale computer.

info Info

Quando si tratta di progetti di integrazione e di sottoprogetti nella gestione multiutente, ci si deve prima accertare che entrambi i progetti abbiano abilitata la voce Rendi possibili le modifiche prima di trascinare il sottoprogetto nel progetto di integrazione.

Un utente può "leggere" ma non modificare un "elemento/modulo" finché non si è procurato la relativa autorizzazione. Tale autorizzazione la si ottiene attraverso il menù contestuale dell'elemento Rendi possibili le modifiche, o direttamente al momento dell'apertura dell'elemento.


Cancella progetti

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Cancella progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene cancellato un progetto, viene eliminata solo la copia locale del progetto. Il server DB continua ad essere disponibile ed altri client possono continuare a lavorarci. E' ancora possibile reinserire il progetto nel workspace. In questo caso viene creata una nuova copia locale del progetto.

Nel caso in cui l'utente cancelli la sua copia locale del progetto, anche tutte le informazioni di check-out (e, naturalmente, anche tutte le eventuali modifiche apportate) di tale utente vanno perse.


Chiudere la connessione client.

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Chiudere la connessione client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione "chiudi la connessione client" è possibile chiudere il collegamento fra la copia locale del progetto di un utente e il server DB. In tal modo vengono cancellate tutte le informazioni di check-out di questo utente. Ridiventa possibile apportare le modifiche di elementi che erano state bloccate da tale utente.

Si può rendere necessario chiudere la connessione client se l'utente non è in ufficio e ha reso inaccessibili degli elementi che devono essere modificati urgentemente, o se il calcolatore dell'utente ha un guasto.

attention Attenzione

Se la connessione client di un utente è stata chiusa e questi apre la copia locale del progetto, quest'ultimo è offline. Non è più possibile poi tornare online. La copia locale del progetto deve essere prima cancellata e reintrodotta dal server.

Condizione:

una connessione client può essere chiusa solo se il calcolatore, sul quale si lavorava alla copia del progetto locale, non è raggiungibile.

Tramite il menu principale File -> aggiungi progetto attuale si apre il manager banca dati del progetto. Alla voce "progetto multi-utente" si trovano sotto "copie di progetto locali collegate" tutti gli utenti, che hanno una copia locale di progetto In costruzione (o hanno avuto).

Utilizzando la voce "dividi", l'inserimento per questo utente viene cancellato dal server DB. Dopo che la connessione client è stata chiusa, si può uscire dalla finestra di dialogo.

attention Attenzione

Questa operazione non può essere revocata! Se l'utente vuole avere di nuovo accesso su questo calcolatore al progetto multi-utente, la copia locale del progetto deve essere cancellata e reintrodotta.


Backup meccanismo

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne il meccanismo di backup nella progettazione distribuita, c´è da tener conto di quanto segue:

  • Può essere effettuato il backup solamente di stati locali del progetto.
  • Creare un backup è possibile finché non si è effettuata una sincronizzazione.

Ancora in questo capitolo

Backup progetto

Ripristina backup di progetto


Backup progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il backup di progetto viene avviato nel Manager di progetto mediabte il nodo backup di progetto.

Ancora in questo capitolo

Backup di stati locali del progetto

Backup di progetti server


Backup di stati locali del progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto -> Backup di stati locali del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un backup di progetto può essere creato mediante il menù contestuale del modulo Backup di progetto. Per realizzare un backup locale del progetto, deve essere attivato nel box di dialogo Crea backup... il checkbox Salva copia locale progetto.

Backup locali di progetto possono essere realizzati solo nell'ambito della stessa sessione offline di backup.

info Info

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Backup di progetto Visualizzazione dettagli Barra degli strumenti.


Backup di progetti server

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto -> Backup di progetti server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il backup dei progetti server può essere eseguito da ogni client se non è stata attivato il checkbox Salva copia locale progetto.

info Info

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Esegui backup ed esporta progetto.


Ripristina backup di progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Ripristina backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un backup di progetto può essere ripristinato mediante il menù contestuale del modulo Backup di progetto.

Backup locali possono essere realizzati solo nell'ambito della stessa sessione offline di backup.

info Info

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Backup di progetto Visualizzazione dettagli Barra degli strumenti.

Ancora in questo capitolo

Ripristino di backup di stati locali del progetto


Ripristino di backup di stati locali del progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Ripristina backup di progetto -> Ripristino di backup di stati locali del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ripristino di una copia locale di progetto è possibile solo finché non è stata effettuata una sincronizzazione.
Nel caso in cui un progetto sia stato sincronizzato dopo l'effettuazione del backup, l'utente ha a disposizione l'opzione "Rileggi backup di progetto come nuovo progetto". In questo caso viene effettuato il backup come "single user project".

info Info

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Ripristina backup.


Abilita, accetta e rifiuta modifiche

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter effettuare dei cambiamenti ad un progetto, è necessario anzitutto rendere disponibili gli elementi corrispondenti (funzioni, variabili, immagini, ...) perché essi possano essere modificati. (Rendi possibili le modifiche). Dopo la modifica, gli elementi devono essere poi di nuovo bloccati in modo che non li si possa cambiare di nuovo; infine essi devono essere trasmessi al server (Conferma modifiche).

Nota: gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.

Parametro

Descrizione

Aggiorna versione locale

Nel caso in cui altri utenti abbiano effettuato delle modifiche al progetto server, la copia locale del progetto può essere aggiornata mediante questo punto di menu.

Vengono aggiornati solamente i singoli Elementi/Moduli Nuovi elementi presenti sul server non sono disponibili senza aver effettuato una sincronizzazione.

Consenti modifiche

Per poter effettuare delle modifiche ad elementi, deve essere settato per questi ultimi lo stato "consenti modifiche". Ciò può essere fatto mediante il menu contestuale dell'elemento selezionato.
Per consentire di lavorare in modo più veloce, è possibile stabilire che sia possibile effettuare delle modifiche alle variabili valide per tutto il modulo. Ciò signifca che l'accesso a tutte le variabili, a tutti i driver ed i tipi di dato è bloccato per tutti gli altri utenti.

Conferma modifiche

Le modifiche vengono inviate e applicate sul progetto del Server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.
Se sono state rese possibili delle modifiche tramite il modulo, queste possono essere anche accettate mediante il modulo.
Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono trasmessi e il loro accesso viene sbloccato per tutti gli altri utenti. In questo caso non è possibile accettare un elemento singolo.
Le modifiche apportate nella copia locale del progetto vengono rifiutate e sovrascritte dallo stato del server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.

Rifiuta modifiche

Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono rifiutati e il loro accesso viene sbloccato per altri utenti. In questo caso non è possibile rifiutare un elemento singolo.

Tutti i moduli
  • Aggiorna versione locale: Aggiorna la versione locale.
  • Rendi possibili le modifiche Consente di eseguire modifiche.
  • Accetta modifiche Applica le modifiche eseguite.
  • Cancella modifiche: Elimina le modifiche eseguite.

info Info

Quando si effettuano dei cambiamenti al nome progetto, è impossibile fare uso di Cancella modifiche. Il nome progetto modificato rimane.

Modifiche a più moduli contemporaneamente

Se un modulo viene reso disponibile per le modifiche ed elementi di altri moduli vengono creati di nuovo e collegati al modulo in questione, tutti gli elementi/moduli interessati devono essere settati contemporaneamente su Accetta modifiche. Anzitutto rilasciate gli elementi/moduli nuovi e poi quelli già esistenti. Se viene reso disponibile solamente il modulo originariamente bloccato, il frutto del nuovo lavoro di progettazione può andare perduto.

Esempio:

  • su un client viene rilasciato il Manager gruppi ricette.
  • Viene creato un nuovo gruppo ricette, poi una nuova ricetta.
  • Una variabile esistente viene aggiunta al gruppo ricette.
  • Vengono create e aggiunte tre nuove variabili.
  • Vengono rilasciati interblocchi e viene creato un nuovo interblocco.
  • Viene creata una nuova immagine keyboard con un nuovo modello.
  • Nel gruppo ricette viene assegnato l´interblocco di nuova creazione.
  • Viene assegnata l´immagine keyboard.
  • Una nuova variabile per la visibilità viene creata e collegata con una del gruppo ricette.

Se solamente il gruppo ricette viene settato su Accetta cambiamenti e viene sincronizzato un altro client, accadrà quanto segue:

  • l´altro client riceverà:
    • un gruppo ricette con una variabile collegata
    • e una ricetta che contiene questa variabile
  • tutte le altre informaizioni, però, andranno perse

Se questo client blocca il gruppo ricette, lo modifica e lo rende di nuovo disponibile per cambiamenti, tutte le nuove informazioni progettate andranno perdute.

Per riprendete i cambiamenti in modo corretto, Accetta modifiche deve essere settato per:

  • RGM
  • Gruppo di ricette
  • Ricetta
  • Variabili
  • Interblocchi
  • Immagine keyboard
  • Modello per immagine keyboard

Ancora in questo capitolo

Stato degli elementi/moduli

Legenda dei simboli


Stato degli elementi/moduli

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche -> Stato degli elementi/moduli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettua il check-out di un elemento, cambia il simbolo corrispondente nell´albero di progetto, più precisamente nella visualizzazione dettagli. L’utente, che ha selezionato l’elemento, ha un simbolo verde di spunta vicino al checkbox. Tutti gli altri hanno una checkbox con una X rossa.Un ! significa che all'interno del nodo sono selezionati alcuni elementi.

Vedi capitolo Legenda.

Nel caso specifico della gestione variabili, i simboli vengono visualizzati in modo quasi trasparente se si è effettuata la selezione (check-out) mediante il modulo.

Example Esempio

Tutte le variabili sono selezionate per la modifica da un utente. Un altro utente non può modificare queste variabili, ma può inserirne una nuova.

Eccezione: check out modulo.

Le seguenti azioni sono possibili solamente se tutto il modulo viene settato su Rendi possibili le modifiche :

  • creazione di variabili array
  • creazione di tipi dato strutturato
  • copiare o inserire variabili array e di struttura
  • creare variabili sulla base di un tipo dato strutturato con array
  • modificare le impostazioni array di una variabile
  • modificare le impostazioni array in zenon Logic di una variabile con profilo zenon Logic

info Info

Se viene creata una variabile senza che il modulo Variabili nel suo complesso sia stato settato su Rendi possibili le modifiche, le dimensioni vengono settate automaticamente su 0. In tal modo si evita che venga creata involontariamente una variabile strutturata.

I seguenti elementi/moduli possono essere settati solo nel loro complesso su Rendi possibili le modifiche oppure Accetta modifiche :

  • Archivi
  • Utenti
  • Menù
  • Matrice di reazione
  • Ricette standard
  • Gruppo di ricette
  • Script
  • Caratteri
  • Interblocchi
  • Attribuzioni

Visualizzazione modifiche di data nella finestra dettagli

Nella finestra dettagli ci sono due colonne contenenti informazioni relative all´ultimo momento in cui sono state effettuate delle modifiche:

  • Ultima modifica accettata: mostra in tutte le liste i cui contenuti riguardano l´engineering distribuito, il momento dell´ultimo update nella banca dati, oppure quello dell´ultimo login.
  • Modificato per ultimo: visualizza il time stamp dell´ultima modifica del file nel file system.

Se le colonne non vengono visualizzate, ci sono i seguenti modi di attivarle:

  1. Cliccate con il tasto destro del mouse sull´intestazione della colonna.
  2. Selezionate nel menù contestuale il comando Selezione colonne...
    (Quali colonne sono disponibili dipende dal tipo di modulo).
  3. Selezionate le colonne desiderate nella lista di selezione a sinistra (possibile selezione multipla).
  4. Aggiungete le colonne alla lista di destra cliccando sul pulsante Aggiungi.
  5. Selezionate con i pulsanti "in su" o "in giù" la posizione desiderata nell´ambito della lista.
  6. Confermare e chiudere la finestra di dialogo cliccando su OK.


Legenda dei simboli

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche -> Legenda dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti simboli indicano gli stati degli elementi nell'engineering distribuito.

Per es.: un'immagine può essere modificata dall'utente [image])

Elementi della visualizzazione dettagli del manager di progetto:

Simbolo | Descrizione
 | Un nuovo elemento è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un nuovo modulo è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un elemento è stato evidenziato come cancellato nella copia locale del progetto. Esso viene cancellato sul server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un modulo è stato evidenziato come cancellato nella copia locale del progetto. Esso viene cancellato sul server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | L'elemento può essere modificato dall'utente attuale.
 | Il modulo può essere modificato dall'utente attuale.
 | L'elemento è bloccato da un altro utente.

Visualizzazione nell´albero di progetto:

Simbolo | Descrizione
 | Il modulo può essere modificato dall'utente attuale.
 | Il modulo viene modificato da un altro utente ed è bloccato per l'utente attuale.
 | Perlomeno un elemento del modulo è evidenziato per l'effettuazione di una modifica (non l'intero modulo)


Cancellazione di un elemento

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Cancellazione di un elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi della banca dati vengono marcati come cancellati. Su tutti i client questi elementi vengono contrassegnati come bloccati e su di essi non è possibile effettuare nessuna modifica. Quando verranno accettate le modifiche, gli elementi verranno definitivamente cancellati. E’ possibile inoltre, una volta cancellati gli elementi, recuperarli annullando le modifiche effettuate.

Example Esempio

Ciò vale, per esempio, nel caso delle variabili: le modifiche debbono essere anzitutto accettate per poi renderne possibile una cancellazione definitiva.

Elementi file come immagini, file (tabelle lingua, grafiche) ecc., vengono cancellati subito sul calcolatore attivo dopo la conferma di una richiesta relativa posta dal sistema all´utente. Gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.


Sincronizzazione del progetto multiutente

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Sincronizzazione del progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Questo avviene tramite il menù contestuale del progetto alla voce Progetto -> Menu contestuale -> Multi-utente -> Sincronizza o alla voce Tutti i moduli/aggiorna versione locale .

Nel menù ci sono le seguenti possibilità di selezione:

Parametro

Descrizione

Sincronizza

La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor.
Attenzione: Gli elementi/moduli selezionati dall’utente vengono ignorati.

Aggiorna versione locale

Vedi Aggiornare

Consenti modifiche

Abilita le modifiche per un elemento.

Conferma modifiche

Abilita le modifiche per un elemento.

Rifiuta modifiche

Le modifiche dell'elemento non vengono accettate, ma rifiutate. Utilizzando il comando Cancella modifiche il progetto viene caricato nuovamente dal Server DB.

Attenzione: usando il comando Cancella modifiche per un elemento non ancora accettato, anche tutti i cambiamenti che dipendono da tale elemento vengono rifiutati.

gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento.

info Info

Nel processo di sincronizzazione vengono ignorati:

  • Elementi e moduli per i quali ha eseguito il check out lo stesso utente che esegue la sincronizzazione.
  • Cartelle vuote.
    La sincronizzazione viene eseguita se la cartella contiene almeno un elemento. Viene creata una cartella vuota, per esempio, nella cartella Guida ogni volta che si aggiunge una nuova lingua ai file lingua.


Manager gruppi di ricette

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Manager gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


VBA e VSTA

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> VBA e VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´albero di progetto, nel menù contestuale dello Scripting, selezionate l´inserimento Apri Editor VBA..., oppure Apri Editor VSTA ; il sistema effettuerà il check-out dell´Editor e sarà possibile effettuare dei cambi.

Attenzione: Generalmente in VBA è possibile effettuare delle modifiche anche se l´elemento è stato settato su un altro calcolatore su Rendi possibili le modifiche.
Perciò, in caso di modifiche via VBA, tenete presente:

  1. Prima di effettuarle, controllate se si tratta di un progetto multiutente
  2. Se sì: controllate se l´elemento viene aggiunto da un altro client.
  3. Se sì: controllate se l´elemento ha localmente lo stato Rendi possibili le modifiche (check out)
    1. Se sì: l´oggetto può essere modificato.
    2. Se no: l´oggetto deve essere settato su Rendi possibili le modifiche
    • Controllate una seconda volta se l´oggetto ha lo stato Rendi possibili le modifiche
    • Se sì: l´oggetto può essere modificato in VBA
  4. Dopo aver effettuato le modifiche, l´oggetto deve essere riportato tramite VBA allo stato Accetta le modifiche (check in)

attention Attenzione

Nella gestione multi-progetto non è consentito aprire l’Editor con ALT+F11, visto che altrimenti non ne viene effettuato il check-out. Se non viene effettuato il check-out di VBA, le modifiche non vengono applicate. Quando si apre l´Editor VBA, il sistema visualizza un messaggio di avviso.


Chiusura dell'editor

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Chiusura dell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni utente dovrebbe effettuare le modifiche ai propri oggetti prima di chiudere l'editor, il progetto o l'area di lavoro (workspace). Finché ciò non accade, infatti, gli altri utenti non possono apportarvi delle modifiche. Vedi anche capitolo: Editor/capitolo: Chiudi Editor

Se si chiude senza che siano state accettate le modifiche, si apre un dialogo che propone di accettare o rifiutare i cambi:

Parametri | Descrizione
Campo lista Elementi | Visualizza in una lista tutti gli elementi che non sono abilitati alla modifica. Le modifiche per gli elementi visualizzati possono essere accettate o rifiutate facendo uso dei pulsanti corrispondenti.
Accetta modifiche | Per tutti gli elementi visualizzati le modifiche vengono accettate.
Rifiuta modifiche | Per tutti gli elementi visualizzati le modifiche vengono rifiutate.
Modifica... | Il procedimento di chiusura dell'editor viene interrotto.
Avanti | Prosegue il processo di chiusura del progetto attuale nell´ambito del workspace. Gli elementi rimangono bloccati per gli altri utenti. Se si vuole chiudere più Progetti multiuser, verrà proposto poi dal sistema questo dialogo per il progetto da chiudere in seguito.
Avanti tutti | Prosegue il processo di chiusura di tutti i progetti multiuser presenti nel workspace. Gli elementi rimangono bloccati per gli altri utenti.
Guida | Attiva la guida online


Gruppi di stile e stili

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Gruppi di stile e stili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono consentite sempre solo le modifiche che interessano interi gruppi di stile, e non quelle relative a singoli stili. Se si modifica o si aggiunge uno stile ad un gruppo di stile per cui è stato eseguito il check in, il sistema visualizza un messaggio con la domanda se devono essere rese possibili le modifiche per il gruppo di stile.

Per i gruppi di stile creati da elementi o le copie di gruppi di stile inserite non viene eseguito automaticamente il check out rispettivamente dopo il procedimento di creazione e di copia.


Lavorare offline

Manuale -> Engineering distribuito -> Lavorare offline

Quando si lavora offline, non esiste una connessione con il server, ad esempio, se un progettista porta il computer dal cliente per lavorare al progetto.

Per poter lavorare con un progetto offline, si deve selezionare nel menù contestuale del progetto la voce "Attiva modalità offline". I progetti che non hanno una connessione con il server DB, sono attivati offline automaticamente.

info Info

Accetta modifiche e Cancella modifiche non sono possibili durante il lavoro offline!

Nella modalità offline, è possibile solo Rendi possibili le modifiche; in caso contrario non sarebbe possibile nessuna modifica offline. Solo dopo essere passati alla modalità online, diviene possibile utilizzare la funzione Accetta modifiche.

Ancora in questo capitolo

Lavorare in offline

Da Offline a Online

Possibilità durante il lavoro Offline


Lavorare in offline

Manuale -> Engineering distribuito -> Lavorare offline -> Lavorare in offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono alcuni casi in cui è utile lavorare offline, elencati qui di seguito:

Ancora in questo capitolo

Degli elementi o dei moduli sono bloccati da un altro utente.

Gli elementi/moduli sono selezionati dallo stesso utente al cambio in offline

Non sono selezionati elementi/moduli al passaggio in Offline


Degli elementi o dei moduli sono bloccati da un altro utente.

Manuale -> Engineering distribuito -> Lavorare offline -> Lavorare in offline -> Degli elementi o dei moduli sono bloccati da un altro utente.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di passare alla modalità offline, un altro utente sta già modificando un elemento o un modulo. In questo caso non può essere fatta nessuna modifica.


Gli elementi/moduli sono selezionati dallo stesso utente al cambio in offline

Manuale -> Engineering distribuito -> Lavorare offline -> Lavorare in offline -> Gli elementi/moduli sono selezionati dallo stesso utente al cambio in offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di passare alla modalità offline, lo stesso utente sta già modificando un elemento o un modulo. In questo caso non sono possibili modifiche Online da parte di un altro utente.


Non sono selezionati elementi/moduli al passaggio in Offline

Manuale -> Engineering distribuito -> Lavorare offline -> Lavorare in offline -> Non sono selezionati elementi/moduli al passaggio in Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento del passaggio in modalità Offline non sono modificati elementi/moduli.

Variante 1:

Vengono abilitate offline delle modifiche ad un elemento/modulo; la stessa cosa, però, accade anche online.

L'utente A effettua delle modifiche ad un elemento/modulo offline; l'utente B online.

Quando l´utente A passa alla modalità online, il sistema riconosce che l´utente B sta modificando online il modulo/l´elemento.

Le modiche realizzate dall´utente A andranno perdute.

attention Attenzione

In questo caso le modifiche offline (quelle effettuate dall'utente A) andranno perse!

Variante 2:

Quando l'utente A fa accettare le modifiche da lui effettuate, l'utente B ha a sua volta già salvato i cambiamenti da lui apportati.

Le modifiche dell´utente A sovrascrivono al momento del passaggio alla modalità online quelle dell´utente B.

attention Attenzione

In questo caso le modifiche online appena effettuate (dall'utente B) verranno sovrascritte!


Da Offline a Online

Manuale -> Engineering distribuito -> Lavorare offline -> Da Offline a Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per riportare un progetto dalla modalità offline a quella online, selezionare nel menu di progetto la voce “Progetto/Online”. Il progetto viene sincronizzato e caricato nuovamente nell’Editor.


Possibilità durante il lavoro Offline

Manuale -> Engineering distribuito -> Lavorare offline -> Possibilità durante il lavoro Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elementi/moduli

Creazione, modifica, cambio nome e eliminazione


File di configurazione

Manuale -> File di configurazione

Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-INI.

info Info

In linea di principio, le impostazioni di progetto dovrebbero essere esguite nell'Editor. Effettuare delle modifiche nei file INI è cosa riservata ad esperti.

Formato per il salvataggio dei file INI

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

File di import e INI

Sono fornite informazioni riguardanti i seguenti file di configurazione:

File

Descrizione

dBaseIV file variabile

Impostazioni del file di importazione dBase IV.

project.ini

Impostazioni per il progetto.

Il project.ini si trova nel percorso Runtime del progetto corrispondente. Per aprire il percorso:

  • Selezionare il progetto.
  • Premere la combinazione tasti Ctrl+Alt+E.
  • Si apre la cartella SQL del progetto.
  • Passare a ...\FILES\zenon\system

startup.ini

Impostazioni dello Startup Tool di zenon.

wizards.ini

Struttura del file INI per la gestione dei wizard in VSTA e VBA.

zenDB.ini

Impostazioni della banca dati SQL

zenon6.ini

Impostazioni per zenon:

Lo zenon6.ini si trova nel percorso:

C:\ProgramData\COPA-DATA\System\

zenWebSrv.ini

Impostazioni per il zenon Web Server.

Modifica dei file project.ini e zenon6.ini

I file INI vengono elaborati come segue:

project.ini

Le impostazioni in project.ini vengono elaborate nella seguente successione:

  1. project.ini
  2. zenon6.ini
  3. Valori di Default

Viene usato il primo inserimento trovato.

zenon6.ini

Le impostazioni in zenon6.ini vengono elaborate nella seguente successione:

  1. zenon6.ini
  2. Valori di Default

Viene usato il primo inserimento trovato.

Ancora in questo capitolo

dBaseIV file variabile

project.ini

startup.ini

wizards.ini

zenDB.ini

zenon6.ini

zenProcGateway.ini

zenWebSrv.ini


dBaseIV file variabile

Manuale -> File di configurazione -> dBaseIV file variabile

Per l´importazione e esportazione di variabili, il file dBaseIV deve avere la struttura e il contenuto seguenti.

attention Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • Corrispondere per quello che riguarda la denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • Essere depositati vicino al percorso directory radice (Root)

Struttura

Nome | Tipo | Dim. campo | Commento
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “VARIABLENAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata in caso di inserimento 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dato (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto del driver.
HWKANAL | Num | 3 | Indirizzo di rete/bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (solo per variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: indirizzo bit Per variabili Byte: 0=basso, 8= alto Per variabili stringa: lunghezza stringa (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice ATTENZIONE: solo la prima variabile è completamente disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: non consentito settare valore impostabile. 1: consentito settare valore impostabile.
MIT_ZEIT | L | 1 | Time stamp in zenon (solo se supportato dal driver).
OBJEKT | N | 2 | Numero ID specifico per il driver dell´oggetto primitivo Si compone di TREIBER-OBJEKTTYP e DATENTYP
SIGMIN | Float | 16 | Segnale del valore non elaborato minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore non elaborato massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la visualizzazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza di update per variabili matematiche (in sec, una cifra decimale possibile) Non utilizzato con tutte le altre variabili.
MEMTIEFE | N | 7 | Esistente solo per motivi di compatibilità.
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità inserimenti HD per valori storici (quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati.
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal Server-Standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal Server-Standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJWVBA | L | 1 | Adattamento di valori non-lineari: 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJWVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.

attention Attenzione

In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Nome | Tipo | Gr. campo | Commento
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | Salvataggio in CEL
ALARM1 | L | 1 | Allarmi
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la Lista di informazione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppi allarme/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
FARBE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


project.ini

Manuale -> File di configurazione -> project.ini

Il file project.ini contiene le impostazioni specifiche per il progetto. In linea di principio, le impostazioni di progetto dovrebbero essere definite nell'Editor. Effettuare delle modifiche nel project.ini dovrebbe essere riservato agli esperti. Le impostazioni dell´Editor che differiscono dai valori di default, vengono inserite dall´Editor nel project.ini.

Modificare e applicare inserimenti in modo permanente

Quando i progetti vengono riletti dal Runtime nell´Editor e quando viene avviato il Runtime, gli inserimenti nel file project.ini vengono sovrascritti dall´Editor.

Per applicare in modo permanente inserimenti nel file project.ini , è consigliabile adottare la seguente procedura:

  1. Identificare il progetto.
    Per farlo, annotare la GUID del progetto nell´Editor. Bastano i primi 4/6 caratteri.

    Suggerimento: selezionare anzitutto il progetto nel Manager di progetto e premere la combinazione di tasti Ctrl+Alt+E.
    L´Explorer aprirà la cartella ...\<GUID>\Project_SQL_directory\FILES\
    Di questo percorso si avrà bisogno nel passo successivo.

    Chiudere poi il workspace, oppure chiudere l´Editor.

  2. Aprire il file project.ini: Questo file si trova nella cartella ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Modificare il file project.ini: effettuare i cambi desiderati nel file project.ini. salvate le modifiche e chiudete il file.
  4. Trasferire i file Runtime: aprire di nuovo l´Editor, o caricare il progetto. Creare i file Runtime modificati e trasferire i file Runtime.

info Info

Indipendentemente dal nome del progetto, il file project.ini viene salvato sempre come project.ini in questo percorso: Progetto_SQL_Cartella\FILES\zenon\system\project.ini
Per arrivare a questa cartella, selezionare il progetto nell´Editor e premere la combinazione di tasti Ctrl+Alt+E. Verrà aperto nel File-Explorer il percorso ...\<GUID>\Project_SQL_directory\FILES\.

Ancora in questo capitolo

Impostazioni generali [DEFAULT]

AML [ALARM]

Server di archiviazione [ARCHIV]

Automatic Line Coloring [ALC] e [ALC_TOP]

Elementi d´immagine [ELEMENTE]

CEL [BTB]

Stampa [DRUCKER]

Trend esteso [EW_TREND]

Export [EXPORT]

Log di errore [ERRORLOG] e [LON_32]

Funzioni [FUNKTIONEN]

Industrial Maintenance Manager [IMM]

Rete [NETZ] e [TOKEN]

Gestione password [PASSWORD]

Percorsi [PATH]

Production & Facility Scheduler [PFM]

Link di progetto [PROJEKTLINKS]

Process Recorder [PROCESSRECORDER]

Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Manager di gruppi ricette (RGM)

Runtime [RT]

File Runtime modificabili [RTDATEN]

Stato [STATUS]

Tabelle [TABELLE]

Driver

Visualizzazione globale [WORLDVIEW]

Versioni di zenon e versionamento progetti [VERSION]


Impostazioni generali [DEFAULT]

Manuale -> File di configurazione -> project.ini -> Impostazioni generali [DEFAULT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DEFAULT]

Impostazioni generali per il progetto.

AUFFUELLEN=

Tipo di salvataggio per l´amministrazione dei dati HD e dei dati memoria.

  • 0: ogni volta che arriva un valore, questo viene salvato.
  • 1: i valori vengono salvati in un intervallo definito.
    Se gli intervalli di tempo sono grandi, è possibile che debbano essere salvati molti dati.

Default: 1

Calcolo: viene salvato ogni tempo di ciclokte. k è la parte più grande a numeri interi dei valori HD da salvare, che è minore o pari a 84.
Esempio: numero valori 300 -> Salvataggio ogni 75. Valore.

Corrisponde alla proprietà Buffer di dati nel gruppo Impostazioni Runtime dell´Editor.

BLINK=

Frequenza di lampeggio di elementi dinamici in decimi di secondo.

  • Minimo: 0
  • Massimo: 2147483647

Default: 5

Per es.: BLINK=5 corrisponde ad un lampeggio al ritmo di mezzo secondo.

Corrisponde alla proprietà Frequenza di lampeggio [dec.Secondo] nel gruppo Aspetto grafico/Runtime generale dell´Editor.

BTB_DRUCKEN=0

Definisce se, quando l´impostazione ONLINE_DRUCKEN=1 è attiva, viene stampata la AML oppure la CEL:

  • 1: CEL
  • 0: AML

Default: AML

Corrisponde alla proprietà Stampa per nel gruppo AML e CEL dell´Editor.

CURSOR=

Visualizzazione del cursore mouse:

  • 1: il cursore mouse viene visualizzato a Runtime
  • 0: il cursore mouse è disattivato (per es. per la gestione touch).

Default: 1

Attenzione: questa impostazione interessa solamente zenon, non ha effetto sugli elementi standard di Windows, come barre del titolo, menù, barre di scorrimento, ecc. Per gli elementi Windows, il cursore mouse deve essere disattivato direttamente nel sistema operativo.

Corrisponde alla proprietà Cursore visibile nel gruppo Aspetto grafico/Runtime generale dell´Editor.

EnRtDlgFont=

Consente di visualizzare finestre di dialogo e impostazioni a più pagine a Runtime, con un carattere che può essere impostato liberamente.

  • 0: non attivo
  • 1: attivo

Default: 0

Definire il carattere da utilizzare usando la proprietà RtDlgFont=.

Corrisponde alla proprietà Carattere di dialogo configurabile nel gruppo Aspetto grafico/Runtime generale dell´Editor.

ExternalReference_Writeable=

Definisce se la proprietà Riferimento esterno può essere modificata usando l´interfaccia dell´Editor.

  • 0: la modifica è possibile solo tramite l´API zenon.
  • 1: una modifica mediante l´interfaccia dell´Editor è possibile.

Default: 0

FocusLineColor=

Colore della cornice che a Runtime identifica l´oggetto con il focus.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 12614523 (Editor: #7B7BC0)

Corrisponde alla proprietà Colore linea di focus nel gruppo Aspetto grafico/ dell´Editor.

FocusLineWidth=

Larghezza in pixel della linea della cornice che identifica a Runtime l´oggetto con il focus.

Default: 3

Corrisponde alla proprietà Dimensioni linea di focus nel gruppo Aspetto grafico/Immagini dell´Editor.

GW_FKT_AT_RT_START =1

Esecuzione di funzioni di valore limite quamdo si avvia il Runtime o ci sono violazioni di valore limite in attesa.

  • 0: no
  • 1: si

Default: 1

Attenzione: questa proprietà interessa solamente i valori limite che non sono allarmi.

Corrisponde all´impostazione della proprietà della variabile Esegui funzioni val. limiti all'avvio del RT nel gruppo Funzioni dell´Editor.

HDDATEN=

Registrazione dei dati HD:

  • Attiva: i dati hard disk (HDD) vengono registrati .
  • Non attivo: i dati hard disk (HDD) non vengono registrati

Default: Attivo

Corrisponde alla proprietà Dati HDD attivi dell´Editor.

HEX=

Tipo di visualizzazione degli indirizzi delle variabili:

  • 0: normale
  • 1: esadecimale

LockVar=

Consente di settare un blocco utente in progetti senza rete usando una variabile binaria.

Valori:

  • 0: nessuna variabile collegata
  • >0: ID interno delle variabili.

Default: 0

Dovrebbe essere configurato solamente nell`Editor.

Corrisponde alla proprietà Blocco utente nel gruppo Interazione dell´Editor.

MENU=

Visualizzazione dei menù principali a Runtime:

  • 0: a Runtime non verrà visualizzato nessun menù principale.
  • 1: sul margine superiore della finestra Runtime appare una barra riservata alla visualizzazione dei menù.

Default: 0

Attenzione: si deve attivare questa opzione se si vuole usare i menù principali.

Corrisponde alla proprietà Attiva menu principali nel gruppo Aspetto grafico/Runtime generale dell´Editor.

MILLISEK=0

La visualizzazione e elaborazione interna dei valori HD, e l´update delle immagini attive avvengono in:

  • 1: millisecondi
  • 0: Secondi

Default: 1

Corrisponde alla proprietà Valori Trend e HD in millisecondi nel gruppo Impostazioni Runtime dell´Editor.

MOUSE_FOCUS=

Impostazione per focus del mouse:

  • 1: attivo
  • 0: non attivo

ONLINE_DRUCKEN=

Registrazione di inserimenti Runtime (CEL o alarmi).

  • 1: attivo Ad ogni nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
  • 0: non attivo

Default: 1

La selezione di CEL o AML avviene tramite l´inserimento BTB= (0 = AML, 1 = CEL).

Corrisponde alla proprietà Stampa attiva nel gruppo AML e CEL dell´Editor.

PokeAckInCel=

Inserimento CEL per la scrittura di valori:

  • 1: se i valori sono stati scritti con successo sull'hardware, viene eseguito un inserimento corrispondente nella CEL.
  • 0: l´avvenuta scrittura di valori nella CEL non viene registrata.

Default: 0

Nota: questa proprietà ha effetto a Runtime solo se si setta il valore impostabile usando la funzione Imposta valore.

Corrisponde alla proprietà Funzioni impostazione valore nel gruppo Lista eventi cronologica (CEL)/Abilita registrazione dell´Editor.

RELEASE=5

Visualizzazione della finestra principale a Runtime:

  • 0: titolo con sistema, pulsante di riduzione a icona e pulsante di ingrandimento.
    Si può modificare la dimensione della finestra, la si può spostare e la si può chiudere, cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 1: titolo con pulsanti di riduzione a icona e di ingrandimento.
    Si può modificare la grandezza della finestra e spostarla. Non è possibile chiuderla (neanche usando il menù contestuale, la barra delle applicazioni o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 2: titolo con pulsante pulsante di riduzione a icona.
    Per versioni precedenti. Non viene più supportato. A Runtime viene utilizzata la versione valida più recente.
  • 3: titolo con pulsante di ingrandimento.
    Per versioni precedenti. Non viene più supportato. A Runtime viene utilizzata la versione valida più recente.
  • 4: titolo senza elementi di comando.
    Nessun menù di sistema, pulsanti di riduzione a icona e di ingrandimento. La finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 5: Nessun titolo (schermo completo).
    Visualizzazione della superficie completa. Barra del titolo non è visualizzata.
  • 6: titolo con menù di sistema.
    La finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.

Default: 5

Attenzione: se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente eseguire solamente un reload, visto che, per applicare le impostazioni riguardanti la finestra principale, il Runtime deve essere chiuso e riaperto.

Corrisponde alla proprietà Titolo Runtime nel gruppo Aspetto grafico/Runtime generale dell´Editor.

RtDlgFont=

Selezione del carattere che deve essere utilizzato a Runtime per finestre di dialogo e impostazioni multi-pagina.

  • 0: Standard
  • 1: tipo di carattere numero 1 della lista font.
  • 2: tipo di carattere numero 2 della lista font.
  • 3: tipo di carattere numero 3 della lista font.
  • 4: tipo di carattere numero 4 della lista font.
  • 5: tipo di carattere numero 5 della lista font.

Default: 2

Ha effetto solamente se la proprietà EnRtDlgFont= ha il valore 1.

Corrisponde alla proprietà Carattere di dialogo nel gruppo Aspetto grafico/Runtime generale dell´Editor.

RTVERSION=

Versione del Runtime per cui vengono compilati file Editor.

Esempio: RTVERSION=7100 crea i file Runtime che vengono usati in un Runtime della versione 7.10 SP0.

Attenzione: dopo ogni modifica di questa proprietà, tutti i file Runtime devono essere creati di nuovo. Vengono convertite anche le configurazioni di tutti i driver. Se delle impostazioni non esistono nella versione scelta, verranno scelte quelle di default.

Corrisponde alla proprietà Crea file Runtime per, contenuta nel gruppo Generale dell´Editor.

RuntimeLasso=

Selezione di più elementi a Runtime.

  • 0: non attivo
  • 1: attivo
    Spostando il mouse e tenendo premuto il tasto sinistro, si possono selezionare più elementi a Runtime. Una macro VBA può poi accedere a questi elementi.

Default: 0

Corrisponde alla proprietà Selezioni multiple in Runtime (Lazo) nel gruppo Interazione dell´Editor.

SCREEN=

Risoluzione dell´immagine Runtime sullo schermo con:

  • Sinistra
  • In su.
  • Destra
  • In basso

Ogni modifica causa l´adattamento di tutti i modelli, immagini, caratteri ecc.

Esempio: SCREEN=0,0,1280,1024

Viene ripreso dalla finestra di dialogo della proprietà Configurazione monitor (scheda Generale, opzione Risoluzione dello schermo) nel gruppo Aspetto grafico/Runtime generale.

CS_STEPNAME=

Tipo di visualizzazione del nome azione nella griglia sequenze di comando.

  • 1: viene usato il nome azione definito dall´utente.
  • 0: viene usato il testo standard.

Default: 0

Corrisponde alla proprietà Nome attività nella griglia sequenze di comando nel gruppo Sequenze di comando dell´Editor.

UseGDILegacyDrawing=

Modalità per la visualizzazione compatibile di elementi a Runtime quando la qualità grafica impostata è Qualità grafica Windows standard.

  • 0: pulsanti e elementi vettoriali vengono visualizzati utilizzando i nuovi codici di disegno (corrisponde alla visualizzazione nell´Editor).
  • 1: pulsanti e elementi vettoriali vengono visualizzati a Runtime come nelle versioni < 7.60.

Default: 0

Per i backup di progetto che vengono riletti da versioni < 7.60, il valore viene settato su 1 durante il processo di rilettura.

Per ulteriori informazioni relative a questo argomento, si prega di consultare il capitolo Comportamento del design di pulsanti e elementi vettoriali con Windows standard.

UseGDIplus=

Definisce la Qualità grafica da usare:

  • 0: Windows Basic Proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • 4: DirectX Hardware. Il calcolo grafico viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.
  • 5: DirectX Software. Una parte del calcolo grafico viene eseguito dalla scheda grafica. Se il sistema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: 4

Nota:

  • DirectX non è disponibile sotto Windows CE e non può essere usato per OCX.
  • I valori 1, 2 e 3 non devono essere usati.
  • Se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
  • Quando si abilita l´opzione Windows Basic per tutti i tipi di linea che usano una Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Corrisponde alla proprietà Qualità grafica nel gruppo Qualità grafica/Immagini dell´Editor.

USEREVENTNEEDMODEL=
  • 0: gli eventi utenti vengono eseguiti anche in giorni senza turno.
  • 1: gli eventi utenti vengono eseguiti solo in giorni con turno.

WATCHFILES=

Stabilisce se i file Runtime vengono indicizzati:

  • 0: non attivo
  • 1: attivo

Default: 0

Se l´indicizzazione è attiva, il sistema attiva una cartella cache per i dati Runtime per consentire un accesso veloce.

Corrisponde alla proprietà Indicizza file Runtime nel gruppo Impostazioni Runtime dell´Editor.


AML [ALARM]

Manuale -> File di configurazione -> project.ini -> AML [ALARM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ALARM]

Inserimenti per la lista di informazioni allarmi

Queste proprietà dovrebbero essere impostate nell´Editor, nelle proprietà di progetto del gruppo Lista di informazione allarmi.

AELTESTER=

Definizione di quale allarme viene visualizzato nella barra stato allarmi. A seconda delle impostazioni configurate per la proprietà NACHSCHIEBEN=, avviene quanto segue:

  • 1: a Runtime viene visualizzato nella barra stato allarmi solo l´allarme non ripristinato più vecchio (NACHSCHIEBEN=0), oppure viene visualizzato per primo l´allarme più vecchio (NACHSCHIEBEN=1).
  • 0: a Runtime viene visualizzato nella barra stato allarmi solo l´allarme non ripristinato più recente (NACHSCHIEBEN=0), oppure viene visualizzato per primo l´allarme più recente (NACHSCHIEBEN=1).

Corrisponde alla proprietà Visualizza dell´Editor.

ALA_ANZ=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

ALARMMELDELISTE=

Definisce l´ordine degli inserimenti nella Lista di informazione allarmi

  • 0: nome variabile univoco
  • 1: Identificazione
  • 2: testo allarme
  • 3: orario di arrivo allarme
  • 4: orario dell´uscita di un allarme
  • 5: orario del ripristino

Per esempio: ALARMMELDELISTE=13452
Identificazione- entra - esce - ripristinato - testo di allarme

ALARM_STATE_BACK_COLOR=

Colore di sfondo della barra stato allarmi.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 255

Corrisponde alla proprietà Colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR1=

Colore di sfondo per avvertimento 1 (STACK_WARNING_COUNT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 1 colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR2=

Colore di sfondo per avvertimento 2 (STACK_WARNING_COUNT1=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 2 colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR3=

Colore di sfondo per avvertimento 3 (STACK_WARNING_COUNT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 3 colore di sfondo dell´Editor.

ALARM_STATE_TEXT_COLOR=

Colore del testo per la barra stato allarmi.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 0

Corrisponde alla proprietà Colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR1=

Colore del testo per avvertimento 1 (STACK_WARNING_TEXT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 1 colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR2=

Colore del testo per avvertimento 2 (STACK_WARNING_TEXT1=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 2 colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR3=

Colore del testo per avvertimento 3 (STACK_WARNING_TEXT2=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 3 colore testo dell´Editor.

AREA=

Descrizione della colonna Area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREA_ANZ=

Larghezza della colonna Area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREANR=

Descrizione della colonna Numero area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREANR_ANZ=

Larghezza della colonna Numero area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

BEEP=

Riproduzione di un segnale acustico quando si attiva il primo allarme:

  • 1: viene riprodotto il segnale acustico. (Default)
  • 0: non viene riprodotto nessun suono.

CLASS_ANZ=

Larghezza della colonna Classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

CLASSSYMBOL_ANZ=

Larghezza della colonna Simbolo classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

COLOR_ACKN_MARKER = xxx

Se ci sono degli allarmi non ripristinati, lampeggiano due rettangoli nel colore xxx. Dopo il ripristino, il lampeggio si interrompe.

xxx viene calcolato nel modo seguente: parte di rosso (0-255) + 256 * parte di verde (0-255) + 65536* parte di blu (0-255)

Corrisponde alla proprietà Lampeggio allarmi non riconosciuti dell´Editor.

COLOR_BACKGROUND=

Uso del colore della classe allarme:

  • 1: il colore della classe viene interpretato come colore di sfondo
  • 0: il colore della classe determina il colore del testo.

Default: 0

Se nessuna classe è collegata al valore limite, il colore di sfondo o il colore di testo viene preso dalle impostazioni dell´elemento della lista nell´immagine.

Viene usato insieme alla proprietà COLOR_CLASS=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COLOR_CLASS=

Il colore della classe allarme/eventi viene:

  • 1: usato
  • 0: non usato

Default: 1

Viene usato insieme alla proprietà COLOR_BACKGROUND=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COMES_ANZ=

Larghezza della colonna Entra in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

COMPUTER_ANZ=

Larghezza della colonna Nome Computer in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

DELETE_IN_CEL=

Inserimento in caso di cancellazione di allarmi con obbligo di cancellazione nella CEL:

  • 1: se un allarme con obbligo di cancellazione viene effettivamente cancellato, viene scritto un inserimento corrispondente nella Lista eventi cronologica (CEL).
  • 0: non si ha nessun inserimento nella CEL quando vengono cancellati degli allarmi.

Default: 0

Corrisponde alla proprietà Confermato riconoscimento allarme nel gruppo Lista eventi cronologica (CEL) dell´Editor.

DYN_LIMIT_FILE=

Uso del campo commento per testi di valore limite dinamici:

  • 0: il campo commento viene usato solo per testi di valori limite dinamici e viene perciò bloccato per i commenti.
    Lunghezza massima: 80 caratteri.
  • 1: sono consentiti commenti e testi di valore limite dinamici. I contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML. Il campo commenti può dunque essere usato per scrivere dei commenti.
    Lunghezza massima per i testi di valore limite dinamici 254 caratteri.

Default: 0

Corrisponde alla proprietà Testi lunghi per valori limiti - AML nel gruppo Lista di informazione allarmi.

EIN=

L´elaborazione allarmi avviene al momento dello start del programma:

  • 1: attivo
  • 2: non attivo

Default: 1

Corrisponde alla proprietà Lista di informazione allarmi attiva nel gruppo Lista di informazione allarmi.

FARBE_DEL=

Colore di testo per Allarme eliminato nella Lista di informazione allarmi.

Corrisponde alla proprietà Colore nel gruppo Confermato riconoscimento allarme dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_GEHT=

Colore di testo per allarmi cancellati nella Lista di informazione allarmi.

Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme rientrato delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_KOMMT=

Colore di testo per Allarme in entrata nella Lista di informazione allarmi. Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme in entrata delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_QUIT=

Colore di testo per Allarme ripristinato nella Lista di informazione allarmi.

Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme ripristinato delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

GOES_ANZ=

Larghezza della colonna Esce in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GRID_LINES=

La visualizzazione delle colonne e righe nella Lista di informazione allarmi avviene tramite griglia:

  • 0: on
  • 1: off

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GROUP_ANZ=

Larghezza della colonna Gruppi di allarmi/evento in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GROUPSYMBOL_ANZ=

Larghezza della colonna Simbolo gruppo allarmi/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

HEADER=

Visualizzazione di un´intestazione colonna nella Lista di informazione allarmi.

  • 1: viene visualizzata l´intestazione colonna.
  • 0: l´intestazione colonna non viene visualizzata.

Viene usato insieme al´impostazione HEADER_ENABLE= .

Corrisponde alla proprietà Header AML dell´Editor.

HEADER_ENABLE=

Uso dell´intestazione colonna:

  • 1: è possibile interagire con l´intestazione colonna. (Default.)
  • 0: l´intestazione colonna.viene usata solamente per la visualizzazione (fixed).

Viene usato insieme al´impostazione HEADER= .

Corrisponde alla proprietà Header AML dell´Editor.

IMAGE_DEL=

File grafico per lo stato Allarme eliminato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Confermato riconoscimento allarme dell´Editor.

IMAGE_GEHT=

File grafico per lo stato Allarme rientrato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme rientrato dell´Editor.

IMAGE_KOMMT=

File grafico per lo stato Allarme in entrata.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme in entrata dell´Editor.

IMAGE_QUIT=

File grafico per lo stato Allarme ripristinato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme ripristinato dell´Editor.

LINE_BLINK_UNACK=

Comportamento delle righe non selezionate con allarmi non ripristinati:

  • 1: le righe non selezionate con allarmi non ripristinati lampeggiano nella Lista di informazione allarmi.
  • 0: nessun lampeggio.

Default: 0

Corrisponde alla proprietà Lampeggio allarmi non riconosciuti dell´Editor.

MILLISEK=

Visualizzazione in millisecondi per Entra:

  • 0: i millisecondi non vengono né visualizzati, né stampati.
  • 1: i millisecondi vengono anche visualizzati.

Default: 0

NACHSCHIEBEN=

Spostamento di allarmi nella barra stato allarmi:

  • 1: tutti gli allarmi non ripristinati vengono visualizzati a Runtime nella riga di stato, uno dopo l´altro. Non appena viene ripristinato un allarme con un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo.
    A seconda dell´impostazione configurata per la proprietà AELTESTER=, viene visualizzato prima o il più vecchio, o il più recente allarme.
  • 0: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che l´allarme è stato ripristinato. Solo il prossimo allarme che diventa attivo fa apparire di nuovo la barra di stato allarmi.

Corrisponde alla proprietà Visualizza all. seguente dell´Editor.

PREF_COMES=

Prefisso per Allarme in entrata.
Default: TEXT=>>

Corrisponde alla proprietà Prefisso nel gruppo Allarme in entrata dell´Editor.

PREF_GOES=

Prefisso per Allarme rientrato.
Default: TEXT=<<

Corrisponde alla proprietà Prefisso nel gruppo Allarme rientrato dell´Editor.

PREF_IMAGE_COMES=

File grafico per il prefisso Allarme in entrata.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme in entrata dell´Editor.

PREF_IMAGE_GOES=

File grafico per il prefisso Allarme rientrato.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme rientrato dell´Editor.

PREF_IMAGE_QUIT=

File grafico per il prefisso Allarme ripristinato.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme ripristinato dell´Editor.

PREF_QUIT=

Prefisso per Allarme ripristinato.
Default: TEXT=--

Corrisponde alla proprietà Prefisso nel gruppo Allarme ripristinato dell´Editor.

QUIT_ANZ=

Larghezza della colonna Riconosciuto in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

QUIT_IN_CEL=

Inserimento del ripristino di un allarme nella lista Eventi Cronologica:

  • 0: viene inserito.
  • 1: non viene inserito.

Default: 0

Corrisponde alla proprietà Ripristino allarmi nel gruppo Abilita registrazione delle proprietà di progetto per Lista eventi cronologica (CEL).

REACT_TIME_ANZ=

Larghezza della colonna Tempo riattivazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

REACT_COUNT_ANZ=

Larghezza della colonna Numero riattivazioni in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

REACT_STAT_ANZ=

Larghezza della colonna Stato variabile riattivato in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RESOURCELABEL=

Descrizione della colonna per la Identificazione servizio.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RESOURCELABEL_ANZ=

Larghezza della colonna per l´Identificazione servizio in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RTEXT_ANZ=

Larghezza della colonna Testo di reazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

SAVE_BIN_ALWAYS=

Impostazione che determina se ogni modifica di dati nella Lista informazioni allarmi ha come effetto anche il salvataggio dei dati stessi nel file alarm.bin:

  • 1: salvataggio attivo
  • 0: salvataggio disattivato

Default: 0

Corrisponde alla proprietà Salva buffer circolare in modo spontaneo dell´Editor.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

SAVE_ONLY_STACK=

Conservazione dati per gli allarmi:

  • 0: vengono salvati tutti i dati.
  • 1: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
  • 2: Sui dispositivi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).

Default: 2

Corrisponde alla proprietà Salvataggio dati allarmi dell´Editor.

STACK_SIZE=

Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Dimensione consigliata: almeno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve sempre avere delle dimensioni sufficienti. a Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Questo significa che verrano visualizzati anche allarmi che eccedono la dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono scritti parallelamente nel file allarmi (*.aml) nella cartella Runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, possono essere contenuti inserimenti non ripristinati nel file allarmi.

Corrisponde alla proprietà Dimensione buffer circolare dell´Editor.

STACK_WARNING_COUNT0=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 1 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_WARNING_COUNT1=.

Corrisponde alla proprietà Messaggio 1 numero allarmi dell´Editor.

STACK_WARNING_COUNT1=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 2 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_WARNING_COUNT2=.

Corrisponde alla proprietà Messaggio 2 numero allarmi dell´Editor.

STACK_WARNING_COUNT2=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 3 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_SIZE=.

Corrisponde alla proprietà Messaggio 3 numero allarmi dell´Editor.

STACK_WARNING_TEXT0=

Il testo del messaggio 1 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 1 testo dell´Editor.

STACK_WARNING_TEXT1=

Il testo del messaggio 2 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 2 testo dell´Editor.

STACK_WARNING_TEXT2=

Il testo del messaggio 3 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 3 testo dell´Editor.

STAT_ANZ=

Larghezza della colonna Stato variabili in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

STATUS=

Visualizzazione della barra stato allarmi.

  • 1: la barra stato allarmi viene visualizzata.
  • 0: la barra stato allarmi non è visualizzata.

Default: 1

Corrisponde alla proprietà Linea stati attiva nel gruppo Barra stato allarmi.

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

STATUS_SCHRIFT=

Indice del tipo di carattere scelto per il testo nella riga di stato.

  • 0: Carattere standard (Default)

Corrisponde alla proprietà Carattere dell´Editor.

TAG_ANZ=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TEXTLIST_ENDNODE_SEL=

Definisce se a Runtime possono essere selezionati come causa d´allarme i testi di tutti i livelli, oppure solamente quelli dei nodi terminali.

  • 1: potranno essere selezionati solamente testi di nodi terminali come cause d´allarme.
  • 0: potranno essere selezionati testi di tutti i livelli come cause d´allarme.

Default: 0

TIME_LASTING_ANZ=

Larghezza della colonna Tempo d'attesa in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_ACT_TEXT=

Descrizione della colonna Commento allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASS=

Descrizione della colonna Classe di allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSNR=

Descrizione della colonna Numero della classe allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSSYMBOL=

Descrizione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_COMES=

Descrizione della colonna Entra.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_COMP=

Descrizione della colonna Nome Computer.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GOES=

Descrizione della colonna Esce.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUP=

Descrizione della colonna Gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPNR=

Descrizione della colonna Numero del gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPSYMBOL=

Descrizione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_NAME=

Descrizione della colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_PROJECT=

Descrizione della colonna Nome progetto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_QUIT=

Descrizione della colonna Riconosciuto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_TIME=

Descrizione della colonna Tempo riattivazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_COUNT=

Descrizione della colonna Quantità riattivata.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_STAT=

Descrizione della colonna Stato variabile riattivato.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUS=

Descrizione della colonna Stato variabili.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUSCAPTION=

Descrizione della colonna Stato di alarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUSCAPTION_STYLE=

Tipo di visuale della colonna Stato di allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TAGNR=

Descrizione della colonna Identificazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TEXT=

Descrizione della colonna Testo.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TIME_LASTING=

Descrizione della colonna Tempo d'attesa.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_VALUE=

Descrizione della colonna Valore.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_USER=

Descrizione della colonna Identificazione utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_USERNAME=

Descrizione della colonna Nome completo utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

UNIT=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

USER_ANZ=

Larghezza della colonna Identificazione utente in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

VAR_ANZ=

Larghezza della colonna Nome variabile in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

ZEIT_TYP=

Definizione del formato in cui deve avvenire l´outpo del tempo.

  • 1: solo millisecondi.
  • 2: solo tempo.
  • 3: tempo e millisecondi.
  • 4: solo data.
  • 5: data e millisecondi.
  • 6: Data e tempo
  • 7: data, tempo e millisecondi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.


Server di archiviazione [ARCHIV]

Manuale -> File di configurazione -> project.ini -> Server di archiviazione [ARCHIV]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Funzione

[ARCHIV]

Proprietà per archivi.

Raccomandazione: Configurazione tramite la finestra di dialogo per la Post-elaborazione archivio nell´Editor.

ARCHDIGITS=

Numero delle cifre decimali durante l´export di archivi in formato TXT, XML e DBF.
Default: ARCHDIGITS=1

CLIENTS_LOAD_LOCAL=

Caricare i file d'archivio:

  • 1: i file di archivio vengono letti localmente sul client e non vengono richiesti dal server. Questo non funziona con la selezione lotti. Solo per il formato archivi *.arx e per l´esportazione in SQL.
  • 0: Il server acquisisce i file d'archivio.

Attenzione: questo inserimento non ha come conseguenza che i dati generati dal Runtime vengano sincronizzati con il client di zenon. I dati di archivio devono essere copiati manualmente sul client.

CLOSEDELAY=

Intervallo di tempo che il sistema fa trascorrere dopo un tipo di registrazione RDA prima di chiudere il file ARV o ARX. Se, nel corso di questo intervallo di tempo, si verifica un altro scan, i dati vengono scritti nello stesso file.

Default: CLOSEDELAY=5

CRATE_BLOCKSIZE=

Definisce la quantità di Rows nell´inserimento di valori. Si deve indicare la quantità di ROWS per INSERT.

Default: 10000

Nota: può essere utilizzato solo per database Crate.IO. Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa ai Server di archiviazione, nel capitolo CRATE.IO.

EVAC_ERR_PERIOD=

Se si verifica un errore all´interno dell´intervallo di tempo impostato, viene generato un inserimento nella CEL. Questo tempo può essere impostato ad intervalli di un´ora.

Se non è possibile leggere un file ARV o un file ARX, questo viene rinominato in AR_ e il processo continua con il prossimo file.

Default: EVAC_ERR_PERIOD=12

EXPORTFORMAT=

Formato di export con:

  • Data
  • Ora
  • Variabile (TTA)
  • Valore
  • Stato

EXPORTFORMAT=DZVWS

MIN_MAX_ENDE_ZEIT=

Selezione di un tempo definito:

  • 1: momento della comparsa del valore minimo o massimo.
  • 0: momento della fine dell´archivio.

NUR_HANDWERT=

Per gli archivi indicati qui, vengono usati solo valori manuali per il calcolo degli archivi in cascata. Inserimento di descrizioni brevi, separate da spazi vuoti.

NUR_HANDWERT=X1 X2

SPEICHER=

Numero massimo di valori da leggere nella memoria per:

  • Trend esteso
  • Post-elaborazione archivio
  • AML
  • CEL
  • Tabelle

Visualizzazione in kilobyte (per es. 2000000 per 2 GB).

Default: 1000000 (=1 GB)

Attenzione: con i dati d'archivio, vengono letti sempre tutti i valori di tutte le variabili, anche se viene visualizzata solamente una variabile.

Nota: Il sistema verifica lo spazio di memoria disponibile prima di leggere i file di archivio (*.arx), Se è necessaria una dimensione maggiore di quella definita qui, la lettura verrà interrotta e verrà scritto un messaggio di errore verrà scritta nel protocollo del Diagnosis Viewer.

SQL_MAXROWS=

Numero massimo di valori da leggere dal database-SQL (in caso di dislocazione archivi in SQL).

Massimo: 4.294.967.295

Nota: Il sistema verifica automaticamente che almeno il 10 % della memoria sia libero.

STATUSSPERRBIT=

Definisce il bit nello stato che viene utilizzato come blocco d´archivio. Tutti i valori che hanno settato questo bit nello stato non vengono archiviati con il loro valore corrente, ma con INVALID come valore di riserva.

Valori consentiti:

  • Da 0 a 31
  • -1: non attivo

Default: 0

TRENNZEICHEN=

Segno di separazione per esportazione in file ASCII tra i campi.

Esempio: TRENNZEICHEN=;

ZEIT_AUTOMATISCH=

Correzione tempo automatica:

  • 1: per gli archivi in cascata viene eseguita una correzione automatica di -1 secondo. In questo modo, per es., è possibile settare un time stamp di 00:00 (24:00) al giorno precedente (23:59).
  • 0: nessuna correzione.


Automatic Line Coloring [ALC] e [ALC_TOP]

Manuale -> File di configurazione -> project.ini -> Automatic Line Coloring [ALC] e [ALC_TOP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ALC]

Inserimento

Descrizione

[ALC]

Proprietà della sezione Automatic Line Coloring delle proprietà di progetto.

GROUNDFAULTMODE=

Stabilisce se, nella ricerca di guasto a terra, viene colorata solo la parte della rete potenzialmente interessata, o tutta la rete in cui si è verificata una messa a terra:

  • 0: colorazione solo di una parte della rete
  • 1: colorazione dell´intera rete.

Corrisponde alla proprietà Modalità ricerca messa a terra dell´Editor.

MARKER_BACKGROUNDx=

Colore di sfondo del marker. x rappresenta qui il numero del marker, a partire da 0.

Esempio: MARKER_BACKGROUND3=2124031.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

MARKER_CNT=

Numero dei marker d´immagine configurati.

Questo valore viene settato dall´Editor.

MARKER_COLOURx=

Colore della linea del marker. x rappresenta qui il numero del marker, a partire da 0.

Esempio: MARKER_COLOUR3=255.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

MARKERLINE=

Spessore linea del marker di pagina in pixel.

Corrisponde alla proprietà Spessore linea del marker di pagina dell´Editor.

MARKERSIZE=

Dimensione del marker immagine in pixel.

Corrisponde alla proprietà Dimensione del marker di pagina dell´Editor.

MARKERTYPE=

Tipi di visualizzazione del marker di pagina

  • 0: triangolo
  • 1: cerchio
  • 2: quadrato
  • 3: croce

Corrisponde alla proprietà Tipo visualizzazione del marker di pagina dell´Editor.

MAXOVERLOAD=

Sovraccarico di corrente massimo consentito in percentuale.

Esempio: MAXOVERLOAD=1.000000.

Corrisponde alla proprietà Sovracorrente massima consentita [%] dell´Editor.

SEARCHMODE=

Stabilisce la modalità di colorazione dello stato UNDEFINED:

  • 0: Standard.
    Il colore sorgente viene distribuito nella rete partendo da ogni sorgente accesa e fino al prossimo interruttore chiuso.
  • 1: Alimentazione prioritaria.
    Vengono colorate solamente le linee, che sono alimentate potenzialmente da almeno una sorgente, ma da nessuna sorgente definita.

Corrisponde alla proprietà Metodo di colorazione dell´Editor.

SOURCE_BACKGROUNDx=

Colore di sfondo della sorgente. Viene utilizzato come colore di sfondo per tubature ed elementi tecnologici (elemento combinato). x rappresenta qui il numero della sorgente, partendo da 0. Questo numero non deve essere confuso con la proprietà SOURCE_PRIORITYx=.

Esempio: SOURCE_BACKGROUND3=2124031.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_CNT=

Numero delle sorgenti configurate.

Questo valore viene settato dall´Editor.

SOURCE_COLOURx=

Colore linea della sorgente. Viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature. x rappresenta qui il numero del marker, a partire da 0. Questo numero non deve essere confuso con la proprietà SOURCE_PRIORITYx= .

Esempio: SOURCE_COLOUR3=255.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_NAME0=

Nome della sorgente. Questa denominazione viene utilizzata anche nella selezione della sorgente per elementi combinati. x rappresenta qui il numero del marker, a partire da 0.

Esempio: SOURCE_NAME3=GROUNDED

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_PRIORITYx=

Priorità di elaborazione. Questo numero viene attribuito automaticamente dal sistema e non può essere cambiato.

Esempio: SOURCE_PRIORITY0=3
La sorgente 0 ha la priorità 3 e verrà visualizzata al terzo posto della lista ed elaborata secondo l´ordine della lista stessa.

[ALC_TOP]

Inserimento

Descrizione

[ALC_TOP]

Proprietà dell´interblocco.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

INTER_CNT=5

Numero degli interblocchi configurati.

Questo valore viene settato dall´Editor.

INTER_NOx=

Tipo di interblocco. x rappresenta qui il numero dell´inserimento, partendo da 0. Il tipo è definito da numeri:

  • 900: messa a terra
  • 903: circuito in area indefinita
  • 905: sezionatore sotto carico
  • 906: consumatore non verrebbe più alimentato.
  • 907: area indefinita troppo grande

Esempio: INTER_NO0=900

INTER_MODEx=

Stato dell´interblocco. x rappresenta qui il numero dell´inserimento, partendo da 0. Possibili stati:

  • 0: non monitorato
  • 1: sbloccabile
  • 2: non sbloccabile

Esempio: INTER_MODE0=1


Elementi d´immagine [ELEMENTE]

Manuale -> File di configurazione -> project.ini -> Elementi d´immagine [ELEMENTE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Fattore di moltiplicazione per intervalli di tempo quando si disegna nell´elemento trend.

Una curva di trend viene disegnata solo se la distanza tra 2 valori registrati rappresenta un fattore multiplo della frequenza di aggiornamento necessaria.

  • 0: il sistema non esegue nessuna verifica.

Massimo: 65535

Default: 20


CEL [BTB]

Manuale -> File di configurazione -> project.ini -> CEL [BTB]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[BTB]

Inserimenti per la Lista Eventi Cronologica (CEL)

Queste proprietà dovrebbero essere impostate nell´Editor, nelle proprietà di progetto del gruppo Lista eventi cronologica (CEL).

ARCHIV_WRITE=

Impostazione che stabilisce se, in caso di modifica di dati d'archivio, deve essere generato un´inserimento CEL.

  • 0: non viene scritto un inserimento nella CEL per l´elaborazione archivio.
  • 1: quando si modifica un archivio, viene scritto un inserimento nella CEL:
    • Nome del file d'archivio
    • Nuovo e vecchio valore della variabile
    • Nuovo e vecchio time stamp della variabile
    • Nome delle variabile

Corrisponde alla proprietà Inserimenti nell'archivio dell´Editor.

AREA=

Descrizione della colonna Area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREA_ANZ=

Larghezza della colonna Area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREANR=

Descrizione della colonna Numero area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREANR_ANZ=

Larghezza della colonna Numero area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

BTBLISTE=

Inserimenti desiderati e loro successione nella lista:

  • 0: Nome variabile
  • 1: Identificazione
  • 2: Testo
  • 3: data/ora ingresso
  • 6: informazione di stato
  • 7: Valore
  • 8: emetti utente

Esempio: BTBLISTE=320

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

CLASS_ANZ=

Larghezza della colonna Classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

COLOR_BACKGROUND=

Uso del colore preso dalla classe allarme:

  • 1: il colore della classe viene interpretato come colore di sfondo
  • 0: il colore della classe determina il colore del testo.

Default: 0

Se nessuna classe è collegata al valore limite, il colore di sfondo o il colore di testo viene preso dalle impostazioni dell´elemento della lista nell´immagine.

Viene usato insieme alla proprietà COLOR_CLASS=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COLOR_CLASS=

Il colore della classe allarme/eventi viene:

  • 1: usato
  • 0: non usato

Default: 1

Viene usato insieme alla proprietà COLOR_BACKGROUND=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COMPUTER_ANZ=

Larghezza della colonna Nome Computer in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

DRUCKE_SYSMLDG=

Impostazione per la stampa di segnalazioni del sistema in caso di stampa online:

  • 0: emissione solo in forma di lista.
  • 1: stampa avvenuta

Default: 1

Corrisponde alla proprietà Stampa messaggi di sistema dell´Editor.

DYN_LIMIT_FILE=

Uso del campo commento per testi di valore limite dinamici:

  • 0: il campo di commento viene usato per i testi di valori limite dinamici e viene bloccato per i commenti.
    Lunghezza massima: 80 caratteri.
  • 1: i contenuti dinamici verranno salvati in un file con la convenzione di denominazione D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. In questo modo sarà possibile usare il campo note per scrivere dei commenti.
    Lunghezza massima per i testi di valore limite dinamici: 254 caratteri.

Default: 0

Corrisponde alla proprietà Testi lunghi per valori limiti - CEL dell´Editor.

EIN=

Viene usata la Lista Eventi Cronologica.

  • 1: la Lista eventi cronologica (CEL) è attiva a Runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • 0: non viene registrato nessun evento.

Default: 1

Nota: le modifiche diventano effettive solamente dopo che il riavvio del Runtime.

Corrisponde alla proprietà Abilita CEL dell´Editor.

FARBE_SORT=

Definisce il colore di testo utilizzato per gli inserimenti filtrati nella CEL.

Nota:

  • Se per la proprietà COLOR_BACKGROUND= si seleziona 1 , questo colore avrà la precedenza rispetto alla selezione effettuata in FARBE_SORT.
  • Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare lo stesso colore per la proprietà FARBE_UNSORT=.

Corrisponde alla proprietà Testi ordinati dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_UNSORT=

Definisce il colore di testo utilizzato per gli inserimenti non filtrati nella CEL.

Corrisponde alla proprietà Testi non ordinati dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FIRST_ENTRY=

Inserimenti da visualizzare al momento dell´apertura della CEL.

  • 0: non viene letto nessun inserimento di valore limite esistente al momento dell´avvio Runtime. Nuovi inserimenti vengono scritti solo quando, dopo lo start, si verificano nuovi eventi.
  • 1: anche al momento dello start, vengono inserite le violazioni di valore limite già esistenti.

GRID_LINES=

La visualizzazione delle colonne e righe nella Lista di informazione allarmi avviene tramite griglia:

  • 0: on
  • 1: off

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

GROUP_ANZ=

Larghezza della colonna Gruppi di allarmi/evento in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

HEADER=

Visualizzazione dell´intestazione colonna nella lista

Visualizzazione dell´intestazione colonna nella Lista Eventi Cronologica.

  • 1: viene visualizzata l´intestazione colonna.
  • 0: l´intestazione colonna non viene visualizzata.

Viene usato insieme al´impostazione HEADER_ENABLE= .

Corrisponde alla proprietà Intestazioni CEL dell´Editor.

HEADER_ENABLE=

Uso dell´intestazione colonna:

  • 1: è possibile interagire con l´intestazione colonna.
  • 0: l´intestazione colonna.viene usata solamente per la visualizzazione (fixed).

Viene usato insieme al´impostazione HEADER= .

Corrisponde alla proprietà Intestazioni CEL dell´Editor.

MAXTEXTLEN=

Definisce il numero massimo di caratteri che può avere il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

  • Minimo: 127
  • Massimo: 1023

Limitazione: con dBase-Export, la lunghezza è limitata a 256 caratteri.

Corrisponde alla proprietà Lunghezza testo statico per valori limiti CEL dell´Editor.

NAME=

Assegnazione di un nome breve ai file di testo salvati.

Requisito l´inserimento TXT_FILE=1

Default: NAME=BTBTTMM.TXT
(TT=giorno, MM=mese)

RECIPE_CHANGE=

Inserimenti in caso di modifica ricette.

  • 0: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • 1: la modifica di una ricetta viene inserita nella CEL con il nome della ricetta stessa.
  • 2: quando si modifica una ricetta, viene generato un inserimento corrispondente nella CEL che contiene:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: 0

Corrisponde alla proprietà Modifica ricette dell´Editor.

RECIPE_WRITE=

Inserimenti in caso di scrittura di ricette.

  • 0: la scrittura di ricette standard e di ricette del Manager gruppi ricette (RGM) non causa un inserimento nella CEL.
  • 1: la scrittura di una ricetta viene protocollata nella CEL con il nome della ricetta stessa.
  • 2: la scrittura di una ricetta viene protocollata nella CEL con:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: 0

Corrisponde alla proprietà Dichiarazione ricette dell´Editor.

RESOURCELABEL=

Descrizione della colonna per la Identificazione servizio.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

RESOURCELABEL_ANZ=

Larghezza della colonna per l´Identificazione servizio in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

RTEXT_ANZ=

Larghezza della colonna Testo di reazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

SAVE_BIN_ALWAYS=

Stabilisce se ogni modifica dei dati della CEL deve avere come effetto anche il salvataggio dei dati stessi nel file cel.bin:

  • 1: salvataggio attivo
  • 0: salvataggio disattivato

Default: 0

Corrisponde alla proprietà Salva buffer circolare in modo spontaneo dell´Editor.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

SAVE_ONLY_STACK=

Conservazione dati per la CEL:

  • 0: vengono salvati Tutti gli inserimenti CEL (*.cel).
  • 1: viene salvato solamente un numero definito di inserimenti CEL (cel.bin). Il numero degli inserimenti da salvare viene definito usando la proprietà Dimensione buffer circolare.
  • 2: sui dispositivi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche gli inserimenti storici (*.cel).

Default: 0

Corrisponde alla proprietà Salvataggio dati CEL dell´Editor.

SORTDESCENDING=

Tipo di ordinamento:

  • 0: crescente
  • 1: decrescente

Default: 0

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

SPONTAN=

Momento di inserimento nella lista:

  • 1: tutti i nuovi inserimenti CEL vengono inseriti immediatamente.
    Eccezioni: La lista è stata terminata.
  • 0: le modifiche vengono caricate solo quando la lista viene aperta di nuovo.
    Vantaggio: riduzione del traffico di rete.

Default: 1

Corrisponde alla proprietà Aggiorna automaticamente dell´Editor.

STAT_ANZ=

Larghezza della colonna Stato in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TAG_ANZ=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_NAME=

Identificatore per il titolo di colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_ACT_TEXT=

Descrizione della colonna Commento allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASS=

Descrizione della colonna Classe di allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSNR=

Descrizione della colonna Numero della classe allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSSYMBOL=

Descrizione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_COMES=

Descrizione della colonna Entra.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_COMP=

Descrizione della colonna Nome Computer.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUP=

Descrizione della colonna Gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPNR=

Descrizione della colonna Numero del gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPSYMBOL=

Descrizione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_NAME=

Identificatore per il titolo di colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_PROJECT=

Descrizione della colonna Nome progetto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_TAGNR=

Descrizione della colonna Identificazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_TEXT=

Descrizione della colonna Testo.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_STATUS=

Descrizione della colonna Stato variabili.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_USER=

Descrizione della colonna Identificazione utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_USERNAME=

Descrizione della colonna Nome completo dell´utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_VALUE=

Descrizione della colonna Valore.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TXT_ANZ=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TXT_FILE=

Tipo di salvataggio delle informazioni:

  • 0: un proprio formato in zenon (*.cel)
  • 1: in formato ASCII (*.txt)

Default: 0
Nota: Questo file non è più leggibile per zenon.

UNIT=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

USER_ANZ=

Larghezza della colonna Nome utente in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

VAR_ANZ=

Larghezza della colonna Nome variabile in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

WERT_ANZ=

Larghezza della colonna Valore in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

ZEIT_TYP=

Definizione del formato in cui deve essere emesso il tempo:

  • 1: solo millisecondi.
  • 2: solo tempo.
  • 3: tempo e millisecondi.
  • 4: solo data.
  • 5: data e millisecondi.
  • 6: Data e tempo
  • 7: data, tempo e millisecondi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.


Stampa [DRUCKER]

Manuale -> File di configurazione -> project.ini -> Stampa [DRUCKER]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DRUCKER]

Impostazioni per la stampa a Runtime.

DRUCKZEIT=

Se più di un allarme diventa attivo praticamente in contemporanea, più inserimenti possono essere riassunti in un solo processo di stampa.

Esempio: DRUCKZEIT=2
Per almeno due secondi non deve verificarsi nessun allarme perché il processo di stampa venga inviato.

MAXNAMEN=

Nella stampa a Runtime, i singoli inserimenti vengono inviati come singoli processi di stampa. Per evitare conflitti di nomenclatura, è possibile assegnare un numero.

Esempio: MAXNAMEN=9
Numera i file in successione fino a 9.

MAXPJ=

Numero massimo di processi di stampa per il Print Manager di Windows Se si supera questo numero, viene generato un inserimento nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 90

Corrisponde alla proprietà Numero massimo code di stampa nel gruppo Impostazioni Runtime dell´Editor.


Trend esteso [EW_TREND]

Manuale -> File di configurazione -> project.ini -> Trend esteso [EW_TREND]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EW_TREND]

Impostazioni per il Trend esteso.

ANZEIGE_GWTEXT=0

Visualizzazione del testo di valore limite durante lo scan delle curve.

  • 1: on
  • 0: off


Export [EXPORT]

Manuale -> File di configurazione -> project.ini -> Export [EXPORT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EXPORT]

FILEEXIST_MESSAGEBOX=

Notifica quando vengono sovrascritti dati esistenti durante l´esportazione di dati a Runtime:

  • 1: iI messaggio viene visualizzato.
  • 0: il messaggio viene soppresso.

Default: 0

Corrisponde alla proprietà Esportazione dati nel gruppo Impostazioni Runtime /Messaggi Runtime per dell´Editor.

FILEEXIST_OVERWR_APP_CAN=

Azione quando file esistenti vengono sovrascritti durante l´esportazione.

  • 0: il file viene sovrascritto. (=OVERWRITE).
  • 1: vengono aggiunti dataset (=APPEND).
  • 2: l’export viene interrotto (=CANCEL).

MAX_LAENGE=

Lunghezza massima dei nomi variabili per l´archiviazione in un file DFB.

Default=32

OK_MESSAGEBOX=

Notifica quando l´export di dati a Runtime è riuscito:

  • 1: iI messaggio viene visualizzato.
  • 0: il messaggio viene soppresso.

Default: 0

Corrisponde alla proprietà Sostituzione file nel gruppo Impostazioni Runtime/Messaggi Runtime per dell´Editor.


Log di errore [ERRORLOG] e [LON_32]

Manuale -> File di configurazione -> project.ini -> Log di errore [ERRORLOG] e [LON_32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ERRORLOG]

Parametri relativi alla creazione e al contenuto del file di errore.

[LON_32]

Impostazioni per il driver LON

DIAG_LEVEL=

Le azioni vengono protocollate nel file di errore in base al livello:

  • 0: nessun protocollo (Default)
  • 1: Errori
  • 2: Scrivere
  • 3: Leggere
  • 4: Avvisare/non avvisare
  • 5: Interna


Funzioni [FUNKTIONEN]

Manuale -> File di configurazione -> project.ini -> Funzioni [FUNKTIONEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[FUNKTIONEN]

Inserimenti per funzioni.

EIN=

Esecuzione automatica della funzione per la gestione dei valori limite, i temporizzatore ecc.:

  • 1: attivo
  • 2: non attivo

Default: 2

Corrisponde alla proprietà Esecuzione aut.funzione attiva nel gruppo Funzioni dell´Editor.

NAMEN=

Visualizzazione delle funzioni in base a:

  • 0: Funzioni
  • 1: Nomi

PROJECTONLY=

Effetto della funzione Immagine indietro:

  • 0: per più progetti.
  • 1: solo con le immagini del progetto in cui la funzione è stata creata.

Solo per la gestione multi-progetto.

SOUND=

Selezione di un suono per la funzione Esegui file audio continuo e lo start della funzione.

Valore: Numero compreso fra 1 e 255.

Raccomandazione: configurare usando la funzione.

ZURUECK_ANZAHL=

Numero di immagini che devono essere inserite nella lista per la funzione Immagine indietro.
Nota: conta ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come funzione-start nelle proprietà dell´immagine.

  • Minimo: 0
  • Massimo: 65535
  • Default: 10

Raccomandazione: configurare usando la funzione Quantità pag. per funz."Immagine indietro" nel gruppo Funzioni.

ZURUECK_SCHABLONEN=

Nome del modello le cui immagini vengono incluse nella lista delle immagini per la funzione Immagine indietro.

Si possono indicare più nomi di modelli. Questi verranno separati da un underscore posto davanti e una virgola.
Per es.: ZURUECK_SCHABLONEN=_MAIN,_SUBNAVIGATION,

Raccomandazione: configurare usando la funzione Modelli primari nel gruppo Aspetto grafico/Runtime generale.


Industrial Maintenance Manager [IMM]

Manuale -> File di configurazione -> project.ini -> Industrial Maintenance Manager [IMM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[IMM] | Inserimenti per l´Industrial Maintenance Manager (IMM).
Dns= | Connessione ODBC della banca dati dell´IMM. Corrisponde alla proprietà Database dell´Editor.
TableDevice= | Nome della tabella del database per i dispositivi. Viene usato anche per l´amministrazione dei punti di misurazione ed è assegnato in modo fisso. Non dovrebbe essere modificato. Default: Devices Corrisponde alla proprietà Tabella dispositivi dell´Editor.
TableMaint= | Nome della tabella del database per i lavori di manutenzione. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: MaintenanceWorks Corrisponde alla proprietà Tabella per elaborazione manutenzione dell´Editor.
TableHist= | Nome della tabella della banca dati per la cronologia. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: MaintenanceHistory Corrisponde alla proprietà Tabella per lo storico dell´Editor.
TableDoc= | Nome della tabella nella banca dati per i documenti. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: Documents Corrisponde alla proprietà Tabella per i documenti dell´Editor.
Userlevel= | Livello di autorizzazione necessario per poter cancellare dati dalla banca dati. Default: 0 Corrisponde alla proprietà Livello di autorizzazione: dell´Editor.


Rete [NETZ] e [TOKEN]

Manuale -> File di configurazione -> project.ini -> Rete [NETZ] e [TOKEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[NETZ]

Impostazioni per per la rete.

Raccomandazione: configurare usando la proprietà del gruppo Rete.

APP_CLOSE_BOX=

Si può prevedere che un messaggio venga visualizzato quando un server viene chiuso mentre sono collegati dei client:

  • 1: quando si chiude il Runtime su un server, su tutti i client collegati viene visualizzato un messaggio che informa dell´avvenuta chiusura del Runtime. La chiusura del Runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completati in modo corretto.
  • 0: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

Default: 0

Corrisponde alla proprietà Messaggio di chiusura dell´Editor.

CLIENTx=

Ritardo di reload per i clienti impostati nella rete di zenon. x è un numero progressivo per ogni inserimento CLIENTx. Sui client definiti, il reload avviene seguendo questa numerazione.

Se, però, il client impostato è il Server-Standby, il reload viene eseguito immediatamente per questo client. L´inserimento CLIENTx viene dunque ignorato per un Server-Standby.

Per questa configurazione non è disponibile nessuna proprietà nell´Editor di zenon. Il ritardo di reload può essere configurato solamente con un inserimento INI.

CLIENT[numero progressivo]=Clientname,[ritardo di reload in secondi]

Il nome client è il rispettivo nome host del computer, non ilFully qualified domain name. Il ritardo di reload può andare da 0 a 86400 secondi. Tutti gli inserimenti al di fuori di questo intervallo di valori vengono sostituiti da un tempo di reload casuale.

Esempio:

  • CLIENT0=VM-CDSBG104,5
  • CLIENT1=WKS001,10

Il computer con il nome VM-CDSBG104 (=Client0) esegue il reload con un ritardo di 5 secondi; il computer con il nome WKS001 (= Client 1) esegue il reload con un ritardo di 10 secondi.

Attenzione: la numerazione dei client deve essere progressiva e senza soluzioni di continuità. Se, per es., ci sono inserimenti per CLIENT0, CLIENT1, CLIENT2, CLIENT3 e CLIENT5, il sistema considera solo quelli relativi ai seguenti client: Client0, Client1, Client2 e Client3. Il ritardo di reload configurato per Client5 viene ignorato.

Nota: ai client per i quali non è stato configurato questo inserimento, viene applicato il ritardo di reload casuale, come configurato nell´inserimentoRELOADDELAY_SEC. Se anche questo inserimento è vuoto, il reload viene eseguito contemporaneamente per tutti i client.

DATENSERVER=

Selezione di quale server funge da server dati:

  • 0: Server 1
  • 1: Server 2

Default: 0

Corrisponde alla proprietà Server 2 come Server dati dell´Editor.

DetectionOffTime=

Tempo (in secondi) di attesa prima che, dopo un cambio server, il sistema esegua il cambio nella gestione del progetto.

  • Minimo: 0
  • Massimo: 65535

Default: 10

Corrisponde alla proprietà Banda morta post-commutazione[s] dell´Editor.

eCriteria<Index>=

Criterio di controllo: viene utilizzato un numero di indice progressivo per ogni inserimento. Ad esempio eCriteria0, eCriteria1 ... Viene usato in combinazione con le proprietà WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Valori:

  • 0: nessuna valutazione
  • 1: solo per lo stato della variabile
  • 2: se si va al di sotto del valore
  • 3: se si supera il valore

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

Hysteresis=

Isteresi in punti di valutazione che devono essere superati per attivare il ritardo di switch.

  • Minimo: 0
  • Massimo: 4294967296

Default: 0

Corrisponde alla proprietà Isteresi dell´Editor.

ModifiedCounter=

Contatore incrementato di un´unità ogni volta che c´è una modifica di una proprietà del gruppo Impostazioni di ridondanza. Questo contatore è necessario per la validazione dell´analisi in rete e viene settato in modo automatico da zenon.

Attenzione: non deve essere modificato!

RatedEntries=

Numero delle valutazioni definite. Si riferisce alle proprietà eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

RELOADDELAY_SEC=

Ritardo di reload in secondi per i client in grandi progetti di rete.

  • 0: nessun ritardo.
  • >0: ogni client seleziona un numero casuale compreso fra 0 e il valore definito per il ritardo di reload.

Nota: se esiste un inserimento CLIENTx per un client, questo ha la priorità nel processo di reload di questo client.

RedundancyMode=

Modalità di ridondanza per l´analisi della rete. Se è stato selezionato il valore = Nominale, questo gestisce il cambio di ridondanza.

  • 0: Dominante.
    Non esegue nessuna valutazione.
  • 1: Non dominante
    L´esito della valutazione è sempre zero. Non viene eseguito nessun cambio di ridondanza.
  • 2: Ponderata.
    Viene eseguita una valutazione ed effettuato un cambio in base al risultato dell´analisi. Questa verifica avviene tramite le proprietà eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index>.

Default: 1

Nota: attivo solo se il Redundanztyp= è Ridondanza software.

Corrisponde alla proprietà Tipo di ridondanza dell´Editor.

Routing=

Impostazioni per il routing:

  • 0: Nessun routing.
  • 1: il computer funge da computer nodo e può inoltrare pacchetti. Tutti i pacchetti di rete provenienti dall´esterno usano questo PC.
    Questa impostazione può causare "colli di bottiglia" e influenzare le topologie di rete possibili. È ragionevole utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing.

Default: 0

Raccomandazione: disattivare l´impostazione.

Corrisponde alla proprietà Attiva routing dell´Editor.

SERVER=

Impostazione che stabilisce se viene usata la rete.

  • -1: rete inattiva, computer standalone.
  • >= 0: Rete attiva

Default: 0

Esempio: SERVER=2

Corrisponde alla proprietà Rete attiva dell´Editor.

SERVER1=

Assegnazione del ruolo di Server 1 ad un PC.

Esempio: SERVER1=COMPUTER1

Corrisponde alla proprietà Server 1 dell´Editor.

SERVER2=

Assegnazione del ruolo di Server 2 ad un PC.

Esempio: SERVER2=COMPUTER2

Corrisponde alla proprietà Server 2 dell´Editor.

SwitchDelay=

Tempo (in secondi) di ritardo del passaggio da Server Standby a server che gestisce il progetto.

  • Minimo: 0
  • Massimo: 65535

Default: 30

Ha effetto solamente se per RedundancyMode=si è selezionato 2.

Corrisponde alla proprietà Ritardo di commutazione[s] dell´Editor.

TYPE=

Selezione della modalità di ridondanza.

  • 1: Ridondanza hardware.
    Il sistema consiste di due PLC ridondanti.e due PC di controllo ridondati. Ogni PC comunica con un PLC in modalità bidirezionale. Entrambi i computer e entrambi i PLC allineano i loro dati. Se smette di funzionare un componente del primo sistema, subentra il secondo sistema.
  • 0: Ridondanza software.
    Il sistema consiste di un PLC e di due PLC di controllo ridondati. Entrambi i PC devono essere connessi al PLC. Entrambi i PC comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene gestita dal computer che funge da server. Il server, dunque, comunica in modo bidirezionale, il Server-Standby in una sola direzione. Se il server smette di funzionare, il Server-Standby assume il compito di gestire la comunicazione bidirezionale con il PLC.

Default: 0

Corrisponde alla proprietà Tipo di ridondanza dell´Editor.

ValueLimit<Index>=

Valore limite che viene verificato quando ha luogo l´analisi di un valore. Viene utilizzato un numero di indice progressivo per ogni inserimento. Ad esempio ValueLimit0, ValueLimit1 ...

Viene usato in combinazione con le proprietà eCriteria<Index>, WatchedVariableID<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 0

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

WatchedVariableID<Index>=

ID delle variabili che possono essere usate per l´analisi. Viene utilizzato un numero di indice progressivo per ogni inserimento. Ad esempio WatchedVariableID0, WatchedVariableID1 ...

Viene usato in combinazione con le proprietà eCriteria<Index>, ValueLimit<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 0

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

Weight<Index>=

Carico per analisi.

Valore compreso fra 0 e 100.

Viene utilizzato un numero di indice progressivo per ogni inserimento. Ad esempio Weight0, Weight1 ... Viene usato in combinazione con le proprietà eCriteria<Index>, WatchedVariableID<Index> e ValueLimit<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 100

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

TOKEN

Inserimento

Descrizione

[TOKEN]

Gestione delle autorizzazioni operative.

ACTIVE=0

L´autorizzazione operativa attiva in rete garantisce che solo una stazione della rete possa eseguire delle operazioni di gestione in un determinato momento. (per es. modificare un valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, è sempre possibile. Valori o modalità possibili di autorizzazione operativa:

  • 2:
    Autorizzazione utente su modello di impianto
  • 1:
    Autorizzazione utenti globale solo un PC può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
  • 0:
    Nessuna autorizzazione operativa. più calcolatori possono gestire il progetto contemporaneamente.

Default: 0

Corrisponde alla proprietà Autorizzazione di rete dell´Editor.

QUESTION_TIMEOUT=

Tempo a disposizione di un PC per rispondere ad una query dopo un´emissione token. Se questo intervallo di tempo scade senza che sia giunta alcuna risposta, la postazione che ha fatto la richiesta ottiene automaticamente l´autorizzazione.

Corrisponde alla proprietà Timeout per la richiesta [s] dell´Editor.

QUIT_TIMEOUT=60

Intervallo di tempo entro il quale un client deve confermare ciclicamente la sua autorizzazione operativa. Se, allo scadere di questo intervallo, non è stata inviata nessuna conferma, il client perde il token automaticamente.

Attenzione: questo valore deve essere minore del tempo impostato nella proprietà QUESTION_TIMEOUT=.

Corrisponde alla proprietà Timeout per autorizzazione utenti [s] dell´Editor.


Gestione password [PASSWORD]

Manuale -> File di configurazione -> project.ini -> Gestione password [PASSWORD]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PASSWORD]

Impostazioni per la gestione utenti.

Raccomandazione: configurarle usando il gruppo Gestione user.

ADDOMAIN=

Definisce il dominio alternativo per il login di un utente in zenon con un altro dominio AD di quello con cui è registrato in Windows.
Disponibile solamente se UseActiveDirectory= è 1 e il valore non è vuoto.

Esempio: ADDOMAIN=AlternateDomain

Corrisponde alla proprietà Dominio Active Directory dell´Editor.

CANAUTOLOGOFF=

Logout automatico.

  • 1: c´è un logout automatico dell´utente se non è stata eseguita nessuna azione di gestione per il tempo definito nella proprietà LOGOFF=.
  • 0: Nessun logout automatico.

Default: 0

Corrisponde alla proprietà Logout automatico attivo dell´Editor.

CHANGE_PWD_PIC=

Immagine che viene usata per la modifica della password, al posto della finestra di dialogo modale.

  • GUID: l´immagine con questo GUID viene aperta quando si modifica la password (chiamata funzione, oppure modifica obbligatoria effettuata dall´utente). . È possibile collegare solamente immagini di tipo Modifica utente.
  • Vuoto: nessuna immagine collegata. Per il login si apre una finestra di dialogo modale.

Default: Vuoto

Corrisponde alla proprietà Immagine per la modifica password dell´Editor.

DEL_PIC_BACK_PATH_AT_LOGOUT=

Impostazione per la cancellazione automatica del percorso "immagine indietro" in caso di cambio utente.

  • 0: il percorso non viene cancellato.
  • >0: il percorso viene cancellato in caso di cambio utente.

Default: 0

Corrisponde alla proprietà Cancella percorso "Immagine indietro" al cambio utente dell´Editor.

DELUSER=

Cancellazione di un utente nel Runtime:

  • 1: la cancellazione di un utente è consentita.
  • 0: è possibile solo contrassegnare gli utenti come cancellati. In questo caso gli user continueranno ad essere visualizzati nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: 1

Corrisponde alla proprietà Eliminazione utenti dell´Editor.

DISREAKTION=

Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni delle autorizzazioni operative. Viene combinato a Runtime per la gestione di tasti con la proprietà Pulsanti bloccati (LOCKED_KEYS=).

Valori possibili:

  • 0: Normale
  • 1: Grigio
  • 2: Invisibile

Default: 0

Ha effetto solamente se la proprietà LOGTEMP = ha il valore 0.

Corrisponde alla proprietà Tasti bloccati dell´Editor.

EDITSIGNATURE=

Consente le modifiche al testo della firma.

  • 0: il testo della firma non può essere modificato a Runtime.
  • 1: a Runtime viene aperta una finestra di dialogo per modificare il testo della firma.

Default: 0

Corrisponde alla proprietà Testo firma modificabile dell´Editor.

EXTERNALLOGIN_SYSTEMLOCK=

Comportamento dell´intero sistema in caso di autenticazione esterna errata:

  • 0: nessun blocco dell´intero sistema in caso di autenticazione esterna errata.
  • 1: Il sistema viene bloccato in caso di autenticazione esterna errata.

Default: 1 (attivo)

Corrisponde alla proprietà Blocco sistema causa autentificazione esterna non corretta dell´Editor.

EXTERNALLOGIN_USERLOCK=

Comportamento per User in caso di autenticazione esterna errata.

  • 0: nessun blocco dell´utente in questione in caso di autenticazione esterna errata.
  • 1: L´utente corrispondente viene bloccato in caso di autenticazione esterna errata.

Default: 1 (attivo)

Corrisponde alla proprietà Blocco utente a causa di una errata autenticazione esterna dell´Editor.

Attenzione: Questa impostazione non ha nessun effetto sul blocco utenti in Active Directory quando si usano utenti AD. In questo caso valgono sempre le impostazioni di dominio.

LOGIN_PIC=

Immagine che viene usata per il login, al posto della finestra di dialogo modale. Quest´immagine viene usata anche per l´esecuzione della funzione Login con dialogo.

  • GUID: al momento del Login viene aperta l´immagine con questo GUID. È possibile collegare solamente immagini di tipo Login.
  • Vuoto: nessuna immagine collegata. Per il Login si usa una finestra di dialogo modale, oppure viene aperta l´immagine definita in LOGINSIGNATURE_PIC=.

Default: Vuoto

Corrisponde alla proprietà Immagine per Login dell´Editor.

LOGINSIGNATURE_PIC=

Immagine che viene usata per il login con firma, al posto della finestra di dialogo modale.

  • GUID: al momento del Login con firma viene aperta l´immagine con questo GUID. È possibile collegare solamente immagini di tipo Login.
  • Vuoto: nessuna immagine collegata. Per il login con firma viene aperta una finestra di dialogo modale.

Default: Vuoto

Corrisponde alla proprietà Immagine per Login con firma dell´Editor.

LOGOFF=

Tempo (in minuti) senza azioni di comando trascorso il quale il sistema effettua automaticamente il logout di un utente, se la proprietà CANAUTOLOGOFF= ha il valore 1.

Corrisponde alla proprietà Tempo [min] dell´Editor.

LOGTEMP =

Login temporaneo per l´esecuzione di una funzione:

  • 1: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo nome utente e la sua password. Il sistema effettua il logout automatico dell´utente subito dopo che questi ha eseguito l´azione.
  • 0: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo informa che non è autorizzato a gestire l´elemento.

Default: 1

Nota: posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini, nella sezione [Comando]Position =.

Corrisponde alla proprietà Login temp. attivo dell´Editor.

MINPWLENGTH=

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Corrisponde alla proprietà Lunghezza minima password dell´Editor.

PWTRIES=

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere eliminato solamente da un amministratore. In questo caso verrà generato un inserimento corrispondente nella Lista eventi cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Corrisponde alla proprietà Num. max. tentativi password dell´Editor.

PWVALIDDAYS=

Inserimento del periodo (in giorni) di validità della password. Dopo la scadenza del tempo impostato, si deve inserire una nuova password.

  • Minimo: 0 - La password non scade mai e dunque non c´è bisogno di cambiarla. Se si sceglie questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: per i processi produttivi soggetti alla normativa FDA, il valore 0 non è consentito; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Corrisponde alla proprietà Periodo di validità password [gg] dell´Editor.

RecursiveLogin=

Impostazioni per Login/Logout automatico in sotto-progetti.

  • 0: nessun logout automatico (default)
  • 1: Login/Logout automatico attivo.

Default: 0

Corrisponde alla proprietà Login/Logout automatico nei sottoprogetti dell´Editor.

UseActiveDirectory=

Impostazione che stabilisce se Active Directory viene utilizzata.

  • 0: Active Directory Non viene utilizzato.
  • 1: Utilizzo di Active Directory è attivato.
  • 2: Si usa AD LDS.

Default: 0

Corrisponde alla proprietà Accesso ad Active Directory dell´Editor.

USRGROUP_AD_CACHED=

Inserimento per gruppo utenti che consente di eseguire un login con con credenziali memorizzate. Viene salvata la GUID del gruppo utenti selezionato.

Esempio: USRGROUP_AD_CACHED=4b5199f4-969c-489a-9c60-15194aa3a161

Quando si seleziona un gruppo utenti, l´inserimento viene creato automaticamente dall´Editor per la proprietà Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache e non può essere modificato manualmente. Se si cancella il gruppo utenti collegato, la sua GUID continua ad essere inserita nel file finché non viene sostituita dalla GUID di un altro gruppo utenti, oppure viene cancellata in fase di configurazione scegliendo il comando Nessuna soluzione.

Per ulteriori informazioni relative al login con con credenziali memorizzate, consultare il capitolo Login con credenziali memorizzate nella cache del manuale Gestione user,

USERTRIES=

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. Nessun utente potrà più effettuare il login eccetto gli amministratori. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato un inserimento corrispondente nella Lista eventi cronologica (CEL). Le modifiche di questo valore avranno validità a Runtime solo dopo un riavvio.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Corrisponde alla proprietà Num. max. tentativi Username dell´Editor.


Percorsi [PATH]

Manuale -> File di configurazione -> project.ini -> Percorsi [PATH]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[PATH] | Configurazione dei percorsi.
BACKUP= | Percorsi per file di archivio salvati ^ = (default = percorso banca dati).
EXPORTPFAD= | Percorso impostato per ultimo per l´esportazione di dati o tabelle a Runtime.
LISTEN= | Percorso per liste in formato *.txt , *.qrf e *.frm .
REPORTS= | Percorso per l´export o la stampa di report.
VIDEO= | Percorso per file in formato *.avi a Runtime.


Production & Facility Scheduler [PFM]

Manuale -> File di configurazione -> project.ini -> Production & Facility Scheduler [PFM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PFM]

Impostazioni per il Production & Facility Scheduler (Production & Facility Manager).

AnzeigenMitStrg=

Gestisce la visualizzazione della finestra di dialogo in caso di inserimento di orari copiati.

Valori possibili:

  • 1: la finestra di dialogo viene visualizzata solamente se si preme il tasto Ctrl quando si incolla l´orario.
  • 0: la finestra di dialogo viene visualizzata sempre.


Link di progetto [PROJEKTLINKS]

Manuale -> File di configurazione -> project.ini -> Link di progetto [PROJEKTLINKS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PROJEKTLINKS]

Parametri per progetti collegati in caso di progetti di integrazione.

I sotto-progetti collegati vengono numerati in modo progressivo, ad es.: LINK1=, LINK2=, ...

GLINK=

Nome del progetto globale.

Se si modifica questo nome, tutti i riferimenti di progetto collegati dovranno essere modificati in modo corrispondente.

GLINKPATH=

Percorso del progetto globale per i file Runtime.

Se lo si modifica, i file già esistenti dovranno essere copiati manualmente nella nuova cartella.

LINK1=

Nome progetto del primo sotto-progetto.

LINKGUID1=

GUID univoco del primo sotto-progetto.

LINKMULTI1=

Identificazione per progetti multiutente.

  • 1: progetto multiutente.
  • 0: progetto standalone.

LINKPATH1=

Percorso di progetto del primo sotto-progetto.


Process Recorder [PROCESSRECORDER]

Manuale -> File di configurazione -> project.ini -> Process Recorder [PROCESSRECORDER]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[PROCESSRECORDER] | Proprietà per il modulo Process Recorder.
ACTIVE= | Attiva o disattiva il modulo Process Recorder. 0: non attivato 1: Attivato Default: 0


Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Manuale -> File di configurazione -> project.ini -> Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ED_REMOTE]

Inserimento

Descrizione

[ED_REMOTE]

Gestione dei parametri del Trasporto Remoto nella rete per l´Editor

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COM=

Definizione della porta COM con una connessione seriale (DEVICE=0).

CONFIG=

Configurazione del collegamento via connessione seriale o TCP/IP.

Per esempio: CONFIG=HOST=COMPUTER-XY048;

DEVICE=

Tipo di connessione:

  • 0: Seriale
  • 1: TCP/IP

Default: 1

EXTRA=

Impostazioni per Windows CE. Uso del lettore di scheda locale:

  • 0: no
  • 1: si

Ha effetto solamente se nelle impostazioni di progetto è stata attivata l´opzione Windows CE.

EXTRAEINTRAG=

Cartella Runtime sul dispositivo di destinazione quando viene usato il locale lettore di scheda (EXTRA=1) per Windows CE.

IP_NAME=

Nome PC o indirizzo IP per la connessione TCP/IP (DEVICE=1).

RECENT_x=

Nome PC usato per ultimo. x rappresenta il numero dell´inserimento, ad iniziare da 0, per il nome usato per ultimo.

Esempio: RECENT_0=ATSGA-XY007

SERVER_DOWNLOAD

Impostazioni per il download:

  • 1: download attivo.
    il download è eseguito anche sul Server 1 e sul Server 2.
  • 0: download disattivato.
    Il download è eseguito solamente sul calcolatore indicato.

Ha effetto solamente se nelle impostazioni di progetto è stata attivata la rete ed è stata selezionata la modalità di trasporto TCP/IP.

[DIRLIST]

Inserimento

Descrizione

[DIRLIST]

Impostazioni per la cartella per il Trasporto Remoto.

ADD_AKTIV=

Trasferimento dei file dalla cartella Altro:

  • 0: non attivo
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

BITMAP=

Percorso di salvataggio per la cartella Grafiche.

BITMAP_AKTIV=

Trasmissione dei file dalla cartella Grafiche:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COMMENT_x=

Commento su singoli inserimenti nella lista Sorgente / Destinazione. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COUNT=

Numero delle righe configurate nella lista Sorgente / Destinazione, nella finestra di dialogo Trasporto remoto. Viene inserito dall´Editor.

DRV_AKTIV=

Trasferimento dei file dalla cartella Driver:

  • 0: non attivo
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

HELP_AKTIV=

Trasferimento dei file dalla cartella Help:

  • 0: non attivo
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

LISTEN=

Percorso di salvataggio per la cartella Testi e formati.

LISTEN_AKTIV=

Trasferimento di file nella cartella per Testi e formati:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

PROJECTBASE=

Percorso di destinazione per la cartella Runtime sul dispositivo remoto.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

RDLC_AKTIV=

Trasferimento dei file dalla cartella Report Viewer:

  • 0: non attivo
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

REPORTS=

Percorso di salvataggio per la cartella Tabelle.

REPORTS_AKTIV=

Trasferimento di file nella cartella Tabelle:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SOURCE_x=

Percorso origine per file o cartelle definiti individualmente per il tra´sferimento. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_0=

Larghezza della colonna attiva in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_1=

Larghezza della colonna Sorgente in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_2=

Larghezza della colonna Destinazione in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_3=

Larghezza della colonna Modifica in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_4=

Larghezza della colonna Descrizione in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

STRAT_AKTIV=

Trasferimento dei file di zenon Logic:

  • 0: non attivo
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

TARGET_x=

Percorso di destinazione per file definiti individualmente, oppure cartella per il trasferimento. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

TYPE_x=

Tipo di trasferimento per file o cartelle definiti individualmente. x rappresenta qui il numero dell´inserimento, a cominciare da 0. Tipi di trasferimento:

  • o: copia
  • 1: copia e registra file
  • 2: copia e esegui file

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

VIDEO=

Percorso di salvataggio per la cartella file Multimedia.

VIDEO_AKTIV=

Trasmissione di file nella cartella Multimedia:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

[TRANSPASS]

Inserimento

Descrizione

[TRANSPASS]

Password per Trasporto Remoto sul PC di sviluppo.

Nota: configurazione di Remote nel file zenon6.ini, nella sezione Password per RemoteTransport [TRANSPASS].

FIX=

La password viene:

  • 1: salvata
  • 0: non salvata

KEY=

Password per il Trasporto Remoto.

Viene inserito dall´Editor.

KEYCRYPT=

Password salvata in forma crittografata per il Trasporto Remoto.

Si usa solo se KEY= è vuoto.

Default a partire dalla versione 7.20. Il cambio avviene automaticamente sul sistema di origine al momento della conversione di un progetto nella versione 7.20. Sul sistema di destinazione, invece, il cambio deve avvenire manualmente.

NET=

Query dati per la configurazione della crittografia:

  • Diverso da 0: dopo una connessione Trasporto Remoto, l´Editor invia una query al dispositivo remoto, richiedendo i dati per la configurazione della crittografia. L´inserimento viene settato dalla finestra di dialogo Stabilisci collegamento e resettato a 0 subito dopo l´invio della richiesta.

SER=

Stato dell´opzione Configurazione numero di serie e di attivazione nella finestra di dialogo che serve a stabilire una connessione.

  • 0: non attivo
  • 1: attivo


Manager di gruppi ricette (RGM)

Manuale -> File di configurazione -> project.ini -> Manager di gruppi ricette (RGM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RGM]

Inserimenti per il manager di gruppi ricette.

REPORTFONT=

Tipo di carattere per tabelle:

  • 1 È possibile impostare il carattere per le immagini di tipo Manager di gruppi ricette, Viene usato il carattere progettato nella proprietà Carattere.
  • 0: si usa il carattere standard.

Default: 0

Se si usa una tabella definita dall´utente (creata con il Generatore di rapporti), vengono utilizzati i caratteri definiti nel report.

Corrisponde alla proprietà Font tabelle modificabili dell´Editor.


Runtime [RT]

Manuale -> File di configurazione -> project.ini -> Runtime [RT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RT]

Impostazioni per il Runtime

ERSTE_TASTE=

Esecuzione di funzioni collegate ad un tasto:

  • 0: vengono eseguite tutte le funzioni collegate.
  • 1: viene eseguita solo la prima funzione trovata.

GFX_LIST_SEL_CLR_0=

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: GFX_LIST_SEL_CLR_0=16777215

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore testo con Focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_1=

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=0

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore testo senza Focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_2=

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=16750899

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore di sfondo con focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_3=

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=15790320

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore di sfondo senza focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

LOCKED_KEYS=

Definisce l´aspetto di pulsanti a Runtime non utilizzabili a causa di un blocco.

Possibili forme di visualizzazione:

  • 0: normale
  • 1: grigio
  • 2: invisibile

Questa proprietà agisce indipendentemente dalla proprietà Identificazione grafica attiva. Un pulsante grigio può visualizzare, ad esempio, anche un simbolo lucchetto.

Viene combinata a Runtime con la proprietà DISREAKTION= (gruppo [PASSWORD])

Corrisponde alla proprietà Pulsanti bloccati nel gruppo Aspetto grafico/Elementi bloccati dell´Editor.

NOT_WORKING_AKTIV=

Impostazione per l´esecuzione automatica di una funzione dopo lo scadere di un tempo impostato, senza azione:

  • 1: esecuzione automatica attiva.
  • 0: esecuzione automatica disattivata.
    Questa impostazione permette d´attivare (=1) o disattivare (=0) l´esecuzione.

Default: 0

La funzione da eseguire viene definita mediante NOT_WORKING_FUNC= . L´intervallo di tempo mediante NOT_WORKING_TIME=.

Corrisponde alla proprietà Esecuzione aut.funzione attiva nel gruppo Funzioni dell´Editor.

NOT_WORKING_FUNC=

Numero della funzione che dovrà essere eseguita alla scadenza del tempo definito in NOT_WORKING_TIME=.

Corrisponde alla proprietà Funzione nel gruppo Funzioni dell´Editor.

NOT_WORKING_TIME=

Intervallo di tempo in minuti al cui scadere deve essere eseguita la funzione indicata in NOT_WORKING_FUNC=.

Corrisponde alla proprietà Periodo senza azione di comando (min) nel gruppo Funzioni dell´Editor.

SELECTION_NORMAL=

Identificazione di un inserimento selezionato in una lista (allarmi o CEL) con:

  • 0: cornice. Si consiglia l´uso di questa opzione per una migliore leggibilità in caso di elevate risoluzioni dello schermo.
  • 1: barra. il colore di sfondo delle righe selezionate viene invertito. Si consiglia l´uso di questa opzione per una migliore leggibilità in caso di basse risoluzioni dello schermo.

Default: 0

Corrisponde alla proprietà Seleziona con cornice nel gruppo AML e CEL dell´Editor.

TOUCHSCREEN=

Tastiera automatica per touchscreen:

  • 1: visualizzata se è necessario effettuare un inserimento.
  • 0: non visualizzare.

Default: 0

Corrisponde alla proprietà Tastiera automatica nel gruppo Interazione/Tastiera dell´Editor.

WIN_CE=

Impostazioni per l´uso con Windows CE.

  • 1: le funzionalità che non supportate con Windows CE sono nascoste nell´Editor (sono di colore grigio oppure invisibili).
  • 0: sono disponibili tutte le funzionalità dell´Editor per cui si dispone di una licenza.

Default: 0

Corrisponde alla proprietà Progetto WindowsCE nel gruppo Generale dell´Editor.

WITH_ACTION=1

Gestione degli elementi:

  • 0: viene usato il primo elemento sotto il puntatore mouse.
  • 1: viene usato il primo elemento sotto il puntatore mouse che è collegato ad un´azione.


File Runtime modificabili [RTDATEN]

Manuale -> File di configurazione -> project.ini -> File Runtime modificabili [RTDATEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RTDATEN]

Impostazioni per la creazione di file modificabili a Runtime.

NOOVERWRITE_REZEPTE=

Trasferimento di gruppi ricetta.

  • 0: i gruppi di ricetta vengono creati e trasferiti. I gruppi di ricetta esistenti a Runtime vengono sovrascritti.
  • 1: i gruppi di ricetta non vengono trasferiti.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_REZEPTUREN=

Trasferimento di ricette.

  • 0: le ricette vengono create e trasferite. Le ricette esistenti a Runtime vengono sovrascritte.
  • 1: le ricette non vengono trasferite.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_PASSWORT=

Trasferimento password.

  • 0: le password vengono create e trasferite. Le ricette esistenti a Runtime vengono sovrascritte.
  • 1: le password non vengono trasferite.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_FPM=

Trasferimento dei dati schedulatore.

  • 0: i dati schedulatore vengono creati e trasferiti. I dati schedulatore esistenti a Runtime vengono sovrascritti.
  • 1: i dati schedulatore non vengono trasferiti.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.


Stato [STATUS]

Manuale -> File di configurazione -> project.ini -> Stato [STATUS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[STATUS] |
STATUS0= | Testo per informazioni di stato, se il bit 0 è settato. E possibile inserire un testo lungo o un testo breve, separati da ;
STATUSx= | Vedi STATUS0 per i numeri x= 1 a 63.


Tabelle [TABELLE]

Manuale -> File di configurazione -> project.ini -> Tabelle [TABELLE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
[TABELLE] | Proprietà per le tabelle.
TRENNZEICHEN= | Separatore per le singole celle quando si esportano report a Runtime in un file in formato *.TXT. Per es., solo caratteri stampabili, come - oppure tabulatore (TAB). Esempio: TRENNZEICHEN=TAB


Driver

Manuale -> File di configurazione -> project.ini -> Driver

Proprietà per driver.

Ancora in questo capitolo

S7TCP32 [S7TCP32]

Simotion [SIMOTION]

Driver di sistema [SYSTEMTREIBER]


S7TCP32 [S7TCP32]

Manuale -> File di configurazione -> project.ini -> Driver -> S7TCP32 [S7TCP32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[S7TCP32]

Impostazioni per il driver S7TCP32

FS=

Stabilisce se vengono visualizzati o meno i tipi di oggetto F&S DB Bit, F&S DB Byte, F&S Bit e F&S Byte:

  • 1: Visualizza
  • 0: non visualizzare (Default)


Simotion [SIMOTION]

Manuale -> File di configurazione -> project.ini -> Driver -> Simotion [SIMOTION]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIMOTION]

Impostazioni per il driver Simotion.

BLOCKWRITE=

Attivazione di blockwrite.

  • 0: Blockwrite è disattivato.
  • 1: Blockwrite è attivato. Più valori pro TCP-request vengono scritti sia per variabili globali, che per variabili axis. Per le variabili globali viene scritto un save block continuo (unbroken), mentre per variabili axis viene inviata una lista di valori variabile.


Driver di sistema [SYSTEMTREIBER]

Manuale -> File di configurazione -> project.ini -> Driver -> Driver di sistema [SYSTEMTREIBER]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYSTEMTREIBER]

Proprietà per il driver di sistema.

UPDATE_SEK=

Tempo ciclico di update del driver di sistema in secondi.

WISCHER_BOXEN=
  • 0: i messaggi vengono soppressi. Per questa evenienza sono a disposizione nel driver di sistema delle variabili bit con le quali si può reagire in modo individuale agli inserimenti errati collegando una funzione con un valore limite.
  • 1: nel caso di inserimenti utente errati (Imposta valore, Login, ecc.), vengono visualizzati a Runtime dei messaggi corrispondenti.

Corrisponde alla proprietà Inserimenti errati dell´Editor.

WISCHER_BOXEN_USERLEVEL=

Attivo solamente se WISCHER_BOXEN= è 1

  • 0: non viene visualizzato nessun messaggio di errore se il livello di autorizzazione non è corretto. Nonostante questo, viene settata la variabile del driver di sistema Funzione non autorizzata, che può essere analizzata tramite valore limite o matrice di reazione.
  • 1: se un utente esegue a Runtime una funzione che richiede un livello di autorizzazione che non ha, viene visualizzata una finestra contenente un messaggio di errore.

Corrisponde alla proprietà Autorizzazione insufficiente dell´Editor.


Visualizzazione globale [WORLDVIEW]

Manuale -> File di configurazione -> project.ini -> Visualizzazione globale [WORLDVIEW]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[WORLDVIEW]

Visualizzazione globale.

MarkCenter=
  • 0: non è selezionata nessuna stazione
  • 1: alla selezione di una stazione, la stazione viene evidenziata per breve tempo nell´immagine


Versioni di zenon e versionamento progetti [VERSION]

Manuale -> File di configurazione -> project.ini -> Versioni di zenon e versionamento progetti [VERSION]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[VERSION]

Informazioni relative alla versione di zenon con la quale è stata eseguita l´ultima modifica del progetto, e informazioni relative al versionamento progetti. Queste informazioni vengono settate dall´Editor e non devono essere modificate in alcun caso!

BETA=

Riferimento allo stato di rilascio della versione di zenon usata per ultima.

  • 0: versione rilasciata.
  • 1: versione beta.

GUID=

GUID del progetto.

PROJECT_VERSION_ACTIVE=

Versionamento del progetto:

  • 1: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.
  • 0: nessun versionamento di progetto.

Default: 0

Corrisponde alla proprietà Attiva versionamento nel gruppo Generale/Versionamento dell´Editor.

PROJ_MAJOR=

Numero della versione principale. Può essere assegnato liberamente.

Attenzione: modifiche non ponderate di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Configurazione mediante la proprietàVersione generale nel gruppo Generale/Versionamento.

PROJ_MINOR=

Numero dettaglio per la versione principale. Viene assegnato automaticamente.

Corrisponde alla proprietà Versione progetto nel gruppo Generale/Versionamento dell´Editor.

PROJ_TIMESTAMP=

Momento dell´ultimo backup di progetto in UTC in secondi.

SP=

Numero del service pack della versione di zenon usata per ultima per modificare il progetto.

Per esempio: 0 per zenon 7.20 SP0.

VERSION1=

Numero della versione principale di zenon usata per ultima per modificare il progetto.

Per esempio: 7 per zenon 7.20 SP0.

VERSION2=

Numero della sotto-versione di zenon usata per ultima per modificare il progetto.

Per esempio: 20 per zenon 7.20 SP0.

XML_EXPORT_ACTIVE=

Export XML di versioni:

  • 1: ad ogni backup di progetto viene inserito un file ZIP (Version.zip). Questo contiene 24 file XML con i backup dei singoli moduli.
    Nota: nei progetti multiutente, solo nel caso di backup locale.
  • 0: Nessun export XML.

Default: 0

Corrisponde alla proprietà Esportazione XML attiva nel gruppo Generale/Versionamento dell´Editor.


startup.ini

Manuale -> File di configurazione -> startup.ini

Nota: in linea di principio, le impostazioni dovrebbero essere eseguite nello Startup-Tool. Le modifiche nello startup.ini dovrebbero essere eseguite solamente da esperti.
Momentaneamente esiste una documentazione solamente per le impostazioni per la crittografia della comunicazione in rete.

Inserimento | Descrizione
[Settings] |
USE_ENCRYPTION= | Attiva o disattiva crittografia 0: non attivo 1: attivo Inserimento viene ripreso nello zenon6.ini dopo essere stato settato e salvato nello Startup Tool.
ENCRYPTION_PWD | Qui viene inserita automaticamente in modo cifrato la password dopo che essa è stata creata. La password viene crittografata in un modo dipendete del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento. Inserimento viene ripreso nello zenon6.ini dopo essere stato settato e salvato nello Startup Tool.
PWD_VALIDATION= | Hash che verifica se i dati usati per la crittografia sono cambiati.


wizards.ini

Manuale -> File di configurazione -> wizards.ini

Struttura del file INI per la gestione dei wizard in VSTA e VBA.

info Info

Questa documentazione è disponibile solamente in lingua inglese.

Ancora in questo capitolo

VSTA wizards.ini

VBA wizards.ini

Metodi necessari per l´aggiornamento


VSTA wizards.ini

Manuale -> File di configurazione -> wizards.ini -> VSTA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Manuale -> File di configurazione -> wizards.ini -> VBA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Esempio

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Metodi necessari per l´aggiornamento

Manuale -> File di configurazione -> wizards.ini -> Metodi necessari per l´aggiornamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio di metodi di cui si ha bisogno per far in modo che i wizard siano visualizzati nel dialogo per l´aggiornamento:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


zenDB.ini

Manuale -> File di configurazione -> zenDB.ini

Gli inserimenti nel file zenDB.ini definiscono la connessione con il server SQL. Vengono definiti con lo Startup Tool.

Inserimenti nello zenDB.ini

Dalla versione 07:11 SP0

Inserimento

Valore default

Descrizione

[CONNECTION_SQL2012]

Impostazioni di connessione per SQL Server 2012

PW=

Startup Tool: nessuno
Altrimenti: zen_$2012

Definisce la password che zenDBSrv usa per l´autenticazione nei confronti del server SQL. La password viene salvata nello zenDB.ini in forma crittografata. Si può però usare il valore di default non crittografato per stabilire la connessione, visto che, a causa della sua lunghezza, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per l´instaurazione della connessione.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Nota: ogni componente scrive questo valore in forma crittografata nel file INI.

Tutte le altre impostazioni corrispondono a quelle della versione 7.10.

Dalla versione 07:10 SP0

Inserimento

Valore default

Descrizione

[PATH]

nessuno

Percorso

DB60_SQL2012=

nessuno

Definisce il percorso in cui sono salvate le banche dati SQL per i progetti Editor di zenon.

Esempio:

DB60_SQL2012=C:\ProgramData\COPA-DATA\SQL2012\

[CONNECTION_SQL2012]

Impostazioni di connessione per SQL Server 2012

USER=

Startup Tool: nessuno
Altrimenti: zenOnSrv

Definisce il nome utente che zenDBSrv usa per registrarsi sul server SQL.

PW=

Startup Tool: nessuno
Altrimenti: srv_710

Definisce la password che zenDBSrv usa per l´autenticazione nei confronti del server SQL. La password viene salvata nello zenDB.ini in forma crittografata. Si può però usare il valore di default non crittografato per stabilire la connessione, visto che, a causa della sua lunghezza, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per l´instaurazione della connessione.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Nota: ogni componente scrive questo valore in forma crittografata nel file INI.

SQLINSTANCE=

Startup Tool: nessuno
Altrimenti: localhost

Definisce l´istanza del server SQL alla quale si connette zenDBSrv. Con il valore di default non si può stabilire nessuna connessione, visto che questo non contiene nessun nome istanza. "localhost" viene sostituito nel nome istanza dal nome computer attuale prima che venga stabilita una connessione.

Esempio:

SQLINSTANCE=localhost\zenon_2012

SQLPROVIDER=

Startup Tool: nessuno
Altrimenti: SQLNCLI10.1

Inserimento facoltativo per il provider che zenDBSrv usa per stabilire una connessione di database Il valore di default corrisponde all´SQL Server 2008 R2 Native Client.

Esempio:

SQLPROVIDER=SQLNCLI10.1

Versione 07:00 SP0

Inserimento | Valore default | Descrizione
[PATH] | nessuno | Percorso
DB60_SQL2008= | nessuno | Definisce il percorso in cui sono salvate le banche dati SQL per i progetti Editor di zenon. Esempio: DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Impostazioni di connessione per SQL Server 2008R2
USER= | Startup Tool: nessuno Altrimenti: zenOnSrv | Definisce il nome utente che zenDBSrv usa per registrarsi sul server SQL.
PW= | Startup Tool: nessuno Altrimenti: srv_700 | Definisce la password che zenDBSrv usa per l´autenticazione nei confronti del server SQL. La password viene salvata nello zenDB.ini in forma crittografata. Si può però usare il valore di default non crittografato per stabilire la connessione, visto che, a causa della sua lunghezza, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per l´instaurazione della connessione. Nota: ogni componente scrive questo valore in forma crittografata nel file INI.
SQLINSTANCE= | Startup Tool: nessuno Altrimenti: localhost | Definisce l´istanza del server SQL alla quale si connette zenDBSrv. Con il valore di default non si può stabilire nessuna connessione, visto che questo non contiene nessun nome istanza. "localhost" viene sostituito nel nome istanza dal nome computer attuale prima che venga stabilita una connessione. Esempio: SQLINSTANCE=localhost\zenon_2008R2
SQLPROVIDER= | Startup Tool: nessuno Altrimenti: SQLNCLI10.1 | Inserimento facoltativo per il provider che zenDBSrv usa per stabilire una connessione di database Il valore di default corrisponde all´SQL Server 2008 R2 Native Client. Esempio: SQLPROVIDER=SQLNCLI10.1

Versione 6.51 SP0

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60_SQL2005= | nessuno | Definizione del percorso Esempio: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nome del servizio che avvia l´istanza SQL Server. Deve corrispondere all´inserimento PROVIDER_SQL2005= nella sezione Data Source! Esempio: SQLSERVICE_SQL2005=MSSQL$zenon_DEV
USER= | nessuno | Utente. Esempio: USER=zenOnSrv
PW= | nessuno | Password. Viene assegnata nello Startup Tool e salvata qui in forma crittografata. Esempio: PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | nessuno | SQL Instant. Esempio: SQLINSTANCE=localhost\zenon_DEV

A partire dalla versione 6.21 SP0 fino alla versione 6.50 SP0

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60_SQL2005= | Nessuno | Definizione del percorso Esempio: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONFIG] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nome del servizio che avvia l´istanza SQL Server. Deve corrispondere all´inserimento Data Source nella sezione PROVIDER_SQL2005=! Esempio: SQLSERVICE_SQL2005=MSSQL$zenon_DEV
PROVIDER_SQL2005= |  | Inserimento per il provider che zenDBSrv usa per stabilire una connessione con il database. Esempio: PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\zenon_DEV;

Fino alla versione 6.20 SP4

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60= |  | Esempio: DB60=C:\SQL\
[CONFIG] |  |
SQLSERVICE= | MSSQL$ZENON | Definisce il percorso in cui sono salvate le banche dati SQL per i progetti Editor di zenon.
Provider= |  | Inserimento per il provider che zenDBSrv usa per instaurare una connessione con la banca dati. Esempio: Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\zenon


zenon6.ini

Manuale -> File di configurazione -> zenon6.ini

In linea di principio, le impostazioni dovrebbero essere effettuate nell'Editor. Solo gli esperti dovrebbero effettuare delle modifiche nel file zenon6.ini.

info Info

Il percorsozenon6.ini del file è il seguente: %ProgramData%\COPA-DATA\System\

Ancora in questo capitolo

Impostazioni generali [DEFAULT]

Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Aree di lavoro [RECENTWORKSPACES]

Modifica archivi [ARCHEDIT]

Comando [Befehlsgabe]

Autorizzazione operativa in Everywhere Server by zenon [Password]

Diagnosis Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Stampante in generale [DRUCKER] e [FRM_PRNT]

Editor [EDITOR] e [Editor/CustomMenu]

Everywhere Server [EVERYWHERE]

Trend esteso [EW-TREND]

Export [EXPORT]

Impostazioni finestre [PROPERTY]

Indirizzo IP sotto Windows CE [IPADDR]

Message Control [MESSAGE CONTROL]

Rete [NETZ]

Impostazione percorsi [PATH]

Configurazione porta [LISTENING_SOCKETS]

Interfaccia di programmazione [Add-Ins], [PCE], [VBA] e [VSTA]

Parametri per il Remote-Transport [SYS_REMOTE]

Password Trasporto Remoto [TRANSPASS]

Runtime [RT]

SCADA Runtime Connector [ZRSCONNECTOR]

SYMBOLO [SYMBOL]

Simulatore [SIMULATOR]

Terminal Server [TERMINAL]

Driver


Impostazioni generali [DEFAULT]

Manuale -> File di configurazione -> zenon6.ini -> Impostazioni generali [DEFAULT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DEFAULT]

Impostazioni generali.

ACTIVATIONKEY76=

Attivazione crittografata per registrazione licenza dongle e registrazione licenza software per zenon 7.60. Vale per licenze standalone e licenze di rete.

Raccomandazione: configurare tramite la finestra di dialogo File-> Impostazioni generali -> Registrazione del prodotto.

Bisogna tenere presente che, a partire dalla versione 7.60, la registrazione della licenza dipende dalla versione.

Nota:

  • Per le versioni precedenti a zenon 7.60, l´inserimento è il seguente: ACTIVATIONKEY7=
  • Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: ACTIVATIONKEY=

ACTIVATIONKEY7=

Attivazione crittografata per registrazione licenza dongle e registrazione licenza software. Vale per licenze standalone e licenze di rete.

Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: ACTIVATIONKEY=

ACTIVATIONKEY7n=

Chiave di attivazione alternativa per registrazione licenza dongle e registrazione licenza software. Consente di avviare Editor e Runtime con diverse licenze e dongle. Vale per licenze standalone e licenze di rete.

  • n: numero compreso fra 1 e 9.

Quando si avvia l´Editor o il Runtime, il sistema verifica i numeri di licenza e le chiavi di attivazione esistenti nell´ordine del loro inserimento. Quando si trova un inserimento, il sistema verifica se esiste il dongle corrispondente. Se entrambi questi requisiti sono soddisfatti, l´Editor o il Runtime verranno avviati; altrimenti il sistema provvede a verificare il prossimo inserimento.

Questa procedura viene eseguita nello stesso modo anche per l´inserimento SERIAL7n=.

Esempio: Solo il Runtime è attivato nell´inserimento principale ACTIVATIONKEY7= di un apparecchio. Non c´è un secondo inserimento con un attivazione per l´Editor. Un tecnico per la manutenzione che vuole rendere operativo l´Editor, non deve far altro che inserire il suo dongle, senza dover cambiare la chiave di attivazione.

AUTOEXCEPTTIME=

Tempo espresso in secondi per la visualizzazione della Exception-Box.
Se manca questo inserimento oppure esso è stato settato a 0, la box viene visualizzata finché non la si conferma cliccando suOK.

DEFANWENDUNG30=

Nome del progetto attuale caricato all´avvio del programma

DEFWORKSPACE=

Nome del workspace attuale caricato all´avvio del programma.

Raccomandazione: Selezione tramite la scheda General nello Startup Tool.

LANGUAGE=

Lingua impostata:

  • GERMAN
  • ENGLISH
  • ITALIAN
  • FRENCH
  • ...

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

LASTPROJEKT=

Progetto aperto per ultimo nell´Editor. Viene settato nell´Editor al momento della sua chiusura.

Questo inserimento viene ignorato se nello Startup Tool è stata attivata l´opzione Overwrite INI settings

RT_CXMAINFRAME=

Larghezza della risoluzione di tutti i monitor meno 1 pixel.

Salva insieme a RT_CYMAINFRAME= la posizione e dimensione della finestra runtime.

RT_CXRESOLUTION=

Larghezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CXMAINFRAME. Qui non è necessario sottrarre 1 pixel.

RT_CYMAINFRAME=

Altezza della risoluzione di tutti i monitor meno 1 pixel.

Salva insieme a RT_CXMAINFRAME= la posizione e dimensione della finestra runtime.

Attenzione: Se la barra task è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.

RT_CYRESOLUTION=

Altezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CYMAINFRAME. Qui non è necessario sottrarre 1 pixel.

RTENDDELAY=

Ritardo in millisecondi (ms) alla chiusura del Runtime, se quest´ultimo, al momento della chiusura, setta richiami ricorsivi.

  • Massimo: 231-1 ms
  • Minimo: 1000 ms
    Valori <1000 ms vengono corretti automaticamente sul valore minimo.

Default: 30000

Esempio: RTENDDELAY=30000

SCREENPROFILE=

Profilo monitor selezionato per questo calcolatore. Ciò vale per tutti i progetti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Configurazione monitor nelle proprietà di progetto del gruppo Aspetto grafico/Runtime generale.

SERIALIZE=

Definizione della risoluzione immagine:

  • 0: risoluzione immagine individuale, tutte le immagini vengono ricalcolate per ogni client.
  • 1: il primo client avviato detta la risoluzione immagine.

SERIAL76=

Numero di serie dipendente dalla versione per registrazione licenza dongle e registrazione licenza software. Vale per licenze standalone e licenze di rete.

Attenzione:

I codici di licenza per licenze software dipendono dalla versione. Questo significa che possono essere attivati solo per quella versione di zenon per la quale sono stati acquistati. Se si cambia versione, dunque, bisognerà rinnovare il numero di attivazione.

Raccomandazione:
configurare tramite la finestra di dialogo File-> Impostazioni generali -> Registrazione del prodotto.

  • Nota:
    Per le versioni precedenti a zenon 7.60, l´inserimento è il seguente: SERIAL7=
  • Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: SERIAL=

SERIAL7=

Chiave di attivazione per dongle e licenza software. Vale per licenze standalone e licenze di rete.

Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: SERIAL=

SERIAL7n=

Numero di serie alternativo per dongle. Consente all´Editor e al Runtime di essere avviati con diverse licenze e dongle. Vale per licenze standalone e licenze di rete.

  • n: numero compreso fra 1 e 9.

Quando si avvia l´Editor o il Runtime, il sistema verifica i numeri di licenza e le chiavi di attivazione esistenti nell´ordine del loro inserimento. Quando si trova un inserimento, il sistema verifica se esiste il dongle corrispondente. Se entrambi questi requisiti sono soddisfatti, l´Editor o il Runtime verranno avviati; altrimenti il sistema provvede a verificare il prossimo inserimento.

Questa procedura viene eseguita nello stesso modo anche per l´inserimento ACTIVATIONKEY7n=.

Esempio: Solo il Runtime è dotato di licenza valida nell´inserimento principale SERIAL= di un apparecchio. Non c´è un secondo inserimento con una licenza per l´Editor. Un tecnico per la manutenzione che vuole rendere operativo l´Editor, non deve far altro che inserire il suo dongle, senza dover cambiare il numero di serie.

SICAM230KEY7

Ulteriore chiave di attivazione per SICAM 230.

STARTDELAY=

Ritardo di avvio del Runtime in millisecondi (ms) in caso di booting.
Nel caso dell´insorgere di problemi in fase di avvio automatico del Runtime con il sistema operativo, lo start del Runtime può essere ritardato tramite questa impostazione. In tal modo il sistema operativo ha più tempo per avviare tutti i servizi necessari.

STRING=

Nome del progetto che deve essere ricaricato quando viene inizializzato il reloading sul server.

Un inserimento viene fatto nello zenOn6.ini del server.


Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Manuale -> File di configurazione -> zenon6.ini -> Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[AlarmFilterDialog]

Salva inserimenti storici nel filtro per nome variabile e identificazione nella scheda Generale, quando si configura il cambio ad immagini del tipo AML, CEL e Immagini filtro.

La lista viene integrata in caso di nuovi inserimenti nella Combobox dopo la chiusura del dialogo di filtro del cambio immagine. L´inserimento settato al momento nella Combobox non viene salvato. Gli inserimenti storici valgono per tutti i progetti sul calcolatore locale, e sono a disposizione nell´Editor e nel Runtime dove li si potrà selezionate mediante il corrispondente menù a tendina.

History1_COUNT=

Numero degli inserimento nel menù a tendina per Nome variabile.

History1_x=

Inserimento nel menù a tendina per nome variabile. x rappresenta una numerazione progressiva che inizia da 0.

Esempio: History1_2=*top

History2_COUNT=

Numero degli inserimento nel menù a tendina per Identificazione.

History2_x=

Inserimento nel menù a tendina per identificazione. x rappresenta una numerazione progressiva che inizia da 0.

Esempio: History2_2=*filler


Aree di lavoro [RECENTWORKSPACES]

Manuale -> File di configurazione -> zenon6.ini -> Aree di lavoro [RECENTWORKSPACES]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mostra le ultime cinque aree di lavoro caricate, incluso relativo percorso. Queste impostazioni vengono scritte nello zenon6.ini dall´Editor al momento della sua chiusura. Nell´Editor, queste cinque aree di lavoro vengono visualizzate nel menù File.

Inserimento

Descrizione

[RECENTWORKSPACES]

Sezione per le cinque aree di lavoro caricate per ultime.

WORKSPACE0=

WORKSPACE1=

WORKSPACE2=

WORKSPACE3=

WORKSPACE4=

Ultimo workspace caricato. Quanto più recente, tanto inferiore è il numero progressivo assegnato.

  • WORKSPACE0: ultimo workspace caricato.
  • WORKSPACE4: area di lavoro della lista ad essere stata utilizzata per prima.

Viene visualizzato l´intero percorso relativo all´area di lavoro.
Esempio: WORKSPACE0=C:\Users\Public\Documents\zenon_Projects\Demo760.wsp6


Modifica archivi [ARCHEDIT]

Manuale -> File di configurazione -> zenon6.ini -> Modifica archivi [ARCHEDIT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ARCHEDIT]

Proprietà per la modifica archivi.

ARCHEDITFONT=

Selezione del carattere.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

DATUMBREITE=

Larghezza della colonna Data/Ora in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

EINHEITBREITE=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

KENNUNGBREITE=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

KURZBEZEICHNUNG=

Visualizzazione della denominazione breve dell´archivio nella tabella.

  • 1: si
  • 0: no

STATUSBREITE=

Larghezza della colonna Stato in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

VARIABLEBREITE=

Larghezza della colonna Variabile in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

WERTBREITE=

Larghezza della colonna Valore in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

ZUSTANDBREITE=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

ZWANGSSPEICHERN=

Correzione di inserimenti negli archivi in cascata:

  • 1: tutti gli inserimenti.
  • 0: solo gli inserimenti modificati.


Comando [Befehlsgabe]

Manuale -> File di configurazione -> zenon6.ini -> Comando [Befehlsgabe]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[Befehlsgabe]

Attenzione: Solo per SICAM 230.

Befehlsstring=

Protocollaggio di Comando nella CEL a comando:

  • 0: non attivo
  • 1: attivo

CODE=

interrogazione del numero codice:

  • 0: off
  • 1: on

CodeKontrolle=

Verifica di plausibilità nel corso dell´interrogazione del numero di codice.

  • 0: off
  • 1: on

POSITION=

Definisce la posizione e la dimensione della maschera di Login/Logout.

Fascia di valori compresa da 0 a 1. I valori vanno inseriti separati da virgola nella seguente sintassi:
xsinistra, xdestra, ysopra, ysotto
Default: 0.001 , 0.999 , 0.835 , 0.964

TASTE=

Assegnamento tasti per gestione a due mani: Possibili inserimenti:

  • nessun inserimento: Gestione singola (ad una mano).
  • RETURN: Tasto Ins
  • SPACE: Tasto Space
  • Da F2 a F12: Uno dei tasti F (fatta eccezione per F1)
  • Da A a Z e da 0 a 9: 1 carattere alfanumerico

Default: nessun inserimento


Autorizzazione operativa in Everywhere Server by zenon [Password]

Manuale -> File di configurazione -> zenon6.ini -> Autorizzazione operativa in Everywhere Server by zenon [Password]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[PASSWORD] | Configurazione delle autorizzazioni operative per l´Everywhere Server.
EVWH_ACCESS= | Livello di autorizzazione che ha accesso all´Everywhere Server. Valore: Numero del livello di autorizzazione progettato. Default: 0 (= ognuno ha accesso)


Diagnosis Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Manuale -> File di configurazione -> zenon6.ini -> Diagnosis Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7, remote e diagnosi vengono eseguiti tramite due diversi servizi. Se su di un dispositivo ci sono sia vecchi che nuovi Diagnose Client o Diagnosis Server, questi possono essere configurati indipendentemente gli uni dagli altri usando degli inserimenti INI. In questo modo, per esempio, si possono deviare gli inserimenti Log di vecchi Diagnose Client senza che gli inserimenti Log di nuovi Diagnose Client ne siano interessati.

Diagnosis Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione del file zenon6.ini.

Contiene i parametri per zenSysSrv (Trasporto Remoto e Diagnosis Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c`è questo inserimento, il sistema considera come valore standard la cartella LOG che si trova nella cartella %ProgramData% della versione utilizzata.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Stringa di configurazione per il Diagnosis Server e il zenSysSrv . Trasporto Remoto e “diagnosis system” usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usato.
    Sono a disposizione TCP/IP e seriale.
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

  • 0: non attivo (default)

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Nota: in seguito alla separazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Server. Riguarda solamente lo zenLogSrv e non ha alcun effetto sullo zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa:

  • Il percorso estratto dalla registry
    Per es. %ProgramData%\COPA-DATA\LOG
  • La cartella LOG nel percorso %ProgramData% dello zenLogSrv, se nella registry non è definito nessun percorso.
    per e. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Stringa di configurazione per il Diagnosis Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

Default: 0

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Diagnosis Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnosis Client èr salvata qui. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnosis Client èr salvata qui. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Note

INIT sotto CE

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnosis Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnosis Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnosis Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnosis Clients, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnosis Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Ragione: client più vecchi usano poi lo zenLogSrv come Diagnosis Server. I nuovi client lo fanno automaticamente. Questo servizio viene avviato automaticamente sul PC quando il sistema viene avviato; con CE deve essere avviato manualmente.

Attenzione: se è impossibile raggiungere la porta, i client più vecchi avviano lo zenSysSrv e ritentano una connessione con questo.


Stampante in generale [DRUCKER] e [FRM_PRNT]

Manuale -> File di configurazione -> zenon6.ini -> Stampante in generale [DRUCKER] e [FRM_PRNT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[DRUCKER] | Attribuzione stampante. Queste impostazioni devono essere configurate nell´Editor, nel menù File-> Configurazione generale -> Default-> Stampante.
ALARM= | Stampante online per “Lista di informazione allarmi” o “Lista Eventi Cronologica” a Runtime. Selezionare AML oppure CEL nel gruppo AML e CEL delle proprietà di progetto, oppure tramite i file ALAR.FRM oppure BTB.FRM.
ALARM_OFFL= | Stampante offline per “Lista di informazione allarmi” o “Lista Eventi Cronologica” a Runtime cliccando sul pulsante Stampa nell'immagine relativa. Configurazione del formato tramite i file ALAR_G.FRM oppure BTB_G.FRM. Se non c´è alcun inserimento, viene usata la stampante definita alla voce ALARM=.
WERTE= | Stampante per report e se è stata scelta la funzione Stampa valore attuale (emissione dei valori correnti e tabelle).
HDDRUCKER= | Stampante per screenshot.
LISTDRUCKER= | Stampante per liste generali.
[FRM_PRNT] | Configurazione dell´ouput formattato della AML/CEL con FRM_PRNT.DLL.
LINES= | Indicazione del numero di righe per ogni pagina. Default: 0


Editor [EDITOR] e [Editor/CustomMenu]

Manuale -> File di configurazione -> zenon6.ini -> Editor [EDITOR] e [Editor/CustomMenu]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EDITOR]

Impostazioni nell’editor.

Raccomandazione: Configurazione via Extras -> Impostazioni.

CASESENSITIVEFILTER=

Filtro nella lista dettagliata tiene conto di scrittura in lettere maiuscole/minuscole.

  • 0: no
  • 1: si

DIRECTX_TYPE=

Decide se viene usata o meno l´accelerazione hardware.

  • 1: attivo
  • 0: non attivo

Default: 1

DYNRAHMEN=

Visualizzazione di una cornice intorno agli elementi dinamici:

  • 0: non attivo
  • 1: attivo (default)

EINGABE_SOFORT=

Immediata apertura della maschera di inserimento di un elemento al momento della sua creazione:

  • 0: no
  • 1: si

FANGPUNKTE=

Uso di punti di punti di presa.

  • 0: off
  • 1: on

FANGPUNKTESIZE=

Grandezza in pixel dei punti di presa delle immagini

FANGPUNKTESIZE_TEMPL=

Grandezza in pixel dei punti di presa dei modelli.

KOORD_GLOBAL=

Visualizzazione delle coordinate:

  • 0: Coordinate client della finestra.
  • 1: coordinate pixel indipendenti dall´immagine (globali)

LASTWORKSPACE=

Caricamento automatico dell´area di lavoro usata per ultima al momento dello start dell´Editor.

  • 1: Ultima area di lavoro e automaticamente aperta
  • 0: Editor parte senza aprire area di lavoro.

RASTER=

Posizionare nella griglia:

  • 0: non attivo
  • 1: attivo

RASTER_ABSTAND_X=

Spaziatura griglia orizzontale in pixel.
Default = 5

RASTER_ABSTAND_Y=

Spaziatura griglia verticale in pixel.
Default = 5

RASTER_COLOR=

Colore dei punti della griglia.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

RASTER_GRID=

Mostra la griglia::

  • 0: off (Default)
  • 1: on

RASTER_TYPE=

Tipo di griglia:

  • 0: piena
  • 1: a punti (questo tipo non viene più supportato a partire dalla versione 7.20 ed è sostituito al momento della conversione del progetto dal tipo 0.)
  • 2: Intersezioni

RUECK_ANZ=

Quantità delle azioni che possono essere annullate

Per esempio: RUECK_ANZ=10

SORTLOGICAL=

Ordinamento logico dei testi in visualizzazione dettagli

  • 0: off
  • 1: on

SPOT=

Dimensione dei punti d’angolo degli elementi
default = 5

SUCHE=

Distanza pixel prima del cambio di posizione. Serbe a definire lo stesso punto, in caso di spostamento.
Default = 5

SYMBOL_COLOR=

Colore di sfondo del simbolo nell´editor dei simboli per poter meglio riconoscere l´area disponibile per il disegno.

Default: Bianco
Inserimento per bianco: SYMBOL_COLOR=16777215

USE_WIZARDS=

Uso di assistenti in fase di progettazione:

  • 0: off
  • 1: on

Nota: Riguarda solo gli assistenti che servono alla configurazione (per es. archiviazione), e non i wizard (per es. Project Wizard).

WINDOW=

L´editor memorizza la sua posizione attuale e la salva nel zenon6.ini quando viene chiuso. Al prossimo start viene avviato nella posizione salvata.

  • Primo numero: stabilisce se la finestra deve essere visualizzata ridotta a icona (1), ingrandita (2) o a grandezza normale (3).
  • Altri numeri: posizione a partire dall´angolo a sinistra in alto.

Esempio: WINDOW=3,109,181,589,661

WORKSPACEVIEW=

Visualizzazione del workspace nell´Editor:

  • 1: Visualizzazione area di lavoro attiva
  • 0: Visualizzazione area di lavoro non attiva

Menù definito dall´utente

Inserimento | Descrizione
[Editor/CustomMenu] | Inserimenti per i menù definiti da utente nell´editor. Raccomandazione: Configurazione tramite Opzioni -> Impostazioni -> Menù Tool.
Arguments#0= | Parametro per esecuzione programma.
File#0= | Nome del file da eseguire per l´inserimento menu 0.
Name#0= | Inserimento nel menu per programma 0.


Everywhere Server [EVERYWHERE]

Manuale -> File di configurazione -> zenon6.ini -> Everywhere Server [EVERYWHERE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EVERYWHERE]

Configurazione delle proprietà globali per l´Everywhere Server.

CERTIFCATE=

Certificate server subject per HTTPS

Oggetto del certificato. Il certificato deve essere salvato nel Machine Store, nel nodo MY (certificati propri).

Per esempio: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: L´Everywhere Server viene avviato con il Runtime di zenon.
  • 0: L´Everywhere Server non viene avviato.

Default: 0

PORT=

HTTPS-Port per la comunicazione con Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Solo accesso di lettura possibile via Everywhere Server.
  • 1: Consente la scrittura di variabili e il ripristino di allarmi.

Default: 0

Ulteriori informazioni le trovate nella parte della guida dedicata allaEverywhere Server by zenon.


Trend esteso [EW-TREND]

Manuale -> File di configurazione -> zenon6.ini -> Trend esteso [EW-TREND]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EW_TREND]

Configurazione trend esteso

AUTOSKALIERUNG=

Definisce se autoscala è attiva di default o no.

  • 0: attivo
  • 1: non attivo


Export [EXPORT]

Manuale -> File di configurazione -> zenon6.ini -> Export [EXPORT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EXPORT]

Configurazione export.

AML_CEL_NEU=

Esporta in file dBase:

  • 0: in formato standard
  • 1: in colonne, come configurato per le liste corrispondenti nell´Editor


Impostazioni finestre [PROPERTY]

Manuale -> File di configurazione -> zenon6.ini -> Impostazioni finestre [PROPERTY]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PROPERTY]

Impostazioni per la finestra delle proprietà e la finestra di emissione.

OUTPUTHIDEERRORS=

Sopprimi la visualizzazione di errori nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

OUTPUTHIDEMESSAGES=

Sopprimi la visualizzazione di messaggi nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

OUTPUTHIDEWARNINGS=

Sopprimi la visualizzazione di avvertimenti nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

SHOWALL=

Visualizzazione delle proprietà nella finestra delle proprietà:

  • 0: off
  • 1: on

SHOWFAVORITES=

Visualizzazione dei favoriti nella finestra delle proprietà:

  • 0: off
  • 1: on

Se la proprietà VIEW= ha il valore 2, i favoriti vengono sempre visualizzati.

SORT=

Ordinamento nella finestra delle proprietà:

  • 0: crescente
  • 1: decrescente
  • 2: logico

VIEW=

Forma della visualizzazione delle proprietà nella finestra delle proprietà:

  • 0: raggruppata
  • 1: tutte
  • 2: Opzione dialogo


Indirizzo IP sotto Windows CE [IPADDR]

Manuale -> File di configurazione -> zenon6.ini -> Indirizzo IP sotto Windows CE [IPADDR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[IPADDR]

Solo sotto Windows CE.

Siccome CE non supporta nessun file HOSTS, i nomi dei calcolatori vengono attribuiti agli indirizzi IP tramite una lista di attribuzione.

Si ha bisogno di questa lista solo in reti senza DNS. Se esiste un server DNS, Windows CE è in grado di identificare il nome.
La lista è impostabile solo manualmente con un editor testo. Normalmente dev´essere inserito soltanto l´indirizzo del server progettato.

COMPUTERNAME1=

Attribuisce un indirizzo IP al calcolatore COMPUTERNAME1.
Esempio: MAIN=10.20.10.01 assegna al nome computer MAIN l´indirizzo IP corrispondente.

Attenzione: Tutti gli inserimenti (nomi dei calcolatori) devono essere scritti maiuscoli, altrimenti non possono essere riconosciuti


Message Control [MESSAGE CONTROL]

Manuale -> File di configurazione -> zenon6.ini -> Message Control [MESSAGE CONTROL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[MESSAGE CONTROL]

Impostazioni per il modulo Message Control.

Consigli: eseguire la configurazione usando le proprietà del gruppo Message-Control del workspace (inclusi sottogruppi) e le proprietà del gruppo Proprietà specifiche di progetto nel nodo Message Control dell´albero di progetto.

GSM_SMS=

Attivazione di SMS tramite GMS come tipo di invio.

  • 0: attivo
  • non 0: non attivo.

Default: 0

L´inserimento corrisponde nel Message32.ini all´inserimento [GSM]
On

Il sistema ne tiene conto quando esegue l´importazione o esportazione delle impostazioni INI.

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Modem GSM) dell´Editor.

GSM_SMS_COM=

La porta COM usata per la connessione con il modem.

Default: vuoto

Corrisponde alla proprietà Porta modem (seriale) dell´Editor.

GSM_SMS_PIN=

Codice PIN usato per l´autenticazione nei confronti del modem.

Default: vuoto

Corrisponde alla proprietà Codice PIN dell´Editor.

GSM_SMS_SMSC=

Numero di telefono del centro messaggi del provider GSM.

Default: vuoto

Corrisponde alla proprietà Numero centro messaggi dell´Editor.

GSM_BULK_DELETE=

Comportamento per la cancellazione di un SMS:

  • 0: i messaggi vengono cancellati con il metodo Index. Gli SMS letti vengono cancellati singolarmente.
  • 1: i messaggi vengono cancellati con il metodo Statusflag. Tutti gli SMS letti vengono cancellati contemporaneamente.
    Nota: questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da tutti i modem.

Default: 0

Corrisponde alla proprietà Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD dell´Editor.

Outlook=

Notifica tramite E-Mail via Outlook:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Outlook_Profile=

Nome del profilo Outlook che deve essere utilizzato per l´invio.

Default: vuoto

Corrisponde alla proprietà Profilo dell´Editor.

POP_APOP=

Gestisce l´autenticazione sul server della posta in arrivo in caso di notifica via SMTP/POP.

  • 0: per l´autenticazione si usano utente (USER) e password (PASS).
  • 1: per l´autenticazione si usa il comando APOP invece di utente e password.

Default: 0

Corrisponde alla proprietà Utilizzare un commando APOP per l'autenticazione nel gruppo Messaggio E-Mail (SMTP) dell´Editor.

POP_KEEP_MAILS=

Definisce se le E-Mail lette devono rimanere sul server:

  • 0: le E-Mail vengono cancellate dopo essere state caricate dal server.
  • 1: le E-Mail vengono mantenute dopo essere state caricate dal server.

Default: 0

Nota: visto che POP3 non offre la possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in arrivo. Se questa proprietà è attiva, aumenta l´utilizzo dello spazio di memoria sul server e possono diminuire le prestazioni nell´eseguire l´operazione di acquisizione dei messaggi.

Corrisponde alla proprietà Lascia sul server le E-Mail già lette dell´Editor.

POP_PASSWORD=

Password per il login sul server della posta in arrivo (POP3). La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione.

Deve essere modificato solamente nell`Editor.

Default: vuoto

Corrisponde alla proprietà Password nel gruppo Server di posta in arrivo dell´Editor.

POP_POLL_INTERVALL=

Intervallo minimo in secondi fra due richieste POP3. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Corrisponde alla proprietà Periodo minimo tra due richieste (s) dell´Editor.

POP_PORT=

Porta attraverso cui viene raggiunto il server POP3.

  • Valore massimo: 6553

Default per:

  • Connessione non sicura: 110
  • Connessione protetta: 995

Corrisponde alla proprietà Porta nel gruppo Server di posta in arrivo dell´Editor.

POP_SECURITY=

Il tipo di protezione della connessione con il server POP3.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server di posta in arrivo dell´Editor.

POP_SERVER=

Indirizzo del server POP3.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server di posta in arrivo dell´Editor.

POP_USER=

Nome user per il server posta in arrivo.

Default: vuoto

Corrisponde alla proprietà Nome utente nel gruppo Server di posta in arrivo dell´Editor.

SMSGateway=

Notifica tramite SMS via SMS-Gateway:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Gateway SMS) dell´Editor.

SMSGateway_Inbox=

Cartella della posta in entrata del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in entrata dell´Editor.

SMSGateway_OriginId=

Identificazione mittente per invio di SMS.

Default: vuoto

Corrisponde alla proprietà Identificazione chiamante dell´Editor.

SMSGateway_Outbox=

Cartella della posta in uscita del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in uscita dell´Editor.

SMSGateway_Prefix=

Prima lettera dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 carattere

Default: F

Corrisponde alla proprietà Carattere iniziale del file messaggi dell´Editor.

SMSGateway_SemaphorPrefix=

Prima lettera del file di blocco.

Lunghezza: 1 carattere

Default: S

Corrisponde alla proprietà Prima lettera del file di blocco/semaforo dell´Editor.

SMSGateway_SmartAlarm=

Viene usato "Allarmi intelligenti". Deve essere univoco per ogni singolo progetto.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Allarmi intelligenti dell´Editor.

SMSGateway_Statusbox=

Cartella per il messaggio di stato in caso di invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella di stato dell´Editor.

SMSGateway_TimeOut=

Tempo di timeout in minuti per messaggi in uscita. Stabilisce alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Default: 60

Corrisponde alla proprietà Timeout dell´Editor.

SMTP_AUTH=

Autenticazione sul server della posta in uscita.

  • 0: nessun protezione.
  • 1: registrare sul server POP3 prima dell´invio.
  • 2: SMTP AUTH con registrazione sul server SMTP prima dell´invio.

Default: 0

Corrisponde alla proprietà Autenticazione sul server di posta in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_OTHER_CREDS=

Stabilisce se il server della posta in uscita utilizza altri dati di registrazione rispetto a quelli del server posta in arrivo.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà nel gruppo Server posta in uscita dell´Editor.

SMTP_PASSWORD=

Dump esadecimale della password crittografata per l´autenticazione sul server della posta in uscita.

Default: vuoto

Corrisponde alla proprietà nel gruppo Server posta in uscita nell´Editor.

SMTP_OTHER_CREDS=

Dati di accesso per il server SMTP.

  • 0: i dati di accesso per il server di posta in arrivo vengono utilizzati anche per il server della posta in uscita.
  • 1: per l´autenticazione sul server della posta in uscita vengono utilizzati altri dati di accesso che sul server di posta in arrivo.

Default: 0

Corrisponde alla proprietà Utilizza altre credenziali di accesso del server di posta in entrata nel gruppo Server posta in uscita dell´Editor.

SMTP_OUT_ADDR=

Indirizzo per le E-Mail in uscita.

Default: vuoto

Corrisponde alla proprietà Indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_POP_MAIL=

Notifica tramite E-Mail via SMTP/POP:

  • 1: attivo
  • 0: non attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Server posta in uscita dell´Editor.

SMTP_PORT=

Definisce la porta usata dal server SMTP.

Massimo: 65535

Default: 25

Corrisponde alla proprietà Porta nel gruppo Server posta in uscita dell´Editor.

SMTP_SECURITY=

Tipo di crittografia per la connessione con il server SMTP.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server posta in uscita dell´Editor.

SMTP_SERVER=

Il server SMTP inserito dall´utente.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server posta in uscita dell´Editor.

SMTP_SRV_IS_POP=

Questo inserimento stabilisce se il server POP3 viene usato come server SMTP.

  • 1: POP 3 è SMTP
  • 0: POP3 e SMTP sono server differenti

Default: 0

Corrisponde alla proprietà Utilizza server di posta in arrivo per le E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_SUBJECT=

Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Soggetto per E-Mail nel gruppo Server posta in uscita dell´Editor.

SMTP_USER=

Nome user per il server della posta in uscita salvato.

Default: vuoto

Corrisponde alla proprietà Nome utente nel gruppo Server posta in uscita dell´Editor.

SMTP_USER_IS_ADDR=

Stabilisce se il nome utente per l´autenticazione nei confronti del server di posta in uscita viene usato come indirizzo mittente per i messaggi in uscita. Viene usato solamente se l´inserimento SMTP_AUTH= non è 0.

  • 1: attivo
  • 0: non attivo

Default: 0

Corrisponde alla proprietà Nome utente come indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

Speech=

Notifica Text-to-Speech (via Modem)

  • 0: non attivo
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Speech_Name=

Selezione della voce e della lingua per il Text-to-Speech.

Assicurarsi di scegliere la lingua corretta per l Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: vuoto

Corrisponde alla proprietà Voce nel gruppo Text-to-Speech dell´Editor.

Speech_Rate=

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Corrisponde alla proprietà Velocità riproduzione voce nel gruppo Text-to-Speech dell´Editor.

Speech_Volume=

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0: si applica il valore dal sistema operativo senza alcuna modifica.

Default: 0

Corrisponde alla proprietà Volume nel gruppo Text-to-Speech dell´Editor.

Subject=

ID univoco che le Mail in entrata devono contenere per poter essere elaborate nel modulo Message Control.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Oggetto (ID) nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Telephone=

Notifica mediante file audio via Modem:

  • 0: non attivo
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (File Audio) nel gruppo Messaggio vocale dell´Editor.

Telephone_IgnoreDisconnect=

Comportamento in caso di interruzione della connessione:

  • 1: una disconnessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.
  • 0: il messaggio viene terminato quando si interrompe la comunicazione.

Default: 0

Corrisponde alla proprietà Ignora disconnessioni nel gruppo Messaggio vocale dell´Editor.

Telephone_Line=

Inserimento del modem da usare. Questo deve essere già configurato sul computer.

Corrisponde alla proprietà Nome linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_LineId=

ID-dispositivo generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi dispositivi quando si hanno più modem con lo stesso nome.

Attenzione: solo a scopo informativo. Non ne è consentita la modifica qui!

Corrisponde alla proprietà Id linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_Timeout=

Tempo in minuti al cui scadere una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Default: 1

Corrisponde alla proprietà Timeout [min] nel gruppo Messaggio vocale dell´Editor.

Telephone_WelcomeMessageCount=

Numero delle ripetizioni del testo di benvenuto.

Default: 5

Corrisponde alla proprietà Ripeti testo di benvenuto nel gruppo Messaggio vocale dell´Editor.

VOIP_AUDIO=

Messaggio vocale come file audio via Voice over IP:

  • 0: non attivo
  • 1: Voice over IP (File Audio)

Default: 0

Corrisponde alla proprietà Voice over IP (File Audio) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

indirizzo server del provider VoIP.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Voice over IP dell´Editor.

VOIP_PASSWORD=

Password per l´accesso VoIP.

È salvata in forma criptata e deve essere modificata solamente nell´interfaccia utente.

Default: (vuoto)

Corrisponde alla proprietà Password nel gruppo Voice over IP dell´Editor.

VOIP_RTP=

Numero della porta RTP per VoIP.

Default: 4000

Corrisponde alla proprietà Porta RTP nel gruppo Voice over IP dell´Editor.

VOIP_SIP=

Numero della porta SIP per VoIP.

Default: 5060

Corrisponde alla proprietà Porta SIP nel gruppo Voice over IP dell´Editor.

VOIP_TTS=

Messaggio vocale per Voice over IP come Text-to-Speech:

  • 0: non attivo
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Corrisponde alla proprietà Voice over IP (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Nome utente per l´accesso VoIP.

Default: (vuoto)

Corrisponde alla proprietà Nome utente nel gruppo Voice over IP dell´Editor.

info Info

Alcune proprietà possono applicare i valori di altre proprietà. Si salva sempre il valore inserito per ultimo. Perciò non è detto che i valori degli inserimenti INI corrispondano sempre ai valori delle proprietà visualizzati nell´Editor. La cosa interessa le seguenti proprietà:

  • SMTP_SERVER= -> Indirizzo server
  • SMTP_USER= -> Nome utente
  • SMTP_PASSWORD= -> Password
  • SMTP_OUT_ADDR= -> Indirizzo delle E-Mail in uscita


Rete [NETZ]

Manuale -> File di configurazione -> zenon6.ini -> Rete [NETZ]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[NETZ]

Impostazioni di rete

ANALYZER2_SERVER_TIMEOUT_SEC=

Tempo di attesa per la connessione in caso di esecuzione dell´Analyzer Report Execution Function.

Valore in secondi.

  • Minimo: 1
  • Massimo: 86400

Default: 100

Valido solo in caso di connessione ad un Analyzer Server della versione 2.XX. Ab partire dalla versione 7.50, il timeout viene configurato usando le opzioni dello ZAMS.

ENCRYPTION_PWD

Qui viene inserita automaticamente in modo cifrato la password dopo che essa è stata creata. La password viene crittografata in un modo dipendete del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento.

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

NET_CONNECTCOUNT=

Numero delle ripetizioni del TCP/IP Connect sul client.

  • 0:

Default = 0 (ripetizione immediata)

NET_CONNECTWAIT_MSEC=

Tempo di attesa in seguito ad un connect TCP/IP fallito sul client in millisecondi.
Default = 30000

NET_PROXYPORT=

Porta per la connessione del zenon Web Client con il zenon Web Server: zenon Web Server ascolta alla porta, zenon Web Client si connette alla porta.
Default:

  • TCP: 1102
  • HTTP: 8080

NET_TIMEOUT_MSEC=

Timeout per comunicazione di rete in millisecondi.
Default = 30000

NET_NETMODULE_TIMEOUT_MSEC=

Timeout per comunicazione moduli in millisecondi. Non è usato per la richiesta di modulo (module request) spontanea sul client o sul Server-Standby. Se non perviene una risposta dal server entro il tempo impostato, l´azione viene cancellata.

Default = 30000

Esempi: chiamata di dati d'archivio per Trend esteso, gestione ricette, lista password...

POLLING_INTERVALL=

Tempo di attesa in millisecondi prima che il zenon Web Client invii di nuovo una richiesta HTTP-GET al zenon Web Server quando il buffer per una connessione è vuoto.

Default: 2000

PWD_VALIDATION=

Hash che controlla se i dati usati per la crittografia sono cambiati.

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

QUESIZE=

Numero di oggetti massimo in coda in rete.
Default: 5000

TIMESYNCH=

Sincronizzazione tempo:

  • 1: = il tempo viene sincronizzato con un progetto server (default)
  • 0: = il tempo non viene sincronizzato (per esempio per ridondanza circolare)

USE_ENCRYPTION=

Attiva o disattiva crittografia

0: non attivo

1: attivo

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

USEIPV6=

Regola l´uso di IPv6.

1: attivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.

0: disattivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Non è possibile un funzionamento simultaneo dei due protocolli.

Nota: se questa impostazione viene modificata, tutti i processi di zenon in corso devono essere riavviati. Ciò riguarda in particolare zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Attenzione: Funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

WAN=

Connessione del client al server.

  • 0: LAN (default)
  • 1: WAN

WAN_IDLETIME=

WAN Tempo di funzionamento a vuoto
dopo questo tempo, la connessione con il server o il client viene chiusa.
Default = 30000 ms


Impostazione percorsi [PATH]

Manuale -> File di configurazione -> zenon6.ini -> Impostazione percorsi [PATH]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PATH]

Impostazione percorsi.

BILDER=

Percorso dei file BLD.

BITMAP=

File grafici consentiti. Sono possibili i seguenti formati:

  • *.bmp
  • *.jpg
  • *.png
  • *.tif
  • *.wmf
  • *.xaml
  • *.cdwpf

DLL=

Percorso dei file DLL (cartella di programma).

EDOC_PATH =

Percorso per il documento EPLAN (programma di documentazione elettronica).

Per esempio: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

EXPORTARV=

Percorso per gli archivi trasferiti manualmente (*.arv).

GRAPHIK=

Percorso dei file grafici per l´importazione della grafica.

ONLINE_HELP=

Percorso per file CHM nel Runtime.

VBF30=

Percorso dell’attuale banca dati del progetto.

WEB_PROJECT_PATH=

Percorso per i file Runtime del Web Client. Se questo inserimento non è disponibile, viene usata la cartella %temp%\zenWebCli.


Configurazione porta [LISTENING_SOCKETS]

Manuale -> File di configurazione -> zenon6.ini -> Configurazione porta [LISTENING_SOCKETS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[LISTENING_SOCKETS]

Configurazione della listening port per applicazioni. Le modifiche nello zenon6.ini devono essere trasmesse a tutti gli altri calcolatori inclusi nella comunicazione.

Attenzione:

  • Le modifiche possono causare un riavvio del calcolatore.
  • Tutti i calcolatori con i quali esiste una comunicazione, devono avere le stesse, identiche impostazioni.
  • Queste impostazioni non sono disponibili con Windows CE.
  • Nel Runtime vengono usate le impostazioni salvate nello zenon6.ini corrispondente.

Raccomandazione: Configurate queste impostazioni usando lo Startup Tool.

XXX_CUST_PORT=

XXX rappresenta l´applicazione corrispondente.

Numero di porta alternativo. Si applica solo seXXX_PORT_CASE=1.

XXX_BIND_ADDRESS=

XXX rappresenta l´applicazione corrispondente.

Indirizzo IP fisso. Si applica solo seXXX_BIND_CASE=1.

XXX_BIND_ADAPTER=

XXX rappresenta l´applicazione corrispondente.

Nome dell´adattatore di rete. Si applica solo seXXX_BIND_CASE=2.

XXX_BIND_CASE=

XXX rappresenta l´applicazione corrispondente.

Tipo della connessione:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

XXX_PORT_CASE=

XXX rappresenta l´applicazione corrispondente.

Tipo di assegnazione porta:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Applicazioni e loro impostazioni di default.

Administration Service

ADMINSRV_CUST_PORT=

Numero di porta alternativo per Administrator Service. Si applica solo seADMINSRV_PORT_CASE=1.

Default: 50777

ADMINSRV_BIND_ADDRESS=

Indirizzo IP fisso per Administrator Service. Si applica solo seADMINSRV_BIND_CASE=1.

Default: 0.0.0.0

ADMINSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Administrator Service. Si applica solo seADMINSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ADMINSRV_BIND_CASE=

Tipo di connessione per Administrator Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ADMINSRV_PORT_CASE=

Tipo di assegnazione porta per Administrator Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Analyzer Connector Service

ANACONSRV_CUST_PORT=

Numero di porta alternativo per Analyzer Connector Service. Si applica solo seANACONSRV_PORT_CASE=1.

Default: 50778

ANACONSRV_BIND_ADDRESS=

Indirizzo IP fisso per Analyzer Connector Service. Si applica solo seANACONSRV_BIND_CASE=1.

Default: 0.0.0.0

ANACONSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Analyzer Connector Service. Si applica solo seANACONSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ANACONSRV_BIND_CASE=

Tipo di connessione per Analyzer Connector Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ANACONSRV_PORT_CASE=

Tipo di assegnazione porta per Analyzer Connector Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Analyzer License Service

ANALICSRV_CUST_PORT

Numero di porta alternativo per Analyzer License Service. Si applica solo seANALICSRV_PORT_CASE=1.

Default: 50779

ANALICSRV_BIND_ADDRESS=

Indirizzo IP fisso per Analyzer License Service. Si applica solo seANALICSRV_BIND_CASE=1.

Default: 0.0.0.0

ANALICSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Analyzer License Service. Si applica solo seANALICSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ANALICSRV_BIND_CASE=

Tipo di connessione per Analyzer License Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ANALICSRV_PORT_CASE=

Tipo di assegnazione porta per Analyzer License Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

DB Service

DBSRV_CUST_PORT=

Numero di porta alternativo per DB Service. Si applica solo seDBSRV_PORT_CASE=1.

Default: 1103

DBSRV_BIND_ADDRESS=

Indirizzo IP fisso per DB Service. Si applica solo seDBSRV_BIND_CASE=1.

Default: 0.0.0.0

Default: 0.0.0.0

DBSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per DB Service. Si applica solo seDBSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

DBSRV_BIND_CASE=

Tipo di connessione per DB Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

DBSRV_PORT_CASE=

Tipo di assegnazione porta per DB Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Logging Service

LOGSRV_CUST_PORT=

Numero di porta alternativo per Logging Service. Si applica solo seLOGSRV_PORT_CASE=1.

Default: 50780

LOGSRV_BIND_ADDRESS=

Indirizzo IP fisso per Logging Service. Si applica solo seLOGSRV_BIND_CASE=1.

Default: 0.0.0.0

LOGSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Logging Service. Si applica solo seLOGSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

LOGSRV_BIND_CASE=

Tipo di connessione per Logging Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

LOGSRV_PORT_CASE=

Tipo di assegnazione porta per Logging Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Network Service

NETSRV_CUST_PORT=

Numero di porta alternativo per Network Service. Si applica solo seNETSRV_PORT_CASE=1.

Default: 1100

NETSRV_BIND_ADDRESS=

Indirizzo IP fisso per Network Service. Si applica solo seNETSRV_BIND_CASE=1.

Default: 0.0.0.0

NETSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Network Service. Si applica solo seNETSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

NETSRV_BIND_CASE=

Tipo di connessione per Network Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

NETSRV_PORT_CASE=

Tipo di assegnazione porta per Network Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SNMP Trap Service

SNMPTRAPSRV_CUST_PORT=

Numero di porta alternativo per SNMP Trap Service. Si applica solo seSNMPTRAPSRV_PORT_CASE=1.

Default: 50782

SNMPTRAPSRV_BIND_ADDRESS=

Indirizzo IP fisso per SNMP Trap Service. Si applica solo se SNMPTRAPSRV_BIND_CASE=1.

Default: 0.0.0.0

SNMPTRAPSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per SNMP Trap Service. Si applica solo se SNMPTRAPSRV_BIND_CASE=2

Default: nessun inserimento (vuoto).

SNMPTRAPSRV_BIND_CASE=

Tipo di connessione per SNMP Trap Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SNMPTRAPSRV_PORT_CASE=

Tipo di assegnazione porta per SNMP Trap Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Transport Service

SYSSRV_CUST_PORT=

Numero di porta alternativo per Transport Service. Si applica solo seSYSSRV_PORT_CASE=1.

Default: 1101

SYSSRV_BIND_ADDRESS=

Indirizzo IP fisso per Transport Service. Si applica solo seSYSSRV_BIND_CASE=1.

Default: 0.0.0.0

SYSSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Transport Service. Si applica solo se SYSSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

SYSSRV_BIND_CASE=

Tipo di connessione per Transport Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SYSSRV_PORT_CASE=

Tipo di assegnazione porta per Transport Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEB Service CLassic

WEBSRV_CUST_PORT=

Numero di porta alternativo per WEB Service Classic. Si applica solo seWEBSRV_PORT_CASE=1.

Default: 1102

WEBSRV_BIND_ADDRESS=

Indirizzo IP fisso per WEB Service Classic. Si applica solo seWEBSRV_BIND_CASE=1.

Default: 0.0.0.0

WEBSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per WEB Service Classic. Si applica solo seWEBSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

WEBSRV_BIND_CASE=

Tipo di connessione per WEB Service Classic:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEBSRV_PORT_CASE=

Tipo di assegnazione porta per WEB Service Classic:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEB Service Tunneling

WEBSRVTNL_CUST_PORT=

Numero di porta alternativo per WEB Service Tunneling. Si applica solo seWEBSRVTNL_PORT_CASE=1.

Default: 8080

WEBSRVTNL_BIND_ADDRESS=

Indirizzo IP fisso per WEB Service Tunneling. Si applica solo seWEBSRVTNL_BIND_CASE=1.

Default: 0.0.0.0

WEBSRVTNL_BIND_ADAPTER=

Nome dell´adattatore di rete per WEB Service Tunneling. Si applica solo se WEBSRVTNL_BIND_CASE=2

Default: nessun inserimento (vuoto).

WEBSRVTNL_BIND_CASE=

Tipo di connessione per WEB Service Tunneling:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEBSRVTNL_PORT_CASE=

Tipo di assegnazione porta per WEB Service Tunneling:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Porte standard: panoramica

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Interfaccia di programmazione [Add-Ins], [PCE], [VBA] e [VSTA]

Manuale -> File di configurazione -> zenon6.ini -> Interfaccia di programmazione [Add-Ins], [PCE], [VBA] e [VSTA]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins

Inserimento

Descrizione

[AddIns]

Impostazione per l´Add-In Framework.

ON=

Add-In Framework

  • 0: off
  • 1: on

Default: 1

Requisito: Dev´essere attivato VBA.

PCE

Nota: PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Sie può continuare ad usare le impostazioni INI.

Raccomandazione: Usate zenon Logic invece di PCE.

Inserimento

Descrizione

[PCE]

Impostazioni per il Process Control Engine.

ON=

attivare PCE:

  • 0: off
  • 1: on

Requisito: Dev´essere attivato VBA.

VBA

Inserimento

Descrizione

[VBA]

Parametri per Visual Basic for Applications.

BREAK=

Attivazione della finestra di dialogo VBA in caso di errore con interrogazione per debug durante il runtime

  • 1: on (Default)
  • 0: off

EIN=

attivare VBA:

  • 0: off
    VBA non viene inizializzato e non viene caricato. In tal modo non possono essere visualizzati IDE e nessun wizard può essere eseguito.
    Anche VSTA viene disattivato.
    L´interfaccia COM, però, può essere inizializzata.
  • 1: on
    VBA viene inizializzato e caricato.

EVENT=

Attivare VBA Events (eventi):

  • 0: off
    Le macro VBA collegate non vengono eseguite.
    Gli eventi COM non vengono inizializzati.
  • 1: on
    Le macro VBA collegate vengono eseguite. Gli eventi COM vengono inizializzati.

UPDATE=

Ad ogni start dell´Editor, viene aperta la finestra di dialogo per effettuare l´update del wizard.

  • 0: off
  • 1: on

[VBA_TOOLBAR]

Assegnazione dei simboli nella barra degli strumenti macro a macro VBA.

VBABUTTON_x=

Assegnazione di macro a simboli nella lista delle macro. x è in questo caso una cifra compresa fra 0 e 4. Si può collegare un massimo di cinque macro ai simboli: VBABUTTON_0 A VBABUTTON_4.

Per esempio: VBAButton_2=ActivateStartupScreen

Raccomandazione: Configurazione tramite la barra degli strumenti Lista macro.

VSTA

Inserimento

Descrizione

[VSTA]

Parametri per VSTA.

CSHARP=

Selezione del linguaggio di programmazione VSTA per l´Editor:

  • 1: C# (Default)
  • 0: VB.NET

LOADED=

Carico dell´Add-in di VSTA:

  • 1: VSTA-Add-in per l´editor viene caricato al momento dell´avvio
  • 0: al momento dell´avvio dell´Editor, il sistema pone la domanda tramite un apposito dialogo, se il VSTA Add-in deve essere caricato.

Nota: nel caso in cui un Add-in errato conduce all´interruzione del funzionamento dell´Editors, l´inserimento viene settato automaticamente su 0.

ON=

attivare VSTA:

  • 1: VSTA attivo (default)
  • 0: Disattiva VSTA


Parametri per il Remote-Transport [SYS_REMOTE]

Manuale -> File di configurazione -> zenon6.ini -> Parametri per il Remote-Transport [SYS_REMOTE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYS_REMOTE]

gestione del parametro trasporto remoto in rete.

Per la configurazione del Diagnosis Server, si veda il capitolo:

Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM].

AUTORUN=

Nome e percorso del programma che viene avviato con lo zenSysSrv.

BROWSE=

Visualizzazione della finestra browser nel CE zenSysSrv:

  • 0: nessuna visualizzazione.
  • 1: Visualizza

Nota: La finestra non viene visualizzata ance se lo schermo è troppo piccolo.

CONFIG=

Stringa di configurazione per lo zenSysSrv . Trasporto Remoto e diagnosis system usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. Per i dettagli sulla configurazione, soprattutto a partire dalla versione 7, vedi capitolo: Diagnosis Server [SYS_REMOTE] und [LOGGING_SYSTEM].

La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: setta il tipo di comunicazione usato.
    Sono a disposizione TCP/IP e seriale.
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

INIT=

Definisce (sotto CE) che cosa accade al momento dell´avvio dell´interfaccia zeSysSrv:

  • 0: end
  • 1: start
  • [tutto il resto]: mostra solo l´interfaccia.


Password Trasporto Remoto [TRANSPASS]

Manuale -> File di configurazione -> zenon6.ini -> Password Trasporto Remoto [TRANSPASS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[TRANSPASS]

Password Trasporto Remoto (su stazione remota).

Nota: Configurazione del computer di sviluppo nel file proeject.ini, nella sezione Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS].

FIX=

La password viene:

  • 1: salvata
  • 0: non salvata

KEY=

Password per il Trasporto Remoto.

KEYCRYPT=

Password salvata in forma crittografata per il Trasporto Remoto.

Si usa solo se KEY= è vuoto.

Default a partire dalla versione 7.20. Il cambio avviene automaticamente sul sistema di origine al momento della conversione di un progetto nella versione 7.20. Sul sistema di destinazione, invece, il cambio deve avvenire manualmente.


Runtime [RT]

Manuale -> File di configurazione -> zenon6.ini -> Runtime [RT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RT]

Impostazioni per il Runtime

DRIVER_QUE=

Grandezza del queue di trasmissione nel Runtime

  • 0: illimitata

DRIVER_COUNT=

Impostazione TMP per Driver e Runtime. Tempo di ciclo del thread nel driver che invia dati al Runtime di zenon.

Per esempio: DRIVER_COUNT=100

DYNRAHMEN=

Stabilisce se una cornice viene visualizzata intorno agli elementi dinamici nel Runtime.

  • 0: non rappresentare
  • 1: rappresentare

RECT_ANZ=

Impostazione per misure di ottimizzazione.

Le aree nuove da rappresentare in un immagine sono raccolte in rettangoli e di seguito ridisegnate. Dopo aver raggiunto il valore fissato, le nuove aree sono aggiunte al primo rettangolo.

Per esempio: RECT_ANZ=50


SCADA Runtime Connector [ZRSCONNECTOR]

Manuale -> File di configurazione -> zenon6.ini -> SCADA Runtime Connector [ZRSCONNECTOR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[ZRSCONNECTOR] | Impostazione per lo SCADA Runtime Connector.
ENCRYPTION_PWD= | Password crittografata per lo SCADA Runtime Connector. Non ne è consentita la modifica qui! Le modifiche devono essere eseguite utilizzando lo zenon Startup Tool.


SYMBOLO [SYMBOL]

Manuale -> File di configurazione -> zenon6.ini -> SYMBOLO [SYMBOL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYMBOL]

SUBSTITUTE=

Sostituzione quando si inserisce un simbolo in un´immagine:

  • 1: Si usa la funzione Sostituisci.
  • 0: Nessuna sostituzione.

Default: 1

Nota: Ha degli effetti solo sugli elementi che sono collegati almeno con una variabile.


Simulatore [SIMULATOR]

Manuale -> File di configurazione -> zenon6.ini -> Simulatore [SIMULATOR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIMULATOR]

BACKUP=

Backup dei valori HD sul disco fisso:

  • 0: nessun backup.
  • 1: Backup sul disco fisso (default).

DIAG_LEVEL=

Stabilisce quali azioni vengono protocollate nel file di errore:

  • 0: nessun protocollo (Default)
  • 1: scrivi errore (settare valore impostabile)

DWBEGIN=

Start degli indirizzi variabile per DWORD.

DWEND=

Fine degli indirizzi variabile per DWORD.

FLOATBEGIN=

Start degli indirizzi variabile per FLOAT.

FLOATEND=

Fine degli indirizzi variabile per FLOAT.

MAXHDVALS=

Indica l´area massima di offset meno 1 per i dati HD Per le Stringhe HD l´offset dev´essere inferiore di 4 da questo valore.

Default: 1024

OFFSET=

Offset per le variabili di comando nel simulatore.

Default: 0


Terminal Server [TERMINAL]

Manuale -> File di configurazione -> zenon6.ini -> Terminal Server [TERMINAL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[TERMINAL]

Impostazioni per il Terminal Server

CLIENT=

Runtime sul Terminal Server.

Valori possibili:

  • 0: Il Runtime può essere avviato solo una volta per sessione Terminal Server. Un funzionamento sul Terminal Server non è possibile.
  • 1: si usa il Terminal Server. Il Runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono effettuate automaticamente dal Runtime.

Default: 0

CLIENT_NO_FILE_ALIGN=

Parametri per la sincronizzazione dei client con il server:

  • 0: I progetti vengono sempre ricaricati da tutti i client.
  • 1: aggiornamento selettivo attivo.
    Solo il client di zenon che viene avviato nella "console session" des terminal server, sincronizza i file Runtime con il server di zenon


Driver

Manuale -> File di configurazione -> zenon6.ini -> Driver

Impostazioni per i driver.

Ancora in questo capitolo

BrTcp32 [BrTcp32]

Sipa_32 [SIPA_32]

BrTcp32 [BrTcp32]

Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]


BrTcp32 [BrTcp32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> BrTcp32 [BrTcp32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[BrTcp32]

Impostazioni per il driver S7TCP32

LOGFILE=

Login esteso per il driver.

  • 1: Attiva lo speciale login esteso del driver. Visualizzazione degli inserimenti tramite il Diagnosis Viewer.
  • 0: no


Sipa_32 [SIPA_32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> Sipa_32 [SIPA_32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIPA_32]

Impostazioni per il driver Sipa_32.

NOT_USED=

Lista degli indirizzi hardware che non dovrebbero essere utilizzati nel progetto.

Esempio: NOT_USED=1,2,3,4

SIMUL=

Impostazioni per il modo simulazione hardware. In questa modalità, l´hardware verrà simulato nella memoria e non verrà trattata singolarmente ogni variabile (come nella modalità di simulazione).

  • 1: attivato
  • 0: disattivato


BrTcp32 [BrTcp32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> BrTcp32 [BrTcp32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[SNMP_NG_TRAP_SERVICE] | Parametri per il driver SNMPNG32
PollingInterval= | Intervallo polling del trap receipt service espresso in millisecondi. Default: 5000
PollingRetries= | Numero delle ripetizioni se un polling del trap receipt service non ha successo. Default: 2
PollingRetryTimeout= | Tempo di attesa fra le ripetizioni del polling del trap receipt service espresso in millisecondi. Default: 1000


Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[DEFAULT] | Impostazioni di default.
UPDATE_SEK = | Tempo ciclico di update del driver di sistema in secondi
[LOCAL_VAR] | Inserimenti per le variabile del driver di sistema.
ID_DWORD_1 = <Wert> ID_DWORD_2 = <Wert> ID_DWORD_3 = <Wert> ID_DWORD_4 = <Wert> | Questi inserimenti forniscono i valori per le variabili del driver di sistema Informazioni di sistema -> Variabile di sistema locale: DWORD1-4. Queste variabili sono pensate al fine di consentire l´identificazione di un unico calcolatore nella rete. Ciò significa che i valori vengono gestiti sempre localmente nel file zenon.ini. Per ognuna di queste variabili è possibile definire valori limite di default. Se non ci dovesse essere nessun inserimento nello zenon.ini, i valori di queste variabili vengono settati in zenon nel Runtime su 0.


zenProcGateway.ini

Manuale -> File di configurazione -> zenProcGateway.ini

[GENERAL]

Inserimento

Descrizione

[GENERAL]

Impostazioni generali per il Process Gateway, indipendentemente dal modulo prescelto.

DLL=

Selezione del file DLL da usare per il Process Gateway. Il file DLL selezionato determina la scelta del modulo.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll

Ancora in questo capitolo

AccessDEC [DEC]

DNP3 Slave [DNP3]

ICCP-TASE.2 [ICCP]

IEC870 Slave []

MODBUS Slave [MODBUS]

OPC UA Server [OPCUA]

Access SNMP [SNMP]

AccessSQL [DATABASE]

AccessAzure [Azure]


AccessDEC [DEC]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessDEC [DEC]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Il file di configurazione deve trovarsi nella cartella di sistema.

[DEC]

Inserimento | Descrizione
LOGFILE= | Nome del file LOG (se lo si desidera, per es. zenProcGateway.log)
PORT= | Numero di porta dove il Process Gateway attende tentativi di connessione.
TCPTIMEOUT= | Intervallo di timeout alla cui scadenza viene interrotta la connessione
REFRESHRATE= | Intervallo in millisecondi in cui il sistema verifica se ci sono modifiche dell'immagine di processo di zenon.


DNP3 Slave [DNP3]

Manuale -> File di configurazione -> zenProcGateway.ini -> DNP3 Slave [DNP3]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DNP3]

Inserimento

Descrizione

SERIAL=

comunicazione seriale (1) o comunicazione via TCP/IP (0)

COMPORT=

interfaccia seriale (COM1 = 0, COM2 = 1,...)

BAUD=

Baud rate dell'interfaccia seriale.

BYTESIZE=

Quantità dei bit di dato dell'interfaccia seriale.

PARITY=

Impostazioni di parità dell´interfaccia seriale
(0=nessuna,1=dispari,2=pari)

STOPBITS=

Numero dei bit di stop dell'interfaccia seriale
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

Indirizzo di collegamento per la sessione locale.

LINKADDRREM=

Indirizzo di collegamento per la sessione remota.

SELECTTIMEOUT=

Timeout in ms per Select before Operate.

Se non si riceve un comando OPERATE per la variabile corrispondente prima che scada questo timeout, viene interrotta automaticamente l´elaborazione della variabile stessa con un comando CANCEL.

Default: 50000 ms

PORT=

Porta per la comunicazione via TCP/IP

Default: 20000

TIME_USE_UTC=

Formato del time stamp:

  • 0= Ora locale
  • 1 = UTC

Default: 0

Obj1BinInput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags

Default: 1: packet format

Obj2BinInputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: without time

2: with absolute time

3: with relative time

Default: 3: with relative time

Obj10BinOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags
Default: 1: with flags

Obj11BinOutputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: status without time
2: status with time

Default: 1: status without time

Obj20Counter=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Default: 5: 32 bit without flag

Obj22CounterEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Default: 1: 32 bit with flag

Obj30AnalogInp=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Default: 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Default: 2: 16 bit with flag

Obj41AnalogOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Attiva o disattiva Unsolicited Responses:

  • 0 = non attiva
  • 1 = attiva

Default: non attiva (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Tempo in secondi per la comunicazione con il Master. Dopo lo scadere di questo intervallo di tempo, viene inizializzato il conteggio di un timeout.

Intervallo di input: da 1 a 60 s

Default: 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Numero di tentativi di stabilire la comunicazione con il Master.

Intervallo di input: 0 - 65535
(0 = numero infinito di tentativi).

Default: 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

[VARIABLES]

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

EVENT_%d

Gestione degli eventi: Gestione degli eventi per ogni variabile.
Appartiene sempre a una variabile: p.es. EVENT_0 appartiene a NAME_0

Valori:

  • DEFAULT
    La gestione degli eventi avviene come nel gruppo oggetti.
  • MOST_RECENT
    Mantiene solamente l´ultimo cambio di un evento di modifica binario.
  • SOE
    Crea una serie di eventi.

Default: Default

NAME_n

Nome della variabile con il numero n (0<=n<COUNT)

OBJECT_n

Tipo oggetto DNP3 della variabile con il numero n (0<=n<COUNT)

POINT_n

Numero del dato DNP3 della variabile con il numero n (0<=n<COUNT)

ROUTING_n

Command Routing per variabili di tipo Binary Output con il numero n(0<=n<COUNT)

  • 1:
    Command Routing per variabile è attivato.
  • 0:
    Command Routing per variabile è disattivato.


ICCP-TASE.2 [ICCP]

Manuale -> File di configurazione -> zenProcGateway.ini -> ICCP-TASE.2 [ICCP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ICCP]

Inserimento

Descrizione

SERVER_PORT=

Numero della porta IP del server; la porta consente la connessione di client remoti

La porta viene aperta al momento dello start e rimane aperta.

Default: 102

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MAX_CONNECTIONS=

Numero massimo di connessioni di client ICCP remoti con il server. Viene ignorato se è stato configurato CLIENT_AUTO_CONNECT=1.

Default: 0 (= illimitato)

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MAJOR_VERSION_NUMBER=

Numero di versione principale del protocollo ICCP, per es.: 1996, 2000.

Default: 2000

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MINOR_VERSION_NUMBER=

Numero di sotto-versione del protocollo ICCP.

Default: 8

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

BILATERAL_TABLE_ID=

Identificazione tabella bilaterale. Viene analizzata e confrontata quando viene stabilita una connessione fra tutti i partner coinvolti nella comunicazione ICCP.

Nota: l´identificazione bilaterale univoca della tabella deve essere la stessa su tutti i dispositivi che comunicano con ICCP-TASE.2 Process Gateway .

LOCAL_DOMAIN_NAME=

Nome di dominio ICCP locale; impostazione per il server; deve essere impostata in modo speculare rispetto al partner della comunicazione.

REMOTE_DOMAIN_NAME=

Nome di dominio ICCP remoto; impostazione per il client; deve essere impostata in modo speculare rispetto al partner della comunicazione.

CLIENT_AUTO_CONNECT=

Configurazione che stabilisce se il client inizializza automaticamente una connessione con il server ICCP al momento dell´avvio del Process Gateway.

0: non inizializzare - solo attendere.

1: inizializzare.

CLIENT_IP_NAME=

Indirizzo IP o nome host del server remoto se questo client deve inizializzare la comunicazione.

CLIENT_PORT=

Numero di porta del server remoto se questo client deve inizializzare la comunicazione.

CHECK_SERVER_Variables=

Verifica se tutte le variabili configurate sono disponibili sul server remoto.

0: nessuna verifica dei nomi variabile configurati.

1: verifica dei nomi variabile configurati.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Bit di stato per variabili client non esistenti sul server (con verifica attiva delle variabili configurate´).

0: nessun bit di stato per variabili client mancanti.

Da 1 a 8: bit di stato utente da M1 a M8.

SERVER_STATE_VARIABLE=

Nome della variabile per la visualizzazione dello stato della connessione fra server ICCP e client remoto.

CLIENT_STATE_VARIABLE=

Nome della variabile per la visualizzazione dello stato della connessione fra client ICCP e server remoto.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Nome della variabile per la visualizzazione dei nomi variabili (nel Runtime di zenon) che non sono disponibili sul server remoto per la corrente connessione client.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

Parametri di comunicazione OSI

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

[VARIABLES]

Gruppo dei riferimenti configurati fra variabili di zenon e variabili ICCP. È elencato quanto segue:

  • Parametri di ogni variabile ICCP
  • Numero delle variabili.
  • Nomi della variabili.
Inserimento | Descrizione
PARAM_0= | Parametri per nome ICCP. La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del nome variabile. PARAM_0 corrisponde a NAME_0. Esempio: PARAM_0=1,0,0,ICCP_Name
COUNT= | Numero dei riferimenti configurati
NAME_0= | Nome delle variabili di zenon. La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del parametro. PARAM_0 corrisponde a NAME_0. Esempio: NAME_0=MyName


IEC870 Slave []

Manuale -> File di configurazione -> zenProcGateway.ini -> IEC870 Slave []

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


MODBUS Slave [MODBUS]

Manuale -> File di configurazione -> zenProcGateway.ini -> MODBUS Slave [MODBUS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[MODBUS]

Inserimento | Descrizione
COMPORT= | Interfaccia seriale (COM1 = 0, COM2 = 1,...). Può essere impostata usando il dialogo di configurazione.
BAUD= | Baud rate della porta seriale Può essere impostata usando il dialogo di configurazione.
BYTESIZE= | Quantità dei bit di dati dell'interfaccia seriale
PARITY= | Impostazioni di parità dell'interfaccia seriale: 0=No 1=Odd 2=Even Può essere impostata usando il dialogo di configurazione.
STOPBITS= | Quantità dei bit di stop dell'interfaccia seriale 0=1 1=1.5 2=2 Può essere impostata usando il dialogo di configurazione.
TIMEOUT= | Intervallo di timeout in millisecondi per la comunicazione seriale.
HWADDRESS= | Indirizzo hardware del sistema MODBUS. Default: 1 Può essere impostata usando il dialogo di configurazione.
REFRESHRATE= | Tempo di update in millisecondi.
SERIELL= | Comunicazione seriale o TCP/IP: 1 = seriale 0 = TCP/IP Può essere impostata usando il dialogo di configurazione.
PORT= | Porta TCP/IP
TCPTIMEOUT= | Intervallo di timeout TCP/IP in secondi.

[MODBUS VARIABLES]

Variabili che devono essere sostituite in AccessMODBUS.

Nota: a partire da zenon 7.11, questo inserimento sostituisce quello originario [VARIABLES]. Questo impedisce che per le variabili del progetto standard venga eseguita una sostituzione inutile tramite l´opzione Logicper connessione SCADA.

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

OFFSET_n

Indirizzo Modbus assegnato al numero corrispondente (n). La numerazione inizia da 0.

NAME_n

Nome della variabile assegnata al numero corrispondente (n). La numerazione inizia da 0.

Esempi:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variabile dal progetto di partenza.
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variabile dal progetto "BASISTUTORIAL"


OPC UA Server [OPCUA]

Manuale -> File di configurazione -> zenProcGateway.ini -> OPC UA Server [OPCUA]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[OPCUA]

Inserimento

Descrizione

SERVER_NAME=

Nome del server OPC UA con il quale il Gateway stabilisce una connessione.

SERVER_PORT=

Porta per la comunicazione con il server OPC UA.

Default: 4841

CERTIFICATES_PATH=

percorso della cartella radice con i file di certificato e le relative sotto-cartelle.

Default: %ProgramData%\PKI\CA\

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_CERTIFICATE_LOCATION=

URI del file con la chiave pubblica del server. Il percorso è sempre indicato come percorso assoluto. Questa chiave pubblica viene usata dal client per crittografare i messaggi.

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_PRIVATE_KEY_LOCATION=

URI del file con la chiave privata del server. Il percorso è sempre indicato come percorso assoluto. Questa chiave privata viene usata dal server per decifrare i messaggi del client.

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

ARCHIVE_NAME=

nome di un archivio per dati storici configurato in zenon. Solo un archivio di uno dei progetti può essere selezionato a Runtime.

ONLY_SECURE_CONNECTIONS=

Selezione del tipo di connessione (protetta o non protetta) consentito quando si stabilisce una determinata connessione.

  • TRUE
    Una connessione con il server deve essere sempre protetta.
  • FALSE
    È possibile anche una connessione non protetta con il server.

Default: TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Selezione del tipo di certificati (certificati client o server) consentito per una determinata connessione.

  • TRUE
    Tutti i certificati client vengono accettati, la connessione viene stabilita.
  • FALSE
    Tutti i client che si vogliono connettere al server devono trasmettere un certificato valido. Il sistema verifica anche se questo certificato si trova nella lista dei certificati digitali conosciuti (Certificate trust list path).

Default: TRUE

USE_USER_AUTHENTICATION=

Definizione se, al momento della registrazione sul server, deve essere utilizzata la gestione user del progetto attuale di zenon per l´identificazione.

  • TRUE
    I client possono registrarsi sul server solo con identificazione utente e password valide.
    Nota: a questo scopo, deve essere progettata e attivata la Gestione user nell´Editor di zenon.
  • FALSE
    È possibile un Login anonimo.

Default: FALSE

CONFIGURATION_VERSION=2

Nota relativa al versionamento.

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il OPC UA Gateway.

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Numero delle Subscriptions pro Session. Si può impostare questo numero che deve essere compreso fra un minimo di 1 e un massimo di 100 Subscriptions.

Default: 10

[Variables]

Inserimento | Descrizione
PROJECT_x= | Nome del progetto da cui derivano le variabili. x rappresenta qui la numerazione all´interno di un progetto, a cominciare da 0. Esempio: PROJECT_0=TEST
PARAM_x= | Parametri per il progetto x. La numerazione parte da 0 ed è crescente. Esempio: PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Numero delle variabili configurate.
NAME_x= | nome della variabile. x rappresenta qui il numero del progetto, a cominciare da 0. Esempio: NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = costante per Namespace Index

viene predefinito/attribuito in modo fisso dal sistema e non deve essere cambiato.


Access SNMP [SNMP]

Manuale -> File di configurazione -> zenProcGateway.ini -> Access SNMP [SNMP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessSQL [DATABASE]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessSQL [DATABASE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessAzure [Azure]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessAzure [Azure]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[Azure]

Inserimento | Descrizione
INTEGRITYPERIOD= | Intervallo in secondi del ciclo di scrittura.
PROXY_DOMAIN= | Indirizzo del server proxy.
PROXY_USER= | Nome utente da usare per la registrazione sul server proxy.
PROXY_PWD= | Password da usare per la registrazione sul server proxy. Nota: la password viene visualizzata anche nel file .INI in forma crittografata.

Nota: Una condizione perché le impostazioni proxy funzionino, è che sul computer sia installato .NET 4.5.

[VARIABLES]

Inserimento

Descrizione

Name_n=

Nome della variabile per il Process Gateway.
Formato: SOURCEPROJECT#SOURCEVARIABLE..

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 variabile dà come risultato n = 0
  • Con 3 variabili si ha, per il terzo inserimento, n = 2

Count=

Numero delle variabili.

Nota: in questo caso la numerazione inizia da 1. Otto connessioni danno come risultato Count=8.

[CONNECTIONS]

Inserimento

Descrizione

CONN_n=

Nome della connessione MS Azure.

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 connessione dà come risultato n = 0
  • Con 3 connessioni si ha, per il terzo inserimento, n = 2

QUEUE_n=

Nome della coda MS Azure.

Per la numerazione (_n) valgono le stesse regole che si applicano a CONN

COUNT=

Numero delle connessioni MS Azure configurate.

Nota: in questo caso la numerazione inizia da 1. Due connessioni danno come risultato Count=2.


zenWebSrv.ini

Manuale -> File di configurazione -> zenWebSrv.ini

Impostazioni per il zenon Web Server.

Parametro

Descrizione

[DEFAULT]

Impostazioni di base.

INIT=

Impostazioni per l´attivazione dello zenon Web Server .

Impostazioni diverse da 0: il Webserver è stato avviato dal pannello di controllo.

USE_HTTP_PROXY=

Stabilisce se la connessione avviene via TCP o HTTP.

  • 0: si usa TCP.
  • Non 0: viene usato HTTP Tunnelling.

Il valore può essere settato direttamente tramite il Dialogo di configurazione del Webserver

[PROXY]

Scambio dati fra lo zenon Web Server e il pannello di controllo.

REMOVE_CLIENT

Questo inserimento segnala allo zenon Webserver quando nel pannello di controllo viene rimosso un client registrato.

MAX_CLIENT

Numero massimo di client (dipende dal tipo di licenza).

AKT_CLIENT

Numero attuale dei client registrati.

SERIAL7=

Numero di serie dello zenon Webserver.

ACTIVATIONKEY7=

Numero di attivazione crittografato dello zenon Webserver

LICENCEINFO

Informazione sulla licenza come viene visualizzata nel pannello di controllo:

  • Demo Web Server Pro
  • Demo Web Server
  • Runtime Web Server Pro
  • Runtime Web Server

[CLIENTLIST]

Lista dei client registrati.

NAME_[Indice 00 in sù]

Nome dei client registrati.

Nota: gli inserimenti in [PROXY] e [CLIENTLIST] vengono cancellati quando si avvia lo zenon Web Server. Se il servizio riceve un comando di gestione dal pannello di controllo, gli inserimenti vengono (a seconda della necessità) scritti o letti.

info Info

Lo zenWebSrv.ini si trova nel percorso %cd_system%.


Funzioni e script

Manuale -> Funzioni e script

Le azioni degli utenti in zenon vengono realizzate tramite funzioni di progetto definite dall'utente. Gli script consentono di mettere insieme più funzioni definite dall´utente e di eseguirle a Runtime in una determinata successione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Funzioni

Script

Finestra di dialogo: selezione funzioni e script


Funzioni

Manuale -> Funzioni e script -> Funzioni

Tutte le funzioni utilizzate in un progetto sono basate sulle esistenti funzioni di sistema. Si tratta di macro predefinite che possono essere utilizzate e parametrizzate dal progettista in modo semplice.

Le funzioni vengono progettate o selezionate tramite:

  • Il nodo Funzioni del Manager di progetto.
  • La finestra di dialogo “Seleziona funzioni e script”.

Ancora in questo capitolo

Menù contestuali e barra degli strumenti

Panoramica sulle funzioni in zenon

Configurazione nell'Editor

Funzioni di sistema

Funzioni in rete

Ordine di esecuzione a Runtime


Menù contestuali e barra degli strumenti

Manuale -> Funzioni e script -> Funzioni -> Menù contestuali e barra degli strumenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Manager di progetto

Voce di menù | Azione
Nuova funzione | Apre una finestra contenente una selezione di funzioni che consente di creare una nuova funzione.
Visualizza funzioni non utilizzate | Esegue un´analisi di progetto che rileva le funzioni non utilizzate nel progetto attuale, e ne visualizza gli esiti in una lista di risultati aperta in una finestra apposita.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML.
Apri in una nuova finestra... | Apre una finestra propria che visualizza le funzioni e ne consente la modifica. L´impostazione di default prevede che la finestra venga visualizzata sul bordo inferiore dell´Editor. È però possibile spostarla nella posizione desiderata.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Visualizzazione dettagli

Barra degli strumenti e menù contestuale

Voce di menù | Azione
Nuova funzione | Apre la finestra di dialogo che consente di creare una nuova funzione.
Parametri | Apre la finestra di dialogo che consente di impostare i parametri della funzione.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML.
Utilizzo funzioni... | Esegue un´analisi relativa alla funzione selezionata all´intero del progetto attuale, e ne visualizza gli esiti in una lista risultati aperta in una finestra apposita.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Panoramica sulle funzioni in zenon

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni sono divise nei seguenti gruppi:

  • Allarmi ed eventi
  • Applicazione
  • Archiviazione
  • Batch Control
  • Password (Gestione user)
  • Immagini
  • Localizzazione errore nelle reti elettriche
  • Message Control
  • Rete
  • Generatore Report / Report Viewer / Analyzer
  • Ricette
  • Sequenze di comando
    Nota: visibile solamente se si dispone di una licenza valida per la Energy Edition.
  • Script
  • Variabile
  • VBA
  • VSTA
  • Windows

Ancora in questo capitolo

Preferiti

Allarmi ed eventi

Applicazione

Archiviazione

Batch Control

Password (Gestione utenti)

Immagini

Localizzazione errore nelle reti elettriche

Message Control

Rete

Generatore Report / Report Viewer / Analyzer

Ricette

Sequenze di comando

Script

Variabile

VBA

VSTA

Windows


Preferiti

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Preferiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene le funzioni che sono state definite come favoriti.

Per aggiungere funzioni a questo gruppo, procedere come segue:

  • Trascinare via Drag & Drop le funzioni desiderate in questo gruppo; così sarà possibile accedervi in modo più rapido e semplice.


Allarmi ed eventi

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Allarmi ed eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni che servono a gestire la “Lista di informazioni allarmi” (AML) e la “Lista eventi cronologica” (CEL).

Funzione

Descrizione

Ripristina lampeggio allarmi

Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta correntemente di un modello selezionato.

Ulteriori dettagli nel capitolo: Ripristinare il lampeggio allarmi

Conferma il riconoscimento d'allarme

Questa funzione cancella allarmi filtrati.

Ulteriori dettagli nel capitolo: Conferma il riconoscimento d'allarme

Ripristina allarmi

Questa funzione ripristina allarmi filtrati.

Ulteriori dettagli nel capitolo:Ripristina allarmi

Collegare/scollegare gruppo allarmi/eventi

Questa funzione attiva o disattiva il collegamento con il PLC per un gruppo di allarmi/eventi selezionato.

Ulteriori dettagli nel capitolo:Collegare/scollegare gruppo allarmi/eventi

Attiva allarmi

Questa funzione attiva l´intera “Lista di informazioni allarmi”.

Ulteriori dettagli nel capitolo:Attiva allarmi

Attiva/disattiva allarmi

Questa funzione attiva o disattiva l´intera “Lista di informazione allarmi”.

Ulteriori dettagli nel capitolo:Attiva/disattiva allarmi

Disattiva allarmi

Questa funzione disattiva l´intera “Lista di informazione allarmi”.

Ulteriori dettagli nel capitolo:Disattiva allarmi

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Questa funzione attiva o disattiva un gruppo di allarmi/eventi, una classe di allarmi/eventi, oppure l´intera “Lista di informazione allarmi”.

Ulteriori dettagli nel capitolo:Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Esporta allarmi

Questa funzione esporta inserimenti filtrati della “Lista di informazione allarmi” in un formato esterno.

Ulteriori dettagli nel capitolo:Esporta allarmi

Salva buffer AML-CEL

Questa funzione salva gli allarmi attivi al momento e gli eventi nei file ALARM.BIN e CEL.BIN, e valori di variabili matematiche (contatori) nel file SY_MA32.BIN.

Ulteriori dettagli nel capitolo:Salva buffer AML-CEL

Esporta: lista CEL

Questa funzione esporta inserimenti filtrati della “Lista eventi cronologica” (CEL) in un formato esterno.

Ulteriori dettagli nel capitolo:Esporta: lista CEL

Stampa lista allarmi o CEL

Questa funzione stampa inserimenti filtrati della “Lista di informazioni allarmi” (AML) o della “Lista eventi cronologica” (CEL).

Ulteriori dettagli nel capitolo:Stampa lista allarmi o CEL

Crea/stampa documento IPA

Questa funzione genera un'analisi IPA e la scrive in un file HTML, oppure la stampa.

Ulteriori dettagli nel capitolo:Crea/stampa documento IPA

Stampa online on/off

Questa funzione attiva o disattiva la stampa online della “Lista di informazione allarmi” o della “Lista eventi cronologica” (CEL).

Ulteriori dettagli nel capitolo:Stampa online on/off

Inizia una nuova pagina per la stampa online

Questa funzione termina una pagina e ne comincia una nuova a stampa online attiva. Il numero di pagina viene riportato a 1.

Ulteriori dettagli nel capitolo:Inizia una nuova pagina per la stampa online

Cambio stampante online

Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile prevedere che prima dell´esecuzione della funzione si apra una finestra di dialogo per consentire interazioni dell'utente.

Ulteriori dettagli nel capitolo:Cambio stampante online


Applicazione

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Applicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per gestire e utilizzare le impostazioni di progetto.

Funzione

Descrizione

Selezionare stampante

Questa funzione apre una finestra di dialogo in cui l'utente può selezionare le stampanti per eseguire le diverse operazioni di stampa.

Ulteriori dettagli nel capitolo:Selezionare stampante

Stampa diagramma Trend esteso

Con questa funzione, si possono stampare diagrammi del modulo Trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza dover aprire l´immagine dl tipo Trend esteso.

Ulteriori dettagli nel capitolo:Stampa diagramma Trend esteso

Cambia tavolozza colori

Crea una funzione che a Runtime consente di passare da una tavolozza di colori all´altra.

Ulteriori dettagli nel capitolo:Cambia tavolozza colori

Gestione funzioni ON

Questa funzione attiva la gestione funzioni. Le funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), vengono eseguite.

Ulteriori dettagli nel capitolo:Gestione funzioni ON

Funzioni: Disattiva/Attiva

Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), (non) vengono eseguite.

Ulteriori dettagli nel capitolo:Funzioni: Disattiva/Attiva

Gestione funzioni OFF

Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), non vengono eseguite.

Ulteriori dettagli nel capitolo:Gestione funzioni OFF

Apri Guida

Questa funzione apre una pagina selezionata della guida da un file CHM.

Ulteriori dettagli nel capitolo:Apri Guida

Avvio Load Management

Mediante questa funzione viene avviato il processo di ottimizzazione per un´area selezionata di fornitura nel modulo Load Management. Questa funzione viene eseguita solamente sul server.
Ulteriori dettagli nel capitolo:: Avvio Load Management

Termine Load Management

Mediante questa funzione viene fermato il processo di ottimizzazione per un´area selezionata di fornitura nel modulo EMS. Questa funzione viene eseguita solamente sul server.

Ulteriori dettagli nel capitolo:: Termine Load Management

Visualizza informazioni di licenza

Mediante questa funzione viene visualizzata una finestra di dialogo che mostra informazioni relative alla versione e alla licenza.

Ulteriori dettagli nel capitolo:: Visualizza informazioni di licenza

Aggiorna progetto Runtime

Questa funzione carica solamente i file Runtime modificati, o tutti i file Runtime.

Ulteriori dettagli nel capitolo:Aggiorna progetto Runtime

Determinazione manutenzioni in corso

Questa funzione visualizza come variabili di stato le operazioni di manutenzione da eseguite, filtrate dall'IMM.

Ulteriori dettagli nel capitolo:Determinazione manutenzioni in corso

Simulazione on/off

Questa funzione esegue il passaggio fra la modalità di simulazione e la modalità hardware. Si può selezionare il tipo di modalità di simulazione o di modalità hardware.

Inoltre, la simulazione può essere avviata in modalità di riproduzione per il modulo Process Recorder.

Ulteriori dettagli nel capitolo:Attiva/Disattiva progetto di simulazione

Attiva evento PFS

Questa funzione esegue un evento PFS creato in precedenza dall'utente.

Ulteriori dettagli nel capitolo:Attiva evento PFS

Attiva/disattiva riproduzione Process-Recorder

Questa funzione attiva/disattiva la modalità di riproduzione del modulo Process Recorder.

Ulteriori dettagli nel capitolo:Process Recorder attiva/disattiva riproduzione

Simula right click

Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro.

Ulteriori dettagli nel capitolo:Simula right click

Salvataggio dati ritentivi

Consente di salvare i dati per i moduli configurati.

Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.

Ulteriori dettagli nel capitolo:Salvataggio dati ritentivi

Esci dal programma

Questa funzione chiude il Runtime di zenon.

Ulteriori dettagli nel capitolo:Esci dal programma

Valutazione euristica S7-Graph

Questa funzione consente di eseguire un´analisi euristica S7-Graph senza che l´immagine di tipo S7-Graph debba essere attiva.

Ulteriori dettagli nel capitolo:Valutazione euristica S7-Graph

Esegui funzione SAP

Consente di attivare una funzione SAP a Runtime.

Ulteriori dettagli nel capitolo:Esegui funzione SAP

Cambio lingua

Nei progetti in più lingue, eseguendo questa funzione si passa ad una lingua selezionata.

Ulteriori dettagli nel capitolo:Cambio lingua

Topologia - Ricerca cortocircuito

Chiamata della ricerca cortocircuito.

Ulteriori dettagli nel capitolo:Topologia - Ricerca cortocircuito

Topologia - Verifica collegamenti

Rileva lo stato di approvvigionamento di consumatori topologici e lo visualizza mediante variabili.

Ulteriori dettagli nel capitolo:Topologia - LoadShedding


Archiviazione

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per la gestione del modulo opzionale Archiviazione.

Funzione | Descrizione
Termina archivio | Questa funzione chiude un archivio selezionato del modulo opzionale “Archiviazione”. Ulteriori dettagli nel capitolo:Termina archivio
Indicizza file d'archivio | Questa funzione consente di indicizzare archivi. Ulteriori dettagli nel capitolo:Indicizza file d'archivio
Avvio archivio | Questa funzione avvia un archivio selezionato del modulo opzionale “Archiviazione”. Ulteriori dettagli nel capitolo:Avvio archivio
Esporta archivio | Questa funzione esporta inserimenti archivio filtrati del modulo opzionale “Archiviazione” in un formato esterno. Ulteriori dettagli nel capitolo:Esporta archivio
Mostra archivi attivi | Questa funzione visualizza una lista degli archivi attivi del modulo opzionale “Archiviazione”. Ulteriori dettagli nel capitolo:Mostra archivi attivi


Batch Control

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per il Batch Control.

Funzione | Descrizione
Esporta ricette Batch | Con questa funzione si possono esportare ricette come file XML. Ulteriori dettagli nel capitolo: Esporta ricette Batch
Importa ricette Batch | Con questa funzione si possono importare ricette da un file XML. Ulteriori dettagli nel capitolo: Importa ricette Batch
Comandi ricetta-/esecuzione cambio modalità | Questa funzione consente di inviare comandi di gestione all´esecuzione Batch. Ulteriori dettagli nel capitolo:Comandi ricetta/cambio modalità
Produci ricetta di controllo | Con questa funzione si può creare nel Runtime facendo uso di un pulsante una ricetta di controllo predefinita nell´Editor, Ulteriori dettagli nel capitolo:Produci ricetta di controllo


Password (Gestione utenti)

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Password (Gestione utenti)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per la Gestione utenti.

Funzione | Descrizione
Modifica utente | Questa funzione apre una finestra di dialogo in cui un amministratore loggato può creare, modificare o cancellare utenti e gruppi utenti. Ulteriori dettagli nel capitolo:Modifica utente
Login con dialogo | Questa funzione apre il dialogo di login standard. Ulteriori dettagli nel capitolo:Login con dialogo
Login senza password | Questa funzione esegue il login di un utente selezionato senza richiedere la sua password. Ulteriori dettagli nel capitolo:Login senza password
Esegui logout | Questa funzione esegue il logout dell´utente attualmente loggato. Ulteriori dettagli nel capitolo:Esegui logout
Modifica password | Questa funzione apre una finestra di dialogo in cui l'utente attualmente loggato può modificare la sua password. Ulteriori dettagli nel capitolo:Modifica Password


Immagini

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per la gestione di immagini.

Funzione

Descrizione

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC per il rilevamento errori in reti elettriche.

Ulteriori dettagli nel capitolo:Colori sorgente ALC

Cambio immagine con variabile

Questa funzione apre un'immagine il cui nome contiene una variabile selezionata.

Ulteriori dettagli nel capitolo:Cambio immagine con variabile

Chiudi immagine

Questa funzione chiude un'immagine selezionata.

Ulteriori dettagli nel capitolo:Chiudi immagine

Immagine indietro

Questa funzione torna all'immagine precedentemente aperta del modello selezionato.

Ulteriori dettagli nel capitolo:Immagine indietro

Cancella percorso per "Immagine indietro"

Con questa funzione si può cancellare a Runtime il percorso della funzione Immagine indietro.

Ulteriori dettagli nel capitolo:Cancella percorso per "Immagine indietro"

Spostare il centro dell'immagine

Questa funzione scrolla o zooma in un'immagine globale.

Ulteriori dettagli nel capitolo:Spostare il centro dell'immagine

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile prevedere che prima dell´esecuzione della funzione si apra una finestra di dialogo per consentire interazioni dell'utente.

Nota: senza dialogo, la funzione viene eseguita con il massimo grado di priorità (1). Se, prima dell´esecuzione, viene aperta una finestra di dialogo, il grado di priorità viene abbassato a High (2).

Ulteriori dettagli nel capitolo:Cambio immagine

Focus: esegui funzione elemento

Questa funzione attiva la funzionalità dell'elemento che ha lo stato attivo per l'input.

Ulteriori dettagli nel capitolo:Focus: esegui funzione elemento

Attiva focus sul modello

Questa funzione setta lo stato attivo per l'input sull'immagine aperta correntemente di un modello selezionato. Questo consente di realizzare progetti che possono essere gestiti con la sola tastiera.

Ulteriori dettagli nel capitolo:Attiva focus sul modello

Imposta focus

Questa funzione setta lo stato attivo per l'input su un elemento determinato in un'immagine, il cui modello ha il focus.

Ulteriori dettagli nel capitolo:Imposta focus

Elimina focus dal modello

Questa funzione rimuove lo stato attivo per l'input dall'immagine aperta correntemente di un modello selezionato. Questo consente di realizzare progetti che possono essere gestiti con la sola tastiera.

Ulteriori dettagli nel capitolo:Elimina focus dal modello

Visualizza menu

Questa funzione apre o chiude un menù principale selezionato. Se si vuole, è possibile prevedere che prima dell´esecuzione della funzione si apra una finestra di dialogo per consentire interazioni dell'utente.

Ulteriori dettagli nel capitolo:Visualizza menù

Assegna monitor

Questa funzione attribuisce ad un determinato monitor virtuale il monitor reale selezionato. Se si vuole, è possibile prevedere che prima dell´esecuzione della funzione si apra una finestra di dialogo per consentire interazioni dell'utente.

Ulteriori dettagli nel capitolo:Assegna monitor

Profilo Runtime

Crea una funzione con la quale si può aprire a Runtime la gestione profili, si può creare un profilo o se ne può caricare uno esistente.

Ulteriori dettagli nel capitolo:Profilo Runtime

Porta modello in primo piano

Eseguendo questa funzione a Runtime, si possono portare in primo piano delle immagini che sono coperte da altre.

Ulteriori dettagli nel capitolo:Porta modello in primo piano

Chiudi modello

Questa funzione chiude l'immagine correntemente aperta di un modello selezionato.

Ulteriori dettagli nel capitolo:Chiudi modello

Stampa screenshot

Quando viene eseguita a Runtime, questa funzione stampa uno screenshot dell´intero monitor, oppure di modelli.

Ulteriori dettagli nel capitolo:Stampa screenshot

Valore impostabile predefinito per immagine Keyboard

Con questa funzione si imposta un valore predefinito, oppure si setta un valore predefinito nell´immagine di tipo “keyboard”.

Ulteriori dettagli nel capitolo:Valore impostabile predefinito per immagine Keyboard

Visualizza finestra di controllo

Questa funzione apre una finestra panoramica. In questo modo si può simulare un sistema multi-monitor su un sistema a un solo monitor.

Ulteriori dettagli nel capitolo:Visualizza finestra di controllo


Localizzazione errore nelle reti elettriche

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Localizzazione errore nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contiene funzioni da utilizzare per la localizzazione errori nelle reti elettriche.

Funzione | Descrizione
Riconosci guasto messa a terra | Funzione che consente di ripristinare un guasto messa a terra. Apre la finestra di dialogo che consente di selezionare una variabile. Ulteriori dettagli nel capitolo:Riconosci guasto messa a terra
Termina ricerca messa a terra | Funzione per terminare la ricerca di messa a terra. Ulteriori dettagli nel capitolo:Termina ricerca messa a terra
Avvia ricerca messa a terra | Funzione per iniziare la ricerca di messa a terra. Ulteriori dettagli nel capitolo:Avvia ricerca messa a terra
Riconosci guasto messa a terra | Funzione che consente di ripristinare una segnalazione di corto circuito. Apre la finestra di dialogo che consente di selezionare una variabile. Ulteriori dettagli nel capitolo:Riconoscimento breve messaggio


Message Control

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni da utilizzare per eseguire operazioni con il modulo Message Control.

Funzione | Descrizione
Salva coda d'attesa corrente | Con questa funzione si salva a Runtime la coda messaggi corrente. Ulteriori dettagli nel capitolo:Salva coda d'attesa corrente
Sopprimi Gruppi/Classi/Aree/Strutture | Consente di sopprimere l´invio di messaggi per determinati allarmi. Ulteriori dettagli nel capitolo:Sopprimi Gruppi/Classi/Aree/Strutture
Invia messaggio | Imposta una funzione per l´invio di messaggi. Ulteriori dettagli nel capitolo:Invia messaggio
Attiva invio messaggio | Attiva il modulo Message Control a Runtime per il progetto attivo. Ulteriori dettagli nel capitolo:Attiva invio messaggio
Disattiva invio messaggio | Disattiva il modulo Message Control a Runtime per il progetto attivo. Ulteriori dettagli nel capitolo:Disattiva invio messaggio


Rete

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni da utilizzare per gestire la rete.

Funzione

Descrizione

Autorizzazione di rete

Questa funzione acquisisce o rilascia l´autorizzazione operativa in rete.

Ulteriori dettagli nel capitolo:Autorizzazione di rete

Cambio ridondanza

Questa funzione esegue il cambio fra server primario e Server-Standby del progetto.

La finestra di dialogo di configurazione presenta alcune piccole differenze a seconda del tipo di Tipo di ridondanza selezionato:

  • Ponderata
  • Non dominante

Nota: se è stata configurata la Tipo di ridondanza “dominante”, non è necessaria nessuna ulteriore configurazione.

Nota: non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata a zenon Operator, nel capitolo CE Terminal come data server.

Ulteriori dettagli nel capitolo:Cambio ridondanza


Generatore Report / Report Viewer / Analyzer

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per:

  • Generatore Report
  • Report Viewer
  • zenon Analyzer
Funzione | Descrizione
Analyzer: crea report | La creazione di report causata da eventi consente di usare un evento (per es. un cambio di valore) come trigger per la creazione e l´invio di un report nel prodotto zenon Analyzer di COPA-DATA. Ulteriori dettagli nel capitolo:zenon Analyzer
Report Generator: esegui report | Questa funzione esegue un rapporto selezionato del modulo opzionale “Generatore di rapporti”. Ulteriori dettagli nel capitolo:Esegui report
Report Generator: stampa | Questa funzione stampa un rapporto selezionato del modulo opzionale “Generatore di rapporti”. Ulteriori dettagli nel capitolo:Stampa report
Report Generator: esporta | Questa funzione esporta un rapporto selezionato del modulo opzionale “Generatore di rapporti” in un formato esterno. Ulteriori dettagli nel capitolo:Esporta report
Report Viewer: esporta/stampa | Consente di stampare report a Runtime in formato PDF, oppure come stampa online. Ulteriori dettagli nel capitolo:Funzione esporta o stampa report:

attention Attenzione

La visualizzazione dei report visualizzati con lo zenon Report Viewer dipende dalle impostazioni relative alle dimensioni del carattere Windows.
Questo significa che, in caso caso di modifica della dimensione, i report non vengono scalati tramite il meccanismo di zenon di adeguamento automatico dello schermo. Il contenuto non viene adeguato.

Ancora in questo capitolo

zenon Analyzer


zenon Analyzer

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione funzioni che facilitano lo scambio di dati con lo zenon Analyzer di COPA-DATA.

Creazione di report causata da eventi.

Tramite il meccanismo di creazione di report causata da eventi, un evento (come, ad es., un cambio di valore) può essere usato come evento trigger per la creazione e per l´invio di un report.Questi report possono essere creati tramite una funzione di zenon.

Ancora in questo capitolo

Creazione di report Analyzer mediante una funzione di zenon

Generale

Lista parametri

Impostazioni avanzate per connessione sicura

Configurazione dei valori


Creazione di report Analyzer mediante una funzione di zenon

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Creazione di report Analyzer mediante una funzione di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creazione di report Analyzer mediante una funzione di zenon

Requisiti

Per poter creare un report per lo zenon Analyzer causato da eventi mediante la funzione di zenon Analyzer: Crea report, devono essere soddisfatti i seguenti requisiti:

  • Versione 7.20 di zenon oppure una versione più recente.
  • Connessione con diritti corrispondenti ad un server Analyzer della versione 2, oppure più recente.
  • Analyzer Server Wrapper deve essere installato. L´installazione è eseguita per mezzo di un proprio punto di selezione nel setup di zenon.
  • Il Runtime e l´Editor devono essere riavviati dopo l´installazione dell´Analyzer Server Wrapper, per poter trovare i file DDL Analyzer Server Wrapper installati.
  • Raccomandazione: per essere sicuri che l´autenticazione Windows funzioni, il server Analyzer dovrebbe trovarsi nello stesso dominio dell´Editor di zenon e del Runtime di zenon.

Soluzione dei problemi

  • Problemi di comunicazione con il server Analyzer: controllare la comunicazione in rete e l´autenticazione (utente e diritti di accesso).
  • I report vengono visualizzati, ma non contengono nessun dato: controllare la licenza del server Analyzer.

Creare una funzione

Procedura per creare la funzione:

  1. Creare una nuova funzione nell´Editor di zenon.
  2. Nella finestra di dialogo di selezione funzioni, passare al gruppo Generatore Report/Report Viewer/Analyzer.

  3. Selezionare la funzione Analyzer: crea report.
  4. Si apre la finestra di dialogo di configurazione.
  5. Nella scheda Generale, configurare i parametri di connessione e selezionare il report desiderato.

    Attenzione: prima di passare alla seconda scheda di questo dialogo di configurazione, è necessario aver stabilito una connessione e aver selezionato un report!

  6. Nella scheda Lista parametri, configurare i parametri del report.
    Quando si passa dalla prima alla seconda scheda, il sistema tenta di riutilizzare valori già esistenti per l´inserimento dei parametri. Se questa operazione non riesce, la lista dei valori parametro impostati verrà visualizzata vuota.

    I valori di default possono essere sostitui da valori individuali. Per poterlo fare, si deve disattivare la checkbox davanti al valore e cliccare sul valore. Viene visualizzata una finestra di dialogo che consente di inserire un nuovo valore.

  7. Collegare la funzione ad un pulsante o ad un evento per poterla eseguire a Runtime.

Procedura a Runtime

Procedura quando si attiva la funzione per la creazione di un report a Runtime:

  1. Viene stabilita la connessione configurata.
  2. Viene settato il report selezionato.
  3. Vengono settati i valori parametro impostati per questo report.
  4. Viene creato il report, che viene poi emesso nella forma desiderata.
  5. Viene generato il nome file e il file viene salvato nella cartella di esportazione del progetto.
  6. Il nome file completo viene scritto nella variabile selezionata.


Generale

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Generale

In questa scheda si configura la connessione con il server Analyzer e si seleziona il report. Prima di passare alla scheda Lista parametri:

  • Deve essere stabilita la connessione con il server Analyzer´.
  • Questa scheda deve essere stata configurata completamente.

Quali opzioni sono a disposizione nella scheda Lista parametri dipende dalla selezione che è stata fatta per l´opzione Report della prima scheda.

Scheda: Generale

Analyzer Server

Opzione

Descrizione

Analyzer Server

Configurazione della connessione con il server Analyzer.

Versione

Selezione della versione del server Analyzer fra quelle proposte dal menù a tendina. Disponibile solamente se non esiste nessuna connessione.

Nome Computer

Inserimento del nome del computer sul quale è eseguito il server Analyzer. Disponibile solamente se non esiste nessuna connessione.

Utilizza credenziali Windows

Selezione del tipo di autenticazione:

  • Attiva: viene utilizzata l´autenticazione Windows.
  • Non attiva: l´utente deve inserire il nome utente e la password.

Nome utente

Inserimento del nome utente.

Disponibile solamente se l´opzione Utilizza credenziali Windows è disattivata, e non esiste una connessione.

Password

Inserimento della password per l´autenticazione.

I caratteri inseriti non vengono visualizzati, la lunghezza della password viene nascosta. La password viene salvata in forma crittografata e viene decodificata solamente allo scopo di stabilire una connessione

Disponibile solamente se l´opzione Utilizza credenziali Windows è disattivata, e non esiste una connessione

Connessione sicura

Attiva: la connessione viene creata in modalità protetta.

Disponibile solamente per zenon Analyzer a partire dalla versione 3.00.

Avanzate:

Impostazioni avanzate riguardanti il tempo di attesa per la connessione. Questo intervallo di tempo può essere al massimo di un giorno.

Cliccando su questo pulsante, si apre il dialogo di configurazione.

Disponibile solamente per zenon Analyzer a partire dalla versione 3.00.

Stabilisci connessione

Cliccando su questo pulsante, si instaura una connessione con il server Analyzer.

Dopo che la connessione è riuscita, il sistema provvede ad attualizzare i menù a tendina delle opzioni Report e Formato.

Chiudi connessione

Cliccando su questo pulsante, viene interrotta la connessione.

Creazione report

Opzione

Descrizione

Creazione report

Configurazione dei dati di base per il report.

Report

Selezione del report fra quelli offerti dal menù a tendina.

Formato

Selezione del formato di output fra quelli della lista a cascata:

  • CSV
  • Excel
  • MHTML (Web Archive)
  • PDF
  • File TIFF
  • Word
  • File XML con i dati report

Includi timestamp nel nome file
  • Attiva: il time-stamp di esecuzione viene incluso nel nome file.

Procedura di generazione del nome file:

  • Il punto di partenza è il nome report senza percorso.
    Esempio: Alarms
  • Poi, viene aggiunto (se attivato) il time-stamp. Esempio: il 15.8.2014 alle 15:20:00: Alarms_2014_08_15_15_20_00
  • Poi viene aggiunta l´estensione nome file corrispondente al formato di output selezionato.
    Esempio: Alarms_2014_08_15_15_20_00.pdf
  • Se esiste già un file con questo nome nella cartella di esportazione del progetto, viene aggiunto un contatore finché il nome non è univoco
    Esempio:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variabile per percorso di creazione file

Visualizza la variabile di zenon correntemente selezionata che riceve il percorso del file report scritto.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Suggerimento: si può prevedere che, quando viene terminato un archivio lotti o in caso di violazione di un valore limite, ‑venga generato un report ed eseguito uno script di zenon che causa l´invio di una E-Mail contenente il report. La variabile configurata in questa finestra di dialogo, verrà usata per definire l´allegato della funzione Message Control Invia messaggio.
Procedura:

  • In primo luogo viene eseguita la funzione report che scrive la variabile.
  • Poi viene eseguita la funzione Invia messaggio, che legge il percorso allegato dalla variabile.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lista parametri

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Lista parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lista parametri

In questa scheda si configurano i parametri del report. Quali parametri vengono offerti in questa scheda, dipende dalla selezione del report eseguita nella scheda Generale.

Scheda: Lista parametri

Opzione

Descrizione

Lista parametri

Visualizzazione dei parametri del report. La successione in questa lista corrisponde a quella nel report.

Raccomandazione: configurare i parametri procedendo dall´alto verso il basso.

Nome parametro

Visualizzazione del nome parametro.
Non può essere configurato in questa scheda.

Standard

Stabilisca se il parametro viene settato sul valore di default.

  • Attiva: viene usato il valore di default acquisito dal report.
  • Non attiva: il valore viene selezionato in modo individuale, cliccando sulla colonna Valore.

Con un clic del mouse, oppure premendo il tasto “spazio” a parametro selezionato, cambia lo stato della checkbox. Se il parametro non ha un valore di default, la checkbox viene visualizzata in color grigio ed è, dunque, disattivata.

Valore

Visualizzazione del valore corrente del parametro.

  • Se la checkbox Standard è attivata, verrà visualizzato in questa colonna il testo Valore di default e non sarà consentito nessun inserimento nella cella.
  • Se la checkbox Default è disattivata, verrà visualizzato in questa colonna il valore correntemente configurato.
    Cliccando sulla cella, oppure premendo il tasto “Ins” a parametro selezionato, si apre la finestra di dialogo di inserimento corrispondente al valore da modificare.

Se non è ancora possibile inserire un parametro, verrà visualizzato il testo Non disponibile e la cella sarà disattivata. Questo può dipendere, per esempio, dal fatto che prima devono essere settati valori per un altro parametro per popolare la lista dei valori.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Suggerimento per report lotto/ report turno

A Runtime, viene letto il valore di una variabile stringa di zenon. Il sistema cerca questa stringa come label nella lista dei valori predefiniti per il parametro. Il valore della label corrispondente è poi il valore parametro, cioè il turno o lotto selezionati.

La variabile lotto di un archivio lotti può essere usata in questa sede. Per il report lotto, eseguire la funzione Analyzer: Crea report al momento della chiusura dell´archivio lotti. L´ultimo lotto di questo archivio sarà poi il filtro tempo del report.


Impostazioni avanzate per connessione sicura

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Impostazioni avanzate per connessione sicura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni avanzate per connessione sicura

Configurazione del timeout di connessione. La finestra di dialogo di configurazione si apre quando si clicca sul pulsante Avanzate della scheda Generale.

Parametri

Descrizione

Timeout di connessione

Tempo di attesa espresso in secondi quando si stabilisce una connessione. Il processo di instaurazione della connessione viene interrotto alla scadenza di questo timeout.

  • Minimo: 1
  • Massimo: 86400 (1 giorno)

Default: 100

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.


Configurazione dei valori

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Configurazione dei valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurazione dei valori

Diversi dialoghi consentono la configurazione dei valori dei differenti parametri. La configurazione avviene, a seconda della possibilità di inserimento, per:

  • Un valore senza valore di default: inserimento del valore.
  • Diversi valori senza valori di default: inserimento dei valori che vengono aggiunti ad una lista.
  • Un valore con valore di default: selezione fra i valori offerti da un menù a tendina o da una lista.
  • Diversi valori con valore predefinito: selezione da una lista.

È possibile che un valore possa essere configurato solo se il valore precedente è stato selezionato. Esempio: per poter configurare archivi e variabili, bisogna prima selezionare i progetti.
Quali finestre di dialogo sono disponibili, dipende dal tipo di report selezionato.

Esempi di finestre di dialogo usate frequentemente:

Gruppi d'impianto

Selezione dei gruppi di impianti desiderati:

  1. Selezionare i gruppi di impianti desiderati nella lista in alto.
  2. Cliccare su Aggiungi.
    I gruppi selezionati verranno aggiunti alla lista in basso.
  3. Se si vuole cancellare gruppi di impianti, non si deve far altro che selezionarli nella lista in basso e cliccare su Elimina.
  4. Per rendere effettiva la selezione di tutti i gruppi di impianti scelti nel report, invece, cliccare su OK.

Archivi

  1. Selezionare gli archivi desiderati nella lista in alto.
  2. Cliccare su Aggiungi.
    Gli archivi selezionati verranno aggiunti alla lista in basso.
  3. Se si vuole cancellare archivi, non si deve far altro che selezionarli nella lista in basso e cliccare su Elimina.
  4. Per rendere effettiva la selezione di tutti gli archivi scelti nel report, invece, cliccare su OK.

Compressione

  1. Selezionare nel menù a tendina il tipo di compressione desiderata.
  2. Cliccare su OK.

Funzione di compressione

  1. Selezionare nel menù a tendina la funzione di compressione desiderata.
  2. Cliccare su OK.

Progetti

  1. Selezionare i progetti desiderati nella lista in alto.
  2. Cliccare su Aggiungi.
    I progetti selezionati verranno aggiunti alla lista in basso.
  3. Se si vuole cancellare progetti, non si deve far altro che selezionarli nella lista in basso e cliccare su Elimina.
  4. Per rendere effettiva la selezione di tutti i progetti scelti nel report, invece, cliccare su OK.

Variabili

Selezione delle variabili desiderate.

  1. Selezionare le variabili desiderate nella lista in alto.
  2. Cliccate su Aggiungi.
    Le variabili selezionate verranno aggiunte alla lista in basso.
  3. Se si vuole cancellare variabili, non si deve far altro che selezionarle nella lista in basso e cliccare su Elimina.
  4. Per rendere effettiva la selezione di tutte le variabili scelti nel report, invece, cliccare suOK.

Intervallo di tempo

  1. Selezionare la data e l´orario desiderati per:
    1. Da
    2. Fino
  2. Cliccare su OK.


Ricette

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni da utilizzare per la gestione delle ricette standard e delle ricette del modulo opzionale Manager di gruppi ricette.

Funzione | Descrizione
Manager gruppi di ricette | Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale “Manager gruppi ricette” (RGM). Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione. Ulteriori dettagli nel capitolo:Manager gruppi di ricette
Ricetta Standard | Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione. Ulteriori dettagli nel capitolo:Ricetta standard
Richiamo ricetta singola | Questa funzione invia al PLC i valori di una ricetta standard selezionata. Ulteriori dettagli nel capitolo:Richiamo ricetta singola
Richiamo ricetta singola con selezione | Questa funzione apre un dialogo in cui l'utente può modificare ed eseguire una ricetta standard. Ulteriori dettagli nel capitolo:Richiamo ricetta singola con selezione
Richiamo ricetta singola con selezione online | Questa funzione apre una finestra di dialogo in cui l'utente può selezionare e eseguire, e/o modificare una ricetta standard. Ulteriori dettagli nel capitolo:Richiamo ricetta singola con selezione online


Sequenze di comando

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per il modulo opzionale Sequenze di comando.

Funzione | Descrizione
Esporta sequenze di comando | Esporta le sequenze progettate in un file XML. Ulteriori dettagli nel capitolo:Esporta sequenze di comando.
Importa sequenze di comando | Importa le sequenze progettate da un file XML. Ulteriori dettagli nel capitolo:Importa sequenze di comando.
Teaching sequenza comandi | Con questa funzione si avvia o si arresta il processo di teaching a Runtime. Questa funzione è particolarmente adatta per avviare il teaching a Runtime in un´immagine di processo senza dover passare all´Editor sequenze di comando. Ulteriori dettagli nel capitolo:Teaching sequenza comandi
Esegui comando sequenza comandi/cambio modalità | Con questa funzione si possono inviare comandi di gestione all´esecuzione delle sequenze di comando. Ulteriori dettagli nel capitolo:Esegui comando sequenza comandi/cambio modalità


Script

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per la gestione degli script.

Funzione | Descrizione
Esegui script | Questa funzione esegue uno script selezionato. Ulteriori dettagli nel capitolo:Esegui script
Script con selezione online | Questa funzione apre una finestra di dialogo in cui l'utente può selezionare ed eseguire uno script. Ulteriori dettagli nel capitolo:Script con selezione online


Variabile

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per gestire le variabili.

Funzione | Descrizione
Esporta dati | Questa funzione esporta valori di variabili selezionate salvati sul disco fisso (*.HDD) in un formato esterno. Ulteriori dettagli nel capitolo:Esporta dati
Leggi file dBase | Questa funzione legge un file dBase selezionato e lo esegue come ricetta. Ulteriori dettagli nel capitolo:Leggi file dBase
Stampa dei valori attuali | Questa funzione stampa valori attuali delle variabili selezionate. Ulteriori dettagli nel capitolo:Stampa dei valori attuali
Cambio unità di misura | Passa dall´unità di base all´unità di calcolo e viceversa. Ulteriori dettagli nel capitolo:Cambio unità di misura
Disattiva gestione HD | Questa funzione disattiva il salvataggio dati su disco fisso. Non vengono scritti file HDD. Ulteriori dettagli nel capitolo:Disattiva gestione HD
Attiva gestione HD | Questa funzione attiva il salvataggio dati su disco fisso. Vengono scritti file HDD. Ulteriori dettagli nel capitolo:Attiva gestione HD
Attiva/disattiva Gestione HD | Questa funzione attiva o disattiva il salvataggio dati su disco fisso. (Non) vengono scritti file HDD. Ulteriori dettagli nel capitolo:Attiva/disattiva Gestione HD
Imposta valore | Questa funzione invia al PLC un nuovo valore per una variabile selezionata. Ulteriori dettagli nel capitolo:Imposta valore
Esegui comandi driver | Questa funzione invia un comando selezionato ad un driver selezionato. Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione. Ulteriori dettagli nel capitolo:Esegui comandi driver
Simulazione per immagine di processo del driver acquisita dal Server Standby | Viene eseguita solamente sul Server-Standby. Quando viene eseguita, richiede dal server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione per questa operazione. Ulteriori dettagli nel capitolo:Simulazione immagine di processo del driver acquisita dallo Standby
Scrivi data/ora nella variabile | Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile stringa nel PLC. In questo modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo. Ulteriori dettagli nel capitolo:Scrivi data/ora nella variabile
Acquisisci ora dalla variabile | Questa funzione legge il tempo da una variabile stringa del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In questo modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo. Ulteriori dettagli nel capitolo:Acquisisci ora dalla variabile


VBA

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per l'utilizzo delle macro VBA.

Funzione | Descrizione
Apri Editor PCE | Questa funzione apre l'Editor del modulo opzionale “Process Control Engine” (PCE). Ulteriori dettagli nel capitolo:Apri Editor PCE
VBA-Visualizza Editor | Questa funzione apre l'Editor VBA. Ulteriori dettagli nel capitolo:VBA-Visualizza Editor
Lanciare Macro-VBA | Questa funzione esegue una macro VBA selezionata. Attenzione: l´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Lanciare Macro-VBA, dato che VBA non funziona più in questo momento. Le macro VBA che devono essere eseguite in "AUTOEND", devono essere attivate mediante Project.Inactive. Ulteriori dettagli nel capitolo:Lanciare Macro-VBA
VBA-Visualizza dialogo Macro | Questa funzione apre la finestra di dialogo “Macro VBA”. Ulteriori dettagli nel capitolo:VBA-Visualizza dialogo Macro


VSTA

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per l'utilizzo di VSTA.

Funzione | Descrizione
Apri Editor VSTA | Questa funzione apre l'Editor VSTA. Ulteriori dettagli nel capitolo:Apri Editor VSTA
Lanciare Macro-VSTA | Questa funzione esegue una macro VSTA selezionata. Ulteriori dettagli nel capitolo:Lanciare Macro-VSTA
VSTA-Visualizza il dialogo delle Macro | Questa funzione apre la finestra di dialogo Macro VSTA. Ulteriori dettagli nel capitolo:VSTA - Visualizza il dialogo delle macro


Windows

Manuale -> Funzioni e script -> Funzioni -> Panoramica sulle funzioni in zenon -> Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene funzioni per l'utilizzo delle funzionalità del sistema operativo.

Funzione | Descrizione
Esegui file audio | Questa funzione esegue una volta un file audio selezionato (*.wav). Ulteriori dettagli nel capitolo:Esegui file audio
Operazioni file | Questa funzione copia, cancella o sposta file selezionati. Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione. Ulteriori dettagli nel capitolo:Operazioni file
Esegui file audio continuo | Questa funzione esegue ripetutamente un file audio (*.wav). Ulteriori dettagli nel capitolo:Esegui file audio continuo
Termina file audio continuo | Questa funzione termina l'esecuzione ripetuta di un file audio (*wav). Ulteriori dettagli nel capitolo:Termina file audio continuo
Porta sullo sfondo | Questa funzione porta il Runtime di zenon sullo sfondo. Ulteriori dettagli nel capitolo:Porta sullo sfondo
Porta in primo piano | Questa funzione porta il Runtime di zenon in primo piano. Ulteriori dettagli nel capitolo:Porta in primo piano
Stampa screenshot | Questa funzione stampa la schermata attuale, o l'immagine di un modello selezionato aperta al momento. Se lo si desidera, si può deviare l'operazione di stampa su un fax. Ulteriori dettagli nel capitolo:Stampa screenshot
Esegui programma | Questa funzione avvia un programma esterno. Possono essere definiti parametri di trasferimento. Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione. Ulteriori dettagli nel capitolo:Avvia programma


Configurazione nell'Editor

Manuale -> Funzioni e script -> Funzioni -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor di zenon si possono configurare funzioni da eseguire a Runtime.

Ancora in questo capitolo

Creare e modificare funzioni

Selezione di una funzione

Cancellare funzioni

Aggiungere funzioni di altri progetti.


Creare e modificare funzioni

Manuale -> Funzioni e script -> Funzioni -> Configurazione nell'Editor -> Creare e modificare funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare una nuova funzione:

Nel menù contestuale della voce Funzioni del Manager di progetto ci sono i seguenti comandi::

Parametri | Descrizione
Nuova funzione… | Viene creata una nuova funzione che potrà essere configurata utilizzando le proprietà visualizzate nella finestra delle proprietà.
Nuovo Script | Viene creato un nuovo script.
Esporta tutti in XML... | Esporta tutte le funzioni selezionate in un file XML. Si veda il capitolo Importazione/Esportazione
Importa file XML… | Le funzioni vengono importate da un file XML. Si veda il capitolo Importazione/Esportazione
Apri in una nuova finestra... | Apre la visualizzazione dettagli delle funzioni in una nuova finestra.
Profilo Editor | Si veda il capitolo Profili.


Selezione di una funzione

Manuale -> Funzioni e script -> Funzioni -> Configurazione nell'Editor -> Selezione di una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova funzione si deve selezionare la voce Nuova funzione. Si apre la finestra di dialogo che consente di selezionare una funzione. Quando è stata selezionata una funzione, viene visualizzata la guida in linea relativa alla funzione selezionata nella parte bassa della finestra di dialogo. In questa parte della finestra di selezione funzioni si trova una breve descrizione della funzione selezionata. Ulteriori informazioni su questo tema si trovano nel capitolo Panoramica sulle funzioni.

Per poter essere creata, una funzione deve essere prima selezionata e la selezione deve essere confermata cliccando su OK. I parametri della nuova funzione possono essere definiti nella finestra delle proprietà.

Se, dopo aver eseguito la selezione, si clicca sul pulsante Guida della finestra di dialogo, si passa direttamente alla parte della guida in linea che riguarda la funzione in questione.

Come nella finestra delle proprietà, anche qui si ha a disposizione una lista di favoriti, che può essere personalizzata. Il nodo Preferiti si trova sempre in cima alla lista. Di default, in questo nodo si trovano le funzioni Cambio immagine e Imposta valore. Si può aggiungere o rimuovere qualsiasi funzione dai favoriti usando il menù contestuale, oppure mediante Drag&Drop.

Nella parte bassa del dialogo di selezione viene visualizzato la parte della guida corrispondente alla funzione, nel quale si trova una breve descrizione di quest´ultima. Una panoramica relativa alle singole funzioni a disposizione si trova anche nella sezione Panoramica sulle funzioni .


Cancellare funzioni

Manuale -> Funzioni e script -> Funzioni -> Configurazione nell'Editor -> Cancellare funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eliminare una funzione, basta selezionarla nella sezione lista e premere il tasto CANC.


Aggiungere funzioni di altri progetti.

Manuale -> Funzioni e script -> Funzioni -> Configurazione nell'Editor -> Aggiungere funzioni di altri progetti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile aggiungere in un progetto funzioni di altri progetti dello stesso workspace..

Questo è possibile per immagini (funzione start-fine immagine, pulsanti), valori limite, temporizzatori, schedulatore, script, menù, progetti (esecuzione automatica della funzione, archivio).


Funzioni di sistema

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni di sistema non sono limitate ad un solo modulo. Hanno effetto su tutta la progettazione di zenon e gestiscono impostazioni del computer, come, ad esempio, la selezione della stampante.

Ancora in questo capitolo

Applicazione - Funzioni

Funzioni - Windows


Applicazione - Funzioni

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni generali di zenon

Parametri | Descrizione
Selezionare stampante | Questa funzione apre una finestra di dialogo in cui l'utente può selezionare stampanti per eseguire diverse operazioni di stampa. Nota: questa funzione non è disponibile per dispositivi CE.
Avvio Load Management |
Termine Load Management |
Stampa diagramma Trend esteso | Con questa funzione, si possono stampare diagrammi del modulo Trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza dover aprire l´immagine di tipo Trend esteso.
Cambia tavolozza colori | Crea una funzione per passare a Runtime da una tavolozza di colori all´altra.
Gestione funzioni ON | Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), vengono eseguite.
Funzioni: Disattiva/Attiva | Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), (non) vengono eseguite.
Gestione funzioni OFF | Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, violazione di valori limite, ecc.), non vengono eseguite.
Apri Guida | Questa funzione apre una pagina selezionata della guida da un file CHM.
Aggiorna progetto Runtime | Questa funzione carica nell´Editor i file Runtime modificati.
Simula right click | Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro.
Salvataggio dati ritentivi | Consente di salvare i dati per i moduli configurati. Sono a disposizione: buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.
Esci dal programma | Questa funzione termina il Runtime del sistema di controllo di processo.
Esegui funzione SAP | Esegue a Runtime una funzione SAP definita nellla SAP Interface. La funzione SAP, a sua volta, funge da trigger di una Remote Function Call (RFC).
Cambio lingua | Nei progetti in più lingue, eseguendo questa funzione si passa ad una lingua selezionata.

Ancora in questo capitolo

Selezionare stampante

Gestione funzioni ON

Gestione funzioni OFF

Attiva/disattiva funzione per valori limite

Aggiorna progetto Runtime

Esci dal programma

Simula right click

Salvataggio dati ritentivi


Selezionare stampante

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Selezionare stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, la definizione delle stampanti per i diversi tipi di lista viene eseguita nella Configurazione generale.

Eseguendo questa funzione, però, si può modificare la stampante selezionata a Runtime. Questa funzione deve essere parametrizzata.

Le impostazioni delle stampanti vengono eseguite come descritto nel capitolo Configurazione/standard/stampanti.


Gestione funzioni ON

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Gestione funzioni ON

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si attiva la gestione di funzioni di valore limite a Runtime.


Gestione funzioni OFF

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Gestione funzioni OFF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si disattiva la gestione di funzioni di valore limite a Runtime.


Attiva/disattiva funzione per valori limite

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Attiva/disattiva funzione per valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, le funzioni di valore limite passano a Runtime fra i due stati 0 e 1 . All’avvio del Runtime, il sistema legge lo stato salvato nel file zenon6.ini.

[FUNZIONI]

EIN=0 -> disattivata

EIN=1 -> attiva


Aggiorna progetto Runtime

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Aggiorna progetto Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione aggiorna i file Runtime modificati, senza che sia necessario chiudere il Runtime..

info Info

Non possono essere aggiornati in questo modo i nomi del server o quello del Server-Standby se vengono modificati nell´Editor. Per aggiornarli, si dovrà chiudere e riavviare il Runtime.

attention Attenzione

I file immagine di tipo PNG non possono essere sovrascritti mentre sono visualizzati a Runtime.

Background: il Runtime blocca i file .png aperti. In questo modo evita che possano venire sovrascritti.

Soluzione: prima di inizializzare il Trasporto Remoto, bisogna assicurarsi che immagini con file *.png:

  • Non siano aperte a Runtime:
  • Non vengano utilizzate da un altro programma.

Questo vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).


Esci dal programma

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Esci dal programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si usa questa funzione per uscire dal Runtime in modo regolato (registrazione nella CEL, chiusura degli archivi, esecuzione dello script “AUTOEND” ecc.).

Non è necessario nessun parametro di trasferimento.

attention Attenzione
  • L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, da questo momento la funzione di zenon Lanciare Macro-VBA non viene più eseguita negli script, perché VBA a questo punto non funziona più. Le macro VBA che devono essere eseguite nello script "AUTO_END", devono essere lanciate mediante Project.Inactive.
  • Non si deve indicare archivi ciclici nello script AUTOEND .


Simula right click

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Simula right click

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si esegue questa funzione a Runtime, il successivo click del mouse, oppure il tocco su di un touch screen, verrà interpretato come un clic con il tasto destro del mouse.

Questa funzione serve, per esempio, a far sì che possano essere aperti menù contestuali anche su un dispositivo con touchscreen.

Non è necessario nessun parametro di trasferimento.


Salvataggio dati ritentivi

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - Funzioni -> Salvataggio dati ritentivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Salvataggio dati ritentivi consente a Runtime di salvare dati ritentivi i qualsiasi momento. La funzione può essere importata e esportata. Per configurare questa funzione:

  1. Selezionare il comando “Nuova funzione”.
  2. Nella finestra di selezione funzioni, passare al nodo “Applicazione”.
  3. Selezionare Salvataggio dati ritentivi.
  4. Si apre la finestra di dialogo che consente di selezionare i moduli.

Modulo | Descrizione
Buffer Allarmi AML | Attivo: viene salvato il buffer circolare della AML.
Buffer Eventi CEL | Attivo: viene salvato il buffer circolare della CEL.
Driver di sistema e Driver Matematico | Attivo: vengono salvati i dati del driver di sistema e di quello matematico.
Driver Interno | Attivo: vengono salvati i dati del driver interno.
Immagine di processo di tutti i driver | Attivo: vengono salvati i dati di tutti i driver.
Blocchi dei “Comandi” | Attivo: vengono salvati i dati del blocco del modulo “Comandi”.

Eventuali errori che si verificano durante l´operazione di salvataggio, vengono salvati nel log degli errori.

info Info

Quando il Runtime funziona in modalità di simulazione (progetto di simulazione attivo), la funzione Salvataggio dati ritentivi non salva nessun valore dei seguenti driver:

  • Driver Interno
  • Driver matematico
  • Driver di sistema


Funzioni - Windows

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni che causano qualcosa nel sistema operativo.

Parametri | Descrizione
Esegui file audio | Questa funzione esegue una volta un file audio selezionato (*.wav).
Operazioni file | Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.
Esegui file audio continuo | Questa funzione esegue ripetutamente un file audio (*.wav).
Termina file audio continuo | Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).
Porta sullo sfondo | Questa funzione sposta il Runtime dello scada sullo sfondo.
Porta in primo piano | Questa funzione porta il Runtime di zenon in primo piano. Attenzione: se si esegue la funzione "Porta in primo piano", viene coperta la barra di stato allarmi.
Esegui programma | Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se lo si desidera, è possibile prevedere che venga visualizzato un dialogo per consentire interazioni dell'utente prima dell´esecuzione della funzione.

Ancora in questo capitolo

Esegui file audio

Operazione file

Esegui file audio continuo

Termina file audio continuo

Porta sullo sfondo

Porta in primo piano

Esegui programma


Esegui file audio

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui file audio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si esegue a Runtime il file audio impostato (*.wav) una volta sola. Come parametro di trasferimento si deve indicare il file audio.


Operazione file

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Operazione file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando questa funzione a Runtime, si può far in modo che venga eseguita una definita operazione file (copiare, spostare e cancellare).
Come parametri di trasferimento si devono indicare l´operazione file e i parametri file. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Nota: non è possibile copiare o spostare più file rinominando contemporaneamente l´estensione file.

Operazioni file configurabili:

Parametro | Descrizione
Copia | Copia file da un nome e percorso in un nuovo nome e percorso di destinazione. Si tiene conto dei parametri di trasferimento.
Muovi | Sposta file da un nome e percorso in un nuovo nome e percorso di destinazione ed elimina successivamente il percorso di origine. Si tiene conto dei parametri di trasferimento.
Elimina | Elimina file Si tiene conto dei parametri di trasferimento. Attenzione: i file non vengono salvati nel cestino di Windows, ma sono cancellati direttamente ed in modo permanente.

Se non è possibile trovare l'origine indicata del file (file o percorso non esistono, oppure sono errati), la funzione non verrà eseguita. L'impostazione standard prevede che non venga visualizzata nessuna segnalazione di errore. È possibile ottenere in ogni caso un messaggio di errore; per farlo, nel dialogo di configurazione della funzione, attivare l´opzione “Visualizza le segnalazioni di errore” del settore “Opzioni”. Si sconsiglia di farlo, però, perché potrebbe causare il blocco del Runtime o dell'esecuzione di altre funzioni.

Dopo aver definito l´operazione file desiderata, si possono configurare altre opzioni.

Parametro

Descrizione

Sorgente/Destinazione

Indicare il percorso di sorgente e destinazione. È possibile Wildcards (*) usare sia per l'una che per l'altra. (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Ci sono tre possibilità di definire il percorso:

  • Assoluto (per l'inserimento si può usare anche il pulsante ".." dietro il campo testo).
  • Relativo della cartella Runtime (Link: ulteriori informazioni sulla cartella Runtime)
  • Relativo della cartella file. (Link: ulteriori informazioni sulla cartella file).

Esempio:

Assoluto:
Sorgente'C:\temp\datenbank.mdb' a destinazione 'D:\backup\' -> Il file 'datenbank.mdb' viene copiato nella cartella 'D:\backup\'. Perché funzioni l'operazione di copia, la cartella di destinazione deve esistere già e deve terminare assolutamente con una barra rovesciata.

Relativo:
Relativo della cartella file: "*.aml" alla destinazione 'D:\backup\' copia tutti i file della lista allarmi nella cartella 'D:\backup\'.

Rinomina file:
E' possibile rinominare singoli file. Per es.'C:\temp\datenbank.mdb' alla destinazione 'D:\backup\backupdb.mdb' copia il file 'datenbank.mdb' nella cartella 'D:\backup\', e lo rinomina in 'backupdb.mdb'.

Non è possibile rinominare contemporaneamente diversi file mediante wildcard.

Considera sottocartelle

Cerca file anche nelle sottocartelle del percorso sorgente e ne realizza una visuale ad albero anche nella directory di destinazione.

Attenzione: se si usa questa opzione in combinazione con l´operazione file Elimina, i file e le cartelle non verranno spostati nel cestino di Windows, ma cancellati direttamente e definitivamente.

Sovrascrivi i file esistenti

Se il file sorgente esiste già nel percorso di destinazione, verrà sovrascritto con il file attuale

Visualizza le segnalazioni di errore

Se non è possibile eseguire le operazioni "Copia" o "Muovi", viene visualizzata una segnalazione di errore come messaggio di sistema. Non si consiglia di attivare questa opzione perché potrebbe portare ad un blocco del Runtime o dell´esecuzione di altre funzioni.

Proponi dialogo a Runtime

Se si attiva questa opzione, a Runtime, prima dell'esecuzione di questa funzione, verrà aperta una finestra di dialogo mediante la quale sarà possibile modificare e adattare i parametri (operazione file, sorgente, destinazione ecc..). Le impostazioni modificate mediante questa finestra di dialogo saranno a valide finché sarà aperto il Runtime. In questa finestra di dialogo manca l´opzione “Con finestra di dialogo prima dell´esecuzione”.

Esegui solamente se il/i file

L'operazione file verrà eseguita solamente per un arco di tempo definito (giorni, ore).

più vecchio di

Il file deve essere più vecchio dell'intervallo di tempo impostato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal momento di esecuzione.

più recente di

Il file deve essere più recente dell'intervallo di tempo indicato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal momento di esecuzione.
Nota: "più vecchio di" deve essere maggiore di "più recente di".


Esegui file audio continuo

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui file audio continuo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando questa funzione a Runtime, il file audio impostato (*.wav) viene eseguito ripetutamente finché non viene eseguita la funzione Termina file audio continuo. Come parametro di trasferimento di deve indicare il file audio.


Termina file audio continuo

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Termina file audio continuo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione termina l´esecuzione ripetuta di un file audio (*.wav) avviata con la funzione Esegui file audio continuo.


Porta sullo sfondo

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Porta sullo sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, la visualizzazione di zenon viene portato sullo sfondo. Non si considera l’inserimento SYSKEY nel file project.ini. È possibile selezionare altre applicazioni (programm manager).

[DEFAULT] |
… |
SYSKEY= | 0 - tasti di sistema attivi
 | 1 - tasti di sistema bloccati (default)

Non è necessario nessun parametro di trasferimento.


Porta in primo piano

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Porta in primo piano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, la visualizzazione di zenon viene spostata in primo piano. Tutte le altre applicazioni vengono portate sullo sfondo (eccezione: applicazioni con l´impostazione Sempre in primo piano). Si tiene conto dell´inserimento SYSKEY del file project.ini.

Inserimento

Significato

[DEFAULT]

SYSKEY=

Blocco o attivazione dei tasti di sistema:

  • 0: tasti di sistema attivi
  • 1: tasti di sistema bloccati (Default)

Non è necessario nessun parametro di trasferimento.

info Info

Quando si porta il Runtime in primo piano usando la funzione Porta in primo piano, la finestra Runtime viene definita come finestra superiore.

Tenere presente quanto segue:

  • In questa situazione la tastiera software DIALOGKBD non potrà essere aperta.
    Si potranno usare altre keyboard.
  • La barra di stato allarmi sarà coperta dalla finestra Runtime.

Ci sono le seguenti possibilità di riportare la barra di stato allarmi in primo piano:

  • Attivare i tasti di sistema (disattivare la proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano premendo Alt+Tab.
  • Attivare la taskbar di Windows e cliccare sulla finestra Status.
  • Riportare il Runtime in background
  • Riavviare il Runtime.

Nota: la funzione Porta in primo piano non è identica alla funzione Porta modello in primo piano!


Esegui programma

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può lanciare un altro programma (*.EXE) a Runtime. Si possono indicare parametri di trasferimento per il programma da avviare da applicare al momento della chiamata della funzione.

Come parametro di trasferimento si deve indicare il file di programma (*.EXE). La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo.

Proprietà configurabili:

Parametro | Descrizione
Nome | Nome del file da eseguire; si può cercare e selezionare il file cliccando sul pulsante ...
Parametri | Parametri di trasferimento per il programma.
Proponi dialogo a Runtime | Cambiare programma e parametri a Runtime al momento della chiamata funzione

Il programma viene selezionato mediante una finestra di dialogo.

Per poter essere avviato, il programma deve trovarsi in un percorso di ricerca (ambiente sistema con Windows NT). Programmi definiti da utente (Visual-Basic) sono da depositare nel percorso d´installazione di zenon.

A “Lista di informazione allarmi” aperta ed allarme selezionato, si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata del programma. Il parametro viene trasferito come parola chiave.

Parametri | Descrizione
@alarm.name | Nomi della variabile
@alarm.unit | Unità della variabile collegata
@alarm.value | Valore che causa l´inserimento.
@alarm.stext | Testo di valore limite corrispondente.
@alarm.ctime | Tempo entra (valore in sec. a partire dal 1.1.1970).
@alarm.ctimemilli | Con millisecondi.
@alarm.gtime | Tempo esce.
@alarm.gtimemilli | Con millisecondi.
@alarm.qtime | Riconosciuto.
@alarm.user | Utente che ha eseguito il ripristino.
@alarm.identification | Identificazione della variabile.

Se la “Lista di informazione allarmi” non è aperta, se sono selezionati più allarmi nella lista o non ne è selezionato nessuno, non verrà trasferito nessun parametro di trasferimento. Se sono aperte più “Liste di informazione allarmi” (lista globale e selettiva), si utilizza l’inserimento selezionato della prima lista trovata.

A “Lista eventi cronologica” aperta e inserimento selezionato nella lista, si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata di programma. Il parametro viene trasferito come parola chiave.

Parametri | Descrizione
@cel.name | Nome della variabile.
@cel.unit | Unita della variabile collegata (solo se c`è una variabile collegata).
@cel.value | Valore che ha causato l´inserimento (solo se causato da violazione di valore limite).
@cel.stext | Testo valore limite corrispondente.
@cel.ctime | Tempo entra (valore in secondi a partire dal 1.1.1970).
@cel.ctimemilli | Con millisecondi.
@cel.user | Utente che ha eseguito il ripristino.
@cel.identification | Identificazione della variabile

Se la “Lista eventi cronologica” non è aperta, se sono selezionati più inserimenti nella lista o non ne è selezionato nessuno, non verrà trasferito nessun parametro di trasferimento. Se sono aperte più “Liste eventi cronologiche” (lista globale e selettiva), si utilizza l’inserimento selezionato della prima lista trovata.

Altri parametri di trasferimento possibili sono:

@picture

Immagine dalla quale è stata lanciata la funzione.

Quando si utilizza questa funzione, si deve tenere conto degli effetti dei programmi lanciati sul sistema complessivo (risorse necessarie, multitasking, sicurezza del programma etc.)


Funzioni in rete

Manuale -> Funzioni e script -> Funzioni -> Funzioni in rete

Se delle funzioni devono essere utilizzate in rete, si deve tener conto del loro luogo di esecuzione:

Per quello che riguarda le funzioni che vengono usate in rete:

  • In alcuni casi, il luogo in cui vengono eseguite può essere configurato liberamente.
  • In altri casi. invece, questo luogo è definito in modo fisso.

info Info

Gli script combinano più funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singole funzioni.

Configurare luogo di esecuzione

Per quello che riguarda le funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente può configurarne i parametri nelle proprietà della funzione.

Per definire il luogo di esecuzione:

  1. Nelle proprietà della funzione, passare al gruppo Esecuzione:.
  2. Selezionare il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione verrà eseguita sul PC attuale.
    • Server primario: la funzione verrà eseguita sul server primario.
    • Server Standby: la funzione verrà eseguita sul Server-Standby.
    • Client: la funzione verrà eseguita su tutti i client.

Funzioni in rete - Panoramica

La seguente tabella mostra dove vengono eseguite le varie funzioni.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Sì

    -- no

    O: Default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Computer attivo
    • Server primario
    • Server-Standby
    • Client

Funzione | Configurabile | PC attuale | Server primario | Server Standby | Client
Allarmi ed eventi |  |  |  |  |
Ripristina lampeggio allarmi | - | O |  |  |
Conferma il riconoscimento d'allarme | - |  | O | O |
Ripristina allarmi | - |  | O | O |
Collegare/scollegare gruppo allarmi/eventi | - | O |  |  |
Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione | - |  | O | O |
Attiva allarmi | - |  | O |  |
Attiva/disattiva allarmi | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta allarmi | + | O |  |  |
Salva buffer AML-CEL | - |  | O | O |
Esporta: lista CEL | + | O |  |  |
Stampa lista allarmi o CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia una nuova pagina per la stampa online | + | O |  |  |
Cambio stampante online | - |  | O |  |
Applicazione |  |  |  |  |
Selezionare stampante | + | O |  |  |
Avvio Load Management | - |  | O |  |
Termine Load Management | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Gestione funzioni ON | - |  | O | O |
Funzioni: Disattiva/Attiva | - |  | O | O |
Gestione funzioni OFF | - |  | O | O |
Apri guida | + | O |  |  |
Aggiorna progetto Runtime | + | O |  |  |
Determinazione manutenzioni in corso | - |  | O |  |
Attiva evento PFS | + | O |  |  |
Attiva/Disattiva progetto di simulazione | - | O |  |  |
Simula right click | + | O |  |  |
Salvataggio dati ritentivi | + | O |  |  |
Esci dal programma | + | O |  |  |
Valutazione euristica S7-Graph | + | O |  |  |
Esegui funzione SAP | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca cortocircuito | - |  | O |  |
Topologia - LoadShedding | - |  | O |  |
Archiviazione |  |  |  |  |
Termina archivio | - |  | O | O |
Indicizza file d'archivio | - |  | O |  |
Avvio archivio | - |  | O | O |
Esporta archivio | - | O |  |  |
Mostra archivi attivi | - |  | O | O |
Gestione user (password) |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Esegui logout | + | O |  |  |
Modifica password | - | O |  |  |
Immagini |  |  |  |  |
Modifica colore sorgente ALC | + | O |  |  |
Cambio immagine con variabile | - | O |  |  |
Chiudi immagine | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Focus: esegui funzione elemento | + | O |  |  |
Attiva focus sul modello | + | O |  |  |
Imposta focus | - | O |  |  |
Elimina focus dal modello | + | O |  |  |
Visualizza menù | + | O |  |  |
Assegna monitor | + | O |  |  |
Profilo Runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Localizzazione errore nelle reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control |  |  |  |  |
Salva coda d'attesa corrente | - |  | O |
Sopprimi Gruppi/Classi/Aree/Strutture | - |  | O |  |
Invia messaggio | - |  | O |  |
Attiva invio messaggio | - |  | O |  |
Disattiva invio messaggio | - |  | O |  |
Rete |  |  |  |  |
Autorizzazione di rete | + | O |  |  |
Cambio ridondanza | - |  |  | O |
Generatore Report |  |  |  |  |
Report Generator: stampa | + |  |  |  |
Report Generator: esegui report | + |  |  |  |
Report Generator: esporta | + |  |  |  |
Ricette |  |  |  |  |
Manager gruppi di ricette | - | O |  |  |
Ricetta Standard | - | O |  |  |
Richiamo ricetta singola | + | O |  |  |
Richiamo ricetta singola con selezione | - | O |  |  |
Richiamo ricetta singola con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esporta dati | - |  | O |  |
Leggi file dBase | + | O |  |  |
Stampa dei valori attuali | + | O |  |  |
Cambio unità di misura | + | O |  |  |
Attiva gestione HD | - |  | O | O |
Disattiva gestione HD | - |  | O | O |
Attiva/disattiva gestione HD | - |  | O | O |
Imposta valore | - |  | O |  |
Esegui comandi driver | - | O |  |  |
Simulazione per immagine di processo del driver acquisita dal Server Standby | - |  |  | O |
Scrivi data/ora nella variabile | + | O |  |  |
Acquisisci ora dalla variabile | + | O |  |  |
VBA |  |  |  |  |
Apri Editor PCE | - |  | O |  |
VBA-Visualizza Editor | + | O |  |  |
Lanciare Macro-VBA | + | O |  |  |
VBA-Visualizza dialogo Macro | + | O |  |  |
VSTA |  |  |  |  |
Apri Editor VSTA | + | O |  |  |
Lanciare Macro-VSTA | + | O |  |  |
VSTA-Visualizza il dialogo delle Macro | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Esegui file audio continuo | + | O |  |  |
Termina file audio continuo | + | O |  |  |
Porta sullo sfondo | - | O |  |  |
Porta in primo piano | - | O |  |  |
Stampa screenshot | + | O |  |  |
Esegui programma | + | O |  |  |


Ordine di esecuzione a Runtime

Manuale -> Funzioni e script -> Funzioni -> Ordine di esecuzione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'esecuzione di funzioni a Runtime avviene in 3 livelli di priorità.

  • Priorità 1: Immediate (viene eseguita immediatamente).
  • Priorità 2: High (prima che la funzione venga eseguita, viene visualizzata una finestra di dialogo).
  • Priorità 3: Low

Se, prima dell´esecuzione di una funzione con livello di priorità 1, viene aperta una finestra di dialogo, il livello di priorità viene ridotto a 2.

Nell'ambito di uno stesso progetto, tutte le funzioni di uno script vengono inserite nella stessa coda. Nello script, tutte le funzioni vengono eseguite con un livello di priorità Questo è garanzie del fatto che le funzioni vengano eseguite una dopo l´altra.

Example Esempio

Usando uno script, le immagini di diversi progetti sono organizzate in una determinata successione mediante la funzione di cambio d'immagine; questa successione dipende dall´ordine dell'esecuzione (immagini si trovano su altre immagini).

Priorità d´esecuzione a Runtime

Gruppi di funzioni

Funzioni

Priorità

Allarmi e Eventi

Gestione di AML e CEL

  • Ripristina lampeggio allarmi

1

  • Conferma il riconoscimento d'allarme

1

  • Ripristina allarmi

1

  • Collegare/scollegare gruppo allarmi/eventi

1

  • Attiva allarmi

1

  • Attiva/disattiva allarmi

1

  • Disattiva allarmi

1

  • Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

1

  • Salva buffer AML-CEL

1

  • Stampa lista allarmi o CEL

3

  • Esporta allarmi

2

  • Esporta: lista CEL

2

  • Crea/stampa documento IPA

1

  • Stampa online on/off

1

  • Inizia una nuova pagina per la stampa online

?

  • Cambio stampante online

3

Applicazione

Attivare applicazioni

  • Selezionare stampante

3

  • Stampa diagramma Trend esteso

1

  • Cambia tavolozza colori

2

  • Funzioni: Disattiva/Attiva

1

  • Gestione funzioni ON

1

  • Gestione funzioni OFF

1

  • Apri guida

3

  • Aggiorna progetto Runtime

1

  • Determinazione manutenzioni in corso

3

  • Attiva evento PFS

1

  • Esci dal programma

3

  • Simula right click

3

  • Salvataggio dati ritentivi

1

  • Valutazione euristica S7-Graph

1

  • Simulazione on/off

1

  • Cambio lingua

2

Archiviazione

Gestione archivi

1

  • Termina archivio

1

  • Indicizza file d'archivio

1

  • Avvio archivio

1

  • Mostra archivi attivi

2

  • Esporta archivio

1

Gestione user

Gestione utenti

  • Modifica utente

3

  • Login con dialogo

2

  • Login senza password

2

  • Esegui logout

2

  • Modifica password

2

Immagini

Selezionare e gestire immagini

  • Modifica colore sorgente ALC

1

  • Cambio immagine con variabile

1

  • Chiudi immagine

2

  • Immagine indietro

1

  • Spostare il centro dell'immagine

1

  • Cambio immagine

1

  • Focus: esegui funzione elemento

1

  • Attiva focus sul modello

1

  • Imposta focus

1

  • Elimina focus dal modello

1

  • Visualizza menù

1

  • Assegna monitor

1

  • Profilo Runtime

1

  • Chiudi modello

1

  • Finestra di controllo

1

Localizzazione errore nelle reti elettriche

  • Riconosci guasto messa a terra

1

  • Termina ricerca messa a terra

1

  • Avvia ricerca messa a terra

1

  • Riconoscimento breve messaggio

1

Message Control

Invio di messaggi (Message Control)

  • Salva coda d'attesa corrente

1

  • Sopprimi Gruppi/Classi/Aree/Strutture

1

  • Invia messaggio

1

  • Attiva invio messaggio

1

  • Disattiva invio messaggio

1

Rete

Funzionalità di rete

  • Autorizzazione di rete

1

  • Cambio ridondanza

1

Generatore di rapporti

Funzioni per i report

  • Report Generator: stampa

2

  • Report Generator: esporta

2

  • Report Generator: esegui report

2

Ricette

Gestione delle ricette

  • Manager gruppi di ricette

2

  • Ricetta Standard

2

  • Richiamo ricetta singola

2

  • Richiamo ricetta singola con selezione

2

  • Richiamo ricetta singola con selezione online

2

Script

Eseguire blocchi di funzioni (script)

  • Esegui script

1

  • Script con selezione online

2

Variabile

Funzioni per variabili

  • Esporta dati

3

  • Leggi file dBase

2

  • Stampa dei valori attuali

2

  • Cambio unità di misura

2

  • Attiva gestione HD

1

  • Disattiva gestione HD

1

  • Attiva/disattiva gestione HD

1

  • Imposta valore

1

  • Esegui comandi driver

2

  • Simulazione per immagine di processo del driver acquisita dal Server Standby

1

  • Scrivi data/ora nella variabile

1

  • Acquisisci ora dalla variabile

1

VBA

Funzioni VBA

  • Apri Editor PCE

3

  • VBA-Visualizza Editor

3

  • Lanciare Macro-VBA

3

  • VBA-Visualizza dialogo Macro

3

VSTA

Funzioni VSTA

  • Apri Editor VSTA

3

  • Lanciare Macro-VSTA

3

  • VSTA-Visualizza il dialogo delle Macro

3

Windows

  • Esegui file audio

2

  • Operazioni file

3

  • Esegui file audio continuo

1

  • Termina file audio continuo

1

  • Porta sullo sfondo

2

  • Porta in primo piano

2

  • Stampa screenshot

2

  • Esegui programma

2


Script

Manuale -> Funzioni e script -> Script

Gli script mettono insieme diverse funzioni per poi eseguirle a Runtime in una successione prestabilita. zenon mette a disposizione dell´utente anche alcuni script predefiniti.

Gli script vengono configurati o selezionati via:

  • Il nodo Script del Manager di progetto.
  • La finestra di dialogo “Seleziona funzioni e script”

Ancora in questo capitolo

Menù contestuale e barra degli strumenti - Script

Configurazione nell'Editor

Script predefiniti

Eseguire script a Runtime

Priorità in rete


Menù contestuale e barra degli strumenti - Script

Manuale -> Funzioni e script -> Script -> Menù contestuale e barra degli strumenti - Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo Script | Crea un nuovo script.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML.
Profilo Editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Barra degli strumenti della visualizzazione dettagli degli Script

Simbolo

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungi funzioni

Apre la finestra di dialogo che consente di aggiungere funzioni ad uno script.

Utilizzo script...

Apre l´analisi di progetto nella finestra principale e visualizza gli elementi con cui viene usato lo script selezionato.

Visualizza script inutilizzati

Apre l´analisi di progetto nella finestra principale e visualizza gli script non utilizzati.

Copia

Copia lo script oppure la funzione selezionati negli appunti di Windows.

Incolla

Aggiunge un elemento copiato negli appunti di Windows.

Elimina

Cancella lo script selezionato, oppure elimina dallo script la funzione selezionata.

Espandi/riduci

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

_Esporta selezione in XML

Esporta gli inserimenti selezionati in un file XML.

Importa file XML

Importa elementi da un file XML.

Modifica cella selezionata

Consente la modifica del nome di uno script. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.

Menù contestuale - Script selezionato

Parametri

Descrizione

Aggiungi funzioni

Apre la finestra di dialogo che consente di aggiungere funzioni ad uno script.

Nuovo Script

Aggiunge un nuovo script alla lista.

Crea funzione standard

Crea automaticamente una funzione standard per lo script selezionato.

Utilizzo script...

Apre l´analisi di progetto nella finestra principale e visualizza gli elementi con cui viene usato lo script selezionato.

Visualizza script inutilizzati

Apre l´analisi di progetto nella finestra principale e visualizza gli script non utilizzati.

Copia

Copia lo script oppure la funzione selezionati negli appunti di Windows.

Incolla

Aggiunge un elemento copiato negli appunti di Windows.

Elimina

Cancella lo script selezionato, oppure elimina dallo script la funzione selezionata.

Espandi/Riduci nodi

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

_Esporta selezione in XML

Esporta inserimenti selezionati in un file XML.

Importa file XML

Importa elementi da un file XML.

Modifica cella selezionata

Consente la modifica del nome di uno script. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Configurazione nell'Editor

Manuale -> Funzioni e script -> Script -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare o modificare script, cliccare sul nodo “Script” del Manager di progetto e selezionare l´azione desiderata nella barra degli strumenti, oppure nel menù contestuale.

info Info

Se si modifica il nome di uno script, i parametri delle funzioni collegate vengono cambiati in modo corrispondente. Con progetti multiutente, le funzioni vengono adeguate automaticamente dopo un richiesta di conferma (Consenti modifiche). Dopo che il nome è stato modificato, viene cambiato anche lo script.

Configurare uno script

Per configurare un nuovo script:

  1. Nel menù contestuale, oppure nella barra degli strumenti, selezionare Nuovo Script
  2. Verrà aggiunto un nuovo script alla lista.
  3. Assegnargli un nome, oppure selezionare uno script predefinito fra quelli contenuti nel menù a tendina.
  4. Aggiungere funzioni e definire il loro ordine.
    Di norma, le funzioni vengono eseguite nell´ordine in cui sono state configurate nello script.
  5. Creare una funzione per avviare lo script a Runtime.

Aggiungere funzioni e definire il loro ordine nello script.

Si possono aggiungere nuove funzioni ad uno script usando un comando; oppure si possono aggiungere funzioni già collegate o cambiare il loro ordine nello script trascinandole via Drag&Drop.

Nuova funzione

Per aggiungere una nuova funzione ad uno script usando il comando:

  1. Nel menù contestuale oppure nella barra degli strumenti, selezionare il comando Aggiungi funzioni
  2. Si apre la finestra di dialogo che consente di selezionare una o più funzioni.
  3. Selezionare le funzioni desiderate e chiudere la finestra di dialogo cliccando su OK.
  4. Le funzioni verranno aggiunte alla fine della lista di quelle già esistenti.

Azioni Drag&Drop

Per aggiungere una funzione ad uno script via Drag&Drop:

  1. Selezionare la funzione desiderata da uno script.
  2. Trascinare la funzione nella posizione desiderata:
    • Nello script sorgente: In questo caso cambierà la posizione della funzione nella successione dello script.
      Suggerimento: se, eseguendo il Drag&Drop, si tiene premuto il tasto Shift, la funzione viene copiata.
    • In un altro script: la funzione viene copiata nello script di destinazione.
      Se il nodo dello script è chiuso, la funzione viene inserita alla fine.
      Se il nodo è aperto, invece, la funzione viene inserita al posto visualizzato.
      Suggerimento: se, eseguendo il Drag&Drop, si tiene premuto il tasto Shift, la funzione viene cancellata dallo script sorgente.


Script predefiniti

Manuale -> Funzioni e script -> Script -> Script predefiniti

zenon mette a disposizione dell´utente una serie di script predefiniti. Predefinito è il comportamento di questi script a Runtime. Le funzioni da eseguire devono essere configurate individualmente.

Script

Descrizione

AUTOSTART

Nello script si configurano le informazioni che riguardano lo start a Runtime (per esempio “aprire intestazione e riga di stato”, “resettare output allarmi” ecc.).

Lo script viene eseguito automaticamente all’avvio del Runtime dopo l’apertura dell’immagine di partenza, se il progetto è stato configurato come progetto di partenza del Runtime. Lo script non viene eseguito se il progetto non è stato definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multi-gerarchica.

Attenzione: l´immagine di partenza non può essere aperta mediante lo script AUTOSTART , visto che viene definita tramite la proprietà di progetto Immagine di partenza.

Per aprire immagini parziali appartenenti ad un´immagine principale (come, ad esempio, menù specifici per determinati immagini), si definisce uno script apposito. In questo modo si garantisce che, selezionando l’immagine mediante la funzione di Cambio di immagine, il catalogo immagini o la funzione Immagine indietro, si aprano sempre anche tutte le immagini dettagli.

AUTOEND

In questo script si configurano le funzioni di termine.

Lo script viene eseguito automaticamente al momento della chiusura del Runtime se il progetto è quello di partenza del Runtime. Lo script non viene eseguito se il progetto non è stato definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multi-gerarchica.

Attenzione:

  • Le funzioni Lanciare Macro-VBA e Lanciare Macro-VSTA non vengono eseguite in script AUTOEND perché, al momento dell´esecuzione di questi script, l´interfaccia API è stata già chiusa.
    Utilizzare dunque l´evento Project.Inactive nell´API per eseguire la funzionalità corrispondente prima della chiusura del Runtime.
  • non è consentito inserire archivi ciclici nello script AUTOEND.

AUTOSTART_CLIENT

In questo script si configurano le informazioni che riguardano lo start (per esempio “aprire intestazione e riga di stato”, “resettare output allarmi” ecc.). Lo script viene eseguito automaticamente all’avvio del client a Runtime, prima dell’apertura dell’immagine di partenza sui client stesso, a condizione che il progetto è sia stato configurato come progetto di partenza del Runtime.

AUTOEND_CLIENT

In questo script si configurano le funzioni di termine.

Lo script viene eseguito automaticamente sul Client al termine del Runtime (client) sul client se il progetto è un progetto Runtime di partenza.

Attenzione:

  • Le funzioni Lanciare Macro-VBA e Lanciare Macro-VSTA non vengono eseguite in script AUTOEND perché, al momento dell´esecuzione di questi script, l´interfaccia API è stata già chiusa.
    Utilizzare dunque l´evento Project.Inactive nell´API per eseguire la funzionalità corrispondente prima della chiusura del Runtime.

AUTOSTART_SRVPRJ

Lo script viene eseguito automaticamente all'avvio del Runtime sul computer che svolge la funzione di server per il progetto e prima dell'apertura dell'immagine di partenza, indipendentemente se il progetto è stato definito come progetto di partenza oppure no, oppure se si tratta di un sottoprogetto in una rete multi gerarchica.

AUTOEND_SRVPRJ

Questo script viene eseguito automaticamente alla chiusura del Runtime sul computer che svolge la funzione di server per il progetto, indipendentemente dal fatto che il progetto sia stato definito come progetto di partenza oppure no, oppure che si tratti di un sottoprogetto in una rete multi-gerarchica.

Attenzione:

  • Le funzioni Lanciare Macro-VBA e Lanciare Macro-VSTA non vengono eseguite in script AUTOEND perché, al momento dell´esecuzione di questi script, l´interfaccia API è stata già chiusa.
    Utilizzare dunque l´evento Project.Inactive nell´API per eseguire la funzionalità corrispondente prima della chiusura del Runtime.
  • non è consentito inserire archivi ciclici nello script AUTOEND.

Per la modalità di simulazione, sono a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_SIMUL | Se il Runtime viene avviato in modalità di simulazione, viene eseguito automaticamente lo script AUTOSTART_SIMUL, se è stato configurato. Nota: questo vale anche per la modalità di riproduzione del modulo Process Recorder.
AUTOEND_SIMUL | Se il Runtime chiude la modalità di simulazione, viene eseguito automaticamente lo script AUTOEND_SIMUL, se è stato configurato. Nota: questo vale anche per la modalità di riproduzione del modulo Process Recorder.

Per l´HTML Web Engine sono a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_HTML_WEBCLIENT | Questo script viene eseguito all´inizio di una sessione di ogni HTML Web Client.


Eseguire script a Runtime

Manuale -> Funzioni e script -> Script -> Eseguire script a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli script possono essere avviati a Runtime tramite funzioni. zenon mette a disposizione due funzioni per avviare l´esecuzione di script:

  • Esegui script: esegue a Runtime uno script predefinito nell´Editor.
  • Script con selezione online: consente di selezionare a Runtime lo script da eseguire.

Per configurare una funzione da usare per eseguire uno script:

  1. Nel menù contestuale del nodo Funzioni del Manager di progetto, selezionare la voce Nuova Funzione...
  2. Si apre la finestra di dialogo che consente di selezionare funzioni.
  3. Passare al nodo Script.
  4. Selezionare la funzione desiderata:
    1. Esegui script, per eseguire direttamente lo script selezionato in questa finestra di dialogo.
    2. Script con selezione online per consentire la selezione a Runtime dello script da eseguire.
  5. Confermare la configurazione cliccando su OK.

Finestra di dialogo - Selezione script

Parametri | Descrizione
Lista progetti (a sinistra) | Scelta del progetto dal quale deve essere selezionato lo script. Nota: se si seleziona uno script da un progetto differente da quello attuale, bisogna assicurarsi che questo progetto sia disponibile a Runtime.
Lista script (a destra) | Selezione dello script. Si può collegare solo uno script. Si può creare e modificare script usando la barra degli strumenti e il menù contestuale. I nuovi script e le modifiche a quelli esistenti vengono salvati immediatamente. L´ordine delle funzioni di uno script può essere modificato via Drag&Drop.
Nessuna selezione | Cancella un collegamento esistente e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo. Quando viene eseguita la funzione Esegui script a Runtime, viene avviato lo script selezionato. Quando viene eseguita la funzione Script con selezione online a Runtime, viene aperta questa finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Barra degli strumenti e menù contestuale

Simbolo/Comando

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungi funzioni

Apre la finestra di dialogo che consente di aggiungere funzioni ad uno script.

Copia

Copia lo script selezionato negli appunti.

Incolla

Inserisce lo script salvato negli appunti.

Espandi/riduci

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata (solo barra degli strumenti)

Consente la modifica del nome di uno script. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.

Sostituisci testo nella colonna selezionata. (solo barra degli strumenti).

Apre la finestra di dialogo per la ricerca e la sostituzione di testi nella colonna attualmente selezionata.

Script nella rete

Quando la rete è attiva, si può stabilire tramite le proprietà del gruppo Esecuzione: su quale computer della rete debba essere eseguito un determinato script.

info Info

Tenere presenti le priorità di esecuzione degli script in rete


Priorità in rete

Manuale -> Funzioni e script -> Script -> Priorità in rete

Quando la rete è attiva e una funzione è selezionata, si può stabilire tramite le proprietà del nodo Esecuzione: dove debba essere eseguito un determinato script:

  • PC attuale
  • Client
  • Server
  • Standby

Questo luogo di esecuzione vale anche per tutte le funzioni raccolte nello script. Le funzioni cui originariamente era stato assegnato un altro luogo di esecuzione, riprendono il nuovo luogo di esecuzione definito in questa sede.

Esempio 1: PC attuale

  • La funzione 1 è stata definita con luogo di esecuzione Server.
  • La funzione 2 è stata definita con luogo di esecuzione Client.
  • Per la funzione Esegui script è stato configurato il PC attuale.
  • Conseguenza: entrambe le funzioni verranno eseguite esattamente sul computer su cui viene eseguita la funzione Esegui script. Questo computer può essere un client, un server o uno Server-Standby.

Esempio 2: client “contro” server.

  • Lo script contiene due funzioni per cui è stato configurato Client come luogo di esecuzione.
  • Per la funzione Esegui script, è stato configurato Server.
  • Conseguenza: entrambe le funzioni verranno eseguite sul server, indipendentemente da qual è il calcolatore su cui viene avviata la funzione Esegui script.

Esempio 3: comandi driver:

I comandi driver vengono eseguiti di default sul server e sul Server-Standby. Se viene avviato uno script con comandi driver sul client:

  • La funzione “comandi driver” verrà avviata sul client.
  • Il driver verrà terminato sul server dopo l´esecuzione dello script.


Finestra di dialogo: selezione funzioni e script

Manuale -> Funzioni e script -> Finestra di dialogo: selezione funzioni e script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una finestra di dialogo apposita consente di configurare singoli script e funzioni per molte funzioni in finestre di dialogo, proprietà ed elementi dinamici. La configurazione di funzioni multiple viene eseguita mediante finestre di dialogo proprie.
La finestra di dialogo per la selezione di funzioni e script viene aperta per:

  • Configurazione archivi/scheda Runtime: esegui funzione per start archivio o fine archivio.
  • Combo box/list box: ogni elemento che ha funzioni proprie.
  • Finestre di dialogo: tutte le proprietà con funzioni.
  • Elementi dinamici: tutte le proprietà con funzioni e doppio clic su un elemento dinamico.
  • Matrici di reazione: funzione
  • Sostituisci collegamenti: sostituisci dialogo funzione
  • WPF: proprietà eventi.

La finestra di dialogo offre la possibilità di selezionare funzioni e di configurare script:

  • Scelta funzioni: selezione di una funzione esistente, oppure creazione di una nuova funzione.
  • Selezione script: selezione di uno script esistente, oppure creazione di un nuovo script, e assegnazione di una funzione Esegui script.

Ancora in questo capitolo

Scelta funzioni

Selezione script


Scelta funzioni

Manuale -> Funzioni e script -> Finestra di dialogo: selezione funzioni e script -> Scelta funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione e configurazione di funzioni che devono essere collegate.

Per selezionare una funzione:

  1. Selezionare il progetto che contiene la funzione.

    Nota: quando si usa un progetto diverso da quello attuale, si deve far attenzione che esso sia effettivamente disponibile a Runtime.

  2. Selezionare la funzione desiderata.
    Se necessario, si possono creare nuove funzioni o si possono copiare funzioni già esistenti usando la barra degli strumenti e il menù contestuale.
  3. Confermare la selezione cliccando su OK.

Finestra di dialogo “Seleziona funzioni”

Parametri

Descrizione

Lista progetti (a sinistra)

Selezione del progetto dal quale deve essere selezionata la funzione.

Nota: quando si selezionano funzioni di un progetto diverso da quello attuale, ci si deve assicurare che questo processo sia disponibile a Runtime.

Lista funzioni (a destra)

Selezione della funzione. Si può collegare solo una funzione. Quando si seleziona più di una funzione, verrà collegata quella selezionata per ultima.

Le funzioni possono essere create e modificate usando la barra degli strumenti e il menù contestuale. Le nuove funzioni e le modifiche a quelle esistenti vengono salvati immediatamente.

OK

Collega la funzione selezionata e chiude la finestra di dialogo.

Annulla

Chiude la finestra di dialogo senza collegare nessuna funzione.

Guida

Apre la guida.

Nessuna selezione

Cancella un collegamento esistente e chiude la finestra di dialogo.

Barra degli strumenti e menù contestuale

Simbolo/Comando | Descrizione
Nuova funzione | Inserisce una nuova funzione alla lista.
Copia | Copia la funzione selezionata negli appunti.
Incolla | Aggiunge una funzione salvata negli appunti.


Selezione script

Manuale -> Funzioni e script -> Finestra di dialogo: selezione funzioni e script -> Selezione script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione e configurazione degli script che devono essere collegati, e assegnazione della funzione Esegui script.

Per selezionare uno script:

  1. Selezionare il progetto contenente lo script.

    Nota: quando si usa un progetto diverso da quello attuale, si deve far attenzione che questo progetto sia effettivamente disponibile a Runtime.

  2. Selezionare lo script desiderato.
  3. Se necessario, modificarlo.
    Usando i comandi del menù contestuale e della barra degli strumenti, si possono creare nuovi script, aggiungere delle funzioni e copiare o rinominare gli script.
  4. Confermare la selezione cliccando su OK.

Finestra di dialogo “Selezione script”

Parametri

Descrizione

Lista progetti (a sinistra)

Selezione del progetto nel quale si vuole scegliere uno script.

Nota: se si seleziona uno script da un progetto diverso da quello attuale, ci si deve assicurare che questo progetto sia effettivamente disponibile a Runtime.

Lista script (a destra)

Selezione dello script. Si può collegare solo uno script.

Si può creare e modificare uno script usando la barra degli strumenti e il menù contestuale. I nuovi script e le modifiche a quelli esistenti vengono salvati immediatamente.

Le funzioni di uno script possono essere riordinate via Drag&Drop.

Funzione: Esegui script

Selezione della funzione che deve eseguire lo script selezionato fra quelle contenute nel menù a tendina.

Quest´ultimo contiene tutte le funzioni già definite che possono eseguire lo script selezionato. Si può indicare nel campo di inserimento il nome di una nuova funzione per l´esecuzione dello script.

OK

Accetta il nome selezionato o quello nuovo impostato per la funzione Esegui script, collega lo script selezionato e chiude la finestra di dialogo.

Annulla

Chiude la finestra di dialogo senza collegare uno script.

Guida

Apre la guida.

Nessuna selezione

Cancella un collegamento esistente e chiude la finestra di dialogo.

Barra degli strumenti e menù contestuale

Simbolo/Comando

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungi funzioni

Apre la finestra di dialogo che consente di aggiungere funzioni ad uno script.

Copia

Copia lo script selezionato negli appunti.

Incolla

Inserisce lo script salvato negli appunti.

Espandi/riduci

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata (solo barra degli strumenti)

Consente la modifica del nome di uno script. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.

Sostituisci testo nella colonna selezionata. (solo barra degli strumenti).

Apre la finestra di dialogo per la ricerca e la sostituzione di testi nella colonna attualmente selezionata.


Gestione allarmi

Manuale -> Gestione allarmi

La “Gestione allarmi” fornisce delle informazioni relative al verificarsi di errori come, per esempio, la violazione di un valore limite. La gestione allarmi è composta da:

  1. Barra di stato allarmi:
    Barra di informazione, visualizzata a Runtime sempre in primo piano, contenente (a seconda delle impostazioni eseguite in fase di configurazione) l´allarme non ripristinato più recente o più vecchio.
  2. Lista allarmi (AML):
    Gestione degli allarmi a Runtime in una lista. La AML:
    • Visualizza gli allarmi e le loro cause in una lista, che può essere filtrata o meno.
    • Consente di localizzare la causa dell´allarme.
    • Consente il ripristino di allarmi.
    • Consente di cancellare allarmi.
    • Consente di stampare e salvare allarmi.

La configurazione degli allarmi avviene mediante:

  • L´impostazione di valori limite per le variabili.
  • Matrici di reazione.
  • Le proprietà degli allarmi.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Configurare allarmi

Gestione a Runtime


Configurare allarmi

Manuale -> Gestione allarmi -> Configurare allarmi

A Runtime, l´operatore accede alla “Gestione allarmi” tramite immagini di tipo Lista di informazione allarmi e Filtro Lista di informazione allarmi, e mediante la barra di stato allarmi. La barra di stato allarmi viene impostata automaticamente come modello.

Editor

Per poter gestire degli allarmi a Runtime, nell´Editor:

  • Deve essere configurata un´immagine di tipo Lista di informazione allarmi
  • Devono essere definite violazioni di valori limite di variabili o matrici di reazione

Inoltre si può:

  • Configurare allarmi usando filtri.
  • Raggruppare allarmi.
  • Personalizzare i filtri disponibili a Runtime usando un´immagine di tipo Filtro Lista di informazione allarmi

Runtime

Per la gestione a Runtime si usano:

  • Funzione di cambio immagine per immagine di tipo AML.
  • Funzione di cambio immagine per immagine di tipo Filtro AML.
  • Le funzioni di allarme di zenon.
  • L´immagine di tipo “Filtro Lista di informazione allarmi”
  • Barra di stato allarmi

Ancora in questo capitolo

Creare un´immagine di tipo “Lista di informazione allarmi”

Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Creare allarmi

Gestione allarmi

Raggruppamento di allarmi

Classi di allarme e aree di allarme nel progetto globale e nei progetti locali

Configurazione degli allarmi mediante filtri

Funzioni


Creare un´immagine di tipo “Lista di informazione allarmi”

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Lista di informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine di tipo “Lista di informazione allarmi”

L´immagine di tipo "Lista di informazione allarmi" consente di visualizzare e di protocollare a Runtime gli allarmi in attesa e gli allarmi usciti. La visualizzazione può essere modificata applicando filtri. Sono disponibili delle funzioni che consentono poi di esportare e stampare gli allarmi visualizzati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Lista di informazione allarmi.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Modificare l´aspetto della AML


Elementi di controllo

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Lista di informazione allarmi” -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci template

Parametri | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Nota: per elementi di controllo di tipo Collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Elementi di controllo

Finestra

Elemento di controllo

Descrizione

Finestra

Visualizzazione a Runtime.

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto della lista è configurabile. Le colonne da visualizzare vengono definite tramite il filtro “Impostazioni colonne” quando si configura la funzione di cambio immagine.

Tramite la proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi delle proprietà di progetto si definiscono le impostazioni per l´esportazione in CSV, XML e DBF. I valori impostati in questa sede servono anche da impostazioni preliminari per la funzione di cambio immagine.

Filtro inserito

Visualizzazione delle condizioni di filtro applicate al momento.

Stato

Visualizza se la “Lista di informazione allarmi” è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).

Quantità totale

Visualizza il numero complessivo degli allarmi.

Allarmi non ripristinati

Visualizza la quantità degli allarmi non ripristinati.

Funzioni lista

Elemento di controllo | Descrizione
Funzioni lista | Pulsanti per la gestione delle liste.
Filtro | Apre la finestra di dialogo che consente di selezionare il filtro.
Stop/Avanti | Pulsante per popolare la lista: Stop: non vengono più aggiunti automaticamente nuovi elementi alla lista. Avanti: vengono aggiunti automaticamente nuovi elementi alla lista. Attenzione: è possibile modificare la didascalia di questo pulsante nell´Editor, ma la modifica non verrà applicata a Runtime. Modifiche alla didascalia possono essere effettuate in fase di configurazione della funzione di cambio lingua.
Stampa | Stampa la lista filtrata.
Dialogo di stampa | Prima di eseguire la stampa, apre la finestra di dialogo di configurazione delle impostazioni della stampa.

Funzioni d´allarme

Elemento di controllo

Descrizione

Funzioni d'allarme

Pulsanti per ripristinare e cancellare allarmi.

Ripristina

Ripristina messaggi di allarme a Runtime.

Ripristina pagine

Vengono ripristinati tutti gli allarmi visualizzati nella corrente pagina.

Ripristina tutti

Vengono ripristinati tutti gli allarmi corrispondenti al criterio di filtro applicato al momento.

Nota per i progetti multi-user: vengono ripristinati solamente gli allarmi di quel progetto per il quale l´utente ha l´autorizzazione operativa. (Per i dettagli riguardanti i progetti multi-user, si veda il capitolo Progettazione distribuita)

Riconosci visualizzati

La visualizzazione degli allarmi selezionati viene ripristinata.

Riconosci visualizzati e riconosci

Viene riconosciuta la visualizzazione degli allarmi selezionati, e poi questi ultimi vengono ripristinati.

Elimina

Cancella allarme dalla lista allarmi a Runtime. L´allarme deve essere già stato ripristinato.

Elimina pagina

Cancella tutti gli allarmi ripristinati visualizzati sulla pagina corrente.

Elimina tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro applicato al momento.

Funzione collegata (Visualizzazione)

Visualizza la funzione assegnata alla segnalazione d´allarme.

Esegui funzione

Esegue a Runtime la funzione configurata per l´allarme.

Nota: nel caso della funzione Esegui programma, il nome della variabile dell´allarme selezionato può essere assegnato come parametro per il programma da lanciare, usando la parola chiave @alarm.name.

Apri Guida...

Apre la guida configurata.

Visualizza

Stato e elementi della gestione allarmi.

Commento

Inserimento da parte dell´utente di un testo liberamente configurabile riguardante l´allarme selezionato.

Lunghezza massima: 79 caratteri.

Anche questo testo può essere visualizzato nella lista. Per farlo, attivare l´opzione Commento (segno di spunta nella casella corrispondente) nelle Impostazioni colonne della gestione allarmi .

Il campo di inserimento per il commento è un elemento di tipo Collega testo. Per questo elemento di controllo, la proprietà Imposta valore attivo è attivata automaticamente durante la configurazione. Inoltre, la proprietà Imposta valore tramite viene settata sul valore Elemento.

Le modifiche ai commenti possono essere documentate attivando la proprietà Commenti d'allarme.

Selezione causa d'allarme...

Apre la finestra di dialogo che consente di selezionare una causa di allarme.

Tramite questa finestra di dialogo si può assegnare all´allarme selezionato nella Lista di informazione allarmi una causa di allarme.

Nota: non attivo se non è stato selezionato nessun inserimento nella lista di informazione allarmi.

Si veda anche capitolo Cause d´allarme.

Navigazione

Elemento di controllo | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Scorre una riga verso l´alto.
Riga in giù | Scorre una riga verso il basso.
Colonna a destra | Scorre alla colonna immediatamente a destra.
Colonna a sinistra | Scorre alla colonna immediatamente a sinistra.
Pagina in su | Scorre una pagina verso l´alto.
Pagina in giù | Scorre una pagina verso il basso.
Pagina a destra | Scorre alla pagina immediatamente a destra.
Pagina a sinistra | Scorre alla pagina immediatamente a sinistra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Stato | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Quantità totale | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Allarmi non ripristinati | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Funzione collegata (Visualizzazione) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Commento | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: usare la funzione Chiudi modello per chiudere i modelli. Perché, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve usare per l´immagine di tipo AML un modello proprio.

Profili filtro

Elemento di controllo | Descrizione
Profili filtro | Pulsanti per impostazioni filtro a Runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.

info Info

Nell´elemento di controllo Mostra filtro viene visualizzato il filtro usato al momento.

Quando si tratta di:

  • Filtro di testo: viene visualizzata l´espressione [Txt]
  • Filtro di tempo relativo: viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Modificare l´aspetto della AML

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Lista di informazione allarmi” -> Modificare l´aspetto della AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione tabellare della “Lista di informazione allarmi” può essere personalizzata.

Barre di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto delle barre di scorrimento, dell´intestazione e di una griglia per la tabella:

  1. Nel gruppo Visualizzazione, attivare la proprietà Funzionalità grafiche avanzate.
  2. Configurare le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia.

info Info

Se per la proprietà Stile di visualizzazione si seleziona l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, verranno visualizzati con un effetto di riempimento. Per gli elementi di controllo delle liste, non si possono usare grafiche trasparenti.

Ordinamento a Runtime

Per contrassegnare a Runtime la colonna rilevante per l´ordinamento e stabilire la successione in cui quest´ultimo deve essere eseguito, devono essere progettati degli elementi grafici per l´intestazione:

  1. Selezionare per la proprietà Stile di visualizzazione (gruppo “Intestazione e griglia” delle proprietà dell´elemento) il valore File grafico.
  2. Collegare le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico.

    A Runtime, la grafica selezionata per la rispettiva direzione di ordinamento verrà visualizzata nella colonna rilevante per l´ordinamento stesso.

    • Cliccando sulla grafica, si modificherà la successione di ordinamento
    • Per ordinare una colonna, bisogna cliccare sulla sua intestazione.

Gestire l´intestazione a Runtime

È possibile consentire agli utenti di gestire l´intestazione a Runtime. In questo modo sarà possibile per gli operatori personalizzare l´aspetto della visualizzazione a Runtime:

  • Spostare colonne via Drag&Drop.
  • Modificare la larghezza colonne usando il mouse.
  • Modificare l´ordine degli inserimenti.

Per farlo, usare le proprietà:

  • Posizione colonne fissa: dalla configurazione di questa proprietà dipende se è possibile o meno modificare la larghezza o spostare le colonne di una tabella a Runtime usando il mouse.
    • Attiva: non è possibile spostare le colonne o modificare la loro larghezza via Drag&Drop.
    • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.
  • Blocca ordinamento: dalla configurazione di questa proprietà dipende se è possibile o meno ordinare le colonne della tabella a Runtime.
    • Attiva: la tabella non può essere ordinata a Runtime.
    • Non attiva: la tabella può essere ordinata cliccando sull´intestazione.

Nota: per poter configurare queste proprietà, si deve selezionare l´opzione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi delle proprietà di progetto. Le alternative per questa proprietà sono “Nessuna intestazione” (non verrà visualizzata nessuna intestazione), oppure “Intestazione fissa” (non si potrà gestire l´intestazione a Runtime). Queste impostazioni valgono per tutte le intestazioni del progetto.

Anteprima

Un´anteprima dell´intestazione e delle barre di scorrimento viene visualizzata nell´Editor quando si attiva la proprietà Funzionalità grafiche avanzate (gruppo “Visualizzazione” delle proprietà dell´elemento). Così diventa molto semplice configurare i dettagli, come colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde a quella a Runtime, la dimensione complessiva della lista nell´Editor può divergere da quella a Runtime. Questo vale anche per le dimensioni e per il carattere dell´intestazione.


Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo “Filtro Lista di informazione allarmi” consente di modificare e personalizzare a Runtime le impostazioni di filtro per la Lista di informazione allarmi. Vengono configurati e resi accessibili all´operatore solamente i filtri realmente necessari. La visualizzazione può essere definita liberamente e, in questo modo, può essere adeguata ai differenti dispositivi destinatari. Possono essere configurate anche tutte le impostazioni di filtro contenute nel Filtro per la funzione di cambio ad un´immagine di tipo Lista di informazione allarmi.

In questo modo:

  • Vengono configurati e resi accessibili all´utente solamente gli elementi di filtro realmente necessari.
  • Vengono visualizzati solo questi filtri, consentendo all´operatore una visione d´insieme migliore.
  • È possibile definire liberamente l´aspetto della lista a Runtime e rendere così possibile, per esempio, una facile gestione via touch screen.

Per i dettagli relativi alla gestione a Runtime, si veda il capitolo Lista allarmi - “Usare filtri”.

Per la definizione dei criteri di filtro, si veda il capitolo Filtri - Filtro per lista informazione allarmi.

attention Attenzione

Le immagini di tipo Filtro Lista informazioni allarmi, Filtro CEL e Filtro tempo devono essere progettate con un modello proprio. Se usano lo stesso modello di altre immagini, infatti, a Runtime alla chiusura dell´immagine saranno chiuse anche tutte le immagini basate su questo modello.

Creare un´immagine di tipo "Filtro per lista informazione allarmi".

L´immagine di tipo Filtro per lista informazione allarmi serve a [descrizione].

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine selezionare Filtro lista informazione allarmi.
    3. Select the desired frame in the Modello property.
      Nota: l´immagine Filtro AML non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Modelli

Nomi predefiniti

Immagini filtro


Elementi di controllo

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo “Filtro per lista informazione allarmi” può contenere i seguenti elementi di controllo e visualizzazione.

Inserisci template

Elemento di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative ai template per questo tipo di immagine si trovano nel capitolo Modelli.

Filtro generale

Menù a tendina con diversi filtri generali.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro generale

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale.

Inserisci tutti gli elementi: Filtro generale (Touch)

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale. Gli elementi sono stati ottimizzati per la gestione touch.

Variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome

Filtro per nome variabili.
  • Descrizione

Filtro per identificazione variabili.
  • Rispetta minuscolo/maiuscolo

Si tiene conto della scrittura in lettere maiuscole o minuscole nell´eseguire il filtro delle variabili.

Tipo di allarme

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

Solo allarmi non riconosciuti
  • Solo allarmi rientrati

Solo allarmi rientrati
  • Solo allarmi pendenti

Solo allarmi in attesa.
  • Commento richiesto

Allarmi per il cui ripristino è obbligatorio scrivere un commento.
  • Causa d'allarme richiesta

Allarmi il cui ripristino richiede il collegamento di una causa allarme.

Tempo minimo di presenza allarmi

Tempo minimo in cui gli allarmi devono essere in attesa.
  • Giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.
  • Ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.
  • Minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.
  • Secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.
  • Millisecondi

Solo allarmi che sono in attesa perlomeno dal numero di millisecondi indicato.

Tempo minimo di presenza allarmi (Touch)

Elementi di configurazione del tempo minimo previsto per allarmi in attesa, ottimizzati per la gestione su touch screen.

  • Button: Giorni (up)
  • Touchbox: Giorni
  • Button: Giorni (down)
  • Button: Ore (up)
  • Touchbox: Ore
  • Button: Ore (down)
  • Button: Minuti (up)
  • Touchbox: Minuti
  • Button: Minuti (down)
  • Button: Secondi (up)
  • Touchbox: Secondi
  • Button: Secondi (down)
  • Button: Millisecondi (up)
  • Touchbox: Millisecondi
  • Button: Millisecondi (down)

Sorgente dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Dallo storico allarmi.
  • Numero massimo (Input field)

Inserimento del numero massimo degli allarmi da visualizzare in caso di visualizzazione di allarmi storici.

0: visualizza tutti gli allarmi.

Gruppi/Classi - allarmi/eventi, aree d´allarme

Campo lista per visualizzazione raggruppata:
  • Gruppi di allarme/eventi

Gruppi di allarme/eventi
  • Classi di allarme/eventi

Classi di allarme/eventi
  • Aree allarmi

Aree allarmi
Nota: Se è attiva l´opzione Utilizza gestione allarmi gerarchici della progettazione impianto (gruppo “Gestione allarmi” delle proprietà della variabile), la colonna "Area allarmi" sarà vuota.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

Variabili

  • Nome
  • Identificazione

Tipi di allarme

  • Solo allarmi non ripristinati
  • Solo allarmi rientrati
  • Solo allarmi pendenti
  • Commento richiesto

Sorgente dati

  • Buffer circolare
  • Dati storici
  • Numero massimo (Input field)

Filtro tempo.

Elementi per il filtro tempo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Apre il menù a tendina che consente di selezionare elementi predefiniti per determinati intervalli di tempo.

Periodo assoluto - visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Periodo assoluto - visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Tempo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo di tempo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato, in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di tempo di 15, 30 o 60 minuti.

Intervallo di tempo - un giorno

Elementi per un periodo di tempo di un giorno.

Intervallo di tempo - 1 o 2 settimane

Elementi per un periodo di tempo della durata di una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nella visualizzazione per due settimane, viene selezionato un intervallo di tempo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo di tempo - un mese

Elementi per un periodo di tempo di un mese.

Intervallo di tempo - un anno

Elementi per un periodo di tempo di un anno.

Inserisci tutti (Touch)

Apre il ,menù a tendina che consente di selezionare elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione su touch screen. In modo analogo a quanto visto per la voce di menù Inserisci tutti gli elementi, sono a disposizione:

  • Periodo assoluto - visualizzazione classica
  • Tempo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo - 15/30/60 minuti
  • Intervallo tempo - un giorno
  • Intervallo di tempo - 1 o 2 settimane
  • Intervallo di tempo - un mese
  • Intervallo di tempo - un anno

Tipo filtro tempo impostato (Visualizzazione)

Elemento di tipo Collega testo per la visualizzazione del tipo di filtro tempo impostato.

Tipo filtro tempo (didascalia)

Didascalia del tipo di filtro tempo.

Filtro tempo (Combobox)

Combobox per filtro tempo.

Tipo filtro tempo (Radiogroup)

Elementi di commutazione che nascondono o mostrano determinati elementi a Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Dal Giorno, Mese - HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Da HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo di tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Tempo di inizio (didascalia)
  • Tempo di inizio (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Button: up)
  • Dall'anno (Touchbox)
  • Dall'anno (Button: down)
  • Dal mese (didascalia)
  • Dal mese (Button: up)
  • Dal mese (Touchbox)
  • Dal mese (Button: down)
  • Settimana (didascalia)
  • Settimana (Button: up)
  • Settimana (Touchbox)
  • Settimana (Button: up)
  • Dal giorno (didascalia)
  • Dal giorno (Button: up)
  • Dal giorno (Touchbox)
  • Dal giorno (Button: down)
  • Tempo di inizio (didascalia)
  • Orario di inizio (Button: up)
  • Orario di inizio (Touchbox)
  • Orario di inizio (Button: down)

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili. Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

  • Tipo filtro tempo (Radiogroup)
    Elementi di controllo Win32 di tipo pulsanti di opzione . È stato sostituito da elementi di commutazione. Per la descrizione, si vedano gli elementi attuali.
  • Tipo filtro tempo impostato (Visualizzazione)
    Elemento di controllo Win32 statico. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Filtro lotto.

Elementi per la selezione lotti a Runtime.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Tutti gli elementi

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Applica filtro tempo su lista lotti

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base dei nomi lotto.

Disattivato se l´elemento di controllo Filtro nome lotto non esiste.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Stato della lista archivi
  • Stato della lista Lotti
  • Filtro nome lotto (Campo testo)

Filtro testo

Menù a tendina di diversi filtri testo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per il filtro testo.

Nessun filtro testo

Pulsante di opzione per deselezionare filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivare la ricerca.

Label: Testo da cercare

Didascalia per campo ricerca.

Input field: Testo da cercare

Campo per inserimento per i criteri di ricerca.

Opzioni.

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.
  • Trova parole incomplete

Il sistema cerca anche frammenti di testo.
  • Almeno una parola deve esistere

Almeno uno di più criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

  • Nessun filtro testo
  • Trova (parole separate da uno spazio)
  • Input field: Testo da cercare
  • Rispetta minuscolo/maiuscolo
  • Trova parole incomplete
  • Almeno una parola deve esistere
  • Tutte le parole del testo devono esistere
  • L'intero testo deve coincidere

Pulsanti

Pulsanti a Runtime.

Ok

Pulsante: applica le impostazioni di filtro e chiude l´immagine.

Nota relativa ai Faceplate: nei faceplate possono essere usate immagini di tipo Filtro AML, Filtro CEL e Filtro tempo/lotto. Quando si configurano le immagini a Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccare su Applica.

Annulla

Pulsante: termina la configurazione delle impostazioni di filtro.

Applica

Pulsante: applica le impostazioni di filtro.

Aggiorna

Pulsante: aggiorna la visualizzazione filtrata.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

  • Apri lista bloccata


Modelli

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Template | Descrizione
Campo lista Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Visualizza l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge elementi standard.
Scada | Modelli speciali, ottimizzati per uso mouse.
Solo filtro variabili & filtro testo | Aggiunge elementi di controllo per eseguire il filtro per variabili e testo.
Senza gruppi allarmi. | Aggiunge elementi di controllo per eseguire il filtro per “variabili”, “testo” e “tempo minimo di presenza allarmi”, senza gruppi allarme.
Standard | Aggiunge elementi di controllo standard.
Filtri variabili, testo & tempo | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e tempo.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (assoluto - compatto) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & tempo (assoluto) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Elimina elementi d'immagine esistenti | Attivo: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Applica | Inserisce gli elementi del modello selezionato nell´immagine e chiude la finestra di dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Nomi predefiniti

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i filtri tempo sono disponibili nomi predefiniti.

Attenzione: i nomi predefiniti non sono disponibili con Windows CE.

Per selezionare un nome:

  1. Nella visualizzazione dettagli, definire Filtro tempo, Filtro CEL oppure Filtro lista informazioni allarmi come tipo di immagine.
  2. Nella colonna “Nome”, cliccare due volte sul campo corrispondente all´immagine selezionata.
  3. Selezionare il nome predefinito desiderato fra quelli offerti del menù a tendina.
    • AML_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Immagini filtro

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini filtro consentono di trasferire un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene applicato all´immagine di destinazione. Le immagini possono essere anche di tipi diversi.

attention Attenzione

Perché a Runtime il tempo possa essere acquisito dall´immagine che apre, quando si configura il filtro tempo della funzione di cambio immagine per la Lista di informazione allarmi o per la Lista Eventi Cronologica, si deve impostare il seguente intervallo di tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Perché vengano applicati i filtri impostati, devono essere soddisfatti i seguenti requisiti:

  1. Come intervallo di tempo per il filtro tempo, deve essere selezionato Imposta filtro come filtro temporale.
  2. L´immagine (di tipo Filtro per lista informazione allarmi, Filtro CEL oppure Filtro tempo/lotto) deve essere richiamata usando un pulsante oppure un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Questo è possibile solamente se le due immagini non utilizzano o lo stesso modello o lo stesso monitor.
  4. L´immagine chiamante deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo.
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo. | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: vengono attualizzate le impostazioni comuni.
  • T: vengono aggiornate le impostazioni temporali.
  • X: vengono aggiornate tutte le impostazioni.

info Info

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni dei punti da 1 a 3 non è soddisfatta, oppure
  • L´impostazione Immagine chiamante della funzione Cambio immagine non è attiva, oppure
  • L´immagine non viene aperta mediante un elemento ad immagine.

In questo caso, i pulsanti Acquisisci, Chiudi e Aggiorna saranno visualizzati in color grigio (disattivati) e non saranno utilizzabili.


Creare allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Creare allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi possono essere definiti tramite:

  • Valori limite e stati delle variabili.
  • Matrici di reazione.

Creare allarmi tramite variabili

Configurare valori limite per le variabili (al proposito, si veda il capitolo Valori limite della parte della guida dedicata alle Variabili). Se questi valori vengono violati a Runtime, viene generato un allarme che verrà visualizzato nella Barra di stato allarmi. Ulteriori proprietà degli allarmi si configurano mediante:

  • Le proprietà delle variabili del gruppo Valori limiti e quelle dei suoi sottogruppi relativi ai singoli valori limite impostati:
    • Come allarme: l´allarme viene incluso nella AML. Quando e in quale forma l´allarme verrà visualizzato nella AML, si definisce a Runtime tramite la Lista di informazione allarmi, oppure un Filtro lista informazione allarmi.
    • Con ripristino: l´allarme deve essere ripristinato prima di essere eliminato dal Buffer circolare.
    • Riconoscimento a due stadi: l´allarme deve essere cancellato manualmente prima di essere eliminato dal Buffer circolare.
    • Stampa: stampa l´allarme su una stampante definita in precedenza. Il sistema stampa o la CEL o la AML. Per definire quale delle due liste deve essere stampata, utilizzare la voce Stampa per delle proprietà di progetto (gruppo “AML e CEL”).
    • Gruppo allarmi/eventi: assegnazione di un Gruppo allarmi/eventi.
    • Classe allarmi/eventi: assegnazione di una Classe allarmi/eventi.
  • Proprietà delle variabili del gruppoGestione allarmi:
    • Area allarme_n: assegnazione di una Area allarme.
    • Variabile di riconoscimento: al momento del ripristino dell´allarme, scrive il valore 0 o 1 sulla variabile definita in questa sede.
    • Ripristina valore: valore scritto dalla variabile definita in Variabile di riconoscimento.
    • Salva nel database IPA: l´allarme può essere analizzato nell´Industrial Performance Analyzer.
  • Proprietà di progetto del gruppoAML e CEL:
    • Seleziona con cornice: a Runtime, le righe selezionate vengono messe in evidenza mediante una cornice.
    • Stesso commento: i commenti inseriti a Runtime in relazione ad un determinato allarme, vengono ripresi nella CEL.
    • Stampa attiva: attiva la stampa online.
    • Stampa per: stabilisce se la stampa online deve essere eseguita per la AML o la CEL.
  • Proprietà di progetto del gruppo: Lista di informazione allarmi

    In questo gruppo ci sono molte proprietà per la configurazione degli allarmi. Queste proprietà riguardano:

    • Attivazione della AML.
    • Cartella salvataggio AML
    • Segnalazione degli stati degli allarmi
    • Attivazione della barra di stato allarmi

    Per i dettagli relativi alle singole impostazioni, si veda l´embedded Help, cliccando direttamente sulle singole proprietà.

Definizione degli allarmi tramite matrici di reazione

Con una matrice di reazione si analizzano determinati stati dei valori limite e bit di stato (a questo proposito si veda il capitolo Matrici di reazione della parte della guida dedicata alle Variabili). La violazione delle regole definite causa l´attivazione di un allarme. Come nel caso delle variabili, anche per le matrici di reazione è possibile definire direttamente il comportamento del sistema in caso di allarmi. Per farlo, è necessario attivare le proprietà corrispondenti nel dialogo di configurazione delle matrici di reazione.


Gestione allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena si verificano, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella Runtime. Il buffer circolare è una memoria volatile, da cui gli allarmi vengono rimossi sulla base di regole definite. L´AML, invece, salva allarmi e informazioni importanti in modo permanente.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione riguarda:

  • Tempo ricevuto in millisecondi, come firma univoca.
  • Altre informazioni, come causa, valori ecc.
  • Tempo di uscita
  • Riconoscimento

Regole di cancellazione dal buffer circolare:

  • Non appena l´allarme rientra, viene cancellato dal buffer circolare.
  • Se è stata attivata la proprietà Con ripristino, l´allarme dovrà essere prima ripristinato da un utente autorizzato a farlo, e solo dopo sarà rimosso dal buffer circolare. Quando si ripristinano allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi di una variabile con la stessa violazione di valore limite.
  • Se la proprietà Riconoscimento a due stadi è attiva, la cancellazione dal buffer circolare deve essere espressamente confermata da un utente autorizzato a farlo.
    Esempio: l´allarme è uscito ed è stato ripristinato dall´operatore. Rimane tuttavia nel buffer circolare finché la sua cancellazione non sarà stata confermata.

Nota: gli inserimenti non vengono cancellati mai dalla AML; ne viene documentato solamente lo stato.

Dimensione del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti; la configurazione della dimensione del buffer viene impostata nelle proprietà di progetto, tramite la proprietà Dimensione buffer circolare (gruppo “Lista di informazione allarmi” delle proprietà di progetto).
Dimensione consigliata: almeno il numero delle variabili con allarmi.

Il buffer circolare viene salvato automaticamente alla chiusura del Runtime come alarm.bin. Se il Runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente ad ogni nuovo inserimento usando la proprietà Salva buffer circolare in modo spontaneo, oppure mediante la funzione Salva buffer AML - CEL.

Attenzione: a Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche allarmi che non hanno ancora un time stamp di uscita. Questo significa che verrano visualizzati anche allarmi che eccedono la dimensione del buffer circolare.

Example Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • Allarmi in attesa a Runtime senza time stamp di uscita: 120
  • Visualizzazione a Runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi è formato dalla lettera A seguita dalla data espressa nel formato AAMMGG e dal suffisso .aml; per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in caso di spazio di memoria insufficiente, devono essere esportati o cancellati dall´utente. I file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi

Buffer circolare e file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre a partire dal buffer circolare verso il file allarmi. Tutte le modifiche, come il ripristino, vengono eseguite solamente nel buffer circolare e poi sincronizzate. Per questo motivo, per esempio, nel file allarmi possono essere visualizzati tutti gli allarmi non ripristinati, di cui si può anche predisporre il ripristino; l´azione vera e propria, però, sarà eseguita nel buffer circolare.

Intervalli di tempo di memorizzazione

Il file allarme *.aml viene salvato ad ogni nuovo inserimento.

Il buffer circolare (*.bin) viene salvato:

  • Quando viene chiuso il Runtime.
  • Dopo ogni nuovo inserimento, se la proprietà Salva buffer circolare in modo spontaneo è attiva.
  • Quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un blackout.

attention Attenzione

Se si eccede il buffer circolare perché le sue dimensioni sono insufficienti, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti verranno visualizzati quando si esegue l´operazione di filtro, ma non potranno essere più ripristinati. Il tentativo di eseguire il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.


Raggruppamento di allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi possono essere raggruppati e si può stabilire un ordine di priorità. Per farlo si usano:

  • Gruppi di allarmi/evento: riassumono in modo logico gli allarmi (oppure gli eventi).
  • Classi di allarme/eventi: servono a stabilire un ordine di priorità di allarmi (o eventi) e vengono usati per contrassegnare gli allarmi nella AML e gli eventi nella CEL tramite l´assegnazione di un colore.
  • Aree allarmi: consentono di riassumere gli allarmi sulla base della loro localizzazione all´interno di un impianto.

Ad ogni gruppo o classe possono essere assegnati un nome, un numero, un colore, una funzione e una variabile di stato, una grafica e un gruppo impianti.

Gli allarmi possono essere esportati e importati in formato XML usando il menù contestuale.

info Info

Si può creare un massimo di 65536 classi di allarmi/eventi e 65536 gruppi di allarmi/eventi.

Menù contestuale di “Allarme” - Manager di progetto

Voce di menù | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML.
Guida | Apre la guida online.

info Info

Si raccomanda di usare ID univoci e diversi per i gruppi e le classi allarmi/eventi, e per le aree allarmi nel progetto globale, in quello di integrazione e nei sottoprogetti. In questo modo si evita che ci siano delle sovrapposizioni, che potrebbero causare errori di visualizzazione.

Ancora in questo capitolo

Gruppi di allarmi/eventi

Classi di allarme/eventi

Aree allarmi


Gruppi di allarmi/eventi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Gruppi di allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi di allarmi/eventi raggruppano segnalazioni fra loro correlate secondo criteri logici.

Creare gruppi di allarmi/eventi

Per creare un nuovo gruppo di allarmi/eventi:

  1. Nel Manager di progetto cliccare con il tasto destro del mouse sul sotto-nodo Gruppi di allarme/eventi
  2. Selezionare il comando: Nuovo gruppo allarme/eventi

    (Ci sono due metodi alternativi per creare un nuovo gruppo di allarmi/eventi: si può selezionare il simbolo “Nuovo gruppo allarme/eventi” nella barra degli strumenti della visualizzazione dettagli; oppure si può premere il tasto INS)

È poi possibile eseguire per ogni gruppo ulteriori configurazioni utilizzando le sua proprietà:

Parametri

Descrizione

Nome

Nome del gruppo-allarmi/eventi.

Viene visualizzato nella condizione di filtro di AML e CEL.

Nr

Identifica il gruppo di allarme/eventi. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: nell´ambito di un progetto, ogni numero può essere assegnato solo una volta ad un gruppo allarme/evento. Si possono assegnare numeri identici in diversi progetti/aree.

Allineamento: quando si creano i file Runtime, il sistema verifica l´esistenza di possibili conflitti. I conflitti rilevati verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema monitora i singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto di livello superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene eseguito il confronto con il progetto globale.
  • Altri progetti indipendenti non sono interessati da questo processo di allineamento.

Colore

Colore del gruppo di allarmi/eventi.

Cliccando sul comando ... si apre la tavolozza che consente di selezionare il colore desiderato.

Descrizione

Descrizione del gruppo di allarmi/eventi

Variabile di stato

Variabile bit con cui il Runtime di zenon segnala se in quel momento il gruppo è attivato, oppure se gli allarmi di questo gruppo sono ignorati al momento.

Attivazione/disattivazione avviene tramite la funzione Collegare/scollegare gruppo allarmi/eventi. Lo stato del gruppo viene registrato nella Lista eventi cronologica (CEL).

Cliccando sul comando ... si apre la finestra di dialogo che consente di selezionare variabili.

Funzione

Funzione che viene eseguita se un allarme di questo gruppo si attiva. Cliccando su '...', si apre la finestra di dialogo che consente di selezionare una funzione.

File grafico

Selezione della grafica che rappresenta il gruppo allarmi/eventi nella AML.

Per visualizzare la grafica nella AML, selezionare nella scheda Impostazioni colonna del filtro della AML la modalità di visualizzazione File grafico per la colonna Simbolo gruppo allarmi/eventi.

Nota: nella AML, l´altezza della colonna dipende dal carattere selezionato. Se necessario, la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Collega un modello di impianti al gruppo di allarmi/eventi.

Definire l´appartenenza ad un gruppo di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare un modello di impianti.

Cancellare gruppi di allarmi/eventi

Per cancellare un gruppo di allarmi/eventi:

  1. Selezionare il gruppo di allarmi/eventi.
  2. Selezionare nel menù contestuale, oppure nella barra degli strumenti il comando Elimina
  3. Confermare la richiesta di conferma cliccando su “Sì”.

Nota: quando si cancella un gruppo, tutte le variabili collegate perdono la loro appartenenza al gruppo stesso.

Ancora in questo capitolo

Menù contestuali e barre degli strumenti - Gruppi-Allarmi/Eventi


Menù contestuali e barre degli strumenti - Gruppi-Allarmi/Eventi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Gruppi di allarmi/eventi -> Menù contestuali e barre degli strumenti - Gruppi-Allarmi/Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo gruppo allarme/eventi | Crea un nuovo gruppo di allarmi/eventi.
Profilo Editor | Apre il menù a tendina che consente di selezionare un profilo Editor predefinito.
Guida | Apre la guida online.

Menù contestuale e barra degli strumenti - Visualizzazione dettagliata

Voce di menù | Azione
Nuovo gruppo allarme/eventi | Aggiunge un nuovo gruppo di allarmi/eventi alla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Classi di allarme/eventi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Classi di allarme/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le classi di allarmi/eventi servono:

  • A stabilire una priorità per la visualizzazione degli allarmi.
  • A definire il colore degli allarmi all´interno della lista di informazione allarmi.
  • Come criterio di filtro nella Lista di informazione allarmi e nella Lista eventi cronologica.
  • Ad attivare, per es., un allarme acustico.

Creare classi allarmi/eventi

Per creare una nuova classe di allarmi/eventi:

  1. Nel Manager di progetto, cliccare con il tasto destro del mouse sul sotto-nodo Classi di allarmi/eventi.
  2. Selezionare il comando: Nuova classe allarmi/eventi

    (Ci sono due metodi alternativi per creare una nuova classe allarmi/eventi: si può selezionare il simbolo “Nuova classe allarmi/eventi” della barra degli strumenti della visualizzazione dettagli; oppure si può premere il tasto INS)

È poi possibile eseguire per ogni classe ulteriori configurazioni utilizzando le sue proprietà:

Parametri

Descrizione

Nome

Nome della classe di allarmi/eventi

Viene visualizzato nella condizione di filtro di AML e CEL.

Nr

Identifica la classe di allarmi/eventi. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: nell´ambito di un progetto, ogni numero può essere assegnato solo una volta ad una classe allarme/evento. Si possono assegnare numeri identici in diversi progetti/aree.

Allineamento: quando si creano i file Runtime, il sistema verifica l´esistenza di possibili conflitti. I conflitti rilevati verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema monitora i singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto di livello superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene eseguito il confronto con il progetto globale.
  • Altri progetti indipendenti non sono interessati da questo processo di allineamento.

Colore

Il colore della classe allarmi/eventi; può essere usato nella AML come forma di identificazione. Cliccando sul comando ... si apre la tavolozza che consente di selezionare il colore desiderato.

Nota: il colore vale sia per il testo lungo che per il testo di stato riportato nella lista allarmi e nella visualizzazione allarmi.

Descrizione

Descrizione della classe-allarmi/eventi

Variabile di stato

Variabile bit con cui il Runtime di zenon segnala se in quel momento la classe è attivata, oppure se gli allarmi di questa classe vengono ignorati al momento.

Attivazione/disattivazione avviene tramite la funzione Collegare/scollegare gruppo allarmi/eventi. Lo stato del gruppo viene registrato nella Lista eventi cronologica (CEL).

Cliccando sul comando ... si apre la finestra di dialogo che consente di selezionare variabili.

Funzione

Funzione che viene eseguita se un allarme di questa classe si attiva.

Cliccando su '...', si apre la finestra di dialogo che consente di selezionare una funzione.

Nota: non disponibile per i contenuti di progetto nel progetto globale.

File grafico

Selezione di una grafica che rappresenta la classe allarmi/eventi nella AML.

Per visualizzare la grafica nella AML, selezionare nella scheda Impostazioni colonna del filtro della AML la modalità di visualizzazione File grafico per la colonna Simbolo classe allarme/eventi.

Nota: nella AML, l´altezza della colonna si orienta al carattere selezionato; per questa ragione, anche la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Collega un modello di impianti alla classe di allarmi/eventi.

Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare un modello di impianti.

Cancellare classi di allarmi/eventi

Per cancellare una classe di allarmi/eventi:

  1. Selezionare la classe allarmi/eventi.
  2. Nel menù contestuale oppure nella barra degli strumenti, selezionare il comando Elimina.
  3. Confermare la richiesta di conferma cliccando su “Sì”.

Nota: se si cancella una classe, tutte le variabili collegate perdono il loro collegamento alla classe stessa.

Ancora in questo capitolo

Menù contestuali e barra dei simboli Classi_allarmi/eventi


Menù contestuali e barra dei simboli Classi_allarmi/eventi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Classi di allarme/eventi -> Menù contestuali e barra dei simboli Classi_allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova classe allarmi/eventi | Crea una nuova classe di allarmi/eventi.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Menù contestuale e barra degli strumenti - Visualizzazione dettagli

Voce di menù | Azione
Nuova classe allarmi/eventi | Aggiunge una nuova classe di allarmi/eventi alla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Aree allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le aree allarmi consentono di raggruppare gli allarmi con riferimento ad un punto di un impianto. Le aree allarmi possono essere collegate a classi di allarmi. Un grado ancora maggiore di flessibilità si può ottenere mediante il collegamento a variabili di stato. I singoli bit di una variabile di stato possono essere analizzati, ad esempio, mediante un elemento combinato.

Creare aree allarmi

Per creare una nuova area allarmi:

  1. Nel Manager di progetto, cliccare con il tasto destro del mouse sul sotto-nodo Aree allarmi
  2. Selezionare il comando: Nuova area di allarme.

    (Ci sono due metodi alternativi per creare una nuova area di allarme: si può selezionare il simbolo ”Nuova area di allarme” della barra degli strumenti della visualizzazione dettagli; oppure si può premere il tasto INS)

  3. Per analizzare un´area d´allarme, collegare le variabili corrispondenti cliccando sul pulsante ... del nodo Generale.
  4. Alternativa: creare un nuovo inserimento nel nodo Collegamento classi cliccando su {Nuova classe}.
    Il numero dei possibili inserimenti è limitato a quello delle classi di allarmi/eventi esistenti.

Proprietà delle aree di allarmi

Proprietà

Descrizione

Generale

Nome

Nome dell´area d´allarme.

Viene visualizzato nella condizione di filtro di AML e CEL.

Nota: vuoto se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Variabile di stato

Variabile bit:

Primo bit: indica se l´area contiene allarmi attivi.
Secondo bit: indica se quest´area contiene allarmi non ripristinati. Per i dettagli si veda “Bit della variabile di stato".

Il pulsante '...' apre la finestra di dialogo che consente di selezionare variabili.

Quantità allarmi attivi

Variabile il cui valore indica il numero degli allarmi attivi in quest´area allarmi.
Pulsante ... apre la finestra di dialogo che consente di selezionare variabili.

Quantità allarmi non ripristinati

Variabile il cui valore corrisponde al numero di allarmi non ripristinati in questa area di allarmi.

Nr

Identifica l´area di allarmi Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: nell´ambito di un progetto, un numero può essere assegnato una volta sola ad un´area allarmi. In diversi progetti/aree possono essere assegnati numeri identici.

Allineamento: quando si creano i file Runtime, il sistema verifica l´esistenza di possibili conflitti. I conflitti rilevati verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema monitora i singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto di livello superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene eseguito il confronto con il progetto globale.
  • Altri progetti indipendenti non sono interessati da questo processo di allineamento.

Nota: vuoto se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Gruppi d'impianto

Collega un modello impianti all´area allarmi.

Definire l´appartenenza ad un gruppo di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare un modello di impianti.

Collegamento classi

Riunisce inserimenti allarmi. Un Collegamento classi riassume variabile di stato e numero degli allarmi attivi e non ripristinati relativi ad una classe allarmi/eventi. Gli inserimenti vengono creati usando la proprietà {Nuova classe}.

{Nuova classe}

Crea un nuovo inserimento di area.

Classe allarmi/eventi

Classe di allarmi per l´inserimento area.

{Elimina classe}

Cancella l´inserimento area senza richiesta di conferma.

Classe allarmi/eventi

Selezione della classe di allarmi/eventi per l´inserimento area; il menù a tendina propone le classi di allarme/evento disponibili. La classe di allarmi/eventi inserita in questa sede deve essere già stata creata.

Le altre proprietà sono uguali a quelle viste nella descrizione delle impostazioni generali dell´area d´allarme:

  • Variabile di stato
  • Quantità allarmi attivi
  • Quantità allarmi non ripristinati

Bit della variabile di stato

Bit | Significato
0 | 1 = allarmi in attesa 0 = nessun allarme in attesa
1 | 1 = presenti allarmi non ripristinati 0 = nessun allarme non ripristinato

Nota: tutti i valori impostabili per le variabili di stato e le variabili contatore collegate ad aree allarmi vengono cumulati e inviati al driver in blocco ogni 500 ms. Per ogni variabile di stato si utilizza sempre solo l´ultimo valore. I valori transitori registrati nel frattempo vengono ignorati. In questo modo si riduce in modo considerevole il traffico di rete.

Assegnare variabili, strutture o tipi di dato ad aree allarmi

Ci sono due modi di configurare l´assegnazione di variabili, strutture e tipi di dato semplici alle aree allarmi:

  • In modo gerarchico, tramite la progettazione di impianto.
  • In modo statico, mediante il collegamento di al massimo quattro aree allarmi.
    Nota: se si collegano più aree allarme, il sistema prenderà in considerazione solo la prima quando eseguirà l´ordinamento per aree allarme a Runtime.

La configurazione dell´assegnazione avviene sempre nell´elemento in questione (variabile o tipo di dato).

Collegamento statico

Nel gruppo Gestione allarmi delle proprietà delle variabili si trovano le seguenti proprietà che consentono di eseguire il collegamento statico di aree allarme:

  • Area allarme 1
  • Area allarme 2
  • Area allarme 3
  • Area allarme 4

Il menù a tendina consente di selezionare l´area allarmi desiderata e di collegarla all´oggetto.

A Runtime, le colonne Area allarmi e Numero area allarme della Lista di informazione allarmi conterranno tutte le aree allarmi collegate in modo statico, che saranno visualizzate separate da una virgola (,).

Nel modulo Message Control, il campo Area allarmi contiene tutte le aree allarmi collegate, che vengono visualizzate separate da una virgola (,).

Collegamento al modello di impianto

Se è stata attivata la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto nell´Editor di zenon, il modello di impianto acquisisce le configurazioni eseguite per le aree allarmi. In questo caso, invece di configurare singole aree di allarmi (da 1 a 4) per ogni variabile, si usa lo strumento della progettazione di impianto.

Ulteriori informazioni su questo tema si trovano anche nel capitolo Allarmi gerarchici del gruppo allarmi nella parte della guida dedicata alla Progettazione impianto.

Ancora in questo capitolo

Menù contestuali e barra degli strumenti - Aree allarmi

Configurare aree di allarmi


Menù contestuali e barra degli strumenti - Aree allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Menù contestuali e barra degli strumenti - Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova area di allarme | Crea una nuova area di allarmi.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Menù contestuale e barra degli strumenti - Visualizzazione dettagli

Voce di menù | Azione
Nuova area di allarme | Aggiunge una nuova area di allarmi alla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Configurare aree di allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Configurare aree di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare un´area di allarmi a classi, procedere come segue:

  1. Cliccare su {Nuova classe}
  2. Selezionare la Classe allarmi/eventi desiderata.
  3. Definire per l´area:
    • Variabile di stato
    • La variabile per la Quantità allarmi attivi e
    • La variabile per la Quantità allarmi non ripristinati.

Nota: l´assegnazione di un allarme a una certa area si esegue nel gruppo Gestione allarmi delle proprietà Alarmbereiche delle variabili.

Esempio: area allarme

Questo esempio mostra aree di allarme assegnate a due classi di allarmi:

Area allarmi Nome | Collegamento classi alla classe .... | Variabile di stato | Quantità allarmi attivi | Quantità allarmi non ripristinati
1 | Avviso | Status_warn_1 | In attesa_warn_1 | Non ripr_warn_1
 | Errore | Status_error_1 | In attesa_error_1 | Non ripr_error_1
2 | Avviso | Status_warn_2 | In attesa_warn_2 | Non ripr_warn_2
 | Errore | Status_error_2 | In attesa_error_2 | Non ripr_error_2

Esempio: applicazione del settore Energy

Un'area di allarme è un gruppo di oggetti. Questi vengono riassunti in un´immagine. Nell´impianto di un fornitore di energia, ogni sottostazione viene visualizzata in un´immagine propria. Le sottostazioni da A a T vengono visualizzate in 4 sub-pagine. Tutte le aree di allarme sono visualizzate in un´unica immagine che offre una visione generale.

  • Se nella sottostazione A viene violato un valore limite, nell´immagine che offre la visione panoramica incomincia a lampeggiare il pulsante per le sottostazioni.
  • Nell´immagine di gruppo, lampeggia il pulsante che apre la pagina con le sottostazioni A, B, C, D e E.
  • Nella visualizzazione dettagli lampeggia il pulsante relativo alla sottostazione A.


Classi di allarme e aree di allarme nel progetto globale e nei progetti locali

Manuale -> Gestione allarmi -> Configurare allarmi -> Classi di allarme e aree di allarme nel progetto globale e nei progetti locali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni progetto salva propri ID per classi di allarme, gruppi di allarmi e aree di allarme. Quando si lavora con progetti globali, progetti di integrazione e progetti subordinati, si possono verificare delle sovrapposizioni. Se si usano gli stessi ID in diversi progetti, può succedere che inserimenti dei dialoghi di selezione dei filtri vengano sovrascritti.

Spesso, però, è utile usare classi di allarme, gruppi di allarmi e aree di allarme sia del progetto globale, che di progetti locali.

Per evitare che si verifichino sovrapposizioni e conflitti, bisogna fare attenzione ad usare ID diversi in tutti i progetti. A questo proposito, si consiglia di creare per ogni progetto una propria sequenza numerica. Per farlo, assegnare al primo elemento di un progetto un numero sufficientemente alto. Ai nuovi elementi verranno assegnati automaticamente i numeri seguenti.

Esempio

  • Progetto globale: gli elementi iniziano con l´ID: 1
  • Progetto di integrazione: gli elementi iniziano con l´ID: 5000
    • Sottoprogetto A: gli elementi iniziano con l´ID: 10000
    • Sottoprogetto B: gli elementi iniziano con l´ID: 15000


Configurazione degli allarmi mediante filtri

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione degli allarmi a Runtime viene configurata servendosi di filtri. Esistono diverse procedure per farlo:

  1. Definire le informazioni che devono essere visualizzate a Runtime nella Lista di informazione allarmi:
    In questo caso si stabilisce quali informazioni debbano essere visualizzate in relazione ad un determinato allarme.
    Per informazioni dettagliate si veda: Impostazione colonne per la Lista di informazione allarmi.
  2. Filtrare gli allarmi da visualizzare nella Lista di informazione allarmi quando la lista viene aperta e modificarli a Runtime:
    In questo caso si definiscono dei filtri in precedenza, ma si dà all´operatore che lavora con il macchinario la possibilità di definire filtri propri.
    Per i dettagli sull´argomento si veda: Filtri per cambio ad immagine di tipo Lista di informazione allarmi
  3. Creare filtri predefiniti per il Runtime:
    In questo caso si creano filtri concepiti per rispondere alle esigenze di utilizzo concreto, e si escludono dalla visualizzazione i criteri di filtro non utili.
    Per informazioni dettagliate si veda: Filtri - Filtro per lista informazione allarmi.

Ancora in questo capitolo

Impostazione colonne per la Lista di informazione allarmi

Filtri per cambio ad immagine “Lista di informazione allarmi”

Filtri per cambio ad immagine “Filtro per lista informazione allarmi”


Impostazione colonne per la Lista di informazione allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Impostazione colonne per la Lista di informazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite le “Impostazioni di colonna” si stabilisce quali informazioni debbano essere visualizzate a Runtime nella Lista di informazione allarmi e possano poi anche essere esportate. Le impostazioni colonne si configurano nel nodo “Lista di informazione allarmi” delle proprietà di progetto:

  1. Aprire il nodo Lista di informazione allarmi delle proprietà di progetto.
  2. Cliccare sulla proprietà Impostazione colonna AML
  3. Si aprirà la finestra di dialogo che consente di configurare le Impostazioni colonne
  4. Configurare le colonne desiderate.
    Nota: quando si configura la funzione di cambio immagine, questa impostazione verrà ripresa come Default e potrà essere modificata nella scheda Impostazioni colonne.

Nota: per il calcolo della larghezza delle colonne, il sistema prende come riferimento la larghezza media del carattere scelto.

info Info

Nelle proprietà di progetto si può configurare un´impostazione di default per la successione e la grandezza delle colonne usando la proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Quando si crea una nuova funzione di Cambio immagine per aprire un´immagine di tipo Lista di informazioni allarmi oppure Lista eventi cronologica, questa impostazione verrà usata come default, ma potrà essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

Configurazione colonne

Parametri

Descrizione

Colonne

Nel campo elenco di questa scheda vengono visualizzati tutti i tipi di colonne a disposizione.

Si può modificare la successione dei tipi di colonna trascinandoli via Drag&Drop all´interno della lista:

  • Cliccare nella colonna Tipo colonne
  • Trascinare i singoli inserimenti nella posizione desiderata.

In alternativa, si può modificare la successione delle colonne usando i pulsanti Sposta inserimento selezionato in alto e Sposta inserimento selezionato in basso.
  • Checkbox:

Selezione dei tipi di colonna che devono essere visualizzati.
  • Descrizione:

Inserimento di un testo libero per la descrizione della colonna.

Modificare la descrizione: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.

Nota: per la descrizione delle colonne, si può utilizzare il cambio lingua di zenon.
  • Larghezza delle colonne:

Definisce la larghezza della colonna in caratteri.

Modificare la larghezza colonna: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.
-1: La larghezza viene calcolata a Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono automaticamente il valore -1.

  • Visualizzazione:

Per i tipi di colonna.

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile a Runtime. Selezionare la forma desiderata fra quelle offerte dal menù a tendina.

Sposta elemento selezionato in alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento selezionato in basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Visualizza le colonne selezionate nel campo di elenco con la larghezza definita in quella sede.

È possibile modificare anche qui la larghezza delle colonne cliccando con il tasto sinistro del mouse sul margine destro di una colonna, tenendo premuto il tasto del mouse, e spostando il margine stesso a sinistra o a destra.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Si può modificare l´ordine di successione a Runtime cliccando sull´intestazione della colonna. Una freccia (verso l´alto/verso il basso) posizionata nell´intestazione della colonna segnala l´ordine di successione degli inserimenti applicato al momento.

Mostra griglia

Mostra una griglia nella visualizza della lista a Runtime.

Usa colori di sfondo alternati

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista a Runtime.

Colore Linea 1

Colore usato a Runtime come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Colore Linea 2

Colore usato a Runtime come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Visualizza nelle colonne tempo

Ora

Visualizza il tempo di un inserimento della lista nella seguente forma: HH:MM:SS

Data

Visualizza la data di un inserimento della lista nella seguente forma: TT:MM:JJJJ

Millisec.

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se anche il valore dei millisecondi deve essere emesso in caso di esportazione e stampa.

Suggerimento: se si attiva la keyboard automatica a Runtime, questa si aprirà quando verrà visualizzato un campo di inserimento in modalità di modifica. Usando questa keyboard è possibile configurare le colonne anche quando si usa un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che riguarda la larghezza reale della colonna. In questo caso il testo potrebbe non essere visualizzato per intero, potrebbe essere tagliato, oppure potrebbe crearsi uno spazio vuoto.

Soluzione: usare font con una larghezza di carattere fissa.


Filtri per cambio ad immagine “Lista di informazione allarmi”

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante i filtri si stabilisce quali allarmi debbano essere visualizzati a Runtime e quali debbano essere invece esclusi dalla visualizzazione. I filtri possono essere definiti sia nell´Editor, sia (a seconda delle impostazioni eseguite nell´Editor) a Runtime.

Per adeguare la selezione dei filtri a Runtime alle esigenze dell´operatore, usare invece che l´immagine Lista di informazione allarmi, un´immagine di tipo Filtro per lista informazione allarmi.

Per impostare un cambio ad un´immagine di tipo Lista di informazione allarmi:

  1. Creare una funzione di Cambio immagine per passare ad un´immagine di tipo Lista di informazione allarmi
  2. Verrà visualizzata la finestra di dialogo “Filtro”, suddivisa in schede con diversi criteri di filtro:
    • Generale
    • Ora
    • Lotto
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (È a disposizione solamente nel progetto di integrazione della gestione multi-progetto.)
    • Progettazione impianto

Se ci sono variabili o indici collegati, verranno visualizzate anche le seguenti schede:

  • Sostituisci collegamenti
  • Sostituisci indici

Informazioni dettagliate a questo proposito si trovano nella parte della guida dedicata alle Immagini, nei capitoli Sostituisci collegamenti di variabili e funzioni e Simboli.

Ancora in questo capitolo

Generale

Ora

Lotto

Testo

Impostazioni colonne

Stato

Progetto

Progettazione impianto


Generale

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante il filtro generale di stabilisce quali allarmi debbano essere visualizzati e quale tipo di accesso all´impostazioni l´operatore avrà a Runtime. A questo scopo, differenziare gli allarmi sulla base di:

  • Tipo
  • Sorgente dati
  • Variabili
  • Tempo di attesa
  • Gruppi/classi allarmi/eventi e aree allarmi.

Le seguenti proprietà sono a disposizione nella scheda “Generale”:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Restrizione agli allarmi di determinate variabili.

Nome variabile

Inserire il nome o la parte del nome delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Inserire l´identificazione oppure la parte d´identificazione delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro. È possibile usare la wildcard *.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Rispetta minuscolo/maiuscolo

Attivo: si prende in considerazione la scrittura maiuscola e minuscola per il filtro per nomi o/e per identificazioni variabili.

Tipo di allarme

Parametri

Descrizione

Tipo di allarme

Tipo degli allarmi che verranno visualizzati a Runtime.

Solo allarmi non riconosciuti

Attivo: verrano visualizzati solo gli allarmi che non sono stati ancora riconosciuti dall´utente.

Solo allarmi rientrati

Attivo: verrano visualizzati solamente gli allarmi che sono già rientrati, cioè i cui valori non si trovano più in zona critica.

Solo allarmi in attesa

Attivo: verrano visualizzati solamente gli allarmi ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento richiesto

Attivo: verrano visualizzati solamente gli allarmi per cui è obbligatorio inserire un commento quando li si riconosce.

Causa d'allarme richiesta

Attivo: verrano visualizzati solamente gli allarmi per il cui ripristino è obbligatorio collegare una causa allarme.

Allarmi devono essere presenti da almeno

Usando le caselle di selezione, definire l´intervallo di tempo minimo per cui un allarme deve essere in attesa per poi poter essere visualizzato. Possibili impostazioni:

  • Giorni
  • Ore (Ore)
  • Minuti (Min.)
  • Secondi (Sec.)
  • Millisecondi (MS)

Sorgente dati

Parametri | Descrizione
Sorgente dati | Visualizzazione degli alarmi correnti o degli allarmi correnti e storici.
Buffer circolare | Attivo: verrano visualizzati solamente i dati provenienti dal buffer circolare .
Dati storici Numero max | Attivo: verrano visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo di dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, aree d'allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, aree d'allarme | Selezione di gruppi, classi e aree allarme.
Gruppi di allarme/eventi | Selezionare nella lista dei gruppi di allarme/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Classi di allarme/eventi | Selezionare nella lista delle classi di allarme/eventi esistenti quelle i cui allarmi devono essere visualizzati.

Aree allarmi

Parametri | Descrizione
Aree allarmi | Selezionare nella lista delle aree allarmi esistenti quelle i cui allarmi devono essere visualizzati.

Impostazioni Runtime

Parametri

Descrizione

Impostazioni Runtime

Comportamento della AML a Runtime.

Visualizza lista bloccata

Attivo: finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione Esporta allarmi.)

Proponi dialogo a Runtime

Attiva: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: se nella scheda Lotto del dialogo di configurazione del filtro, si seleziona anche l´opzione Visualizza dialogo di selezione lotto, quest´ultimo verrà aperto a Runtime. Questo dialogo non verrà più visualizzato in caso di un reload.

Note sul filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso attivo:
    si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo:
    si usa l´intervallo di tempo corrente.

Sostituisci dialogo a Runtime con l'immagine

Definizione di un´immagine che deve essere aperta a Runtime al posto di questa finestra di dialogo se l´opzione Proponi dialogo a Runtime è attiva. Il sistema propone solamente immagini di tipo Filtro AML o Filtro tempo

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se a Runtime il sistema non trova l´immagine collegata in questa sede, cerca immagini corrispondenti con nomi specifici.

attention Attenzione

zenon e Windows CE: perché questo dialogo con le impostazioni di filtro possa essere visualizzato completamente, i sistemi CE devono avere una risoluzione maggiore a 800*600 pixel.


Ora

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´Editor, ma possono essere anche adattati a Runtime.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

I filtri tempo possono essere predefiniti nell´Editor, ma anche modificati a Runtime, per:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

In linea di principio, il filtro tempo può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Si configura un intervallo di tempo nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo modificabile a Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere a Runtime.

Filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Da

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo di tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostare intervallo di tempo nell´Editor

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Ora -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo configurabile a Runtime

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

Se il filtro lotto è attivo, al momento del caricamento della AML a Runtime, il sistema acquisisce dal server di archiviazione una lista di tutti i lotti configurati che corrispondono all´intervallo di tempo configurato.

Attenzione: tutte le variabili appartenenti ad un impianto e l´archivio lotti devono essere collegati allo stesso impianto nel modello di impianto.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Testo

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro testo consente di limitare la visualizzazione alle sole segnalazioni che contengono determinati criteri di ricerca.

Filtra

Filtra

Parametri | Descrizione
Filtra |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni di configurazione della finestra di dialogo diventano attive.
Campo di inserimento | In questo campo si inseriscono le parole, oppure le sequenze di caratteri per il filtro.

Opzioni.

Parametri | Descrizione
Opzioni. |
Rispetta minuscolo/maiuscolo | Attivo: nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole.
Non tutte le parole devono coincidere | Attivo: per il filtro si prendono in considerazione anche parti di parole
E' richiesta almeno una parola | Attivo: Almeno una parola della stringa che serve da criterio di ricerca deve essere presente nel testo.
Tutte le parole devono esistere | Attivo: tutte le parole della stringa che serve da criterio di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo intero deve coincidere | Attivo: il testo deve essere esattamente quello definito nella stringa che serve da criterio di ricerca.


Impostazioni colonne

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si stabilisce quali colonne debbano essere visualizzate a Runtime, in quale forma, successione e ordinamento.

Nota: tutte le impostazioni eseguite in questa scheda valgono come impostazioni di default per:

  • Immagine di tipo Lista di informazione allarmi
  • Immagine di tipo Filtro per lista informazione allarmi
  • Barra stato allarmi
  • Esportazione in CSV, dBase oppure XML

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni d´allarme.

info Info

Nelle proprietà di progetto si può configurare un´impostazione di default per la successione e la grandezza delle colonne usando la proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Quando si crea una nuova funzione di Cambio immagine per aprire un´immagine di tipo Lista di informazioni allarmi oppure Lista eventi cronologica, questa impostazione verrà usata come default, ma potrà essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

ColonneParametri

Descrizione

Colonne

Nel campo elenco di questa scheda vengono visualizzati tutti i tipi di colonne a disposizione.

Si può modificare la successione dei tipi di colonna trascinandoli via Drag&Drop all´interno della lista:

  • Cliccare nella colonna Tipo colonne
  • Trascinare i singoli inserimenti nella posizione desiderata.

In alternativa, si può modificare la successione delle colonne usando i pulsanti Sposta inserimento selezionato in alto e Sposta inserimento selezionato in basso.
  • Checkbox:

Selezione dei tipi di colonna che devono essere visualizzati.
  • Descrizione:

Inserimento di un testo libero per la descrizione della colonna.

Modificare la descrizione: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.

Nota: per la descrizione delle colonne, si può utilizzare il cambio lingua di zenon.
  • Larghezza delle colonne:

Definisce la larghezza della colonna in caratteri.

Modificare la larghezza colonna: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.
-1: La larghezza viene calcolata a Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono automaticamente il valore -1.

  • Visualizzazione:

Per i tipi di colonna.

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile a Runtime. Selezionare la forma desiderata fra quelle offerte dal menù a tendina.

Sposta elemento selezionato in alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento selezionato in basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Visualizza le colonne selezionate nel campo di elenco con la larghezza definita in quella sede.

È possibile modificare anche qui la larghezza delle colonne cliccando con il tasto sinistro del mouse sul margine destro di una colonna, tenendo premuto il tasto del mouse, e spostando il margine stesso a sinistra o a destra.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Si può modificare l´ordine di successione a Runtime cliccando sull´intestazione della colonna. Una freccia (verso l´alto/verso il basso) posizionata nell´intestazione della colonna segnala l´ordine di successione degli inserimenti applicato al momento.

Mostra griglia

Mostra una griglia nella visualizza della lista a Runtime.

Usa colori di sfondo alternati

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista a Runtime.

Colore Linea 1

Colore usato a Runtime come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Colore Linea 2

Colore usato a Runtime come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Visualizza nelle colonne tempo

Ora

Visualizza il tempo di un inserimento della lista nella seguente forma: HH:MM:SS

Data

Visualizza la data di un inserimento della lista nella seguente forma: TT:MM:JJJJ

Millisec.

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se anche il valore dei millisecondi deve essere emesso in caso di esportazione e stampa.

Suggerimento: se si attiva la keyboard automatica a Runtime, questa si aprirà quando verrà visualizzato un campo di inserimento in modalità di modifica. Usando questa keyboard è possibile configurare le colonne anche quando si usa un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che riguarda la larghezza reale della colonna. In questo caso il testo potrebbe non essere visualizzato per intero, potrebbe essere tagliato, oppure potrebbe crearsi uno spazio vuoto.

Soluzione: usare font con una larghezza di carattere fissa.


Stato

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato della checkbox indica se il bit di stato deve essere analizzato.

Stato della checkbox | Descrizione
Punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Example Esempio

Se la checkbox SPONT è settata sul valore 1, verranno visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Nota: informazioni dettagliate sui bit di stato si trovano nel capitolo Gestione stati.


Progetto

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione dei progetti di cui si deve tener conto per la AML. Il filtro per la selezione di sottoprogetti è a disposizione solamente nel progetto di integrazione della gestione multi-progetto.

La selezione dal progetto di integrazione e da tutti i sottoprogetti avviene per selezione multipla, tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Progettazione impianto

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Lista di informazione allarmi” -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel filtro vengono visualizzati tutti i modelli di impianto già esistenti. È possibile creare nuovi modelli e gruppi usando il menù contestuale o la barra degli strumenti.

Per aggiungere gruppi al filtro:

  1. Selezionare l´elemento desiderato.
  2. Cliccare sul pulsante Aggiungi.
  3. Ripetere l´operazione fino a quando tutti i gruppi necessari sono contenuti nella lista
    Non è possibile una selezione multipla.

Per eliminare gruppi dal filtro:

  1. Selezionare gli elementi desiderati
    Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift e cliccare sugli elementi desiderati.
  2. Cliccare sul pulsante Elimina.

Finestra di dialogo Progettazione impianto

Progettazione di impianto

Opzioni

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Nota: Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Filtro gerarchico
  • Default: attivato

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Filtri per cambio ad immagine “Filtro per lista informazione allarmi”

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un´immagine di tipo Filtro per lista informazione allarmi:

  1. Creare una funzione di Cambio immagine per aprire un´immagine di tipo Filtro per lista informazione allarmi.
  2. Verrà visualizzata la finestra di dialogo di configurazione dei filtri con tutte le sue schede:
    • Immagini
    • Generale
    • Testo
    • Ora

Ancora in questo capitolo

Immagini

Generale

Testo

Data/ora

Lotti

Impostazioni colonne


Immagini

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali immagini debbano essere aggiornate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro verrà acquisito da questa immagine:

Parametri

Descrizione

Il filtro verrà acquisito da questa immagine

Definizione dell´immagine da cui deve essere acquisito il filtro.

Immagine chiamante

Attivo: le impostazioni di filtro vengono acquisite dall´immagine da cui viene aperta l´immagine filtro. Il pulsante “Immagine predefinita” è visualizzato in color grigio. Non è possibile indicare esplicitamente un´immagine, visto che, quando è attiva l´opzione “Immagine chiamante”, l´aggiornamento del filtro avviene sempre sulla base dell´immagine che apre.

Nota: in questo caso, le impostazioni delle schede Generale, Testo e Ora sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre la finestra di dialogo di selezione immagini.

Selezionare l´immagine dalla quale deve essere letto il filtro quando a Runtime si clicca sul pulsante Aggiorna a Runtime.

Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.

Attenzione: quando l´immagine filtro viene aperta per la prima volta tramite la funzione, viene applicato il filtro configurati nella funzione, non quello dell´immagine indicata qui!

Nota: dunque ha senso solo selezionare un´immagine che può acquisire, o popolare il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da aggiornare. Se si cancella un´immagine dalla lista delle immagini, la prossima immagine della lista verrà inserita automaticamente nel campo “Immagine preferita”.

Nota: questa opzione non sarà attiva (non configurabile) se è stata attivata la checkbox Immagine chiamante.

Immagini da aggiornare

Parametri | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.
Selezione immagine | Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare immagini filtro. Selezionare le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´acquisizione del filtro.
Aggiorna su tutti i Monitor | Attivo: le immagini della lista di quelle da aggiornare verranno aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtro variabili

Parametri

Descrizione

Filtro variabili

Restrizione agli allarmi di determinate variabili.

Nome variabile

Inserire il nome o la parte del nome delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Inserire l´identificazione oppure la parte d´identificazione delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro. È possibile usare la wildcard *.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Rispetta minuscolo/maiuscolo

Attivo: si prende in considerazione la scrittura maiuscola e minuscola per il filtro per nomi o/e per identificazioni variabili.

Tipo di allarme

Parametri

Descrizione

Tipo di allarme

Tipo degli allarmi che verranno visualizzati a Runtime.

Solo allarmi non riconosciuti

Attivo: verrano visualizzati solo gli allarmi che non sono stati ancora riconosciuti dall´utente.

Solo allarmi rientrati

Attivo: verrano visualizzati solamente gli allarmi che sono già rientrati, cioè i cui valori non si trovano più in zona critica.

Solo allarmi in attesa

Attivo: verrano visualizzati solamente gli allarmi ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento richiesto

Attivo: verrano visualizzati solamente gli allarmi per cui è obbligatorio inserire un commento quando li si riconosce.

Causa d'allarme richiesta

Attivo: verrano visualizzati solamente gli allarmi per il cui ripristino è obbligatorio collegare una causa allarme.

Allarmi devono essere presenti da almeno

Usando le caselle di selezione, definire l´intervallo di tempo minimo in cui un allarme deve essere in attesa per poi poter essere visualizzato. Possibili impostazioni:

  • Giorni
  • Ore (Or.)
  • Minuti (Min.)
  • Secondi (Sec.)
  • Millisecondi (MS)

Sorgente dati

Parametri | Descrizione
Sorgente dati | Visualizzazione degli alarmi correnti o degli allarmi correnti e storici.
Buffer circolare | Attivo: vengono visualizzati solamente i dati provenienti dal buffer circolare .
Dati storici Numero max | Attivo: verrano visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo di dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, aree d' allarme | Selezione di gruppi, classi e aree allarme.
Gruppi di allarme/eventi | Selezionare nella lista dei gruppi di allarme/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Classi di allarme/eventi | Selezionare nella lista delle classi di allarme/eventi esistenti quelle i cui allarmi devono essere visualizzati.
Aree allarmi | Selezionare nella lista delle aree allarmi esistenti quelle i cui allarmi devono essere visualizzati. Nota: Se è attiva l´opzione Utilizza gestione allarmi gerarchici della progettazione impianto (gruppo “Gestione allarmi” delle proprietà della variabile), la colonna "Area allarmi" sarà vuota.
Impostazioni Runtime | Comportamento della AML a Runtime.
Visualizza lista bloccata | Attivo: finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.


Testo

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametri | Descrizione
Filtra |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni di configurazione della finestra di dialogo diventano attive.
Campo di inserimento | In questo campo si inseriscono le parole, oppure le sequenze di caratteri per il filtro.

Opzioni.

Parametri | Descrizione
Opzioni. |
Rispetta minuscolo/maiuscolo | Attivo: nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole.
Non tutte le parole devono coincidere | Attivo: per il filtro si prendono in considerazione anche parti di parole
E' richiesta almeno una parola | Attivo: Almeno una parola della stringa che serve da criterio di ricerca deve essere presente nel testo.
Tutte le parole devono esistere | Attivo: tutte le parole della stringa che serve da criterio di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo intero deve coincidere | Attivo: il testo deve essere esattamente quello definito nella stringa che serve da criterio di ricerca.


Data/ora

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Data/ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce l´intervallo di tempo da applicare all´apertura dell´immagine filtro.

I dettagli relativi alle opzioni filtro/tempo si trovano nel capitolo Filtri per cambio ad immagine Lista di informazione allarmi/Tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lotti

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
Parametri | Descrizione
Nessun filtro lotto | Attivo: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non ci sarà un filtro per lotti.
Applica direttamente filtro lotto | Attivo: il filtro configurato qui verrà applicato direttamente a Runtime.

Archivio(i)

Configurazione del filtro per archivi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non viene eseguita un´operazione di filtro per nome archivi.

Statico

Attivo: vengono filtrati gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso, il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non c´è un filtro per nome lotti.

Statico

Attivo: vengono filtrati i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonne

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce come la Lista archivi e la Lista lotti devono essere visualizzate a Runtime a partire dall´immagine di tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne.
  • Formato delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametri | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametri | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di selezionare le colonne e il loro ordinamento.
Formato colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di formattare la lista.
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Selezione e ordine delle colonne.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Gestione allarmi -> Configurare allarmi -> Configurazione degli allarmi mediante filtri -> Filtri per cambio ad immagine “Filtro per lista informazione allarmi” -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzioni

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione e il lavoro con la Lista di informazione allarmi a Runtime vengono gestiti mediante funzioni.

attention Attenzione

Se le funzioni vengono usate in rete, bisogna tenere presente dove le si esegue.

Ancora in questo capitolo

Cambio ad un´immagine AML

Cambio ad immagine Filtro AML

Funzioni per la gestione allarmi


Cambio ad un´immagine AML

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Cambio ad un´immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine di tipo Lista di informazione allarmi a Runtime:

  1. Creare una immagine di tipo Lista di informazione allarmi.
  2. Creare una funzione di “cambio immagine” per aprire quest´immagine.
  3. Configurare le proprietà di filtro desiderate.

Sarà poi possibile modificarle a Runtime. Eccezione: nell´Editor sono stati definiti filtri tempo fissi.

Configurare la funzione di cambio immagine.

Per creare un cambio immagine per passare ad un´immagine di tipo AML:

  1. Nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione.
  2. Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; cliccare su Cambio immagine.
  3. Si aprirà la finestra di dialogo che consente di selezionare un´immagine.
  4. Selezionare un´immagine di tipo Lista di informazione allarmi
    , oppure crearla in questa finestra di dialogo cliccando sul simbolo Nuova immagine
  5. Verrà visualizzata la finestra di dialogo di configurazione dei filtri con tutte le sue schede:
    • Generale
    • Ora
    • Lotto
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel progetto di integrazione della gestione multi-progetto.)
    • Progettazione impianto

    Se ci sono variabili o indici collegati, verranno visualizzate anche le seguenti schede:

    • Sostituisci collegamenti
    • Sostituisci indici

  6. Definire quale filtro deve essere quello predefinito a Runtime.
  7. Confermare le impostazioni e chiudere la finestra di dialogo cliccando su OK
  8. Collegare la funzione ad un pulsante che servirà ad aprire l´immagine e ad offrire le proprietà di filtro a Runtime.

info Info

Se si referenzia un´immagine senza filtro tempo, i filtri tempo verranno disattivati.

Ancora in questo capitolo

Filtro - Cambio ad immagine AML


Filtro - Cambio ad immagine AML

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Cambio ad un´immagine AML -> Filtro - Cambio ad immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando di crea una funzione di cambio immagine ad un´immagine di tipo AML, il sistema offre diversi filtri. Per i dettagli, si veda la sezione Configurazione degli allarmi mediante filtri, il capitolo Filtri per cambio ad immagine Lista di informazione allarmi.


Cambio ad immagine Filtro AML

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Cambio ad immagine Filtro AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine di tipo Filtro per lista informazione allarmi a Runtime:

  1. Creare una immagine di tipo Filtro per lista informazione allarmi.
  2. Creare una funzione di “Cambio immagine” per questa immagine.
  3. Configurare le proprietà di filtro desiderate.

Le proprietà di filtro potranno essere gestite a Runtime solamente tramite i pulsanti definiti nell´immagine.

Configurare il cambio immagine.

Per creare una funzione di cambio immagine per passare ad un´immagine di tipo Filtro per lista informazione allarmi:

  1. Nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione
  2. Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; cliccare su Cambio immagine.
  3. Si aprirà la finestra di dialogo che consente di selezionare un´immagine.
  4. Selezionare un´immagine di tipo Filtro per lista informazione allarmi
    , oppure crearla in questo dialogo cliccando sul simbolo Nuova immagine
  5. Verrà visualizzata la finestra di dialogo di configurazione dei filtri con tutte le sue schede:
    • Immagini
    • Generale
    • Testo
    • Ora

  6. Definire quale filtro deve essere quello predefinito a Runtime.
  7. Confermare le impostazioni e chiudere la finestra di dialogo cliccando su OK
  8. Collegare la funzione ad un pulsante che servirà ad aprire l´immagine e ad offrire le proprietà di filtro a Runtime.

Ancora in questo capitolo

Filtro - Cambio immagine “Filtro AML”


Filtro - Cambio immagine “Filtro AML”

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Cambio ad immagine Filtro AML -> Filtro - Cambio immagine “Filtro AML”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea una funzione di cambio immagine ad un´immagine di tipo AML, il sistema offre diversi filtri. Per i dettagli, si veda la sezione Configurazione degli allarmi mediante filtri, capitolo Filtri Filtro per lista informazione allarmi.


Funzioni per la gestione allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diverse funzioni consentono di gestire gli allarmi a Runtime.

Per creare una funzione per la gestione allarmi:

  1. Nel Manager di progetto, passare al nodo Funzioni.
  2. Nel menù contestuale oppure nella barra degli strumenti, selezionare il comando Nuova funzione.
  3. Verrà visualizzata la finestra di dialogo che consente di selezionare una funzione.
  4. Aprire il nodo Allarmi ed eventi

  5. Selezionare la funzione desiderata.
  6. Configurare la funzione, se necessario
  7. Collegare la funzione ad un pulsante.

Ancora in questo capitolo

Collegare/scollegare gruppo allarmi/eventi

Ripristina lampeggio allarmi

Conferma il riconoscimento d'allarme

Ripristina allarmi

Attiva allarmi

Attiva/disattiva allarmi

Disattiva allarmi

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Esporta allarmi

Salva buffer AML-CEL

Stampa lista allarmi o CEL

Stampa online on/off

Inizia una nuova pagina per la stampa online

Cambio stampante online


Collegare/scollegare gruppo allarmi/eventi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Collegare/scollegare gruppo allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ottimizzare le prestazioni di comunicazione, è possibile disattivare gruppi allarme/eventi non necessari. In questo caso, le loro variabili non verranno più richieste dal driver, a meno che non siano collegati altri elementi.

Per utilizzare questa funzione, procedere nel modo seguente:

  1. Definire l´azione: connetti o disconnetti.
  2. Definire il gruppo allarme/eventi
    (si può selezionare solo un gruppo pro funzione)

Gruppo allarme/eventi

Opzione

Descrizione

Azione

Definisce l´azione. Azioni possibili:

  • Disconetti: disattiva un gruppo allarme/eventi.
  • Connetti: attiva gruppo allarme/eventi.

Gruppo allarme/eventi

Selezione di un gruppo-allarme/eventi Cliccando sul pulsante si apre la finestra di dialogo che consente di selezionare il gruppo.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Esempio

Nel PLC viene creato un bit di gruppo allarmi. Quando viene settato questo bit, la funzione Collegare gruppo allarmi/eventi viene attivata dalla gestione dei valori limite. Vengono richieste le variabili e i corrispondenti valori limite vengono analizzati in zenon. Poi si potrà resettare il bit nel PLC. Il gruppo allarme/evento può essere poi scollegato mediante un valore limite. All´avvio del programma, vengono richieste tutte le variabili di valore limite.


Ripristina lampeggio allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si ripristina il lampeggio a Runtime, viene resettato solamente l´attributo lampeggio della variabile di processo e il lampeggio di tutti gli elementi grafici in tutte le immagini che usano questa variabile. L´inserimento nella Lista di informazione allarmi non verrà riconosciuto - a meno che non sia attiva la proprietà Riconoscimento dal lampeggio.

Nota: questa funzione non è identica alla proprietà Riprendi il lampeggio dal valore limite, che viene definita per ogni elemento nel gruppo Riprendi il lampeggio dal valore limite delle proprietà dell´elemento. La funzione si riferisce al lampeggio del contenuto dell´elemento, per esempio, il testo. La proprietà Riprendi il lampeggio dal valore limite si riferisce all´intero elemento.

Configurare la funzione

Per ripristinare il lampeggio di allarmi a Runtime:

  1. Creare una nuova funzione.
  2. Nel gruppo Allarmi ed eventi, selezionare la funzione Ripristina lampeggio allarmi.
  3. Selezionare il modello desiderato.
  4. Se si lavora con un sistema multi-monitor, selezionare il monitor desiderato

Ripristina lampeggio allarmi

Parametri

Descrizione

Ripristina lampeggio allarmi

Configurazione di quali sono gli allarmi il cui lampeggio deve essere ripristinato.

Tutti gli allarmi in modello

Verrà ripristinato il lampeggio di tutti gli allarmi delle immagini del modello con il nome selezionato, anche se è aperto più volte,

Cliccando sul pulsante ... si aprirà la finestra di dialogo che consente di selezionare uno dei modelli configurati. Per i dettagli, si veda la sezione Finestra di dialogo - Selezione modelli.

Tutti gli allarmi nel modello chiamante

Verrà riconosciuto il lampeggio degli allarmi sull´immagine del modello chiamante. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor.

Selezione monitor

Parametri

Descrizione

Selezione monitor

Definizione del monitor per il quale viene configurato il ripristino del lampeggio allarmi.

Monitor

Selezione del monitor fra quelli contenuti nella lista.

  • Tutti i monitor
  • Monitor corrente
  • Selezione di un monitor virtuale.

Disponibile solo nei sistemi multi-monitor, e solo per l´opzione Tutti gli allarmi nel modello.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Ancora in questo capitolo

Finestra di dialogo "Selezione modelli"

Esempi di “Ripristina lampeggio allarmi” a Runtime


Finestra di dialogo "Selezione modelli"

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi -> Finestra di dialogo "Selezione modelli"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Finestra di dialogo "Selezione modelli"

Nella finestra di dialogo Selezione modelli si selezionano i modelli per l´esecuzione di funzioni; questi modelli possono essere:

  • Del progetto corrente.
  • Di sottoprogetti.
  • Di tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Modelli" | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Esempi di “Ripristina lampeggio allarmi” a Runtime

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi -> Esempi di “Ripristina lampeggio allarmi” a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi di “Ripristina lampeggio allarmi” a Runtime

Esempio 1

Sono state eseguite le seguenti configurazioni:

  • Modello_1 (rosso) con le variabili Var_1, Var_2 e Var_3
  • Modello_2 (verde) con le variabili Var_1 e Var_2.

Situazione di partenza:

  • Sul Monitor_1 è aperto il Modello_1.
  • Sul Monitor_2 è aperto il Modello_2.
  • In seguito ad una violazione di valore limite, tutte e tre le variabili lampeggiano.

Risultato dell´esecuzione della funzione Ripristina lampeggio allarmi :

  • Esecuzione su Modello_2 su Monitor_1: Non accade nulla, perché questo modello non esiste su Monitor_1.
  • Esecuzione su tutti i monitor, oppure su Monitor_2: Viene ripristinato il lampeggio di tutte le variabili del modello.
    Cioè: viene ripristinato il lampeggio di Var_1 e Var_2. Var_3 continua a lampeggiare.

Esempio 2

Su Modello_1 si trova un Pulsante_1, che ripristina il lampeggio del modello chiamante. Se si clicca su questo pulsante, verrà ripristinato il lampeggio di Var_1, Var_2 e Var_3.

Esempio 3

Situazione di partenza:

  • Modello_1 (rosso) è stato aperto 4 volte su Monitor_1. Questo modello contiene determinate variabili. Tuttavia, in ogni modello sono presenti altre variabili a causa di sostituzioni. L´unica variabile in comune è Var_1.
  • Modello_2 (blu) è aperto su Monitor_2. Questo modello contiene altre variabili rispetto a Modello_1.

Risultato dell´esecuzione della funzione Ripristina lampeggio allarmi :

Se si ripristina il lampeggio di Modello_1 su questo monitor - oppure su tutti i monitor:

  • Verrà ripristinato il lampeggio del comando su tutti i modelli su questo monitor.
  • Di conseguenza, anche su tutte le variabili del Modello_1

    Questo significa:

    • verrà ripristinato il lampeggio delle variabili da Var_1 a Var_5.
    • Le variabili da “Var_7” a Var_9 continueranno a lampeggiare.


Conferma il riconoscimento d'allarme

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Conferma il riconoscimento d'allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare più allarmi contemporaneamente sulla base di criteri di filtro, usare la funzione Conferma il riconoscimento d'allarme:

  1. Creare una nuova funzione.
  2. Selezionare Conferma il riconoscimento d'allarme
  3. Si aprirà la finestra di dialogo che consente di selezionare criteri di filtro
    (Analoga alla finestra di dialogo di configurazione dei criteri di filtro per il cambio immagine)

  4. Definire i criteri per:
    • Generale
    • Ora
    • Testo
    • Stato
  5. Collegare la funzione ad un pulsante.

Autorizzazione utente

Mediante le Autorizzazioni funzioni, è possibile attribuire le funzioni Ripristina allarmi e Conferma il riconoscimento d'allarme ad un determinato gruppo utenti. In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare allarmi.

Si può impostare anche un´altra forma di autorizzazione operativa tramite i valori limite: a questo scopo, usare la proprietà Riconoscimento a due stadi dei sottogruppi nel gruppo Valori limiti delle proprietà della variabile. Gli allarmi selezionati potranno essere rimossi dalla Lista di informazione allarmi solamente da utenti in possesso di un´autorizzazione speciale.

Se è stata attivata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo essere stati cancellati. Il solo ripristino non è sufficiente.

info Info

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Ripristina allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, si ripristinano allarmi della Lista di informazione allarmi. C´è da sottolineare che è possibile anche un ripristino globale.

Quando si attiva la funzione a Runtime, viene resettato anche l’attributo di lampeggio delle variabili - e, di conseguenza, anche l´allarme ad immagine (solo per SICAM 230).

Nota: quando si esegue il ripristino, vengono ripristinati tutti gli allarmi della variabili collegata.

Configurazione

Per ripristinare allarmi tramite questa funzione:

  1. Creare una nuova funzione.
  2. Nel gruppo Allarmi ed eventi, selezionare la funzione Ripristina allarmi.

    Si aprirà la finestra di dialogo che consente di selezionare criteri di filtro
    (Analoga alla finestra di dialogo di configurazione dei criteri di filtro per il cambio immagine).

  3. Definire i criteri per:
    • Generale
    • Ora
    • Testo
    • Stato
    • Progettazione impianto
    • Progetto (disponibile solamente nel progetto di integrazione della gestione multi-progetto).
  4. Collegare la funzione ad un pulsante.

Autorizzazione utente

Mediante le Autorizzazioni funzioni, è possibile attribuire le funzioni Ripristina allarmi e Conferma il riconoscimento d'allarme ad un determinato gruppo utenti. In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare allarmi.

Si può impostare anche un´altra forma di autorizzazione operativa tramite i valori limite: a questo scopo, usare la proprietà Riconoscimento a due stadi dei sottogruppi nel gruppo Valori limiti delle proprietà della variabile. Gli allarmi selezionati potranno essere rimossi dalla Lista di informazione allarmi solamente da utenti in possesso di un´autorizzazione speciale.

Se è stata attivata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo essere stati cancellati. Il solo ripristino non è sufficiente.

info Info

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Attiva allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Attiva allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, lo stato della Lista di informazione allarmi a Runtime passa a attivo.


Attiva/disattiva allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Attiva/disattiva allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, lo stato della Lista di informazione allarmi a Runtime passa da attivo a disattivato e viceversa.


Disattiva allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Disattiva allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, lo stato della Lista di informazione allarmi a Runtime passa a disattivato.


Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di attivare o disattivare gli allarmi di un/una determinato/a gruppo o classe, oppure tutti gli allarmi della AML; consente inoltre di passare da uno stato all´altro (attivo/disattivo).

Per attivare o disattivare allarmi:

  1. Creare una nuova funzione.
  2. Selezionare Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione.
  3. Si aprirà la finestra di dialogo che consente di selezionare allarmi.
  4. Definire i criteri da applicare per la funzione.
  5. Collegare la funzione ad un pulsante.

Selezione

Parametri | Descrizione
Selezione | Selezione degli allarmi.
Gestione allarmi completa | L´esecuzione della funzione riguarda l´intera Lista di informazione allarmi.
Allarmi del gruppo allarmi/eventi | L´esecuzione della funzione riguarda esclusivamente un determinato gruppo. Selezione: cliccando sul pulsante, si apre il menù a tendina con i gruppi allarme/eventi configurati.
Allarmi della classe allarmi/evento | L´esecuzione della funzione riguarda esclusivamente una determinata classe. Selezione: cliccando sul pulsante, si apre il menù a tendina con i gruppi allarme/eventi configurati.

Attiva/Disattiva

Parametri | Descrizione
Attiva/Disattiva | Azione della funzione.
Attivare | Attiva l´elemento selezionato.
Disattiva | Disattiva l´elemento selezionato.
Toggle | Cambia stato (attivo/disattivo).


Esporta allarmi

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Esporta allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante questa funzione è possibile esportare a Runtime in un file o in una banca dati gli allarmi salvati nello storico usando diversi criterio.

Per esportare allarmi:

  1. Creare una nuova funzione.
  2. Selezionare Esporta allarmi
  3. Si aprirà la finestra di dialogo che consente di selezionare criteri di filtro.

  4. Definire i criteri per:
    • Formato di esportazione
    • Generale
    • Ora
    • Testo
    • Stato
    • Progettazione impianto
    • Progetto
  5. Collegare la funzione ad un pulsante.

Ancora in questo capitolo

Formato di esportazione

CSV: colonne esportate

dBase: colonne esportate

SQL: colonne esportate

XML: colonne esportate


Formato di esportazione

Formato di esportazione

Si può esportare dati in diversi formati. Quali colonne vengono esportate e come, dipende dall´origine (AML/CEL) e dal formato in cui avviene l´esportazione:

I dati vengono esportati in modo diverso per:

  • CSV
  • dBase
  • SQL
  • XML

info Info

L´esportazione SQL avviene in modo incrementale. Se ci sono già dati esportati, verranno esportati solamente quelli nuovi o quelli modificati.

Selezione colonne

La selezione delle colonne da esportare dipende dal formato in cui viene eseguita l´esportazione:

  • CSV, DBF e XML: Selezione tramite la finestra di dialogo della proprietà di progetto Impostazione colonna AML per la AML e Impostazioni colonna CEL per la CEL.
  • SQL: vengono esportate tutte le colonne.

Configurare l´esportazione

Formato di esportazione

Parametri

Descrizione

Formato di esportazione

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Nota per dBase:

  • I nomi file non possono essere più lunghi di 8 caratteri.
  • La larghezza colonna configurata viene usata per l´esportazione. Se, per esempio, nelle Impostazioni colonne è stato impostato un valore di 40 caratteri, verranno solo esportati al massimo 40 caratteri.
  • Viene esportato un massimo di 255 caratteri.

Opzioni.

Parametri | Descrizione
Opzioni. |
Esporta testo in Unicode | Esportazione in formato ASCII viene eseguita in Unicode.
Esportazione dati in modo incrementale | Vengono esportate solamente le differenze rispetto all´esportazione precedente.

Esporta su file

Parametri

Descrizione

Esporta su file

Definizione del file in cui deve essere salvata l´esportazione.

Nome file

Indicare il nome file individualmente.

Al massimo 32 caratteri alfanumerici, incluso suffisso.

Nota: eventuali file già esistenti che hanno lo stesso nome verranno sovrascritti.

Genera automaticamente nome file

Attivo : il nome file sarà generato automaticamente a partire da un´identificazione breve, una chiave data e un suffisso individuale.
Non attivo: il nome file viene inserito dall´utente alla voce Nome file.

(File esistenti non vengono sovrascritti.)

Per i dettagli, si veda la prossima tabella: Codifica nome per assegnazione nome automatica

Suffisso

Identificazione libera, individuale. Quest´opzione è attiva e configurabile solamente se è stata attivata l´opzione Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

P. es.

Visualizzazione del nome file completo in caso di nome generato automaticamente.

Cartella di esportazione configurata

Visualizzazione del percorso di esportazione correntemente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Esporta su database SQL

Parametri per l´esportazione in una banca dati SQL

Connessione database

Configurazione della connessione alla banca dati. Cliccando sul pulsante ... si apre la finestra di dialogo di configurazione.

Tabella

Selezione della tabella in cui dovranno essere scritti i dati.

Codificazione nome per assegnazione nome automatica

Nome

AAAMMGGP.XXX

A

Identificazione breve della Lista di informazione allarmi.

AAMMGG

Indicazione della data:

  • AA: anno, a due cifre
  • MM: mese, a due cifre
  • GG: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

XXX:

Suffisso del file:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formattazione

  • Formato degli inserimenti di riga: viene ripreso dalle impostazioni della proprietà Impostazione colonna AML o.Impostazioni colonna CEL.
  • Separatore di colonne: punto e virgola (;)

attention Attenzione

Millisecondi per stampa ed esportazione

Se si vuole che il tempo sia indicato in millisecondi quando si stampa o esporta la AML o la CEL in CSV, XML o dBase, questa proprietà deve essere attivata nella finestra di dialogo per le impostazioni di colonna. Procedura:

  • Nelle proprietà di progetto, passare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccare sul pulsante ... della proprietà Impostazione colonna AML, oppure di Impostazioni colonna CEL
  • Si aprirà la finestra di dialogo che consente di configurare le impostazioni di colonna.
  • Attivare la checkbox che si trova davanti alla proprietà Millisec

L´impostazione deve essere eseguita separatamente per AML e CEL.

Note su SQL

attention Attenzione

Assicurarsi che il provider configurato nella connessione sia disponibile a Runtime sul computer Runtime.

Nota: con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente neanche un client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, assicurarsi di installare la versione corretta. Cioè quella adeguata alla versione di zenon usata. Cioè: se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Questo vale anche se viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene applicata automaticamente nella stringa provider. Deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: colonne esportate

CSV: colonne esportate

L´esportazione in CSV serve soprattutto a rendere possibile l´elaborazione dati in altre applicazioni. I dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • L´ordine nel file di esportazione corrisponde a quello definito nel finestra di dialogo.
  • Separatore: Punto e virgola (;)
  • I titoli di colonna non vengono esportati.


dBase: colonne esportate

dBase: colonne esportate

Per l´esportazione in un file dBase, i dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di esportazione è definita in modo fisso.

Colonne nella successione dell´esportazione:

Colonna | Tipo | Dimensione | Descrizione
DATUM_KOMM | Date | 8 | Allarme arrivato: data.
ZEIT_KOMMT | Character | 10 | Allarme arrivato: tempo.
MILLI_KOMM | Numeric | 3 | Allarme arrivato: Millisecondi.
DATUM_GEHT | Date | 8 | Allarme uscito: data.
ZEIT_GEHT | Character | 10 | Allarme uscito: tempo.
MILLI_GEHT | Numeric | 3 | Allarme uscito: Millisecondi.
DATUM_OK | Date | 8 | Allarme ripristinato: data.
ZEIT_OK | Character | 10 | Allarme ripristinato: tempo.
ALARMTEXT | Character | 40 | Testo valore limite.
TAG_NR | Character | 40 | Identificazione variabile.
KOMMENTAR | Character | 45 | commento.
STATUS | Character | 4 | Stato della variabile.
DATUM_REA | Date | 8 | Allarme riattivato: data.
ZEIT_REA | Character | 10 | Allarme riattivato: tempo.
MILLI_REA | Character | 3 | Allarme riattivato: frazione di millisecondo.
ANZ_REA | Character | 3 | Allarme riattivato: Contatori.
STAT_REA | Character | 1 | Allarme riattivato: Stato variabili.
WERT | Character | 10 | valore della variabile.
USER | Character | 6 | Identificazione utente.
COMPUTER | Character | 48 | Nome PC.
VAR_NAME | Character | 32 | Nome variabile.
RESLABEL | Character | 15 | Identificazione servizio
PROJ_NAME | Character | 31 | Nome progetto.
CLASS | Character | 31 | Nome della classe di allarme.
GROUP | Character | 31 | Nome del gruppo di allarme.
CAUSE | Character | 255 | Causa allarme Testo.


SQL: colonne esportate

SQL: colonne esportate

In caso di esportazione SQL, i dati vengono esportati in modo incrementale in una successione definita in modo fisso.

Colonne nella successione dell´esportazione:

Colonna | Tipo | Descrizione
[VAR] | varchar(128) | Nome variabile.
[TAG] | varchar(128) | Identificazione variabile.
[RESLABEL] | varchar(255) | Identificazione servizio
[TEXT] | varchar(1024) | Testo valore limite.
[COMES_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01° 01. 1970.
[COMES_MS] | int | Allarme arrivato: frazione di millisecondo.
[GOES_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01° 01. 1970.
[GOES_MS] | int | Allarme uscito: frazione di millisecondo.
[QUIT] | int | Allarme arrivato; in tempo Unix (secondi dal 01° 01. 1970.
[STATUS] | int | Stato della variabile.
[VALUE] | varchar(8000) | valore della variabile.
[USERID] | varchar(20) | Identificazione utente.
[COMP] | varchar(255) | Nome PC.
[REACT_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01° 01. 1970.
[REACT_MS] | int | Allarme riattivato: frazione di millisecondo.
[REACT_COUNT] | int | Allarme riattivato: Contatori.
[REACT_STAT] | int | Allarme riattivato: Stato variabili.
[ACT_TEXT] | varchar(80) | Allarme: commento.
[PRJ] | varchar(31) | Nome progetto.
[CLASS] | varchar(8000) | Nome della classe di allarme.
[GROUP] | varchar(8000) | Nome del gruppo di allarme.
[LASTING_S] | int | Allarme in attesa in secondi.
[LASTING_MS] | int | Allarme in attesa. frazione di millisecondo.
[CLASS_NR] | int | ID-Classi di allarmi
[GROUP_NR] | int | ID-Gruppi di allarmi
[USERNAME] | varchar(120) | Nome utente.
[CAUSEID] | varchar(36) | ID causa allarme.
[CAUSE] | varchar(1279) | Causa allarme Testo.


XML: colonne esportate

XML: colonne esportate

In caso di esportazione in un file XML, i dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • L´ordine nel file di esportazione corrisponde a quello definito nel finestra di dialogo.
  • I titoli di colonna vengono usati come tag. Tutti i caratteri non consentiti vengono cancellati e sostituiti prima dell´esportazione.
    Regole di sostituzione:
    • Spazio vuoto: trattino basso (_)
    • Altri caratteri non consentiti: lineetta (-).


Salva buffer AML-CEL

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Salva buffer AML-CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può salvare a Runtime il contenuto del buffer circolare per allarmi e eventi, e i valori delle variabili matematiche (contatori). Gli inserimenti vengono salvati nei seguenti file:

File | Contenuto | Grandezza impostabile mediante la proprietà
ALARM.BIN | Allarmi | Dimensione buffer circolare
CEL.BIN | Inserimenti della “Lista eventi cronologica” | Dimensione buffer circolare
SY_MA32.BIN | Valori di variabili matematiche (per.es. contatori) |

Per salvare il buffer circolare AML (stessa procedura anche per il buffer circolare CEL):

  1. Creare una nuova funzione.
  2. Selezionare Salva buffer AML-CEL
  3. Collegare la funzione ad un pulsante.


Stampa lista allarmi o CEL

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa lista allarmi o CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si possono stampare a Runtime gli allarmi salvati con condizioni di filtro.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Nel dialogo di selezione funzioni, selezionare Stampa lista allarmi o CEL nel gruppo “Allarmi ed eventi”.
  3. Verrà visualizzata una finestra di dialogo che consente di selezionare una lista.

  4. Selezionare Lista di informazione allarmi.
  5. Verrà visualizzata la finestra di dialogo che consente di configurare i criteri di filtro.
  6. Definire i criteri per:
    • Generale
    • Ora
    • Testo
    • Stato
    • Carattere: si può selezionare uno dei caratteri definiti in zenon
  7. Collegare la funzione ad un pulsante.

info Info

A Runtime non si può passare dalla CEL all´AML e viceversa. Per poter stampare entrambe le liste, si devono progettare due funzioni.

Struttura della riga

Data/Ora entra | Data/Ora esce | Data/Ora ripristino | Testo lungo | Testo di stato

La parole chiave a disposizione per il file di formattazione (ALAR.FRM per stampa online e ALAR_G.FRM per stampa offline) ed esempi del loro uso, si trovano nel capitolo File di configurazione FRM, nella sezione Gestione a Runtime.

Il file FRM si suddivide in tre parti:

  • Header: all´inizio della pagina.
  • Parte lista: ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando si modifica un file FRM, bisogna tenere presente quanto segue:

  • Separazione delle sezioni lista:
    • Header e parte lista, e parte lista e piè di pagina sono separati dal carattere %%.

      Questo carattere di separazione può essere utilizzato solo una volta per la parte lista e il piè di pagina.

    • Attenzione: all´ultima riga devono seguire perlomeno due capoversi vuoti. Altrimenti il piè di pagina non verrà stampato!
  • Posizionamento dei singoli inserimenti:
    Si possono usare solamente spazi vuoti, nessun tabulatore.
  • Modifica di un file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

La lunghezza della pagina si imposta nel nodo AML e CEL delle proprietà di progetto, oppure mediante i file ALARM.frm o ALAR_G.frm per l´AML. E i file BTB.frm e BTB_G.frm per la CEL.

Attenzione:

  • Il numero di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, numero), nella “Lista di informazione allarmi” deve essere attivata l`opzione Utilizza tempo di riattivazione.
  • Nel file di formattazione è possibile usare parole chiave e testi liberi. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave in lingua inglese.
  • Non ogni parola chiave è adatta ad ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene parole chiave in tedesco e inglese e le loro possibilità di sostituzione:

Tedesco | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte lista
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e ora del verificarsi dell´allarme.
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e ora della fine dell´allarme.
@DATZEITOK | @DTACK | X | - | X | - | Data e ora del ripristino dell´allarme.
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e ora della riattivazione: nelle proprietà di progetto, deve essere attivata la proprietà Utilizza tempo di riattivazione.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEITOK | @TACK | X | - | X | - | Visualizza solamente il momento del ripristino.
@ZTKOMMT | @TRECEIVED | X | X | X | X | Visualizza solamente il momento del verificarsi dell´allarme.
@ZTGEHT | @TCLEARED | X | - | X | - | Visualizza solamente il momento della fine dell´allarme.
@ZTREAKT | @TREACTIVATE | X | - | X | - | Visualizza solamente il momento della riattivazione.
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce).
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili.
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi.
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi.
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi.
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi.
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta).
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme.
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni.
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella “Lista di informazione allarmi”.
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme.
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla “Lista di informazione allarmi”. Se si usano testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono state attivate.
@USER | @USERID | X | X | X | X | AML: utente che ha confermato l´allarme.
@RECHNER | @COMPUTER | X | X | X | X | AML: computer su cui l´allarme è stato confermato.
Parole chiave per l´intestazione e il piè di pagina.
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@SEITE | @PAGE | X | X | X | X | Numero di pagina
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data di sistema e ora di sistema.
@HEADDATUM | @DSYSTEM | X | X | X | X | Data di sistema.
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora di sistema.
@USER | @USERID | X | X | X | X | Utente che stampa.
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha inizializzato l´attività.
@RECHNER | @COMPUTER | X | X | X | X | Computer da cui viene lanciata l´operazione di stampa.
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione sulla stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio per evitare che degli inserimenti vengano sovrascritti. In questo modo si garantisce che anche lunghi testi di valore limite vengano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millisecondi

attention Attenzione

Millisecondi per stampa ed esportazione

Se si vuole che il tempo sia indicato in millisecondi quando si stampa o esporta la AML o la CEL in CSV, XML o dBase, questa proprietà deve essere attivata nella finestra di dialogo per le impostazioni di colonna. Procedura:

  • Nelle proprietà di progetto, passare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccare sul pulsante ... della proprietà Impostazione colonna AML, oppure di Impostazioni colonna CEL
  • Si aprirà la finestra di dialogo che consente di configurare le impostazioni di colonna.
  • Attivare la checkbox che si trova davanti alla proprietà Millisec

L´impostazione deve essere eseguita separatamente per AML e CEL.


Stampa online on/off

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si setta lo stato della stampa online:

  • Attivare: avvia la stampa-online.
  • Disattivare: termina la stampa-online.
  • Attiva/non attiva: avvia o termina la stampa online.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Selezionare Stampa online on/off
  3. Si apre la finestra di dialogo che consente di selezionare l´azione da eseguire.

  4. Selezionare l´azione desiderata.
  5. Collegare la funzione ad un pulsante.


Inizia una nuova pagina per la stampa online

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Inizia una nuova pagina per la stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si gestisce a Runtime il cambio pagina per la stampa online:

Alla pagina correntemente in fase di stampa viene aggiunto il piè di pagina configurato e si passa all´inizio della pagina successiva. Il contatore pagine viene resettato su 1 e viene stampata l'intestazione.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare Inizia una nuova pagina per la stampa online.
  3. Collegare la funzione ad un pulsante.


Cambio stampante online

Manuale -> Gestione allarmi -> Configurare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Cambio stampante online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di cambiare a Runtime la stampante per la stampa online.

info Info

Questa funzione non è disponibile con Windows CE.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare Cambio stampante online.

    Si aprirà la finestra di dialogo che consente di selezionare una stampante.

  3. Selezionare la stampante desiderata fra quelle contenute nel menù a tendina.
  4. Collegare la funzione ad un pulsante.

Parametri | Descrizione
Selezione stampante | Selezione della stampante desiderata fra quelle contenute nel menù a tendina.
Proponi dialogo a Runtime | Attivo: quando viene eseguita la funzione, viene aperta questa finestra di dialogo e l´operatore può selezionare una stampante a Runtime.


Gestione a Runtime

Manuale -> Gestione allarmi -> Gestione a Runtime

A Runtime, la Lista di informazione allarmi viene aperta eseguendo una funzione di cambio immagine.

Gli elementi di controllo a disposizione nell´immagine e il loro aspetto vengono definiti nell´Editor.

Finestra

Elemento di controllo

Descrizione

Finestra

Visualizzazione a Runtime.

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto della lista è configurabile. Le colonne da visualizzare vengono definite tramite il filtro “Impostazioni colonne” quando si configura la funzione di cambio immagine.

Tramite la proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi delle proprietà di progetto si definiscono le impostazioni per l´esportazione in CSV, XML e DBF. I valori impostati in questa sede servono anche da impostazioni preliminari per la funzione di cambio immagine.

Filtro inserito

Visualizzazione delle condizioni di filtro applicate al momento.

Stato

Visualizza se la “Lista di informazione allarmi” è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).

Quantità totale

Visualizza il numero complessivo degli allarmi.

Allarmi non ripristinati

Visualizza la quantità degli allarmi non ripristinati.

Funzioni lista

Elemento di controllo | Descrizione
Funzioni lista | Pulsanti per la gestione delle liste.
Filtro | Apre la finestra di dialogo che consente di selezionare il filtro.
Stop/Avanti | Pulsante per popolare la lista: Stop: non vengono più aggiunti automaticamente nuovi elementi alla lista. Avanti: vengono aggiunti automaticamente nuovi elementi alla lista. Attenzione: è possibile modificare la didascalia di questo pulsante nell´Editor, ma la modifica non verrà applicata a Runtime. Modifiche alla didascalia possono essere effettuate in fase di configurazione della funzione di cambio lingua.
Stampa | Stampa la lista filtrata.
Dialogo di stampa | Prima di eseguire la stampa, apre la finestra di dialogo di configurazione delle impostazioni della stampa.

Funzioni d´allarme

Elemento di controllo

Descrizione

Funzioni d'allarme

Pulsanti per ripristinare e cancellare allarmi.

Ripristina

Ripristina messaggi di allarme a Runtime.

Ripristina pagine

Vengono ripristinati tutti gli allarmi visualizzati nella corrente pagina.

Ripristina tutti

Vengono ripristinati tutti gli allarmi corrispondenti al criterio di filtro applicato al momento.

Nota per i progetti multi-user: vengono ripristinati solamente gli allarmi di quel progetto per il quale l´utente ha l´autorizzazione operativa. (Per i dettagli riguardanti i progetti multi-user, si veda il capitolo Progettazione distribuita)

Riconosci visualizzati

La visualizzazione degli allarmi selezionati viene ripristinata.

Riconosci visualizzati e riconosci

Viene riconosciuta la visualizzazione degli allarmi selezionati, e poi questi ultimi vengono ripristinati.

Elimina

Cancella allarme dalla lista allarmi a Runtime. L´allarme deve essere già stato ripristinato.

Elimina pagina

Cancella tutti gli allarmi ripristinati visualizzati sulla pagina corrente.

Elimina tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro applicato al momento.

Funzione collegata (Visualizzazione)

Visualizza la funzione assegnata alla segnalazione d´allarme.

Esegui funzione

Esegue a Runtime la funzione configurata per l´allarme.

Nota: nel caso della funzione Esegui programma, il nome della variabile dell´allarme selezionato può essere assegnato come parametro per il programma da lanciare, usando la parola chiave @alarm.name.

Apri Guida...

Apre la guida configurata.

Visualizza

Stato e elementi della gestione allarmi.

Commento

Inserimento da parte dell´utente di un testo liberamente configurabile riguardante l´allarme selezionato.

Lunghezza massima: 79 caratteri.

Anche questo testo può essere visualizzato nella lista. Per farlo, attivare l´opzione Commento (segno di spunta nella casella corrispondente) nelle Impostazioni colonne della gestione allarmi .

Il campo di inserimento per il commento è un elemento di tipo Collega testo. Per questo elemento di controllo, la proprietà Imposta valore attivo è attivata automaticamente durante la configurazione. Inoltre, la proprietà Imposta valore tramite viene settata sul valore Elemento.

Le modifiche ai commenti possono essere documentate attivando la proprietà Commenti d'allarme.

Selezione causa d'allarme...

Apre la finestra di dialogo che consente di selezionare una causa di allarme.

Tramite questa finestra di dialogo si può assegnare all´allarme selezionato nella Lista di informazione allarmi una causa di allarme.

Nota: non attivo se non è stato selezionato nessun inserimento nella lista di informazione allarmi.

Si veda anche capitolo Cause d´allarme.

Navigazione

Elemento di controllo | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Scorre una riga verso l´alto.
Riga in giù | Scorre una riga verso il basso.
Colonna a destra | Scorre alla colonna immediatamente a destra.
Colonna a sinistra | Scorre alla colonna immediatamente a sinistra.
Pagina in su | Scorre una pagina verso l´alto.
Pagina in giù | Scorre una pagina verso il basso.
Pagina a destra | Scorre alla pagina immediatamente a destra.
Pagina a sinistra | Scorre alla pagina immediatamente a sinistra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Stato | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Quantità totale | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Allarmi non ripristinati | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Funzione collegata (Visualizzazione) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Commento | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: usare la funzione Chiudi modello per chiudere i modelli. Perché, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve usare per l´immagine di tipo AML un modello proprio.

Profili filtro

Elemento di controllo | Descrizione
Profili filtro | Pulsanti per impostazioni filtro a Runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.

Configurazione della visualizzazione

Mediante le impostazioni di colonna della progettazione allarmi si definiscono le informazioni che devono essere visualizzate nella barra stato allarmi e nella Lista di informazione allarmi. La finestra di dialogo che consente di configurare le “Impostazioni colonna” può essere aperta tramite:

  • Proprietà di progetto -> Lista di informazione allarmi -> Impostazione colonna AML (in questo caso, sarà disponibile solo scheda Impostazioni colonna )

    oppure

  • Funzione cambio ad un´immagine di tipo AML ( tutte le schede)

Visualizzazione nella colonna “Valore”

Nella colonna Valore possono essere visualizzati solamente valori di tipi di dato numerici. Per gli inserimenti con un tipo di dato String, la colonna rimarrà vuota.

Funzioni per valori limite come allarme

Al momento dell´avvio del Runtime, il sistema controlla se l´allarme relativo al valore limite era già in attesa prima della chiusura del Runtime. Se è così, la funzione collegata non verrà eseguita nuovamente.
Nota: se il valore limite non è un allarme, si può intervenire sull´esecuzione della funzione collegata al momento dell´avvio del Runtime tramite l´impostazione di progetto Esegui funzioni val. limiti all'avvio del RT del gruppo Funzioni. Questa proprietà ha effetto solamente sui valori limite che non sono allarmi!

Commento

Inserimenti o modifiche nel campo “Commento” determinano le seguenti azioni:

  • Il sistema verifica l´autorizzazione utente per la creazione o la modifica di un commento.
  • Viene creato un Event per l´API (AlarmUsertextChanged).
  • Viene creato un inserimento nella CEL.
  • Nel caso dei client o del Server-Standby, il commento viene inviato al server primario.
  • Se è stata attivata la proprietà Commenti d'allarme (nodo “Lista Eventi Cronologica” delle proprietà di progetto), ad ogni modifica viene generato un inserimento nella CEL che rimando alla modifica stessa.

Ancora in questo capitolo

Barra stato allarmi

Lista di informazioni allarmi

Ripristinare allarmi

Ripristinare il lampeggio allarmi

Eliminare allarmi

Filtrare allarmi

Stampare e esportare allarmi


Barra stato allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Barra stato allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allarmi: Segnalazioni di stato in linea stati di color rosso.

Nella riga di stato degli allarmi vengono visualizzati a Runtime gli allarmi non ripristinati; di default, questi allarmi vengono visualizzati mediante una barra rossa con scritta in caratteri neri. Quest´ultima contiene informazioni sulla variabile che ha attivato l´allarme sul tempo. La barra di stato allarmi è definita come finestra Windows superiore e copre dunque tutte le immagini di zenon e anche di tutte le altre applicazioni.

Gli allarmi vengono ripristinati con un doppio clic con il tasto destro del mouse.

L´aspetto della barra stato allarmi può essere modificata mediante le proprietà di progetto. La barra stato allarmi può essere coperta anche da un´ulteriore barra di stato (standard: blu) per richiamare l´attenzione degli utenti sul numero di allarmi, oppure sul fatto che le dimensioni di un buffer sono superate.

Avvisi: avvisi nella barra di stato di colore blu

Possono essere definiti tre tipi di segnalazioni di stato per far presente all'utente che il numero degli allarmi ha superato una certa quantità, o per informarlo che il buffer circolare della Lista di informazione allarmi sta per traboccare. Questi avvisi vengono visualizzati di default con caratteri di color bianco su sfondo blu. Il loro aspetto, però, può essere modificato nelle proprietà di progetto.
Le segnalazioni di stato coprono la barra stati allarmi rossa finché non vengono ripristinate. Il ripristino avviene cliccando due volte con il tasto destro del mouse. L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario. Quest´ultimo viene impostato nella Gestione utenti tramite le Autorizzazioni funzioni.

Per quello che riguarda l´apertura della barra di stati blu, vale quanto segue:

  • La barra di stato blu è più importante per la visualizzazione della barra di stato allarmi rossa.
  • La barra blu reagisce esclusivamente al numero complessivo degli inserimenti nella lista.
  • Mediante le proprietà del gruppo Barra stato allarmi si possono definire tre massimi per il numero complessivo degli inserimenti nella lista:
    • Messaggio 1 numero allarmi
    • Messaggio 2 numero allarmi
    • Messaggio 3 numero allarmi

    Ad ognuno di questi valori massimi si può assegnare una segnalazione, che verrà visualizzata nel momento di un´eventuale superamento del limite.

  • Il valore massimo più elevato è sempre attivo.
  • La barra di stato blu può essere disattivata cliccandoci sopra due volte con il tasto destro del mouse. Gli altri valori massimi saranno attivati solamente nel caso in cui essi vengano esplicitamente raggiunti.
  • Un valore massimo disattivato viene riattivato solamente se viene superato di nuovo.

Configurare la barra di stato allarmi

Per creare e visualizzare a Runtime la barra di stato allarmi, attivare la proprietà Linea stati attiva nel gruppo Lista di informazione allarmi delle proprietà di progetto.

Nelle proprietà di progetto della Barra stato allarmi nel gruppo Lista di informazione allarmi definire il comportamento della barra stato allarmi a Runtime e il carattere da usare.

  • Visualizza all. seguente: definisce la barra di stato allarmi come una struttura circolare. Per la dimensione di questa struttura, si usa il valore della proprietà Dimensione buffer circolare. Se questa proprietà è disattivata, la barra di stato degli allarmi conterrà sempre solo un unico allarme.
  • Visualizza: stabilisce se deve essere visualizzato l´allarme più vecchio o quello più recente. La selezione avviene tramite il menù a tendina.
    • Allarme più vecchio: FIFO-Buffer
    • Allarme più recente: LIFO-Buffer

attention Attenzione

Comportamento in caso di gestione multi-progetto:

L´impostazione nel progetto di integrazione regola il comportamento anche per i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi.

  • Se si disattiva la barra di stato allarmi in un sottoprogetto, ma non in quello di integrazione che funge da progetto di partenza, la barra di stato allarmi continuerà a venire visualizzata.
  • Se la barra di stato allarmi viene attivata nel progetto di partenza sovraordinato, verrà visualizzata anche nel progetto subordinato, anche se in quella sede è stata disattivata.
  • A Runtime viene utilizzata sempre la barra di stato allarmi del progetto superiore.

Posizionamento

Di default la riga di stato degli allarmi si trova sul bordo superiore del monitor (altezza=18 pixel con un carattere standard). È possibile impostare liberamente grandezza e posizione anche nei Modelli. Selezionare la riga di stato allarmi e disattivare l'opzione Utilizzare posizione standard. Poi sarà possibile posizionare la riga di stato allarmi sullo schermo liberamente come ogni altro modello.
Nel caso della gestione multi-progetto a Runtime, è decisiva la posizione della riga di stato degli allarmi nel progetto di integrazione. Le impostazioni dei sottoprogetti vengono ignorate.

Colori della barra di stato allarmi.

I colori della barra di stato allarmi possono essere modificati e personalizzati tramite le proprietà del gruppo Barra stato allarmi.

Per allarmi:

  • Colore testo
  • Colore di sfondo

Per avvisi relative il superamento del numero definito di allarmi, oppure il traboccare di un buffer circolare:

  • Segnalazione 1 colore testo
  • Segnalazione 1 colore di sfondo
  • Segnalazione 2 colore testo
  • Segnalazione 2 colore di sfondo
  • Segnalazione 3 colore testo
  • Segnalazione 3 colore di sfondo


Lista di informazioni allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista di informazione allarmi visualizza a Runtime i messaggi di allarme inseriti nelle righe della lista stessa. Le righe con gli allarmi non ripristinati possono essere visualizzate con lampeggio.

Per creare e visualizzare la AML, attivare la proprietà Lista di informazione allarmi attiva nel gruppo Lista di informazione allarmi delle proprietà di progetto. L´aspetto della visualizzazione della lista viene impostato nel filtro della funzione "cambio immagine", nella scheda Impostazioni colonne.

Non appena si verificano, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella Runtime. Il buffer circolare è una memoria volatile, da cui gli allarmi vengono rimossi sulla base di regole definite. L´AML, invece, salva allarmi e informazioni importanti in modo permanente.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione riguarda:

  • Tempo ricevuto in millisecondi, come firma univoca.
  • Altre informazioni, come causa, valori ecc.
  • Tempo di uscita
  • Riconoscimento

Regole di cancellazione dal buffer circolare:

  • Non appena l´allarme rientra, viene cancellato dal buffer circolare.
  • Se è stata attivata la proprietà Con ripristino, l´allarme dovrà essere prima ripristinato da un utente autorizzato a farlo, e solo dopo sarà rimosso dal buffer circolare. Quando si ripristinano allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi di una variabile con la stessa violazione di valore limite.
  • Se la proprietà Riconoscimento a due stadi è attiva, la cancellazione dal buffer circolare deve essere espressamente confermata da un utente autorizzato a farlo.
    Esempio: l´allarme è uscito ed è stato ripristinato dall´operatore. Rimane tuttavia nel buffer circolare finché la sua cancellazione non sarà stata confermata.

Nota: gli inserimenti non vengono cancellati mai dalla AML; ne viene documentato solamente lo stato.

Dimensione del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti; la configurazione della dimensione del buffer viene impostata nelle proprietà di progetto, tramite la proprietà Dimensione buffer circolare (gruppo “Lista di informazione allarmi” delle proprietà di progetto).
Dimensione consigliata: almeno il numero delle variabili con allarmi.

Il buffer circolare viene salvato automaticamente alla chiusura del Runtime come alarm.bin. Se il Runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente ad ogni nuovo inserimento usando la proprietà Salva buffer circolare in modo spontaneo, oppure mediante la funzione Salva buffer AML - CEL.

Attenzione: a Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche allarmi che non hanno ancora un time stamp di uscita. Questo significa che verrano visualizzati anche allarmi che eccedono la dimensione del buffer circolare.

Example Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • Allarmi in attesa a Runtime senza time stamp di uscita: 120
  • Visualizzazione a Runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi è formato dalla lettera A seguita dalla data espressa nel formato AAMMGG e dal suffisso .aml; per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in caso di spazio di memoria insufficiente, devono essere esportati o cancellati dall´utente. I file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi

Buffer circolare e file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre a partire dal buffer circolare verso il file allarmi. Tutte le modifiche, come il ripristino, vengono eseguite solamente nel buffer circolare e poi sincronizzate. Per questo motivo, per esempio, nel file allarmi possono essere visualizzati tutti gli allarmi non ripristinati, di cui si può anche predisporre il ripristino; l´azione vera e propria, però, sarà eseguita nel buffer circolare.

Intervalli di tempo di memorizzazione

Il file allarme *.aml viene salvato ad ogni nuovo inserimento.

Il buffer circolare (*.bin) viene salvato:

  • Quando viene chiuso il Runtime.
  • Dopo ogni nuovo inserimento, se la proprietà Salva buffer circolare in modo spontaneo è attiva.
  • Quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un blackout.

attention Attenzione

Se si eccede il buffer circolare perché le sue dimensioni sono insufficienti, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti verranno visualizzati quando si esegue l´operazione di filtro, ma non potranno essere più ripristinati. Il tentativo di eseguire il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.

AML a Runtime

Nella Lista di informazione allarmi, gli allarmi possono avere tre diversi stati:

  • Non uscito
  • Non ripristinato
  • Non cancellato

Gli allarmi possono essere con obbligo di ripristino e/o con obbligo di cancellazione.

Il ripristino dell'allarme ripristina anche l´attributo di lampeggio della variabile. La cancellazione di un inserimento può essere eseguita soltanto se l'allarme in uscita è stato ripristinato. L´obbligo di ripristino e/o di cancellazione si configura tramite le proprietà Con ripristino e Riconoscimento a due stadi del nodo Valori limiti/Allarmi/CEL della configurazione variabili

Esempio per la struttura delle righe nella lista allarmi el runtime:

Variabile | Data/Tempo ricevuto | Data-ora in uscita | Data/Ora ripristino | Testo messaggio
Motore1_Disturbo | 20/06/2010 13:00:04 | 20/06/2010 13:05:35 | 20/06/2010 13:05:40 | Il relais di protezione motore ha risposto.

Ogni riga può essere ripristinata cliccando due volte con il tasto destro del mouse. . L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario.

Quando la lista allarmi è aperta, nell'angolo superiore sinistro viene visualizzato lo stato della gestione allarmi (attivo o disattivato).

info Info

La variabile per allarmi non ripristinati, allarmi ripristinati e numero degli allarmi si trova in una locale lista nella memoria.

Si veda “variabile "allarmi non ripristinati" nel capito Configurazione del filtro AML e del filtro CEL.

Ancora in questo capitolo

Cause allarmi

Visualizza allarmi non ripristinati con lampeggio


Cause allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione di cause allarmi

Le cause di allarme si configurano a Runtime usando un´immagine di tipo Lista contestuale.

Assegnazione di cause allarme

A Runtime, gli allarmi possono essere assegnati a cause allarme.

Per assegnare una causa allarme.

  1. Selezionare un inserimento nella Lista di informazione allarmi.
  2. Cliccare sull´elemento con la Operazione specifica per il tipo di immagine Selezione causa d'allarme...
  3. Selezionare una causa allarme e confermare la finestra di dialogo cliccando su OK.

    Nota: quando si assegna un sotto-nodo, vengono aggiunti anche i nodi superiori (testi), separati tramite punti (.) dal testo selezionato.

    Esempio: Alarm Causes Hall 1.Conveyor.Conveyor 1

Nella Lista di informazione allarmi, le cause allarme possono essere visualizzate in una colonna separata.

info Info

Usando la proprietà di progetto Consenti solo nodi terminali come cause d'allarme del gruppo Lista di informazione allarmi si può stabilire se possono essere selezionati come causa allarme i testi di tutti i livelli, o solo quelli di nodi finali.

Se si attiva questa proprietà, per esempio, si può impedire una selezione di cause allarme troppo generiche.

Assegnazione di cause allarme mediante un´immagine di tipo Lista contestuale.

Per assegnare cause di allarme, si può usare anche un´immagine di tipo Lista contestuale.

Per ulteriori informazioni su questo tema, consultare il capitoloUso di un´immagine di tipo Lista contestuale per la selezione di cause allarme.

Registrazione nella CEL

Quando si assegna una causa allarme ad un allarme, oppure si modifica il collegamento fra allarme causa, questi eventi vengono registrati nella CEL. Vengono visualizzati il vecchio valore e quello nuovo (se esistenti). Vengono registrati anche i collegamenti eseguiti mediante l´API.

Ancora in questo capitolo

Uso di cause allarme per più progetti


Uso di cause allarme per più progetti

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi -> Cause allarmi -> Uso di cause allarme per più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile usare cause allarme anche per più progetti contemporaneamente. Cause allarme del progetto di integrazione, infatti, possono essere collegate ad allarmi di sotto-progetti.

In questo caso, vale quanto segue:

  • Per la visualizzazione degli allarmi nella Lista di informazione allarmi:
    • Se la Lista di informazione allarmi viene aperta nel progetto di integrazione, il sistema analizza la Lista contestuale del sotto-progetto cui appartiene l´allarme e usa questo inserimento.
    • Se non vine rilevato nessun inserimento in questa sede, il sistema analizza la Lista contestuale del progetto di integrazione.
    • Se la Lista di informazione allarmi viene invece aperta nel sotto-progetto cui appartiene l´allarme, il sistema analizza solo la Lista contestuale di questo progetto.
    • Se è stata collegata una causa allarme del progetto di integrazione e la Lista di informazione allarmi è stata aperta nel sotto-progetto, verrà visualizzato l´inserimento Causa d'allarme non esistente.
  • Per la finestra di dialogo di selezione delle cause allarme (del progetto di integrazione con sotto-progetti):
    • Se si selezionano nella Lista di informazione allarmi uno o più allarmi dello stesso sotto-progetto, nella finestra di dialogo di selezione delle cause allarme verrà offerto sia il corrispondente sotto-progetto, che il progetto di integrazione.
    • Se si selezionano più allarmi di progetti differenti, invece, verrà offerto alla selezione solamente il progetto di integrazione.


Visualizza allarmi non ripristinati con lampeggio

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi -> Visualizza allarmi non ripristinati con lampeggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi non ripristinati possono essere visualizzati nella AML con lampeggio.

Quando la proprietà Lampeggio allarmi non riconosciuti (gruppo “Lista di informazione allarmi” delle proprietà di progetto) è attiva, il colore di primo piano e quello di sfondo si alternano ogni secondo in tutte le righe non ripristinate e non selezionate della Lista di informazione allarmi. Le righe selezionate, invece, non lampeggiano.

Procedura:

  1. Nell`Editor, passare al gruppo Lista di informazione allarmi delle proprietà di progetto.
  2. Attivare la checkbox (segno di spunta) davanti alla proprietà Lampeggio allarmi non riconosciuti.
  3. Configurare il colore desiderato (di primo piano) per Allarme in entrata, Allarme rientrato, Allarme ripristinato.

    Suggerimento: impostare la proprietà Colore classe allarme/eventi su Come linea di sfondo. In questo caso, infatti, il colore della classe di allarme verrà usato come colore di sfondo.


Ripristinare allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristinare allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi possono essere ripristinati nei seguenti modi:

  • Cliccando due volte con il tasto destro del mouse sulla barra di stato allarmi.
  • Cliccando due volte con il tasto destro del mouse sull´inserimento corrispondente nella Lista di informazione allarmi.
  • Tramite la funzione Ripristina allarmi.
  • Con il pulsante Ripristina o Riconosci visualizzati e riconosci nella Lista di informazione allarmi.

Nella Lista di informazione allarmi, gli allarmi ripristinati vengono visualizzati come "ripristinati".

Ripristinando un allarme:

  • Vengono ripristinati insieme tutti gli allarmi di una variabile con lo stesso valore limite.
  • Vengono inseriti nella Lista di informazione allarmi il nome e l´ID dell´utente che effettua la cancellazione.
  • Viene inserito nella Lista di informazione allarmi il nome del computer dal quale è stato ripristinato l´allarme.
  • Il ripristino può essere registrato anche nella Lista eventi cronologica.

Gli allarmi vengono salvati nel buffer circolare finché non vengono ripristinati. Nello stesso tempo, vengono salvati in file allarmi filtrabile (*.aml), che viene sincronizzato regolarmente.

Attenzione: la proprietà Dimensione buffer circolare deve essere configurata in modo tale che il buffer abbia delle dimensioni sufficienti. Se gli allarmi non vengono più salvati nel buffer circolare per mancanza di spazio, quelli non ripristinati possono rimanere nel file allarmi. Per i dettagli a questo proposito, si veda il capitolo Lista informazioni d'allarme (AML) .

info Info

Gli allarmi configurati con obbligo di commento, possono essere ripristinati solo dopo che è stato inserito un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Funzione Ripristina allarmi

La funzione Ripristina allarmi consente:

  • Di ripristinare allarmi della AML mediante la chiamata della funzione stessa.
  • Il ripristino globale.

Quando si esegue la funzione a Runtime, viene resettato anche l’attributo di lampeggio delle variabili, e, di conseguenza, anche l'allarme ad immagine (solo SICAM 230). Gli allarmi selezionati vengono ripristinati. Per i dettagli relativi all´argomento, si veda il capitolo Ripristinare allarmi.

Autorizzazione utente

Mediante le Autorizzazioni funzioni, è possibile attribuire le funzioni Ripristina allarmi e Conferma il riconoscimento d'allarme ad un determinato gruppo utenti. In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare allarmi.

Si può impostare anche un´altra forma di autorizzazione operativa tramite i valori limite: a questo scopo, usare la proprietà Riconoscimento a due stadi dei sottogruppi nel gruppo Valori limiti delle proprietà della variabile. Gli allarmi selezionati potranno essere rimossi dalla Lista di informazione allarmi solamente da utenti in possesso di un´autorizzazione speciale.

Se è stata attivata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo essere stati cancellati. Il solo ripristino non è sufficiente.

info Info

E' possibile cancellare degli allarmi solo dopo averli ripristinati.

Ancora in questo capitolo

Commento richiesto per il ripristino

Collegamento di una causa allarme per il ripristino.

Riconosci visualizzati


Commento richiesto per il ripristino

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristinare allarmi -> Commento richiesto per il ripristino

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi con obbligo di ripristino possono essere configurati in modo tale che, prima di eseguire il ripristino, sia obbligatorio inserire un commento. Per poter inserire un commento, l´utente deve disporre della corrispondente autorizzazione funzione Inserisci commento d'allarme.

Per configurare l´obbligo di commento per un allarme, si può impostare l´opzione corrispondente:

  • Nella configurazione delle matrici di reazione.
  • Nella proprietà Commento richiesto del gruppo Valori limiti di variabili e tipi di dato.

I commenti e gli allarmi con obbligo di commento possono essere modificati in un secondo momento dagli utenti con l´autorizzazione funzione Modifica commento d'allarme. Quando si modifica un commento, viene generato un inserimento nella CEL che indica il nome variabile, il commento originario e quello modificato.

Gli allarmi con obbligo di commento vengono analizzati dal sistema per verificare l´esistenza di un commento, indipendentemente dalla modalità in cui è stato eseguito il ripristino (anche nel caso quest´ultimo sia avvento mediante l´API). Allo stesso modo, quando ci sono modifiche a commenti, il sistema verificherà l´esistenza dell´autorizzazione necessaria. La Lista di informazione allarmi può essere filtrata per rilevare l´esistenza di allarmi con obbligo di commento tramite:

  • Filtro della Lista informazioni allarmi.
  • Immagine di tipo Filtro per lista informazione allarmi.


Collegamento di una causa allarme per il ripristino.

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristinare allarmi -> Collegamento di una causa allarme per il ripristino.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi con obbligo di ripristino possono essere configurati in modo tale che, prima di eseguire il ripristino, sia obbligatorio collegare una causa allarme.

L´opzione corrispondente può essere impostata:

  • Nella configurazione delle matrici di reazione.
  • Nella proprietà Causa d'allarme richiesta del gruppo Valori limiti di variabili e tipi di dato.

Se si prova a ripristinare l´allarme senza collegare una causa allarme, verrà visualizzato un avviso.

I collegamenti di cause allarme possono essere naturalmente modificati in un secondo momento. Quando si assegna una causa allarme ad un allarme, oppure si modifica il collegamento fra allarme causa, questi eventi vengono registrati nella CEL. Vengono visualizzati il vecchio valore e quello nuovo (se esistenti). Vengono registrati anche i collegamenti eseguiti mediante l´API.

Gli allarmi per cui è stato configurato l´obbligo di collegare una causa allarme, vengono analizzati dal sistema per rilevare l´effettiva esistenza di un causa allarme collegata, indipendentemente dalla modalità del ripristino (anche nel caso quest´ultimo sia avvento mediante l´API). La Lista di informazione allarmi può essere filtrata per individuare gli allarmi con obbligo di collegamento di una causa allarme; l´operazione di filtro può essere eseguita tramite:

  • Filtro della Lista informazioni allarmi
  • Immagine di tipo Filtro per lista informazione allarmi

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata alle Cause allarme.


Riconosci visualizzati

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristinare allarmi -> Riconosci visualizzati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il riconoscimento visualizzazione consente all´utente di confermare che ha visto e preso nota di un allarme, senza però resettarlo immediatamente. Così è possibile, ad esempio, riconoscere prima la visualizzazione di più allarmi dipendenti uno dall´altro, e poi ripristinarli e, dunque, resettarli.

Elementi per il riconoscimento visualizzazione

Nell´immagine di tipo AML ci sono due pulsanti per eseguire il riconoscimento visualizzazione:

  • Riconosci visualizzati
  • Riconoscimento e riconoscimento visualizzazione

Nel gruppo Gestione allarmi delle proprietà delle variabili, sono disponibili le seguenti proprietà:

  • Variabile di riconoscimento
  • Variabile di riconoscimento visualizzazione
  • Ripristina valore

Usare il riconoscimento visualizzazione

Per confermare un allarme con riconoscimento visualizzazione:

  1. Nell´immagine, configurare i pulsanti Riconosci visualizzati e Riconoscimento e riconoscimento visualizzazione.
  2. Per le variabili in questione, configurare le proprietà Variabile di riconoscimento, Variabile di riconoscimento visualizzazione, e Ripristina valore.
  3. A Runtime, poi, cliccare sul pulsante:
    1. Riconosci visualizzati: gli allarmi selezionati verranno confermati con riconoscimento visualizzazione. Il Ripristina valore verrà scritto sulla Variabile di riconoscimento visualizzazione.
    2. Riconoscimento e riconoscimento visualizzazione: gli allarmi selezionati verranno anzitutto confermati con riconoscimento visualizzazione, e poi ripristinati. Il Ripristina valore verrà scritto sulla Variabile di riconoscimento visualizzazione e sulla Variabile di riconoscimento.

info Info

Il riconoscimento visualizzazione e il ripristino presuppongono diversi diritti. Per il riconoscimento visualizzazione sono necessarie un´autorizzazione operativa e l´autorizzazione tasti nel contesto dell´utente e dell´interblocco. Per il ripristino valgono le regole corrispondenti, inclusa convalida di inserimenti e diritti. Perciò è possibile che ad un utente sia consentito confermare un allarme con riconoscimento visualizzazione, ma non gli sia possibile ripristinarlo.

Il riconoscimento visualizzazione viene sempre settato, anche se la variabile ha già questo valore.


Ripristinare il lampeggio allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristinare il lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla possibilità del ripristino di allarmi della Lista di informazione allarmi, è possibile anche ripristinare immagini di allarme tramite modelli. Il ripristino lampeggio viene eseguito mediante la funzione Ripristina lampeggio allarmi, oppure con un doppio clic con il tasto destro del mouse sull´elemento corrispondente. È necessario precisare che, in questo caso, viene resettato solamente l´attributo lampeggio delle variabili e il lampeggio di tutti gli elementi grafici presenti nell´immagine. Ma non ci sarà il ripristino degli inserimenti nella AML.

Ripristino lampeggio con ripristino nella AML

Ripristinando il lampeggio, verranno ripristinati anche gli allarmi corrispondenti nella AML solo se nella gestione allarmi è stata settata l´opzione Riconoscimento dal lampeggio.

Solo per SICAM 230. Il riconoscimento nella Lista di informazione allarmi oppure a livello di barra di stato allarmi sul margine superiore dello schermo, ripristina l’allarme anche nell´immagine e nella gestione allarmi nelle immagini.

Ripristino lampeggio nel progetto di integrazione

Se si vuole ripristinare allarmi nel progetto di integrazione tramite la funzione Ripristina lampeggio allarmi, devono essere aperte tutte le immagini interessate.

Se le immagini si basano su modelli con lo stesso nome nel progetto sovraordinato e subordinato, non verranno aperte nel progetto subordinato. Se, però, i nomi dei modelli sono differenti, le immagini del progetto subordinato rimangono aperte in background e si può eseguire il ripristino lampeggio anche per queste immagini.

info Info

Quando si fa uso del ripristino lampeggio in rete, viene eseguito solamente a livello locale, sul client in questione.


Eliminare allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Eliminare allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un allarme, si deve:

  • Eseguire la funzione Conferma il riconoscimento d´allarme
    oppure
  • Usare il pulsante Elimina nell´immagine di tipo Lista di informazione allarmi.

E' possibile cancellare allarmi solo dopo averli ripristinati.

Se è stata impostata la proprietà Riconoscimento a due stadi per i valori limite, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che saranno stati definitivamente cancellati. Il solo ripristino non è sufficiente.

Autorizzazione utente

Mediante le Autorizzazioni funzioni, è possibile attribuire le funzioni Ripristina allarmi e Conferma il riconoscimento d'allarme ad un determinato gruppo utenti. In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare allarmi.

Si può impostare anche un´altra forma di autorizzazione operativa tramite i valori limite: a questo scopo, usare la proprietà Riconoscimento a due stadi dei sottogruppi nel gruppo Valori limiti delle proprietà della variabile. Gli allarmi selezionati potranno essere rimossi dalla Lista di informazione allarmi solamente da utenti in possesso di un´autorizzazione speciale.

Se è stata attivata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo essere stati cancellati. Il solo ripristino non è sufficiente.

info Info

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Filtrare allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtrare allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può filtrare la visualizzazione degli allarmi a Runtime:

  • Applicando filtri a Runtime.
  • Tramite il cambio immagine con filtro predefinito per aprire un´immagine di tipo Lista di informazione allarmi.
  • Tramite il cambio immagine con filtro per aprire un´immagine di tipo Lista di informazione allarmi.
  • Tramite il cambio ad un´immagine di tipo Filtro per lista informazione allarmi

Filtrare a Runtime

Nell´immagine di tipo Lista di informazione allarmi è possibile applicare filtri a Runtime. Per filtrare gli allarmi visualizzati nella AML:

  1. Deve essere stato progettato il pulsante Filtro nell´immagine.
  2. Cliccare su questo pulsante.
  3. Si apre la finestra di dialogo “Filtro” della Lista di informazione allarmi.

I filtri impostati possono essere salvati in profili.

Cambio ad un´immagine di tipo Lista di informazione allarmi

Gli allarmi possono essere visualizzati già pre-filtrati. Procedura:

  1. Configurare un filtro per la funzione cambio ad un´immagine di tipo Lista di informazione allarmi
  2. Quando la si apre, la Lista di informazione allarmi viene visualizzata già filtrata.
  3. Se per la funzione è stata attivata l´opzione Proponi dialogo a Runtime, il filtro potrà essere ridefinito prima della visualizzazione della lista.
  4. Sarà poi possibile definire altre impostazioni di filtro a Runtime servendosi del pulsante “Filtro”.

Cambio ad un´immagine di tipo Filtro per lista informazione allarmi.

Per rendere accessibili all´utente a Runtime solamente quei filtri di cui ha bisogno, usare l´immagine di tipo Filtro per lista informazione allarmi. Procedura:

  1. Configurare un cambio ad un´immagine di tipo Filtro per lista informazione allarmi
  2. Eseguendo questa funzione, aprire la AML a Runtime.
  3. L´utente avrà una Lista di informazione allarmi adattata alle sue esigenze personali.

Ancora in questo capitolo

Profili filtro

Usare “Filtro per lista informazione allarmi”


Profili filtro

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtrare allarmi -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente a Runtime in relazione ad una determinata immagine.

Per poter utilizzare i profili filtro, devono essere configurati nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profili filtro | Gestione profili a Runtime.
Selezione profili | Selezione di un profilo salvato a Runtime fra quelli contenuti nel menù a tendina.
Salva | Cliccando sul pulsante a Runtime, si salvano le impostazione di filtro come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cliccando sul pulsante (Elimina) a Runtime, si cancella il profilo selezionato.

Usando questi elementi di controllo, a Runtime sarà possibile:

  • Salvare filtri.
  • Usare i filtri salvati.
  • Cancellare profili filtro.

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Salvare profili filtro

Per creare un profilo filtro:

  1. Definire le condizioni di filtro.
  2. Assegnare un nome, digitandolo nel campo di inserimento Profilo filtro.
  3. Cliccare su Salva.
    Il profilo filtro verrà salvato e sarà disponibile nel menù a tendina.

Usare i profili filtro

Per usare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina di Profilo filtro.
  2. Il filtro verrà applicato immediatamente.

Cancellare i profili filtro

Per cancellare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina di Profilo filtro.
  2. Cliccare sul pulsante Elimina.
    Il profilo filtro verrà cancellato.
  3. Il filtro cancellato continuerà ad essere applicato finché non ne verrà definito o selezionato uno nuovo.


Usare “Filtro per lista informazione allarmi”

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtrare allarmi -> Usare “Filtro per lista informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Filtro per lista di informazione allarmi consente di definire a Runtime impostazioni di filtro individuali per la Lista di informazione allarmi. È possibile configurare tutte le impostazioni di filtro presenti anche nel filtro per la funzione Cambio ad un´immagine di tipo Lista di informazione allarmi.

In questo modo:

  • Vengono configurati e resi accessibili all´utente solamente gli elementi di filtro realmente necessari.
  • Vengono visualizzati solo questi filtri, facilitando così la vita dell´operatore e garantendogli una visione d´insieme migliore.
  • È possibile definire liberamente l´aspetto della lista a Runtime e rendere così possibile, per esempio, una facile gestione via touch screen.

Immagini filtro

Le immagini filtro consentono di trasferire un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene applicato all´immagine di destinazione. Le immagini possono essere anche di tipi diversi.

attention Attenzione

Perché a Runtime il tempo possa essere acquisito dall´immagine che apre, quando si configura il filtro tempo della funzione di cambio immagine per la Lista di informazione allarmi o per la Lista Eventi Cronologica, si deve impostare il seguente intervallo di tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Perché vengano applicati i filtri impostati, devono essere soddisfatti i seguenti requisiti:

  1. Come intervallo di tempo per il filtro tempo, deve essere selezionato Imposta filtro come filtro temporale.
  2. L´immagine (di tipo Filtro per lista informazione allarmi, Filtro CEL oppure Filtro tempo/lotto) deve essere richiamata usando un pulsante oppure un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Questo è possibile solamente se le due immagini non utilizzano o lo stesso modello o lo stesso monitor.
  4. L´immagine chiamante deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo.
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo. | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: vengono attualizzate le impostazioni comuni.
  • T: vengono aggiornate le impostazioni temporali.
  • X: vengono aggiornate tutte le impostazioni.

info Info

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni dei punti da 1 a 3 non è soddisfatta, oppure
  • L´impostazione Immagine chiamante della funzione Cambio immagine non è attiva, oppure
  • L´immagine non viene aperta mediante un elemento ad immagine.

In questo caso, i pulsanti Acquisisci, Chiudi e Aggiorna saranno visualizzati in color grigio (disattivati) e non saranno utilizzabili.

Aggiornamento

Quando viene aperta un´immagine filtro (Filtro Lista di informazione allarmi, Filtro CEL, Filtro tempo), le immagini configurate nella funzione Cambio immagine vengono aggiornate in due modi:

  • Se l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Se invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor (funzione di cambio immagine “Filtro CEL”) è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento viene eseguito non appena si clicca sul pulsante Acquisisci, oppure non appena si chiude l´immagine filtro tramite il pulsante Chiudi. Il pulsante Annullare rigetta le modifiche e chiude l´immagine filtro.

Aggiornare le impostazioni di filtro

Quando si clicca sul pulsante Aggiorna, vengono acquisite le correnti impostazioni di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine chiamante non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´update. La prima immagine trovata, verrà usata per eseguire l´update.


Stampare e esportare allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampare e esportare allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi della AML possono essere documentati e archiviati come segue:

  • AML stampa online: ogni allarme viene stampato su una stampante di linea non appena viene visualizzato nella lista.
  • AML stampa offline: viene stampato lo stato corrente della AML, come se fosse una lista completata.
  • Esportare contenuti della AML (filtrati)

La definizione della stampante da utilizzare viene eseguita nel menù File -> Configurazione generale -> Standard .

attention Attenzione

Per la stampa si usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel nodo File, nella cartella Testi e formati.

Modelli per il file FRM si trovano nella cartella di installazione di zenon, più precisamente nella sottocartella FRM_QRF. Possono essere inseriti nel progetto (alla voce Testi e formati del nodo “File” del Manager di progetto) e modificati in questa sede.

Nel capitolo File di configurazione FRM si trovano parole chiave per i file FRM.

Ancora in questo capitolo

Stampa online

Stampa offline

File di configurazione FRM

Esportazione allarmi


Stampa online

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampare e esportare allarmi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante una stampa online, ogni allarme attivo viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente allo standard ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per stampare allarmi online:

  1. Configurare anzitutto una stampante.
  2. Nelle proprietà di progetto, passare al nodo AML e CEL.
  3. Attivare la proprietà Stampa attiva (segno di spunta nella casella).
  4. Nel menù a tendina della proprietà Stampa per, selezionare la voce Lista di informazione allarmi.
  5. Definire il numero di righe tramite la proprietà Righe per pagina (Default: 72).
  6. Configurare il file ALARM.frm.
  7. Aggiungere il file ALARM.frm al nodo File/Testi e formati.

info Info

Questa funzione non è disponibile con Windows CE.

Gestione stampa e stampante a Runtime

Cambio pagina

Si ha un cambio pagina se:

  • Una pagina è stata scritta per intero.
  • In caso di stampa online, quando si chiude il Runtime.
  • Quando si esegue la funzione Inizia una nuova pagina per la stampa online.

Interrompere la stampa

Per interrompere la stampa online o per riprenderla:

  • Eseguire la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante a Runtime:

  • Eseguire la funzione Cambio stampante online.

Per impostare la stampante scelta a Runtime:

  1. Configurare nell´immagine un elemento di controllo Dialogo di stampa
  2. A Runtime, cliccare sul pulsante Dialogo di stampa
  3. Si aprirà la finestra di dialogo di configurazione.

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo: | Visualizzazione del tipo di stampante. Solo informazione
Percorso: | Visualizzazione del percorso della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Foglio

Parametri | Descrizione
Foglio | Configurazione della stampa.
Formato | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Alimentazione | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.

Esempio di formattazione

Progettazione in ALARM.FRM:

Data: @DSYSTEM | Lista di informazione allarmi Progetto demo | Tempo @TSYSTEM Ora | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | Lista di informazione allarmi Progetto demo | Tempo: ore 12 | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Messaggio 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Messaggio 2 | Valore limite
20.03.2011 13:11:23 |  | Messaggio 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampare e esportare allarmi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stampa offline significa che la Lista di informazione allarmi viene stampata nella forma in cui viene visualizzata al momento a Runtime. Questa stampa è un´immagine istantanea, che rispecchia tutti i filtri settati e le loro restrizioni. La stampa viene eseguita indipendentemente dal fatto che le variabili abbiano settata l´opzione Stampa o meno.

Stampa

Per stampare la Lista di informazione allarmi offline:

  1. Configurare anzitutto una stampante.
  2. Configurare il file ALAR_G.frm.
  3. Aggiungere il file ALAR_G.frm al nodo File/Testi e formati
  4. A Runtime, cliccare sul pulsante “Stampa” o “Dialogo di stampa”.

Impostare e modificare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante a Runtime:

  • Eseguire la funzione Cambio stampante online.

Per impostare la stampante scelta a Runtime:

  1. Configurare nell´immagine un elemento di controllo Dialogo di stampa
  2. A Runtime, cliccare sul pulsante Dialogo di stampa
  3. Si aprirà la finestra di dialogo di configurazione.

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo | Visualizzazione del tipo di stampante. Solo informazione
Luogo | Visualizzazione del luogo di collocazione della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Carta

Parametri | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Sorgente | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.

Esempio di formattazione

Progettazione in ALAR_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Tempo: ore 12 | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Messaggio 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Messaggio 2 | Valore limite
20.03.2011 13:11:23 |  | Messaggio 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampare e esportare allarmi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Header: all´inizio della pagina.
  • Parte lista: ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando si modifica un file FRM, bisogna tenere presente quanto segue:

  • Separazione delle sezioni lista:
    • Header e parte lista, e parte lista e piè di pagina sono separati dal carattere %%.

      Questo carattere di separazione può essere utilizzato solo una volta per la parte lista e il piè di pagina.

    • Attenzione: all´ultima riga devono seguire perlomeno due capoversi vuoti. Altrimenti il piè di pagina non verrà stampato!
  • Posizionamento dei singoli inserimenti:
    Si possono usare solamente spazi vuoti, nessun tabulatore.
  • Modifica di un file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

La lunghezza della pagina si imposta nel nodo AML e CEL delle proprietà di progetto, oppure mediante i file ALARM.frm o ALAR_G.frm per l´AML. E i file BTB.frm e BTB_G.frm per la CEL.

Attenzione:

  • Il numero di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, numero), nella “Lista di informazione allarmi” deve essere attivata l`opzione Utilizza tempo di riattivazione.
  • Nel file di formattazione è possibile usare parole chiave e testi liberi. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave in lingua inglese.
  • Non ogni parola chiave è adatta ad ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene parole chiave in tedesco e inglese e le loro possibilità di sostituzione:

Tedesco | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte lista
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e ora del verificarsi dell´allarme.
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e ora della fine dell´allarme.
@DATZEITOK | @DTACK | X | - | X | - | Data e ora del ripristino dell´allarme.
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e ora della riattivazione: nelle proprietà di progetto, deve essere attivata la proprietà Utilizza tempo di riattivazione.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEITOK | @TACK | X | - | X | - | Visualizza solamente il momento del ripristino.
@ZTKOMMT | @TRECEIVED | X | X | X | X | Visualizza solamente il momento del verificarsi dell´allarme.
@ZTGEHT | @TCLEARED | X | - | X | - | Visualizza solamente il momento della fine dell´allarme.
@ZTREAKT | @TREACTIVATE | X | - | X | - | Visualizza solamente il momento della riattivazione.
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce).
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili.
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi.
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi.
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi.
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi.
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta).
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme.
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni.
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella “Lista di informazione allarmi”.
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme.
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla “Lista di informazione allarmi”. Se si usano testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono state attivate.
@USER | @USERID | X | X | X | X | AML: utente che ha confermato l´allarme.
@RECHNER | @COMPUTER | X | X | X | X | AML: computer su cui l´allarme è stato confermato.
Parole chiave per l´intestazione e il piè di pagina.
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@SEITE | @PAGE | X | X | X | X | Numero di pagina
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data di sistema e ora di sistema.
@HEADDATUM | @DSYSTEM | X | X | X | X | Data di sistema.
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora di sistema.
@USER | @USERID | X | X | X | X | Utente che stampa.
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha inizializzato l´attività.
@RECHNER | @COMPUTER | X | X | X | X | Computer da cui viene lanciata l´operazione di stampa.
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione sulla stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio per evitare che degli inserimenti vengano sovrascritti. In questo modo si garantisce che anche lunghi testi di valore limite vengano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esportazione allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampare e esportare allarmi -> Esportazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono differenti formati per esportare gli allarmi:

  • dBase
  • CSV
  • XML
  • SQL

Esportazione

Per esportare allarmi

  1. Impostare una funzione Esporta allarmi
  2. Collegare questa funzione ad un pulsante.
  3. Eseguire la funzione a Runtime.

info Info

L´esportazione SQL avviene in modo incrementale. Se ci sono già dati esportati, verranno esportati solamente quelli nuovi o quelli modificati.


Gestione del progetto e workspace

Manuale -> Gestione del progetto e workspace

Ogni progetto appartiene ad un workspace.

I diversi workspace e progetti vengono visualizzati nel Manager di progetto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Workspace

Progetto

Progetto di integrazione

Progetto globale

Configurazione del filtro progetti

Configurazione


Workspace

Manuale -> Gestione del progetto e workspace -> Workspace

I workspace vengono salvate in un file con il suffisso .wsp6. Cliccando due volte su questo file, si avvia l`Editor di zenon nella versione a 32-Bit.

All’interno di un workspace si possono creare e gestire più progetti. Tutti i dati definiti e memorizzati per un workspace sono parte della banca dati di zenon.

La gestione di più progetti in un unico workspace è vantaggiosa quando più progetti di un impianto devono funzionare in una rete. E’ possibile anche modificare più progetti contemporaneamente.

In alternativa, si può creare un ulteriore workspace in un’altra cartella copiando lì i progetti.

Example Esempio

/CLIENTE1/PROGETTO: (uno o più progetti nel workspace).

/CLIENTE2/PROGETTO: (uno o più progetti nel workspace).

La struttura della banca dati viene definita tramite file di schema. Questi ultimi costituiscono la base per la creazione di una banca dati completamente nuova. Per il “Manager di gruppi di ricette” è disponibile un ulteriore file database in formato MS-ACCESS (MDB).

attention Attenzione

Non esistono dati preconfigurati!

Ancora in questo capitolo

Creare un nuovo workspace

Salvare il workspace

Modificare un workspace esistente

Backup e ripristino del workspace


Creare un nuovo workspace

Manuale -> Gestione del progetto e workspace -> Workspace -> Creare un nuovo workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due modi di creare un nuovo workspace:

  • Menù a tendina> File -> Workspace -> Nuovo ; oppure
  • Menù contestuale dell'inserimento "Workspace" nella struttura ad albero di progetto / Inserimento Workspace / Nuovo.

Parametri | Descrizione
Nome | Assegnare al nuovo workspace un nome liberamente configurabile. Il nome di default <Workspace> non è valido e deve essere sostituito. Sono consentiti: numeri, lettere e il carattere speciale di sottolineatura (_).
Cartella | Selezionare una cartella nella quale deve essere salvato il nuovo workspace. Di default, il sistema propone come luogo di salvataggio la directory dell'utente.
File del workspace | Il percorso viene generato automaticamente con gli inserimenti dell´utente.


Salvare il workspace

Manuale -> Gestione del progetto e workspace -> Workspace -> Salvare il workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due modi di salvare un workspace:

  • Menù a tendina / File / Workspace / Salva, oppure Salva con nome; oppure
  • Menù contestuale dell'inserimento "Workspace" nell'albero del progetto / Inserimento Workspace / Salva oppure Salva con nome.

Se si seleziona il comando Salva con nome si può definire individualmente il posto di salvataggio. In questo caso, un workspace esistente viene salvato con un altro nome.

Parametri | Descrizione
Nome | Assegnare un nome a piacere con il quale deve essere salvato il workspace. Il nome di default <Workspace> non è valido e deve essere sostituito. Sono consentiti: numeri, lettere e il carattere speciale di sottolineatura (_).
Cartella | Selezionare una cartella nella quale deve essere salvato il workspace. Di default, il sistema propone come luogo di salvataggio la directory dell'utente.
File del workspace | Il percorso viene generato automaticamente con gli inserimenti dell´utente.

I workspace sono salvati come file *.WSP.

info Info

Se nel workspace c´è un progetto con un numero di versione inferiore a quello dell´Editor, non si potrà selezionare la voce di menù "Workspace/Salva con nome.." Si deve prima convertire questo progetto nella versione dell´Editor, prima di poter salvare il workspace.


Modificare un workspace esistente

Manuale -> Gestione del progetto e workspace -> Workspace -> Modificare un workspace esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due modi di aprire un workspace esistente:

  • Menù a tendina File-> Workspace-> Apri ; oppure
  • Menù contestuale del nodo Workspace nell´albero di progetto -> Comando Workspace-> Apri


Backup e ripristino del workspace

Manuale -> Gestione del progetto e workspace -> Workspace -> Backup e ripristino del workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni sul backup e sul ripristino di workspace esistenti si trovano nel capitolo "Backup di progetto” / sezione Backup e ripristino del workspace.


Progetto

Manuale -> Gestione del progetto e workspace -> Progetto

Dopo che il workspace è aperto, si può modificare o selezionare uno o più progetti del ´Manager di progetto. Un progetto già esistente può essere inserito nel workspace aperto in qualsiasi momento.

Ancora in questo capitolo

Creare un nuovo progetto

Salvare un progetto

Inserire un progetto esistente

Modificare un progetto esistente

Sostituzione link progetto

Backup e ripristino del progetto

Rimuovere il progetto dal workspace

Eliminare un progetto


Creare un nuovo progetto

Manuale -> Gestione del progetto e workspace -> Progetto -> Creare un nuovo progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due modi di creare un nuovo progetto:

  • Menù a tendina-> File ->Progetto nuovo ;oppure
  • Menù contestuale dell'inserimento "Workspace" nell´albero di progetto / Inserimento Nuovo progetto...

Parametri

Descrizione

Tipo di progetto

Selezione del tipo di progetto: le opzioni a disposizione sono progetto standard e progetto globale.

Nome progetto.

Assegnare al nuovo progetto un nome a piacere.

Sono consentiti: numeri, lettere e il carattere speciale di sottolineatura (_).

Nota: il nome di default <Progetto> non è valido e deve essere sostituito.

Cartella base

Cartella nella quale il nuovo progetto deve essere salvato.

Workspace

Scelta del workspace:

  • Aggiungi al workspace attivo:
    Il nuovo progetto viene aggiunto al workspace attivo al momento. Il sistema propone di default il salvataggio nel percorso del workspace.
  • Crea un nuovo workspace:
    Con il progetto, viene creato anche un nuovo workspace: Il nome del workspace viene inserito automaticamente nel campo "Cartella Runtime".

Nome workspace

Assegnare al nuovo workspace un nome a piacere.

Sono consentiti: numeri, lettere e il carattere speciale di sottolineatura (_).

Nota: il nome di default <Workspace> non è valido e deve essere sostituito.

Cartella Runtime

Di default, il luogo di salvataggio per la cartella Runtime è predefinito: Può essere però modificato in questa finestra di dialogo.

Nota: sotto della "Cartella Runtime" viene impostata automaticamente la cartella dati per i file Runtime. Il percorso può essere modificato nelle proprietà di progetto, più precisamente con Generale/Cartella dati. Attenzione: questo percorso deve essere accessibile in qualsiasi momento, altrimenti i dati Runtime non possono essere più scritti.

Opzioni

Progetto multiutente

Attiva: più utenti possono modificare contemporaneamente lo stesso progetto (per i dettagli si veda la parte della guida dedicata alla progettazione multiutente.)

Server di progetto

Selezione del server di progetto per i progetti multiutente


Salvare un progetto

Manuale -> Gestione del progetto e workspace -> Progetto -> Salvare un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per salvare un progetto con un nuovo nome, bisogna selezionare nel menù contestuale del progetto la voce Progetto/Salva con nome.... Viene visualizzata una finestra di dialogo in cui si può indicare il nuovo nome che si desidera dare al progetto.

Se si cerca di salvare un progetto con un nome già assegnato, viene visualizzata una finestra contenente un messaggio che ne informa l´utente.

info Info

In questo modo, per esempio, si può creare una copia di un progetto esistente, che potrà poi essere modificato.

Per farlo, si deve anzitutto copiare il progetto A, scegliendo nel menù contestuale il comando "Salva con nome"; poi lo si può modificare nel modo desiderato. In seguito, questo progetto viene salvato come "progetto B" (di nuovo usando la voce del menù contestuale "Salva con nome").

Se questa soluzione è più veloce o meno di "importa/esporta”, dipende da quante differenze si vuole che ci siano fra i due progetti in questione.


Inserire un progetto esistente

Manuale -> Gestione del progetto e workspace -> Progetto -> Inserire un progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire nel workspace un progetto esistente:

  • Cliccare con il tasto destro del mouse sul workspace.
  • Selezionare il comando "Inserisci progetto esistente...".
  • Si apre una finestra di dialogo che consente di selezionare un progetto.

Per avere delle informazioni dettagliate relative ad un singolo progetto, soprattutto per quello che riguarda il tipo, aprire il nodo relativo al singolo progetto nella finestra di selezione. Sono visualizzate informazioni su:

Informazione

Descrizione

Progetto multiutente

Visualizzata solo se il progetto è di tipo multiutente.

ID progetto

ID univoco del progetto

Versione database di sistema

Versione della banca dati di sistema.

Versione tabelle di sistema

Versione delle tabelle di sistema.

Copie di progetto locali connesse

Visualizzazione delle copie di progetto su altri computer.

Solo in caso di progetti multiutente (contraddistinte mediante la lettera M nel simbolo).

Versione Editor

Versione dell´Editor con cui il progetto è stato creato o modificato l´ultima volta.

Tipo:

Indica il tipo di progetto:

  • Progetto standard
  • Progetto globale


Modificare un progetto esistente

Manuale -> Gestione del progetto e workspace -> Progetto -> Modificare un progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si seleziona un progetto esistente nel Manager di progetto cliccando una volta con il pulsante sinistro del mouse sul progetto in questione. Cliccando con il pulsante destro del mouse nel Manager di progetto, invece, viene visualizzato il seguente menù contestuale.

Le funzioni a disposizione sono:

Parametri | Descrizione
File Runtime |
Compila modificati | Crea i file Runtime modificati per il progetto attivo.
Crea tutti | Crea tutti i file Runtime per il progetto attivo.
-Importare | I file modificabili a Runtime vengono riletti nel percorso dell´Editor - Ricette Standard - Ricette del Manager gruppi di ricette - Gestione User - Orari e Profili.
Imposta come progetto di partenza | Definisce il progetto di partenza a Runtime per il computer in questione.
Avvia Runtime | Il Runtime viene avviato con il progetto definito come progetto di partenza.
Progetto attivo | Setta il "progetto attivo" per le barre degli strumenti dell'Editor e la lista incrociata. Tutti gli altri progetti, per i quali non è stata attivata l'opzione “Mantieni progetto in memoria”, verranno disattivati.
Mantieni progetto in memoria | Il progetto rimane nella memoria di lavoro, anche quando ne viene attivato un altro.
Progetto |
- Rinomina ... | Modifica il nome del progetto.
- Salva come… | Salva il progetto con un nuovo nome in un nuovo percorso.
- Proprietà… | Apre la finestra delle proprietà con le proprietà del progetto.
Rimuovi dal Workspace | Rimuove il progetto dal workspace corrente, senza però cancellarlo fisicamente.
- Elimina | Cancella il progetto fisicamente.
- Crea backup... | Crea un backup del progetto.
- Ripristina backup... | Rilegge nel workspace corrente un backup del progetto salvato.
Progetto Trasporto Remoto | Apre il sottomenù Progetto Trasporto Remoto; il sottomenù Progetto Trasporto Remoto offre le seguenti funzioni:
- Stabilisci collegamento | Crea una connessione remota con il computer di destinazione.
- Trasporta file Runtime modificati | Solo i file Runtime modificati vengono trasferiti al computer remoto.
- Trasporta tutti i file Runtime | Solo i file Runtime modificati vengono trasferiti al computer remoto.
- Ricevi tutte le tutte le cartelle Runtime di progetto | I file modificabili a Runtime (p.e. ricette, gestione utenti ecc.) vengono riletti nei file dell´Editor.
- Imposta come progetto di partenza | Imposta il progetto di partenza per il computer remoto.
- Avvia Runtime | Viene lanciato il Runtime sul computer remoto.
- Termina Runtime | Viene chiuso il Runtime sul computer remoto.
- Aggiorna progetto | Esegue la funzione Aggiorna sul computer del Runtime.
- Richiedere file di errore | Richiede il file di errore dal computer remoto.
- Riavvia il sistema operativo remoto | Riavvia il sistema operativo sul computer remoto.
- Rileva lo stato del sistema remoto | Richiede lo stato del computer remoto.
- Cambia la password remota | Viene modificata la password per l'accesso remoto al computer di progetto.
Profilo editor | Apre un sotto-menù in cui può essere selezionato un profilo impostato (si veda il capitolo sul sistema di gestione dell'Editor)
Guida | Apre la guida online.

Protezione della password

Ogni progetto può essere protetto con una password. Procedura:

  • Creare gli utenti necessari nella Gestione user.
  • Passare al nodo Gestione user delle proprietà di progetto; cliccare sulla proprietà Autorizzazion Funzioni e aprire la scheda “Autorizzazione funzioni Editor”; in questa scheda, impostare per Carica progetto un livello di autorizzazione maggiore di 0
  • Assegnare questo livello di autorizzazione a tutti gli utenti autorizzati.

In questo modo, il progetto potrà essere aperto solamente dagli utenti esistenti che dispongono del livello di autorizzazione impostato.


Sostituzione link progetto

Manuale -> Gestione del progetto e workspace -> Progetto -> Sostituzione link progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si copiano progetti, può essere necessario riassegnare i loro collegamenti con progetti sovraordinati. L´assistente Sostituzione link progetto supporta la sostituzione automatica di collegamenti di progetto relativi ad immagini, variabili e funzioni. Viene avviata una ricerca automatica di tutti i link di progetto esistenti, che poi possono essere sostituiti con le immagini, funzioni, variabili di un altro progetto selezionabile liberamente.

Per sostituire link di progetto:

  1. Workspace e sottoprogetti devono essere salvati.
  2. Nel menù contestuale del progetto di integrazione, selezionare il comando Sostituzione link progetto
  3. Si apre la finestra di dialogo che consente di selezionare un progetto.
  4. Selezionare le assegnazioni desiderate.
  5. Confermare e chiudere la finestra di dialogo cliccando su OK.

Parametri

Descrizione

Lista sostituzioni

Lista dell´assegnazione di progetto per la sostituzione di link:

  • Progetto vecchio:
    Contiene automaticamente tutti i progetti sorgente. Se questa lista è vuota, non esiste nel workspace nessun progetto sovraordinato con collegamenti a sottoprogetti.
  • Progetto nuovo:
    Progetto che deve riprendere i collegamenti. Per selezionare un progetto dalla lista di possibili progetti (a destra), cliccare sul pulsante con la freccia.

Progetti possibili

I progetti con i quali possono essere sostituiti i progetti sorgente. Procedura per selezionare un progetto:

  • Selezionare il progetto vecchio desiderato.
  • Selezionare il nuovo progetto desiderato nella lista “Progetti possibili”.
  • Cliccare sul pulsante con la freccia verso sinistra.

Resettare l´assegnazione:

  • Evidenziare l´assegnazione desiderata nella lista sostituzioni.
  • Cliccare sul pulsante con la freccia verso destra.

OK

Applica l´assegnazione ed esegue la sostituzione.

Il numero dei collegamenti di progetto sostituiti viene visualizzato nella finestra di emissione.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Backup e ripristino del progetto

Manuale -> Gestione del progetto e workspace -> Progetto -> Backup e ripristino del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni su backup e ripristino di progetti esistenti si trovano nel capitolo Backup di progetto.


Rimuovere il progetto dal workspace

Manuale -> Gestione del progetto e workspace -> Progetto -> Rimuovere il progetto dal workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per rimuovere un progetto dal workspace nel quale si trova, selezionare nel menù contestuale del progetto la voce Progetto/ Rimuovi dal workspace.

Il progetto, però, non verrà cancellato. (Si veda la sezione Eliminare un progetto).


Eliminare un progetto

Manuale -> Gestione del progetto e workspace -> Progetto -> Eliminare un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni riguardanti la cancellazione di progetti si trovano nel capitolo “Backup di progetto” / Eliminare un progetto.


Progetto di integrazione

Manuale -> Gestione del progetto e workspace -> Progetto di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offre la possibilità di realizzare una struttura di progetto multi-gerarchica. In questo caso, si crea un progetto d'integrazione (progetto di livello superiore) con più sotto-progetti.

Essendo il centro del sistema, il progetto d'integrazione contiene le immagini con la visione generale, in cui sono visualizzati i valori di processo dei sotto-progetti.

Per i dettagli si veda il tema gestione multi-progetto nella parte della guida relativa alla Rete.

Example Esempio

Tramite le ricette del progetto di integrazione, si possono gestire centralmente inserimenti di valori impostabili per amministrare in modo ottimale i singoli progetti.

Utilizzando archivi comuni a vari progetti nel progetto di integrazione, i dati dei sotto-progetti possono essere raccolti in una struttura centrale.

E' possibile utilizzare nel progetto di integrazione variabili di sottoprogetti.

Informazioni più dettagliate sulla sostituzione di link di progetto si trovano nel capitolo Sostituisci link di progetto.

attention Attenzione

Assegnazione di nomi ai modelli: evitare di attribuire gli stessi nomi ai modelli del progetto di integrazione e di sottoprogetti. Perché:

  • Se è già aperto un modello con lo stesso nome, viene usato questo per aprire l´immagine - indipendentemente dal progetto al quale appartiene.
  • Se non è ancora aperto nessun modello con il nome adatto, viene usato quello del progetto dell´immagine.

Percorsi file

I sottoprogetti che si trovano nello stesso nodo di cartella del progetto di integrazione quando sono creati, usano sempre la stessa struttura di quest´ultimo. Ogni sottoprogetto viene inserito nel file project.ini con percorso relativo al progetto di integrazione. Se si modifica il percorso Runtime per il progetto di integrazione, cambiano anche quelli per i sottoprogetti. Questo garantisce che il Runtime trovi i percorsi necessari.

Nota: ulteriori informazioni su questo tema si trovano nella parte della guida relativa alla “Rete”, nel capitolo Il progetto di integrazione.

Ancora in questo capitolo

Copiare i sotto-progetti

Autorizzazione operativa


Copiare i sotto-progetti

Manuale -> Gestione del progetto e workspace -> Progetto di integrazione -> Copiare i sotto-progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per evitare che, dopo aver copiato dei sotto-progetti, i collegamenti del progetto di integrazione rimandino ai sotto-progetti sbagliati, zenon offre la possibilità di sostituire i link di progetto senza copiare l'intero workspace. .

Anche senza dover fare una copia del progetto di integrazione, i collegamenti del progetto di integrazione con il sotto-progetto possono essere sostituiti usando i collegamenti ad una copia del sotto-progetto.

Ancora in questo capitolo

Copiare l'intero workspace


Copiare l'intero workspace

Manuale -> Gestione del progetto e workspace -> Progetto di integrazione -> Copiare i sotto-progetti -> Copiare l'intero workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso viene creata una copia dell'intero workspace. Per ogni progetto viene eseguito il comando „Salva con nome“ e viene generato un nuovo GUID. I progetti, però, mantengono il loro nome originale. Il workspace viene caricato automaticamente con i nuovi progetti. Con questa soluzione, l'intero progetto di integrazione viene analizzato alla ricerca di collegamenti a variabili e funzioni che rimandano ad altri progetti. In questi collegamenti, poi, il GUID del progetto originale viene sostituito con quello del sotto-progetto copiato. Con questa soluzione, il sotto-progetto può essere modificato e potrà essere poi utilizzato immediatamente con il progetto di integrazione "pronto".


Autorizzazione operativa

Manuale -> Gestione del progetto e workspace -> Progetto di integrazione -> Autorizzazione operativa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon, si possono implementare autorizzazioni operative per progetti di rete e per progetti di integrazione senza rete.

Autorizzazione operativa significa che l´utente può accedere attivamente al processo, per es., per settare valori. Anche se il progetto di integrazione in sé non è un progetto di rete, ma contiene progetti di rete, si ha la possibilità di stabilire che sia consentito gestire il progetto in modo unitario solamente su una postazione alla volta.

Autorizzazione operativa in rete

L´autorizzazione operativa in rete viene rilasciata o bloccata su un determinato computer eseguendo funzioni di zenon. Per utilizzare le autorizzazioni operative in rete:

  1. Nelle proprietà di progetto, passare al gruppo Rete.
  2. Nel menù a tendina della proprietà Autorizzazione di rete, selezionare il tipo di autorizzazione operativa (autorizzazioni utenti globali o autorizzazione utente su modello di impianto).
  3. Definire il Timeout per la richiesta [s]:
  4. Definire il Timeout per autorizzazione utenti [s]:

    Attenzione: configurare un intervallo di tempo minore rispetto a quello impostato per il timeout di rete nella proprietà Timeout [s].

  5. Creare le funzioni di tipo Autorizzazione di rete per ottenere o rilasciare l´autorizzazione operativa a Runtime.

I dettagli a questo proposito si trovano nel capitolo Autorizzazione in rete, nella parte della guida dedicata alla Rete.

Autorizzazione operativa nel progetto di integrazione.

Anche in un progetto senza rete è possibile rilasciare o bloccare l´autorizzazione operativa Lo si fa tramite una variabile locale che rilascia l´autorizzazione quando ha il valore 0, e la blocca quando il suo valore è diverso da 0.

Per usare autorizzazioni operative in un progetto di integrazione:

  1. Creare localmente una variabile binaria del driver interno.
  2. Nel gruppo Interazione delle proprietà di progetto, collegare questa variabile interna alla proprietà Blocco utente.
  3. Determinare localmente il valore che la variabile deve avere per bloccare l´autorizzazione.
    Si può farlo nei seguenti modi:
    • Funzione Imposta valore:
      Aggiornare il valore della variabile tramite funzioni di tipo Imposta valore collegate a valori limite della variabile di sistema: [Rete] Autorizzazione rete: disponibile su questo PC del sottoprogetto.
    • API.
    • Attivare per la variabile la proprietà Visibile esternamente e aggiornare il suo valor via zenon Logic.

Valore variabile:

  • >0: Non c´è nessuna autorizzazione operativa.
    Il Runtime reagisce come quando il progetto è un progetto di rete e l´autorizzazione operativa non esiste.
  • 0: l´autorizzazione operativa esiste.
    Il Runtime reagisce come quando il progetto è un progetto di rete e l´autorizzazione operativa esiste.

attention Attenzione

Differenza dalla funzione Autorizzazione di rete:

Quando il blocco è attivato tramite la variabile interna, un eventuale tentativo di settare un valore viene semplicemente ignorato dal sistema. Il sistema non visualizza nessun messaggio corrispondente per informare l´utente.

Non tutte le variabili sono bloccate mentre il blocco operativo è attivo. Le variabili locali sul computer in questione, infatti, continuano ad essere accessibili per l´utente. Per le variabili del driver interno, invece, vale quanto segue:

  • Le variabili interne per cui è stata selezionata l´impostazione locale per la proprietà Funzionamento (gruppo “Variabili interne”), rimangono sempre accessibili, sia in progetti con rete, sia in quelli senza rete.
  • Anche le variabili interne per cui è stata selezionata l´impostazione Rete e che provengono da un progetto senza rete, rimangono sempre accessibili. Questo perché l´impostazione configurata per la proprietà Funzionamento della variabile, non ha nessun effetto senza la rete.

In progetti di rete, invece, le variabili interne per cui è stata attivata l´opzione Funzionamento Rete - così come le variabili di processo - sono accessibili solamente se si ha l´autorizzazione operativa corrispondente. In dettaglio:

  • La variabile per il Blocco utente blocca gli elementi di controllo del proprio progetto. Non è possibile eseguire nessun inserimento. Se si opera usando elementi di immagine di un altro progetto, il Blocco utente impedisce il settaggio finale del valore.
  • La funzione Autorizzazione di rete blocca le variabili. Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa alla Rete, nel capitolo Autorizzazione operativa a Runtime.

Esempio: Il progetto di integrazione non è bloccato, il sottoprogetto è bloccato. Se la variabile del sottoprogetto è stata collegata ad un elemento d'immagine del progetto di integrazione, l´utente potrà aprire la finestra di dialogo nel progetto di integrazione, ma il valore da lui modificato non verrà accettato e applicato.


Progetto globale

Manuale -> Gestione del progetto e workspace -> Progetto globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progetto globale si intende un progetto che non è connesso al processo.

info Info

Si può creare ed usare solamente un progetto globale per ogni workspace.

Il progetto globale dispone di una serie di moduli che sono a disposizione di tutti i progetti del workspace. Se degli oggetti esistono sia nel progetto globale che in quello locale, gli elementi del progetto locale hanno la precedenza.

Modulo

Descrizione

Variabili -> Allarme

Raggruppamento degli allarmi in gruppi, classi e aree.

Modelli

Modelli non esistenti nel progetto locale, vengono ripresi dal progetto globale. Il nome funge da identificazione.

Stili

Gli stili consentono di fare quanto segue con le proprietà grafiche di elementi:

Estrarle nell´ambito di gruppi di stili.

Gestirle in gruppi di stili.

Assegnarle ad altri elementi.

Gli stili vengono amministrati e gestiti sempre nel progetto globale.

Liste caratteri

Una lista caratteri non esistente a livello locale viene ripresa dal progetto globale. Il nome funge da identificazione. Tenere presente le conseguenze causate da nomi uguali nel progetto globale e locale.

Tavolozze di colori

Tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori; il numero di colori, dunque, può essere differente fra progetto globale e locale.

Attenzione: in caso di conflitti a Runtime, le tavolozze del progetto locale hanno la precedenza.

Libreria simboli

I simboli sono a disposizione di tutti i progetti del workspace.

Denominazione quando si esegue un collegamento nell´immagine: Progetto globale_[Nome simbolo]

Nota: non è possibile copiare direttamente dalla Libreria simboli nella Libreria simboli nel progetto, oppure copiare dal progetto o dal progetto globale nella Libreria simboli generale.

File delle lingue

I file delle lingue vengono gestiti in tabelle lingua e il merging viene eseguito usando nome file e parole chiave. Le parole chiave che non esistono nel progetto locale, vengono riprese dal progetto globale.

Gestione utenti

Il merging degli utenti viene eseguito sulla base dell'identificazione. Gli utenti non esistenti nei progetti locali vengono ripresi dal progetto globale.

Attenzione: utenti del progetto globale vengono visualizzati a Runtime in tutti i sottoprogetti, ma non possono essere modificati mediante la gestione utenti a Runtime.

File

I file che non esistono nel progetto locale, vengono ripresi dal progetto globale.

Log delle modifiche

Documenta tutte le modifiche nel progetto globale.

Progettazione impianto

Rappresenta tutti i livelli di un´azienda in modo corrispondente alla norma ISA S88 e S95. Viene creata nel progetto globale e utilizzata nei progetti locali.

Backup di progetto

Per il backup del progetto globale.

info Info

Non è possibile aprire l`Editor VBA nel progetto globale.


Configurazione del filtro progetti

Manuale -> Gestione del progetto e workspace -> Configurazione del filtro progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro progetti viene utilizzato in molte funzioni (cambio immagine, esporta, stampa, ecc.). Consente la selezione di singoli progetti nella gestione multi-progetto.

attention Attenzione

Questo filtro è a disposizione solamente se ci sono più progetti in un progetto di integrazione.

Eccezione: quando si esegue la configurazione del filtro per faceplate, il sistema offre il filtro progetti anche per progetti singoli.

La selezione dal progetto di integrazione e da tutti i sottoprogetti avviene per selezione multipla tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Configurazione

Manuale -> Gestione del progetto e workspace -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si configura un progetto mediante:

Parametri | Descrizione
Configurazione generale | Registrazione prodotto Standard Pannello di controllo
Configurazione progetto | Progetto Gestione allarmi Lista eventi cronologica Gestione monitor Gestione utenti Backup del progetto Rinomina progetto Salva progetto con nome...

Ancora in questo capitolo

Standard

Gestione del progetto


Standard

Manuale -> Gestione del progetto e workspace -> Configurazione -> Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando il punto di menù File\\Configurazione generale\\Standard..., si accede ad una finestra di dialogo che consente di configurare le seguenti proprietà senza riferimento a un progetto specifico:

Parametri | Descrizione
Stampante | Impostazioni globali relative alla stampante per tutti i progetti della banca dati.
Cartelle | Definizioni per progetti nuovi.

Ancora in questo capitolo

Stampante

Cartella generale


Stampante

Manuale -> Gestione del progetto e workspace -> Configurazione -> Standard -> Stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono definire diverse stampanti per eseguire i processi di stampa.

Assegnare una stampante

Le stampanti possono essere assegnate per svolgere le seguenti operazioni:

Parametri | Descrizione
Per stampa online AML o CEL: | Stampante online per “Lista di informazione allarmi” o “Lista Eventi Cronologica” a Runtime. Selezionare AML oppure CEL nel gruppo AML e CEL delle proprietà di progetto, oppure tramite i file ALAR.FRM oppure BTB.FRM.
Per stampa offline AML o CEL: | Stampante offline per “Lista di informazione allarmi” o “Lista Eventi Cronologica” a Runtime cliccando sul pulsante Stampa nell'immagine relativa. Configurazione del formato tramite i file ALAR_G.FRM oppure BTB_G.FRM.
Per protocolli e valori | Stampante per report e se è stata scelta la funzione Stampa valore attuale (emissione dei valori correnti e tabelle).
Per Screenshots | Stampante per screenshot.
Per Notepad | Stampante per liste generali.

Per selezionare una stampante:

  1. Cliccare nel menù a tendina.

    Tutte le stampanti installate sul computer sono visualizzate in questo menù a tendina e possono essere selezionate.

Per configurare le impostazioni pagina:

  1. Cliccare sul pulsante ... accanto campo di inserimento per la stampante.

    Si apre la finestra di dialogo per l´impostazione della stampante.

Imposta stampante

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo | Visualizzazione del tipo di stampante. Solo informazione
Luogo | Visualizzazione del luogo di collocazione della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Carta

Parametri | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Sorgente | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.

info Info

Le stesse stampanti sono utilizzabili con diversi parametri per diverse interfacce di stampa.

Stampa con Windows CE

Con Windows CE non è disponibile nessun spooler di stampa. La stampa ha luogo durante il processo. La stampa, dunque, blocca anche la funzionalità del Runtime.
Con Windows CE, la funzionalità della stampa è disponibile solamente se è già presente nella CE-Image. Non la si può aggiungere in seguito, né estenderla ad altre stampanti.

Cose da tener presenti riguardo la funzionalità della stampa con Windows CE:

  • Stampa online:
    La stampa viene eseguita sempre direttamente su LPT1. Questo numero di porta deve esistere sul dispositivo CE; inoltre deve essere connessa una stampante di linea.
  • Stampa offline:
    La stampa viene eseguita sempre sulla stampante standard configurata sul sistema.
    La stampante non può essere configurata, né modificata a Runtime di zenon.

Nota: perché la stampa offline funzioni con Windows CE, il produttore del dispositivo deve rendere disponibile questa opzione nella CE-Image. Inoltre, ci deve anche essere la possibilità di definire la stampante standard, per esempio usando applicazioni come Pocketword o Notepad CE.


Cartella generale

Manuale -> Gestione del progetto e workspace -> Configurazione -> Standard -> Cartella generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Cartella della finestra di dialogo delle impostazioni standard vengono definiti i percorsi file standard per le categorie sotto elencate. Cliccando sul pulsante ... si apre l´Explorer che consente di definire il luogo di salvataggio per il tipo di file selezionato. I luoghi di salvataggio definiti in questa scheda verranno applicati nei nuovi progetti come cartelle di default. Li si può modificare tramite l´opzione Percorsi delle proprietà di progetto. Queste cartelle vengono create in modo relativo alla cartella Runtime.

Parametri | Descrizione
Grafica | File grafici. Default: \Graphics
Dati esportati | Percorso per archivi, report, “Lista Eventi Cronologica” e “Lista di informazione allarmi” esportati. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Cartella rilettura archivi | Cartella per la rilettura di file di backup archivi. Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi. Default: \ArxReadBack
Archivi esportati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArx
Guida online | Cartella per guida online. Default: \OnlineHelp


Gestione del progetto

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i dettagli di un progetto vengono configurati nelle proprietà di progetto. Per poter configurare le proprietà, si deve:

  • Selezionare il progetto nella struttura ad albero.
  • Aprire la finestra delle proprietà.

    La finestra delle proprietà può essere aperta mediante la voce “Finestra proprietà” del menù Visuale, oppure mediante la voce del menù contestuale di progetto “Proprietà”:

Ancora in questo capitolo

Descrizione progetto

Cartelle per un progetto specifico

Qualità grafica

Configurazione file modificabili a Runtime


Descrizione progetto

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto -> Descrizione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere inserite le seguenti informazioni sul progetto:

Parametri | Descrizione
Autore | Autore del progetto.
Manager | Manager del progetto.
Azienda | Ditta per la quale è stato realizzato il progetto.
Commento | Commento configurabile sul progetto.


Cartelle per un progetto specifico

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto -> Cartelle per un progetto specifico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando la proprietà Percorsi nelle proprietà di progetto Generale, viene aperta la finestra di dialogo che consente di definire i luoghi di salvataggio. Le cartelle visualizzate nelle diverse proprietà di questa finestra di dialogo sono riprese dalle Impostazioni standard per le cartelle. Cliccando sul pulsante ... accanto ai campi relativi alle diverse cartelle, si apre l´Explorer e sarà possibile selezionare un´altra cartella per salvare i diversi tipi di file. Queste cartelle vengono create in modo relativo alla cartella Runtime.

Parametri | Descrizione
Grafica | File grafici. Default: \Graphics
Dati esportati | Percorso per archivi, report, “Lista Eventi Cronologica” e “Lista di informazione allarmi” esportati. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Cartella rilettura archivi | Cartella per la rilettura di file di backup archivi. Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi. Default: \ArxReadBack
Archivi esportati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArx
Guida online | Cartella per guida online. Default: \OnlineHelp


Qualità grafica

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto -> Qualità grafica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. Per impostare una qualità grafica, usare la proprietà Qualità grafica del gruppo Aspetto grafico delle proprietà di progetto. Queste impostazioni sono effettive solamente a Runtime. Nell´Editor viene usata sempre la qualità grafica DirectX.

Le possibili impostazioni sono:

  • Windows standard: Proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: I calcoli grafici vengono eseguiti dalla CPU. In dipendenza dalle grafiche da visualizzare, si possono utilizzare più CPU. L´uso di DirectX Software può causare un elevato carico per la CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene eseguita dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware , e si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attention Attenzione
  • DirectX non è disponibile con Windows CE.
  • DirectX non può essere usato per OCX.

DirectX

DirectX garantisce una qualità grafica migliore di Windows standard.

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Requisito

Descrizione

Deve essere attivata l´opzione DirectX Hardware oppure DirectX Software.

Per la proprietà Aspetto grafico delle proprietà di progetto si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.1.

DirectX Hardware e DirectX Software funzionano solamente sui sistemi operativi che supportano DirectX11.1.

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows standard.

Deve essere installato sul PC il Runtime DirectX corrente. Per zenon, questo viene installato automaticamente con il setup. Per zenon Web Client, invece, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente le immagini e gli elementi supportati possono essere visualizzati con DirectX.

Se si applica l´opzione DirectX Hardware, devono essere soddisfatti i requisiti minimi.

Per i dettagli riguardanti i requisiti minimi, si prega di consultare il capitolo Requisiti del sistema in caso di uso di DirectX. Se questi requisiti non vengono soddisfatti, il sistema passa automaticamente a DirectX Software.

Se il sistema operativo non mette a disposizione nessuna accelerazione hardware (come nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

DirectX 11.1

In caso di uso di DirectX 11.1, vale quanto segue:

  • Con Windows 8 e con le versioni più recenti del sistema operativo Windows, DirectX 11.1 è nativo.
  • Con Windows 7 e con Server 2008R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non può essere utilizzato.
  • Con Windows 7 SP1 e Server 2008 R2 SP1, deve essere installato un “Windows service pack”.

Installare il Service Pack per Windows 7 SP1 e Server 2008 R2 SP1.

Per installare il Service Pack:

  1. Scaricare dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionare la versione che corrisponde al sistema operativo che si usa.
    • A 32 Bit
    • A 64 Bit
  3. Eseguire il relativo file di installazione.

Nota: questo riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. Nelle versioni più recenti DirectX 11.1 c´è già. L´update non può essere installato in versioni ancora più vecchie.

Ancora in questo capitolo

DirectX: gestione errori


DirectX: gestione errori

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto -> Qualità grafica -> DirectX: gestione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono emessi nel Diagnosis Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato quando viene aperta un´immagine, oppure durante il funzionamento del sistema, quest´ultimo cerca di inizializzare DirectX ancora una volta. Nel corso di questo processo, l´Editor e il Runtime di zenon continuano a funzionare normalmente. Nel frattempo si può cercare di risolvere il problema. Possibili cause e soluzioni del problema possono essere trovate nel Diagnosis Viewer.

Mentre il sistema tenta di nuovo di inizializzare DirectX, viene visualizzata una barra che mostra lo stato di avanzamento del processo. Per interrompere questo tentativo di inizializzazione:

  1. Cliccare sul pulsante Annulla.
  2. Confermare il messaggio di errore che verrà visualizzata.
  3. A seconda del punto in cui è stato interrotto il processo, verrà chiuso o l`Editor, o il Runtime.

Nota: gli errori che impediscono di inizializzare di nuovo DirectX vengono visualizzati dal sistema mediante un corrispondente messaggio di errore.

Diagnosis Viewer

DirectX visualizza messaggi propri nel Diagnosis Viewer con:

  • Un messaggio di errore.
  • Possibili cause dell´errore stesso.
  • Codici di errore.

L´emissione avviene nel modulo proprio DirectX. Quando si verificano errori, il testo corrispondente viene visualizzato nel campo Error; in caso di avvisi e indicazioni di Debug, il messaggio corrispondente viene emesso nel campo di testo General:

  • Quando l´apertura di un´immagine riesce, viene emesso almeno un messaggio di DEBUG che informa che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano ad eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore che non può essere risolto, viene emesso un messaggio di errore (Error).

info Info

Se un messaggio non viene visualizzata per intero in un report nel Diagnosis Viewer, aprire l´inserimento con un doppio clic, in modo tale che venga visualizzato tutto il testo del messaggio.

Check-List per il monitoraggio degli errori

Attivando i messaggi di Debug nel Diagnosis Viewer si può verificare se DirectX funziona o meno. Se l´esito di questa verifica è positivo, il sistema visualizza un messaggio corrispondente.

  • Avvisi specifici DirectX, oppure segnalazioni di errore sono visualizzati nel Diagnosis Viewer?
  • È stata impostata l´opzione DirectX Hardware o DirectX Software per la proprietà di progetto Qualità grafica?
  • Sono soddisfatti i requisiti minimi per l´uso di DirectX? Per i dettagli riguardanti i requisiti minimi, si prega di consultare il capitolo Requisiti del sistema in caso di uso di DirectX.
  • DirectX viene supportato dall´immagine o dall´elemento?
  • La visualizzazione funziona correttamente con Windows standard?
  • La visualizzazione funziona correttamente con un altro driver?
  • La visualizzazione funziona correttamente con una scheda grafica di un altro produttore?


Configurazione file modificabili a Runtime

Manuale -> Gestione del progetto e workspace -> Configurazione -> Gestione del progetto -> Configurazione file modificabili a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon esiste una serie di dati che possono essere modificati sia nell'Editor che a Runtime. Sono file per:

  • Manager gruppi di ricette
  • Ricette standard
  • Gestione utenti
  • Schedulatore

Proteggere i file Runtime perché non possano essere sovrascritti

Se si crea o trasmette di nuovo tutti i file Runtime, i file modificabili a Runtime vengono sovrascritti. Se lo si vuole evitare, si può selezionare nella finestra di dialogo “RT dati modificabili” tramite l´opzione Non rigenerare e ritrasmettere quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor perché non possano essere sovrascritti

I dati modificati a Runtime possono essere riletti nell´Editor. Nel corso di questo processo, i dati corrispondenti vengono sovrascritti nell´Editor. Se lo si vuole evitare, si può selezionare nella finestra di dialogo “RT dati modificabili” tramite l´opzione Non decompilare quali file non devono essere riletti.

Finestra di dialogo: RT dati modificabili

Per aprire la finestra di dialogo di configurazione dei file Runtime modificabili, cliccare nelle proprietà di progetto su Generale/RT dati modificabili:

Possono essere selezionati i seguenti tipi di file:

Parametri | Descrizione
Manager gruppi di ricette | Gruppi di ricette e ricette del Manager gruppi di ricette. Nel corso del processo di trasferimento, vengono trasmessi nuovi file e create delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard.
Gestione user | Gestione utenti per login e gestione dei diritti a Runtime.
Schedulatore | Modifiche nei modelli tempo e negli orari del PFS.

attention Attenzione

Quando si converte un progetto, si deve fare attenzione a convertire anche i file Runtime modificabili. Per farlo, i file Runtime devono essere importati nella versione originaria dell´Editor, e, dopo l´update, caricati di nuovo a Runtime. Per i dettagli al proposito, si prega di consultare il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasferimento dei file

Al Runtime

Possibilità di trasferimento di file al Runtime:

  1. Vengono trasferiti tutti i file.
  2. Vengono trasferiti solamente i file modificati.

In entrambi i casi, si tiene conto dei tipi di file definiti nella proprietà RT dati modificabili.

Dal Runtime

Ci sono due possibilità di rileggere file dal Runtime:

  1. Rileggere tutti file Runtime:
    1. Tutti i file Runtime vengono riletti nella cartella che è stata definita nella proprietà Cartella Runtime.
    2. Indipendentemente dalle impostazioni configurate nella proprietà RT dati modificabili.
  2. Importare i file Runtime:
    1. Importa i file definiti nella proprietà RT dati modificabili e
    2. Sostituisce la progettazione nell´Editor con questi file Runtime.
    3. Sistema particolarmente adatto se si vogliono accettare e applicare nell´Editor i dati di un sistema remoto.

Errore di connessione

Nel processo di trasferimento vengono sovrascritti i file esistenti in modo corrispondente alle impostazioni configurate.

Se si verificano errori durante la trasmissione, oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Gestione monitor

Manuale -> Gestione monitor

La gestione monitor consente di realizzare in modo semplice l´organizzazione di più monitor.

I compiti della gestione monitor sono:

  • Funzionamento: funzionamento misto di sistemi a uno o più monitor.
    Ad esempio: in una centrale di controllo vengono utilizzati tre monitor, su un client due e il notebook del tecnico della manutenzione dispone di un solo monitor.
  • Emissione immagine: emissione di un immagine su un monitor qualsiasi e modifica dell’attribuzione d’immagine -> Monitor nel runtime.
    Tutti i tipi d'immagine (per esempio AML, menù) e funzioni (per esempio ripristinare immagine) collegati a quest’immagine o a questo modello, devono essere ripresi automaticamente.
  • Adattamento della risoluzione: implementazione di calcolatori con diverse risoluzioni nello stesso progetto.
    Esempio: La risoluzione monitor in fase di progettazione è pari a 1680 x 1050. La risoluzione sull´apparecchio di destinazione è pari a 1024 x 768. In questo caso, zenon adatta la risoluzione in modo automatico e corretto, ma, per via delle differenti relazioni di pagina, i cerchi diventeranno giocoforza delle ellissi. Con la gestione monitor, dunque, è possibile adattare correttamente la risoluzione di destinazione per il runtime.

info Info

La risoluzione minima consigliata nel Runtime è di 1024 x 768 pixel. Possono essere configurate anche delle risoluzioni minori. Tuttavia, in questo caso probabilmente non sarà possibile gestire alcuni dialoghi online. Ciò vale solo per pochi dialoghi. Se non avete intenzione di farne uso, potete selezionare anche una risoluzione minore.

Impostazioni in zenon e Windows

La gestione monitor si configura e amministra nell´Editor separatamente per ogni singolo progetto. La gestione monitor ha effetto sui modelli e le immagini di zenon. Consigliamo di adeguare la dimensione dei modelli a quella del monitor o dei monitor sui quali si verifica la visualizzazione. Dei modelli di grandi dimensioni sconfinano in altri monitor, oppure non vengono visualizzati per intero.

I box di dialogo - anche quelli in zenon - sono soggetti alle impostazioni di Windows.

attention Attenzione

Per quello che concerne la gestione multi-progetto, valgono nel Runtime sempre le impostazioni del progetto di integrazione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Concetto e presupposti

Configurazione nell'Editor

Modifica risoluzione del monitor

Funzioni della gestione monitor.

Esempio di configurazione

Gestione monitor nel Runtime

Remote Desktop


Concetto e presupposti

Manuale -> Gestione monitor -> Concetto e presupposti

Con la gestione monitor vengono aperte delle immagini su monitor virtuali. I monitor virtuali vengono assegnati a monitor realmente esistenti. Quest´assegnazione può essere impostata individualmente facendo uso dei profili monitor. In tal modo è possibile dare una veste individuale a progetti per configurazioni differenti.

La base della gestione monitor è costituita da:

  • fissare la risoluzione di default per un progetto.
    Per esempio 2048*768 in presenza di due monitor con una risoluzione di rispettivamente 1024*768.
    Questa verrà impostata in modo fisso per il Runtime.
  • Nominare i monitor realmente esistenti.
  • Definizione di monitor virtuali che devono essere attribuiti a quelli reali.
    Grazie ai monitor virtuali è possibile, per esempio, visualizzare un sistema a tre monitor (3 reali e 3 virtuali) su un sistema a 1 monitor (1 reale e 3 virtuali).
  • La possibilità di modificare nell´Editor e durante il funzionamento Runtime l´assegnazione di monitor virtuali a quelli reali.
    In tal modo, per esempio, un monitor virtuale può essere spostato su un altro monitor reale anziché su quello impostato in fase di progettazione.
  • Finestra di controllo con una visione generale concernente modelli e monitor.
    Tale finestra consente di selezionare velocemente un monitor attraverso la scelta della superficie desiderata nell´ambito della finestra stessa. Ciò può avvenire anche mediante barre di scorrimento che possono essere visualizzate se lo si vuole.

Procedura

Nel caso dell´uso di più monitor:

  • nel caso di cambio immagine, le immagini vengono assegnate a monitor virtuali
  • i monitor virtuali possono essere assegnati a piacere a quelli esistenti realmente

In tal modo un progetto può essere visualizzato correttamente su diversi sistemi con un numero differente di monitor, senza che ciò richieda una nuova progettazione.

Configurazione

La gestione monitor ha diversi effetti su:

  • nuovi progetti
  • progetti esistenti

Procedura consigliata: nel caso di un nuovo progetto, impostate la gestione monitor prima di passare alla definizione di modelli e immagini. Cominciate a fissare la risoluzione per il Runtime.

attention Attenzione

In fase di configurazione, si prega di tener presente quanto segue:

  • Per garantire una visualizzazione ottimale di zenon a Runtime, si consiglia di adottare le impostazione standard per la visualizzazione Windows (corrisponde al 100%). Se si configurano risoluzioni più alte, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.
  • Temi di Windows possono coprire elementi a Runtime. Quando si configura un progetto, bisogna far attenzione che ci sia una distanza adeguata fra gli elementi e il margine dello schermo.

Ancora in questo capitolo

Presupposti per il runtime

Nuovo Progetto

Modifica progetto esistente


Presupposti per il runtime

Manuale -> Gestione monitor -> Concetto e presupposti -> Presupposti per il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché la gestione monitor possa lavorare in modo corretto su un sistema a più monitor, deve essere impostata nel file zenon6.ini la risoluzione monitor effettivamente disponibile.

Eccezione: nel caso del Web Client di zenon, queste impostazioni non sono necessarie.

Inserimento INI

Sono necessari i seguenti inserimenti INI nel settore [DEFAULT]:

  • Gli inserimenti RT_CXMAINFRAME e RT_CYMAINFRAME definiscono la risoluzione della grandezza della finestra principale (somma di tutti i monitor) in pixel.
    Attenzione: gli inserimenti devono essere inferiori di un pixel alle dimensioni monitor effettive, visto che si inizia a contare da 0.
  • Gli inserimenti RT_CXRESOLUTION e RT_CYRESOLUTION definiscono la risoluzione di riferimento (risoluzione del monitor primario) in pixel per l´adattamento della risoluzione nel Runtime sul calcolatore di destinazione. Qui non è necessario sottrarre 1 pixel.
Inserimento | Significato
[DEFAULT] | Sezione in cui avviene l´inserimento.
SCREENPROFILE= | Profilo monitor selezionato per questo calcolatore. Nome della configurazione. Per esempio: ScreenProfile=Standard Viene fissato sul calcolatore di progettazione mediante la configurazione delle impostazioni generali. Su altri calcolatori deve essere definito eventualmente con un inserimento manuale nello zenon6.ini.
RT_CXMAINFRAME= | Larghezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio nel caso di due schermi con rispettivamente una larghezza di1280 pixel: RT_CXMAINFRAME=2559
RT_CYMAINFRAME= | Altezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio, nel caso di un´altezza schermo pari a 1024 pixel: RT_CYMAINFRAME=1023 Attenzione: se la barra task di Windows è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.
RT_CXRESOLUTION= | Larghezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CXMAINFRAME. Qui non è necessario sottrarre 1 pixel.
RT_CYRESOLUTION= | Altezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CYMAINFRAME. Qui non è necessario sottrarre 1 pixel.

attention Attenzione

Le configurazioni seguenti possono far sì che non venga visualizzato nulla, oppure che solo il primo schermo mostri delle immagini:

  • Se i valori definiti nel file INI sono maggiori alla superficie effettivamente a disposizione, è possibile che non venga visualizzato niente!
    Soluzione: correggere l´inserimento nell´INI.
  • Se la barra task di Windows viene visualizzata in modo fisso, è possibile che le immagini vengano visualizzate solamente sul primo monitor.
    Soluzione: per la barra task di Windows settare l´impostazione Nascondi barra task automaticamente.
    Oppure: definire RT_CYMAINFRAME in modo tale che non venga inserito nella barra task, per es. RT_CYMAINFRAME=1023 invece di 1280.

Esempio

un progetto è stato progettato per monitor con la risoluzione 1920x1080.
Il progetto deve essere adattato a monitor con la risoluzione 1024x768.

Risoluzione del calcolatore di destinazione: monitor 1 e monitor 2: 1024x768

A tal scopo bisogna settare gli inserimento nello zenon6.ini nel modo seguente:

  • RT_CXMAINFRAME=2047 (1024 *2 – 1)
  • RT_CYMAINFRAME=767 (768 – 1)
  • RT_CXRESOLUTION=1024
  • RT_CYRESOLUTION=768


Nuovo Progetto

Manuale -> Gestione monitor -> Concetto e presupposti -> Nuovo Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definite la risoluzione dello schermo prima dell´inizio della progettazione. Questa impostazione non deve più essere modificata in seguito potendo causare delle deformazioni, se la relazione larghezza/altezza non corrispondono!

Quando si crea un nuovo progetto, la risoluzione dello schermo per la gestione monitor viene adattata automaticamente all'attuale risoluzione dello schermo. Se un progetto deve funzionare su un calcolatore che ha un´altra risoluzione, dovete adattare le impostazioni in modo corrispondente prima dell´inizio della progettazione.

Per poter assegnare delle immagini a diversi monitor reali in diversa combinazione, definite anzitutto un numero corrispondente di monitor virtuali.


Modifica progetto esistente

Manuale -> Gestione monitor -> Concetto e presupposti -> Modifica progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si effettuano dei cambiamenti nella gestione monitor in progetti già esistenti, devono essere adattati tutti i cambi immagine.

La gestione monitor, peraltro, può rappresentare un vantaggio anche per progetti già esistenti. Per esempio:

  • Evitare immagini doppie per differenti risoluzioni.
  • Inclusione di calcolatori con diversi numeri di monitor in un progetto di rete.
    per contenere il lavoro da fare per effettuare i cambiamenti, Vi consigliamo di lavorare con una Finestra di controllo nel realizzare l´implementazione di calcolatori con un numero limitato di monitor. In tal modo tutti i monitor possono essere selezionati molto rapidamente.


Configurazione nell'Editor

Manuale -> Gestione monitor -> Configurazione nell'Editor

Definite nell´Editor la gestione di:

  • nuovi progetti
  • progetti esistenti

Per configurare la gestione monitor:

  1. Nelle proprietà di progetto, passare al nodo Aspetto grafico.
  2. Cliccate all´interno del sottogruppo Runtime generale nella proprietà Configurazione monitor

    Si apre il dialogo di configurazione

  3. Definite le impostazioni generali
  4. Definite le impostazioni individuali per i diversi profili

attention Attenzione

Nel caso di posizionamento assoluto, le coordinate dei modelli si riferiscono sempre all´angolo in alto a sinistra dello schermo principale. Esso deve essere lo schermo più a sinistra del sistema.

Un esempio di configurazione di un progetto con diverse impostazioni monitor lo trovate nella sezione Configurazione esemplificativa.

Indicazioni concernenti la gestione multi-progetto

Quando si configura la gestione monitor per progetti di integrazione:

  • Nella gestione multi-progetto, configurare la gestione monitor nello stesso modo per tutti i progetti.
  • Configurare la risoluzione disponibile sui dispositivi utilizzati nel sistema produttivo.
  • Usare l´opzione Adatta alla dimensione schermo solo per progetti standalone, oppure quando tutti i progetti sono configurati in modo identico.

Ancora in questo capitolo

Impostazioni generali

Impostazioni individuali


Impostazioni generali

Manuale -> Gestione monitor -> Configurazione nell'Editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo per configurare le proprietà monitor generali:

Monitor reali

Proprietà | Descrizione
Monitor reali | Numero dei monitor realmente disponibili (hardware). Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor reali).
Quantità | Indica la quantità dei monitor reali definiti.

Monitor virtuali

Proprietà | Descrizione
Monitor virtuali | Numero dei monitor virtuali. Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor virtuali).
Quantità | Indica il numero dei monitor virtuali definiti come segue: da V_00 a V_nn. Il primo monitor reale viene configurato da zenon come monitor standard.
Modifica | Cliccando sul pulsante si apre il dialogo che serve a definire il numero dei monitor virtuali.
Nomi | Lista dei nomi dei monitor virtuali.
Rinomina... | Apre il dialogo che serve ad assegnare dei nomi ai monitor virtuali. Testo inseribile liberamente per un massimo di 15 caratteri.

attention Attenzione

Il primo monitor virtuale viene usato da zenon come monitor standard.

Profili monitor

Proprietà | Descrizione
Profili monitor | Definisce a livello centrale dei profili monitor per il Runtime. Ogni profilo monitor riceve una propria scheda per la Configurazione individuale. La determinazione dei profili monitor per altri calcolatori deve essere eventualmente fatta manualmente in forma di un inserimento INI.
Copia... | Crea un nuovo profilo sulla base del profilo selezionato e apre il dialogo che serve all´attribuzione di un nome.
Rinomina... | Apre il dialogo che serve a nominare un profilo.
Elimina... | Elimina il profilo selezionato senza la richiesta di una conferma di sicurezza.
Profilo monitor, utilizzato dal Runtime per questo PC | Apre la lista a cascata per la selezione del profilo che deve essere usato durante il runtime. Nota: su un computer remoto, il profilo deve essere inserito eventualmente in modo manuale nel file zenon6.ini.

Risoluzione dello schermo

Proprietà

Descrizione

Risoluzione dello schermo

Risoluzione con la quale funzionerà il progetto nel runtime. (Vedi configurazione nel capitolo Presupposti per il Runtime.)

Suggerimento: fissate questa impostazione prima dell´inizio della progettazione. Delle modifiche successive possono determinare delle deformazioni nella visualizzazione, se la relazione Larghezza/Altezza della risoluzione non corrisponde!
Standard: risoluzione del computer attuale.

Riprendi da schermo attuale

Riprende la risoluzione dello schermo attualmente attivo come risoluzione per il profilo monitor.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Definire profilo monitor sul calcolatore Runtime

Se avete installato su un PC solamente il runtime e non l´editor, potete fissare il profilo monitor desiderato nel modo desiderato:

  1. Aprite il file zenon6.ini con un editor testi
  2. navigate fino a [DEFAULT]
  3. digitate il seguente inserimento:
    ScreenProfile=Nome del profilo monitor
  4. salvate il file e chiudete l´editor dei testi.

info Info

Di default sul zenon Web Client è sempre caricato il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Impostazioni individuali

Manuale -> Gestione monitor -> Configurazione nell'Editor -> Impostazioni individuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni profilo monitor viene visualizzato per la configurazione da una scheda propria. In questa scheda si possono definire le impostazioni per i monitor reali e virtuali, e il loro comportamento a Runtime.

Menù di selezione online

Opzione | Descrizione
Menù di selezione online | Comportamento del menù di selezione online a Runtime.
Visualizza menù di selezione online | Attivo: il menù viene aperto a Runtime al momento di un cambio immagine e mette a disposizione i monitor per i quali è stata attivata la proprietà Menù di selezione online.
Durata della visualizzazione | Tempo in secondi durante il quale il menù online rimane acceso.
Modifica del testo per il pulsante Annulla. | Attivo: pulsante con cui può essere chiuso il menù di selezione online, viene visualizzato a Runtime. La didascalia del pulsante può essere modificata a piacere. =% mostra i secondi che rimangono fino all´interruzione automatica.
Tasto ESC per chiusura menù di selezione | Attivo: il menù di selezione online può essere chiuso anche con il tasto Esc.

Aspetto Runtime

Proprietà

Descrizione

Aspetto Runtime

Definisce opzioni di visualizzazione a Runtime.

Adatta alla dimensione schermo

Attiva: la risoluzione del progetto viene adattata a quella dello schermo del computer attuale.

Non attiva:potete definire in questa sede la risoluzione del progetto, il che vale a dire che essa non verrà adattata a quella corrente del monitor.

Considera titolo

Attiva: l'altezza del titolo viene presa in considerazione sia nell'Editor dei modelli, che a Runtime.

Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.

Considera menù principale

Attiva: l´altezza del menù viene presa in considerazione sia nell'Editor dei modelli, che a Runtime.

Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.

Mantieni proporzioni
  • Attiva: quando a Runtime si passa ad un´altra risoluzione, le proporzioni laterali vengono mantenute.
  • Non attiva: Le proporzioni vengono eventualmente modificate.

Attenzione: Una modifica delle proporzioni può avere effetto sulla visualizzazione.
Esempio:

  • cerchi assumono una forma ovale.
  • Per gli elementi ruotati non corrispondono più i punti aggancio.
  • I simboli vengono visualizzati sciolti

Barra di scorrimento

Attivo: nel runtime vengono visualizzate delle barre. Questi scrollbar consentono la navigazione in immagini la cui dimensione è maggiore di quella del monitor.

Monitor reali

Proprietà | Descrizione
Monitor reali | Lista con tutti i monitor reali e le proprietà ad essi attribuite.
Modifica | Apre il dialogo che serve alla definizione le proprietà individuali del monitor selezionato.

Monitor virtuali

Proprietà | Descrizione
Monitor virtuali | Lista contenente tutti i monitor virtuali e le proprietà a loro attribuite. I cambi immagine si riferiscono a monitor virtuali. I monitor virtuali vengono assegnati a Runtime a quelli reali.
Modifica | Apre la finestra di dialogo che consente di definire le proprietà individuali del monitor virtuale selezionato.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Progettazione di monitor reali

Progettazione. Monitor virtuali


Progettazione di monitor reali

Manuale -> Gestione monitor -> Configurazione nell'Editor -> Impostazioni individuali -> Progettazione di monitor reali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor reali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor reali.

Parametro | Descrizione
Nome | Nome del monitor. Testo inseribile liberamente per un massimo di 15 caratteri.
Posizione | Descrive la posizione e la risoluzione del monitor. Per esempio: Monitor sinistro: 0/0/1680/1050 Monitor destro: 1680/0/3360/1050
Monitor non esistente, assegnare a | Attivo: consente di selezionare nel menù a tendina un altro monitor reale cui esso viene assegnato, per esempio, perché non è connesso al computer al momento. A Runtime, il monitor verrà visualizzato su quello cui è stato assegnato. Le barre di scorrimento permettono di muoversi fra le due immagini.
Visualizza in menù online | Attivo: nel Runtime questo monitor viene offerto nel menù nel caso di ogni cambio immagine che consente una scelta individuale del monitor.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Progettazione. Monitor virtuali

Manuale -> Gestione monitor -> Configurazione nell'Editor -> Impostazioni individuali -> Progettazione. Monitor virtuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor virtuali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor virtuali.

Parametro | Descrizione
Nome | Visualizzazione del nome. Esso può essere modificato nella scheda Impostazioni generali.
Impostazioni | Impostazione per l´attribuzione del monitor.
Visualizzazione nella lista online | Attiva: a Runtime, ad ogni apertura dell´immagine che è stata assegnata a questo monitor, viene visualizzato il menù che serve alla selezione di un monitor reale.
Assegna a monitor reale | Attribuisce in modo fisso il monitor virtuale ad un monitor reale. Questa attribuzione può essere modificata a Runtime mediante la funzione Assegna monitor.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modifica risoluzione del monitor

Manuale -> Gestione monitor -> Modifica risoluzione del monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si modifica la risoluzione del monitor nella proprietà di progetto Configurazione monitor, questa modifica ha effetto sulla grandezza dei modelli e delle immagini in essi contenute con i loro elementi d'immagine. . Dopo la modifica, è possibile che gli elementi contenuti nelle immagini vengano visualizzati distorti e in altre posizioni. Quando si modifica la risoluzione del monitor, il progetto globale e i singoli progetti devono essere adattati in modo corrispondente.

Progetto globale

Modifica della risoluzione nella gestione monitor

Quando si modifica la risoluzione nella finestra di dialogo Gestione monitor del progetto globale, cambia in modo corrispondente anche la grandezza dei modelli nello stesso progetto globale. Anche la grandezza delle immagini basate su questi modelli e degli elementi in esse contenuti cambia.

attention Attenzione

Dopo la modifica della risoluzione nel progetto globale, le immagini e gli elementi vengono visualizzati sulla base della nuova risoluzione. Nel Runtime, però, essi continuano ad essere visualizzati in conformità delle impostazioni del singolo progetto in cui vengono usati. La risoluzione, dunque, deve essere sempre modificata ed adattata anche nel singolo progetto.

Modifica della grandezza dei modelli

Quando si modifica nel progetto globale solo la grandezza dei modelli, ma si lascia inalterata la risoluzione nella gestione monitor, anche gli elementi nelle immagini basate su questi modelli globali vengono modificati.

Progetto di integrazione e in sottoprogetti

Modifica della risoluzione nella gestione monitor

Ogni progetto ha una propria gestione monitor.

Quando si modifica la risoluzione nella gestione monitor, cambia in modo corrispondente la grandezza dei modelli di questo progetto. Cambia in modo corrispondente anche la grandezza delle immagini basate su questi modelli, e gli elementi in esse contenuti.

Tipp Suggerimento
  • Per i progetti multigerarchici.
    Adattate nell´Editor le impostazioni della gestione monitor per ogni progetto.
  • Senza adattamento della risoluzione:
    Se volete modificare solamente la grandezza dei modelli e delle immagini, mentre volete lasciare inalterate grandezza e posizione degli elementi, esportate le immagini prima della modifica in un file XML. Reimportate le immagini dopo aver effettuato il cambio.

attention Attenzione

Quando si configura il cambio immagine nell´Editor, viene visualizzata una lista dei monitor selezionabili. Il contenuto di questa lista dipende dal dialogo configurato per ultimo e confermato con OK di Configurazione monitor - indipendentemente da in quale progetto di una gestione multi-progetto sia stata effettuata questa configurazione. Questo significa: una modifica nel progetto A ha effetto anche sul contenuto della lista nel progetto B.

Soluzione: Aprite e confermate il dialogo nel progetto in cui effettuate un cambio immagine.

Esempio

un progetto ha la risoluzione 1280 x 720. La si vuole modificare portandola a 1920 x 1080.

Situazione di partenza

Ci sono i seguenti progetti con le seguenti impostazioni:

  • Progetto globale con:
    • Modelli: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720
  • Progetto di integrazione:
    • Immagini: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720
  • Sottoprogetti:
    • Immagini: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720

Configurazione

La configurazione dipende dal fatto se si vuole adattare anche gli elementi contenuti nelle immagini.

Configurazione inclusa modifica degli elementi:

  1. Progetto globale:

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo verranno adattati modelli, immagini ed elementi.

  2. Progetto di integrazione:

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo viene adattata l´impostazione per il Runtime.

  3. Sottoprogetti:

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo viene adattata l´impostazione per il Runtime.

Configurazione senza modifica degli elementi:

  1. Esportate tutte le immagini in un file XML.
  2. Adattate la risoluzione monitor.
  3. Importate le immagini del file XML.


Funzioni della gestione monitor.

Manuale -> Gestione monitor -> Funzioni della gestione monitor.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il Runtime si può amministrare la gestione monitor tramite le funzioni di zenon.

Sono a disposizione:

  • Impostazioni nel caso di cambio immagine : Il dialogo per la selezione immagini viene esteso con l´aggiunta di impostazioni che servono ad effettuare l´assegnazione monitor.
  • Assegna monitor: Consente di assegnare durante il Runtime ad un monitor reale uno virtuale.
  • Visualizza finestra di controllo: Apre durante il Runtime una finestra di controllo oppure la chiude. La finestra mostra tutti i monitor reali o i modelli progettati e consente di effettuare una selezione e un passaggio veloce da un elemento all´altro.

Le impostazioni per la selezione monitor sono disponibili anche per le funzioni:

  • Attiva focus sul modello
  • Chiudi modello
  • Chiudi immagine

Ancora in questo capitolo

Impostazioni nel caso di cambio immagine

Assegna monitor

Visualizza finestra di controllo


Impostazioni nel caso di cambio immagine

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Impostazioni nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena si configura la gestione monitor su più di un monitor, nel Dialogo di selezione delle immagini si trovano ulteriori opzioni per la selezioni del monitor su cui deve essere visualizzata l´immagine:

Ulteriori opzioni

Descrizione

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene tutti i monitor virtuali definiti nella gestione monitor, più la voce Monitor attuale.

Monitor virtuale: L´immagine viene aperta sullo schermo che è connesso al monitor virtuale selezionato.

Nel caso in cui in sede di Configurazione non si sia assegnato al monitor virtuale nessun monitor reale, ma l´opzione Visualizza menù di selezione online, il sistema apre una finestra di selezione durante il Runtime che serve a selezionare un monitor reale.

Monitor attuale: Apre l´immagine sempre sul monitor dal quale proviene la richiesta di apertura. Per esempio:
se si preme il pulsante per l´apertura della AML sul monitor di sinistra, l´AML verrà aperta sullo schermo di sinistra. Se si preme pulsante per l´apertura dell´AML sul monitor di destra, l`AML verrà aperta su quel monitor.

Nella visione generale delle funzioni, in corrispondenza della funzione il sistema indica fra parentesi il monitor sul quale viene visualizzata l´immagine.

Per esempio:

START (V_00) significa: si passa all´immagine START ed essa viene visualizzata sul monitor virtuale V_00.
REL significa: visualizzazione sul monitor attuale.

Menù di selezione online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menù che serve alla selezione di un monitor. I contenuti di questo menù, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.


Assegna monitor

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Assegna monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Assegna monitor i monitor virtuali possono essere assegnati durante il Runtime a quelli reali, indipendentemente da quanto è stato fissato in fase di progettazione.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al nodo Immagini
  3. Selezionare la funzione Assegna monitor.
  4. viene aperto il dialogo che serve ad assegnare un monitor virtuale a uno reale
  5. impostate un´assegnazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Dialogo Assegnazione monitor

Parametro | Descrizione
Nome | Selezione del monitor virtuale fra quelli della lista a cascata Tutti i monitor virtuali configurati nella gestione monitor vengono visualizzati in una lista.
Impostazioni | Selezione dell´assegnazione mediante pulsanti radio:
Visualizza in menù online | Apre un dialogo durante il Runtime che serve alla selezione del monitor reale desiderato.
Assegna a monitor reale | Attribuisce il monitor virtuale ad un monitor reale. Il monitor viene selezionato fra quelli della lista a cascata. Questa lista contiene tutti i monitor reali configurati nella gestione monitor.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Le funzioni vengono visualizzate nella visualizzazione dettagli con lo scopo di effettuare l´assegnazione.

Per esempio:

  • V_00,(ONLINE): L´assegnazione del monitor virtuale V_00 a uno reale avviene durante il Runtime mediante il menù di selezione online.
  • ???,???: il dialogo di assegnazione è stato chiuso, non viene eseguita nessuna funzione.
  • V_00,Left screen: Il monitor virtuale V_00 viene assegnato a quello reale Left screen.


Visualizza finestra di controllo

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al nodo Immagini
  3. Selezionare la funzione Visualizza finestra di controllo.
  4. si apre il dialogo per configurare la finestra di controllo
  5. configurate la finestra di controllo
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Impostazioni

Parametro | Descrizione
Impostazioni | Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:
Visualizza | Attivo: la finestra di controllo viene aperta.
Toggle | Attivo: la visualizzazione passa da aperta a chiusa.
Chiudi | Attivo: la finestra di controllo viene chiusa.
Visualizza nei : | Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.
Modelli | Attivo: la finestra di controllo divide lo schermo in modelli.
Monitor | Attivo: la finestra di controllo divide lo schermo in monitor.

Stile della finestra

Parametro

Descrizione

Stile della finestra

Con titolo

Attivo: la finestra di controllo dispone di una barra titolo Windows

Menù di sistema

Attivo: viene visualizzato il menù sistema Windows a barra titolo attivata

Con cornice

Attivo: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:
  • Sottile

Attivo: cornice spessa.
  • Grassetto

Attivo: Cornice fine

Posizione

Parametro

Descrizione

Posizione

La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra per:

  • Sopra
  • Sotto
  • Sinistra
  • Destra

Colori

Parametro | Descrizione
Colori |  | Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.
Colore di sfondo |  | Colore dello sfondo della finestra.
Visualizzazione attuale |  | Modelli/monitor attualmente visualizzati.
Cornice |  | Colore della cornice.
Selezione |  | Modelli/monitor selezionati

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Esempio di configurazione

Manuale -> Gestione monitor -> Esempio di configurazione

In questo esempio vedete la configurazione possibile per i seguenti requisiti di progetto:

  1. 1 server con 2 monitor con una risoluzione di rispettivamente 1680 x 1050
  2. 1 client con un monitor con una risoluzione di 1680 x 1050
  3. 1 notebook per il team di manutenzione con una risoluzione di 1024 x 768

Compito

Configuriamo il progetto in modo tale che si possa effettuare la visualizzazione sul server con due monitor. Realizziamo le impostazioni del client in modo tale che tutte le emissioni del sistema vengano visualizzate su di un solo monitor. E per il notebook della manutenzione modifichiamo anche la risoluzione della visualizzazione. Durante il funzionamento, è necessario solamente selezionare sul calcolatore Runtime in questione il profilo monitor corrispondente per ottenere la visualizzazione corretta.

Start configuration (Avvia la configurazione)

  1. Configurate il file INI in modo analogo alle istruzioni che trovate nel capitolo Presupposti per il Runtime, per fissare la risoluzione nel Runtime.
  2. Le impostazioni base della configurazione vengono effettuate in sede di configurazione monitor:
    andate alle proprietà di progetto -> Aspetto grafico -> Runtime generale
  3. Cliccare sulla proprietà Configurazione monitor
  4. Si aprirà il dialogo per la configurazione monitor
  5. Configurate anzitutto le impostazioni generali
  6. Configurate poi le impostazioni individuali per:
    1. il server con 2 monitor
    2. il client con un monitor
    3. il notebook per il team di manutenzione

Ancora in questo capitolo

Caratteri generali della configurazione

Configurazione server con 2 monitor

Configurazione client con un monitor

Configurazione Notebook Service-Team

Ulteriore configurazione


Caratteri generali della configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Caratteri generali della configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione, in primo luogo:

  • si fissano le impostazioni generali, come, ad esempio, il numero dei monitor virtuali e reali
  • si impostano i profili per 3 diverse configurazioni

Impostazioni generali

Monitor

Per il nostro esempio definiamo:

  • 2 monitor reali
  • 3 monitor virtuali
    • uno per immagini di processo
    • uno per l´apertura della barra menu: In tal modo possiamo sempre determinare se la barra menu deve essere aperta a destra o a sinistra senza influenzare le immagini di processo.

Facciamo presente che: i monitor virtuali sono destinazione dei cambi immagine. Essi vengono assegnati nel Runtime a quelli reali. Si ha la possibilità di passare fra i monitor reali e quelli virtuali. Nel caso in cui non sia disponibile il secondo monitor, come per esempio nel portatile, l´emissione delle immagini può essere semplicemente indirizzata sul monitor sinistra senza dover modificare la progettazione.

Risoluzione

Un importante fattore è anche la risoluzione impostata. Essa è la grandezza di riferimento per l´adattamento. Essa dovrebbe essere impostata una sola volta all´inizio della progettazione e non essere più modificata in seguito. Nel caso in cui questa impostazione venga modificata in seguito, vengono ricalcolate tutte le coordinate degli elementi nelle immagini.

Inseriamo la nostra risoluzione di destinazione di 1680 x 1050.

Profili monitor

Per ogni configurazione del nostro esempio impostiamo un proprio profilo. In questo esempio:

  • Server 2 Mon
  • Client 1 Mon
  • Notebook small

Procedura:

  1. scegliete il profilo Standard
  2. cliccate su copia
  3. si apre il dialogo per cambiare il nome
  4. inserite il nuovo nome (la lunghezza è limitata a 15 caratteri)
  5. Cliccare su OK.
  6. ripetete l´operazione per tutti gli altri profili

Ogni profilo riceve nella configurazione monitor una propria scheda per la configurazione individuale

Cominciamo con la scheda Server 2 Mon.


Configurazione server con 2 monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione server con 2 monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La prima configurazione si riferisce al nostro server con 2 monitor.

Configureremo:

  • il menù di selezione - online
  • il tipo di immagine durante il Runtime
  • i monitor reali
  • i monitor virtuali

Menù di selezione online

Il menù di selezione - online consente di selezionare durante il Runtime su quale monitor reale viene aperta un´immagine. In questo caso, devono essere soddisfatti i seguenti presupposti:

  • attivare l´opzione Menù di selezione - online
  • selezionare nell´assegnazione del monitor virtuale, l´opzione Visualizzazione nella lista online
    oppure

    progettare una funzione Assegna monitor

Per il nostro esempio:

  • attivate l´opzione
  • selezionate una Durata di visualizzazione di 10 secondi: nel caso in cui fino ad allora non sia stata settata nessuna azione, il menu verrà nascosto
  • attivate l´opzione Descrizione: a questo punto durante il Runtime comparirà nel menù il pulsante Annulla
  • inserite nel pulsante la didascalia Cancel = %: nel menù viene visualizzato il tempo rimanente fino all´annullamento dell´azione
  • attivate l´opzione Tasto ESC per chiusura menù di selezione: il menu verrà chiuso durante il Runtime anche premendo il tasto Esc

Durante il Runtime, poi, nel caso di un cambio immagine su un monitor virtuale con menù di selezione - online verrà visualizzato il menù:

Si può scegliere fra i monitor reali M_00 e M_01. Fino al termine ci sono ancora 10 secondi per effettuare una selezione. Cliccando su Cancel oppure premendo il tasto Esc, il menù verrebbe chiuso immediatamente.

Impostazioni schermo durante il Runtime

Per la visualizzazione dello schermo nel Runtime:

  • disattivate l´opzione Adatta alla dimensione schermo: in tal modo, la visualizzazione rimarrà sempre delle dimensioni progettate. (Nel caso in cui l´opzione dovesse essere attiva, invece, la visualizzazione sarebbe adattata alla risoluzione attuale).
  • attivate l´opzione Barra di scorrimento: in tal modo, il sistema propone nel Runtime delle barre di scorrimento che permettono lo scroll all´interno dell´immagine.

Configurazione monitor reali

Sul server sono disponibili due monitor. Entrambi i monitor reali del progetto che abbiamo proposto come esempio, vengono configurati in modo corrispondente.

Il secondo monitor, ad esempio, ottiene le coordinate corrispondenti per allinearsi al primo monitor in senso orizzontale a destra.

Il nome può essere impostato separatamente per ogni configurazione. Per configurare i monitor:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. assegnate un nome, nel nostro esempio semplicemente M_00 e M_01
  3. disattivate l´opzione Monitor non esiste ... (abbiamo bisogno di questa opzione per le altre configurazioni)
  4. inserite le coordinate,
    si calcola a partire dall´angolo in alto a sinistra del monitor di sinistra
  5. attivate l´opzione Visualizzazione nella lista online, in modo tale che il monitor sia disponibile nel Runtime per la selezione online

Configurazione monitor virtuali

In questa configurazione i monitor virtuali vengono assegnati a quelli reali.

Facciamo presente che: cambi immagine si riferiscono a monitor virtuali. L´assegnazione dei monitor virtuali determina su quale monitor reale verrà aperta concretamente l´immagine.

Nel nostro esempio ci sono tre monitor virtuali. I primi due vengono assegnati rispettivamente a un monitor reale. Il terzo, invece, ha la funzione di consentire l´apertura a piacere della barra menù. Questo terzo monitor non viene assegnato a nessun monitor reale, ma l´assegnazione deve essere proposta dal sistema nell´ambito del menù di selezione online.

Per assegnare i primi due monitor virtuali:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. i nomi vengono solamente visualizzati, sono uguali per tutti i profili e possono essere modificati solo a livello globale nella scheda Generale
  3. selezionate Assegnazione a monitor reale
  4. selezionate il tipo di monitor reale desiderato fra quelli della lista a cascata.
    • M_00 per Monitor left
    • M_01 per Monitor right

La configurazione del terzo monitor virtuale avviene in modo analogo.

La differenza: invece che Riferimento su monitor reale selezionate l´opzione Visualizza menù di selezione online.

In tal modo viene completata la configurazione del profilo per il server con due monitor.

Passate adesso alla scheda Client 1 Mon.


Configurazione client con un monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione client con un monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione del client con un monitor corrisponde in linea di massima a quella del server. Tuttavia in questo caso è a disposizione solamente uno schermo. Per questo ci sono due differenze fondamentali:

  1. il secondo monitor reale deve essere mappato sul primo.
  2. il menù di selezione online per la barra menù è superfluo; essa viene assegnata direttamente

Nel caso dei monitor reali:

  1. aprite la configurazione del monitor M_01
  2. attivate l´opzione Monitor non presente, assegnare a
  3. selezionate dalla lista a cascata M_00

Il menù di selezione online non è necessario durante il Runtime. Potete però far sì che le opzioni restino attive.

Nel caso dei monitor virtuali:

  1. aprite la configurazione del monitor Menù bar
  2. attivate l´opzione Riferimento su
  3. selezionate dalla lista a cascata M_00

L´intera configurazione di Client 1 Mon ha il seguente aspetto:

Nel nostro esempio manca solamente la configurazione del notebook. Passate alla scheda Notebook small.


Configurazione Notebook Service-Team

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione Notebook Service-Team

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione del notebook per il service-team corrisponde a quella del calcolatore client con un monitor. Tuttavia la risoluzione è differente. Essa deve essere adattata. Procedura:

  1. aprite la configurazione del monitor reale M_00
  2. inserite le coordinate corrispondenti,
    nel nostro esempio: 0/0/1024/768

La risoluzione è stata adattata adesso a quella reale del notebook e il monitor M_01 viene deviato, come nel caso del calcolatore client, al monitor M_00. Durante il runtime avete a disposizione delle barre di scorrimento facendo uso delle quali potete far scorrere l´indicazione.

Tutte le altre impostazioni corrispondono a quelle del calcolatore client:

Terminate la configurazione cliccando sul pulsante OK


Ulteriore configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Ulteriore configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel progetto si deve ancora:

  • selezionare nel caso di cambi immagine su quali monitor virtuali deve essere aperta l´immagine
  • fissare sui diversi calcolatori il relativo Profilo monitor da utilizzare (per il calcolatore di progettazione selezionate il profilo nella Configurazione monitor)
  • nel caso di funzioni come Attiva focus sul modello, Chiudi modello oppure Chiudi immagine, decidere per quali monitor vale l´azione
  • progettare eventualmente una funzione Assegna monitor per poter assegnare nel Runtime i monitor virtuali ai monitor reali indipendentemente dalla configurazione di partenza
  • progettare una Finestra di controllo per poter navigare comodamente durante il Runtime


Gestione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime

Nel Runtime ci sono diverse possibilità

  • di selezionare monitor
    e
  • navigare fra i monitor

info Info

Se si avvia il Runtime mediante una connessione remote desktop, viene utilizzata la risoluzione del calcolatore remoto. La risoluzione sarà forse differente da quella impostata in sede di progettazione, il che potrebbe portare a degli spostamenti nella visualizzazione delle immagini.

La risoluzione del monitor remoto può essere anche definita per mezzo del file INI (vedi sezione Fissare profilo monitor su calcolatore Runtime nel capitolo Impostazioni generali).

Ancora in questo capitolo

Selezione monitor nel Runtime

Navigazione nel Runtime


Selezione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Selezione monitor nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime ci sono diverse possibilità di assegnare monitor virtuali a quelli reali:

  • Menù di selezione online al momento dell´apertura
  • Funzione Assegna monitor

Menù di selezione online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menù che serve alla selezione di un monitor. I contenuti di questo menù, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.

Funzione Assegna monitor

La funzione Assegna monitor consente di aprire il menù di selezione online indipendentemente da un cambio immagine, e di assegnare i monitor virtuali a quelli reali.


Navigazione nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Navigazione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime si può navigare fra i diversi monitor tramite:

  • Finestra di controllo
  • Barra di scorrimento

Finestra di controllo

Le finestre di controllo vengono progettate come funzione. Esiste la possibilità di impostare una funzione per la visualizzazione e una per la chiusura della finestra di controllo; oppure si può usare la funzione Toggle per passare fra apertura e chiusura della finestra.

Nel Runtime il sistema apre una finestra nel momento in cui la funzione viene eseguita. Essa mostra tutta la superficie dello schermo disponibile, divisa in monitor oppure in modelli. Per la visualizzazione di modelli e monitor devono essere progettare delle funzioni ad hoc.

Cliccando con il mouse si selezionano i monitor e i modelli visualizzati nella finestra.

Barra di scorrimento

Facendo uso delle barre di scorrimento si può navigare velocemente fra i monitor. Le barre di scorrimento vengono visualizzate se:

  • è stata attivata in fase di configurazione individuale del Profilo monitor la proprietà Mostra barre di scorrimento
  • un monitor reale viene mappato su un altro monitor reale


Remote Desktop

Manuale -> Gestione monitor -> Remote Desktop

Su un Remote Desktop Client con più monitor, questi ultimi possono essere utilizzati via connessione remota se sono soddisfatte certe condizioni. Questo è possibile anche per le configurazioni multi-monitor nel Runtime di zenon, anche se il sistema in vero e proprio supporta inizialmente solo un monitor.

Requisiti per la configurazione di un sistema multi-monitor per Remote Desktop:

Client:

  • Windows Enterprise o Ultimate
  • Il protocollo RDP consente un vero e proprio supporto multi-monitor
    Supporta l´opzione /multimon

Server:

  • Windows Enterprise o Ultimate
    o
  • Terminal Server/Remote Desktop Services role
  • Linee guida consentono supporto multi-monitor.

Per informazioni dettagliate sulla configurazione, si prega di consultare (fra l´altro) questo blog di Microsoft: https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Gestione turni

Manuale -> Gestione turni

La Gestione turni è un modulo di zenon che consente di strutturare e organizzare i turni. Questo modulo non è disponibile in progetti globali e in progetti CE.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Utilizzando la Gestione turni, si può fare quanto segue sia localmente che in rete:

  • Creare e utilizzare modelli turno.
  • Creare turni.
  • Inserire orari turni.
  • Gestire orari turni.
  • Esportare turni in SQL.
  • Far pervenire notifiche agli utenti assegnati ad un turno via Message Control.

Ancora in questo capitolo

Terminologia

Configurare la gestione turni

Gestione turni a Runtime

Comportamento in rete

Zona oraria e limiti giorno

Combinazioni tasti per la Gestione turni


Terminologia

Manuale -> Gestione turni -> Terminologia

Espressione | Definizione
Gestione turni | Un modulo di zenon che consente di strutturare e organizzare i turni.
Turno | Rappresenta il decorso di un singolo turno. Contiene anche informazioni più dettagliate, come, ad esempio, un testo (nome) e una descrizione definiti liberamente, assegnazione ad un modello di impianto e alla gestione utenti, e pause.
Pausa | I turni possono contenere delle pause che segnalano un´interruzione del tempo produttivo.
Modello turno | Rappresenta una configurazione ricorrente di turni, per es. un "funzionamento a 2 turni", oppure un "funzionamento a 3 turni". Il modello turno comprende almeno un turno, oppure più turni. Il modello turno, inoltre, contiene ulteriori informazioni, come, ad esempio, un testo (nome) e una descrizione definiti liberamente.
Calendario turni | È un componente di visualizzazione che consente una visualizzazione selettiva di cadenze turni in zenon. Permette, tra l´altro, di creare e modificare cadenze turni.
Personale | Le persone selezionare per un turno.


Configurare la gestione turni

Manuale -> Gestione turni -> Configurare la gestione turni

A Runtime, si lavora con la “Gestione turni” usando un´immagine di tipo Gestione turni.

Per poter visualizzare e gestire a Runtime orari e cadenze turni, si devono eseguire le seguenti configurazioni nell´Editor:

  • Creare un´immagine di tipo Gestione turni.
  • Creare una funzione di cambio immagine per aprire questa immagine.

Quest´immagine viene aperta e configurata a Runtime.

Ancora in questo capitolo

Creare un´immagine di tipo “Gestione turni”

Elementi di controllo

Modificare l´aspetto della calendario

Configurare la funzione di cambio immagine

Funzione Esportazione SQL


Creare un´immagine di tipo “Gestione turni”

Manuale -> Gestione turni -> Configurare la gestione turni -> Creare un´immagine di tipo “Gestione turni”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine di tipo “Gestione turni”

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Gestione turni.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.


Elementi di controllo

Manuale -> Gestione turni -> Configurare la gestione turni -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci template

Parametri | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Elemento | Descrizione
Filtro | Apre la finestra di dialogo con le impostazioni di filtro del cambio immagine.
Calendario | Modulo calendario che visualizza a Runtime il calendario con i turni o un modello turno.
Contenuto calendario | Elemento di testo che indica a Runtime l´intervallo temporale (date) del calendario turni visualizzato al momento.

Turni

Elemento | Descrizione
Nuovo turno | Apre la finestra di dialogo che consente di creare un nuovo turno.
Elimina turno | Cancella il turno selezionato. È possibile selezionare più inserimenti usando il tasto Ctrl.
Proprietà turno | Apre la finestra di dialogo che consente di modificare il turno selezionato.
Copia turno | Copia il turno selezionato.
Inserisci turno | Inserisce un turno copiati negli appunti nel giorno selezionato.

Calendario turni

Elemento | Descrizione
Apri calendario turni | Apre il calendario turni. Questo elemento di controllo è disponibile solamente se nel calendario viene visualizzato un modello turni.
Inserisci modello turni | Apre la finestra di dialogo che consente di inserire un modello turni nel calendario turni.

Navigazione

Elemento | Descrizione
Avanti | Passa all´elemento successivo nel calendario; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).
Indietro | Torna indietro nel calendario di un elemento; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).
Visualizzazione giorno | Visualizza nel calendario il giorno selezionato.
Vista settimanale | Visualizza nel calendario la settimana selezionata.
Visualizzazione mensile | Visualizza nel calendario il mese selezionato.
Vai a oggi | Visualizza nel calendario il giorno corrente.

Modelli turni

Elementi | Descrizione
Lista modelli turni | Lista dei modelli turni esistenti.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.
Formatta colonne | Apre la finestra di dialogo per formattare le colonne.
Nuovo modello turni... | Apre la finestra di dialogo che consente di creare un modello turni.
Apri modello turni | Fa passare la visualizzazione calendario alla visualizzazione “modelli turni” e apre nel calendario il modello turno selezionato.
Salva modello turni | Salva il modello turni aperto nel calendario. Questo elemento di controllo è disponibile solamente se nel calendario turni è aperto un modello turni e non ci sono delle modifiche non salvate.
Elimina modello turni | Elimina i modelli turni selezionati dopo una richiesta di conferma.
Proprietà | Configurazione delle proprietà del modello turni: Nome e descrizione.


Modificare l´aspetto della calendario

Manuale -> Gestione turni -> Configurare la gestione turni -> Modificare l´aspetto della calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile modificare l´aspetto del calendario usando le proprietà dell´elemento di controllo calendario.

Ancora in questo capitolo

Proprietà del calendario


Proprietà del calendario

Manuale -> Gestione turni -> Configurare la gestione turni -> Modificare l´aspetto della calendario -> Proprietà del calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Colori per “periodo lavorativo” e “periodo non lavorativo”

Per configurare i colori da utilizzare per visualizzare il tempo lavorativo e i tempi liberi:

  1. Nell´Editor, cliccare sull´elemento “Calendario”.
  2. Selezionare il gruppo Riempimento delle proprietà.
  3. Configurare il colore per il tempo non lavorativo usando la proprietà Colore di riempimento periodo non lavorativo.
    Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un colore.
  4. Configurare il colore per il tempo lavorativo usando la proprietà Colore di riempimento periodo lavorativo.
    Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un colore.


Configurare la funzione di cambio immagine

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine di tipo Gestione turni a Runtime:

  1. Creare un' immagine di tipo Gestione turni.
  2. Creare una funzione di cambio immagine per aprire l´immagine.

Configurare il cambio immagine.

Per creare una funzione di cambio immagine per passare ad un´immagine di tipo Gestione turni:

  1. Nel menù contestuale del nodo Funzioni del Manager di progetto, selezionare il comando Nuova funzione.
  2. Cliccare su Cambio immagine.

    Si aprirà la finestra di dialogo che consente di selezionare un´immagine.

  3. Creare un'immagine di tipo Gestione turni.

    Si aprirà la finestra di dialogo per la configurazione delle impostazioni di filtro.

Finestra di dialogo - Filtro

Questa finestra di dialogo consiste di più schede che consentono di configurare le impostazioni di filtro per il cambio immagine:

  • Generale: configurazione del calendario.
  • Lista modelli turni: configurazione della lista del modelli turni.
  • Progettazione impianto:: selezione del modello di impianto.

Quando si apre di nuovo il dialogo di configurazione, vengono offerte anche schede per eseguire la sostituzione di collegameni e indici.

Nota: questa finestra di dialogo può essere aperta a Runtime anche usando il pulsante Filtro.

Ancora in questo capitolo

Generale

Lista modelli turni

Progettazione impianto


Generale

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configurano le impostazioni preliminari per il calendario turni. Le impostazioni configurate in questa sede determinano la visualizzazione ed i requisiti del calendario a Runtime. Le impostazioni possono essere modificate a Runtime solo se l´opzione Proponi dialogo a Runtime è stata attivata.

Orario di lavoro

Configurazione dell´orario di lavoro.

Opzione | Descrizione
Orario di lavoro | Con questa proprietà si configura l´orario di lavoro indicato nel calendario.
Inizio | Inserire qui l´orario di inizio del tempo lavorativo. Si può digitare il valore direttamente nel campo di inserimento, o lo si può configurare servendosi dei tasti freccia. Default: 08:00.
Fine | Inserire qui l´orario di fine del tempo lavorativo. Si può digitare il valore direttamente nel campo di inserimento, o lo si può configurare servendosi dei tasti freccia. Default: 17:00.
Settimana lavorativa | Mediante queste checkbox si definiscono i giorni che vanno a formare una settimana lavorativa. Si seleziona un giorno facendo il segno di spunta nella casella che si trova davanti al giorno stesso. Default: da lunedì a venerdì.

Visuale

Configurazione della visuale.

Opzione

Descrizione

Visuale

Configurazione della visuale standard del calendario a Runtime.

Primo giorno della settimana

Selezione del giorno della settimana con cui il calendario fa iniziare la settimana lavorativa. Selezione dal menù a tendina.

Default: Lunedì

Modalità

Selezione della visuale standard in cui il calendario verrà aperto a Runtime. Selezione dal menù a tendina:

  • Giorno
  • Settimana
  • Mese

Default: Settimana

Generale

Opzione

Descrizione

Proponi dialogo a Runtime

Stabilisce se questa finestra di dialogo deve essere visualizzata al momento dell´apertura dell´immagine a Runtime.

  • Attiva: la finestra di dialogo verrà visualizzata a Runtime.
    In questo caso, sarà possibile modificare le impostazioni prima che venga aperta l´immagine.
  • Non attiva: la finestra di dialogo non verrà visualizzata a Runtime.
    In questo caso verranno applicate le impostazioni eseguite nell´Editor in questa finestra di dialogo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lista modelli turni

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine -> Lista modelli turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configurano le colonne della lista modelli turni. Queste impostazioni vengono applicate a Runtime per la visualizzazione della lista modelli. Le finestre di dialogo per configurare le colonne possono essere aperte a Runtime anche usando i pulsanti corrispondenti.

Opzione | Descrizione
Lista | Visualizza le colonne configurate.
Selezione colonne | Cliccando su questo pulsante, si apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.
Formato colonne | Cliccando su questo pulsante, si apre il la finestra di dialogo che consente di formattare le colonne.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine -> Lista modelli turni -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione delle colonne che devono essere visualizzate.

Selezione colonne

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Formato colonne

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine -> Lista modelli turni -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione grafica della visualizzazione colonne.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Progettazione impianto

Manuale -> Gestione turni -> Configurare la gestione turni -> Configurare la funzione di cambio immagine -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni turno può essere collegato ad un numero qualsiasi di gruppi di impianti. Tramite la funzione di cambio immagine, i turni vengono filtrati per gruppi di impianti. Questa finestra di dialogo può essere aperta a Runtime anche usando il pulsante Filtro.

Nel filtro vengono visualizzati tutti i modelli di impianto già configurati e i loro gruppi di impianti. È possibile creare nuovi modelli e gruppi usando il menù contestuale o la barra degli strumenti.

Progettazione impianto

Chiudi finestra di dialogo

Opzioni | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Elimina | Annulla la selezione e chiude il dialogo. Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.
Guida | Apre la guida online.

Stati

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo

Modell entfernen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  2. Selezionare un gruppo di impianti oppure un livello.
  3. Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.

    Note:

    • I sottogruppi non vengono aggiunti automaticamente.
    • Può essere collegato un numero qualsiasi di gruppi.

Gruppen aus dem Modell löschen

Per cancellare un colore da tutte le tavolozze:

  1. Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  2. Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

Aggiungere o rimuovere gruppi dal filtro

Per aggiungere gruppi al filtro:

  1. Selezionare l´elemento desiderato.
  2. Cliccare sul pulsante Aggiungi.
  3. Ripetere l´operazione fino a quando tutti i gruppi necessari sono contenuti nella lista
    (Non è possibile una selezione multipla.)

Per eliminare gruppi dal filtro:

  1. Selezionare gli elementi desiderati
    Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift e cliccare sugli elementi desiderati.)
  2. Cliccare sul pulsante Elimina.


Funzione Esportazione SQL

Manuale -> Gestione turni -> Configurare la gestione turni -> Funzione Esportazione SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Turni e pause possono essere esportati a Runtime in SQL. Per poterlo fare, bisogna prima creare nell´Editor una funzione apposita, che dovrà poi essere eseguita a Runtime.

Creare la funzione nell´Editor

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Batch Control.
  3. Selezionare la funzione Export SQL Calendario turni.

    Si aprirà la finestra di dialogo di configurazione.

  4. Configurare:
    • La connessione al database-SQL.
    • L´intervallo di tempo dal quale devono essere esportati turni.
    • I gruppi di impianti per i quali devono essere esportati turni.
  5. Assegnare un nome alla funzione nella proprietà Nome.

Finestra di dialogo di configurazione dell´Export SQL del calendario turni

L´esportazione SQL si configura usando le seguenti schede:

  • Banca dati SQL: configurazione della connessione al database-SQL.
  • Ora: selezione del filtro tempo.
  • Progettazione impianto: selezione di gruppi di impianti.

Ancora in questo capitolo

Banca dati SQL

Ora

Progettazione impianto


Banca dati SQL

Manuale -> Gestione turni -> Configurare la gestione turni -> Funzione Esportazione SQL -> Banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce la connessione ad un database-SQL.

Banca dati SQL

Opzione | Descrizione
Connessione database | Selezione della connessione al database. Si può digitare il valore direttamente nel campo di inserimento, o lo si può configurare usando la finestra di dialogo. Cliccando sul pulsante ..., si aprirà la finestra di dialogo di configurazione.
Proponi dialogo a Runtime | Attivo: a Runtime, verrà aperta questa finestra di dialogo alla chiamata della funzione e prima della sua esecuzione per consentire all´ utente di eseguire la configurazione.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Configurare la connessione.

La finestra di dialogo per la connessione ad un database proviene dal sistema operativo.

Il prossimo esempio mostra come avviene di regola la connessione ad un database. Per avere informazioni relative alle singole impostazioni contenute nelle schede, cliccare sul pulsante ? (Si aprirà la relativa finestra dell´help di Microsoft).

  1. La scheda visualizzata quando si apre la finestra di dialogo è Connessione.
  2. Aprire la scheda Provider.

  3. Selezionare il provider Microsoft OLE DB Provider for SQL Server.
  4. Applicare questa impostazione cliccando due volte sull´inserimento, oppure cliccando sul pulsante Avanti.

    Verrà aperta la scheda Verbindung.

  5. Selezionare il server necessario fra quelli contenuti nella lista a cascata.
  6. Selezionare le informazioni necessarie per l´accesso al server.
    Suggerimento: in genere si usa Sicurezza integrata.
  7. Selezionare il database.
  8. Cliccare sul pulsante Verifica connessione.
    Impostazioni facoltative:
    • Scheda Avanzate: Configurazione di impostazioni di rete, timeout di connessione e autorizzazioni di accesso (in genere non necessarie per questa connessione).
    • Scheda Tutte le proprietà: Configurazione di singoli dettagli (in genere non necessari per questa connessione).
  9. Confermare le impostazioni cliccando su OK

    La connessione con il server SQL viene inserita nel campo apposito.


Ora

Manuale -> Gestione turni -> Configurare la gestione turni -> Funzione Esportazione SQL -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura l´intervallo di tempo per l´esportazione.
Nota: è obbligatorio definire un intervallo di tempo. Verranno esportate solamente i turni conclusi compresi in questo intervallo di tempo.

Standard: Periodo relativo, 1 h

Filtro

Selezione del filtro.

Parametri

Descrizione

Periodo assoluto

Attivo: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attivo: viene definito un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione di una delle opzioni contenute nel menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nel settore "Impostazioni” vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Progettazione impianto

Manuale -> Gestione turni -> Configurare la gestione turni -> Funzione Esportazione SQL -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si selezionano i gruppi di impianti desiderati.

attention Attenzione

Per quello che riguarda l´esportazione SQL, vale quanto segue:

  • In generale, vengono esportati solamente i turni che sono collegati ad un modello di impianto.
  • Se è stato selezionato nessun gruppo di impianti, verranno esportati tutti i turni che corrispondono al filtro tempo e sono collegati ad un modello di impianto.

Progettazione impianto

Opzione

Descrizione

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Nota: Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Aggiungi

Aggiunge il gruppo selezionato alla lista filtro.

Verranno esportati quei turni che sono collegati ad uno dei gruppi di impianti selezionati.

Elimina

Cancella tutti i gruppi selezionati dalla lista filtro.

Lista filtro

Visualizza tutti i gruppi di impianti sulla base dei quali si deve filtrare.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Selezione gruppi di impianto

Procedura per selezionare gruppi di impianto per l´esportazione:

  1. Selezionare il gruppo di impianti desiderato.
  2. Cliccare sul pulsante Aggiungi.
  3. Ripetere l´operazione finché tutti i gruppi necessari non saranno contenuti nella lista (non è possibile una selezione multipla).

Procedura per eliminare gruppi di impianto dalla lista filtro:

  1. Selezionare i gruppi di impianti desiderati.
    Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift e cliccare sugli elementi desiderati.
  2. Cliccare sul pulsante Elimina.

Aggiungere o cancellare gruppi di impianti

Si può usare la barra degli strumenti per eseguire operazioni nella finestra dei modelli di impianto esistenti.
Descrizioni dei simboli iniziando da sinistra:

Simbolo

Descrizione

Modello nuovo

Crea un nuovo modello di impianto.

(Solo per modelli di impianto locali.)

Nuovo gruppo

Crea un nuovo gruppo di impianti al di sotto dell´inserimento selezionato.

(Solo per modelli di impianto locali.)

Modifica

Consente di modificare il nome.

(Solo per modelli di impianto locali.)

Elimina

Cancella l´inserimento selezionato.

(Solo per modelli di impianto locali.)

Copia

Copia l´inserimento selezionato.

Incolla

Inserisce gli elementi copiati presi dagli appunti, mettendoli al di sotto dell´inserimento selezionato. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso il prefisso copia di.

(Solo per modelli di impianto locali.)

Attenzione: se si copiano modelli di impianto del progetto globale nel progetto locale e non li si rinomina, esisteranno due modelli con lo stesso nome. Li si può selezionare entrambi, tuttavia non verrà creato un collegamento al momento della conferma.

Suggerimento: rinominare sempre i modelli che vengono copiati dal progetto globale in quello locale.

Espandi tutto

Tutti i nodi vengono estesi.

Riduci tutto

Tutti i nodi vengono ridotti.

Espandi la selezione

Viene esteso il nodo selezionato.

Riduci la selezione

Viene ridotto il nodo selezionato.

Avvisi

Visualizza gli avvisi.

Ad esempio, i modelli di impianto del progetto globale che non vengono visualizzati perché viene data la precedenza a quelli del progetto locale che hanno lo stesso nome.

Tipp Suggerimento

Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa alla Progettazione d´impianto, nel capitolo Finestra di dialogo Progettazione impianto.


Gestione turni a Runtime

Manuale -> Gestione turni -> Gestione turni a Runtime

A Runtime, la gestione turni consente di:

  • Creare e amministrare turni e modelli turno.
  • Inviare notifiche agli utenti di un turno via Message Control.

I modelli turno sono modelli da utilizzare per turni. I turni vengono creati direttamente nel calendario, oppure a partire da un modello turno.
Il calendario consente di:

  • Creare turni.
  • Modificare turni.
  • Visualizzare turni in modalità filtrata.
  • Modificare modelli turno.

Note:

  • Perché sia possibile amministrare turni e modelli turno su un client o sullo zenon Web Client, deve essere disponibile il server primario.
  • Per poter creare, modificare e cancellare turni e modelli turno, gli utenti devono essere in possesso dell´autorizzazione funzioni corrispondente.

Visualizzazione Standard - Gestione turni a Runtime

Elementi

Elemento | Descrizione
Filtro | Apre la finestra di dialogo con le impostazioni di filtro del cambio immagine.
Calendario | Modulo calendario che visualizza a Runtime il calendario con i turni o un modello turno.
Contenuto calendario | Elemento di testo che indica a Runtime l´intervallo temporale (date) del calendario turni visualizzato al momento.

Turni

Elemento | Descrizione
Nuovo turno | Apre la finestra di dialogo che consente di creare un nuovo turno.
Elimina turno | Cancella il turno selezionato. È possibile selezionare più inserimenti usando il tasto Ctrl.
Proprietà turno | Apre la finestra di dialogo che consente di modificare il turno selezionato.
Copia turno | Copia il turno selezionato.
Inserisci turno | Inserisce un turno copiati negli appunti nel giorno selezionato.

Calendario turni

Elemento | Descrizione
Apri calendario turni | Apre il calendario turni. Questo elemento di controllo è disponibile solamente se nel calendario viene visualizzato un modello turni.
Inserisci modello turni | Apre la finestra di dialogo che consente di inserire un modello turni nel calendario turni.

Navigazione

Elemento | Descrizione
Avanti | Passa all´elemento successivo nel calendario; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).
Indietro | Torna indietro nel calendario di un elemento; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).
Visualizzazione giorno | Visualizza nel calendario il giorno selezionato.
Vista settimanale | Visualizza nel calendario la settimana selezionata.
Visualizzazione mensile | Visualizza nel calendario il mese selezionato.
Vai a oggi | Visualizza nel calendario il giorno corrente.

Modelli turni

Elementi | Descrizione
Lista modelli turni | Lista dei modelli turni esistenti.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.
Formatta colonne | Apre la finestra di dialogo per formattare le colonne.
Nuovo modello turni... | Apre la finestra di dialogo che consente di creare un modello turni.
Apri modello turni | Fa passare la visualizzazione calendario alla visualizzazione “modelli turni” e apre nel calendario il modello turno selezionato.
Salva modello turni | Salva il modello turni aperto nel calendario. Questo elemento di controllo è disponibile solamente se nel calendario turni è aperto un modello turni e non ci sono delle modifiche non salvate.
Elimina modello turni | Elimina i modelli turni selezionati dopo una richiesta di conferma.
Proprietà | Configurazione delle proprietà del modello turni: Nome e descrizione.

Suggerimento: inserire nell´immagine l´elemento di controllo Contenuto calendario. Tramite questo elemento di controllo si potrà vedere subito quale intervallo di tempo viene visualizzato al momento dal calendario.

Ancora in questo capitolo

Calendario

Copiare e inserire turni e modelli turno.

Eseguire Export SQL


Calendario

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il calendario visualizza o il calendario turni o i modelli turno. Per passare da una visuale all´altra, cliccare rispettivamente sul pulsante Apri modello turni, oppure sul pulsante Apri calendario turni.

La visualizzazione avviene (a seconda dell´intervallo di tempo selezionato) in:

  • Visualizzazione giorno e vista settimanale: 1 ora
  • Visualizzazione mensile: 1 giorno
  • I modelli turno mostrano solamente un giorno e vengono visualizzati in suddivisioni di un´ora.

La configurazione di turni e modelli turno viene eseguita tramite il menù contestuale, oppure i pulsanti corrispondenti.

Menù contestuale - Calendario - riga vuota

Voce di menù | Azione
Nuovo turno | Apre la finestra di dialogo che consente di creare un nuovo turno.
Incolla modello turni | Apre la finestra di dialogo che consente di inserire un modello turni.
Oggi | Visualizza nel calendario il giorno corrente.
Giorno | Visualizza nel calendario il giorno selezionato.
Settimana | Visualizza nel calendario la settimana selezionata.
Mese | Visualizza nel calendario il mese selezionato.
Avanti | Passa all´elemento successivo nel calendario; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).
Indietro | Torna indietro nel calendario di un elemento; questo elemento dipende dalla visualizzazione impostata (giorno, settimana, mese).

Menù contestuale - Calendario Inserimento turno

Voce di menù | Azione
Proprietà turno | Visualizza la finestra di dialogo con le informazioni inserite relative al turno.
Cancella turno | Cancella il turno selezionato. È possibile selezionare più inserimenti usando il tasto Ctrl.

Menù contestuale - Lista modelli turno

Voce di menù | Azione
Nuovo modello turni | Apre la finestra di dialogo che consente di creare un nuovo modello turno.
Apri modello turni | Fa passare la visualizzazione calendario alla visualizzazione “modelli turni” e apre il modello turno selezionato.

Ancora in questo capitolo

Turni

Modelli turni


Turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Creare turni

Modificare turno

Eliminare turno

Filtrare turni

Evidenziare intervalli di tempo

Incollare modello turni

Assegnare utenti a un turno


Creare turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Creare turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura per creare un nuovo turno:

  1. Cliccare nel calendario su un orario libero, non ancora occupato.
  2. Creare un nuovo turno con:
    • Il menù contestuale: nel menù contestuale, cliccare su Nuovo turno.
    • Il pulsante nell´immagine: cliccare sul pulsante Nuovo turno.
    • La tastiera: premere il tasto Ins..

    Si aprirà la finestra di dialogo che consente di creare un nuovo turno.

  3. Configurare il turno con:
    • Orari turni (Scheda “Generale”)
    • Pause
    • Gruppi d'impianto
    • Utenti

Nota: è possibile creare turni su ogni computer client. Se la “Gestione turni” viene utilizzata contemporaneamente da più utenti su diversi computer client, tutti i nuovi turni saranno salvati e aggiornai su tutti i client.

Ancora in questo capitolo

Proprietà generali.

Pause

Progettazione impianto

Utente


Proprietà generali.

Proprietà generali.

Configurazione delle impostazioni generali del turno.

Per configurare le proprietà generali:

  1. Assegnare un nome al turno.
  2. Configurare orario d´avvio e orario di termine.
  3. Se si vuole, si può configurare anche una descrizione.
  4. Se necessario, configurare pause e gruppi di impianti.
  5. Chiudere la finestra di dialogo cliccando su OK.

I turni devono soddisfare le seguenti regole:

  • Si deve assegnare un nome valido.
  • L´orario d´inizio non deve essere configurato dopo l´orario di termine.

Attenzione: se si modificano gli orari turni, cambiare di conseguenza anche le pause nella scheda Pause.

Finestra di dialogo “Generale”

Opzione

Descrizione

Nome

Assegnare un nome al turno.

  • Lunghezza massima: 256 caratteri.
  • I seguenti caratteri non sono consentiti: /\.:*?<>!|"'?#%

Inizio

Selezionare un orario d´inizio per il turno.

  • Giorno: la selezione può essere eseguita usando l´elemento del calendario, oppure digitando il valore direttamente nel campo apposito.
  • Ora: la selezione può essere eseguita usando le frecce, oppure digitando il valore direttamente nel campo apposito.

Fine

Selezionare l´orario di termine del turno.

  • Giorno: la selezione può essere eseguita usando l´elemento del calendario, oppure digitando il valore direttamente nel campo apposito.
  • Ora: la selezione può essere eseguita usando le frecce, oppure digitando il valore direttamente nel campo apposito.

Descrizione

Descrizione facoltativa del turno.

Lunghezza massima: 32.000 caratteri.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Pause

Pause

Configurazione dei tempi di pausa.

Tutte le pause vengono visualizzate in una lista e possono essere modificate direttamente nella lista stessa. .

Per configurare pause:

  1. Cliccare sul pulsante “Nuovo”.

    Verrà creata una nuova pausa.

  2. Modificare il nome.
  3. Assegnare una data ed un orario per l´inizio e il termine della pausa.
  4. Cliccare su OK.

Nota: se gli orari turni sono stati modificati, potrebbe essere necessario cambiare in modo corrispondente anche gli orari delle pause. Lo si può fare manualmente, oppure automaticamente cliccando sul pulsante Aggiorna periodi di pausa.

Le pause devono soddisfare le seguenti regole:

  • Per i nomi valgono le stesse regole illustrate per i nomi dei turni.
  • L´orario d´avvio non deve essere configurato dopo l´orario di termine.
  • Questi due orari non devono sovrapporsi.
  • Devono entrambi trovarsi all´interno dei termini temporali di un turno.

Finestra di dialogo - Pause

Opzione

Descrizione

Nome

Visualizzazione e configurazione del nome della pausa.

Default: Pausa

Per modificare il nome:

  1. Cliccare due volte nella cella, oppure selezionare la cella e poi premere il tasto F2.
  2. Inserire un nome.

Per i nomi pausa vale quanto segue:

  • Lunghezza massima: 256 caratteri.
  • I seguenti caratteri non sono consentiti: /\.:*?<>!|"'?#%

Giorno iniziale

Selezionare qui il giorno per l´inizio della pausa.

Default: primo giorno del turno.

Per modificare il giorno:

  1. Cliccare due volte nella cella, oppure selezionare la cella e poi premere il tasto F2.
  2. Selezionare il giorno desiderato fra quelli contenuti nel menù a tendina.

Per quello che riguarda il giorno iniziale, vale quanto segue:

  • Sono disponibili per la selezione tutti i giorni configurati per il turno.
  • Come giorno d´inizio non si deve configurare una data posteriore a quella impostata per il giorno conclusivo.

Orario di avvio

Selezionare qui l´orario per l´inizio della pausa.

Default: orario d´inizio del turno.

Per modificare l´orario:

  1. Cliccare due volte nella cella, oppure selezionare la cella e poi premere il tasto F2.
  2. Inserire l´orario direttamente oppure configurarlo usando i tasti freccia.

Per quello che riguarda l´orario di inizio, vale quanto segue:

  • Sono disponibili per la selezione tutti gli orari configurati per il turno.
  • Per questa opzione non si deve configurare un orario posteriore a quello impostato per il tempo di conclusione.

Giorno conclusivo

Selezionare qui il giorno per la fine della pausa.

Default: primo giorno del turno.

Per modificare il giorno:

  1. Cliccare due volte nella cella, oppure selezionare la cella e poi premere il tasto F2.
  2. Selezionare il giorno desiderato fra quelli contenuti nel menù a tendina.

Per quello che riguarda il giorno conclusivo, quanto segue:

  • Sono disponibili per la selezione tutti i giorni configurati per il turno.
  • Come giorno conclusivo non si deve configurare una data anteriore a quella impostata per il giorno iniziale.

Tempo di conclusione

Selezionare qui l´orario previsto per la fine della pausa.

Default: orario d´inizio del turno più 5 minuti.

Per modificare l´orario:

  1. Cliccare due volte nella cella, oppure selezionare la cella e poi premere il tasto F2.
  2. Inserire l´orario direttamente oppure configurarlo usando i tasti freccia.

Per quello che riguarda il tempo di conclusione, vale quanto segue:

  • Sono disponibili per la selezione tutti gli orari configurati per il turno.
  • Per questa opzione non si deve configurare un orario anteriore a quello impostato per l´orario di avvio.

Seleziona tutte

Seleziona tutte le pause configurate.

Annulla selezione

Annulla la selezione effettuata. Nessuna pausa sarà più selezionata nella lista.

Nuovo

Inserisce una nuova pausa alla lista.

Elimina

Elimina gli inserimenti selezionati dopo una richiesta di conferma.

Aggiorna periodi di pausa

Quando si clicca su questo pulsante, i tempi di pausa vengono adattati automaticamente agli orari turni modificati. In questo caso, tutte le pause verranno spostate in modo tale che l´intervallo di tempo intercorrente fra il loro inizio e quello del turno rimanga immutato (cioè uguale a quello precedente alla modifica dell´orario del turno).

Questo pulsante è attivo solamente se sono stati modificati orari turni nella scheda Generale, e se le modifiche sono rilevanti per le pause configurate.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Progettazione impianto

Progettazione impianto

I turni possono essere collegati a gruppi di impianti.

Per assegnare gruppi di impianti ad un turno configurato:

  1. Selezionare l´elemento desiderato.
  2. Cliccare sul pulsante Aggiungi.
  3. Ripetere l´operazione finché tutti i gruppi necessari non saranno contenuti nella lista (non è possibile una selezione multipla).

Per eliminare gruppi da un turno:

  1. Selezionare gli elementi desiderati
    Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift e cliccare sugli elementi desiderati.
  2. Cliccare sul pulsante Elimina.

Finestra di dialogo - Progettazione impianto

Opzione

Descrizione

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Nota: Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Elimina

Rimuove tutti i gruppi selezionati dalla lista filtro.

Lista filtro

Visualizza tutti i gruppi di impianti sulla base dei quali si deve filtrare.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Nell´Editor, si possono creare per il progetto attivo nuovi modelli e gruppi, e si possono cancellare quelli già esistenti. A Runtime, invece, si può lavorare solamente con i modello di impianto già esistenti.


Utente

Utente

In questa scheda si collegano utenti a turni.
Questi utenti possono essere selezionati nel modulo Message Control come destinatari di messaggi.

Collegare utenti ad un turno

Per collegare utenti ad un turno:

  1. Nella finestra di dialogo, cliccare sul pulsante Aggiungi.
    Un´altra possibilità è utilizzare il comando Inserisci utente del menù contestuale.

    Si aprirà la finestra di dialogo di Selezione utente.

  2. Selezionare gli utenti desiderati nella lista di quelli esistenti.

    Nota: si potranno selezionare solamente utenti già esistenti.

  3. Per aggiungere la selezione alla lista utenti selezionati, cliccare su Aggiungi.
  4. Confermare la selezione cliccando su OK.

    Gli utenti selezionati verranno aggiunti nella finestra di dialogo Impostazioni turno.

  5. Confermare le impostazioni cliccando su OK.

    Gli utenti vengono collegati al turno.

Notifiche agli utenti

Perché sia possibile inviare notifiche ad utenti, devono essere soddisfatti i seguenti presupposti:

  • L´utente deve essere collegato ad un turno attivo al momento dell´invio del messaggio.
  • La proprietà Utente Message Control deve essere stata attivata per questo utente.
    Nella lista utenti della finestra di dialogo si vede se la proprietà è attiva o meno.

    Nota: se la checkbox non è attiva (senza segno di spunta), la si potrà attivare nel rispettivo profilo utente.

  • Nella funzione Invia messaggio, per l´opzione Tipo deve essere selezionata la proprietà Gruppo utenti con filtro turni.

Nota: la notifica agli utenti verrà effettuata sulla base delle impostazioni eseguite nel modulo Message Control. La notifica verrà eseguita solamente se il turno è attivo anche nel giorno corrispondente. .

Finestra di dialogo Utente

Opzione

Descrizione

Lista utenti

Visualizza gli utenti collegati al turno.

La lista visualizza per ogni utente:

  • Nome utente
  • Nome completo
  • Utente Message Control

Gli utenti possono essere ordinati e filtrati sulla base di ogni colonna.

Nome utente

Visualizza il nome breve dell´utente.

Nome completo

Visualizza il nome completo dell´utente.

Utente Message Control

Indica se l´utente è stato configurato per ricevere notifiche tramite il Message Control.

Seleziona tutte

Seleziona tutti gli utenti della lista.

Annulla selezione

Annulla la selezione effettuata.

Aggiungi

Apre la finestra di dialogo che consente di selezionare utenti e aggiunge gli inserimenti selezionati alla lista utenti.

Elimina

Cancella tutti gli utenti selezionati dalla lista utenti.

Lista filtro

Visualizza tutti i criteri sulla base dei quali si deve eseguire l´operazione di filtro.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modificare turno

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Modificare turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare un turno:

  1. Nel calendario, cliccare sul turno che si vuole modificare.

    Modificare il turno nei modi seguenti:

    • Doppio clic: cliccare due volte sul turno da modificare.
    • Con il menù contestuale: Nel menù contestuale, cliccare su Proprietà turno.
    • Usando il pulsante nell´immagine: Cliccare sul pulsante Modificare turno.
    • Con la tastiera: premere il tasto Enter.

Nota: è possibile modificare turni su ogni computer client. Se la “Gestione turni” viene utilizzata contemporaneamente da più utenti su diversi computer client, in caso di modifica di un turno esistente, verranno applicate e aggiornate le modifiche eseguite per ultime.


Eliminare turno

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Eliminare turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un turno:

  1. Nel calendario, cliccare sul turno che si vuole eliminare.

    Nota: è possibile selezionare più inserimenti usando il tasto Ctrl.

  2. Ci sono diversi modi per cancellare i turni selezionati:
    • Con il menù contestuale: nel menù contestuale, cliccare su Cancella turno.
    • Usando il pulsante nell´immagine: cliccare sul pulsante Cancella turno.
    • Con la tastiera: premere il tasto Canc.

    Prima di eseguire la cancellazione, il sistema visualizzata una richiesta di conferma.

  3. Confermare la finestra di dialogo cliccando su Sì, oppure Sì tutti se sono stati selezionati più inserimenti.

Nota: è possibile cancellare turni su ogni computer client. Se la “Gestione turni” viene utilizzata contemporaneamente da più utenti su diversi computer client, i turni cancellati su un client non saranno più visibili anche su tutti gli altri client.


Filtrare turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Filtrare turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può filtrare la visualizzazione dei turni a Runtime: L´operazione di filtro viene eseguita tramite i gruppi di impianti collegati.

Per filtrare la visualizzazione turni nel calendario a Runtime:

  1. Cliccare sul pulsante Filtro.

    Si aprirà la finestra di dialogo per il cambio immagine.

  2. Selezionare i gruppi di impianti che devono essere utilizzati per il filtro.
  3. Confermare la configurazione cliccando sul pulsante OK

Nel calendario verranno visualizzati solamente i turni che corrispondono al filtro modello di impianto. .

Gruppi d'impianto

Ci sono diversi modi di configurare ill filtro per il gruppo di impianti:

  • Tramite il cambio immagine per il tipo di immagine Gestione turni.
  • Tramite l´immagine di tipo Modello di impianto.

Cambio ad un´immagine di tipo “Gestione turni”

La configurazione viene eseguita nel cambio immagine, o nella scheda Progettazione impianto della finestra di dialogo “Filtro”.
Per essere visualizzate a Runtime:

  • Il turno deve avere almeno un gruppo di impianti insieme con il filtro
    oppure
  • Il turno non deve essere collegato a nessun gruppo di impianti.

Nota: se non è stato configurato niente per la “Progettazione impianto”, verranno visualizzati tutti i turni.

Tipo d'immagine "Modello di impianti"

Nel cambio immagine, mediante l´opzione Immagini da aggiornare si seleziona l´immagine di tipo Gestione turni desiderata. A Runtime, poi, il filtro settato nell´immagine verrà applicato all´immagine di tipo “Gestione turni” selezionata.

Nota: Se l´operazione di filtro viene eseguita mediante l´immagine di tipo “Modello di impianti", quest´ultima sostituirà le configurazioni eseguite nell´immagine “Gestione turni”.


Evidenziare intervalli di tempo

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Evidenziare intervalli di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile mettere in evidenza nella visualizzazione determinati intervalli di tempo mediante la configurazione dei tempi da visualizzare. Gli intervalli di tempo che si trovano al di fuori del filtro tempo impostato, verranno visualizzati in color grigio..

Per configurare gli intervalli di tempo desiderati nel calendario:

  1. Cliccare sul pulsante Filtro.

    Si aprirà la finestra di dialogo per il cambio immagine.

  2. Nella scheda Generale, definire l´intervallo di tempo desiderato.
  3. Confermare la configurazione effettuata cliccando sul pulsante OK


Incollare modello turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Incollare modello turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire un modello turni in un calendario:

  1. Nel calendario turni selezionare il giorno in cui deve essere inserito il modello turni.
  2. Cliccare sul pulsante, oppure sulla voce Incolla modello turno del menù contestuale.
    Nota: in rete è necessario che la relativa autorizzazione operativa sia disponibile sul computer su cui si esegue la configurazione.

    Si aprirà la finestra di dialogo che consente di selezionare un modello turni.

  3. Selezionare il modello desiderato.
  4. Cliccare su OK.

    Il modello verrà inserito nel calendario in corrispondenza del primo giorno della selezione.

Note:

  • quando inserisce il modello turni nel calendario, il sistema verifica se il giorno in questione è previsto anche per il turno.
  • L´inserimento del modello turni avviene sul server. I client ricevono una notifica relativa al nuovo turno.
  • I turni impostati non hanno nessuna relazione o collegamento con il modello.
  • Se il modello turni è stato inserito in un giorno sbagliato, tutti i turni impostati dovranno essere cancellati manualmente.

attention Attenzione

Se si seleziona nel modello turni un giorno nella visualizzazione mensile del calendario, questo giorno dura dalle ore 00:00 alle ore 24:00. Mezzanotte è contemporaneamente l´orario di avvio per il giorno successivo. In pratica, in questo modo si selezionano due giorni.

Quando si inserisce il modello turni nel calendario, il turno verrà inserito per 2 giorni.

Se si vuole inserire il turno per un solo giorno, procedere come segue:

  • Inserire il modello turni.
  • Per l´opzione Fino impostare la stessa data indicata per Da.

Esempio

Oggetto | Inizio | Fine
Turno nel modello turni: | 03:00 | 04:00
Selezione nel calendario: | 03/04/2017, ore 02:00 | 03/04/2017, ore 08:00
Risultato nel calendario: | 03/04/2017 ore 03:00 | 03/04/2017 ore 04:00

Finestra di dialogo - Inserisci modello turni

L´inserimento di un modello turni viene configurato usando due schede:

  • Selezione modello turni Selezione del modello turni e dell´intervallo di tempo.
  • Selezione Progettazione impianto: Selezione dei gruppi di impianti.

Selezione modello turni

Opzione | Descrizione
Da | Definizione del giorno d´inizio, che può essere inserito direttamente nel campo apposito, oppure selezionato dal calendario. Cliccando sul tasto freccia si apre il calendario.
Fino | Definizione del giorno finale, che può essere inserito direttamente nel campo apposito, oppure selezionato dal calendario. Cliccando sul tasto freccia si apre il calendario.
Lista modelli turni | Elenca tutti i modelli turni configurati. Si seleziona uno degli inserimenti della lista cliccandoci sopra. Dopo che la finestra di dialogo è stata chiusa cliccando su OK, il modello turni viene inserito nel calendario in corrispondenza del giorno selezionato.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Progettazione impianto

La configurazione della progettazione impianto viene eseguita in modo analogo a quella della progettazione impianto per turni.


Assegnare utenti a un turno

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Turni -> Assegnare utenti a un turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile assegnare utenti a turni. Il modulo Message Control può poi utilizzare questo collegamento per inviare messaggi.

Per assegnare utenti ad un turno:

  1. Selezionare il turno nel calendario.
  2. Aprire la finestra di dialogo Impostazioni turno.
  3. Passare alla scheda Utente.

  4. Cliccare sul pulsante Aggiungi, oppure selezionare “Inserisci utente” nel menù contestuale.

    Si aprirà la finestra di dialogo di Selezione utente. In questa finestra di dialogo sono visualizzati tutti gli utenti impostati nel progetto attivo.

  5. Selezionare gli utenti desiderati.
  6. Cliccare sul pulsante Aggiungi.

    Gli utenti selezionati verranno aggiunti alla lista in basso.

  7. Confermare la selezione cliccando su OK.

    Gli utenti verranno aggiunti nella scheda Utente.

  8. Chiudere la finestra di dialogo Impostazioni turno cliccando su OK.
    Gli utenti selezionati sono adesso collegati al turno.

Nota: Per utilizzare nel modulo Message Control gli utenti collegati in questo modo, questi ultimi devono essere assegnati ad un determinato gruppo utenti. Questo gruppo utenti può essere definito come destinatario nella funzione Invia messaggio.


Modelli turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Modelli turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modelli turni possono essere creati e modificati a Runtime. Per poterlo fare, nell´immagine devono essere stati configurati i corrispondenti elementi di controllo.

Modelli turni

Elementi | Descrizione
Lista modelli turni | Lista dei modelli turni esistenti.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.
Formatta colonne | Apre la finestra di dialogo per formattare le colonne.
Nuovo modello turni... | Apre la finestra di dialogo che consente di creare un modello turni.
Apri modello turni | Fa passare la visualizzazione calendario alla visualizzazione “modelli turni” e apre nel calendario il modello turno selezionato.
Salva modello turni | Salva il modello turni aperto nel calendario. Questo elemento di controllo è disponibile solamente se nel calendario turni è aperto un modello turni e non ci sono delle modifiche non salvate.
Elimina modello turni | Elimina i modelli turni selezionati dopo una richiesta di conferma.
Proprietà | Configurazione delle proprietà del modello turni: Nome e descrizione.

Ancora in questo capitolo

Creare modello turni

Configurare il modello turni

Eliminare modello turni


Creare modello turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Modelli turni -> Creare modello turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo modello turni:

  1. Nel settore Modelli turno dell´immagine, cliccare sul pulsante Nuovo modello turni.
    Altrimenti si può cliccare con il tasto destro del mouse nella lista dei modelli turni e selezionare il comando Nuovo modello turni nel menù contestuale, oppure si può premere il tasto Ins..

    Si aprirà la finestra di dialogo che consente di creare un nuovo modello turni.

  2. Assegnare un nome, e se si vuole, una descrizione.
  3. Se necessario, configurare i giorni della settimana a cui il modello deve essere applicato.

Nota: se si limita il modello a determinati giorni della settimana, quando lo si inserirà nell calendario, il modello verrà inserito solo nei giorni selezionati. Quando il sistema verifica se un modello può essere inserito nel calendario in un determinato giorno della settimana, viene preso in considerazione il primo giorno del modello. Se questo non è un giorno valido, non verranno inseriti nel calendario nemmeno turni del secondo giorno. Se il primo giorno è valido, invece, verranno inseriti nel calendario anche turni del secondo giorno, anche se quest´ultimo non è un giorno valido.

Esempio: Un turno nel modello dura dalle ore 20:00 alle ore 04:00. Giovedì non è un giorno valido. Se si inserisce il modello in un mercoledì, il turno verrà inserito interamente. Se si inserisce il modello in un giovedì, il turno non verrà inserito.

Dialogo Nuovo modello turni

Opzione

Descrizione

Nome

Inserimento di un nome.

Per quello che riguarda il nome, vale quanto segue:

  • Deve essere univoco.
  • Non deve essere lasciato vuoto.
  • Non può contenere nessuno dei seguenti caratteri: /\.:*?<>!|"'?#%
  • Può avere la lunghezza massima di 256 caratteri

Descrizione

Inserimento di una descrizione facoltativa.

Lunghezza massima: 32000 caratteri.

Valido per i seguenti giorni

Configurazione dei giorni della settimana a cui il modello turni viene applicato nel calendario turni.

Si seleziona un giorno facendo il segno di spunta nella casella che si trova davanti al giorno stesso.

Default: tutti.

Chiudere la finestra di dialogo.

Ok | Applica le impostazioni e chiude la finestra di dialogo. Se il sistema rileva errori eseguendo il processo di convalida, la finestra di dialogo verrà aperta una seconda volta e verrà visualizzata un´indicazione relativa alle possibili cause dell´errore.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Configurare il modello turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Modelli turni -> Configurare il modello turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare un modello turni:

  1. Nella lista dei modelli turni cliccare sul pulsante Apri modello turni, oppure sulla voce corrispondente del menù contestuale; in alternativa, si può eseguire un doppio clic sul modello turno che si desidera configurare.

    Il modello turni verrà visualizzato nel calendario.

  2. Configurare il modello turni.
  3. Cliccare su Salva modello turni.

Modificare le proprietà

Si possono modificare nome e proprietà di un modello turni.

Per modificare proprietà:

  1. Selezionare il modello turni.
  2. Cliccare sul pulsante Impostazioni.
    Questo pulsante deve essere stato configurato nell´immagine.
    Alternativa: Nel menù contestuale, selezionare la voce Impostazioni

    Si aprirà la finestra di dialogo con le impostazioni del modello di turni.

  3. Modificare gli inserimenti desiderati.
    • Nome: nome del modello turni.
      Questo nome deve essere univoco. Per quello che riguarda le ulteriori limitazioni, si veda il capitolo Creare modello turni.
    • Descrizione: descrizione facoltativa.
      Lunghezza massima: 32000 caratteri.
  4. Salvare le modifiche cliccando su OK.

Le modifiche verranno applicate immediatamente, salvate sul server e distribuite a tutti i client. Questo vale anche se il modello viene modificato contemporaneamente si un altro client. Il contenuto del modello (le configurazioni turno) non vengono modificate. Vengono salvate e distribuite separatamente. Informazioni dettagliate su questo argomento si trovano nel capitolo Comportamento in rete.


Eliminare modello turni

Manuale -> Gestione turni -> Gestione turni a Runtime -> Calendario -> Modelli turni -> Eliminare modello turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un modello turni:

  1. Nel settore Modelli turno dell´immagine, selezionare il modello turno desiderato.
    È possibile selezionare più inserimenti contemporaneamente.
  2. Cliccare sul pulsante Elimina modello turni.
    Altrimenti si può cliccare con il tasto destro del mouse nella lista dei modelli turni e selezionare il comando Elimina modello turni nel menù contestuale, oppure si può premere il tasto Canc..

    Viene visualizzata una finestra di dialogo con una richiesta di conferma.

  3. Confermare la richiesta di conferma cliccando su “Sì”.

    Il modello turni verrà cancellato.
    Se il modello turni è visualizzato nel calendario, quest´ultimo passerà automaticamente alla visuale normale. Se il modello turni è stato cancellato su un altro computer, verrà visualizzato un messaggio che ne informa l´utente.

Nota: la cancellazione di modelli turno viene documentata con un inserimento nella Lista eventi cronologica.


Copiare e inserire turni e modelli turno.

Manuale -> Gestione turni -> Gestione turni a Runtime -> Copiare e inserire turni e modelli turno.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile copiare e inserire turni nel calendario e in modelli turni.
Ci sono diversi modi per copiare e inserire turni:

  • Mediante i pulsanti Copia turno e Inserisci turno.
  • Mediante i comandi Copia turno e Inserisci turno del menù contestuale.
  • Con le combinazione di tasti Ctrl+C e Ctrl+V.

Pulsanti/Comandi:

  • Copia turno: copia negli appunti il turno selezionato.
  • Inserisci turno: inserisce un turno copiato negli appunti nel giorno selezionato.

L´inserimento è possibile sempre solo nello stesso progetto e nella stessa visuale.
Questo significa: turni di modelli turni possono essere inseriti solamente in altri modelli turni. Turni del calendario, solamente nel calendario.


Eseguire Export SQL

Manuale -> Gestione turni -> Gestione turni a Runtime -> Eseguire Export SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Turni e pause possono essere esportati in SQL.

Per esportare turni e pause a Runtime:

  1. Creare una funzione Export SQL Calendario turni.
  2. Eseguire la funzione a Runtime.

    Verrano esportati i turni corrispondenti alla configurazione.

Per quello che riguarda l´export SQL, vale quanto segue:

  • Denominazione delle tabelle destinazione: [Progetto-GUID]_SHIFT_[GUID del gruppo di impianti].
  • Vengono esportati solo i turni completati.
    Questo significa: un turno che si trova nell´ambito del filtro tempo, ma non è ancora completato, non verrà esportato.
  • Ogni turno viene esportato solo una volta.
    Viene inserito solo una vota nella tabella corrispondente. Le modifiche di un turno effettuate in un secondo momento non verrano applicate nella tabella già esistente.
  • Gli errori vengono documentati nei log.

attention Attenzione

Se l´esportazione non riesce, i turni da esportare non verranno trasferiti di nuovo nel prossimo export. È dunque possibile che si creino delle lacune.

Raccomandazione: configurare l´esportazione con sovrapposizione. Per esempio, eseguire la funzione ogni giorno e esportare i turni di 2 giorni.
Oppure attivare l´opzione Proponi dialogo a Runtime per consentire all´utente di riconfigurare l´intervallo di tempo a Runtime.


Comportamento in rete

Manuale -> Gestione turni -> Comportamento in rete

Autorizzazioni funzioni

In linea di principio, tutti i pulsanti e i menù contestuali sono disponibili indipendentemente dai diritti richiesti. Solo al momento dell´esecuzione, il sistema verifica se l´utente registrato ha i diritti necessari per eseguire una determinata azione. Le proprietà dei turni e dei modelli turni possono essere sempre visualizzate. Questo vale anche se mancano i diritti richiesti per eseguire modifiche.

Procedura:

  • Si verifica se il token per la modifica è disponibile in rete.

    Se manca l´autorizzazione, la procedura viene terminata e viene visualizzato un messaggio di errore.

  • Il sistema verifica se l´utente registrato dispone dei diritti necessari.

    Se manca l´autorizzazione operativa, la procedura viene terminata e viene visualizzato un messaggio di errore.
    Eccezione: se è stato attivato un login temporaneo, viene visualizzata la finestra di dialogo per il login. Se il login non riesce, la procedura viene terminata e viene visualizzato un messaggio di errore.

Turni e modelli turni

Per quello che riguarda la creazione e la modifica di turni e modelli turni in rete, vale quanto segue:

  • La modifica non viene eseguita direttamente sul server, ma con una copia locale.
    Tutte le modifiche vengono inviate al Server 1 e al Server 2 e aggiornate in quella sede.
    Questo riguarda la creazione, la modifica e la cancellazione di turni e di modelli turni, ma anche l´inserimento di modelli turni nel calendario turni.
  • Se più utenti modificano lo stesso turno o lo stesso modello turni, sul server verranno salvate le modifiche dell´utente che ha salvato per ultimo.
  • Quando si salva un modello, viene salvato solamente il contenuto, non il nome e la descrizione.


Zona oraria e limiti giorno

Manuale -> Gestione turni -> Zona oraria e limiti giorno

Per regolare il comportamento della “Gestione turni” in relazione a zone orarie, cambio orario e limiti giorno, sono state definite delle regole.

Ancora in questo capitolo

Visualizzazione dei limiti giorno

Fusi orari e cambio orario


Visualizzazione dei limiti giorno

Manuale -> Gestione turni -> Zona oraria e limiti giorno -> Visualizzazione dei limiti giorno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un turno il cui termine si trova al confine fra due giorni successivi, la “Gestione turni” procede nel modo seguente:

  • 24:00 viene interpretato come 00:00 del giorno successivo.
  • Nelle proprietà del turno, questo 00:00 viene visualizzato come un giorno a se stante.
    • Questo giorno ammetto solo l´orario 00:00.
    • Se si cerca di selezionare anche un altro orario per questo giorno, viene visualizzato un messaggio corrispondente. w

Esempio

  • Tempi configurati per il turno:
    • 11/ 11/ 2017
    • Dalle 16:00 alle 24:00
  • Visualizzazione:
    • Inizio: 11/ 11/ 2017, ore 16:00
    • Fine: 12/ 11/ 2017, ore 00:00


Fusi orari e cambio orario

Manuale -> Gestione turni -> Zona oraria e limiti giorno -> Fusi orari e cambio orario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I turni vengono adeguati automaticamente al cambio ora legale/ora solare secondo determinate regole.

Quando si inserisce un turno, viene visualizzata una finestra di dialogo in cui orario di inizio e di fine vengono indicati in modo corrispondente alla selezione. Se è stato selezionato un orario non esistente al momento del cambio, questo verrà corretto automaticamente. Gli orari possono essere modificati nella finestra di dialogo. Quelli che non sono disponibili, però, verranno sempre corretti automaticamente.

  • Cambio da ora solare a ora legale:
    Un´indicazione di orario 02:00 viene corretta automaticamente a 01:00.
    Informazioni di background: visto che si passa dalle 02:00 alle 03:00, le 02:00 non esistono per il calendario. Non è dunque possibile inserire l´orario 02:00.
  • Cambio da ora legale a ora solare:
    Un´indicazione di orario 03:00 viene corretta automaticamente a 02:00.
    La visualizzazione nel calendario può dipendere dal fuso orario in cui viene visualizzato il calendario stesso. Per esempio: nel calendario locale con cambio ad ora solare, il turno viene visualizzato con una durata di 2 ore. In un altro calendario, il turno (in dipendenza del fuso orario) può essere anche visualizzato con una durata di 3 ore. Per esempio in Yakutsk, dove non c´è un cambio di orario.


Combinazioni tasti per la Gestione turni

Manuale -> Gestione turni -> Combinazioni tasti per la Gestione turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la Gestione turni sono disponibili in zenon le seguenti combinazione di tasti:

Runtime

Azione | Tasto
Creare un nuovo turno o modello turni. | Ins
Modifica di turno o modello turni. | Invio
Cancellazione di turno o modello turni. | Canc


Gestione user

Manuale -> Gestione user

zenon supporta una gestione utenti sia per l'Editor, che per il Runtime. Il sistema password soddisfa i requisiti di FDA (Food and Drug Administration, 21 CFR Part 11). È possibile anche amministrare utenti Active Directory a Runtime.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Il concetto

Il concetto della “Gestione user” di zenon si basa sul principio che diversi utenti sono in possesso di differenti diritti operativi (livelli di autorizzazione e autorizzazione funzioni). Gli amministratori, oltre ad avere diversi diritti operativi come gli altri utenti, hanno anche addizionali funzioni di gestione, come l´amministrazione degli user. Gli utenti possono essere gestiti mediante zenon e Windows Active Directory.

Ad ogni utente possono essere assegnate più autorizzazioni differenti. Può essere progettato un massimo di 128 (da 0 a 127) livelli di autorizzazione. L’assegnazione di utenti ai singoli livelli di autorizzazione e la realizzazione di un relativo concetto di password specifico per un progetto, non sono soggette a limitazioni di sorta. Ad ogni utente si può assegnare qualsiasi livello. Così l'utente 1 può disporre, ad esempio, dei livelli 0, 1, 5, 6, e l'utente 2 dei livelli 0, 1, 6, 8, 10. Possono essere assegnate solamente quelle autorizzazioni di cui l´amministratore che effettua l´assegnazione dispone effettivamente.

Il login dell´utente a Runtime viene eseguito tramite la funzione Login e un´immagine di tipo Login. Se un utente deve essere autenticato automaticamente sulla base di un evento (per esempio posizione chiave in interruttore conosciuta al sistema), si usa la funzione Login senza password. Questa funzione viene progettata in un valore limite, oppure in una matrice di reazione della variabile nella gestione variabili. Nella gestione multi-progetto, gli utenti possono essere registrati automaticamente anche in sotto-progetti quando eseguono il login.

È possibile prevedere che ci sia un logout automatico di un utente nel caso in cui, alla scadenza di un periodo di tempo configurato, non abbia eseguito nessuna nuova azione di gestione. Gli utenti possono eseguire in qualsiasi momento il logout dal sistema usando la funzione Logout. In questo caso viene registrato l´utente SYSTEM.

Creare utenti e assegnare diritti

In zenon ci sono due modi di creare utenti:

  1. zenon Editor e Runtime:
    Gli utenti vengono creati nell´Editor e qui gli vengono assegnati diritti operativi. A Runtime, poi, potranno effettuare il login. Gli amministratori possono creare utenti anche a Runtime, e gli possono poi assegnare diritti.
  2. AD e AD LDS:

    Active Directory Lightweight Directory Services (AD LDS) è una versione semplificata di Active Directory e si presta ad essere utilizzato su normali sistemi operativi desktop; non è necessario utilizzare un sistema operativo server. Active Directory (AD) e AD LDS possono essere usati in zenon per la gestione user nel Runtime di zenon. AD e AD LDS non sono disponibili per l´Editor di zenon.

    I gruppi utenti creati in AD o AD LDS, ricevono autorizzazioni in zenon se vengono creati in zenon gruppi utenti che hanno lo stesso nome. Tramite un´immagine specifica, AD e AD LDS possono essere letti e modificati dal Runtime di zenon. Gli utenti creati in questa sede, hanno diritti per tutti i progetti di zenon, indipendentemente dal progetto a partire dal quale sono stati creati.

Ancora in questo capitolo

Configurazione nell´Editor di zenon:

zenon Login e gestione utenti a Runtime

Gestione user esterna con Microsoft Active Directory

Amministrare gli utenti Active Directory dal Runtime di zenon

Proprietà AD/AD LDS usate da zenon


Configurazione nell´Editor di zenon:

Manuale -> Gestione user -> Configurazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utenti e gruppi utenti vengono creati nell´Editor, in cui si definiscono anche le password e le autorizzazioni. Le impostazioni possono essere poi modificate a Runtime. Non tutte le modifiche effettuate nell´Editor vengono applicate a Runtime con un semplice reload. Le modifiche eseguite a Runtime, invece, devono essere ricaricate nell´Editor, per poter essere modificate in quella sede e per garantire che la situazione sia la stessa nell´Editor e a Runtime. Quando si trasferiscono i file Runtime, bisogna tenere presente la configurazione della proprietà RT dati modificabili. Mediante questa proprietà, infatti, si stabilisce se la progettazione della “Gestione user” viene trasferita al Runtime e sovrascrive la configurazione a Runtime. L´impostazione di default prevede che i contenuti della “Gestione user” non vengano sostituiti quando sono trasferiti al Runtime.

Ancora in questo capitolo

Menù contestuale - Manager di progetto

Barra degli strumenti e Menù contestuale - Visualizzazione dettagli

Creare un utente

Creare un gruppo utenti

Modificare un utente

Modificare un gruppo utenti

Modificare il nome dei livelli autorizzazioni

Selezione utente: utente singolo

Selezione utente: più utenti

Autorizzazioni funzioni

Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti


Menù contestuale - Manager di progetto

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Gestione user

Voce di menù | Azione
Profili Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Menù contestuale - Utente

Voce di menù | Azione
Nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagli.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Menù contestuale - Gruppi utenti

Voce di menù | Azione
Nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagli.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Profili Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Menù contestuale - Visualizzazione dettagli: si veda Gestione user - Visualizzazione dettagli - Barra degli strumenti e Menù contestuale


Barra degli strumenti e Menù contestuale - Visualizzazione dettagli

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Barra degli strumenti e Menù contestuale - Visualizzazione dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù/Simbolo | Azione
Nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagli.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.

Menù contestuale - Gruppo utenti

Voce di menù | Azione
Nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagli.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Creare un utente

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo utente:

  1. Nel Manager di progetto, passare al nodo Gestione user/Utente.
  2. Nel menù contestuale del Manager di progetto o della visualizzazione dettagli, oppure nella barra degli strumenti, selezionare il comando Nuovo utente... .

    Si aprirà la finestra di dialogo di configurazione.

  3. Nelle singole schede di questa finestra di dialogo, configurare le impostazioni per:
    • Utente
    • Password
    • Message Control
    • Livelli di autorizzazione
    • Gruppi utenti

info Info

Raccomandazione: come primo utente, creare un amministratore. Solamente questo user avrà accesso a tutte le funzioni e potrà così anche sbloccare quegli utenti che dovessero essere stati bloccati dal sistema.

Ancora in questo capitolo

Utente

Modificare la password

Message Control

Livelli di autorizzazione

Gruppi utenti


Utente

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente -> Utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dell´utente:

Utente

Opzione

Descrizione

Nome utente

Inserire in questo campo il nome utente. L´utente esegue il login nel sistema con il suo nome.

Lunghezza massima: 20 caratteri.

Nota: questo numero deve essere univoco.

Nome completo

Inserire in questo campo il nome completo dell´utente. In questo modo si collegano i nomi utenti a persone concrete.

Codice Login

Inserimento del codice di Login per la registrazione senza password.

Per il codice di login vale quanto segue:

  • Deve essere univoco all´interno di un progetto.
    Nota: Se per il medesimo utente si usa lo stesso codice di login nel progetto locale e in quello globale, al momento della creazione dei file Runtime nell´Editor, l´utente del progetto globale non verrà trasferito. Si prega di tener presente il corrispondente messaggio di errore visualizzato nella finestra di emissione. Quando si modifica il codice di login a Runtime, quest´ultimo non deve essere identico a quello usato per un utente del progetto globale.
  • Può essere vuoto.
    In questo caso è disattivato per questo utente.
  • Lunghezza massima: 1000 caratteri
  • Non può consistere solamente di spazi vuoti.
  • Non è consentito usare degli spazi vuoti all´inizio o alla fine.
  • Tutti gli altri caratteri sono consentiti.

Default: (vuoto).

Quando si digita un codice di Login non valido, verrà visualizzato un messaggio di errore quando si chiude la finestra di dialogo.

Per i dettagli al proposito, si veda il capitolo Login tramite codice Login.

Amministratore

Attivo: l´utente riceve lo stato di un amministratore.

Solo un amministratore può creare nuovi utenti, modificare utenti, cancellare password ecc. a Runtime.

Attivo

Attivo: l´utente è attivo e può eseguire il login a Runtime.

Nota: in conformità alle regole di FDA 21 CFR PART 11, un utente non può essere mai cancellato; in questo modo sarà possibile in qualsiasi momento verificare chi ha eseguito una determinata operazione. Per questa ragione, nei progetti che sono soggetti a questa normativa un utente può essere solamente disattivato, non cancellato.

Per rendere impossibile la cancellazione di utenti, si deve disattivare la proprietà Eliminazione utenti nel gruppo Gestione user delle proprietà di progetto.

Bloccato

Attivo: l´utente è bloccato a Runtime e non può eseguire il login.

Questa opzione viene settata automaticamente quando un utente ha inserito una password errata per più volte di quelle consentite.

Opzioni

Opzione

Descrizione

Codice di blocco

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei “Comandi” per bloccare o sbloccare aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login.

  • Nessuno
  • Default
  • Last

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modificare la password

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente -> Modificare la password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione o modifica della password.

Le password possono avere un massimo di 20 caratteri. La lunghezza minima viene definita nel gruppo Gestione user delle proprietà di progetto, tramite la proprietà Lunghezza minima password. (Default: 6 caratteri).

Parametro | Descrizione
Vecchia password | Password attuale.
Nuova password | Inserimento di una nuova password. L´inserimento della password viene nascosto automaticamente. Quando si configurano progetti destinati ad essere usati in più lingue, tenere presente che deve essere possibile a Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. L´inserimento della password viene nascosto automaticamente.

Nota: la funzionalità Copia e Incolla non è utilizzabile per inserimenti nel campo di inserimento destinato alla password.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Message Control

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Opzioni per l´uso degli utenti nel modulo Message Control.

Parametro

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi vocali. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ... Si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN usato dall´utente per confermare il messaggio.

Codice-NA

Codice PIN usato dall´utente per rifiutare il messaggio. (not available). Il messaggio verrà poi inviato al prossimo utente della lista.

Se non ci sono altri utenti nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa eventualità. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: ulteriori informazioni riguardanti l´assegnazione di funzioni si trovano nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

I codici di riconoscimento per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili fra di loro.

Se i codici sono identici, il codice verrà interpretato come PIN e, dunque, come conferma del messaggio.

Se il sistema riceve un codice sconosciuto e il messaggio è un SMS o una E-‑Mail, il messaggio stesso sarà inviato al sostituto; in caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.


Livelli di autorizzazione

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione dei livelli di autorizzazione assegnati all´utente.

Parametro | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono rimossi da questa lista.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Gruppi utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un utente -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assegnazione di un utente a gruppi utente.

Parametro | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti assegnati.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono rimossi da questa lista.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Creare un gruppo utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un gruppo utenti:

  1. Nella visuale ad albero del Manager di progetto, selezionare la voce "Gestione user"; selezionate il sotto-nodo Gruppi utenti
  2. Cliccare con il tasto destro del mouse nell´area della visualizzazione dettagli (Visualizzazione dettagli del Manager di progetto), oppure direttamente sull´inserimento Gruppi utenti
  3. Nel menù contestuale, selezionare il comando Nuovo gruppo utenti, oppure cliccare sul simbolo corrispondente nella barra degli strumenti.
  4. Si aprirà la finestra di dialogo Definisci nuovo gruppo utenti.
  5. Indicare il nome e i livelli di autorizzazione

info Info

Nell´ambito di un progetto, ogni gruppo utenti deve avere un nome univoco.

È possibile creare gruppi user con lo stesso nome nel progetto globale e in quello locale. In caso di conflitti, verranno considerate le autorizzazioni del gruppo utenti come definite nel progetto locale. Se il gruppo utenti locale viene cancellato, dopo la compilazione dei file Runtime nell´Editor, l´utente riceve di nuovo i diritti del gruppo del progetto globale.

Esempio:

sia nel progetto locale che in quello globale esiste un gruppo user A. Nel progetto globale gli sono assegnati i livelli di autorizzazione 1, 2, 3, 100 e 101; nel progetto locale i livelli di autorizzazione 1 e 2. A Runtime valgono le regole del progetto locale; dunque il sistema assegna solamente i livelli di autorizzazione 1 e 2. Se nel progetto locale non esiste più un gruppo A, i membri del gruppo A avranno i livelli di autorizzazione 1, 2, 3, 100 e 101 del progetto globale.

Ancora in questo capitolo

Nominare gruppi utenti

Livelli di autorizzazione

Ordinamento utenti per il Message Control


Nominare gruppi utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un gruppo utenti -> Nominare gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro | Descrizione
Nome | Nome del nuovo gruppo utenti. Attenzione: Non è consentito usare il carattere @ nel nome di un gruppo utenti.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Livelli di autorizzazione

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un gruppo utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assegnazione di livelli di autorizzazione ad un gruppo utenti.

Parametro | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono rimossi da questa lista.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Ordinamento utenti per il Message Control

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Creare un gruppo utenti -> Ordinamento utenti per il Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stabilisce l´ordinamento degli utenti all´interno di un gruppo per l´uso nel modulo Message Control.

Parametro | Descrizione
Utente | Lista di tutti gli utenti disponibili.
In su | Sposta l´utente selezionato di una posizione verso l´alto.
In giù | Sposta l´utente selezionato di una posizione verso il basso.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modificare un utente

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Modificare un utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare un utente, selezionarlo nella lista della visualizzazione dettagli. Nella finestra delle proprietà vengono visualizzate le proprietà dell´utente, che potranno essere modificate in questa sede.


Modificare un gruppo utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Modificare un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare un gruppo utenti, selezionarlo nella lista della visualizzazione dettagli. Nella finestra delle proprietà vengono visualizzate le proprietà del gruppo utenti che potranno essere modificate in questa sede. È possibile modificare i parametri Nome, e Livelli di autorizzazione.

info Info

Se si rinomina un gruppo utenti, tutti gli utenti che erano collegati a questo gruppo, perdono il collegamento. Il gruppo utenti viene visualizzato con (del).

Se, però, nel progetto globale c`è un gruppo utenti con lo stesso nome, tutti gli utenti che prima erano collegati al gruppo il cui nome è stato modificato, riprendono i livelli di autorizzazione di questo gruppo.


Modificare il nome dei livelli autorizzazioni

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Modificare il nome dei livelli autorizzazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi dei livelli autorizzazioni possono essere modificati a livello globale per un progetto. Per farlo, passare al gruppo Gestione user delle proprietà di progetto, e cliccare sulla proprietà Amm. Livelli di aut..

Cliccando due volte sulla riga desiderata della colonna Nome, si apre il campo di inserimento. Eseguire le modifiche desiderate. La modifica viene applicata non appena il focus non si trova più sul campo di inserimento, oppure se si conferma l´inserimento cliccando su Invio. La modifica del nome non viene applicata se si preme il tasto Esc, oppure se si lascia vuoto il campo di inserimento.


Selezione utente: utente singolo

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Selezione utente: utente singolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione utente, si seleziona a Runtime un utente per utilizzarlo in un altro modulo.

Per selezionare un utente:

  1. Selezionare l´utente desiderato nella lista degli utenti esistenti.
  2. Confermare l´inserimento cliccando su OK.

    L´utente verrà aggiunto. .

Finestra di dialogo "Selezione utente"

Opzione | Descrizione
Lista Workspace | Visualizzazione dei progetti di un workspace e selezione dei progetti i cui utenti potranno poi essere selezionati.
Lista utenti | Visualizzazione degli utenti del progetto selezionato. È possibile filtrare questa lista.
Nessuna selezione | Un utente già esistente viene deselezionato.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Selezione utente: più utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Selezione utente: più utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione utente, si selezionano più utenti a Runtime per usarli in un altro modulo.

Per selezionare utenti:

  1. Selezionare gli utenti desiderati nella lista di quelli esistenti.
  2. Per aggiungere la selezione alla lista utenti selezionati, cliccare su Aggiungi.
  3. Confermare le impostazioni cliccando su OK.

    Gli utenti verranno aggiunti.

Finestra di dialogo "Selezione utente"

Opzione | Descrizione
Lista progetti | Contiene i progetti disponibili per la selezione. Nota: per il modulo “Gestione turni”, sarà disponibile solamente il progetto attivo.
Lista degli utenti esistenti | Lista di tutti gli utenti disponibili.
Tasti freccia | Consentono di navigare all´interno della lista in caso di gestione touch.
Lista degli utenti selezionati | Visualizza tutti gli utenti selezionati per essere utilizzati nel modulo.
Tasti freccia | Consentono di navigare all´interno della lista in caso di gestione touch.
Aggiungi | Aggiunge gli utenti selezionati nella Lista degli utenti esistenti alla Lista degli utenti selezionati.
Elimina | Rimuove tutti gli utenti evidenziati dalla Lista degli utenti selezionati.
Nessuna selezione | Elimina dalla finestra di dialogo utenti che eventualmente già selezionati.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Autorizzazioni funzioni

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Autorizzazioni funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon è possibile assegnare autorizzazioni funzioni. A Runtime, queste autorizzazioni funzioni si riferiscono a funzioni, nell´Editor, invece, alla configurazione di moduli. Quando ad un utente manca l´autorizzazione funzioni necessaria:

  • A Runtime: non gli sarà consentito eseguire le corrispondenti funzioni.
  • Nell'Editor: le barre degli strumenti e i menù contestuali dei moduli corrispondenti saranno visualizzate in color grigio (disattivate).

Configurazione delle autorizzazione funzioni

Inzenon, le autorizzazioni funzioni vengono configurano nell´Editor.

Assegnazione delle autorizzazione funzioni

L´assegnazione delle autorizzazioni funzioni avviene nel modo seguente:

  • Autorizzazioni funzioni a Runtime
  • Autorizzazioni funzioni nell´Editor

Per i progetti globali, l´assegnazione avviene come per l´Editor. In questo caso, la possibilità di selezione dipende dai nodi esistenti nel progetto globale.

Non appena si usano nel progetto uno o più livelli di autorizzazione superiori a 0, viene visualizzata una finestra di dialogo di login quando il progetto viene caricato nell´Editor. Questa finestra di dialogo verrà visualizzata anche se è stato creato solamente un utente nel progetto. Questo consente di proteggere i progetti nell´Editor. Quando si digita il nome utente e la password, il sistema distingue fra lettere maiuscole e minuscole (case sensitive).

In generale vale quanto segue:

  • Tutte le progettazioni per DragOver e Drag&Drop prendono in considerazione i diritti del modulo.
  • Se non si è in possesso dei diritti relativi ad un modulo:
    • Le corrispondenti barre di menù e barre degli strumenti saranno visualizzate in colore grigio (disattivate) nell´Editor di zenon.
    • Non sarà possibile eseguire nessuna modifica alla configurazione nei nodi e sottonodi della visualizzazione dettagli.
    • Le corrispondenti combinazioni di tasti non saranno attive.
    • Le proprietà nella finestra delle proprietà saranno visualizzate in color grigio (disattivate). Anche i livelli di progettazione "ulteriori" o "più specifici" non saranno accessibili (per es. elementi combinati, stati-rema, configurazione archivi ecc.).
    • Se non si è in possesso dei diritti relativi all´autorizzazione funzioni per le “Immagini”, non sarà possibile neppure modificare immagini servendosi del mouse.

attention Attenzione

Per questa ragione, si prega di far in modo (già in fase di progettazione) che i seguenti tre livelli di autorizzazione siano assegnati perlomeno ad un utente:

  • Caricare progetto
  • Progetto
  • Gestione user

info Info

Se per il progetto globale è stato configurato un livello di autorizzazione maggiore a 0 per la modifica di immagini e all´utente loggato manca questo livello di autorizzazione, non sarà possibile inserire simboli nella libreria simboli del progetto globale. In questo caso, non sarà neanche possibile modificare i simboli collegati del progetto globale nelle immagini del progetto locale.

Ancora in questo capitolo

Configurazione delle autorizzazione funzioni

Autorizzazioni funzioni - Runtime

Autorizzazioni Funzioni - Editor


Configurazione delle autorizzazione funzioni

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Autorizzazioni funzioni -> Configurazione delle autorizzazione funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare un´autorizzazione funzioni:

  1. Selezionare il gruppo Gestione user delle proprietà di progetto.
  2. Cliccare nel campo proprietà Autorizzazion Funzioni sul pulsante ....

    Si aprirà la finestra di dialogo di configurazione.

  3. Assegnare l´autorizzazione per:
    • La funzione in questione a Runtime die
      e/o
    • Per il modulo nell´Editor.
  4. Assegnare all´autorizzazione desiderate un livello di autorizzazione.

Presupposto per farlo è che si sia in possesso della licenza e dei diritti operativi per il modulo in questione. Il sistema non ne tiene però conto in fase di configurazione dei singoli livelli di autorizzazione.

Note relative alle autorizzazioni funzioni per l´Editor:

  • Le modifiche alle autorizzazioni funzioni vengono applicate solo dopo il riavvio dell´Editor, oppure dopo un reload del progetto.
  • Far in modo che almeno un utente abbia le autorizzazioni necessarie per modificare le impostazioni delle autorizzazioni operative.


Autorizzazioni funzioni - Runtime

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Autorizzazioni funzioni -> Autorizzazioni funzioni - Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sono state assegnate autorizzazioni funzioni per il Runtime, gli utenti devono prima eseguire il login e devono avere il livello di autorizzazione necessario per poter eseguire la funzione corrispondente.

Configurazione delle autorizzazioni funzioni - Runtime

Per poter eseguire tutte le funzioni, l´utente deve avere eseguito il login e deve disporre del necessario livello di autorizzazione.

Autorizzazioni funzioni - Generale

Parametro

Descrizione

Modifica trend esteso

Le curve del Trend esteso possono essere modificate a Runtime. Se manca l´autorizzazione operativa, i seguenti elementi di controllo non saranno disponibili:

  • Diagramma
  • Curve
  • Impostazioni
  • Cursore on/off
  • Asse X

Immagine indietro (PGUP)

La funzione "Immagine indietro" può essere eseguita a Runtime.

Cambio immagine: " consenti "Visualizza questo dialogo a Runtime""

La funzione Cambio immagine può essere eseguita ad opzione Visualizza questo dialogo a Runtime attiva solamente se l´utente registrato dispone del gruppo di autorizzazioni corrispondente.

Notepad: apri file

La funzione Apri file nell´immagine di tipo Notepad può essere eseguita solo se l'utente loggato dispone del gruppo di autorizzazione corrispondente.

Notepad: salva file

La funzione salva nell´immagine di tipo Notepad può essere eseguita solo se l'utente loggato dispone del gruppo di autorizzazione corrispondente.

Autorizzazioni funzioni - Allarmi

Parametro

Descrizione

Modifica commento d´allarme

Un commento necessario per il ripristino di un allarme può essere modificato.

Inserisci commento d'allarme

Si può inserire un commento necessario per il ripristino di un allarme.

Conferma il riconoscimento d´allarme

Si possono riconoscere allarmi a Runtime.

Riconoscimento allarmi via Barra di stato/Menù contestuale

Ripristinare l'allarme mediante la barra di stato allarmi o il menù contestuale è possibile solamente se nel progetto è disponibile l´autorizzazione per l´allarme visualizzato correntemente.

Per la gestione multi-progetto vale quanto segue: il ripristino del messaggio di sistema nella barra di stato allarmi o mediante il menù contestuale è possibile solo se l'autorizzazione è disponibile nel progetto di integrazione.

Nota: i messaggi di sistema sono quelli che vengono emessi nella barra di stato allarmi al raggiungimento di un numero di allarmi configurabile.

Ripristino allarme tramite pagina allarmi

Il ripristino mediante un´immagine di tipo “Lista di informazione allarmi” è possibile solo con l´autorizzazione corrispondente e nel progetto collegato alla variabile (gestione multi-progetto).
Nota: se l'utente non ha la necessaria autorizzazione, il lampeggio cessa, ma l'allarme non viene ripristinato.

Ripristino allarme tramite funzione

Il ripristino tramite una funzione è possibile solo se si dispone dell'autorizzazione per gli allarmi selezionati nei relativi progetti.

Modifica archivio

I dati d'archivio (Server di archiviazione) possono essere modificati a Runtime.

Per ognuno di questi metodi di ripristino possono essere impostati diversi gruppi di autorizzazione. È possibile, per esempio, stabilire che un gruppo utenti possa eseguire il ripristino solamente mediante la barra stato allarmi e non in un altro modo.

info Info

Il ripristino di un allarme è possibile solo se si dispone dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Autorizzazioni funzioni - Batch Control

Parametro | Descrizione
Batch Control: importa ricetta/Operation | Le ricette possono essere importate nel modulo Batch Control come file XML solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - crea, rinomina, duplica | Le Ricette di controllo nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - edita fase | Le fasi possono essere modificate in Ricette di controllo del modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - cancella | Le ricette di controllo nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - salta operazioni in attesa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può uscire da una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - uscire dalla fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si possono saltare condizioni in attesa solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - imposta modalità di esecuzione | Nella modalità test, si può cambiare modalità di esecuzione di ricette master nel modulo Batch Control solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - passa in modalità di esecuzione | Quando si eseguono ricette di controllo nel modulo Batch Control, si può cambiare modalità di esecuzione solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - esegui singoli passaggi, salta | Quando si eseguono ricette di controllo nel modulo Batch Control, si possono saltare singoli passaggi solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - sospendi fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può sospendere una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riprendere ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvio fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - fase in pausa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - interrompi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, l´esecuzione della ricetta può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - sospendi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può sospendere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riprendere ad eseguire una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvia ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ricetta in pausa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - avvia ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può avviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ferma ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Operation - Creazione, modifica, rinomina, duplicazione, salvataggio | Le ricette parziali nel modulo Batch Control possono essere create, modificate e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Rilascio Operation | Le ricette parziali nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella Operation | Le ricette parziali nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - crea, modifica, rinomina, duplica, salva | Le ricette master nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: rilascia ricetta master | Le ricette master nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - cancella | Le ricette master nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - Passa alle modalità di test e di modifica | Il passaggio dalla modalità test a quella di modifica e viceversa per le ricette master nel modulo Batch Control è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - imposta come obsoleta | Le ricette master nel modulo Batch Control possono essere impostate come obsolete solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - salta operazioni in attesa | In modalità di test, per le ricette master nel modulo Batch Control è possibile saltare una condizione in attesa è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - uscire dalla fase | In modalità di test, per le ricette master nel modulo Batch Control, è possibile uscire da una fase solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - esegui singoli passaggi, salta | In modalità di test, si possono saltare singoli passi nell´esecuzione delle ricette master nel modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - sospendi fase | In modalità di test, nell´esecuzione di ricette di master nel modulo Batch Control si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - edita fase | In modalità di test, nell´esecuzione di ricette di master nel modulo Batch Control si può modificare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - continua fase | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia fase | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - fase in pausa | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - sospendi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può sospendere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - prosegui ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può continuare l´esecuzione di una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ricetta in pausa | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - avvia ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può avviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.

Autorizzazioni funzioni - Sequenze di comando

Parametro | Descrizione
Sequenze di comando: termina esecuzione | Quando si eseguono sequenze di comando nel modulo “Sequenze di comando”, l´esecuzione della sequenza in questione può essere terminata solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: continua esecuzione | Nel modulo “Sequenze di comando”, l´esecuzione di una sequenza messa in pausa può essere ripresa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: arresta esecuzione | Nel modulo “Sequenze di comando”, l´esecuzione di una sequenza di comando può essere messa in pausa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: avvia esecuzione | L´avvio di una sequenza nel modulo “Sequenze di comando” è possibile solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta modalità di esecuzione | Nell´esecuzione di sequenze nel modulo “Sequenze di comando”, si possono eseguire singoli passaggi, oppure si può saltare l´esecuzione di alcuni singoli passaggi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: esegui singole fasi, salta | Nell´esecuzione di sequenze nel modulo “Sequenze di comando”, si possono eseguire singoli passaggi, oppure si può saltare l´esecuzione di alcuni singoli passaggi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: creazione, modifica, rinomina, duplica, salva | La gestione delle sequenze nel modulo “Sequenze di comando” - per es. creazione, modifica, rinomina, duplicazione e salvataggio - può essere configurata solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: elimina | Nel modulo “Sequenze di comando”, sequenze progettate possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: importa sequenze di comando | Sequenze possono essere importate come file XML nel modulo “Sequenze di comando” solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta da modalità di esecuzione a modalità di modifica | Nel modulo “Sequenze di comando”, un cambio di modalità (da quella di esecuzione a quella di modifica) è possibile solamente se l´utente dispone dei diritti corrispondenti.

Autorizzazioni funzioni - Gestione turni:

Parametro | Descrizione
Gestione turni Gestione turni | Quando si configurano turni nel modulo Gestione turni a Runtime, è possibile creare, modificare o cancellare un turno solamente se l´utente dispone dei diritti corrispondenti.
Gestione turni: crea, modifica o cancella modello turno | Quando si configurano modelli turno nel modulo Gestione turni a Runtime, è possibile creare, modificare o cancellare un turno solamente se l´utente dispone dei diritti corrispondenti.

Modificare livelli di autorizzazione

Modifica

Apre la finestra di dialogo che consente di selezionare i livelli di autorizzazione. (La scheda Gruppo utenti non viene visualizzata.)

Il livello di autorizzazione selezionato viene impostato per tutte le funzioni selezionate.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Autorizzazioni Funzioni - Editor

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Autorizzazioni funzioni -> Autorizzazioni Funzioni - Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se è stata assegnata un´autorizzazione funzioni ad almeno un modulo, gli utenti devono eseguire il login quando aprono l´Editor. All´avvio dell´Editor viene visualizzata una corrispondente finestra di dialogo, nella cui intestazione appare il nome del progetto di start del momento. Mediante questa finestra di dialogo l´utente può eseguire il login.

Queste autorizzazioni funzioni possono essere modificate di nuovo solamente nello stesso progetto. Non è possibile modificare autorizzazione funzioni con utenti del progetto globale o di altri progetti.

attention Attenzione

Bisogna far in modo che almeno un utente abbia le autorizzazioni necessarie per modificare le impostazioni delle autorizzazioni operative. Se non è stato configurato nessun utente, oppure solo utenti con livelli di autorizzazione mancanti, può succedere che non sia più possibile modificare il progetto.

Configurazione delle autorizzazioni funzioni nell´Editor.

Modulo

Descrizione

Attiva/Disattiva Log modifiche

Il Log delle modifiche può essere attivato/disattivato nell`Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Progettazione impianto

È possibile eseguire modifiche e configurazioni nel modulo Progettazione impianto nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Archiviazione

È possibile eseguire modifiche e configurazioni nel modulo Server di archiviazione nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Batch Control

È possibile eseguire modifiche e configurazioni nel modulo Batch Control nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Gestione user

Gli utenti e i gruppi utenti possono essere modificati e configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Nota: per non bloccare l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Immagini

È possibile eseguire modifiche e configurazioni nel nodo Immagini nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

File

È possibile eseguire modifiche e configurazioni nel nodo File nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Funzioni

Le funzioni e gli script possono essere modificati o configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Load Management

È possibile eseguire modifiche e configurazioni nel modulo Load Management nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Menù

I menù possono essere modificati e configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Message Control

È possibile eseguire modifiche e configurazioni nel modulo Message Control nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Production & Facility Scheduler

È possibile eseguire modifiche e configurazioni nel modulo Production & Facility Scheduler nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Scripting

È possibile eseguire modifiche e configurazioni nel nodo Scripting nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Progetto

Le proprietà di progetto possono essere modificate nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Nota: per non bloccare l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Carica progetto

Il progetto può essere caricato nell'Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Nota: per non bloccare l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Generatore Report

È possibile eseguire modifiche e configurazioni nel Generatore Report nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Ricette

Le ricette standard e il Manager di gruppi ricette possono essere modificati e configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Interfaccia SAP

È possibile eseguire modifiche e configurazioni nel modulo Interfaccia SAP nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

File delle lingue

Il cambio lingua può essere modificato o configurato nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Stili

È possibile eseguire modifiche e configurazioni nel modulo Stili nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Nota: gli stili sono disponibili solamente nel progetto globale.

Variabili

È possibile eseguire modifiche e configurazioni nel nodo Variabili nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Interblocchi

Gli interblocchi possono essere modificati o configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Temporizzatori

I temporizzatori possono essere modificati o configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

zenon Logic

I progetti zenon Logic possono essere modificati o configurati nell´Editor solo se all´utente loggato è assegnato il corrispondente livello di autorizzazione.

Modificare livelli di autorizzazione

Modifica

Apre la finestra di dialogo che consente di selezionare i livelli di autorizzazione. (La scheda Gruppo utenti non viene visualizzata.)

Il livello di autorizzazione selezionato viene impostato per tutte le funzioni selezionate.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Usando le combinazioni di tasti Ctrl+Clic del mouse o Shift + clic del mouse è possibile selezionare contemporaneamente più inserimenti.

  • Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti compresi fra i due scelti.
  • Tenendo premuti contemporaneamente i tasti Ctrl e Shift e selezionando due inserimenti , vengono selezionati tutti gli inserimenti compresi fra i due scelti. In questo caso, però, inserimenti eventualmente selezionati in precedenza rimangono selezionati.


Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Login

A Runtime, il login può essere eseguito mediante:

  • Un´immagine di tipo Login: login permanente, login temporaneo e/o inserimento di una firma tramite cambio immagine.
  • Una finestra di dialogo modale Login temporaneo : viene usata per il login temporaneo se non è collegata nessuna immagine di tipo Login.
  • La funzione Login con dialogo : login tramite una finestra di dialogo modale, oppure mediante un´immagine di tipo Login, quando ne è stata collegata una.
  • La funzione Login senza password : login di un utente senza inserimento della password, ma mediante collegamento diretto oppure via Chip Ident System.

Se si vuole usare un´immagine di tipo Login per il login temporaneo, oppure la funzione Login con dialogo , essa deve essere collegata nella proprietà di progetto Immagine per Login .

Gestione user

Per la gestione utenti sono a disposizione:

  • Immagine di tipo Lista utenti: elenca tutti gli utenti zenon creati e consente di impostarne nuovi, di modificare e cancellare utenti, oppure di configurare livelli di autorizzazione usando un´immagine di tipo Modifica utente.
  • Immagine di tipo Lista gruppi utenti: elenca tutti i gruppi utenti zenon creati e consente di impostarne nuovi e di configurare livelli di autorizzazione.
  • Immagine di tipo Modifica utente: consente di modificare utenti e password a Runtime.
  • Funzione Modifica utente: apre una finestra di dialogo che consente di modificare utenti e gruppi utenti.
  • Funzione Modifica password: apre una finestra di dialogo che consente di modificare la propria password.

Ancora in questo capitolo

Creare un'immagine di tipo “Login”

Creare un'immagine di tipo “Lista utenti”

Creare un'immagine di tipo “Lista gruppi utenti”

Creare un´immagine di tipo “Modifica utente”


Creare un'immagine di tipo “Login”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Login”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine di tipo “Login”

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Login.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Immagine di tipo “Login”

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Utente attuale (Visualizzazione) | Visualizzazione dell'utente loggato al momento. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Campo di inserimento per il nome utente. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | Campo d´inserimento per la password. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Firma | Campo d´inserimento per la firma. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
OK | Pulsante per eseguire il login e per chiudere la finestra.
Annulla | Annulla il procedimento del login.
Applica | Applica gli inserimenti e lascia aperta la finestra di dialogo. Eccezione: se si imposta il valore 0 per la proprietà di progetto Num. max. tentativi Username che stabilisce il numero massimo di tentativi dl login non corretti consentiti, la finestra di dialogo verrà chiusa.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Utente | Proprietà per l´utente.
Utente attuale (Visualizzazione) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Firma | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Nota: per elementi di controllo di tipo Collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

info Info

Al momento del login/logout, in tutti i progetti interessati vengono creati i corrispondenti inserimenti nella CEL.

Ancora in questo capitolo

Cambio all´immagine di tipo “Login”


Cambio all´immagine di tipo “Login”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Login” -> Cambio all´immagine di tipo “Login”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante il cambio immagine si definisce quale immagine verrà aperta a Runtime per consentire il login di utenti.

Per impostare una funzione di cambio ad un´immagine di tipo Login:

  1. Creare una funzione.
  2. Nella finestra di dialogo di “Selezione funzioni”, selezionare “Cambio immagine”.
  3. Scegliere l´immagine di tipo Login.
  4. Collegare la funzione ad un pulsante.


Creare un'immagine di tipo “Lista utenti”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista utenti”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine di tipo “Lista utenti”

L´immagine di tipo Lista utenti elenca tutti gli utenti zenon creati del progetto, consente di aprire l´immagine di tipo Modifica utente, che, a sua volta, consente di creare utenti, di modificarli, di cancellarli, oppure di configurare livelli di autorizzazione. Gli utenti del progetto globale non vengono visualizzati e non possono essere amministrati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Lista utenti.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Nota: questo tipo di immagine non è disponibile con Windows CE.

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Lista degli utenti | Visualizza gli utenti configurati.
Nuovo | Apre l´immagine definita nel cambio immagine per consentire la creazione di un nuovo utente.
Modifica | Apre l´immagine definita nel cambio immagine per consentire la modifica di un nuovo utente.
Elimina | Cancella l´utente selezionato dopo una richiesta di conferma.
Autorizzazioni funzioni | Apre la finestra di dialogo che consente di attribuire autorizzazioni funzioni.

Ancora in questo capitolo

Cambio ad un´immagine di tipo “Lista utenti”


Cambio ad un´immagine di tipo “Lista utenti”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista utenti” -> Cambio ad un´immagine di tipo “Lista utenti”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante il cambio immagine si definisce anche quale immagine viene aperta a Runtime per creare o modificare utenti.

Per impostare una funzione di cambio ad un´immagine di tipo Lista utenti:

  1. Creare una funzione.
  2. Nella finestra di dialogo di “Selezione funzioni”, selezionare “Cambio immagine”.
  3. Scegliere l´immagine di tipo Lista utenti.
  4. Si aprirà la finestra di dialogo di configurazione.
  5. Configurare il cambio immagine.
  6. Confermare la configurazione cliccando su OK.
  7. Collegare la funzione ad un pulsante.

Finestra di dialogo - Lista utenti

Parametro

Descrizione

Impostazioni colonne

Visualizzazione e configurazione delle colonne.

La successione delle colonne può essere modificata spostando le colonne con il mouse, oppure usando il pulsante Selezione colonne.

La larghezza delle colonne può essere modificata portando il puntatore del mouse sul margine destro di una colonna e trascinandolo verso destra o sinistra, oppure usando il pulsante Formato colonne.

Selezione colonne

Apre la finestra di dialogo che consente di configurare le colonne.

Formato colonne

Apre la finestra di dialogo che consente di formattare le colonne.

Immagini collegate

Configurazione delle immagini che vengono aperte a Runtime cliccando sui pulsanti Nuovo e Modifica.

Immagine per pulsante "Nuovo utente"

Apre la finestra di dialogo di selezione immagini per consentire la seleziona di un´immagine da usare per creare un nuovo utente a Runtime. È possibile selezionare solamente immagini di tipo Modifica utente.

Immagine per pulsante "Modifica utente"

Apre la finestra di dialogo di selezione immagini per consentire la seleziona di un´immagine da usare per modificare un utente a Runtime. È possibile selezionare solamente immagini di tipo Modifica utente.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista utenti” -> Cambio ad un´immagine di tipo “Lista utenti” -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Configurazione delle colonne da visualizzare:

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista utenti” -> Cambio ad un´immagine di tipo “Lista utenti” -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Creare un'immagine di tipo “Lista gruppi utenti”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista gruppi utenti”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine di tipo “Lista gruppi utenti”

L´immagine di tipo Lista gruppi utenti visualizza una lista di tutti i gruppi utenti zenon creati nel progetto e consente di creare nuovi gruppi e di assegnare livelli di autorizzazione. I gruppi utenti del progetto globale non vengono visualizzati e non possono essere amministrati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Lista gruppi utenti.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista gruppi

Elementi di controllo per la visualizzazione dei gruppi utenti.

Elemento di controllo | Descrizione
Gruppo precedente | Passa al gruppo precedente.
Lista gruppi | Lista dei gruppi utenti disponibili.
Gruppo successivo | Passa al gruppo successivo.
Nuovo gruppo | Crea un nuovo gruppo utenti. Per consentire l´inserimento, il focus viene spostato sull´elemento di controllo Nome gruppo. Cliccando sul pulsante OK dopo aver inserito il nome, si crea un nuovo gruppo utenti.
Elimina gruppo | Elimina il gruppo selezionato dopo una richiesta di conferma.

Proprietà

Attribuzione di nomi gruppo e conferma/rifiuto di modifiche.

Elemento di controllo | Descrizione
Nome gruppo | Visualizzazione o inserimento di un nome gruppo. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
OK | Riprende le modifiche.
Annullare | Cliccando su OK si rifiutano tutte le modifiche eseguite dall´ultima volta che sono stati applicati dei cambi.

Livelli di autorizzazione

Configurazione dei livelli di autorizzazione.

Elemento di controllo | Descrizione
Livelli di autorizzazione disponibili | Visualizzazione dei livelli di autorizzazione disponibili.
Precedenti livelli di autorizzazione disponibili | Passa al livello precedente.
Listbox | Visualizzazione dei livelli di autorizzazione.
Livello successivo | Passa al livello successivo.
Applica livello (>>) | Sposta i livelli selezionati dalla finestra Livelli di autorizzazione disponibili alla finestra Livelli di autorizzazione selezionati.
Rimuovi livello (<<) | Sposta i livelli selezionati dalla finestra Livelli di autorizzazione selezionati alla finestra Livelli di autorizzazione disponibili.
Livelli di autorizzazione selezionati | Visualizzazione dei livelli di autorizzazione selezionati per il gruppo utenti.
Livello selezionato precedente | Passa al livello precedente.
Listbox | Visualizzazione dei livelli di autorizzazione selezionati.
Livello selezionato successivo | Passa al livello successivo.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Nome gruppo | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Nota: per elementi di controllo di tipo Collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Ancora in questo capitolo

Cambio ad un´immagine di tipo “Lista gruppi utenti”


Cambio ad un´immagine di tipo “Lista gruppi utenti”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un'immagine di tipo “Lista gruppi utenti” -> Cambio ad un´immagine di tipo “Lista gruppi utenti”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine si definisce anche quale immagine viene aperta a Runtime per creare o modificare gruppi utenti.

Per impostare una funzione di cambio ad un´immagine di tipo Lista gruppi utenti:

  1. Creare una funzione.
  2. Nella finestra di dialogo di “Selezione funzioni”, selezionare “Cambio immagine”.
  3. Scegliere l´immagine di tipo Lista gruppi utenti.
  4. Confermare la configurazione cliccando su OK.
  5. Collegare la funzione ad un pulsante.


Creare un´immagine di tipo “Modifica utente”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un´immagine di tipo “Modifica utente”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tipo di immagine consente di modificare utenti a Runtime. A seconda di quanto definito in fase di configurazione della funzione di cambio immagine, gli utenti potranno essere creati o modificati, oppure potranno essere modificate le password. Gli utenti e i gruppi utenti del progetto globale non possono essere amministrati.

Nota: questo tipo di immagine non è disponibile con Windows CE.

Creare un´immagine di tipo “Modifica utente”

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Modifica utente.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Utente

Elementi di controllo per la configurazione utente.

Elemento di controllo

Descrizione

Nome utente

Inserire in questo campo il nome utente. L´utente esegue il login nel sistema con il suo nome.

Lunghezza massima: 20 caratteri.

Nota: questo numero deve essere univoco.

Nome completo

Inserire in questo campo il nome completo dell´utente. In questo modo si collegano i nomi utenti a persone concrete.

Codice Login

Inserimento del codice di Login per la registrazione senza password.

Per il codice di login vale quanto segue:

  • Deve essere univoco all´interno di un progetto.
    Nota: Se per il medesimo utente si usa lo stesso codice di login nel progetto locale e in quello globale, al momento della creazione dei file Runtime nell´Editor, l´utente del progetto globale non verrà trasferito. Si prega di tener presente il corrispondente messaggio di errore visualizzato nella finestra di emissione. Quando si modifica il codice di login a Runtime, quest´ultimo non deve essere identico a quello usato per un utente del progetto globale.
  • Può essere vuoto.
    In questo caso è disattivato per questo utente.
  • Lunghezza massima: 1000 caratteri
  • Non può consistere solamente di spazi vuoti.
  • Non è consentito usare degli spazi vuoti all´inizio o alla fine.
  • Tutti gli altri caratteri sono consentiti.

Default: (vuoto).

Quando si digita un codice di Login non valido, verrà visualizzato un messaggio di errore quando si chiude la finestra di dialogo.

Per i dettagli al proposito, si veda il capitolo Login tramite codice Login.

Amministratore

Checkbox.

Attivo: l´utente riceve lo stato di un amministratore.

Solo un amministratore può creare nuovi utenti, modificare utenti, cancellare password ecc. a Runtime.

Attivo

Checkbox.

Attivo: l´utente è attivo e può eseguire il login a Runtime.

Nota: in conformità alle regole di FDA 21 CFR PART 11, un utente non può essere mai cancellato; in questo modo sarà possibile in qualsiasi momento verificare chi ha eseguito una determinata operazione. Per questa ragione, nei progetti che sono soggetti a questa normativa un utente può essere solamente disattivato, non cancellato.

Per rendere impossibile la cancellazione di utenti, si deve disattivare la proprietà Eliminazione utenti nel gruppo Gestione user delle proprietà di progetto.

Bloccato

Checkbox.

Attivo: l´utente è bloccato a Runtime e non può eseguire il login.

Questa opzione viene settata automaticamente quando un utente ha inserito una password errata per più volte di quelle consentite.

Codice di blocco per comandi

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei “Comandi” per bloccare o sbloccare aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login.

  • Nessuno
  • Default
  • Last

Modifica password

Elementi di controllo per la configurazione della password.

Elemento di controllo | Descrizione
Vecchia password | Password corrente.
Nuova password | Inserimento di una nuova password. L´inserimento della password viene nascosto automaticamente. Quando si configurano progetti destinati ad essere usati in più lingue, tenere presente che deve essere possibile a Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. L´inserimento della password viene nascosto automaticamente.

Message Control

Elementi di controllo per la configurazione del Message Control.

Elemento di controllo

Descrizione

Utente Message Control

Checkbox.

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi vocali. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ... Si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Seleziona sostituto

Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare un sostituto.

Codice PIN

Codice PIN usato dall´utente per confermare il messaggio.

Codice-NA

Codice PIN usato dall´utente per rifiutare il messaggio. (not available). Il messaggio verrà poi inviato al prossimo utente della lista.

Se non ci sono altri utenti nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa eventualità. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: ulteriori informazioni riguardanti l´assegnazione di funzioni si trovano nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Livelli di autorizzazione

Elementi di controllo per la configurazione dei livelli di autorizzazione.

Elemento di controllo | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista di tutte le autorizzazioni selezionate.
Applica livello di autorizzazione (>>) | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Rimuovi livello di autorizzazione (<<) | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono rimossi da questa lista.

Gruppi utenti

Elementi di controllo per la configurazione dei gruppi utenti.

Elemento di controllo | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti attribuiti.
Aggiungi gruppo utenti (>>) | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Rimuovi gruppo utenti (<<) | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono rimossi da questa lista.

Touch

Elementi di controllo per la navigazione in Listbox, ottimizzati per gestione Touch.

Elemento di controllo | Descrizione
LA disponibili in su | Passa al livello immediatamente superiore nella lista Livelli di autorizzazione disponibili.
LA disponibili in giù | Passa al livello immediatamente inferiore nella lista Livelli di autorizzazione disponibili.
LA selezionati in su | Passa al livello immediatamente superiore nella lista Livelli di autorizzazione selezionati.
LA selezionati in giù | Passa al livello immediatamente inferiore nella lista Livelli di autorizzazione selezionati.
GU disponibili in su | Passa al livello di autorizzazione immediatamente superiore nella lista Gruppi utenti disponibili
GU disponibili in giù | Passa al livello di autorizzazione immediatamente inferiore nella lista Gruppi utenti disponibili.
GU selezionati in su | Passa al livello di autorizzazione immediatamente superiore nella lista Gruppi utenti selezionati.
GU selezionati in giù | Passa al livello di autorizzazione immediatamente inferiore nella lista Gruppi utenti selezionati.

OK/Annulla

Elementi di controllo per la conferma o il rifiuto di modifiche.

Elemento di controllo | Descrizione
OK | Applica le modifiche.
Annulla | Cliccando su OK si rifiutano tutte le modifiche eseguite dall´ultima volta che sono stati applicati dei cambi.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome completo | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Amministratore | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.
Attivo | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.
Bloccato | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.
Codice di blocco per comandi | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Modifica password | Proprietà per la password.
Vecchia password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nuova password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Conferma password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Message Control | Proprietà per l´uso nel modulo Message Control.
Utente Message Control | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.
Telefono | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Cellulare | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
E-Mail | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Sostituto | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Codice PIN | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Codice-NA | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Nota: per elementi di controllo di tipo Collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Ancora in questo capitolo

Cambio ad immagine “Modifica utente”


Cambio ad immagine “Modifica utente”

Manuale -> Gestione user -> Configurazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e Gestione utenti -> Creare un´immagine di tipo “Modifica utente” -> Cambio ad immagine “Modifica utente”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine si definisce come viene aperta l´immagine di tipo “Modifica utente”. A seconda di quanto definito in fase di configurazione, si potrà:

  • Creare nuovi utenti.
  • Modificare utenti della lista utenti, oppure di una variabile stringa.
  • Modificare password.

Per impostare una funzione di cambio ad un´immagine di tipo Modifica utente:

  1. Creare una funzione.
  2. Nella finestra di dialogo di “Selezione funzioni”, selezionare “Cambio immagine”.
  3. Scegliere l´immagine di tipo Modifica utente.
  4. Si aprirà la finestra di dialogo di configurazione.
  5. Configurare il cambio immagine.
  6. Confermare la configurazione cliccando su OK.
  7. Collegare la funzione ad un pulsante.

Finestra di dialogo - Lista utenti

Parametro

Descrizione

Nuovo utente

L´immagine di tipo Modifica utente viene usata per creare un nuovo utente. Vengono attivati i corrispondenti elementi di controllo.

Acquisisci utente da finestra chiamante

Se viene aperta a partire dall´immagine Lista utenti, l´immagine di tipo Modifica utente viene usata per modificare l´utente selezionato nella lista utenti. Vengono attivati i corrispondenti elementi di controllo.

Nota: l´utente che esegue la modifica deve disporre di diritti di amministratore a Runtime. Deve essere selezionato almeno un utente nella lista.

Acquisisci utente da variabile

L´immagine di tipo Modifica utente viene usata per la modifica dell´utente il cui nome è trasferito dalla variabile stringa configurata in questa sede. Vengono attivati i corrispondenti elementi di controllo.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Modifica password dell'utente corrente

L´immagine di tipo Modifica utente viene usata solamente per modificare la password dell´utente attualmente loggato. Vengono attivati i corrispondenti elementi di controllo.

Visualizza dialogo a Runtime

Checkbox che consente di stabilire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva:
    questa finestra di dialogo verrà aperta a Runtime sul computer attuale. In rete verrà visualizzata sul computer che esegue la funzione. L´utente potrà poi utilizzare questa finestra di dialogo per eseguire delle modifiche alla configurazione.
  • Non attiva:
    questa finestra di dialogo non verrà visualizzata a Runtime. La funzione o il comando verranno eseguiti immediatamente, con le impostazioni configurate nell´Editor.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


zenon Login e gestione utenti a Runtime

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la gestione utenti si possono utilizzare anche Windows AD o AD LDS. Gli utenti possono essere loggati permanentemente o temporaneamente e amministrati a Runtime.

Nota: non è possibile rinominare gruppi utente a Runtime.

Valori o funzioni possono essere protetti anche mediante una firma. Per farlo, si deve attivare per l´elemento corrispondente la proprietà Firma necessaria. In questo caso, l´utente dovrà inserire di nuovo la sua password e la firma anche se è già registrato e dispone dei diritti corrispondenti. Il sistema genererà un inserimento nella Lista Eventi Cronologica.

attention Attenzione

Le modifiche alle configurazioni utenti eseguite nell´Editor vengono applicate a Runtime solo se la proprietà di progetto RT dati modificabili (gruppo Generale) consente di sovrascrivere le proprietà utenti quando vengono scritti i file Runtime.

Le modifiche alle impostazioni utenti eseguite a Runtime vengono applicate nell`Editor usando il comando Importa file Runtime (barra degli strumenti “File Runtime”). Questo avviene, però, sole se nella proprietà RT dati modificabili è consentita la decompilazione. In questo caso, per il modulo “Gestione user” la checkbox della colonna “Non decompilare” non deve essere attiva.

Ancora in questo capitolo

Processo di login e amministrazione

Login dell´utente

Gestire utenti e gruppi utenti

Tipi d´immagine per la gestione di utenti e gruppi utenti

Funzioni per il modulo “Gestione utenti”

Protezione password nell´elemento dinamico

Applicare a Runtime modifiche eseguite nell´Editor


Processo di login e amministrazione

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Processo di login e amministrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l’avvio del Runtime, l’utente corrente SYSTEM è loggato con il livello di gestione LEVEL 0. Nella gestione multi-progetto esiste la possibilità che gli utenti vengano registrati automaticamente in tutti i sottoprogetti quando effettuano il login in un progetto.

Regole per il login a Runtime.

Per l´esecuzione del login a Runtime, sono previste le seguenti misure di sicurezza:

  • Password

    L´utente che inserisce ripetutamente una password sbagliata, viene bloccato dal sistema che esegue automaticamente il logout per questo user. Questo utente, poi, non potrà più gestire tutti quegli elementi del sistema che richiedono un livello di autorizzazione superiore a 0. Non potrà neppure eseguire azioni collegate ad un livello di autorizzazione user. Il numero consentito di tentativi di eseguire il login viene configurato tramite la proprietà Num. max. tentativi Username delle proprietà di progetto.

    Il nome utente per cui si è tentato di eseguire il login viene protocollato nella Lista Eventi Cronologica. L´amministratore deve sbloccare l´utente in questione (disattivare la proprietà bloccato).

  • Nome utente

    Se si cerca di inserire un nome utente non esistente, viene visualizzato il messaggio di errore "Username non valido!". Dopo tre inserimenti sbagliati, il sistema viene bloccato per tutti quegli elementi che richiedono un livello di autorizzazione superiore a 0. Nessun utente potrà poi eseguire azioni protette da livelli di autorizzazione. Un annullamento di questo blocco può essere eseguito soltanto dall´amministratore.

    Il nome utente dello user che effettua in modo errato il login, viene protocollato nella Lista Eventi cronologici come evento per l´utente loggato al momento.

    Se, quando si esegue il login, si inserisce un nome utente corretto, ma non si digita la password, il sistema reagirà come se fosse stata inserita una password non valida. Dopo il numero consentito di tentativi non riusciti, l´utente verrà bloccato (default 2, blocco dopo il terzo tentativo non riuscito).

  • Login dopo disattivazione

    Se un utente disattivato tenta di effettuare il login, quest'operazione non riesce. Questo tentativo viene registrato nella Lista Eventi cronologica.

Nota: anche modifiche della password mediante funzioni, immagini, dialoghi e API vengono verificate e portano, in caso di un ripetuto inserimento errato della password corrente, ad un blocco dell´utente. Il numero di caratteri nel campo della password corrente non dà alcuna indicazione sulla lunghezza effettiva di quest´ultima.

Autenticazione esterna

Per programmi o applicazioni esterne, l´autenticazione utente può essere eseguita usando le zenon API. Si può prevedere che il sistema o l´utente vengano bloccati in caso di autenticazione esterna non corretta.

Per farlo, attivare la proprietà Blocco sistema causa autentificazione esterna non corretta e/o Blocco utente a causa di una errata autenticazione esterna nel gruppo Gestione user delle proprietà di progetto.

Nota: si raccomanda di attivare queste opzioni per avere il massimo livello di sicurezza.

Tramite le opzioni Num. max. tentativi Username e/o Num. max. tentativi password, inoltre, si può stabilire dopo quale numero di tentativi non riusciti di inserimento del nome user e/o della password, il sistema viene bloccato.

attention Attenzione

Questa impostazione non ha nessun effetto sul blocco utenti in Active Directory quando si usano utenti AD. In questo caso valgono sempre le impostazioni di dominio.

Requisiti per l´uso di AD e AD LDS

Per poter usare AD e AD LDS per il login nel Runtime di zenon, bisogna configurare la proprietà di progetto di zenon Gestione user/Accesso ad Active Directory.

  • AD: Per la proprietà si deve selezionare Sì e il computer si deve trovare nel dominio.
  • AD LDS: Per la proprietà si deve selezionare ADAM/AD-LDS Le proprietà Connessione AD LDS, Nome utente AD LDS e Password AD LDS devono essere configurate correttamente.
    Nota: ADAM non viene più supportato.
    • AD LDS deve essere preparato adeguatamente.

La gestione è possibile per:

  • Windows 8, Windows 8.1 e Windows Server 2012
  • Windows 7
  • Windows Server 2008

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!

Gestione a Runtime

A Runtime, ogni utente ha la disponibilità di modificare la propria password. Ma non gli è possibile modificare nessun altro utente. Questo può farlo solo l´amministratore. Le modifiche eseguite a Runtime devono essere rilette nell´Editor per poter essere poi disponibili anche qui. Quando si trasferiscono i file Runtime, bisogna tenere presente la configurazione della proprietà RT dati modificabili. Mediante questa proprietà, infatti, si stabilisce se la progettazione della “Gestione user” viene trasferita al Runtime e sovrascrive la configurazione a Runtime. L´impostazione di default prevede che i contenuti della “Gestione user” non vengano sostituiti quando sono trasferiti al Runtime.

Con la funzione Modifica utente, l´amministratore può:

  • Creare nuovi utenti.
  • Modificare utenti esistenti (eccezione: nome utente per il login).
  • Creare, modificare e cancellare gruppi utenti.

    Se un amministratore crea un nuovo gruppo utenti a Runtime, diviene automaticamente membro di questo gruppo.

  • Assegnare livelli di autorizzazione.

    L´amministratore può assegnare solo quei livelli di cui egli stesso è in possesso. In questo modo si garantisce che un amministratore non possa procurarsi accesso a tutto il sistema.

Nota: a Runtime, gli utenti e i gruppi utenti dell´Editor del progetto globale vengono uniti agli utenti e ai gruppi utenti del progetto. Perciò non possono essere né modificati a Runtime, né riletti nell´Editor.

attention Attenzione

Conformità alle norme FDA 21 CFR Part 11:

  • Né l´utente, né l´amministratore possono modificare il nome utente a Runtime.
  • Si può impedire la cancellazioni di utenti usando la proprietà Eliminazione utenti del gruppo Gestione user delle proprietà di progetto.

Password

L´utente è l´unico a conoscere la sua password. È anche l´unico a poterla modificare. Dopo che gli è stata assegnata una password dall´amministratore, l´utente deve modificarla quando esegue il login per la prima volta. Questa procedura è garanzia del fatto che nessun amministratore sia a conoscenza della password dell´utente e possa eseguire delle firme false. (Importante per FDA 21CFR Part 11).

Se un utente dimentica la sua password, l´amministratore può cancellarla e può assegnare all´utente una nuova password iniziale, da usare per accedere al sistema. Per fare questo, l´amministratore non ha bisogno di essere a conoscenza della password dell´utente. Quando esegue il prossimo login, l´utente in questione deve in ogni caso modificare la password.

Informazioni più precise relative ai file Runtime modificati, si trovano nel capitolo: Configurazione file modificabili a Runtime

attention Attenzione

Login mediante l´immagine di tipo Login: se non si inserisce nessuna password per un utente valido quando si esegue il login tramite un´immagine di tipo Login, non viene visualizzato nessun messaggio di errore. Il login, però, non riuscirà. Anche dopo tre tentativi di login non riusciti per il mancato inserimento di una password, però, il sistema non verrà bloccato.

Se invece si digita una password errata e/o un nome utente non esistente, il sistema si bloccherà dopo tre tentativi, come al solito.


Login dell´utente

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Login in un progetto viene eseguito mediante un dialogo modale, oppure un´immagine di tipo Login.
Ci sono diversi tipi di login:

  • Login permanente,
  • Login temporaneo.
  • Login automatico.
  • Login esterno mediante le API.
  • Login con informazioni memorizzate nella cache (solo con Active Directory)

Ancora in questo capitolo

Login permanente

Login temporaneo

Login e logout automatico per sotto-progetti

Autenticazione esterna

Login con credenziali memorizzate nella cache.

Login con domini alternativi


Login permanente

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Login permanente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo un login permanente, l´utente è loggato in modo permanente, e può eseguire tutte le operazioni per cui è autorizzato. Se prova ad eseguire azioni per cui non ha l´autorizzazione necessaria, il sistema visualizza un messaggio corrispondente.

Il login permanente può essere eseguito mediante:

  • Un cambio ad un´immagine di tipo Login.
  • La funzione. Login con dialogo
  • La funzione. Login senza password

Suggerimento: pulsanti di testo protetti da password possono essere resi invisibili agli utenti loggati. Per farlo, si deve configurare in modo corrispondente la proprietà Tasti bloccati (Proprietà di progetto -> Gestione user -> Login e firma).

Nota: non è possibile un login temporaneo per utenti loggati. Questa è la ragione per cui il sistema non visualizza la finestra di dialogo per il login temporaneo quando utenti loggati cercano di usare funzioni per cui non hanno i diritti necessari.


Login temporaneo

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Login temporaneo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un utente non loggato che deve eseguire un´azione che richiede un´autenticazione, oppure deve inserire una firma, può eseguire un login temporaneo. Perché questo sia possibile, la proprietà Gestione user -> Login e firma -> Login temp. attivo deve essere attiva nelle proprietà di progetto.

Il login temporaneo può essere eseguito mediante:

  • Un dialogo modale aperto automaticamente da zenon.
  • Un´immagine di tipo Login, che è stata collegata alla proprietà Immagine per Login.

Procedura di login a Runtime:

  1. Quando si vuole eseguire una funzione protetta da password, il sistema apre la finestra di dialogo configurata per il login o/e per l´inserimento della firma.
    Se ne è stata collegata una, verrà aperta un´immagine di tipo Login. Altrimenti verrà aperto un dialogo modale.
  2. L´utente può eseguire il login e le azioni consentite dai diritti in suo possesso. Se all´utente mancano le autorizzazioni necessarie, il sistema visualizza un messaggio che lo informa di questo.
  3. Il sistema esegue il logout dell´utente subito dopo che questi ha eseguito l´azione.

info Info

Login temporaneo:

  • Ha effetto solamente per l´esecuzione di una funzione.
  • Supporta interruttori, ma non pulsanti.
  • È disattivato per gli utenti loggati permanentemente.

Immagine di tipo “Login”

Questo tipo di immagine consente di eseguire il login temporaneo e/o l´inserimento di una firma.

Elemento di controllo | Descrizione
Utente attuale (Visualizzazione) | Visualizzazione dell'utente loggato al momento. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Campo di inserimento per il nome utente. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | Campo d´inserimento per la password. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Firma | Campo d´inserimento per la firma. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
OK | Pulsante per eseguire il login e per chiudere la finestra.
Annulla | Annulla il procedimento del login.
Applica | Applica gli inserimenti e lascia aperta la finestra di dialogo. Eccezione: se si imposta il valore 0 per la proprietà di progetto Num. max. tentativi Username che stabilisce il numero massimo di tentativi dl login non corretti consentiti, la finestra di dialogo verrà chiusa.

Dialogo modale - Login temporaneo

Questo dialogo consente di eseguire il login temporaneo. Se è necessario inserire una firma, l´inserimento della firma stessa avverrà in un secondo momento.

Elemento di controllo | Descrizione
Utente attualmente loggato (Visualizzazione) | Visualizzazione dell'utente attualmente loggato.
Nome utente | Campo di inserimento per il nome utente.
Password | Campo d´inserimento per la password.
OK | Pulsante per il login e la chiusura della finestra
Annulla | Termina il procedimento di login.


Login e logout automatico per sotto-progetti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Login e logout automatico per sotto-progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione multi-progetto, gli utenti possono essere registrati (login) o disattivati (logout) automaticamente in sottoprogetti.

Base per il login automatico sono gli utenti centrali (uguali per tutti i progetti).

Ci sono diverse possibilità di accedere a questi utenti:

  • Usare gli utenti di Active Directory o AD LDS/ADAM.
    • È la variante preferita per amministrare utenti per più progetti.
    • Ulteriori informazioni relative a configurazione e uso si trovano nei capitoli Active Directory, AD LDS e ADAM.
  • Uso di utenti del progetto globale.
    • Gli utenti del progetto globale sono disponibili per tutti i progetti del workspace.
    • Attenzione: gli utenti del progetto globale non possono essere modificati a Runtime.
  • Amministrazione/sincronizzazione manuale di utenti
    • Se nel progetto di integrazione e nei sotto-progetti esistono utenti con lo stesso nome e si esegue il login nel progetto di integrazione, gli utenti omonimi verranno loggati anche nei sotto-progetti.

Configurazione nell´Editor.

Per configurare il login/logout automatico:

  1. Aprire le proprietà di progetto.
  2. Passare al nodo Gestione user.
  3. Attivare la proprietà Login/Logout automatico nei sottoprogetti (segno di spunta nella casella).
  4. Ripetere questo passo per tutti i progetti che devono supportare il login/logout automatico.

Uso a Runtime

A Runtime, eseguire il login in un progetto con un utente.

A Runtime, vale quanto segue:

  • Quando un utente esegue il login in un progetto, viene registrato automaticamente in tutti i sotto-progetti che supportano questa opzione. Quando l´utente esegue il logout, viene disattivato in tutti i sotto-progetti.
  • Nei sotto-progetti, non vengono visualizzate le corrispondenti finestre di dialogo al momento del login e del logout. Gli utenti loggati vengono disattivati.
  • Se un utente esegue il logout in un sotto-progetto:
    • Viene disattivato in questo progetto e in tutti i suoi sottoprogetti.
    • Rimane però loggato in tutti i progetti di livello superiore in cui è registrato.
  • Al momento del login/logout, in tutti i progetti interessati vengono creati corrispondenti inserimenti nella CEL.
  • Il login/logout automatico funziona solamente nella direzione progetti-sottoprogetti, e non viceversa.

Nota: questa funzionalità non è adatta al login temporaneo.

Procedura per utenti Windows

Un utente Windows (AD/AD LDS/ADAM) già loggato in un progetto di livello superiore, viene riutilizzato in un sotto-progetto in caso di login automatico. Il contesto (percorso AD o percorso ADAM) deve però essere lo stesso. Se un utente Windows viene usato per la prima volta nella catena di login, la password viene verificata a questo punto. Se dalla verifica eseguita all´inizio della catena di login risulta che la password non è valida, viene interrotto tutto il processo di login. Ogni volta che un tentativo di login eseguito in un sottoprogetto viene rifiutato, questa procedura di login viene interrotta, ma il processo continua per tutti gli altri progetti.

info Info

Per l´utente loggato si applica sempre il livello di autorizzazione del progetto da cui proviene l´utente stesso.

Esempio:

Nel progetto di integrazione un utente A può avere i livelli di autorizzazione 1,2,3, mentre nel sotto-progetto un utente A può avere i livelli di autorizzazione 1,2,3,4,5.

La stessa cosa vale anche per utenti di Active Directory e l´assegnazione di livelli di autorizzazione mediante gruppi di utenti di zenon. Così, un utente B di Active Directory può ereditare i livelli di autorizzazione 1,2,3 da un gruppo utenti di zenon nel progetto di integrazione, e un utente B nel sotto-progetto può ereditare i livelli di autorizzazione 1,2,3,4,5 dal gruppo utenti del sotto-progetto.

Ulteriori informazioni a questo proposito si trovano nel capitolo Stessi gruppi utenti in zenon e in Active Directory.


Autenticazione esterna

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Autenticazione esterna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per programmi o applicazioni esterne, l´autenticazione utente può essere eseguita usando le zenon API. Si può prevedere che il sistema o l´utente vengano bloccati in caso di autenticazione esterna non corretta.

Per farlo, attivare la proprietà Blocco sistema causa autentificazione esterna non corretta e/o Blocco utente a causa di una errata autenticazione esterna nel gruppo Gestione user delle proprietà di progetto.

Nota: si raccomanda di attivare queste opzioni per avere il massimo livello di sicurezza.

Tramite le opzioni Num. max. tentativi Username e/o Num. max. tentativi password, inoltre, si può stabilire dopo quale numero di tentativi non riusciti di inserimento del nome user e/o della password, il sistema viene bloccato.

attention Attenzione

Questa impostazione non ha nessun effetto sul blocco utenti in Active Directory quando si usano utenti AD. In questo caso valgono sempre le impostazioni di dominio.


Login con credenziali memorizzate nella cache.

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Login con credenziali memorizzate nella cache.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utenti del dominio AD è possibile eseguire un login con credenziali memorizzate nella cache. Così il login può essere eseguito anche se non esiste un collegamento con l´AD Domain Controller.

Configurare il login

Per consentire un login con credenziali memorizzate nella cache:

  1. Nelle proprietà di progetto, passare al gruppo Gestione user.
  2. Passare al settore Active Directory/AD LDS.
  3. Nella proprietà Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache, cliccare sul pulsante ....

    Si apre la finestra di dialogo che consente di selezionare un gruppo utenti.

  4. Selezionare il gruppo utenti desiderato.
  5. Chiudere la finestra di dialogo.

    La GUID del gruppo utenti selezionato viene salvata nel file project.ini .

Configurare il gruppo utenti

Assegnare al gruppo utenti selezionato i livelli di autorizzazione che devono essere a disposizione di tutti gli utenti. Non è necessario aggiungere i singoli utenti al gruppo. Le proprietà del gruppo valgono automaticamente per tutti gli utenti che vengono loggati con le credenziali memorizzate nella cache.

Se si cancella un gruppo utenti, la sua GUID rimane memorizzata. Gli utenti, dunque, potranno continuare ad eseguire il login, ma non riceveranno nessun livello di autorizzazione. Se nella proprietà Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache il gruppo viene settato su Nessuna selezione oppure selezionato di nuovo, la GUID verrà cancellata, oppure inserita nuovamente nel file ini.

Comportamento a Runtime

Se un utente AD cerca di eseguire il login a Runtime quando non esiste una connessione con l´AD Domain Controller, il sistema verifica se nel file project.ini c´è una GUID per un gruppo utenti nell´inserimento USRGROUP_AD_CACHED:

  • Se la GUID non c`è, il login non riesce.
    Non è stato ancora configurato nessun gruppo utenti, oppure un gruppo utenti configurato è stato rimosso cliccando sul pulsante Nessuna selezione.
  • Se esiste la GUID di un gruppo utenti valido, l´utente viene loggato con i livelli di autorizzazione di questo gruppo.
    È stato configurato un gruppo utenti valido.
  • Se esiste la GUID di un gruppo utenti non valido, l´utente viene loggato senza livelli di autorizzazione.
    Un gruppo utenti è stato configurato nella proprietà Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache, ma è stato poi cancellato.

Ogni tentativo di eseguire il login con credenziali memorizzate nella cache viene registrato nella CEL.

Trattamento di gruppo utenti cancellati

Il collegamento di gruppi utenti avviene tramite la loro GUID, non tramite il nome. .
Se si seleziona un gruppo utenti AD_Login, la GUID corrispondente viene inserita nel file project.ini; questa GUID verrà poi richiesta al momento del login dell´utente. Se si cancella il gruppo utenti AD_Login, la sua GUID rimane inserita nel file ini. Se si crea un nuovo gruppo utenti AD_Login, questo riceve una nuova GUID. Nel file project.ini, però, c´è sempre la GUID originaria. Il nuovo gruppo utenti AD_Login, dunque, non viene collegato automaticamente. Per collegarlo, si dovrà selezionarlo nella finestra di dialogo della proprietà Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache.

attention Attenzione

A Runtime, l´utente che esegue il login con credenziali memorizzate nella cache riceve tutti i diritti del gruppo selezionato. Le sue autorizzazioni operative, dunque, possono andare al di là dei diritti che gli sono normalmente assegnati.


Login con domini alternativi

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Login dell´utente -> Login con domini alternativi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utenti del dominio AD possono usare per il login in zenon anche un altro dominio AD rispetto a quello usato per il login in Windows.

info Info

Login automatico in sotto-progetti:

Se nel progetto di integrazione la proprietà Accesso ad Active Directory è attiva, e per la proprietà Dominio Active Directory è stato configurato un dominio alternativo, gli utenti verranno loggati automaticamente nei sotto-progetti solo se per la loro proprietà Dominio Active Directory è stato configurato lo stesso dominio usato nel progetto di integrazione.

Configurazione del dominio alternativo

Se si vuole usare un dominio alternativo, si devono eseguire i seguenti passaggi di configurazione nell´Editor:

  1. Nell`Editor, passare al gruppo Gestione user delle proprietà di progetto.
  2. Assicurarsi che la proprietà Accesso ad Active Directory sia attiva.
  3. Nella proprietà Dominio Active Directory inserire il nome del dominio desiderato.
    Attenzione: se questo campo di inserimento rimane vuoto, non sarà possibile un login con un altro dominio.


Gestire utenti e gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Gestire utenti e gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utenti e gruppi utenti possono essere gestiti anche a Runtime.

info Info

In caso di modifiche eseguite a Runtime, fare attenzione a:

  • Rileggerle nell´Editor del computer di progettazione.
  • Non sovrascriverle con le impostazioni dell´Editor.

A Runtime, ci sono le seguenti possibilità:

Azione

Mezzo

Creare utenti
  • Immagine di tipo Lista utenti
  • Immagine di tipo Modifica utente
  • Funzione Modifica utente

Modificare utenti
  • Immagine di tipo Lista utenti
  • Immagine di tipo Modifica utente
  • Funzione Modifica utente

Cancellare utenti

  • Immagine di tipo Lista utenti
  • Funzione Cambia utente

Modificare password
  • Immagine di tipo Modifica utente
  • Funzione Modifica utente
  • Funzione Modifica password

Attribuire autorizzazione funzione
  • Funzione Modifica utente

Creare gruppi utenti
  • Immagine di tipo Lista gruppo utenti

Modificare gruppi utenti
  • Immagine di tipo Lista gruppo utenti

Attribuire livello di autorizzazione
  • Immagine di tipo Lista gruppo utenti

attention Attenzione

Non cancellare nessun utente che sia l´unico possessore di un modulo.


Tipi d´immagine per la gestione di utenti e gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti possono essere gestiti a Runtime non solo mediante funzioni e dialoghi modali, ma anche grazie speciali tipi di immagine:

  • Lista utenti: elenca tutti gli utenti e offre la possibilità di creare, modificare e cancellare utenti, ma anche di assegnargli autorizzazioni funzioni.
  • Lista gruppi utenti: elenca tutti i gruppi utenti e offre la possibilità di creare, modificare gruppi utenti, ma anche di assegnargli autorizzazioni funzioni.
  • Modifica utente: consente di creare e gestire gli utenti.

Per eseguire tutte le azioni, si deve essere registrati come amministratore. Eccezione: gli utenti senza diritti di amministratore possono modificare la propria password.

Ancora in questo capitolo

Lista utenti

Lista gruppi utenti

Modificare utente e password


Lista utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Lista utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine si gestiscono le liste utenti.
Vale quanto segue:

  • Si deve essere registrati come amministratori.
  • Si possono creare nuovi utenti.
  • Si possono modificare utenti.
  • Si possono cancellare utenti.
  • Un utente può assegnare solo le autorizzazioni funzioni di cui dispone personalmente, o come membro di un gruppo utenti.

Per gestire gli utenti in liste:

  1. Registrarsi nel sistema come amministratore.
  2. Aprire un´immagine di tipo Lista utenti
  3. Configurare le impostazioni desiderate.
    • Cliccando sul pulsante Nuovo, si apre un´immagine di tipo Modifica utente. Questa immagine deve essere stata collegata in fase di configurazione del cambio immagine.
    • Cliccando sul pulsante Modifica, si apre un´immagine di tipo Modifica utente. Questa immagine deve essere stata collegata in fase di configurazione del cambio immagine.

Per informazioni dettagliate relative agli elementi di controllo, si prega di consultare il capitolo Creare un'immagine di tipo “Lista utenti”.


Lista gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Lista gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine si gestiscono i gruppi utenti.
Vale quanto segue:

  • Si deve essere registrati come amministratori.
  • Si possono amministrare solamente quei gruppi utenti di cui si è membri.
  • Si possono creare nuovi gruppi utenti.
    I gruppi utenti creati da un utente gli verranno assegnati subito. In questo modo, il gruppo ha almeno un membro e può essere assegnato ad altri utenti.

Per gestire gruppi utenti:

  1. Registrarsi nel sistema come amministratore.
  2. Aprire un´immagine di tipo Lista gruppo utenti
  3. Configurare le impostazioni desiderate. Le possibili impostazioni corrispondono a quelle dell´Editor.

Per informazioni dettagliate relative agli elementi di controllo, si prega di consultare il capitolo Creare un'immagine di tipo “Lista gruppi utenti”.


Modificare utente e password

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Modificare utente e password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine si gestiscono altri utenti. Tutti gli utenti, inoltre, possono modificare la propria password.
Vale quanto segue:

  1. Si deve essere registrati come amministratori.
    Eccezione: gli utenti senza diritti di amministratore possono modificare la propria password.
  • Si possono assegnare solo i livelli di autorizzazione dei quali si dispone personalmente, o come membri di un gruppo utenti.
  • Si possono assegnare solamente quei gruppi utenti di cui si è membri.
  • Non si possono modificare i propri livelli di autorizzazione e gruppi utenti a Runtime.

Modificare utenti

Per gestire utenti:

  1. Registrarsi nel sistema come amministratore.
  2. Aprire un´immagine di tipo Modifica utente
    , oppure una di tipo Lista utenti, e cliccare su Nuovo, oppure su Modifica.
  3. Configurare le impostazioni desiderate. Le impostazioni possibili corrispondono a quelle nell´Editor o della funzione Modifica utente.

Per informazioni dettagliate relative agli elementi di controllo, si prega di consultare il capitolo Creare un´immagine di tipo “Modifica utente”.

Modifica Password

Per consentire agli utenti di modificare la propria password, viene aperta una finestra di dialogo modale. Questa finestra di dialogo può essere sostituita da un´immagine di tipo Modifica utente. La finestra di dialogo o l´immagine vengono aperti in modo modale quando:

  • Viene eseguita la funzione Modifica password.
  • L´utente loggato deve modificare la sua password (nuovo utente, password scaduta, password resettata).

Per consentire agli utenti la modifica della password via immagine:

  1. Nelle proprietà di progetto Gestione user Login e firma, collegare la proprietà Immagine per la modifica password con un´immagine di tipo Modifica utente.
  2. A Runtime, al posto della finestra di dialogo modale, verrà aperta quest´immagine in modo modale.
  3. Gli utenti possono modificare la loro password.

attention Attenzione

Quando si modifica la password per utenti AD, tenere conto di quanto segue:

I requisti di zenon relativi alla lunghezza minima e massima di una password sono prioritari.

Esempio - lunghezza minima: AD richiede una lunghezza minima di 4 caratteri. In zenon, nella proprietà Lunghezza minima password è stata configurata una lunghezza minima di 8 caratteri. Se si inserisce una password più corta di 8 caratteri, viene visualizzato un messaggio di errore. La password può essere valida per AD, viene però rifiutata da zenon.

Nota relativa alla lunghezza massima: In zenon, le password possono avere una lunghezza massima di 20 caratteri. In AD, invece, la lunghezza massima consentita sono 255 caratteri. Se la password AD è composta da più di 20 caratteri, un utente AD potrà eseguire il login in zenon usando questa password. La password, però, non potrà essere modificata in zenon.


Funzioni per il modulo “Gestione utenti”

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti funzioni sono a disposizione per la gestione user a Runtime:

  • Login con dialogo: apre a Runtime una finestra di dialogo modale, oppure un´immagine di tipo “Login” per consentire di eseguire il login permanente.
  • Login senza password: esegue a Runtime il login senza inserimento di password per l´utente definito nell´Editor, oppure consente il login con un Chip ident System.
  • Esegui logout: esegue il logout dell´utente loggato correntemente ed esegue il login dell´utente System con il livello di autorizzazione 0.
  • Modifica utente: apre una finestra di dialogo che consente di modificare utenti e gruppi utenti.
  • Modifica Password: apre a Runtime una finestra di dialogo per consentire la modifica della password.

Ancora in questo capitolo

Login con dialogo

Login senza password

Esegui logout

Modifica utente

Modifica password


Login con dialogo

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Login con dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se eseguita a Runtime, questa funzione apre ( a seconda di quanto definito in fase di configurazione):

  • La finestra di dialogo modale per il login.
  • Un´immagine di tipo Login

Finestra di dialogo modale

Elemento di controllo | Descrizione
Utente attualmente loggato (Visualizzazione) | Visualizzazione dell'utente attualmente loggato.
Nome utente | Campo di inserimento per il nome utente.
Password | Campo d´inserimento per la password.
OK | Pulsante per il login e la chiusura della finestra
Annulla | Termina il procedimento di login.

Il login viene registrato nella Lista Eventi Cronologica.

Grandezza e posizione

Si può definire la grandezza e la posizione della finestra di login a Runtime mediante il file zenon6.ini:

  1. Aprire il file zenon 6.ini.
  2. Creare o modificare l´area:

    [Comandi]

  3. Inserire i valori per:

    POSITION= sinistra, destra, su, giù

    Default: POSITION= 0.001, 0.999, 0.835, 0.964

    Attenzione: la grandezza si riferisce alla dimensione dell´immagine e non a quella della finestra principale.

info Info

Il percorsozenon6.ini del file è il seguente: %ProgramData%\COPA-DATA\System\


Login senza password

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Login senza password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se eseguita a Runtime, questa funzione consente di loggare un utente in zenon senza dover inserire una password. L´utente viene loggato direttamente, senza selezione o inserimento. L´autenticazione dell´utente avviene mediante una variabile, un codice, oppure via Chip Ident System. La chiamata di questa funzione può avvenire tramite un evento (stato di una chiave in un interruttore), o usando temporizzatori. Il login viene registrato nella Lista eventi cronologica.

Il login senza password si presta anche per eseguire il login automatico mediante lettore di carte magnetiche. Ci sono due possibilità:

  • Login via codice di login:
    Un codice qualsiasi può essere collegato ad un utente e trasferito ad una variabile. Questa variabile, a sua volta, trasferisce il codice alla funzione Login senza password. Questa variante è disponibile solamente per gli utenti di zenon.
  • Login via Chip Ident System:
    Il nome utente viene trasferito ad una variabile che esegue il login dell´utente. Questa variante è disponibile per utenti zenon e AD.

Creare una funzione

Per creare la funzione Login senza password:

  • Creare una nuova funzione.
  • Passare al nodo Password.
  • Selezionare Login senza password.

    Si apre la finestra di dialogo che consente di configurare l´utente per il login.

  • Selezionare il tipo di login.

Finestra di dialogo - “Login senza password”

Opzione

Descrizione

Nome utente

Registra l´utente selezionato.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un utente.

Nome utente da variabile

Registra l´utente con il nome utente acquisito alla variabile trasferita. Consente il login mediante un Chip Ident System.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile stringa. Per i dettagli relativi a questo argomento si veda il capitolo "Login über Chip Ident System".

Codice Login da variabile

Registra un utente servendosi di un codice di login. Questo codice viene collegato all´utente nella Gestione utenti e viene trasferito a Runtime mediante una variabile STRING.

Attenzione: Questo tipo di login funziona solo per utenti zenon e non è disponibile per gli utenti AD.

Per i dettagli al proposito, si veda il capitolo Login via codice di login.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Ancora in questo capitolo

Login via codice di login

Login via Chip Ident System.


Login via codice di login

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Login senza password -> Login via codice di login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile eseguire il login di un utente a Runtime anche senza password, ma mediante un apposito codice di login. Questo codice viene collegato all´utente e trasmesso da una variabile al momento del login.

Codice di login

Ci sono due modi di collegare il codice di login all´utente:

  • Nella scheda Utente della finestra di dialogo di configurazione utente.
  • Attraverso la proprietà Codice Login.

Per il codice di login vale quanto segue:

  • Deve essere univoco all´interno di un progetto.
    Nota: Se per il medesimo utente si usa lo stesso codice di login nel progetto locale e in quello globale, al momento della creazione dei file Runtime nell´Editor, l´utente del progetto globale non verrà trasferito. Si prega di tener presente il corrispondente messaggio di errore visualizzato nella finestra di emissione. Quando si modifica il codice di login a Runtime, quest´ultimo non deve essere identico a quello usato per un utente del progetto globale.
  • Può essere vuoto.
    In questo caso è disattivato per questo utente.
  • Lunghezza massima: 1000 caratteri
  • Non può consistere solamente di spazi vuoti.
  • Non è consentito usare degli spazi vuoti all´inizio o alla fine.
  • Tutti gli altri caratteri sono consentiti.
  • Default: (vuoto).

Comportamento in caso di esportazione e importazione

Quando si esegue l´esportazione in XML di un utente, il codice di login viene esportato in testo normale.

In caso di importazione XML, invece, il sistema analizza il codice di login contenuto nel file XML. Se questo codice non corrisponde ai criteri di input, viene rimosso. In questo caso viene visualizzato un messaggio di errore nella finestra di emissione.

Codice di login da variabile

Per poter eseguire il login di un utente mediante un codice di login da variabile:

  1. Nella finestra di dialogo per creare un nuovo utente, collegare il codice desiderato all´utente in questione.
  2. Creare la variabile STRING che deve trasferire il codice a Runtime.

    A Runtime, questa variabile deve:

    1. Ricevere il codice mediante un campo di inserimento, o via scheda ID.
    2. Attivare la funzione Login senza password quando cambia il suo valore.
    3. Trasferire il codice.
  3. Creare una funzione Login senza password.
  4. Selezionare l´opzione Codice Login da variabile.
  5. Collegare la variabile che deve trasferire il codice.

A Runtime, viene scritto sulla variabile o il codice della scheda ID, oppure l´impostazione eseguita nel campo di inserimento. La variabile attiva la funzione Login senza password e trasferisce il codice. Il sistema provvede a cercare l´utente collegato a questo codice. Se la ricerca ha successo, viene eseguito il login di questo utente.

Se è stato configurato un login automatico per sotto-progetti, il login viene eseguito anche per i sotto-progetti.

Le regole applicate in caso di login con nome utente errato, valgono anche in caso di trasferimento di codici di login errati.

attention Attenzione

Il login mediante codice funziona solo per utenti zenon e non è disponibile per utenti AD.

Modificare il codice di login a Runtime

Solo un utente con diritti di amministratore può modificare il codice di login a Runtime. Gli altri utenti non hanno la possibilità di modificare neanche il proprio codice.

Un amministratore ha due possibilità di modificare il codice di login a Runtime:

  • Immagine di tipo “Modifica utente”: nell´immagine deve essere progettato un campo di inserimento “Codice Login” per fare in modo che sia possibile assegnare un codice di login a Runtime.
  • Funzione Modifica utente: consente di modificare e creare utenti, incluso il loro codice di login.

Ogni modifica del codice di login viene registrata nella CEL.


Login via Chip Ident System.

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Login senza password -> Login via Chip Ident System.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Login senza password con l´opzione Nome utente da variabile consente di utilizzare sistemi Chip Ident, come, per es., sistemi di identificazione Euchner o Keba. Per utilizzare la funzione, tenere presente quanto segue:

  • L´utente deve essere stato impostato nella Gestione utenti di zenon oppure in Active Directory con lo stesso nome utente adottato nella chip.

    Esempio: Se il nome nella chip è J. Smith, deve esistere nella Gestione utenti o nella Active Directory un J. Smith in possesso dei diritti adeguati.

  • Quando l´utente tiene la sua chip davanti al lettore, la variabile stringa (per esempio username) viene popolata con i dati della chip (per es. J. Smith) e viene esguito il login dell´utente.
  • Perché la funzione venga eseguita, deve esistere una matrice di reazione di tipo Stringa che reagisce ad ogni modifica di valore ed esegue la funzione.
    • Questa matrice di reazione deve essere collegata alla variabile (per es. username).


Esegui logout

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Esegui logout

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si attiva questa funzione a Runtime, viene eseguito il logout dell´utente corrente e il login dell´utente SYSTEM con il livello di autorizzazione 0. Il login dell´utente SYSTEM viene registrato nella Lista Eventi Cronologica. Se è loggato un utente Active Directory, anche per questo verrà eseguito il logout.

Non è necessario nessun parametro di trasferimento.

attention Attenzione

Logout automatico e funzione automatica a confronto:

  • Logout automatico: si verifica permanentemente a partire dal momento in cui scade il tempo configurato dopo l´ultima azione di gestione.
  • Funzione automatica: si verifica solo una volta a partire dal momento in cui scade il tempo configurato dopo l´ultima azione di gestione.


Modifica utente

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Modifica utente consente di creare ed amministrare utenti a Runtime, e di assegnare loro livelli di autorizzazione.

Procedura per creare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al settore Password.
  3. Selezionare la funzione Modifica utente.
  4. Collegare la funzione ad un pulsante.

Uso a Runtime

Al momento del richiamo della funzione durante il Runtime, viene aperta una finestra di dialogo. Essa consente la creazione e la modifica di:

  • Utenti
  • Gruppi utenti

info Info

Regole:

  • Gli amministratori possono gestire tutti gli altri utenti e modificare le loro impostazioni.
  • Gli amministratori non si possono assegnare degli ulteriori livelli di autorizzazione, oppure aggiungersi ad altri gruppi utenti.
  • Utenti senza diritti amministratore possono modificare solamente la loro password e le loro impostazioni per il Message Control.

Ancora in questo capitolo

Utenti

Gruppi utenti


Utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si gestiscono gli utenti.

Parametro | Descrizione
Lista utenti | Elenca tutti gli utenti configurati.
Nuovo | Apre la finestra di dialogo che consente di creare e modificare nuovi utenti.
Modifica | Apre la finestra di dialogo che consente di creare e modificare nuovi utenti.
Elimina | Cancella l´utente selezionato dopo una richiesta di conferma.
Autorizzazione funzioni | Apre la finestra di dialogo che consente di assegnare autorizzazioni funzioni a livelli di autorizzazione per il Runtime.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Amministrare utenti

Per gestire un utente:

  1. Selezionare l´utente nella lista.
  2. Scegliere l´azione desiderata cliccando su uno dei pulsanti.

Nota: l´aspetto delle finestra di dialogo per “Modifica utente” e “Crea nuovo utente” è diverso.

Ancora in questo capitolo

Utenti

Modifica Password

Message Control

Livelli di autorizzazione

Gruppi utenti

Assegnazione di autorizzazioni funzioni


Utenti

Utenti

Inserimento dei dati utente.

Utente

Opzione

Descrizione

Nome utente

Inserire in questo campo il nome utente. L´utente esegue il login nel sistema con il suo nome.

Lunghezza massima: 20 caratteri.

Nota: questo numero deve essere univoco.

Nome completo

Inserire in questo campo il nome completo dell´utente. In questo modo si collegano i nomi utenti a persone concrete.

Codice Login

Inserimento del codice di Login per la registrazione senza password.

Per il codice di login vale quanto segue:

  • Deve essere univoco all´interno di un progetto.
    Nota: Se per il medesimo utente si usa lo stesso codice di login nel progetto locale e in quello globale, al momento della creazione dei file Runtime nell´Editor, l´utente del progetto globale non verrà trasferito. Si prega di tener presente il corrispondente messaggio di errore visualizzato nella finestra di emissione. Quando si modifica il codice di login a Runtime, quest´ultimo non deve essere identico a quello usato per un utente del progetto globale.
  • Può essere vuoto.
    In questo caso è disattivato per questo utente.
  • Lunghezza massima: 1000 caratteri
  • Non può consistere solamente di spazi vuoti.
  • Non è consentito usare degli spazi vuoti all´inizio o alla fine.
  • Tutti gli altri caratteri sono consentiti.

Default: (vuoto).

Quando si digita un codice di Login non valido, verrà visualizzato un messaggio di errore quando si chiude la finestra di dialogo.

Per i dettagli al proposito, si veda il capitolo Login tramite codice Login.

Amministratore

Attivo: l´utente riceve lo stato di un amministratore.

Solo un amministratore può creare nuovi utenti, modificare utenti, cancellare password ecc. a Runtime.

Attivo

Attivo: l´utente è attivo e può eseguire il login a Runtime.

Nota: in conformità alle regole di FDA 21 CFR PART 11, un utente non può essere mai cancellato; in questo modo sarà possibile in qualsiasi momento verificare chi ha eseguito una determinata operazione. Per questa ragione, nei progetti che sono soggetti a questa normativa un utente può essere solamente disattivato, non cancellato.

Per rendere impossibile la cancellazione di utenti, si deve disattivare la proprietà Eliminazione utenti nel gruppo Gestione user delle proprietà di progetto.

Bloccato

Attivo: l´utente è bloccato a Runtime e non può eseguire il login.

Questa opzione viene settata automaticamente quando un utente ha inserito una password errata per più volte di quelle consentite.

Opzioni

Opzione

Descrizione

Codice di blocco

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei “Comandi” per bloccare o sbloccare aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login.

  • Nessuno
  • Default
  • Last

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modifica Password

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti -> Modifica Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica Password

Assegnazione della password all´utente.

Parametro | Descrizione
Vecchia password | Password attuale.
Nuova password | Inserimento di una nuova password. L´inserimento della password viene nascosto automaticamente. Quando si configurano progetti destinati ad essere usati in più lingue, tenere presente che deve essere possibile a Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. L´inserimento della password viene nascosto automaticamente.

Nota: la funzionalità Copia e Incolla non è utilizzabile per inserimenti nel campo di inserimento destinato alla password.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
info Info
Un amministratore può assegnare utenti solamente a quei gruppi per cui egli stesso ha i diritti.


Message Control

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Message Control

Configurazione utente per il Message Control.

Parametro

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi vocali. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ... Si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN usato dall´utente per confermare il messaggio.

Codice-NA

Codice PIN usato dall´utente per rifiutare il messaggio. (not available). Il messaggio verrà poi inviato al prossimo utente della lista.

Se non ci sono altri utenti nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa eventualità. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: ulteriori informazioni riguardanti l´assegnazione di funzioni si trovano nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

attention Attenzione

I codici di riconoscimento per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili fra di loro.

Se i codici sono identici, il codice verrà interpretato come PIN e, dunque, come conferma del messaggio.

Se il sistema riceve un codice sconosciuto e il messaggio è un SMS o una E-‑Mail, il messaggio stesso sarà inviato al sostituto; in caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.


Livelli di autorizzazione

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Livelli di autorizzazione

Configurazione dei livelli di autorizzazione.

Parametro | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono rimossi da questa lista.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppi utenti

Assegnazione di gruppi utenti.

Nota: si possono assegnare solamente i gruppi utenti che si hanno.

Parametro | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti assegnati.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono rimossi da questa lista.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Assegnazione di autorizzazioni funzioni

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Utenti -> Assegnazione di autorizzazioni funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione di autorizzazioni funzioni

Assegnazione di autorizzazioni funzioni a livelli di autorizzazione.

Nota: si possono assegnare solo le autorizzazioni funzioni di cui si dispone direttamente, o come membri di un gruppo utenti.

Parametro | Descrizione
Lista delle funzioni | Lista delle funzioni esistenti e dei livelli di autorizzazione assegnati.
Modifica | Apre la finestra di dialogo che consente di assegnare un nuovo livello di autorizzazione.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Autorizzazioni funzioni - Generale

Parametro

Descrizione

Modifica trend esteso

Le curve del Trend esteso possono essere modificate a Runtime. Se manca l´autorizzazione operativa, i seguenti elementi di controllo non saranno disponibili:

  • Diagramma
  • Curve
  • Impostazioni
  • Cursore on/off
  • Asse X

Immagine indietro (PGUP)

La funzione "Immagine indietro" può essere eseguita a Runtime.

Cambio immagine: " consenti "Visualizza questo dialogo a Runtime""

La funzione Cambio immagine può essere eseguita ad opzione Visualizza questo dialogo a Runtime attiva solamente se l´utente registrato dispone del gruppo di autorizzazioni corrispondente.

Notepad: apri file

La funzione Apri file nell´immagine di tipo Notepad può essere eseguita solo se l'utente loggato dispone del gruppo di autorizzazione corrispondente.

Notepad: salva file

La funzione salva nell´immagine di tipo Notepad può essere eseguita solo se l'utente loggato dispone del gruppo di autorizzazione corrispondente.

Autorizzazioni funzioni - Allarmi

Parametro

Descrizione

Modifica commento d´allarme

Un commento necessario per il ripristino di un allarme può essere modificato.

Inserisci commento d'allarme

Si può inserire un commento necessario per il ripristino di un allarme.

Conferma il riconoscimento d´allarme

Si possono riconoscere allarmi a Runtime.

Riconoscimento allarmi via Barra di stato/Menù contestuale

Ripristinare l'allarme mediante la barra di stato allarmi o il menù contestuale è possibile solamente se nel progetto è disponibile l´autorizzazione per l´allarme visualizzato correntemente.

Per la gestione multi-progetto vale quanto segue: il ripristino del messaggio di sistema nella barra di stato allarmi o mediante il menù contestuale è possibile solo se l'autorizzazione è disponibile nel progetto di integrazione.

Nota: i messaggi di sistema sono quelli che vengono emessi nella barra di stato allarmi al raggiungimento di un numero di allarmi configurabile.

Ripristino allarme tramite pagina allarmi

Il ripristino mediante un´immagine di tipo “Lista di informazione allarmi” è possibile solo con l´autorizzazione corrispondente e nel progetto collegato alla variabile (gestione multi-progetto).
Nota: se l'utente non ha la necessaria autorizzazione, il lampeggio cessa, ma l'allarme non viene ripristinato.

Ripristino allarme tramite funzione

Il ripristino tramite una funzione è possibile solo se si dispone dell'autorizzazione per gli allarmi selezionati nei relativi progetti.

Modifica archivio

I dati d'archivio (Server di archiviazione) possono essere modificati a Runtime.

Per ognuno di questi metodi di ripristino possono essere impostati diversi gruppi di autorizzazione. È possibile, per esempio, stabilire che un gruppo utenti possa eseguire il ripristino solamente mediante la barra stato allarmi e non in un altro modo.

info Info

Il ripristino di un allarme è possibile solo se si dispone dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Autorizzazioni funzioni - Batch Control

Parametro | Descrizione
Batch Control: importa ricetta/Operation | Le ricette possono essere importate nel modulo Batch Control come file XML solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - crea, rinomina, duplica | Le Ricette di controllo nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - edita fase | Le fasi possono essere modificate in Ricette di controllo del modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - cancella | Le ricette di controllo nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - salta operazioni in attesa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può uscire da una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo - uscire dalla fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si possono saltare condizioni in attesa solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - imposta modalità di esecuzione | Nella modalità test, si può cambiare modalità di esecuzione di ricette master nel modulo Batch Control solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - passa in modalità di esecuzione | Quando si eseguono ricette di controllo nel modulo Batch Control, si può cambiare modalità di esecuzione solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - esegui singoli passaggi, salta | Quando si eseguono ricette di controllo nel modulo Batch Control, si possono saltare singoli passaggi solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - sospendi fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può sospendere una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riprendere ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvio fase | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - fase in pausa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - interrompi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, l´esecuzione della ricetta può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - sospendi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può sospendere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riprendere ad eseguire una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvia ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ricetta in pausa | Quando si eseguono ricette di controllo nel modulo Batch Control, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - avvia ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può avviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ferma ricetta | Quando si eseguono ricette di controllo nel modulo Batch Control, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Operation - Creazione, modifica, rinomina, duplicazione, salvataggio | Le ricette parziali nel modulo Batch Control possono essere create, modificate e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Rilascio Operation | Le ricette parziali nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella Operation | Le ricette parziali nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - crea, modifica, rinomina, duplica, salva | Le ricette master nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: rilascia ricetta master | Le ricette master nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - cancella | Le ricette master nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - Passa alle modalità di test e di modifica | Il passaggio dalla modalità test a quella di modifica e viceversa per le ricette master nel modulo Batch Control è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - imposta come obsoleta | Le ricette master nel modulo Batch Control possono essere impostate come obsolete solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - salta operazioni in attesa | In modalità di test, per le ricette master nel modulo Batch Control è possibile saltare una condizione in attesa è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - uscire dalla fase | In modalità di test, per le ricette master nel modulo Batch Control, è possibile uscire da una fase solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - esegui singoli passaggi, salta | In modalità di test, si possono saltare singoli passi nell´esecuzione delle ricette master nel modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - sospendi fase | In modalità di test, nell´esecuzione di ricette di master nel modulo Batch Control si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - edita fase | In modalità di test, nell´esecuzione di ricette di master nel modulo Batch Control si può modificare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - continua fase | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia fase | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - fase in pausa | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - sospendi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può sospendere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - prosegui ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può continuare l´esecuzione di una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ricetta in pausa | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - avvia ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può avviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | In modalità di test, nell´esecuzione di ricette master nel modulo Batch Control si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.

Autorizzazioni funzioni - Sequenze di comando

Parametro | Descrizione
Sequenze di comando: termina esecuzione | Quando si eseguono sequenze di comando nel modulo “Sequenze di comando”, l´esecuzione della sequenza in questione può essere terminata solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: continua esecuzione | Nel modulo “Sequenze di comando”, l´esecuzione di una sequenza messa in pausa può essere ripresa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: arresta esecuzione | Nel modulo “Sequenze di comando”, l´esecuzione di una sequenza di comando può essere messa in pausa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: avvia esecuzione | L´avvio di una sequenza nel modulo “Sequenze di comando” è possibile solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta modalità di esecuzione | Nell´esecuzione di sequenze nel modulo “Sequenze di comando”, si possono eseguire singoli passaggi, oppure si può saltare l´esecuzione di alcuni singoli passaggi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: esegui singole fasi, salta | Nell´esecuzione di sequenze nel modulo “Sequenze di comando”, si possono eseguire singoli passaggi, oppure si può saltare l´esecuzione di alcuni singoli passaggi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: creazione, modifica, rinomina, duplica, salva | La gestione delle sequenze nel modulo “Sequenze di comando” - per es. creazione, modifica, rinomina, duplicazione e salvataggio - può essere configurata solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: elimina | Nel modulo “Sequenze di comando”, sequenze progettate possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: importa sequenze di comando | Sequenze possono essere importate come file XML nel modulo “Sequenze di comando” solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta da modalità di esecuzione a modalità di modifica | Nel modulo “Sequenze di comando”, un cambio di modalità (da quella di esecuzione a quella di modifica) è possibile solamente se l´utente dispone dei diritti corrispondenti.

Autorizzazioni funzioni - Gestione turni:

Parametro | Descrizione
Gestione turni Gestione turni | Quando si configurano turni nel modulo Gestione turni a Runtime, è possibile creare, modificare o cancellare un turno solamente se l´utente dispone dei diritti corrispondenti.
Gestione turni: crea, modifica o cancella modello turno | Quando si configurano modelli turno nel modulo Gestione turni a Runtime, è possibile creare, modificare o cancellare un turno solamente se l´utente dispone dei diritti corrispondenti.


Gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si amministrano i gruppi utenti.

Parametro | Descrizione
Lista gruppi utenti disponibili | Elenca tutti i gruppi utenti configurati.
Nuovo | Apre la finestra di dialogo che consente di creare e modificare gruppi utenti.
Modifica | Apre la finestra di dialogo che consente di creare e modificare gruppi utenti.
Elimina | Elimina i gruppi utenti selezionati dopo una richiesta di conferma.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Amministrare gruppi utenti

Per gestire un gruppo utenti:

  1. Selezionare il gruppo utenti fra quelli della lista.
  2. Scegliere l´azione desiderata cliccando su uno dei pulsanti.

Ancora in questo capitolo

Gruppo utenti

Livelli di autorizzazione


Gruppo utenti

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Gruppi utenti -> Gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppo utenti

Creazione di un nuovo gruppo utenti.

Parametro | Descrizione
Nome | Nome del nuovo gruppo utenti. Attenzione: Non è consentito usare il carattere @ nel nome di un gruppo utenti.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Livelli di autorizzazione

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica utente -> Gruppi utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Livelli di autorizzazione

Assegnazione dei livelli di autorizzazione a un gruppo utenti.

Parametro | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante: doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante: doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono rimossi da questa lista.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modifica password

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Funzioni per il modulo “Gestione utenti” -> Modifica password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, l’utente loggato al momento può modificare la sua password a Runtime. Per gli utenti interni di sistema non è possibile nessuna modifica.

Per consentire la modifica della password a Runtime, viene visualizzata un´apposita finestra di dialogo.

È necessario inserire:

Parametro | Descrizione
Vecchia password: | Inserire la password corrente.
Nuova password: | Inserire la nuova password
Conferma password | Inserire la nuova password ancora una volta.
OK | Applica la nuova password e chiude la finestra di dialogo.
Annulla | Interrompe il processo.

Se all’utente non è stata assegnata nessuna password, la può definire lui stesso a Runtime alla prima chiamata della funzione. In questo caso, nella finestra di dialogo non si richiederà all´utente di inserire la vecchia password.


Protezione password nell´elemento dinamico

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Protezione password nell´elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, tutti gli elementi dinamici che consentono di eseguire una funzione, oppure di settare un valore impostabile, possono essere collegati ad un gruppo di autorizzazione.

Per farlo, creare innanzitutto un elemento dinamico. Per esempio un pulsante di testo. Nella finestra delle proprietà, vengono visualizzate tutte le proprietà configurabili per questo elemento dinamico.

Nelle proprietà del gruppo “Autorizzazione” la proprietà 'Livello di autorizzazione'. Qui si può impostare il gruppo di autorizzazione necessario per l´esecuzione della funzione.

Negli elementi dinamici in cui deve essere protetta l´azione di settaggio del valore impostabile, prima di definire il gruppo di autorizzazione bisogna collegare una variabile usando la finestra proprietà, e poi attivare "settare valore impostabile” prima di definire il gruppo di autorizzazione.


Applicare a Runtime modifiche eseguite nell´Editor

Manuale -> Gestione user -> zenon Login e gestione utenti a Runtime -> Applicare a Runtime modifiche eseguite nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non tutte le modifiche della Gestione utenti vengono applicate a Runtime dopo un semplice reload. Tenere presente soprattutto quanto segue:

Numero massimo di inserimenti sbagliati della password.

Se si modifica nell´Editor il valore per il numero massimo di tentativi errati d´inserimento password, questa modifica diviene effettiva a Runtime solamente dopo un riavvio del Runtime stesso. Un semplice reload non è sufficiente, visto che altrimenti sarebbe possibile un numero qualsiasi di tentativi d´inserimento della password: Il valore può essere modificato: nelle proprietà di progetto -> Gestione user -> Num. max. tentativi Username

Modifiche di gruppi utenti e livelli di autorizzazione

Se si aggiungono o si eliminano nell`Editor gruppi utenti, oppure se si modificano livelli di autorizzazione, questi cambi non verranno applicati a Runtime per gli utenti loggati con un semplice reload. Per rendere effettive a Runtime queste modifiche, gli utenti loggati dovranno essere disattivati dal sistema e dovranno eseguire di nuovo il login. Questo vale anche in caso di uso di utenti Active Directory.


Gestione user esterna con Microsoft Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon, è possibile utilizzare anche Microsoft Active Directory per la Gestione utenti:

  • I gruppi utenti in Active Directory che hanno lo stesso nome di quelli di zenon, ricevono gli stessi diritti che hanno in zenon
  • A Runtime, possono essere gestiti con utenti zenon in Active Directory
  • Utenti di Active Directory non possono caricare progetti nell´Editor.
  • Utenti di Active Directory non possono ottenere diritti di amministratore in zenon. Gli amministratori devono essere sempre utenti del progetto locale di zenon.

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!

Per poter usare AD e AD LDS per il login nel Runtime di zenon, bisogna configurare la proprietà di progetto di zenon Gestione user/Accesso ad Active Directory.

  • AD: Per la proprietà si deve selezionare Sì e il computer si deve trovare nel dominio.
  • AD LDS: Per la proprietà si deve selezionare ADAM/AD-LDS Le proprietà Connessione AD LDS, Nome utente AD LDS e Password AD LDS devono essere configurate correttamente.
    Nota: ADAM non viene più supportato.
  • AD LDS deve essere preparato adeguatamente.

Ancora in questo capitolo

Active Directory (AD)

Active Directory Lightweight Directory Services - AD LDS

Active Directory Application Mode - ADAM (solo per Windows XP)


Active Directory (AD)

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory può essere usato in zenon per eseguire il login e per la gestione utenti nel Runtime di zenon. AD non è disponibile per l´Editor di zenon.

info Info

Active Directory e AD LDS, ma anche ADAM (per Windows XP), non sono disponibili con Windows CE.

Uso di AD in zenon

Active Directory può essere usato in tre modi da zenon:

  1. Il nome del gruppo autorizzazioni nella Gestione utenti di zenon corrisponde al nome di un gruppo utenti in Active Directory: attribuzione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente definiti nel gruppo autorizzazioni di zenon. Si veda: gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono salvati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti salvati nel gruppo AD. Si veda: attribuzione di un utente Active Directory a livelli di autorizzazione di zenon
  3. Lo schema Active Directory viene esteso ai campi in cui vengono salvati i livelli di autorizzazione di zenon. Questo richiede un´estensione dello schema di Active Directory. Questa variante, però, non si presta ad essere utilizzata nel settore regolamentato dalla normativa FDA 21 CFR Part11. Si veda: Estensione schema di Active Directory.

info Info

Durante l´analisi della password in zenon, il sistema verifica anche la proprietà Max. password age di Active Directory.

Ancora in questo capitolo

Generale

Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Gruppi utenti uguali in zenon e in Active Directory

Estensione dello schema di Active Directory

Estensione schema - Dettagli

Schema

Configuration

Domain


Generale

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il presupposto di base per poter utilizzare in zenon gli utenti di ActiveDirectory (d´ora in poi denominata AD) è un dominio sulla base di un sistema operativo Windows Server. Per poter amministrare gli utenti in ActiveDirectory, il server deve essere un server DNS.

Ne consegue che deve essere disponibile un controller di dominio con DNS ed ActiveDirectory per poter poi utilizzare questi account utente anche su un PC nel dominio come user in zenon.

L´accesso agli utenti di ActiveDirectory deve essere attivato nelle proprietà del progetto.

Si presuppone che l´utente disponga di conoscenze di base concernenti ActiveDirectory e la tecnologia Windows Server.

attention Attenzione

Se la registrazione avviene mediante Active Directory, tutti i computer devono avere accesso a Active Directory. Questo vale anche per client e zenon!

Background: il login di un client avviene direttamente dal client a Active Directory. Il Runtime-Server di zenon non è coinvolto in questo processo.
Un utente Active Directory può dunque esguire il login solamente se un client:

  • È membro del dominio
    e
  • Ha accesso al dominio.


Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti Windows di Active Directory possono essere utilizzati anche in zenon.

Singoli utenti possono essere assegnati a gruppi in Active Directory. I nomi dei gruppi devono essere come descritto come nella seguente sintassi:

zenon Nome progetto##[testo libero]

La descrizione contiene l´autorizzazione dell´utente secondo la seguente sintassi:

[Testo] ##GRP=HEX-numero## [testo libero]

info Info

La scrittura in lettere maiuscole/minuscole non ha alcuna importanza né per il nome del gruppo, né per la descrizione del gruppo.

Per garantire una migliore leggibilità, il numero esadecimale viene diviso in quattro parti (una per ogni gruppo di autorizzazioni), separate fra di loro da un trattino.

Struttura del numero esadecimale
FFFFFFFF | FFFFFFFF | FFFFFFFF | FFFFFFFF
Livelli autorizzazioni 1 | Livelli autorizzazioni 2 | Livelli autorizzazioni 3 | Livelli autorizzazioni 4

Example Esempio

Nome del gruppo: MASCHINE01##Personale servizio

Descrizione del gruppo: testo libero##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##[ftesto libero]

Gli utenti assegnati al gruppo MASCHINE01##Personale servizio, ricevono in zenon i livelli autorizzazioni 0 - 127.

Non è necessario indicare tutte e 32 le posizioni. Le posizioni non specificate vengono interpretate come 0.

Example Esempio

Descrizione del gruppo: testo libero##GRP=7##testo libero

Gli utenti assegnati al gruppo con questa descrizione, ricevono in zenon i livelli autorizzazioni 0, 1 e 2.

7 esadecimale corrisponde al numero binario 111. Per ogni 1 nel numero binario viene settato il livello autorizzazioni corrispondente. Il bit più a destra sta per il livello autorizzazioni 0. Il bit immediatamente a sinistra sta per il livello autorizzazioni 1 e così via.

Un utente può appartenere anche a più gruppi. In questo caso ottiene la somma dei livelli autorizzazione dei singoli gruppi.

Se un utente esegue il login in zenon, il sistema verifica anzitutto se questo user esiste localmente in zenon. Se non è così, il sistema cerca l´utente in Active Directory. Se l´utente non esiste neppure lì, per esso non viene eseguito il login e viene creato un inserimento corrispondente nella CEL. Se l´utente esiste in AD, ma non è stato definito nessun livello di autorizzazioni in zenon per questo utente, viene generato il seguente inserimento nella CEL: "Nessuna autorizzazione definita per l'utente nel modulo AD" Il login di questo utente viene eseguito con il livello 0.


Gruppi utenti uguali in zenon e in Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Gruppi utenti uguali in zenon e in Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli utenti di zenon e di Active Directory vale quanto segue:

  • Se esiste un utente in AD, ma non in zenon, allora:
    • Il sistema analizza i gruppi utenti in zenon.
    • I livelli di autorizzazione dei gruppi cui appartiene l´utente, vengono assegnati all´utente AD.
  • Se un utente esiste sia in AD che in zenon e questo utente esegue il login a Runtime, allora:
    • L´utente locale di zenon ha priorità rispetto a quello AD.
    • Non c`è nessuna analisi dei livelli di autorizzazione in AD, visto che l´utente locale è registrato nel sistema.


Estensione dello schema di Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione dello schema di Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: questa estensione non dovrebbe essere utilizzata in un settore regolamentato dalle norme di FDA 21 CFR Part11. Per realizzare una gestione utenti compatibile alle norme di FDA 21 CFR Part11, usare o il metodo Gruppi utenti in zenon e gruppi in Active Directory, oppure Assegnazione di un utente Active Directory ai livelli autorizzazione di zenon.

info Info

Active Directory e AD LDS, ma anche ADAM (per Windows XP), non sono disponibili con Windows CE.

Ancora in questo capitolo

Installazione dell´estensione dello schema

Attribuzione di diritti utenti


Installazione dell´estensione dello schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione dello schema di Active Directory -> Installazione dell´estensione dello schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter assegnare agli utenti in AD anche i 128 livelli di autorizzazione di zenon, lo schema AD deve essere integrato con i seguenti inserimenti (4 valori integer).

Per farlo, i 2 file (zenonUserLevel.exe, zAD_UserDlg.exe) vengono copiati sul server (la cosa migliore è salvarli in una cartella separata). Non appena è stato avviato il setup (zenonUserLevel.exe), non è più possibile né cambiare il nome, né cancellare questa cartella e i file in essa contenuti.

attention Attenzione

I due file zenonUserLevel.exe e zAD_UserDlg.exe si trovano nel supporto di installazione di zenon, nella cartella \Software\zenonUserLevel\

Dal setup viene salvato un riferimento al file zAD_UserDlg.exe nello schema AD.

Inoltre vengono aggiunti allo schema AD quattro valori integer (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4).

info Info

Solo un utente del gruppo Amministratori schema può eseguire queste modifiche! L´amministratore del dominio è normalmente in possesso di questi diritti.


Attribuzione di diritti utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione dello schema di Active Directory -> Attribuzione di diritti utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver portato a termine l´estensione dello schema, si può procedere all'attribuzione dei livelli di autorizzazione ai singoli utenti.

Per farlo, si deve apre la Microsoft Management Console (MMC) con il plug-in Active Directory Users and Computers.

Cliccando sull'utente desiderato con il tasto destro del mouse, si apre un menù contestuale. In questo menù contestuale viene visualizzato la seguente voce di menù: zenonUserLevel.

In questo menù contestuale, deve essere selezionata la voce zenonUserLevel; verrà visualizzato l'AdministrationsTool (zAD_UserDlg.exe) per l'utente selezionato.

info Info

I gruppi di autorizzazioni per zenon possono essere impostati solamente direttamente sull'utente; gruppi e unità di organizzazione non vengono supportati.

Usando questo AdministrationsTool, si possono definire per ogni utente fino a 128 livelli di autorizzazione.

info Info

Il livello di autorizzazione 0 è assegnato di Default ad ogni utente; non si può disattivare questa impostazione neanche con l'Administrationstool.

Questo livello corrisponde all´utente SYSTEM di zenon.

Ancora in questo capitolo

Descrizione dell'AdministrationsTool


Descrizione dell'AdministrationsTool

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione dello schema di Active Directory -> Attribuzione di diritti utenti -> Descrizione dell'AdministrationsTool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione dell'AdministrationsTool

Parametro | Descrizione
[prima riga] | Parametro LDAP che serve da stringa di connessione.
Last Name | Cognome dell´utente selezionato.
First Name | Nome di battesimo dell´utente selezionato.
User Level | 4 valori interi rappresentano ciascuno 32 livelli di autorizzazione. L´inserimento viene eseguito attivando o disattivando le checkbox, oppure mediante inserimento diretto nel campo apposito.
# | Attualizza la visualizzazione dei livelli di autorizzazione.
Select | Attiva tutte le checkbox di una colonna.
Clear | Disattiva tutte le checkbox di una colonna.
Save | Salva tutte le impostazioni attuali.
Cancel | Elimina tutte le impostazioni eseguite dal momento dell´ultimo salvataggio e chiude la finestra di dialogo.
OK | Salva tutte le impostazioni e chiude la finestra di dialogo.
Logging | Visualizza le informazioni di login.


Estensione schema - Dettagli

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema - Dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per chiarire l´argomento, in questa sezione si spiegheranno dettagliatamente le estensioni dello schema, in modo da poterle controllare e verificare in caso dell´insorgere di problemi.

Per poter osservare i dettagli dello schema AD, deve essere installato ADSI Edit sul server. Questo tool è disponibile non appena sono stati istallati i support tool per il Microsoft Server.

Il plug-in ADSI Edit può essere poi aperto nella console Microsoft Management (MMC). Poi possono essere create diverse connessioni.


Schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli ulteriori attributi possono essere controllati nello schema. Normalmente sono elencati in fondo alla lista.

zenonUserLevel1 - zenonUserLevel4


Configuration

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si è impostato il collegamento su “Configuration”, si possono esaminare e modificare i dettagli dei singoli oggetti AD. In questo caso, però, è interessante solamente l'oggetto “User-Display” nei singoli DisplaySpecifiers, visto che qui si crea il collegamento fra oggetto user e AdministrationsTool.

Le proprietà dell´oggetto user-Display contengono un attributo che ha il nome adminContextMenu.

Questo attributo contiene il link all'AdministrationsTool (zAD_UserDlg.exe).

Si può modificare questa voce anche manualmente, se necessario.

Procedura:

  1. Selezionare l´inserimento.
  2. Premere il pulsante Remove.
  3. Modificare il parametro.
  4. Aggiungere con Add.

Il parametro ha la seguente struttura:

,Identificazione della voce di menù, percorso del file zAD_UserDlg.exe

Example Esempio

Esempio se il file EXE viene salvato nel percorso D:/AD_Users.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Domain

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Domain

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se viene aperto il collegamento Domain, si vedono subito dei parallelismi con la MMC con il PlugIn Active Directory Users and Computer. Si può trovare la stessa informazione anche qui, ma in forma più dettagliata.

Se si esaminano, ad esempio, le proprietà di un oggetto user e si scrolla verso il basso fino ad arrivare in fondo alla lista, si trovano anche qui i quattro valori integer per i livelli di autorizzazioni.


Active Directory Lightweight Directory Services - AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Lightweight Directory Services (in breve: AD LDS) è una versione semplificata di Active Directory e si presta ad essere utilizzata su normali sistemi operativi desktop; non è dunque necessario utilizzare nessun sistema operativo server. Come AD, anche AD LDS supporta:

  1. Il nome del gruppo autorizzazioni nella Gestione utenti di zenon corrisponde al nome di un gruppo utenti in Active Directory: attribuzione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente definiti nel gruppo autorizzazioni di zenon. Si veda: gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono salvati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti salvati nel gruppo AD. Si veda: attribuzione di un utente Active Directory a livelli di autorizzazione di zenon

Potete usare AD LDS con:

  • Windows 7
  • Windows 8
  • Windows Server 2008
  • Windows Server 2012

Ancora in questo capitolo

AD LDS con Windows 8 e Windows Server 2012

AD LDS con Windows 7

AD LDS con Windows Server 2008

Gestione user zenon con Active Directory

Risoluzione dei problemi


AD LDS con Windows 8 e Windows Server 2012

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare AD LDS con Windows 8, Windows 8.1 o Windows Server 2012 con zenon:

  1. Installare AD LDS.
  2. Creare una nuova istanza AD LDS.
  3. Importare uno schema AD LDS.
  4. Installare l´amministrazione remota per Windows Server.
  5. Configurare l´Active Directory Snap-in per poter gestire le istanze AD LDS.
  6. Definire ruoli, unità organizzative e gruppi utenti

Nota: le istruzioni per l´installazione e l´uso di AD LDS utilizzano in parte screenshot con interfaccia utente in lingua inglese.

Ancora in questo capitolo

Installazione di AD LDS

Creare una nuova istanza AD LDS

Importare uno schema AD LDS

Installare l´amministrazione remota del server in Windows 8

Tool

Configurazione dello snap-in Schema di Active Directory

Configurare ruoli, unità organizzative e utenti


Installazione di AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Installazione di AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows 8

Per installare AD LDS con Windows 8:

  1. Aprire il pannello di controllo.
  2. Aprire Programmi e funzionalità.
  3. Selezionare Attiva o disattiva funzionalità di Windows.

  4. Attivare la checkbox dell´opzione Active Directory Lightweight Directory Services.
  5. Cliccare su OK.

Windows Server 2012

Per installare AD LDS con Windows Server 2012:

  1. Passare a Manage -> Add Roles and Features.
  2. Viene avviato il Wizard.

  3. Selezionare Role-based or feature-based installation.
  4. Cliccare su Next.

  5. Selezionare uno dei server del server Pool.
  6. Cliccare su Next.

  7. Per la proprietà “Server Roles”, attivare la checkbox dell´opzione Active Directory Lightweight Directory Services.
  8. Cliccare su Next.

  9. Attivare la checkbox di Include management tools.
  10. Cliccare su Add Fetaures.

  11. Cliccare su Next.

  12. Confermare il restart automatico del server.


Creare una nuova istanza AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Creare una nuova istanza AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova istanza AD LDS:

  1. In Windows, passare alla cartella %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools.
  2. Lanciare il file Setup-Assistent di Active Directory Lightweight Directory Services.

  3. Cliccare su Next.

  4. Come tipo di installazione, selezionare una istanza unica (unique instance).
  5. Cliccare su Next.

  6. Assegnare un nome istanza (instance name).
  7. Cliccare su Next.

  8. Indicare il numero di porta LDAP e SSL.
    Default LDAP: 389
    Default SSL: 636
    Nota: se si modifica uno dei numeri di porta, lo si deve cambiare anche in alcuni dei seguenti passaggi.
  9. Cliccare su Next.

  10. Attivare l´opzione per una partizione di directory applicativa (application directory partition).
  11. Indicare il nome partizione (partition name).

    Nota: il nome partizione è usato con il numero di porta e quello del server in zenon.
    In questo esempio, l´inserimento nella corrispondente proprietà di zenon Connessione AD LDS sarebbe il seguente: \\w8x64-vm0009.testenv.local:389/DC=copadata,DC=com

  12. Nell´assistente, cliccare su Next.

  13. Indicare il luogo di salvataggio per i file di dati e file recupero dati: (Si possono lasciare le impostazioni di Default.)
  14. Cliccare su Next.

  15. Scegliere i livelli di autorizzazione con cui i processi di autorizzazione devono essere eseguiti. (In questo esempio Account servizio di rete (Network service account).)

    Nota: se il computer su cui è installato AD LDS non fa parte del dominio, verrà visualizzato un corrispondente messaggio di avvertimento.

    Questo non comprometterà la funzionalità finché non si eseguiranno repliche (replications). Confermare il messaggio di avvertimento cliccando su Yes.

  16. Nell´assistente, cliccare su Next.

  17. Indicare l´utente che deve amministrare AD LDS. In questo esempio si usa l´utente attualmente registrato.
    L´utente non deve essere necessariamente un amministratore locale, né un amministratore di dominio. Si può anche indicare un gruppo.
    Ma: in zenon si deve indicare un singolo utente. Questo user può essere membro di un gruppo.

    L´utente configurato in questa sede viene usato in zenon nelle proprietà Nome utente AD LDS e Password AD LDS:

  18. Nell´assistente, cliccare su Next.

  19. Importare i file LFIF necessari: Sono necessari:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF
  20. Cliccare su Next.

  21. Confermare la configurazione cliccando suNext.

    L´installazione verrà eseguita.

  22. Chiudere l´assistente cliccando sul pulsante Finish


Importare uno schema AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Importare uno schema AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare schemi LD ADS:

  1. Aprire la riga di comando.
  2. Passare alla cartella AD LDS: WINDIR%\ADAM.
  3. Digitare il seguente comando e premere il tasto Ins:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf

    Nota: se è stato configurato un utente dedicato per la partizione AD LDS, si deve indicare anche:

    • Utente
    • Dominio
    • Password per ldifde

    Sintassi: (user: ADLDS, domain: T08-12en64, password: password): ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf -b ADLDS T08-12en64 Copadata1

  4. Si riceve una conferma relativa alla modifica effettuata.

  5. Digitare il seguente comando e premere il tasto Ins (anche in questo caso valgono le regole per utenti dedicati come nel passo precedente):

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

  6. Si riceve una conferma che l´operazione è riuscita.


Installare l´amministrazione remota del server in Windows 8

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Installare l´amministrazione remota del server in Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In Windows 8, si deve installare anche l´amministrazione remota del server. Procedura:

  1. Aprire il pannello di controllo.
  2. Aprire Programmi e funzionalità.
  3. Selezionare Attiva o disattiva funzionalità di Windows.

  4. Attivare la checkbox di Remote server administration tools.
  5. Cliccare su OK.

Nota: nel caso in cui non dovessero essere visualizzati i Remote server administration tools, scaricarli dalla website di Microsoft e installarli.


Tool

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti tool sono utili per gestire AD LDS:

  • Microsoft mmc con lo snap-in Schema di Active Directory: mmc –a
  • ADSI Edit
  • ADExplorer (possono essere scaricati da Microsoft Sysinternals)


Configurazione dello snap-in Schema di Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurazione dello snap-in Schema di Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare lo snap-in Schema di Active Directory:

  1. Aprire la riga comandi con diritti di amministratore.
  2. Digitare il seguente comando e premere il tasto Ins: regsvr32 schmmgmt.dll
  3. Si riceve una conferma non appena l´operazione di registrazione è riuscita.

  4. Aprire l´esecuzione
    Inserire: mmc /a
  5. Si aprirà la console di amministrazione:

  6. Nel menù File, cliccare sul comando Aggiungi/Rimuovi Snap-in.

  7. Selezionare Active Directory Schema..
  8. Cliccare su Aggiungi (Add).
  9. Cliccare su OK.
  10. Selezionare l´inserimento Active Directory Schema.
  11. Nel menù contestuale. selezionare Change Active Directory Domain Controller

  12. Inserire nel campo vuoto il nome del server e la porta: In questo esempio: w8x64-vm0026.testenv.local:389.
    Selezionare il server e la porta.
    Verrà visualizzata la seguente schermata:

  13. Salvare lo Snap-in mediante File-> Salva.
  14. Passaggio facoltativo:
    1. Aprire la cartella Classi (Classes) e passare all´inserimento organization.

    2. Nel menù contestuale, cliccare su Proprietà (Properties).
    3. Aprire la scheda Attributes.

    4. Cliccare su Add e cercare maxPwdAge. Cliccare su OK.

      Aggiungere anche lockoutDuration e lockoutThreshold.

      Confermare la finestra di dialogo cliccando su OK.

      Questi passaggi sono facoltativi e, per poterli eseguire, è necessario disporre dei diritti corrispondenti. maxPwdAge definisce l´intervallo di tempo in cui una password è valida prima che sia necessario cambiarla. lockoutDuration definisce per quanto tempo un utente è bloccato dopo aver inserito più volte una password errata. Il numero consentito di inserimenti sbagliati della password viene definito con lockoutThreshold.

  15. Aprire la cartella Classi (Classes) e passare all´inserimento user.
    1. Nel menù contestuale, cliccare su Proprietà (Properties).
    2. Aprire la scheda Attributes.
    3. Cliccare su Add e cercare sAMAccountName. Cliccare su OK.
      Aggiungere anche groupMembershipSAM e userAccountControl.

    Confermare la finestra di dialogo cliccando su OK.

  16. Chiudere la console.

Istruzioni per la password

Le istruzioni password relative alla complessità, la lunghezza minima e la validità minima, sono configurate nelle linee guida di sicurezza locali del computer. Se il computer su cui è attivo AD LDS è parte di un gruppo di lavoro, si hanno i “Criteri di sicurezza locali”. Se il computer si trova in un dominio, si hanno le Domain Security Policies. Le linee guida per la password devono essere configurate in dipendenza dell´installazione con cui si lavora.

Per i criteri di sicurezza locali:

  1. Passare a %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\Tools\.
  2. Aprire Criteri di sicurezza locali.
  3. Configurare Criteri password (sottonodo del nodo “Criteri account”).

  4. Configurare Criterio di blocco account.


Configurare ruoli, unità organizzative e utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare ruoli, unità organizzative e utenti, usare l´Editor ADSI. Si trova nel percorso:

%ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\.

Per eseguire configurazioni con l´Editor ADSI:

  1. Aprire l´Editor ADSI.

  2. Nel menù contestuale, selezionare Instaura connessione (connect to..).
  3. Si aprirà la finestra di dialogo che consente di configurare le impostazioni di connessione.

  4. Configurare le seguenti opzioni in modo adatto alle impostazioni selezionate.
    • Punto di connessione (connection point): DC=copadata,DC=com
    • Computer: localhost:389
    • Chiudere la finestra di dialogo cliccando su OK.
  5. Adesso dovrebbe essere visualizzata la seguente visuale dell´Editor (aprire la struttura ad albero nella finestra a sinistra cliccando sulla freccia, oppure cliccando due volte su un inserimento).

Questo è il punto di partenza per tutte le ulteriori configurazioni. In questo esempio:

  • Configurare ruoli
  • Configurare maxPWwdAge
  • Creare unità organizzative
  • Creare gruppi
  • Creare utenti
  • Aggiungere utenti a gruppi

Ancora in questo capitolo

Configurare ruoli

Configurare la durata di validità della password

Creare unità organizzative

Creare un gruppo utenti

Creare utenti

Aggiungere utenti a gruppi e settare la password


Configurare ruoli

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Configurare ruoli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare ruoli

In questo capitolo si spiega come assegnare diritti di lettura zenon per la struttura dell´albero AD LDS.

Procedura:

  1. Espandere la cartella CN=Roles.

  2. Selezionare CN=Readers.
  3. Nel menù contestuale, selezionare Properties
  4. Si apre la finestra di dialogo delle proprietà:

  5. Passare all´inserimento member.
  6. Cliccare su Edit.
  7. Cliccare su Add Windows account.
  8. Aggiungere l´utente Ognuno (Everyone) per il local host.
  9. Chiudere la finestra di dialogo.
  10. Verrà visualizzata la seguente finestra di dialogo.


Configurare la durata di validità della password

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Configurare la durata di validità della password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare la durata di validità della password

Questo argomento è importante se, per la unità di organizzazione zenon, si desiderano regole password dedicate. Se non si configurano queste regole, verranno applicati i criteri di sicurezza locali del computer su cui è stato installato AD LDS.

Per configurare le regole:

  1. Selezionare la cartella DC=copadata,DC=com.
  2. Cliccare su Aggiorna (Refresh).
  3. Chiudere l´Editor ADSI.
  4. Aprire l´Editor di nuovo.
  5. Selezionare l´inserimento DC=copadata,DC=com.
  6. Aprire le proprietà usando il menù contestuale:

  7. Passare all´inserimento maxPwdAge.
  8. Digitare un valore valido (formato: DD:HH:MM:SS) e chiudere la finestra di dialogo.

    Nota: se l´inserimento maxPwdAge non dovesse esistere, verificare se la proprietà è stata aggiunta correttamente. Si può risolvere il problema anche con un update, oppure chiudendo e riaprendo l´Editor.

  9. Passare all´inserimento lockoutDuration.
  10. Digitare un valore valido (formato: DD:HH:MM:SS) e chiudere la finestra di dialogo.

  11. Passare all´inserimento lockoutThreshold.
  12. Digitare un valore valido e chiudere la finestra di dialogo.


Creare unità organizzative

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Creare unità organizzative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare unità organizzative

Per creare un´unità organizzativa:

  1. Selezionare la cartella DC=copadata,DC=com.

  2. Nel menù contestuale, selezionare Nuovo-> Oggetto (New - Object).

  3. Come classe, selezionare organizationalUnit.
  4. Cliccare su Next.

  5. Nel campo “Value” inserire un nome.
  6. Cliccare su Next.
  7. Cliccare su Close.


Creare un gruppo utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Creare un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare un gruppo utenti

Per creare gruppi utenti:

  1. Selezionare la cartella con l´unità organizzativa impostata.

  2. Nel menù contestuale. selezionare Nuovo-> Oggetto (New - Object).

  3. Selezionare l´inserimento group.
  4. Cliccare su Next.

  5. Nel campo Value assegnare un nome, in questo esempio zenon user group.
  6. Cliccare su Next.

  7. Cliccare sul pulsante More Attributes
  8. Selezionare l´inserimentogroupAttributes.

  9. Nel campo Edit attribute, digitare 2147483650.
  10. Cliccare su Set.

  11. Cliccare su OK.
  12. Nella finestra di dialogo More Attributes, selezionare la proprietà sAMAccountName.

  13. Inserire lo stesso valore impostato anche per group.
  14. Cliccare su Set.

  15. Cliccare su OK.
  16. Cliccare su Finish.


Creare utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Creare utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare utenti

Per creare utenti:

  1. Selezionate l´unità di organizzazione.

  2. Nel menù contestuale selezionare Nuovo-> Oggetto (New - Object).

  3. Come oggetto, selezionare user.

  4. Nel campo Value, inserire un nome.
  5. Cliccare su Next.

  6. Cliccare su More Attributes.
  7. Selezionare sAMAccountName.

  8. Inserire lo stesso valore usato per user.
    Nota: questo è importante per far sì che l´utente possa essere usato in zenon.
  9. Cliccare su Set.

  10. Cliccare su OK.
  11. Cliccare su More Attributes.
  12. Selezionare displayName.

  13. Assegnare una denominazione per la visualizzazione.
  14. Cliccare su Set.

  15. Cliccare su OK.
  16. Cliccare su Finish.


Aggiungere utenti a gruppi e settare la password

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Aggiungere utenti a gruppi e settare la password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Aggiungere utenti a gruppi e settare la password

In questo capitolo si spiega come aggiungere un utente a un gruppo e assegnare una password.

Aggiungere utenti:

Per aggiungere un utente a un gruppo:

  1. Selezionare il gruppo.

  2. Nel menù contestuale, selezionare Properties

  3. Selezionare member.
  4. Cliccare su Edit.

  5. Cliccate su Add DN....
    Si apre la finestra di dialogo che consente di aggiungere un utente già configurato

  6. Inserire per l´utente di questo esempio: CN=zenon1,OU=zenon users OU,DC=copadata,DC=com
  7. Cliccare su OK per chiudere la finestra di dialogo.

  8. Cliccare su OK.

Impostare la password

Definire adesso una password per l´utente. Procedura:

  1. Selezionare l´utente appena creato.

  2. Nel menù contestuale, selezionare Reset password.
  3. Assegnare una password.
    Nota: la password deve soddisfare i requisiti dei Criteri di sicurezza locali.
  4. Chiudere la finestra di dialogo.
  5. Nel menù contestuale dell´utente, selezionare Properties.

  6. Nelle proprietà, selezionare msDS-UserAccountDisabled.

  7. Settare il valore su False.

Adesso l´utente potrà essere usato in zenon.


AD LDS con Windows 7

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

AD LDS può essere usato anche con Windows 7. I setup necessari si trovano nella Microsoft Website.

Dopo l´installazione, si deve eseguire la configurazione mediante Pannello di controllo -> Gestione; si procede in modo analogo a quando descritto per Windows Server 2008.

Ancora in questo capitolo

Creare una nuova istanza AD LDS

Importare lo schema AD LDS

Configurare AD Schema Snap-in

Configurare unità organizzative, gruppi e utenti


Creare una nuova istanza AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Creare una nuova istanza AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova istanza AD LDS:

  1. Nel Directory Services Control Panel di Active Directory Lightweight, aprire il AD LDS Setup Wizard.

  2. Lanciare il Wizard:

  3. Selezionare l´opzione A unique instance.

  4. Assegnare un nome a quest´istanza.

  5. Configurare le porte. Default:
    • LDAP: 389
    • SSL: 636

    Nota: se si cambia la porta impostata, si dovrà eseguire il cambio anche in alcune delle seguenti impostazioni.

  6. Specificare il Partition Name.

    In questo esempio: o=zenon,c=com

    Il Partition Name viene usato insieme alla porta e al nome server in zenon.

    Si può eseguire questo passaggio di configurazione in zenon in un secondo momento. Proseguire con la configurazione nel Wizard.

  7. Definire il posto di salvataggio.
    Si può mantenere l´impostazione di default.

  8. Definire il Service Account per AD LDS.

    In questo esempio: Network service account

    Se il computer su cui è installato AD LDS non fa parte di un dominio, verrà visualizzato il seguente avvertimento:

    Questo non compromette la funzionalità di AD LDS. Eccezione: se si usa la funzione “Replication”.

    Confermare di aver letto questo avviso cliccando sul pulsante Yes.

  9. Definire l´utente destinato a ricevere i diritti amministratore.

    In questo esempio si usa il Currently logged on user. In questo caso, un utente locale con diritti di amministratore.

    L´utente e la sua password vengono usate più tardi in zenon.

    Questa configurazione può essere eseguita in un secondo momento. Proseguire con la configurazione nel Wizard.

  10. Importare i file LDIF necessari:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Terminare l´installazione.


Importare lo schema AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Importare lo schema AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare schemi AD LDS:

  1. Nel Windows Explorer, passare alla cartella %WINDIR%\ADAM.
  2. Nel menù contestuale, selezionare [Tasto shift+clic con il tasto destro del mouse]: Apri finestra di comando qui (Open Command Window Here).

  3. Inserire la seguente successione di caratteri:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Premere poi il tasto "Ins":

  5. Inserire la seguente successione di caratteri:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Nota: se è stata cambiata una porta, a questo punto la si deve adattare.

  6. Premere poi il tasto "Ins":


Configurare AD Schema Snap-in

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Configurare AD Schema Snap-in

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare lo schema Snap-in, lo si deve anzitutto registrare tramite il prompt dei comandi (sono necessari diritti di amministratore):

  1. Cliccare sul pulsante Start.
  2. Passare al prompt dei comandi
  3. Nel menù contestuale selezionare Esegui come amministratore
  4. Nel prompt dei comandi, inserire: regsvr32 schmmgmt.dll.
  5. Confermare premendo il tasto Invio.

Configurazione

  1. Cliccare sul pulsante Start.
  2. Aprire Esegui
  3. Inserire: mmc /a.

  4. Cliccare su File -> Add/Remove Snap-in...

  5. Selezionare Active Directory Schema.
  6. Cliccare su Add
  7. Cliccare su OK

  8. Passare a Active Directory Schema.
  9. Nel menù contestuale, selezionare Change Active Directory Domain Controller...

  10. Indicare server e porta (in questo esempio: localhost:389).

  11. A questo punto dovrebbe essere visualizzata questa finestra:

  12. Passare a Classes -> organization.
  13. Aprire le Properties.

  14. Cliccare su Add.
    1. Cercare maxPwdAge.
    2. Cliccare su OK

    1. Ripetere l´operazione per lockoutDuration

    1. e per lockoutThreshold.

  15. Cliccare su OK

  16. Aprire la cartella Classes e passare all´inserimento user.
    1. Nel menù contestuale, selezionare l´inserimento Properties.
    2. Aprire la scheda Attributes.
    3. Cliccare su Add e cercare sAMAccountName.
    4. Cliccare su OK
    5. Aggiungere anche groupMembershipSAM e userAccountControl.
    6. Chiudere la finestra di dialogo cliccando su OK.
  17. Chiudere la console.

Note:

  • queste operazioni sono assolutamente necessarie per avere maxPwdAge a disposizione nell´unità organizzativa che verrà configurata di seguito.
    • maxPwdAge definisce il periodo di tempo massimo dopo il quale un utente deve modificare la password.
    • lockoutDuration definisce il periodo di tempo per il quale un utente viene bloccato dopo che ha inserito più volte la password errata.
    • lockoutThreshold definisce il numero di tentativi errati ammessi prima che l´utente venga bloccato per un periodo determinato.
  • Nei criteri di sicurezza locali del computer vengono definite le regole per:
    • password complexity
    • minimum password length
    • age


Configurare unità organizzative, gruppi e utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Configurare unità organizzative, gruppi e utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare unità organizzative, gruppi e utenti:

  1. Aprire Start -> Administrative Tools -> ADSI Edit

  2. Nel menù contestuale, selezionare Connect to...
  3. Usare le seguenti impostazioni (modificare eventuali impostazioni precedentemente configurate):
    1. Connection Point: o=zenon,c=com
    2. Computer: localhost:389

    A questo punto dovrebbe essere visualizzata questa configurazione:

Configurare maxPwdAge

  1. Selezionare O=zenon,c=com.
  2. Cliccare su Refresh.
  3. Chiudere ADSI Edit.
  4. Aprire di nuovo ADSI Edit.
  5. Selezionare O=zenon,c=com.
  6. Nel menù contestuale, selezionare Properties.

  7. Passare a maxPwdAge.
    1. Inserire un valore valido.
    2. Formato: DD:HH:MM:SS (in questo esempio 10:00:00:00)

    Nota: se la proprietà maxPwdAge non è visibile, controllare se è stata aggiunta in modo corretto. Anche un refresh, la chiusura e l´apertura di ADSI Edit, oppure ricaricare lo schema, sono modi per eliminare il problema.

  8. Passare a lockoutDuration
    1. Inserire un valore valido.
    2. Formato: DD:HH:MM:SS (in questo esempio 00:00:10:00, -> 10 minuti)

  9. Passare a lockoutThreshold.

  10. Inserire lo stesso valore impostato nei criteri di sicurezza locali (per es. 3)

Nota: le impostazioni per la durata del blocco dell´account vengono ignorate in AD LDS. Si usa la proprietà lockoutDuration (O=zenon,c=com) .

Ancora in questo capitolo

Utente

Unità organizzativa

Gruppi


Utente

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Configurare unità organizzative, gruppi e utenti -> Utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Utente

Per creare un utente:

  1. Selezionare l´unità organizzativa.
  2. Nel menù contestuale, selezionare New -> Object.

  3. Selezionare la classe user.

  4. Assegnare un nome.
    In questo esempio: zenon1.

  5. Cliccare su Next
  6. Passare alla scheda Attributes.
  7. Cliccare su More Attributes
    1. Passare alla proprietà Select a property to view.
    2. Nel menù a tendina, selezionate sAMAccountName.
    3. Passare a Edit Attribute.
    4. Impostare lo stesso valore usato per l´utente (zenon1).
      Questa configurazione è necessaria per far sì che l´utente possa essere utilizzato in zenon.

  8. Cliccare su Set
  9. Per la proprietà Select a property to view, selezionare displayName.
  10. Inserire un valore per la visualizzazione del nome, per es. 1st SCADA user.

  11. Cliccare prima su Set, poi OK e su Finish.

Aggiungere un utente ad un gruppo

Per aggiungere un utente a un gruppo:

  1. Selezionare zenon user group.
  2. Nel menù contestuale, selezionare Properties.

  3. Selezionare member.
  4. Cliccare su Edit.

  5. Per aggiungere l´account AD LDS precedentemente impostato (user):
    1. Cliccare su Add DN...
    2. Nella maschera di inserimento dati, digitare: CN=zenon1,OU=zenon users OU,O=zenon,C=com.

    Il risultato sarà il seguente:

  6. Definire una password per l´utente zenon1.

    Nota: la password deve soddisfare i requisiti dei Criteri di sicurezza locali.

  7. Per l´utente zenon1, impostare la proprietà set msDS-UserAccountDisabled su False.

L´utente è stato impostato e può essere usato in zenon.


Unità organizzativa

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Configurare unità organizzative, gruppi e utenti -> Unità organizzativa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Unità organizzativa

Per creare un´unità organizzativa:

  1. Selezionare O=zenon,c=com
  2. Nel menù contestuale, selezionare New -> Object

  3. Selezionare organizationalUnit

  4. Assegnare un nome (in questo esempio: zenon users OU)

  5. Cliccare su Next e poi su Finish


Gruppi

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows 7 -> Configurare unità organizzative, gruppi e utenti -> Gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppi

Per creare un gruppo:

  1. Selezionare l´unità organizzativa.
  2. Nel menù contestuale, selezionare New -> Object.

  3. Selezionare group.

  4. Assegnare un nome (in questo esempio:io: zenon user group)

  5. Cliccare su Next.
  6. Passare alla scheda Attributes.
  7. Cliccare su More Attributes.
    1. Passare alla proprietà Select a property to view.
    2. Nel menù a tendina, selezionare groupAttributes.
    3. Passare a Edit Attribute.,
    4. Inserire il valore 2147483650 (rappresenta un account group)

  8. Cliccare su Set.
  9. Per la proprietà Select a property to view, selezionare sAMAccountName
  10. Inserire lo stesso valore usato per il gruppo (zenon user group)

    Nota: questa impostazione è necessaria per poter configurare i gruppi utenti in zenon.

  11. Cliccare su OK e poi su Finish


AD LDS con Windows Server 2008

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS con Windows Server 2008

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare l´AD LDS Server Role:

  1. Negli “Administrative Tools”, selezionare l´opzione Server Manager.

  2. Cliccare su Add Roles.

  3. Aggiungere AD LDS Role.


Gestione user zenon con Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´uso in zenon, configurare anzitutto le impostazioni nell´Editor e poi impostare l´identificazione utente su AD LDS per il Runtime.

info Info

Active Directory e AD LDS, ma anche ADAM (per Windows XP), non sono disponibili con Windows CE.

Ancora in questo capitolo

Editor

Runtime - variabili del driver di sistema


Editor

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione si esegue nella sezione Gestione user delle proprietà di progetto:

Esempio

Sono state eseguire le seguenti impostazioni:

  • L´utente ha creato un gruppo utenti con il nome zenon user group.

  • A questo gruppo è stato assegnato un livello di autorizzazione.


Runtime - variabili del driver di sistema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory -> Runtime - variabili del driver di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • L´utente zenon1 può eseguire il login in zenon.

    La proprietà Nome completo di zenon corrisponde all´attributo AD LDS displayName.

    La proprietà Nome utente corrisponde all´attributo AD LDS sAMAccountName.

  • L´utente riceve i suoi livelli di autorizzazione dal gruppo zenon:

  • Il sistema visualizza i giorni che restano prima che la password debba essere modificata (con un giorno di differenza):

Gestione errori

Se si verificano errori a Runtime, verificare se:

  • Le impostazioni sono state eseguite in modo corretto:
    • Nome utente
    • sAMAccountName
  • Le impostazioni per il firewall sono state eseguite in modo corretto.
  • La configurazione dell´Editor è corretta per:
    • Connessione.
    • Password.

Se l´utente non dovesse ottenere nessun livello di autorizzazione dal gruppo zenon, controllare se:

  • I nomi corrispondono.
  • sAMAccountName del gruppo è stato settato in AD LDS
  • L´utente in AD LDS è stato aggiunto al gruppo.

AD

Se si vuole che le autorizzazioni operative vengano acquisite dal gruppo utenti in AD, in AD LDS si deve:

  • Modificare la proprietà description nel gruppo.
  • Denominare il gruppo esattamente come il progetto.

Per ulteriori informazioni sulla configurazione, si prega di consultare il capitolo Settaggio dei livelli di autorizzazione di zenon nel campo della descrizione di un gruppo Active Directory.


Risoluzione dei problemi

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Verifica della connessione con AD LDS Directory

  1. Aprire il Microsoft ADExplorer sul computer su cui sono usati l´Editor di zenon oppure il Runtime di zenon.
  2. Cercare di stabilire una connessione con AD LDS Directory con le impostazioni usate in zenon.
  3. Cause di errore possono essere:
    • hostname errato.
    • Porta errata.
    • Regole per il firewall in rete.

L´utente non può eseguire il login.

Verificare se in AD LDS tutti gli attributi impostati settati in modo corretto:

  • sAMAccountName
  • groupMembershipSAM
  • userAccountControl

L´utente non ottiene i livelli di autorizzazione a lui assegnati.

  • Controllare:
  • Il Nome dello zenonGruppo utenti è configurato nello stesso modo come in AD LDS?
  • L´utente AD LDS è assegnato al gruppo AD LDS corrispondente?
  • L´attributo sAMAccountName è settato nel gruppo AD LDS?

Nessun contenuto nello Snap-in

Se, dopo l´apertura dello Snap-in Schema di Active Directory, non viene visualizzato nessun contenuto, i diritti di accesso dovranno essere modificati. Procedura:

  1. Nel menù contestuale, selezionare Permissions....

  2. Assegnare agli utenti necessari i diritti corrispondenti
    (si possono aggiungere nuovi utenti cliccando su Add).

  3. Cliccare sul pulsante Advanced.

  4. Cliccare sul pulsante Advanced.
  5. Aprire la scheda Permissions.
  6. Attivare l´opzione Apply to This object and all descedant objects per l´utente corrispondente.

  7. Chiudere la console e aprirla di nuovo (mmc /a) per gli ulteriori passi di configurazione.


Active Directory Application Mode - ADAM (solo per Windows XP)

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Application Mode (ADAM) è pensato per essere utilizzato con Windows XP. Windows XP non viene più supportato da zenon, perché Microsoft ha ritirato dal mercato questo sistema operativo e non garantisce più un supporto tecnico. Questa documentazione si riferisce esclusivamente a sistemi che funzionano ancora sotto Windows XP.

Per tutti i sistemi operativi attuali, usare Active Directory Lightweight Directory Services:

  • Windows 7
  • Windows 8/8.1
  • Windows Server 2008
  • Windows Server 2012

Requisiti

Per poter usare Active Directory Application Mode per zenon, bisogna tener conto dei seguenti punti al momento di configurare ADAM.

  1. Creare una nuova istanza ADAM.
  2. Importare uno schema AD .
  3. Per consentire all´utente ADAM l´accesso, cliccare su Program -> Administration -> Local security guidelines. Nel dialogo che si aprirà, cliccare su Security settings > Account guidelines. Qui definite le impostazioni desiderate per le regole relative a password e blocco dell´account.
  4. Configurare lo Snap-In Schema di ADAM.
  5. Nello Snap-In, cliccare sulla voce Classes -> Organization, e selezionare Properties. Poi nella scheda Attribute , indicare maxPwdAge come attributo opzionale. In questo modo si garantisce che la verifica e la modifica della password funzionino come in Active Directory.

    Nota: si deve indicare la durata di validità della password in nanosecondi.

  6. Creare utente e gruppo utente in ADAM. Tenere presente i seguenti punti:
    • Per utente e gruppo utenti si deve inserire ancora una volta manualmente il nome alla voce Properties -> Attribute-Editor per attributosAMAccountName.
    • Per il gruppo utente, si deve indicare il nome come descritto alla voce Uso di Active Directory.
    • I livelli di autorizzazione zenon vengono creati come descritto alla voce Uso di Active Directory all´attributo description.

info Info

Per visualizzare il nome utente tramite una variabile del driver di sistema, si deve impostare manualmente il nome utente in ADAM alla voce Utente sotto Properties > Attribute-Editor in corrispondenza dell´attributo displayName.

Ancora in questo capitolo

Creare una nuova istanza ADAM

Iniziare ad usare AD-Schema

Configurare lo snap-in di ADAM Schema


Creare una nuova istanza ADAM

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Creare una nuova istanza ADAM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

  1. In questo modo si installa un´istanza ADAM usando l´assistente di configurazione di Active Directory Application Mode.

  2. Per aprire l´assistente di configurazione di Active Directory Application Mode, cliccare su Start, selezionare Programmi e poi ADAM; poi cliccare su Crea istanza ADAM.
  3. Alla pagina di benvenuto, cliccare su Avanti.
  4. Alla pagina Opzioni di installazione si può decidere se installare una istanza ADAM unica, oppure assegnare una nuova istanza ad una configurazione già esistente. Siccome si installa la prima istanza ADAM, cliccare su Installare istanza unica. Poi cliccare su Avanti.
  5. Alla pagina Nome istanza, inserire un nome per l´istanza ADAM da installare. Il nome viene usato sul computer locale per identificare in modo univoco l´istanza ADAM. Cliccare su Avanti.
  6. Alla pagina Ports, indicare i numeri delle porte che vengono usate dall´istanza per la comunicazione. ADAM può comunicare tramite il protocollo LDAP (Lightweight Directory Access-Protokoll) o il protocollo SSL (Secure Sockets Layer). Per questa ragione si deve inserire un valore per entrambe le porte. Cliccare poi su Avanti.

    Nota: se una delle porte standard è già in uso sul computer su cui si installa ADAM, l´assistente di configurazione di Active Directory Application Mode cerca automaticamente la prima porta disponibile, iniziando da 50000. Per esempio: Active Directory usa le porte 389 e 636, e 3268 e 3269 su server di catalogo globali. Per questa ragione, quando si installa ADAM su un controller di dominio, vengono impostati i valori standard

    50000

    per la porta LDAP e

    50001

    per la porta SSL.

  7. Alla pagina Partizione di directory applicativa, si può creare una partizione di directory applicativa (oppure un contesto dei nomi); per farlo, si deve cliccare su Sì, crea una partizione di directory applicativa. Se si clicca su Non creare una partizione di directory applicativa, invece, si dovrà creare manualmente una partizione di directory applicativa dopo l´installazione. Se si crea una partizione di directory applicativa, si deve indicare un nome definito per la nuova partizione. Cliccare poi su Avanti.

    Nota: ADAM supporta nomi definiti in X.500- e in stile DNS (Domain Name System) per partizioni di directory del livello più alto.

  8. Alla pagina Percorsi file, si possono visualizzare e modificare le cartelle di installazione per i dati ADAM e i file di ripristino (file di log). Di default, i dati ADAM e i file di ripristino vengono salvati in %ProgramFiles(x86)%\Microsoft ADAM\Nome istanza\data.

    Nome istanza

    è il nome istanza ADAM che viene indicato alla pagina

    Nome istanza

    . Cliccare su Avanti per applicare i percorsi standard.

    Nota: quando si installa ADAM su un computer con il sistema operativo Windows XP, si deve installare questi file sullo stesso volume logico. Quando si installa ADAM in ambiente produttivo con il sistema operativo Windows Server 2003 e Windows Server 2003 R2, si consiglia di installare i file su supporti dati separati.
    File di programma e strumenti di amministrazione vengono installati da ADAM in %windir%\ADAM.

  9. Alla pagina Selezione account di servizio, si seleziona un account da usare come account di servizio per ADAM. L´account selezionato determina il contesto di sicurezza in cui viene eseguita l´istanza ADAM. Se non si installa ADAM su un controller di dominio, viene usato di default l´account servizio di rete dell´assistente di configurazione di Active Directory Application Mode. Cliccare su Avanti per applicare l´impostazione standard Account servizio di rete. Quando si installa ADAM su un controller di dominio, invece, cliccare su Questo account e selezionare poi l´account utente di dominio come account di servizio per ADAM.

    Nota: si può modificare l´account di servizio ADAM dopo l´installazione di ADAM con il programma della riga di comando dsmgmt. Quando si installa ADAM su un controller di dominio, si deve selezionare un account utente di dominio come account di servizio per ADAM.

  10. Alla pagina Amministratori ADAM, selezionare un utente o un gruppo come amministratore predefinito per l´istanza ADAM. L´utente o il gruppo selezionato dispone di tutta la funzionalità di amministrazione per l´istanza ADAM. Di default, l´assistente di configurazione di Active Directory Application Mode usa l´utente attualmente loggato. Questa selezione può essere modificata in ogni account locale o account dominio, oppure in ogni gruppo in rete. Cliccare su Utente loggato attualmente, e cliccare poi su Avanti.
  11. Alla pagina

    Importazione file LDIF

    , si possono importare due file LDF con definizioni oggetto di classe utente nello schema ADAM. Importare queste definizioni è facoltativo.
    1. Cliccare su

      Importare file LDIF selezionati per questa istanza ADAM

      .
    2. Cliccare su

      MS-InetOrgPerson.LDF

      e poi su Aggiungi.
    3. Cliccare su

      MS-User.LDF

      e poi su Aggiungi.
    4. Cliccare su

      MS-UserProxy.LDF

      , su Aggiungi e poi su Avanti.
  12. Alla pagina

    Pronto per l´installazione

    , si possono verificare le opzioni di installazione impostate. Se poi si clicca su Avanti, l´assistente di configurazione di Active Directory Application Mode comincia a copiare i file e ad installare ADAM sul computer.
  13. Quando l´assistente di configurazione di Active Directory Application Mode ha terminato l´installazione di ADAM, viene visualizzato il seguente messaggio: "L´assistente di configurazione di Active Directory Application Mode è stato portato a termine con successo.” Quando viene visualizzata la pagina Procedura guidata

    completata

    , cliccare su Termina per chiudere l´assistente. .

    Nota: se la procedura guidata dall´assistente di configurazione di Active Directory Application Mode non portata a termine con successo, viene visualizzato alla pagina

    Riepilogo

    un messaggio di errore che indica la causa dell´errore.

  14. Se si verifica un errore nella procedura dell´assistente di configurazione di Active Directory Application Mode prima che si apra la pagina Riepilogo, è possibile analizzare il messaggio di errore visualizzato. Inoltre, si può cliccare su Start e poi su Esegui e inserire uno dei seguenti nomi file:
    %windir%\Debug\Adamsetup.log
    %windir%\Debug\Adamsetup_loader.log
    I file %windir%\Debug\Adamsetup.log e %windir%\Debug\Adamsetup_loader.lo

    g

    contengono informazioni utili relative alla risoluzione dei problemi causati da errori di setup di ADAM.


Iniziare ad usare AD-Schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Iniziare ad usare AD-Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come usare per la prima volta il programma di sincronizzazione Active Directory/ADAM

  • Cliccare su Start.
  • Aprire Tutti i programmi.
  • Cliccare su ADAM e
  • Poi su Strumenti di amministrazione di ADAM:

    Si apre una finestra di comando nella cartella ADAM.

Per estendere l`ADAM Schema agli oggetti schema standard di Windows Server in Active Directory:

  • Nel prompt dei comandi, inserire il seguente comando in una riga:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k3.ldf

  • Premere poi il tasto "Invio".


Configurare lo snap-in di ADAM Schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Configurare lo snap-in di ADAM Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurare il programma amministrativo snap-In di ADAM-Schema.

Un altro programma amministrativo ADAM, lo snap-In di ADAM-Schema, consente di amministrare l´ADAM Schema. A chi ha usato lo snap-In di Active Directory-Schema, lo snap-In di ADAM-Schema dovrebbe risultare familiare. Prima di poter usare lo snap-In di ADAM-Schema, si deve creare un´apposito file MMC come descritto di seguito.

  • Cliccare su “Start” e poi su “Esegui”; inserire mmc /a, e poi, cliccare su OK.
  • Nel menù “File”, cliccare su “Aggiungi/Rimuovi snap-in” e cliccare poi su “Aggiungi”.
  • In “Snap-in autonomi disponibili”, cliccare su “ADAM-Schema”, su “Aggiungi”, su “Fine” e poi cliccare su OK.
  • Per salvare questa console, cliccare nel menù “File” su “Salva”.
  • Inserire nel nome file quanto segue, e cliccare poi su “Salva”:
    %windir%\system32\adamschmmgmt.msc
  • Con lo snap-In di ADAM-Schema, creare un collegamento con l´istanza ADAM. Per farlo, nella radice della console cliccare con il tasto destro del mouse su “ADAM-Schema”; cliccare su “Modifica ADAM-Server”. Inserire localhost per “ADAM-Server” e 389 per la porta.
  • Cliccare su OK. Lo snap-In di ADAM-Schema ha il seguente aspetto. Si può eseguire una ricerca e visualizzare le classi e gli attributi di ADAM-Schema.
  • Per creare un collegamento per lo snap-In di ADAM-Schema, eseguire le seguenti azioni nel menù “Start”:
    • Cliccare con il tasto destro del mouse su “Start”, cliccare su “Apri cartella Utenti”; eseguire un doppio clic sulla cartella “Programmi”, e doppio clic sulla cartella “ADAM”.
    • Nel menù “File”, passare a “Nuovo”, e cliccare poi su “collegamento”.
    • Inserite nell´assistente per la creazione di collegamenti, indicare il luogo di salvataggio dell´elemento, la seguente successione di caratteri adamschmmgmt.msc, e poi cliccare su “Avanti”.
    • Indicate nella pagina Selezione Indicazione programma in Indicate il nome del collegamento, il nome ADAM-Schema e cliccate poi su Termina.


Amministrare gli utenti Active Directory dal Runtime di zenon

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite un´immagine di tipo Gestione utenti Active Directory si può accedere a Windows Active Directory a Runtime. È possibile creare, cancellare e modificare unità organizzative, utenti e gruppi utenti, ed è possibile assegnare diritti in zenon.

info Info

Active Directory e AD LDS, ma anche ADAM (per Windows XP), non sono disponibili con Windows CE.

Domini a Runtime

A Runtime si usa il dominio dell´utente che ha avviato il Runtime per l´Active Directory Login. Possono eseguire il login solo quegli utenti che appartengono a questo dominio.

Autorizzazione utente

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!

Ancora in questo capitolo

Creare un´immagine di tipo “Gestione utenti Active Directory”

Cambio ad immagine di tipo “Gestione utenti Active Directory”

Gestione di utenti Active Directory a Runtime


Creare un´immagine di tipo “Gestione utenti Active Directory”

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Creare un´immagine di tipo “Gestione utenti Active Directory”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Gestione utenti Active Directory.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Immagine di tipo “Gestione utenti Active Directory”

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra Active Directory

Elementi di controllo per la visualizzazione e la gestione di Active Directory.

Contiene la Visualizzazione dettagli Active Directory: finestra in cui viene visualizzata la struttura di Active Directory.

Elemento di controllo | Descrizione
Finestra Active Directory |
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo che consente di creare una nuova unità organizzativa nella struttura ad albero.
Modifica unità organizzativa (Tree) |
Elimina unità organizzativa (Tree) | Cancella l´unità organizzativa selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Crea una nuova unità di organizzazione sotto l´elemento selezionato nella struttura ad albero. Viene aperta la corrispondente finestra di dialogo.
Crea nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente.
Crea nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che consente di modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.

Login

Elementi di controllo per il login in Active Directory.

Elemento di controllo | Descrizione
Nome dominio | Inserimento e visualizzazione del nome del dominio. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Inserimento e visualizzazione del nome utente AD. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | Inserimento della password. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Login | Con un clic del mouse si esegue il login dell´utente in AD.
Logout | Con un click del mouse si esegue il logout dell´utente.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Nome dominio | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.


Cambio ad immagine di tipo “Gestione utenti Active Directory”

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Cambio ad immagine di tipo “Gestione utenti Active Directory”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare l´immagine di tipo Gestione utenti Active Directory a Runtime, creare una funzione di cambio immagine. Configurando questa funzione, si possono eseguire delle impostazioni preliminari per definire le unità organizzative da visualizzare. Si può anche stabilire quale utente può selezionare quali unità organizzative.

Configurare il cambio immagine:

  1. Creare una nuova funzione di “cambio immagine” e collegarla ad un´immagine di tipo Gestione utenti Active Directory
  2. Assegnare un Nome dominio per poter poi aprire a Runtime l´AD di un determinato dominio.
    Si può anche lasciare vuoto il campo “Nome dominio”. In questo caso, il Nome dominio dovrà essere inserito a Runtime al momento del login.
  3. Configurare le Unità organizzative che devono essere visualizzate.
    Si può stabilire che vengano visualizzate tutte, oppure si possono selezionare specifiche unità organizzative.
  4. Chiudere la finestra di dialogo cliccando su OK e collegare la funzione ad un pulsante nell´immagine.

Finestra di dialogo - Filtro

Parametro

Descrizione

Nome dominio

Inserimento del dominio per cui Active Directory deve essere caricato al momento del cambio immagine.

Unità organizzativa

Selezione delle unità organizzative da visualizzare. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Tutte: a Runtime verranno visualizzati tutti i nodi della struttura AD del dominio.
  • Specifiche: consente la selezione di determinate unità organizzative. Cliccare sul pulsante... accanto al campo di inserimento per aprire la finestra di dialogo che consente di selezionare unità di organizzazione.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Selezionare unità organizzative

Se si seleziona l´opzione Specifiche nella sezione “Unità organizzativa” del dialogo di filtro, verrà aperta prima la finestra di dialogo che consente l´inserimento dei dati di login, e poi quella per la selezione delle unità organizzative.

Login

Parametro

Descrizione

Utente attualmente connesso

Attivo: l´utente attualmente loggato sul computer, viene registrato in AD per la selezione delle unità organizzative.

Accesso esplicito

Attivo: un certo utente viene registrato in AD per la selezione delle unità organizzative.

  • Dominio: inserimento del dominio la cui struttura deve essere visualizzata.
  • Nome utente: Utente. Questo campo di inserimento può rimanere vuoto se è sufficiente una semplice lettura dei dati struttura.
  • Password:

OK

Applica le impostazioni e apre la finestra di dialogo Selezione dell´unità di organizzazione.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Unità organizzative

Parametro | Descrizione
Lista unità di organizzazione | Visualizzazione di tutte le unità di organizzazione del dominio selezionato. Selezione dall´albero delle cartelle.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Gestione di utenti Active Directory a Runtime

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Gestione di utenti Active Directory a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Gestione utenti Active Directory consente di gestire unità organizzative, gruppi utenti e utenti di Active Directory direttamente nel Runtime di zenon.

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!

Immagine di tipo “Gestione utenti Active Directory”

Quando si esegue il cambio immagine, viene aperta l´immagine vuota.

Per gestire utenti in AD:

  1. Inserire il Nome dominio (che può essere definito già in fase di configurazione della funzione di cambio immagine), Nome utente e Password
  2. Cliccare su Login.
  3. Viene stabilita una connessione.
    Se si dovessero verificare degli errori, controllare la configurazione in Active Directory e in zenon.
  4. I dati del dominio vengono letti e visualizzati nella finestra.
  5. Modificare gli elementi desiderati. Azioni possibili:
    • Creare ed eliminare unità organizzative
    • Creare, modificare e eliminare utenti.
    • Creare, modificare e eliminare gruppi utenti.

Nota: l´utente loggato deve avere i diritti corrispondenti nel dominio .

Parametro

Descrizione

Finestra Active Directory

Elementi di controllo per la visualizzazione e la gestione di Active Directory.

Contiene la Visualizzazione dettagli Active Directory: finestra in cui viene visualizzata la struttura di Active Directory.

Elemento di controllo | Descrizione
Finestra Active Directory |
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo che consente di creare una nuova unità organizzativa nella struttura ad albero.
Modifica unità organizzativa (Tree) |
Elimina unità organizzativa (Tree) | Cancella l´unità organizzativa selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Crea una nuova unità di organizzazione sotto l´elemento selezionato nella struttura ad albero. Viene aperta la corrispondente finestra di dialogo.
Crea nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente.
Crea nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che consente di modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.

Login

Elementi di controllo per il login in Active Directory.

Elemento di controllo | Descrizione
Nome dominio | Inserimento e visualizzazione del nome del dominio. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Inserimento e visualizzazione del nome utente AD. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | Inserimento della password. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Login | Con un clic del mouse si esegue il login dell´utente in AD.
Logout | Con un click del mouse si esegue il logout dell´utente.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Nome dominio | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Menù contestuale - Albero

A seconda dell´elemento selezionato, il menù contestuale mette a disposizione nell´albero (finestra a sinistra) i seguenti comandi.

Comando | Descrizione
Crea nuova unità organizzativa | Crea una nuova unità di organizzazione sotto l´elemento selezionato nella struttura ad albero. Viene aperta la corrispondente finestra di dialogo.
Crea nuovo utente | Cancella l´unità organizzativa selezionata nella struttura ad albero dopo una richiesta di conferma.

Barra degli strumenti e menù contestuale - Visualizzazione dettagli

A seconda dell´elemento selezionato, il menù contestuale e la barra degli strumenti mettono a disposizione nella visualizzazione dettagli (finestra a destra) i seguenti comandi.

Comando | Descrizione
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Crea una nuova unità di organizzazione sotto l´elemento selezionato nella struttura ad albero. Viene aperta la corrispondente finestra di dialogo.
Crea nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente.
Crea nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti.
Modifica oggetto selezionato | Apre la finestra di dialogo che consente di modificare l´oggetto selezionato.
Elimina oggetto selezionato | Cancella l´oggetto selezionato.

Ancora in questo capitolo

Amministrare unità organizzative

Gestire utenti

Gestire gruppi utenti


Amministrare unità organizzative

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Gestione di utenti Active Directory a Runtime -> Amministrare unità organizzative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile creare e cancellare unità organizzative AD nell´albero e nella visualizzazione dettagli.

Creare un´unità organizzativa

Per creare una nuova unità organizzativa, seguire la seguente procedura:

  1. Cliccare nell´immagine sul pulsante, oppure selezionare nel menù contestuale di un elemento selezionato l´opzione Crea nuova unità organizzativa.
  2. Si apre la finestra di dialogo che consente di configurare un´unità organizzativa.

  3. Assegnare un nome.
    Lunghezza massima: 64caratteri
  4. Cliccare su OK.

Modificare un´unità organizzativa

Il nome dell´unità organizzativa può essere modificato.

Attenzione: quando si modifica il nome, è possibile che vadano perduti collegamenti a utenti e gruppi utenti usati nel modulo Message Control.

Per modificare un´unità organizzativa nella struttura ad albero:

  1. Selezionare l´unità organizzativa desiderata e cliccare sul pulsante corrispondente, oppure sul comando nel menù contestuale. Nella visualizzazione dettagli, cliccare sul pulsante Modifica oggetto, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  2. Si apre la finestra di dialogo che consente di eseguire modifiche.
  3. Modificare l´oggetto.
  4. Se si clicca sul pulsante OK, il sistema chiederà come si deve procedere in relazione ai collegamenti:

  5. Selezionare l´opzione desiderata:
    • Sì: l´oggetto verrà rinominato.
      Il sistema prova a ricostituire per il nuovo nome i collegamenti a utenti e gruppi utenti usati nel modulo Message Control.
      Questo processo può durare a lungo.
    • No: la modifica verrà eseguita immediatamente.
      Attenzione: è possibile che vadano perduti collegamenti a utenti e gruppi utenti usati nel modulo Message Control!
    • Annulla: la rinomina non viene applicata e la finestra di dialogo viene chiusa.

Eliminare un´unità organizzativa

Per cancellare un´unità organizzativa nella struttura ad albero, selezionare l´unità organizzativa desiderata e cliccare sul pulsante corrispondente, oppure sul comando nel menù contestuale. Per cancellarla nella visualizzazione dettagli, cliccare sul pulsante Elimina oggetto, oppure sul comando Elimina oggetto selezionato nel menù contestuale.

Nota: un´unità organizzativa può essere cancellata solamente se non contiene più altri oggetti.


Gestire utenti

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Gestione di utenti Active Directory a Runtime -> Gestire utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile creare nuovi utenti, oppure modificare o eliminare quelli già esistenti. Si può distinguere gli utenti che hanno lo stesso nome di visualizzazione nella lista facendo riferimento alle informazioni contenute nel tooltip.

  • Creare un nuovo utente: cliccare sul pulsante corrispondente, oppure sul comando nella barra degli strumenti o nel menù contestuale.
  • Modificare un utente: cliccate due volte su un inserimento utente, oppure cliccare sul pulsante corrispondente, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  • Eliminare un utente: selezionare l´utente desiderato e premete il tasto Canc, o cliccare sul pulsante corrispondente oppure sul comando Elimina oggetto selezionato nel menù contestuale.

Quando si crea o si modifica un utente, si apre una finestra di dialogo che consente di configurare l´utente.

Finestra di dialogo - Creare e modificare utente

La finestra di dialogo consiste di tre schede. Informazioni sulle opzioni disponibili si trovano anche nel capitolo Configurazione nell'Editor/Creare un utente .

Proprietà utente

Utente

Parametro

Descrizione

Utente

Impostazioni per le informazioni utente.

Nome utente

Nome univoco dell´utente per il login.

Nome completo

Nome visualizzato dell´utente.

E-Mail

Indirizzo E-Mail dell´utente.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi vocali. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Password

Parametro | Descrizione
Password | Impostazioni per la password.
Imposta Password | Attivo: la password viene settata di nuovo.
Password | Inserimento di una nuova password. L´inserimento della password viene nascosto automaticamente. Quando si configurano progetti destinati ad essere usati in più lingue, tenere presente che deve essere possibile a Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. L´inserimento della password viene nascosto automaticamente.
Modifica password al prossimo login | Attivo: l´utente deve modificare la sua password non appena registrato nel sistema.
Nessuna scadenza password | Attivo: la password non deve essere mai modificata.

attention Attenzione

Quando si modifica la password per utenti AD, tenere conto di quanto segue:

I requisti di zenon relativi alla lunghezza minima e massima di una password sono prioritari.

Esempio - lunghezza minima: AD richiede una lunghezza minima di 4 caratteri. In zenon, nella proprietà Lunghezza minima password è stata configurata una lunghezza minima di 8 caratteri. Se si inserisce una password più corta di 8 caratteri, viene visualizzato un messaggio di errore. La password può essere valida per AD, viene però rifiutata da zenon.

Nota relativa alla lunghezza massima: In zenon, le password possono avere una lunghezza massima di 20 caratteri. In AD, invece, la lunghezza massima consentita sono 255 caratteri. Se la password AD è composta da più di 20 caratteri, un utente AD potrà eseguire il login in zenon usando questa password. La password, però, non potrà essere modificata in zenon.

Azioni

Parametro | Descrizione
Azioni | Configurazione di azioni per l´account.
Disattiva utente | Attivo: l´utente viene disattivato e non può più eseguire il login.
Sblocca utente | Attivo: l´utente bloccato viene sbloccato e può eseguire il login a Runtime.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Gruppi utente dell'utente

  1. Nella finestra Gruppi utenti esistenti, selezionare i gruppi utenti desiderati fra quelli esistenti.
  2. Si aggiungono i gruppi selezionati alla lista Gruppi utenti selezionati usando il tasto freccia ->.
  3. È possibile anche selezionare gruppi utenti già assegnati e rimuoverli dalla lista usando il tasto freccia <-.

Parametro | Descrizione
Gruppi utenti esistenti | Lista dei gruppi utenti configurati.
Gruppi utenti selezionati | Lista dei gruppi utenti selezionati per l´utente.
Tasti freccia | Con un clic del mouse, il gruppo selezionato si sposta verso la lista corrispondente.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Impostazioni Runtime

Generale

Parametro

Descrizione

Generale

Impostazioni generali.

Amministratore

Attivo: l´utente assume il ruolo di un amministratore di zenon. Solo un amministratore può sbloccare account utente di zenon bloccati.

Nota: l´utente che viene configurato come amministratore in questo finestra di dialogo, assume questo ruolo per tutti i progetti di zenon!

Profilo al login

Selezione fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login.

  • Nessuno
  • Default
  • Last

Codice di blocco per comandi

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei “Comandi” per bloccare o sbloccare aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Message Control

Parametro

Descrizione

Message Control

Impostazioni per il Message Control.

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Codice PIN

Codice PIN usato dall´utente per confermare il messaggio.

Codice-NA

Codice PIN usato dall´utente per rifiutare il messaggio. (not available). Il messaggio verrà poi inviato al prossimo utente della lista.

Se non ci sono altri utenti nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa eventualità. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: ulteriori informazioni riguardanti l´assegnazione di funzioni si trovano nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Sostituto

Parametro | Descrizione
Sostituto | È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ... Si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Finestra di dialogo - Sostituto

Quando si vuole selezionare un sostituto per le notifiche inviate dal modulo Message Control, con un clic del mouse si apre la finestra di dialogo in cui sono elencati gli utenti già configurati.

Parametro | Descrizione
Lista persone | Lista degli utenti a disposizione.
Nessuna scelta | Un utente già definito nella finestra di dialogo viene eliminato.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Selezionare l´utente desiderato e cliccare su Ok.

Per rimuovere una persona già definita come sostituto, cliccare su Nessuna scelta e poi su OK.


Gestire gruppi utenti

Manuale -> Gestione user -> Amministrare gli utenti Active Directory dal Runtime di zenon -> Gestione di utenti Active Directory a Runtime -> Gestire gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile creare nuovi gruppi utenti, oppure modificare o eliminare quelli già esistenti.

  • Creare un nuovo gruppo utenti: cliccare sul pulsante corrispondente, oppure sul comando nella barra degli strumenti o nel menù contestuale.
  • Modificare un gruppo utenti: cliccate due volte su un inserimento gruppo utente della lista, oppure cliccare sul pulsante corrispondente, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  • Cancellare un gruppo utenti: selezionare il gruppo utenti desiderato e premere il tasto Canc, o cliccare sul pulsante corrispondente oppure sul comando Elimina oggetto selezionato nel menù contestuale.

Quando si crea o si modifica un utente, si apre una finestra di dialogo che consente di configurare l´utente.

Finestra di dialogo - Creare e modificare gruppi utenti

La finestra di dialogo consiste di tre schede. Informazioni relative alla configurazione si trovano nel capitolo Configurazione nell'Editor/Creare un gruppo utenti .

Proprietà del gruppo utenti

Parametro | Descrizione
Nome | Inserimento di un nome univoco, valido per il gruppo utenti.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Utenti in questo gruppo

  1. Nella finestra Utenti esistenti, selezionare gli utenti desiderati fra quelli esistenti.
  2. Usando il tasto freccia ->, aggiungere gli utenti selezionati alla lista Utenti selezionati.
  3. È possibile anche selezionare utenti già assegnati e rimuoverli dalla lista usando il tasto freccia <-.

Parametro | Descrizione
Lista degli utenti esistenti | Lista degli utenti configurati.
Lista degli utenti selezionati | Lista degli utenti selezionati per questo gruppo.
Tasti freccia | Cliccando su un tasto freccia, si spostano gli utenti selezionati verso il gruppo corrispondente.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Impostazioni Runtime

#

Generale

Parametro | Descrizione
Generale | Impostazioni generali Configurazione dei livelli di autorizzazione.
Livelli di autorizzazione disponibili | Lista dei livelli di autorizzazione configurati in zenon.
Lista dei livelli di autorizzazione selezionati | Lista dei livelli di autorizzazione che sono assegnati a questo gruppo.
Tasti freccia | Cliccando su un tasto freccia, si spostano i livelli di autorizzazione selezionati verso il gruppo corrispondente.

Message Control

Parametro | Descrizione
Message Control | Configurazione per il modulo Message Control di zenon.
Messaggio di gruppo attivo | Attivo: in caso di notifiche inviate tramite il modulo Message Control, tutti i membri del gruppo utenti ricevono il messaggio.
Ordinamento di notifica | Lista di tutti gli utenti disponibili. L´ordinamento avviene cliccando sui tasti freccia.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Proprietà AD/AD LDS usate da zenon

Manuale -> Gestione user -> Proprietà AD/AD LDS usate da zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crittografia

Per il login di un utente zenon AD/ADAM, si usa la crittografia NTLM/Kerberus. In ADSI (MS API per AD), non è prevista nessuna esplicita forma di crittografia per lo scambio di dati diversi dalla password nel corso della sessione già registrata.

Lista delle proprietà usate da zenon in AD/AD LDS

Dominio

Forma generale | Nota
defaultNamingContext |
distinguishedName | Da container.
name | Da container.
objectClass | Da container.
maxPwdAge |
lockoutDuration |

Gruppo utenti

Forma generale | Nota
distinguishedName |
name |
sAMAccountName |
member | Eventualmente è necessario un adeguamento del valore in AD/AD LDS.
description |
groupMembershipSAM | Settato quando si eseguono modifiche in zenon nell´immagine di tipo Gestione utenti Active Directory.
groupType |
objectClass |

Utenti

Forma generale | Nota
distinguishedName |
sAMAccountName |
displayName |
memberOf | Eventualmente è necessario un adeguamento del valore in AD/AD LDS.
mail |
telephoneNumber |
Mobile |
pwdLastSet |
userAccountControl |
groupMembershipSAM | Settato quando si eseguono modifiche in zenon nell´immagine di tipo Gestione utenti Active Directory.
userPrincipalName | Eventualmente è necessario un adeguamento del valore in AD/AD LDS.
objectClass |
objectCategory |
ZenOnUserLevel1 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente solo per motivi di compatibilità
ZenOnUserLevel2 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente solo per motivi di compatibilità
ZenOnUserLevel3 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente solo per motivi di compatibilità


Guida Runtime

Manuale -> Guida Runtime

zenon offre la possibilità di creare una guida contestuale per i progetti in esecuzione a Runtime. Questa guida è basata su pagine HTML che vengono compilate in un file chm.

I capitoli della guida sono a disposizione in 3 diversi contesti:

Parametro | Descrizione
Menù principali | Una voce di un menù principale consente di aprire direttamente una pagina della guida.
Elementi dinamici | Per il menù contestuale di ogni elemento dinamico può essere definita una specifica pagina della guida.
Funzione Apri guida | Funzione "Apri guida".

Nella guida Runtime si possono usare tutti i più comuni formati immagine (per es. *.JPG, *.BMP, *.GIF, *.PNG, ...), formattazioni di testi, e navigazione in avanti e all´indietro
.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Operazioni preliminari

Progettazione nell'editor

Visualizzazione della guida

Guida Runtime con sistemi CE

Aprire EPLAN dalla guida


Operazioni preliminari

Manuale -> Guida Runtime -> Operazioni preliminari

Installazione dell´HTML Help Workshop

L´HTML Help Workshop crea i file HTML in formato chm. La guida Runtime si basa su file chm. L´HTML Help Workshop si trova sul supporto d´installazione di zenon, nel seguente percorso: \AdditionalSoftware\Microsoft HTML Help Workshop.

Creazione di un progetto della guida:

Ci sono molti tool differenti che consentono di creare file HTML. È possibile salvare testi in formato HTML anche in MS Word.

In questo progetto help standard, tutte le necessarie impostazioni iniziali sono già eseguite.

Operazioni preliminari da eseguire nell´HTML Help Workshop:

Dopo aver avviato l´HTML Help Workshop, si deve caricare il progetto help standard. Usando il pulsante Add/Remove Topic Files, si possono aggiungere file HTM(L) al progetto help.

Cliccando sui pulsanti Save and Compile o Compile , viene creato un file RT_Help.chm nella cartella del progetto help corrente. Tutti i file HTM(L) per questo progetto help, sono contenuti in questo file chm.

Se i file HTM(L) vengono modificati in seguito, il progetto help dovrà essere ricompilato.

Più file della guida:

Se si vuole che la guida Runtime sia suddivisa in più file, tutti i file dovrebbero essere copiati nella cartella del prossimo file. Poi il progetto della guida può essere rinominato e i file HTM(L) possono essere sostituiti dai quelli nuovi. La compilazione del nuovo progetto help conclude la creazione del nuovo file guida.

Operazioni preliminari per preparare la guida al cambio lingua:

Una volta che il progetto dell´help è stato creato in una lingua, tutti i file dovrebbero essere copiati nella cartella della prossima lingua. Poi i file HTM(L) potranno essere sostituiti da quelli della nuova lingua. Dopo aver avviato il tool "HTML Help Workshop", nella scheda "General" delle "Options", alla voce "International Settings" si dovrà cambiare il "Language" impostando la lingua desiderata. Compilando di nuovo il progetto help, si porterà a termine la creazione della guida nella nuova lingua.

I nomi dei progetti della guida (*.hpp, *.chm) e quelli dei file HTM(L) devono essere identici in tutte le lingue!


Progettazione nell'editor

Manuale -> Guida Runtime -> Progettazione nell'editor

Nel Manager di progetto alla voce File/guida possono essere inseriti nel menu contestuale i file CHM. La lingua standard viene già inserita nel relativo menù contestuale. Se qui non sono inseriti i file standard, non sarà possibile una selezione di file in una successiva progettazione!

Ancora in questo capitolo

Cambio lingua

Aggiornamento di file guida

Configurare file della guida e capitoli della guida.


Cambio lingua

Manuale -> Guida Runtime -> Progettazione nell'editor -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i progetti che prevedono il cambio di lingua, si deve creare una sotto-cartella separata per ogni lingua. In queste sottocartelle vengono salvati i file dell´help per le diverse lingue. Operazioni di configurazione necessarie:

  • Nel menù contestuale del nodo File/Guida del manager di progetto, creare delle cartelle separate per ogni lingua, per es. Inglese e Tedesco.
  • Tradurre gli inserimenti nel file dell´help.
  • Compilare nuovamente con l´HTML-Help Workshop.
  • In ogni cartella delle lingue deve essere salvato un file RT-Help.chm.
    • Per farlo, selezionare nel menù contestuale Aggiungi file.
  • Poi tutti i file dell´help devono essere inseriti nella versione di lavoro locale usando il menù contestuale.


Aggiornamento di file guida

Manuale -> Guida Runtime -> Progettazione nell'editor -> Aggiornamento di file guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso in cui durante la progettazione dovessero essere sostuiti i file guida esistenti con i file più recenti, la sostituzione dev´essere effettuata manualmente. I nuovi file CHM vengono copiati nella rispettiva sotto-directory del progetto. Nell'editor i file possono poi essere poi trasmessi alla banca dati del progetto tramite il comando Rendere modifiche possibili e accettare modifiche.


Configurare file della guida e capitoli della guida.

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle proprietà dell´Editor si definiscono i file e i capitoli della guida cui si accede per:

  • Menù
  • Allarmi
  • Elementi dinamici
  • Funzione "Apri guida"

Configurazione

Tutte le aperture dell´help sono impostabili nel modo seguente:

  • Combinazione del nome di un file chm e di un file HTM incluso.
  • Solo nome del file HTM, più l´indice di un file HTM incluso.

File chm

Perché i file dell´help possano essere visualizzati a Runtime, si deve indicare un file chm. Per questo file si definiscono dei capitoli che verranno poi aperti a Runtime. Le relative operazioni di configurazione vengono eseguite nei diversi settori e segue questo schema:

  1. Selezione del file dell´help:
    selezione di un file chm un capitolo del quale deve essere visualizzato. Per poterlo selezionare, questo file deve già essere presente nel nodo File/Guida dell´albero di progetto.
  2. Indicazione di un capitolo della guida:
    indicazione del capitolo del file chm che dovrà essere visualizzato a Runtime. Il nome del capitolo della guida deve essere inserito manualmente e completato con l´estensione file htm.

Menù

Si può configurare un inserimento della guida per ogni voce di un menù principale e di un menù contestuale. Normalmente vengono visualizzate le pagine della guida degli elementi collegati. In fase di progettazione, si deve indicare il nome di un sottocapitolo del file della guida che è stato collegato. Se il file collegato consiste solamente di una pagina principale (senza sottocapitoli), a Runtime verrà visualizzata questa pagina principale.
Le configurazioni relative vengono eseguite nel gruppo delle proprietà Guida.

  • File: selezione di un file chm un capitolo del quale deve essere visualizzato.
  • Capitolo: nome del capitolo della guida che deve essere visualizzato.
    Sintassi: nome capitolo.htm
    Attenzione: questo inserimento è case sensitive.

Altre informazioni: Capitolo Guida nei menù.

Allarmi

Gli inserimenti della guida per gli allarmi vengono configurati nelle proprietà del valore limite della variabile.
Nel sotto-gruppo Guida del gruppo Valori limiti sono a disposizione inserimenti corrispondenti per ogni valore limite definito:

  • File guida: Selezione del file chm un capitolo del quale dovrà essere visualizzato per questo allarme nella Lista di informazione allarmi.
    Nota: può essere aperta anche una pagina di EPLAN.
  • Capitolo guida: indicazione del capitolo della guida che deve essere visualizzato per questo allarme nella Lista di informazione allarmi.
    Sintassi: nome capitolo.htm
    Attenzione: questo inserimento è case sensitive.

Altre informazioni: Capitolo Guida per gli allarmi .

Elementi dinamici in immagini.

Ad ogni elemento dinamico di un´immagine può essere assegnato un inserimento della guida. Questo inserimento viene definito tramite le proprietà del sottogruppo Guida del gruppo Runtime.

  • File guida: selezione di un file chm un capitolo del quale deve essere visualizzato.
  • Capitolo guida: nome del capitolo della guida che deve essere visualizzato.
    Sintassi: nome capitolo.htm
    Attenzione: questo inserimento è case sensitive.

Se non si collega nessuna pagina della guida ad un elemento dinamico, verrà visualizzata (se configurata) quella indicata nel settore Menù.

Altre informazioni: Capitolo Guida per gli elementi dinamici.

Funzione "Apri guida"

Con la funzione Apri Guida si può aprire un determinato capitolo di un file chm.

Altre informazioni: Capitolo Funzione "Apri guida".

Ancora in questo capitolo

Guida nei menù

Guida per allarmi

Guida per gli elementi dinamici

Funzione "Apri guida"


Guida nei menù

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Guida nei menù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo che è stato selezionato il menù principale desiderato, viene creata una nuova voce di menù per la guida. Quando si seleziona quest´ultima, si possono eseguire le seguenti impostazioni nella finestra delle proprietà:

Parametro

Descrizione

Menù contestuale:Tipo di azione

Per la proprietà "Tipo di azione" si dovrà configurare l´opzione Guida, altrimenti non sarà possibile selezionare le ulteriori proprietà per la guida.

Elemento dinamico: File guida

Qui si seleziona l´appropriato file della guida (*.chm) della lingua standard.

Questa impostazione verrà applicata di default, se non è stato definito nessun file della guida per l´elemento dinamico.

Elemento dinamico: Capitolo guida

Qui si indica l´appropriato capitolo del file dell´help selezionato. I capitoli della guida hanno il nome del file HTM su cui si basano.

Questa impostazione verrà applicata di default, se non è stato definito nessun capitolo della guida per l´elemento dinamico.


Guida per allarmi

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Guida per allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni allarme può essere definita una guida contestuale. Le impostazioni corrispondenti vengono configurate direttamente in fase di definizione dell´allarme. Questa guida verrà poi aperta a Runtime nell´immagine degli allarmi (Tipo di immagine "Lista di informazione allarmi"). Quando si seleziona a Runtime un allarme della Lista di informazione allarmi lista e si clicca sul pulsante Guida, viene visualizzata la corrispondente pagina dell´help.

Per configurare una guida contestuale per gli allarmi, si devono eseguire le seguenti configurazioni nelle proprietà dei Valori limiti di una variabile:

Parametro | Descrizione
Come allarme | Si deve attivare questa proprietà, altrimenti le altre proprietà per la guida non saranno attive e non sarà dunque possibile configurarle.
File guida | Qui si seleziona l´appropriato file della guida (*.chm) della lingua standard.
Capitolo guida | Qui si indica l´appropriato capitolo del file dell´help selezionato. I capitoli della guida hanno il nome del file HTM su cui si basano.


Guida per gli elementi dinamici

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Guida per gli elementi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può selezione un menù contestuale per ogni elemento dinamico. Se il menù contestuale selezionato ha un inserimento con il "tipo di azione" Guida, sarà possibile visualizzare a Runtime una guida contestuale per l´elemento dinamico.

Ancora in questo capitolo

Definizione di menù contestuali

Definire un elemento dinamico


Definizione di menù contestuali

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Guida per gli elementi dinamici -> Definizione di menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo la selezione del Menu contestuale desiderato, verrà generato un nuovo punto menu per la guida. Nelle proprietà sono necessarie le impostazioni seguenti:

Parametri

Descrizione

Menu contestuale

Tipo di azione

Il tipo di azione deve essere definito come Guida, altrimenti le altre proprietà per la guida non saranno selezionabili.

Elemento dinamico: File guida

Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard.

Questa impostazione è di default, qualora per l´elemento dinamico non sia stato definito alcun proprio file di guida.

Elemento dinamico: Capitolo guida

Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano.

Questa impostazione è di default, se per l´elemento dinamico non è stato definito un proprio capitolo guida.

Questo menù contestuale può adesso essere utilizzato per diversi elementi dinamici.


Definire un elemento dinamico

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Guida per gli elementi dinamici -> Definire un elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti impostazioni sono necessarie nelle proprietà dell’ elemento dinamico.

Parametri | Descrizione
Menu | Qui viene selezionato il menù contestuale dalla lista.
File guida | Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard. Nel caso in cui non sia definito nessun file guida per l'elemento dinamico, sarà utilizzata l'impostazione del menù contestuale.
Capitolo guida | Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano. Nel caso in cui non sia definito nessun capitolo della guida per l'elemento dinamico, sarà utilizzata l´impostazione del menù contestuale.


Funzione "Apri guida"

Manuale -> Guida Runtime -> Progettazione nell'editor -> Configurare file della guida e capitoli della guida. -> Funzione "Apri guida"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può aprire una pagina della guida per menù, valori limite, e elementi dinamici .

  1. Selezionare nel menù contestuale del nodo Funzioni il comando Nuova funzione.
  2. Passare al nodo Applicazione.
  3. Selezionare Apri Guida.

    Si aprirà la finestra di dialogo di configurazione della funzione.

Finestra di dialogo di configurazione della funzione "Apri guida".

Parametro

Descrizione

File-guida

Definizione del file della guida (*.chm) una cui pagina dovrà essere aperta a Runtime. Cliccando sul pulsante ... si apre la finestra di selezione file e sarà possibile selezionare un file chm.

Per poterlo selezionare, questo file deve già essere presente nel nodo File/Guida dell´albero di progetto.

Capitolo guida

Pagina della guida che dovrà essere visualizzata a Runtime.

Inserimento manuale del nome file del capitolo prima della compilazione con l´estensione htm.

Formato: Nome file.htm

Tutti i richiami della guida tramite la funzione "Apri guida" sono configurabili come segue:

  • Combinazione del nome di un file chm e di un file HTM incluso.
  • Solo nome del file HTM più indice di un file HTM incluso.

info Info

Quando si realizza una presentazione HTML, si dovrebbe dare ad ogni singola pagina HTM un titolo significativo, visto che questo verrà visualizzato sotto Windows CE.


Visualizzazione della guida

Manuale -> Guida Runtime -> Visualizzazione della guida

La visualizzazione della guida può avvenire in due modi differenti:

  1. Esternamente: attraverso l´help HTML del sistema operativo.
    Tenete presente i limiti che concernono il cambio lingua!
  2. Internamente: attraverso l´help nell´immagine HTML

Ancora in questo capitolo

Guida HTML del sistema operativo

Guida nell´immagine HTML


Guida HTML del sistema operativo

Manuale -> Guida Runtime -> Visualizzazione della guida -> Guida HTML del sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tipo di rappresentazione è utilizzato di default. Non è necessaria nessun altra progettazione.

attention Attenzione

Di regola, il cambio lingua non è possibile per quello che concerne l´help HMTL dei sistemi operativi Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato mediante una Immagine HTML.

Eccezione: help sotto Windows CE.


Guida nell´immagine HTML

Manuale -> Guida Runtime -> Visualizzazione della guida -> Guida nell´immagine HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se esiste un'immagine del tipo di finestra HTML con il nome HTML-Help, verrà utilizzata questa invece che la guida HTML del sistema operativo. Per quanto riguarda il nome dell´immagine devono essere rispettati maiuscolo/minuscolo.

La rappresentazione della guida è effettuata nell´elemento di controllo Navigare.

info Info

Possibilita di modifica lingua: Nel caso in cui si cambi la lingua dopo che il CHM-Viewer è stato chiuso, viene usata la nuova lingua quando si riapre la guida.


Guida Runtime con sistemi CE

Manuale -> Guida Runtime -> Guida Runtime con sistemi CE

Sotto Windows CE, il file CHM viene aperto e il file HTM(L) viene visualizzato nell´Internet Explorer oppure in un´immagine del tipo HTML.

Nel caso di apparecchiature CE, non sono permessi segni speciali, quali dieresi, accenti ecc. Tutte le referenze per oggetti help Windows CE devono trovarsi sempre all´interno di questi segni:

  • A-Z
  • a-z
  • 0-9

info Info

Cambio lingua: Al contrario di altri sistemi operativi di Microsoft Window, il cambio lingua nel runtime funziona sotto Windows CE anche con l´help HTML del sistema operativo.

Nota: Ogni apertura dell´help sotto Windows CE determina la chiusura di tutte le altre finestre aperte dell´Internet Explorer di un utente.


Aprire EPLAN dalla guida

Manuale -> Guida Runtime -> Aprire EPLAN dalla guida

Quando si verifica un allarme (violazione di valore limite), può essere aperto anche un documento EPLAN.

attention Attenzione

Per poter utilizzare la connessione EPLAN in zenon si deve avere una licenza apposita Per ottenere questa licenza, rivolgersi ai distributori di zenon, oppure nel sito sales@copadata.com.

Per aprire documenti EPLAN di zenon a Runtime:

  1. Inserire il percorso del programma EPLAN nel file zenon6.ini.
  2. Nell´Editor di zenon, passare al al sottogruppo Guida del gruppo Valori limiti delle proprietà della variabile.
  3. Nel campo di inserimento della proprietà File guida digitare la successione di caratteri$PRG:xxxxxx.
    (xxxxxx prende il posto del parametro che serve a richiamare il documento giusto; informazioni dettagliate su questo argomento si trovano nel capitolo Parametri per l´apertura di documentiEPLAN).
  4. Digitare un carattere a piacere nel campo di inserimento della proprietà Capitolo guida.
    (Questa proprietà viene ignorata da EPLAN ma il campo non può essere lasciato vuoto).

Quando si apre la guida a Runtime, si aprirà il documento EPLAN configurato.

info Info

Questa funzionalità può essere utilizzata in linea di principio anche per altri tipi di documento, come, ad es., PDF.

Configurazione nel file zenon6.ini

Nel file zenOn6.ini inserire il percorso per W3u.exe. W3u.exe è il file eseguibile dell´EPLAN Viewer. Requisiti: utilizzare la versione 1.7.11´, oppure una versione più recente.

Procedura:

  1. Passare al settore [PATH], oppure crearlo.
  2. Inserire EDOC_PATH=[percorso].

    Per esempio: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

info Info

Il percorsozenon6.ini del file è il seguente: %ProgramData%\COPA-DATA\System\

Parametri per l´apertura di documenti EPLAN

Per aprire un documento EPLAN della "Guida Runtime", si deve indicare una destinazione per mezzo di parametro.

Sintassi: edit /[Percorso del progetto EPLAN]/[DEVICENAME:=(Nome della visuale/pagina nel progetto)]

Parametro

Descrizione

PROJECTNAME

Nome progetto con percorso completo.

  • Apertura dalla riga di comando: obbligatorio indicare il PROJECTNAME. In alternativa: si usa prima ProjectAction. Altrimenti si verificherà l´errore "eccezione non gestita" System.Argument Exception.
  • Apertura tramite l´interfaccia utente: se l´apertura avviene (per esempio) tramite uno script o la barra degli strumenti, l´indicazione è facoltativa. Se manca questa indicazione, verrà usato il progetto selezionato.

PAGENAME

Nome della pagina da controllare (facoltativo).

Obbligatorio se si usano X, Y come parametri per il posizionamento del cursore.

DEVICENAME

Nome di un componente (facoltativo).

Esempi:

  • Aprire un progetto:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk
  • Aprire una pagina:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7
  • Aprire la pagina e posiziona il cursore nella posizione X,Y:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7/X:200/Y:100
  • Aprire pagina con BMK:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /DEVICENAME:=AP+PT1-G1

Esempio di apertura da una pagina dell´help di zenon:

edit /PROJECTNAME:"D:\##Projekte\EPLAN\EPLAN_Alarmanbindung\P8_DEMO.elk" /DEVICENAME:=UNIT+PP-B1

Ulteriori dettagli sulla configurazione in EPLAN si trovano nella documentazione EPLAN.


Immagini

Manuale -> Immagini

Le immagini sono elementi centrali di un progetto. Esse rappresentano l´impianto progettato, forniscono informazioni e offrono degli elementi che servono alla gestione.
Le immagini consistono di elementi vettoriali e/o elementi dinamici. Essi vengono collegati con variabili oppure funzioni. Le immagini si progettano nella finestra principale dell´Editor.

zenon offre un gran numero di tipi d´immagine predefiniti, come liste di informazione allarmi, trend esteso e molti altri. Il vantaggio di tali tipi di immagine è che ad essi è collegata automaticamente la funzionalità desiderata. Dovete solamente impostare il tipo di immagine, e poi sono a Vostra disposizione una molteplicità di funzioni predefinite.

Una visione riassuntiva la trovate nella sezione tipi di immagine.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report ecc. La finestra principale è l´unica finestra che non può essere esclusa dalla visualizzazione.

Aprire parallelamente più documenti.

È possibile visualizzare nella finestra principale più immagini contemporaneamente. Le diverse immagini aperte possono essere selezionate cliccando sulle relative schede che si trovano sul bordo superiore della finestra principale stessa, e possono essere gestite usando le opzioni della voce di menù Finestra. Quando si passa da una scheda all´altra, gli elementi della finestra delle proprietà vengono adattati alla scheda selezionata.

Per chiudere le immagini aperte, usare la combinazione di tasti Ctrl + F4, il menù contestuale oppure il comando Immagine -> Chiudi.

Menù contestuale - Documenti

Cliccando con il tasto destro del mouse sulla scheda di un documento, si apre un menù contestuale:

Parametro | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutte. | Chiude tutti gli altri documenti.

Posizionare elementi nell´immagine

Attivare gli elementi cliccando sul simbolo corrispondente nella Barra degli elementi e disegnarli con il mouse nella finestra principale.

Ci sono i seguenti modi di spostare un elemento nella finestra principale:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Ruotare: ruotare a piacere l´elemento usando il "punto di presa" sul Punto di riferimento.

Posizionamento di elementi nell`Editor

Nell´Editor, agli elementi possono essere assegnati livelli di visibilità; inoltre, li si può rendere invisibili singolarmente.

Attenzione: gli elementi di controllo vengono visualizzati a Runtime sempre nella posizione più avanzata. Questo vale anche quando nell´Editor sono coperti da altri elementi. In questo modo si garantisce che sia sempre possibile per l´utente lavorarci.

Adattamento alla risoluzione

Le immagini e i loro elementi vengono adattati automaticamente nel runtime alla risoluzione dello schermo. È però possibile disattivare questa procedura automatica. Per visualizzare elementi d´immagine nella posizione e nella dimensione progettata originariamente nell´Editor, dovete attivare per l´immagine in questione la proprietà Non adattare gli elementi alla risoluzione dello schermo del gruppo Rappresentazione.

Ancora in questo capitolo

Qualità grafica

Menù contestuale - Manager di progetto

Visualizzazione dettagli Barra simboli e Menù contestuale

Crea immagine

Barra degli strumenti "Immagini"

Barra degli strumenti "Elementi"

Menù contestuale - Elementi

Esportazione e importazione XML

Elementi d´immagine

Modifica gli elementi ad immagine

Modelli

Tavolozze dei colori

Caratteri

Simboli e gruppi elementi

Livelli di visibilità

Tipi di immagine

Funzioni immagine


Qualità grafica

Manuale -> Immagini -> Qualità grafica

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. Per impostare una qualità grafica, usare la proprietà Qualità grafica del gruppo Aspetto grafico delle proprietà di progetto. Queste impostazioni sono effettive solamente a Runtime. Nell´Editor viene usata sempre la qualità grafica DirectX.

Le possibili impostazioni sono:

  • Windows standard: Proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: I calcoli grafici vengono eseguiti dalla CPU. In dipendenza dalle grafiche da visualizzare, si possono utilizzare più CPU. L´uso di DirectX Software può causare un elevato carico per la CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene eseguita dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware , e si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attention Attenzione
  • DirectX non è disponibile con Windows CE.
  • DirectX non può essere usato per OCX.

DirectX

DirectX garantisce una qualità grafica migliore di Windows standard.

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Requisito

Descrizione

Deve essere attivata l´opzione DirectX Hardware oppure DirectX Software.

Per la proprietà Aspetto grafico delle proprietà di progetto si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.1.

DirectX Hardware e DirectX Software funzionano solamente sui sistemi operativi che supportano DirectX11.1.

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows standard.

Deve essere installato sul PC il Runtime DirectX corrente. Per zenon, questo viene installato automaticamente con il setup. Per zenon Web Client, invece, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente le immagini e gli elementi supportati possono essere visualizzati con DirectX.

Se si applica l´opzione DirectX Hardware, devono essere soddisfatti i requisiti minimi.

Per i dettagli riguardanti i requisiti minimi, si prega di consultare il capitolo Requisiti del sistema in caso di uso di DirectX. Se questi requisiti non vengono soddisfatti, il sistema passa automaticamente a DirectX Software.

Se il sistema operativo non mette a disposizione nessuna accelerazione hardware (come nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

DirectX 11.1

In caso di uso di DirectX 11.1, vale quanto segue:

  • Con Windows 8 e con le versioni più recenti del sistema operativo Windows, DirectX 11.1 è nativo.
  • Con Windows 7 e con Server 2008R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non può essere utilizzato.
  • Con Windows 7 SP1 e Server 2008 R2 SP1, deve essere installato un “Windows service pack”.

Installare il Service Pack per Windows 7 SP1 e Server 2008 R2 SP1.

Per installare il Service Pack:

  1. Scaricare dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionare la versione che corrisponde al sistema operativo che si usa.
    • A 32 Bit
    • A 64 Bit
  3. Eseguire il relativo file di installazione.

Nota: questo riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. Nelle versioni più recenti DirectX 11.1 c´è già. L´update non può essere installato in versioni ancora più vecchie.

Ancora in questo capitolo

DirectX: Migliorare le prestazioni grafiche

DirectX: Confronto fra DirectX Hardware e DirectX Software

DirectX: gestione errori


DirectX: Migliorare le prestazioni grafiche

Manuale -> Immagini -> Qualità grafica -> DirectX: Migliorare le prestazioni grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni calcolatore si trova una scheda grafica. Essa è importante per consentire la rappresentazione grafica sul vostro schermo.

Se la scheda grafica ha una memoria dedicata, essa dispone di una propria memoria; si tratta, dunque, di una scheda grafica separata e non di un processore grafico integrato. Le schede grafiche con memoria grafica dedicata e processore grafico vengono usate normalmente in forma di plug-in cards nel computer. Esse garantiscono di norma delle elevate prestazioni.

Un processore grafico integrato si trova direttamente nel processore principale del calcolatore e non può essere rimosso. Esso, di norma, non dispone di una propria memoria grafica e, perciò, ha bisogno di una parte della working memory. Una tale scheda grafica, in genere, offre prestazioni modeste.

Al fine di ottenere una buona visualizzazione delle immagini, bisogna avere un sistema di rappresentazione grafica di alta qualità e alte prestazioni. La prestazione grafica migliora con l´uso di DirectX; è comunque possibile che immagini ad alta risoluzione, con molti elementi ed effetti, possano provocare dei lunghi tempi di attesa.

Per ovviare a questo problema, si può ulteriormente migliorare la prestazione grafica tenendo presente le seguenti cose.

Elementi che possono influenzare la prestazione grafica:

Effetti

L´uso di effetti per elementi può avere conseguenze sulle prestazioni grafiche nel caso in cui si usino le seguenti proprietà:

  • Dimensioni ombra per valori diversi da 100%.
  • Effetto Blur per valori maggiori di 0
  • Estensione per valori maggiori di 0

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Usate, se possibile, design alternativi, per i quali questi effetti non sono necessari.

Numero di elementi

Con l´aumentare del numero degli elementi progettati, crescono anche le prestazioni richieste al sistema di visualizzazione grafica.

attention Attenzione

Quando inserite degli elementi nei simboli, tenete presenti le seguenti informazioni:

  • I simboli vengono usati per lo più diverse volte; perciò, ogni elemento inserito, causa una corrispondente conseguenza relativa alle prestazioni.

Per avere una migliore visione d´insieme e una maggiore prestazione grafica, si consiglia di intraprendere i seguenti passi:

Tipp Possibilità di aumentare le prestazioni grafiche.

Rappresentazione da più elementi:

  • Quando è possibile, riassumete più elementi in un singolo elemento.

Esempi:

  • Per la rappresentazione di un rettangolo, usate un elemento-rettangolo e non un elemento-poligono.
  • Riassumete più singoli elementi-poligono in un singolo elemento-poligono.

Limiti dell´estensione dell´immagine:

  • Distribuite gli elementi su più immagini alle quali assegnerete rispettivamente un compito.
  • Aprite solo un´immagine alla volta, quella di cui l´utente ha bisogno per svolgere il suo lavoro.

Nascondere elementi per determinati livelli di zoom:

In diversi livelli di zoom sono richiesti diversi dettagli.

  • Settate perciò la visibilità degli elementi con riferimento a determinati livelli di zoom.

Elementi a struttura nidificata (simboli, elementi combinati e faceplate)

Un elemento che si trova direttamente su un´immagine, offre una prestazione maggiore di quello che si trova in un elemento a struttura nidificata, per esempio in un simbolo.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Rinunciate, se possibile, a forme gerarchiche inutilmente complesse.

Sfumature di colore

Le sfumature di colore richiedono prestazioni maggiori rispetto al semplice colore di riempimento.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Elementi con sfumature di colore che nell´immagine sono difficili da vedere o praticamente invisibili, hanno spesso un effetto ottico molto modesto. In questo caso, potete sostituire questi effetti con un semplice colore di riempimento.
  • Rinunciate a sfumature di colore ricorrendo ad altre alternative, come, ad esempio, il flat design.

Dinamiche

L´uso di dinamiche con elementi può portare ad un aumento delle prestazioni richieste, anche se ciò non ha alcun effetto visibile.

Esempi di dinamiche:

  • Pan,
  • Scala,
  • Rotazione.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Usate dinamiche solo nel caso esse siano veramente necessarie.
  • Usate mezzi statici anziché dinamici se l´effetto desiderato è più o meno lo stesso.
  • Evitate un´inutile elevata precisione di valori per le dinamiche.

Risoluzioni e grandezza degli elementi

Il numero di punti di immagine per la rappresentazione di un elemento può avere un effetto diretto sulla prestazione grafica.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Evitate risoluzioni alte, se esse non sono necessarie.
  • Ridurre la risoluzione:
    • Riducete la risoluzione monitor.
    • Riducete la grandezza degli elementi.

Sovrapposizione di elementi.

Se dovete ridisegnare un elemento perché volete apportagli una modifica, può darsi che dobbiate ridisegnare anche elementi che si trovano sopra o sotto.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Evitate la sovrapposizione di elementi che devono essere modificati spesso e velocemente.
  • Evitate, in caso di permanente cambiamento di valori, una refreshrate troppo alta.

Grandi file grafici

Grandi file grafici necessitano, a causa del grande numero di punti d´immagine, un grande impiego di risorse.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Adattate la grafica alla grandezza di output.
  • Evitate risoluzioni alte.
  • Usate, se possibile, elementi di zenon invece di file grafici.

Numero di immagini aperte.

Più immagini aperte contemporaneamente possono rendere necessarie maggiori prestazioni grafiche.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Aprite solo le immagini di cui avete realmente bisogno.
  • Chiudete quelle immagini di cui non avete bisogno al momento.
  • Create immagini d´insieme per assolvere a compiti specifici, anziché ricorrere a visualizzazioni dettagli.

Arrotondamenti

L´uso di effetti di arrotondamento con elementi può richiedere maggiori risorse grafiche.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Rinunciate ad effetti di arrotondamento, se possibile.
  • Usate delle alternative, come ad esempio, flat design.

Nota: Consigliamo di eseguire già nelle prime fasi di progettazione dei test concernenti prestazioni grafiche ed ergonomia sulla piattaforma di destinazione per la quale viene realizzato il progetto.


DirectX: Confronto fra DirectX Hardware e DirectX Software

Manuale -> Immagini -> Qualità grafica -> DirectX: Confronto fra DirectX Hardware e DirectX Software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, l´output grafico di DirectX Hardware è identico a quello di DirectX Software. Vengono supportate le stesse proprietà grafiche per immagini ed elementi d'immagine con entrambe le opzioni grafiche.

Quando si deve scegliere l´opzione grafica fra DirectX Hardware e DirectX Software, si dovrebbe tener presente quanto segue:

DirectX Hardware

Consente una ulteriore accelerazione hardware tramite un processore grafico (GPU) compatibile con DirectX. Esso può essere integrato nel sistema del computer in forma di processore grafico integrato, oppure (la soluzione migliore) in forma di scheda grafica dedicata. Una scheda grafica compatibile con DirectX garantisce un´accelerazione di determinate operazioni grafiche. Essa riduce anche il carico che grava sul sistema del computer e ne migliora le prestazioni.

Tipp Suggerimento

Per una visualizzazione complessa ed estesa, si consiglia di assicurare un supporto grafico adeguato in forma di una scheda grafica altamente performante. In tal modo si creeranno i presupposti adatti per una funzionalità ergonomica del sistema. Ulteriori dettagli sui requisiti minimi in caso di uso di DirectX, li trovate nel capitolo Requisiti del sistema in caso di uso di DirectX.

DirectX Software

Se DirectX Hardware non è un´opzione disponibile, si può usare DirectX Software. Dopo che è stata selezionata questa opzione, DirectX usa l´emulazione per eseguire le operazioni grafiche sulla CPU del calcolatore. Perciò si può verificare una situazione di elevato carico del sistema, in particolare della CPU e della memoria di lavoro.

Nota: Le prestazioni disponibili di una Single o Multi Core CPU vengono usate completamente con questa opzione grafica.

Tipp Suggerimento

Per una visualizzazione complessa ed estesa, si consiglia di assicurare un supporto grafico adeguato in forma di una Multi Core CPU altamente performante. In tal modo si creeranno i presupposti adatti per una funzionalità ergonomica del sistema. Ulteriori dettagli sui requisiti minimi in caso di uso di DirectX, li trovate nel capitolo Requisiti del sistema in caso di uso di DirectX.


DirectX: gestione errori

Manuale -> Immagini -> Qualità grafica -> DirectX: gestione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono emessi nel Diagnosis Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato quando viene aperta un´immagine, oppure durante il funzionamento del sistema, quest´ultimo cerca di inizializzare DirectX ancora una volta. Nel corso di questo processo, l´Editor e il Runtime di zenon continuano a funzionare normalmente. Nel frattempo si può cercare di risolvere il problema. Possibili cause e soluzioni del problema possono essere trovate nel Diagnosis Viewer.

Mentre il sistema tenta di nuovo di inizializzare DirectX, viene visualizzata una barra che mostra lo stato di avanzamento del processo. Per interrompere questo tentativo di inizializzazione:

  1. Cliccare sul pulsante Annulla.
  2. Confermare il messaggio di errore che verrà visualizzata.
  3. A seconda del punto in cui è stato interrotto il processo, verrà chiuso o l`Editor, o il Runtime.

Nota: gli errori che impediscono di inizializzare di nuovo DirectX vengono visualizzati dal sistema mediante un corrispondente messaggio di errore.

Diagnosis Viewer

DirectX visualizza messaggi propri nel Diagnosis Viewer con:

  • Un messaggio di errore.
  • Possibili cause dell´errore stesso.
  • Codici di errore.

L´emissione avviene nel modulo proprio DirectX. Quando si verificano errori, il testo corrispondente viene visualizzato nel campo Error; in caso di avvisi e indicazioni di Debug, il messaggio corrispondente viene emesso nel campo di testo General:

  • Quando l´apertura di un´immagine riesce, viene emesso almeno un messaggio di DEBUG che informa che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano ad eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore che non può essere risolto, viene emesso un messaggio di errore (Error).

info Info

Se un messaggio non viene visualizzata per intero in un report nel Diagnosis Viewer, aprire l´inserimento con un doppio clic, in modo tale che venga visualizzato tutto il testo del messaggio.

Check-List per il monitoraggio degli errori

Attivando i messaggi di Debug nel Diagnosis Viewer si può verificare se DirectX funziona o meno. Se l´esito di questa verifica è positivo, il sistema visualizza un messaggio corrispondente.

  • Avvisi specifici DirectX, oppure segnalazioni di errore sono visualizzati nel Diagnosis Viewer?
  • È stata impostata l´opzione DirectX Hardware o DirectX Software per la proprietà di progetto Qualità grafica?
  • Sono soddisfatti i requisiti minimi per l´uso di DirectX? Per i dettagli riguardanti i requisiti minimi, si prega di consultare il capitolo Requisiti del sistema in caso di uso di DirectX.
  • DirectX viene supportato dall´immagine o dall´elemento?
  • La visualizzazione funziona correttamente con Windows standard?
  • La visualizzazione funziona correttamente con un altro driver?
  • La visualizzazione funziona correttamente con una scheda grafica di un altro produttore?


Menù contestuale - Manager di progetto

Manuale -> Immagini -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuova immagine | Crea una nuova immagine cui viene attribuito automaticamente il nome standard "Immagine"; essa costituisce il tipo d´immagine standard.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML. Nota: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.


Visualizzazione dettagli Barra simboli e Menù contestuale

Manuale -> Immagini -> Visualizzazione dettagli Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù

Azione

Nuova immagine

Aggiunge una nuova immagine alla lista e setta il focus su questo inserimento.

Apri immagine

Apre la finestra principale relativa all´immagine selezionata.

Crea funzione standard

Apre l´assistente che serve a scegliere un´immagine e a configurare i dettagli necessari ad impostare automaticamente una funzione adeguata. L´azione viene documentata nella finestra di emissione.

Torna all'elemento di partenza

Cliccando si torna all´elemento a partire dal quale si à passati all´immagine.

Copia

Copia gli inserimenti selezionati negli appunti

Incolla

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Espandi/riduci

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

_Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa file XML

Importa degli inserimenti da un file XML.

Nota: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.

Esporta immagine/simbolo su file grafico...

Esporta l´immagine/il simbolo come file grafico. La finestra di dialogo di selezione file offre i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i codec Windows Imaging Component (WIC) installati sul sistema che supportano Salva. La dimensione della grafica dipende dall´immagine o dal simbolo da esportare.

Creare modello per tipo di immagine

Apre il dialogo che serve a Creare propri modelli per inserire degli elementi di controllo nel tipo di immagine.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.

Nota: Le sotto-immagini di Faceplate collegate nel contenitore immagine non possono essere modificate. Esse possono essere solamente visualizzate e copiate.


Crea immagine

Manuale -> Immagini -> Crea immagine

Per creare un´immagine:

  1. Nel nodo Immagini, oppure nella visualizzazione dettagli delle immagini, selezionate il comando Nuova immagine del menù contestuale, oppure della barra degli strumenti.
  2. Verrà generata una nuova immagine del tipo standard.
  3. Nelle proprietà, oppure nella visualizzazione dettagli, selezionate, se necessario, un tipo di immagine speciale.
  4. Configurate le proprietà, come la grandezza, il modello che ne è alla base, le interazioni ecc.

Nota: Le immagini riprendono la grandezza dal modello che ne è alla base. le indicazioni di grandezza minori al modello verranno ignorate. Un´immagine per la quale si configura una dimensione maggiore a quella del modello, è una cosiddetta Visualizzazione globale. Per navigare e per scorrere all´interno di visualizzazioni globali, si può usare un´immagine di tipo Supervisione globale, la gestione Touch e il mouse.


Barra degli strumenti "Immagini"

Manuale -> Immagini -> Barra degli strumenti "Immagini"

Un´apposita barra degli strumenti consente la modifica di immagini. Di default, questa barra viene visualizzata sotto la barra di menù.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutti

Salva tutte le immagini modificate.

Taglia

Taglia l'immagine attiva e la salva negli appunti, anche per più progetti. Questo comando è disponibile solo se è stato selezionato un elemento.

Copia

Salva una copia dell´immagine corrente negli appunti. Questo comando è disponibile solo se è stato selezionato un elemento.

Incolla

Aggiunge un´immagine presa dagli appunti. Questo comando è disponibile solo se gli appunti contengono dei dati.

Copia formato

Trasferisce le formattazioni dell´elemento appena selezionato al prossimo elemento scelto.

Refresh immagine

Attualizza la visualizzazione dello schermo.

Annulla

Consente di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definire il numero di azioni annullabili: Extras -> Impostazioni -> Impostazioni -> Numero delle azioni annullabili. In questo campo, si può digitare un valore compreso fra 1 e 100.

Modalità di modifica

Passa dallo zoom alla modalità modifica.

Zoom

Sono disponibili due modalità di zoom:

  • Zoom senza livelli predefiniti:
    Si può inserire nel menù a tendina un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoom tool:
    usando i simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine con il mouse. Premendo il tasto Ctrl , si passa da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi la modalità zoom: Cliccate sul simbolo Modalità modifica nella barra degli strumenti Elementi.

Guida

Apre la guida online.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra degli strumenti "Elementi"

Manuale -> Immagini -> Barra degli strumenti "Elementi"

Simbolo

Funzione

Modalità modifica

Passa dallo zoom alla modalità modifica.

Ellisse/Cerchio

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento (cerchio).

Curva

Con larghezza, colore e tipo di linea definibili.

Arco di cerchio

Disegna un arco di cerchio con un angolo di apertura di 180° (modificabile); larghezza, colore e tipo di linea sono definibili.

Linea

Con larghezza, colore e tipo di linea definibili.

Poligono

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Polilinea

Con tipo di linea e colore di linea.

Rettangolo

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Tubatura

Con colore della cornice e di riempimento; tipo di cornice e stile di riempimento.

Testo statico

Con colore per il carattere e selezione del tipo di carattere

Pulsante

Superficie per gestire comandi con l´aspetto di un pulsante.

Elemento combinato

Visualizza una o più variabili su un unico elemento d’immagine con colori e simboli (sequenza caratteri).

Slider universale

Slider/potenziometro.

Interruttore

Semplice elemento per impartire comandi o d´impostazione di valori limite

Combo-/Listbox

Collega i valori di variabili a messaggi di testo.

Elemento di comando

Disponibile solo se si dispone di una licenza per SICAM 230.

Allarme ad immagine

Disponibile solo se si dispone di una licenza per SICAM 230.

Valore numerico

Visualizza valori in forma numerica.

Bargraf

Visualizzazione di valori come grafico a barre.

Strumento analogico

Visualizza valori in forma di strumento.

Collega testo

Visualizza testi associati a valori limite

Curve trend

Semplice visualizzazione grafica lineare

Elemento WPF

Visualizza file WPF-XAML validi.

Elemento ActiveX

Inserisce elementi AktiveX

Orologio

Visualizza data ed ora.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Menù contestuale - Elementi

Manuale -> Immagini -> Menù contestuale - Elementi

Per gli elementi, il menu contestuale mette a Vostra disposizione dei comandi adatti alla situazione. Potete accedere a questi comandi anche tramite Menu e Barre simboli.

Comando

Descrizione

Simbolo

Apre la lista a cascata con comandi. A seconda dello stato simbolo, sono disponibili:

  • Crea gruppo elementi
  • Sciogli simbolo
  • Passa alla modalità modifica singola/Lascia la modalità modifica singola
  • Inserisci in gruppo elementi
  • Converti simbolo in gruppo di elementi
  • Modificarli nell´editor del simboli
  • Inserisci nella libreria simboli
  • Crea gruppo elementi

Crea un gruppo elementi.
  • Dividi

Scompone un gruppo elementi nei suo elementi d'immagine.
  • Passa alla modalità modifica singola/Lascia la modalità modifica singola

Passa alla modalità modifica singola o torna alla modalità modifica simbolo La modalità modifica singola consente di modificare i singoli elementi di un simbolo.
  • Inserisci in gruppo elementi

Inserisce un simbolo in un gruppo elementi già esistente.
  • Converti simbolo in gruppo di elementi

Converte un simbolo in un gruppo di elementi.
  • Modifica nell'Editor dei simboli

Apre un simbolo nell´editor simboli per poterlo modificare in questa sede.
  • Inserisci nella libreria simboli

Apre il Dialogo che consente di aggiungere un gruppo elementi preso da un´immagine in una libreria. Il gruppo elementi viene convertito in un simbolo e inserito come tale. Il gruppo elementi rimane nell´immagine gruppo elementi.

Posizione elemento

Apre la lista a cascata che serve a modificare la posizione dell´elemento:

  • Primo piano: porta l’elemento selezionato in primo piano.
  • Background: Porta l’elemento selezionato sullo sfondo.
  • Avanti: porta l’oggetto selezionato avanti di un livello.
  • Indietro: porta l’oggetto selezionato indietro di un livello.

Disponi

Apre la lista a cascata che serve a riordinare gli elementi.

Elementi collegati

Apre il menù a tendina con elementi collegati in modo dinamico, per es.: variabili, funzioni, caratteri, simboli ecc.

Sostituisci collegamenti

Cerca/sostituisci funzione
per esempio: sostituisci temperatura serb.1 con temperatura serb. 2.

Taglia

Taglia gli oggetti selezionati e li mantiene negli appunti.

Copia

Copia oggetti selezionati.

Incolla

Incolla oggetti tagliati o copiati presi dagli appunti.

Incolla nella stessa posizione

Incolla nella stessa posizione oggetti copiati o tagliati presi dagli appunti.

Elimina

Elimina l’oggetto selezionato.

Copia formato

Trasferisce le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasferire ad un elemento:

    cliccare su un elemento con proprietà originarie
    -> Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Cliccare sull´elemento di destinazione: Le proprietà verrano trasferite all´elemento di destinazione.

  • Trasferire a più elementi:

    Selezionare elemento sorgente
    -> Selezionare elementi di destinazione tenendo premuto il tasto Ctrl. (vengono evidenziati elementi sorgente e destinazione)
    > Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Trasmettere le proprietà dell´elemento sorgente agli elementi di destinazione.

Quali proprietà vengono trasferite, dipende dall´oggetto sorgente e da quello di destinazione.

Se sono stati selezionati più elementi sorgente, verranno trasferite le proprietà del primo elemento selezionato.

Modalità schermo intero

La modalità "schermo intero" esclude dalla visualizzazione tutte le altre finestre e visualizza solamente quella principale, con tutti i documenti aperti (immagini, report....), in forma di immagine che occupa tutto lo schermo.

Nota: il menù Elementi di controllo può essere aperto anche in modalità schermo intero.

La modalità schermo intero può essere chiusa:

  • Con il pulsante visualizzato per chiudere la modalità schermo intero.
  • Con la combinazione di tasti Shift +F9

Ridisegna immagine/simbolo

Aggiorna la schermata.

Mostra griglia

Attiva o disattiva la visualizzazione della griglia.

Utilizza la griglia

attiva o disattiva l´orientamento di elementi alla griglia.

Attiva: tutti gli oggetti vengono allineati automaticamente alla griglia.

Nota: il tasto Ctrl disattiva questa impostazione temporaneamente. Se, spostando un elemento, si preme il tasto Ctrl, l´elemento non verrà orientato alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di ancoraggio.

Usare: se si avvicina un oggetto al punto di ancoraggio di un altro, l´oggetto in questione si aggancerà a questo punto di ancoraggio.

Zoom

Modifica il fattore di zoom per la visualizzazione; il menù a tendina mette a disposizione valori predefiniti compresi fra 15 % e 400 %.

Esporta immagine/simbolo su file grafico...

Esporta l´immagine/il simbolo come file grafico. La finestra di dialogo di selezione file offre i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i codec Windows Imaging Component (WIC) installati sul sistema che supportano Salva. La dimensione della grafica dipende dall´immagine o dal simbolo da esportare.

Inserisci grafica vettoriale...

Apre la finestra di dialogo per inserire una grafica vettoriale esterna.
Supporta alcune versioni dei tipi di dato DXF e PLT.

Nota: l´importazione di grafiche vettoriali non è disponibile per l´Editor a 64-Bit.

Proprietà

Apre la finestra delle proprietà dell´elemento selezionato.

Guida

Apre la guida online.


Esportazione e importazione XML

Manuale -> Immagini -> Esportazione e importazione XML

Esportare immagini

Con le immagini vengono esportate anche le variabili e le funzioni contenute nelle immagini stesse. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare immagini:

  1. Selezionare le immagini desiderate.
  2. Nel menù contestuale della visualizzazione dettagli, selezionare il comando _Esporta selezione in XML
    Oppure selezionare il comando Esporta tutti in XML... nel menù contestuale del nodo Immagini.
  3. Si apre la finestra di dialogo che consente di selezionare il luogo di salvataggio.
  4. Selezionare il luogo di salvataggio desiderato.
  5. Assegnare un nome al file di esportazione.
  6. Fare attenzione che il tipo di dato sia XML.
  7. Confermare cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento nello stesso progetto o in altri progetti.

Importare immagini

Per importare immagini:

  1. Nel menù contestuale del nodo Immagini,oppure della visualizzazione dettagli Immagini, selezionare il comando Importa file XML
  2. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  3. Passare al posto in cui si trova il file XML desiderato.
  4. Selezionare il file desiderato.
  5. Confermare l´importazione cliccando sul pulsante Apri.

Le immagini vengono importate.

Conflitto di nome in caso di importazione

Quando si importa un´immagine, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione della nuova immagine da creare. Se esiste già un´immagine che ha lo stesso nome, l´operazione d´importazione viene interrotta e viene visualizzato un messaggio di errore:

Parametri | Descrizione
Sì | L´immagine menzionata nel messaggio di errore viene sostituita con l´importazione da quella contenuta nel file XML. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
No | L´immagine menzionata nel messaggio di errore non verrà importata; viene mantenuta l´immagine già esistente. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
Sì tutti | L´immagine menzionata nel messaggio di errore viene sostituita con l´importazione da quella contenuta nel file XML. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutte le immagini interessate verranno sostituite.
No tutti | L´immagine menzionata nel messaggio di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutte le immagini interessate verranno mantenute.

Nota: viene preso in considerazione solamente lo ShortName. Il nome file non gioca nessun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Elementi dinamici e modelli vengono importati automaticamente con le immagini. Variabili e funzioni devono essere importate prima separatamente da questo file.

Vengono prese in considerazione solo le variabili e le funzioni del primo livello, cioè, le variabili e le funzioni collegate direttamente all´immagine. Siccome da un lato le funzioni si possono riferire a variabili (p.e. valore impostabile), e dall´altro lato anche le variabili si possono riferire a funzioni (p.e. funzioni di valore impostabile), può essere necessario importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti verranno ripresi correttamente.

Esempio: un'immagine contiene un pulsante collegato a una funzione Imposta valore su una variabile. La funzione verrà importata insieme all´immagine, ma non la variabile.

info Info

In questo caso si consiglia di usare il XML Import Wizard.


Elementi d´immagine

Manuale -> Immagini -> Elementi d´immagine

In zenon usate due tipi di elementi ad immagine:

  1. elementi vettoriali statici
  2. Elementi dinamici

Elementi vettoriali in zenon

Elemento | Proprietà
Ellisse: | Con colore e tipo di linea e di riempimento;
Cerchio | Selezionare il simbolo Ellisse, tenendo premuto il tasto Shift; con colori della cornice e di riempimento; stile cornite e tipo di riempimento
Curva | larghezza, colore e tipo di linea definibile
Arco di cerchio | larghezza, colore e tipo di linea definibile
Linea | larghezza, colore e tipo di linea definibile
Poligono | Con colore e tipo di linea e di riempimento;
Polilinea | Con tipo e colore della linea (se descrive un’ area piana chiusa, anche tipo e colore di riempimento)
Quadrato | Selezionare il simbolo Rettangolo tenendo premuto il tasto Shift; con colori della cornice e di riempimento; stile cornice e tipo di riempimento.
Rettangolo | Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.
Rettangolo arrotondato | Con colore e tipo di linea e di riempimento; tipo di cornice e modello di riempimento, grado di arrotondamento
Tubatura | Con colore e tipo di linea e di riempimento;
Testo statico | Con colore e selezione del tipo di carattere

Elementi dinamici in zenon

Elemento

Funzione

ActiveX

Aggiunge un qualsiasi elemento ActiveX. Esso deve essere già installato sul calcolatore.

Bargraf

Rappresenta la grandezza di segnale in forma di barra. Si modifica la lunghezza di una barra con la grandezza del segnale.

Elemento di comando

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Pulsante d'allarme ad immagine

Consente l´allarme tramite l´immagine con colore e lampeggio. Necessaria la licenza per SICAM 230.

Pulsante Bitmap

Collega un file grafico (grafica pixel: *.bmp, *.jpg, *.gif, e *.png oppure grafica vettoriale: *.wmf) ad un pulsante.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Pulsante

Consente di inizializzare delle azioni come, ad esempio, "Esegui funzione", oppure "Setta valore impostabile". Può rappresentare testo e grafiche ed essere posizionato come oggetto trasparente su altri elementi.

Attenzione! se la proprietà di progetto Crea file Runtime per è stata impostata su un valore minore a 6.50, nel runtime vengono visualizzate solamente le emissioni testuali. Grafiche e la funzione e invisibile devono essere progettati con gli elementi Pulsante bitmap e pulsante invisibile.. Trovate questi due elementi in fondo alla lista a cascata Elementi.

Elemento Combinato

Rappresenta in modo visivo stati di variabili tramite simboli, immagini e testi, e può essere usato anche come interruttore, oppure come pulsante.

Combo-/Listbox

Mostra in dipendenza del valore della variabile un testo in un combobox o in una listbox. Tramite la selezione di un inserimento, viene settato il valore corrispondente, oppure viene eseguita la funzione corrispondente.

Collega testo

Rappresenta il valore di una variabile stringa in forma alfanumerica, oppure il testo del valore limite attuale di variabili numeriche.

Elemento di segnalazione

Legge il testo da un file testo in dipendenza dei valori di due variabili e lo visualizza.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Multibin

Consente di visualizzare una grafica in dipendenza dei valori della variabile, oppure di colorare simboli e emettere un testo di stato.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Interruttore

Mostra i valori di una variabile binaria e li modifica.

Simbolo di movimento

Consente di spostare, di girare oppure di modificare la grandezza di un simbolo in dipendenza dei valori delle variabili.
È necessario per la progettazione con Windows CE.

Elemento Trend

Visualizza dei valori in forma di curve di trend.

Orologio

Mostra l´orario attuale e la data.

Slider universale

Mette a disposizione dell´utente slider in diverse vesti grafiche.

Nota relativa allo stile Scala animata: A Runtime, i valori possono essere modificati solamente usando una finestra di dialogo. Non è possibile modificare i valori direttamente mediante lo slider.

Pulsante invisibile

Oggetto trasparente con cui può essere inizializzata un´azione, come, ad esempio, "Esegui funzione", oppure "Setta valore impostabile".

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Elemento WPF

Mostra file WPF-XAML in zenon.

Valore numerico

Visualizza il valore di una variabile in forma numerica.

Strumento analogico

Mostra il valore di una variabile in forma di uno strumento analogico di misurazione.

Elemento di stato

Trasmette proprietà di variabili collegate ad un simbolo e mostra valori limiti statici.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Ancora in questo capitolo

Elementi d´immagine

Elementi d'immagine nel Runtime

.NET Controls

ActiveX

Bargraf

Elemento di comando

Pulsante d'allarme ad immagine

Pulsante

Elemento Combinato

Combo-/Listbox

Collega testo

Ellisse e cerchio

Curva

Arco di cerchio

Linea

Poligono

Polilinea

Rettangolo e quadrato

Tubatura

Interruttore

Testo statico

Elemento Trend

Orologio

Slider universale

WPF

Valore numerico

Strumento analogico

Elementi di versioni precedenti


Elementi d´immagine

Manuale -> Immagini -> Elementi d´immagine -> Elementi d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Generale

Per la modifica di elementi ad immagine, avete a disposizione molte combinazioni di tasti. Dei dettagli su questo argomento li trovate nella guida in linea, e precisamente nel capitolo Combinazioni tasti Grafica.

In questa sezione trovate informazioni sui seguenti argomenti:

  • Elementi vettoriali in zenon
  • Elementi dinamici in zenon
  • Aggiungi nella finestra principale
  • Definisci proprietà
  • Modificare la grandezza dell´elemento
  • Gira elemento
  • Altezza righe
  • Visibilità
  • Progettazione plurima

Elementi vettoriali in zenon

Gli elementi dinamici vengono creati nell´Editor di zenon mediante l´Editor grafico Nella Barra degli strumenti Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere selezionato l'elemento nella Finestra principale.

Import di proprie grafiche vettoriali

Gli elementi vettoriali che sono stati creati in programmi esterni, possono essere importati e implementati come immagine. Usate a tale scopo nel manager di progetto il settore File -> Grafici -> Aggiungi file .

Nota: l´importazione di grafiche vettoriali non è disponibile per l´Editor a 64-Bit.

Elementi dinamici in zenon

Gli elementi dinamici li generate in zenon con l´editor dei caratteri. Nella Barra degli strumenti Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale. E´possibile dinamizzare gli elementi grafici direttamente in questa sede facendo uso di variabili. Per molti elementi viene visualizzato un dialogo di configurazione al momento della loro creazione.

Definisci proprietà

Nel caso di molti elementi dinamici, si apre un dialogo di configurazione che serve alla selezione di variabili e/o funzioni che definiscono il comportamento dell´elemento a Runtime. Le proprietà possono essere impostate anche senza far ricorso al dialogo di configurazione nella Finestra delle proprietà. Le si può modificare in questa sede in qualsiasi momento. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. Tenere presente quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietà che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Guida delle proprietà.

Visualizzazione nella finestra principale

Ottenete le informazioni concernenti un elemento dinamico nella finestra principale tramite:

tooltip con mouseover:

  • Tipo di elemento
  • Nome elemento
  • Nome funzione/tipo funzione
  • Variabili collegate

Nella barra di stato quando attivate:

  • Posizione del puntatore del mouse
  • Tipo di elemento
  • Nome elemento
  • Punto di partenza
  • Larghezza/Altezza

Aggiungi nella finestra principale

L´elemento selezionato può essere aggiunto più volte nella finestra principale e può essere ordinato in quella sede. Quale elemento è stato selezionato ed è, dunque, attivo, lo mostra un simbolo sotto la punta del puntatore del mouse. Per trascinare l´elemento:

  1. premete il tasto sinistro del mouse;
  2. spostare il mouse,
  3. rilasciare il tasto del mouse;

Eccezione: Poligono, polilinea e tubatura

  • Con un clic del mouse si aggiunge una nuovo punto di appoggio.
  • Cliccando due volte,oppure premendo il tasto Esc, si interrompe il disegno.

Gli elementi possono essere ruotati liberamente facendo uso del mouse; a tal scopo:

  1. cliccate con il mouse sull´elemento
  2. usando il punto di ridimensionamento di colore giallo, ruotate l´elemento

Il punto di ridimensionamento e, in tal modo, anche il punto di rotazione possono essere impostati nelle proprietà Punto di riferimento.

attention Attenzione

Ogni elemento deve avere un ID univoco. Se si usano più elementi con lo stesso ID in una stessa immagine, tutti i duplicati vengono rimossi durante la compilazione. Se, ad esempio, si copia un pulsante e lo si inserisce nella stessa immagine, esso avrà lo stesso ID. In questo caso, la copia verrà rimossa durante la compilazione.

Eccezione: È consentito creare più container nell´immagine del tipo Faceplate.

Definisci proprietà

Per elementi nella finestra principale, le proprietà vengono impostate nella Finestra delle proprietà. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. Tenere presente quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietà che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Finestra della guida in linea.

Modificare la grandezza dell´elemento

Per modificare la grandezza di un elemento, possono essere usati il mouse, la tastiera, le proprietà oppure un dialogo:

  • Con il mouse:
    1. cliccate su uno dei punti di aggancio che si trovano sulla cornice dell´elemento
    2. trascinate l´elemento finché non otterrete la grandezza desiderata
  • Con la tastiera:
    • attivate il punto di aggancio desiderato (il puntatore del mouse deve trovarsi sopra di esso)
    • trascinate facendo uso dei tasti con le frecce:
    • una pressione su uno dei tasti con le frecce modifica la posizione di 1 pixel
    • Con il tasto shift: + tasto con la freccia una pressione su uno dei tasti con le frecce modifica la posizione di 10 pixel
  • Con la finestra di proprietà: nel gruppo proprietà Posizione potete fissare la posizione e la grandezza degli elementi con la precisione di un pixel.
  • Con un dialogo: cliccate due volte su un punto di aggancio e si aprirà un dialogo nel quale potete fissare con la precisione di 1 pixel la posizione dell´elemento

Nota: Se, per la proprietà Dimensione bitmap, l´opzione Dimensione originale è stata scelta come valore con l´elemento multibin, l´elemento combinato, pulsante oppure interruttore, la larghezza e l´altezza del rispettivo file grafico non possono essere più modificate.

Gira elemento

Gli elementi possono essere girati a piacimento. Il punto di rotazione viene fissato facendo uso delle proprietà nel gruppo Punto di riferimento.

Fissate l´angolo di rotazione come segue:

  • Con il mouse: cliccate sull´elemento e fate ruotare quest´ultimo facendo perno sul punto di aggancio di color verde.
  • Con la finestra di proprietà: Con la proprietà Rotazione [°]nel gruppo Posizione.
  • Con un dialogo: cliccando due volte sul punto di aggancio verde, si apre un dialogo nel quale potete indicare l´angolo di rotazione.

info Info

Elementi d´immagine a base finestra come ActiveX, liste o combo/listbox, non possono essere ruotati durante il Runtime. La configurazione nell`Editor è possibile per ActiveX, essa però non ha nessun effetto sulla visualizzazione nel Runtime.

Altezza righe

Tramite la proprietà Visualizzazione/Zeilenhöhe [Pixel] si può definire per determinati elementi l´altezza delle righe indipendentemente dalla dimensione del carattere. Il valore di default è 0 Pixel. In tal modo l´altezza delle righe viene impostata indipendentemente dalla dimensione del carattere. Ogni valore superiore a 0 stabilisce un valore fisso in pixel per l´altezza delle righe. Se è definita una altezza di riga, le visualizzazioni grafiche non vengono scalate in modo corrispondente all´altezza della riga, ma vengono adattate alla dimensione del carattere.

Attenzione: Se si seleziona un´altezza riga:

  • Troppo grande, è possibile che a Runtime il sistema non visualizzi nulla.
  • Minore a quella del carattere, la visualizzazione della progettazione non sarà completa, ma ne mancherà un parte.

Visibilità

La visibilità di un elemento nel Runtime viene definita mediante le proprietà del gruppo Visibilità/lampeggio. Tramite le impostazioni della proprietà Visibilità si stabilisce se la visibilità di una variabile o un interblocco viene definita.

  • Variabile: La visibilità è controllata mediante una variabile. Se non è stata definita nessuna variabile, l´elemento è sempre visibile. Se è stata definita una variabile, la visibilità viene o ripresa dalle proprietà del valore limite di questa variabile, oppure determinata dal campo valori che è definito nelle proprietà Da e A.
  • Interblocco: La visibilità è controllata da un interblocco. Se non è stata definito nessun interblocco, l´elemento è sempre visibile. Con la proprietà Visibile, se interbloccato si definisce se l´elemento è visibile quando è bloccato o quando non lo è.

Visibilità in caso di interblocco:

Interblocco collegato | Interblocco attivo | Visibile, se interbloccato | Risultato
X | X | X | visibile
X | X | - | invisibile
X | - | X | invisibile
X | X | - | visibile
- | - | - | visibile

Progettazione non univoca

Proprietà di progetto - proprietà delle immagini

Si può avere una progettazione non univoca a livello di proprietà di progetto. Questo si può verificare, per esempio, quando la visualizzazione grafica degli interblocchi è stata configurata da un parte nelle proprietà di progetto, mediante la proprietà Gestione user, oppure la proprietà Aspetto grafico, e, dall´altra, tramite la proprietà Visibile, se interbloccato dell´elemento di immagine. In questo caso, la configurazione dell´elemento d´immagine è prioritaria rispetto all´impostazione eseguita nelle proprietà di progetto.

Elementi nascosti

Nel caso di elementi sovrapposti vale quanto segue:

  • se un elemento vettoriale si sovrappone ad un elemento dinamico, allora
    • l´elemento dinamico oppure la parte che viene coperta non vengono visualizzati
    • l´elemento dinamico, anche quando è coperto completamente, rimane utilizzabile.
    • Se diversi elementi dinamici sono sovrapposti l´uno all´altro, sono utilizzabili solamente le parti visibili (sulle quali si può cliccare).

Tipp Suggerimento

Elementi che a Runtime sono coperti (nascosti) o si trovano al di là dell´area visibile di un´immagine, possono essere raggiunti nell´Editor usando la tastiera. I dettagli concernenti la progettazione li potete trovare nella guida riguardante il Runtime, nel capitolo Stabilisci successione all´interno del modello.


Elementi d'immagine nel Runtime

Manuale -> Immagini -> Elementi d´immagine -> Elementi d'immagine nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al Runtime

  • Comportamento a Runtime:
    • Trasformazione
    • Visualizzazione grafica
    • Successione nel Runtime
    • Visibilità
      Ulteriori informazioni su questo tema si trovano nel capitolo Configurazione.
    • Elementi coperti (nascosti)
      Ulteriori informazioni su questo tema si trovano nel capitolo Configurazione.

info Info

Gli elementi d'immagine, che sono collegati con una variabile che non ha né valore, né stato, vengono resi invisibili durante il Runtime.

Trasformazione

Definisce l´ordine di trasformazione per gli elementi grafici.

  • Rotazione -> Zoom -> Traslazione
  • Zoom -> Rotazione-> Traslazione

Default: Zoom -> Rotazione -> Traslazione

Potete trovare ulteriori informazioni su questo argomento nel capitolo Successione di trasformazione degli elementi d'immagine.

Visualizzazione grafica

Gli elementi con grafiche visualizzano la grafica stessa solo se esiste il valore corrispondente.

Se la relativa variabile non ha alcun valore, oppure se quest´ultimo non è stato ancora acquisito dal driver, a Runtime non verranno visualizzate le grafiche negli elementi (per es. nell´elemento combinato). Questo vale anche per le variabili di quei sotto-progetti per i quali il server progetto non è raggiungibile. In questo caso, però, viene visualizzato (se l´opzione è attiva) un problema di comunicazione (quadrato blu). Se non diventa impossibile raggiungere il server per un sotto-progetto dopo che dei valori sono già stati trasmessi alla variabile, la grafica verrà visualizzata fino alla nuova apertura dell´immagine.
Ulteriori informazioni su questo argomento si trovano nel manuale Elaborazione degli stati, nel capitolo Non aggiornato (N_UPDATE).

Quando non c´è comunicazione con il PLC, il valore della variabile in questione viene contrassegnato a Runtime con un quadrato rosso.

Ulteriori informazioni su questo tema si trovano nella descrizione della proprietà Visualizza stato della variabile.

Ordinamento

A Runtime, gli elementi vengono visualizzati in successione dal basso verso l´alto. Tenere presente quanto segue:

  1. Elemento WPF: sempre in primo piano
  2. Elemento ActiveX: sempre in primo piano, ad eccezione del caso in cui ad esso si sovrapponga un elemento WPF
  3. Elementi dinamici e vettoriali.
    Ulteriori informazioni su questo tema si trovano nel capitolo Configurazione.

La successione d'attivazione degli elementi di un'immagine quando si lavora a Runtime usando la tastiera, viene definita in fase di configurazione del progetto nell´Editor di zenon. I dettagli relativi alla progettazione si trovano nella guida riguardante il Runtime, nel capitolo Stabilire la successione all´interno di un modello.

Ancora in questo capitolo

Successione di trasformazione degli elementi d´immagine

Caratteri di pulsanti e elementi vettoriali quando la qualità grafica impostata è Windows standard


Successione di trasformazione degli elementi d´immagine

Manuale -> Immagini -> Elementi d´immagine -> Elementi d'immagine nel Runtime -> Successione di trasformazione degli elementi d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La successione di trasformazione degli elementi grafici può essere scelta nell´Editor, nel gruppo Aspetto grafico, in corrispondenza delle proprietà di progetto Ordine trasformazione.

Potete scegliere fra le due seguenti opzioni:

  1. Rotazione -> Zoom -> Traslazione
  • Se selezionate questa sequenza di trasformazione, l´elemento grafico sotto questa opzione avrà il seguente aspetto originale:

    Dopo un ingrandimento di 4 volte dell´elemento grafico, esso avrà il seguente aspetto:

    Con un ingrandimento di 4 volte e una rotazione di 45°, esso avrà il seguente aspetto:

  1. Zoom -> Rotazione-> Traslazione
  • Se selezionate questa sequenza di trasformazione, l´elemento grafico sotto questa opzione avrà il seguente aspetto originale:

    Dopo un ingrandimento di 4 volte dell´elemento grafico, esso avrà il seguente aspetto:

Con un ingrandimento di 4 volte e una rotazione di 45°, esso avrà il seguente aspetto:

Nota: la differenza fra i due tipi di ordine di trasformazione consiste nell´uso dell´ingrandimento e della rotazione di un elemento grafico. L´impostazione di default è l´opzione Zoom -> Rotazione -> Traslazione.


Caratteri di pulsanti e elementi vettoriali quando la qualità grafica impostata è Windows standard

Manuale -> Immagini -> Elementi d´immagine -> Elementi d'immagine nel Runtime -> Caratteri di pulsanti e elementi vettoriali quando la qualità grafica impostata è Windows standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seconda della configurazione dell´inserimento UseGDILegacyDrawing del file project.ini, vale quanto segue per pulsanti e elementi vettoriali:

In caso di impostazione attiva (corrisponde alla visualizzazione nelle versioni < 7.60)

  • I pulsanti con “effetto di riempimento” vengono visualizzati con arrotondamenti di 20%.
  • I pulsanti rettangolari con “effetto di riempimento” vengono visualizzati con offset centrato (50%) o completo (100%).
  • I pulsanti rotondi vengono visualizzati con l´impostazione Evidenzia.
  • Rettangoli con “effetti di riempimento” vengono visualizzati con l´impostazione Lineare della proprietà “Effetto riempimento”.
  • Rettangoli con arrotondamenti vengono visualizzati senza effetto di riempimento.
  • Gli elementi ellisse/cerchio con effetto di riempimento vengono visualizzati con l´impostazione Da un punto definitodella proprietà “Effetto riempimento”.

In caso di impostazione non attiva (corrisponde alla visualizzazione in versioni a partire dalla 7.60 e alla visualizzazione nell´Editor)

  • I pulsanti con “effetto di riempimento” vengono visualizzati con gli arrotondamenti configurati nell´elemento.
  • Per effetti di riempimento lineari di pulsanti può essere impostato qualsiasi valore (0-100%).
  • Per i pulsanti rotondi sono possibili tutte le impostazioni della proprietà “Effetto riempimento” (Lineare, Da un punto definito, Effetto Bright).
  • I rettangoli (anche con arrotondamenti) possono essere visualizzati con le impostazioni della proprietà “Effetto riempimento” Lineare e Effetto Bright.
  • Per gli elementi ellisse/cerchio sono possibili tutte le impostazioni della proprietà “Effetto riempimento” (Lineare, Da un punto definito, Effetto Bright).
  • Gli elementi vettoriali (rettangolo, ellisse/cerchio) con “effetto di riempimento” vengono visualizzati con la cornice configurata nelle impostazioni del gruppo Linea.


.NET Controls

Manuale -> Immagini -> Elementi d´immagine -> .NET Controls

L´ActiveX Control CD_DotNetControlContainer.Container permette di utilizzare .NET Windows Forms Controls come elemento dinamico in zenon. Vengono supportate tutte le funzioni implementate in .NET Control. Può essere usato con tutte le versioni di zenon (a partire da 5.50), che supportano ActiveX.

Nota: .NET Framework 3.5 (oppure una versione successiva) deve essere disponibile.

info Info

Se volete saperne di più sull´uso di .NET con zenon, Vi invitiamo a leggere la parte della guida dedicata alle Interfacce di programmazione nel capitolo .NET.

Per utilizzare l´ActiveX Control CD_DotNetControlContainer.Container:

  1. Create anzitutto un elemento dinamico del Tipo ActiveX;
  2. Selezionate nella lista dei control disponibili CD_DotNetControlContainer.Container.

    Nota: Í controlli dovrebbero essere salvati sempre nella cartella Additional del progetto. In questo caso, infatti, vengono presi in considerazione dal sistema per i backup e trasferimento di file. Se il file è salvato nella cartella Additional, selezionare per Path l´opzione Relative.

  3. Cliccate sul pulsante Proprietà.

    Si apre il dialogo che Vi guida attraverso i passi della configurazione del control.

Finestra di dialogo di configurazione

Opzione

Descrizione

SelectUserControl

Selezione tramite menù a tendina del .NET Control fra quelli disponibili nel .NET Control Assembly selezionato.

Browse

Apre il file manager che consente di selezionare un .NET Control Assembly.

Nota: il .NET Control Assembly dovrebbe essere nella cartella Additional del progetto.

Path

Selezione di come viene salvato il percorso:

  • Absolute: Il percorso viene impostato come assoluto.
    Nota: questo può causare problemi quando, per esempio, il Runtime viene eseguito su un computer diverso da quello dove viene eseguito l´Editor e il percorso non esiste nel PC del Runtime.
  • Relative: Percorso relativo al luogo di salvataggio della DLL. Selezionare questa opzione se la DLL si trova nella cartella Additional del progetto.

Default: Relative

il percorso selezionato viene visualizzato al di sotto dei pulsanti di opzione.

Preview

Visualizza il percorso del .NET Control Assembly.

Campo sotto a sinistra: anteprima del control.

Campo sotto a destra: lista delle proprietà per il .NET Control selezionato.

Simbolo: secondo le categorie

Mostra le proprietà ordinate secondo le proprietà.

Simbolo: alfabetico

Mostra le proprietà organizzate in ordine alfabetico.

Simbolo: pagine delle proprietà

Mostra le pagine di proprietà.

OK

Conferma la configurazione. Essa viene poi salvata nell´elemento ActiveX di zenon come XML Stream.

Cancel

Rifiuta la configurazione


ActiveX

Manuale -> Immagini -> Elementi d´immagine -> ActiveX

Servendovi dell´elemento dinamico ActiveX potete implementare degli elementi ActiveX Elemente nei Vostri progetti.

info Info

Se volete saperne di più sull´uso di ActiveX con zenon, Vi invitiamo a leggere la parte della guida dedicata allo Scripting nel capitolo ActiveX.

Per creare un ActiveX in un´immagine, procedete come segue:

  1. selezionate il simbolo ActiveX nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento di gestione tenendo il tasto sinistro del mouse premuto.
  4. Si apre un dialogo di configurazione nel quale sceglierete l´elemento e lo configurerete.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo, l'elemento deve essere attivo nella finestra principale (clic del mouse). Per selezionare oppure modificare in un secondo momento dei control, aprite il dialogo di configurazione con un doppio clic, oppure usando la voce di menù Proprietà del menù contestuale.

attention Attenzione

Appariranno solamente quegli elementi ActiveX che sono installati e registrati sul computer. Tenete presente che tutti gli elementi ActiveX utilizzati, sono installati su tutti i sistemi runtime sui quali usate il Vostro progetto.
Per registrare degli elementi ActiveX su sistemi remoti, potete usare anche il Trasporto Remoto. Si veda: Imposta file (copia&registra)

Configurazione ActiveX

Elementi ActiveX

Elemento | Funzione
Elementi ActiveX | Lista di tutti gli elementi ActiveX disponibili.
Proprietà | Apre, se esistente, un dialogo di configurazione per l´ActiveX evidenziato. Potete ricevere delle informazioni e assistenza per realizzarne la configurazione dal produttore del ActiveX Controls in questione.

Assegnazione variabili

Elemento | Funzione
Assegnazione variabili | Lista delle variabili attribuite all´elemento ActiveX.
Variabile | Apre, se è possibile un´assegnazione variabili, il dialogo di zenon che serve alla scelta delle variabili stesse.
In giù | Ordina le variabili evidenziate verso il basso.
In sù | Ordina le variabili evidenziate verso l´alto.

Cambio di posizionamento durante il runtime

Gli "Windowed ActiveX-Controls" funzionano nel Runtime con coordinate mouse non trasformate. Se un elemento viene ruotato, allungato o ne vengono modificate in altro modo la dimensione o la posizione, il control si adatta e viene eseguito sempre nella posizione originaria. L´elemento trasformato, dunque, non può più essere gestito per mezzo del control nella sua nuova posizione.

I Windowless ActiveX-Control possono funzionare nel Runtime con coordinate del mouse trasformate. Se si ruota, allunga o si modifica in altro modo la posizione di un elemento, il control funziona se sono soddisfatti i seguenti requisiti:

  • non funziona sotto Windows CE.
  • non contiene un control in windowless ActiveX
  • Windowsless ActiveX supporta correttamente caratteri trasformati

info Info

Tenete presente la differenza fra elementi ActiveX windowed e windowless.

Gli elementi "Windowed ActiveX" (per es. tutti gli Microsoft ActiveX Controls) si trovano sempre in primo piano.

Sopra gli elementi "ActiveX windowless", invece, si può sempre porre, per esempio, un elemento dinamico.


Bargraf

Manuale -> Immagini -> Elementi d´immagine -> Bargraf

Con l´elemento dinamico Bargraf indicate numericamente la grandezza di un segnale. La lunghezza della barra cambia nel corso del runtime con la grandezza del segnale.

Per creare un Bargraf in un´immagine:

  1. selezionate il simbolo Bargraf nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la selezione di una variabile
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Per modificare la variabile collegata:

  1. aprite le variabili nella Visualizzazione dettagli del manager di porgetto.
  2. trascinate la variabile desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
  3. La variabile esistente viene sostituita dalla nuova.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Questa proprietà ha effetto solamente sulla visualizzazione di valori con valori limite definiti da variabili.
I valori limite da matrici di reazione non vengono analizzati.

  • Attivo: se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se per la variabile sono stati definiti diversi valori limite, le aree corrispondenti della rappresentazione sono visualizzate usando il colore del valore limite corrispondente.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la rappresentazione viene visualizzata usando il colore del valore limite violato.

Default: inattivo


Elemento di comando

Manuale -> Immagini -> Elementi d´immagine -> Elemento di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Le istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante d'allarme ad immagine

Manuale -> Immagini -> Elementi d´immagine -> Pulsante d'allarme ad immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attenzione: Il Pulsante Allarmi ad immagine necessita di una licenza per SICAM 230. Ulteriori istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante

Manuale -> Immagini -> Elementi d´immagine -> Pulsante

Per mezzo dell´elemento dinamico Pulsante, create un pulsante configurabile liberamente che poi userete nell´immagine o per eseguire una funzione, oppure come interruttore per una variabile binaria.

Il pulsante può

  • visualizzare un file grafico
  • animare un file grafico
  • essere rappresentato in modo non visibile

info Info

Fino alla versione 6.22 compresa, i pulsanti vengono suddivisi in pulsanti di testo, pulsanti bitmap e pulsanti non visibili. A partire dalla versione 6.50, tutte le proprietà configurabili per mezzo di pulsanti sono riassunte nell´elemento Pulsante.

Per creare l´elemento dinamico Pulsante in un´immagine, procedete come segue:

  1. selezionate il simbolo Pulsante nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre Dialogo di selezione Funzioni.
  5. Selezionare la funzione desiderata.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: Potete arrotondare gli angoli a piacere.

  7. Le variabili le aggiungete per Drag&Drop.

Descrizione

Per inserire una denominazione per il pulsante, procedete come segue:

  • cliccate sull´elemento;
  • digitate un testo;
  • definite nel nodo Testo le proprietà di questo testo.

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di caratteri \n.

Esempio:

riga 1 \n

riga 2

Pulsante come interruttore

Per usare il pulsante come interruttore, procedete come segue:

  1. Attivate nel nodo Imposta valore la proprietà Interruttore.
  2. Con la proprietà Pulsante, attivate le impostazioni per usare il pulsante come momentary switch.
  3. Collegate il pulsante con una variabile binaria (nodo Variabile/funzione, proprietà Variabile).

Pulsante per l´esecuzione di una funzione

Per collegare il pulsante con una funzione, procedete come segue:

  1. Disattivate nel nodo Imposta valore la proprietà Interruttore.
  2. Collegate il pulsante con una funzione (nodo Variabile/funzione, proprietà Funzione).

Pulsante con grafica

Per dotare un pulsante di una grafica, procedete come segue:

  1. Cliccate nell´elemento.
  2. Definite le grafiche desiderate per i diversi stati di switch nel nodo Riempimento facendo uso delle proprietà File grafico e File grafico a tasto premuto.
    Potete utilizzare i seguenti file grafici:
    grafica bitmap: *.bmp, *.jpg, *.gif o *.png
    Grafica vettoriale: *.wmf.

Di default un pulsante con grafica ha una sottile linea cornice 3D, che copre un pixel per ogni lato della grafica. Se volete che la grafica sia visibile completamente, procedere come segue:

  • Attivate nelle proprietà del pulsante, e più precisamente nel gruppoRiempimento, la proprietà Trasparenza del colore bordo [%]
    • con il valore 100

    oppure

  • Attivate la proprietà Trasparente per disattivare il colore di sfondo e quello della cornice

In tal modo, la linea di cornice 3D non verrà più visualizzata e la grafica sarà visibile nella sua interezza.

Pulsante invisibile

Per definire un´interfaccia interattiva, trasparente, procedete come segue:

  1. Cliccate nell´elemento.
  2. Definite nel nodo Riempimento la proprietà Trasparente.
  3. Eliminate tutte le didascalie dal pulsante.

Accesso al Runtime:

  • Il puntatore cambia quando il mouse si muove sull´elemento
  • tramite una combinazione di tasti definita (nodo Runtime, proprietà Combinazione tasti)

info Info

Lo stato della variabile non può essere visualizzato per il pulsante invisibile.

Ancora in questo capitolo

Tipo di riempimento e effetto di riempimento

Animazione grafiche


Tipo di riempimento e effetto di riempimento

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Tipo di riempimento e effetto di riempimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento pulsante supporta diversi Tipo di riempimento.

Per definire gli effetti di riempimento, selezionare anzitutto effetto di riempimento per la proprietà Tipo di riempimento.

A seconda di Forma pulsanti e Qualità grafica, vengono supportati i seguenti effetti di riempimento e l´impostazione Evidenzia:

 | DirectX |  | Windows standard
Forma pulsanti | Squadrato | Rotondo | Squadrato | Rotondo
Lineare | X | X | X (solo orizzontale) | X
Da un punto definito | X | X | -- | X
Da un punto definito effetto beam | X | -- | -- | --
Effetto Bright | X | -- | X | --
Evidenzia | -- | X | -- | X

Legenda:

  • X: Disponibile
  • --: non disponibile


Animazione grafiche

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Animazione grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´elemento dinamico Pulsante possono essere inserite delle animazione usando file grafici del tipo GIF:

  1. Assegnate al pulsante un file GIF nel nodo Riempimento, mediante la proprietà File grafico.
  2. Nello stesso nodo, rendete operante una possibilità di attivazione per Animazione GIF.

    Potete eseguire l´animazione ininterrottamente, oppure in dipendenza di una variabile Bool:

    1. Per eseguire l´animazione ininterrottamente: Attivare la proprietà Animazione GIF continua (segno di spunta nella casella).
    2. Per eseguire l´animazione in dipendenza di una variabile: Collegate la proprietà Variabile ad una variabile Bool. L´animazione viene eseguita non appena quest´ultima riceve il valore 1 .


Elemento Combinato

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento combinato è un elemento dinamico utilizzabile universalmente che può assumere i più disparati aspetti grafici:

  • Grafica
  • Simbolo immagine
  • Testo

La forma della rappresentazione viene definita mediante degli stati. Da stati possono fungere sia i valori della variabile principale, che i valori di altre variabili, nonché le informazioni di stato di tutte le variabili collegate. Mediante delle formule, si può creare un numero qualsiasi di collegamenti.
Gli stati dell variabile principale (attributi del valore limite), possono essere trasmessi direttamente all´elemento combinato. L´elemento combinato supporta anche il settaggio di valori impostabili in forma di un interruttore/pulsante, nonché il settaggio di funzioni e serve alla realizzazione di elementi tecnici di processo per l´Automatic Line Coloring.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Imposta valore attivo. Tutti i pulsanti di comando nell´immagine Comando che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Crea un elemento combinato.

Per creare un elemento combinato in un´immagine:

  1. Cliccate nella barra dei simboli Elementi sul simbolo Elemento combinato e trascinate l´elemento con il mouse nella finestra principale.

    Si aprirà la finestra di dialogo che serve alla selezione delle variabili, filtrata per variabili numeriche.

  2. Selezionate la variabile desiderata
  3. Si apre l´Assistente che serve a fissare le impostazioni per l´elemento combinato; esso vi accompagna attraverso i passaggi necessari per stabilire le impostazioni di base. Se preferite effettuare tutte le impostazioni manualmente anziché con l´aiuto dell´assistente, cliccate adesso su Annulla. I dettagli sull´assistente li trovate nel capitolo Assistente.

Nel caso abbiate optato per le impostazioni manuali, definite nel nodo Visualizzazione le Rappresentazione. Di default viene previsto simbolo dalla libreria. A seconda dell´impostazione per la quale avete optato, stabilite anche i file d´immagine e i testi.

Gli ulteriori stati li definirete o nell´assistente facendo uso del pulsante Nuovo stato, oppure nelle proprietà dell´elemento combinato nel nodo Rappresentazione, con la proprietà Stati e test.

Funzioni e variabili possono essere attribuite all´elemento combinato anche per Drag&Drop. In questo caso, la funzione/variabile esistente viene sostituita dalla nuova.

Gli elementi combinati possono riprendere il comportamento dei pulsanti impostato nel progetto. A tale scopo, attivare la proprietà Applica proprietà di progetto per "bloccato". Verranno riprese le impostazioni delle proprietà Tasti bloccati e Pulsanti bloccati. La selezione dell´opzione grigio ha effetto solamente alle parti del testo non simboliche.

attention Attenzione

Tenete presente le seguenti limitazioni:

  • I simboli, che non si trovano in un elemento combinato, non sono gestibili.
    Eccezione: I simboli della libreria possono essere usati come pulsante su cui cliccare.
  • Se l´elemento combinato è configurato con ombreggiatura, esso non può essere ruotato all´interno di un simbolo.

Regole di collegamento

Se avete selezionato come Rappresentazione Simbolo dalla libreria, potete indicare delle regole di collegamento. Tramite la proprietà Stati e test, aprite il dialogo per l´inserimento dell´elemento. Dopo aver selezionato il simbolo facendo uso del pulsante "Selezione simbolo", potete creare delle regole di collegamento e le potete anche modificare. Queste regole vengono salvate stato per stato.

Example Esempio

Variabili/funzioni contenute nel simbolo:
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Con la seguente regola, le variabili e la funzione del simbolo saranno sostituite:
Sorgente: *_0010
rimpiazzata con: _0020

Risultato dell´applicazione della regola di collegamento:
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

Con l'aiuto della regola di collegamento, dunque, si possono sostituire tutte le variabili e le funzioni. Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Al momento di creare i file runtime, stato per stato vengono sostituiti i relativi collegamenti in base alle regole definite.

Example Esempio

Volete rappresentare in modo grafico se un motore è acceso e in quale direzione gira.

L'informazione sulla direzione dei giri del motore e sullo stato on/off viene fornita dalla variabile dalla parte di gestione. Grazie al testo di stato, si visualizza nel motore se e come gira.

  • Selezionate nelle Proprietà -> Rappresentazione -> Testo di stato.
  • Aprite il dialogo Introduzione elemento cliccando su Stati e test.
  • Digitate il testo di stato che volete attribuire al valore in questione.

Durante il runtime, poi, nel Vostro motore ci sarà, per esempio: "a sinistra", "a destra", oppure nessun testo se il motore non gira.

Ulteriori informazioni sull'analisi dei bit di stato, le potete trovare nel capitolo Stati.

Ancora in questo capitolo

Assistente

Pulsanti su cui cliccare in qualsiasi forma

Stati

Modalità Test

Editor delle formule

Visualizzazione di informazioni sulla variabile


Assistente

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare la configurazione di base dell´elemento combinato avete a disposizione un assistente. Quest´ultimo si apre non appena viene selezionata una variabile per l´elemento combinato.

In primo luogo selezionate il tipo di visualizzazione. Sono disponibili le seguenti possibilità di selezione:

  • Simbolo dalla libreria
  • Simbolo d'immagine e Testi di stato
  • Bitmap e Simbolo d'immagine
  • Solo simbolo ad immagine

info Info

In tutte le finestre che servono alla selezione di uno stato, potete definire degli stati ulteriori. A tale scopo potete usufruire del comando "Nuovo stato".

Default: simbolo della libreria.
Questa impostazione viene proposta anche come standard nelle impostazioni, quando procedete alla creazione di un elemento combinato senza assistente.

Non appena avete scelto un tipo di visualizzazione, potete definire degli stati. Il primo stato è sempre quello di default.
Indicazione: per lo stato di default non si può indicare nessun valore, per tutti gli altri stati ne deve essere indicato uno. Potete elaborare sempre solo uno stato alla volta.

Simbolo dalla libreria

Cliccate sulla finestra vuota che si trova in basso a sinistra per scegliere un simbolo dalla libreria simboli globale, oppure dalla libreria di progetto. Cliccando su X accanto alla finestra, cancellate il simbolo selezionato.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

info Info

Per Simbolo dalla libreria potete creare dei Pulsanti su cui cliccare nella forma che preferite.

Simbolo d'immagine e Testi di stato

Ogni stato può essere contraddistinto da un testo, da un colore di primo piano e un colore di sfondo.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Testo di stato | Testo che viene visualizzato durante il runtime.
Colore | colore dei caratteri del testo di stato.
Colore di sfondo | colore dei caratteri del testo di stato.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

Bitmap e Simbolo d'immagine

Cliccate sul pulsante <Nessuna grafica selezionata> in basso a sinistra per selezionare un file grafico (*.bmp, *.gif, *jpg, *.png). Avete le seguenti possibilità di scelta:

  1. immagini del progetto:

    immagini che avete già salvato nel percorso immagini del porgetto (vedi capitolo Editor -> Manager di progetto> File); esse Vi verranno offerte automaticamente dall´assistente.

  2. Percorso assoluto per altre directory:
    • attivate a questo scopo la selezione file diretta.
    • La finestra passa a Scelta diretta
    • Clicchi sul pulsante ...
    • Selezionate con l´Explorer il file corrispondente.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

Solo simbolo ad immagine

Potete indicare un simbolo comune per tutti gli stati dell´elemento combinato.
Questo simbolo:

  • deve essere già presente nell´immagine.
  • Vale per tutti gli stati.
  • Può essere contraddistinto per ogni stato con un proprio colore di riempimento.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Simbolo immagine | Lista a cascata per la scelta di un simbolo. Se non viene visualizzato nessun simbolo, significa che nell´immagine attuale non ne esiste ancora nessuno.
Colore di sfondo | Contraddistingue lo stato assegnato.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.


Pulsanti su cui cliccare in qualsiasi forma

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Pulsanti su cui cliccare in qualsiasi forma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´elemento combinato possono essere impostati anche dei pulsanti su cui cliccare nel forma desiderata.

info Info

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Per creare dei pulsanti su cui cliccare nella forma desiderata:

  1. create un elemento combinato nel modo di rappresentazione Simbolo della libreria
  2. selezionate nelle proprietà dell´elemento combinato e in particolare nel nodo Visualizzazione la proprietà Forma del simbolo corrispondente all'area sensibile

info Info

Questa proprietà non funziona sotto Windows CE dato che la funzionalità necessaria non è disponibile con Windows CE.

Elementi

Si possono trovare nel simbolo ulteriori simboli o elementi combinati. Essi vengono separati in modo adeguato per l´area sulla quale cliccare. Nel caso dei simboli, vengono usati i confini dell´elemento; nel caso dell´elemento combinato, invece, dipende dalla proprietà Forma del simbolo corrispondente all'area sensibile se si usano o le singole aree su cui cliccare degli elementi, oppure il rettangolo dell´elemento combinato.

I seguenti elementi hanno la loro specifica area su cui cliccare:

  • Rettangolo arrotondato (fino alla versione 6.50 esistente in forma di proprio elemento vettoriale)
  • Pulsante
  • Elemento combinato con la proprietà "Forma simbolo per area su cui cliccare"
  • Cerchio
  • Arco di cerchio
  • Curva
  • Linea
  • Pipeline
  • Poligono
  • Polilinea
  • Rettangolo
  • Testo statico
  • Simbolo (vengono usate le corrette aree su cui cliccare degli elementi simbolo)

Tutti gli altri elementi hanno il loro bordo rettangolore come area su cui cliccare.

Forme speciali

Forme speciali

Effetto

Non vengono trattati in modo speciale:

  • Tipo di linea
  • Tipo di riempimento
  • Trasparenze di ogni tipo
    (fatta eccezione per elemento testo)

Su queste aree si può sempre cliccare.

Trasparenza in caso di testo statico:

l´elemento si mantiene come se l´elemento non esistesse. In questo modo è possibile denominare degli elementi senza ingrandire l´area su cui cliccare involontariamente.

Non influenza l´area su cui cliccare.

Suggerimento: se un elemento di testo trasparente deve avere un effetto sull´area su cui cliccare:

  • disattivate la proprietà Trasparente
  • impostate manualmente un elemento trasparente sotto o sopra

Pulsante

se viene usato per l´area su cui cliccare, non è disponibile qui una Animazione GIF per "premuto". Ciò corrisponde al comportamento nel caso in cui la proprietà Forma del simbolo corrispondente all'area sensibile sia disattivata.

Simbolo esce fuori dall´elemento combinato.

Il simbolo viene visualizzato, i clic vengono presi in considerazione dal sistema, però, solo se avvengono all´interno dell´elemento combinato.

Nota: se degli elementi superano i limiti dei simboli, oppure dei simboli superano i limiti di un elemento combinato, si possono verificare dei problemi di visualizzazione e effetti non desiderati.

Aree su cui cliccare

Nell´editor vengono definite in parte delle aree più grandi come aree su cui cliccare per rendere più semplice il cliccarci sopra. Per esempio: una linea dello spessore di 1 pixel può essere selezionata nell´editor con uno spessore di 8 pixel.

Nel runtime, la visualizzazione dell´area su cui cliccare sarà esatta. Per esempio: la linea dello spessore di 1 pixel è selezionabile anche solo per uno spessore di 1 pixel.

Il calcolo dell´area di su cui cliccare per l´elemento combinato funziona indipendentemente dall´impostazione della proprietà Qualità grafica. Tuttavia, in dipendenza da questa impostazione viene calcolata una diversa area su cui cliccare per gli elementi.

info Info

Se il puntatore del mouse si trova sull´elemento combinato, il sistema analizza se il cursore mouse si trova nell´area su cui cliccare dell´elemento. Nel caso ci sia un gran numero di elemento nel simbolo dell´elemento combinato, il carico CPU può essere grande.

Ancora in questo capitolo

Esempi di pulsanti su cui si può cliccare


Esempi di pulsanti su cui si può cliccare

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Pulsanti su cui cliccare in qualsiasi forma -> Esempi di pulsanti su cui si può cliccare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio 1

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attivo | Nessun clic
non abilitato | Clic

Esempio 2

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attivo | Clic
non abilitato | Clic

Esempio 3

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attivo | Nessun clic
non abilitato | Clic


Stati

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Stati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Passate alla finestra degli stati facendo uso della proprietà Stati e test nel nodo Visualizzazione.

Cliccando sul pulsante ... oppure sul testo "Clicca qui", si apre la finestra degli stati:

In questa sede

  • modificate gli stati esistenti
  • aggiungete dei nuovi stati
  • stabilite in quale successione gli stati devono essere elaborati.

Le impostazioni nella parte superiore della finestra sono uguali per tutte le modalità di visualizzazione. Nel terzo inferiore della finestra si procede a fissare le impostazioni individuali per le quattro diverse modalità di visualizzazione.

Impostazioni comuni

Definizione Stati

presenta una lista di tutti gli stati definiti. Uno stato può consistere di valori e stato. L´elemento viene elaborato dal primo stato all´ultimo inserimento. Viene visualizzata la prima concordanza completa. Eccezione: la proprietà Sovrapposti (per simboli della libreria) o Concatenato (per i testi) è attiva.

Parametro | Descrizione
Stato di default | Lo stato definito al momento della creazione dell´elemento. Esso si trova sempre al primo posto e non può essere né modificato, né cancellato.
Valore | Mostra il valore definito (32 Bit).
Stato | Mostra lo stato definito. Un "F" alla fine della visualizzazione stato, rimanda ad una formula.
Nuovo | Definisce nuovi stati. Vengono ripresi come valori iniziali valori, stato e formule dello stato attualmente evidenziato.
Elimina | Cancella lo stato evidenziato. Lo stato di default non può essere cancellato.
Verso l´alto/verso il basso. | Modifica la successione in cui vengono presi in considerazione gli stati. Lo stato di default si trova sempre in prima posizione.

Formule variabili

Mostra tutte le variabili che sono state definite per l´inserimento in formule. Le variabili esistenti vengono distinte da una grappetta verde; quelli non esistenti da una x rossa. Le variabili non esistenti possono essere sostituite tramite Modifica con delle variabili esistenti. Cliccando sui pulsanti Aggiungi e Modifica, aprite il dialogo per la Selezione delle variabili.

Valore

Consente

  • l´inserimento del valore per uno stato mediante una matrice o numericamente
  • la definizione di una formula
Parametro | Descrizione
Valore | Definizione del valore attraverso una predefinita struttura bit
Valore | Inserimento del valore numerico.
Formula | Apre la finestra per l´inserimento di Formule. Sono a disposizione le variabili definite nell´area variabili formula. Il collegamento avviene mediante operatori logici, bit o di confronto.

attention Attenzione

In caso di variabili non binarie, il valore si imposta nella risoluzione segnale! In questo elemento non si considerano le impostazioni dell´area di misurazione o l´adattamento non lineare dei valori.

Stato

Consente l´interrogazione delle informazioni di stato.

Attenzione: La maggior parte degli stato possono essere interrogati solamente se il driver supporta la modifica status.

Nr | Nome breve | Nome lungo | Nota
0 | M1 | Stato utente 1 |
1 | M2 | Stato utente 2 |
2 | M3 | Stato utente 3 |
3 | M4 | Stato utente 4 |
4 | M5 | Stato utente 5 |
5 | M6 | Stato utente 6 |
6 | M7 | Stato utente 7 |
7 | M8 | Stato utente 8 |
8 | NET_SEL | Seleziona nella rete |
9 | REVISION | Revisione |
10 | PROGRESS | In costruzione |
11 | TIMEOUT | Runtime exceeded |
12 | MAN_VAL | Valore manuale | Disponibile solo per formule.
13 | M14 | Stato utente 14 | Disponibile solo per formule.
14 | M15 | Stato utente 15 | Disponibile solo per formule.
15 | M16 | Stato utente 16 | Disponibile solo per formule.
16 | GI | Interrogazione generale |
17 | SPONT | Spontaneo |
18 | INVALID | Non valido |
19 | T_CHG_A | Annuncio ora solare/ora legale |
20 | OFF | Spento |
21 | T_EXTERN | External Real-Time | Disponibile solo per formule.
22 | T_INTERN | Internal Real-Time | Disponibile solo per formule.
23 | N_SORTAB | Non ordinabile | Disponibile solo per formule.
24 | FM_TR | Messaggio di errore Valore trasformatore |
25 | RM_TR | Messaggio default Valore trasformatore |
26 | INFO | Informazione della variabile |
27 | ALT_VAL | Valore di riserva |
28 | RES28 | Riservato |
29 | N_UPDATE | Not updated |
30 | T_STD | Ora solare | Disponibile solo per formule.
31 | RES31 | Riservato |
32 | COT0 | Cause of Trasmissions Bit 1 | Disponibile solo per formule.
33 | COT1 | Cause of Trasmissions Bit 2 | Disponibile solo per formule.
34 | COT2 | Cause of Trasmissions Bit 3 | Disponibile solo per formule.
35 | COT3 | Cause of Trasmissions Bit 4 | Disponibile solo per formule.
36 | COT4 | Cause of Trasmissions Bit 5 | Disponibile solo per formule.
37 | COT5 | Cause of Trasmissions Bit 6 | Disponibile solo per formule.
38 | N_CONF | Risposta negativa di SELECT dal dispositivo (IEC 60870 [P/N]) | Disponibile solo per formule.
39 | TEST | Test-Bit (IEC 60870 [T]) |
40 | WR_ACK | Conferma di scrittura | Disponibile solo per formule.
41 | WR_SUC | Scrittura eseguita con successo | Disponibile solo per formule.
42 | NORM | Stato normale | Disponibile solo per formule.
43 | N_NORM | Normal deviation | Disponibile solo per formule.
44 | BL_870 | IEC 60870 Status: blocked |
45 | SB_870 | IEC 60870 Status: substituted |
46 | NT_870 | IEC 60870 Status: not topical |
47 | OV_870 | IEC 60870 Status: overflow |
48 | SE_870 | IEC 60870 Status: select |
49 | T_INVAL | Time stamp non valido | Disponibile solo per formule.
50 | RES50 | riservato |
51 | RES51 | riservato |
52 | RES52 | riservato |
53 | RES53 | riservato |
54 | RES54 | riservato |
55 | RES55 | riservato |
56 | RES56 | riservato |
57 | RES57 | riservato |
58 | RES58 | riservato |
59 | RES59 | riservato |
60 | RES60 | riservato |
61 | RES61 | riservato |
62 | RES62 | riservato |
63 | RES63 | riservato |

info Info

Le denominazioni brevi per il bit di stato sono state unificate per tutte le lingue a partire dalla versione 6.50. Dettagli su questo argomento e su come potete riutilizzare vecchie denominazioni brevi, le potete trovare nel capitolo Bit di stato - Nuove denominazioni brevi.

Non ripristinato Se è settata l'opzione lampeggio per il valore limite della variabile, è settato il bit non ripristinato. Con l'opzione ripristina il lampeggio anche dell'allarmenella configurazione allarmi, viene ripristinato il lampeggio dell'allarme e il Bit non ripristinato viene portato a zero.(vedi anche capitolo Ripristino lampeggio di allarmi).

Impostazioni individuali

Le impostazioni individuali per le 4 modalità di visualizzazione degli stati le trovate nei sottocapitoli:

  • Simbolo dalla libreria
  • Simbolo d'immagine e Testi di stato
  • Bitmap e Simbolo d'immagine
  • Solo simbolo ad immagine

Progetta stato per le variabili non ancora collegate

Qualche volta dovete progettare un elemento combinato, ma non disponete ancora di una variabile realmente esistente. Per es., quando un elemento combinato deve essere utilizzato in un simbolo della libreria dei simboli e il collegamento della variabile viene creato solo al momento del trascinamento nell'immagine. In questo caso lavorate anzitutto con una cosiddetta variabile dummy che poi sostituirete con una variabile esistente. Potete progettare tutti gli stati in un elemento combinato anche se non è stata ancora collegata nessuna variabile esistente. Solo nella modalità test non avete accesso alle variabili dummy.

Per creare una variabile "dummy", procedete in questo modo:

  • Assegnate nelle proprietà dell´elemento combinato un nome simbolico digitandolo nel campo di inserimento Variabile.
  • Cliccate all´interno dell´area Visualizzazione nel campo Stati e test: si apre la pagina Stati nell´input elemento.
  • Nella Lista delle formule variabili, le variabili esistenti vengono indicate per mezzo di una spuntatura verde; quelle non esistenti con una X rossa. Potete aggiungere delle ulteriori variabili:
  • Per le variabili esistenti selezionate il pulsante "Aggiungi".
    Con "Modifica" sostituite delle variabili esistenti con delle altre, oppure sostituite delle variabili non esistenti con delle variabili esistenti.
  • Per aggiungere una variabile non esistente, cliccate su "Aggiungi" e poi su "Canc. selezionati". Ottenete una formula variabile con il seguente modello di nome: X00: <vuoto>. (00 sta al posto di un numero a due cifre).
    Selezionate la variabile e cliccate nel settore <vuoto>; assegnate una denominazione.
    Se inserite il nome di una variabile già esistente, viene creato un collegamento con essa, e, al posto della X rossa, compare una spuntatura verde.

Formule

Come viene creata una formula lo potete apprendere leggendo il capitolo Editor delle formule.

Ancora in questo capitolo

Simbolo dalla libreria

Simbolo d'immagine e Testi di stato

Bitmap e Simbolo d'immagine

Solo simbolo ad immagine


Simbolo dalla libreria

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Stati -> Simbolo dalla libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Opzione

Descrizione

Visualizza Elementi

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di sostituzione

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori

Disponibile solamente se nel settore Impostazioni specifiche la proprietà Colori simboli originali non è attiva.

Colore

Scelta del colore.

Colore di sfondo

Scelta del colore di riempimento

da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali
  • Attivo: applica il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Lampeggio
  • Attivo: il simbolo lampeggia a Runtime se viene raggiunto lo stato.


Simbolo d'immagine e Testi di stato

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Stati -> Simbolo d'immagine e Testi di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametro | Descrizione
Visualizza Elementi |
Testo di stato | Testo per lo stato
Testo a pulsante premuto | Testo a simbolo premuto
Colori |
Colore | Scelta del colore.
Colore di sfondo | Scelta del colore di riempimento
da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Lampeggio | Attiva: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.
Trasparente | Attiva: il colore del simbolo viene settato a trasparente.


Bitmap e Simbolo d'immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Stati -> Bitmap e Simbolo d'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametro | Descrizione
Visualizza Elementi |
Grafica | Cliccate su Grafica e si apre il dialogo per la selezione delle grafiche. Elimina: cancella nome dalla riga di testo.
Impostazioni specifiche |
Lampeggio | Attiva: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Solo simbolo ad immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Stati -> Solo simbolo ad immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametro | Descrizione
Colori |
Colore | Scelta del colore.
da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Colori simboli originali | Attiva: riprende il colore originale del simbolo.
Simbolo trasparente | Attiva: il colore del simbolo viene settato a trasparente
Lampeggio | Attiva: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Modalità Test

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Modalità Test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modalità test simula il runtime: potete testare una modifica di valore e vedere come si comporta il Vostro elemento combinato durante il runtime. Questa voce può essere attivata solo se tutti i collegamenti si riferiscono a delle variabili esistenti.

Nota: Nella modalità test, il simbolo, tuttavia, compare in una risoluzione peggiore a quella dell'immagine successiva.


Editor delle formule

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´editor delle formule consente di creare formule usando operatori logici o di confronto per un elemento combinato, per interblocchi e per il modulo “Comandi". Se per la formula sono necessarie ulteriori variabili, crearle nella sezione Formule variabili della finestra degli stati cliccando sul pulsante Aggiungi. Le formule già esistenti sono contrassegnate nella lista degli stati con la lettera F .

Nota sull´inserimento di cifre decimali:

  • Separatore decimale: la virgola (,) viene sostituita automaticamente da un punto (.)
  • Lo zero come cifra decimale viene eliminato automaticamente; 23,000 diventa automaticamente 23

Creare una formula

Cliccare nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Selezionare i bit per la formula nella finestra sinistra dell`Editor delle formule.

A destra si trovano gli operatori logici e di confronto.

Nel sezione Formula (in basso) verrà visualizzata la formula creata.

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit di valore

Ci sono 32 bit di valore (da 0 a 31). Descrivono il valore della variabile bit per bit. Per le variabili binarie, è rilevante solo il bit 0, per le variabili SINT e UNSINT i bit 0-7 ecc...

Nota: l´analisi si riferisce sempre al valore non elaborato (raw value) della variabile (risoluzione segnale), e non al valore di misurazione convertito.

Bit di stato

Sono i bit di stato più comuni. La definizione esatta e spiegazioni sull´uso dei bit di stato si trovano nella Lista Bit di stato.

Non resettato

Non resettato viene trattato come un normale bit di stato; ma qui viene elencato separatamente perché non fa parte dei classici stati delle variabili.

Valore e Stato

Nelle formule, tutti i valori (bit di valore e bit di stato) vengono trattati come valori binari e possono poi essere collegati logicamente tramite AND, oppure OR, e mediante altre espressioni logiche.
Un´eccezione è costituita dal valore totale e dallo stato complessivo. Per poter giungere ad un'espressione booleana, deve essere anzitutto eseguita un´operazione OR bit a bit di confronto di questo valore totale con una costante. A questo scopo si usa l'operatore &.
Se questa operazione di confronto OR restituisce il valore 0 (FALSE), si ottiene il valore binario 0 (FALSE), altrimenti 1 (TRUE).

Esempio: si veda il capitolo Esempio collegamento OR a bit

info Info

I bit di stato NORM e N_NORM sono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se vengono eseguite altre impostazioni per lo stato attuale al di fuori dell´Editor delle formule, queste verranno combinate con la formula tramite un operatore logico AND.

Per esempi, si veda la sezione Esempi di formule.

info Info

Le formule con valori X binari e collegamento bit a bit possono essere usate con un massimo di 2 valori binari. Se sono necessari più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value -> non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona

Ancora in questo capitolo

Lista dei bit di stato

Operatori logici

Formule a bit

Operatori di confronto

Esempi di formule


Lista dei bit di stato

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collegamenti logici: l´analisi delle variabili viene eseguita solo per rilevare il valore logico '0'; se il valore non è uguale a '0', viene considerato '1'.

A differenza delle formule a bit, l'area tecnica può essere modificata da un fattore di estensione -> diverso da '0' o '1'.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | Or esclusivo logico

Questa è la priorità degli operatori nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per formule a bit)
2 | NOT
3 | AND
4 | XOR/OR

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99.

info Info

I bit di stato NORM e N_NORMsono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule a bit

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule -> Formule a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le formule bit hanno solamente uno stato logico low e high. A differenza delle formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR

Ancora in questo capitolo

Esempio: collegamento OR bit a bit


Esempio: collegamento OR bit a bit

Esempio: collegamento OR bit a bit

Si vuole verificare se è settato uno dei bit di stato utente 1-8 (M1 ... M8) della variabile X01.

Formula usuale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa query può essere semplificata tramite il collegamento OR bit a bit dello stato complessivo.

Collegamento OR bit a bit:

X01.Status & 0xFF

La costante può essere impostata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 255; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è settato su 1, il risultato del collegamento OR bit a bit è 1 (True), altrimenti 0 0 (False).

Se, per esempio, la query deve riguardare tutti i bit di stato utente fatta eccezione per l´M7, l'espressione binaria corrispondente sarebbe: 10111111. Il bit 7 non è interessante, per questo è settato su 0. Questo corrisponde all´esadecimale 0xBF. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di usare un collegamento OR bit a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto restituisce un risultato sbagliato, si avrà il valore binario 0 (False), altrimenti 1 (True).

Esempio:

Si vuole verificare se un valore è uguale alla costante 202. La formula corrispondente è la seguente:

X01.value = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Nota: il collegamento OR bit a bit funziona con il carattere OR (|) in modo uguale a questo esempio.


Operatori di confronto

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli operatori di confronto servono a confrontare direttamente due valori numerici. Il risultato di questo confronto è uno stato binario. "0" se la condizione non è soddisfatta, e "1“ se la condizione è soddisfatta.

Operatore | Descrizione
< | Minore
> | Maggiore:
<= | Minore uguale
>= | Maggiore uguale
= | Uguale a
<> | Diverso da

A sinistra e a destra di un operatore di confronto devono esserci un valore (totale) o uno stato (totale); non si possono usare bit singoli con questi operatori di confronto.

A destra dell'operatore di confronto ci può essere anche una costante.
Nell´elemento combinato, queste costanti vengono inserite come valori esadecimali o valori decimali. Quando si clicca sul pulsante OK, i numeri esadecimali vengono convertiti automaticamente in numeri decimali. Esempio: 0x64 corrisponde al valore numerico 100.

Nota: l´elemento combinato non è disponibile nel modulo Batch Control.

Example Esempio

X01.valore >= X02.valore
Il risultato è "1" se il valore di X01 è maggiore o uguale al valore di X02

X01.valore = 0x64
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico100 (= hex 0x64)

(X01.valore = 0x64) OR (X01.valore = 0x65)
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= hex 0x64 e hex 0x65)


Esempi di formule

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Semplice collegamento logico AND di due valori bit.

Example Esempio

Formula: X01.03 AND X02.03

Questa formula restituisce il risultato “TRUE” quando il Bit 3 della variabile 1 e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confrontare valore o stato di una variabile

Example Esempio

(X01.valore> X02.valore)

Comparare confronti fra di loro su base logica

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore)

Confronti con bit di valore e bit di stato

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore ) OR (X01.03 = X02.03)

Confrontare un valore con un valore decimale o esadecimale

Example Esempio

Formula: (X01.valore = 111)

Formula: (X01.valore = 0x6F)

Se si usa un valore esadecimale, quest´ultimo viene convertito poi in un numero decimale quando si clicca su OK. Se si inserisce un valore decimale e si conferma l´inserimento, questo sarà visualizzato come valore decimale anche al momento della riapertura.

info Info

Non è possibile usare una virgola o un punto quando si inseriscono i numeri.


Visualizzazione di informazioni sulla variabile

Manuale -> Immagini -> Elementi d´immagine -> Elemento Combinato -> Visualizzazione di informazioni sulla variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete visualizzare usando l´elemento combinato delle informazioni concernenti le variabili, come:

  • Descrizione apparecchiatura
  • Unità di misura
  • Identificazione variabile
  • Nome variabile
  • Valore variabili
  • Data e ora

L´informazione visualizzata vale sempre per la variabile principale collegata.

Configurazione

  1. create un nuovo elemento combinato.
  2. Selezionate il tipo di visualizzazione Testo di stato & Simbolo immagine.
  3. Impostate uno stato di Default.
  4. Inserite nel testo di stato i seguenti caratteri jolly.
    Attenzione alla scrittura in lettere maiuscole e minuscole!
    Le cifre valgono come esempi.
  5. attivare l´opzione Trasparente

Identificazione servizio

Placeholder | Descrizione
%r | Visualizza l'identificazione servizio.
%r,1,2 | Visualizza l'identificazione servizio dalla posizione 1 per 2 caratteri.
%R | Visualizza l'identificazione servizio.
%R,3,2 | Visualizza l'identificazione servizio meno i primi tre caratteri e meno gli ultimi due caratteri.

Unità di misura

Placeholder | Descrizione
%u | Visualizza l´unità di misura.
%u,1,2 | Mostra l'´unità di misura dalla posizione 1 per 2 caratteri.
%U | Visualizza l´unità di misura.
%U,3,2 | Visualizza l´unità di misura meno i primi tre caratteri e meno gli ultimi due caratteri.

Identificazione variabile

Placeholder | Descrizione
%l | Visualizza l'identificazione della variabile.
%l,1,2 | Visualizza l'identificazione della variabile dalla posizione 1 per 2 caratteri.
%L | Visualizza l'identificazione della variabile.
%L,3,2 | Visualizza l´identificazione della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Nome variabile

Placeholder | Descrizione
%n | Visualizza il nome della variabile
%n,1,2 | Visualizza il nome della variabile dalla posizione 1 per 2 caratteri.
%N | Visualizza il nome della variabile
%N,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Valore variabili

Placeholder | Descrizione
%v | Visualizza il valore corrente della variabile.
%v,1,2 | Visualizza il time stamp dalla posizione 1 per 2 caratteri.
%V | Visualizza il valore corrente della variabile.
%V,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Time stamp.

Placeholder | Descrizione
%t | Visualizza il time stamp.
%t,1,2 | Visualizza il time stamp dalla posizione 1 per 2 caratteri.
 | Visualizza il time stamp.
%T,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

I formati per le impostazioni temporali vengono ripresi dal sistema operativo.


Combo-/Listbox

Manuale -> Immagini -> Elementi d´immagine -> Combo-/Listbox

Con l´elemento dinamico Combo-/Listbox, collegate dei valori di variabili con testi. Potete usare questi ultimi in due modi:

  1. se un testo viene selezionato durante il runtime, si modifica il valore delle variabili che viene portato a quel valore che è collegato a questo testo.
  2. Nel caso in cui la variabile raggiunge uno dei valori definiti, il testo collegato viene visualizzato nella Combobox/Listbox fino a quando il valore è in attesa.

Crea una Combo-/Listbox

Per creare l´elemento dinamico Combo-/Listboxin un´immagine, procedete come segue:

  1. selezionate il simbolo Combo-/Listbox nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre un Dialogo nel quale potete collegare la variabile desiderata all´elemento. E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop. Trascinate una variabile su una Combo-/Listbox; essa sostituirà lì la variabile esistente.
    I seguenti tipi di variabili vengono supportati:
    • Binaria:
    • Numerico
    • stringa

info Info

Nel caso di variabili string, nel testo non può essere presente nessun punto e virgola (;), visto che questo segno viene usato come separatore.

L´elemento Combo-/Listbox supporta le stesse funzionalità ulteriori, come, ad esempio, l´elemento Valore numerico:

  • Visualizzazione lucchetto, visualizzazione stato, visibilità, colori dinamici.
  • Colori dinamici: Il colore di sfondo viene utilizzato solo per gli inserimenti esistenti; il settore dell'elemento di controllo non occupato da inserimenti, viene visualizzato nel colore standard.

Il collegamento di macro con elementi events (per es. LeftClickUp ...) non viene supportato.

attention Attenzione

sotto Windows CE, non è possibile la modifica di colori e caratteri nella Combo-/ListBox.

Le Combo-/Listbox possono essere create in modo dinamico o statico. La proprietà Inserimento da variabile string provoca il passaggio dal funzionamento statico a quello dinamico e viceversa. Per il funzionamento statico vengono definiti nell´Editor degli inserimenti fissi. Nel funzionamento dinamico viene collegata una variabile contenuto il cui valore viene interpretato nel Runtime.

Differenza fra Combobox e Listbox

Nel Combobox i testi vengono raggruppati in una finestra.

Nota relativa alla rappresentazione del combobox nell´Editor: La prima riga viene visualizzata con il colore di sfondo, il resto del box è trasparente. In tal modo, si evita che gli altri elementi dell´Editor vengano coperti. Nel Runtime, la visualizzazione avverrà nel modo consueto.

Nella Listbox , i valori vengono visualizzati in una lista; il valore viene evidenziato. Nel caso in ci sono più stati di quelli che sono rappresentabili nella lista, viene visualizzata una barra d´immagine.

info Info

Se la variabile ha un valore che non è stato definito negli inserimenti del Combo-/Listbox, il testo viene visualizzato oppure evidenziato.

Combobox o Listbox statiche

Per una box statica vengono configurati nell`Editor degli inserimenti fissi. Essi vengono visualizzati e utilizzati nel Runtime.

Per inserire dei valori:

  1. Aprite il gruppo Visualizzazione
  2. Selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Valore di default: Listbox

  3. Gli inserimenti possono essere effettuati direttamente, oppure generati in modo dinamico. A tal scopo, passate al gruppo Testo.
  4. Per creare degli inserimenti in modo dinamico, attivate la proprietà Inserimento da variabile string.
  5. Per configurare degli inserimenti usando la finestra di dialogo, cliccate ... nella proprietà Inserimenti.

    Si apre il dialogo per configurare gli inserimenti

  6. Inserire i valori per stati.
  7. Collegate i valori con testi per stati.

Dialogo Inserimenti

Inserimenti

Parametro

Descrizione

Inserimenti

Lista degli inserimenti già definiti.

Nr

Un numero successivo viene attribuito automaticamente.

Valore

Valore che è stato inserito sotto Inserimento/Valore.

Imposta valore

Sì: è attivo Setta valori.

No: non è attivo Setta valori.

Testo

successione caratteri che è stata indicata in Inserimenti/Testo .

Funzione

Funzione che è stata collegata nel campo Inserimenti/Funzione .

Parametro

Parametro assegnato alla funzione ai fini della sostituzione.

Variabile

Variabile visibilità collegata

Nuovo

Crea un nuovo inserimento:

  • numero successivo
  • attivo Setta valore

Elimina

Cancella l´inserimento selezionato. Può essere cancellato solo un inserimento per volta; non è possibile solamente una selezione multipla.

Copia

copia l´elemento selezionato e lo aggiunge alla fine della lista come nuovo elemento. Vengono riprese le impostazioni dell´elemento copiato.

Verso l´alto/verso il basso

Sposta l´inserimento selezionato verso l´alto o verso il basso e adegua la numerazione progressiva.

Creazione inserimento

Parametro

Descrizione

Creazione inserimento

Configurazione degli inserimenti nella lista

Testo

Inserimento della successione caratteri che viene collegata al valore.

Valore

Valore numerico

Quali valori possono essere indicati, dipende dal tipo di dato delle variabile.

Imposta valore

Attiva o disattiva "setta valore impostabile":

Attiva: il valore viene settato come valore impostabile.
Non attivo: Il valore inserito serve solamente all´indicizzazione della selezione.
Attenzione: Setta valore si ripercuote solo sul valore e non sulla funzione. Quest'ultima viene settata sempre. Se si apre una funzione senza variabile collegata, Setta valore deve essere disattivato!

Funzione

Funzione che viene eseguita quando si seleziona l´inserimento durante il Runtime. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una Funzione.
Attenzione: la funzione viene eseguita solo nel caso in cui selezioniate l'inserimento facendo uso della Combobox/Listbox nel runtime. Se il valore scatenante viene raggiunto tramite una variazione di valore della variabile, la funzione non viene eseguita. Se si apre una funzione senza variabile collegata, Setta valore deve essere disattivato!

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine per indici la parola chiave {PARAM}.

Variabile di visibilità

Variabile i cui cambiamenti di valore e, dunque, violazioni di valore limite, vengono analizzati durante il Runtime. Se si verifica una violazione di valore limite nel caso della variabile di visibilità, viene analizzata la proprietà Visibilità di questa violazione di valore limite. Essa determina se l´inserimento nella lista è visibile o no. Di Default (non c´è una violazione di valore limite) l´inserimento viene visualizzato nella lista. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Attenzione: una variazione di valore nel corso del funzionamento del sistema può far sì che alla voce Combobox venga chiusa una Combobox aperta.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ordinare gli inserimenti:

Gli inserimenti possono essere messi in ordine tramite:

  • pulsanti in sù e in giù: Selezionare l´elemento desiderato e muovere con i pulsanti.
  • Drag & Drop: Trascinare l´elemento con il mouse nella posizione desiderata. Una linea rossa indica la posizione nella quale viene inserito l´elemento.

Combobox o Listbox dinamiche

Per il funzionamento dinamico, si deve provvedere a collegare, facendo uso della proprietà Variabile, una variabile stringa che definisce i contenuti. Nel Runtime vengono ignorati quegli inserimenti statici che dovessero essere stati eventualmente progettati parallelamente. Il valore della variabile contenuto viene analizzato e interpretato. A tal scopo, il valore delle variabili deve corrispondere nel runtime ad un layout valido.

Layout

Il valore stringa rappresenta una lista di inserimenti. Ogni inserimento consiste di un valore e un testo, separati da un virgola „,". Alla fine degli inserimenti si trova un punto e virgola „;". Se una parte del testo di un inserimento contiene il carattere „@", essa viene tradotta con l´aiuto della tabella lingua disponibile.

Esempio di un valore stringa valido:

1,uno;2,due;3,tre;

Esempio di un valore stringa valido con traduzione:

1,@uno;2,@due;3,@tre;

Configurazione

Per collegare una variabile:

  1. Aprite il gruppo Visualizzazione
  2. Selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Valore di default: Listbox

  3. Attivare la proprietà Inserimento da variabile string
  4. Selezionate con la proprietà Variabile la variabile desiderata
    (cliccando sul pulsante ... si apre il dialogo per la Selezione variabili)
  5. Selezionate la variabile stringa con gli inserimenti configurati

Evidenziare elemento nella lista in caso di selezione

Gli elementi visualizzati nella lista di Combobox e Listbox possono essere evidenziati nel runtime tramite un colore specifico. Procedura:

  • Navigate all´interno delle proprietà fino a giungere al gruppo Riempimento
  • Selezionate le proprietà nel gruppo Riempimento.
    • Colore testo per la selezione per il colore testo
    • Colore di sfondo per la selezione da adottare come colore di sfondo del testo.

In questo modo, questi colori vengono usati durante il runtime. Le impostazioni del sistema operativo vengono ignorate, come anche i colori delle variabili collegate.

info Info

Fino alla versione 6.50, erano usati i colori del sistema operativo. Nella conversione di progetti accade quanto segue:

  • il colore di sfondo settato sul colore configurato nel sistema operativo
  • viene stabilito il colore testo come colore definito statistico.

Sui computer per i quali i colori sono stati cambiati nel sistema operativo, si possono verificare diversi comportamenti nel runtime.

Gestione degli errori

Gli errori verranno visualizzati sotto forma di inserimenti Log nel server di diagnosi:

Messaggio | Livello | Significato
The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! | Errori | La variabile stringa collegata nella proprietà Variabile ha un valore con layout non valido. Il testo viene analizzato per quanto possibile. Il valore attuale viene considerato per facilitare l´analisi dell´errore durante il Runtime.


Collega testo

Manuale -> Immagini -> Elementi d´immagine -> Collega testo

Con l´elemento dinamico Testo dinamico potete visualizzare il testo attuale del valore limite di una variabile numerica in caso di violazione del valore stesso, oppure il valore di una variabile stringa in forma alfanumerica. In assenza di violazione del valore limite, viene segnalato il testo definito nel editor.

Per creare un Testo dinamico in un´immagine:

  1. Selezionate il simbolo Testo dinamico nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start
  3. Trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la selezione di una variabile
  5. Selezionate la variabile desiderata.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.
    Soprattutto:
    • Selezionate il tipo per Testo visualizzato.
      Se selezionate in questa sede "Testo valore limite", definite nella proprietà Testo il testo che verrà visualizzato finché non si verificherà una violazione di valore limite.

La variabile collegata ed il contenuto selezionato nella proprietà Testo visualizzato vengono visualizzati nell´anteprima dell´elemento che vedete nella finestra principale.

info Info

Se l´elemento viene usato nel Runtime per sostituire un elemento di controllo statico Win32 e viene disattivato, il colore di sfondo e quello del testo sono settati sul valore "grigio".

Inserimento nascosto di testo.

Se si usa l´elemento per gestire l´inserimento di dati delicati, come, per es., la password, si può far in modo che l´inserimento stesso venga nascosto. A tale scopo, attivare la proprietà Input nascosto. Se lo si desidera, si può definire con la proprietà Carattere per mascheratura quale carattere deve essere usato per mascherare l´input di testo.

A Runtime, poi, il testo verrà sostituito con il carattere definito. La sostituzione avvene già al momento dell´inserimento. Il campo di inserimento visualizza sempre 8 caratteri, indipendentemente dalla lunghezza effettiva della testo. Se si disattiva la proprietà Input nascosto, invece, verrà visualizzato il testo digitato originariamente.

Testo visualizzato nel Runtime.

Valore per Testo visualizzato:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite. Per il testo, si usa il colore del valore limite. Nel caso sia stato configurato per l´elemento un colore dinamico, verrà usato questo.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura. Il sistema effettua l´update dell´elemento non appena viene eseguita una funzione Cambio unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabile: Viene visualizzato il valore della variabile.

Setta valore impostabile

Quando si setta un valore impostabile usando un elemento del tipo Collega testo, è possibile utilizzare la proprietà Imposta alla perdita del focus per definire come si comporta l´elemento nel Runtime.

Proprietà:

  • Attivo: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Non attiva: Il valore viene settato dopo che il tasto Ins è stato premuto.
    Usando il tasto Esc, l´inserimento viene annullato ed il valore non viene settato.

Il valore di default dipende dal fatto se l´elemento è stato inserito nell´immagine dalla barra degli strumenti, oppure dal menù Elementi di controllo come Collega testoeditabile:

  • Come elemento nell´immagine: non abilitato
  • Dal menù Elementi di controllo: attivo

File delle lingue

Tutti i contenuti visualizzati dei tipi di testo vengono tradotti se il file delle lingue contiene gli inserimenti corrispondenti.
Eccezione: il nome variabile non viene tradotto.

Come procedere con progetti precedenti alla versione 7.20

Con la versione 7.20, la checkbox Testo da variabile è stata sostituita dalla nuova selezione via menù a tendina Testo visualizzato; si è inoltre proceduto ad estendere le possibili impostazioni. A seguito di questa modifica, è stata implementata anche una conversione degli inserimenti originali: il valore "Valore variabile" era originariamente usato solamente per variabili STRING. A partire dalla versione 7.20, invece, questo valore vene convertito indipendentemente dal tipo della variabile. INTEGER variabili diventano Testo valore limite, variabili STRING Valore variabile. Questa conversione viene eseguita nell´Editor e nel Runtime al momento del caricamento dell´elemento d'immagine.

Se file Runtime di un progetto realizzato con una versione precedente alla 7.20 vengono ripresi direttamente in un progetto realizzato con la versione 7.20, può accadere quanto segue: Le variabili del tipo INTEGER vengono scambiate con quelle del tipo STRING e viceversa.

Soluzione: Create di nuovo i file Runtime nella versione 7.20.


Ellisse e cerchio

Manuale -> Immagini -> Elementi d´immagine -> Ellisse e cerchio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per disegnare un´ellisse:

  1. Selezionare il simbolo Ellisse/cerchio nella barra degli strumenti o nel menù Elementi
  2. Selezionare nella finestra principale il punto di partenza.
  3. Disegnare l´ellisse tenendo premuto il tasto sinistro del mouse.
  4. Per modificare la forma, la dimensione o la posizione dell´ellisse, trascinare i punti d´angolo dell´elemento, oppure spostare l´elemento stesso.
  5. Nella finestra delle proprietà, definire le proprietà desiderate.

Nota:

  • Modificare un´ellisse:
    Per eseguire modifiche in modo simmetrico, portare il puntatore del mouse su uno dei punti d´angolo dell´elemento e spostare il mouse tenere premuto il tasto Alt.
  • Disegnare un cerchio:
    Per disegnare un cerchio: Mentre si disegna l´elemento con il mouse, tenere premuto il tasto Shift.
  • Modificare un cerchio:
    Se si vuole mantenere la forma di un cerchio quando si disegna con il mouse, tenere premuto il tastoShift.


Curva

Manuale -> Immagini -> Elementi d´immagine -> Curva

Per disegnare una curva:

  • Selezionare il simbolo curva nella barra degli strumenti Elementi
  • Selezionare nella finestra principale il punto start
  • Trascinare la curva con il tasto sinistro del mouse premuto.
  • Trascinare verso destra in alto, apre la curva verso sinistra in alto; analogamente funzionano tutte le direzioni.
  • Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  • Stabilite nella finestra delle proprietà quelle che desiderate.

info Info

La curva viene sempre rappresentata come quarto di cerchio, ma può essere estesa con copia e incolla.
Tipo e colore di riempimento non sono a disposizione per le curve.


Arco di cerchio

Manuale -> Immagini -> Elementi d´immagine -> Arco di cerchio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Con il segmento cerchio disegnate una parte a piacere di un cerchio o di un´ellisse.

Per disegnare un segmento di cerchio :

  1. selezionate il simbolo arco di cerchio nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il segmento di cerchio tenendo il tasto sinistro del mouse premuto.
  4. trascinare verso destra in altro, apre il segmento di cerchio a sinistra e viceversa.
  5. Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  6. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  7. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  8. Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  9. Per modificare l´angolo di apertura,oppure per aprire il segmento di cerchio verso l´alto o il basso, avete due possibilità:
    • muovete il mouse su uno dei due punti di appiglio finché il puntatore non si trasforma in una croce nera con frecce sul più esterno dei due punti; poi muovete il punto nella direzione desiderata
      oppure
    • modificate le indicazioni di angolo nelle proprietà alla voce Angolo di apertura. Per esempio:
      - per apertura verso il basso: Angolo finale [°] 180° e Angolo di partenza [°] su 0°
      - per apertura dopo: sopra viceversa
      indicazioni di angolo possono avere al massimo due cifre decimali.
      Nota: visto che i punti calcolati sulla base delle indicazioni d´angolo sono pixel, e questi devono essere numeri interi, è possibile che la rappresentazione d´angolo diverga un po´dalle indicazioni corrispondenti. Per esempio, dall´indicazione 45° non risulta un pixel integer. In zenon il valore viene arrotondato e l´angolo viene rappresentato come 44,75°.
  10. Stabilite nella finestra delle proprietà quelle che desiderate.

Legenda:

  1. Punto di presa per angolo di apertura
  2. Punto di presa per l'altezza

info Info

Se volete usare l´arco di cerchio come curva con libero angolo di apertura, modificate la proprietà Tipo di riempimento impostandola col valore trasparente. Con il tipo di rappresentazione trasparente viene visualizzata solamente la linea più esterna.
L´angolo di apertura deve essere sempre > 0° e < 360°.

Attenzione

L´elemento arco di cerchio non è disponibile con Windows CE.

Spessore segmento

Con l´aiuto delle proprietà del gruppo Spessore segmento si può definire lo spessore di segmento dell´arco di cerchio. Se la proprietà Spessore segmento regolabile è attiva, l´ellisse all´angolo di inizio e di fine del bordo esterno fino al centro, visualizza solamente lo spessore impostato. In questo modo è possibile rappresentare a mo´ di curva forme simili a tubi, con spessore diverso all´inizio e alla fine.

Vengono supportati sia archi di cerchio circolari che ellittici. Per rappresentare forme con lo stesso spessore è disponibile la proprietà Spessore finale coincide con spessore di partenza.

Se come spessore segmento per Spessore angolo di partenza [Pixel] e Spessore angolo finale [Pixel] si setta il valore 0, verrà visualizzato una curva.

Indicazioni sulla disponibilità: Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.


Linea

Manuale -> Immagini -> Elementi d´immagine -> Linea

Per disegnare un linea:

  1. selezionate il simbolo curva trend nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate la linea con il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

info Info

Disegni e colori di riempimento non vengono utilizzati per le linee.


Poligono

Manuale -> Immagini -> Elementi d´immagine -> Poligono

Per disegnare un poligono:

  1. selezionate il simbolo poligono nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite l´Arrotondamento delle linee. A tal fine selezionate un valore compreso fra 0 (nessuna arrotondamento) e 1 (massima arrotondamento).

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina nodi nell'elemento selezionato.

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Nota:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.

info Info

La proprietà Con valori di luminosità non è a disposizione per i poligoni.


Polilinea

Manuale -> Immagini -> Elementi d´immagine -> Polilinea

Per disegnare un polilinea:

  1. selezionate il simbolo polilinea nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite l´Arrotondamento delle linee. Per farlo, selezionare un valore compreso fra 0 (nessun arrotondamento) e 1.

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina nodi nell'elemento selezionato.

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Nota:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Rettangolo e quadrato

Manuale -> Immagini -> Elementi d´immagine -> Rettangolo e quadrato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per disegnare un rettangolo:

  1. Selezionare il simbolo Rettangolo/quadrato nella barra degli strumenti o nel menù Elementi
  2. Selezionare nella finestra principale il punto di partenza.
  3. Trascinare il rettangolo tenendo il tasto sinistro del mouse premuto.
  4. Per modificare la forma, la dimensione o la posizione del rettangolo, trascinare i punti d´angolo dell´elemento, oppure spostare l´elemento stesso.
  5. Nella finestra delle proprietà, definire le proprietà desiderate.

    Suggerimento: si può arrotondare a piacere gli angoli per ottenere un rettangolo con angoli smussati.

Nota:

  • Modificare un rettangolo:
    Per eseguire modifiche in modo simmetrico, portare il puntatore del mouse su uno dei punti d´angolo dell´elemento e spostare il mouse tenere premuto il tasto Alt.
  • Disegnare un quadrato:
    Per disegnare un quadrato: Mentre si disegna l´elemento con il mouse, tenere premuto il tasto Shift.
  • Modificare un quadrato:
    Se si vuole mantenere la forma di un quadrato quando si disegna con il mouse, tenere premuto il tastoShift.


Tubatura

Manuale -> Immagini -> Elementi d´immagine -> Tubatura

Per disegnare un tubatura:

  1. selezionate il simbolo Tubatura nella barra dei simboli Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc , fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite l´Arrotondamento delle linee. A tal fine selezionate un valore compreso fra 0 (nessuna arrotondamento) e 1 (massima arrotondamento).

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina nodi nell'elemento selezionato.

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Nota:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Interruttore

Manuale -> Immagini -> Elementi d´immagine -> Interruttore

Con l´elemento dinamico Interruttore potete visualizzare i valori di una variabile binaria tramite delle grafiche e la potete modificare. L´elemento può essere usato anche come interruttore per il comando ad un livello non assicurato.

Per creare un Interruttore in un´immagine:

  1. Selezionate il simbolo Interruttore nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. Trascinate l´elemento con il tasto sinistro del mouse premuto.

    Si apre il dialogo per la Selezione di una variabile binaria.

  4. Selezionate la variabile desiderata.
  5. Stabilite nella finestra delle proprietà quelle che desiderate.

Nota:

  • Per usare l´elemento come pulsante, attivate nel nodo Imposta valore la proprietà Pulsante.
  • L´elemento può essere utilizzato anche in immagini come elemento di controllo per checkbox.

Tipi di immagine per interruttori

Ci sono diversi tipi di immagine a disposizione per la visualizzazione dell´interruttore nel Runtime; essi dipendono dalle impostazioni configurate per la proprietà Qualità grafica:

  • Windows standard:
    Possono essere usati i seguenti tipi di immagini:
    • BMP
    • JPG
    • PNG
    • Bitmap predefinite in zenon
  • DirectX Software, oppure DirectX Hardware:
    Possono essere usati tutti i tipi di immagine supportati in Windows Basis, più TIF, GIF animate e WMF .

Uso come elemento di controllo

L´elemento è usato anche in elementi di controllo di immagini per visualizzare checkbox. Se l´elemento viene utilizzato in un´immagine come elemento di controllo, esso sta a disposizione nel Runtime solamente se è attivato, e se si dispone dei necessari diritti utente. In caso contrario, esso viene visualizzato con un´ombreggiatura grigia (disattivato).


Testo statico

Manuale -> Immagini -> Elementi d´immagine -> Testo statico

Per inserire un testo statistico:

  1. Selezionate il simbolo Testo statico nella barra dei simboli Elementi
  2. Selezionate nella finestra principale il punto start
  3. Trascinate il campo testo tenendo il tasto sinistro del mouse premuto.

    La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.

    Tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

  4. Stabilite nella finestra delle proprietà quelle che desiderate.

Inserire e formattare il testo

Per digitare del testo:

  1. Cliccate due volte con una breve pausa fra i due clic sul campo di testo

    Oppure: selezionate nel menù contestuale Modifica testo:
    Oppure: scrivete il testo nella proprietà Testo.

  2. Scrivete il testo desiderato

info Info

Il cambio riga avviene automaticamente, indipendentemente dalla grandezza del campo testo. Per disattivare il cambio riga, disattivate nel nodo Testo la proprietà A capo automatico.

Suggerimento: Se si definisce nelle proprietà un Textwinkel [°] (Visualizzazione), non è possibile un cambio riga nel testo. Un diverso angolo di visualizzazione con corrispondente rotazione del testo, può essere impostato tramite la rotazione dell’intero elemento (incluse le linee di cornice, se abilitate).

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di caratteri \n.

Esempio:

riga 1 \n

riga 2


Elemento Trend

Manuale -> Immagini -> Elementi d´immagine -> Elemento Trend

Con l´elemento dinamico Elemento trend rappresentate valori nel runtime in forma di curve di trend; più variabili di processo possono essere visualizzate contemporaneamente.

Per far sì che l´elemento Trend possa rappresentare dei valori, la proprietà HD attivo nel nodo Salvataggio dati su disco fisso delle proprietà delle variabili deve essere attiva. Frequenza d'interrogazione [s] e Quantità valori devono corrispondere a Tempo di aggiornamento e Durata visualizzazione nell´Elemento Trend, altrimenti, ad ogni apertura dell´immagine si comincia di nuovo a disegnare le curve. Ogni modifica può avere influenza su altri elementi trend che usano le stesse variabili di processo.

Crea un elemento trend:

Per creare un elemento trend in un´immagine:

  1. Selezionate il simbolo Elemento trend nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici.
  2. Selezionate nella finestra principale il punto start.
  3. Disegnare l´elemento con il tasto sinistro del mouse premuto.

    Si apre il dialogo per la Selezione di più variabili numeriche.

  4. Selezionare le variabili desiderate

    Tutte le curve vengono create automaticamente nell´ Elemento trend.

    Per aggiungere più tardi nuove curve:

    • selezionate nelle proprietà nel nodo Curve la proprietà {Nuova curva}

      Oppure:

    • trascinate la variabile desiderata sull´elemento trend tenendo il tasto sinistro del mouse premuto
  5. Definite le proprietà che desiderate nella finestra delle proprietà:
    • Definite le proprietà grafiche delle curve nel runtime nel nodo Curve delle proprietà.
    • Il tempo del ciclo e il numero dei valori, li definite nelle proprietà delle rispettive variabili facendo uso del nodo Salvataggio dati su disco fisso

info Info

E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop. Se non è stata definita nessuna curva, l´elemento trend non viene visualizzato nel Runtime.


Orologio

Manuale -> Immagini -> Elementi d´immagine -> Orologio

Con l´elemento dinamico Orologio, visualizzate nel runtime l´orario attuale, oppure convertite dei valori numerici in un orario. La data e/o l´orario possono essere visualizzati come intervallo di tempo assoluto o differenza di tempo.

Visualizzazione

La visualizzazione durante il runtime dipende dal fatto se è stata collegata una variabile.

  • Se non è stata collegata nessuna variabile con l´elemento, durante il runtime viene visualizzato il tempo di sistema attuale nella forma di tempo assoluto.
    A tal scopo settate nel gruppo Visualizzazione la proprietà Tipo di visualizzazione sul valore Tempo assoluto (Base: 00:00:00 1.1.1970).
  • Se c´è una variabile collegata, il suo valore può essere visualizzato come:
    • Differenza di tempo: la variabile deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)).
      È possibile rappresentare anche dei valori negativi: Un valore variabile di -60, viene visualizzato nel formato mm:ss come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
    • tempo assoluto: tempo Unix, cioè i secondi trascorsi dal 1° gennaio 1970, ore 00:00 UTC.

      Possono essere rappresentati solamente valori positivi fino a 2147483647. Un valore variabile al di fuori di questo settore provocherà una visualizzazione errata: La parte hh:mm rimane 00:00 oppure 01:00 nell´ora solare.

Configurazione

Per creare un Orologio in un´immagine:

  1. selezionate il simbolo Orologio nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. se si vuole collegare una variabile, procedere come segue:
    collegate la variabile desiderata nel settore Variabile/funzione oppure per Drag&Drop con l´elemento in questione
    • Si può collegare tutte le variabili, fatta eccezione per quelle STRING e quelle BOOL.
    • Il frammento di variabile FLOAT (per esempio di tipi di dato REAL e DATE_AND_TIME) non viene tenuto in considerazione.
  5. Stabilite nella finestra delle proprietà quelle che desiderate, soprattutto:
  6. selezionate nel gruppo Visualizzazione, Differenza tempo come valoreTipo di visualizzazione
    • Tempo di sistema/periodo assoluto: Il tempo viene rappresentato come tempol assoluto.
      Nota: menù contestuale e tooltip non vengono supportati.
    • Differenza di tempo: la differenza di tempo viene emessa in minuti e secondi. la variabile collegata deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)). È dunque possibile rappresentare anche dei valori negativi.
      Esempi nel formato mm:ss: Il valore variabile 50 viene visualizzato come 00:50, il valore variabile100 come 01:40.
      Il valore variabile -60 viene visualizzato come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
  7. selezionate mediante la proprietà Formattazione il tipo di visualizzazione desiderata

info Info

Nel caso del tipo di visualizzazione Periodo assoluto con Imposta valore tramite Elemento, la formattazione del box di dialogo è del tipo Differenza di tempo.

Per esempio:

  • Formattazione periodo assoluto: hh:mm:ss dd.mm.yy
    viene visualizzato nell´elemento come: dd:hh:mm:ss
  • dd.mm.yyyy (per es. 17.12.2008)
    come ddddd (14230 giorni dal 1. 1. 1970).


Slider universale

Manuale -> Immagini -> Elementi d´immagine -> Slider universale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Slider universale potete visualizzare valori di variabili sotto forma di slider, bargraph, display LED e in qualsiasi altra forma di slider. Nel runtime, lo slider consente di effettuare un inserimento diretto di valore impostabile.

Per creare uno Slider universale in un´immagine:

  1. Selezionate il simbolo Slider universale nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici.
  2. Selezionate nella finestra principale il punto start.
  3. Disegnare l´elemento con il tasto sinistro del mouse premuto.

    Si apre il dialogo per la selezione di una variabile

  4. Selezionate la variabile desiderata.

    Si apre l´assistente che guida attraverso i passi della configurazione dello slider universale

  5. Selezionate l´orientamento dello slider:
    orizzontale, verticale oppure rotondo.

  6. Selezionate la forma:
    Slider/Potenziometro, barra, display LED o scala animata.

  7. Vi viene proposta un´anteprima:
    definite in questa sede anche l´intestazione e la posizione della visualizzazione valori.

  8. Le altre proprietà le definirete nella finestra di proprietà.

    Suggerimento: la visualizzazione e la forma dello slider universale possono essere modificate nel nodo Slider universale delle proprietà.

info Info

Nota:

  • Una lancetta può visualizzare il valore massimo e quello minimo della variabile all´interno di un certo periodo di tempo. Un doppio clic sull’elemento nel runtime ripristina la lancetta.
  • - Scala animata: A Runtime, i valori possono essere modificati solamente usando una finestra di dialogo. Non è possibile modificare i valori direttamente mediante lo slider.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Barra esplicita del gruppo Slider universale.

Questa proprietà ha effetto solamente sulla visualizzazione di valori con valori limite definiti da variabili.
I valori limite da matrici di reazione non vengono analizzati.

  • Attivo: se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se per la variabile sono stati definiti diversi valori limite, le aree corrispondenti della rappresentazione sono visualizzate usando il colore del valore limite corrispondente.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la rappresentazione viene visualizzata usando il colore del valore limite violato.

Default: inattivo


WPF

Manuale -> Immagini -> Elementi d´immagine -> WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

info Info

Ulteriori informazioni concernenti l´elemento dinamico WPF le trovate nella parte della guida dal titolo zenon WPF.


Valore numerico

Manuale -> Immagini -> Elementi d´immagine -> Valore numerico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Valore numerico vengono visualizzati valori numerici a Runtime.

Per creare un elemento di tipo Valore numerico in un´immagine:

  1. Selezionare il simbolo Valore numerico nella barra degli strumenti Elementi
  2. Selezionare nella finestra principale il punto di partenza.
  3. Disegnare l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre la finestra di dialogo che consente di selezionare variabili numeriche.
  5. Selezionare la variabile desiderata (selezione multipla possibile).
  6. Nella finestra delle proprietà configurare le proprietà desiderate.

info Info

Durante il funzionamento online vale quanto segue: Un valore decimale può essere indicato sia con una 'virgola' che con un 'punto'. La visualizzazione avviene sempre come punto.


Strumento analogico

Manuale -> Immagini -> Elementi d´immagine -> Strumento analogico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Strumento analogico rappresentate degli Strumenti analogici.

Per creare un Strumento analogico in un´immagine:

  1. selezionate il simbolo Strumento analogico nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili numeriche.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Questa proprietà ha effetto solamente sulla visualizzazione di valori con valori limite definiti da variabili.
I valori limite da matrici di reazione non vengono analizzati.

  • Attivo: se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se per la variabile sono stati definiti diversi valori limite, le aree corrispondenti della rappresentazione sono visualizzate usando il colore del valore limite corrispondente.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la rappresentazione viene visualizzata usando il colore del valore limite violato.

Default: inattivo


Elementi di versioni precedenti

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti elementi non sono più a disposizione nella versione attuale di zenon:

Elemento | Disponibile fino alla versione inclusa
Pulsante Bitmap | 06:22
Elemento di segnalazione | 07:20
Multibin | 07:20
Simoblo di movimento | 06:22
Pulsante invisibile | 06:22
Elemento di stato | 07:20

Per gli elementi non più supportati vale quanto segue:

  • Dopo la conversione in un progetto attuale che non supporta più un elemento:
    • Gli elementi esistenti vengono visualizzati nell´Editor e nel Runtime.
    • Gli elementi esistenti possono essere configurati nell´Editor.
    • Non si possono creare elementi nuovi di questo tipo nell´Editor.
  • Nella compilazione dei file Runtime per una versione che supporta questi elementi:
    • Gli elementi possono essere visualizzati, configurati e creati. Trovate poi questi elementi in fondo al menù a tendina Elementi.

Ancora in questo capitolo

Pulsante bitmap (solo fino alla versione 6.22)

Elemento di segnalazione (solo fino alla versione 7.20)

Multibin (solo fino alla versione 7.20)

Simbolo di movimento

Pulsante invisibile (solo fino alla versione 6.22)

Elemento di stato (solo fino alla versione 7.20)


Pulsante bitmap (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Pulsante bitmap (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collega un file grafico (grafica pixel: *.bmp, *.jpg, *.gif, o *.png oppure grafica vettoriale: *.wmf) ad un pulsante.

Se la proprietà di progetto Crea file Runtime per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, le grafiche devono essere progettate facendo uso del pulsante bitmap.

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea file Runtime per < 06:50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante Bitmap | Pulsante
invisibile | Pulsante invisibile | Pulsante

Per attivare un pulsante bitmap:

  • selezionate il simbolo pulsante bitmap nella barra dei simboli Elementi.
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo, l'elemento deve essere attivo nella finestra principale (clic del mouse).

Per consentire di collegare una funzione (per esempio ad un elemento d´immagine) viene aperta una finestra di dialogo di "Selezione funzioni".

Elemento

Descrizione

Albero di progetto

Consente di scegliere il progetto da cui verrà selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Le funzioni già collegate verranno cancellate.

Suggerimento: le dimensioni di questa finestra di dialogo possono esser modificate. Dopo aver eseguito la modifica, la posizione e la grandezza della finestra di dialogo verranno salvate.

Cambiare le funzioni collegate

  1. Manualmente
    • Aprire le funzioni nella Visualizzazione dettagli del Manager di progetto.
    • Trascinare la funzione desiderata sull´elemento tenendo premuto il tasto sinistro del mouse.
    • La funzione collegata precedentemente all´elemento verrà sostituita da quella nuova.
  2. Automaticamente
    • Selezionare nel menù contestuale dell´elemento il comando "Sostituisci collegamenti". I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

Nell´elemento dinamico Pulsante possono essere inserite delle animazione usando file grafici del tipo GIF:

  1. Assegnate al pulsante un file GIF nel nodo Riempimento, mediante la proprietà File grafico.
  2. Nello stesso nodo, rendete operante una possibilità di attivazione per Animazione GIF.

    Potete eseguire l´animazione ininterrottamente, oppure in dipendenza di una variabile Bool:

    1. Per eseguire l´animazione ininterrottamente: Attivare la proprietà Animazione GIF continua (segno di spunta nella casella).
  3. Per eseguire l´animazione in dipendenza di una variabile: Collegate la proprietà Variabile ad una variabile Bool. L´animazione viene eseguita non appena quest´ultima riceve il valore 1 .


Elemento di segnalazione (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Elemento di segnalazione (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´Elemento di segnalazione, visualizzate nel runtime dei testi in dipendenza dai valori delle variabili di processo. La sorgente per i testi sono dei file di testo strutturati come tabella. Potete configurarli liberamente. attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 7.50.

Per creare un Elemento di segnalazione in un´immagine:

  1. Selezionate il simbolo Elemento di segnalazione nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. Disegnare l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la Selezione di più variabili.
  5. Selezionare le variabili desiderate
  6. Definite le proprietà che desiderate nella Finestra proprietà.

Struttura della tabella

  • Crea un documento di testo.
  • Salvatelo in formatoUnicode
  • Come segno di colonna, usate quello |(ASCII-Code 124)
  • Esempio:

    Aus|Ein|Diff|Stör

    Off|On|True|False

    Text1|Text2|Text3|Text4

  • Le variabili collegate definiscono riga e colonna del testo da visualizzare.

Variabile Selezione colonne

Questa variabile deve essere una variabile del tipo word (UINT), e definisce la colonna dalla quale si riprende il testo. Nel contempo gestisce il tipo di elaborazione.

Bit settato | Effetto
Bit 15 (Bit con il valore maggiore | elemento di segnalazione bloccato, non viene segnalato più niente.
Bit 14 | disattivare l’aggiornamento dell’emissione schermo; segnalare l’ultimo testo attivo.

Variabili per attivazione righe

L´indirizzamento delle righe avviene tramite il numero bit e non mediante il valore numerico.

Le ulteriori variabili definiscono le posizioni delle righe, dalle quali si riprendono i testi. Le posizioni delle righe dipendono da:

Valore | Riga
1 | riga 1
2 | riga 2
4 | riga 3

Ogni variabile di riga gestisce al massimo 16 righe. Se servono più di 16 colonne, si possono definire ulteriori variabili di riga.

Per visualizzare riga 1 e riga 2 in modo alternato, il valore della variabile riga deve essere “3”. Se sono settati tutti i 16 bit della prima variabile, le righe da 1 a 16 vengono visualizzate in modo alternato. Se sono settati tutti i 16 bit della seconda variabile, le righe da 17 a 32 vengono visualizzate in modo alternato.

  • Esempio:

Se sono settati il primo bit della prima variabile e il primo bit della seconda variabile, le righe 1 e 17 vengono visualizzate in modo alternato.


Multibin (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie all´elemento dinamico Multibin potete definire più stati:

  • Visualizzare una grafica in dipendenza da valori di variabile.
  • Colorare simboli
  • Visualizzare un testo di stato
  • Collegare variabili numeriche e variabili binarie.
  • Visualizzare un interruttore o pulsante per la prima variabile, a patto che quest´ultima sia una variabile binaria.

Nota: La funzionalità dell´elemento Multibin può essere configurata anche mediante l´elemento combinato.

attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 7.50.

Creare l´elemento Multibin

Per creare un Multibin in un´immagine:

  1. Selezionate il simbolo Multibin nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la Selezione di più variabili.
  5. Selezionate le variabili desiderate.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Definisci stati

Le impostazioni degli stati delle variabili che volete visualizzare, le definite nel dialogo che serve ad inserie gli elementi:

  1. cliccate nel nodoVisualizzazione
  2. sulla proprietà Stati
  3. Si aprirà il dialogo per la Definizione stati .
  4. Gli stati definiti vengono presi in considerazione dal sistema partendo dall´alto e procedendo verso il basso.
  5. Vengono visualizzate le impostazioni del primo stato adatto.

Ancora in questo capitolo

Definizione stato Multibin


Definizione stato Multibin

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

File grafico

Simbolo d'immagine e Testi di stato

Impostazioni interruttore

Per assegnare all´elemento Multibin determinati stati:

  1. Cliccare nel nodo Visualizzazione, sulla proprietà Stati.
  2. Si apre il dialogo per l´ inserimento degli elementi.
  3. Selezionate la modalità di visualizzazione desiderata:
    • File grafico: visualizzazione dell’informazione in file grafici a pixel; si possono anche rappresentare immagini “in movimento”.
    • Simbolo d'immagine e Testi di stato: Rappresentazione mediante simboli e informazioni testuali
  4. Gli stati definiti vengono presi in esame partendo dall´alto e procedendo verso il basso e vengono visualizzate le impostazioni del primo stato che corrisponde.


File grafico

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> File grafico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
File grafico

Visualizzazione dell´informazione in file grafici. Consente anche immagini in movimento.

Rappresentazione

Proprietà

Descrizione

File grafico

Attivo: il sistema utilizza file grafici per visualizzare gli stati a Runtime,

Qui si spiega la loro configurazione.

Simbolo d'immagine e Testi di stato

Attivo: Per la visualizzazione degli stati nel Runtime, il sistema utilizza testo di stato e simboli d'immagine. Il simbolo o il gruppo elementi deve essere già presente nell´immagine. L´elemento selezionato nella lista a cascata, lampeggia nell´immagine finché il dialogo Elemento-Inserimento non viene chiuso.

La spiegazione di come lo si configura la trovate nel capitolo Testo di stato e simbolo d'immagine.

Con dimensione originale

Attivo: I grafici vengono rappresentati nella grandezza originale.

Non attiva: La grafica viene allungata o compressa nel runtime per adeguarla alla dimensione da visualizzare.

Nota: se questa proprietà è attiva, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Opzione

Proprietà | Descrizione
Mostra lo stato | Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.
Rileva lampeggio di tutte le variabili | Attivo: Allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.

Stato 0 (HIGH)

Proprietà

Descrizione

Stato 0 (HIGH)

Impostazioni per lo stato attuale adatti al tipo di visualizzazione.

Grafica

Selezione della grafica. Cliccando sul pulsante si apre il dialogo per selezionare il file.

  • Se nel nodo File/Grafica del Manager di progetto non ci sono già i file che si vuole utilizzare, li si può aggiungere direttamente in questa finestra di dialogo (comando "Aggiungi file...").
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta (segno di spunta nella relativa casella che si trova nella parte bassa della finestra di dialogo).

Nota: Se per la proprietà è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Altri stati

Proprietà

Descrizione

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Nota: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.

Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.
Per la configurazione,vedi capitolo Impostazioni interruttore.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Simbolo d'immagine e Testi di stato

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> Simbolo d'immagine e Testi di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Simbolo d'immagine e Testi di stato

Rappresentazione mediante simboli e informazioni testuali Contemporaneamente, il colore dello stato attuale viene adottato anche dal simbolo.

Rappresentazione

Proprietà | Descrizione
File grafico | Attivo: il sistema utilizza file grafici per visualizzare gli stati a Runtime, La spiegazione di come li si configura la trovate nel capitolo File grafico.
Simbolo d'immagine e Testi di stato | Attivo: Per la visualizzazione degli stati nel Runtime, il sistema utilizza testo di stato e simboli d'immagine. Il simbolo o il gruppo elementi deve essere già presente nell´immagine. L´elemento selezionato nella lista a cascata, lampeggia nell´immagine finché il dialogo Elemento-Inserimento non viene chiuso. Qui si spiega la loro configurazione.
Visualizza il testo di stato | Attivo: I testi di stato vengono visualizzati durante il runtime.
Colore di sfondo impostabile | Attivo: è possibile scegliere liberamente il colore di sfondo per il testo.

Opzione

Proprietà | Descrizione
Mostra lo stato | Attivo: Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.
Solo area riempimento | Attivo: Vengono colorate solamente le aree di riempimento degli elementi statici, mentre i colori della cornice si conservano
Rileva lampeggio di tutte le variabili | Attivo: Allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.
Colore di sfondo per il lampeggio | Colore di sfondo in caso di lampeggio. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Stato 0 (Low)

Proprietà | Descrizione
Testo di stato | Testo che viene visualizzato durante il runtime. Un inserimento è possibile solo nel caso in cui la proprietà Visualizza il testo di stato è attiva.
Simbolo-/Colore del testo | Selezione del colore per il simbolo e il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.
Testo Colore di sfondo | Selezione del colore di sfondo per il il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore. Disponibile solo nel caso in cui la proprietà Colore di sfondo impostabile è attiva.

Altri stati

Proprietà

Descrizione

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Nota: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.

Testo di stato

Testo che viene visualizzato durante il runtime. Un inserimento è possibile solo nel caso in cui la proprietà Visualizza il testo di stato è attiva.

Simbolo-/Colore del testo

Selezione del colore per il simbolo e il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Testo Colore di sfondo

Selezione del colore di sfondo per il il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Disponibile solo nel caso in cui la proprietà Colore di sfondo impostabile è attiva.

Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.
Per la configurazione,vedi capitolo Impostazioni interruttore.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni interruttore

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> Impostazioni interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.

Proprietà | Descrizione
Sola lettura | Attivo: Nel runtime non è possibile indicare un valore impostabile.
Interruttore | Attivo: L´elemento funge da interruttore per l´indicazione del valore impostabile.
Pulsante ON | Attivo: Setta il valore impostabile HIGH. La posizione preferita del pulsante va a Off.
Pulsante OFF | Attivo: Setta il valore impostabile LOW. La posizione preferita del pulsante va a On.
Tempo di ritardo [ms] | Tempo di ritardo dello stato impostato in millisecondi.
Gruppi di autorizzazione | Stabilisce il livello di autorizzazioni necessario per l´inserimento del valore impostabile.
Combinazione tasti | Combinazione di tasti per immissione valore
Rimuovi | Cancella la combinazione tasti.


Simbolo di movimento

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Simbolo di movimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Spostamento simbolo, potete muovere orizzontalmente e verticalmente un numero qualsiasi di elementi in dipendenza dello stato delle altre variabili, oppure modificare la loro grandezza (zoom). A tal scopo collegate gli elementi con un simbolo.

Per creare Spostamento simbolo in un´immagine:

  • Selezionare il simbolo Spostamento simbolo nella barra degli strumenti Elementi
  • Selezionare nella finestra principale il punto start
  • Disegnare l´elemento con il tasto sinistro del mouse premuto.
  • Selezionare la variabile desiderata, definire nella finestra di proprietà le proprietà desiderate.
  • Potete usare solo dei simboli che si trovano già nell´immagine.

Nota: l´elemento dinamico Spostamento simbolo è a disposizione fino alla versione 6.22. A partire dalla versione 6.50, potete usare per tutte le azioni dinamiche le proprietà dinamiche di un elemento come Posizione, Dimensione e rotazione dinamica o Riempimento.
Eccezione Windows CE: I progetti di tutte le versioni mettono a disposizione l´elemento se la proprietà Progetto WindowsCE è stata attivata.


Pulsante invisibile (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Pulsante invisibile (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà di progetto Crea file Runtime per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, i pulsanti invisibili devono essere progettati facendo uso dell´elemento Pulsante invisibile.

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea file Runtime per < 06:50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante Bitmap | Pulsante
invisibile | Pulsante invisibile | Pulsante

L elemento dinamico Pulsante invisibile definisce un’area di comando interattiva e trasparente, con la quale è collegata l´apertura di una funzione.

Per attivare un pulsante invisibile:

  • selezionate il simbolo pulsante invisibile nella barra dei simboli Elementi
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo, l'elemento deve essere attivo nella finestra principale (clic del mouse).

Per consentire di collegare una funzione (per esempio ad un elemento d´immagine) viene aperta una finestra di dialogo di "Selezione funzioni".

Elemento

Descrizione

Albero di progetto

Consente di scegliere il progetto da cui verrà selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Le funzioni già collegate verranno cancellate.

Suggerimento: le dimensioni di questa finestra di dialogo possono esser modificate. Dopo aver eseguito la modifica, la posizione e la grandezza della finestra di dialogo verranno salvate.

Cambiare le funzioni collegate

  1. Manualmente
    • Aprire le funzioni nella Visualizzazione dettagli del Manager di progetto.
    • Trascinare la funzione desiderata sull´elemento tenendo premuto il tasto sinistro del mouse.
    • La funzione collegata precedentemente all´elemento verrà sostituita da quella nuova.
  2. Automaticamente

Selezionare nel menù contestuale dell´elemento il comando "Sostituisci collegamenti". I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

info Info

Con il pulsante invisibile non è possibile visualizzare lo stato della variabile.


Elemento di stato (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Elemento di stato (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Elemento di stato potete gestire un simbolo ad immagine. Le proprietà di una variabile collegata, come, ad esempio, colori, lampeggio ecc, vengono trasmesse a un simbolo. Potete visualizzare in tal modo anche testi di valori limite statici.

attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea file Runtime per è stata settata a meno di 7.50.

Per creare uno Elemento di stato in un´immagine:

  1. Selezionate il simbolo Elemento di stato nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici.
  2. Selezionate nella finestra principale il punto start
  3. Disegnare l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la selezione di una variabile
  5. Selezionate la variabile desiderata.
  6. Nella finestra delle proprietà configurare le proprietà desiderate.

info Info

Al posto dell´elemento dinamico Elemento di stato, si possono utilizzare anche le proprietà dinamiche di un elemento, o l´Elemento combinato.


Modifica gli elementi ad immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine

Per gli elementi ad immagine avete a disposizione molteplici possibilità di modifica:

  • Azioni grafiche
  • Sostituzione automatica
  • Grafica di sfondo
  • Funzioni Dialogo di selezione
  • Dialogo selezione variabili

Ancora in questo capitolo

Azioni grafiche

Sostituisci collegamenti di variabili e funzioni

Grafica di sfondo

Funzioni

Variabili


Azioni grafiche

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon sono possibile anche delle azioni grafiche. A tal scopo usate:

  • Proprietà dell´elemento
  • Comandi nel menù Modifica
  • Azioni con il mouse:
    • Tenendo premuto il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    • Quando si sposta tenendo premuto il tasto destro del mouse, si apre il menù contestuale che serve a scegliere se si deve copiare o spostare.
  • Menù contestuale

info Info

Delle azioni grafiche, come, ad esempio, ombreggiatura e sfocatura, possono avere degli effetti sulle prestazioni del sistema, sia nell´editor che nel runtime.

Inserimenti di valori

Per l´inserimento di valori nell´ambito di limiti definiti, sono a disposizione per molte proprietà anche degli slider. Ci si arriva facendo uso del pulsante .... Delle modifiche di valore ottenute facendo uso degli slider, vengono visulizzate subito nel campo delle proprietà.

Quando si selezionano dei colori, quello attivo nella tavolozza viene visualizzato come anteprima direttamente nell´oggetto.

Ancora in questo capitolo

Arrotondamenti

Effetti per elementi d´immagine

Muovi elementi

Andamento colore e trasparenza

Copia formato

Copia, aggiungi e sposta

Design delle liste

Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Frecce in elementi vettoriali

Griglia

Carattere

Selezionare

Scalare, centrare e zoom

Combinazioni di tasti

Assegnare una combinazione di tasti ad un elemento


Arrotondamenti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Arrotondamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi Rettangolo e Pulsante, nonché Poligono, Polilinea e Tubatura, possono essere rappresentati con degli arrotondamenti.

info Info

Questi ultimi sono disponibili con alcune limitazioni per:

  • proprietà Progetto WindowsCE
    attiva, oppure
  • valore Windows basic per la proprietà Qualità grafica

Rettangolo e pulsante

Potete definire il grado di arrotondamento nel nodo Arrotondamento. Per ogni angolo si possono inserire rispettivamente due valori:

  • Valore X: valore percentuale per l´arrotondamento riferito alla larghezza dell´elemento.
  • Valore Y: valore percentuale per l´arrotondamento riferito all´altezza dell´elemento.

0 % significa nessun arrotondamento.
100 % significa un quarto di cerchio.

Se la proprietà Proporzionale viene attivata, può essere inserito solamente il valore X.

I valori possono essere definiti separatamente per ogni angolo. Se il valore di un angolo viene settato su -1, esso assume il suo valore di arrotondamento dalla proprietà Tutte X [%] e/o da Tutte Y [%].

info Info

Nel caso in cui si modifichi il valore di Tutte X [%] o Tutte Y [%], tutti i valori dell´asse corrispondente vengono settati su -1. In tal modo, valori differenti possono essere facilmente ricondotti ad un parametro unitario.

Suggerimento: nel quadrante basso di destra dell´elemento si trova un piccolo triangolo giallo. Cliccateci sopra con il mouse e spostate questo triangolo fino a raggiungere l´arrotondamento desiderato.

Esempio:

sul pulsante si trova un file GIF con uno sfondo trasparente. Per il pulsante è stato definito un colore rossiccio. L´arrotondamento degli angoli è stato definito con Tutte X [%] e Proporzionale; per l´angolo in basso a sinistra, poi, questo valore è stato modificato individualmente.

info Info

Se viene usata la proprietà Con valori di luminosità per la visualizzazione del colore di riempimento, gli angoli non possono essere visualizzati arrotondati. Se questa proprietà viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Poligono, polilinea e tubatura.

Potete definire il grado di arrotondamento per poligono, polilinea e tubatura mediante la proprietà Arrotondamento nel nodo Visualizzazione. Inserite a questo scopo un valore compreso fra 0 e 1.


Effetti per elementi d´immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Molti elementi grafici possono essere messi in evidenza durante il runtime mediante l´uso di effetti.

Ulteriori effetti li trovate nel capitolo Effetti per modelli.

Ancora in questo capitolo

Effetto glow

Cornice e ombra


Effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Molti elementi di zenon supportano l´effetto glow.

Requisiti

Per poter usare l´effetto glow per un elemento grafico, devono essere soddisfatti i seguenti presupposti:

  • La proprietà di progetto Aspetto grafico/Qualità grafica deve essere settata su DirectX Hardware oppure suDirectX Software. Per i dettagli vedi capitolo Qualità grafica.
  • L´elemento grafico deve essere supportato.
    Sono supportati tutti gli elementi grafici con le seguenti eccezioni: simboli WMF, elemento combinato, ActiveX, WPF, tutti gli elementi di controllo Win32, finestre e alcuni elementi di controllo speciali.
  • L´elemento deve essere visibile.
    Se l´elemento è invisibile, lo è automaticamente anche l´effetto glow, visto che esso viene derivato direttamente dall´elemento.

Configurazione

Per configurare l´effetto glow per un elemento supportato:

  1. Assicuratevi che la proprietà Qualità grafica sia settata su DirectX Hardware, oppure su DirectX Software.
  2. Create l´elemento.
  3. Passate al nodo proprietà Effetti.
  4. Attivate nell´area Effetto glow (solo DirectX) la proprietà Attiva.
  5. Configurate la trasparenza, il colore e la visibilità.

    Se si configurano diverse proprietà per lo stesso effetto, quella rispettivamente più forte viene eseguita durante il runtime. Per i dettagli vedi sezione Dipendenza della configurazione. (Ad esempio: un effetto glow invisibile è sempre invisibile, l´impostazione relativa al lampeggio, dunque, non ha alcun effetto.)

I valori di default per l´effetto glow:

  • Attiva: non abilitato
  • Attivo se premuto: non abilitato
  • Trasparenza [%]: 20 %
  • Estensione [Pixel]: 15 Pixel
  • Colorare: non abilitato
  • Colore: #FFFF90 (giallo)
  • Variabile colore: nessuno
  • Variabile per visibilità: nessuno
  • Riprende la visibilità dal valore limite: non abilitato
  • Visibile da: 0
  • Visibile fino: 0
  • Variabile lampeggio: nessuno
  • Riprendi il lampeggio dal valore limite: non abilitato
  • 2. Stato lampeggio invisibile: non abilitato

Dipendenze della configurazione

Variabile per visibilità

La visibilità ha degli effetti particolarmente grandi. Se l´effetto glow è settato su non visibile, il lampeggio e il colore verranno ignorati. Dipendenze:

  1. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite è attivo:
    • Invisibile nel valore limite è attivato: L´effetto glow non è visibile:
    • Invisibile nel valore limite non è attivato:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
  2. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite non è attivo:
    • Il valore della variabile si trova all´interno dei limiti delle proprietà di Visibile da e Visibile fino:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
    • Il valore della variabile si trova al di fuori dei limiti delle proprietà di Visibile da e Visibile fino:
      L´effetto glow non è visibile
  3. Variabile per visibilità non è collegato:
    l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.

Variabile lampeggio

Con tutti gli stati in corrispondenza dei quali viene visualizzato l´effetto glow configurato originariamente, si ottiene l´effetto glow che è stato impostato nelle proprietà. Anche, per esempio, il colore può provenire da un valore limite di una propria variabile; vedi dettagli in Colore da variabile.

  1. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile è attivo:
    • Il valore limite è stato violato:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a l´effetto glow configurato originariamente nelle proprietà.
    • Il valore limite non è stato violato:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  2. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a effetto glow non visibile.
    • Violazione di valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  3. Variabile lampeggio è collegato e Riprendi il lampeggio dal valore limite non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia dall´effetto glow configurato originariamente nelle proprietà a effetto glow non rappresentato.
    • Violazione di valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  4. Variabile lampeggio non è:
    l´effetto glow può essere visualizzato in dipendenza di altre proprietà.

Colore da variabile:

rappresenta la possibilità di fissare il colore dell´effetto glow tramite il valore limite di una variabile. Ciò vale anche per la rappresentazione normale se l´effetto glow lampeggia.

  1. Variabile colore collegato:
    1. Violazione del valore limite attiva:
      viene usato il colore del valore limite violato.
    2. Violazione di valore limite non attiva:
      per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Variabile colore non collegato:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.

Colorazione:

definisce se l´effetto glow viene creato come immagine dell´elemento reale, oppure viene colorato facendo uso di un singolo colore.

  1. Colorare attiva e Variabile colore collegata:
    1. Violazione del valore limite attiva:
      per la colorazione dell´effetto glow si usa il colore del valore limite violato.

    2. per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Colorare attiva e Variabile colore non collegata:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  3. Colorare inattiva: per l´effetto glow si usa un´immagine dell´elemento reale con tutti i colori corrispondenti dell´elemento.

Consigli per effettuare la configurazione:

Per ottenere dei buoni risultati:

  • selezionate per Trasparenza [%] un valore piuttosto basso. Senza colorazione il valore può essere un po´ superiore che nel caso di effetto colorato.
  • selezionate per Estensione [Pixel] un valore non troppo basso. Ci si dovrebbe mantenere su >5, per far sì che l´effetto sia visibile al di fuori dell´elemento.
    Attenzione: dei valori troppo alti (>20) possono avere come conseguenza il fatto che l´effetto glow viene fortemente ridotto. In questo caso la visibilità può essere aumentata tramite un´ulteriore riduzione della trasparenza. In generale si può dire che l´effetto glow incide in modo sostanziale sulle prestazioni del sistema e, perciò, dovrebbe essere usato con criterio. Un alto valore di Estensione [Pixel] richiede più risorse, il che può avere degli effetti notevoli soprattutto nel caso di elementi che si trovano vicini gli uni agli altri.
  • Visto che nel caso di DirectX, l´effetto glow (come anche le ombre) viene derivato direttamente dall´elemento originale, anche le modifiche dinamiche dell´elemento hanno delle conseguenze sull´effetto stesso. Si può dotare di effetti anche grafiche bitmap. Così, ad esempio, un´immagine PNG con aree parzialmente trasparenti ottiene come un´animazione GIF un effetto glow corretto, che viene creato in modo dinamico durante la visualizzazione. L´effetto glow ha influsso (come le ombre) anche su testo, il che permette di ottenere degli effetti particolari.

Ancora in questo capitolo

Esempi di effetto glow

Gestione degli errori


Esempi di effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow -> Esempi di effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi di effetto glow

Effetto glow

Elemento senza effetto glow:

Elemento con effetto glow:

Colori

colore di Default 0xFFFF90 (giallo):

Colore 0xFFFFFF (bianco):

Trasparenza

trasparenza 0%:

trasparenza 20%:

trasparenza 60%:

Diffusione

diffusione di 0 pixel e trasparenza pari allo 0%:

diffusione di 5 pixel e trasparenza pari allo 0%:

diffusione di 10 pixel e trasparenza pari allo 0%:

diffusione di 20 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza del 20%:

Colore 0xFFFF90 e 20 pixel di diffusione, nonché una trasparenza del 20%:

Testi

diffusione di 5 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza dello 0%:

Grandezza carattere con 15 pixel di diffusione e una trasparenza dello 0%:

Grandezza carattere con colore 0xFFFF90 e 35 pixel di diffusione, nonché una trasparenza del 20%:

Grafica parzialmente trasparente

Originale:

diffusione di 20 pixel e trasparenza pari allo 20%:

Colore 0xFF0000 con 20 pixel di diffusione e una trasparenza del 20%:

Senza colore, 20 pixel di diffusione e una trasparenza del 20% più ombra con 40 pixel di distanza, una trasparenza del 60%, colore nero e 5 pixel di effetto Blur:

elemento cambia

pulsante 3D in colori contrastanti, con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:

pulsante 3D in colori contrastanti, premuto con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:


Gestione degli errori

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow -> Gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gestione degli errori

Finestra di emissione

Inserimento | Livello | Descrizione
DirectX: immagine 'Nome Immagine' - Elemento 'Nome elemento' usano un effetto che non è rappresentabile con l´impostazione di qualità grafica selezionata. | Avviso | L´effetto glow è attivato per un elemento. Tuttavia DirectX Software oppure DirectX Hardware non è stato selezionato o non è disponibile.

Lista check per limitazione errori

  • DirectX è attivo?
  • DirectX è disponibile su questo sistema? Si può avviare un controllo attivando le segnalazioni di debug nel DiagViewer. Nel caso di risultato positivo, il sistema emette un messaggio corrispondente.
  • L´elemento supporta l´effetto glow?
  • L´elemento è visibile?
  • Delle proprietà statiche (per esempio la trasparenza) fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Delle proprietà dinamiche fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Se è selezionata una proprietà che richiama la visualizzazione dell´effetto glow solamente a determinate condizioni (pulsante Elemento con la proprietà "Attivo se premuto")?


Cornice e ombra

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Cornice e ombra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi possono essere estesi con una cornice e ombra.

Eccezione: Gli Elementi di stato non possono essere dotati di un´ombra.

info Info

Se la trasparenza di un oggetto viene modificata (per esempio: del colore di sfondo), cambia anche in modo corrispondente la visualizzazione dell´ombra già configurata. I valori di colore e trasparenza dell´ombra, però, rimangono uguali.

Assegna cornice e ombra

  • Per dotare un elemento di una cornice, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Cornoce.
  • Per dotare un elemento di un´ombra, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Ombra.

Per la cornice e ombra potete fissare quanto segue:

  • Distanza: distanza della cornice o dell´ombra rispetto all´elemento.
  • Colore della cornice: colore della cornice o dell´ombra.

Per la cornice potete fissare quanto segue:

  • Larghezza della linea. la larghezza della cornice.

Per l´ombra potete fissare quanto segue:

  • Angolo: l´angolo espresso in gradi in cui l´ombra si inclina incominciando dall´esterno a destra in senso antiorario.

  • Trasparenza: trasparenza dell´ombra fra 0 e 100% (0% è coprente, mentre 100% è trasparente).
  • Grandezza dell´ombra: dimensione dell´ombra espressa in pixel.
  • Disegno diffuso: Sfuma il coloro della superficie e rende più morbido la transizione dell´ombra.
    Nota: se qui il valore non è pari a 0, il calcolo dell´ombra influenza la prestazione del sistema.

info Info

La trasparenza di linee o colori di riempimento di un elemento esercita un´infuenza anche sull´ombra. Per esempio: nel caso in cui il colore di riempimento sia fissato sul valore di 100%, non sarà visibile alcuna ombra nel settore di riempimento.

Ancora in questo capitolo

Esempi


Esempi

Esempi

Ombra con angolo di 45 gradi spostata di 10 pixel.

Ombra con angolo di 45 gradi spostata di 30 pixel.

Ombra di una dimensione di 30 pixel.

Ombra di una dimensione di -20 pixel.

Ombra di una grandezza pari a -20 pixel e sviluppo colori trasparente nell´elemento.

Triangolo arrotondato con un disegno di 10


Muovi elementi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Muovi elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per muovere degli elementi usate:

Dalla versione 06:50

  • la proprietà con l´elemento corrispondente:
    • Posizione
    • Dimensione e rotazione dinamica
  • Inoltre dinamizzate degli elementi anche con le proprietà
    • Colore(i) riempimento dinamico(i) nel nodo Riempimento
    • Lampeggio nel nodo Visibilità/lampeggio
    • Visibilità nel nodo Visibilità/lampeggio

Fino alla versione 6.22 inclusa e per compatibilità Runtime con la versione 6.22 e per Windows CE:

  • In alternativa potete usare l´elemento dinamico Muovi simbolo


Andamento colore e trasparenza

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Andamento colore e trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi possono essere dotati di colori, oppure apparire trasparenti.

A tale scopo, selezionate anzitutto nelle proprietà dell´elemento, e più precisamente nel nodo Riempimento la proprietà corrispondente:

Effetto riempimento 3-D

I colori possono essere impostati con il seguente orientamento nei seguenti elementi:

Elemento | Lineare | Da un punto definito | Da un punto definito effetto beam | Effetto Bright
Rettangolo | X | X | X | X
Cerchio | X | X | -- | X
Arco di cerchio | X | X | -- | X
Poligono | X | X | X | X
Pulsante | X | X | X (se con angoli) | X

Per definire l´andamento di colori, selezionate come Tipo di riempimento Andamento colori.

Potete definire l´andamento colori tramite le proprietà del gruppo Effetto riempimento 3-D. Ma potete definirlo anche con il mouse. A questo scopo, cliccate sul piccolo cerchio giallo che si trova nell´elemento (con linea di collegamento con il centro) e muovete il cerchio fino a raggiungere l´andamento desiderato.

Effetto riempimento sotto Windows CE o con qualità grafica Windows standard

Sotto Windows CE oppure con l´impostazione Windows standard per la proprietà Qualità grafica, gli effetti di riempimento per pulsanti e elementi vettoriali possono essere realizzati solamente con valori di luminosità. Per la rappresentazione di effetti di riempimento usate le proprietà:

  • Luminosità all'esterno
  • Luminosità all'interno

Tenere presente quanto segue:

la proprietà Con valori di luminosità non deve essere attivata appositamente.

La proprietà Angolo [°] può essere modificata sotto Windows CE e con l´impostazione Windows standard per la proprietà Qualità grafica, solo in passaggi di 90°.

info Info

Nel caso di angoli fra 45° e 135°, nonché fra 225° e 315°, i rettangoli vengono orientati orizzontalmente, altrimenti verticalmente.

La proprietà Con valori di luminosità non è a disposizione per i poligoni.

Pulsante

Sotto Windows CE e Windows standard vale per l´elemento Pulsante anche quanto segue:

  • per la proprietà Effetto riempimento 3-D sono a disposizione i valori Da un punto definito e Da un punto definito effetto beam.

Trasparenza

facendo uso della proprietà Trasparente, potete far apparire un elemento completamente trasparente.

Per far apparire degli elementi solo parzialmente trasparenti, usate le proprietà per trasparenza del colore di riempimento, colore di andamento e colore della cornice. In questa sede definite il grado di copertura di un colore; avete a disposizione dei valori che vanno da 0 a 100 per cento. Il valore 0 significa coprente e 100 completamente trasparente. Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Esempi

Trasparenza: colore di riempimento = 100, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 50, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 0, colore di riempimento 2 = 100

info Info

Gli elementi di controllo per la gestione di campi lista e barre di scorrimento non supportano alcuna forma di trasparenza.


Copia formato

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Copia formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasmettere le proprietà di un elemento selezionato ad un altro o a più altri:

  1. Trasferire ad un elemento:
    1. Cliccate sull´elemento con proprietà originarie -
    2. Cliccando sul simbolo Trasmetti proprietà oppure sul comando corrispondente del menù contestuale
    3. Clic sull´elemento di destinazione: Le proprietà verrano trasferite all´elemento di destinazione.
  2. Trasferire a più elementi:
    1. Selezionare elemento origine
    2. Selezionate gli elementi di destinazione tenendo premuto il tasto Ctrl. (elementi sorgente e destinazione sono evidenziati)
    3. Cliccando sul simbolo Trasmetti proprietà oppure sul comando corrispondente del menu contestuale
    4. Le proprietà dell´elemento sorgente verranno trasferite agli elementi di destinazione.

Se sono stati selezionati più elementi sorgente, verranno trasferite le proprietà del primo elemento selezionato.

info Info

Riprendere proprietà tramite la finestra di proprietà:

se vengono selezionati più elementi, le proprietà dell´elemento selezionato per ultimo vengono visualizzati nell´inserimento proprietà. Se la finestra di proprietà viene visualizzata in modalità Visuale raggruppata oppure in quella Tutte le proprietà , la proprietà in questione può essere trasmessa premendo il tasto Invio a tutti gli altri elementi selezionati. Nella modalità Opzione dialogo, questo non è possibile. I dettagli su questo argomento, li trovate nel capitolo Finestra proprietà, sezione Multiselect.

Regole per la trasmissione di formati

Vengono trasmesse:

  • tutte le proprietà che definiscono un elemento per quello che concerne forma, colore e aspetto, e non vengono influenzate da una variabile.

Non vengono trasmesse:

  • proprietà disattivate
  • proprietà dirette, che non possono essere trasmesse in modo sensato, come testi e File grafico

    Eccezione:

    • i file grafici dell´interruttore vengono copiati, visto che, normalmente, si vuole avere sempre lo stesso interruttore.
    • I file grafici del pulsante non vengono copiati, dato che normalmente vengono usati diversi tipi di pulsante.
  • Proprietà dai gruppi:
    • Autorizzazione
    • Automatic Line Coloring
    • Generale
    • Posizione
    • Dimensione e rotazione dinamica
    • Runtime
    • Macro VBA
    • Imposta valore
  • tutto quello che viene direttamente dalle variabili.
  • Variabili e collegamenti funzioni


Copia, aggiungi e sposta

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Copia, aggiungi e sposta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per copiare, spostare o cancellare degli elemento nelle immagini, usate:

  • comandi nel menù Modifica
  • Azioni con il mouse:

    tenendo il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    Quando si sposta tenendo premuto il tasto destro del mouse, si apre il menù contestuale che serve a scegliere se si deve copiare o spostare.

  • Menù contestuale

Sposta

Gli oggetti possono essere spostati con il mouse o con la tastiera, fatta eccezione per i modelli. Sfruttando i tasti di funzione, potete usare degli effetti particolare nell´effettuare lo spostamento:

Tasto | Azione | Risultato
Ctrl | spostare con il mouse | l´oggetto viene copiato.
Shift | spostare con il mouse | L´oggetto può essere spostato adesso in orizzontale o in verticale.
Shift | Spostare con i tasti con le frecce. | Ogni volta che si preme il tasto, l´oggetto si sposta di 10 pixel.
Tasto destro del mouse | spostare con il mouse | Il menù contestuale permette la scelta fra copiare e spostare.
Tasto Space |  | Il puntatore del mouse diventa una mano da utilizzare per spostare. Con essa è possibile spostare come si vuole la superficie di lavoro usando il tasto sinistro del mouse.


Design delle liste

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il design di determinate liste può essere modificato nel Runtime. Non tutte le possibilità di configurazione sono disponibili per tutte le liste. La configurazione può essere diversa anche in dipendenza del tipo di immagine; così, per esempio, le intestazioni di colonna per il Batch Control vengono configurate con altri proprietà rispetto a quelle per la AML. Ma soprattutto gli elementi lista per AML, Batch Control, CEL, Modelo Trend esteso, Report Viewer oppure RGM dispongono di diverse possibilità di design.

A disposizione ci sono, per es.:

  • Visualizzazione generale
  • Header e barra di scorrimento
  • Grafica per Checkbox
  • Liste configurabili

Ancora in questo capitolo

Visualizzazione

Header e barra di scorrimento

Grafica per la Checkbox

Liste configurabili


Visualizzazione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area Visualizzazione possono essere configurati tipo di carattere e altezza della riga e attivata la proprietà Funzionalità grafiche avanzate.

Carattere

Il carattere da usare per la lista lo scegliete mediante la proprietà Carattere. Cliccate sul pulsante... e si apre il dialogo che serve alla selezione del tipo di carattere. I caratteri offerti li potete configurare nel nodo Immagini/Lista caratteri.

Altezza righe

Con la proprietà Zeilenhöhe [Pixel] definite l´altezza della riga indipendentemente dalla dimensione del carattere.

attention Attenzione

Impostazioni grafiche estese

Questa proprietà consente, a seconda del tipo di immagine, di gestire l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia.

Anteprima

Quando si attiva la proprietà Funzionalità grafiche avanzate, l´intestazione e le barre di scorrimento vengono visualizzate come anteprima nell´Editor. Così diventa molto semplice configurare i dettagli, come colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde a quella a Runtime, la dimensione complessiva della lista nell´Editor può divergere da quella a Runtime. Questo vale anche per le dimensioni e per il carattere dell´intestazione.

Visualizzazione di valori binari

Valori binari in liste configurabili possono essere visualizzati nel Runtime in modo grafico o numerico. La configurazione della modalità di visualizzazione avviene usando le proprietà del gruppo Visualizzazione/Visualizzazione per valori Bool.


Header e barra di scorrimento

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Header e barra di scorrimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le intestazioni di colonna consentono nel Runtime:

  • di spostare colonne
  • modificare la grandezza
  • modificare l´ordinamento.

Di norma le intestazioni di colonna vengono configurate nell´area Visualizzazione/Intestazione. Intestazioni di colonna per AML e CEL rappresentano un´eccezione. I dettagli li trovate nel capitolo Intestazioni di colonna per AML/CEL.

Header generale

Per poter utilizzare Header nel Runtime, attivate la proprietà Visualizza intestazione.

Con la proprietà Intestazione statica fissate l´Header. Essa non potrà più essere modificata nel Runtime. Solo la larghezza delle colonne è ancora modificabile.

Per visualizzare nel Runtime la riga filtro, attivate la proprietà Visualizza riga di filtro.
Nota: i filtri preconfigurati vengono eseguiti anche se la riga filtro non viene visualizzata.

L´altezza dell´Header la definite facendo uso della proprietà Alteza intestazione [Pixel]. Con il valore 0, l´altezza viene definita automaticamente sulla base della grandezza del carattere. L´altezza massima è di 255 Pixel.

Header per AML/CEL

Per usare Header in un´immagine del tipo AML oppure CEL:

  1. Nelle proprietà di progetto, passare al gruppo Lista di informazione allarmi
  2. selezionate in corrispondenza della proprietà Header AML il valore Intestazione modificabile
    (in alternativa potete fissare in questa sede anche che l´Header sia non gestibile invisibile).

info Info

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Ordinamento a Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. Selezionare per la proprietà Stile di visualizzazione (gruppo “Intestazione e griglia” delle proprietà dell´elemento) il valore File grafico.
  2. Collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico
  3. Nel Runtime, la grafica selezionata per la rispettiva direzione di ordinamento viene visualizzata nella colonna rilevante per l´ordinamento stesso.
  4. Cliccando sulla grafica, si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Configurare il design di barra di scorrimento e griglia

Per definire la dimensione e l´aspetto di barre di scorrimento, della intestazione e di una griglia:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. Definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia

Indicazioni sulle singole proprietà le trovate nell´embedded help.

info Info

Se per la proprietà Stile di visualizzazione si seleziona l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, verranno visualizzati con un effetto di riempimento. Per gli elementi di controllo delle liste, non si possono usare grafiche trasparenti.


Grafica per la Checkbox

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Grafica per la Checkbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si personalizzare l´aspetto delle checkbox con grafiche. A tale scopo, assegnate le grafiche desiderate alle corrispondenti proprietà nell´Editor. Le grafiche devono essere già state create nel nodo File\Grafiche. La grafica definita viene visualizzata a Runtime tenendo conto delle relazioni pagine (Aspect Ratio).

Quale file grafico viene usato per quale stato di un Checkbox lo definite con le proprietà nel gruppo Visualizzazione:

  • On: il Checkbox è attivato.
  • In (inattivo): il Checkbox è attivato e non può essere modificato.
  • Off: il Checkbox è disattivato.
  • Out (inattivo): il Checkbox è disattivato e non può essere modificato.


Liste configurabili

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Liste configurabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse liste che possono essere configurate individualmente a Runtime:

  • Active Directory:
    • Lista nella finestra Active Directory (ma non: albero)
  • AML
  • Filtro AML/Filtro CEL/Filtro tempo:
    • Lotti: Gestione archivio
    • Lotti: Selezione lotti
  • Batch:
    • Lista delle ricette master
    • Lista delle ricette di controllo
    • Lista parametri 1
    • Lista parametri 2
  • Comandi
    • Lista interblocchi
  • Lista utenti:
    • Lista utenti
  • CEL
  • Trend esteso
    • Lista curve estesa
  • Message Control:
    • Coda messaggi
  • Process Recorder
  • RGM:
    • Lista ricette e tabella dei valori ricetta (ma non: tabella valori ricette CE).
  • Gestione turni
  • Liste testi

Fra le azioni possibili per queste liste, ci sono:

  • Spostamento delle colonne.
  • Configurazione delle colonne.
  • Colorazione delle colonne.
  • Evidenziazione della posizione con il focus.
  • Uso di variabili di feedback.

Informazioni generali su questo argomento si trovano anche nel capitolo Design delle liste .

info Info

Anche i touch box possono essere configurati come le liste:

  • Filtro tempo Allarmi / CEL
  • Modifica utente
  • Lista gruppi utenti

Nota: non tutti gli elementi sono configurabili nei touch box. Per esempio, non c´è un´intestazione di colonna e c´è solamente una colonna.

Configurazione nell´Editor.

Configurazioni preliminari riguardanti l´aspetto e il comportamento delle Liste configurabili a Runtime, possono essere eseguite nell´Editor usando le proprietà del gruppo Visualizzazione.

Proprietà delle intestazioni di colonna.

Il comportamento delle intestazioni di colonna a Runtime viene adesso configurato nell´Editor usando le proprietà del gruppo Intestazione:

  • Visualizza intestazione: stabilisce se l´intestazione di colonna verrà visualizzata a Runtime.
  • Visualizza riga di filtro: stabilisce se la riga di filtro verrà visualizzata a Runtime.
  • Blocca ordinamento: gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.
  • Posizione colonne fissa: gestisce la possibilità di modificare la larghezza o spostare le colonne di una tabella a Runtime tramite azioni del mouse.
  • Disattiva menu contestuale: attiva o disattiva il menù contestuale per l´intestazione di colonna.

Comportamento a Runtime

Modificare le celle

È possibile modificare le celle delle liste di tipo liste configurabili: tramite:

  • Doppio clic sull'inserimento.
  • Clic sulla cella, seguito immediatamente da un secondo clic (doppio clic lento).

A seconda del tipo di immagine, ci può essere anche un pulsante per attivare la modifica.

Colorazione delle colonne

Nelle liste configurabili esiste la possibilità di definire separatamente per ogni singola colonna il colore del testo e quello di sfondo. Procedura: quando si configura la funzione di cambio immagine dell´immagine in questione, aprire la scheda Impostazioni colonne e configurare l'area Colori definiti dall´utente.

Mostra focus

Nell´ambito delle liste configurabili, è possibile segnalare dove si trova il focus mediante l´uso di colori di testo e di sfondo diversi. La cella, colonna o riga su cui si trova il focus, dunque, vengono evidenziate tramite l´uso di un determinato colore. Questi colori devono essere configurati nelle proprietà di progetto Colore di selezione per le liste oggetti, al nodo Aspetto grafico.

Priorità di colorazione

Quando si usano diversi colori in una lista, valgono le seguenti priorità:

  1. Generale: Colore di selezione per le liste oggetti
  2. RGM: Interrogazione valore di ricetta
  3. RGM: validazione online
  4. RGM: Interblocco
  5. Lista: colore colonna

Variabili di feedback

Le liste configurabili possono essere collegate ad una variabile di feedback di tipo BOOL. Quest'ultima segnalerà a Runtime se è stato selezionato qualcosa nella lista.

Per collegare una variabile di feedback:

  1. Nell´Editor, cliccare nella lista configurabile in questione.
  2. Aprire il gruppo Variabile di feedback delle proprietà.
  3. Nella proprietà Selezione attiva, cliccare sul pulsante ....

    Si aprirà la finestra di dialogo per selezionare una variabile con il tipo di dato BOOL.

  4. Selezionare una variabile.
  5. Collegare la variabile ad un elemento che dovrà visualizzare a Runtime lo stato della variabile.
    Significato dei valori:
    • 0: nessuna selezione nella lista.
      Nota: quando si chiude un'immagine, la variabile viene settata automaticamente sul valore 0.
    • 1: qualcosa è stato selezionato nella lista.


Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con polilinea, poligoni e pipes, si possono aggiungere, cancellare e spostare dei punti.

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina nodi nell'elemento selezionato.

Oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Nota:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Frecce in elementi vettoriali

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce in elementi vettoriali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per tutti gli elementi vettoriali che rappresentano figure aperte, si può definire un simbolo rispettivamente per start e end. Questo vale per:

  • Linea
  • Polilinea
  • Curva senza riempimento
  • Segmento di cerchio senza riempimento

Per aggiungere un simbolo:

  1. Fate attenzione che nelle proprietà di progetto sia stato selezionato per la proprietà Qualità grafica (nodo Immagini) perlomeno DirectX Software.
  2. Disegnate l´elemento;
  3. Selezionate fra le proprietà del gruppo Fine linea quella per:
    1. Tipo di inizio: simbolo per inizio linea.
    2. Tipo di fine: simbolo per fine linea.
    3. Dimensione: fattore di ingrandimento per larghezza della linea. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea. Default = 0

Sono disponibili i seguenti simboli:

da sinistra, oppure a sinistra:

da destra, oppure a destra:

info Info

Questi elementi non sono disponibili:

  • Con un segmento di cerchio riempito.
  • Con una curva riempita

Ancora in questo capitolo

Esempio di frecce


Esempio di frecce

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce in elementi vettoriali -> Esempio di frecce

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elementi vettoriali con simboli Start e End con un fattore di ingrandimento di 1,5:


Griglia

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Griglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor di zenon c´è la possibilità di visualizzare una griglia per posizionare elementi in una posizione determinata. La griglia consente il perfetto posizionamento di un elemento nell´immagine. Le impostazioni fondamentali a questo proposito le settate nel menù Extras/Impostazioni:

Griglia

Parametro

Descrizione

Mostra griglia

Attivo: visualizza nella finestra principale la griglia definita alla voce Tipo di griglia.
Non attivo: la griglia non verrà visualizzata.

Posiziona sulla griglia

Attivo: gli elementi d'immagine vengono sempre allineati sulla base della griglia. Questa funzione è indipendente dall’opzione Mostra griglia.

Colore

Definisce il colore della griglia. Per consentire la selezione del colore della griglia viene visualizzata la tavolozza dei colori di Windows.

Visualizzazione

Menù a tendina con il tipo di visualizzazione della griglia:

  • Pieno
  • Intersezioni

Spazio verticale

Definisce la distanza verticale fra i singoli punti di intersezione in cui à articolata la griglia. Questo parametro, dunque, definisce anche il grado di precisione con cui possono essere visualizzate le dimensioni dell´elemento d´immagine.

Valore consigliato per questo parametro: 10 Pixel

Spazio orizzontale

Definisce la distanza orizzontale fra i singoli punti di intersezione in cui à articolata la griglia. Questo parametro, dunque, definisce anche il grado di precisione con cui possono essere visualizzate le dimensioni dell´elemento d´immagine.

Valore consigliato per questo parametro: 10 Pixel

Nel menù contestuale decidete:

Voce di menù | Descrizione
Mostra griglia | mostra o nascondi la griglia.
Posiziona sulla griglia | Gli elementi vengono ordinati in relazione alla griglia.
Utilizza ancoraggio tra elementi vicini | I punti di appiglio degli oggetti si agganciano quando li si avvicina e si dispongono in relazione l´uno dell´altro.

info Info

Se i punti della griglia si trovano a 5 pixel di distanza o meno, vengono visualizzate solamente le linee della griglia che si trovano ad una distanza maggiore di 5 pixel. Ciò non toglie che vengono tenute in considerazione anche delle griglie più piccole.


Carattere

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un progetto, viene impostato automaticamente un carattere di default. Quest´ultimo viene a costituire il carattere standard per i nuovi oggetti. Il carattere di default non può essere cancellato. Se avete bisogno di altri caratteri:

  • Create il carattere desiderato nel nodo Caratteri (sottonodo di immagini).
  • Selezionate nelle proprietà dell´oggetto il carattere (nodo Stile testo, proprietà Carattere)


Selezionare

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Selezionare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti vengono selezionati con un clic del mouse. Per selezionare più oggetti:

  • cliccando, tenete premuto il tasto Shift oppure Ctrl
    oppure
  • trascinate con il mouse un rettangolo di aggancio.

Per deselezionare un oggetto in caso di selezione multipla, cliccate su di esso tenendo premuto il tasto Ctrl .

Modificare l´ordine di selezione

Se degli oggetti devono essere ordinati in una successione, serve da punto di riferimento l´oggetto selezionato per primo. Riconoscete visualmente l´oggetto che funge da punto di rifermento perché i suoi punti di appiglio sono riempiti per la loro intera superficie. Per fare di un altro oggetto l´oggetto di riferimento:

  1. Tenete premuto il tasto Shift;
  2. cliccate con il mouse sull´oggetto che deve fungere da riferimento.

Allineamento di un oggetto selezionato

Informazioni più dettagliate su come allineare oggetti, le trovate nel capitolo Editor/Barre simboli/Allineamento oppure in quello Editor/Barra menu/ Modifica


Scalare, centrare e zoom

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Scalare, centrare e zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ridimensionare

Potete scalare gli elementi in due modi:

  1. in modo proporzionale: tenete premuto il tasto Shift mentre scalate;
  2. Intorno al centro: tenete premuto il tasto Alt;

Nota: se nella proprietà Rotazione [°] è stato definito un angolo diverso da 0, non sarà possibile ridimensionare l´elemento usando i tasti di direzione.

Centrare

Usando H, l'oggetto selezionato viene posto al centro del settore dello schermo in cui si lavora.

Zoom

Editor

Nell´Editor ci sono due modalità zoom a disposizione che potete selezionare tramite il simbolo Zoom nella barra degli strumenti:

  • Zoom senza livelli predefiniti:
    Si può inserire nel menù a tendina un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoom tool:
    usando i simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine con il mouse. Premendo il tasto Ctrl , si passa da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi la modalità zoom: Cliccate sul simbolo Modalità modifica nella barra degli strumenti Elementi.

Runtime

Lo zoom di un´immagine può avvenire solamente nell´ambito dei limiti che sono stati settati per le seguenti proprietà:

  • Larghezza (massima) [Pixel]
  • Altezza (massima) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Quando zoomando si raggiunge uno di questi limiti, il sistema cerca di continuare lo zoom nelle direzioni libere. In questo caso, il sistema tiene conto delle proporzioni laterali.

Le immagini di tipo Faceplate non possono essere zoomate.

Zoom con multitouch in ETM.

Nel modulo Trend esteso, si può zoomare con un gesto a due dita non solo la finestra, ma anche la grafica a curve.

Per lo zoom nell´ETM, questo significa:

  • Zoom di grafiche: entrambe le dita devono trovarsi sulla grafica.
  • Zoom nell´immagine: entrambe le dita devono trovarsi sull´immagine. Nessun dito deve trovarsi sulla grafica.
  • Se due dita si trovano sulla grafica e due sull´immagine, verrà effettuato lo zoom sia della grafica, che dell´immagine.
  • Se un dito si trova sull´immagine e uno sulla grafica, l´immagine verrà spostata se ciò è previsto dalla configurazione.
  • Se, con un´azione in fase di esecuzione, si preme un Button, questa azione non potrà più essere interrotta.


Combinazioni di tasti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Combinazioni di tasti per l'editor della grafica:

Nota sulle combinazioni di tasti: il segno più (+) significa che i tasti vanno premuti contemporaneamente.
Esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione di tasti
Finestra principale: scorrere i contenuti con panning hand. | Tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri le proprietà | Alt+Invio

Selezionare

Comando

Combinazione di tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Selezione: modifica successione. Definisce l´elemento in riferimenti al quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Seleziona il prossimo elemento nella successione di creazione.

Tab

Seleziona l´elemento precedente nella successione di creazione.

Shift+Tab

Posizionare

Comando | Combinazione di tasti
Spostare l´oggetto selezionato | Tasti freccia
Spostare di 10 pixel ogni volta che si preme il tasto freccia. | Shift+Tasto con frecce
Spostare solo orizzontalmente oppure solo verticalmente. | Tenere premuto Shift quando si esegue lo spostamento.
Centrare l´oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione di tasti
Salva le modifiche. | Ctrl+S
Inserisce un elemento preso dagli appunti. | Ctrl+V Shift+Ins
Inserisce un elemento preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia l´elemento selezionato. | Ctrl+C Ctrl+Ins
Copiare invece che spostare. | Tenere premuto Ctrl quando si esegue lo spostamento.
Duplica l´elemento selezionato. Ulteriori informazioni su questo tema si trovano nel capitolo Duplicare elementi. | Ctrl+D
Cancella l´elemento selezionato. | Canc
Taglia l´elemento selezionato. | Shift + Del Ctrl+X
Annulla le modifiche. | Ctrl+Z Alt+Backspace
Aggiunge o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa il segno più (+). Cancella: il cursore del mouse diventa il segno meno (-). Funziona con polilinee, poligoni e tubature. | Ctrl+Shift
Termina il disegno di polilinee e poligoni. | S
Termina il disegno di polilinee e poligoni e cancella l´ultima sezione disegnata. | Esc
Sposta gli elementi selezionati di un livello verso l´alto. | +
Sposta gli elementi selezionati di un livello verso il basso. | -
Porta gli elementi selezionati in primo piano. | Ctrl++
Porta gli elementi selezionati sullo sfondo | Ctrl+-

Ridimensionare

Comando

Combinazione di tasti

Modificare la grandezza

Posizionare il cursore del mouse sul punto di aggancio finché non assume l´aspetto di una freccia. Poi, usando i tasti freccia, si potrà modificare la grandezza dell´elemento con la precisione di un pixel; se si tiene premuto il tasto Shift , invece, la modifica della dimensione dell´elemento avverrà in passi di 10 pixel.

Nota: se nella proprietà Rotazione [°] è stato definito un angolo diverso da 0, non sarà possibile ridimensionare l´elemento usando i tasti di direzione.

Ridimensionare un oggetto in riferimento al suo punto centrale

Tenere premuto il tasto Alt quando si ridimensiona l´elemento.

Ridimensionare in modo proporzionale

Tenere premuto il tasto Shift quando si ridimensiona l´elemento.

Ancora in questo capitolo

Duplicare elementi


Duplicare elementi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Combinazioni di tasti -> Duplicare elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esiste la possibilità di duplicare elementi in immagini e elementi nell´Editor dei modelli per la creazione di forme di modello libere.

Per duplicare un elemento:

  • Selezionare un elemento.
  • Usare la combinazione di tasti Ctrl+D, oppure l´inserimento Duplica del menù contestuale dell´elemento.
  • L´elemento viene duplicato e posizionato a una distanza standard di 15 pixel a destra e 15 pixel sotto il punto di partenza dell´elemento originario.

Per duplicare altri elementi in modo efficiente:

  • Posizionare l´elemento duplicato per ultimo alla distanza desiderata accanto all´elemento originario.
  • Premere la combinazione tasti Ctrl+D.
  • L´elemento viene duplicato e posizionato alla stessa distanza in direzione X e Y rispetto all´elemento precedente.

Se si deseleziona l´elemento originario, nel prossimo procedimento di duplicazione il sistema utilizza per la distanza di nuovo il valore di default di 15 pixel.

info Info

Quando li si duplica, gli elementi non vengono posizionati al di fuori della finestra dell´immagine o del modello. Se non c´è più spazio sufficiente per posizionare un elemento alla distanza appropriata, gli elementi vengono aggiunti al bordo della finestra.

attention Attenzione

Per poter copiare di nuovo elementi dopo la loro duplicazione usando il tasto Ctrl e il tasto sinistro del mouse premuto, deselezionarli e usate di nuovo la combinazione di tasti Ctrl+D.


Assegnare una combinazione di tasti ad un elemento

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Assegnare una combinazione di tasti ad un elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi gestibili di un´immagine possono essere collegati con una combinazione di tasti ed essere gestiti nel runtime usando la tastiera. Ciò vale ad esempio per:

  • eseguire elementi di controllo e funzione assegnata, come stampa, muovi immagine ecc.
  • Setta valore impostabile (per es.nel caso di un interruttore)
  • settare il focus per determinate finestre (per es. lista curve nel trend esteso oppure combobox nel manager gruppi ricette)

A Runtime si può gestire la funzionalità di un elemento usando la tastiera.

Per assegnare una combinazione tasti ad un elemento di controllo:

  1. Selezionare l´elemento di controllo.
  2. Passare alla proprietà Combinazione tasti (Proprietà oggetto -> Runtime -> Gestione funzionamento da tastiera)
  3. Cliccare sul pulsante ... oppure nel campo di inserimento
  4. Si aprirà la finestra di dialogo che consente di definire una combinazione di tasti.

Parametro | Descrizione
Combinazione di tasti | Inserimento della combinazione di tasti. Cliccate nel campo e premete il tasto desiderato, oppure la combinazione di tasti desiderata, per es.: A. la combinazione di tasti verrà visualizzata nel campo di inserimento
X | Cancella la successione di caratteri nel campo di inserimento.
OK | Accetta la combinazione di tasti e chiude la finestra di dialogo.
Annulla | Rifiuta inserimento/modifiche e chiude il dialogo.
Guida | Apre la guida online.


Sostituisci collegamenti di variabili e funzioni

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se devono venire sostituite contemporaneamente molte variabili e funzioni, Vi consigliamo di usare la sostituzione automatica per:

  • Sostituisci collegamenti nell´immagine Editor
  • Sostituisci collegamenti al momento del cambio immagine
  • Sostituisci indici
  • Simboli

Come utilizzare al meglio la sostituzione automatica nell´ambito della progettazione, potete apprenderlo consultando la guida relativa a Progettare con efficienza con zenon e in particolare la sezione Riutilizzare elementi.

Ancora in questo capitolo

Convenzioni di nomenclatura

Sostituisci collegamenti nell´immagine Editor

Sostituisci collegamenti al momento del cambio immagine

Comandi

Sostituisci indici


Convenzioni di nomenclatura

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, è importante che la loro denominazione sia sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In questo modo non vi limitate a rendere più semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il reverse engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Per esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System - Power Plant Classification System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation - Classification System for Technical Products and Technical Product Documentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • IDENTIFICAZIONE-IMPIANTO (sistema identificazione di impianto - Equipment Classification System); per i dettagli si veda http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Comandi Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio KKS:

In un progetto realizzato per il settore Energy, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS.
Una variabile con il nome C01_MDY10-QA001_QA07 ha il seguente significato:

  • Wind energy equipment C01 (row C, Nr. 1)
  • Gestione turbine eoliche MDY10
  • Alimentatore QA001
  • Power protection QA07


Sostituisci collegamenti nell´immagine Editor

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti nell´immagine Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile/funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora.

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menù contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti

    si apre il dialogo che serve a sostituire i collegamenti

Proprietà

Descrizione

Sorgente

Inserimento della parte di stringa da ricercare.

Possono essere usati i placeholder * e ?. I placeholder sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.

Se si usano placeholder, tenere presente cosa accade quando si usa un carattere più volte:

  • Esempio di successione caratteri: 01{SU(00,Test1)}
    Test1 deve essere sostituito da Test 2.
  • Se si inserisce *1 per "Sorgente” e 2 per "Destinazione”, il sistema trova e sostituisce 1 in 01, ma non in t1 successivi.
    Risultato: 02{SU(00,Test1)}
  • Se si inserisce *t1 per "Sorgente” e t2 per "Destinazione”, il sistema trova e sostituisce t1.
    Risultato: 01{SU(00,Test2)}

Destinazione

Inserimento della nuova parte di stringa

Nota: sorgente e destinazione devono trovarsi nello stesso progetto.

Applica

Sostituzione delle stringhe cercate della sorgente con quelle definite in Destinazione.

Rispetta minuscolo/maiuscolo

Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.

Nome

Scambia informazioni nel nome delle variabili.

Descrizione

Scambia informazioni nell’ identificazione.

Variabile/funzione

Apre la lista per selezionare variabili/funzioni con riferimento alla riga selezionata nella lista. Cliccando su una variabile o una funzione della lista, si definisce una nuova variabile o funzione di destinazione.
Alternativa: cliccare due volte su una variabile sorgente o una funzione sorgente.

Sostituzione

Sostituzione con selezione manuale.

Per sostituire elementi manualmente:

  • Selezionare l´elemento della lista che si vuole sostituire, come sorgente.
  • Selezionare un elemento di destinazione usando il pulsante Variabile/Funzione.

    L´elemento corrente viene sostituito dal nuovo.

Sostituzione automatica con regole.

Procedura per sostituire elementi automaticamente, sulla base di determinate regole:

  • Definire nel campo di inserimento Sorgente i parametri dell´elemento che si intende sostituire:
  • Usando il campo di inserimento Destinazione , definire il parametro per la nuova variabile/funzione.
  • Mediante le opzioni Nome/Identificazione, stabilire che cosa dovrà essere sostituito.
  • Cliccare su Applica.

info Info

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

info Info

Sostituire per Drag&Drop Gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag&Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.

Ancora in questo capitolo

Esempio: Sostituisci variabile in modo basato sulle regole


Esempio: Sostituisci variabile in modo basato sulle regole

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti nell´immagine Editor -> Esempio: Sostituisci variabile in modo basato sulle regole

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le variabili il cui nome contiene WIZ_VAR_1 devono essere sostituite con variabili con WIZ_VAR_2.

  1. Indicate nel campo di testo Fonte WIZ_VAR_1. Mettere il segno * alla fine di ogni variabile che inizia con WIZ_VAR_1.
  2. Indicare nel campo di testo DestinazioneWIZ_VAR_2.
  3. Cliccare su Applica.
  4. Le variabili WIZ_VAR_10, WIZ_VAR_11 e WIZ_VAR_12 vengono sostituite con quelle WIZ_VAR_20, WIZ_VAR_21 e WIZ_VAR_22.


Sostituisci collegamenti al momento del cambio immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti al momento del cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variabili o funzioni collegate in uno o più elementi, ma anche Alias di ALC possono essere sostituite al momento del cambio immagine. In questo caso, gli elementi dell´immagine non vengono sostituiti in modo durevole, ma collegati durante il runtime al momento di un cambio immagine.

Per sostituire dei collegamenti al momento di un cambio immagine:

  • Progettate una nuova funzione Cambio immagine.
  • Se l´immagine contiene degli elementi sostituibili, si aprirà il dialogo che serve ad effettuare la sostituzione

Proprietà

Descrizione

Sorgente

Inserimento della parte di stringa da ricercare.

Possono essere usati i placeholder * e ?. I placeholder sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.

Se si usano placeholder, tenere presente cosa accade quando si usa un carattere più volte:

  • Esempio di successione caratteri: 01{SU(00,Test1)}
    Test1 deve essere sostituito da Test 2.
  • Se si inserisce *1 per "Sorgente” e 2 per "Destinazione”, il sistema trova e sostituisce 1 in 01, ma non in t1 successivi.
    Risultato: 02{SU(00,Test1)}
  • Se si inserisce *t1 per "Sorgente” e t2 per "Destinazione”, il sistema trova e sostituisce t1.
    Risultato: 01{SU(00,Test2)}

Destinazione

Inserimento della nuova parte di stringa

Nota: sorgente e destinazione devono trovarsi nello stesso progetto.

Applica

Sostituzione delle stringhe cercate della sorgente con quelle definite in Destinazione.

Rispetta minuscolo/maiuscolo

Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.

Nome

Scambia informazioni nel nome delle variabili.

Descrizione

Scambia informazioni nell’ identificazione.

Variabile/funzione

Apre la lista per selezionare variabili/funzioni con riferimento alla riga selezionata nella lista. Cliccando su una variabile o una funzione della lista, si definisce una nuova variabile o funzione di destinazione.
Alternativa: cliccare due volte su una variabile sorgente o una funzione sorgente.

Sostituzione

Sostituzione con selezione manuale.

Per sostituire elementi manualmente:

  • Selezionare l´elemento della lista che si vuole sostituire, come sorgente.
  • Selezionare un elemento di destinazione usando il pulsante Variabile/Funzione.

    L´elemento corrente viene sostituito dal nuovo.

Sostituzione automatica con regole.

Procedura per sostituire elementi automaticamente, sulla base di determinate regole:

  • Definire nel campo di inserimento Sorgente i parametri dell´elemento che si intende sostituire:
  • Usando il campo di inserimento Destinazione , definire il parametro per la nuova variabile/funzione.
  • Mediante le opzioni Nome/Identificazione, stabilire che cosa dovrà essere sostituito.
  • Cliccare su Applica.

info Info

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

Sostituisci interblocchi

Nella finestra di dialogo compaiono, accanto alle variabili direttamente collegate all´immagine, anche tutte le variabili degli interblocchi usati in questa immagine. Fra queste ultime abbiamo anche la variabile risultante di un interblocco. Quelle variabili che sono state collegate sia con elementi dell´immagine che con interblocchi della immagine, sono visualizzate nel dialogo solo una volta.

Nel runtime vengono sostituite le variabili da rimpiazzare per tutti gli interblocchi che usano queste variabili. Accanto alle variabili normalmente collegate con l´interblocco, vengono sostituite anche le variabili risultanti per l´immagine collegate con l´interblocco.

Sostituzione in progetti di integrazione

Se delle variabili o delle funzioni devono essere sostituite tra un sottoprogetto e il progetto di integrazione, ci si deve assicurare che tutti i progetti interessati siano disponibili nel Runtime avviati sullo stesso calcolatore.

Example Esempio

Nel sottoprogetto, viene configurato un cambio ad un´immagine del sub-progetto. La variabile variable1 del sub-progetto viene sostituita da quella variable2 del progetto di integrazione. Perché questa sostituzione venga effettuata nel Runtime, il progetto di integrazione deve essere il progetto di partenza.

Se il sottoprogetto è il progetto di partenza, la variabile variable2 del progetto di integrazione non è disponibile. Non viene effettuata nessuna sostituzione e viene usata la variabile originale variable1 del sub-progetto.

L´utente non viene informato nel Runtime che la sostituzione è fallita.


Comandi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con una funzione di cambio ad un´immagine del tipo Comandi, viene visualizzata anche la scheda Comandi:

Parametro

Descrizione

Variabile per definizione comando di immissione

Selezione della variabile per la determinazione del comando.

Cliccando sul comando ... si apre la finestra di dialogo che consente di selezionare una variabile.

Livello di partenza

Definisce lo stato iniziale dell´immagine comandi al momento dell´apertura nel Runtime. Selezione dal menù a tendina:

  • Livello 1
    L´immagine comandi viene aperta nello stato del 1° livello.
  • Blocco
    L´immagine comandi viene aperta nello stato Blocco.

Default: Fase 1

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

§§Sezionatore

info Info

Ulteriori informazioni sulle possibilità di sostituzione di variabili nelle immagini comando, le trovate anche nel capitolo Sostituzione variabili, nella guida dedicata a Energy Edition - Comandi.


Sostituisci indici

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine a Runtime, le variabili e le funzioni possono essere sostituite in modo dinamico usando regole di indicizzazione, o parametri specifici per l´elemento.

Possibilità di sostituzione:

  • Mediante variabili di indicizzazione: per es. {X01}
  • Usando parametro specifici per l´elemento: {PARAM}
  • Senza variabile di indicizzazione o parametri

attention Attenzione

Visto che i nomi vengono sostituiti, alle variabili e alle funzioni dovrebbero essere sempre dati nomi differenti. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio: esistono una variabile test e una funzione test, e la variabile test deve essere sostituita, in questo caso lo sarebbe anche la funzione test.

Suggerimento: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

attention Attenzione

Al contrario di quanto succede con l´opzione Sostituisci collegamenti, la sostituzione via indici è basata puramente sui nomi e non su ID di variabili interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.

Sostituisci dialogo indici

Regole di indicizzazione

Parametri

Descrizione

Regole di indicizzazione

Configurazione delle regole per la sostituzione di variabili e funzioni.

Origine

Inserimento della sorgente che deve essere usata

Destinazione

Inserimento della destinazione. Possono essere usati anche parametri per valori da variabili di indicizzazione, come ad es. ({X01} e parametri {PARAM} per funzioni.

Rispetta minuscolo/maiuscolo
  • Attivo: nell´effettuare l´operazione di sostituzione, il sistema distingue fra lettere maiuscole e minuscole.

Lista delle regole

Lista delle regole definite

Aggiungi regola

Cliccando su questo pulsante, si aggiunge alla lista la regola definita via sorgente e destinazione.

Info: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.

Rimuovi regola

Cliccando su questo pulsante, si cancella la regola selezionata dalla lista.

Freccia in su

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in alto nella lista.

Freccia in giù

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in basso nella lista.

Nota: Il metodo Sostituisci indici può essere usato anche senza variabili di indicizzazione. Si indicano le variabili nella lista delle regole.
Vantaggio: Se si aggiungono dei sub-elementi alla struttura, la funzione non deve essere modificata e adeguata una seconda volta, come avverrebbe con il metodo Sostituisci collegamenti.

Variabile di indice

Parametri

Descrizione

Variabile di indice

Configurazione delle variabili di indicizzazione.

Lista delle regole

Mostra le variabili di indicizzazione selezionate.

Aggiungi

Quando si clicca su questo pulsante, si apre la finestra di dialogo che serve ad aggiungere o cancellare variabili di indicizzazione.

Le variabili selezionate vengono aggiunte una dopo l´altra e dotate di un parametro. Quest´ultimo può essere usato nelle regole di sostituzione per la corrispondente variabile di indicizzazione. Il valore di queste variabili viene usato di regola durante la sostituzione.

Replacement preview

Parametri | Descrizione
Replacement preview | Elenca tutte le sostituzioni configurate. Quando si clicca su un inserimento, il sistema riempie anche le opzioni sorgente e destinazione nella sezione "regole di indicizzazione".

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.
attention Attenzione
Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi con scarsa prestazione hardware, ciò può causare ritardi nel cambio immagine. Suggerimento: attivate le variabili indice in un progetto di rete sempre con l´opzione HD attivo.

Ancora in questo capitolo

Sostituzione via variabili di indicizzazione

Sostituzione via parametri specifici per l´elemento

Sostituzione senza variabili di indicizzazione o parametri

Sostituzione multipla con variabili di indicizzazione e parametri di funzione


Sostituzione via variabili di indicizzazione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione via variabili di indicizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare la sostituzione via variabili di indicizzazione:

  1. nel campo Origine della Anteprima sostituzione sono visualizzate tutte le variabili e le funzioni usate nell´immagine.
  2. Cliccate con il tasto sinistro del mouse sulla variabile o la funzione per la quale avete deciso di creare una regola di indicizzazione.
  3. La variabile/funzione viene inserita nell´area regola di indicizzazione nel campo origine e destinazione.
    in alternativa, potete inserire anche direttamente la variabile/funzione desiderata nel campo origine nelle Regole di indicizzazione.
  4. Definite la regola di indicizzazione.
    La parte dinamica della regola viene inserita nel tipo particolare di parentesi che vedete di seguito: per es. {X01}.

    Esempio:

    la variabile sorgente Motor1.RPM viene sostituita da quella di destinazione Motor{X01}.RPM.
    Il carattere jolly X01 viene sostituito a Runtime dal valore corrispondente della variabile di indicizzazione.
    La regola di sostituzione sarebbe in questo caso:

    Sorgente: Motor1

    Destinazione: Motor{X01}

  5. Inseritela nella lista delle regole di indicizzazione cliccando con il tasto sinistro del mouse su Aggiungi regola.
    Informazioni: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.
  6. In questa lista vengono visualizzate tutte le regole di indicizzazione impostate.
  7. Con i pulsanti con il simbolo della freccia, potete modificare la successione degli inserimenti.

    Attenzione: le sostituzioni vengono eseguite nella successione in cui sono visualizzate nella lista!

  8. Aggiungere le variabili di indicizzazione necessarie usando il pulsante Aggiungi... nella sezione Variabili di indicizzazione.
  9. Le variabili inserite in questa lista vengono conservate sempre nella memoria in modo tale che non si verifichino delle attese inutili al momento dell'apertura dell'immagine.

info Info

Per il segnaposto * valgono le stesse regole di Sostituisci collegamenti'

Sostituzioni per più progetti:

Se la destinazione si trova in un altro progetto rispetto all´origine, ciò può essere indicato dal sistema mediante il simbolo #.

Example Esempio

Sorgente: VAR_1

Destinazione: VAR_1 in progetto_1

Perciò indicate come origine VAR_1 e come destinazione Projekt_1#VAR_1.

Sorgente: SUBPROJEKT1#VAR_1

Destinazione: {X01}VAR_1

La variabile indice X01 è una variabile stringa e ha durante il Runtime il nome progetto incluso # come valore, per es. SUBPROJEKT4#.


Sostituzione via parametri specifici per l´elemento

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione via parametri specifici per l´elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di configurazione del cambio immagine è possibile sostituire variabili e funzioni anche utilizzando parametri specifici per l´elemento.

info Info

Il vantaggio di questo metodo è che deve essere creata una sola funzione; l´informazione per eseguire la sostituzione viene poi acquisita direttamente dall´elemento che apre.

Il parametro per le variabili e le funzioni da sostituire viene utilizzato nella finestra di dialogo di sostituzione per indice del cambio immagine. Nella regola di sostituzione, la parola chiave {PARAM} viene sostituita dal contenuto dell´inserimento parametro.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Quelle funzioni che sono collegate ai seguenti elementi d'immagine, possono essere sostituite usando parametri:

  • Pulsante
  • Combo-/Listbox
  • Elemento Combinato

Per settare un parametro, inserite la successione di caratteri per il parametro nella proprietà corrispondente.:

  • Pulsante ed elemento combinato Proprietà Parametro per sostituzione nel gruppo variabile/funzione
  • Combo-/Listbox Opzione Parametro per sostituzione nel dialogo di configurazione del Combobox o Listbox statici.

Quando a Runtime viene eseguita una funzione che usa la sostituzione, la parola chiave {PARAM} viene sostituita dal suo relativo inserimento. Se questo non restituisce un risultato sensato, viene visualizzato il valore originario.

Example Esempio
  • Se il risultato della sostituzione è Motor13, ma il suffisso variabile 13 non esiste, verrà visualizzato il valore originale.
  • Se il parametro è 2, la regola è "sostituire Motor1.RPM con Motor2.RPM e tutti e due i parametri esistono, l´elemento che prima visualizzava Motor1*, visualizzerà adesso Motor2.


Sostituzione senza variabili di indicizzazione o parametri

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione senza variabili di indicizzazione o parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un´alternativa alla sostituzione via variabili di indicizzazione o parametri specifici per l´elemento è la sostituzione "puramente statica".

Per questo tipo di sostituzione non si usano né regole per sostituzione di variabili con, per es., {X01}, né la parola chiave {PARAM}.

Example Esempio

Sorgente: Motor1*

Destinazione: Motor2

A Runtime, le variabili che iniziano con Motor1 vengono sostituite da Motor2.

info Info

Per il placeholder * valgono le stesse regole di Sostituisci collegamenti'

info Info

Il vantaggio di questo metodo:
Se si aggiungono nuove variabili (che devono essere sostituite) ad un´immagine, possono essere utilizzate le stesse regole di sostituzione. Questo vale anche per nuovi elementi di struttura.

In questo esempio, la configurazione della funzione non deve essere modificata, come nel caso di Sostituisci collegamenti.

attention Attenzione

Lo svantaggio di questo metodo è che (al contrario di quanto accade con Sostituisci collegamenti), la sostituzione avviene a livello puramente testuale e non si basa su ID di variabile interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.


Sostituzione multipla con variabili di indicizzazione e parametri di funzione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione multipla con variabili di indicizzazione e parametri di funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri per variabili di indicizzazione e funzioni possono essere combinati a piacere e usati quante volte si vuole.

Regole:

Se il parametro viene configurato come sequenza caratteri {X01} e questo indice esiste per variabili di indicizzazione, {X01} non viene sostituito dal valore della variabile di indicizzazione, ma solo {PARAM} dalla sequenza caratteri {X01}, senza che il sistema avvii una ricerca di una variabile relativa.

Esempi

Diversi parametri

  • Valori base:
    • Il valore per la proprietà Parametro per sostituzione è 1.
    • L´indice X01 ha il valore 2.
    • L´indice X02 ha il valore 3.
  • Regola:
    • Sostituisci monitor[3] con monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Risultato:
    • monitor[12313]

parametro per funzione è identico a parametro per variabile di indicizzazione.

  • Valori base:
    • Il valore per la proprietà Parametro per sostituzione è {X01}.
    • L´indice X01 ha il valore 2.
    • L´indice X02 ha il valore 3.
  • Regola:
    • Sostituisci monitor[3] con monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Risultato:
    • mon[{X01}23{X01}3]


Grafica di sfondo

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Grafica di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. La funzionalità è analoga a quella che si vede per la grafica di sfondo del desktop di windows.

Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

Possono essere usati dei file grafici che sono già disponibili nel progetto nell´area file/grafici. Vedi in: File.

Suggerimento: Se volete usare per più immagini la stessa grafica di sfondo, la potete fissare già nei modelli. Vedi in: Grafiche di sfondo con modelli

Suggerimento: in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.


Funzioni

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire di collegare una funzione (per esempio ad un elemento d´immagine) viene aperta una finestra di dialogo di "Selezione funzioni".

Elemento

Descrizione

Albero di progetto

Consente di scegliere il progetto da cui verrà selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Le funzioni già collegate verranno cancellate.

Suggerimento: le dimensioni di questa finestra di dialogo possono esser modificate. Dopo aver eseguito la modifica, la posizione e la grandezza della finestra di dialogo verranno salvate.

Cambiare le funzioni collegate

  1. Manualmente
    • Aprire le funzioni nella Visualizzazione dettagli del Manager di progetto.
    • Trascinare la funzione desiderata sull´elemento tenendo premuto il tasto sinistro del mouse.
    • La funzione collegata precedentemente all´elemento verrà sostituita da quella nuova.
  2. Automaticamente
    • Selezionare nel menù contestuale dell´elemento il comando "Sostituisci collegamenti". I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Variabili

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire la selezione di variabili, viene visualizzata una finestra di dialogo.
Queste variabili possono essere utilizzate in parte anche per più progetti contemporaneamente. In questo caso, bisogna assicurarsi che i progetti in questione siano disponibili a Runtime.

Collegamento di una variabile

Per gli elementi che possono essere collegati solo ad una singola variabile, si apre la seguente finestra di dialogo:

Elemento

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Ci sono due modi di collegare una variabile all´elemento:

  • Cliccando due volte sulla variabile desiderata. In questo caso, la finestra di dialogo verrà chiusa automaticamente dopo che è stata eseguita la selezione.
  • Selezionando la variabile desiderata e cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Verrà eliminato il collegamento delle variabili già collegate (per es. variabili lotti collegate nel server archivi).

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.

Gestione degli errori

Ci possono essere diverse ragioni per cui una variabile non viene visualizzata nella finestra di selezione.

  • È stato selezionato un filtro, e la variabile desiderata non corrisponde ai criteri di questo filtro: controllare nella riga filtro se c´è un filtro attivo. Sotto la finestra di selezione vengono visualizzate delle informazioni sugli elementi filtrati; anche queste informazioni possono essere d´aiuto per verificare l´esistenza di filtri attivi.
  • La finestra di dialogo viene aperta dall´Editor già filtrata e la variabile non corrisponde ai criteri del filtro impostato. La finestra di dialogo viene aperta già filtrata quando sono consentiti solamente dei determinati tipi di dato. Per es.: non è consentito collegare ad un elemento dinamico di tipo Valore numerico una variabile stringa.
  • È stato selezionato il progetto sbagliato nella struttura ad albero.

attention Attenzione

La finestra di dialogo consente generalmente di selezionare più variabili usando le combinazioni di tasti abituali in Windows. Nelle finestre di dialogo in cui può essere selezionata solo una variabile, però, se ne potrà effettivamente collegare una sola. Se vengono selezionate più variabili, verrà assegnata all´elemento solo la prima variabile selezionata.

Collegamento di più variabili.

Per gli elementi che possono essere collegati con più variabili, si apre la seguente finestra di dialogo:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione delle variabili. Ci sono due modi per selezionare le variabili:

  • Cliccando due volte sulla variabile; la variabile selezionata verrà aggiunta alla lista delle variabili.
  • Trascinando (Drag&Drop) la variabile selezionata nella lista delle variabili.
  • Selezionare le variabili desiderate. Usando il tasto Ctrl- oppure quello Shift, è possibile selezionare più variabili contemporaneamente. Cliccando su Aggiungi, le variabili selezionate verranno poi inserite nella lista di quelle da collegare.

Lista variabili

Elenca tutte le variabili selezionate.

Aggiungi

Aggiunge alla lista variabili la variabile selezionata nella finestra di selezione.

Elimina

Elimina dalla lista la variabile selezionata nella lista variabili.

Nessuna selezione

A seconda dell´elemento:

  • La finestra di dialogo verrà chiusa.
  • Determinati collegamenti, come quelli di variabili lotti nell´archiviazione, possono essere eliminati.

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.

Gestione degli errori

Ci possono essere diverse ragioni per cui una variabile non viene visualizzata nella finestra di selezione.

  • È stato selezionato un filtro, e la variabile desiderata non corrisponde ai criteri di questo filtro: controllare nella riga filtro se c´è un filtro attivo. Sotto la finestra di selezione vengono visualizzate delle informazioni sugli elementi filtrati; anche queste informazioni possono essere d´aiuto per verificare l´esistenza di filtri attivi.
  • La finestra di dialogo viene aperta dall´Editor già filtrata e la variabile non corrisponde ai criteri del filtro impostato. La finestra di dialogo viene aperta già filtrata quando sono consentiti solamente dei determinati tipi di dato. Per es.: non è consentito collegare ad un elemento dinamico di tipo Valore numerico una variabile stringa.
  • È stato selezionato il progetto sbagliato nella struttura ad albero.

Cambiare la variabile collegata

Selezionare nel menù contestuale dell´elemento il comando Sostituisci collegamenti. I dettagli relativi alla procedura di sostituzione dei collegamenti si trovano nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Modelli

Manuale -> Immagini -> Modelli

I modelli costituiscono la base per il layout delle finestre e delle immagini visualizzate durante il Runtime. Essi strutturano la visualizzazione sullo schermo e determinano la posizione di finestre e immagini. Ogni immagine viene assegnata ad un modello e viene visualizzata sulla base dell´aera di schermo definita nel modello stesso.

I modelli definiscono le proprietà generali delle finestre, come posizione, grandezza, aspetto e possibilità di manipolazione a Runtime.

Modelli:

  • offrono una visione generale su tutte le aree immagini definite in un progetto.
  • Possono essere configurate liberamente facendo uso della proprietà Definizione libera modelli.
  • Consentono l´attribuzione di speciali funzioni a tutte le immagini esistenti in un modello, per esempio:

    immagine indietro, setta focus sul modello, elimina focus dal modello, chiudi modello, ripristina lampeggio allarmi, stampa screenshot.

  • Modificano tutte le immagini che si basano sul modello corrispondente.
  • Le immagini vengono visualizzate nel runtime sempre nella stessa dimensione e al posto definito dello schermo e non possono essere spostate a piacere.
  • Nel caso di perdita del focus, i modelli possono essere chiusi automaticamente nel runtime.
  • Le immagini all’ interno di un modello sono sostituibili a piacere nel funzionamento online.

info Info

Se, quando si crea un´immagine, non esiste ancora nessun modello, zenon crea automaticamente un modello di default, che comprende tutto lo schermo.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo modello | Crea un nuovo modello.
Apri Editor Modelli | Apre l´editor dei modelli nella finestra principale e mostra nella visualizzazione dettagliata la lista dei modelli.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML. Nota: Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Guida | Apre la guida online.

Ancora in questo capitolo

Modello Visualizzazione dettagli barra simboli e menù contestuale

Editor dei modelli

Fissare grafiche di sfondo con modelli

Engineering distribuito con i modelli

Modelli primari

Effetti per modelli


Modello Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Immagini -> Modelli -> Modello Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù | Azione
Nuovo modello | Aggiunge un nuovo modello alla lista e setta il focus su questo inserimento.
Apri Editor Modelli | Apre l´editor dei modelli nella finestra principale
Definizione libera modelli | Passa alla finestra principale per la definizione di una forma modello libera
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML. Nota: Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Editor dei modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli

Nell´editor del modelli definite e posizionate tutti i modelli.

Ancora in questo capitolo

Apri l´editor dei modelli.

Creare nuovi modelli

Posizionamento e azioni nel Runtime

Apri modello più volte

Cancellazione di modelli


Apri l´editor dei modelli.

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Apri l´editor dei modelli.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire l´editor dei modelli:

  • Cliccate due volte sul modello desiderato nel Manager di progetto nella visualizzazione dettagliata per i modelli.

    oppure

  • scegliete Manager di progetto -> Modelli -> Menù contestuale -> Apri editor modelli

Le dimensioni che caratterizzano la visualizzazione nell´editor dei modelli dipendono dalla grandezza dello schermo impostata nella gestione monitor. (Vedi capitolo: Gestione monitor. Se si modifica l´impostazione del monitor in un secondo momento, l´editor dei modelli deve essere riaperto; solo in questo caso esso tiene conto della nuova impostazione monitor.

Il modello rosso per la barra stato allarmi viene creato da zenon per ogni progetto automaticamente e viene collocato sul margine superiore dello schermo. La sua posizione, però, può essere modificata facendo uso delle proprietà nel gruppo Posizione. A questo scopo, la proprietà deve essere disattivata Utilizzare posizione standard.


Creare nuovi modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo modello, avete due possibilità:

  • creare un nuovo modello della dimensione definita nelle proprietà monitor:
    Manager di progetto -> Modello -> Menù contestuale -> Crea nuovo modello

oppure

Visualizzazione dettagli Modelli -> Menù contestuale -> Nuovo modello

  • Disegna nuovo modello:

Finestra principale-> Menù contestuale -> Trascina un nuovo modello

Nota: Il puntatore del mouse diviene un quadrato nero con una croce nell´angolo sinistro in alto; esso funge da punto di partenza. Servendovene potete trascinare il modello nella posizione desiderata nella dimensione da Voi stessi definita.

Creare nuovi modelli

Per creare un modello:

  1. Selezionate nel manager di progetto nel nodo Immagini la voce Modello
  2. selezionate nel menù contestualeCrea nuovo modello
  3. Viene impostato un nuovo modello.
  4. La grandezza iniziale viene determinata dalla dimensione del display.
  5. Cliccate nel nuovo modello e trascinatelo facendo uso dei punti di appiglio finché non avrà raggiunto la dimensione desiderata.

    La dimensione, nonché le Dimensioni d'apertura nel Runtime e le proprietà per lo spostamento, possono essere modificate usando le proprietà del gruppo Posizione.

  6. Posizionate il modello nella posizione desiderata della finestra.
  7. Definite le proprietà che desiderate nella Finestra proprietà.

attention Attenzione

Se dei modelli ricevono lo stesso nome nel progetto globale e nel sottoprogetto, quelle del progetto globale ricevono automaticamente il prefisso g_.

Example Esempio

Nel progetto complessivo devono esistere tre settori:

  • sul margine superiore dello schermo una riga con orario e logo.
    Per questo settore viene definito un modello Intestazione. Esso definisce la grandezza e la posizione dell´intestazione.
  • Sul margine inferiore dello schermo abbiamo una riga di menu.
    Viene impostato un modello Riga di menu.
  • Fra immagini impianto.
    Viene impostato un modello immagine apparente.

I modelli vengono aperti sempre in un posto definito in una dimensione definita. Tutte le immagini impostate in successione vengono attribuiti ad uno di questi modelli e aperti in essi durante il Runtime. Nel caso in cui vogliate modificare l´organizzazione dello schermo, perché, per esempio, volete che la riga di menu appaia adesso in alto e l´intestazione come pie`di pagina, dovete cambiare la posizione del modello. Le immagini contenute nel modello seguono lo spostamento automaticamente.

Suggerimento: Non piazzate modelli direttamente uno sopra l´altro. In tal modo ponete le basi per poter sempre avere accesso a tutte le immagini nel Runtime.

Modificare la grandezza a Runtime

Quando è possibile modificare la grandezza di un modello nel Runtime, i cambiamenti consentiti possono essere limitati usando le seguenti proprietà del gruppo Posizione:

  • Breite(Minimum) [Pixel]: Stabilisce la larghezza minima.
  • Breite(Maximum) [Pixel]: Definisce la larghezza massima.
  • Höhe(Minimum) [Pixel]: Stabilisce l´altezza minima.
  • Höhe(Maximum) [Pixel]: Definisce l´altezza massima.

Queste limitazioni hanno effetto solamente su manipolazione tramite gesti Multi-Touch.

Posizionare i modelli

Posizione e orientamento di un modello o di un gruppo di modelli selezionati possono essere scelti facendo uso del menu contestuale Allinea.

Ordina sulla base di punti di connessione

Se si è attivata l'opzione "usa punti di connessione (vedi capitolo Editor, sezione Impostazioni), i punti di connessione di un modello si attaccano a quelli dei altri modelli. Ma i modelli possono aderire anche al margine dello schermo e alla barra degli allarmi, se visibile (e se essa è stata attivata nel processo).

Ancora in questo capitolo

Modello con forma libera

Visualizza modelli nell´editor del modelli


Modello con forma libera

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli -> Modello con forma libera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete adattare ai Vostri desideri la forma del modello facendo uso della proprietà Modello a forma libera. Dopo aver attivato questa proprietà, passate a una delle seguenti forme dell´editor dei modelli:

  • cliccate sul pulsante della proprietàDefinizione libera modelli
  • Cliccate sul simbolo corrispondente nella Barra simboli del modello.
  • Selezionate l´inserimento di menù “Forma modello libera” definito nel menù contestuale al momento della selezione modelli.
  • Selezionate l´inserimento di menù Forma modello libera definito nel Menu contestuale nell´editor dei modelli.
  • Cliccate due volte su un modello nell´editor dei modelli.

Qui potete creare liberamente il modello servendovi degli elementi Rettangolo,Cerchio, Rettangolo arrotondato e Poligono. Il settore trasparente viene rappresentato come scacchiera bianco-grigia.

info Info

Modello a forma libera non è disponibile:

  • per il modello Barra stato allarmi
  • sotto Windows CE

Se la proprietà Definizione libera modelli viene disattivata, una forma modello libera già esistente non viene visualizzata né nell´editor modelli, che in quello delle immagini.

Modello a forma libera non può essere usato con Cornice.

Facendo uso della proprietà Visualizzazione piatta potete stabilire in quale misura il singolo elemento influenza l´aspetto del modello. Ci sono inoltre queste impostazioni a disposizione:

Parametro | Descrizione
Pulisci | La superficie dell´elemento viene usata come settore immagine.
Taglia | La superficie dell´elemento viene cancellata dalle superfici che si trovano sotto. In tal modo potete creare, ad esempio, dei "buchi" nel modello.
Logica Or | A seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.
info Info
L´uso delle superfici si riferisce sempre a quelle che si trovano sotto l´elemento. Quando per esempio un elemento sovrapposto viene disegnato sopra un elemento tagliato, l’area viene visualizzata come riempita Se invertite la successione, l´elemento tagliato viene tolto da quello sovrapposto.


Visualizza modelli nell´editor del modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli -> Visualizza modelli nell´editor del modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere mostrati e nascosti nell´editor dei modelli nelle seguente modalità:

  • Proprietà Visualizza nell'Editor dei modelli:
    attivata: mostra il modello.
  • Drag&Drop:
    invisibile: trascina il modello al di fuori della finestra principale
    visibile: trascinare il modello dalla visualizzazione dettagliata nella finestra principale.
  • Visualizzazione dettagliata -> Visuale nell´editor dei modelli:
    invisibile: Disattiva la Checkbox
    visibile: attiva la checkbox

Le informazioni che riguardano il nome e la posizione del modello le potete leggere nell´angolo in alto a sinistro del modello, ma anche sotto forma di tooltip se muovete il puntatore del mouse sul modello.

info Info

Un menù di sistema oppure una barra di stato allarme vengono tenuti in considerazione automaticamente nell´editor del modelli e vengono sempre visualizzati. In tal modo si evita che un modello posizionato in modo errato possa coprire delle informazioni importanti durante il funzionamento runtime.


Posizionamento e azioni nel Runtime

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Posizionamento e azioni nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, i modelli possono essere aperti in una posizione fissa, oppure in una posizione definita in modo relativo. Così, per esempio, è possibile posizionare immagini keyboard, oppure immagine pop-up dove si trova il puntatore del mouse, oppure l´elemento che causa l´apertura di queste immagini. A Runtime, i modelli possono essere aperti:

  • In una posizione assoluta.
  • In relazione alla posizione del mouse.
  • In relazione all'elemento.

Sia la posizione assoluta che quella relativa vengono definite nelle proprietà del modello nell´Editor di zenon.

Mantenere la posizione alla riapertura

Le finestre derivano la loro posizione sullo schermo sempre dal modello. Se si progetta un´immagine pop-up e la si sposta a Runtime, questa immagine verrà riaperta nella posizione progettata quando verrà eseguita di nuovo la funzione di cambio immagine. Usando la proprietà Mantieni posizione e dimensioni alla riapertura, però, si può stabilire che il modello conservi la sua posizione finché è aperto, indipendentemente dai cambi immagine. Se la proprietà è attiva:

  • Se un´immagine viene aperta a Runtime in un modello che è stato spostato manualmente, la posizione e la grandezza di quest´ultimo vengono mantenute anche se ci sarà un cambio ad un´altra immagine.
  • Se nello stesso modello viene aperta un´altra immagine, dunque, posizione e dimensioni del modello verranno mantenute. Questo vale anche per l´apertura con sostituzione.

In tal modo si può usare su ogni client un´altra posizione per il modello, visto che viene sempre salvata la posizione locale.

Posizione assoluta

Il modello viene aperto sempre in corrispondenza di coordinate definite in modo fisso. A tutte le aperture di immagine eseguite automaticamente dal sistema, come, ad esempio, per la gestione tempo o per una violazione di valore limite, viene applicata la posizione predefinita sullo schermo.

Posizionamento relativo

Il posizionamento relativo si adatta in modo particolare all'apertura di immagini pop-up, di immagini tastiera oppure di immagini comando. Questo tipo di posizionamento è possibile per tutti i cambi immagine, le impostazioni di valore tramite immagini keyboard definite liberamente e tutte le immagini di comando; il presupposto è che sia l´utente ad inizializzarli manualmente. Non importa se l'azione viene inizializzata da una funzione di cambio immagine, da una funzione "setta valore impostabile" o direttamente mediante un elemento. Il posizionamento relativo è disponibile per:

  • Elementi dinamici, ai quali si può attribuire una funzione.
  • Elementi dinamici mediante i quali si può settare un valore impostabile (pulsanti, elemento combinato).
  • Menù principali e contestuali
  • Per l´azione specifica "Esegui funzione" nel tipo di immagine Lista di informazione allarmi

Il posizionamento relativo funziona anche in caso di chiamate funzioni "annidate", cioè quando "Cambio immagine" o "Setta valore impostabile" vengono inizializzate tramite uno script. Se è stato scelta l´opzione "posizione relativa", e l'immagine va oltre il bordo dello schermo, quest´ultima viene posizionata automaticamente al bordo del monitor. Questo vale anche nel caso di una gestione multi-monitor, per cui un'immagine non può invadere uno schermo vicino.

attention Attenzione

Il posizionamento relativo funziona solo in caso di apertura diretta da parte dell´utente, non in caso di funzioni automatizzate o in caso di uso di VBA.

Relativo all'elemento

Posiziona il punto di riferimento del modello in modo relativo all'elemento da cui è stato attivato il cambio immagine (per es. un pulsante oppure un elemento combinato). A Runtime, poi, il punto di riferimento del modello viene collocato sempre sul punto di riferimento calcolato per l´elemento. Se il modello non può essere aperto in quella posizione perché l´immagine si troverebbe al di fuori dello schermo, vengono utilizzati i punti di riferimento alternativi.

Bisogna anzitutto fissare un punto di riferimento per il modello e poi la posizione desiderata rispetto all´elemento. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento per l´elemento: verticale
  • In giù
  • In su

Punto di riferimento per l´elemento: orizzontale
  • Sinistra
  • Destra

Spostamento verticale in pixel

Indicare lo spostamento desiderato

Spostamento orizzontale in pixel

Indicate lo spostamento desiderato

Posizione alternativa

Qui si definisce una posizione alternativa per il punto di riferimento del modello e per il punto di riferimento relativo all´elemento. Per definire la posizione alternativa, procedere nel modo utilizzato per fissare la posizione favorita. La posizione alternativa verrà utilizzata dal sistema se il modello non può essere aperto nella posizione favorita.

Relativo alla posizione del mouse

L´immagine viene visualizzata sullo schermo in relazione alla posizione del puntatore del mouse. Se il punto di riferimento si trova in alto a sinistra, il modello verrà aperto in basso a destra rispetto al punto di riferimento. Se l'immagine non può essere visualizzata completamente nella posizione configurata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore visibile dello schermo.

Fissare il punto di riferimento del modello usando le due proprietà "Punto di riferimento per il modello: verticale" e "Punto di riferimento per il modello: orizzontale". Il punto di riferimento viene contrassegnato sul modello da un punto rosso. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento per modello verticale
  • In su
  • In giù
  • Centrato

Punto di riferimento per il modello orizzontale
  • Sinistra
  • Destra
  • Centrato

Example Esempio

Nell´immagine c´è un pulsante che si trova sul bordo destro dello schermo e si vuole posizionare una finestra pop-up alla destra di questo pulsante.

  • Punto di riferimento per l´elemento: a destra / centrato.
  • Punto di riferimento per il modello: a sinistra / centrato.

A Runtime, l´immagine popup verrà aperta a destra del pulsante, centrata rispetto al centro del pulsante. L`immagine popup non coprirà il pulsante.

Usare lo stesso modello anche per un pulsante che si trova sul bordo sinistro dello schermo. La finestra pop-up non potrebbe più essere aperta in modo completo a destra. Per questo motivo il sistema utilizzerà la posizione alternativa configurata. Procedura:

  • Definire: Il punto di riferimento alternativo per l´elemento: a sinistra / centrato.
  • Il punto di riferimento alternativo del modello: a destra / centrato.

Modificare la grandezza a Runtime:

La dimensioni con cui viene aperta un´immagine a Runtime, e le modifiche consentite alle dimensioni stesse, vengono configurate mediante le proprietà del modello, in particolare quelle contenute nel gruppo Posizione.

Proprietà

Descrizione

Larghezza (massima) [Pixel]:

Definisce la larghezza massima.

Altezza (massima) [Pixel]:

Definisce l´altezza massima.

Limite minimo:

Definisce i limiti minimi. Valori possibili:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Dimensioni d'apertura:

Definisce la dimensione con cui viene aperta a Runtime un´immagine basata su questo modello.

  • Grandezza modello: grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata a Runtime con un linea tratteggiata.
  • Larghezza [px]: larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: la grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Sposta e zooma

A Runtime, si possono spostare i modelli o li si può ingrandire o rimpicciolire usando la funzionalità di zoom.

Spostare modelli

Lo spostamento si applica sempre ai monitor definiti nella gestione monitor. Queste impostazioni non sono supportate con Windows CE.

Lo spostamento di modelli a Runtime può essere limitato a:

  • Cornice modello: il modello non potrà essere spostato al di fuori dei bordi del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di fuori del bordo del monitor. Tuttavia una parte dovrà rimanere visibile sul monitor (Margine minimo del frame), in modo tale che sia accessibile da parte dell´utente.

Il limite diventa attivo solamente se il modello si trova all´interno del limite definito già al momento della sua apertura. Se non si configura un limite per la possibilità di spostare un modello, può succedere che questo venga portato (per es. con gesti Multi-Touch) al di fuori dell´area visibile.

info Info

Lo spostamento di modelli è pensato soprattutto per la modalità a schermo intero. L´applicazione Runtime non dovrebbe essere spostata su un altro monitor. Se si sposta il Runtime, infatti, ci potranno essere delle limitazioni nella possibilità di spostamento.

Zoom

Le limitazioni valgono anche per lo zoom. Quando si raggiunge un limite mentre si zooma, il sistema cerca di continuare lo zoom nello spazio libero. Durante questa operazione vengono mantenute le proporzioni fra i lati.

Panoramica: spostare e zoomare

L´immagine seguente mostra il comportamento dei modelli quando li si sposta sullo schermo, oppure li si ingrandisce con lo zoom. Questo comportamento varia a seconda delle impostazioni adottate in fase di configurazione:


Apri modello più volte

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Apri modello più volte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere aperti più volte durante il Runtime. In tal modo anche delle immagini possono essere aperte più volte. Per abilitare i modelli ad essere aperti più volte, attivate la proprietà Modello multi istanziabile nel gruppo Generale delle proprietà modello.

Quando questa opzione è attiva, il modello viene impostato ad ogni apertura dell´immagine come istanza autonoma. Questo significa: quelle immagini che sono state aperte precedentemente in questo modello, rimangono aperte.

Per esempio: un´immagine viene aperta per 100 volte.

  • Modello multi istanziabile Attiva: 100 immagini sono aperte sul monitor.
  • Modello multi istanziabile Non attiva: 1 sola immagine è aperta sul monitor.

Indicazioni concernenti la progettazione

Quando immagini aperte più volte vengono coperte da altre, può accadere che queste immagini rimangano aperte sullo sfondo, non visibili né accessibili, fino al termine del Runtime.

Il progettista, dunque, deve far in modo che nessuna immagine finisca sullo sfondo in tal modo.
Consigli:

  • attivazione della proprietà Sempre in primo piano: Essa mantiene il modello/l´immagine sempre in primo piano.
  • Progettazione della funzione Chiudi modello: Essa chiude tutte le immagini che si basano su questo modello, anche quelle aperte sullo sfondo.
  • Progettare modelli posizionabili liberamente: Gli utenti devono poter piazzare nel Runtime i modelli sullo schermo secondo le loro esigenze personali. Ad esempio, via gestione touch o con il mouse o con la configurazione della posizione relativa del modello nei confronti di un elemento di gestione o del cursore mouse.

Raccomandazione: questa opzione si presta soprattutto alla progettazione di pop-up.

Aprire solamente una volta per ogni simbolo

Per aprire un´immagine solamente una volta per ogni simbolo, configurate un pulsante che diventi invisibile subito dopo la prima apertura:

  1. Create un pulsante nel simbolo
  2. Regolate la visibilità dello stesso per mezzo di una variabile booleana
  3. Settate nell´immagine questa variabile booleana come variabile immagine-attiva.

Non appena l´immagine verrà aperta una volta, il pulsante non potrà più venire usato.

Comportamento in caso di perdita del focus.

Si può far sì che i modelli vengano chiusi automaticamente in caso di perdita del focus. In questo caso, vengono chiuse tutte le immagini basate sul modello in questione. Per chiudere automaticamente dei modelli in caso di perdita del focus, attivate la proprietà Chiusura alla perdita del Focus.

Naturalmente si può inibire questa forma di chiusura in caso di perdita del focus. A tale scopo, attivare la proprietà Inibisci chiusura alla perdita del Focus. Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.


Cancellazione di modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Cancellazione di modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare dei modelli potete:

  • selezionare uno o più modelli con il mouse e scegliere nel menù contestuale cancella, oppure premere il tasto Canc
  • selezionare uno o più modelli nella visualizzazione dettagliata e scegliere nel menu contestuale cancella, oppure premere il tastoCanc

Prima della cancellazione, il sistema chiede una conferma.

attention Attenzione

La cancellazione di modelli non può essere annullata.


Fissare grafiche di sfondo con modelli

Manuale -> Immagini -> Modelli -> Fissare grafiche di sfondo con modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Il posizionamento avviene mediante proprietà; uno spostamento libero non è possibile. Possono essere usati dei file grafici che sono già disponibili nel manager di progetto nell´area file/grafici.

Se volete usare per più immagini la stessa grafica di sfondo, essa deve essere definita nel modello dell´immagine:

  1. selezionate nelle proprietà del modello nel nodo Immagine di sfondo la proprietà File grafico
  2. selezionate un file del nodo file/grafici nel manager di progetto.
  3. Fissate la posizione con la proprietà Orientamento.

Questo file grafico viene usato con le immagini che vengono impostate con questo modello. Resta però la possibilità di fissare per ogni singola immagine un file grafico come immagine di sfondo.

Attenzione! Il file grafico viene salvato con le immagini. Una modifica del file grafico oppure il suo orientamento nel modello si ripercuote solamente sulle immagini di nuova creazione. Per quello che concerne le immagini già esistenti, invece, questa modifica deve essere realizzata manualmente.


Engineering distribuito con i modelli

Manuale -> Immagini -> Modelli -> Engineering distribuito con i modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione multi-utente sono stati implementati tutti i meccanismi conosciuti volti a permettere la effettuazione e l'assunzione di modifiche. A differenza delle immagini, nell'editor dei modelli ogni modello viene trattato in modo separato e non viene permessa la modifica di tutta "l'immagine". I modelli per i quali non sono permesse modifiche di sorta, sono segnalati da un bordo punteggiato.


Modelli primari

Manuale -> Immagini -> Modelli -> Modelli primari

Mediante la variabile Ultima immagine aperta possono essere visualizzate nel Runtime le immagini aperte per ultime. Quali modelli vengono visualizzati, viene fissato per mezzo della proprietà Modelli primari nel manager di progetto (Aspetto grafico, Runtime generale). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione dei modelli.

  • I modelli vengono selezionati o deselezionati cliccando con il mouse.
  • I modelli selezionati vengono visualizzati con un background blu.
  • Quando si clicca su OK, la selezione viene accettata e la finestra di dialogo chiusa.

info Info

Questa proprietà ha effetto anche sulla funzione Immagine indietro.


Effetti per modelli

Manuale -> Immagini -> Modelli -> Effetti per modelli

I modelli possono essere dotati anche di effetti.

Ulteriori effetti per gli elementi d´immagine li trovate nel capitolo Effetti per elementi d´immagine.

Ancora in questo capitolo

Evidenziare il modello


Evidenziare il modello

Manuale -> Immagini -> Modelli -> Effetti per modelli -> Evidenziare il modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la proprietà Evidenziare il modello potete mettere in evidenza un´immagine per, ad esempio, concentrare l´attenzione su di essa. In questo caso, viene evidenziato il modello su cui si basa l´immagine colorando l´area rimanente del Runtime. Per l´area circostante al modello dell´immagine, vengono definiti un colore e una trasparenza che coprono l´immagine sottostante. Non è possibile accedere al quest´ultima immagine, né operare in essa.

Nota:

  • Le immagini devono basarsi su modelli differenti di diversa grandezza.
  • Si può aprire sempre solamente un´immagine alla volta che abbia la proprietà Evidenziare il modello attiva.
  • È possibile aprire delle immagini a partire da quella evidenziata, a condizione che anche queste ultime abbiano la proprietà Evidenziare il modello attiva. Anch´esse verranno evidenziate.
    È possibile, ad esempio, aprire una tastiera a partire da una lista. Lista e tastiera, poi, saranno entrambe evidenziate.

    Attenzione: Non è consentito aprire da un´immagine modale un´immagine non modale!
    Se si apre un´immagine non modale tramite una modale, essa sarà visibile, ma non si potrà interagire con essa. Non sarà possibile interagire neanche con l´immagine modale sottostante, visto che essa è coperta. Il risultato è che il runtime è bloccato!

  • Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Configurazione

Per usare l´effetto Evidenziare il modello, aprite un´immagine che viene aperta sopra un´altra, più grande. Configurazione:

  1. navigate nelle proprietà dell´immagine fino a giungere al gruppo Rappresentazione
  2. Attivare la proprietà Dialogo modale (segno di spunta nella casella).
  3. Attivare la proprietà Evidenziare il modello (segno di spunta nella casella).
  4. Servendovi della proprietà Colore di contrasto configurate il colore che deve essere usato per l´ambiente dell´immagine attiva.
    Questa proprietà ha effetto sempre sul modello su cui si basa l´immagine.
  5. Configurate con la proprietà Trasparenza di sfondo la trasparenza per la proprietà Colore di contrasto.
  6. Progettate per l´immagine un pulsante con il quale potrete poi chiuderla durante il Runtime.

Non appena questa immagine viene aperta mediante un´altra, il settore che si trova intorno al modello dell´immagine stessa viene colorato e l´immagine verrà in tal modo evidenziata dal punto di vista ottico. Si può accedere e gestire solamente questa immagine. Dopo la chiusura dell´immagine, delle altre immagini vengono visualizzate con il colore normale ed è di nuovo possibile accedervi e lavorarci.

Esempio

Viene aperta l´immagine

Una seconda immagine con effetto attivo Accentuare il modelloviene aperta quando la prima è ancora attiva. Tutto quello che si trova al di fuori del modello di questa seconda immagine viene coperto usando il colore definito nella proprietà Colore di contrasto e la trasparenza definita nella proprietà Trasparenza di sfondo:


Tavolozze dei colori

Manuale -> Immagini -> Tavolozze dei colori

Le tavolozze colori consentono di raggruppare dei colori individuali in tavolozze. Potete definire così un set di colori che potete usare in qualsiasi momento sia nell´Editor che nel Runtime. Tutti i colori che sono stati definiti con l´aiuto dei colori tavolozza, possono cosi essere sostituiti facilmente; a livello centrale, oppure con l´aiuto di un progetto globale, anche globalmente. I colori delle tavolozze possono essere usati dappertutto dove vengono usati dei colori.

In tal modo, anche la realizzazione delle direttive di Corporate Designs non è un problema. Se necessario, il design può essere cambiato completamente (cambio tavolozza dei colori), oppure si possono cambiare anche solamente singoli colori a livello centrale (cambia colore in tavolozza).

info Info

Non utilizzare tavolozze di colori di zenon per i colori dinamici di valore limite nei progetti di zenon i cui dati vengono esportati per lo zenon Analyzer. Nello zenon Analyzer, i colori di valore limite non possono essere modificati in modo dinamico. Per questo motivo, non esiste la possibilità di analizzare informazioni di tavolozze di colori. La conseguenza può essere che vengano visualizzate grafiche non leggibili.

Configurazione

Le tavolozze vengono create nell´editor, possono essere esportate ed importate e nel runtime si può passare dall´una all´altra facendo uso di una funzione. Le tavolozze colori possono essere create sia nel progetto globale che in quello locale.

Nota: tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori. Per questo motivo, il numero di colori fra progetto globale e progetto locale può essere diverso.

attention Attenzione

nel caso di conflitto nel Runtime, le tavolozze del progetto locale hanno la precedenza.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova tavolozza colori | Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo. .
Esporta tutti in XML... | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML... | Importa degli inserimenti da un file XML.
Profilo Editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Crea e modifica tavolozza

Crea e modifica colore

Usa tavolozza nell´editor

Compilazione file Runtime

Funzione Cambio tavolozza colori

Export e import

Messaggi d'errore

Esempio per editor e runtime.


Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Manuale -> Immagini -> Tavolozze dei colori -> Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti e menù contestuale

Simbolo

Azione

Nuova tavolozza colori

Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo. .

Crea una funzione standard

Apre il dialogo che serve a creare una Funzione per cambio tavolozza e attiva automaticamente nella lista a cascata la tavolozza selezionata.

Cancella tavolozza

Cancella la tavolozza del colore selezionato. Le tavolozze possono essere cancellate solo una alla volta.

Nuovo colore

Imposta un nuovo colore nella forma del colore standard bianco e con il nome standard Color più numero di indice. I nuovi colori vengono creati sempre per tutte le tavolozze del progetto.

Suggerimento: assegnate per il progetto globale e locale dei nomi che possano essere distinti in modo inequivocabile.

Cancella colore

cancella il colore selezionato in tutte le tavolozze del progetto.

Nota: il comando è attivo solamente se l´ultimo colore è evidenziato in tutte le tavolozze. Perché: può essere cancellato sempre solamente l´ultimo colore di una tavolozza, in modo tale che il numero di indice possa continuare a funzionare. Inoltre, il colore deve essere cancellato per tutte le tavolozze in modo tale che il numero complessivo di colori rimanga identico per tutte le tavolozze.

Copia

Copia i colori selezionati negli appunti.

Incolla

Aggiunge colori selezionati provenienti dagli appunti.

Torna all'elemento di partenza

Ritorna alla posizione di partenza nell´Editor di zenon.

Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.

Tavolozza colori in Editor

Apre la lista a cascata con tutte le tavolozze che sono state definite nel progetto locale e globale.

Salva

Salva tutte le modifiche nelle tavolozze colori.

_Esporta selezione in XML

Esporta tutte le tavolozze selezionate in un file XML.

Importa XML...

Importa inserimenti da un file XML.

Proprietà

Apre la finestra delle proprietà.

Guida

Apre la guida online.


Crea e modifica tavolozza

Manuale -> Immagini -> Tavolozze dei colori -> Crea e modifica tavolozza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare delle tavolozze colori sia a livello globale, che nel progetto locale. Le tavolozze globali sono poi disponibili in tutti i progetti, mentre quelle locali sono a disposizione solamente nel progetto nel quale sono state impostate. Nel caso in cui, al momento di settare le tavolozze, si dovessero verificare dei conflitti nel runtime, quelle del progetto locale hanno la precedenza (vedi anche Tavolozze nel runtime)

Crea tavolozza

Per creare una tavolozza:

  1. Selezionate il nodo Tavolozze (o sotto Immagini nel progetto locale o in quello globale).
  2. Nel menù contestuale oppure nella barra dei simboli, selezionare Nuova tavolozza colori

    Una nuova tavolozza viene impostata con:

    • Il nome standard tavolozza colori più numero di indice (per es. Tavolozza colori 0)
    • stesso numero di colori delle tavolozze già esistenti; tutte i colori sono di default bianco

Assegnare un nome ad una tavolozza di colori

Per assegnare un nome individuale a una tavolozza:

  1. Selezionare anzitutto la tavolozza, oppure uno o più colori della tavolozza.
  2. Nelle proprietà del gruppo Tavolozza colori, selezionare la proprietà Nome tavolozza.
  3. Digitare il nome desiderato per la tavolozza.
    Consiglio: già al momento di assegnare un nome, distinguere fra progetto globale e progetto locale. In questo modo, quando si tratterà poi di selezionare una tavolozza, si saprà da dove proviene.

Cancella tavolozza

Per cancellare una tavolozza:

  1. Evidenziare tutta la colonna della tavolozza
  2. Nel menù contestuale, oppure nella barra degli strumenti, selezionare il comando Elimina, oppure premere il tasto Canc.

    La tavolozza viene cancellate senza che il sistema faccia una richiesta di conferma.

Nota: Le tavolozze possono essere cancellate solo una alla volta.


Crea e modifica colore

Manuale -> Immagini -> Tavolozze dei colori -> Crea e modifica colore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea colore

Per creare un colore:

  1. Selezionate un colore o una tavolozza.
  2. Nel menù contestuale oppure nella barra degli strumenti selezionare il comando Nuovo colore, oppure premere il tasto Invio.

    In fondo alla tabella di colori viene inserito per tutte le tavolozze un nuovo colore con

    • Colore standard bianco e
    • Il nome standard colore più un numero di indice, per es. Colore 10
  3. Definire il colore e assegnargli un nome:

Rinomina colore

Per rinominare un colore:

  1. Selezionare il colore.
  2. Nelle proprietà del gruppo Colore, selezionare la proprietà Nome colore.
  3. Digitate il nome desiderato.

Definisci il colore

Per definire un colore:

  1. Selezionare il colore desiderato nella tavolozza.
  2. Inserire il colore:
    • O digitando il corrispondente codice esadecimale direttamente nella cella della tabella della visualizzazione dettagli, oppure usando il dialogo di selezione che si apre quando si clicca sul pulsante ...
    • o nelle proprietà nel gruppo Colore nel campo della proprietà Colore in forma di codice esadecimale, oppure tramite il dialogo di selezione cliccando su ...

Definisci colore tramite dialogo

Per selezionare dei colori fondamentali predefiniti in un dialogo, oppure per creare un colore proprio:

  1. Cliccate nella visualizzazione dettagliate nella cella con il colore desiderato, oppure nelle proprietà alla voce Colore su ...

    Si apre il dialogo per la selezione dei colori standard.

  2. Cliccate su un colore standard per assegnarlo.
  3. Per definire un colore proprio, cliccate sul pulsante Definisce colore.

  4. Definite il colore.
  5. Aaggiungete il colore facendo uso del pulsante Aggiungi colore a Colori definiti dall´utente.
  6. Selezionare il colore desiderato.
  7. Attribuite il colore cliccando su OK

Copia colore

Per attribuire a più colori la stessa definizione colore:

  1. Evidenziate nel campo di inserimento del colore il codice esadecimale del colore desiderato.
  2. Copiate il codice esadecimale usando Ctrl+C oppure il comando Copia nel menu contestuale.
  3. Aggiungete il codice esadecimale a tutti i colori che sono destinati a ricevere la stessa definizione colore; a tal scopo fate uso della combinazione di tasti Ctrl+V, oppure del comando Aggiungi del menu contestuale.

Cancella colore

I colori della tavolozza vengono identificati in modo univoco grazie all´indice delle tavolozze (=numero di riga nella finestra della tavolozza). Per tale motivo, possono essere cancellati dei colori solo alla fine delle tavolozze, perché altrimenti cambierebbero gli indici dei colori successivi. Visto che tutte le tavolozze devono avere nel progetto lo stesso numero di colori, possono essere cancellate solamente delle intere righe. Per cancellare un colore da tutte le tavolozze:

  1. Mvidenziate le righe da cancellare, iniziando con l´estremità in basso della tabella.
  2. Nel menù contestuale oppure nella barra degli strumenti selezionare il comando Elimina colore, oppure premere il tasto Canc.


Usa tavolozza nell´editor

Manuale -> Immagini -> Tavolozze dei colori -> Usa tavolozza nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione della tavolozza attiva nell´editor

Nell´editor, una tavolozza del progetto locale o globale può essere usata come tavolozza attiva per la visualizzazione e la scelta dei colori.

Per scegliere una tavolozza per la visualizzazione nell´editor:

  1. Cliccate con il tasto destro del mouse nella tabella della tavolozza.
  2. Scegliere il menù contestuale Tavolozza colori nell´editor
  3. Selezionate nella lista a cascata che si aprirà, la tavolozza desiderata

Nota: Le tavolozze del progetto locale vengono ordinate prima di quelle del progetto globale.

Attenzione: Se esistono nel progetto globale e locale delle tavolozze che hanno lo stesso nome, solamente quelle del progetto locale vengono offerte dal sistema per la scelta dell´utente.

attention Attenzione

Nel caso in cui nel progetto globale e locale non ci dovesse essere lo stesso numero di colori per paletta, può essere che il numero di colori messi a disposizione dalla tavolozza attiva sia minore a quello di altre tavolozze!

Le definizioni tavolozze del progetto locale hanno sempre la precedenza: Se sono state progettate nel progetto locale delle tavolozze con almeno un colore, viene proposto alla scelta dell´utente il numero dei colori del progetto locale, altrimenti quello dei colori nel progetto globale.

I colori mancanti nella tavolozza attiva sono visualizzati in bianco.

Selezione dei colori della tavolozza

I colori delle tavolozze vengono assegnati nell´editor tramite:

  • il dialogo delle proprietà
  • Drag&Drop della denominazione di un colore nel campo corrispondente delle proprietà
  • Inserimento diretto della denominazione di un colore nel campo corrispondente delle proprietà

Quando ad un elemento viene assegnato un colore tramite le proprietà, si apre il dialogo colori con due schede:

  • Colori: selezione di un colore determinato
  • Tavolozze di colori: selezione di un colore della tavolozza attiva

Se non sono progettate né nel progetto globale, né in quello locale delle tavolozze con almeno un colore, ci sono due possibilità: o la proprietà non consente nessuna selezione colore dalla tavolozza, oppure viene visualizzata solamente la scheda.

Colori in progetti multi-utente

Delle modifiche generali alle tavolozze possono essere effettuate, riprese o rimosse solamente per le tavolozze di un singolo progetto.


Compilazione file Runtime

Manuale -> Immagini -> Tavolozze dei colori -> Compilazione file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di creare i file runtime, le tavolozze di colori del progetto globale e del progetto locale vegono trasferite in una lista comune. E' possibile che si verifichino dei conflitti. Tenere presente quanto segue:

  • il progetto locale ha sempre la precedenza.
  • Ogni tavolozza rappresenta la quantità comune, il che significa che contiene tanti colori quanto è grande la tavolozza.
  • Nel caso in cui le tavolozze del progetto globale e di quello locale presentino un numero diverso di colori, quelle più piccole vengono riempite con il colore bianco in modo tale che tutte le tavolozze contengano lo stesso numero di colori e che in ogni tavolozza sia disponibile un colore per ogni indice.
  • Nel caso di tavolozze dello stesso nome, viene usata quella del progetto locale e riempita con i colori del progetto globale, nel caso in cui quest´ultima contenga più colori.

Esempio:

  • nel progetto globale esistono 3 tavolozze: Globale 1, Globale 2 e Tavolozza 1, ognuna delle quali contiene 10 colori.
  • Nel progetto locale esisteno 2 tavolozze: Tavolozza 1 e Tavolozza 2, ognuna delle quali contiene 5 colori.
  • Nel runtime esistono allora:
    • Tavolozza 1: proviene dal progetto locale e sovrascrive Tavolozza 1 del progetto globale; essa contiene i 5 colori del progetto locale più i colori 6 - 10 della Tavolozza 1 del progetto globale.
    • Tavolozza 2: contiene i 5 colori del progetto locale più i colori 6 - 10 inizializzati come bianco
    • Globale 1: contiene i 10 colori del progetto globale.
    • Globale 2: contiene i 10 colori del progetto globale.

Cambio della tavolozza colori nel runtime

Per passare da un colore all´altro nel runtime avete bisogno della funzione Cambia tavolozza colori (vedi capitolo Funzione Cambio tavolozza colori).

Un esempio per il cambio durante il runtime lo trovate nel capitoloEsempio per editor e runtime.


Funzione Cambio tavolozza colori

Manuale -> Immagini -> Tavolozze dei colori -> Funzione Cambio tavolozza colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All´avvio del runtime viene attivata automaticamente la prima tavolozza del progetto, a meno che non ne sia stata attivata un´altra per mezzo di uno script di start.

La tavolozza attiva può essere modificata nel runtime aprendo la funzione Cambia tavolozza colori. Tutte le immagini e gli elementi vengono ridisegnati con i colori della nuova tavolozza.

La tavolozza attiva in un momento viene identificata mediante il nome che le è stato attribuito. Se non esiste nessuna tavolozza con il nome indicato, viene attivata la prima tavolozza del progetto.

Per creare la funzione Cambia tavolozza colori:

  1. selezionate nel manager di progetto, nel menù contestuale del nodo Funzioni il comando Nuova funzione... .
  2. Passare al nodo Applicazione.
  3. Selezionare Cambia tavolozza colori.

  4. Confermare la selezione cliccando su OK.

    Si apre il dialogo per configurare la tavolozza.

Finestra di dialogo - Selezione tavolozza di colori

Opzione | Descrizione
Tavolozza colori | Selezionate la tavolozza desiderata fra quelli della lista a cascata.
Visualizza questa finestra di dialogo a Runtime | Consente di scegliere di nuovo nel runtime la tavolozza.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Queste impostazioni possono essere modificate in qualsiasi momento nelle proprietà della funzione, nel gruppo Generale.


Export e import

Manuale -> Immagini -> Tavolozze dei colori -> Export e import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tavolozze di colori possono essere esportate in file XML, ma possono essere anche importate da tal tipo di file.

Esporta

Per esportare una tavolozza:

  1. Selezionate anzitutto la tavolozza desiderata.
    Per selezionare nello stesso tempo più tavolozze, usate il tasto Ctrl o quello Shift, oppure trascinate il mouse tenendo premuto il tasto sinistro sulla riga del titolo della tabella . Possono essere esportate solo delle intere tavolozze selezionate, non dei singoli colori.
    Nota: Le tavolozze selezionate non possono essere più deselezionate singolarmente.
  2. Selezionare _Esporta selezione in XML nel menù contestuale oppure nella barra degli strumenti.
  3. Nel manager file che si aprirà, selezionate un posto nel quale salvare il file e un nome per il file XML.

Importa

Per importare una tavolozza:

  1. Selezionate nel menù contestuale oppure nella barra dei simboli il comando Importa XML..
  2. Selezionate nel manager file che si aprirà il file di importazione desiderato.
  3. Le tavolozze salvate nel file XML vengono importate.

attention Attenzione

La successione nel file di importazione viene rispettata.
Il che significa che se, per esempio, una tavolozza è stata esportata al terzo posto nella tabella, essa viene importata allo stesso posto, oppure messa alla fine se il progetto contiene meno tavolozze. Le tavolozze già esistenti in questa sede verranno sovrascritte.
Questo significa:

  • se si trovano delle tavolozze in un posto in cui si realizza un import, il nome e il colore delle tavolozze esistenti vengono sovrascritte dalle tavolozze importate.
  • Se una tavolozza viene importata in un posto libero, essa verrà aggiunta alla fine della successione e le verrà assegnato un nome standard progressivo.
  • Se il nome di una tavolozza importata viene già usata per un´altra che si trova in un altro posto, potranno essere sostituiti solo i colori e non il nome della tavolozza sovrascritta.
  • Se la tavolozza importata ha più colori di quella esistente, i colori mancanti nella tavolozza esistente vengono completati con bianco
  • Se la tavolozza importata ha un numero di colori inferiore a quelle già esistenti, i colori mancanti vengono ripresi dalle tavolozze sovrascritte, oppure essi vengono completati in colore bianco, se non è stata sovrascritta alcuna tavolozza.


Messaggi d'errore

Manuale -> Immagini -> Tavolozze dei colori -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si riprendono degli elementi, per esempio per mezzo di import in formato XML oppure Copy&Paste, può succedere che dei colori della tavolozza non possano essere più visualizzati in modo esatto. Possibili cause:

  • Nel progetto non è stata ancora impostata nessuna tavolozza.
  • Le tavolozze hanno un numero diverso di colori.
  • Dei colori sono stati cancellati.

Nel campo di inserimento delle proprietà verranno visualizzati i relativi messaggi di errore; l´elemento viene visualizzato in colore bianco.

Messaggio di errore | Causa
Non è caricata nessuna tavolozza! | Nel progetto locale e globale non è stata progettata nessuna tavolozza.
Colore tavolozza non esiste! | Nelle tavolozze del progetto non c`è nessun colore con un indice corrispondente.


Esempio per editor e runtime.

Manuale -> Immagini -> Tavolozze dei colori -> Esempio per editor e runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell’Editor

In questo modo, per esempio, usate le tavolozze colori nell´editor:

  1. Impostate anzitutto un´immagine con un pulsante con testo e elemento grafico.
  2. Nelle proprietà, selezionare Colore di sfondo.
  3. Cliccaresul pulsante ...

    La finestra di dialogo che consente di selezionare i colori si aprirà.

  4. Passare alla scheda Tavolozza dei colori

    Verranno visualizzati i colori della tavolozza attiva.

  5. Selezionare il colore desiderato.
  6. Ripetere questi passi per le proprietà Colore cornice e Colore testo

    Immagine con tavolozza Basic:

  7. Cliccare con il tasto destro del mouse su una cella della tabella della tavolozza
  8. Scegliere il menù contestuale Tavolozza colori nell´editor
  9. Nella lista a cascata, selezionare un´altra tavolozza, per esempio Tavolozza 2

    Immagine nell'Editor:

A Runtime

A Runtime, l´immagine viene visualizzata con la tavolozza colori attivata nell´Editor.

Se è stata configurata una funzione Cambia tavolozza colori, è possibile modificare la tavolozza dei colori a Runtime scegliendone una di quelle già progettate.

Procedura:

  1. Cliccare sull´elemento.
  2. Se è stata attivata l´opzione Proponi dialogo a Runtime, si può selezionare un´altra tavolozza a Runtime. Altrimenti verrà aperta automaticamente la tavolozza impostata nella funzione.

    L´elemento passa ai nuovi colori.


Caratteri

Manuale -> Immagini -> Caratteri

In zenon possono essere utilizzati tutti i caratteri che sono disponibili nel sistema operativo. Il nodo Caratteri si trova nel Manager di progetto alla voce Immagini.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova lista caratteri | Crea una nuova Lista caratteri nella visualizzazione dettagliata.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML... | Importa inserimenti da un file XML.
Guida | Apre la guida online.

info Info

Il carattere selezionato deve essere presente con il runtime anche sul sistema di destinazione. Nel caso in cui il carattere non dovesse esserci, automaticamente viene usato un altro carattere, esistente nel sistema e appartenente alla stessa famiglia.

Compatibilità con DirectX

Non tutti i caratteri sono idonei all´uso con Direct X. TrueType e OpenType sono idonei all´uso con DirectX. Caratteri Bitmap, invece, non sono idonei. I caratteri non idonei vengono sostituiti durante il Runtime con quelli idonei.

  • Consigliati per l´uso in zenon e idonei per Direct X:
    • TrueType (.ttf)
    • OpenType (.otf)
  • Non idonei:
    • Bitmap (.fon), come, per esempio, System oppure Script
    • Adobe Type 1 (.pfm/.pfb)

Ancora in questo capitolo

Liste caratteri

Carattere di default e Carattere di sistema

Denominazione e numerazione di caratteri e liste caratteri

Collega caratteri a elementi


Liste caratteri

Manuale -> Immagini -> Caratteri -> Liste caratteri

Per default viene generata una lista caratteri. Essa viene poi visualizzata nella sezione lista quando si seleziona il punto Immagini/Caratteri del manager di progetto.

Barra degli strumenti e menù contestuale

Parametro | Descrizione
Nuova lista caratteri | Crea un nuova lista caratteri. Vedi capitolo Crea nuova lista caratteri.
Elimina lista caratteri | Cancella la lista caratteri selezionata.
Nuovo Carattere | Crea un nuovo carattere. Si aprirà la finestra di dialogo Carattere del sistema operativo. Qui si possono eseguire impostazioni relative a carattere, stile, dimensione ecc. Vedi capitolo Crea nuovo carattere.
Carattere eliminato | Elimina il carattere selezionato dalla lista caratteri.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Lista tipi di carattere nell'Editor | Visualizza tutte le liste caratteri esistenti; quella attiva al momento, è spuntata.
Salva | Salva le modifiche apportate.
Esporta selezione in XML | Esporta gli elementi selezionati in un file XML. Vedi al proposito il capitolo Import/Export, sezione "Immagini/Caratteri.
Importa XML | Importa elementi da un file XML.
Proprietà | Apre la finestra delle proprietà.
Guida | Apre la guida online.

Nelle proprietà della lista caratteri, si può effettuare l'assegnazione alla lista di un nome qualsiasi.

attention Attenzione

Eventuali successive modifiche di nome non vengono accettate automaticamente. Se volete cambiare in un secondo momento il nome di una lista di caratteri e avete già impostato con essa un funzione Cambio immagine, dovete modificare anche in questa funzione il nome della lista di caratteri.

Liste caratteri: progetto globale versus progetto

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Nell´uso di liste caratteri in progetti globali, tenete presente:

  • se le liste caratteri ricevono lo stesso nome in progetto globale e standard, nel runtime il sistema darà la priorità a quelle del progetto standard.
  • In caso di nomi differenti, nel progetto standard sono presenti due liste caratteri; nel runtime viene usata una qualsiasi delle due.

Per evitare ciò: Progettate una Funzione cambio lingua con selezione della lista caratteri.

Ancora in questo capitolo

Crea nuova lista caratteri


Crea nuova lista caratteri

Manuale -> Immagini -> Caratteri -> Liste caratteri -> Crea nuova lista caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare degli elementi con altri caratteri rispetto a quelli della Lista caratteri 1, è necessario crearne una nuova.

Crea un'ulteriore lista caratteri:

Nel Manager di progetto nel nodo immagini/caratteri si può creare una nuova lista caratteri usando la voce Nuova lista caratteridel menù contestuale. La nuova lista caratteri viene poi visualizzata nella sezione lista del Manager di progetto.

Anche qui il carattere impostato di default viene riportato al primo posto.

Attiva una lista caratteri:

Per attivare una lista caratteri, cliccate nella barra titoli della lista desiderata e selezionate la voce Lista tipi di carattere nell'editordel menù contestuale. Ciò può essere necessario per i testi per i quali è possibile commutare la lingua. In tal modo è possibile constatare già nell'editor che aspetto avrà l'elemento con il carattere nel Runtime. (ad esempio se il carattere per il pulsante è troppo grande). (A questo proposito vedi capitolo: Cambio lingua/Fonts - Caratteri.

info Info

Per il runtime non esiste una lista caratteri di default. Se si progettano diverse liste caratteri, quella da usare nel runtime deve essere definita facendo uso del Cambio lingua.


Carattere di default e Carattere di sistema

Manuale -> Immagini -> Caratteri -> Carattere di default e Carattere di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni nuovo elemento viene collegato ad un carattere di default. Si tratta del carattere che è assegnato al tipo di elemento attribuito. Una modifica della proprietà Carattere di un elemento ha come conseguenza il fatto che ogni nuovo elemento che si basa su questo tipo di elemento viene collegato al carattere modificato. Quando poi si riavvia l'editor, viene utilizzato di nuovo il carattere di default per tutti i tipi di elementi. Il carattere di default ha la proprietà Arial 10, e si trova alla seconda posizione della lista caratteri. posizione della lista caratteri.

Se si crea un progetto di nuovo, i seguenti passi vengono realizzati automaticamente:

Carattere | Stile carattere | Dimensione carattere | Info
Arial | Standard | 8 |
Arial | Standard | 10 | Carattere di default
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |

Nota:

  • Il carattere di default può essere modificato. La modifica viene applicata automaticamente sempre laddove questo tipo di carattere è stato collegato.
  • Il carattere di sistema non è scalabile; perciò ci potrebbero verificarsi dei problemi quando si usa la funzione di zoom, oppure nell´adattamento automatico della risoluzione.
  • Il carattere di default può essere modificato tramite la proprietà Carattere. Il dialogo corrisponde a quello che si apre quando si seleziona nel menù contestuale la voce Nuovo carattere.

Ancora in questo capitolo

Crea nuovo carattere


Crea nuovo carattere

Manuale -> Immagini -> Caratteri -> Carattere di default e Carattere di sistema -> Crea nuovo carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene generata per default una lista di caratteri che può essere visualizzata nella sezione lista del manager di progetto e riempita di diversi tipi di carattere.

Crea nuovo carattere nella lista caratteri:

Cliccate nella finestra della sezione lista e aprite il menù contestuale facendo clic con il tasto destro del mouse. In questa sede selezionate, poi, la voce 'Nuovo carattere'

Si aprirà il dialogo Windows Tipo di carattere. Qui si possono effettuare le seguenti impostazioni:

Parametro | Descrizione
Carattere | Tutti i caratteri del sistema operativo sono disposti in ordine alfabetico.
Stile carattere | Grassetto, corsivo ecc.
Dimensione carattere | Dimensione del carattere in pixel
Effetti | Sottolineato, barrato
Colore | Selezione del colore del carattere
Script | Occidentale, cirillico ecc.

info Info

L'impostazione concernente il colore non viene adottata. I testi vengono visualizzati in nero, a meno che il colore venga modificato esplicitamente nelle impostazioni. In caso contrario, solo durante in runtime (per esempio in seguito al superamento di un valore limite) si verifica una modifica del colore del testo.

Per quello che concerne i caratteri nel progetto globale, vedi quanto riportato a questo proposito nel capitolo: Gestione di progetto / Progetto globale.

attention Attenzione

Tutti i caratteri usati devono essere installati su tutti i computer su cui viene avviato il progetto.
L´installazione può essere effettuata anche mediante Trasporto Remoto. Vedi Imposta file (copia&registra)


Denominazione e numerazione di caratteri e liste caratteri

Manuale -> Immagini -> Caratteri -> Denominazione e numerazione di caratteri e liste caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un progetto di zenon, vengono impostati automaticamente 5 caratteri di Default. I nomi della lista carattere e del carattere di Default dipendono dalla lingua in cui l´editor viene avviato. Ciò vale per progetti standard e progetti globali.

I caratteri ricevono dei numeri. Il numero 1 e 2 sono caratteri standard. Questi due numeri non possono essere modificati; tutti gli altri possono essere adattati individualmente. Al momento della creazione di un elemento dinamico, gli viene automaticamente assegnato il carattere con il numero 2.

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Nota: un progetto di zenon che è stato creato con la versione 5.50 e viene convertito in un´altra dal numero di serie superiore, non ha una lista caratteri di Default, se il progetto in 5.50 non contiene nessun carattere.

Globalmente e localmente

I caratteri del progetto standard locale hanno un grado di priorità maggiore a quelli del progetto globale.
Esempi: Nel progetto globale esiste un carattere con il numero 50. Questo carattere può essere usato nell´area di lavoro in ogni progetto standard, sempre che il progetto standard non contengo il carattere con il numero 50. Se nel progetto standard esiste già un carattere con il numero 50, verrà utilizzato quest´ultimo.

Nel progetto standard non possono essere cancellati i caratteri con il numero 1 e 2. Questo significa: nel progetto globale possono essere modificati i caratteri con il numero 1 e 2. Ma essi non potranno essere utilizzati nel progetto standard, visto che questi numeri esistono già nel progetto standard e hanno un grado di priorità superiore. Per differenziare i caratteri del progetto globale e standard può essere usato un offset. Il carattere 2 del progetto standard, ad esempio, può diventare nel progetto globale il 2002.

Workaround per usare i caratteri 1 e 2 del progetto globale in progetti standard: cancellare la lista caratteri nel progetto standard e nominare una lista vuota come quella del progetto globale.

Elimina lista caratteri

Se volete utilizzare i caratteri 1 e 2 del progetto globale, deve essere cancellata la lista caratteri del progetto standard. Procedura:

  1. create anzitutto un backup di progetto
  2. nel caso in cui debbano essere utilizzati i caratteri adattati di un progetto standard a livello globale:
    1. eseguite un export XML della lista caratteri del progetto standard
    2. eseguite un import in formato XML della lista caratteri nel progetto globale
  3. aprite la cartella SQL relativa al progetto standard

    Suggerimento: evidenziate il progetto in zenon -> premete Ctrl+Alt+E -> l´Explorer apre la cartella di progetto -> portatevi a zenon/system

  4. chiudete il workspace.
  5. cancellata il file fonts.bin
  6. aprite il workspace
  7. denominate adesso la lista caratteri vuota assegnandole lo stesso nome della lista caratteri nel progetto globale

Adesso verrano usati nel progetto standard i caratteri con il numero 1 e 2 del progetto globale. I nuovi elementi useranno il carattere numero 2 del progetto globale, se esso esiste, e il carattere di sistema, nel caso in cui non sia disponibile il progetto globale.

Dinamico e statico

I caratteri per l´elemento vettoriale Testo statico e per gli elementi dinamici vengono salvati in modo diverso. La ragione è la seguente: testo statico può anche avere caratteri in modalità scollegata

in modalità scollegata significa: il carattere, poi, non è più collegato con una lista caratteri, ma viene configurato localmente solamente per questo elemento.

Attenzione: ciò non significa che il carattere sia connesso in modo scollegato con l´immagine e quindi venga visualizzato sempre in modo corretto. Il carattere deve continuare ad essere disponibile anche sul sistema di visualizzazione.

Import e Export via XML

Effettuando un import e un export via XML, con gli elementi dinamici viene usata la proprietà Nome del carattere a fini di identificazione. Se, ad esempio, è presente nel progetto globale un carattere con il nome "zenon" e nel progetto locale un altro carattere con lo stesso nome "zenon", nell´effettuare l´import o export il sistema usa il carattere del progetto locale.

Suggerimento: i nomi di carattere devono essere univoci sia nel progetto globale che in quello standard. L´editor non effettua un controllo in questo senso.

VBA

VBA usa la proprietà Numero del carattere per gli elementi dinamici. In questo caso può risultare utile l´offset per caratteri nel progetto globale e in quello standard.

Per esempio: Il carattere 2 del progetto standard viene sostituito da quello 2002 del progetto globale. Nel caso degli elementi vettoriali, il numero del carattere viene salvato al secondo posto nella font string. Nella font string "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial", il numero del carattere è 7 e può essere sostituito facilmente con quello 2007 del progetto globale.


Collega caratteri a elementi

Manuale -> Immagini -> Caratteri -> Collega caratteri a elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono due possibilità di collegare un carattere ad un elemento ad immagine dinamico o vettoriale (ad esempio: testo):

  • Drag&Drop:
    • Nella lista caratteri, cliccate nella cella con il numero del font desiderato.
    • Tenendo premuto il tasto sinistro del mouse, trascinatelo sull´elemento desiderato.

    Il font viene collegato all´elemento stesso.

  • Proprietà:
    Il font può essere collegato anche nelle proprietà dell´elemento selezionato.
    Cliccate sul pulsante ... della proprietà Carattere del gruppo Stile testo, e si apre la finestra di dialogo che serve alla selezione di un carattere.


Simboli e gruppi elementi

Manuale -> Immagini -> Simboli e gruppi elementi

I simboli e i gruppi elementi sono elementi d'immagine ai quali vengono attribuiti Elementi vettoriali ed Elementi dinamici sotto forma di macro di immagine. Entrambi vengono usati come simboli d'immagine in immagini. Nel funzionamento runtime, l’attributo colore di un simbolo d'immagine può essere modificato per mezzo di elementi dinamici (elemento di stato, elemento multibinario e elemento combinato)

  • I simboli vengono raccolti in una libreria simboli e possono essere creati in quella sede. O vengono collegati in un´immagine, oppure inseriti come gruppo elementi in un´immagine. Finché sono collegati, ogni modifica apportata ad essi nella libreria ha effetto anche sui simboli corrispondenti nell´immagine. I simboli possono essere aggiunti in una immagine anche come gruppo elementi. A tal fine viene sciolto il collegamento con la libreria. In questo caso, le modifiche apportate al simbolo non hanno effetto sul gruppo elementi.
  • I gruppi elementi possono essere creati in un´immagine a partire da più elementi. Un gruppo elementi può essere inserito in una libreria simboli anche come simbolo. In questo caso, esso viene convertito in un simbolo al momento del suo inserimento nella libreria stessa. Il gruppo elementi nell´immagine, però, rimane come gruppo elementi.

zenon differenzia fra tre tipi diversi di librerie simboli:

Libreria simboli

Proprietà

Libreria simboli generale

I simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione quando si esegue un collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili elenca tutti i progetti del workspace da cui selezionare una variabile per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati solo al momento dell´avvio dell´Editor. Questi simboli non vengono salvati quando si esegue un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione per tutti i progetti del workspace.

Denominazione quando si esegue un collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • I simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti a variabili senza modifiche.
  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome della Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati quando si crea un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto

I simboli sono disponibili solo nel progetto corrente.

Denominazione quando si esegue un collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel nodo Immagini del Manager del progetto e viene salvata quando si crea un backup di progetto.
  • Interblocchi e alias per l´ALC possono essere configurati. Queste proprietà vengono mantenute anche quando i simboli vengono aggiunti in immagini.

Copiare simboli fra librerie

I simboli possono essere copiati via Drag&Drop .
In questo caso, vale quanto segue:

  • Possono essere copiati solamente i simboli del primo livello della struttura ad albero.
  • Gruppi e cartelle non possono essere copiati.
  • Se i nomi dei simboli che si desidera copiare esistono già nella libreria di destinazione, i simboli inseriti verranno rinominati automaticamente.
    La modifica del nome avviene tramite l´inserimento di un carattere di sottolineatura e di un numero ordinale, per es.: Calibrator_1.
  • La possibilità di copiare simboli da una libreria all´altra è limitata.

Di seguito una panoramica delle possibilità di copiare simboli via Drag&Drop da una libreria all´altra:

Copiare via Drag&Drop possibile | Libreria simboli generale | Libreria simboli nel progetto globale | Libreria simboli nel progetto
Libreria simboli generale | -- | + | --
Libreria simboli nel progetto globale | -- | -- | +
Libreria simboli nel progetto | -- | + | --

Legenda:

  • +: possibile copiare.
  • --: non è possibile copiare.

Per poter lavorare in parallelo con tutte le librerie, l´anteprima delle librerie viene visualizzata in finestre separate. I nomi delle librerie vengono visualizzati nelle schede della finestra principale.

Nota: Se per il progetto globale è stato configurato un livello di autorizzazione maggiore a 0 per la modifica di immagini e all´utente loggato manca questo livello di autorizzazione, non sarà possibile inserire simboli nella libreria simboli del progetto globale. In questo caso, non sarà neanche possibile modificare i simboli collegati del progetto globale nelle immagini del progetto locale.

Simboli d´immagine e simboli provenienti da una.libreria simboli.

  • Simboli d'immagine: I simboli o i gruppi elementi contenuti in un´immagine
  • I simboli di una libreria: vengono modificati nella libreria e collegati nell´immagine.

attention Attenzione

I simboli della Libreria simboli generale vengono salvati per gruppo (per esempio Tank, Substation, ...) localmente in un file apposito (*.sym) nella cartella di programma zenon. Per i progetti multi-user e in caso di inoltro di progetti, questi file devono essere sempre aggiunti manualmente al backup di progetto.

I simboli della libreria del progetto locale o del progetto globale sono contenuti automaticamente nel corrispondente backup di progetto.

Suggerimento: salvare simboli sempre localmente.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa da un file XML.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica dei simboli. (Di default, essa si trova nella parte inferiore dell´editor)
Guida | Apre la guida online.

Controllo di simboli

i simboli vengono controllati in merito alla correttezza:

  • Durante la compilazione dei file del Runtime.
  • ogni volta che vengono generati i nuovi file di runtime quando si chiude l'editor.

I simboli mancanti vengono evidenziati in rosso nella finestra di emissione. La segnalazione di errore nomina i nomi dei relativi simboli ed immagini.

Menù simboli

Non appena un simbolo viene aperto nell´editor simboli, nella barra degli strumenti il punto menù Immagini viene sostituito da Simbolo.

Sono possibili le seguenti azioni:

Voce di menù

Azione

Salva simbolo

Salva il simbolo corrente.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre la finestra di dialogo per la configurazione della grandezza del simbolo e del colore di sfondo.

Nota: modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista simboli...

Apre una lista di tutti i simboli visualizzati nell'immagine attuale. Per ogni simbolo vengono elencate le singole componenti grafiche.

Modalità schermo intero

La modalità "schermo intero" esclude dalla visualizzazione tutte le altre finestre e visualizza solamente quella principale, con tutti i documenti aperti (immagini, report....), in forma di immagine che occupa tutto lo schermo.

Nota: il menù Elementi di controllo può essere aperto anche in modalità schermo intero.

La modalità schermo intero può essere chiusa:

  • Con il pulsante visualizzato per chiudere la modalità schermo intero.
  • Con la combinazione di tasti Shift +F9

Ridisegna simbolo

Ridisegna la pagina attiva.

Mostra griglia

Attiva o disattiva la visualizzazione della griglia.

Utilizza la griglia

Attiva o disattiva l´uso della griglia.

Attiva: tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usare: se si avvicina un oggetto al punto di ancoraggio di un altro, l´oggetto in questione si aggancerà a questo punto di ancoraggio.

Modifica ordinamento per il focus

Apre il menù a tendina per definire la successione orizzontale o verticale per la gestione tastiera.

Ordinamento sinistra/destra: determina la successione orizzontale.

Ordinamento alto/basso: determina la successione verticale.

Zoom

Modifica il fattore di zoom per la visualizzazione; il menù a tendina mette a disposizione valori predefiniti compresi fra 15 % e 400 %.

Esporta simbolo su file...

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva:

  • In immagini: l´immagine selezionata con tutti gli elementi e i simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Quando si clicca su questo comando, si apre il visualizzatore file (file browser). Qui si seleziona il luogo di salvataggio, il nome e il tipo di file.

Inserisci grafica vettoriale...

Apre la finestra di dialogo per inserire una grafica vettoriale esterna.

Ancora in questo capitolo

Simboli Visualizzazione dettagli barra simboli e menù contestuale

Configurare la dimensione e il colore di sfondo

Separa proprietà dal collegamento

Crea e cancella simboli propri

Inserisci dei simboli in un'immagine

Lista simboli

Esportazione e importazione XML


Simboli Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Immagini -> Simboli e gruppi elementi -> Simboli Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La libreria dei simboli vene gestita tramite il menù contestuale oppure la barra degli strumenti:

Comandi del menù contestuale e della barra simboli.

Menù contestuale

Funzione

Simbolo nuovo

Viene creato un nuovo simbolo.

Apri simbolo

Apre il simbolo nell´Editor dei simboli per consentire l´applicazione di modifiche.

Nuovo gruppo

Viene creato un nuovo gruppo di simboli che può essere popolato di simboli selezionati della libreria, oppure con simboli creati ad hoc. (Copia e incolla) Disponibile solo nella biblioteca di simboli globale.

Inserisci simbolo in immagine come gruppo elementi

Crea un gruppo elementi a partire dal simbolo e lo inserisce in un´immagine (per i dettagli, vedi capitolo Gruppi elementi).

Inserisci simbolo in immagine

Inserisce il simbolo nell´immagine (per i dettagli, vedi il capitolo Simboli).

Elementi collegati

Apre il sottomenù contenente gli elementi collegati e la possibilità di ritornare all´elemento originario.

Torna all'elemento di partenza

Torna all´elemento di partenza (questo comando si trova solamente nella barra degli strumenti).

Copia

Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).

Incolla

Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).

Elimina

Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica).

Attenzione: non si può annullare la cancellazione!

Espandi/riduci nodi

Nella visualizzazione gerarchica, consente di espandere o ridurre il nodo selezionato o tutti i nodi.

Visualizzazione piatta

Ordina tutti i simboli in una visualizzazione non strutturata. Semplifica la ricerca di un determinato simbolo.

Nota: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.

Visualizzazione gerarchica

Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.

_Esporta selezione in XML

Apre la finestra di dialogo per esportare i simboli selezionati in formato XML. (Per i dettagli, vedi capitolo Import / Export dei simboli

Esporta immagine/simbolo su file grafico...

Esporta l´immagine/il simbolo come file grafico. La finestra di dialogo di selezione file offre i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i codec Windows Imaging Component (WIC) installati sul sistema che supportano Salva. La dimensione della grafica dipende dall´immagine o dal simbolo da esportare.

Importa file XML

Importa simboli da un file XML (vedi capitolo Import / Export dei simboli).

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Configurare la dimensione e il colore di sfondo

Manuale -> Immagini -> Simboli e gruppi elementi -> Configurare la dimensione e il colore di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la dimensione del simbolo e il colore di sfondo:

  1. Posizionate il focus sull´editor simboli.
  2. Selezionate nel gruppo proprietà Generale i parametri desiderati per la visualizzazione del simbolo nell´editor simboli:
    1. Colore di sfondo: Definisce il colore di sfondo dei simboli nell´editor simboli. Cliccando su Colore si apre la tavolozza.
      Nota: Le modifiche del colore di sfondo apportate nell´editor simboli riguardano sempre tutti i simboli nella libreria simboli globale.
    2. Larghezza [Pixel]: Indicazione della larghezza del simbolo in pixel.
    3. Altezza [Pixel]: Indicazione dell´altezza del simbolo in pixel.


Separa proprietà dal collegamento

Manuale -> Immagini -> Simboli e gruppi elementi -> Separa proprietà dal collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sfruttare al meglio i simboli, qualche volta è necessario attribuire valori individuali a singole proprietà di elementi dei simboli. Ad esempio: se un simbolo motore ha una scritta nella quale è contenuto il nome.

Con questa funzione potete rendere disponibile, per esempio, la proprietà Testo. Se il simbolo viene trascinato nell´immagine, il testo è modificabile individualmente per ogni motore.

Questa funzionalità è a disposizione per tutte le proprietà.

Configurazione

Quando si apre un simbolo, viene aperto l´editor dei simboli. L´editor dei simboli è costituito da una finestra divisa in due settori; essa consente la modifica del simbolo selezionato.

Nel settore in alto viene modificato il simbolo; in quello in basso vengono mostrate in una lista le proprietà rese disponibili degli elementi di questo simbolo. Per rendere disponibili gli elementi, avete a disposizione diverse possibilità:

  1. Drag&Drop:
    1. in primo luogo, trascinate le proprietà desiderate una alla volta per mezzo di Drag&Drop dalla finestra delle proprietà nel settore inferiore dell´editor dei simboli.
    2. Nota: dovete cliccare sempre sul nome delle proprietà (non sul valore) e trascinarle per Drag&Drop nell´editor.
  2. Menu contestuale della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. selezionate nel menù contestuale Rilascia [Proprietà]
    3. la proprietà viene inserita nella lista
  3. Barra simboli della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. cliccate nella barra dei simboli sul simbolo che serve a rilasciare (freccia verde verso l´alto sul campo testo)
    3. la proprietà viene inserita nella lista

Nota: se l´inserimento non viene offerto, oppure il simbolo viene visualizzato come disattivato, l´elemento non può essere rilasciato. Ragioni possibili:

  • nessun elemento d´immagine selezionato nell´Editor dei simboli
  • la proprietà è stata già rilasciata
  • L´elemento non supporta il rilascio (per es. ActiveX)

Questo settore è una lista sottoponibile a filtro. Se sussiste la necessità, potete effettuare il filtro sulla base di singole proprietà. Per le azioni è disponibile un menù contestuale.

Menù contestuale per lista di rilascio:

Parametro | Descrizione
Elimina proprietà selezionata | Cancella il rilascio dell´elemento.
Annulla | Annulla l´ultima azione.
Guida | Apre la guida online.

Modifica proprietà rilasciate

Se il simbolo viene visualizzato in un´immagine, è a disposizione nelle proprietà l´ulteriore nodo $_Nome elemento. In essa vengono visualizzate una per una tutte le proprietà rese accessibili. Queste ultime sono state sciolte dal principio del collegamento (rese disponibili) e, quando sono modificate, riguardano solo il simbolo in questione. Se nella finestra proprietà di un simbolo viene selezionata una proprietà di uno degli elementi, lampeggia questo elemento nell'immagine.

Le proprietà rilasciate possono essere modificate:

  • con le proprietà nel ramo $_Nome elemento
  • con il Linked Symbol Wizard

Linked Symbol Wizard

Per poter modificare in modo semplice e comodo delle proprietà rilasciate, avete a disposizione uno strumento che si chiama Linked Symbol Wizard:

  1. Cliccate due volte all´interno dell´immagine su un simbolo che:
    1. è collegato nell´immagine e
    2. dispone di proprietà rilasciate
  2. Si apre il Linked Symbol Wizard
  3. Selezionate la proprietà da modificare
  4. Inserite il nuovo valore
    Indicazione: Ogni modifica viene ripresa immediatamente!
  5. Chiudete il Wizard cliccando su Exit.

Parametro | Descrizione
Select an element in the symbol: | selezione di un elemento del simbolo fra quelli della lista a cascata.
Select the exported property to | selezione della proprietà rilasciata fra quelle della lista.
Visualizzazione proprietà | Visualizza la proprietà da modificare.
Campo di inserimento | Inserimento del nuovo valore della proprietà facendo uso di inserimento testo/inserimento numero, lista a cascata o dialogo di selezione, indipendentemente dalla proprietà.
Exit | Chiude il Wizard

info Info

Il Wizard non supporta tutte le possibili proprietà del simbolo.


Crea e cancella simboli propri

Manuale -> Immagini -> Simboli e gruppi elementi -> Crea e cancella simboli propri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create dei simboli o nell´editor dei simboli, oppure in un´immagine. Gli elementi di un simbolo possono essere:

  • Elementi vettoriali
  • Elementi dinamici
  • Altri simboli: I simboli possono essere inseriti in gruppi elementi.

info Info

Gli elementi contenuti in un simbolo dovrebbero essere piazzati all´interno dell´area del simbolo e non uscirne. Se gli elementi superano i limiti del simbolo, si possono avere dei problemi di visualizzazione nel runtime. Ciò vale anche per quegli elementi che usano simboli (per esempio l´elemento combinato).

Nell´editor dei simboli:

  1. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo
  2. Cliccate nel campo di inserimento del nome elemento e assegnate un nome (non sono ammessi dei punti nel nome simbolo).
  3. Implementate il simbolo nell´editor dei simboli.
  4. Aggiungete eventualmente delle proprietà individuali (vedi sottocapitolo Elimina proprietà dalla trasmissione ereditaria )
  5. Salvate il simbolo

Nell´immagine:

  1. Selezionate uno o più elementi nell´immagine.
  2. Selezionate nel menù contestuale Simbolo -> Crea gruppo elementi (oppure-> aggiungi in gruppo elementi esistente)
    oppure nel menù Modifica -> Simbolo ->Crea gruppo elementi.
  3. Salvate l´immagine.

attention Attenzione

Caratteri e grafiche nei simboli per uso in diversi progetti:

Tipi di carattere I caratteri vengono definiti mediante ID. Assicuratevi che in tutti progetti in cui il simbolo viene usato, il carattere desiderato sia assegnato allo stesso ID.

Grafici: i grafici inseriti in un simbolo non vengono salvati con esso. I grafici corrispondenti devono essere copiati manualmente nel percorso delle grafiche del progetto corrispondente.

Inserire in modalità scollegata o collegare dei simboli in simboli.

In modo analogo a quanto detto per le immagini, anche nel processo di creazione di simboli avete la possibilità di collegare simboli esistenti oppure crearli come gruppo elementi (vedi Aggiungi simboli nell´immagine). A tal scopo dovete rispettare le seguenti regole:

  • Un simbolo non deve contenere alcuna ricorsione, il che significa che non deve riferirsi a sé stesso!
  • Simboli di progetto non possono essere usati al di là dei limiti del singolo progetto!
  • Simboli provenienti dalla libreria globale non possono contenere alcun collegamento a simboli di progetto.

info Info

Potete modificare i contenuti dei simboli solamente nell´editor dei simboli. Se le inserite come gruppo elementi in un´immagine, i contenuti non potranno più essere modificati nell´editor simboli.

attention Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo di una libreria di un progetto in un altro, potete farne un gruppo elementi.

Cancella o scollega simbolo

Per cancellare un simbolo:

  1. Selezionate il simbolo nella libreria.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli cancella

Per sciogliere un gruppo elementi in un´immagine:

  1. Selezionate il gruppo elementi nella libreria.
  2. Selezionate nel menù contestuale Simbolo -> Sciogliere
  3. Il gruppo elementi verrà separato nei suoi elementi.
  4. Se il simbolo è stato già aggiunto alla libreria dei simboli, esso rimane in quella sede invariato, ma viene cancellato dalla gestione simboli.

Per cancellare un simbolo:

  1. Selezionate il simbolo nella libreria.
  2. Nel menù contestuale, selezionare la voce Elimina.
  3. Il simbolo rimane inalterato nella libreria dei simboli, ma viene cancellato nella gestione dei simboli.

info Info

Per modificare singoli elementi di un simbolo senza annullare l´attribuzione dei simboli, selezionate:

  • Nel caso di simboli: Modifica nell'Editor dei simboli
  • Nel caso di gruppi elementi: Passa alla modalità modifica singola

Ancora in questo capitolo

Trasferire i simboli propri nella libreria


Trasferire i simboli propri nella libreria

Manuale -> Immagini -> Simboli e gruppi elementi -> Crea e cancella simboli propri -> Trasferire i simboli propri nella libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi elementi creati in un´immagine possono essere inseriti in una libreria simboli come simboli.

Per inserire un gruppo elementi come simbolo in una libreria simboli:

  1. Selezionate nel menù contestuale del gruppo elementi Simbolo -> Aggiungi nelle libreria dei simboli
  2. Si apre il dialogo che serve alla definizione del simbolo.
  3. Selezionate la libreria simboli oppure la cartella desiderata
  4. Confermare la finestra di dialogo cliccando su OK.
  5. Passate alla libreria dei simboli selezionata.
  6. Il gruppo elementi è stato convertito in un simbolo e inserite con il nome Gruppo elementi_Nr. (Nr è una numerazione progressiva dei gruppi elementi esistenti, a cominciare dal numero 1.)
  7. Assegnare il nome desiderato.
  8. Per modificare ulteriormente il simbolo, oppure per assegnargli delle proprietà individuali (vedi Separa proprietà dalla trasmissione ereditaria), aprite il simbolo mediante un doppio clic, oppure con il comando contestuale Apri simbolo nell´editor dei simboli.

Nota: Se per il progetto globale è stato configurato un livello di autorizzazione maggiore a 0 per la modifica di immagini e all´utente loggato manca questo livello di autorizzazione, non sarà possibile inserire simboli nella libreria simboli del progetto globale. In questo caso, non sarà neanche possibile modificare i simboli collegati del progetto globale nelle immagini del progetto locale.


Inserisci dei simboli in un'immagine

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli possono essere aggiunti in due modi in una immagine:

  • Gruppi elementi: Non sono più collegati con il simbolo nella libreria; le modifiche apportate al simbolo originario non hanno più alcun effetto sul gruppo elementi.
  • Simboli: Questi continuano ad essere collegati con il simbolo originario. Le modifiche al simbolo nella libreria cambiano anche il simbolo nell´immagine.

attention Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo della libreria di un progetto in un altro, potete creare un gruppo elementi.

info Info

Se avete attivato la proprietà VisualizzaCornice intorno a elementi dinamici nell´editor, potete distinguere con uno sguardo gruppi elementi da simboli: Nel caso di simboli, una freccia viene visualizzato nell´angolo superiore destro. Trovate questa proprietà alla voce Opzioni -> Impostazioni nel settore Impostazioni.

Ancora in questo capitolo

Gruppi elementi

Simboli

Selezione dei simboli nell'elemento combinato


Gruppi elementi

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Gruppi elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Così inserite in un´immagine un simbolo come gruppo elementi:

  • Tenete premuto il tasto Ctrl e trascinate il simbolo per Drag&Drop all´interno dell´immagine.

    oppure

  • Selezionate nel menù contestuale del simbolo l´opzione Aggiungi simbolo nell´immagine come gruppo elementi per inserire il simbolo nell´immagine attuale come gruppo elementi.

I gruppi elementi possono essere poi divisi nei singoli elementi che li compongono, i quali possono essere elaborati. A tal scopo selezionate nel menù contestuale Simbolo -> Passa alla modalità modifica singola oppure nel menù Modifica -> Simbolo -> Modalità modifica singola Gruppo elementi.

I gruppi elementi non vengono modificati se il simbolo viene modificato nella biblioteca, dato che questi quando estratti non saranno più collegati ad esso.

Sostituisci variabili collegate

Nel caso di creazione di un gruppo elementi a partire da un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo. Ulteriori dettagli a proposito della sostituzione automatica di variabili e funzioni, li trovate nel capitolo Sostituisci collegamenti nell´immagine Editor.

Per sostituire delle variabili in simboli già inseriti, selezionate anzitutto nel menù contestuale del simbolo il comando Sostituisi Collega.

Suggerimento: Fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..


Simboli

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli non salvano nella libreria dei simboli nessuna variabile fisica esistente, ma solamente nomi variabili. Quando si inseriscono dei simboli in un´immagine in forma collegata, i nomi variabili depositati nel simbolo possono essere assegnati a variabili del progetto. Se il progetto contiene una variabile che corrisponde ad un nome depositato nel simbolo, essa viene collegata automaticamente (senza bisogno di una regola extra).

Inserisci simbolo in immagine

In tal modo inserite in un´immagine un simbolo collegato:

  • trascinate il simbolo per Drag&Drop nell´immagine.

    oppure

  • selezionate nel menù contestuale del simbolo Aggiungi simbolo nell´immagine

I simboli vengono salvati nell'immagine solo come link. Ogni modifica del simbolo nella libreria ha influenza immediata sul simbolo nell´immagine. Nel caso in cui, per esempio, un elemento dinamico viene aggiunto nel simbolo, esso è presente in tutte le immagini in cui si usa questo simbolo.
Eccezione: le modifiche apportate alla grandezza del simbolo si ripercuotono sull´immagine solo nel caso in cui lí sia stata selezionata nella proprietà del simbolo Dimensione bitmap Grandezza originaria.

Con i simboli potete fare quanto segue:

  • convertirli in gruppi elementi: Menù contestuale Simbolo -> Converti simbolo in gruppo elementi
  • Modificarli nell´editor del simboli: Simbolo-> Elabora nell´editor dei simboli
  • inserirli in un gruppo elementi: Simbolo-> Inserisci in gruppo di elementi esistente

I simboli non possono essere divisi negli elementi che li compongono e tali elementi non possono essere modificati nella modalità Modifica elementi (Menù contestuale ->Simbolo -> Passa alla modalità modifica singola oppure tramite menù Modifica-> Simbolo -> Modifica singola Gruppo elementi).

attention Attenzione

Usate con simboli solo caratteri scollegati, visto che i caratteri collegati non sono scalato con il simbolo. In tal modo si sposterebbe la posizione relativa dei testi rispetto alla grafica nel simbolo.

Ancora in questo capitolo

Sostituisci variabili o funzioni

Regole di sostituzione - Nomi composti


Sostituisci variabili o funzioni

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli -> Sostituisci variabili o funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso dell´inserimento di un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo. Possono essere sostituiti anche ALC Aliase che vengono usati in elementi nel simbolo. Più inserimenti vengono divisi mediante un punto e virgola (;).

A questa finestra di dialogo giungete anche tramite la proprietà Anteprima nel nodo Regola di sostituzione dell´elemento..

info Info

La procedura per simboli può essere anche usata per container immagini nel caso di immagini del tipo Faceplate. Valgono le stesse proprietà e regole.

Eccezione: La proprietà Nomi gerarchici non è a disposizione.

Sostituisci variabili o funzioni

Regola di sostituzione

Proprietà | Descrizione
Regola di sostituzione | Configurazione di quali sequenze caratteri vengono sostituite e come.
Origine | Inserimento della sequenze caratteri da cercare. Wildcard consentite: * e ? Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.
Sostituisci con | Inserimento della sequenze caratteri che deve essere usata
Nome | Scambia informazioni nel nome delle variabili.
Identificazione | Scambia informazioni nell’ identificazione.
Rispetta minuscolo/maiuscolo | Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.
Nomi gerarchici | Consenti nomi composti Non è disponibile per ALC Aliase e Faceplate Container. Essi vengono sempre usati senza prefisso di simbolo.

Anteprima

Proprietà | Descrizione
Anteprima | Visualizzazione degli elementi selezionati e sostituiti.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Altri dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituisci collegamenti di variabili e funzioni .

Suggerimento: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..


Regole di sostituzione - Nomi composti

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli -> Regole di sostituzione - Nomi composti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà Nomi gerarchici nel nodo Regola di sostituzione è attiva, i nomi delle variabili collegate sono composti dal nome oggetto del simbolo e dal nome variabile, o dalla identificazione variabile.

Questo meccanismo viene definito tramite la proprietà Attraverso il nome della variabile.

  • Attiva:
    Il nome della variabile collegata è formato dal nome oggetto del simbolo e il nome variabile (= la proprietà Nome nel gruppo Generale per la variabile).
  • Non attiva:
    Il nome della variabile collegata è formato dal nome oggetto del simbolo e dall´identificazione variabile (= proprietà Identificazione nel gruppo Generale per la variabile).

I due nomi vengono divisi da un punto:
"Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"

attention Attenzione

Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Esempio

Nome variabile: Motor.Drehzahl
Il nome simbolo è "Motor". L´elemento dinamico che viene utilizzato nel simbolo, ha come variabile collegata il carattere jolly "Drehzahl".
Il carattere jolly "Drehzahl" può essere digitato al momento della creazione del simbolo presso la proprietà della variabile.

I nomi composti funzionano anche con simboli complessi:
Se si ha un simbolo"Pumpe", che a sua volta contiene un simbolo "Motor" e un simbolo "Umrichter" con il carattere jolly di variabile "Leistung", il collegamento funziona se nel progetto esiste una variabile Pumpe.Motor.Leistung e una variabile Pumpe.Umrichter.Leistung.


Selezione dei simboli nell'elemento combinato

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Selezione dei simboli nell'elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare un elemento combinato con un simbolo, procedete come segue:

  1. Selezionate nelle proprietà dell´elemento combinato nel nodo Visualizzazione nella proprietà Rappresentazione Simbolo della libreria
  2. Cliccare su Stati e test.

    Si apre il dialogo di configurazione:

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Opzione

Descrizione

Visualizza Elementi

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di sostituzione

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori

Disponibile solamente se nel settore Impostazioni specifiche la proprietà Colori simboli originali non è attiva.

Colore

Scelta del colore.

Colore di sfondo

Scelta del colore di riempimento

da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali
  • Attivo: applica il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Lampeggio
  • Attivo: il simbolo lampeggia a Runtime se viene raggiunto lo stato.


Lista simboli

Manuale -> Immagini -> Simboli e gruppi elementi -> Lista simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite Modifica -> Simbolo-> Barra simboli... aprite una lista che mostra tutti i simboli dell´immagine attiva:

Parametro | Descrizione
Simboli/gruppi di elementi esistenti | Lista dei simboli ed gruppi elementi esistenti nell´immagine.
Nr | Numero del simbolo o del gruppo elementi.
Nome | Nome del simbolo o del gruppo elementi.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Cliccando sul relativo titolo della colonna, potete ordinare i simboli sulla base di numero o nome. Il simbolo selezionato nella lista simboli nell'immagine è rappresentato in modo lampeggiante.


Esportazione e importazione XML

Manuale -> Immagini -> Simboli e gruppi elementi -> Esportazione e importazione XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati, oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando _Esporta selezione in XML.
    Alternativa: selezionate nel menù contestuale del nodo Progetto-libreria simboli il comando Esporta tutti in XML....
  3. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  4. Selezionare il luogo di salvataggio desiderato.
  5. Assegnare un nome al file di esportazione.
  6. Fare attenzione che il tipo di dato sia XML.
  7. Confermare cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menù contestuale del nodo, oppure della visualizzazione dettagli di Libreria simboli - Progetto, oppure nella visualizzazione dettagli della Libreria simboli globale, il comando Importa file XML..
  2. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  3. Passare al posto in cui si trova il file XML desiderato.
  4. Selezionare il file desiderato.
  5. Confermare l´importazione cliccando sul pulsante Apri.

I simboli vengono importati.

Conflitti causati dal nome durante l´import

Quando si importa un simbolo, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione del simbolo che deve essere creato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametro | Descrizione
Sì | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
Sì tutti | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutti i simboli interessati vengono sostituiti.
No tutti | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutti i simboli interessati vengono mantenuti.

Nota: viene preso in considerazione solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Livelli di visibilità

Manuale -> Immagini -> Livelli di visibilità

Analogamente ai programmi CAD, anche nell´Editor di zenon possono essere definiti dei livelli di visibilità da assegnare poi ai singoli elementi. In questo modo è possibile nascondere in immagini complesse gli elementi non necessari, che poi, però, possono essere visualizzati di nuovo in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello di visibilità ad un elemento viene eseguita tramite proprietà Livello di visibilità del nodo Generale. L´attivazione o la disattivazione dei singoli livelli avviene usando i pulsanti della barra degli strumenti Livelli di visibilità:

Simbolo

(da sinistra a destra)

Funzione

Attiva tutti livelli visibilità

Visualizza tutti i livelli di visibilità.

Disattiva tutti livelli visibilità

Nasconde tutti i livelli di visibilità.

Livello visibilità <Nr>

Mostra o nasconde il livello di visibilità corrispondente.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Info

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun effetto a Runtime.

Nota sugli elementi di controllo: gli elementi di controllo vengono visualizzati a Runtime sempre nella posizione più avanzata. Questo vale anche quando nell´Editor sono coperti da altri elementi. In questo modo si garantisce che sia sempre possibile per l´utente lavorarci.


Tipi di immagine

Manuale -> Immagini -> Tipi di immagine

Nella loro configurazione di base, le immagini vengono generate facendo ricorso al tipo Standard. Facendo uso di una lista a cascata, si può procedere alla selezione di speciali tipi di immagine fra quelli disponibili nelle proprietà di un´immagine.

attention Attenzione

Se si cambia un´immagine del tipo standard in un altro tipo speciale, quest´ultimo è connesso in modo fisso all´immagine e non può essere più modificato.

Tipi di immagine speciali

Per far fronte a compiti speciali, zenon offre una serie di tipi di immagine particolari. Dopo aver selezionato uno speciale tipo d´immagine, avete a disposizione nel menù contestuale Elementi di controllo tutti gli elementi possibili per quel tipo specifico di immagine. Il punto di menù Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita.

info Info

I tipi di immagini speciali devono essere creati solamente una volta, anche nel caso in cui vengano utilizzati più volte. Li si può aprire con differenti dati facendo uso dei filtri della funzione di cambio immagine.

Tipi di immagini speciali come immagine di partenza

Ogni tipo di immagine può essere teoricamente utilizzato anche come immagine di partenza.

Attenzione: sono aperti tipi di immagini speciali con filtro vuoto e, dunque, senza dati.

Ancora in questo capitolo

Tipi di immagine speciali

Funzioni specifiche per tipo immagine

Gestione utenti Active Directory

Modello di impianto

Faceplate

Immagini filtro

Message Box

HTML

Blocco note

Lista contestuale

Video


Tipi di immagine speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipi di immagini speciali in zenon:

Tipo di immagine

Descrizione

Active Directory Gestione user

Consente la gestione nel Runtime degli utenti e dei gruppi utenti Active Directory

Lista di informazioni allarmi

Raccoglie le segnalazioni d'allarme e le visualizza sotto forma di una lista.

Filtro lista informazione allarmi

Filtro per la Lista di informazioni allarmi.

Modello di impianto

Aprire modelli di impianto nel Runtime come immagine.

Post-elaborazione archivio

rappresentazione in forma di tabella e ad editare valori di archivio salvati.

Attenzione: Disponibile solo con licenza per il Server archivi.

Batch

Crea modelli per ricette Master nel modulo Batch Control.

Attenzione: disponibile solo con licenza per il Batch Control.

Comandi

Visualizzazione di comandi.
ATTENZIONE: disponibile solo con licenza per la Energy Edition.

Lista utenti

Lista degli utenti e possibilità di modificarli usando l´immagine del tipo Modifica utente.

Lista gruppi utenti

Lista dei gruppi utenti e possibilità di modificarli usando l´immagine del tipo Modifica utente.

Modificare utenti

Creare, modificare e cancellare utenti.

Lista Eventi Cronologica

Raccoglie gli eventi di processo e di sistema desiderati, nonché le impostazioni user e li visualizza sotto forma di lista.

Filtro CEL

Filtro per la Lista eventi cronologica

Trend esteso

Visualizza valori online e di archivio in forma di grafici lineari.

Faceplate

Accetta più immagini di diverso tipo in un´immagine.

Previsione di carico massimo

Immagine per la visualizzazione della Prognosi del carico massimo

Attenzione: disponibile solo con licenza per SICAM 230.

HTML

Permette la visualizzazione di un'immagine in HTML, adattata a Microsoft Internet-Explorer.

Industrial Maintenance Manager

Visualizzazione di informazioni di manutenzione.
ATTENZIONE: Disponibile solo con licenza per Industrial Maintainance Manager.

Nota: non è disponibile con Windows CE.

Industrial Performance Analyzer

Analizza gli allarmi al fine di localizzare i punti deboli di un impianto (tempi di interruzione di funzionamento).

Nota: non è disponibile con Windows CE.

Keyboard

Genera una tastiera virtuale configurabile a piacimento.

Load Management

Progettazione e visualizzazione del management dell´approvvigionamento di energia (elettricità, gas).

Attenzione: disponibile solo con licenza per Load Management.

Nota: non è disponibile con Windows CE.

Login

Finestra configurabile in modo individuale per Login temporaneo o permanente nel Runtime, nonché inserimento di una firma e Login tramite una funzione.

Message Box

Finestra configurabile in modo individuale per visualizzare i messaggi di sistema.

Message Control

Immagine per la gestione del Message Queue nel modulo Message Control.

Blocco note

Visualizza protocolli e file di testo che vengono creati da una richiesta di database, oppure che sono disponibili sotto forma di file di testo.

Production & Facility Scheduler

Gestisce orari e profili.

Attenzione: Disponibile solo con una licenza per il Production & Facility Scheduler (PFS).

Process Recorder

Immagine per la gestione della riproduzione a Runtime di dati di processo registrati.

Attenzione: disponibile solo se si ha una licenza per il modulo Process Recorder.

Generatore Report

Per l'emissione di protocolli, che sono stati realizzati attraverso il modulo generatore di report.

Attenzione: Disponibile solo con licenza per il Generatore di rapporti. Nel caso in cui i rapporti debbano essere solo visualizzati e non modificati, non è necessaria una licenza per il Runtime.

Report Viewer

Serve a visualizzare i report RDL per valori archivio, AML, CEL e online.

Attenzione: disponibile solo con licenza per Reporting.

Manager gruppi di ricette

Gestisce ricette e il loro uso all'interno di gruppi ricette.

Attenzione: Disponibile solo con licenza per il Manager gruppi ricette (RGM).

S7-Graph

Viene utilizzato per processi sequenziali con successione di passi alternativi o paralleli (Sequential Function Chart ). Visualizza nel runtime lo stato momentaneo della gestione del processo direttamente nel PLC.

Ricette standard

Per la gestione di ricette

Sequenze di comando

Creazione di processi, direttamente nel runtime. Da base fungono le azioni di comando configurate nell`Editor.

Attenzione: Disponibile solamente se si dispone di una licenza addizionale. Essa è ottenibile solamente in combinazione con quella della Energy Edition.

Lista contestuale

Consente l´amministrazione centrale a Runtime di testi strutturati in modo gerarchico, per esempio, per utilizzarli come causa allarme.

Diagnosi variabili

Per la visualizzazione di variabili nel Runtime e il settaggio di valori impostabili.

Nota: non è disponibile con Windows CE.

Video

Serve alla visualizzazione di registrazioni d'immagini online e registrazioni video salvate (*.avi).

Nota: non è disponibile con Windows CE.

Finestra di controllo

Permette di effettuare lo scorrimento con il mouse di immagini standard che sono più grandi della risoluzione immagine.

Filtro tempo/lotto

Permette di effettuare delle impostazioni di filtro generali per delle liste. Nella funzione Cambio immaginesi stabilisce quali liste verranno gestite tramite questo strumento.

Ancora in questo capitolo

Imposta speciali tipi di immagine

Modelli per immagini standard e tipi di immagini speciali


Imposta speciali tipi di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Imposta speciali tipi di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare uno speciale tipo di immagine, procedete come segue:

  1. create una nuova immagine, oppure selezionatene una del tipo Standard
  2. nelle proprietà, e più precisamente nel nodo Generale in corrispondenza di Tipo di immagine, dovete cliccare sul tipo predefinito Standard

    Alternativa: cliccate nella lista dettagliata Immagini sul tipo dell´immagine e selezionate quello che preferite fra quelli esistenti nella lista a cascata

  3. selezionate il tipo di immagine desiderato fra quelli della lista a cascata.
  4. scegliete nel menù Elementi di controllo gli elementi di controllo desiderati
    • Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita
    • Gli elementi che sono già presenti nell´immagine, vengono visualizzati in color grigio e non possono essere più selezionati

info Info

Limite concernente l´inserimento automatico di modelli:

se un elemento statico (per es. un elemento di controllo) si trova già nell´immagine, il sistema non crea né una cornice, né didascalie di cornice quando si inseriscono degli elementi di controllo di un modello.

Raccomandazione: dopo aver impostato uno speciale tipo di immagine, inserite anzitutto gli elementi di controllo del modello e, solo in un secondo momento, altri elementi.


Modelli per immagini standard e tipi di immagini speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per speciali tipi di immagine (come immagini standard) si possono usare dei modelli che servono ad inserire e posizionare gli elementi. I modelli possono essere creati direttamente da ogni immagine. Per speciali tipi di immagine, vengono forniti in zenon dei modelli predefiniti.

I modelli vengono salvati in file ZIP compressi, che contengono a loro volta tre altri file:

  • Metadati: file XML con la descrizione del modello (nome, descrizione, grandezza, ecc.).
  • Elementi d´immagine: file XML con gli elementi di un´immagine esportati.
  • Anteprima: file Bitmap con l´anteprima del modello.

Modelli predefiniti

I modelli predefiniti sono a disposizione in diverse risoluzioni, nonché in forma ottimizzata per l´uso con touchscreen. Questi modelli non possono essere né modificati, né cancellati. I modelli predefiniti di COPA-DATA vengono salvati nella cartella di programma di zenon alla voce: \Templates\ScreenTypes\[SPRACHE]\[Nome per il tipo di immagine]\[Nome file].zip.

Esempio: il modello per AML in tedesco lo trovate sotto %Program Files (x86)%\COPA-DATA\zenon 9.1\Templates\ScreenTypes\GERMAN\Alarm Message list\

Nota: nell´Editor vengono caricati solamente modelli per le lingue impostate attualmente.

I modelli definiti dagli utenti

Gli utenti possono creare e salvare dei modelli individuali per ogni tipo di immagine. Questi modelli potranno essere in seguito modificati e cancellati.

I modelli definiti dagli utenti vengono salvati nella cartella di dati di zenon alla voce: Templates\ScreenTypes\<Nomer del tipo immagine>\<Nome file>.zip.
Per esempio: %ProgramData%\COPA-DATA\zenon7.60\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Nota: il percorso dipende dal fatto se esso è stato registrato al momento dell´installazione, oppure usando lo Startup Tool. Altrimenti il sistema userà la cartella del programma attuale come cartella di dati.

Ancora in questo capitolo

Usare modelli

Crea modelli


Usare modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Usare modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare un modello per un´immagine:

  1. Aprire l´immagine.
  2. Scegliete nel menu Elementi di controllo il comando Seleziona modello
  3. Si apre il dialogo con i modelli predefiniti e quelli definiti dagli utenti

    Indicazione: per le immagini del tipo Standard sono a disposizione solamente modelli definiti dagli utenti

  4. Selezionare il modello desiderato.
  5. Cliccare su Applica.
  6. Gli elementi definiti nel modello vengono inseriti nella posizione predefinita

Parametro | Descrizione
Campo liste Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Elimina elementi d'immagine esistenti | Attiva: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Acquisisci | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Crea modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i modelli definiti dagli utenti, si possono creare, cancellare, rinominare e spostare cartelle e modelli. I modelli predefiniti e forniti con il software non possono essere né modificati, né cancellati.

Crea cartelle o modelli

Per creare una cartella, selezionate:

  • il pulsante Nuova cartella nel dialogo
  • oppure il comando Nuova cartella nel menù contestuale
  • oppure usate il tasto Ins.

Per creare un modello:

  1. evidenziate nella lista dettagliata l´immagine desiderata
  2. selezionate nel menù contestuale oppure nella barra dei simboli il comando Crea modello per tipo di immagine
  3. si apre il dialogo che serve a creare dei modelli propri
  4. selezionate una cartella esistente, oppure createne una nuova
  5. assegnate un nome a questo nuovo modello.
  6. se volete, potete aggiungere una descrizione
  7. confermate la selezione cliccando su OK
  8. il modello viene inserito nella cartella evidenziata

Parametro | Descrizione
Campo liste Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente. Consente di cancellare o rinominare cartelle e modelli usando il menu contestuale, oppure di aggiungere altre cartelle.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Nuova cartella | Crea una nuova cartella. Si possono impostare diversi livelli.
Rinomina | Apre il campo con il nome per consentirne la modifica. Si può aprire il dialogo anche usando il tasto F2, oppure con due clic separati da un breve intervallo.
Elimina | Cancella dopo una richiesta di conferma da parte del sistema la cartella selezionata con tutte le sottocartelle.
Ok | Crea modello e chiude il dialogo.
Annulla | Chiude il dialogo senza creare un modello.
Guida | Apre la guida online.

Elimina cartella

Per cancellare una cartella o un modello:

  1. evidenziate la cartella o i modello
  2. selezionate
    1. il pulsante Cancella nel dialogo
    2. oppure il comando Cancella nel menu contestuale
    3. oppure premete il tasto Canc.

La cartella o il modello verranno cancellati dopo una richiesta di conferma da parte del sistema. Nel caso delle cartelle, verranno cancellate anche le eventuali sottocartelle.

Rinomina cartelle o modelli

Per rinominare una cartella o un modello:

  • selezionate nel menù contestuale il comando Rinomina
  • oppure usate il pulsante Rinomina.
  • oppure selezionate l´elemento e aprite con il tasto F2 o con due clic a breve distanza l´uno dall´altro la descrizione per potere poi modificarla
  • oppure modificate nel caso dei modelli il testo nel campo Nome

Sposta cartelle o modelli

Le cartelle e i modelli possono essere spostati in altre cartelle per Drag&Drop usando il mouse.

Ancora in questo capitolo

Menù contestuale Modello per crea tipo di immagine


Menù contestuale Modello per crea tipo di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli -> Menù contestuale Modello per crea tipo di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Menù contestuale Modello per crea tipo di immagine

Nel dialogo che serve a creare dei nuovi modelli, sono contenuti anche dei menò contestuali.

Menù contestuale per cartella

Parametro | Descrizione
Nuova cartella | Crea una nuova cartella al di sotto del livello evidenziato.
Elimina | Cancella la cartella selezionata dopo che il sistema ha posto una domanda di conferma.
Rinomina | Apre la denominazione della cartella per consentire di rinominarla.
Guida | Apre la guida online.

Menù contestuale per modelli

Parametro | Descrizione
Elimina | Cancella il modello selezionato dopo che il sistema ha posto una domanda di conferma.
Rinomina | Apre la denominazione del modello per consentire di rinominarlo.
Guida | Apre la guida online.


Funzioni specifiche per tipo immagine

Manuale -> Immagini -> Tipi di immagine -> Funzioni specifiche per tipo immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si crea in un´immagine di un tipo speciale un elemento dinamico del tipo pulsante, è a disposizione l´ulteriore proprietà Operazione specifica per il tipo di immagine (nodo Variabile/funzione). Con questa proprietà potete collegare funzioni speciali dipendenti dal tipo di immagine ad un pulsante.

Quando delle funzioni specifiche per immagini non sono valide (per es. perché si è copiato un pulsante in´immagine di un altro tipo), il sistema provvederà a mettere in evidenza il collegamento non valido che potrà essere poi sostituito. Le funzioni non valide vengono rimosse in fase di compilazione.

attention Attenzione

Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. Inoltre, possono essere eseguiti nel Runtime eventi VBA (come LeftClickDown).

In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante.

  1. Eventi VBA
  2. Tipo d´immagine - Funzione specifica
  3. Funzione generale

Una funzione viene eseguita solo dopo che l´evento precedente è concluso.

Finestra di dialogo - Elemento-Inserimento

Parametro | Descrizione
Lista delle funzioni | Lista di tutte le funzioni specifiche disponibili per il tipo di immagine. Le funzioni non disponibili per questo pulsante, vengono visualizzate di color grigio. Quando si clicca su di un inserimento, quest´ultimo viene selezionato per il collegamento.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Gestione utenti Active Directory

Manuale -> Immagini -> Tipi di immagine -> Gestione utenti Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite un´immagine di tipo Gestione utenti Active Directory si può accedere a Windows Active Directory a Runtime. È possibile creare, cancellare e modificare unità organizzative, utenti e gruppi utenti, ed è possibile assegnare diritti in zenon.

info Info

Active Directory e AD LDS, ma anche ADAM (per Windows XP), non sono disponibili con Windows CE.

Domini a Runtime

A Runtime si usa il dominio dell´utente che ha avviato il Runtime per l´Active Directory Login. Possono eseguire il login solo quegli utenti che appartengono a questo dominio.

Autorizzazione utente

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!

Immagine del tipo Active Directory Creare Gestione user

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Gestione utenti Active Directory.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Immagine di tipo “Gestione utenti Active Directory”

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra Active Directory

Elementi di controllo per la visualizzazione e la gestione di Active Directory.

Contiene la Visualizzazione dettagli Active Directory: finestra in cui viene visualizzata la struttura di Active Directory.

Elemento di controllo | Descrizione
Finestra Active Directory |
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo che consente di creare una nuova unità organizzativa nella struttura ad albero.
Modifica unità organizzativa (Tree) |
Elimina unità organizzativa (Tree) | Cancella l´unità organizzativa selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Crea una nuova unità di organizzazione sotto l´elemento selezionato nella struttura ad albero. Viene aperta la corrispondente finestra di dialogo.
Crea nuovo utente | Apre la finestra di dialogo che consente di creare un nuovo utente.
Crea nuovo gruppo utenti | Apre la finestra di dialogo che consente di creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che consente di modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.

Login

Elementi di controllo per il login in Active Directory.

Elemento di controllo | Descrizione
Nome dominio | Inserimento e visualizzazione del nome del dominio. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Inserimento e visualizzazione del nome utente AD. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | Inserimento della password. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Login | Con un clic del mouse si esegue il login dell´utente in AD.
Logout | Con un click del mouse si esegue il logout dell´utente.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Nome dominio | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Password | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

I dettagli sull´uso inzenon e sulla configurazione di Active Directory li trovate nella guida relativa alla Gestione user, nei capitoli:

  • Active Directory Gestione user con il Runtime di zenon
  • Gestione user con Microsoft Active Directory

attention Attenzione

I diritti assegnati in zenon valgono per il corrispondente progetto, oppure per l´area di lavoro. I diritti assegnati in Active Directory, invece, valgono globalmente.

I diritti assegnati a utenti o gruppi utenti di Active Directory, dunque, valgono per questi user in tutti i progetti di zenon!


Modello di impianto

Manuale -> Immagini -> Tipi di immagine -> Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo modello di impianto, potete fare nel Runtime quanto segue:

  • effettuare un´operazione di filtro in altre immagini aperte alla ricerca di determinati gruppi di impianti
  • eseguire automaticamente una dopo l´altra tutte le funzioni collegate con un determinato gruppo di impianti

Il filtraggio sulla base di un gruppo di impianti interessa sempre immagini che sono già aperte. Se delle immagini vengono aperte o caricate di nuovo, essa verranno visualizzate senza il filtro dell´immagine modello di impianto.

Nota: Mit der Option Hierarchischer Filter genügt es, wenn eine Variable mit einer Ebene des Anlagenmodells verknüpft ist. Diese Variable wird automatisch bei der Filterung auf eine übergeordnete Ebenen berücksichtigt.

info Info

Sono a vostra disposizione modelli di impianto di progetti globali e locali. Nel caso sussistano conflitti di nomenclatura, il sistema accorda la precedenza ai progetti di impianto locali.

Suggerimento: fate attenzione in fase di progettazione di modelli di impianto ad attribuire nomi univoci. Assegnate, ad esempio, a modelli di impianto globali un prefisso o suffisso corrispondente. In tal modo eviterete che i modelli di impianto abbiano lo stesso nome a livello globale e locale. E potete facilmente risalire all´origine dei modelli di impianto visualizzati nelle liste di selezione.

I dettagli concernenti la progettazione e l´uso di immagini del tipo modello di impianto, li trovate nella guida relativa a definizione di impianto, nel capitolo Immagine del tipo modello di impianto e Filtro durante il runtime.


Faceplate

Manuale -> Immagini -> Tipi di immagine -> Faceplate

Il termine Faceplate contraddistingue un´immagine di zenon che, tramite container immagini, può accettare più immagini collegate di diverso tipo, e le può visualizzare contemporaneamente nel Runtime. Con Faceplate si può fare, per esempio, quanto segue:

  • visualizzare più immagini parallelamente in un´immagine
  • applicare più filtri tempo parallelamente allo stesso tipo di immagine
  • applicare i dati di un´immagine mediante un filtro ad un´altra immagine

Tipi d´immagine consentiti per Faceplates

In Faceplates possono essere collegati i seguenti tipo di immagine:

  • AML
  • filtro-AML
  • Modello di impianto
  • CEL
  • filtro-CEL
  • Trend esteso
  • HTML
  • Generatore Report
  • Report Viewer
  • Standard
  • Filtro tempo:

Faceplates nella visualizzazione dettagli

Le sub-immagini collegate in Faceplates vengono visualizzate nella visualizzazione dettagli come gruppo al di sotto dell´immagine Faceplate.

Può essere effettuata un´operazione di filtro concernente le sub-immagini nella colonna Nome. Vengono visualizzati tutte le sub-immagini corrispondenti al filtro e i relativi Faceplate. Le sub-immagini possono essere copiate, ma non modificate.

Ancora in questo capitolo

Crea un'immagine del tipo Faceplate

Sostituisci collegamenti

Configurare la funzione di cambio immagine

Usa Faceplate nel Runtime


Crea un'immagine del tipo Faceplate

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Crea un'immagine del tipo Faceplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un´immagine del tipo Faceplate consiste di container immagini e i pulsanti opzionali Filtro e Filtro editabile.

Container immagini:

i container immagini mostrano il nome del container e nome e tipo dell´immagine collegata. Nel caso delle immagini già collegate, queste informazioni vengono evidenziate mediante un colore di sfondo definito automaticamente. In tal modo, queste informazioni coprono sempre nell´Editor contenuti dell´immagine collegata che sono collocati nella stessa posizione.

La grandezza del container può essere adattata a quella dell´immagine collegata. A tal scopo passate alla proprietà Dimensione dall'immagine collegata nel gruppo Posizione. Quando si clicca sul pulsante ..., il sistema riprender la grandezza dell´immagine collegata per il container.

Tipo d'immagine Faceplate

Elementi di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Container immagini

Elemento che viene collegata ad un´immagine esistete e visualizza nel Runtime il contenuto dell´immagine collegata.

In un´immagine del tipo Faceplate possono essere usati più container d´immagine.

Se è stata attivata l´opzione Cornice per gli elementi dinamici (Opzioni-> Impostazioni), un simbolo viene visualizzato nell´angolo in alto a destra del container. Esso indica che il contenuto è collegato.

Il contenitore contiene informazioni concernenti l´immagine collegata.

Filtro

Apre nel Runtime una finestra con i filtri configurati nell´Editor. Possono essere editati solamente quei filtri che sono stati abilitati alla modifica.

Filtro editabile

Apre nel Runtime una finestra contenente i filtri configurati nell´Editor e consente la modifica di tutti i filtri - indipendentemente dalle Impostazioni dell´Editor.

Crea un'immagine del tipo Faceplate

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Faceplate.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Indicazioni concernenti la progettazione

Per collegare un´immagine ad un container, avete le seguenti possibilità.

  • Drag & Drop:
    Trascinate un´immagine per Drag&Drop nel container. Quando si posiziona il mouse sopra la destinazione, il sistema mostra tramite simboli se l´immagine può essere collegata.
    Nota: se si trascinano più immagini contemporaneamente per Drag&Drop in un contenitore, viene collegata l´immagine che è stata selezionata per prima.
  • Selezione tramite proprietà:
    Selezionate un´immagine tramite la proprietà "Immagine" del gruppo Rappresentazione. Il sistema offre solamente tipi di immagine consentiti per effettuare il collegamento.
  • Finestra di dialogo in container:
    Cliccate due volte sul container vuoto per aprire la finestra di dialogo che serve alla selezione di un´immagine. Il sistema offre solamente tipi di immagine consentiti per effettuare il collegamento.
    Nota: quando cliccate due volte su un container già pieno, si apre l´immagine collegata.

Suggerimenti:

  • con un doppio clic sul container immagini si apre:
    • se il container è vuoto: la finestra di dialogo che serve a collegare un´immagine
    • se il container è già configurato: l´immagine collegata in una nuova scheda.
  • Tramite la proprietà Visualizza anteprima in editor si può attivare/disattivare la visualizzazione dell´immagine collegata nel container. Nel caso in cui il sistema abbia problemi di performance, si consiglia di disattivare la visualizzazione.

info Info

Assegnano i nomi per la proprietà Nome elemento, fate attenzione a scegliere delle denominazioni univoche. Così assicurate che. impostando un cambio immagine, la selezione sia sicura.

Crea container immagini manualmente

Per creare container immagini manualmente:

  1. Aprite il menù Elementi di controllo.
  2. Selezionate Container immagini.
  3. Trascinate con il mouse il container immagini nell´immagine.

    Si apre la finestra di dialogo che consente di selezionare un´immagine.

  4. Selezionate l´immagine desiderata fra quelle della lista e confermate la selezione cliccando su OK.
  5. Assegnate un nome univoco al container immagini.

Ripetete questi passi per tutti i container immagini desiderati.

info Info

Nell´Editor si possono creare solamente Faceplates con tipi di immagine consentiti. Per il tipo di immagine standard, tuttavia, si può creare in un secondo momento anche un tipo di immagine proibito. Se sono stati selezionati nell´Editor questi tipi di immagine, il sistema provvederà a sciogliere il collegamento. Nel Runtime verrà visualizzato un container vuoto.


Sostituisci collegamenti

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Sostituisci collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni, variabili, variabili di interblocco e ALC-Aliase collegate in container possono essere sostituite automaticamente.

Per sostituire collegamenti:

  1. Navigate nelle proprietà del container fino a giungere al gruppo Regola di sostituzione
  2. configurate le sostituzioni che volete effettuare direttamente, oppure utilizzate la finestra di dialogo.
  3. Cliccando sul pulsante ... nella proprietà Anteprima si aprirà la finestra di dialogo per la configurazione e l´anteprima delle sostituzioni.

Mediante il meccanismo della selezione multipla si possono effettuare sostituzioni per più container contemporaneamente. In questo caso le regole devono essere definite tramite le proprietà. La finestra di dialogo con l´anteprima, però, non sarà a disposizione.

Regola di sostituzione

Proprietà | Descrizione
Regola di sostituzione | Configurazione di quali sequenze caratteri vengono sostituite e come.
Origine | Inserimento della sequenze caratteri da cercare. Wildcard consentite: * e ? Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.
Sostituisci con | Inserimento della sequenze caratteri che deve essere usata
Nome | Scambia informazioni nel nome delle variabili.
Identificazione | Scambia informazioni nell’ identificazione.
Rispetta minuscolo/maiuscolo | Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.
Nomi gerarchici | Consenti nomi composti Non è disponibile per ALC Aliase e Faceplate Container. Essi vengono sempre usati senza prefisso di simbolo.

Anteprima

Proprietà | Descrizione
Anteprima | Visualizzazione degli elementi selezionati e sostituiti.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Altri dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituisci collegamenti di variabili e funzioni .

Suggerimento: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..

La regola di collegamento definita viene applicata ai seguenti oggetti, sempre che essi siano presenti nell´immagine:

  • Funzioni
  • Variabili
  • Variabili di blocco
  • ALC-Alias

Procedura

In passaggi ad un´immagine del tipo Faceplate vengono visualizzati nella lista di anteprima del cambio immagine gli oggetti da sostituire sulla base delle regole configurata nel container immagini. Anche l´anteprima del container immagini mostra già gli oggetti sostituiti. Diversi container immagini possono usare la stessa immagine, ma definire delle diverse regole di collegamento.

Nel Runtime si applica all´immagine collegata in primo luogo la regola di sostituzione configurata a livello di container immagine Poi, se lo si è previsto in fase di configurazione, viene usata la regola di collegamento della funzione di cambio immagine.

Se una regola di sostituzione non può essere risolta durante il Runtime, il sistema crea un inserimento LOG.


Configurare la funzione di cambio immagine

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configurare la funzione di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una funzione per l´apertura di un´immagine del tipo Faceplate procedete come segue:

  1. Selezionare il comando Nuova funzione.
  2. Selezionate Cambio immagine.
  3. Selezionate l´immagine del tipo Faceplate oppure una sub-immagine collegata in Faceplate.

    Si apre la finestra di dialogo per configurare e collegare i filtri.

  4. Configurate i filtri desiderati.
    Suggerimento: Potete configurare più filtri dello stesso tipo.
  5. Collegate container immagini con i filtri.
    Nota: si possono collegare solamente quei filtri che vengono supportati dal tipo di immagine nel container.
    Si possono applicare a sub-immagini filtri del tipo AML, CEL, tempo e modello di impianto.
  6. Confermare la configurazione effettuata cliccando sul pulsante OK

Finestra di dialogo - Filtro

Parametro

Descrizione

Filtro

Scheda per la configurazione dei filtri per container immagini in Faceplate.

Sostituisci collegamenti

Scheda in cui possono essere sostituite variabili collegate.

Sostituisci indici

Scheda in cui possono essere sostituiti indici.

Lista filtri

Lista di tutti i filtri impostati. Questi filtri possono essere assegnati a singoli container immagini.

La lista è in ordine alfabetico. Gli inserimenti in ogni gruppo possono essere ordinati cliccando sul titolo di colonna; l´ordinamento avviene per denominazione oppure Parametri filtro.

Checkbox

Attiva: Se si è attivata per la finestra di dialogo l´opzione Proponi questo dialogo a Runtime, questo filtro è a disposizione per la configurazione nel Runtime.

Non attivo: questo filtro non può essere modificato nel Runtime.

Default: attiva

Nuova

Apre la Finestra di dialogo per la selezione di un tipo di filtro e crea un nuovo filtro corrispondente alla selezione nella lista.

Combinazione di tasti: Tasto Ins

Modifica

Apre una finestra di configurazione dipendente dal tipo di filtro.
La finestra di dialogo può essere aperta anche con un doppio clic sul filtro nella lista.

Duplica

Copia il filtro selezionato e lo aggiunge con un nuovo nome nel gruppo dei filtri corrispondenti.

Rimuovi

Rimuove dalla lista il filtro scelto temporaneamente.

Combinazione di tasti: tasto Canc.

Container immagini

Assegnazione di filtri a container immagini.

Lista filtri

Lista di tutti i container immagini esistenti e dei filtri ad essi rispettivamente assegnati.

I nomi dei container si compongono di: denominazioni per il container più nome dell´immagine più tipo di immagine.

Al di sotto del nome container vengono visualizzati i filtri già collegati. Ogni inserimento container dispone di un pulsante Collega filtro. Cliccate sul pulsante Collega filtro per aprire il dialogo che serve alla selezione di un filtro.

Collega filtro

Cliccando su questa opzione si apre la finestra di dialogo che serve alla selezione di un filtro il quale deve essere collegato al container. Vengono visualizzati solamente quei filtri che possono essere collegati con il container selezionato.

È possibile selezionare più filtri per container, ma non più filtri dello stesso tipo. I tipi di filtro che sono stati già collegati al container in questione, non saranno fra quelli offerti dal sistema per la selezione.

Questo pulsante viene visualizzato per ogni container di immagini alla fine della sua lista filtri.

Modifica

Apre una finestra di configurazione dipendente dal tipo di filtro.
La finestra di dialogo può essere aperta anche con un doppio clic sul filtro nella lista.

Rimuovi

Elimina il collegamento con il contenitore immagine del filtro scelto temporaneamente.

Combinazione di tasti: tasto Canc.

Visualizza questa finestra di dialogo a Runtime

Attiva: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione.

Nel Runtime vengono offerti solamente quei filtri le cui checkbox sono state attivate nell´Editor ed i cui tipi di immagine sono adeguati; solo ad essi si potranno apportare delle modifiche. Tutti gli altri verranno visualizzati, ma non potranno essere modificati.

Nota: si può saltare questa impostazione nel Runtime nell´immagine con il pulsante Filtro editabile.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Tipi di immagine supportati per "Visualizza questa finestra di dialogo a Runtime"

Se l´opzione Visualizza questa finestra di dialogo a Runtime viene attivata, la finestra di dialogo che serve a modificare i filtri viene offerta nel Runtime prima dell´esecuzione del cambio immagine. Non tutti i tipi di immagine, però, supportano completamente questo meccanismo:

Lista dei tipi di immagine e filtri:

Legenda:

  • X: disponibile
  • 1/2/3: con limitazioni; vedi note.
  • --: non disponibile
Tipo di immagine | Filtro | Modificabile in RT
Lista informazioni d'allarme | Lista informazione d'allarme (generale) | X
 | Lista informazione d'allarme (Impostazione colonne) | X
 | Modello di impianto | X
 | Lotto | 1
 | Progetto | X
 | Imposta stati | X
 | Testo | X
 | Ora | 2
Filtro lista informazione allarmi | Filtro lista informazione d'allarme (generale) | X
 | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Testo | X
 | Immagini collegate | --
 | Ora | 2
Modello di impianto | Modello di impianto (generale) | --
Lista Eventi Cronologica | Modello di impianto | X
 | Lotto | 1
 | Lista cronologica eventi (generale) | X
 | Lista eventi cronologica (Impostazioni colonne) | X
 | Progetto | X
 | Stato | X
 | Testo | X
 | Ora | 2
Filtro CEL | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Filtro lista eventi cronologica (generale) | X
 | Testo | X
 | Immagini collegate | --
 | Ora | 2
Trend esteso | Lotto | 1
 | Trend esteso (generale) | 3
 | Trend esteso (Impostazioni di stampa) | X
 | Trend esteso (Impostazioni di colonne) | X
 | Ora | 2
HTML | HTML (Generale) | X
Generatore Report | Generatore Report (File) | X
 | Generatore Report (Parametro) | X
 | Lotto | 1
 | Ora | 2
Report Viewer | Report Viewer (Definizione report) | --
Standard |  | --
Filtro tempo: | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Immagini collegate | --
 | Ora | 2

Note:

  • 1 - lots: solo Nessun filtro lotto, o Applica direttamente filtro lotto.
    No Nome/Archivio da variabile.
  • 2 - Tempo: Periodo assoluto/relativo solo con Preset.
    No intervallo di tempo.
  • 3 - Trend esteso (generale): stesse limitazioni come nel caso di cambio immagine Trend esteso; per es., nessun cambio della sorgente dati, del tipo di diagramma, ecc.

Ancora in questo capitolo

Imposta nuovo filtro

Collega filtro

Accetta filtri con cambio ad altri tipi di immagine

Sostituisci collegamenti e indizi


Imposta nuovo filtro

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configurare la funzione di cambio immagine -> Imposta nuovo filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri per container immagini vengono creati e amministrati nell´area in alto della scheda Filtro.

Per creare un filtro:

  1. Cliccare sul pulsante Nuovo.
  2. Si apre la finestra di dialogo per selezionare un tipo di filtro.

  3. Vengono visualizzati:
    • Filtro generale
    • Filtri specifici per il tipo di immagine
  4. Selezionate il filtro desiderato:
    Potete selezionare più filtri contemporaneamente:
    • Tasto Ctrl+clic del mouse: seleziona tutti i filtri su cui si clicca
    • Clic del mouse -> Tasto Shift+clic del mouse: seleziona tutti i filtri fra il primo e il secondo clic.
    • Clic su denominazione filtro: seleziona tutti i filtri di questo gruppo
    • Tasto Ctrl+A: seleziona tutti i filtri
    • Tasto Ctrl+D: deseleziona tutti i filtri
    • Taste Shift+[Lettera]: seleziona il prossimo filtro con la corrispondente lettera iniziale.

    Se si seleziona solamente un filtro, cliccando su OK si aprirà il corrispondente dialogo di configurazione.
    Se si selezionano più filtri, non verrà aperta nessuna finestra di dialogo. Ogni filtro selezionato dovrà essere configurato manualmente dopo essere stato creato.

  5. Configurate il filtro.
  6. Terminate la configurazione cliccando su OK.

Tipi di filtro

Per Faceplates, sono disponibili diversi tipi di filtro. In fase di configurazione, vengono offerti sempre solamente quei filtri che sono adatti ai tipi di immagine presenti in Faceplate Se, ad esempio, nessuno dei tipi di immagine collegati usa lotti, il filtro lotti non verrà offerto.

Filtro

Descrizione

Filtro generale

Filtri che sono a disposizione indipendentemente dai tipi di immagine configurati.

Ora

Configurazione del filtro tempo.

Testo

Limitazione della visualizzazione a segnalazioni che contengono determinati criteri di ricerca.

Lotto

Configurazione di un filtro lotti.

Disponibile se in Faceplate è collegata un´immagine del tipo AML, CEL, Trend esteso oppure Generatore di rapporti.

Stato

Configurazione dello Stato sulla base del quale si deve effettuare l´operazione di filtro.

Modello di impianto

Configurazione di un filtro su base Gruppo di impianti dal progetto globale o da quello locale.

Progetto

Selezione dei progetti di un progetto di integrazione sulla base dei quali deve essere effettuata l´operazione di filtro.

Nota: di norma disponibile solamente se sono stati creati più progetti in un progetto di integrazione. quando si esegue la configurazione del filtro per faceplate, il sistema offre il filtro progetti anche per progetti singoli.

Filtri specifici per il tipo di immagine

Filtri che vengono offerti dal sistema in dipendenza dai tipi d´immagine configurati.

Lista informazione d'allarme (Generale)

Configurazione di quali sono gli allarmi ad essere visualizzati.

Lista informazione d'allarme (Impostazione colonne)

Configurazione di quali sono le colonne della AML a venire visualizzate, in quale successione e ordine.

Modello di impianto (generale)

Configurazione dei filtri per un´immagine del tipo modello di impianto.

Lista Eventi Cronologica (generale)

Configurazione di quali sono gli eventi ad essere visualizzati.

Lista eventi cronologica (Impostazioni colonne)

Configurazione di quali sono le colonne della CEL a venire visualizzate, in quale successione e ordine.

Trend esteso (generale)

Configurazione delle seguenti impostazioni per il trend esteso:

  • Dati
  • Rappresentazione
  • Asse X

Trend esteso (Impostazioni di stampa)

Configurazione delle impostazioni stampante per il Trend esteso.

Trend esteso (Impostazioni di colonne)

Configurazione delle impostazioni di colonna per il Trend esteso.

HTML (generale)

Configurazione dei filtri per un´immagine del tipo HTML.

Generatore Report (File)

Configurazione del File di report da aprire del generatore Report.

Generatore Report (Parametro)

Configurazione dei parametri da usare per il generatore Report.

Report Viewer (Definizione report)

Configurazione delle Definizioni report da usare per il generatore Report.

Immagini collegate

Configurazione delle immagini collegate per filtro tempo, Lista di informazione allarmi e Lista Eventi Cronologica.


Collega filtro

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configurare la funzione di cambio immagine -> Collega filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri per container immagini vengono creati e amministrati nell´area in basso della scheda Filtro.

Per collegare un container immagini con un filtro:

  1. cliccate all´interno della finestra container immagini sul pulsante Collega filtro
  2. si apre la finestra di dialogo per collegare un filtro

  3. selezionate il o i filtri desiderati
  4. confermate il collegamento cliccando sul pulsante OK

Selezione filtri per collegamento

Ad ogni container immagini si possono collegare più filtri. Tuttavia, se ne può collegare solamente uno per tipo di filtro. I tipi di filtro che sono stati già collegati al container in questione, non saranno fra quelli offerti dal sistema per la selezione.

La lista è in ordine alfabetico. Gli inserimenti in ogni gruppo possono essere ordinati cliccando sul titolo di colonna; l´ordinamento avviene per denominazione oppure Parametri filtro.

Si possono selezionare contemporaneamente diversi filtri.

  • Tasto Ctrl+clic del mouse: seleziona tutti i filtri su cui si clicca
  • Clic del mouse -> Tasto Shift+clic del mouse: seleziona tutti i filtri fra il primo e il secondo clic.
  • Clic su denominazione filtro: seleziona tutti i filtri di questo gruppo
  • Tasto Ctrl+A: seleziona tutti i filtri
  • Tasto Ctrl+D: deseleziona tutti i filtri
  • Taste Shift+[Lettera]: seleziona il prossimo filtro con la corrispondente lettera iniziale.


Accetta filtri con cambio ad altri tipi di immagine

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configurare la funzione di cambio immagine -> Accetta filtri con cambio ad altri tipi di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si verifica il cambio a determinati tipi di immagine, immagini del tipo Faceplate oppure sub-immagini di un Faceplate possono essere selezionati come immagine richiamante o immagine da aggiornare. Se si seleziona l´immagine del tipo Faceplate come quella da aggiornare, viene usato il filtro per tutte le sub-immagini corrispondenti.

Tipi di immagine che consentono - nel caso di cambio immagine - di definire Faceplate e sub-immagini come sorgente/destinazione:

  • filtro-AML
  • Modello di impianto
  • filtro-CEL
  • Filtro tempo

Container immagini supportati in Faceplate, che viene scelto come immagine da aggiornare:

  • AML
  • filtro-AML
  • Modello di impianto
  • CEL
  • filtro-CEL
  • Trend esteso
  • Filtro tempo


Sostituisci collegamenti e indizi

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configurare la funzione di cambio immagine -> Sostituisci collegamenti e indizi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono elencate in una lista tutte le variabili e funzioni delle immagini collegate. Esse possono essere sostituite automaticamente, come anche nel caso di altri cambi immagini.

Per i dettagli su questo tema, consultare il capitolo:

  • Sostituisci collegamenti di variabili e funzioni
  • Sostituisci collegamenti al momento del cambio immagine
  • Sostituisci indici

Particolarità nella sostituzione nell´immagine del tipo Faceplate

Le impostazioni per la sostituzione di variabili e funzioni vengono usate in un´immagine del tipo Faceplate non solo per lo stesso Faceplate, ma anche per tutte le immagini embedded. Quelle sostituzioni che, usando le proprietà del gruppo Regola di sostituzione, sono già state configurate a livello di container, vengono visualizzate nella scheda Sostituisci collegamenti.Nel Runtime si applica all´immagine collegata in primo luogo la regola di sostituzione configurata a livello di container immagine Poi, se lo si è previsto in fase di configurazione, viene usata la regola di collegamento della funzione di cambio immagine.

Esempio:

Situazione di partenza:

  • l´immagine Faceplate contiene una variabile Test1 e un´immagine CEL.
  • Anche l´immagine CEL contiene una variabile Test1.
  • Al verificarsi del cambio immagine, la variabile Test1 viene sostituita da Test2.

Risultato:

  • l´immagine Faceplate viene aperta e mostra al posto della variabile Test1 quella Test2.
  • L´immagine del tipo CEL viene visualizzata come embedded.
  • Anche nell´immagine CEL, la variabile Test1 viene sostituita da Test2.


Usa Faceplate nel Runtime

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Usa Faceplate nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime, nei posti in cui sono piazzati container immagini, vengono visualizzate anche le immagini che sono collegate ad essi. Queste ultime riprendono la dimensione del loro container e possono essere gestite come tutte le altre immagini aperte.

Nella seguente immagine Faceplate vengono visualizzati due container con diverse immagini.

info Info

Nell´Editor si possono creare solamente Faceplates con tipi di immagine consentiti. Per il tipo di immagine standard, tuttavia, si può creare in un secondo momento anche un tipo di immagine proibito. Se sono stati selezionati nell´Editor questi tipi di immagine, il sistema provvederà a sciogliere il collegamento. Nel Runtime verrà visualizzato un container vuoto.

Modifiche a modelli e immagini

Le immagini nei container vengono adattate a cornice e modelli.

L´immagine da visualizzare viene tagliata in modo corrispondente se:

  • la dimensione del modello viene configurata come minore a quella dell´immagine che esso deve visualizzare
  • un´immagine Faceplate viene aperta come Popup e la sua dimensione viene modificata

Ancora in questo capitolo

Modifica filtri


Modifica filtri

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Usa Faceplate nel Runtime -> Modifica filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri progettai nell´Editor per le imagini del container possono essere modificati nel Runtime a seconda delle impostazioni.

Filtri non modificabili

Per far in modo che non sia possibile modificare i filtri quando si apre un´immagine nel Runtime, disattivate nella Configurazione del cambio immagine l´opzione Proponi questo dialogo a Runtime (i filtri attivi sono modificabili nel Runtime).

Si può aggirare questo blocco con il pulsante Filtro editabile.

Filtri selezionati modificabili

Per far si che sia possibile modificare filtri all´apertura dell´immagine nel Runtime:

  • Attivate nella Configurazione del cambio immagine
    • nella lista Filtri il Checkbox per ogni filtro desiderato
    • l´opzione Proponi questo dialogo a Runtime (i filtri attivi sono modificabili nel Runtime)

Nota: Tenete presente le limitazioni concernenti i tipi di immagine supportati che sono state illustrate nel capitolo Tipi di immagine supportati per "Visualizza questa finestra di dialogo a Runtime".

Al momento dell´apertura dell´immagine nel Runtime viene visualizzata la finestra di dialogo per la selezione e la modifica dei filtri. Tutti i filtri di cui è consentita la modifica possono essere selezionati e modificati. Tutti gli altri filtri sono bloccati. I filtri bloccati, però, possono essere abilitati alla modifica usando il pulsante Filtro editabile.

Visualizzare e modificare tutti i filtri nel Runtime

Con il Pulsante Filtro editabile si può aprire nel Runtime la finestra di dialogo contenente tutti i filtri per consentirne la libera modifica.

Se si vuole che i filtri siano modificabili solo in certa misura, ma che un utente abbia nondimeno un accesso illimitato, si deve fare ciò che segue:

  1. progettate il cambio immagine con nessuna/limitate possibilità di accesso ai filtri
  2. Impostate un pulsante Filtro editabile nell´immagine
  3. assegnate a questo pulsante dei determinati diritti di accesso per utenti e gruppi utenti

Nel Runtime i filtri saranno modificabili solamente nei termini fissati in sede di configurazione del cambio immagine. L´utente che è abilitato a far uso del pulsante può modificare tutti i filtri progettati.


Immagini filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro

Usando le immagini filtro potete configurare in modo individuale pagine filtro con proprie finestre di dialogo. Potete impostare questo dialoghi sulla base di diversi criteri, come, ad esempio, funzionalità touchscreen, filtro solo per aree speciali, possibilità di cambio lingua, ecc.

Sono a disposizione come immagini filtro:

  • Filtro lista informazione allarmi
  • Filtro CEL
  • Filtro tempo/lotto

Ancora in questo capitolo

Crea immagine filtro

Cambio ad un´immagine filtro


Crea immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create immagini filtro per:

  • Filtro lista informazione allarmi
  • Filtro CEL
  • Filtro tempo/lotto

Ancora in questo capitolo

Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Creare un'immagine del tipo filtro CEL

Crea un'immagine del tipo filtro tempo/lotto

Nomi predefiniti

Usa immagine filtro


Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Creare un´immagine di tipo “Filtro per lista informazione allarmi”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo “Filtro Lista di informazione allarmi” consente di modificare e personalizzare a Runtime le impostazioni di filtro per la Lista di informazione allarmi. Vengono configurati e resi accessibili all´operatore solamente i filtri realmente necessari. La visualizzazione può essere definita liberamente e, in questo modo, può essere adeguata ai differenti dispositivi destinatari. Possono essere configurate anche tutte le impostazioni di filtro contenute nel Filtro per la funzione di cambio ad un´immagine di tipo Lista di informazione allarmi.

In questo modo:

  • Vengono configurati e resi accessibili all´utente solamente gli elementi di filtro realmente necessari.
  • Vengono visualizzati solo questi filtri, consentendo all´operatore una visione d´insieme migliore.
  • È possibile definire liberamente l´aspetto della lista a Runtime e rendere così possibile, per esempio, una facile gestione via touch screen.

Per i dettagli relativi alla gestione a Runtime, si veda il capitolo Lista allarmi - “Usare filtri”.

Per la definizione dei criteri di filtro, si veda il capitolo Filtri - Filtro per lista informazione allarmi.

attention Attenzione

Le immagini di tipo Filtro Lista informazioni allarmi, Filtro CEL e Filtro tempo devono essere progettate con un modello proprio. Se usano lo stesso modello di altre immagini, infatti, a Runtime alla chiusura dell´immagine saranno chiuse anche tutte le immagini basate su questo modello.

Creare un´immagine di tipo "Filtro per lista informazione allarmi".

L´immagine di tipo Filtro per lista informazione allarmi serve a [descrizione].

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine selezionare Filtro lista informazione allarmi.
    3. Select the desired frame in the Modello property.
      Nota: l´immagine Filtro AML non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Modelli


Elementi di controllo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi di controllo

L´immagine di tipo “Filtro per lista informazione allarmi” può contenere i seguenti elementi di controllo e visualizzazione.

Inserisci template

Elemento di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative ai template per questo tipo di immagine si trovano nel capitolo Modelli.

Filtro generale

Menù a tendina con diversi filtri generali.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro generale

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale.

Inserisci tutti gli elementi: Filtro generale (Touch)

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale. Gli elementi sono stati ottimizzati per la gestione touch.

Variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome

Filtro per nome variabili.
  • Descrizione

Filtro per identificazione variabili.
  • Rispetta minuscolo/maiuscolo

Si tiene conto della scrittura in lettere maiuscole o minuscole nell´eseguire il filtro delle variabili.

Tipo di allarme

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

Solo allarmi non riconosciuti
  • Solo allarmi rientrati

Solo allarmi rientrati
  • Solo allarmi pendenti

Solo allarmi in attesa.
  • Commento richiesto

Allarmi per il cui ripristino è obbligatorio scrivere un commento.
  • Causa d'allarme richiesta

Allarmi il cui ripristino richiede il collegamento di una causa allarme.

Tempo minimo di presenza allarmi

Tempo minimo in cui gli allarmi devono essere in attesa.
  • Giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.
  • Ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.
  • Minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.
  • Secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.
  • Millisecondi

Solo allarmi che sono in attesa perlomeno dal numero di millisecondi indicato.

Tempo minimo di presenza allarmi (Touch)

Elementi di configurazione del tempo minimo previsto per allarmi in attesa, ottimizzati per la gestione su touch screen.

  • Button: Giorni (up)
  • Touchbox: Giorni
  • Button: Giorni (down)
  • Button: Ore (up)
  • Touchbox: Ore
  • Button: Ore (down)
  • Button: Minuti (up)
  • Touchbox: Minuti
  • Button: Minuti (down)
  • Button: Secondi (up)
  • Touchbox: Secondi
  • Button: Secondi (down)
  • Button: Millisecondi (up)
  • Touchbox: Millisecondi
  • Button: Millisecondi (down)

Sorgente dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Dallo storico allarmi.
  • Numero massimo (Input field)

Inserimento del numero massimo degli allarmi da visualizzare in caso di visualizzazione di allarmi storici.

0: visualizza tutti gli allarmi.

Gruppi/Classi - allarmi/eventi, aree d´allarme

Campo lista per visualizzazione raggruppata:
  • Gruppi di allarme/eventi

Gruppi di allarme/eventi
  • Classi di allarme/eventi

Classi di allarme/eventi
  • Aree allarmi

Aree allarmi
Nota: Se è attiva l´opzione Utilizza gestione allarmi gerarchici della progettazione impianto (gruppo “Gestione allarmi” delle proprietà della variabile), la colonna "Area allarmi" sarà vuota.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

Variabili

  • Nome
  • Identificazione

Tipi di allarme

  • Solo allarmi non ripristinati
  • Solo allarmi rientrati
  • Solo allarmi pendenti
  • Commento richiesto

Sorgente dati

  • Buffer circolare
  • Dati storici
  • Numero massimo (Input field)

Filtro tempo.

Elementi per il filtro tempo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Apre il menù a tendina che consente di selezionare elementi predefiniti per determinati intervalli di tempo.

Periodo assoluto - visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Periodo assoluto - visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Tempo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo di tempo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato, in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di tempo di 15, 30 o 60 minuti.

Intervallo di tempo - un giorno

Elementi per un periodo di tempo di un giorno.

Intervallo di tempo - 1 o 2 settimane

Elementi per un periodo di tempo della durata di una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nella visualizzazione per due settimane, viene selezionato un intervallo di tempo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo di tempo - un mese

Elementi per un periodo di tempo di un mese.

Intervallo di tempo - un anno

Elementi per un periodo di tempo di un anno.

Inserisci tutti (Touch)

Apre il ,menù a tendina che consente di selezionare elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione su touch screen. In modo analogo a quanto visto per la voce di menù Inserisci tutti gli elementi, sono a disposizione:

  • Periodo assoluto - visualizzazione classica
  • Tempo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo - 15/30/60 minuti
  • Intervallo tempo - un giorno
  • Intervallo di tempo - 1 o 2 settimane
  • Intervallo di tempo - un mese
  • Intervallo di tempo - un anno

Tipo filtro tempo impostato (Visualizzazione)

Elemento di tipo Collega testo per la visualizzazione del tipo di filtro tempo impostato.

Tipo filtro tempo (didascalia)

Didascalia del tipo di filtro tempo.

Filtro tempo (Combobox)

Combobox per filtro tempo.

Tipo filtro tempo (Radiogroup)

Elementi di commutazione che nascondono o mostrano determinati elementi a Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Dal Giorno, Mese - HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Da HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo di tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Tempo di inizio (didascalia)
  • Tempo di inizio (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Button: up)
  • Dall'anno (Touchbox)
  • Dall'anno (Button: down)
  • Dal mese (didascalia)
  • Dal mese (Button: up)
  • Dal mese (Touchbox)
  • Dal mese (Button: down)
  • Settimana (didascalia)
  • Settimana (Button: up)
  • Settimana (Touchbox)
  • Settimana (Button: up)
  • Dal giorno (didascalia)
  • Dal giorno (Button: up)
  • Dal giorno (Touchbox)
  • Dal giorno (Button: down)
  • Tempo di inizio (didascalia)
  • Orario di inizio (Button: up)
  • Orario di inizio (Touchbox)
  • Orario di inizio (Button: down)

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili. Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

  • Tipo filtro tempo (Radiogroup)
    Elementi di controllo Win32 di tipo pulsanti di opzione . È stato sostituito da elementi di commutazione. Per la descrizione, si vedano gli elementi attuali.
  • Tipo filtro tempo impostato (Visualizzazione)
    Elemento di controllo Win32 statico. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Filtro lotto.

Elementi per la selezione lotti a Runtime.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Tutti gli elementi

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Applica filtro tempo su lista lotti

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base dei nomi lotto.

Disattivato se l´elemento di controllo Filtro nome lotto non esiste.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Stato della lista archivi
  • Stato della lista Lotti
  • Filtro nome lotto (Campo testo)

Filtro testo

Menù a tendina di diversi filtri testo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per il filtro testo.

Nessun filtro testo

Pulsante di opzione per deselezionare filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivare la ricerca.

Label: Testo da cercare

Didascalia per campo ricerca.

Input field: Testo da cercare

Campo per inserimento per i criteri di ricerca.

Opzioni.

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.
  • Trova parole incomplete

Il sistema cerca anche frammenti di testo.
  • Almeno una parola deve esistere

Almeno uno di più criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

  • Nessun filtro testo
  • Trova (parole separate da uno spazio)
  • Input field: Testo da cercare
  • Rispetta minuscolo/maiuscolo
  • Trova parole incomplete
  • Almeno una parola deve esistere
  • Tutte le parole del testo devono esistere
  • L'intero testo deve coincidere

Pulsanti

Pulsanti a Runtime.

Ok

Pulsante: applica le impostazioni di filtro e chiude l´immagine.

Nota relativa ai Faceplate: nei faceplate possono essere usate immagini di tipo Filtro AML, Filtro CEL e Filtro tempo/lotto. Quando si configurano le immagini a Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccare su Applica.

Annulla

Pulsante: termina la configurazione delle impostazioni di filtro.

Applica

Pulsante: applica le impostazioni di filtro.

Aggiorna

Pulsante: aggiorna la visualizzazione filtrata.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

  • Apri lista bloccata


Modelli

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Creare un´immagine di tipo “Filtro per lista informazione allarmi” -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modelli

Template | Descrizione
Campo lista Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Visualizza l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge elementi standard.
Scada | Modelli speciali, ottimizzati per uso mouse.
Solo filtro variabili & filtro testo | Aggiunge elementi di controllo per eseguire il filtro per variabili e testo.
Senza gruppi allarmi. | Aggiunge elementi di controllo per eseguire il filtro per “variabili”, “testo” e “tempo minimo di presenza allarmi”, senza gruppi allarme.
Standard | Aggiunge elementi di controllo standard.
Filtri variabili, testo & tempo | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e tempo.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (assoluto - compatto) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & tempo (assoluto) | Aggiunge elementi di controllo per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Elimina elementi d'immagine esistenti | Attivo: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Applica | Inserisce gli elementi del modello selezionato nell´immagine e chiude la finestra di dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Creare un'immagine del tipo filtro CEL

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Creare un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Filtro CEL consente di eseguire a Runtime impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili per l´operatore solamente i filtri realmente necessari. La visualizzazione può essere definita liberamente e, in questo modo, la si può adeguare ai differenti macchinari destinatari. Si possono configurare anche tutte le impostazioni di filtro presenti nel Filtro per la funzione di Cambio ad un´immagine di tipo Lista Eventi Cronologica.

In questo modo:

  • Vengono configurati e resi disponibili per l´operatore solamente gli elementi di filtro realmente necessari.
  • Il sistema visualizza a beneficio dell´utente solamente questi filtri, consentendogli una visione d´insieme più semplice e chiara.
  • C`è poi la possibilità di definire in modo libero l´aspetto e di creare le basi di una facile gestione su touchscreen.

Per i dettagli riguardanti la gestione a Runtime, si veda il capitolo Usare i filtri CEL.

Per quanto riguarda la definizione dei criteri di filtro, si veda il capitolo Filtri per cambio all´immagine Filtro CEL.

attention Attenzione

Le immagini di tipo Filtro Lista informazioni allarmi, Filtro CEL e Filtro tempo devono essere progettate con un modello proprio. Se usano lo stesso modello di altre immagini, infatti, a Runtime alla chiusura dell´immagine saranno chiuse anche tutte le immagini basate su questo modello.

Creare un´immagine di tipo “Filtro CEL”

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Filtro CEL.
    3. Select the desired frame in the Modello property.
      Nota: l´immagine Filtro CEL non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Template


Elementi di controllo

Elementi di controllo

L´immagine di tipo Filtro CEL può contenere i seguenti elementi di controllo e visualizzazione.

Inserisci template..

Elemento di controllo

Descrizione

Inserisci template..

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative ai template per questo tipo di immagine si trovano nel capitolo Modelli.

Filtro generale

Menù a tendina con diversi filtri generali.

Elemento di controllo

Descrizione

Escludi messaggi di sistema dal filtro

Mostra a Runtime una checkbox per visualizzare o filtrare segnalazioni del sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Gestione nel Runtime:

  • Attivo: le segnalazioni di sistema vengono sempre visualizzate a Runtime. Questo vale anche quando dovrebbero essere escluse dal filtro testo o filtro variabili.
    Eccezione: le segnalazioni di sistema, però, non sono visualizzate nonostante la checkbox sia stata attivata, quando vengono escluse dal Filtro tempo, oppure dai filtri per la Origine dei dati (buffer circolare oppure dati storici).

Esempio: devono essere visualizzate solamente le segnalazioni contenenti il testo "XY". Se è stata attivata questa opzione, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Inserisci tutti gli elementi: Filtro generale

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale.

Variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome

Filtro per nome variabili.
  • Identificazione

Filtro per identificazione variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene conto della scrittura in lettere maiuscole o minuscole nell´eseguire il filtro delle variabili.

Sorgente dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Numero massimo (Label)

Testo per il campo di inserimento Numero massimo

  • Numero massimo (Input field)

Inserimento del numero massimo degli allarmi da visualizzare in caso di visualizzazione di allarmi storici.

0: visualizza tutti gli allarmi.

Impostazioni Runtime

  • Apri lista bloccata

Apre la CEL in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Gruppi/Classi - allarmi/eventi, aree d´allarme

Campo lista per visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si veda l´elemento attuale.

Escludi messaggi di sistema dal filtro

Variabili

  • Nome
  • Identificazione
  • Rispetta minuscolo/maiuscolo

Sorgente dati

  • Buffer circolare
  • Dati storici
  • Numero massimo (Input field)

Filtro tempo.

Elementi per il filtro tempo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Apre il menù a tendina che consente di selezionare elementi predefiniti per determinati intervalli di tempo.

Periodo assoluto - visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Periodo assoluto - visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Tempo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo di tempo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato, in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di tempo di 15, 30 o 60 minuti.

Intervallo di tempo - un giorno

Elementi per un periodo di tempo di un giorno.

Intervallo di tempo - 1 o 2 settimane

Elementi per un periodo di tempo della durata di una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nella visualizzazione per due settimane, viene selezionato un intervallo di tempo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo di tempo - un mese

Elementi per un periodo di tempo di un mese.

Intervallo di tempo - un anno

Elementi per un periodo di tempo di un anno.

Inserisci tutti (Touch)

Apre il ,menù a tendina che consente di selezionare elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione su touch screen. In modo analogo a quanto visto per la voce di menù Inserisci tutti gli elementi, sono a disposizione:

  • Periodo assoluto - visualizzazione classica
  • Tempo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo - 15/30/60 minuti
  • Intervallo tempo - un giorno
  • Intervallo di tempo - 1 o 2 settimane
  • Intervallo di tempo - un mese
  • Intervallo di tempo - un anno

Tipo filtro tempo impostato (Visualizzazione)

Elemento di tipo Collega testo per la visualizzazione del tipo di filtro tempo impostato.

Tipo filtro tempo (didascalia)

Didascalia del tipo di filtro tempo.

Filtro tempo (Combobox)

Combobox per filtro tempo.

Tipo filtro tempo (Radiogroup)

Elementi di commutazione che nascondono o mostrano determinati elementi a Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Dal Giorno, Mese - HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Da HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo di tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Tempo di inizio (didascalia)
  • Tempo di inizio (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Button: up)
  • Dall'anno (Touchbox)
  • Dall'anno (Button: down)
  • Dal mese (didascalia)
  • Dal mese (Button: up)
  • Dal mese (Touchbox)
  • Dal mese (Button: down)
  • Settimana (didascalia)
  • Settimana (Button: up)
  • Settimana (Touchbox)
  • Settimana (Button: up)
  • Dal giorno (didascalia)
  • Dal giorno (Button: up)
  • Dal giorno (Touchbox)
  • Dal giorno (Button: down)
  • Tempo di inizio (didascalia)
  • Orario di inizio (Button: up)
  • Orario di inizio (Touchbox)
  • Orario di inizio (Button: down)

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili. Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

  • Tipo filtro tempo (Radiogroup)
    Elementi di controllo Win32 di tipo pulsanti di opzione . È stato sostituito da elementi di commutazione. Per la descrizione, si vedano gli elementi attuali.
  • Tipo filtro tempo impostato (Visualizzazione)
    Elemento di controllo Win32 statico. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Filtro lotto.

Elementi per la selezione lotti a Runtime.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Tutti gli elementi

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Applica filtro tempo su lista lotti

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base dei nomi lotto.

Disattivato se l´elemento di controllo Filtro nome lotto non esiste.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Stato della lista archivi
  • Stato della lista Lotti
  • Filtro nome lotto (Campo testo)

Filtro testo

Menù a tendina di diversi filtri testo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per il filtro testo.

Nessun filtro testo

Pulsante di opzione per deselezionare filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivare la ricerca

Label: Testo da cercare

Didascalia per campo ricerca.

Input field: Testo da cercare

Campo per inserimento per i criteri di ricerca.

Opzioni.

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.
  • Trova parole incomplete

Il sistema cerca anche frammenti di testo.
  • Almeno una parola deve esistere

Almeno uno di più criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole del testo devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si veda l´elemento attuale.

  • Nessun filtro testo
  • Trova (parole separate da uno spazio)
  • Campo input: Testo da cercare
  • Rispetta minuscolo/maiuscolo
  • Trova parole incomplete
  • Almeno una parola deve esistere
  • Tutte le parole del testo devono esistere
  • L'intero testo deve coincidere

Impostazioni Runtime

Elemento di controllo

Descrizione
  • Apri lista bloccata

Apre la CEL in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Pulsanti

Pulsanti a Runtime.

Ok

Pulsante: applica le impostazioni di filtro e chiude l´immagine.

Nota relativa ai Faceplate: nei faceplate possono essere usate immagini di tipo Filtro AML, Filtro CEL e Filtro tempo/lotto. Quando si configurano le immagini a Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccare su Applica.

Annulla

Pulsante: termina la configurazione delle impostazioni di filtro.

Applica

Pulsante: applica le impostazioni di filtro.

Aggiorna

Pulsante: aggiorna la visualizzazione filtrata.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

  • Apri lista bloccata
  • Visualizza tempo relativo (relativo all´inserimento selezionato)


Template

Template

Template | Descrizione
Casella di riepilogo Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Visualizza l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge elementi standard.
Scada | Modelli speciali, ottimizzati per la gestione con il mouse.
Standard | Aggiunge elementi standard.
Filtri variabili, testo & tempo (assoluto - compatto) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & tempo (assoluto) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (tipo selezionabile). | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo selezionabile.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Applica | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Crea un'immagine del tipo filtro tempo/lotto

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea un'immagine del tipo filtro tempo/lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Facendo uso di un´immagine del tipo Filtro tempo è possibile effettuare delle impostazioni concernenti il filtro tempo durante il runtime. I seguenti tipi di immagine possono essere influenzati facendo uso di filtro tempo:

  • Lista di informazioni allarmi
  • Post-elaborazione archivio
  • Lista Eventi Cronologica
  • Trend esteso

Il vantaggio di questo tipo di immagine è rappresentato dal fatto che possono essere configurati solamente gli elementi di filtro veramente necessari. Proprio per questo l´utente non si deve occupare di tutte le possibili impostazioni concernenti il filtro. Vengono visualizzate, infatti, solamente le impostazioni di filtro di cui l´utente ha veramente bisogno. Avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen.

attention Attenzione

Le immagini di tipo Filtro Lista informazioni allarmi, Filtro CEL e Filtro tempo devono essere progettate con un modello proprio. Se usano lo stesso modello di altre immagini, infatti, a Runtime alla chiusura dell´immagine saranno chiuse anche tutte le immagini basate su questo modello.

Nell´immagine del tipo "Filtro tempo" potete configurare tutte le impostazioni riguardanti il filtro tempo che sono presenti nel Filtro per la funzione cambio all´immagine corrispondente.

Crea un'immagine del tipo filtro tempo

Crea un'immagine del tipo filtro tempo

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine filtro tempo.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Modelli


Elementi di controllo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea un'immagine del tipo filtro tempo/lotto -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi di controllo

Per le immagini del tipo Filtro tempo, sono disponibili, oltre agli elementi classici, anche altri elementi che sono stati ottimizzati per la gestione touch.

Inserisci template

Elemento di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative ai template per questo tipo di immagine si trovano nel capitolo Modelli.

Filtro tempo.

Elementi per il filtro tempo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Apre il menù a tendina che consente di selezionare elementi predefiniti per determinati intervalli di tempo.

Periodo assoluto - visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Periodo assoluto - visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Tempo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo di tempo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato, in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di tempo di 15, 30 o 60 minuti.

Intervallo di tempo - un giorno

Elementi per un periodo di tempo di un giorno.

Intervallo di tempo - 1 o 2 settimane

Elementi per un periodo di tempo della durata di una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nella visualizzazione per due settimane, viene selezionato un intervallo di tempo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo di tempo - un mese

Elementi per un periodo di tempo di un mese.

Intervallo di tempo - un anno

Elementi per un periodo di tempo di un anno.

Inserisci tutti (Touch)

Apre il ,menù a tendina che consente di selezionare elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione su touch screen. In modo analogo a quanto visto per la voce di menù Inserisci tutti gli elementi, sono a disposizione:

  • Periodo assoluto - visualizzazione classica
  • Tempo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo - 15/30/60 minuti
  • Intervallo tempo - un giorno
  • Intervallo di tempo - 1 o 2 settimane
  • Intervallo di tempo - un mese
  • Intervallo di tempo - un anno

Tipo filtro tempo impostato (Visualizzazione)

Elemento di tipo Collega testo per la visualizzazione del tipo di filtro tempo impostato.

Tipo filtro tempo (didascalia)

Didascalia del tipo di filtro tempo.

Filtro tempo (Combobox)

Combobox per filtro tempo.

Tipo filtro tempo (Radiogroup)

Elementi di commutazione che nascondono o mostrano determinati elementi a Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Dal Giorno, Mese - HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Da HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo di tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Tempo di inizio (didascalia)
  • Tempo di inizio (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Button: up)
  • Dall'anno (Touchbox)
  • Dall'anno (Button: down)
  • Dal mese (didascalia)
  • Dal mese (Button: up)
  • Dal mese (Touchbox)
  • Dal mese (Button: down)
  • Settimana (didascalia)
  • Settimana (Button: up)
  • Settimana (Touchbox)
  • Settimana (Button: up)
  • Dal giorno (didascalia)
  • Dal giorno (Button: up)
  • Dal giorno (Touchbox)
  • Dal giorno (Button: down)
  • Tempo di inizio (didascalia)
  • Orario di inizio (Button: up)
  • Orario di inizio (Touchbox)
  • Orario di inizio (Button: down)

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili. Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

  • Tipo filtro tempo (Radiogroup)
    Elementi di controllo Win32 di tipo pulsanti di opzione . È stato sostituito da elementi di commutazione. Per la descrizione, si vedano gli elementi attuali.
  • Tipo filtro tempo impostato (Visualizzazione)
    Elemento di controllo Win32 statico. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Filtro lotto.

Elementi per la selezione lotti a Runtime.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Tutti gli elementi

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Applica filtro tempo su lista lotti

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base dei nomi lotto.

Disattivato se l´elemento di controllo Filtro nome lotto non esiste.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Stato della lista archivi
  • Stato della lista Lotti
  • Filtro nome lotto (Campo testo)

Pulsanti

Pulsanti a Runtime.

Ok | Pulsante: applica le impostazioni di filtro e chiude l´immagine. Nota relativa ai Faceplate: nei faceplate possono essere usate immagini di tipo Filtro AML, Filtro CEL e Filtro tempo/lotto. Quando si configurano le immagini a Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccare su Applica.
Annulla | Pulsante: termina la configurazione delle impostazioni di filtro.
Applica | Pulsante: applica le impostazioni di filtro.
Aggiorna | Pulsante: aggiorna la visualizzazione filtrata.

Messa in rilievo di elementi touch

Gli elementi di controllo per la gestione touch possono essere messi in evidenza mediante colori. A tal scopo, nell´immagine per gli elementi touch vengono configurate le seguenti proprietà del gruppo Riempimento:

  • Colore testo con Focus: colore testo se l´elemento ha il focus
  • Colore di sfondo con focus: colore di sfondo se l´elemento ha il focus
  • Colore testo senza Focus: colore testo se l´elemento non ha il focus
  • Colore di sfondo senza focus: colore di sfondo se l´elemento non ha il focus


Modelli

Modelli

Per le immagini del tipo Filtro tempo sono a disposizione modelli predefiniti.

Template | Descrizione
Campo liste Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Visualizza l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge elementi di controllo standard.
Scada | Modelli per la gestione mouse.
Assoluto | Aggiunge elementi per il periodo assoluto.
Assoluto calendario | Aggiunge elementi per il periodo assoluto con calendario.
Assoluto compatto | Aggiunge elementi per il periodo assoluto in design compresso.
Standard | Aggiunge elementi di controllo standard.
Dal mese | Aggiunge degli elementi per l´intervallo di tempo dal mese.
Dall´ora | Aggiunge degli elementi per l´intervallo di tempo dall´ora.
dal giorno | Aggiunge degli elementi per l´intervallo di tempo dal giorno.
Touch | Modello, ottimizzato per la gestione touch.
Assoluto | Aggiunge elementi per il periodo assoluto.
Standard | Aggiunge elementi di controllo standard.
Dal mese | Aggiunge degli elementi per l´intervallo di tempo dal mese.
Dall´ora | Aggiunge degli elementi per l´intervallo di tempo dall´ora.
dal giorno | Aggiunge degli elementi per l´intervallo di tempo dal giorno.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Elimina elementi d'immagine esistenti | Attiva: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.

Chiudere la finestra di dialogo.

Parametro | Descrizione
Elimina elementi d'immagine esistenti | Attiva: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Acquisisci | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Nomi predefiniti

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i filtri tempo sono disponibili nomi predefiniti.

Attenzione: i nomi predefiniti non sono disponibili con Windows CE.

Per selezionare un nome:

  1. Nella visualizzazione dettagli, definire Filtro tempo, Filtro CEL oppure Filtro lista informazioni allarmi come tipo di immagine.
  2. Nella colonna “Nome”, cliccare due volte sul campo corrispondente all´immagine selezionata.
  3. Selezionare il nome predefinito desiderato fra quelli offerti del menù a tendina.
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE

Nota: le immagini del tipo Filtro CEL e Filtro AML dispongono anche di un nome predefinito CEL_FILTER oppure AML_FILTER.


Usa immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Usa immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini filtro consentono di trasferire un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene applicato all´immagine di destinazione. Le immagini possono essere anche di tipi diversi.

attention Attenzione

Perché a Runtime il tempo possa essere acquisito dall´immagine che apre, quando si configura il filtro tempo della funzione di cambio immagine per la Lista di informazione allarmi o per la Lista Eventi Cronologica, si deve impostare il seguente intervallo di tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Perché vengano applicati i filtri impostati, devono essere soddisfatti i seguenti requisiti:

  1. Come intervallo di tempo per il filtro tempo, deve essere selezionato Imposta filtro come filtro temporale.
  2. L´immagine (di tipo Filtro per lista informazione allarmi, Filtro CEL oppure Filtro tempo/lotto) deve essere richiamata usando un pulsante oppure un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Questo è possibile solamente se le due immagini non utilizzano o lo stesso modello o lo stesso monitor.
  4. L´immagine chiamante deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo.
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo. | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: vengono attualizzate le impostazioni comuni.
  • T: vengono aggiornate le impostazioni temporali.
  • X: vengono aggiornate tutte le impostazioni.

info Info

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni dei punti da 1 a 3 non è soddisfatta, oppure
  • L´impostazione Immagine chiamante della funzione Cambio immagine non è attiva, oppure
  • L´immagine non viene aperta mediante un elemento ad immagine.

In questo caso, i pulsanti Acquisisci, Chiudi e Aggiorna saranno visualizzati in color grigio (disattivati) e non saranno utilizzabili.

Aggiornamento

Quando viene aperta un´immagine filtro (Filtro Lista di informazione allarmi, Filtro CEL, Filtro tempo), le immagini configurate nella funzione Cambio immagine vengono aggiornate in due modi:

  • Se l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Se invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor (funzione di cambio immagine “Filtro CEL”) è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento viene eseguito non appena si clicca sul pulsante Acquisisci, oppure non appena si chiude l´immagine filtro tramite il pulsante Chiudi. Il pulsante Annullare rigetta le modifiche e chiude l´immagine filtro.

Aggiornare le impostazioni di filtro

Quando si clicca sul pulsante Aggiorna, vengono acquisite le correnti impostazioni di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine chiamante non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´update. La prima immagine trovata, verrà usata per eseguire l´update.


Cambio ad un´immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare una funzione che serve ad aprire un´immagine filtro, procedete come segue:

  1. Scegliere il comando Nuova funzione.
  2. Selezionate Cambio immagine.
  3. Selezionate l´immagine desiderata:
    • filtro-AML
    • filtro-CEL
    • Filtro tempo
  4. Verrà aperto il dialogo per la configurazione e il collegamento dei filtri per il tipo di immagine selezionato.
    Le schede visualizzate dipendono dal tipo d´immagine.
  5. Configurate le schede corrispondenti.

info Info

Schede per tipi d´immagine speciali:

  • Filtro-AML: immagini, generale, testo, tempo, lotti, impostazioni colonna
  • Filtro-CEL: immagini, generale, testo, tempo, lotti, impostazioni colonna
  • Filtro tempo: immagini, tempo, lotti, impostazioni colonna

Ancora in questo capitolo

Immagini

Generale

Testo

Ora

Lotto

Impostazioni colonne


Immagini

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali immagini debbano essere aggiornate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro verrà acquisito da questa immagine:

Parametri

Descrizione

Il filtro verrà acquisito da questa immagine

Definizione dell´immagine da cui deve essere acquisito il filtro.

Immagine chiamante

Attivo: le impostazioni di filtro vengono acquisite dall´immagine da cui viene aperta l´immagine filtro. Il pulsante “Immagine predefinita” è visualizzato in color grigio. Non è possibile indicare esplicitamente un´immagine, visto che, quando è attiva l´opzione “Immagine chiamante”, l´aggiornamento del filtro avviene sempre sulla base dell´immagine che apre.

Nota: in questo caso, le impostazioni delle schede Generale, Testo e Ora sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre la finestra di dialogo di selezione immagini.

Selezionare l´immagine dalla quale deve essere letto il filtro quando a Runtime si clicca sul pulsante Aggiorna a Runtime.

Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.

Attenzione: quando l´immagine filtro viene aperta per la prima volta tramite la funzione, viene applicato il filtro configurati nella funzione, non quello dell´immagine indicata qui!

Nota: dunque ha senso solo selezionare un´immagine che può acquisire, o popolare il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da aggiornare. Se si cancella un´immagine dalla lista delle immagini, la prossima immagine della lista verrà inserita automaticamente nel campo “Immagine preferita”.

Nota: questa opzione non sarà attiva (non configurabile) se è stata attivata la checkbox Immagine chiamante.

Immagini da aggiornare

Parametri | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.
Selezione immagine | Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare immagini filtro. Selezionare le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´acquisizione del filtro.
Aggiorna su tutti i Monitor | Attivo: le immagini della lista di quelle da aggiornare verranno aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa scheda è disponibile solamente per la Lista di informazioni allarmi e per la Lista eventi cronologica Filtro, e mostra i filtri standard per le liste corrispondenti. Vedi Lista di informazioni allarmi Filtro oppure Lista eventi cronologica Filtro.

AML

Filtro variabili

Parametri

Descrizione

Filtro variabili

Restrizione agli allarmi di determinate variabili.

Nome variabile

Inserire il nome o la parte del nome delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Inserire l´identificazione oppure la parte d´identificazione delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro. È possibile usare la wildcard *.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Rispetta minuscolo/maiuscolo

Attivo: si prende in considerazione la scrittura maiuscola e minuscola per il filtro per nomi o/e per identificazioni variabili.

Tipo di allarme

Parametri

Descrizione

Tipo di allarme

Tipo degli allarmi che verranno visualizzati a Runtime.

Solo allarmi non riconosciuti

Attivo: verrano visualizzati solo gli allarmi che non sono stati ancora riconosciuti dall´utente.

Solo allarmi rientrati

Attivo: verrano visualizzati solamente gli allarmi che sono già rientrati, cioè i cui valori non si trovano più in zona critica.

Solo allarmi in attesa

Attivo: verrano visualizzati solamente gli allarmi ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento richiesto

Attivo: verrano visualizzati solamente gli allarmi per cui è obbligatorio inserire un commento quando li si riconosce.

Causa d'allarme richiesta

Attivo: verrano visualizzati solamente gli allarmi per il cui ripristino è obbligatorio collegare una causa allarme.

Allarmi devono essere presenti da almeno

Usando le caselle di selezione, definire l´intervallo di tempo minimo in cui un allarme deve essere in attesa per poi poter essere visualizzato. Possibili impostazioni:

  • Giorni
  • Ore (Or.)
  • Minuti (Min.)
  • Secondi (Sec.)
  • Millisecondi (MS)

Sorgente dati

Parametri | Descrizione
Sorgente dati | Visualizzazione degli alarmi correnti o degli allarmi correnti e storici.
Buffer circolare | Attivo: vengono visualizzati solamente i dati provenienti dal buffer circolare .
Dati storici Numero max | Attivo: verrano visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo di dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, aree d' allarme | Selezione di gruppi, classi e aree allarme.
Gruppi di allarme/eventi | Selezionare nella lista dei gruppi di allarme/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Classi di allarme/eventi | Selezionare nella lista delle classi di allarme/eventi esistenti quelle i cui allarmi devono essere visualizzati.
Aree allarmi | Selezionare nella lista delle aree allarmi esistenti quelle i cui allarmi devono essere visualizzati. Nota: Se è attiva l´opzione Utilizza gestione allarmi gerarchici della progettazione impianto (gruppo “Gestione allarmi” delle proprietà della variabile), la colonna "Area allarmi" sarà vuota.
Impostazioni Runtime | Comportamento della AML a Runtime.
Visualizza lista bloccata | Attivo: finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.


Testo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono valori predefiniti per il filtro testo. Disponibile solamente per il filtro lista allarmi e per quello della lista eventi cronologica.

Filtra

Parametri | Descrizione
Filtra |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni di configurazione della finestra di dialogo diventano attive.
Campo di inserimento | In questo campo si inseriscono le parole, oppure le sequenze di caratteri per il filtro.

Opzioni.

Parametri | Descrizione
Opzioni. |
Rispetta minuscolo/maiuscolo | Attivo: nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole.
Non tutte le parole devono coincidere | Attivo: per il filtro si prendono in considerazione anche parti di parole
E' richiesta almeno una parola | Attivo: Almeno una parola della stringa che serve da criterio di ricerca deve essere presente nel testo.
Tutte le parole devono esistere | Attivo: tutte le parole della stringa che serve da criterio di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo intero deve coincidere | Attivo: il testo deve essere esattamente quello definito nella stringa che serve da criterio di ricerca.


Ora

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce l´intervallo di tempo da applicare all´apertura dell´immagine filtro.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Periodo assoluto

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Periodo relativo

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Da

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Intervallo di tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Impostare intervallo di tempo nell´Editor

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Filtro tempo configurabile a Runtime

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
Parametri | Descrizione
Nessun filtro lotto | Attivo: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non ci sarà un filtro per lotti.
Applica direttamente filtro lotto | Attivo: il filtro configurato qui verrà applicato direttamente a Runtime.

Archivio(i)

Configurazione del filtro per archivi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non viene eseguita un´operazione di filtro per nome archivi.

Statico

Attivo: vengono filtrati gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso, il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non c´è un filtro per nome lotti.

Statico

Attivo: vengono filtrati i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonne

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce come la Lista archivi e la Lista lotti devono essere visualizzate a Runtime a partire dall´immagine di tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne.
  • Formato delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametri | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametri | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di selezionare le colonne e il loro ordinamento.
Formato colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di formattare la lista.
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Selezione colonne

Selezione e ordine delle colonne.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Formato colonne

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Message Box

Manuale -> Immagini -> Tipi di immagine -> Message Box

Tramite message boxes potete far visualizzare nel Runtime messaggi di sistema. 5 diversi tipi di messaggi di sistema possono essere configurati nel Runtime:

  • Message Box [Ok]
  • Message Box [Si, No]
  • Message Box [Si, No, Si Tutti, No Tutti]
  • Message Box [Ok, Annulla]
  • Message Box [Si, No, Annulla]

Nota: I tipi di message boxes elencati sopra vengono aperti solamente se vengono richiamati direttamente da un´immagine di zenon. I message boxes richiamati da una finestra di dialogo, rimangono immutati.

Ancora in questo capitolo

Crea immagine del tipo Message Box

Gestione a Runtime


Crea immagine del tipo Message Box

Manuale -> Immagini -> Tipi di immagine -> Message Box -> Crea immagine del tipo Message Box

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare Message Box nella proprietà Tipo di immagine.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

attention Attenzione

Tenete presente per il modello selezionato le seguenti impostazioni:

  • Attivate l´opzione Modello multi istanziabile
  • Attivate l´opzione Inibisci chiusura alla perdita del Focus
  • L´immagine Message Box non deve basarsi sullo stesso modello di altre immagini!
  • Disattivate l´opzione Min./Max. Pulsanti nelle proprietà di progetto Cornice.

Vi preghiamo di tenere assolutamente presenti le seguenti informazioni per l´immagine del tipo Message Box:

  • Non si può progettare una funzione di cambio immagine nell´immagine.
  • L´immagine del tipo Message Box non può essere richiamata tramite una funzione di cambio immagine.


Gestione a Runtime

Manuale -> Immagini -> Tipi di immagine -> Message Box -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili i seguenti elementi di controllo:

Elemento di controllo | Azione
Titolo della Message Box | Header della message box.
Testo della Message Box | Contenuto della message box.
Pulsanti | Apre la finestra di dialogo per la selezione di un´azione.
Ok | Conferma l´azione e chiude la finestra di dialogo.
Annulla | Annulla l´azione e chiude il dialogo.
Sì | Applica le modifiche e chiude la finestra di dialogo.
No | Rifiuta le modifiche e chiude il dialogo.
Sì tutti | Riprende e accetta tutte le modifiche e chiude il dialogo.
No tutti | Annulla tutte le modifiche e chiude la finestra di dialogo.
Icone | Alcuni messaggi di sistema hanno un´icona che ne simboleggia il tipo.
Punto esclamativo | Appare quando un messaggio di sistema è un avvertimento.
Informazioni | Appare quando un messaggio di sistema fornisce un´informazione.
Richiesta | Appare quando un messaggio di sistema pone una domanda.
Errore | Appare in un messaggio di sistema in forma di errore.

Nota: Le icone sono implementate come pulsanti privi di funzione. Sostituite la didascalia con file grafici per ottenere l´aspetto desiderato.


HTML

Manuale -> Immagini -> Tipi di immagine -> HTML

Permette la visualizzazione di un´immagine in HTML. Il Microsoft Web Browser Control installato attualmente sul computer viene usato come Rendering Engine.

info Info

Sotto Windows CE, i browser sono limitati nelle loro possibilità. È possibile che delle pagine non vengano visualizzate come ci si aspetterebbe.

Modalità compatibilità

Il comportamento della modalità compatibilità può essere adattato usando la Windows Registry.

Esempio: Settare la modalità compatibilità per Internet Explorer 11:

  1. portatevi alla chiave HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION
  2. aggiungete il seguente valore DWORD: Zenrt32.exe
    (Fate attenzione alla scrittura maiuscola e minuscola)
  3. settate il suo valore decimale su: 11001

Nota: Su di un calcolatore a 64-Bit, aggiungete lo stesso valore DWORD nella seguente chiave:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION

GPU Rendering

Il comportamento può essere adattato usando la Windows Registry.

Esempio: Settare GPU Rendering:

  1. portatevi alla chiave HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING
  2. aggiungete il seguente valore DWORD: Zenrt32.exe
    (Fate attenzione alla scrittura maiuscola e minuscola)
  3. settate il suo valore decimale su: 00000001

Nota: Su di un calcolatore a 64-Bit, aggiungete lo stesso valore DWORD nella seguente chiave:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING

Ancora in questo capitolo

Creare un'immagine del tipo HTML

Cambio ad un´immagine del tipo HTML


Creare un'immagine del tipo HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Creare un'immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine del tipo HTML

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine HTML.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Crea un'immagine del tipo HTML

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Browser | Elementi di controllo per il browser.
Finestra navigazione | Visualizzazione del browser.
Campo indirizzo | Campo per l´inserimento dell´indirizzo (URL).
Pagina iniziale | Richiamo della pagina iniziale.
In avanti | sfoglia in avanti.
Indietro | sfoglia indietro.
Aggiorna | aggiorna la visualizzazione.
Interrompi | termina la navigazione.
Ricerca | Elementi di controllo per la ricerca. Cliccando su un link nel campo Ricerca, viene visualizzata la pagina corrispondente nel browser. Così possono essere visualizzati nel campo 'Ricerca', per esempio, una barra di navigazione oppure il risultato di una ricerca del motore di ricerca, senza che il suo contenuto venga modificato se si clicca su un link.
Trova | visualizzazione della ricerca.
Campo di ricerca | Cercare indirizzi o file.
Pagina iniziale | Ritornare all´inizio nella zona di ricerca
In avanti | Sfogliare avanti nel campo di ricerca
Indietro | Sfogliare indietro nel campo di ricerca
Aggiorna | Aggiorna la visualizzazione nel campo di ricerca.
Stop | Interrompere la ricerca
Filtro | Aprire box filtro


Cambio ad un´immagine del tipo HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Cambio ad un´immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una funzione per l´apertura di un´immagine del tipo HTML:

  • Selezionare il comando Nuova funzione.
  • Selezionate Cambio immagine.
  • Scegliete la Immagine del tipo HTML
  • Si apre il dialogo di configurazione
  • Configurate i parametri per browser e ricerca.
    L´indirizzo browser può essere configurato in modo statico, oppure essere ripreso da un variabile.
  • Confermate la configurazione cliccando su OK.

Finestra di dialogo Cambio immagine - HTML

Indirizzi

Parametro

Descrizione

Indirizzi

Selezione del tipo di inserimento indirizzo per la pagina iniziale:

  • URL statico: Inserimento di un indirizzo fisso nel campo di inserimento Finestra navigazione, oppure selezione fra quelli proposti dal menù a tendina. .
  • URL da variabile: Selezione di una variabile nel campo variabile, che trasmette l´indirizzo nel Runtime.

Variabile

Inserimento della variabile che consegna nel Runtime gli URL della pagina iniziale. Cliccando sul pulsante ... si aprirà la finestra di dialogo per selezionare una variabile. La variabile può essere inserita anche direttamente nell´apposito campo.

Disponibile solamente se per Indirizzi è stata selezionata l´opzione URL da variabile.

Finestra navigazione

Inserimento dell´URL che deve essere aperto come pagina iniziale nel Runtime. Selezione dalla lista a cascata, oppure inserimento diretto nel campo apposito.

Disponibile solamente se per Indirizzi è stata selezionata l´opzione URL statico.

Trova

Selezione dell´URL che viene usato per la ricerca in Internet. Selezione dalla lista a cascata, oppure inserimento diretto nel campo apposito.

Cronologia

Parametro | Descrizione
Cronologia | Numero degli indirizzi che sono a disposizione per il menù a tendina.
Indirizzi di ricerca | Numero degli indirizzi di cui si prende nota per il campo di ricerca e sono a disposizione nel menù a tendina. Minimo: 0 Massimo: 20 Default: 10
Indirizzo browser | Numero degli indirizzi di cui si prende nota per la pagina iniziale. Minimo: 0 Massimo: 20 Default: 10

Generale

Parametro

Descrizione

Proponi dialogo a Runtime
  • Attiva: Il dialogo viene visualizzato all´apertura dell´immagine nel runtime. Le impostazioni possono essere modificate e adattate.
  • Non attivo: Nel Runtime valgono le impostazioni che sono state effettuate in questa sede. Esse non possono essere più modificate.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note

Il blocco note consente la visualizzazione e (opzionalmente) la modifica di file di testo.

Ancora in questo capitolo

Crea un'immagine del tipo Blocco note

Funzione Cambio ad un´immagine del tipo Blocco note.

Gestione a Runtime


Crea un'immagine del tipo Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Crea un'immagine del tipo Blocco note

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Blocco note

La dimensione di visualizzazione del blocco note liste dipende dalla grandezza del modello associato. Nella definizione del Cambio immagine bisogna stabilire quale file viene aperto.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine blocco note.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elemento di controllo | Azione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra-blocco note | Rappresenta il blocco note selezionato.
Funzioni blocco note | Gli elementi di controllo per la gestione del blocco note.
File... | Apre la finestra di dialogo per la selezione di un file.
Aggiorna | Attualizza la finestra selezionata.
Salva | Salva il file di testo nella cartella indicata.
Salva con nome... | Apre il dialogo che serve alla selezione di un percorso di salvataggio e di un nome.
Chiudi | Chiede la finestra attiva in quel momento.
Stampa | Stampa il contenuto del blocco note sulla stampante definita.
Dialogo di stampa... | Apre, prima di effettuare la stampa, la finestra di dialogo che serve a selezionare una stampante.
Navigazione |  | Elementi di controllo che servono alla navigazione.
Riga in su |  | Passa una riga in su all´interno del file di testo.
Riga in giù |  | Passa una riga in giù su all´interno del file di testo.
Colonna a destra |  | Si sposta una colonna a destra all´interno del file di testo.
Colonna a sinistra |  | Si sposta una colonna a sinistra all´interno del file di testo.
Pagina in su |  | Si sposta una pagina in su all´interno del file di testo.
Pagina in giù |  | Si sposta una pagina in giù all´interno del file di testo.
Pagina a destra |  | Si sposta una pagina a destra all´interno del file di testo.
Pagina a sinistra |  | Si sposta una pagina a sinistra all´interno del file di testo.


Funzione Cambio ad un´immagine del tipo Blocco note.

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Funzione Cambio ad un´immagine del tipo Blocco note.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare una funzione per aprire l´immagine blocco note, procedete come segue:

  • Selezionare nuova funzione
  • Selezionare "Cambio immagine".
  • Scegliete la Immagine del tipo Blocco note
  • Si apre un dialogo per la definizione del file che deve essere visualizzato.

Parametro | Descrizione
Nome file | Selezione del file che deve essere visualizzato. Un clic sul comando ... apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Testi e formati. Nel caso in cui non dovesse essere ancora stato impostato il relativo file, lo si può selezionare nel dialogo facendo uso del simbolo Aggiungi file. Tipi di dato consentiti: TXT, HTM, HTML, FRM.
Sola lettura | Attiva: Il testo può essere letto, ma non editato durante il runtime.


Gestione a Runtime

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili i seguenti elementi di controllo:

Elemento di controllo | Azione
Finestra-blocco note | Rappresenta il blocco note selezionato.
Funzioni blocco note | Gli elementi di controllo per la gestione del blocco note.
File... | Apre la finestra di dialogo per la selezione di un file.
Aggiorna | Attualizza la finestra selezionata.
Salva | Salva il file di testo nella cartella indicata.
Salva con nome... | Apre il dialogo che serve alla selezione di un percorso di salvataggio e di un nome.
Chiudi | Chiede la finestra attiva in quel momento.
Stampa | Stampa il contenuto del blocco note sulla stampante definita.
Dialogo di stampa... | Apre, prima di effettuare la stampa, la finestra di dialogo che serve a selezionare una stampante.
Navigazione |  | Elementi di controllo che servono alla navigazione.
Riga in su |  | Passa una riga in su all´interno del file di testo.
Riga in giù |  | Passa una riga in giù su all´interno del file di testo.
Colonna a destra |  | Si sposta una colonna a destra all´interno del file di testo.
Colonna a sinistra |  | Si sposta una colonna a sinistra all´interno del file di testo.
Pagina in su |  | Si sposta una pagina in su all´interno del file di testo.
Pagina in giù |  | Si sposta una pagina in giù all´interno del file di testo.
Pagina a destra |  | Si sposta una pagina a destra all´interno del file di testo.
Pagina a sinistra |  | Si sposta una pagina a sinistra all´interno del file di testo.


Lista contestuale

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale

Gli elenchi contestuali consentono la gestione centrale a Runtime di testi strutturati in modo gerarchico. Possono essere utilizzati per gestire centralmente cause allarmi. Per farlo, un inserimento dell´elenco contestuale viene collegato a uno o più inserimenti della lista di informazione allarmi.

Mediante l´Lista contestuale si possono predefinire a livello centrale le possibili cause d´allarme. Questo semplifica anche l´analisi, per es., in report. Altri testi necessari (cause d´allarme) possono essere aggiunti a Runtime con semplicità mediante l´immagine di zenon di tipo Lista contestuale.

Per gli elenchi contestuali vale quanto segue:

  • Livelli
    Un elenco contestuale può essere costituito da più nodi paralleli o strutturati in modo gerarchico. Ogni nodo può contenere più inserimenti.
    La complessità della struttura gerarchica di un elenco contestuale è limitata a 5 livelli; gli elenchi contestuali non sono traducibili.

  • Persistenza
    Gli elenchi contestuali sono persistenti. Non possono essere dunque cancellati, ma solamente esclusi dalla visualizzazione. In questo modo si garantisce che non ci siano delle lacune nei report.

Liste contestuali in rete

Quando si usa un Lista contestuale in un progetto di rete, il salvataggio viene eseguito sul server. I client vengono sincronizzati automaticamente.
Se un elenco viene modificato contemporaneamente su diversi client, il server riprende la versione salvata per ultima e la inoltra a tutti i client.

Se il client perde la connessione con il server, l´Lista contestuale viene vuotato sul client e gli elementi d´immagine che servono alla modifica vengono visualizzati in color grigio (disabilitati). Gli inserimenti della lista di informazioni allarmi collegati vengono visualizzati con il testo <Causa d'allarme non esistente>.
Non appena viene ristabilita la connessione con il server, l´Lista contestuale viene visualizzato e gli elementi d´immagine che servono alla modifica tornano ad essere disponibili all´uso.

Suggerimento: in rete, usare token per le autorizzazioni operative. Per i dettagli relativi a questo argomento, si prega di consultare il capitolo Liste contestuali in rete.

AML

Quando si apre una lista di informazioni allarmi, si può far in modo che la colonna "Causa allarme" venga visualizzata vuota (<Causa d'allarme non esistente>) quando l´update non è stato ancora inviato dal server. Non appena arriva il primo update dal server, le cause di allarme vengono visualizzate in modo corretto.

CEL

Le modifiche nell´elenco contestuale possono essere registrate nella CEL. Per farlo, attivare la registrazione per Elenco contestuale nel gruppo Lista eventi cronologica (CEL) delle proprietà di progetto.

Ancora in questo capitolo

Creare un'immagine di tipo “Lista contestuale”

Configurare la funzione di cambio immagine

Usare la lista contestuale a Runtime


Creare un'immagine di tipo “Lista contestuale”

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Creare un'immagine di tipo “Lista contestuale”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Lista contestuale.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Immagine di tipo “Lista contestuale”

Inserisci template

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Elemento di controllo

Descrizione

Lista contestuale

Visualizzazione della lista contestuale con i suoi inserimenti e le colonne definite nella configurazione della funzione di cambio immagine.

Selezione colonne

Apre il dialogo che serve alla selezione delle colonne da visualizzare.

Disponibile a Runtime solo se la lista viene visualizzata nell´immagine.

Formato colonne

Apre la finestra di dialogo che consente di configurare le singole colonne.

Disponibile a Runtime solo se la lista viene visualizzata nell´immagine.

Nome

Inserimento del nome per un nodo o un testo.
Per quello che riguarda i nomi, vale quanto segue:

  • il nome di un nodo deve essere univoco all´interno di un livello della lista contestuale.
  • Il nome di testi deve essere univoco all´interno di un nodo.
  • Lunghezza massima: 256 caratteri
  • I seguenti caratteri non sono consentiti: /\:*?<>!|"'?#%

Descrizione

Inserimento di una descrizione per un nodo o un testo.

Inserisci nodo principale

Aggiunge un nodo al primo livello.

Inserisci nodo

Aggiunge un nodo sotto l´elemento selezionato; il nuovo elemento è selezionato.

Inserisci testo

Aggiunge un testo all´elemento selezionato. L´elemento rimane selezionato.

Salva

Salva la lista contestuale.

Visualizza testi marcati come "cancellati"

Elemento di tipo interruttore che consente la configurazione della visualizzazione degli inserimenti contrassegnati come “cancellati”.

  • On: gli inserimenti cancellati vengono visualizzati nella lista contestuale.
  • Off: gli inserimenti cancellati non vengono visualizzati nella lista contestuale.

Default: dipende dall´impostazione configurata nella funzione di cambio immagine.

Espandi/riduci nodi

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati.
Selezione:

  • Espandi tutto:
    Espande tutti i nodi di tutti i livelli.
  • Riduci tutto:
    Riduce tutti i nodi di tutti i livelli.
  • Espandi selezione:
    Espande tutti gli inserimenti del livello selezionato.
  • Riduci selezione:
    Riduce tutti gli inserimenti del livello selezionato.

Esporta in XML...

Esporta la lista contestuale in un file XML.

Importa in XML

Importa una lista contestuale da un file XML.
Quando si esegue l´importazione, le liste contestuali esistenti vengono sostituite completamente. Non viene eseguito il merging di testi. I testi esistenti vengono cancellati.

Ok

Applica le impostazioni di filtro e chiude l´immagine.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Annulla

Rigetta tutte le modifiche e interrompe la procedura di configurazione.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Nessuna selezione

Elimina la selezione eseguita e chiude l´immagine.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Ancora in questo capitolo

Uso di un´immagine di tipo “Lista contestuale” per la selezione di cause allarme


Uso di un´immagine di tipo “Lista contestuale” per la selezione di cause allarme

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Creare un'immagine di tipo “Lista contestuale” -> Uso di un´immagine di tipo “Lista contestuale” per la selezione di cause allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le immagini di tipo Lista contestuale possono essere usate a Runtime per selezionare cause d´allarme.

Configurazione

Per utilizzare un´immagine di tipo Lista contestuale per selezionare causa d´allarme, procedere nel modo seguente:

Creazione dell´immagine

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nelle proprietà, selezionare il Tipo di immagine Lista contestuale.
    3. Select the desired frame in the Modello property.

      Suggerimento: per aprire l´immagine in forma di finestra di dialogo, si consiglia di utilizzare un modello per la cui proprietà Tipo di cornice è stata selezionata l´impostazione Dimensione fissa .

  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
  4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  5. Se necessario, attivare l´impostazione Dialogo modale nel gruppo Rappresentazione delle proprietà dell´immagine.

Uso dell´immagine

Per poter utilizzare l´immagine a Runtime per selezionare cause d´allarme, selezionare nel gruppo Lista di informazione allarmi delle proprietà di progetto, l´immagine appena creata per l´impostazione Immagine per selezione cause d'allarme . La finestra di dialogo standard per la selezione di cause d´allarme verrà poi sostituita da quest´immagine.

Uso a Runtime

Mediante gli elementi di controllo OK, Annulla e Nessuna selezione si possono assegnare inserimenti della lista contestuale (cause d´allarme) agli allarmi selezionati nella Lista di informazione allarmi.

A Runtime sono attivi nell´immagine solamente gli elementi di controllo che servono a selezionare cause d´allarme, gli elementi di controllo per le impostazioni delle colonne, e quelli che consentono di espandere o ridurre i nodi della lista. Tutti gli altri elementi di controllo di modifica della lista (ammesso ce ne siano) sono visualizzati in color grigio (disabilitati).


Configurare la funzione di cambio immagine

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Configurare la funzione di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Immagini.
  3. Selezionare la funzione Cambio immagine.

    Si apre la finestra di dialogo che consente di selezionare un´immagine.

  4. Selezionare l´immagine desiderata.
    Nota: se si seleziona un´immagine di un altro progetto, ci si deve assicurare che questo progetto sia stato avviato a Runtime.
  5. Configurare i filtri.
  6. Assegnare un nome alla funzione nella proprietà Nome.

Ancora in questo capitolo

Generale

Impostazioni di colonna


Generale

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Configurare la funzione di cambio immagine -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle impostazioni generali.

Opzione

Descrizione

Visualizza testi marcati come "cancellati"

Configurazione della visualizzazione degli inserimenti contrassegnati come “cancellati”.

  • Attiva: visualizzazione nella lista contestuale.
  • Non attiva: nessuna visualizzazione nella lista contestuale.

Default: inattiva

Nota: se per l´immagine è stato progettato un elemento di controllo corrispondente, quest´ultimo viene configurato in modo analogo a questa impostazione.

Visualizzazione standard della lista contestuale

Selezione della visuale in cui la lista contestuale verrà aperta a Runtime.
La selezione avviene tramite i seguenti pulsanti di opzione:

  • Espandi tutti i nodi:
    Vengono visualizzati tutti gli inserimenti di tutti i nodi. (Default.)
  • Estendi nodi di primo livello:
    Il primo livello viene visualizzato aperto nei nodi che lo costituiscono.
  • Riduci tutti i nodi:
    Viene visualizzato solo il primo livello dei nodi.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Impostazioni di colonna

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Configurare la funzione di cambio immagine -> Impostazioni di colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione della visualizzazione della lista contestuale a Runtime. Selezionare le colonne da visualizzare e configurare il loro aspetto.
La configurazione può essere modificata a Runtime o con click del mouse, oppure usando gli elementi di controllo corrispondenti.
Le opzioni Selezione colonne e Formato colonne sono a disposizione nell´immagine solamente se la lista viene visualizzata nell´immagine stessa.

Parametro | Descrizione
Campo elenco | Visualizzazione delle colonne configurate.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare delle colonne.
Formato colonne | Apre la finestra di dialogo che consente di formattare le colonne.
OK | Applica tutte le modifiche e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Configurare la funzione di cambio immagine -> Impostazioni di colonna -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

In questa finestra di dialogo si configurano le colonne da visualizzare a Runtime.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Configurare la funzione di cambio immagine -> Impostazioni di colonna -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Usare la lista contestuale a Runtime

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, la lista contestuale visualizza nodi e testi fino ad un massimo di 5 livelli. In fase di configurazione della funzione di cambio immagine, si stabilisce quali colonne vengono visualizzate normalmente nella lista a Runtime. A seconda di quanto impostato in fase di configurazione, le colonne possono essere spostate e modificate mediante i relativi elementi di controllo, o con click del mouse.

Elementi di controllo

Elemento di controllo

Descrizione

Lista contestuale

Visualizzazione della lista contestuale con i suoi inserimenti e le colonne definite nella configurazione della funzione di cambio immagine.

Selezione colonne

Apre il dialogo che serve alla selezione delle colonne da visualizzare.

Disponibile a Runtime solo se la lista viene visualizzata nell´immagine.

Formato colonne

Apre la finestra di dialogo che consente di configurare le singole colonne.

Disponibile a Runtime solo se la lista viene visualizzata nell´immagine.

Nome

Inserimento del nome per un nodo o un testo.
Per quello che riguarda i nomi, vale quanto segue:

  • il nome di un nodo deve essere univoco all´interno di un livello della lista contestuale.
  • Il nome di testi deve essere univoco all´interno di un nodo.
  • Lunghezza massima: 256 caratteri
  • I seguenti caratteri non sono consentiti: /\:*?<>!|"'?#%

Descrizione

Inserimento di una descrizione per un nodo o un testo.

Inserisci nodo principale

Aggiunge un nodo al primo livello.

Inserisci nodo

Aggiunge un nodo sotto l´elemento selezionato; il nuovo elemento è selezionato.

Inserisci testo

Aggiunge un testo all´elemento selezionato. L´elemento rimane selezionato.

Salva

Salva la lista contestuale.

Visualizza testi marcati come "cancellati"

Elemento di tipo interruttore che consente la configurazione della visualizzazione degli inserimenti contrassegnati come “cancellati”.

  • On: gli inserimenti cancellati vengono visualizzati nella lista contestuale.
  • Off: gli inserimenti cancellati non vengono visualizzati nella lista contestuale.

Default: dipende dall´impostazione configurata nella funzione di cambio immagine.

Espandi/riduci nodi

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati.
Selezione:

  • Espandi tutto:
    Espande tutti i nodi di tutti i livelli.
  • Riduci tutto:
    Riduce tutti i nodi di tutti i livelli.
  • Espandi selezione:
    Espande tutti gli inserimenti del livello selezionato.
  • Riduci selezione:
    Riduce tutti gli inserimenti del livello selezionato.

Esporta in XML...

Esporta la lista contestuale in un file XML.

Importa in XML

Importa una lista contestuale da un file XML.
Quando si esegue l´importazione, le liste contestuali esistenti vengono sostituite completamente. Non viene eseguito il merging di testi. I testi esistenti vengono cancellati.

Ok

Applica le impostazioni di filtro e chiude l´immagine.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Annulla

Rigetta tutte le modifiche e interrompe la procedura di configurazione.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Nessuna selezione

Elimina la selezione eseguita e chiude l´immagine.

Nota: Disponibile a Runtime solo se l´immagine viene utilizzata per la selezione di cause d´allarme.

Visualizzazione dei livelli

Ogni lista contestuale può contenere testi organizzati in un massimo di 5 livelli. La visualizzazione di questi livelli può essere gestita cliccando sui simboli dei nodi, oppure mediante pulsante.

Pulsanti:

  • Espandi tutti:
    Espande tutti gli inserimenti del prossimo livello chiuso.
  • Espandi tutti i nodi:
    Apre tutti gli inserimenti di tutti i livelli.
  • Riduci tutto:
    Riduce tutti i nodi di tutti i livelli.
  • Espandi selezione:
    Espande tutti gli inserimenti del livello selezionato.
  • Riduci selezione:
    Riduce tutti gli inserimenti del livello selezionato.

Filtrare gli inserimenti

Gli inserimenti della lista contestuale possono essere visualizzati filtrati.
È possibile combinare i filtri di più colonne.

Per filtrare una lista contestuale:

  1. Inserire il testo di filtro nell´apposita cella.
    È consentito usare i placeholder ? E *.
  2. Premere il tasto Ins.

    La lista contestuale verrà visualizzata filtrata.

Ordinare gli inserimenti

Gli inserimenti della lista contestuale possono essere ordinati. Nel corso di questo processo vengono ordinati tutti i nodi e tutti i sottonodi.

Per eseguire l´ordinamento cliccare sul titolo della colonna corrispondente.

L´ordinamento viene eseguito per

  • Testo
  • Descrizione
  • Contrassegnato come "cancellato"

L´ordinamento viene eseguito in senso crescente e decrescente.

Ancora in questo capitolo

Modificare nodi e testi

Selezione di una causa allarme

Liste contestuali in rete

Cause allarmi

API Textlist Manager


Modificare nodi e testi

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime -> Modificare nodi e testi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella lista contestuale si possono creare testi organizzati in un massimo di 5 livelli. I nodi possono contenere un numero qualsiasi di testi. All´interno di un nodo i nomi assegnati ai testi devono essere univoci. Nomi e descrizioni possono essere aggiunti e modificati. Nodi e testi possono essere contrassegnati come “cancellati”.

Creare e modificare inserimenti

Creare nodi

Per creare un nodo:

  1. Per creare un nodo del livello superiore, non deve essere selezionato nulla nella lista contestuale.
    Per creare un nodo in un livello inferiore, selezionare un nodo del livello superiore.
  2. Nel campo di inserimento Nome digitare un nome che sia univoco all´interno della lista contestuale in questione.
    Lunghezza massima: 256 caratteri
    Nota: I seguenti caratteri non sono consentiti: /\:*?<>!|"'?#%
  3. Confermare l´inserimento premendo il tasto Invio.
  4. Cliccare sul pulsante Inserisci nodo.

    Il nodo viene creato e riceve il focus. Così si può creare una gerarchia, oppure nuovi testi per il nodo appena creato.

Creare un testo

Per creare un testo:

  1. Selezionare un nodo nella lista contestuale.
  2. Nel campo di inserimento Nome digitare un nome che sia univoco nell´ambito del livello.
    Lunghezza massima: 256 caratteri
    Nota: I seguenti caratteri non sono consentiti: /\:*?<>!|"'?#%
  3. Confermare l´inserimento premendo il tasto Invio.
  4. Cliccare sul pulsante Inserisci testo.

    Il testo viene inserito nel livello.
    Il focus rimane sul nodo superiore. In questo modo sarà possibile creare di seguito più testi per un nodo.
    Nota: il pulsante è disattivato se non è selezionato nessun inserimento della lista contestuale.

Tipp Suggerimento

Per creare nodi e testi: Nei campi di inserimento Nome e Descrizione, per la proprietà Imposta valore tramite selezionare l´opzione Elemento.

Modificare inserimenti

Per modificare un inserimento:

  1. Selezionare l´inserimento nella lista contestuale.
  2. Con un doppio click, aprire il campo che consente di eseguire le modifiche.
  3. Modificare l´inserimento.
  4. Accettare la modifica premendo il tasto Ins o cliccando accanto al campo.
  5. Salvare la modifica cliccando sul pulsante Salva.

Salvare inserimenti

Per salvare modifiche nella lista contestuale, premere il pulsante Salva.
Se, quando si chiude l´immagine, ci sono delle modifiche non salvate, viene visualizzata una finestra di dialogo che proporne di eseguire il salvataggio. Per salvare le modifiche, la finestra di dialogo deve essere confermata entro 15 secondi cliccando su Sì. Altrimenti tutte le modifiche non salvate verranno rifiutate.

Contrassegnare inserimenti come “cancellati”

Gli inserimenti di una lista contestuale non possono essere cancellati, ma solo contrassegnati come “cancellati”.
Per contrassegnare un inserimento come “cancellato”:

  1. Selezionare gli elementi desiderati nella lista contestuale.
    Selezione multipla possibile.
  2. Eseguire un doppio click sulla checkbox nella colonna Definisci come "cancellato”, oppure premere il tasto Canc.
    Se sono stati selezionati più elementi, premere il tasto Canc.
    Nella checkbox viene visualizzati il segn0o di spunta.

    Gli elementi sono contrassegnati come “cancellati”.
    A seconda di come è stato impostato l´elemento di controllo Visualizza testi marcati come "cancellati”, gli elementi verrano cancellati dalla lista o visualizzati in color grigio.

Se un nodo viene contrassegnato come cancellato, lo saranno anche tutti i suoi sotto-elementi. Non appena un inserimento viene contrassegnato come cancellato, non si possono più modificare il suo nome e la sua descrizione.

Il “contrassegno” può essere eliminato.
Per annullare il contrassegno “cancellato”:

  1. Selezionare l´elemento.
    Nota: Per i sotto-elementi di elementi contrassegnati come “cancellati”, il contrassegno non può essere rimosso finché l´elemento superiore continua ad essere contrassegnato come “cancellato”.
  2. Eseguire un doppio click sulla checkbox nella colonna Definisci come "cancellato”. Il segno di spunta deve sparire dalla checkbox.

    Adesso l´elemento potrà essere di nuovo modificato.

Nota: è sempre possibile modificare nome e descrizione tramite le API.


Selezione di una causa allarme

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime -> Selezione di una causa allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa l´immagine per selezionare cause d´allarme, si possono utilizzare gli elementi di controllo OK, Annulla e Nessuna selezione per assegnare inserimenti della lista contestuale (cause d´allarme) agli allarmi selezionati correntemente nella lista di informazione allarmi.

A Runtime sono attivi nell´immagine solamente gli elementi di controllo che servono a selezionare cause d´allarme, gli elementi di controllo per le impostazioni delle colonne, e quelli che consentono di espandere o ridurre i nodi della lista. Tutti gli altri elementi di controllo di modifica della lista (ammesso ce ne siano) sono visualizzati in color grigio (disabilitati).


Liste contestuali in rete

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime -> Liste contestuali in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa un Lista contestuale in un progetto di rete, il salvataggio viene eseguito sul server. I client vengono sincronizzati automaticamente.
Se un elenco viene modificato contemporaneamente su diversi client, il server riprende la versione salvata per ultima e la inoltra a tutti i client.

Se il client perde la connessione con il server, l´Lista contestuale viene vuotato sul client e gli elementi d´immagine che servono alla modifica vengono visualizzati in color grigio (disabilitati). Gli inserimenti della lista di informazioni allarmi collegati vengono visualizzati con il testo <Causa d'allarme non esistente>.
Non appena viene ristabilita la connessione con il server, l´Lista contestuale viene visualizzato e gli elementi d´immagine che servono alla modifica tornano ad essere disponibili all´uso.

Con autorizzazione operativa attivata

Se la proprietà Autorizzazione di rete del gruppo Rete delle proprietà di progetto è configurata in modo adeguato (Autorizzazioni utenti globali o Autorizzazione utente su modello di impianto), le conseguenze a Runtime sono le seguenti:

  • Se sul computer è disponibile l´autorizzazione operativa, tutte le azioni possono essere eseguite come descritto nel capitolo Modificare nodi e testi
  • Se invece l´autorizzazione operativa manca, viene aperta una finestra di dialogo che ne informa l´utente e queste azioni non possono essere eseguite.
  • Se l´autorizzazione operativa è disponibile mentre si eseguono modifiche, ma non quando si chiude l´immagine e ci sono ancora delle modifiche non salvate, viene aperta una finestra di dialogo che ne informa l´utente e le modifiche vengono rifiutate.

Per ulteriori informazioni relative al tema “autorizzazione operativa”, si prega di consultare il capitolo Autorizzazione operativa in rete.


Cause allarmi

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la lista di informazione allarmi, il modulo Lista contestuale consente di configurare e visualizzare cause d´allarme.


API Textlist Manager

Manuale -> Immagini -> Tipi di immagine -> Lista contestuale -> Usare la lista contestuale a Runtime -> API Textlist Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Textlist Manager consente di accedere alla lista contestuale via le API. In questo processo si possono creare nodi e testi. Il Textlist Manager genera un GUID univoco per ogni inserimento della lista contestuale. Tramite questo GUID è possibile accedere agli elementi. Viene emessa una stringa vuota se il GUID non è valido. Se risulta impossibile trovare il GUID, il sistema emette la segnalazione "Causa d'allarme non esistente".

I testi possono essere creati a diversi livelli. I singoli testi sono messi insieme e separati fra di loro da punti (.) per l´emissione nella colonna Causa allarme della lista di informazione allarmi.
Per esempio: Alarm causes.Filler.Bottle broken

Numero massimo di livelli: 5

Esempio:

Gli elementi di colore blu sono corretti, quelli di colore rosso non vengono più usati perché il numero di livelli permesso è stato superato.

attention Attenzione

L´oggetto TextListManager nelle API corrisponde alla lista contestuale in zenon. Gli oggetti TextList corrispondono ai nodi e testi in zenon.

Il seguente script crea questa lista testi.

Script

Option Explicit

Public Sub CreateTree()

Dim TM As TextListManager

Set TM = thisProject.TextListManager

' ##################### T1 ####################

Dim T1 As TextList

Set T1 = TM.Create("T1 Name", "T1 Description")

Dim T11 As TextList

Set T11 = T1.Create("T11 Name", "T11 Description")

Dim T12 As TextList

Set T12 = T1.Create("T12 Name", "T12 Description")

' ##################### T2 ####################

Dim T2 As TextList

Set T2 = TM.Create("T2 Name", "T2 Description")

Dim T21 As TextList

Set T21 = T2.Create("T21 Name", "T21 Description")

' ##################### T3 ####################

Dim T3 As TextList

Set T3 = TM.Create("T3 Name", "T3 Description")

Dim T31 As TextList

Set T31 = T3.Create("T31 Name", "T31 Description")

Dim T32 As TextList

Set T32 = T3.Create("T32 Name", "T32 Description")

Dim T321 As TextList

Set T321 = T32.Create("T321 Name", "T321 Description")

Dim T3211 As TextList

Set T3211 = T321.Create("T3211 Name", "T3211 Description")

Dim T32111 As TextList

Set T32111 = T3211.Create("T32111 Name", "T32111 Description")

'########## This will not work - because of Level depth ###############

'Dim T321111 As TextList

'Set T321111 = T32111.Create("T321111 Name", "T321111 Description")

Dim T32112 As TextList

Set T32112 = T3211.Create("T32112 Name", "T32112 Description")

Dim T3212 As TextList

Set T3212 = T321.Create("T3212 Name", "T3212 Description")

Dim T322 As TextList

Set T322 = T32.Create("T322 Name", "T322 Description")

Dim T3221 As TextList

Set T3221 = T322.Create("T3221 Name", "T3221 Description")

Dim T323 As TextList

Set T323 = T32.Create("T323 Name", "T323 Description")

' ##################### T4 ####################

Dim T4 As TextList

Set T4 = TM.Create("T4 Name", "T4 Description")

'####################### Test Item Function of TextListManager ###########################

Dim textlisttest As TextList

Set textlisttest = TM.Item(0)

thisProject.Cel.WriteCelString (textlisttest.Name() + textlisttest.Description() + textlisttest.Guid())

'##################### Saving TextLists ###########################################

Dim answ As Boolean

answ = thisProject.TextListManager.Save()

End Sub


Video

Manuale -> Immagini -> Tipi di immagine -> Video

Utilizzando un’immagine per la visualizzazione video si possono visualizzare in zenon riprese online oppure riprese video salvate. Il formato usato è .avi.

Durante il Runtime i video vengono visualizzati centrati nel modello assegnato. La gestione avviene tramite elementi di controllo.

Nota: il Codec necessario per riprodurre i video deve essere installato sul calcolatore.

info Info

La connessione di zenon con le telecamere integrate nei notebook via driver del produttore di questi ultimi, qualche volta è fonte di problemi. In questo caso:

  • installate un software per telecamera di un produttore terzo
  • selezionate poi la camera integrata come sorgente.

Ancora in questo capitolo

Crea un'immagine del tipo Video

Funzione Cambio immagine - video

Gestione a Runtime


Crea un'immagine del tipo Video

Manuale -> Immagini -> Tipi di immagine -> Video -> Crea un'immagine del tipo Video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Video

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Video.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

info Info

L´opzione Inserisci modello aggiunge elementi di controllo predefiniti in posizioni predefinite nell´immagine. Possono essere integrati tutti gli elementi di controllo, che possono essere anche cancellati e posizionati liberamente. Possono essere aggiunti anche altri elementi dinamici e elementi vettoriali.


Funzione Cambio immagine - video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo Video possono essere visualizzati due tipi di video durante il runtime:

  1. Video salvati (*.avi)
  2. Video di una camera a circuito chiuso

Quali immagini vengono visualizzate dipende da quale scheda viene mostrata al momento di salvare il dialogo.

info Info

Se devono essere visualizzati sia file che immagini online, create due funzioni con cambio immagine per l´immagine.

Per impostare una funzione che serve ad aprire l´immagine Video, procedete come segue:

  • Selezionare nuova funzione
  • Selezionare "Cambio immagine".
  • Scegliete la Immagine del tipo Video
  • Si apre il box di dialogo per la definizione della fonte immagine.
    • File-Video
    • Video online

Ancora in questo capitolo

File-Video

Video online


File-Video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> File-Video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per guardare i file video salvati, sono:

  • Indicazione del video che deve essere visualizzato.
  • Impostazioni relative a posizione, velocità, volume e fattore di zoom della visualizzazione.

Parametro | Descrizione
File Video | *.avi | File video salvato che deve essere visualizzato Attenzione: Vi preghiamo di tenere presente che, a causa di una limitazione di Windows, la lunghezza assoluta del percorso file non deve superare i 128 caratteri, perché altrimenti non è possibile visualizzare il video. Visto che il percorso assoluto è prestabilito, e che dunque la maggior parte dei caratteri a disposizione è già occupata, ai video dovrebbero essere assegnati dei nomi file brevi.

Opzioni e parametri

Parametro | Descrizione
Playbar | Visualizzazione di un regolatore scorrevole per la visualizzazione video.
Menù | Visualizzazione di un menù per il controllo del video da una barra di scorrimento (Possibile solo a barra attivata).
Video centrato | Posizione di partenza video quando si usa lo zoom. Attivo : il video zoomato viene posizionato sempre al centro del modello. Non attivo: la finestra del video viene ingrandita a destra in basso.
Autostart | Il file video viene visualizzato subito all'apertura dell'immagine
Riproduzione continua | Alla fine del video, il file video viene attivato nuovamente
Velocità | Velocità di riproduzione in millesimi della velocità originale. Default: 1000 (velocità originale)
Zoom | Fattore zoom per ingrandimento o rimpicciolimento in percentuale della grandezza originale. Default: 100 (grandezza originale)
Volume | Volume in millesimi del volume originale. Default: 1000 (volume originale)
Freq.timer | Nota: non viene usato al momento. Frequenza timer Default: 500

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Video online

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> Video online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per la visualizzazione di una telecamera a circuito chiuso:

  • Indicazione del driver video
  • Impostazioni per le opzioni di registrazione nel caso in cui si vogliano anche registrare dei video.

Parametro | Descrizione
Driver video | Selezione del driver video da utilizzare. Nota: il driver dovrebbe supportare Microsoft Capturing.
Opzioni di registrazione | Opzioni per la registrazione e il salvataggio di video come file AVI oppure bitmap. Se devono essere visualizzate solamente delle immagini online, non è necessario effettuare nessuna impostazione in questa sede.
Nome o descrizione breve | Nome del file da salvare
Assegna nome automaticamente | Il nome viene generato a inizio registrazione con l’orologio di sistema.
Attiva limite Cap. tempo Attiva limite registrazione | Limite temporale per la registrazione in secondi.
Formato | AVI o BMP
Autostart registrazione | La registrazione inizia subito all'apertura dell'immagine.
Usa Buffer DOS | Rilevante solamente per sistemi a 16 bit.
Frame rate | Numero di immagini al secondo per la registrazione.
Buffer video | Parte del buffer riservata per la visualizzazione video in MB.
Drop rate MAX | Massimo "Dropped Frames" consentito in percentuale durante la registrazione. Valore: Da 0 a 100 Default: 10
Video | Impostazioni specifiche del driver.
Visualizza… | Impostazione dipendente dal driver selezionato.
Formattare…. | Impostazione dipendente dal driver selezionato.
Comprimere…. | Impostazione dipendente dal driver selezionato.
- Origine…. | Impostazione dipendente dal driver selezionato.
Audio | Impostazioni per la registrazione sonora.
-Acquisisci audio | Attiva registrazione sonora.
Formato audio | Impostazioni specifiche del driver.


Gestione a Runtime

Manuale -> Immagini -> Tipi di immagine -> Video -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello, i video vengono visualizzati centrati.

Elemento di controllo | Descrizione
Filtro | Impostazioni filtro.
Hardware | Elementi di controllo per la gestione dei video.
Inizio | Esegui file video.
Stop | Stop/riprendi riproduzione.
Registrazione | Registrare video.
Pausa | Fermare il video durante l' esecuzione.
Video-Online | Elementi per la gestione di un video online.
Formato | Formato di emissione.
Origine | Fonte dati.
Visualizzazione | mostra video.
Compressione | Compressione dati.
File - Video | Elementi per la gestione di un file video.
Ingrandimento | Ingrandimento della sezione
Velocità | Velocità di riproduzione.
>> (Avanti) | Salta al passo (Frame) successivo.
<< (Indietro) | Salta un passo indietro.
Espelli | Espelli.


Funzioni immagine

Manuale -> Immagini -> Funzioni immagine

Se si crea la funzione standard dal menù contestuale nella visualizzazione dettagli, zenon genera automaticamente una funzione cambio immagine per l'immagine selezionata Ulteriori funzioni possono essere progettate facendo uso del nodo Funzioni e del comando Nuova funzione.

Ancora in questo capitolo

Cambio immagine con variabile

Chiudi immagine

Immagine indietro

Cancella percorso per "Immagine indietro"

Spostare il centro dell'immagine

Cambio immagine

Focus: esegui funzione elemento

Attiva focus sul modello

Imposta focus

Elimina focus dal modello

Visualizza menù

Assegna monitor

Porta modello in primo piano

Chiudi modello

Stampa screenshot

Valore impostabile predefinito per immagine Keyboard

Visualizza finestra di controllo


Cambio immagine con variabile

Manuale -> Immagini -> Funzioni immagine -> Cambio immagine con variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, si passa nel Runtime ad un´immagine il cui nome viene definito da una variabile stringa. La variabile viene selezionata con questa funzione.

Parametro

Descrizione

Variabile per nome immagine

Variabili collegate con il nome dell´immagine di zenon a cui si passa quando viene eseguita questa funzione.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile. Come parametro è da selezionare una variabile string dalla lista delle variabili.

Monitor

Monitor di destinazione del cambio immagine.

Selezione dal menù a tendina:

  • Monitor corrente
    L´immagine viene visualizzata sul monitor corrente, da cui viene aperta.
  • Nome Monitor virtuale 1
    L´immagine viene visualizzata sul monitor virtuale 1.
  • Nome Monitor virtuale x
    L´immagine viene visualizzata sul monitor virtuale x.

La selezione corrisponde alla configurazione della proprietà Configurazione monitor nel gruppo Aspetto grafico delle proprietà di progetto.

Nota: non visibile se non è stato progettato nessun monitor virtuale.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Chiudi immagine

Manuale -> Immagini -> Funzioni immagine -> Chiudi immagine

Con questa funzione si chiude durante il Runtime un´immagine definita. Se, nel caso di progetti multi-monitor, un´immagine è aperta su diversi monitor, si può scegliere quale immagine deve essere chiusa su quale monitor.

Per configurare questa funzione:

  1. Nella lista delle funzioni, selezionare a funzione Immagini del nodo Chiudi immagine.
  2. selezionate l´immagine desiderata;
  3. nel caso di progetti multi-monitor, selezionate fra quelli proposti dalla lista il monitor virtuale su cui deve essere chiusa l´immagine:
    • Tutti
    • Monitor attuale
    • Certo monitor virtuale

Chiudi immagine

Parametro | Descrizione
Chiudi immagine | Configurazione di quali immagini vengono chiuse all´apertura della funzione.
Tutte le immagini con il nome | Tutte le immagini aperte che hanno il nome selezionato vengono chiuse. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine. Per i dettagli vedi la sezione Dialogo Selezione immagini.
Immagine chiamante | L´immagine richiamante viene chiusa. Anche quando sono aperte più immagini con lo stesso nome, viene chiusa solo quella dalla quale proviene la chiamata. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor. Raccomandazione: questa opzione si presta particolarmente alla chiusura di pop-up.

Selezione monitor

Parametro

Descrizione

Selezione monitor

Configurazione del monitor per il quale viene progettata la chiusura dell´immagine.

Monitor

Selezione del monitor fra quelli contenuti nella lista.

  • Tutti i monitor
  • Monitor corrente
  • Selezione di un monitor virtuale
    (Nota: con l´apertura nel Runtime, vengono visualizzati i monitor reali).

È disponibile solo nel caso Sistemi multi-monitor, e solo per l´opzione Tutte le immagini con il nome.

Visualizza questa finestra di dialogo a Runtime

Attiva: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Dialogo Selezione immagini

Nella finestra di dialogo "Selezione immagine" si selezionano le immagini da collegare all´esecuzione di funzioni. Queste immagini possono essere del:

  • Progetto corrente
  • Sottoprogetti
  • Tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare le immagini del progetto corrente o di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Immagini" | Selezione di un´immagine. Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata quella che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Immagine indietro

Manuale -> Immagini -> Funzioni immagine -> Immagine indietro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può commutare rapidamente su immagini precedentemente aperte e nel frattempo chiuse nel funzionamento online . Queste immagini precedentemente aperte vengono amministrate dopo la chiusura in una memoria. La stessa funzione che è stata utilizzata per aprire l´immagine, sarà eseguita un´altra volta quando essa verrà aperta di nuovo.. Il che significa che filtri immagine non vengono salvati, ma devono essere creati di nuovo. Con l´esecuzione della funzione Cambio immagine vengono inserite nella memoria le immagini dei rispettivi Modelli resi disponibili.

Attenzione: conta ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come funzione-start nelle proprietà dell´immagine.

Per configurare questa funzione:

  1. Stabilite nelle proprietà di progetto Modelli primari nel gruppo Aspetto grafico/Runtime generale di quali modelli si deve tener conto.
  2. Stabilite il numero delle immagini da tornare indietro con la proprietà di progetto Quantità pag. per funz."Immagine indietro" del gruppo Funzioni.
  3. Configurate la funzione Immagine indietro
    Le funzioni selezionate nella funzione devono essere scelte anche nelle proprietà di progetto Modelli primari.
    Indicazione relativa a sistemi multi-monitor: non è possibile una scelta monitor. La funzione si riferisce sempre a tutti i monitor.

info Info

Un´immagine viene inserita nella lista Immagine indietro solo quando viene chiusa. Modelli rimasti aperti sullo sfondo, però, non sono considerati immagini chiuse. Se delle immagini vengono dunque aperte in più modelli che si trovano l´uno sull´altro, la lista Immagine indietro rimane vuota, visto che tutte le immagini sono aperte.

Suggerimento: non piazzate modelli direttamente uno sopra l´altro.

Cancella percorso

Il percorso "Immagine indietro" può essere cancellato nel Runtime:

  • in caso di cambio utente, automaticamente facendo uso della proprietà Cancella percorso "Immagine indietro" al cambio utente nel gruppo Gestione user.
  • individualmente mediante la progettazione della funzione Cancella percorso per "Immagine indietro.


Cancella percorso per "Immagine indietro"

Manuale -> Immagini -> Funzioni immagine -> Cancella percorso per "Immagine indietro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può cancellare a Runtime il percorso della funzione Immagine indietro.

Per configurare questa funzione:

  1. Selezionate nella lista delle funzioni, e più precisamente nel nodo Immagine indietro, la funzione Cancella percorso per "Immagine indietro".
  2. La funzione viene impostata.
  3. Collegate la funzione ad un bottone nell´immagine.

Nota: Nel Runtime, il percorso "Immagine indietro" può essere cancellato anche automaticamente in caso di un cambio utente. A tal scopo, deve essere configurata la proprietà di progetto Cancella percorso "Immagine indietro" al cambio utente nel gruppo Gestione user.


Spostare il centro dell'immagine

Manuale -> Immagini -> Funzioni immagine -> Spostare il centro dell'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione serve a spostare il centro dell' immagine globale , oppure a modificare il livello zoom.

Requisiti:

  • L´immagine deve essere più grande del modello.
  • Nelle proprietà dell´immagine, si deve disattivare nel gruppo Modello la proprietà Ricava dimensioni dal modello
  • La grandezza deve essere definita tramite le proprietà Larghezza [Pixel] e Altezza [Pixel].

info Info

Questa funzione non è disponibile con Windows CE.

Finestra di dialogo Centro dell'immagine e zoom

Parametro | Descrizione
Immagine | Selezione dell´immagine per il nuovo centro dell´immagine. Cliccando sul pulsante, si apre il dialogo che serve alla scelta dell´immagine.
Selezione punto centrale immagine | Definizione del centro dell´immagine.
Nome oggetto | Definire centro dell´immagine desiderato tramite un oggetto dalla lista degli oggetto.
Coordinate | Determinare le coordinate (x,y) per il centro dell´immagine desiderato.
Impostare livello di zoom | Impostazione dei livelli zoom.
in % | Impostare la percentuale dello zoom desiderato.
Grado | Selezionare il fattore zoom dai livelli di zoom definiti.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: A Visualizzazione globale aperta più volte, questa funzione viene applicata solamente alla visualizzazione globale aperta per ultima.


Cambio immagine

Manuale -> Immagini -> Funzioni immagine -> Cambio immagine

La funzione di Cambio immagine consente di passare a Runtime da un´immagine di processo di zenon ad un´altra.

Example Esempio

In un progetto c`è un´immagine Start e una del tipo Lista di informazione allarmi. Deve essere possibile durante il runtime passare fra queste due immagini. Per poter far ciò, ad esempio, si crea nell'immagine Start un pulsante, nonché una funzione del tipo cambio di immagine per portare all'immagine Lista delle segnalazioni di allarme. Poi si collega la funzione con il pulsante, per esempio, per Drag&Drop. Durante il runtime, poi, si potrà lasciare l´immagine Start e aprire quella Lista delle segnalazioni di allarme clicando su questo pulsante.

Configurare la funzione di cambio immagine

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al nodo Immagini
  3. Selezionare la funzione Cambio immagine.
  4. si apre il dialogo per selezionare un´immagine
  5. selezionate un´immagine
  6. si aprirà il Dialogo per la sostituzione di variabili e funzioni
  7. chiudete il dialogo cliccando su OK.
  8. assegnate la funzione ad un pulsante

Dialogo Selezione immagini

Nella finestra di dialogo "Selezione immagine" si selezionano le immagini da collegare all´esecuzione di funzioni. Queste immagini possono essere del:

  • Progetto corrente
  • Sottoprogetti
  • Tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare le immagini del progetto corrente o di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Immagini" | Selezione di un´immagine. Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata quella che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Focus: esegui funzione elemento

Manuale -> Immagini -> Funzioni immagine -> Focus: esegui funzione elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione attiva l´elemento che ha il focus nel modello desiderato.


Attiva focus sul modello

Manuale -> Immagini -> Funzioni immagine -> Attiva focus sul modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa la tastiera per gestire il progetto a Runtime, questa funzione imposta il focus su un modello definito.

Per configurare la funzione:

  1. Nella lista delle funzioni, selezionare a funzione Immagini del nodo Attiva focus sul modello.

    Si apre la finestra di dialogo per selezionare un modello.

  2. Selezionare il modello desiderato.
  3. Per i progetti multi-monitor, selezionare il monitor virtuale per l´apertura del modello.
  4. Chiudere la finestra di dialogo cliccando su OK.
  5. Definire quale elemento d'immagine deve ricevere il focus.
    Procedura:
    1. Aprire la finestra di dialogo per Modifica ordinamento per il focus con Ordinamento sinistra/destra.
    2. Definire l´elemento al quale si vuole passare per primo.

Comportamento a Runtime:

  • il modello su cui è stato settato il focus, verrà visualizzato con una cornice. La larghezza della linea e il colore di questa cornice vengono configurate nel nodo Aspetto grafico/Immagini delle proprietà di progetto.
  • Nell´immagine, riceverà il focus quell´oggetto che è stato definito come primo elemento nella successione configurata per sinistra/destra. La successione per alto/basso verrà ignorata.

Finestra di dialogo "Selezione modelli"

Nella finestra di dialogo Selezione modelli si selezionano i modelli per l´esecuzione di funzioni; questi modelli possono essere:

  • Del progetto corrente.
  • Di sottoprogetti.
  • Di tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Modelli" | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Settare il focus sul modello in caso di modelli aperti più volte.

Se un modello viene visualizzato più volte sul monitor, ogni volta che la funzione "Attiva focus sul modello" viene eseguita, il focus si sposta nella direzione contraria alla successione di apertura. Esempio: se si ha un modello che può essere aperto più volte e si aprono le immagini Immagine1, Immagine2 e Immagine3, e poi si setta il focus su questo modello, l´immagine aperta per ultima, cioè Immagine 3, sarà la prima a ricevere il focus. Quando la funzione Attiva focus sul modello verrà eseguita di nuovo, il focus si sposterà su Immagine2, e così via.


Imposta focus

Manuale -> Immagini -> Funzioni immagine -> Imposta focus

Questa funzione setta il focus su un elemento definito e può quindi essere utilizzata per rendere possibile a Runtime la navigazione tramite tastiera all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´Editor nel menù contestuale, oppure nel menù Modifica alla voce "Modifica ordinamento per focus...-
su elemento | Stabilire l’elemento che deve ricevere il focus. Inserire in questo campo il nome oggetto dell’elemento desiderato.


Elimina focus dal modello

Manuale -> Immagini -> Funzioni immagine -> Elimina focus dal modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione elimina a Runtime il focus dal modello corrente. Per poter continuare a lavorare con la tastiera, il focus deve essere settato di nuovo su un modello.


Visualizza menù

Manuale -> Immagini -> Funzioni immagine -> Visualizza menù

Questa funzione gestisce la visualizzazione dei menù principali.

  1. Creare una nuova funzione con il comando Nuova funzione.
  2. Selezionare nel nodo Immagini la funzione Visualizza menù
  3. Definire l´azione da eseguire e un menù principale.

Parametro | Descrizione
Azione | Selezione dell´azione:
Visualizza menù | Il menù selezionato viene visualizzato.
Nascondi menù | Il menù selezionato viene nascosto.
Cambia menù | Il menù attuale viene nascosto ed il menù selezionato viene visualizzato.
Se menù non disponibile | Viene visualizzato il menù selezionato se al momento non è visualizzato nessun altro menù.
Menù | Selezione del menù.
Proponi dialogo a Runtime | Attivo: al momento dell´esecuzione della funzione a Runtime, verrà aperta questa finestra di dialogo.


Assegna monitor

Manuale -> Immagini -> Funzioni immagine -> Assegna monitor

In un progetto a più monitor si può assegnare con questa funzione ad un singolo monitor reale un determinato monitor virtuale.


Porta modello in primo piano

Manuale -> Immagini -> Funzioni immagine -> Porta modello in primo piano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, si possono portare in primo piano delle immagini che sono coperte da altre. Si seleziona un modello - e si effettua un´assegnazione monitor nel caso in cui si sia configurata l´opzione multi-monitor. Nel Runtime, tutte le istanze del modello definito vengono portate in primo piano sul monitor selezionato quando essere vengono eseguite. Questa funzione è utile soprattutto per le immagini ed i modelli che sono stati aperti con header.

Per configurare questa funzione:

  1. selezionate nel menù contestuale del nodo Funzioni il comando Nuova funzione
  2. Scegliete nel dialogo di selezione del nodo la voce Immagini.
  3. Selezionare la funzione Porta modello in primo piano.
  4. Si apre la finestra di dialogo per selezionare un modello.
  5. Selezionate il modello desiderato e confermate cliccando su OK.
  6. Collegare la funzione ad un pulsante.

Dialogo di selezione per modelli

Parametro

Descrizione

Finestra "Albero di progetto"

Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Finestra "Modelli"

Selezione di un modello.

Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.

Nessuna selezione

Elimina la selezione e chiude la finestra di dialogo.

Monitor

Nel caso di sistemi multi-monitor, la selezione del monitor fra quelli offerti dal menù a tendina per questa funzione viene configurata:

  • Tutti i monitor
  • Monitor corrente
  • certo monitor virtuale

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Chiudi modello

Manuale -> Immagini -> Funzioni immagine -> Chiudi modello

Con questa funzione si chiude durante il Runtime il modello selezionato con tutte le immagini che si basano su di esso. Al contrario della funzione Immagine chiudi non è richiesta l’esatta indicazione del nome immagine. Se, nel caso di progetti multi-monitor, un modello è aperto su diversi monitor, si può scegliere quale modello deve essere chiuso su quale monitor.

Per configurare questa funzione:

  1. Nella lista delle funzioni, selezionare a funzione Immagini del nodo Chiudi modello.
  2. Selezionate il modello desiderato.
  3. nel caso di progetti multi-monitor, selezionate fra quelli proposti dalla lista a cascata il monitor virtuale su cui deve essere chiuso il modello:
    • tutti
    • Monitor attuale
    • Certo monitor virtuale

Chiudi modello

Parametro | Descrizione
Chiudi modello | Configurazione di quali modelli vengono chiusi all´apertura della funzione.
Tutti i modelli con il nome | Tutti i modelli aperti che hanno il nome selezionato vengono chiusi. Cliccando sul pulsante ... si aprirà la finestra di dialogo che consente di selezionare uno dei modelli configurati. Per i dettagli, si veda la sezione Finestra di dialogo - Selezione modelli.
Modello richiamante | Il modello richiamante viene chiuso. Anche quando sono aperti più modelli con lo stesso nome, viene chiuso solo quello dal quale proviene la chiamata. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor.

Selezione monitor

Parametro

Descrizione

Selezione monitor

Configurazione del monitor per il quale viene progettata la chiusura del modello.

Monitor

Selezione del monitor fra quelli contenuti nella lista.

  • Tutti i monitor
  • Monitor corrente
  • Selezione di un monitor virtuale
    (Nota: con l´apertura nel Runtime, vengono visualizzati i monitor reali).

È disponibile solo nel caso Sistemi multi-monitor, e solo per l´opzione Tutti i modelli con il nome.

Visualizza questa finestra di dialogo a Runtime

Attiva: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Ancora in questo capitolo

Finestra di dialogo "Selezione modelli"


Finestra di dialogo "Selezione modelli"

Manuale -> Immagini -> Funzioni immagine -> Chiudi modello -> Finestra di dialogo "Selezione modelli"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione modelli si selezionano i modelli per l´esecuzione di funzioni; questi modelli possono essere:

  • Del progetto corrente.
  • Di sottoprogetti.
  • Di tutti i progetti del workspace per i quali è stata attivata l´opzione Mantieni progetto in memoria.

Parametro | Descrizione
Finestra "Albero di progetto" | Visualizza tutti i progetti del workspace. Si possono selezionare i modelli del progetto corrente e di tutti quei progetti per i quali è stata attivata l´opzione Mantieni progetto in memoria.
Finestra "Modelli" | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione verrà utilizzato quello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude la finestra di dialogo.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Stampa screenshot

Manuale -> Immagini -> Funzioni immagine -> Stampa screenshot

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime, con questa funzione può essere stampato uno screenshot dell’intero schermo o di modelli (immagini di processo, liste, curve trend etc.).

Come parametri di trasferimento si devono indicare il modello ed opzioni addizionali. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Proprietà

Descrizione

Seleziona area di stampa

Visualizzazione dell´area selezionata

Definisci area di stampa

Selezione dell´area da stampare.

Area schermo completa

Stampa uno screenshot dell´intero schermo. Nel caso di sistemi multi-monitor viene stampato il contenuto del monitor standard.

Lista modelli

Disponibile solo se la proprietà Area schermo completa è disattivata.

Selezionate il modello desiderato cliccandoci sopra due volte. Questo sarà visualizzato nel campo Seleziona area di stampa.

Nota: se il modello selezionato non è attivo nel Runtime, non si stampa nulla.

Monitor

Disponibile solo se è stato selezionato un modello e se la proprietà Area schermo completa è disattivata.

Selezionate il monitor desiderato fra quelli presenti nella lista a cascata.

  • tutti
  • Monitor attuale
  • Certo monitor virtuale

Nota: Quando avete selezionato un modello che riguarda più monitor, dovete selezionare monitor attuale, in modo tale che venga stampato l'intero modello.

Opzioni Stampa

Con margine

Nell´effettuare l´operazione di stampa, si lascia un margine.

Invertito

Inverte settori chiari/scuri.

Fax

Devia la stampa a un fax Per far sì che ciò avvenga, bisogna che venga selezionato un fax nelle Impostazioni stampa come stampante per screenshot. .


Valore impostabile predefinito per immagine Keyboard

Manuale -> Immagini -> Funzioni immagine -> Valore impostabile predefinito per immagine Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Valore impostabile predefinito per immagine Keyboard è disponibile solamente per immagini-keyboard. Inoltre, deve essere stato creato il campo testo Inserimento valore impostabile. Questa funzione consente di impostare o anche di settare un valore definito in precedenza.

Parametro | Descrizione
Impostazione valore | Inserimento del valore impostabile.
Azione | Selezione dell´azione fra quelle del menù a tendina. (per le azioni possibili, vedi la tabella seguente)
Ok | Applica gli inserimenti, chiude il dialogo e crea una funzione con valore e azione.
Annulla | Rigetta gli inserimenti, chiude il dialogo e crea una funzione senza valore impostabile e azione.
Guida | Apre la guida in linea.

Azioni nel menù a tendina:

Azione

Descrizione

Valore suggerito

l´impostazione valore viene scritta nell´immagine-keyboard

Accettare valore

Accade quanto segue:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK

RGM: Accetta e invia valore

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile

RGM: Accetta valore e salva la ricetta

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • viene salvata la ricetta

RGM: scrivi e invia valore, nonché salva ricetta

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile
  • viene salvata la ricetta


Visualizza finestra di controllo

Manuale -> Immagini -> Funzioni immagine -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al nodo Immagini
  3. Selezionare la funzione Visualizza finestra di controllo.
  4. si apre il dialogo per configurare la finestra di controllo
  5. selezionate la Vostra configurazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Impostazioni

Parametro | Descrizione
Impostazioni | Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:
Visualizza | la finestra di controllo viene aperta.
Fare il toggle | la visualizzazione passa da aperta a chiusa.
Chiudi | la finestra di controllo viene chiusa.

Visualizza nei :

Parametro | Descrizione
Visualizza nei : | Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.
Modelli | la finestra di controllo divide lo schermo in modelli.
Monitor | la finestra di controllo divide lo schermo in monitor.
Posizione | La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra.

Stile della finestra

Parametro | Descrizione
Stile della finestra |
Con titolo | Attiva: la finestra di controllo dispone di una barra titolo Windows
Menù di sistema | Attiva: viene visualizzato il menù sistema Windows a barra titolo attivata
Con cornice | Attiva: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:
Sottile | cornice spessa.
Grassetto | Cornice fine

Colori

Parametro | Descrizione
Colori | Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.
Colore di sfondo | Colore dello sfondo della finestra
Visualizzazione attuale | Modelli/monitor attualmente visualizzati.
Cornice | Colore della cornice.
selezionati | Modelli/monitor selezionati
Ok | Riprende le impostazioni, chiude il dialogo e crea una funzione con assegnazione.
Annulla | Rifiuta le impostazioni, chiude il dialogo e crea una funzione con impostazioni standard.
Guida | Apre la guida in linea.


Import - Export

Manuale -> Import - Export

E' possibile importare parti di un progetto (per es. funzioni, variabili, immagini ecc.) in zenon, oppure esportarle da zenon. Sarà così possibile riutilizzare questi elementi in altri progetti, li si potrà salvare oppure modificare esternamente.

tutorial Informazioni sulla licenza

La licenza standard consente di eseguire l´importazione e l´esportazione nella maggior parte dei formati.

Eccezione: per l´esportazione in SQL è necessaria una licenza extra.

Ancora in questo capitolo

Generale

Archivi

Immagini

Utenti

Tipi di dato

Funzioni

Menù

Matrici di reazione

Ricette standard

Gruppi di ricette

Variabili

Interblocchi

Temporizzatori

Attribuzioni

Messaggi d'errore


Generale

Manuale -> Import - Export -> Generale

I dati esportati possono essere modificati esternamente per poi essere importati nello stesso o in un altro progetto.

attention Attenzione

Limitazioni:

  • Formule:
    Importazione e esportazione via CSV oppure dBase non supportano impostazioni variabili specifiche per driver, come per es. nessuna formula. Esportare formule in XML.
  • XML e compatibilità con versioni precedenti:
    Non c´è compatibilità con versioni precedenti in caso di importazione/esportazione XML. I dati di progetti realizzati con vecchie versioni di zenon possono essere recuperati. Non è però supportato il passaggio di dati nella direzione opposta, da versioni più recenti a versioni precedenti.

Le seguenti funzionalità di un progetto sono a disposizione per l´importazione/esportazione:

  • Definizione di variabili
    • Tipi di dato
    • Matrici di reazione
    • Attribuzioni
  • Immagini
    • Modelli
    • Caratteri
  • Funzioni
    • Funzioni - Script
  • Archiviazione
  • Ricette standard
  • Manager gruppi di ricette
  • Temporizzatori
  • Interblocchi
  • Gestione menù
  • Gestione utenti

E possibile sia esportare tutti gli oggetti di un tipo, che solo singoli oggetti.

  • Tutti gli oggetti: Nel Manager di progetto, cliccare sul nodo desiderato -> Voce di menù contestuale Esporta tutti in XML...
  • Singoli oggetti: Selezionare uno o più oggetti nella visualizzazione dettagli -> Esporta selezione in XML...

Nell´operazione di esportazione/importazione, gli oggetti sono identificati sulla base del loro nome e non sulla base del loro ID interno; se vengono importati oggetti in un altro progetto, dunque, non avranno lì lo stesso ID interno!

Mentre l´operazione di importazione/esportazione è in corso, una barra di avanzamento indica lo stato dell'importazione/esportazione.

attention Attenzione

Se, quando si importa un elemento, nel progetto esiste già un elemento con lo stesso nome, quest´ultimo viene sovrascritto dall'elemento del file d'importazione. (La sola eccezione sono i tipi di dato).

Le proprietà degli oggetti vengono elencate nel file di esportazione con la loro identificazione interna, che viene utilizzata anche per l´accesso con VBA.

Una descrizione dettagliata delle singole proprietà si trova nell´help delle proprietà.

Alle proprietà che non esistono nel file XML (per es. perché sono state cancellate), vengono attribuiti i valori di default quando viene creato un nuovo elemento non esistente nel progetto. Per quegli elementi che sono già presenti nel progetto, invece, non verranno modificati i valori delle proprietà non esistenti nel file XML.

Example Esempio

Una variabile viene importata la prima volta senza offset. L´offset viene inizializzato con il valore di default 0. Con l'importazione S7, l'offset viene modificato a 100. Poi la variabile viene importata una seconda volta; anche in questo caso manca l'offset nel file d'importazione. Viene mantenuto l'offset 100.

attention Attenzione

Il file XML da importare deve essere coerente. Quando viene importato, il file viene sottoposto ad un´analisi di plausibilità. Eventuali errori nei dati importati possono provocare conseguenze indesiderate nel progetto, che potrebbe anche non funzionare più.

Se ne deve tener conto soprattutto se nel file XML non sono presenti tutte le proprietà dell´oggetto e queste vengono sostituite con valori di default! Per es.: una variabile binaria ha un valore limite di 300.


Archivi

Manuale -> Import - Export -> Archivi

Il file di esportazione per gli archivi si suddivide nelle seguenti sezioni:

Lista archivi

Quando si importano/esportano archivi, le variabili o le funzioni interessate non verranno importate/esportate automaticamente. Se necessario, bisognerà eseguire prima una corrispondente operazione d´importazione/esportazione. Si possono importare/esportare tutti gli archivi contemporaneamente, oppure solo archivi selezionati.


Immagini

Manuale -> Import - Export -> Immagini

Esportare immagini

Con le immagini vengono esportate anche le variabili e le funzioni contenute nelle immagini stesse. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare immagini:

  1. Selezionare le immagini desiderate.
  2. Nel menù contestuale della visualizzazione dettagli, selezionare il comando _Esporta selezione in XML
    Oppure selezionare il comando Esporta tutti in XML... nel menù contestuale del nodo Immagini.
  3. Si apre la finestra di dialogo che consente di selezionare il luogo di salvataggio.
  4. Selezionare il luogo di salvataggio desiderato.
  5. Assegnare un nome al file di esportazione.
  6. Fare attenzione che il tipo di dato sia XML.
  7. Confermare cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento nello stesso progetto o in altri progetti.

Importare immagini

Per importare immagini:

  1. Nel menù contestuale del nodo Immagini,oppure della visualizzazione dettagli Immagini, selezionare il comando Importa file XML
  2. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  3. Passare al posto in cui si trova il file XML desiderato.
  4. Selezionare il file desiderato.
  5. Confermare l´importazione cliccando sul pulsante Apri.

Le immagini vengono importate.

Conflitto di nome in caso di importazione

Quando si importa un´immagine, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione della nuova immagine da creare. Se esiste già un´immagine che ha lo stesso nome, l´operazione d´importazione viene interrotta e viene visualizzato un messaggio di errore:

Parametri | Descrizione
Sì | L´immagine menzionata nel messaggio di errore viene sostituita con l´importazione da quella contenuta nel file XML. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
No | L´immagine menzionata nel messaggio di errore non verrà importata; viene mantenuta l´immagine già esistente. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
Sì tutti | L´immagine menzionata nel messaggio di errore viene sostituita con l´importazione da quella contenuta nel file XML. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutte le immagini interessate verranno sostituite.
No tutti | L´immagine menzionata nel messaggio di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutte le immagini interessate verranno mantenute.

Nota: viene preso in considerazione solamente lo ShortName. Il nome file non gioca nessun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Elementi dinamici e modelli vengono importati automaticamente con le immagini. Variabili e funzioni devono essere importate prima separatamente da questo file.

Vengono prese in considerazione solo le variabili e le funzioni del primo livello, cioè, le variabili e le funzioni collegate direttamente all´immagine. Siccome da un lato le funzioni si possono riferire a variabili (p.e. valore impostabile), e dall´altro lato anche le variabili si possono riferire a funzioni (p.e. funzioni di valore impostabile), può essere necessario importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti verranno ripresi correttamente.

Esempio: un'immagine contiene un pulsante collegato a una funzione Imposta valore su una variabile. La funzione verrà importata insieme all´immagine, ma non la variabile.

info Info

In questo caso si consiglia di usare il XML Import Wizard.

Ancora in questo capitolo

Modelli

Caratteri

Simboli


Modelli

Manuale -> Import - Export -> Immagini -> Modelli

I modelli possono essere esportati/importati indipendentemente dalle immagini.

I modelli vengono esportati con le coordinate definite originariamente (in dipendenza della risoluzione del computer sorgente). Quando si esegue l´importazione, bisogna tenere presente che i modelli non vengono adattati automaticamente alla risoluzione del computer di destinazione.


Caratteri

Manuale -> Import - Export -> Immagini -> Caratteri

Quando si esportano caratteri, viene esportato quanto segue:

  • Lista caratteri
  • Caratteri

Tutti questi dati vengono importati automaticamente insieme ai caratteri.


Simboli

Manuale -> Import - Export -> Immagini -> Simboli

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati, oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando _Esporta selezione in XML.
    Alternativa: selezionate nel menù contestuale del nodo Progetto-libreria simboli il comando Esporta tutti in XML....
  3. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  4. Selezionare il luogo di salvataggio desiderato.
  5. Assegnare un nome al file di esportazione.
  6. Fare attenzione che il tipo di dato sia XML.
  7. Confermare cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menù contestuale del nodo, oppure della visualizzazione dettagli di Libreria simboli - Progetto, oppure nella visualizzazione dettagli della Libreria simboli globale, il comando Importa file XML..
  2. Si apre la finestra di dialogo che consente di selezionare un luogo di salvataggio.
  3. Passare al posto in cui si trova il file XML desiderato.
  4. Selezionare il file desiderato.
  5. Confermare l´importazione cliccando sul pulsante Apri.

I simboli vengono importati.

Conflitti causati dal nome durante l´import

Quando si importa un simbolo, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione del simbolo che deve essere creato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametro | Descrizione
Sì | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Se c´è un altro conflitto, il messaggio di errore verrà visualizzato di nuovo.
Sì tutti | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutti i simboli interessati vengono sostituiti.
No tutti | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente anche in caso di altri errori dovuti a conflitti di nome. Tutti i simboli interessati vengono mantenuti.

Nota: viene preso in considerazione solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Utenti

Manuale -> Import - Export -> Utenti

Il file di esportazione per gli Utenti è composto da:

Lista utenti

Utenti creati localmente nel progetto possono essere esportati/importati.

attention Attenzione

Le password degli utenti vengono esportate in forma crittografata! Perciò non potranno essere modificate direttamente nel file di esportazione.


Tipi di dato

Manuale -> Import - Export -> Tipi di dato

Il file di esportazione per i tipi di dato è composto da:

Lista tipi di dato

Per ulteriori informazioni si veda il capitolo: Importazione di variabili e tipi di dato .

Ancora in questo capitolo

Creare tipi di dato manualmente


Creare tipi di dato manualmente

Manuale -> Import - Export -> Tipi di dato -> Creare tipi di dato manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Solo per esperti

Se si vuole creare manualmente un tipo di dato nel file XML, si dovrebbe usare la seguente definizione:

info Info

<Apartment ShortName=' zenon(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Le restanti proprietà della definizione del tipo di dato dovrebbero essere ignorate.


Funzioni

Manuale -> Import - Export -> Funzioni

Le variabili interessate ecc. non vengono esportate/importate automaticamente quando si esegue l´esportazione/importazione di funzioni. Per questa ragione, si dovrebbe eseguire prima un importazione/esportazione degli oggetti in questione.

info Info

A partire dalla versione 6.50 di zenon, le informazioni di tempo sono salvate in una funzione a base XML in formato UTC (secondi dal 1/1/1970, ore 0:00). Questo riguarda, per esempio, la funzione di “Cambio immagine” per aprire i seguenti tipi di immagine:

  • Lista di informazioni allarmi
  • Filtro lista informazione allarmi
  • Post-elaborazione archivio
  • Lista eventi cronologica
  • Filtro CEL
  • Trend esteso
  • Production & Facility Scheduler
  • Report
  • Filtro tempo.

Nelle versioni di zenon precedenti alla 6.50, queste informazioni di tempo venivano salvate con una stringa (per esempio 02.01.1970 01:00:00).

Ancora in questo capitolo

Script


Script

Manuale -> Import - Export -> Funzioni -> Script

Il file di esportazione per gli script è composto da:

Lista script

Quando si importano/esportano script, le funzioni interessate non vengono importate/esportate automaticamente. Se necessario, si dovrà eseguire precedentemente un´importazione/esportazione delle funzioni in questione.

Ogni script è inserito nel file di esportazione in una sezione propria, contenente il nome dello script e i nomi delle funzioni collegate.


Menù

Manuale -> Import - Export -> Menù

Il file di esportazione per i menù è composto da:

Lista Menù

Quando si importano/esportano menù, variabili, funzioni, pagine della guida e macro non vengono esportate/importate automaticamente. Se necessario, si dovrà eseguire precedentemente un´importazione/esportazione degli elementi in questione.


Matrici di reazione

Manuale -> Import - Export -> Matrici di reazione

Il file di esportazione per le matrici di reazione è composto da:

Lista delle matrici di reazione


Ricette standard

Manuale -> Import - Export -> Ricette standard

Il file di esportazione per le ricette è composto da:

Lista ricette

Lista variabili

Lista driver

Lista tipi di dato

Con le ricette standard vengono esportate anche le variabili in esse contenute. Le ricette vengono importate automaticamente. Le variabili devono essere importate prima separatamente da questo file.

Oltre all´import/Export in XML, per le ricette standard si può eseguire l´importazione anche in ASCII.
Attenzione: quando si esegue l´importazione in formato ASCII, le ricette possono essere importate solo singolarmente.

Nella ricetta viene salvato il valore non elaborato. Questo viene utilizzato per VBA e per l´esportazione di ricette in XML.


Gruppi di ricette

Manuale -> Import - Export -> Gruppi di ricette

Il file di esportazione per le ricette del Manager gruppi ricette è composto da:

  • Lista dei gruppi ricette

Quando si importano/esportano gruppi di ricette e le loro ricette, le variabili interessate non vengono esportate/importate automaticamente. Se necessario, si dovrà eseguire precedentemente un´importazione/esportazione delle variabili.

La base della struttura del file XML sono i gruppi di ricette, questo significa che vengono importati i singoli gruppi di ricette (con le loro variabili, ricette e valori delle ricette). Dopo un processo di importazione, saranno ancora disponibili quei valori di ricetta non esistenti nel file d'importazione. La stessa cosa vale per le ricette e le variabili collegate.

Quando si importa una singola ricetta di un gruppo, vale quanto segue: Il gruppo di ricette corrispondente deve essere selezionato. Nella finestra di emissione viene visualizzato un messaggio corrispondente.

info Info

Oltre all´import XML, il RGM supporta anche l´importazione di ricette in formato ASCII.
Attenzione: quando si esegue l´importazione in formato ASCII, le ricette possono essere importate solo singolarmente.


Variabili

Manuale -> Import - Export -> Variabili

In zenon, le variabili possono essere esportate o importate nei seguenti formati:

  • XML: Esportazione e importazione; durante il processo di importazione, i dati vengono analizzati e, se vengono rilevati conflitti, vengono proposte delle possibilità di soluzione.
  • CSV: Esportazione e importazione; durante il processo di importazione, i dati esistenti vengono sovrascritti.
  • DBF: Esportazione e importazione; durante il processo di importazione, i dati esistenti vengono sovrascritti.
  • S7: Importazione
  • Progetto TwinCAT: Importazione

info Info

In caso di importazione/esportazione in formato CSV, non è possibile importare o esportare variabili complesse (variabili struttura, array).

Esportazione

Il file di esportazione per le variabili si suddivide in:

  • Lista variabili
  • Lista driver
  • Lista tipi di dato

Con le variabili, dunque, vengono esportati anche i driver e i tipi di dato. Si veda anche la parte della guida dedicata alle Variabili, capitolo Esportare dati.

attention Attenzione

Anche nel file XML deve essere assolutamente indicato un driver, altrimenti non verrà importata nessuna variabile! Da tenere presente è il fatto che le proprietà driver nel file XML dipendono dal progetto.

Importazione

Durante il processo di importazione delle variabili,, zenon visualizza una finestra di dialogo in cui un driver sorgente del file XML può essere assegnato ad un driver di destinazione nel progetto. Tutte le variabili del driver sorgente vengono poi importate come variabili per il driver di destinazione. I tipi di dato vengono importati automaticamente con le variabili. I driver devono essere stati creati nel progetto prima di eseguire il processo di importazione. Al proposito, si veda la sezione Importazione di variabili e tipi di dato.

attention Attenzione

Le modifiche relative alle variabili vengono raccolte in una lista senza un ordine determinato. Per questa ragione, per ogni processo di importazione può essere accettata solamente una modifica per ogni variabile. Se si vuole che vengano accettate più modifiche per ogni variabile, sarà necessario eseguire più processi di importazione.

Esempio: se una variabile fosse rinominata e cancellata nel corso dello stesso processo di importazione, il processo stesso potrebbe avere come risultato una variabile non cancellata, ma rinominata.

Importazione di variabili strutturate:

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di queste strutture vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati mediante il nome.
  • Per quello che riguarda gli elementi di struttura già esistenti, il tipo viene adattato se differente.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo tipo dato strutturato, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che non attive. Gli elementi esistenti non vengono sovrascritti quando si esegue l´importazione. Se quindi si importa in un progetto una variabile non attiva e poi la si attiva, questa variabile rimane attiva anche dopo un nuovo processo di importazione XML.

Ancora in questo capitolo

Importazione e esportazione di variabili e tipi di dato

Importazione XML

Importazione CSV

Esportazione CSV

Progetto S7

Importazione e esportazione dBase


Importazione e esportazione di variabili e tipi di dato

Manuale -> Import - Export -> Variabili -> Importazione e esportazione di variabili e tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´importazione/esportazione di variabili vale quanto segue:

  • L´importazione/esportazione non può essere avviata dal progetto globale.
  • Il processo viene avviato tramite:
    • Il menù contestuale di variabili o tipi di dato nella struttura ad albero del progetto.
    • Oppure il menù contestuale di una variabile o di un tipo di dato.
    • Oppure il simbolo corrispondente nella barra degli strumenti della visualizzazione dettagli delle variabili.

attention Attenzione

Quando si importano/sovrascrivono tipi di dato esistenti, vengono modificate tutte le variabili che si basano su questo tipo di dato.

Esempio:

C`è un tipo di dato XYZ, derivato dal tipo INT, con variabili che si basano su questo tipo di dato. Anche il file XML che deve essere importato contiene un tipo di dato con il nome XYZ, ma derivato dal tipo STRINGA. Se si importa questo tipo di dato, quello esistente viene sovrascritto e viene modificato il tipo di tutte le variabili basate su questo tipo di dato. Questo significa che tutte le variabili saranno variabili STRINGA e non più INT.


Importazione XML

Manuale -> Import - Export -> Variabili -> Importazione XML

Durante l´importazione in formato XML di variabili o tipi di dato, gli elementi importati vengono prima assegnati ad un driver e poi analizzati. L´utente decide prima di avviare il processo di importazione se deve essere importato l´elemento in questione (variabile o tipo di dato):

  • Importa: l´elemento viene importato come nuovo elemento.
  • Sovrascrivi: l´elemento viene importato e sovrascrive un elemento già esistente.
  • Non importare: l´elemento non viene importato.

Nota: durante il processo di importazione, le azioni e la loro durata sono visualizzate in una barra di avanzamento.

Requisiti

Per l´importazione valgono le seguenti condizioni:

  • Compatibilità con le versioni precedenti

    Nel caso dell´importazione/esportazione in formato XML, non esiste una compatibilità con le versioni precedenti. Questo significa che i dati di progetti realizzati con vecchie versioni di zenon possono essere riutilizzati in versioni successive. Ma il passaggio di dati da versioni più recenti a quelle precedenti non viene supportato, è dunque impossibile.

  • Coerenza

    Il file XML da importare deve essere coerente. Quando viene importato, il file viene sottoposto ad un´analisi di plausibilità. Eventuali errori nei dati importati possono provocare conseguenze indesiderate nel progetto, che potrebbe anche non funzionare più.

    Se ne deve tener conto soprattutto se nel file XML non sono presenti tutte le proprietà dell´elemento e queste vengono sostituite con valori di default! Per es.: una variabile binaria ha un valore limite di 300.

  • Tipi di dato strutturato

    I tipi dato strutturato devono avere lo stesso numero di elementi di struttura.
    Esempio: un tipo dato strutturato del progetto ha 3 elementi di struttura. Nel file XML c´è un tipo di dato con lo stesso nome che ha 4 elementi di struttura. In questo caso non verrà importata nessuna variabile contenuta nel file di importazione basata su questo tipo di dato.

Ancora in questo capitolo

Associa driver

Assegna tipo di oggetto del driver

Importazione

Modificare esternamente il file XML con variabili esportate


Associa driver

Manuale -> Import - Export -> Variabili -> Importazione XML -> Associa driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Importa, si apre la finestra di dialogo che consente di eseguire una attribuzione driver:

Per attribuire un driver:

  1. Selezionare il driver nella tabella di attribuzione (in alto).
  2. Selezionare il driver desiderato nella lista dei driver del progetto corrente (in basso):
  3. Cliccare su Associa driver.

Per assegnare un tipo di oggetto del driver:

  1. Selezionare il driver nella tabella di attribuzione (in alto).
  2. Cliccare su Assegna tipi di oggetto driver....

    Verrà visualizzata la finestra di dialogo che consente di assegnare un tipo di oggetto del driver.

Per annullare un´assegnazione driver:

  1. Selezionare il driver nella tabella di attribuzione (in alto).
  2. Cliccare su Annulla assegnazione.

Finestra di dialogo “Attribuzione driver”

Parametri | Descrizione
Tabella di attribuzione | Visualizza l´attribuzione corrente.
Assegna tipo di oggetto del driver | Apre la finestra di dialogo per assegnare i tipi di oggetto driver.
Annulla assegnazione | Elimina le attribuzioni esistenti.
Lista driver | Elenca tutti i driver esistenti nel progetto.
Crea nuovo driver | Apre la finestra di dialogo che consente di creare un nuovo driver.
Associa driver | Associa il driver selezionato della lista driver a quello selezionato nella tabella di attribuzione.
Ok | Applica le impostazioni, chiude la finestra di dialogo e avvia l´importazione.
Annulla | Rifiuta le impostazioni e chiude la finestra di dialogo senza importare niente.
Guida | Apre la guida in linea.

Crea nuovo driver

Durante l´importazione possono essere creati e assegnati nuovi driver cliccando sul pulsante Crea nuovo driver. Viene aperta la finestra di dialogo che consente di creare e configurare nuovi driver.


Assegna tipo di oggetto del driver

Manuale -> Import - Export -> Variabili -> Importazione XML -> Assegna tipo di oggetto del driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare un tipo di oggetto del driver:

  1. Selezionare il driver sorgente.
  2. Selezionare il tipo di oggetto del driver del driver di destinazione.
  3. Cliccare su Assegna tipo di oggetto del driver.

Per cancellare l´assegnazione di un tipo di oggetto del driver:

  1. Selezionare il driver sorgente.
  2. Cliccare su Annulla assegnazione.

Finestra di dialogo “Attribuzione tipi di oggetto del driver”

Opzione | Descrizione
Tabella di attribuzione | Visualizza l´attribuzione corrente.
Reimposta | Elimina le attribuzioni esistenti.
Tipi di oggetti del driver di destinazione | Lista dei tipi di oggetto del driver disponibili.
Assegna tipo di oggetto del driver | Assegna il tipo di oggetto del driver di destinazione selezionato al tipo di oggetto del driver selezionato nella tabella di attribuzione.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Importazione

Manuale -> Import - Export -> Variabili -> Importazione XML -> Importazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima che venga eseguita l´importazione delle variabili, il sistema visualizza lo stato ed eventuali conflitti.

Conflitti

Possono essere visualizzati i seguenti conflitti.

  • Il tipo di dato esiste già e le variabili collegate non possono essere convertite al tipo di dato da importare.
  • Il tipo di dato è complesso e gli elementi di quello già esistente sono diversi da quelli di quello da importare per numero o nome.
  • Il tipo di dato è complesso e, pur essendo gli elementi uguali, sono diversi i loro tipi di dato, il che rende impossibile una conversione delle variabili collegate.
  • La variabile è di un tipo che non può essere importato (vedi sopra).
  • La variabile è di un altro tipo rispetto a quella esistente (semplice/complessa).
  • L'assegnazione del driver alla variabile non è corretta (il driver assegnato non supporta il corrispondente tipo di dato e/o l´area corrispondente).

Finestra di dialogo per l´importazione

Opzione

Descrizione

Elementi da importare

Lista degli elementi che devono essere importati.

Per le variabili complesse vengono visualizzate le variabili semplici loro assegnate. Si può estendere i nodi dei tipi di dato strutturati per visualizzare gli elementi che li costituiscono (solo informazione).

I simboli visualizzano lo stato dell´importazione.

  • Verde: L´elemento può essere importato.
  • Blu: deve essere risolto un conflitto.
    Per esempio: il tipo di dato della variabile non può essere importato.
  • Giallo: c´è un conflitto. L´elemento verrà importato e sovrascriverà un elemento già esistente.
    Per esempio: esiste un elemento con lo stesso nome, ma con altre impostazioni. Oppure esiste già un elemento identico.

Rosso: c´è un conflitto. L´elemento non viene importato.

Dettagli di importazione

Descrive lo stato dell´importazione e offre possibilità di soluzione di eventuali conflitti.

Descrizione

Descrive lo stato dell´elemento

Azioni possibili

Spiega le possibili azioni.

Azione

Selezione dell´azione desiderata fra quelle contenute nel menù a tendina.

Se è consentita solo un´azione, questa viene preselezionata e non potrà essere modificata.

Azioni possibili:

  • Importa: L´elemento viene importato.
    È disponibile se la variabile o il tipo di dato non esistono ancora nel progetto. L´elemento viene creato come elemento nuovo nel progetto.
  • Non importare: L´elemento non viene importato.
    È disponibile se la variabile o il tipo di dato esistono già nel progetto.
  • Sovrascrivi: L´elemento viene importato e sovrascrive una versione già esistente.
    È disponibile se la variabile o il tipo di dato esistono già nel progetto e possono essere sovrascritti.

Ok

Applica le azioni selezionate, chiude la finestra di dialogo e importa le variabili selezionate.

Annulla

Rifiuta gli inserimenti e interrompe l´importazione delle variabili.


Modificare esternamente il file XML con variabili esportate

Manuale -> Import - Export -> Variabili -> Importazione XML -> Modificare esternamente il file XML con variabili esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file XML possono essere modificati con un programma esterno dopo essere stati esportati o prima di essere importati.

attention Attenzione

La modifica esterna di file XML dovrebbe essere riservata solamente ad esperti.
Errori causati da dati importati possono danneggiare o distruggere il progetto. Per questo si consiglia di realizzare un backup di progetto prima di ogni modifica.

La la definizione delle intestazioni deve contenere i seguenti attributi:

Parametri | Descrizione
ShortName | Nome della variabile.
DriverID | ID del driver Si prega di tener presente che l'identificazione di ogni driver dipende dal progetto. Per avere l'esatta identificazione del driver, creare nel progetto un driver e una variabile collegata e poi esportarli in XML.
TypeID | ID del tipo di dato ATTENZIONE: anche TYPEID dipende dal progetto. Informazioni dettagliate su questo tema si trovano nella parte della guida dedicata all´importazione di tipi di dato.
HWObjectType | Identificazione per il tipo di oggetto driver Qui viene definita l'area sul PLC, ad esempio "area blocco dati", "area merker", "output", "input", e così via. Si prega di tener presente che non ogni driver supporta tutti i tipi di oggetto. Le informazioni relative a quali tipi di oggetto sono supportati da un determinato driver, si trovano nella documentazione del driver in questione. Le esatte identificazioni sono elencate nella categoria tpKanaltypes nel catalogo oggetti VBA.
HWObjectName | Nome del tipo di oggetto del driver Informazione ridondante per HWObjectType. Questa proprietà è a puro titolo informativo.
IsComplex | TRUE = variabile strutturata FALSE = variabile semplice
Matrix | Nome della matrice di reazione collegata Questa proprietà è vuota se non è collegata una matrice di reazione.

Esempi di sintassi per la modifica del file XML:

N° | Esempio | Espressione | Commento
1/ | Creare una nuova variabile durante l´importazione | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> |
2/ | Eliminare una variabile esistente durante l´importazione | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> | Se la variabile esiste nel progetto di zenon, viene cancellata con l'utilizzo dell´attributo Delete. Si prega di assicurarsi che l'attributo non sia vuoto. Deve contenere, cioè, per esempio, TRUE o FALSE. In questo caso, non si tiene conto del contenuto dell'inserimento.
3/ | Rinominare una variabile esistente durante l´importazione | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Quando si rinomina una variabile, quest´ultima viene prima importata, e solo in un secondo rinominata. Se lo si desidera, dunque, si può assegnare alla variabile proprietà modificate e rinominarla nello stesso tempo. Se esiste già una variabile con il nuovo nome, la rinomina non riuscirà. L'utente ne viene informato da un messaggio corrispondente visualizzato nella finestra di emissione.


Importazione CSV

Manuale -> Import - Export -> Variabili -> Importazione CSV

zenon consente di esportare variabili in file CSV e importare variabili da file CVS per, per esempio, modificarle in Microsoft Excel. Le variabili esportate in CSV vengono salvate sempre come file TXT in formato Unicode.

Se il processo di esportazione è stato eseguito nonostante l´avviso che i limiti di compatibilità di Microsoft Excel sono stati superati, il file TXT da importare non conterrà tutti i dati esportati.

Specificazione del formato

  • Separatore: Tab
  • Suffisso file: .txt
  • Codice: il file da esportare ha il codice Unicode. Anche il file da importare deve essere in Unicode.

info Info

Importazione e esportazione in formato CSV oppure dBase non supportano nessuna impostazione variabili specifiche per driver, come per es. formule. In questo caso usare l´mportazione e esportazione in formato XML.

Compatibilità con Microsoft Excel

Esportazione in Excel

Per poter importare in Microsoft Excel in modo corretto variabili esportate in file CSV, si deve tener presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi la tabulazione decimale corretta, il formato delle Opzioni internazionali e della lingua del sistema operativo deve essere settato su inglese. Attenzione: questa impostazione è obbligatoria quando si usano tabulazioni decimali, perché altrimenti i valori verrebbero interpretati e salvati in modo errato.
  • Unicode:
    I file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Vengono salvati come file TXT. Nelle versioni più vecchie di Microsoft Excel, la denominazione può presentare anche lievi differenze.
    Attenzione: se si usa un altro formato, i dati non potranno essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta la modifica. Per poter modificare celle contenenti il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Procedura:
    • Selezionare la cella oppure la colonna.
    • Dopo aver cliccato con il tasto destro del mouse sulla cella, selezionare nel menù contestuale il comando Formatta celle.
    • Si apre una finestra di dialogo; selezionare la categoria Testo.
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Con numero di colonne superiore a 16384 oppure 256, e con un numero di righe superiore a 1048576 oppure 65536, viene visualizzata la richiesta se devono essere esportate meno proprietà dinamiche (se possibile). Se si sceglie la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non sono limitate.

Se non dovesse essere sufficiente eliminare le proprietà dinamiche, verrà visualizzato un messaggio corrispondente.

Per quello che riguarda il numero massimo di variabili, bisogna tener presente che per l´intestazione si ha bisogno di una cella.

Importare da Excel

Quando si importa da Excel, non è consentito cancellare l´ultima riga (vuota), altrimenti il file CSV non potrà essere importato in zenon.

Ancora in questo capitolo

Requisiti minimi

Cancellare o rinominare variabili durante l´importazione

Compatibilità con Microsoft Excel

Esempio di importazione


Requisiti minimi

Manuale -> Import - Export -> Variabili -> Importazione CSV -> Requisiti minimi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione dei formati

Formato | Contenuto
VariableName | Nome che deve avere la variabile.
DriverName | Denominazione del driver esistente.
DriverType | Tipo del driver esistente
HWObjectType | Numero del tipo di oggetto del driver. Questo numero (al contrario del nome che dipende dalla lingua) è sempre univoco. Per sapere questo numero si può esportare una variabile corrispondente, oppure si può consultare la documentazione del driver.
TypeName | Nome del tipo di dato esistente.

Contenuti

  • Deve esistere un driver di DRIVERTYPE importato e DRIVERNAME importato.
    Se il sistema non trova nessun driver con il DRIVERTYPE e il DRIVERNAME importati, cerca di collegare la variabile ad un driver simile. In un primo momento, il sistema cerca un driver con il DRIVERTYPE in questione, poi solo con il DRIVERNAME. Se anche in questo caso la ricerca non ha successo, il sistema cerca di collegare la variabile al driver interno, poi con un driver disponibile. Se non esiste nessun driver, oppure se la variabile non può essere assegnata a nessun driver, la variabile stessa non verrà importata. Nella finestra di dialogo “Attribuzione driver” (si veda il capitolo Importazione di variabili e tipi di dato ) si può creare e/o modificare il collegamento corrispondente ancora prima di eseguire l´importazione. Questa finestra di dialogo viene visualizzata dopo che è stato selezionato il file da importare.
  • Tipo di dato semplice con il TYPENAME importato e il HWOBJECTTYPE: importato
    Se non esiste il tipo di dato con il corrispondente TYPENAME, la variabile non verrà importata. Dopo che tutte le altre variabili sono state modificate oppure importate, nella finestra di emissione verrà visualizzato un messaggio che elenca quante variabili non sono state importate perché i tipi di dato non esistono.

Header

Deve esistere un´intestazione che descrive i valori delle proprietà:
L´intestazione descrive le proprietà sulla base delle colonne. Il primo inserimento nell´intestazione vale sempre per il primo inserimento nei valori, il secondo inserimento nell´intestazione vale sempre per il secondo nei valori e così via. Il numero dei campi dell´intestazione deve corrispondere al numero massimo dei campi dell´intero file.

  • L´intestazione
    non deve essere necessariamente nella prima riga del file, ma deve essere la prima riga, oppure la riga superiore.
  • Scrittura in maiuscole/minuscole
    • Non ha nessuna importanza nell´intestazione.
    • Se ne tiene conto nei valori delle proprietà.
  • L´intestazione deve essere continua e senza spazi vuoti.
    Se c´è uno spazio vuoto (spazio fra segni di separazione) nell´intestazione, il processo di importazione verrà interrotto.
    Definizione campo vuoto: due caratteri separatori successivi senza contenuto fra di loro.
  • Spazi vuoti all´inizio e alla fine
    In un campo (non ha importanza se con o senza virgolette) vengono interpretati come tali. Non viene rimosso nessuno spazio vuoto. Per questo motivo, il valore oppure il campo devono essere assolutamente esatti.
  • Il carattere separatore
    non dovrebbe essere più usato alla fine di una riga, a meno che non si tratti di un campo esistente che ha un valore vuoto.
  • Tutti i campi (spazi fra caratteri separatori) in cui si trova il carattere separatore, devono trovarsi fra virgolette.
    Questo riguarda solamente il campo corrispondente. I restanti campi che non soddisfano questi criteri, non devono trovarsi necessariamente fra virgolette. I caratteri separatori tabulatori in un campo che si trova fra virgolette, vengono rimossi automaticamente.
  • Se le virgolette devono essere utilizzate,
    L´intero campo (area fra caratteri separatori) deve trovarsi fra virgolette e, inoltre, tutte le virgolette volute devono essere direttamente raddoppiate. Il numero delle virgolette, dunque, deve essere sempre un numero pari.
    Esempi:
    • T"e"st diventa "T""e""st",
    • "AB"C" diventa """AB""C""",
    • AB"C diventa "AB""C"
  • Solo due virgolette senza testo in mezzo in un campo non sono valide per valori vuoti.
  • Campi lasciati vuoti (2 separatori successivi)
    Vengono interpretati come un inserimento non esistente per questa colonna. Se il campo di una proprietà esistente per la variabile è vuoto e dunque non settato, viene usato il valore standard di questa proprietà.
  • Se esistono meno campi per valori di quelli fissati nell´intestazione,
    I restanti campi valori non esistenti vengono interpretati come campi vuoti.
  • Se il numero di valori oppure di campi
    In una riga è maggiore a quello fissato per i campi nell´intestazione, vengono ignorati gli ultimi valori/campi o quelli interessati.
  • Punto e virgola e virgola
    Possono essere usati a piacere nei campi (senza le virgolette).
  • I punti
    In caso di valori numerici, vengono interpretati sempre come segni di separazione decimali.
  • Possono esserci righe vuote.
    Verranno semplicemente ignorate.

Nomi, collegamenti e sostituzioni

  • Ogni variabile deve avere un proprio nome nel file.
    Nel caso in cui ci dovessero essere più variabili con lo stesso nome, viene importata la prima, mentre tutte le altre vengono ignorate.
  • Devono esistere collegamenti.
    Matrici di reazione, funzioni, variabili, aree allarmi, gruppi allarmi/eventi, classi allarmi/eventi, interblocchi ecc, vengono collegati durante l´importazione solo se il collegamento esiste anche nel progetto. Se non esiste l´elemento con il nome in questione, non verrà collegato nessun elemento. Anche se una proprietà non può essere collegata, le restanti proprietà verranno comunque importate.
  • Le proprietà dinamiche (come, ad esempio, valori limite) hanno un´identificazione comune e un numero progressivo.
    Il numero progressivo inizia da 0. La denominazione avviene in modo simile al formato di esportazione XML. Per es.: Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • Variabili array e variabili di tipi di dato complessi non vengono né esportate, né importate.
  • Le variabili complesse esistenti non vengono sovrascritte durante il processo di importazione.
  • L´importazione di una variabile sarà consentita anche se lo stesso nome esiste in un elemento figlio di una variabile complessa esistente. Se, per esempio, il nome della variabile da importare è ABC.DEF, e la variabile DEF è un elemento figlio della variabile ABC esistente nell´Editor di zenon, la variabile da importare verrà comunque aggiunta.
  • Tutte le proprietà che vengono importate o esportate, hanno nomi colonne/intestazione simili a quelli dell´importazione/esportazione XML. Si può risalire a questi nomi nel modo più semplice esportando una variabile corrispondente.
  • Per alcuni driver esistono delle proprietà specifiche. Per risalire ai corrispondenti nomi colonne/intestazione, il metodo migliore è esportare una variabile collegata al driver corrispondente.

Limitazioni

Proprietà che non vengono esportate o importate:

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Tutte le proprietà IsLocal o Flag
  • IsSWProtokol, IsSW_Akt e IsSW_VBA


Cancellare o rinominare variabili durante l´importazione

Manuale -> Import - Export -> Variabili -> Importazione CSV -> Cancellare o rinominare variabili durante l´importazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile cancellare o rinominare variabili durante l´importazione. La cancellazione avviene tramite un inserimento nel campo KANAL_D, la rinomina tramite un inserimento nel campo KANAL_R. La variabile da cancellare o rinominare viene definita nel campo VariableName.

Cancellare variabili

Le variabili vengono cancellate se il sistema rileva inserimenti validi nel campo KANAL_D e nel campo VariableName del file CSV.

Campo | Funzione | Valido se
KANAL_D | Setta il comando di cancellazione. | 1
VariableName | Nome della variabile da cancellare | Inserimento che non consiste esclusivamente di caratteri non stampabili.

Per eseguire la cancellazione possono essere usati anche file CSV che constano solamente di questi due campi (formato short).

Rinominare variabili

Le variabili vengono rinominate se il sistema rileva inserimenti validi nel campo KANAL_R e nel campo VariableName del file CSV.

Campo | Funzione | Valido se
KANAL_R | Nome originale della variabile che deve essere sostituito | Inserimento che non consiste esclusivamente di caratteri non stampabili.
VariableName | Nuovo nome variabile. | Inserimento che non consiste esclusivamente di caratteri non stampabili

Per la rinomina di variabili possono essere anche usati file CSV che constano solamente di questi due campi (formato short).

attention Attenzione

Se in una riga ci sono inserimenti validi sia per la cancellazione che per la rinomina della variabile, quest´ultima verrà cancellata.

Messaggi nella finestra di emissione

Se, durante l´importazione CSV, vengono cancellate o rinominate variabili, nella finestra di emissione dell´Editor vengono visualizzati messaggi che informano se le azioni sono riuscite o meno.

Messaggio | Livello | Descrizione
Variabile '%s' da rinominare non esistente. | Avviso | La variabile da rinominare, referenziata dal nome indicato nel campo KANAL_R , non esiste.
Variabile '%s' da eliminare non esistente. | Avviso | La variabile da cancellare, referenziata dal nome indicato nel campo VariableName, non esiste.
La variabile '%s' è stata rinominata in '%s'. | Normale | La rinomina della variabile è riuscita.
La variabile '%s' è stata cancellata. | Normale | La cancellazione della variabile è riuscita.
%i di %i variabili rinominate | Normale o avviso | Questo messaggio viene visualizzato solamente se ci sono da eseguire delle rinomine sulla base di campi KANAL_R validi, cioè dire non vuoti. Il primo placeholder (%i) corrisponde al numero delle rinomine riuscite, il secondo a quello delle rinomine commissionate. Se non tutte le rinomine sono riuscite, l´emissione del messaggio viene formattata come avviso.
%i di %i variabili eliminate | Normale oppure Avviso | Questo messaggio viene visualizzato solamente se ci sono da eseguire cancellazioni tramite campi KANAL_D validi (valore numerico 1). Il primo placeholder (%i) corrisponde al numero delle cancellazioni riuscite, il secondo a quello delle cancellazioni commissionate. Se non tutte le cancellazioni sono riuscite, l´emissione del messaggio viene formattata come avviso.


Compatibilità con Microsoft Excel

Manuale -> Import - Export -> Variabili -> Importazione CSV -> Compatibilità con Microsoft Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esportazione in Excel

Per poter importare in Microsoft Excel in modo corretto variabili esportate in file CSV, si deve tener presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi la tabulazione decimale corretta, il formato delle Opzioni internazionali e della lingua del sistema operativo deve essere settato su inglese. Attenzione: questa impostazione è obbligatoria quando si usano tabulazioni decimali, perché altrimenti i valori verrebbero interpretati e salvati in modo errato.
  • Unicode:
    I file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Vengono salvati come file TXT. Nelle versioni più vecchie di Microsoft Excel, la denominazione può presentare anche lievi differenze.
    Attenzione: se si usa un altro formato, i dati non potranno essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta la modifica. Per poter modificare celle contenenti il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Procedura:
    • Selezionare la cella oppure la colonna.
    • Dopo aver cliccato con il tasto destro del mouse sulla cella, selezionare nel menù contestuale il comando Formatta celle.
    • Si apre una finestra di dialogo; selezionare la categoria Testo.
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Con numero di colonne superiore a 16384 oppure 256, e con un numero di righe superiore a 1048576 oppure 65536, viene visualizzata la richiesta se devono essere esportate meno proprietà dinamiche (se possibile). Se si sceglie la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non sono limitate.

Se non dovesse essere sufficiente eliminare le proprietà dinamiche, verrà visualizzato un messaggio corrispondente.

Per quello che riguarda il numero massimo di variabili, bisogna tener presente che per l´intestazione si ha bisogno di una cella.

Importare da Excel

Quando si importa da Excel, non è consentito cancellare l´ultima riga (vuota), altrimenti il file CSV non potrà essere importato in zenon.


Esempio di importazione

Manuale -> Import - Export -> Variabili -> Importazione CSV -> Esempio di importazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´importazione di una variabile, si inseriscano nel file le seguenti informazioni:

VariableName | DriverName | DriverType | HWObjectType | TypeName
Test | MyDriver | Intern | 33 | Mydata type

Prima poter procedere all´importazione del file, è necessario assicurarsi che sia stato impostato nel progetto un driver dal nome „MyDriver" e un tipo di driver Interno. Questo driver deve supportare il tipo di canale, oppureHWObjectType. Inoltre, deve anche esistere il tipo di dato „Mydata type". Dopo che è stato selezionato il file da importare, viene visualizzata la finestra di dialogo per eseguire l´attribuzione driver. In questa finestra di dialogo si possono collegare tutte le variabili di un driver impostato nel progetto da importare ad un altro driver. Se si desidera mantenere l´assegnazione allo stesso driver, si può chiudere la finestra di dialogo cliccando direttamente su OK. A questo punto le variabili verranno importate.


Esportazione CSV

Manuale -> Import - Export -> Variabili -> Esportazione CSV

Con zenon, le variabili possono essere esportate in file CSV e importate da file CVS, per esempio, per essere modificate con Microsoft Excel.

Eccezione: tipi di dato complessi e variabili array non possono essere esportati.

attention Attenzione

L´esportazione viene eseguita in un file di testo Unicode con tabulatore, il cui suffisso è .txt invece di .csv.

Background: Microsoft Excel salva i file CSV come file di testo ANSI con ; come separatore. Quando i file vengono salvati in Excel in formato CSV, Unicode viene rimosso. I dati esportati per il progetto sarebbero così danneggiati in modo irreparabile.

Opzioni di esportazione

  1. Esportazione di tutte le variabili esportabili nel progetto.
  2. Esportazione delle variabili esportabili selezionate.
    • Disponibile solo se è stata selezionata almeno una delle variabili esportabili.

Quando si esportano variabili, viene visualizzata una finestra di dialogo che consente di selezionare un luogo dove salvare il file e di inserire un nome per il file da salvare. Il suffisso del nome file è sempre .txt.

Se nel file da esportare c`è un numero di proprietà troppo grande per la modifica in Microsoft Excel, viene visualizzata una finestra di dialogo che domanda come continuare il processo avviato:

  • Taglia proprietà o righe:
    Se si opta per questa variante, sarà esportata solo una parte, per esempio, dei valori limite, oppure solo una parte delle variabili (dipende dalla limitazione). In primo luogo non verranno esportate quelle informazioni che non possono essere modificate con le vecchie versioni di Microsoft Excel. Il file da esportare può essere modificato con un programma esterno.
  • Esporta tutte le proprietà
  • Interrompi esportazione

Compatibilità con Microsoft Excel

Esportazione in Excel

Per poter importare in Microsoft Excel in modo corretto variabili esportate in file CSV, si deve tener presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi la tabulazione decimale corretta, il formato delle Opzioni internazionali e della lingua del sistema operativo deve essere settato su inglese. Attenzione: questa impostazione è obbligatoria quando si usano tabulazioni decimali, perché altrimenti i valori verrebbero interpretati e salvati in modo errato.
  • Unicode:
    I file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Vengono salvati come file TXT. Nelle versioni più vecchie di Microsoft Excel, la denominazione può presentare anche lievi differenze.
    Attenzione: se si usa un altro formato, i dati non potranno essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta la modifica. Per poter modificare celle contenenti il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Procedura:
    • Selezionare la cella oppure la colonna.
    • Dopo aver cliccato con il tasto destro del mouse sulla cella, selezionare nel menù contestuale il comando Formatta celle.
    • Si apre una finestra di dialogo; selezionare la categoria Testo.
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Con numero di colonne superiore a 16384 oppure 256, e con un numero di righe superiore a 1048576 oppure 65536, viene visualizzata la richiesta se devono essere esportate meno proprietà dinamiche (se possibile). Se si sceglie la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non sono limitate.

Se non dovesse essere sufficiente eliminare le proprietà dinamiche, verrà visualizzato un messaggio corrispondente.

Per quello che riguarda il numero massimo di variabili, bisogna tener presente che per l´intestazione si ha bisogno di una cella.

Importare da Excel

Quando si importa da Excel, non è consentito cancellare l´ultima riga (vuota), altrimenti il file CSV non potrà essere importato in zenon.


Progetto S7

Manuale -> Import - Export -> Variabili -> Progetto S7

zenon consente di importare progetti Step 7. Quando si importa un progetto Step 7, vengono create le variabili corrispondenti in zenon.

Si possono usare diverse regole per convertire i nomi variabile esistenti di progetti Step 7 quando li si importa in zenon.

Ridondanza

Per ogni station (Rack) viene offerta per l´importazione solo la prima CPU trovata.

Ancora in questo capitolo

Requisiti per l´importazione di variabili da progetti Step 7.

Finestra di dialogo di importazione per progetti S7

Selezione variabili


Requisiti per l´importazione di variabili da progetti Step 7.

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Requisiti per l´importazione di variabili da progetti Step 7.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter importare variabili da un progetto Step 7 in zenon:

  • Il progetto Step 7 deve essere disponibile localmente sul disco fisso, oppure in rete.
  • Il progetto Step 7 non deve essere aperto contemporaneamente da una cartella di programma Step 7 nel "S7 Simatic Manager".
    Se è aperto in quella sede, infatti, è possibile che l´importazione non riesca; questo dipende dagli accessi esclusivi che il "S7 Simatic Manager" riserva a se stesso. In questo caso verrà visualizzato, per es., il messaggio “nessuna station”.
  • In Step 7 o PC S7 deve essere stato tradotto tutto, in modo tale che tutti gli oggetti possano essere accettati in zenon.
  • A partire dalla versione 11, i progetti Step 7, prima di poter essere importati in zenon, devono essere esportati con il Variable Export Manager.

info Info

Se si importano progetti PCS7, ci si deve accertare che esista la sottocartella CSV_ per il progetto in questione. In questa sottocartella ci deve essere per ogni station del progetto un file CSV_ con lo stesso nome della station stessa. Durante l´importazione viene usato il nome gerarchico proveniente da questo file.

Particolarità dell´importazione a partire dalla versione 11 di Step 7.

A partire dalla versione 11, Step 7 è una componente del TIA framework della ditta Siemens. Per poterle importare in zenon, le variabili di un progetto TIA Step 7, prima dell´import in zenon, devono essere esportate con il Variable Export Manager.

tutorial Informazioni sulla licenza

A partire dalla versione 11 di Step 7, le variabili Step 7 devono essere esportate con il Variable Export Manager prima di poter essere importate in zenon.

Questo tool è contenuto nella licenza standard per l´Editor e il Runtime.

Ancora in questo capitolo

Variable Export Manager

Interfaccia utente del Variable Export Manager

Esportazione di variabili - Variable Export Manager


Variable Export Manager

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Requisiti per l´importazione di variabili da progetti Step 7. -> Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il Variable Export Manager si esportano variabili da Step 7 (a partire dalla versione 11) e le si prepara per l´importazione in zenon.

Bisogna tener presente che, per le versioni TIA 11, 12 e 13, devono essere usati diversi “Variablen Export Manager”.

Panoramica

  • Step 7 Fino alla versione 11:
    Importazione automatica - non è necessaria nessuna ulteriore operazione da parte dell´utente.
  • Step 7 Versioni 11 e 12:
    Esportazione di un progetto S7 via CD_TIAProject_Exporter.exe
    (Luogo di salvataggio: C:\Programmi (x86)\COPA-DATA\zenon 7.60 SP0\)

    Importazione in zenon via Import esteso.

  • Step 7 Versione 13:
    Esportazione di un progetto S7 via CD_TIA13Project_Exporter.exe
    (Luogo di salvataggio: C:\Program Files (x86)\COPA-DATA\zenon 7.60 SP0\)
    Importazione in zenon via Import esteso.

Requisiti

Per preparare variabili di progetti Step 7 all´importazione in zenon, devono essere soddisfatti i seguenti requisiti sul computer con il quale si esegue l´esportazione:

  • Deve essere installato il corrispondente software TIA della ditta Siemens.
  • Deve esserci il programma Variable Export Manager.
    Per usare il Variable Export Manager, copiare il programma corrispondente dalla cartella di installazione di zenon, oppure dal supporto di installazione di zenon; copiarlo su quel computer su cui deve essere utilizzato il Variable Export Manager.


Interfaccia utente del Variable Export Manager

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Requisiti per l´importazione di variabili da progetti Step 7. -> Interfaccia utente del Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Barra di avanzamento | Mostra lo stato di avanzamento del processo di esportazione.
Export | Avvia un nuovo processo di esportazione. Questo pulsante diventa attivo non appena è stato portato a termine il processo di esportazione precedente.
Cancel | Interrompe il processo di esportazione.
Close | Chiude il Variable Export Manager. Nota: non attivo quando è in corso un processo di esportazione.

info Info

Il Variable Export Manager è a disposizione solamente in lingua inglese in entrambe le versioni.


Esportazione di variabili - Variable Export Manager

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Requisiti per l´importazione di variabili da progetti Step 7. -> Esportazione di variabili - Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per esportare variabili da progetti Step 7 a partire dalla versione 11:

  1. Lanciare il Variable Export Manager.
    Nota: assicurarsi di aprire la versione corretta del “Variable Export Manager”.
  2. Si apre la finestra di dialogo che consente di selezionare un progetto Step 7.
  3. Selezionare il progetto desiderato.
    Nota: i progetti TIA hanno l´estensione file .ap11, .ap12 o ap13
  4. Cliccare sul pulsante Open per proseguire.
  5. Si apre la finestra di dialogo che consente di selezionare il luogo di salvataggio e un nome.
  6. Selezionare un luogo di salvataggio e un nome per il file di esportazione.
  7. Confermare gli inserimenti cliccando su Save.
  8. Viene avviato il processo di esportazione.
  9. Copiare il file di esportazione sul computer su cui deve essere eseguita l´importazione in zenon.
  10. Procedere con il consueto processo di importazione S7.


Finestra di dialogo di importazione per progetti S7

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Finestra di dialogo di importazione per progetti S7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Scelta progetto

Parametri | Descrizione
File di progetto S7 | Luogo di di salvataggio e nome del file di importazione selezionato. Nota: possibili suffissi file sono .zst oppure .s7p.
… | Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare il file di importazione.
Driver di destinazione | Visualizzazione del driver selezionato. Nota: solo a titolo informativo. Non è più possibile eseguire modifiche in questa finestra di dialogo.
Struttura di progetto | Visualizza la struttura del file di importazione o del file di progetto selezionato. È possibile estendere la struttura ad albero, visualizzando gli elementi che la compongono, cliccando su [+]; cliccando su [-], invece, si riducono i nodi della struttura,

Opzioni

Parametri | Descrizione
Solo variabili di superv. (BuB) | Se la checkbox è attiva, verranno importate solamente variabili di supervisione (BuB). Default: non attivo.

Definizione nomenclatura variabili

Parametri | Descrizione
Il nome sarà composto dai Livelli tecnologici | Selezione dei livelli tecnologici (1 - 5 e cerchio) della programmazione CFC (Continuous Function Chart) che si intende usare per la denominazione delle variabili. Default: tutti i livelli, incluso Cerchio attivati.
Separatore | Selezione del carattere che deve separare i livelli tecnologici selezionati. Default: \
Nomenclatura interna | Per i nomi degli oggetti creati si usa la nomenclatura interna. Esempio: S0 (per indirizzo di rete = 0)
Nomenclatura WinCC | Per i nomi degli oggetti creati si usa la nomenclatura WinCC. Esempio: Programma S7
Combinato | Per i nomi degli oggetti creati si usano sia la nomenclatura interna, che quella di WinCC. Come separatore si utilizza un punto (.).

Destinazione di importazione

Parametri

Descrizione

Nella lista variabili

Le variabili vengono importate nella lista variabili di zenon.

Durante l´importazione, il sistema verifica se esiste già una variabile con il nome corrispondente. In questo caso, vengono mantenuti gli specifici attributi di zenon. Questo significa che avviene un processo di confronto e merging fra le variabili importate e quelle già esistenti.

Nota: se lo stesso progetto viene importato con diverse regole di denominazione (nomenclatura), anche le variabili verranno create di nuovo. In questo caso, non sarà eseguito il processo di merging con le variabili esistenti di cui si parlava sopra.

Proprio per questo motivo, quando si esegue una nuova importazione di un progetto già precedentemente importato, bisogna fare attenzione a scegliere la stessa nomenclatura della prima esportazione.

Su file

Le variabili vengono importate nel file indicato (*.dbf). Si può modificare questo file e poi importarlo in zenon.

Percorso e nome file

Questo campo di inserimento è attivo solamente se come Destinazione di importazione si è scelto Su file.
L´inserimento del nome e del percorso file avviene cliccando sul pulsante "...".

…

Si apre la finestra di dialogo che serve a selezionare il percorso di destinazione e ad inserire il nome file di destinazione.

Nota: tenere presenti le dimensioni di campo limitate del file DBF. La conseguenza di un eventuale superamento di queste dimensioni può essere la perdita di importanti informazioni nel corso dell´importazione.

Questo pulsante è attivo solamente se “Su file” è stato selezionato come “Destinazione di importazione”.

Navigazione

Parametri | Descrizione
Eseguire | Avvia l´importazione Si apre la finestra di dialogo per selezionare le stazioni.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Le impostazioni eseguite nella finestra di dialogo di importazione sono ritentive e vengono salvate. Quando si riapre la finestra di dialogo, dunque, verranno di nuovo visualizzate le impostazioni eseguite per ultime.

Ancora in questo capitolo

Importare progetti Step 7 in COPA-DATA


Importare progetti Step 7 in COPA-DATA

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Finestra di dialogo di importazione per progetti S7 -> Importare progetti Step 7 in COPA-DATA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare progetti Step 7:

  1. Nell´Editor di zenon, passare al nodo Variabili.
  2. Cliccare con il tasto destro del mouse sul nodo Variabili.
  3. Nel menù contestuale, selezionare l´inserimento Import/export esteso ->Importa progetto S7.
  4. Si apre la finestra di dialogo Selezione driver che consente di scegliere un driver.
  5. Selezionare il driver desiderato fra quelli elencati in questa finestra di dialogo.
  6. Cliccare sul pulsante OK.
  7. Si apre l´assistente per eseguire l´importazione.
  8. Seguire le istruzioni dell´assistente di importazione
    1. Selezionare il progetto desiderato.
    2. Selezionare le stazioni desiderate.
    3. Configurare le stazioni.
    4. Selezionare le variabili.

Ancora in questo capitolo

Selezione stazione

Impostazioni di stazione


Selezione stazione

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Finestra di dialogo di importazione per progetti S7 -> Importare progetti Step 7 in COPA-DATA -> Selezione stazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione stazione

Selezionare le stazioni desiderate.

Lista stazioni

Parametri

Descrizione

Lista stazioni

Elenca tutte le stazioni disponibili del file di progetto selezionato.

  • Indirizzo di rete
  • Prefisso
  • Terminale
  • CPU

Note:

  • la lista può essere filtrata e ordinata. È possibile una selezione multipla.
  • CPU: Per ogni station (Rack) viene offerta per l´importazione solamente la prima CPU trovata.

Seleziona tutte

Seleziona tutte le stazioni della lista.

Impostazioni..

Apre al finestra di dialogo che consente di configurare le impostazioni delle stazioni.
Questa finestra di dialogo offre ulteriori opportunità di filtro per la lista delle variabili da importare.

Navigazione

Parametri | Descrizione
OK | Applica la selezione e apre la finestra di dialogo per la selezione variabili. Nota: questo processo può durare un po´di tempo (dipende dalla dimensione del progetto Step 7).
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni di stazione

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Finestra di dialogo di importazione per progetti S7 -> Importare progetti Step 7 in COPA-DATA -> Impostazioni di stazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni di stazione

In questa finestra di dialogo si può settare il filtro ed eseguire ulteriori impostazioni. Ad esempio, si può definire che vengano filtrate solamente le variabili di un certo tipo di dato, oppure quelle di uno o più blocchi dati. In questa finestra di dialogo, inoltre, si possono definire anche altri criteri per l´assegnazione dei nomi variabile.

Queste impostazioni determinano quali variabili vengono offerte nella finestra di dialogo di sezione delle variabili.

Impostazioni

Parametri | Descrizione
Indirizzo di rete/bus | Indica l´Indirizzo di rete/bus e influenza il nome della stazione. Default: 1 Nota: inizia sempre con 0.

Pre-Filtro

Filtro delle variabili da importare per blocchi dati e tipi di dato,

Parametri

Descrizione

Attivo

Attiva il pre-filtro per:

  • Blocco dati
  • Tipi di dato
  • Aree

Attivo: usa le variabili e i tipi di dato visualizzati nella lista come criteri di pre-filtro. Le differenze fra Step 7 e zenon non vengono visualizzate.

Non attivo: durante l´importazione, il sistema confronta tutte le variabili e i tipi di dato di Step 7 e zenon. Le differenze verrano visualizzate. Il sistema visualizza gli elementi non esistenti proponendo di cancellarli o di eseguirne il merging.

Default: non attiva.

Blocco dati

Lista dei blocchi dati esistenti nel progetto Step 7.

Selezionare i blocchi dati dai quali devono essere importate variabili.

Nota: viene visualizzato in grigio (disattivato) se non è attivata l´opzione “Pre-filtro”. visualizzato in grigio (non attivo) anche se per il parametro Aree è stata attiva l´opzione No blocchi dati.

È possibile una selezione multipla.

Tipi di dato

Lista di tipi di dato.
Per l´importazione vengono prese in considerazione solo variabili che si basano sui tipi di dato selezionati.

Selezionare i tipi di dato su cui si basano le variabili che devono essere importare.

Nota: viene visualizzato in grigio (disattivato) se non è attivata l´opzione “Pre-filtro”. E' possibile una selezione multipla.

Aree

Selezionare l´area desiderata in cui il sistema cercherà le variabili.

  • Tutte le aree
  • Solo Blocchi dato
  • No blocchi dato
    Disattiva la possibilità di eseguire un pre-filtro delle le variabili per blocchi dati.

Opzioni

Criteri di filtro per effettuare il confronto fra le variabili già esistenti in zenon e quelle da importare.

Parametri | Descrizione
Non presentare variabili esistenti | Vengono offerte per l´importazione solamente quelle variabili che non esistono ancora in zenon.
Presenta solo le variabili esistenti | Il sistema cerca le variabili già esistenti. Quando viene eseguita l´importazione, avverrà il merging di queste variabili.
Ricerca di variabili cancellate | Dopo la selezione delle variabili, verranno visualizzate tutte quelle che non esistono nel progetto Step 7. Possono essere cancellate dal progetto di zenon. Nota: questa opzione non è selezionabile se non è stata attivata l´opzione “Pre-filtro”.
Assegnazione delle variabili esistenti per indirizzo invece che per nome | Attivo: per le variabili già esistenti sul driver viene effettuato il merging sulla base dell´indirizzo variabile, anziché sulla base del nome. In questo modo è possibile riprendere nomi modificati da un progetto Step7. Default: non attivo.

Prefisso

Ulteriori configurazioni per la denominazione delle variabili da importare.

Parametri

Descrizione

Nessuno

Al nome delle variabili importate non viene premesso nessun prefisso.

Indirizzo di rete/bus

A nomi importati viene premesso come prefisso l´indirizzo di rete seguito da un punto.

Inserimento libero

Al nome delle variabili importate viene premesso un prefisso liberamente selezionabile.

Quando si esegue l´importazione delle variabili, il prefisso indicato viene messo davanti al nome della variabile, separato da un punto.

Nota: usare lo stesso prefisso quando si importa una seconda volta! Altrimenti le variabili verranno create due volte.

Campo di inserimento

Campo di testo per l´inserimento del prefisso.
Nota: il campo di inserimento è attivo solamente se è stata selezionata l´opzione Inserimento libero.

Navigazione

Parametri | Descrizione
OK | Applica la selezione e torna alla finestra di dialogo Selezione stazione. Nota: questo processo può durare un po´di tempo (dipende dalla dimensione del progetto Step 7).
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Selezione variabili

Manuale -> Import - Export -> Variabili -> Progetto S7 -> Selezione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo vengono visualizzate tutte le variabili disponibili per l´importazione. Questa lista è il risultato delle impostazioni eseguite nelle finestre di dialogo precedenti.

Variabili esistenti

Parametri

Descrizione

Progetto

Albero di progetto del progetto Step 7 originario.

Per estendere i nodi di questa struttura ad albero, cliccare sul pulsante [+] e per ridurli, cliccare su [-]. Dopo che è stato selezionato un progetto, il sistema visualizza un elenco delle variabili Step 7 contenute in questo progetto.

Lista variabili

Lista di tutte le variabili disponibili per essere importate.

  • Nome variabile
  • Commento
  • Area dati
  • Tipo di dati
  • Blocco dati
  • Offset
  • Bit
  • Attributi
  • Informazioni d'indirizzo.

Scegliere in questa lista quelle variabili che devono essere importare in zenon.

Nota: questa lista può essere ordinata e filtrata. La lista può essere modificata e adattata cliccando con il tasto destro del mouse e selezionando la voce Formatta colonne... del menù contestuale.

Variabili da importare

Parametri | Descrizione
Lista delle variabili selezionate | Selezionare nella lista variabili (in altro) le variabili che devono essere importate. Applicare la selezione cliccando sul pulsante Aggiungi.
Aggiungi | Aggiunge le variabili che sono state selezionate nella finestra di anteprima alla lista di quelle da importare.
Rimuovi | Rimuove la/le variabile/i selezionata/e dalla lista delle variabili da importare.

Chiudere la finestra di dialogo.

Parametri | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo. Le variabili del progetto Step 7 vengono importate in zenon in base alle impostazioni eseguite.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo. Cliccando su questo pulsante, si torna alla finestra di dialogo Importa progetto S7.
Guida | Apre la guida online.

Nella visione ad albero, si può selezionare o tutto il progetto, oppure singole stazioni. Quali variabili vengono visualizzate nella finestra di anteprima dipende da cosa si è selezionato. Selezionare le variabili desiderate e cliccare sul pulsante Aggiungi per aggiungere le variabili a quelle da importare. Le variabili selezionate verranno visualizzate nella lista che si trova nella parte bassa della finestra di dialogo. Per cancellare variabili da questo elenco, selezionare le variabili desiderate e cliccare sul pulsante Rimuovi.

info Info

Usando le combinazioni di tasti Ctrl+Clic del mouse o Shift + clic del mouse è possibile selezionare contemporaneamente più inserimenti.

  • Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti compresi fra i due scelti.
  • Tenendo premuti contemporaneamente i tasti Ctrl e Shift e selezionando due inserimenti , vengono selezionati tutti gli inserimenti compresi fra i due scelti. In questo caso, però, inserimenti eventualmente selezionati in precedenza rimangono selezionati.

Quando sono state aggiunte tutte le variabili desiderate, confermare la selezione cliccando su OK. Le variabili verranno create in zenon.


Importazione e esportazione dBase

Manuale -> Import - Export -> Variabili -> Importazione e esportazione dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati possono essere esportati in dBase e importati da dBase.

info Info

Importazione e esportazione in formato CSV oppure dBase non supportano nessuna impostazione variabili specifiche per driver, come per es. formule. In questo caso usare l´mportazione e esportazione in formato XML.

Importare un file DBF

Per avviare l´importazione:

  1. Cliccare con il tasto destro del mouse sulla lista variabili.
  2. Nel menù a tendina della voce Import/export esteso cliccare sul comando Importa file dBase
  3. Seguire le istruzioni dell´assistente di importazione.

Il formato del file è descritto nel capitolo Struttura file.

info Info

Tenere presente quanto segue:

  • I tipi di oggetto del driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.
  • dBase non supporta nessuna struttura o array (variabili complesse) per l´importazione.

Esportare un file DBF

Per avviare l´esportazione:

  1. Cliccate con il tasto destro del mouse sulla lista variabili.
  2. Nel menù a tendina di Import/export esteso, selezionare il comando Esporta su file dBase...
  3. Seguire le istruzioni dell´assistente di esportazione.

attention Attenzione

I file DBF:

  • Devono corrispondere per quello che riguarda la denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • Non devono contenere nessun punto (.) nel nome percorso.
    Per es., il percorso C:\users\Max.Mustermann\test.dbf non è valido.
    Sarebbe valido, invece: C:\users\MaxMustermann\test.dbf
  • Devono essere salvati vicino al percorso directory radice (Root), per soddisfare le eventuali limitazioni riguardanti la lunghezza del nome file incluso percorso: al massimo 255 caratteri

Il formato del file è descritto nel capitolo Struttura file.

info Info

dBase non supporta nessuna struttura o array (variabili complesse) per l´operazione di export.

Ancora in questo capitolo

dBaseIV file variabile


dBaseIV file variabile

Manuale -> Import - Export -> Variabili -> Importazione e esportazione dBase -> dBaseIV file variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´importazione e esportazione di variabili, il file dBaseIV deve avere la struttura e il contenuto seguenti.

attention Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • Corrispondere per quello che riguarda la denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • Essere depositati vicino al percorso directory radice (Root)

Struttura

Nome | Tipo | Dim. campo | Commento
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “VARIABLENAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata in caso di inserimento 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dato (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto del driver.
HWKANAL | Num | 3 | Indirizzo di rete/bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (solo per variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: indirizzo bit Per variabili Byte: 0=basso, 8= alto Per variabili stringa: lunghezza stringa (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice ATTENZIONE: solo la prima variabile è completamente disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: non consentito settare valore impostabile. 1: consentito settare valore impostabile.
MIT_ZEIT | L | 1 | Time stamp in zenon (solo se supportato dal driver).
OBJEKT | N | 2 | Numero ID specifico per il driver dell´oggetto primitivo Si compone di TREIBER-OBJEKTTYP e DATENTYP
SIGMIN | Float | 16 | Segnale del valore non elaborato minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore non elaborato massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la visualizzazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza di update per variabili matematiche (in sec, una cifra decimale possibile) Non utilizzato con tutte le altre variabili.
MEMTIEFE | N | 7 | Esistente solo per motivi di compatibilità.
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità inserimenti HD per valori storici (quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati.
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal Server-Standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal Server-Standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJWVBA | L | 1 | Adattamento di valori non-lineari: 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJWVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.

attention Attenzione

In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Nome | Tipo | Gr. campo | Commento
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | Salvataggio in CEL
ALARM1 | L | 1 | Allarmi
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la Lista di informazione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppi allarme/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
FARBE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


Interblocchi

Manuale -> Import - Export -> Interblocchi

Il file di esportazione per gli interblocchi è composto da:

  • Lista interblocchi

Quando si importano/esportano interblocchi, le variabili interessate non verranno esportate/importate automaticamente. Si deve eventualmente procedere ad eseguire prima un´importazione/esportazione delle variabili.

Ancora in questo capitolo

Gruppi comando


Gruppi comando

Manuale -> Import - Export -> Interblocchi -> Gruppi comando

Esportazione

I gruppi comandi possono essere esportati in modo selettivo, o tutti insieme.

info Info

I gruppi comandi e gli interblocchi generali non vengono esportati insieme!

Importazione

Per l´importazione di gruppi comando, vale quanto segue:

  • La relazione fra i gruppi comandi esistenti e quelli da importare viene stabilita mediante il nome. Se esiste già un gruppo comando con un determinato nome, questo viene attualizzato.
  • Se esiste già un interblocco generale con un determinato nome, viene creato un nuovo gruppo comandi con un nuovo nome.
  • I gruppi comandi non esistenti, invece, vengono creati.
  • Gli interblocchi generali presenti nel file di importazione non vengono importati.
  • Le relazioni assolute delle variabili vengono stabilite mediante il nome.
  • I nuovi gruppi comandi ricevono un ID univoco e non ancora utilizzato.


Temporizzatori

Manuale -> Import - Export -> Temporizzatori

Il file di esportazione per i temporizzatori si suddivide in:

Lista delle funzioni tempo

Lista funzioni

Con le funzioni tempo vengono esportate anche le variabili in esse contenute. Le funzioni tempo vengono importate automaticamente. Le funzioni devono essere importate da questo file in maniera separata.


Attribuzioni

Manuale -> Import - Export -> Attribuzioni

Il file di esportazione per le attribuzioni consta di:

Lista di attribuzioni

Quando si importano/esportano attribuzioni, le variabili interessate non verranno esportate/importate automaticamente. Si deve eventualmente procedere ad eseguire prima un´importazione/esportazione delle variabili.


Messaggi d'errore

Manuale -> Import - Export -> Messaggi d'errore

Gli errori che si sono verificati durante uin processo d´importazione o esportazione vengono visualizzati nella finestra di emissione.

Messaggio di errore | Causa possibile e soluzione
Errore: "Il file non può essere aperto, file in uso da un altro utente." | Questo file è bloccato per ogni forma di modifica. L´utente deve prima rilasciare il file in questione e poi sarà possibile eseguire di nuovo l´import/export.
Errore: "Impossibile aprire o raggiungere il database." | Forse mancano i diritti per generare il file, oppure quest´ultimo è corrotto.
Errore: "La variabile non è valida e non verrà salvata." | La variabile non è valida. Controllare tutti i parametri della variabile.
Errore: "La variabile non può essere trovata nel Database." | Errore di accettazione della variabile nella banca dati.
Errore: "La variabile contiene un indirizzo Hardware non valido." | Un indirizzo hardware della variabile non è corretto. Correggere l´indirizzo prima di eseguire di nuovo l´importazione.
Errore: "Il driver non ha disponibile nessun oggetto per l'Im-/Export, Im-/Export non verrà eseguito." | Il driver selezionato non dispone di nessun oggetto che possa essere importato o esportato.
Errore: "Impossibile cancellare la variabile. Variabile non disponibile." | Una variabile che è stata selezionata per essere cancellata, non esiste più.
Avviso: "Esiste già una variabile con il nuovo nome; l'import verrà completato con il nome precedente." | Una variabile, che deve essere rinominata effettuando l´import, non viene rinominata, visto che ce n`è già un´altra con lo stesso nome. Essa viene importata con il nome originario.
Avviso: "La variabile non può essere rinominata e verrà ricreata." | Una variabile, che deve essere rinominata, non può essere rinominata. Viene creata di nuovo.

Gli errori che si verificano nel XML-Import vengono trattati e risolti in un dialogo apposito.


Industrial Maintenance Manager (IMM)

Manuale -> Industrial Maintenance Manager (IMM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'Industrial Maintenance Manager (IMM) serve alla cura dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficace gli intervalli di esecuzione dei lavori di manutenzione. Si ha sempre una visione generale completa di quali dispositivi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Il sistema, inoltre, registra quali lavori di manutenzione sono stati eseguiti in passato.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Ancora in questo capitolo

Funzionalità

Limitazioni

Lavoro di preparazione

Creare un'immagine del tipo IMM

Lavoro di Manutenzione

Inserimento dati

Integrazione nel processo

Gestione a Runtime

Funzioni


Funzionalità

Manuale -> Industrial Maintenance Manager (IMM) -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • I dispositivi possono essere copiati e aggiunti; al nome del dispositivo viene aggiunto un numero progressivo.
  • La visualizzazione elenco può essere modificata e adeguata alle esigenze individuali nel filtro immagine. Possono essere modificati il nome, la larghezza delle colonne, e la loro successione.
  • Ogni lista può essere visualizzata e stampata come html via foglio di stile.
  • L`identificazione di impianto può essere creata solo usando il menù contestuale nella visualizzazione struttura ad albero.
  • Identificazioni di impianto multigerarchiche.
  • Si possono creare degli apparecchi tramite il menù contestuale nella struttura ad albero, oppure nella lista, a patto che sia stato selezionato un impianto nella visualizzazione struttura ad albero. Questo impianto, poi, viene inserito automaticamente nell'apparecchio in forma d´identificazione impianto.
  • Cliccando sulla testa della colonna, gli elementi vengono ordinati in ordine alfabetico.
  • Capacità multiprogetto
  • Server-Client
  • La cancellazione di dispositivi è soggetta ad un livello utente che prevede due modi di cancellazione. In primo luogo, abbiamo una cancellazione nel senso che i dati sono conservati nella banca dati; gli inserimenti storici, quindi, non vanno persi. In questo caso il Flag ACTIVE della banca dati viene settato a 0. In alternativa abbiamo una cancellazione definitiva: tutti i dati della banca dati, inclusi quelli concernenti le operazioni di manutenzione e la storia, vengono cancellati.
  • I checkbox nella struttura ad albero per le identificazioni impianti sono un filtro. Quando vengono attivati, sono visualizzati solo gli apparecchi, gli inserimenti storici e le attività di manutenzione relativi a questa specifica identificazione impianto.


Limitazioni

Manuale -> Industrial Maintenance Manager (IMM) -> Limitazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo salva i dati in una banca dati Microsoft SQL Server (sono possibili tutte le versioni SQL a cominciare dalla SQL Server 2000). Il server MS SQL non è contenuto nella versione del zenon. Potete utilizzare, però, la "SQL Server Express Edition" che viene installata con l'editor di zenon.

Gli altri server SQL, come, ad esempio, Oracle non vengono supportati.


Lavoro di preparazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Banca dati

Configurazione


Banca dati

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter creare un database, si ha bisogno del SQL Server Management Studio (SSMS).

Installazione di SQL Server Management Studio

  1. Scaricare la versione più recente della Homepage di Microsoft.
  2. Per il download, selezionare il setup in lingua inglese, perché i passi seguenti si riferiscono alla versione inglese.
  3. Eseguire il setup.

Creare il database

  1. Avviare lo SQL Server Management Studio.
  2. Creare una connessione con il server desiderato.
  3. In Object Explorer, cliccare con il tasto destro del mouse su Databases.
  4. Nel menù contestuale, selezionare l´inserimento New Database....

    Si aprirà la finestra di dialogo di configurazione.

  5. Assegnare il nome desiderato.
  6. Se necessario, configurare altre opzioni.
  7. Confermare la finestra di dialogo cliccando su OK.


Configurazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono generate 4 tabelle nella banca dati. I nomi delle tabelle sono assegnati in modo fisso e corrispondono ai nomi usati nella Amministrazione punti di misurazione:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Connessione database

Si può modificare manualmente la stringa ODBC nelle proprietà di progetto, nel nodo Industrial Maintenance Manager, tramite la proprietà Database. Un clic sul pulsante ... apre il dialogo di configurazione.

Nuovo...

Cliccate su questo pulsante per aggiungere una nuova origine dati file

Scegliete nel campo di dialogo "Crea nuova origine dati" il driver SQL Server ; poi cliccate su Avanti per digitare il nome o il posto di salvataggio della nuovo file DSN.

Cliccate di nuovo su Avanti per visualizzare un riassunto delle nuove informazioni.

Cliccate su Termina per visualizzare il campo di dialogo specifico per il driver.

Se selezionate un nome server della lista, non sono più necessarie ulteriori impostazioni di configurazione.

Cliccate di nuovo su Avanti .

Cliccate di nuovo su avanti.

Adesso potete selezionare la banca dati precedentemente creata.

Cliccate su Termina.

Adesso potete testare la connessione progettata.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene applicata automaticamente nella stringa provider. Deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Creare un'immagine del tipo IMM

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine IMM.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Parametro

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista

Lista dei processi che vengono visualizzati durante il Runtime.

Funzioni lista

Elementi di controllo per la gestione della lista.

Filtro

Applica filtri.

Nuova identificazione impianti

Crea una nuova identificazione impianti.

Cancella identificazione impianto

Cancella l´identificazione impianti selezionata.

Dispositivo

Elementi di controllo per dispositivi.
  • Nuovo

Aggiunge un nuovo dispositivo.
  • Modifica

Consente la modifica del dispositivo selezionato.
  • Elimina

Cancella un dispositivo.
  • Evidenzia come disattivato

Fa passare il dispositivo alla modalità inattiva.
  • Sostituisci

Sostituisce un dispositivo.

Copia

Copia l´elemento selezionato negli appunti

Incolla

Inserisce l´elemento selezionato proveniente dagli appunti

Sostituisci contatore

Sostituisce un contatore.

Modifica manutenzione

Consente la modifica di un lavoro di manutenzione.

Esegui manutenzione

Passa a "Esegui manutenzione".

Esegui riparazione

Passa ad "Esegui riparazione".

Stampa lista

Stampa la lista.

Stampa dettagli

Stampa i dettagli.

Aggiorna

Aggiorna la visualizzazione.

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Selezione profilo

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi.
sono proibiti: ! \ / : * ? < > | ""

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di esportazione.

Esporta

Esporta profili filtro in un file.

Ancora in questo capitolo

Visuale durante il Runtime


Visuale durante il Runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando la Immagine del tipo IMM viene aperta durante il Runtime, essa viene visualizzata divisa in due settori:

Ancora in questo capitolo

Lato sinistro: Tree

Lato destro: Lista


Lato sinistro: Tree

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato sinistro: Tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro | Descrizione
Data Master | Come sotto-nodi sono utilizzate le identificazioni impianto. Questi sotto-nodi sono dotati di un checkbox per limitare la selezione. Questa selezione determina l'emissione nella lista. Nei dati master, nei lavori di manutenzione e nella storia vengono visualizzati solo i dati relativi agli impianti selezionati. Nota: I dispositivi della lista possono essere trascinati mediante Drag&Drop su altri impianti.
Log | Qui vengono filtrati i dati storici sulla base di periodi di tempo. Con l´opzione Filtro libero si apre una finestra di dialogo che serve a scegliere il periodo desiderato.
Lavori di Manutenzione | Qui vengono filtrati i lavori di manutenzione da effettuare sulla base di periodi di tempo. Con l´opzione Filtro libero si apre una finestra di dialogo che serve a scegliere il periodo desiderato.


Lato destro: Lista

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato destro: Lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui viene visualizzato quanto è stato selezionato nella struttura ad albero (parte sinistra) in forma di lista. La lista può essere ordinata in senso ascendente o discendente per ogni colonna. In questo tipo di visualizzazione c'è anche un menù contestuale che, a seconda della selezione effettuata nella struttura ad albero, offre diverse funzioni.

Selezione dei dati master

Comando

Descrizione

Nuovo dispositivo

Alla voce Nuovo dispositivo si possono creare nuovi dati master. L'inserimento dei dati avviene tramite una finestra di dialogo con ha 3 schede. Nella prima pagina vanno inseriti i dati relativi al dispositivo. Nella pagina Lavori di manutenzione si può impostare un numero a piacere di lavori di manutenzione per il dispositivo in questione. Per offrire al progettista una visione d'insieme, in questa pagina i titoli dei lavori di manutenzione vengono visualizzati in una lista. Nell'ultima pagina si può assegnare al dispositivo anche un numero qualsiasi di documenti. Come per i lavori di manutenzione, anche questi vengono rappresentati in forma di lista, in modo tale da fornire una visione d'insieme chiara. Cliccando due volte su un documento, questo viene visualizzato, sempre che sia installato il programma relativo.

Nota: I dispositivi possono essere trascinati per Drag&Drop su altri impianti nei master data.

Modifica dispositivo

Simile a "Nuovo dispositivo", con la sola differenza che qui i campi sono riempiti con i dati già esistenti. Bisogna naturalmente selezionare un dispositivo.

Scambia dispositivo

Qui vengono modificate le variabili per conta impulsi e contatore di funzionamento! Su di esse si basa il calcolo per stabilire il momento in cui procedere ad eseguire la manutenzione. Se si effettua un cambio dispositivi, viene generato un inserimento storico relativo. L'intervallo temporale intercorrente fra i lavori di manutenzione, inoltre, viene resettato ed i nuovi valori della variabili vengono utilizzati come valori di partenza per il calcolo dei lavori di manutenzione successivi.

I dati relativi al dispositivo rimangono immutati; cambiano solo le variabili collegate. Queste devono essere inserite usando una finestra di dialogo. Nel caso in cui la variabile non esista, nella finestra di dialogo appare un avviso che fa presente che nessuna variabile valida è momentaneamente collegata al dispositivo.

Cambia contatori

Se si sostituisce un contatore, la variabile rimane la stessa, ma cambia lo stato del contatore (valore della variabile). Se si effettua un cambio di contatore, viene generato un inserimento storico relativo . Se si vuole, si può resettare qui l'intervallo in cui eseguire i lavori di manutenzione.

Si può impostare un nuovo valore iniziale per il dispositivo sostituito.

Elimina dispositivo

Il dispositivo selezionato può essere eliminato. Tutti i dati relativi (lavori di manutenzione, dati storici e documenti) vengono cancellati. Per sicurezza, il sistema chiede all´utente se vuole veramente cancellare i dati.

Inserire i master data.

Parametro

Descrizione

Nome

Nome del dispositivo.

Identificazione di impianto

Visualizzazione dell´identificazione di impianto

Targhetta di identificazione

Dati concernenti la targhetta

  • Tipo
  • Fabbricazione
  • Numero di serie

Descrizione libera

Campo d´inserimento per una libera descrizione.

Data di implementazione

Inserimento della data di messa in opera.

Variabili

Configurazione delle variabili.

Contatore cicli di funzionamento

Selezione delle variabili per il contatore cicli di funzionamento.

Cliccate sul pulsante ... e si apre la finestra di dialogo che serve alla selezione di una variabile.

Attenzione: l´intervallo di conteggio deve essere selezionato in modo tale che sia grande abbastanza da garantire che, in fase di funzionamento, passi sempre meno della metà del valore finale del contatore fra lo stato attuale e quello relativo all´ultimo lavoro di manutenzione.

Contatore mass.

Massimo consentito per lo stato contatore.

Ore di funzionamento

Selezione delle variabili per le ore di funzionamento.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Attenzione: l´intervallo di conteggio deve essere selezionato in modo tale che sia grande abbastanza da garantire che, in fase di funzionamento, passi sempre meno della metà del valore finale del contatore fra lo stato attuale e quello relativo all´ultimo lavoro di manutenzione.

Contatore mass.

Massimo consentito per lo stato contatore.

Variabile di risposta

Dopo l´effettuazione di un lavoro di manutenzione, il valore definito in quella sede viene scritto sulla variabile qui collegata. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Configurare lavori di manutenzione.

Parametro

Descrizione

Nome

Nome per incarico.

Commento

Commento relativo all´incarico.

Nota: Create un´interruzione di riga usando la combinazione di tasti Ctrl+INV.

Livello di autorizzazione

Inserimento del livello di autorizzazione necessario per l´esecuzione.

Intervallo di manutenzione

Configurazione dell´intervallo di manutenzione per:

  • Periodo in giorni
  • Contatore cicli di funzionamento
  • Ore di funzionamento

Interazione di processo

Proprietà per l´interazione.

Valore di risposta

Valore che viene scritto sulla variabile di responso collegata al dispositivo dopo l´esecuzione del lavoro di manutenzione.

Variabile di stato

Variabile che indica lo stato del lavoro di manutenzione.

  • 0: Manutenzione non in scadenza
  • 1: Manutenzione in scadenza

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

La variabile viene scritta quando l´immagine IMM viene attualizzata, oppure quando si esegue la funzione Determinazione manutenzioni in corso.

Modifica dati

Vengono supportate le seguenti possibilità di accesso ai file.

Unità locali | Disco fisso locale
Percorso UNC | per es. \\Nome server\Nome rilascio
Unità collegate | Disco fisso reso disponibile da un computer della rete

attention Attenzione

Requisito per poter visualizzare i documenti, bisogna aver installato un Viewer corrispondente. per es. Adobe Acrobat Reader per file.pdf

Cambia dispositivo

Cambia contatori

Selezione lavori di manutenzione

Con un doppio clic su un lavoro di manutenzione, vengono visualizzati i dati relativi a quest'ultimo. Ma questi dati non possono essere modificati.

Esegui riparazione

Se si effettua una riparazione, viene generato dal sistema in primo luogo un inserimento storico, e, in secondo luogo, il lavoro di manutenzione viene considerato come non (!) eseguito e rimane così nella lista di quelli da eseguire. Viene generato un inserimento storico.

Simile alla "Esecuzione di un lavoro di manutenzione", con la sola differenza che appare in più la domanda se i contatori devono essere attualizzati oppure no.

Stampa lista

La lista visualizzata viene scritta 1:1 in un file XML e visualizzata in un HTML browser via foglio di stile. A questo punto il file HTML può essere salvato o direttamente stampato.

Stampa dettagli

I dati relativi ai lavori di manutenzione selezionati vengono stampati.

Modifica manutenzione

In questa sede si possono modificare i dati relativi ai lavori di manutenzione selezionati.

Esegui manutenzione

Se viene eseguito un lavoro di manutenzione, i contatori vengono attualizzati e viene generato un inserimento storico. Il lavoro di manutenzione, inoltre, viene considerato eseguito per questo intervallo e cancellato dalla lista di quelli da eseguire.

Alla voce "Documenti" vengono visualizzati in una lista i file collegati. Con un doppio clic su un file, questo viene aperto a patto che sia installato il necessario programma.

Selezione storia

Qui c'è un solo punto di menù, e cioè Stampa lista. Stesso procedimento come nel caso dei lavori di manutenzione - Stampa lista.


Lavoro di Manutenzione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Determinare le modalità di un lavoro di manutenzione da effettuare è la funzione fondamentale dell'IMM. Tale lavoro di manutenzione può avere tre diversi intervalli:

- un periodo in giorni

- un contatore delle ore di funzionamento oppure

- un contaimpulsi.

Sulla base di questi intervalli, si determina quando deve essere effettuato un lavoro di manutenzione.

Nel caso in cui si raggiunga il limite di tolleranza, le operazioni di manutenzione da effettuare vengono riportate nella lista con una nota che fa presente che il livello di guardia è stato raggiunto. Quando si raggiunge l'intervallo per l'effettuazione dei lavori di manutenzione, questi ultimi vengono indicati come da effettuare e vengono inseriti nella lista delle operazioni di manutenzione.

La funzione "Rileva lavori di manutenzione"

Mediante la funzione Rileva lavori di manutenzione, viene prelevata dall'IMM la lista di tutte le operazioni di manutenzione da effettuare nel periodo di tempo prescelto. Queste ultime, poi, vengono utilizzate per la determinazione dei valori di stato progettati specifici per un determinato impianto.

Durante questa operazione, vengono scritte sulle variabili di stato relative dei valori impostabili numerici nella dimensione del numero complessivo dei lavori di manutenzione da effettuare, che si trovano negli impianti, che corrispondono al attinente criterio di filtro.

Se create nell'editor una nuova funzione Rileva lavori di manutenzione, compare il seguente dialogo di configurazione:

Periodo | In questa sede si definisce il periodo in cui vengono rilevati i lavori di manutenzione da effettuare (vedi IMM).

Ancora in questo capitolo

Periodo

Contatore di ore e contaimpulsi


Periodo

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione -> Periodo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'inserimento dei dati relativi ai lavori di manutenzione può essere impostato un intervallo di tempo in giorni. un certo numero di giorni prima della scadenza dell'intervallo di tempo programmato il lavoro di manutenzione viene valutato dal sistema come manutenzione da eseguire e l'utente ne viene avvertito. (messaggio, "manutenzione da realizzare fra xx giorni).

Nel caso in cui sia raggiunto il periodo o lo stato del contatore dell'intervallo di manutenzione, la manutenzione stessa viene registrata con il testo "intervallo di manutenzione superato".

La data dell'ultima manutenzione effettuata viene aggiornata ogni volta che viene realizzato un lavoro di manutenzione. Al primo inserimento di lavori di manutenzione, la data relativa viene messa in quella della messa in opera.


Contatore di ore e contaimpulsi

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione -> Contatore di ore e contaimpulsi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per calcolare un lavoro di manutenzione da fare, viene divisa la differenza del vecchio stato del contatore al momento dell'ultima manutenzione e di quello attuale per il numero dei giorni trascorsi dall'ultima manutenzione; questo valore viene poi aggiunto al vecchio. Se questo è maggiore a quello consentito, il sistema considera necessaria una manutenzione e lo indica nella lista.

Nel caso in cui una variabile dovesse avere un valore inferiore rispetto a quello che aveva al momento dell'ultima manutenzione, si riceve un messaggio corrispondente.


Inserimento dati

Manuale -> Industrial Maintenance Manager (IMM) -> Inserimento dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile inserire i valori delle variabili nei dati di manutenzione solo se si crea un nuovo lavoro di manutenzione. Altrimenti rimane il vecchio valore.

Nel caso in cui si imposti un apparecchio e non ci sia alcuna variabile collegata, nel lavoro di manutenzione corrispondente rimane il valore iniziale. Anche in questa situazione i valori delle variabili nel lavoro di manutenzione non vengono sovrascritti se le le variabili vengono inserite posteriormente. Appare una comunicazione nel caso in cui la variabile necessaria per il calcolo della manutenzione abbia ancora il valore iniziale. Il valore della variabile può cambiare solo nel caso venga effettuata una riparazione, venga sostituito l'apparecchio o venga realizzato un lavoro di manutenzione.


Integrazione nel processo

Manuale -> Industrial Maintenance Manager (IMM) -> Integrazione nel processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Segnalazione di un'operazione di manutenzione eseguita con successo: al dispositivo può essere assegnata una variabile integer. Si deve, inoltre, definire nell´operazione di manutenzione il valore di restituzione di questa variabile. Se non si desidera alcuna differenza fra i diversi lavori di manutenzione, si può inserire in questa sede sempre lo stesso valore. Nel caso in cui non si indichi alcun valore, non viene settato alcun valore neppure nella variabile.
  • Risposta nel processo: ad ogni lavoro di manutenzione può essere collegata una variabile, che contiene lo stato della manutenzione. (Status Ok 0 e Status da eseguire 1)


Gestione a Runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti funzioni sono disponibili:

  • Nuovo dispositivo: creare un nuovo apparecchio. Deve essere selezionata un´identificazione Impianti.
  • Modifica dispositivo: modificare un apparecchio. Bisogna naturalmente selezionare un apparecchio.
  • Dispositivo inattivo: Disattivare un apparecchio, il che significa che i dati non vengono più visualizzati, ma rimangono nella banca dati.
  • Esegui manutenzione: Deve essere selezionata un'operazione di manutenzione per poterla eseguire.
  • Aggiorna: I dati delle banca dati e le variabili vengono lette di nuovo.
  • Filtro: Apre il dialogo delle immagini filtro al fine di modificarne le colonne.
  • Stampa: Genera un html con la visualizzazione di lista desiderata. Viene riprodotta in modo fedele la modalità di visualizzazione attuale. Si può stampare la lista delle operazioni di manutenzione già effettuate e quelle che devono essere ancora seguite.
  • Stampa dettagli: I dettagli concernenti un lavoro di manutenzione visualizzati in formato html. Naturalmente è necessario che si selezioni un'operazione di manutenzione.


Funzioni

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni

Ancora in questo capitolo

Cambio immagine

Determinazione manutenzioni in corso


Cambio immagine

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si crea una funzione per il cambio immagine verso un´immagine del tipo IMM, il sistema propone il dialogo che serve alla configurazione delle impostazioni delle colonne. Queste ultime possono essere configurate separatemente per:

  • Data Master
  • Lavori di Manutenzione
  • Log

Ancora in questo capitolo

Data Master

Lavori di Manutenzione

Log


Data Master

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Data Master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dei Data Master da visualizzare:

  • Contatore ore di funzionamento corrente
  • Contatore operazioni correnti
  • Etichetta di impianto
  • Nome
  • Fabbricazione
  • Dispositivo
  • Data di implementazione
  • Numero di serie
  • Stato
  • Tipo
  • Tempo dall'ultima manutenzione

Parametro | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate a Runtime. Descrizione non modificabile. Attivo: la colonna viene visualizzata a Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento selezionato in alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento selezionato in basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Lavori di Manutenzione

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Lavori di Manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dei lavori di manutenzione da visualizzare:

  • Contatore ore di funzionamento corrente
  • Contatore operazioni correnti
  • Etichetta di impianto
  • Nome
  • Scadenza
  • Dispositivo
  • Interno-Esterno
  • Commento
  • Stato
  • Lavoro di Manutenzione
  • Tempo dall'ultima manutenzione

Parametro | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate a Runtime. Descrizione non modificabile. Attivo: la colonna viene visualizzata a Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento selezionato in alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento selezionato in basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Log

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Log

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione della storia da visualizzare:

  • Etichetta di impianto
  • Utente
  • Nome
  • Data
  • Dispositivo
  • Commento
  • Lavoro di Manutenzione
  • Contatore di lettura di Manutenzione

Parametro | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate a Runtime. Descrizione non modificabile. Attivo: la colonna viene visualizzata a Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento selezionato in alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento selezionato in basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Determinazione manutenzioni in corso

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Determinazione manutenzioni in corso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Determinazione manutenzioni in corso in corso estrae la lista di tutte le manutenzioni in corso che si riferisce al periodo di tempo selezionato; il sistema va a procurarsi questa lista dall´IMM. Queste manutenzioni, poi, vengono utilizzate per la determinazione dei valori di stato progettati specifici per un determinato impianto.

Al momento dell´esecuzione della funzione si verifica quanto segue:

  • vengono settati valori impostabili numerici sulle variabili di stato corrispondenti; questi valori impostabili corrispondono al numero complessivo delle manutenzioni in attesa che si trovano in impianti e corrispondono all´attribuzione di identificazioni impianti a variabili di stato.
  • Vengono attualizzate anche le variabili di stato progettate sul dispositivo e per la manutenzione.

Per configurare questa funzione:

  • scegliete Nuova funzione.
  • Apre il ramo Applicazione.
  • selezionate Determinazione manutenzioni in corso
  • si apre il dialogo per la configurazione della funzione

Parametro | Descrizione
Periodo | Periodo di tempo per il quale vengono determinate le manutenzioni in corso. Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.
Identificazione impianto | Inserimento delle identificazioni impianto che devono essere attribuite a una variabile di stato. Forma: le identificazioni impianto vengono inserite in forma di lista, separate da virgole. Le identificazioni impianto possono contenere anche wildcards. (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Variabile di stato | Variabile numerica che, durante l'esecuzione della funzione, riceve come valore impostabile il numero dei lavori di manutenzione da effettuare negli impianti indicati alla voce identificazioni impianto.
Attribuzioni | Lista delle attribuzioni di identificazioni impianto a variabili di stato.
Aggiungi | Aggiunge una riga di attribuzione.
Rimuovi | Cancella l´attribuzione selezionata.

Example Esempio

Nell'impianto 1 sono da effettuare 2 lavori di manutenzione e nell'impianto 2 se ne deve effettuare 1.
Impianto 1 e impianto 2 sono gli unici impianti in questo esempio.
La funzione è progettata in modo analogo allo screenshot qui sopra.

Le variabili di stato ricevono i seguenti valori impostabili:

Wartungen_heute_alle = 3

Wartungen_heute_alle2 = 3

Wartungen_heute_Anlage1_2 = 3

Wartungen_heute_Anlag1 = 2

Wartungen_heute_Anlag2 = 1

info Info

La funzione viene eseguita nel funzionamento di rete sempre solo sul server.


Industrial Performance Analyzer

Manuale -> Industrial Performance Analyzer

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare dati relativi ad allarmi e i tempi di stallo associati in differenti visualizzazioni elenco. L´IPA accede ad una banca dati SQL, in cui gli allarmi (se configurati in modo appropriato) vengono salvati.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Grazie alle sue diverse impostazioni di filtro, l´IPA offre il massimo di flessibilità. Potete effettuare un filtro del vostro impianto, ad esempio, sulla base di singole aree e far in modo che vengano visualizzati solo gli allarmi che si sono verificati in un queste aree. L´IPA consente anche di individuare e rintracciare i punti deboli del vostro impianto. Ciò è di particolare aiuto soprattutto in fase di messa in opera dell´impianto stesso, per scoprire le cause di eventuali problemi e per poterli risolvere. In combinazione con il modulo Production & Facility Scheduler (PFS), poi, l´IPA consente di visualizzare i tempi di inattività cui sono già state sottratte le pause. Dai tempi di inattività effettivi, dunque, vengono sottratti i tempi di pausa. Così avete la possibilità di sapere qual è tempo, per così dire, "netto" di non funzionamento del vostro impianto. L´IPA, inoltre, può riprendere dal PFS gli orari dei turni e i nomi dei turni. Ciò facilita il processo di progettazione e aiuta a risparmiare tempo. Inoltre si deve effettuare la manutenzione degli orari di turno e dei nomi turno solamente in una sede. Un altro vantaggio è che c´è la garanzia che PFS e IPA usino gli stessi dati.

info Info

L'Industrial Performance Analyzer è concepito per l'uso con il PC e utilizza dunque il mouse e la tastiera come strumenti di inserimento. Non si può garantire la piena funzionalità con un touchscreen.

Ancora in questo capitolo

Come funziona - Principi base

Configurazione nell'Editor

Gestione nel Runtime


Come funziona - Principi base

Manuale -> Industrial Performance Analyzer -> Come funziona - Principi base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i dati allarme configurati in modo adeguato (vedi Variabili), vengono salvati in una banca dati SQL. Sono supportati: Microsoft SQL-Server e Oracle SQL Server. Sono disponibili sia localmente, che in rete.

Nel Runtime, i dati allarmi corrispondenti vengono salvati in un buffer e, da lì, vengono scritti ciclicamente nella banca dati indicata. Il tempo del ciclo viene stabilito in fase di progettazione nell´Editor (vedi Impostazioni generali).

Più progetti Runtime possono scrivere nello stesso database. Il salvataggio centrale dei dati relativi agli allarmi garantisce un alto livello di sicurezza e un`elevata disponibilità dei dati stessi.
La visualizzazione e l´analisi a Runtime avviene tramite un´immagine di tipo Industrial Performance Analyzer.


Configurazione nell'Editor

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dovete effettuare le seguenti impostazioni per visualizzare e analizzare nel Runtime i dati allarmi con l´Industrial Performance Analyzer.

Ancora in questo capitolo

Impostazioni generali

Variabili

Cambio lingua

Immagine del tipo Industrial Performance Analyzer.

Funzione "Cambio immagine"

Funzione: Crea/stampa documento IPA


Impostazioni generali

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Trovate l'area Industrial Performance Analyzer nelle proprietà di progetto. Qui definite le impostazioni dell'IPA che sono applicate al vostro intero progetto.

Le seguenti proprietà sono a disposizione nella scheda “Generale”:

Proprietà | Descrizione
IPA attivo | Selezionate questa proprietà per attivare IPA.
Banca dati | Qui definite la banca dati nella quale l'IPA deve salvare i dati allarmi (vedi Banca dati)
Nome della tabella | Inserite un nome a piacere per la tabella dei vostri dati IPA. Una tabella con questo nome verrà creata automaticamente nella banca dati al momento in cui il Runtime accederà per la prima volta alla banca dati stessa.
Ciclo di salvataggio | Definite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer devono essere scritti nella banca dati. I valori si trovano, in pratica, fra 2 e i 5 minuti.
Dimensione buffer | Indicate quanti allarmi devono essere salvati nel buffer. Il contenuto del buffer viene salvato nella banca dati alla fine di ogni ciclo. Poi il buffer è di nuovo vuoto. Se, nell'arco di un solo ciclo, si dovesse verificare un numero superiore di allarmi rispetto a quello impostato, gli allarmi più vecchi sono quelli che vanno perduti per prima.
Turno dal PFS | Selezionate questa proprietà per applicare i tempi per i turni definiti nel modulo Production & Facility Scheduler. Se abilitate questa proprietà, potete visualizzare durante l'analisi degli allarmi i tempi di inattività al netto delle pause.
Turno da variabile | Selezionate una variabile del tipo INT. Insieme alla proprietà "Turno dalla lista", potete così assegnare dei valori numerici ai nomi dei turni.
Predefinisci filtro tempo | Definite i diversi filtri tempo che potete usare nel Runtime.
Cause allarmi | Definite le diverse cause allarmi che potete usare nel Runtime.
Identificazione impianto | Definite le diverse identificazioni impianti che potete usare nel Runtime.
Ident. impianto da: | Decidete se volete usare l´inizio dell´identificazione di una variabile o l´inizio del nome di una variabile come parte dell´identificazione impianti.
Nome turno dal PFS | Selezionato questa proprietà per adottare i nomi turni per i turni definiti che si trovano nel modulo Production & Facility Scheduler.
Turno dalla lista | Definite dei nomi turno da assegnare a valori numerici. Usando il valore numerico delle variabili che avete indicato alla voce "Turno da variabile", nel Runtime verrà visualizzato per un allarme il nome turno rispettivo definito in questa sede.
Per cancellare | Selezionate nel menù a tendina il livello di autorizzazione del quale l´utente deve essere in possesso per poter cancellare inserimenti di banca dati dell´Industrial Performance Analyzer.
Per modificare | Selezionate nel menù a tendina il livello di autorizzazione del quale l´utente deve essere in possesso per poter modificare inserimenti di banca dati dell´Industrial Performance Analyzer.

Ancora in questo capitolo

Banca dati

Predefinisci filtro tempo

Cause allarmi

Identificazione di impianto

Turno dalla lista


Banca dati

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In corrispondenza della proprietà Banca dati, cliccate sul pulsante con i tre punti per passare al dialogo di selezione della origine dati.

Procedura:

  1. Per creare un nuovo file DSN, cliccare su Nuovo....
  2. Nella seguente finestra di dialogo, selezionare l´inserimento Server SQL e cliccare su Avanti.
  3. Digitare un nome per il file dell'origine dati e cliccare di nuovo su Avanti.
  4. Cliccare su Fine per chiudere la finestra di dialogo.
  5. Alla voce Server selezionare Server SQL e cliccare su Avanti.
  6. Non si deve modificare nulla nella finestra di dialogo che si aprirà. Cliccare su Avanti (Next).
  7. Attivare il checkbox Modifica la banca dati standard in: e selezionare la banca dati desiderata. Cliccare su Avanti.
  8. In questo dialogo non si deve effettuare alcuna modifica. Cliccare su Fine per chiudere la finestra di dialogo.

Il dialogo conclusivo mostra un´altra volta le impostazioni effettuate. Qui si può testare l'origine dati. Confermare questa finestra di dialogo e la prossima cliccando su OK.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene applicata automaticamente nella stringa provider. Deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Predefinisci filtro tempo

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Predefinisci filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione si apre la seguente finestra di dialogo.

Parametro | Descrizione
Aggiungi... | Aggiunge un nuovo tempo filtro. Nella finestra di dialogo che apparirà, assegnare un nome univoco e stabilire un tempo di avvio e di conclusione.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare il nome, il tempo di avvio e quello di conclusione.
Elimina | Attivo solo se è stato selezionato uno più dialoghi di quelli esistenti. Cancella i tempi filtro selezionati senza chiedere conferma.

I filtri tempo definiti qui, sono a disposizione nel Runtime. Qui potete definire, per esempio, i tempi dei vostri turni (turno di mattina, turno di sera ecc.) e potete poi usare questi intervalli di tempo nell´immagine del tipo "Industrial Performance Analyzer" per effettuare un'operazione di filtro.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Ancora in questo capitolo

Aggiungere un filtro tempo predefinito


Aggiungere un filtro tempo predefinito

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Predefinisci filtro tempo -> Aggiungere un filtro tempo predefinito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si aggiunge un nuovo filtro tempo, o se ne cambia uno già esistente usando la finestra di dialogo Definizione.

Parametro | Descrizione
Nome | Nome univoco del filtro tempo.
Tempo di avvio | Momento a partire dal quale è valido il filtro tempo.
Tempo di conclusione | Momento a partire dal quale finisce il filtro tempo.


Cause allarmi

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione si apre la seguente finestra di dialogo.

Parametro | Descrizione
Aggiungi... | Aggiunge una nuova causa allarmi. Nella finestra di dialogo che apparirà, assegnare un numero univoco e un nome univoco.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare sia il numero che il nome.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella le cause allarme selezionate senza chiedere conferma.

Le cause allarme definite qui, sono a disposizione nel Runtime. Si può assegnare ad ogni allarme una causa allarme nell´immagine del tipo "Industrial Performance Analyzer". Selezionate le cause allarme fra quelle disponibili in una lista che si amministra qui.

Ancora in questo capitolo

Aggiungere causa allarme


Aggiungere causa allarme

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Cause allarmi -> Aggiungere causa allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la finestra di dialogo "Causa allarmi", si può aggiungere una nuova causa, oppure modificarne una già esistente.

Parametro | Descrizione
Numero | Numero univoco della causa allarme.
Nome | Causa univoca.


Identificazione di impianto

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Identificazione di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione, si apre la seguente finestra di dialogo.

Parametro | Descrizione
Aggiungi... | Aggiunge una nuova identificazione impianti. Nella finestra di dialogo che si aprirà, assegnare un nome all'identificazione impianti.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che si aprirà, si può modificare il nome dell´identificazione impianti.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella le identificazioni impianti selezionate senza chiedere conferma.

Le identificazioni impianti definite qui, sono a disposizione nel Runtime. L´identificazione impianti può essere presente come prefisso nel nome delle variabili o nella loro identificazione (si veda la proprietà Ident. impianto da in Proprietà generali). Il prefisso deve terminare con il carattere _ . L´assegnazione ad un'identificazione impianti avviene solamente se questa corrisponde esattamente al prefisso.

Example Esempio

Identificazione impianti:

  • facility11

Nome variabile o identificazione variabile:

  • facility_Variable1
  • facility11_Variable1

Solo la variabile facility11_Variable1 viene assegnata all´identificazione impianti facility11.

L´identificazione impianti è un efficace strumento per effettuare un filtro sulla base degli impianti desiderati.

Ancora in questo capitolo

Aggiungere un'identificazione impianti


Aggiungere un'identificazione impianti

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Identificazione di impianto -> Aggiungere un'identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può aggiungere una nuova identificazione impianti, oppure modificarne una già esistente, usando la finestra di dialogo Identificazione impianti.

Parametro | Descrizione
Identificazione di impianto | Nome dell'identificazione impianti

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Turno dalla lista

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Turno dalla lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione, si apre la seguente finestra di dialogo.

Parametro | Descrizione
Aggiungi... | Aggiunge un nuovo nome turno. Nella finestra di dialogo che apparirà, assegnare un numero univoco e un nome univoco.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare sia il numero che il nome.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella i nomi turno selezionati senza richiesta di conferma.

I nomi turno definiti qui, sono a disposizione nel Runtime. Aiutano ad effettuare l´operazione di filtro se si vuole che vengano visualizzati solamente gli allarmi che si sono verificati nel corso del rispettivo turno.

Ancora in questo capitolo

Aggiungere nome turno dalla lista


Aggiungere nome turno dalla lista

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Impostazioni generali -> Turno dalla lista -> Aggiungere nome turno dalla lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono aggiungere nuovi turni, oppure modificare quelli già esistenti, usando la finestra di dialogo Nome turno.

Parametro | Descrizione
Numero | Numero univoco del turno.
Nome | Nome univoco del turno.


Variabili

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vuole che gli allarmi vengano salvati nella banca dati IPA, si deve attivare per ogni variabile in questione la proprietà Salva nel database IPA. Solo gli allarmi delle variabili per le quali è stata attivata questa proprietà vengono salvati nella banca dati e possono essere poi visualizzati e analizzati nell´immagine del tipo "Industrial Performance Analyzer".

attention Attenzione

Nel testo valore limite delle variabili e nella loro identificazione sono consentiti solo caratteri permessi per SQL-Statements.


Cambio lingua

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il cambio lingua è a disposizione nell´Industrial Performance Analyzer per le seguenti aree:

  • Gruppi allarmi/eventi, classi allarmi/eventi
  • Identificazione impianti

    Nota: visto che l´uso di '@' non è consentito per i nomi variabile, il cambio lingua è disponibile per le identificazioni impianti solo se avete selezionato Ident. impianto da Identificazione.

  • Causa allarme
  • Nome turno

    Nota: visto che l´uso di '@' non è consentito nel Production & Facility Scheduler, il cambio lingua è disponibile per i nomi turno solamente se avete configurato degli inserimenti corrispondenti in Turno dalla lista.

I termini che devono essere usati per il cambio lingua devono essere contrassegnati con '@'. Ci si deve assicurare, inoltre, che nella tabella lingua ci siano degli inserimenti corrispondenti.


Immagine del tipo Industrial Performance Analyzer.

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Immagine del tipo Industrial Performance Analyzer.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine del tipo Industrial Performance Analyzer.

L'immagine del tipo Industrial Performance Analyzer serve a visualizzare e ad analizzare nel Runtime i dati allarmi che il modulo Industrial Performance Analyzer salva nel database.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Industrial Performance Analyzer.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Elementi di controllo per finestre.

Elemento di controllo | Descrizione
Lista | Rappresentazione in forma tabellare dei dati allarmi. Le informazioni vengono lette dalla tabella nella banca dati e visualizzate in questa sede.
Tipo lista | Campo di testo che mostra il tipo di lista scelto.
Filtro impostato | Visualizzazione del filtro impostato. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Funzioni lista

Elementi di controllo per la gestione della lista.

Elemento di controllo | Descrizione
Filtro | Apre il dialogo filtro.
Filtro indietro | Carica l'ultima impostazione filtro. Vengono salvate le ultime 10 impostazioni.
Rimuovi filtro | Disattiva tutte le impostazioni filtro
Aggiorna database | Legge di nuovo i dati dalla banca dati.
Crea documenti... | Crea un documento con i dati selezionati e lo apre. I dati vengono visualizzati in forma di tabella.
Crea diagramma... | Visualizza i dati selezionati in forma di diagramma.
Impostazioni diagramma... | Definizione del layout del diagramma, per es. istogramma o grafica a torta.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Filtro impostato | Visualizzazione del filtro impostato. Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Elemento di controllo | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva profilo | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Cancellare profilo | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.


Funzione "Cambio immagine"

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Funzione "Cambio immagine"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea una funzione di cambio immagine (vedi Funzioni) per aprire un'immagine di tipo Industrial Performance Analyzer, si aprirà il dialogo filtro IPA. Qui si settano i filtri e le impostazioni che devono essere tenuti in considerazione quando si passa all´immagine di tipo Industrial Performance Analyzer.

I dettagli relativi alle impostazioni del dialogo filtro si trovano nel capitolo Filtro.


Funzione: Crea/stampa documento IPA

Manuale -> Industrial Performance Analyzer -> Configurazione nell'Editor -> Funzione: Crea/stampa documento IPA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può creare automaticamente un'analisi IPA e salvarla come documento HTML, oppure stamparla su una stampante standard Windows. La funzione si trova nel raggruppamento AML e CEL.

Le possibilità di filtro e la loro configurazione corrispondono a quelle della funzione di cambio immagine per aprire un'immagine di tipo Industrial Performance Analyzer. Nella scheda Destinazione documento si può decidere se l´analisi deve essere stampata sulla stampante standard Windows, oppure deve essere emessa in un file nella cartella di export.

Se si vuole salvare l´analisi in un file, spuntare la checkbox Su file e inserire un nome.

attention Attenzione

Fate attenzione ad inserire il nome file aggiungendo .html, affinché il sistema possa riconoscere senza problemi il file creato e voi lo possiate aprire immediatamente con un programma appropriato.

Esempio di nome file:

IPA_010109.html

Se non abilitate la checkbox, l´analisi verrà stampata.


Gestione nel Runtime

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si gestisce l'IPA nel Runtime mediante l´immagine del tipo Industrial Performance Analyzer. Questa immagine viene aperta con i parametri di filtro e di trasferimento configurati nell´Editor. Nel Runtime, dunque, si ha la visualizzazione che è stata configurata nell´Editor.

Ogni schermata ha il proprio ordine standard delle colonne (vedi capitolo Filtro). Si può però decidere di filtrare gli inserimenti in riferimento ad una qualsiasi colonna cliccando con il tasto sinistro del mouse sull'intestazione della colonna in questione. Se si vuole filtrare gli inserimenti in riferimento a più colonne, tenere premuto il tasto Ctrl e cliccare in successione sulle colonne desiderate. Così si ottiene un ordinamento a cascata. Se non si utilizza l´ordinamento di default, appare una freccia accanto al nome della colonna; essa indica che il filtro è effettuato sulla base di questa colonna. Gli inserimenti possono essere ordinati sia in direzione crescente che decrescente. Se cliccate una volta con il tasto sinistro del mouse su una colonna, gli inserimenti vengono ordinati in senso decrescente. Con un altro clic del tasto sinistro del mouse, si passa da una direzione all´altra.

Per consentire la gestione dell´Industrial Performance Analyzer e la visualizzazione dei dati allarmi nel Runtime, sono a disposizione nell´Editor degli elementi di controllo progettati (vedi Immagine del tipo Industrial Performance Analyzer).

Eliminare inserimenti

Si possono cancellare degli inserimenti dalla banca dati solamente usando l´interno Industrial Performance Analyzer. Per cancellare un inserimento, cliccare con il tasto destro del mouse sull´inserimento in questione. Verrà aperto un menù contestuale; in questo menù selezionare la voce elimina la linea selezionata dal database. Se avete l´autorizzazione necessaria, l´inserimento verrà eliminato (vedi Impostazioni generali).

Causa allarme e commento

Ci sono due possibilità di inserire una causa allarme e/o un commento per un determinato allarme. Cliccare due volte sulla riga desiderata; Nella finestra di dialogo che apparirà, si può selezionare una causa allarme fra quella del menù a tendina Causa allarme e scrivere un commento a piacere nel campo Commento.

Si può passare alla finestra di dialogo in questione anche cliccando con il tasto destro del mouse sulla riga desiderata e selezionando nel menù contestuale Modifica causa allarme.

Ancora in questo capitolo

Filtro

Crea documento

Diagramma


Filtro

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto del dialogo di filtro si definisce l´aspetto dell´immagine del tipo Industrial Performance Analyzer. Si può decidere quali allarmi devono essere visualizzati e secondo quali criteri essi debbano essere ordinati.

Ogni tipo di lista visualizza determinate colonne e ha un ordinamento di default. Ci sono tre tipi di lista: lista somme, lista statistica e lista singola.

Nota: i gruppi e le classi di allarme vengono ordinati sulla base del loro ID, e non sulla base del testo.

Lista somme

Nome lista | Colonne disponibili | Ordinamento di default
Class related | Classe allarmi/eventi, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.
Allarme legato a una sola variabile | Variabile, Identificazione, Numero, Durata totale, Durata totale lorda, Testo valore limite, Classe allarmi/aventi, Gruppo allarmi/eventi, Impianto, Progetto | Colonna: Numero, a cominciare dal numero più grande.
Gruppo collegato | Gruppo allarmi/eventi, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.
Impianto relativo | Impianto, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.

Lista statistica

Nome lista | Colonne disponibili | Ordinamento di default
Durata totale di interruzione dell'impianto | Impianto, Durata totale | Colonna: Durata totale, a cominciare dall'allarme più lungo.
N allarmi piu brevi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più corto.
N allarmi più frequenti: | Numero, Variabile, Identificazione, Inizio, Durata totale, Durata totale lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Impianto, Progetto, Causa allarme, Commento | Colonna: Numero, a cominciare dal numero più grande.
N allarmi più lunghi: | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più lungo.
N ultimi allarmi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.

Il numero desiderato n va inserito accanto a n=.

Lista singola

Nome lista | Colonne disponibili | Ordinamento di default
Lista allarmi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.

Ancora in questo capitolo

Database ed Anteprima

Data/tempo

Identificazione impianti

Classi di allarme/eventi

Gruppi di allarmi

Altro

Inizio turno

Fine del turno

Cause allarmi

Definizione colonne


Database ed Anteprima

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Database ed Anteprima

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare la modalità di visualizzazione desiderata alla voce Visuale.

I campi "Nome DSN" e "Tabella" mostrano la connessione con il Server SQL prescelto e il nome della tabella in cui IPA salva i dati allarme. Questi campi hanno solamente un carattere informativo. Non è possibile effettuare delle modifiche qui (vedi Database). Si possono effettuare delle impostazioni usando queste proprietà:

Parametro | Descrizione
Mostra griglia | Mostra una griglia quando visualizza i dati allarme.
n= | Indicare quanti inserimenti devono contenere le visuali n allarmi più brevi, n allarmi più frequenti, n allarmi più lunghi e n ultimi allarmi.


Data/tempo

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Data/tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono date e orari.

Data

Impostazioni per la data.

Opzione

Descrizione

Data
  • Attiva: si possono configurare le impostazioni per la data.

Oggi

Il filtro vale per la data odierna.

Ieri

Il filtro vale per il giorno precedente.

L'altro ieri

Il filtro vale per l´altro ieri.

Selezionabile
  • Attiva: Inserimento di un intervallo di date liberamente configurabile.

con tempo
  • Attiva: si può definire un orario sia per la data di inizio, che per quella di fine.
  • Non attivo: l´intervallo di tempo inizia il giorno definito come data di inizio alle ore 00:00, e finisce il giorno definito come data di fine alle 24:00.

Questa opzione è disponibile solamente se è stata attivata la proprietà Selezionabile.

Inizio

Inserimento della data e dell´orario di inizio.

Fine

Inserimento della data e dell´orario di fine.

Ora

Impostazioni per l´orario.

Opzione

Descrizione

Ora
  • Attiva: si possono configurare le impostazioni relative all´orario.

Gli intervalli di tempo si riferiscono al giorno. Più in particolare, si riferiscono ad ogni giorno selezionato alla voce Data.

Esempio:

Se alla voce "Data" è stata selezionata l'opzione Selezionabile, alla voce Inizio il 01.10.2017 e a quella Fine il 05.10.2017, l'intervallo di tempo selezionato alla voce “Ora” è valido per ognuno dei 5 giorni dell'intervallo che va dal primo al 5 Ottobre.

Selezionabile
  • Attiva: inserimento di un intervallo di tempo.

Inizio

Inserimento dell´orario di inizio.

Fine

Inserimento dell´orario di fine.

da definire liberamente

Selezione di intervalli di tempo definiti dall´utente. Questi ultimi devono essere creati in precedenza nell´Editor.
Per informazioni dettagliate sul tema, consultare il capitolo Predefinisci filtro tempo.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Identificazione impianti

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro dell´identificazione impianti si possono attivare uno o più impianti. Si possono selezionare gli inserimenti della lista di sinistra e li si può spostare in quella di destra usando i tasti freccia.

Verranno visualizzati gli allarmi degli impianti della lista di destra.

L´identificazione impianti avviene mediante il prefisso nel nome variabile o nell´identificazione variabile, a seconda di cosa abbiate deciso in fase di progettazione (vedi Impostazioni generali). Gestite la lista delle identificazioni impianti nell´Editor alla voce Identificazione impianti.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Classi di allarme/eventi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Classi di allarme/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro delle classi allarme/eventi possono essere attivate uno o più classi allarme/eventi. Si possono selezionare gli inserimenti della lista di sinistra e li si può spostare in quella di destra usando i tasti freccia.

Verranno visualizzati gli allarmi delle classi della lista di destra.

info Info

Nel Runtime viene visualizzato solamente il nome della classe allarmi/eventi. In questo modo si ottiene un migliore ordinamento degli inserimenti. Non viene visualizzato il numero della classe allarmi/eventi.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Gruppi di allarmi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Gruppi di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro dei gruppi allarmi/eventi possono essere attivati uno o più gruppi allarmi/eventi. Potete selezionare gli inserimenti della lista di sinistra e spostarli con i tasti freccia nella lista di destra.

Gli allarmi dei gruppi della lista di destra verranno visualizzati.

info Info

Nel Runtime viene visualizzato solamente il nome del gruppo allarmi/eventi. In questo modo si ottiene un migliore ordinamento degli inserimenti. Non viene visualizzato il numero del gruppo allarmi/eventi.

L'ordinamento non avviene in ordine alfabetico, ma secondo l´indice.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Altro

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Altro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si trovano alcune funzioni di filtro addizionali.

Parametro | Descrizione
Durata allarme | Filtro sulla base della durata dell'allarme. Vengono considerati solo gli allarmi la cui durata è compresa in questo intervallo di tempo.
Frequenza allarmi | Filtro sulla base della frequenza dell'allarme. Vengono considerati solo gli allarmi la cui frequenza rientra in questo ambito. Questo filtro è attivo solo se nella scheda "Database e Anteprima" è stata selezionata l'opzione n allarmi più frequenti della voce "Visuale liste".
Stato di allarme | Filtro sulla base dello stato dell'allarme. Selezionate una delle seguenti possibilità: in attesa, rientrati o entrambi.
Filtro testo valore limite | Filtro sulla base del testo valore limite dell'allarme. O normale in base al testo, p.e. “Test” visualizza tutti gli allarmi, che contengono “Test” nel testo allarme (rispetto della scrittura minuscolo/maiuscolo) o mediante regular expressions.
Filtro identificazione variabile | Filtro sulla base del testo dell'identificazione dell'allarme. O in base al testo e mediante regular expressions.
Filtro di progetto | Filtro sulla base del progetto dal quale sono stati scritti gli allarmi nella banca dati. Se si vuole filtrare sulla base di diversi progetti, li si deve indicare in questa sede usando " , " come separatore.

Ancora in questo capitolo

Espressioni regolari (regular expressions)


Espressioni regolari (regular expressions)

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Altro -> Espressioni regolari (regular expressions)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'espressione "regular expressions" indica un modello di testo (quindi una stringa) costituito da caratteri normali (per es. lettere, cifre, ecc) e caratteri speciali, cosiddetti metacaratteri. Si può definire una determinata stringa sulla base della quale effettuare un'operazione di filtro o una ricerca in testi.

info Info

Non confondete le espressioni regolari con le Wildcard – per es. * corrisponde a qualsiasi carattere. Le espressioni regolari sono uno strumento molto più efficiente e consentono di definire in modo preciso i criteri di ricerca.

La seguente tabella contiene una lista completa dei metacaratteri ed una descrizione di come vengono usati nel contesto delle espressioni regolari:

Metacarattere | Descrizione
\ | Contrassegna il carattere successivo come carattere speciale, valore letterale, backreference o escape ottale. n, ad esempio, corrisponde al carattere n. \n corrisponde a un carattere di nuova riga. La sequenza \\ corrisponde a \, e \( corrisponde a (.
^ | L'ancoraggio ^ specifica che il criterio seguente deve iniziare in corrispondenza della posizione del primo carattere della stringa.
$ | L'ancoraggio $ specifica che il criterio precedente deve verificarsi alla fine della stringa di input.
* | Il quantificatore * trova zero o più corrispondenze con il carattere o gruppo di caratteri precedente. zo*, ad esempio, corrisponde a "z, zo, zoo ecc.
+ | Il quantificatore + trova una o più corrispondenze con il carattere o gruppo di caratteri precedente. zo+, ad esempio, corrisponde a zo, zoo, ecc., ma non a z.
? | Il quantificatore ? trova zero o una corrispondenza con il carattere‑ o il gruppo di caratteri precedente. do(es)?, ad esempio, corrisponde a do in do o a does.
? | Quando questo carattere si trova subito dopo uno degli altri quantificatori (*, +, ?, {n}, {n,}, {n,m}), il quantificatore è "non-greedy" (o "lazy"). Un quantificatore "non-greedy" tenta di trovare una corrispondenza con un elemento il numero minimo di volte possibile, mentre un quantificatore "greedy" standard tenta di trovare una corrispondenza con un elemento il numero massimo di volte possibile. Nella stringa oooo, ad esempio, o+? corrisponde a una singola o, mentre o+ corrisponde a tutte le lettere o.
. | Il carattere punto (.) corrisponde a qualsiasi carattere eccetto \n. Per ottenere una corrispondenza a qualsiasi carattere, incluso \n, utilizzare un pattern come [\s\S].
(Pattern) | Sottoespressione che corrisponde a criterio e che consente di acquisire la corrispondenza. Per ottenere una corrispondenza con i caratteri di parentesi ( ), utilizzare \( oppure \).
x|y | Corrisponde a una x o a una y. Ad esempio, z|food corrisponde a z o food. (z|f)ood corrisponde a zood o food.
[xyz] | Set di caratteri. Trova la corrispondenza con qualsiasi carattere singolo compreso nel set di caratteri. Esempio: [abc], ad esempio, corrisponde alla lettera a in plain.
[^xyz] | Set di caratteri negativo. Negazione: corrisponde a qualsiasi carattere singolo non incluso nel set di caratteri. Esempio: [^abc] corrisponde alla lettera p in plain.
[a-z] | Intervallo di caratteri. Trova la corrispondenza di qualsiasi carattere singolo nell'intervallo da primo a ultimo. Esempio: [a-z] corrisponde a qualsiasi lettera minuscola compresa tra a e z.
[^a-z] | Intervallo di caratteri negativo. Trova la corrispondenza di qualsiasi carattere singolo non compreso nell'intervallo da primo a ultimo. Esempio: [a-z] corrisponde a qualsiasi lettera non compresa tra a e z.
\cx | Trova la corrispondenza con il carattere di controllo ASCII specificato da x, dove x è la lettera del carattere di controllo. \cM, ad esempio, corrisponde a Ctrl+M o al carattere di ritorno a capo. Il valore di x deve essere compreso nell'intervallo tra A e Z o tra a e z. In caso contrario, c verrà considerato come un carattere c‑letterale.
\f | Trova la corrispondenza di un carattere di avanzamento carta. Equivalente a \x0c e \cL.
\t | Trova la corrispondenza di un carattere di tabulazione. Equivalente a \x09 e \cI.
\v | Trova la corrispondenza di un carattere di tabulazione verticale. Equivalente a \x0b e \cK.
\num | Corrisponde a num, dove num rappresenta un numero intero positivo. E' un backreference che serve ad individuare le corrispondenze con occorrenze successive. Esempio: (.)\1 corrisponde a due caratteri identici consecutivi.


Inizio turno

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Inizio turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro "Inizio turno" si possono attivare uno o più turni. Potete selezionare gli inserimenti della lista di sinistra e spostarli nella lista di destra usando i tasti freccia.

Il filtro "Inizio turno" si riferisce al turno che era attivo al momento di Allarme in entrata. La lista dei nomi turno si amministra nell'Editor alla voce Turno dalla lista (Proprietà di progetto, Industrial Performance Analyzer).

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Fine del turno

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Fine del turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nella scheda "Fine del turno" possono essere attivati uno o più turni. Potete selezionare gli inserimenti della lista di sinistra e spostarli nella lista di destra usando i tasti freccia.

Il filtro "Fine turno si riferisce al turno che era attivo al momento di Allarme in entrata. Gli allarmi dei turni sono visualizzati nella listbox di destra. La lista dei nomi turno si amministra nell´Editor alla voce Turno dalla lista. Proprietà di progetto, Industrial Performance Analyzer).

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Cause allarmi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro "Cause allarmi " si possono attivare una o più cause allarme. La lista delle cause allarme si amministra nell´Editor alla voce Cause allarmi.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Si possono selezionare più inserimenti singoli tenendo premuto il tasto Ctrl. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Definizione colonne

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Definizione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si possono adeguare le colonne impostate alle proprie esigenze personali.

Parametro | Descrizione
Visualizzazione lista… | Selezionare la lista desiderata fra quelle proposte dal menù a tendina.
Colonne | In questa lista sono visualizzate tutte le colonne disponibili per la visualizzazione lista scelta.
Definito dall'utente | Attivare questa checkbox per modificare e individualizzare i valori predefiniti per il titolo della colonna e la larghezza della colonna.
Titolo colonna | Indicare un nuovo titolo per la colonna selezionata.
Larghezza colonne | Definire la larghezza in pixel della colonna selezionata. Se si inserisce il valore 0, la colonna non verrà visualizzata.


Crea documento

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Crea documento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla visualizzazione dei dati allarme, può anche essere creato un documento in formato HTML. Questi documenti possono essere stampati o salvati. Dopo aver impostato i filtri e le opzioni di ordinamento, si può generare un documento cliccando con il tasto sinistro del mouse sul pulsante Crea documento.

Il layout del documento è definito con file XSL (Stylesheet).
I file si trovano nella cartella: %ProgramData%\COPA-DATA\zenon7.60\IPA\.
I stylesheets contengono un riferimento ad un file Logo.gif. Questo serve come placeholder per un logo individuale. Il percorso per questo logo deve essere configurato nello stylesheet.

Sono disponibili i seguenti file predefiniti:

File XSL | Descrizione
Single_list.xsl | Visualizzazione allarme singolo
Statistical_duration.xsl | Visualizzazione statica della durata totale di interruzione dell'impianto.
Statistical_frequency.xsl | Visualizzazione statica dei n allarmi più frequenti, dei n allarmi più brevi, dei n allarmi più lunghi e dei n ultimi allarmi.
Sum_list_equipment.xsl | Lista totale del relativo impianto
Sum_list_single_alarm.xsl | Lista totale del relativo guasto singolo
Sum_list_group.xsl | Lista totale del relativo impianto
Sum_list_class.xsl | Lista totale della relativa classe.

Se il sistema trova più file Stylesheet, si apre una finestra di dialogo che chiede quale modello debba essere usato.

Parole chiave

Gli stylesheets possono essere personalizzati Per farlo, utilizzare le seguenti parole chiave:

Parola chiave | Significato
Alarmcause | Causa allarme
Brutto_duration | Durata totale lorda
Class | Classe allarme
Comment | Commento
Duration | Durata
Equipment | Gruppo di impianti
Group | Gruppo allarme
Identification | Identificazione
Limit_text | Testo valore limite
Number | Quantità
Project | Progetto
Shift_end | Ora fine turno
Shift_start | Ora inizio turno
Start | Tempo di avvio
Status | Stato


Diagramma

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la rappresentazione delle liste totali e per la lista statistica n allarmi più frequenti può essere generato a anche un diagramma in aggiunta al documento.

Il layout viene definito con le impostazioni del diagramma.

Nella scheda Diagramma generale si può scegliere fra i seguenti diagrammi:

Tipo di diagramma | Descrizione
Istogramma orizzontale | L'istogramma viene visualizzato orizzontalmente.
Istogramma verticale | L'istogramma viene rappresentato verticalmente.
Diagramma a torta | Per il diagramma a torta, si può scegliere fra la rappresentazione 3D o 2D.

Gli allarmi sommati possono essere visualizzati in riferimento al tempo o alla quantità. Alla voce Altro si può definire il colore delle barre. Qui si ha anche la possibilità di abilitare la visualizzazione di una griglia.

Nella scheda Descrizione vengono selezionati font e colore dei testi delle descrizioni del diagramma. Alla voce Stile, poi, si definisce il testo della descrizione da visualizzare.

Nella scheda Legenda si seleziona il font e il colore del carattere. Si definiscono qui anche le modalità di visualizzazione della legenda e in quale posizione essa deve essere collocata in relazione alla grafica.


Installazione e update

Manuale -> Installazione e update

Nel corso della prima installazione di zenon, si avvia automaticamente la routine di installazione e vi accompagna per tutta la durata del procedimento. Nel caso in cui abbiate disattivato l´opzione "Autostart da media", avviate l´installazione mediante l´esecuzione del file START.exe nella root directory del vostro supporto di installazione zenon.

Note sull´installazione:

  • Prima dell´installazione di zenon:
    • Si dovrebbero installare gli update attuali del sistema operativo.
      Nota: Se usate sempre la versione più attuale (Service Pack) del vostro sistema operativo, evitate i problemi di compatibilità e le lacune nel sistema di sicurezza.
    • Non ci deve essere nessun riavvio in sospeso.
  • Con Windows 7 Embedded Standard, zenon è installato usando la normale routine di installazione. Trovate i requisiti hardware nel capitolo Runtime sotto Windows Embedded Standard.
  • L´installazione di zenon per Windows CE avviene tramite la normale routine di installazione. Vengono installati i file per Windows CE nella versione 7.20. I dettagli li trovate nel capitolo Runtime per Windows CE.
  • Durante l´installazione di zenon, viene installato il COPA-DATA Multiple Network Protocol Driver (cdprotdrv.sys). Per avviare il driver, si deve riavviare il sistema operativo dopo la fine del processo di installazione.

attention Attenzione

A partire dalla versione 7.10, zenon non può essere installato su sistemi su quali è già installato Microsoft SQL Server Data Engine (MSDE). Ciò riguarda tutti i sistemi su cui sono installati zenon 6.01 oppure 6.20.

info Info

Se durante l´installazione viene visualizzato un messaggio di errore nel quale si dice che non è stato possibile avviare un servizio, allora:

  • riavviate il computer.
  • riavviate poi il setup di zenon

Ancora in questo capitolo

zenon: installazione standard

Installazione e disinstallazione silenziosa

Trattamento errori

Update di Windows

Il programma antivirus

Struttura file

Porte libere

Installazione di una versione più vecchia dopo quella di zenon 7.60 (sistema operativo a 64-Bit)

Installazione parallela della versione 7.x e della versione 6.51

Requisiti di sistema

Percorsi per setup e per funzionamento

zenon per Windows CE

Runtime dello zenon Logic per Windows CE

zenon Web Server

zenon Web Client

Update (Build Setups)

FAQ

Supporto tecnico

Open Source GPL/Mozilla Licenses

Open Source licences for several features


zenon: installazione standard

Manuale -> Installazione e update -> zenon: installazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon avvia automaticamente la sua routine di installazione non appena si collega il supporto di installazione di zenon; il sistema vi guida poi nell´effettuazione dell´intero processo di installazione. In alternativa, è possibile avviare l´installazione eseguendo il file START.exe nella root directory del supporto di installazione di zenon..

Per effettuare il processo di installazione è necessario disporre di diritti di amministratore!

attention Attenzione

Se necessario, il sistema riavvia il computer automaticamente durante il processo di installazione. Prima di iniziare l´installazione, chiudete tutti gli altri programmi.

Ancora in questo capitolo

Schermata Start

zenon: installazione standard

Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Installazione e completamento


Schermata Start

Manuale -> Installazione e update -> zenon: installazione standard -> Schermata Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella schermata iniziale vedrete la versione da installare, incluso il numero di build.

  1. Selezionate nel menù a tendina che si trova in alto a sinistra la lingua desiderata per l´installazione.
    Sono disponibili le seguenti lingue:
    • Tedesco
    • Inglese
    • Francese
    • Italiano
    • Spagnolo
  2. Potete avere delle informazioni su zenon cliccando sul pulsante desiderato:

    Apre un´animazione contenente informazioni attuali sulla versione di zenon.

    Apre la guida di zenon che potrà essere installata come PDF.

    Apre la guida Quick-Start in formato PDF con consigli per i primi passi della progettazione con zenon.

    Attenzione: questa pagina non può più essere visualizzata in un secondo momento. Se avete bisogno di informazioni sulla versione attuale, oppure della guida per l´installazione, aprite questa pagina adesso.

  3. Cliccando sul pulsante Avanti aprite la finestra che contiene le condizioni concernenti le licenze.
  4. Confermate le condizioni di licenza attivando il checkbox corrispondente.
  5. Cliccando sul pulsante Stampa, potete anche stampare le condizioni di licenza
  6. Cliccando sul pulsante Avanti, aprite la finestra per selezionare il prodotto desiderato.
    Nota: il pulsante Avanti è disponibile solamente se avete accettato le condizioni del contratto di licenza cliccando sul campo opzione.


zenon: installazione standard

Manuale -> Installazione e update -> zenon: installazione standard -> zenon: installazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate il prodotto desiderato. Si possono selezionare solamente i prodotti che non sono ancora installati. Se desiderate installare nuovamente qualcosa, dovete anzitutto disinstallare il prodotto precedentemente installato; a tale scopo usate il Pannello di controllo.

  • zenon Editor:
    Installa l´Editor di zenon e il Runtime di zenon. Le altre componenti richieste per l´Editor vengono installate automaticamente.
  • zenon Runtime:
    Installa solamemte il Runtime di zenon.
  • zenon Web Server:
    Installa il Webserver di zenon e i corrispondenti Web Client attuali di zenon.
  • zenon Web Client
    Installa solamente zenon Web Client.

info Info

L´installazione comincia immediatamente quando si seleziona zenon Web Server, oppure zenon Web Client.

Quando si seleziona zenon Editor, o zenon Runtime si apre la finestra di dialogo che serve alla scelta dell´edizione.


Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Manuale -> Installazione e update -> zenon: installazione standard -> Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul prodotto desiderato, aprite la finestra che serve a selezionare l´edizione.

  1. Selezionate la versione per la quale disponete di una licenza:
    • zenon Supervisor Edition
    • zenon Energy Edition
    • zenon Pharma Edition
    • zenon Operator Edition

  2. Cliccando sull´edizione desiderata, aprite la finestra che serve a selezionare il tipo di installazione.

    • Installa ora:
      Avvia l'installazione dell´edizione selezionata.
      È possibile che il computer venga riavviato dal sistema durante il processo di installazione. Seguite le istruzioni del Wizard
    • Definito dall´utente:
      Apre altre finestre che servono ad effettuare un´installazione individuale.
      Potete digitare qui un numero di serie già esistente e cambiare il percorso di installazione.

Installazione definita dall´utente

  1. Se, al momento di effettuare l´installazione, scegliete l´opzione Definito da utente, si apre la finestra che serve ad inserire il numero di serie:

    • Selezionate l´opzione Versione demo, se non disponete di nessuna licenza.
    • Se disponete già di una licenza, digitate il numero di serie e quello di attivazione.
      Nota: il sistema verifica la validità del numero di serie. Se la licenza è valida, appare una spunta di color verde accanto al campo di inserimento.
  2. Cliccando sul pulsante Avanti aprite la finestra che serve a definire la cartella di installazione:

    • Se necessario, definite la vostra cartella individuale per la versione a 32-bit e quella a 64-bit del programma.
      Per far ciò. cliccate sul pulsante Cambia...
    • Definite la cartella di destinazione per la banca dati del progetto.
      Attenzione: Questa cartella non può essere modificata in seguito. Il luogo di salvataggio scelto in questa sede deve disporre di uno spazio di memoria sufficiente. Tutti gli utenti hanno bisogno di diritti di scrittura.
    • Se volete installare anche il progetto demo, attivate il checkbox corrispondente.
      Il progetto demo fornisce degli esempi di possibili forme di uso in diversi settori industriali.
  3. Cliccate sul pulsante Installa
    Viene avviato il processo di installazione dell´edizione scelta.
    È possibile che il computer venga riavviato dal sistema durante il processo di installazione. Seguite le istruzioni del Wizard


Installazione e completamento

Manuale -> Installazione e update -> zenon: installazione standard -> Installazione e completamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barra di stato vi informa sullo stato di avanzamento del processo di installazione e su quale passo dello stesso viene eseguito al momento.

  • Cliccando sul pulsante Annulla potete interrompere l´installazione.
    Il sistema vi chiede di confermare la vostra intenzione prima di procedere ad annullare effettivamente il processo di installazione.

Parametro | Descrizione
Sì | L´installazione viene interrotta. Viene visualizzata una finestra di dialogo in cui si informa che l´installazione non è stata portata a termine con successo.
No | Il processo di installazione prosegue.

Il processo di installazione può durare un po´di tempo. Non spegnete il vostro computer durante questo tempo. Assicuratevi anche del fatto che il vostro computer non passi automaticamente in sleep mode (modalità sospensione).

Completamento

Una finestra di dialogo informa che il processo di installazione è riuscito.

  • Cliccate sul pulsante Termina per completare l´installazione.
  • Riavviare il setup per installare altri prodotti, come, ad esempio, zenon Web Server.

Installazione cancellata o erronea

Se si verifica un errore nella fase di installazione del programma, oppure se la stessa è stata interrotta, viene visualizzata una finestra di dialogo che ne informa l´utente.

Cliccare sul pulsante Termina per chiudere il setup.


Installazione e disinstallazione silenziosa

Manuale -> Installazione e update -> Installazione e disinstallazione silenziosa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può installare e disinstallare zenon anche in modalità non visibile all´utente (si parla rispettivamente di Silent Installation e di Silent Remove).

info Info

Un´installazione e disinstallazione silenziosa è possibile per tutte le versioni di zenon a partire dalla 7.10.

Installazione silenziosa a partire da zenon 7.20

Sintassi: scada.exe /silent /language:[Numero] CDPROP_EDITION=[Edizione] CDPROP_TYPE=[Tipo] ISFeatureInstall=[Funzionalità]

Parametro

Argomenti

Descrizione

scada.exe

Inizializzazione dell´installazione.

/silent

Installazione silenziosa.

/language:
  • 1031: Tedesco
  • 1033: Inglese
  • 1034: Spagnolo
  • 1036: Francese
  • 1040: Italiano

Selezione della lingua.

Esempio inglese:
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA
  • SCIENCE

Selezione della Edition.

Esempio Energy Edition:
CDPROP_EDITION=ENERGY

Non necessario per zenon Web Server e zenon Web Client.

CDPROP_TYPE=
  • ED: Editor e Runtime
  • RT: Runtime

Selezione di Editor o Runtime.

Esempio Runtime:
CDPROP_TYPE=RT

Non necessario per zenon Web Server e zenon Web Client.

ISFeatureInstall=
  • PREREQUISITES_EDITOR,SCADA:
    Editor
  • PREREQUISITES_RUNTIME,SCADA:
    Runtime
  • PREREQUISITES_WEBSERVER,WEBSERVER:
    Web Server
  • PREREQUISITES_WEBCLIENT,WEBCLIENT:
    Web Client

Selezione della funzionalità da installare.

Esempio zenon Editor:
ISFeatureInstall=PREREQUISITES_EDITOR,SCADA

Esempi:

  • Installazione Editor, tedesco, Energy Edition:
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=PREREQUISITES_EDITOR,SCADA
  • Installazione Runtime, inglese, Supervisor Edition:
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=PREREQUISITES_RUNTIME,SCADA?
  • Installazione zenon Web Server, tedesco:
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBSERVER,WEBSERVER?
  • Installazione zenon Web Server, tedesco:
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBCLIENT,WEBCLIENT?

Disinstallazione silenziosa a partire da zenon 7.20

Senza file LOG

Percorso: C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Sintassi: SCADA.exe /remove /silent??

Con file LOG

Percorso: C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Sintassi: SCADA.exe /remove /silent??? /log"%TEMP%"

Disinstallazione silenziosa zenon 7.10 e 7.11

Sintassi: scada.exe /silent /language:[Numero] CDPROP_EDITION=[Edizione] CDPROP_TYPE=[Tipo] ISFeatureInstall=[Funzionalità]

Parametro

Argomenti

Descrizione

scada.exe

Inizializzazione dell´installazione.

/silent

Installazione silenziosa.

/language:
  • 1031: Tedesco
  • 1033: Inglese
  • 1034: Spagnolo
  • 1036: Francese
  • 1040: Italiano

Selezione della lingua.

Esempio inglese:
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA

Selezione della Edition.

Esempio Energy Edition:
CDPROP_EDITION=ENERGY

Non necessario per zenon Web Server.

CDPROP_TYPE=
  • ED: Editor e Runtime
  • RT: Runtime

Selezione di Editor o Runtime.

Esempio Runtime:
CDPROP_TYPE=RT

Non necessario per zenon Web Server.

ISFeatureInstall=
  • WIBU,SCADA,MS,MSALL,SQL,COMMON:
    Editor
  • WIBU,SCADA,MS,MSALL,COMMON:
    Runtime
  • WIBU,WS,MSALL,COMMON:
    Web Server

Selezione della funzionalità da installare.

Esempio zenon Editor:
ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON

Esempi:

  • Installazione Editor, tedesco, Energy Edition:
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON
  • Installazione Runtime, inglese, Supervisor Edition:
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=WIBU,SCADA,MS,MSALL,COMMON
  • Installazione zenon Web Server, tedesco.
    scada.exe /silent /language:1031 ISFeatureInstall=WIBU,WS,MSALL,COMMON

Disinstallazione silenziosa Versione 7.10 e zenon 7.11

zenon 7.10

Percorso: C:\Program Files (x86)\InstallShield Installation Information\{860C41F0-6034-4822-BCF1-88D4849AE897}

Sintassi: SCADA.exe /remove /silent??

zenon 7.11

Percorso: C:\Program Files (x86)\InstallShield Installation Information\{ED00D319-77B8-4C58-8D67-2DA2D48E90DB}

Sintassi: SCADA.exe /remove /silent


Trattamento errori

Manuale -> Installazione e update -> Trattamento errori

Controllo prima dell´installazione

Prima dell´installazione, viene eseguito un controllo volto a verificare l´esistenza dei requisiti necessari sul sistema. Nel caso in cui essi non dovessero essere soddisfatti, il sistema ve lo segnalerà e vi darà indicazioni per risolvere i problemi.

Errori durante l´installazione

Nel caso in cui dovessero verificarsi degli errori in fase di installazione, otterrete un messaggio di errore corrispondente.

Se doveste aver bisogno dell´aiuto del supporto tecnico di COPA-DATA per la soluzione di eventuali problemi:

  1. Create, se possibile, uno screenshot del messaggio di errore.
  2. Passate alla cartella %Temp%/SCADALOG.
  3. Qui troverete i file LOG dell´installazione.
  4. Create un file ZIP con il contenuto della cartella.
  5. Inviate file e screenshot a support@copadata.com

Nel caso in cui abbiate già chiuso la finestra contenente il messaggio d´errore, trovate i file di Log con tutte le informazioni di installazione per il server SQL nella cartella:
C:\Program Files\Microsoft SQL Server\110\Setup Bootstrap\LOG

Suggerimento: Il file Summary.txt fornisce un´indicazione su dove si potrebbe trovare l´errore.

info Info

Firewall: zenon configura automaticamente durante l´installazione il firewall installato con Windows. I firewall di altri produttori, invece, devono essere configurati correttamente dall´utente.

Frequenti fonti di errore nel corso della installazione:

  • Il programma antivirus è attivo e blocca l´installazione per l´erronea individuazione di virus. Soluzione: scollegare il computer dalla rete, disattivare il programma antivirus, eseguire nuovamente l´installazione.
  • Il firewall non è stato configurato correttamente. Soluzione: scollegare il computer dalla rete, disattivare il firewall, eseguire nuovamente l´installazione.
  • Installazione non corretta di SQL già presente nel sistema. Soluzione: creare backup di progetto; nel caso sia ancora possibile, disinstallare il server SQL; rinominare la cartella SQL; riavviare l´installazione.


Update di Windows

Manuale -> Installazione e update -> Update di Windows

Attenzione: Gli update Windows automatici influenzano il processo d´installazione!

Se, durante il setup di zenon, viene eseguito un update del sistema operativo di Windows, si possono verificare dei problemi nell´installazione di zenon.

Per evitare ciò:

  • Disattivate gli update automatici di Windows per il periodo dell´installazione.
  • Eseguite tali update prima di avviare l´installazione di zenon


Il programma antivirus

Manuale -> Installazione e update -> Il programma antivirus

I software antivirus possono determinare un rallentamento del processo d´installazione di zenon, o lo possono addirittura rendere impossibile.

Nota: se il programma antivirus da voi utilizzato crea problemi durante dell´installazione, disattivatelo finché essa non sarà completata. Tenete presente che i computer in questione saranno esposti a rischi più elevati in questo lasso di tempo. Riattivate il programma antivirus subito dopo l´installazione di zenon.


Struttura file

Manuale -> Installazione e update -> Struttura file

La struttura di file viene creata o estesa durante l'installazione.

I file di programma di zenon sono copiati in una cartella definita in fase di installazione.

Inoltre, durante l’installazione, il sistema richiede una cartella per i database-SQL del progetto. Sul supporto di memorizzazione dei progetti (SQL, immagini ecc) ci deve essere abbastanza spazio di memoria visto che qui verranno salvati tutti i dati di progetto correnti e futuri.

Cartella | Percorso
Cartella programma | Sistema a 32-Bit: %Program Files%\COPA-DATA\zenon7xxx Sistema a 64-Bit: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Cartella dei dati programma, per es. simboli globali, modelli di stampa, file di Log, ecc., | %ProgramData%\COPA-DATA\zenon7xxx
Cartella database (SQL) | %ProgramData%\COPA-DATA\SQL
Cartella di sistema | %ProgramData%\COPA-DATA\System
Impostazioni Editor e profili | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Impostazioni Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definizione della cartella Runtime e della cartella dati

Cartella Runtime

L'Editor crea i file Runtime nella cartella Runtime; oppure i file Runtime vengono trasferiti in questa cartella mediante Trasporto Remoto. La cartella Runtime viene creata o aggiornata nell´Editor quando si compila un progetto. Questa cartella può essere modificata nelle proprietà di progetto (nodo "Generale", proprietà "Cartella Runtime"). Nella trasferimento remoto, la cartella Runtime viene definita nelle impostazioni del Trasporto Remoto.

Cartella dati

Il Runtime salva tutti i file dati generati a Runtime (come, per esempio, file di allarme, file di archivi ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare questo percorso di salvataggio nelle proprietà di progetto (Generale/Cartella dati).

Suggerimento: non salvare mai la cartella dati su un dispositivo rimovibile, come una chiavetta USB o una periferica di rete. Si consiglia di salvare i dati localmente e di eseguirne un backup esternamente.

attention Attenzione

Se il percorso indicato non esiste o non è disponibile, il Runtime non scriverà più nessun dato. Questo comporta una perdita completa (100%) dei dati. Il Runtime continuerà ad essere attivo, ma dovrà essere riavviato non appena il percorso sarà di nuovo disponibile. Si può verificare se la cartella Runtime è disponibile o meno usando la variabile del driver di sistema Cartella Runtime non disponibile .


Porte libere

Manuale -> Installazione e update -> Porte libere

zenon e zenon Logic utilizzano determinate porte per comunicare in rete. Se queste porte sono occupate da altri programmi (per esempio un Server SQL già installato), possono insorgere problemi nella comunicazione di zenon. In zenon molti numeri di porta sono modificabili usando lo Startup Tool, oppure tramite le proprietà nell´Editor.

Per verificare l´assegnazione delle porte, procedere come segue:

  1. Inserire nella riga di comando netstat -a -n -o.

    Per aprire la riga di comando in Windows:

    • Premere i tasti Windows+R.
    • Digitare cmd e confermare con OK.
    • Si aprirà una finestra di inserimento DOS.
    • In questa finestra, inserire il comando netstat.
  2. Verrà visualizzata una lista di tutte le porte TCP/IP e UDP attive.
  3. Controllare le porte di ascolto (stato: ASCOLTO) e verificare se per le porte necessarie per la comunicazione di zenon e zenon Logic l´ID processo (PID) corrisponde ai processi di zenon e zenon Logic.

    Nel Task Manager di Windows è possibile verificare quali sono questi PDI: aprire il Task Manager di Windows e passare alla scheda Services.

  4. Nel caso in cui un altro software dovesse utilizzare queste porte, riconfiguratelo.
    Quali siano le porte usate da zenon e zenon Logic, lo vedete nella tabella Assegnazione porta a zenon e zenon Logic. In questa sede potete anche verificare se in questi programmi i numeri di porta sono adattabili e modificabili.

Assegnazione porta a zenon e zenon Logic

Applicazione

Descrizione

Numeri di porta

Protocollo di trasporto

stratonrt[k].exe

Runtime di zenon Logic - comunicazione polling e workbench di zenon Logic .
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Ridondanza di zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Runtime di zenon Logic - comunicazione spontanea.
  • 9000-9010

TCP

zennetsrv.exe

Servizio di rete di zenon .
  • 1100-1100

TCP

zensyssrv.exe

Servizio di trasporto di zenon.
  • 1101

TCP

zendbsrv.exe

Servizio di database di zenon.
  • 1103

TCP

zenAdminsrv.exe

Servizio di amministrazione di zenon.
  • 50777

TCP

zenLogSrv.exe

Servizio di registrazione di zenon.
  • 50780

TCP

zenvnc.exe

Servizio Desktop remoto di zenon.
  • 5600 (fisso)
  • 5610 (fisso)

TCP

CodeMeter.exe

Servizio dongle Code Meter.
  • 22350 (modificabile; ma non deve essere cambiato).

TCP

WkSvW32.exe

Servizio di rete WibuKey.
  • 22347 (fisso)

TCP

Zenrt32.exe

Message Control con Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fisso)

SIP e RTP possono essere configurati usando l´Editor. RTCP viene impostato automaticamente dal sistema.

UDP


Installazione di una versione più vecchia dopo quella di zenon 7.60 (sistema operativo a 64-Bit)

Manuale -> Installazione e update -> Installazione di una versione più vecchia dopo quella di zenon 7.60 (sistema operativo a 64-Bit)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, su un sistema operativo a 64-Bit, dopo l´installazione di zenon 7.60 si installa una versione di zenon con un numero inferiore a 7.10, i servizi a 64-Bit di quest´ultima devono poi essere registrati di nuovo usando la riga di comando. La registrazione può essere effettuata usando un file batch, oppure manualmente.

Registrazione con file batch:

  1. Copiate dal supporto di installazione di zenon il file Register.bat.
  2. Lo trovate nella cartella: ...\AdditionalSoftware\Register Admin Service and Log Service (x64)\
  3. Eseguite il file sul computer in questione come amministratore.

Registrazione manuale:

  1. Aprire la riga comandi con diritti di amministratore.
  2. Passate alla cartella Program Files%\Common Files\COPA-DATA\zenAdminSrv
  3. Avviate il servizio zenAdminSrv.exe con il parametro -service
  4. Passate alla cartella %Program Files%\Common Files\COPA-DATA\zenLogSrv
  5. Avviate il servizio zenLogSrv.exe con il parametro -service

Example Esempio

zenAdminSrv:

  • Cartella: C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  • Comando: zenAdminSrv.exe -service

zenLogSrv:

  • Cartella: C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  • Comando: zenLogSrv.exe -service


Installazione parallela della versione 7.x e della versione 6.51

Manuale -> Installazione e update -> Installazione parallela della versione 7.x e della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si installa una versione 7.x su un sistema su cui si trova già zenon 6.51, dopo l´installazione, si deve installare di nuovo Multiple Network Protocol Driver dopo un reboot.

Per sistemi x64

Per reinstallare:

  1. Riavviare il sistema.
  2. Aprire sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver.
  3. Eseguire il file MNDPx64Setup.bat

Il driver verrà installato nuovamente e collegato in modo corretto alla scheda di rete.

Per i sistemi x86:

Per reinstallare:

  1. Riavviate il sistema.
  2. Aprite sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver
  3. Eseguite il file chiamato MNDPx86Setup.bat

Ciò significa che il driver viene installato nuovamente e collegato in modo corretto alla scheda di rete.


Requisiti di sistema

Manuale -> Installazione e update -> Requisiti di sistema

zenon 7.60 può essere utilizzato su tutti gli attuali sistemi operativi Microsoft. zenon viene testato costantemente per verificarne la compatibilità con le versioni più recenti dei sistemi operativi, nonché con i più recenti Service Pack e Hotfix disponibili.

Le modifiche dovute a Service Packs, Hotfixes oppure Patches di Microsoft possono causare problemi di incompatibilità e pregiudicare la funzionalità del software. In questo caso, COPA-DATA provvederà a fornire una versione attualizzata di zenon il prima possibile. In questa eventualità, il supporto tecnico COPA-DATA è a vostra disposizione per fornirvi le informazioni del caso: support@copadata.com.

attention Attenzione

In fase di configurazione, si prega di tener presente quanto segue:

  • Per garantire una visualizzazione ottimale di zenon a Runtime, si consiglia di adottare le impostazione standard per la visualizzazione Windows (corrisponde al 100%). Se si configurano risoluzioni più alte, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.
  • Temi di Windows possono coprire elementi a Runtime. Quando si configura un progetto, bisogna far attenzione che ci sia una distanza adeguata fra gli elementi e il margine dello schermo.

Ancora in questo capitolo

Sistemi operativi server e desktop.

Sistemi operativi server e desktop fino a Windows 8.1

Windows CE e Windows Embedded

Windows 10

Requisiti di sistema con uso di DirectX

Software aggiuntivo

Autorizzazione utente

Requisiti hardware


Sistemi operativi server e desktop.

Manuale -> Installazione e update -> Requisiti di sistema -> Sistemi operativi server e desktop.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sistema operativi supportati e service pack necessari:

Sistema operativo | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows 7 (versioni Professional, Enterprise e Ultimate, in tutti i casi le versioni x86 e x64). | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows Embedded Standard 7 (a condizione che esistano tutte le componenti necessarie del sistema operativo) | Impossibile eseguire | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows 8 e 8.1 (versioni Standard, Professional e Enterprise, in tutti i casi le versioni x86 e x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo x64 con SP 0
Windows Embedded 8 Standard (a condizione che esistano tutte le componenti necessarie del sistema operativo) | Impossibile eseguire | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Impossibile eseguire
Windows 10 (Professional, Enterprise e Ultimate, versioni x86 e x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo Home, Pro e Enterprise (sempre x64) con SP 0
Windows Server 2008 R2 (tutte le edizioni, eccetto Core.) | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows Server 2012 e 2012 R2 (tutte le edizioni, eccetto Core.) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo x64 con SP 0
Windows Server 2016 (tutte le edizioni, eccetto Core.) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo x64 con SP 0


Sistemi operativi server e desktop fino a Windows 8.1

Manuale -> Installazione e update -> Requisiti di sistema -> Sistemi operativi server e desktop fino a Windows 8.1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visione generale dei sistemi operativi server e desktop fino a Windows 8.1.

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 e 8.1/ Server 2008 (R2) SP1, 2012 e 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime per Windows CE | -- | -- | -- | X
Web Server | X | X | X | X (Solo Web Server Pro Light)
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Legenda:

  • X: supportata
  • --: non supportato

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Windows CE e Windows Embedded

Sistema operativo | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows CE 6.0 (ARM e x86) Attenzione: supportato solo fino alla versione 7.20. A partire dalla versione 7.50, devono essere creati file Runtime per Runtime per 7.20. | Impossibile eseguire | Solo zenon Operator | Solo Pro Light | Impossibile eseguire | Impossibile eseguire | eseguibile | Impossibile eseguire
Windows Embedded Compact 7 (ARM e x86) Attenzione: supportato solo fino alla versione 7.20. A partire dalla versione 7.50, devono essere creati file Runtime per Runtime per 7.20. | Impossibile eseguire | Solo zenon Operator | Solo Pro Light | Impossibile eseguire | Impossibile eseguire | eseguibile | Impossibile eseguire


Windows 10

Manuale -> Installazione e update -> Requisiti di sistema -> Windows 10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visione generale dei sistemi operativi desktop supportati per Windows 10.

Versione Windows | zenon Supervisor/Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Legenda:

  • X: disponibile
  • --: non funzionante


Requisiti di sistema con uso di DirectX

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti di sistema con uso di DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano le DirectX Hardware oppure le DirectX Software, devono essere soddisfatti i seguenti requisiti minimi:

Nota: La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Parametro

Requisiti minimi

Raccomandato

CPU:

Single Core con supporto SSE2.

Quad Core o più core

Scheda grafica:

(solo DirectX Hardware)

Scheda grafica DirectX 11 Mainstream.

Nota: soprattutto quando si usa una chip grafica integrata, è possibile (a seconda del driver usato) che ci siano problemi di qualità della visualizzazione.

scheda grafica DirectX 11 AMD oppure nVidia High-End dedicata.

Memoria grafica:

(solo DirectX Hardware)

1 GB VRAM

Nota: la quantità di memoria di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e di elementi visualizzati.

2 GB VRAM

Driver della scheda grafica:

(solo DirectX Hardware)

Il driver più recente del produttore della scheda grafica.

Sistema operativo:

DirectX Hardware e DirectX Software funzionano solamente sui sistemi operativi che supportano DirectX11.1.

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows standard.

Deve essere installato sul PC il Runtime DirectX corrente. Per zenon, questo viene installato automaticamente con il setup. Per zenon Web Client, invece, deve essere installato manualmente.

Per verificare la compatibilità della scheda grafica e del driver con DirectX Hardware, si può usare il tool dei sistemi operativi di Windows dxdiag.exe.
Fino a Windows 7: controllare il valore DDI-Version alla voce Visualizzazione. Il valore 11, per esempio, significa DirectX 11.
A partire da Windows 8: tutte le versioni di DirectX supportate sono elencate nella scheda Display, alla voce Feature Levels. DirectX 11, per esempio, viene visualizzato come 11.0.


Software aggiuntivo

Manuale -> Installazione e update -> Requisiti di sistema -> Software aggiuntivo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Server SQL

L´Editor di zenon lavora con una banca dati SQL. Essa viene installata insieme all´Editor di zenon:

  • Fino alla versione 6.20 SP4: SQL-Server 2000 (MSDE)
  • Dalla versione 6.21 SP0: SQL Server 2005 Express
  • Dalla versione 07:00 SP0: SQL Server 2008R2 SP1 Express
  • Dalla versione 07:10 SP0: SQL Server 2012 SP1 Express

attention Attenzione

Quando cambiate la versione del server SQL, tenete presente: si deve realizzare un backup ed un export dei progetti nella versione originale, e poi bisogna di nuovo importarli nella nuova versione.

Dongle

  • CodeMeter, il software necessario per la protezione dongle, viene sempre installato automaticamente.
  • Se è richiesto WibuKey, lo si può installare dal supporto di installazione.
    Percorso: \AdditionalSoftware\WIBU-SYSTEMS WibuKey


Autorizzazione utente

Manuale -> Installazione e update -> Requisiti di sistema -> Autorizzazione utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´installazione è necessario disporre dei diritti amministratore di Windows.

Per il funzionamento corrente, invece, è sufficiente disporre dei diritti utente standard di Windows. Il controllo account utente (UAC) può essere attivato con il livello massimo di sicurezza.


Requisiti hardware

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione PC e quella CE di zenon richiedono delle prestazioni diverse all´hardware. In questo capitolo trovate quelli che sono i requisiti hardware per le singole versioni dell´Editor e del Runtime, nonché del zenon Webserver e del zenon Web Client.

L´Editor usa come Server SQL un server Microsoft SQL e richiede all´hardware prestazioni maggiori rispetto al Runtime. Se l´Editor e il Runtime devono funzionare contemporaneamente su un sistema, i requisiti si sommano.

attention Attenzione

Si consiglia l´uso di schede grafiche con memoria grafica propria e supporto di DirectX. Schede grafiche Shared Memory potrebbero consumare troppa memoria e, di conseguenza, pregiudicare l´efficienza del funzionamento del sistema. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX. Se si vuole usare Multi-Touch, si deve tener presente la configurazione consigliata nel suddetto capitolo.

Ancora in questo capitolo

Editor

Runtime

Runtime sotto Windows Embedded Standard

Runtime per Windows CE

Web Server

Web Client


Editor

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa dell´Editor. La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Hardware | Requisito minimo | Raccomandato
CPU | Single Core con supporto SSE2. | Quad Core
Memoria RAM | Da 4 GB Nota: tanti più progetti sono presenti in memoria contemporaneamente, tanti più aumenta il fabbisogno di spazio di moemoria. | 8 GB
Disco fisso | Perlomeno 4 GB di spazio di memoria libero per l´installazione completa, più spazio di memoria per i progetti. |
Risoluzione dello schermo | Extended VGA con 1024 x 768. | Sistema a doppio monitor: 2 volte 1920 x 1080.
Scheda grafica | 64 MB di memoria dedicata. Le schede con shared memory possono causare una riduzione delle prestazioni. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX. |
Periferiche di input | Tastiera standard e mouse standard |
Interfaccia USB oppure unità DVD | Per l´installazione, in dipendenza del supporto di installazione. L´installazione è possibile anche attraverso la rete. I file di installazione possono essere anche scaricati dall´area clienti della Website di COPA-DATA. |
Interfaccia parallela oppure USB | In caso di licenza dongle, richiesta per dongle. Con dongle di rete, necessaria solamente per dongle server. |
Connessione di rete (opzionale) | Raccomandati 10 Mbit/s con protocollo TCP/IP per il Trasporto Remoto, dongle di rete, backup di progetti su server file centrale, editor multiutente ecc. | 1000 MBit/s

Nota: quando si lavora con progetto multiutente complessi, tenete presente le informazioni contenute nel capitolo requisiti hardware.


Runtime

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del Runtime. La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Hardware

Requisito minimo

Raccomandato

CPU

Single Core con supporto SSE2.

Quad Core

Memoria RAM

Da 512 MB.

Nota: progetti con grandi quantità di dati, progetti di rete, più progetti eseguiti in parallelo e progetti con ridondanza hanno bisogno di più spazio di memoria.

4096 MB

Disco fisso

2 GB di spazio di memoria libero per l´installazione del Runtime, più spazio di memoria per i progetti.

Attenzione: se si salvano dati storici (per esempio dati d'archivio oppure dai relativi ad allarmi e/o dati CEL), sul disco fisso ci deve essere uno spazio di memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati.

Risoluzione dello schermo

VGA con 640 x 480.

Scheda grafica

64 MB di memoria dedicata. Le schede con shared memory possono causare una riduzione delle prestazioni. A questo proposito, tenere presente le informazioni contenute nel capitolo Requisiti del sistema in caso di uso di DirectX.

Periferiche di input

Tastiera e/o mouse. E´possibile anche una gestione tramite Touchscreen. Per l´opzione touchscreen, avete a disposizione molti tipi di keyboard adeguabili alle esigenze individuali. Esiste inoltre la possibilità di una gestione Multi-Touch.

Interfaccia USB

(opzionale)
  • Per l´installazione.
    E´possibile un´installazione anche via rete, oppure mediante altri supporti dati.
  • Per Dongle. Possibile anche dongle di rete.

Connessione di rete (opzionale)

64 kBits/s per progetti Client/Server standard.

100 Mbit/s Fullduplex per funzionamento ridondante.

1000 Mbit/s Fullduplex per Progetti Client/Serverstandard.

Connessione remota (opzionale)

Requisito minimo: Modem dial-up a 9600 bit/s.

1 MBit/s Fullduplex.

Impiego WAN (opzionale):

Qualsiasi connessione tramite router, per esempio via ISDN oppure DSL. Per ragioni tecniche, il trasferimento dati in una rete WAN è più lento che in una rete locale. Si prega di tener presente già in fase di progettazione le possibili velocità di trasferimento dati consentite dalla tecnica WAN utilizzata.

Message Control (opzionale):

I requisiti richiesti sono illustrati nel Message Control.

Interfacce (opzionale):

Le interfacce necessarie dipendono dai requisiti del PLC e/o della connessione bus, ad esempio: interfacce seriali RS232 oppure RS422/485, ISA/PCI, ecc.


Runtime sotto Windows Embedded Standard

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Runtime sotto Windows Embedded Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione del Runtime adattata al sistema operativo Windows Embedded Standard 7 SP1 con aggiornamento piattaforma. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Questa tabella contiene solamente i valori che divergono da quelli dell´installazione standard. I parametri restanti corrispondono ai valori descritti nel capitolo Requisiti hardware per il Runtime.

Hardware

Requisiti minimi

Raccomandato

Memoria RAM
  • 512 MB.

Nota: progetti con grandi quantità di dati, progetti di rete, più progetti eseguiti in parallelo e progetti con ridondanza hanno bisogno di più spazio di memoria.
  • 2048 MB

Supporto di memorizzazione dati
  • 2 GB liberi di spazio di memoria sull´unità C:\ prima dell´installazione di .NET Framework 3.5 e 4.5
    800 MB liberi di spazio di memoria dopo l´installazione di .NET Framework.
  • Più lo spazio di memoria per progetti, archivi, ecc.
  • 80 GB

Attenzione: se si salvano dati storici (per esempio dati d'archivio oppure dai relativi ad allarmi e/o dati CEL), sul disco fisso ci deve essere uno spazio di memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati.


Runtime per Windows CE

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Runtime per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono all´installazione completa del Runtime per Windows CE. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Hardware | Requisiti minimi | Raccomandato
CPU | Perlomeno 400 MHz | 1 GHz
Memoria RAM | 64 MB | 1024 MB per Windows CE 6.0.
Supporto di memorizzazione dati | 64 MB spazio libero di memoria. Memoria ritentiva permanentemente accessibile a scrittura per i dati di progetto. | 256 MB o più di spazio di memoria libera.
Connessione di rete | Per Progetti Client/Server standard: 10 Mbit/s full duplex. |

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Web Server

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del Webserver. La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Hardware | Requisiti minimi | Raccomandato
CPU | Single Core con supporto SSE2. |
Memoria RAM | Da 1024 MB |
Disco fisso | 256 MB spazio libero di memoria. | 1 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Connessione remota (opzionale) | Requisiti minimi dial-up modem a 9600 bit/s. | 1 MBit/s Fullduplex.


Web Client

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti hardware -> Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del zenon Web Client. La gestione di progetti di grandi dimensioni o di più progetti caricati in contemporanea, presuppone l´uso di un hardware dalle elevate performance. In questo caso, i requisiti minimi possono essere maggiori di quelli elencati nella tabella successiva.

Hardware | Requisito minimo | Raccomandato
CPU | Single Core con supporto SSE2. | Quad Core
Memoria RAM | Da 1024 MB |
Disco fisso | 64 MB di spazio di memoria libero per zenon Web Client, più spazio di memoria per i progetti. | 80 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Connessione remota (opzionale) | Requisiti minimi dial-up modem a 9600 bit/s. | 1 MBit/s Fullduplex.
Scheda grafica | 64 MB di memoria dedicata. Le schede con shared memory possono causare una riduzione delle prestazioni. A questo proposito, tenere presente le informazioni contenute nel capitolo Requisiti del sistema in caso di uso di DirectX. |


Percorsi per setup e per funzionamento

Manuale -> Installazione e update -> Percorsi per setup e per funzionamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Percorsi per zenon:

  • Installazione
  • Editor
  • Runtime

info Info

Molti percorsi standard possono essere visualizzati usando il comando set:

  • Aprire la riga di comando (cliccare sul menù di start di Windows e digitare cmd).
  • Digitate il comando set
  • Cliccando sul pulsante Invio verranno visualizzate le cartelle standard di Windows e zenon

Nota: visto che i percorsi assoluti possono differire in diversi sistemi operativi, in questo capitolo i percorsi sono indicati sempre come variabili di ambiente Windows. Per esempio %ProgramData%, invece di C:\ProgramData.

Installazione

Durante l´installazione, il sistema setta percorsi per:

  • zenon Editor
  • la cartella SQL di zenon

Solo i percorsi per l´Editor di zenon e la cartella SQL di zenon possono essere individualizzati.
Per eseguire il setup, si deve essere in possesso di diritti di amministratore; questo vale anche se si vuole modificare i percorsi di installazione.

Requisiti

I percorsi di installazione dei necessari componenti software di terzi, corrispondono ai percorsi standard del relativo produttore, e non sono modificabili durante il setup.

Quali pacchetti software addizionali devono essere installati, dipende dal tipo di installazione:

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • zenon Logic Runtime
Requisito | Editor | Runtime | Web Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft Visual C++ 2015 Redistributables | + | + | + | -
Microsoft SQL-Server 2012 SP1 Express (a partire da 7.10) | + | - | - | -
VSTA | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (a partire da 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon

L´installazione dell´Editor di zenon imposta due percorsi:

  • zenon Editor:
    • Sistemi a 32-Bit: %ProgramFiles(x86)%\COPA-DATA\zenon [Version]
    • Sistemi a 64-Bit: %ProgramFiles%\COPA-DATA\zenon [Version]

    Questi percorsi possono essere individualizzati durante l´installazione.

  • Cartella SQL di zenon:
    • A partire dalla versione 7.10: %ProgramData%\COPA-DATA\SQL2012\

    Questi percorsi possono essere individualizzati manualmente attraverso zenDB.ini.

zenon Editor

Nell´Editor di zenon vengono usati di default i seguenti percorsi:

Oggetto | Percorso
Workspace | %CD_USERDATA% Per esempio: C:\Users\Public\Documents\zenon_Projects
Progetti | %CD_USERDATA% Per esempio: C:\Users\Public\Documents\zenon_Projects Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+D
Cartella SQL del progetto: | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+E
project.ini | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Per esempio: C:\ProgramData\COPA-DATA\System
Backup | %ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP %ProgramData%\COPA-DATA\[SQL-Ordner\UID]\FILES\[Projekte]
File compilati | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\... Nota: impostabili nel progetto mediante la proprietà Archiviazione file.
File di sistema | Cartella di sistema di Windows.

zenon Runtime

Nell´Editor di zenon vengono usati di default i seguenti percorsi:

Oggetto | Percorso
Progetti | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\...
Archivi esportati, Lista Eventi Cronologica e Lista di informazione allarmi | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\Export Nota: viene creato al momento del primo export.
File di sistema | Cartella di sistema di Windows.

zenon Logic

I percorsi per zenon Logic vengono creati in modo analogo a quelli per zenon.


zenon per Windows CE

Manuale -> Installazione e update -> zenon per Windows CE

Componenti

La versione CE di zenon è composta dalle seguenti componenti:

  • zenon CE Runtime
  • DLL di lingua
  • DLL di rete
  • DLL driver
  • zenon6.ini
  • Servizio di trasporto

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Requisiti per l´installazione del Runtime su sistemi remoti.

  • Sul terminal CE deve essere installato ed avviato il servizio di trasporto (SysSrvCE.exe) di zenon, oppure esistere una connessione ActiveSync. Istruzioni per l´installazione manuale mediante supporti dati, potete trovarle nel capitolo Installazione manuale e update del Runtime.
  • Per consentire un trasporto corretto, il terminale CE al quale devono essere trasmessi i nuovi dati, deve disporre di almeno 8 megabyte di memoria "Program Memory" . Questo parametro può essere adeguato usando il pannello di controllo. Proprietà del sistema.

Procedura

Dettagli su compatibilità, installazione ed update li potete trovare nei capitoli:

  • Versioni CE / Sostegno processore
  • Aggiorna Runtime di Windows CE...

info Info

La registrazione della licenza per il Runtime per Windows CE si esegue con il Trasporto Remoto. Quando instaurate la connessione con il sistema destinatario, potete indicare il numero di serie e il numero di licenza per la versione CE. Il numero di serie viene salvato sul dispositivo CE nel file zenon6.ini. Il numero di attivazione viene salvato nella registry.

info Info

Se, al momento dello start di zenonrce.exe, viene eseguito anche il file syssrvce.exe, si può garantire che possa sempre essere instaurata una connessione TCP. Pertanto è necessario solamente un file per la funzionalità autostar. Tuttavia, si deve provvedere a configurare un intervallo di tempo (ritardo) fra i due start.

Causa: con lo start di zenonRCE, si avvia automaticamente anche zenLogSrvCE. Ma anche al momento dello start di syssrvce, il sistema avvia automaticamente zenLogSrvCE.

Se, dunque, zenonRCE e syssrvce vengono avviati nel giro di poco tempo, entrambi cercheranno di aprire zenLogSrvCE. Ciò causa un messaggio di errore.

Soluzione: per evitare il verificarsi di questo problema, configurate un intervallo di tempo (ritardo) fra lo start di zenonRCE e quello di zenLogSrvCE. Per far ciò, potete settare nello zenon6.ini l´inserimento STARTDELAY=. Così il Runtime (zenLogSrvCE) verrà avviato più tardi. Il sistema, poi, provvederà a verificare se zenLogSrvCE è già in esecuzione, e non tenterà più di avviarlo.

Ancora in questo capitolo

Versioni CE e processori supportati

File di sistema

Update del Runtime Windows CE

Installazione manuale e update del Runtime.

Pocket PCs (PDA - Handheld PC)

Gestione degli errori


Versioni CE e processori supportati

Manuale -> Installazione e update -> zenon per Windows CE -> Versioni CE e processori supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 7.20 di zenon vengono supportate le seguenti versioni di Windows CE ed i seguenti processori:

Processori:

  • x86
  • ARM V4/V5

Versioni CE:

  • CE 6.00
  • Windows Embedded Compact 7

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon, le trovate nella documentazione relativa, oppure le potete richiedere al supporto tecnico di COPA-DATA.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


File di sistema

Manuale -> Installazione e update -> zenon per Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché il Runtime per Windows CE possa funzionare, devono essere disponibili alcuni file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che non è stato possibile trovare uno o più componenti. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il Runtime. Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
msvcr90.dll | Necessario per il Runtime Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
atl90.dll | Non necessario per l´avvio del Runtime, ma per l´utilizzo di un driver con connessione di rete, o per usare zenon in rete. Se questo file non esiste, il dispositivo non potrà fungere da client, oppure non funzioneranno le connessioni driver TCP/IP.
IMGDECMP.dll | Non necessario per l´avvio del Runtime, ma per la visualizzazione della trasparenza, se alpha blending non è integrato nel sistema operativo. L´animazione di file GIF non è possibile con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non necessario per l'avvio del Runtime. Questo file è necessario per il PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE e possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
il file toolhelp.dll è necessario per le versioni di CE precedenti alla 6.0. Attivare il seguente inserimento nel Platform Manager per garantire che il file sia disponibile sul dispositivo CE, e che il "Toolhelp" sia disponibile nel SDK:
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In questo modo, Toolhelp.dll sarà parte dell´immagine.
Consiglio: si consiglia di usare sempre il service pack più recente del Platform Builder.

Nota: il file toolhelp.dll non è necessario per Windows CE 6, e non dovrebbe essere utilizzato con CE 6.


Update del Runtime Windows CE

Manuale -> Installazione e update -> zenon per Windows CE -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire un update del Runtime Windows CE:

  • Assicurarsi che il servizio di trasporto di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicurarsi di non aver stabilito una connessione remota con il dispositivo tramite l´Editor di zenon.
  • Selezionare nel menù Extras dell´Editor di zenon, il comando Aggiorna Runtime di Windows CE

    Si apre la finestra di dialogo che consente di trasferire i file Runtime.

  • Configurare la connessione.
  • Definire i file che si vuole trasferire.
  • Selezionare la versione.
  • Avviare l´update.

Nota: quando si trasferiscono i file Runtime/si installa il Runtime per la prima volta, tenere presente le informazioni contenute nel capitolo Installazione manuale e update del Runtime .

Configurare la connessione.

La connessione con il dispositivo Windows CE si configura nella scheda Connection della finestra di dialogo "Remote Runtime update....".

Parametro | Descrizione
Serial | Impostazione della connessione seriale con il dispositivo Windows CE; si deve selezionare il numero di porta.
TCP/IP | Impostazioni della connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazioni per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; si deve selezionare il numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync.
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: il file syssrvce.exe viene trasferito durante il primo trasporto via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Definizione dei file che devono essere trasferiti

Parametro | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attiva
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: non attivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attiva
Update zenon6.ini | Trasferisce il file zenon6.ini al dispositivo di destinazione. In questo caso verranno modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: Inglese
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver selezionati.
Remove | Cancella i driver selezionati dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Remove all | Cancella tutti i driver dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Selezione della versione

Nella scheda Versions della finestra di dialogo "Remote Runtime update....", selezionare la versione corretta di CE, quando questa non viene riconosciuta automaticamente dal sistema.

Parametro | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che consente la selezione.
Processor type | Tipo di processore del dispositivo.
Source path | Percorso della cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto alla lista.
Delete | Cancella l´inserimento selezionato dalla lista dopo una richiesta di conferma.
Test | Verifica la correttezza delle impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Avvia update

Per stabilire una connessione:

  1. Nella scheda Update della finestra di dialogo "Remote Runtime update....", cliccare sul pulsante Start.

    Il sistema verifica i dati per il trasferimento che verranno poi visualizzati in in una finestra.

  2. Cliccando sul pulsante Next, si avvia il trasferimento al dispositivo di destinazione.

    Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

    Se viene visualizzato il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Info

Se si vuole sostituire zenVNCServer.exe eseguendo un update, il file verrà chiuso, e riavviato dopo l´update. Il file zenVNCSrvCE.exe,

che si trova nel UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esistenti di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installazione manuale e update del Runtime.

Manuale -> Installazione e update -> zenon per Windows CE -> Installazione manuale e update del Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installazione e update sono possibili anche senta Trasporto Remoto e ActiveSync. Procedura: bisogna anzitutto copiare manualmente i file necessari su una scheda di memoria per il dispositivo CE. Chiaramente si deve conoscere la versione di CE e il tipo di processore del dispositivo in questione.

È necessario copiare sulla scheda di memoria destinata al dispositivo CE in questione i seguenti file dalla relativa cartella; i file devono essere naturalmente per la piattaforma corretta.

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnosi DLL)
  • zenon6.ini (file di configurazione)
  • Cd_tooCE.dll (Help DLL)
  • ZenNetSrvCE.dll (rete)
  • CDHelper.dll (Hilfs-DLL)
  • Una delle seguenti DDL linguistiche: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (La lingua selezionata è definita nel file zenon6.ini.)
  • syssrvce.exe (servizio di trasporto e Diagnosis Server)
  • atl90.dll (file di sistema, eventualmente parte del sistema operativo)
  • mfc90u.dll (File di sistema, possibilmente parte del sistema operativo)
  • msvcr90.dll (File di sistema, possibilmente parte del sistema operativo)

Altri file, come ad esempio i driver oppure il software del desktop remoto (zenVNCCfgCE.exe e zenVNCSrvCE.exe), sono facoltativi.


Pocket PCs (PDA - Handheld PC)

Manuale -> Installazione e update -> zenon per Windows CE -> Pocket PCs (PDA - Handheld PC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pocket PC non vengono più supportati a partire dalla versione 7.


Gestione degli errori

Manuale -> Installazione e update -> zenon per Windows CE -> Gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possibili errori:

Errore | Possibile soluzione
Errore di connessione nel corso di update via COM. | Essendo aperto, Windows Explorer rallenta il tempo di accesso. Chiudendo Explorer si risolve il problema.
Il servizio di trasporto non funziona. | Controllare la versione del servizio di trasporto. Perlomeno: versione 5.21 SP3 o con numero di serie più altro; oppure versione 5.50 SP1 o di numero superiore.
Il programma Runtime di update non riesce ad instaurare una connessione. | Chiudere le connessioni aperte dell´Editor con il servizio di trasporto CE.


Runtime dello zenon Logic per Windows CE

Manuale -> Installazione e update -> Runtime dello zenon Logic per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installazione del Runtime di zenon Logic (runtime PLC) in un sistema Windows CE si svolge in modo simile a quella del Runtime per Windows CE.

Requisito Servizio di trasporto eseguibile con CE.

Il Runtime di zenon Logic per Windows CE è costituito dalle seguenti componenti:

  • zenon Logic Runtime
  • DLL di lingua
  • zenon Logic IO driver
  • zenon6.ini

Installazione

  • Nel menù Opzioni di zenon, selezionare "Aggiorna Runtime Windows CE".

    Si apre la finestra di dialogo che consente di trasferire i file Runtime.

  • Attivate nella finestra "File" il checkbox "PLC Runtime", per copiare i file necessari zenon Logic nel percorso di esecuzione CE.
  • Passate alla scheda "Connection".

  • Definite la connessione con il dispositivo CE. Digitate l´indirizzo IP, oppure il numero di porta seriale.
  • Se volete che sia trasferito anche il file zenon6.ini, selezionate Update zenon6.ini. In tal modo, vengono modificate le informazioni concernenti la licenza sul dispositivo destinatario.
  • Selezionate nella finestra "CE Runtime versions" la versione giusta, nel caso in cui il sistema non dovesse riconoscerla automaticamente.

Update

Funziona come descritto nel capitolo Update Windows CE Runtime .

Attenzione: dovete attivare l´opzione PLC Runtime nella scheda "Files"!

info Info

Con Windows CE 6.0 vengono trasmessi sempre i file MFC.


zenon Web Server

Manuale -> Installazione e update -> zenon Web Server

Um den zenon Web Server oder zenon Web Server Pro zu installieren:

  1. Aktivieren Sie die WWW-Dienste auf dem Rechner.

    Der Ordner C:\inetpub\wwwroot muss existieren.

  2. Starten Sie das zenon Installationsmedium. Der Startbildschirm wird angezeigt.

    Falls Sie Autostart von Medien deaktiviert haben, führen Sie die Datei start.exe auf dem Installationsmedium aus.

  3. Wählen Sie zenon Web Server aus.
    Entsprechend der Version des Betriebssystems wird automatisch die 32-Bit oder 64-Bit Version des zenon Web Servers installiert.
  4. Folgen Sie der Installationsroutine.
  5. Starten Sie den Computer neu.

Die Setup-Dateien für den Web Client finden Sie nach der Installation in Unterverzeichnissen des zenon Web Server-Installationspfades (xxx steht für die jeweilige Version von zenon), z. B.: C:/Programme (x86)/COPA-DATA/zenonWebserver/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE

Es werden auch die Beispiel-Webseiten (index*.html und init*.html) mitinstalliert. Diese sind im Unterverzeichnis zenon des zenon Web Server-Installationspfades zu finden, z. B.:
C:/Programme/zenonWebserver/zenon/index.htm
oder
C:/Inetpub/wwwroot/zenon/index.html

info Info

Der Dienst für den zenon Web Server wird nur in der lizenzierten Version automatisch gestartet. Im Demo-Modus muss der zenon Web Server manuell über die zenon Web Server-Konsole in den Systemeigenschaften gestartet werden.

Ulteriori informazioni

Trovate informazioni dettagliate concernenti il Webserver di zenon nella guida in linea, alla voce zenon Web Server e Web Server Pro: per le licenze, invece, nel capitolo Registrazione licenza.


zenon Web Client

Manuale -> Installazione e update -> zenon Web Client

Il zenon Web Client consiste soprattutto di un ActiveX Control, che visualizza delle informazioni in un browser. La visualizzazione è 1:1, come in un zenon Runtime Client. La connessione al Runtime Server avviene tramite il zenon Web Server tramite la comunicazione TCP/IP.

I file di setup per il zenon Web Client li trovate dopo l´installazione nella sottodirectory del percorso di installazione del zenon Web Server (xxx si riferisce alla versione relativa di von zenon), per esempio: %Programfiles%/COPA-DATA/zenon Web Server/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_ITALIAN.EXE

Tutti i setup zenon Logic Web Client sono con firma digitale e possono essere resi disponibili su Internet per il download.

info Info

Il zenon Web Client invia Error e file di log. Il Diagnosis Server viene installato automaticamente con il zenon Web Client.


Update (Build Setups)

Manuale -> Installazione e update -> Update (Build Setups)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Update (Build Setup)

Un update viene installato mediante l´installazione esistente e sostituisce solamente i file modificati con la nuova versione. Tutti i progetti e le impostazioni individuali rimangono inalterati. Vi preghiamo di tener presente che la qualità dei Build Setup non è mai sicura al 100%. Vengono testate solamente le correzioni delle bug contenute. Nel caso in cui dovessero verificarsi effetti indesiderati a causa di una correzione delle bug, non è detto che questi ultimi siano riconoscibili già al momento dell´effettuazione dei test. COPA-DATA, quindi, consiglia di usare sempre Service Packs. Questi ultimi, infatti, sono sempre soggetti ad un approfondito test di qualità.

Nota:

  • Build Setup possono essere installati solo localmente. Non è possibile installarli su percorsi di rete (UNC).
  • zenon Web Client: per installare un update del zenon Web Client, si deve anzitutto disinstallare il zenon Web Client stesso.

Passaggio ad una nuova versione

Se volete installare una nuova versione di zenon, avviate la routine di installazione. La nuova versione viene installata parallelamente alla versione già esistente. Tutti i progetti e le impostazioni individuali rimangono inalterati. I progetti non vengono convertiti nella nuova versione durante l´installazione. Solo al momento della prima apertura dell´Editor, si verifica la conversione del singolo progetto nella nuova versione. Un box di dialogo vi avverte del verificarsi di tale processo. Viene effettuato un backup automatico della vecchia versione. Nel caso in cui vogliate usare solo la versione più attuale, disinstallate la versione precedente facendo uso della routine corrispondente del pannello di controllo Windows.

attention Attenzione

Se un´installazione comporta un cambio del server SQL (per es. update da zenon 7.00 a zenon 7.10 o versione ancora più recente), prima della installazione si deve effettuare un backup di tutti i progetti o del workspace. Questo backup viene caricato dopo l´installazione. I dettagli concernenti questo procedimento li trovate anche nella sezione Progetti-Multiuser/Update con cambio del server SQL.

Se, invece, avete intenzione di usare più versioni di zenon parallelamente, potete farlo usando lo Startup Tool. Vi facciamo presente che è possibile avviare solamente una versione alla volta. Quale sia la versione da avviare, lo stabilite in Startup Tool, che realizza tutte le impostazioni necessarie automaticamente. I dettagli relativi li potete trovare nel capitolo Startup Tool.

info Info

Le nuove versioni comportano sempre dei cambiamenti strutturali. Durante l´installazione, i progetti e le impostazioni rimangono inalterate. Al momento della prima apertura nell´Editor, i progetti vengono convertiti nella nuova versione, e, contemporaneamente, viene realizzata una copia di sicurezza della vecchia versione.

I progetti convertiti non possono più essere modificati nelle versioni precedenti. A partire dalla versione 6.2, l´Editor può creare dei progetti per diverse versioni del Runtime.

Delle importanti indicazioni concernenti la conversione dei progetti, le trovate nel testo di revisione. Esso viene fornito con il supporto di installazione ed è disponibile anche online.

Progetti multi-user

Per garantire il passaggio ad una nuova versione di zenon in progetti multi-user, senza avere una perdita di dati:

  1. Applicare su tutti i client tutti gli elementi per cui si è effettuato il check out -> Applica modifiche.
    Non ci deve essere niente "checked out". Ciò vale per tutti i progetti.
  2. Installate sul computer che funge da server la nuova versione di zenon.
  3. Convertite tutti i progetti server nella nuova versione: a tal scopo, caricate tutti i progetti nell´Editor del computer che funge da server.
  4. Installate la nuova versione di zenon sui computer che fungono da client.
  5. Caricate i progetti sui client e di nuovo fare check out.

Update con cambio del server SQL

Se un´installazione comporta il cambio del server SQL Servers (per es. da zenon 6.51 a zenon 9.1), sono necessari ulteriori passi. Questi passi vengono eseguiti:

  • dopo che si è effettuato il check in di tutti i progetti
  • prima di installare la nuova versione

Procedura nel caso di cambio del server SQL:

  1. check in su tutti i client di tutti gli elementi che sono "checked out" -> Applica modifiche.
  2. sul server multi-user aprite l´Editor nella versione iniziale
  3. create dei backup di tutti i progetti che volete modificare, o aprire con la nuova versione.
    • o nella forma di backup di progetto singoli
    • oppure come backup di un intero workspace
  4. installate la nuova versione sul server
  5. convertite tutti i progetti server nella nuova versione, caricando i backup di progetto prima creati nell´Editor.
  6. installate l´update su ogni client
  7. trasferite i progetti del server multi-user ai client
    (tenete presente il nuovo nome dell´istanza SQL)
  8. i progetti sono convertiti, sincronizzati e pronti ad essere utilizzati

Attenzione: assicuratevi che le impostazioni del firewall consentano lo scambio dati dal server multi-user ai clienti e viceversa.


FAQ

Manuale -> Installazione e update -> FAQ

Durante l´installazione si verificano degli errori soprattutto se la sostituzione o la creazione di file vengono impedite a causa di un programma antivirus, oppure processi di installazione già in corso. Di seguito trovate un elenco delle cause più frequenti di errore durante il processo di installazione e la risoluzione dei problemi.

zenon

Problema

Soluzione

L´installazione viene interrotta.

Tipico messaggio di errore: Error 1304. Error writing to file...

Disattivate il programma antivirus e chiudete programmi non necessari al momento.

Dei progetti demo sono stati installati, ma non vengono visualizzati. Non possono essere creati nuovi progetti.

Controllate il nome computer. Questo:

  • Può avere la lunghezza massima di 15 caratteri
  • deve corrispondere alle convenzioni del nome computer NetBIOS

Messaggio di errore: non è stato possibile avviare un servizio.
  • prima di tutto riavviate il computer.
  • riavviate poi il setup di zenon

Server SQL

Generale

Problema | Soluzione
Il processo di installazione non può essere completato perché la password non soddisfa i requisiti. | Se, con l´opzione Local Security Policy di Windows, si imposta la lunghezza minima della password, che di default è 8, su un valore superiore a 10, l´installazione del server SQL non potrà essere portata a termine con successo, perché la password di zenon SQL consta di 10 caratteri.


Supporto tecnico

Manuale -> Installazione e update -> Supporto tecnico

Basic Support

Se avete bisogno di aiuto nella fase di installazione, i nostri collaboratori del Technischen Consulting sono a vostra disposizione.

Gli utenti con "basic-support" possono contattare la hotline al seguente indirizzo E-Mail support@copadata.com.

Advanced e Premium Support

Se disponete di un contratto di assistenza Advanced o Premium, usate il numero di telefono o l´indirizzo E-Mail indicati nel contratto stesso. Nel caso in cui, invece, vogliate passare da un contratto gratuito "Basic" al tipo "Advanced" o "Premium", rivolgetevi ai nostri collaboratori del reparto distribuzione (sales@copadata.com) che saranno felici di esservi d´aiuto.


Open Source GPL/Mozilla Licenses

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

These licenses are applicable only for the listed software components:

  • For zenVNCSrv.exe, zenVNCSrvCE.exe and zenVNCCli.exe:
    GNU GENERAL PUBLIC LICENSE Version 3 applies
  • For MsgCtrlVoip.dll:
    GNU LESSER GENERAL PUBLIC LICENSE Version 3 applies
  • For Ude.dll:
    MOZILLA PUBLIC LICENSE Version 1.1 applies
  • For TestOCCReader.dll
    GNU LESSER GENERAL PUBLIC LICENSE (LGPL) Version 2.1 with additional exception

The source code for the above mentioned software components can always be requested, free of charge, at this contact address:

Ing. Punzenberger COPA-DATA GmbH
Karolingerstrasse 7b
A-5020 Salzburg
Austria
Tel: +43 / 662 / 43 10 02 - 0
Fax: +43 / 662 / 43 10 02 - 33
Email: sales@copadata.com
Internet: www.copadata.com

Ancora in questo capitolo

GNU GENERAL PUBLIC LICENSE (GPL)

MOZILLA PUBLIC LICENSE

GNU LESSER GENERAL PUBLIC LICENSE


GNU GENERAL PUBLIC LICENSE (GPL)

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.

Ancora in questo capitolo

TERMS AND CONDITIONS


TERMS AND CONDITIONS

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Definitions

Source Code

Basic Permissions

Protecting Users' Legal Rights From Anti-Circumvention Law

Conveying Verbatim Copies

Conveying Modified Source Versions

Conveying Non-Source Forms

Additional Terms

Termination

Acceptance Not Required for Having Copies

Automatic Licensing of Downstream Recipients

Patents

No Surrender of Others' Freedom

Use with the GNU Affero General Public License

Revised Versions of this License

Disclaimer of Warranty

Limitation of Liability

Interpretation of Sections 15 and 16


Definitions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Definitions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.


Source Code

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Source Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non-source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.


Basic Permissions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Basic Permissions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.


Protecting Users' Legal Rights From Anti-Circumvention Law

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Protecting Users' Legal Rights From Anti-Circumvention Law

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.


Conveying Verbatim Copies

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Verbatim Copies

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.


Conveying Modified Source Versions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Modified Source Versions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

  1. The work must carry prominent notices stating that you modified it, and giving a relevant date.
  2. The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
  3. You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
  4. If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.


Conveying Non-Source Forms

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Non-Source Forms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

  1. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
  2. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
  3. Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
  4. Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
  5. Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.


Additional Terms

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Additional Terms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

  1. Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
  2. Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
  3. Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
  4. Limiting the use for publicity purposes of names of licensors or authors of the material; or
  5. Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
  6. Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.


Termination

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Termination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.


Acceptance Not Required for Having Copies

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Acceptance Not Required for Having Copies

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.


Automatic Licensing of Downstream Recipients

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Automatic Licensing of Downstream Recipients

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.


Patents

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Patents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's “contributor version”.

A contributor's “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.


No Surrender of Others' Freedom

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> No Surrender of Others' Freedom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.


Use with the GNU Affero General Public License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Use with the GNU Affero General Public License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.


Revised Versions of this License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Revised Versions of this License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.


Disclaimer of Warranty

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Disclaimer of Warranty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


Limitation of Liability

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Limitation of Liability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Interpretation of Sections 15 and 16

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Interpretation of Sections 15 and 16

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.


MOZILLA PUBLIC LICENSE

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Version 1.1

Ancora in questo capitolo

Definitions

Source Code License

Distribution Obligations

Inability to Comply Due to Statute or Regulation

Application of this License

Versions of the License

Disclaimer of Warranty

Termination

Limitation of Liability

U.S. Government End Users

Miscellaneous

Responsibility for Claims

Multiple-Licensed Code

EXHIBIT A - Mozilla Public License


Definitions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Definitions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. "Commercial Use" means distribution or otherwise making the Covered Code available to a third party.
  2. "Contributor" means each entity that creates or contributes to the creation of Modifications.
  3. "Contributor Version" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.
  4. "Covered Code" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.
  5. "Electronic Distribution Mechanism" means a mechanism generally accepted in the software development community for the electronic transfer of data.
  6. "Executable" means Covered Code in any form other than Source Code.
  7. "Initial Developer" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.
  8. "Larger Work" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.
  9. "License" means this document.
    1. "Licensable" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.
  10. "Modifications" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:
    1. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.
    2. Any new file that contains any part of the Original Code or previous Modifications.
  11. "Original Code" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.
    1. "Patent Claims" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.
  12. "Source Code" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.
  13. "You" (or "Your") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, "You" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.


Source Code License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

The Initial Developer Grant

Contributor Grant


The Initial Developer Grant

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License -> The Initial Developer Grant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:

  1. under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and
  2. under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).
  3. the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.
  4. Notwithstanding Section 2.1(b) above, no patent license is granted:
    1. for code that You delete from the Original Code;
    2. separate from the Original Code; or
    3. for infringements causedby:

      i) the modification of the Original Code or

      ii) thecombination of the Original Code with other software or devices


Contributor Grant

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License -> Contributor Grant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to third party intellectual property claims, each Contributorhereby grants You a world-wide, royalty-free, non-exclusive license

  1. under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and
  2. under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).
  3. the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.
  4. Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.


Distribution Obligations

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Application of License

Availability of Source Code

Description of Modifications

Intellectual Property Matters

Required Notices

Distribution of Executable Versions

Larger Works


Application of License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Application of License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.


Availability of Source Code

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Availability of Source Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.


Description of Modifications

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Description of Modifications

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.


Intellectual Property Matters

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Intellectual Property Matters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled "LEGAL" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.
  2. Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.
  3. Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.


Required Notices

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Required Notices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.


Distribution of Executable Versions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Distribution of Executable Versions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.


Larger Works

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Larger Works

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.


Inability to Comply Due to Statute or Regulation

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Inability to Comply Due to Statute or Regulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.


Application of this License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Application of this License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.


Versions of the License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

New Versions

Effect of New Versions

Derivative Works


New Versions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> New Versions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Netscape Communications Corporation ("Netscape") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.


Effect of New Versions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> Effect of New Versions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.


Derivative Works

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> Derivative Works

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases "Mozilla", "MOZILLAPL", "MOZPL", "Netscape", "MPL", "NPL" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)


Disclaimer of Warranty

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Disclaimer of Warranty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.


Termination

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Termination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.
  2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as "Participant") alleging that:
    1. such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.
    2. any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant
  3. If You assert a patent infringement claim against Participantalleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.
  4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.


Limitation of Liability

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Limitation of Liability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.


U.S. Government End Users

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> U.S. Government End Users

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Covered Code is a "commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.


Miscellaneous

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Miscellaneous

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not apply to this License.


Responsibility for Claims

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Responsibility for Claims

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.


Multiple-Licensed Code

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Multiple-Licensed Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Initial Developer may designate portions of the Covered Code as "Multiple-Licensed". "Multiple-Licensed" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.


EXHIBIT A - Mozilla Public License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> EXHIBIT A - Mozilla Public License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

`UDE.dll `The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.

The Original Code can be found here: https://github.com/errepi/ude .

The Initial Developer of the Original Code is Rudi Pettazzi.

All Rights Reserved.

Contributor(s): -.

[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]


GNU LESSER GENERAL PUBLIC LICENSE

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. http://fsf.org/ Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

This version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.

Ancora in questo capitolo

Additional Definitions

Exception to Section 3 of the GNU GPL

Conveying Modified Versions

Object Code Incorporating Material from Library Header Files

Combined Works

Combined Libraries

Revised Versions of the GNU Lesser General Public License


Additional Definitions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Additional Definitions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As used herein, "this License" refers to version 3 of the GNU Lesser General Public License, and the "GNU GPL" refers to version 3 of the GNU General Public License.

"The Library" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.

An "Application" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library.

Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.

A "Combined Work" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the "Linked Version".

The "Minimal Corresponding Source" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.

The "Corresponding Application Code" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.


Exception to Section 3 of the GNU GPL

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Exception to Section 3 of the GNU GPL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.


Conveying Modified Versions

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Conveying Modified Versions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:

  1. under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or
  2. under the GNU GPL, with none of the additional permissions of this License applicable to that copy.


Object Code Incorporating Material from Library Header Files

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Object Code Incorporating Material from Library Header Files

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:

  1. Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the object code with a copy of the GNU GPL and this license document.


Combined Works

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Combined Works

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:

  1. Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the Combined Work with a copy of the GNU GPL and this license document.
  3. For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.
  4. Do one of the following:
    1. Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.
    2. Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.
  5. Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)


Combined Libraries

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Combined Libraries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:

  1. Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.
  2. Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.


Revised Versions of the GNU Lesser General Public License

Manuale -> Installazione e update -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Revised Versions of the GNU Lesser General Public License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License "or any later version" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.

If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.


Open Source licences for several features

Manuale -> Installazione e update -> Open Source licences for several features

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • The SNMP driver (SNMPNG32.exe) uses OpenSSL and NetSNMP.
  • The OPC UA Process Gateway (AccessOPCUA.dll) and the OPC UA driver (OPCUA32.exe) use OpenSSL
  • The Message Control uses MIMEMail and OpenSSL (zenon32.dll)
  • The HTML Web Engine –Web Application uses ANTLRv3, Bootstrap, jQuery UI, jQuery, Json.NET, NLog, Owin, jQuery.SVG, WebGrease
  • The HTML Web Engine – Deployment Tool uses Extended WPF Toolkit, Newtonsoft.Json, NLog, WPF Application Framework (WAF)
  • The HTML Web Engine – Compiler uses Newtonsoft.Json, Nlog.Windows.Forms, NLog
  • The Everywhere Essentials QR Code Generator Wizard uses QrCode.Net
  • The Message Control VoiceOverIP Extension (MsgCtrlVoip.dll) uses libSRTP, Speex, PortAudio, Alaw/Ulaw Converter, GSM Codec 06.10 and iLBC Codec
  • The 3D Configuration Tool uses DWF Toolkit License, the MIT License (MIT), the SharpDX - Alexandre Mutel License
  • The GIS-Control uses the Gmap-Control with the MIT License (MIT)
  • The System.Data.SQLite uses the Microsoft Public License (MS-PL)
  • The NLog 4.4.0 uses the NLog / License
  • The Add-In Framework uses the SharpDevelop 5.1.0 with the MIT License, the Mono.AddIns 1.3 with the MIT License, the Mono.Cesil 0.9.6.4 with the MIT/X11 License, the WPF Application Framework (WAF) 3.2.0 with the Microsoft Public License (MS-PL)

You have to accept the according license agreements as well as the standard end user license agreement (EULA)

Ancora in questo capitolo

OpenSSL

NetSNMP

MIMEMail

ANTLRv3

Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Extended WPF Toolkit, WPF Application Framework (WAF)

Nlog, NLog.Windows.Forms

WebGrease, Owin

jQuery.SVG

QrCode.Net

libSRTP

Speex

PortAudio

Alaw/Ulaw Converter

GSM Codec 06.10

iLBC Codec

DWF Toolkit

Helix Toolkit

Open CASCADE Technology

SharpDX

GMap.NET

System.Data.SQLite Copyright

NLog 4.4.0 License

SharpDevelop 5.1.0

Mono.AddIns 1.3

Mono.Cecil 0.9.6.4

WPF Application Framework (WAF) 3.2.0


OpenSSL

Manuale -> Installazione e update -> Open Source licences for several features -> OpenSSL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LICENSE ISSUES

The OpenSSL toolkit stays under a dual license, i.e. both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit.

See below for the actual license texts. Actually both licenses are BSD-style Open Source licenses. In case of any license issues related to OpenSSL please contact openssl-core@openssl.org.

OpenSSL License

Copyright (c) 1998-2011 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.
  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.
  6. Redistributions of any form whatsoever must retain the following acknowledgment:

    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com).

This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Original SSLeay License

Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com).The implementation was written so as to conform with Netscapes SSL.

This library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgement:

    "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)" The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).

  4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]


NetSNMP

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Various copyrights apply to this package, listed in various separate parts below. Please make sure that you read all the parts.

Ancora in questo capitolo

CMU/UCD copyright notice: (BSD like)

Networks Associates Technology, Inc copyright notice

Cambridge Broadband Ltd. copyright notice

Sun Microsystems, Inc. copyright notice

Sparta, Inc copyright notice (BSD)

Cisco/BUTNIC copyright notice (BSD)

Fabasoft R&D Software GmbH & Co KG copyright notice

Apple Inc. copyright notice (BSD)

ScienceLogic, LLC copyright notice (BSD)


CMU/UCD copyright notice: (BSD like)

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> CMU/UCD copyright notice: (BSD like)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 1989, 1991, 1992 by Carnegie Mellon University

Derivative Work - 1996, 1998-2000

Copyright 1996, 1998-2000 The Regents of the University of California

All Rights Reserved

Permission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of CMU and The Regents of the University of California not be used in advertising or publicity pertaining to distribution of the software without specific written permission.

CMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.


Networks Associates Technology, Inc copyright notice

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Networks Associates Technology, Inc copyright notice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2001-2003, Networks Associates Technology, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Networks Associates Technology, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cambridge Broadband Ltd. copyright notice

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Cambridge Broadband Ltd. copyright notice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Portions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • The name of Cambridge Broadband Ltd. may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sun Microsystems, Inc. copyright notice

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Sun Microsystems, Inc. copyright notice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright © 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A. All rights reserved.

Use is subject to license terms below.

This distribution may include materials developed by third parties

Sun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Sun Microsystems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR

OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sparta, Inc copyright notice (BSD)

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Sparta, Inc copyright notice (BSD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2003-2009, Sparta, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Sparta, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR

OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cisco/BUTNIC copyright notice (BSD)

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Cisco/BUTNIC copyright notice (BSD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2004, Cisco, Inc and Information Network

Center of Beijing University of Posts and Telecommunications.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR

CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Fabasoft R&D Software GmbH & Co KG copyright notice

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Fabasoft R&D Software GmbH & Co KG copyright notice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) Fabasoft R&D Software GmbH & Co KG, 2003

oss@fabasoft.com

Author: Bernhard Penz

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries, brand or product names may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Apple Inc. copyright notice (BSD)

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> Apple Inc. copyright notice (BSD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2007 Apple Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. Neither the name of Apple Inc. ("Apple") nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ScienceLogic, LLC copyright notice (BSD)

Manuale -> Installazione e update -> Open Source licences for several features -> NetSNMP -> ScienceLogic, LLC copyright notice (BSD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2009, ScienceLogic, LLC

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of ScienceLogic, LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


MIMEMail

Manuale -> Installazione e update -> Open Source licences for several features -> MIMEMail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2013, tike <timflex@gmx.de>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment:

    This product includes software developed by the tike.

  4. Neither the name of the tike nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY <COPYRIGHT HOLDER> ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ANTLRv3

Manuale -> Installazione e update -> Open Source licences for several features -> ANTLRv3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[The BSD License]

Copyright (c) 2010 Terence Parr

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the author nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Manuale -> Installazione e update -> Open Source licences for several features -> Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The MIT License (MIT)_

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

-

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Extended WPF Toolkit, WPF Application Framework (WAF)

Manuale -> Installazione e update -> Open Source licences for several features -> Extended WPF Toolkit, WPF Application Framework (WAF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

  • The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
  • A "contribution" is the original software, or any additions or changes to the software.
  • A "contributor" is any person that distributes its contribution under this license.
  • "Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

  • (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
  • (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

  • (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
  • (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
  • (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
  • (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
  • (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


Nlog, NLog.Windows.Forms

Manuale -> Installazione e update -> Open Source licences for several features -> Nlog, NLog.Windows.Forms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2004-2011 Jaroslaw Kowalski <jaak@jkowalski.net>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


WebGrease, Owin

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Apache License 2.0 (Apache)

Version 2.0, January 2004

http://www.apache.org/licenses/

Ancora in questo capitolo

Definitions

Grant of Copyright License

Grant of Patent License

Redistribution

Submission of Contributions

Trademarks

Disclaimer of Warranty

Limitation of Liability

Accepting Warranty or Additional Liability


Definitions

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Definitions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.


Grant of Copyright License

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Grant of Copyright License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.


Grant of Patent License

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Grant of Patent License

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.


Redistribution

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Redistribution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

  1. You must give any other recipients of the Work or Derivative Works a copy of this License; and
  2. You must cause any modified files to carry prominent notices stating that You changed the files; and
  3. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
  4. If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.


Submission of Contributions

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Submission of Contributions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.


Trademarks

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Trademarks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.


Disclaimer of Warranty

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Disclaimer of Warranty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.


Limitation of Liability

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Limitation of Liability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.


Accepting Warranty or Additional Liability

Manuale -> Installazione e update -> Open Source licences for several features -> WebGrease, Owin -> Accepting Warranty or Additional Liability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.


jQuery.SVG

Manuale -> Installazione e update -> Open Source licences for several features -> jQuery.SVG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2007 - 2015 Keith Wood

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


QrCode.Net

Manuale -> Installazione e update -> Open Source licences for several features -> QrCode.Net

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[The MIT License (MIT)]

Copyright (c) 2011 George Mamaladze

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


libSRTP

Manuale -> Installazione e update -> Open Source licences for several features -> libSRTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2001-2006 Cisco Systems, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Cisco Systems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Speex

Manuale -> Installazione e update -> Open Source licences for several features -> Speex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2002-2005

Xiph.org Foundation

Jean-Marc Valin

David Rowe

EpicGames

Analog Devices

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Xiph.org Foundation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


PortAudio

Manuale -> Installazione e update -> Open Source licences for several features -> PortAudio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Based on the Open Source API proposed by Ross Bencina

Copyright (c) 1999-2000 Phil Burk

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Alaw/Ulaw Converter

This source code is a product of Sun Microsystems, Inc. and is provided for unrestricted use. Users may copy or modify this source code without charge.

SUN SOURCE CODE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.

Sun source code is provided with no support and without any obligation on the part of Sun Microsystems, Inc. to assist in its use, correction, modification or enhancement.

SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS SOFTWARE OR ANY PART THEREOF.

In no event will Sun Microsystems, Inc. be liable for any lost revenue or profits or other special, indirect and consequential damages, even if Sun has been advised of the possibility of such damages.

Sun Microsystems, Inc.

2550 Garcia Avenue

Mountain View, California 94043


GSM Codec 06.10

Manuale -> Installazione e update -> Open Source licences for several features -> GSM Codec 06.10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann, Technische Universitaet Berlin

Any use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects ofthis software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

As a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.

Berlin, 28.11.1994

Jutta Degener

Carsten Bormann


iLBC Codec

Manuale -> Installazione e update -> Open Source licences for several features -> iLBC Codec

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2011 The WebRTC project authors

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Google nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

DWF Toolkit

NOTICE TO USER: THIS LICENSE AGREEMENT ("AGREEMENT") IS A LEGAL AGREEMENT BETWEEN YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) AND AUTODESK, INC. FOR THE RELEASE CANDIDATE VERSION OF THE DWF TOOLKIT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS AND ONLINE OR ELECTRONIC DOCUMENTATION ("LICENSED SOFTWARE"). BY INSTALLING THE LICENSED SOFTWARE YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE LICENSED SOFTWARE.

  1. LICENSE GRANT

    1.1 Autodesk grants to you ("Licensee") a perpetual, nontransferable, nonexclusive, royalty-free, limited license to:

    1.1.1 (a) Use the Licensed Software for development, testing, research, internal, educational, or commercial purposes.; (b) Modify the Licensed Software to create derivative works and applications, including ports; and (c) Compile the Licensed Software, derivative works and applications prepared in accordance with subsection 1.1.1(b) into binary code. You acknowledge that the Licensed Software is being provided by Autodesk as a courtesy during a "release candidate" period during which Autodesk may perform testing and modifications to the Licensed Software. As such, Autodesk makes no representation or promise that future versions or releases of the Licensed Software will contain identical or substantially similar elements and functions as the version licensed hereunder. Though Autodesk does not currently believe there will be substantial changes to the Licensed Software, Autodesk reserves the right to make any change in accordance with its requirements.

    1.1.2 Reproduce, distribute and sublicense free of charge or for a fee the Licensed Software in binary code form in conjunction with derivative works or applications created by Licensee or licensed from third parties by Licensee, provided, that: (a) Licensee makes no use of Autodesk's trademarks, trade names, or trade dress; (b) In the event Licensee makes any modification to the Licensed Software, Licensee must publish the specification for such modifications for use by third party developers and provide Autodesk with a copy thereof; and (c) The Licensee must sublicense the Licensed Software "as is", without warranty of any kind.

    1.1.3 Reproduce, distribute and sublicense free of charge to sublicensees the source code of the unmodified Licensed Software, provided that (a) Licensee must state in its sublicenses that the Licensed Software is being distributed pursuant to a license granted by Autodesk, Inc.; (b)The terms of sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (c) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; and (d) Licensee shall conspicuously state in its sublicenses that the Licensed Software is offered "as is", without warranty of any kind.

    1.1.4 Reproduce, distribute and sublicense the source code of the Licensed Software as modified by Licensee, provided that (a) Licensee must state in its sublicense that the Licensed Software has been modified by Licensee; (b) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; (c) As to the unmodified portions of the Licensed Software, the terms of the sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (d) Licensee must conspicuously state in its sublicenses that the original, unmodified portions of the Licensed Software are offered "as is", without warranty of any kind; and (e) Licensee must (i) publish the modified Licensed Software to the Worldwide Web, (ii) make available with the modified Licensed Software documentation which describes in detail the modifications which Licensee has made to the Licensed Software, and (iii) provide to Autodesk a copy of the modified Licensed Software and the documentation.

    1.2 Licensee acquires no right, title, or interest in or to the Licensed Software.

    1.3 Licensee shall retain all rights to any independently developed software, such as applications, developed by or for Licensee.

    1.4 Autodesk is under no obligation to provide maintenance, support, or upgrades for the Licensed Software.

  2. COPYRIGHTS AND TRADEMARKS

    Licensee shall reproduce and apply any copyright or other proprietary rights notices included on or embedded in the Licensed Software to any copies of the Licensed Software or to applications created using the Licensed Software, in any form. Licensee shall have no right to use any Autodesk trademarks, trade names or trade dress absent a separate written agreement between Autodesk and Licensee. Licensee hereby understands and agrees that Autodesk is not granting any rights to Autodesk patents, copyrights, trademarks or trade secret information to Licensee by this Agreement.

  3. FEES

    Use of the Licensed Software in accordance with the terms of this Agreement shall not require payment of a license fee to Autodesk.

  4. TERM AND TERMINATION

    The grant of a perpetual license notwithstanding, Autodesk may immediately terminate this Agreement and revoke the license granted to Licensee upon written notice to Licensee if Licensee fails to comply with any of the terms or conditions of this Agreement. Upon termination of this Agreement, Licensee shall immediately cease using, reproducing and distributing the Licensed Software, the license and rights granted hereunder shall expire, and Licensee shall immediately destroy or return to Autodesk the Licensed Software and all related documentation, materials or copies thereof.

  5. DISCLAIMER OF WARRANTY

    5.1 The Licensed Software is provided "AS IS" and without any warranty of any kind. Autodesk reserves the right to update and make modifications to the Licensed Software in any future release in its sole discretion.

    5.2 AUTODESK DOES NOT MAKE AND HEREBY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE, OR TRADE PRACTICE.

  6. LIMITATION OF LIABILITY

    6.1 In no event will Autodesk be liable for any lost revenues, data, or profits, or special, indirect, or consequential damages, even if Autodesk has been advised of the possibility or probability of such damages. Autodesk's maximum liability for damages shall be limited to the fees, if any, required under Section 3 for the particular Licensed Software which caused the damages.

    6.2 The Licensed Software is not fault-tolerant and is not designed, manufactured, or intended for use or resale as online control equipment in hazardous environments requiring fail-safe performance, such as in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, direct life support machines, or weapons systems, in which the failure of the Licensed Software or derived binaries could lead directly to death, personal injury, or severe physical or environmental damage ("High Risk Activities"). Autodesk specifically disclaims any express or implied warranty of fitness for High Risk Activities. Licensee will not knowingly use, distribute, or sublicense the Licensed Software or derived binaries for High Risk Activities and will ensure that its customers and end-users of Licensee's products are provided with a copy of the notice specified in the first sentence of this Section 6.2.

  7. PROPRIETARY INFORMATION

    The Licensed Software is the proprietary information of Autodesk, Inc. ("Confidential Information"). Except as permitted by this Agreement, Licensee shall not disclose Confidential Information and shall use it only for purposes specifically contemplated by this Agreement. This Agreement will not affect any non-disclosure agreement between the parties.

  8. EXPORT

    Unless properly authorized by the U.S. Government, Licensee shall not export, re-export or transfer, whether directly or indirectly, the Licensed Software or binary derivative or direct products thereof, to any person or company who is (a) present in or controlled by a legal resident of any proscribed country listed in the U.S. Export Administration Regulations (or any equivalent thereof ), or (b) a person or entity named in the entity lists, denied persons lists or specially designated nationals lists maintained by the U.S. Government.

  9. U.S. GOVERNMENT RESTRICTED RIGHTS

    This Licensed Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software Clause as DFARS 252.227-7013 and FAR 52.227-19 as applicable. Manufacturer is Autodesk, Inc., 111 McInnis Parkway, San Rafael, California 94903.

  10. GOVERNING LAW

    Any action related to this Agreement will be governed by California law, excluding choice of law rules.

Helix Toolkit

Copyright (c) 2012 Helix Toolkit contributors

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be included

in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS

OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Open CASCADE Technology

Licensing

Open CASCADE Technology version 6.7.0 and later are governed by GNU Lesser General Public License (LGPL) version 2.1 with additional exception.

Note: A specific license is applied to Open CASCADE Technology version 6.6.0 and earlier.

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc. 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]

PREAMBULE

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software–to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some specially designated software packages–typically libraries–of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.

To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library. To protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.

Finally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.

When a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.

We call this license the "Lesser" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.

For example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.

Although the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a "work based on the library" and a "work that uses the library". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called "this License"). Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work which has been distributed under these terms. A "work based on the Library" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is true depends on what the Library does and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.

(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.

In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.

Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.

If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a "work that uses the Library". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a "work that uses the library". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is true is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or link a "work that uses the Library" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:

a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable "work that uses the Library", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.

e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the Library" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.

7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.

b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.

11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

Open CASCADE Exception (version 1.0) to GNU LGPL version 2.1.

The object code (i.e. not a source) form of a "work that uses the Library" can incorporate material from a header file that is part of the Library. As a special exception to the GNU Lesser General Public License version 2.1, you may distribute such object code incorporating material from header files provided with the Open CASCADE Technology libraries (including code of CDL generic classes) under terms of your choice, provided that you give prominent notice in supporting documentation to this code that it makes use of or is based on facilities provided by the Open CASCADE Technology software.

SharpDX

Copyright (c) 2010-2015 SharpDX - Alexandre Mutel

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

THE SOFTWARE.

GMap.NET

The MIT License (MIT)

Copyright (c) FLAT EARTH. This software can access some map providers and may viotile their Terms of Service, you use it at your own risk, nothing is forcing you to accept this ;} Source itself is legal!

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

System.Data.SQLite Copyright

All files in the "System.Data.SQLite.Linq/SQL Generation" directory (within the source tree) are covered by the Microsoft Public License (MS-PL). These files end up being compiled into both the "System.Data.SQLite.Linq" and "System.Data.SQLite.EF6" assemblies.

All other code and documentation in System.Data.SQLite has been dedicated to the public domain by the authors. All code authors, and representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy, modify, publish, use, compile, sell, or distribute the original System.Data.SQLite code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

Obtaining An Explicit License To Use System.Data.SQLite

Even though System.Data.SQLite is in the public domain and does not require a license, some users want to obtain a license anyway. Some reasons for obtaining a license include:

  • You are using System.Data.SQLite in a jurisdiction that does not recognize the public domain.
  • You are using System.Data.SQLite in a jurisdiction that does not recognize the right of an author to dedicate their work to the public domain.
  • You want to hold a tangible legal document as evidence that you have the legal right to use and distribute System.Data.SQLite.
  • Your legal department tells you that you have to purchase a license.

If you feel like you really have to purchase a license for System.Data.SQLite, Hwaci, the company that employs the architect and principal developers of System.Data.SQLite, will sell you one.

Contributed Code

In order to keep System.Data.SQLite completely free and unencumbered by copyright, all new contributors to the System.Data.SQLite code base are asked to dedicate their contributions to the public domain. If you want to send a patch or enhancement for possible inclusion in the System.Data.SQLite source tree, please accompany the patch with the following statement:

The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under copyright law.

We are not able to accept patches or changes to System.Data.SQLite that are not accompanied by a statement such as the above. In addition, if you make changes or enhancements as an employee, then a simple statement such as the above is insufficient. You must also send by surface mail a copyright release signed by a company officer. A signed original of the copyright release should be mailed to:

Hwaci
6200 Maple Cove Lane
Charlotte, NC 28269
USA

A template copyright release is available in PDF or HTML. You can use this release to make future changes.

NLog 4.4.0 License

Copyright (c) 2004-2016 Jaroslaw Kowalski <jaak@jkowalski.net>, Kim Christensen, Julian Verdurmen All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

SharpDevelop 5.1.0

The MIT License

SPDX short identifier: MIT

Copyright <YEAR> <COPYRIGHT HOLDER>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Mono.AddIns 1.3

The MIT License

Copyright (C) 2007 Novell, Inc (http://www.novell.com)

Copyright (C) 2012 Xamarin Inc

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Mono.Cecil 0.9.6.4

Mono.Cecil is licensed under the MIT/X11:

Copyright (c) 2008 - 2011, Jb Evain

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

The MIT/X11 is a permissive license, which is GPL compatible, and allows usage within proprietary software as long as this license is distributed along with the software.

WPF Application Framework (WAF) 3.2.0

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

  1. Definitions

    The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
    A "contribution" is the original software, or any additions or changes to the software.
    A "contributor" is any person that distributes its contribution under this license.
    "Licensed patents" are a contributor's patent claims that read directly on its contribution.

  2. Grant of Rights

    (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
    (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

  3. Conditions and Limitations

    (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
    (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
    (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
    (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
    (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


Interblocchi

Manuale -> Interblocchi

Gli interblocchi consentono di gestire l’accesso a determinati oggetti di zenon durante il Runtime (Runtime) con il supporto di variabili. Sbloccare o bloccare impostazioni d'uso in dipendenza di variabili. Attivare o disattivare impostazioni d'uso in dipendenza di stati del processo.

Nel progetto è possibile inserire e utilizzare quanti interblocchi si desideri. Per ogni tipo di interblocco è possibile definire parallelamente diverse condizioni di interblocco.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Oggetti bloccabili

Tutti gli Elementi dinamici fatta eccezione per l´elemento trend e l´elemento di segnalazione.

Menù contestuale - Manager di progetto

Parametro | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo cher serve alla selezione delle variabili.
Esporta tutti in XML... | Esporta tutti gli inserimenti dell´interblocco in un file XML.
Importa in XML | Importa file XML.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

info Info

Le variabili per il blocco possono essere sostituite. I dettagli su questo argomento li trovate nel capitolo Sostituzione di variabili e funzioni in elementi dinamici.

Example Esempio

Una macchina funziona in modo completamente automatico e non può, dunque, essere commutata per la gestione manuale. La commutazione è possibile solo nel momento in cui un certo stato viene raggiunto (ad esempio STOP). Mediante l'interblocco è possibile bloccare nell'interfaccia di visualizzazione il bottone di commutazione manuale/automatico finché non sia raggiunto il suddetto stato (per es. STOP). In tal modo si possono evitare errori di gestione.

Ancora in questo capitolo

Menù contestuale e barra degli strumenti - Visualizzazione dettagli

Configurazione nell'Editor

Gestione a Runtime


Menù contestuale e barra degli strumenti - Visualizzazione dettagli

Manuale -> Interblocchi -> Menù contestuale e barra degli strumenti - Visualizzazione dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo che serve alla selezione delle variabili.
Nuova condizione | Crea una nuova condizione blocco.
Aggiungi variabile | Apre il dialogo che serve alla scelta di una variabile.
Copia | Copia la condizione selezionata.
Incolla | Inserisce una condizione prendendola dagli appunti.
Elimina | Cancella la condizione selezionata.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa file XML | Importa da un file XML.
Rinomina | Permette di rinominare un elemento. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Apre la guida online.

Menù contestuale Blocchi

Parametro | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo cher serve alla selezione delle variabili.
Incolla | Inserisce i blocchi copiati provenienti dagli appunti
Esporta tutti in XML... | Esporta tutti gli inserimenti dell´interblocco in un file XML.
Importa in XML | Importa file XML.
Guida | Apre la guida online.

Menù contestuale Blocco singolo

Parametro | Azione
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare una variabile.
Nuova condizione | Crea una nuova condizione blocco.
Copia | Copia il blocco selezionato.
Incolla | Inserisce un blocco proveniente dagli appunti
Elimina | Cancella il blocco selezionato.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa in XML | Importa da un file XML.
Rinomina | Permette di rinominare un elemento. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Apre la guida online.

Menù contestuale del gruppo "Variabili".

Parametro | Azione
Aggiungi variabile | Apre il dialogo che serve alla scelta di una variabile.
Incolla | Inserisce una condizione prendendola dagli appunti.
Guida | Apre la guida online.

Menù contestuale "Variabile singola"

Parametro | Azione
Elimina variabile | Cancella dopo un'interrogazione di sicurezza la variabile selezionata.
Copia | Copia la variabile selezionata.
Incolla | Inserisce la variabile proveniente dagli appunti
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Apre la guida online.

Menù contestuale Condizioni di blocco

Parametro | Azione
Nuova condizione | Crea una nuova condizione blocco.
Incolla | Inserisce una condizione prendendola dagli appunti.
Guida | Apre la guida online.


Configurazione nell'Editor

Manuale -> Interblocchi -> Configurazione nell'Editor

Ancora in questo capitolo

Eseguire gli interblocchi

Editor delle formule


Eseguire gli interblocchi

Manuale -> Interblocchi -> Configurazione nell'Editor -> Eseguire gli interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando Interblocchi nel Manager di progetto, si aprono nella Finestra dettagli del manager di progetto tutti gli interblocchi creati nel progetto. Cliccando con il tasto destro del mouse su Interblocchi generali viene visualizzato un menù popup nel quale è possibile creare un nuovo interblocco.

Si può cambiare il nome del nuovo interblocco usando la Finestra di proprietà. Cliccando con il tasto destro del mouse su Variabili viene di nuovo visualizzato un menu a Popup. In tal modo si possono collegare all'interblocco in questione una o più variabili.

attention Attenzione

Una variabile non può essere contemporaneamente variabile di interblocco e variabile di responso. Questa configurazione porterebbe ad un ciclo infinito

Si può associare all'interblocco una determinata condizione. A questo scopo bisogna anzitutto definire nella Finestra di proprietà una o più condizioni. Per ogni condizione, poi, può essere inserita una formula binaria nella finestra di proprietà alla voce Collegamento logico.

info Info

Un elemento della interfaccia di visualizzazione è bloccato se la condizione di bloccaggio è soddisfatta (quindi si verifica il risultato 1 - VERO).

Interblocco: Nel caso in cui si siano associate ad un interblocco più condizioni, è sufficiente che una condizione sia soddisfatta per bloccare l'elemento!

Con l´editor per le formule si può stabilire che formule binarie e numeriche siano delle condizioni di interblocco. L´editor per le formule viene aperto nella finestra delle proprietà cliccando sulla proprietà Collegamento logico. L'editor per le formule consente di creare delle espressioni booleane mediante l'aiuto delle variabili collegate e degli operatori logici e a bit, ma anche degli operatori a confronto. Vedi anche il capitolo "Immagini/Operatori a confronto".

info Info

Sbloccare: nel caso in cui al blocco siano collegate diverse condizioni, ognuna di esse deve venire sbloccata.


Editor delle formule

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´editor delle formule consente di creare formule usando operatori logici o di confronto per un elemento combinato, per interblocchi e per il modulo “Comandi". Se per la formula sono necessarie ulteriori variabili, crearle nella sezione Formule variabili della finestra degli stati cliccando sul pulsante Aggiungi. Le formule già esistenti sono contrassegnate nella lista degli stati con la lettera F .

Nota sull´inserimento di cifre decimali:

  • Separatore decimale: la virgola (,) viene sostituita automaticamente da un punto (.)
  • Lo zero come cifra decimale viene eliminato automaticamente; 23,000 diventa automaticamente 23

Creare una formula

Cliccare nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Selezionare i bit per la formula nella finestra sinistra dell`Editor delle formule.

A destra si trovano gli operatori logici e di confronto.

Nel sezione Formula (in basso) verrà visualizzata la formula creata.

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit di valore

Ci sono 32 bit di valore (da 0 a 31). Descrivono il valore della variabile bit per bit. Per le variabili binarie, è rilevante solo il bit 0, per le variabili SINT e UNSINT i bit 0-7 ecc...

Nota: l´analisi si riferisce sempre al valore non elaborato (raw value) della variabile (risoluzione segnale), e non al valore di misurazione convertito.

Bit di stato

Sono i bit di stato più comuni. La definizione esatta e spiegazioni sull´uso dei bit di stato si trovano nella Lista Bit di stato.

Non resettato

Non resettato viene trattato come un normale bit di stato; ma qui viene elencato separatamente perché non fa parte dei classici stati delle variabili.

Valore e Stato

Nelle formule, tutti i valori (bit di valore e bit di stato) vengono trattati come valori binari e possono poi essere collegati logicamente tramite AND, oppure OR, e mediante altre espressioni logiche.
Un´eccezione è costituita dal valore totale e dallo stato complessivo. Per poter giungere ad un'espressione booleana, deve essere anzitutto eseguita un´operazione OR bit a bit di confronto di questo valore totale con una costante. A questo scopo si usa l'operatore &.
Se questa operazione di confronto OR restituisce il valore 0 (FALSE), si ottiene il valore binario 0 (FALSE), altrimenti 1 (TRUE).

Esempio: si veda il capitolo Esempio collegamento OR a bit

info Info

I bit di stato NORM e N_NORM sono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se vengono eseguite altre impostazioni per lo stato attuale al di fuori dell´Editor delle formule, queste verranno combinate con la formula tramite un operatore logico AND.

Per esempi, si veda la sezione Esempi di formule.

info Info

Le formule con valori X binari e collegamento bit a bit possono essere usate con un massimo di 2 valori binari. Se sono necessari più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value -> non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona

Ancora in questo capitolo

Lista dei bit di stato

Operatori logici

Formule a bit

Operatori di confronto

Esempi di formule


Lista dei bit di stato

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collegamenti logici: l´analisi delle variabili viene eseguita solo per rilevare il valore logico '0'; se il valore non è uguale a '0', viene considerato '1'.

A differenza delle formule a bit, l'area tecnica può essere modificata da un fattore di estensione -> diverso da '0' o '1'.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | Or esclusivo logico

Questa è la priorità degli operatori nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per formule a bit)
2 | NOT
3 | AND
4 | XOR/OR

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99.

info Info

I bit di stato NORM e N_NORMsono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule a bit

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Formule a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le formule bit hanno solamente uno stato logico low e high. A differenza delle formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR

Ancora in questo capitolo

Esempio: collegamento OR bit a bit


Esempio: collegamento OR bit a bit

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Formule a bit -> Esempio: collegamento OR bit a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vuole verificare se è settato uno dei bit di stato utente 1-8 (M1 ... M8) della variabile X01.

Formula usuale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa query può essere semplificata tramite il collegamento OR bit a bit dello stato complessivo.

Collegamento OR bit a bit:

X01.Status & 0xFF

La costante può essere impostata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 255; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è settato su 1, il risultato del collegamento OR bit a bit è 1 (True), altrimenti 0 0 (False).

Se, per esempio, la query deve riguardare tutti i bit di stato utente fatta eccezione per l´M7, l'espressione binaria corrispondente sarebbe: 10111111. Il bit 7 non è interessante, per questo è settato su 0. Questo corrisponde all´esadecimale 0xBF. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di usare un collegamento OR bit a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto restituisce un risultato sbagliato, si avrà il valore binario 0 (False), altrimenti 1 (True).

Esempio:

Si vuole verificare se un valore è uguale alla costante 202. La formula corrispondente è la seguente:

X01.value = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Nota: il collegamento OR bit a bit funziona con il carattere OR (|) in modo uguale a questo esempio.


Operatori di confronto

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli operatori di confronto servono a confrontare direttamente due valori numerici. Il risultato di questo confronto è uno stato binario. "0" se la condizione non è soddisfatta, e "1“ se la condizione è soddisfatta.

Operatore | Descrizione
< | Minore
> | Maggiore:
<= | Minore uguale
>= | Maggiore uguale
= | Uguale a
<> | Diverso da

A sinistra e a destra di un operatore di confronto devono esserci un valore (totale) o uno stato (totale); non si possono usare bit singoli con questi operatori di confronto.

A destra dell'operatore di confronto ci può essere anche una costante.
Nell´elemento combinato, queste costanti vengono inserite come valori esadecimali o valori decimali. Quando si clicca sul pulsante OK, i numeri esadecimali vengono convertiti automaticamente in numeri decimali. Esempio: 0x64 corrisponde al valore numerico 100.

Nota: l´elemento combinato non è disponibile nel modulo Batch Control.

Example Esempio

X01.valore >= X02.valore
Il risultato è "1" se il valore di X01 è maggiore o uguale al valore di X02

X01.valore = 0x64
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico100 (= hex 0x64)

(X01.valore = 0x64) OR (X01.valore = 0x65)
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= hex 0x64 e hex 0x65)


Esempi di formule

Manuale -> Interblocchi -> Configurazione nell'Editor -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Semplice collegamento logico AND di due valori bit.

Example Esempio

Formula: X01.03 AND X02.03

Questa formula restituisce il risultato “TRUE” quando il Bit 3 della variabile 1 e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confrontare valore o stato di una variabile

Example Esempio

(X01.valore> X02.valore)

Comparare confronti fra di loro su base logica

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore)

Confronti con bit di valore e bit di stato

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore ) OR (X01.03 = X02.03)

Confrontare un valore con un valore decimale o esadecimale

Example Esempio

Formula: (X01.valore = 111)

Formula: (X01.valore = 0x6F)

Se si usa un valore esadecimale, quest´ultimo viene convertito poi in un numero decimale quando si clicca su OK. Se si inserisce un valore decimale e si conferma l´inserimento, questo sarà visualizzato come valore decimale anche al momento della riapertura.

info Info

Non è possibile usare una virgola o un punto quando si inseriscono i numeri.


Gestione a Runtime

Manuale -> Interblocchi -> Gestione a Runtime

Ancora in questo capitolo

Utilizzo interblocchi


Utilizzo interblocchi

Manuale -> Interblocchi -> Gestione a Runtime -> Utilizzo interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando un interblocco viene associato ad uno degli Elementi dinamici, quest'ultimo viene bloccato o riattivato a seconda del risultato del collegamento logico nelle condizioni impostate per l'interblocco stesso. Se la condizione è soddisfatta (il risultato logico è 1), l'elemento è bloccato.

L’elemento dinamico, che deve essere bloccato, deve essere selezionato. Nella Finestra di proprietà, selezionare alla voce Runtime/ Autorizzazione/ Interblocco uno degli interblocchi generali creati nel progetto.

info Info

Per poter vedere durante il Runtime se un elemento è bloccato, è possibile abilitare nelle proprietà del progetto la visualizzazione di un simbolo di blocco per gli oggetti bloccati usando l'opzione Login / Visualizza simbolo di serratura Identificazione grafica attiva.

Inoltre è possibile determinare l´aspetto di un pulsante bloccato anche mediante la proprietà Pulsanti bloccati (Aspetto grafico) oppure Tasti bloccati (Gestione utenti).


Interfacce di programmazione

Manuale -> Interfacce di programmazione

In zenon sono a disposizione diverse interfacce per l´implementazione di programmi propri o per l´automatizzazione della progettazione:

  • Lista macro (VBA)
  • VSTA
  • Add-In Framework (Add-Ins)
  • Process Control Engine (PCE
    PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

    Raccomandazione: Usate zenon Logic invece di PCE.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale

Voce di menù | Azione
Apri Editor VBA | Apre l’editor VBA
Apri l´Editor VSTA con Projectaddin | Apre l’Editor VSTA
Guida | Apre la guida online.

info Info

Le informazioni relative alla creazione e all´implementazione di control (ActiveX, .NET, WPF) le trovate nella guida Controls.
Le informazioni concernenti la progettazione e l´uso dell´interfaccia SAP le trovate nel capitolo Interfaccia SAP.

Editor - aprire

Editor per Lista Macro

VBA avvia lo stesso ambiente di sviluppo per Workspace e progetto.
Per aprire l´Editor di VBA:

  1. Nell´Editor di zenon, passare al nodo Scripting.
  2. Estendere questo nodo cliccando su [+].
    Viene visualizzata la struttura del nodo.
  3. Cliccare con il tasto destro del mouse su Lista Macro.
  4. Nel menù contestuale, selezionare la voce Apri VBA-Editor.

Alternativa: utilizzare la combinazione di tasti Alt+F11

Editor VSTA

VSTA mette a disposizione ambienti di sviluppo separati per Workspace e progetto. Se ne può usare solamente uno alla volta. Al momento dello start, ogni altro ambiente di sviluppo VSTA già aperto verrà chiuso.

Per aprire l´Editor VSTA per il workspace:

  1. Premete la combinazione tasti Alt+F10

    Verrà visualizzato il codice per il workspace e tutti i progetti caricati.

Per aprire l´Editor VSTA per il progetto attualmente caricato:

  1. Passare al nodo Scripting
  2. Estendere questo nodo cliccando su [+].
    Viene visualizzata la struttura del nodo.
  3. Cliccare con il tasto destro del mouse su VSTA.

    Nel menù contestuale, selezionare Apri Editor VSTA con ProjectAddin.
    L´Editor di VSTA viene aperto per il progetto caricato correntemente.

API dalla versione 7.10

Per l´uso delle interfacce zenon vale a partire da zenon 7.10 quanto segue:

  • VSTA /.NET: .NET Framework 3.5 Service Pack 1deve essere installato.
  • VBA: Se nel codice VBA si accede a Windows API o ad altre funzioni DLL importate, queste chiamate devono essere adattate a 64-bit. In generale vale quanto segue: un file VBA creato con una versione a 32 Bit non può essere usato in una versione di VBA a 64 Bit senza essere stato modificato.

attention Attenzione

Tenere presente che errori in applicazioni come ActiveX, PCE, VBA, VSTA, WPF e applicazioni esterne che accedono a zenon via le API, possono condizionare anche la stabilità del Runtime.

Ancora in questo capitolo

Add-Ins

Lista Macro

VSTA

Process Control Engine (PCE)

Objectmodel


Add-Ins

Manuale -> Interfacce di programmazione -> Add-Ins

Add-Ins provide possibilities to expand the functionality of zenon in the Editor and in Runtime with different development environments.
The following are available to you to create Add-Ins:

  • Microsoft Visual Studio
  • SharpDevelop (included in the installation package)

Add-Ins can be created with each .NET programming language. IDE support is available for the programming languages C# and Visual Basic.NET.

Note:

  • All lists and interfaces support IEnumerable.
    Reference: https://msdn.microsoft.com/de-de/library/9eekhta0(v=vs.110).aspx
  • LINQ Language Integrated Query can be used.
    Reference: https://msdn.microsoft.com/en-us/library/mt693024.aspx

attention Attenzione

For Add-Ins, the .NET Naming Guidelines are used.

The object names previously used for VSTA and VBA are amended for this. In VSTA and VBA, the previous names remain the same for compatibility reasons. For Add-Ins, naming according to the .NET Naming Guidelines has been used.

You can find an overview of the respective object names in the API_Naming_Conversion.xlsx Excel table. You can find this in the zenon installation path in the \HELP\AddIns folder.

Functionality

Add-Ins allow you to do the following, among other things:

  • Provide project configuration aids (such as wizards)
  • To enhance the project in Runtime with additional functionality

You can find Add-Ins:

  • For the Editor in the Extras menu under the following entries:
    • Manage Editor Add-Ins
    • Start Edior Wizards
    • Manage Editor services...
  • For Runtime in the Programming interfaces - - node Add-Ins

Tools and support

You can get tools and support at:

  • Visual Studio developer tools: marketplace.visualstudio.com
  • COPA-DATA user forum: forum.copadata.com

Ancora in questo capitolo

Prior knowledge

Terminology

Limitations

Create add-in

Use of add-ins in Editor and Runtime

Switch/conversion from VSTA


Prior knowledge

Manuale -> Interfacce di programmazione -> Add-Ins -> Prior knowledge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As with the creation of other software components, certain prior knowledge is also necessary for the development of Add-Ins for zenon.

This includes

  • Programming knowledge in C# or VB.NET (depending on the requirement / complexity of the Add-Ins to be developed)
  • Good zenon knowledge

The following is also recommended

  • Experience in using professional development environments (such as Microsoft Visual Studio)
  • The use of a version management system for the developments (TFS, SVN, GIT)


Terminology

Manuale -> Interfacce di programmazione -> Add-Ins -> Terminology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Specialist terms and their meaning in relation to Add-Ins.

Term

Meaning

Add-In

A collection of Extensions. Is represented by the add-in package. An Add-In can contain several Extensions.

Add-In Assembly

The compiled library (*.dll), that contains Extensions.

Add-In Package

A ZIP file (*.scadaAddIn), that contains metadata and libraries with their dependencies.

An Add-In Package includes an Add-In Assembly

Extension

Extensions are classes that can be derived from an interface with one or more methods. They are entry points in the Add-In Package.

Each class that represents an Extension is marked with a .NET attribute.

There are two types of Extensions, one for the Editor and one for Runtime

  • Wizard Extensions (Wizards)
  • Service Extensions (Services)

IDE

Integrated development environment. Abbreviation for Integrated Development Environment.

Project Add-In Management

Components for zenon Editor and Runtime that manage the Project Add-In Packages.

Service Extension

Implementation of an Extension that represents a Service.

Services:

  • Runs in the background
  • Is started automatically or manually
  • Remains in the memory until it is stopped

Wizard Extension

Implementation of an Extension that represents a wizard.

Wizards:

  • Are for solving a certain task
  • Are removed again after closing

Note: Specialist terms are only used in English in the documentation for Add-Ins.


Limitations

Manuale -> Interfacce di programmazione -> Add-Ins -> Limitations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following limitations are applicable for Add-Ins:

  • The zenon Web Client supports the execution of Add-Ins, however without IDE support.

    The local debugging of Add-Ins is not possible in the zenon Web Client for this reason; debugging using remote debugging tools is supported.

  • The execution of Add-Ins is not supported in the HTML web engine.


Create add-in

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General information

Add-Ins are identified by means of the Add-In ID. It is used for installation and import.

An Add-In ID consists of an optional Namespace and a local ID, namespace.localId. The Local ID identifies an Add-In; the Namespace assigns an Add-In to an organization. Both pieces of information are established by theNET attribute Mono.AddIn.AddInAttribute. In order for the name for an Add-In Package to also remain unique beyond organization boundaries, the Namespace of the Add-In project is used as part of the ID.
Example of a complete Add-In ID: com.organisation.importwizard.

The issue of Namespaces is optional.
Recommendation: Use Namespaces. This is how you ensure the global uniqueness beyond organizational boundaries. It is best to use the URL of your own organization in reverse order.
For example: For www.example.com use com.example as a Namespace.
Namespaces can be further divided within an organization, for example by teams, departments or projects.

The following are available to you to create Add-Ins:

  • Microsoft Visual Studio
  • SharpDevelop (included in the installation package)

Add-Ins can be created with each .NET programming language. IDE support is available for the programming languages C# and Visual Basic.NET.

Ancora in questo capitolo

Basics

Types of extensions

Content of add-in packages

SharpDevelop

Microsoft Visual Studio

Source code administration

Add-in analysis and packaging utility (AddInUtility)

Action in the event of reloading

Isolation


Basics

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Basics

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

There are different Extensions available for the zenon Editor and zenon Runtime. Depending on the application, a corresponding Extension can be selected.

All interfaces required for the development of Add-Ins are defined in the Scada.AddIn.Contracts assembly.

An Add-In Package can contain one or more Extensions .

Types of extensions - interfaces

A distinction is made between the following Extensions :

Editor Wizard Extension - IEditorWizardExtension

  • Execution is triggered by the user using the Extras -> Editor Wizards... dialog in the zenon Editor.
  • Implements the Run method in order to execute a Wizard Extension in the zenon Editor.

Editor Service Extension - IEditorServiceExtension

  • Execution is carried out automatically when the Editor is started, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is via the Extras -> Manage Editor services... dialog in the zenon Editor.
  • Implements the Start and Stop methods to execute a Service Extension in the zenon Editor.

Project Wizard Extension - IProjectWizardExtension

  • Execution is triggered by the user with the zenon Avvia Project Wizard Extension function.
  • Implements the Run method in order to execute a Wizard Extension in zenon Runtime.

Project Service Extension - IProjectServiceExtension

  • Execution takes place automatically when starting the project in Runtime, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is carried out using the zenon Show "Manage Runtime services" function.
  • Implements the methods Start and Stop to execute a Service Extension in zenon Runtime.

Extension attributes

The following metadata is defined using the .NET attribute with the name AddInExtension.

Property

Description

IEditorWizardExtension

IEditorServiceExtension

IProjectWizardExtension

IProjectServiceExtension

Name

Display name in dialogs.

Info: Corresponds to the name of the wizard or the service in zenon.

X

X

X

X

Description

Description of the display in dialogs.

Info: Corresponds to the description of the wizard or the service in zenon.

X

X

X

X

Category

Category for grouping in dialogs.

Info: Is used to categorize wizards in the Editor Wizards... dialog in the zenon Editor.

X

--

X

--

DefaultStartMode

Describes the standard starting behavior of service add-in extensions after installation.

  • Manual: Extension must be started manually by the user.
  • Auto: Is started if the workspace in the Editor or the project is loaded in Runtime.

N/A: Manual used

Info: Corresponds to the start type of the service in zenon.

--

X

--

X

Key:

  • X: is true
  • --: is not true

Add-in attributes

An Add-In Assembly needs several .NET attributes, which are defined in the AddInInfo.cs file.

The most important attributes and those necessary for use in zenon are:

Attribute name

Obligatory

Description

Examples

Addin

X

ID and version of the Add-In.

Info: The version corresponds to the Version column in the Add-In administration dialog in the zenon Editor.

Example 1:

[assembly: Addin("AddInIdentifier", "1.0", Namespace="com.example")]

Example 2:
[assembly: Addin("MultitouchAddIn", "1.0")]

Example 3:
[assembly: Addin("ProjectCreation", "1.0")]

AddinDependency

X

Defines a dependency on the zenon system.
This value is constant and is needed in order for zenon to use the Add-In

[assembly: AddinDependency("scada", "1.0")]

AddinName

--

Name of the Add-In.

Info: Corresponds to the Name column in the Add-In administration dialog in the zenon Editor.

[assembly: AddinName("Editor Add-In Demo")]

AddinDescription

--

Description of the Add-In.

Info: Corresponds to the Description column in the Add-In administration dialog in the zenon Editor.

[assembly: AddinDescription("Demonstrates an Add-In with a Wizard and a Service extension.")]

Key:

  • X: is true
  • --: is not true


Types of extensions

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Types of extensions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Wizard in the Editor - Editor wizard extension

Services in the Editor - Editor Service Extension

Wizard in Runtime - project wizard extension

Service in Runtime - project service extension


Wizard in the Editor - Editor wizard extension

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Types of extensions -> Wizard in the Editor - Editor wizard extension

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor Wizard Extensions are used to implement wizards or other user-controlled API processes in the Editor.

  • Execution is triggered by the user using the Extras -> Editor Wizards... dialog in the zenon Editor.
  • Implements the Run method in order to execute a Wizard Extension in the zenon Editor.

Example code (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IEditorWizardExtension

{

public void Run(IEditorApplication context, IBehavior behavior)

{

// Implement feature here...

}

}


Services in the Editor - Editor Service Extension

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Types of extensions -> Services in the Editor - Editor Service Extension

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor Service Extensions are used to implement API processes in the Editor automatically.

  • Execution is carried out automatically when the Editor is started, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is via the Extras -> Manage Editor services... dialog in the zenon Editor.
  • Implements the Start and Stop methods to execute a Service Extension in the zenon Editor.

Example code (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IEditorServiceExtension

{

public void Start(IEditorApplication context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Wizard in Runtime - project wizard extension

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Types of extensions -> Wizard in Runtime - project wizard extension

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Project Wizard Extensions are used to implement wizards or other user-controlled API processes in Runtime.

  • Execution is triggered by the user with the zenon Avvia Project Wizard Extension function.
  • Implements the Run method in order to execute a Wizard Extension in zenon Runtime.

Example code (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IProjectWizardExtension

{

public void Run(IProject context, IBehavior behavior)

{

// Implement feature here...

}

}


Service in Runtime - project service extension

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Types of extensions -> Service in Runtime - project service extension

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Runtime Service Extensions are used to implement background tasks in Runtime.

  • Execution takes place automatically when starting the project in Runtime, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is carried out using the zenon Show "Manage Runtime services" function.
  • Implements the methods Start and Stop to execute a Service Extension in zenon Runtime.

Example code (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IProjectServiceExtension

{

public void Start(IProject context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Content of add-in packages

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Content of add-in packages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-In Packages are ZIP files with the filename extension .scadaAddIn. They contain binary data and metadata. Binary files must be present and can be saved as their own ZIP file in the Add-In Package.
Packages can be created with the Add-In Utility. The SharpDevelop and Microsoft Visual Studio development environments are used to create the Packages automatically when compiling.

Recommendation: Do not change the files manually, always use the Add-In Utility.

Content of the add-in package

The Add-In Package contains:

  • Content.xml: XML metadata file with contents of the package.
  • Binary.zip: ZIP file with the binary files.

XML-File

The content of an Add-In Package is listed in its own XML file (Content.xml).

Binary files

Binary files are saved in their own ZIP file. This file must contain all components that are needed on another system to execute the Add-In. Direct and indirect references to .NET Assemblies. In doing so, only external Assemblies are included. Assemblies that are not part of the .NET Framework Class Library or are installed during the zenon installation.

Attention: Ensure that you have all the licenses required for this.

Note: Dynamically-loaded .NET Assemblies are not included in the metadata of .NET Assemblies.

info Info

COPA-DATA accepts no liability and offers not technical support for external Libraries.


SharpDevelop

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> SharpDevelop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SharpDevelop (also #develop) is an open-source development environment that is based on Microsoft's .NET platform. SharpDevelop is supplied with zenon and is also installed during the installation of zenon.
Note: You can find the respective current version and the official documentation for SharpDevelop online at: www.icsharpcode.net/opensource/sd/.

Ancora in questo capitolo

Create add-in package with SharpDevelop

Deploying and debugging add-ins


Create add-in package with SharpDevelop

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> SharpDevelop -> Create add-in package with SharpDevelop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create an Add-In Package with SharpDevelop:

  1. Start SharpDevelop by
    • selecting the Extras -> Open add-in editor ... menu in the zenon Editor, or
    • selecting, in the Startup Tool, under Tools, the SharpDevelop IDE linking
  2. Select File -> New Solution and select, under C# -> SCADA Add-Ins or VB -> SCADA Add-Ins, a corresponding template; create a new project based on this:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Note: All examples used in this help chapter are based on C#.

  3. Add your code, references, etc.
  4. Compile the project.
    The Add-In Package with the file suffix *.scadaAddIn is created in the output window of the project.
    This is called, depending on the configuration ...bin\Debug\ or ...bin\Release\.
  5. Import the add-in package in the Editor, see the following in relation to this:
    • Installing and manging add-ins for the Editor
    • Installing and manging add-ins for Runtime


Deploying and debugging add-ins

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> SharpDevelop -> Deploying and debugging add-ins

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debugging in the Editor

To debug an Add-In in the Editor, proceed as follows:

  1. Start the zenon Editor.
  2. Start SharpDevelop by
    • selecting the Extras -> Open add-in editor ... menu in the zenon Editor, or
    • selecting, in the Startup Tool, under Tools, the SharpDevelop IDE linking
  3. Open the project.
  4. In the project settings in SharpDevelop, go to the Add-In tab.
  5. Select Editor under Debug Target.
  6. Start the debugging using F5 or Debug -> Run.
  7. The Add-In project is compiled and deployed in the Editor.

    Note: The Add-In is copied to the %ProgramData%\COPA-DATA\zenon760\EditorAddInCache directory in the process.

    To remove it from the Editor again, proceed as outlined in the Installing and managing Add-Ins for the Editor chapter.
    If there is already an Add-In with the same ID, this is replaced.

  8. Debug the Add-In.

Debugging in Runtime

To debug an Add-In in Runtime, proceed as follows:

  1. Start the zenon Runtime.
  2. Start SharpDevelop by selecting, in the Startup Tool under Tools, the SharpDevelop IDE link
  3. Open the project.
  4. In the project settings in SharpDevelop, go to the Add-In tab.
  5. Select, under Debug Target, the corresponding project in Runtime in which you want to debug the Add-In.
  6. Start the debugging using F5 or Debug -> Run.
  7. The Add-In project is compiled and temporarily deployed in the selected zenon project.

    Attention: The Add-In is temporarily copied to the ...\RT\FILES\zenon\system\AddInCache\... directory in the process.

    It is removed again after Runtime is closed.

    To install an Add-In on a permanent basis, import it as described in the Installing and managing Add-Ins for Runtime.

  8. Debug the Add-In.

info Info

As an alternative to the methods described, you can also debug your Add-Ins using Debug -> Attach to Process. In doing so, connect from the corresponding Add-In project in SharpDevelop to the process in the zenon Editor or Runtime.


Microsoft Visual Studio

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Microsoft Visual Studio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Create add-in package with Visual Studio

Deploying and debugging add-ins


Create add-in package with Visual Studio

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Microsoft Visual Studio -> Create add-in package with Visual Studio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create an Add-In Package with Visual Studio:

  1. Start Visual Studio.
  2. Install the Visual Studio Developer Tools.
    Note: This can be downloaded from the Visual Studio Marketplace.
  3. Select File -> New Project and select, under Templates -> Visual C# -> SCADA Add-Ins or Templates -> Visual Basic -> SCADA Add-Ins, a corresponding template; create a new project based on this:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Note: All examples used in this help chapter are based on C#.

  4. Add your code, references, etc.
  5. Create the project.
  6. The Add-In Package with the file suffix *.scadaAddIn is automatically created in the output folder of the project (...bin\Debug\ or ...bin\Release\ depending on configuration).
  7. Import the add-in package in the Editor, see the following in relation to this:
    • Installing and manging add-ins for the Editor
    • Installing and manging add-ins for Runtime


Deploying and debugging add-ins

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Microsoft Visual Studio -> Deploying and debugging add-ins

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debugging in the Editor

To debug an Add-In in the Editor, proceed as follows:

  1. Start the zenon Editor.
  2. Start the debugging in Visual Studio using F5 or Debug -> Start Debugging.
  3. The Add-In project is compiled and deployed in the Editor.

    Note: The Add-In is copied to the %ProgramData%\COPA-DATA\zenon760\EditorAddInCache directory in the process.

    To remove it from the Editor again, proceed as described in the Installing and managing Add-Ins for the Editor chapter.

  4. Debug the Add-In.

info Info

As an alternative to the method described, you can also debug your Add-Ins by means of Debug -> Attach to Process. In doing so, connect from the corresponding Add-In project in Visual Studio to the zenon Editor process.

Recommended debugger type (Debugger Type): Managed mit CLR 4.0

Debugging in Runtime

To debug an Add-In in Runtime, proceed as follows:

  1. Compile the Add-In and import it as described in Installing and managing Add-Ins for Runtime.
  2. Start the zenon Runtime.
  3. In Visual Studio, select Debug -> Attach to Process
  4. Select the zenon Runtime process (Zenrt32.exe) and click on Attach
  5. Debug the Add-In.


Source code administration

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Source code administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To administer the source code, the use of a version control system - such as TFS, GIT or SVN - is recommended.

attention Attenzione

In contrast to VSTA and VBA, the Source Code of Add-Ins is not saved and administered in the zenon project.


Add-in analysis and packaging utility (AddInUtility)

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Add-in analysis and packaging utility (AddInUtility)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AddInUtility tool is automatically called up when compiling Add-Ins and has the following tasks:

  • Analysis of the dependencies
  • Package of Add-Ins

A package contains the Add-In Assembly and an XML file with the extension *.scadaAddin, which contains the metadata for the Add-In.

Ancora in questo capitolo

Command line tool AddInUtility.exe


Command line tool AddInUtility.exe

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Add-in analysis and packaging utility (AddInUtility) -> Command line tool AddInUtility.exe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AddInUtility packages Add-Ins using the command line.

Syntax: AddInUtility.exe [-[shortTerm] or [/ or --][longTerm] [argument value]] ...

  • Arguments are case sensitive
  • Values are case sensitive if marked as such.
  • Arguments can be stated in any desired order.

Argument

Description

--action
(-a)

Action that is to be carried out.
Possible values:

  • BuildPackage
  • GetPackageInfo

Mandatory information.

--path
(-p)

Path information.

Required information for:

  • action = BuildPackage: Path to add-in assembly file.
  • action = GetPackageInfo: Path to Add-In Package file.

Mandatory information.

--targetDir
(-t)

Target folder.

Required information for:

  • action = BuildPackage: Path to the folder in which the add-in package is created.

Default: current folder

Examples

  • Creates an Add-In Package (arguments written out in full):
    AddInUtility.exe --action BuildPackage --path C:\Addin.dll --targetDir C:\Directory\
  • Creates an Add-In Package (arguments in abbreviated form):
    AddInUtility.exe -a BuildPackage -p C:\Addin.dll -t C:\Directory\
  • Returns information about the given Add-In Package:
    AddInUtility.exe -a GetPackageInfo -p C:\Directory\Addin.scadaAddIn


Action in the event of reloading

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Action in the event of reloading

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offers a reload function for projects that support hot plugging or the updating of amended project files in runtime. According to the functions of the Add-Ins triggered, the sequence of activities for VSTA and VBA is as follows:

  1. Pre-reload VSTA
  2. Stop of Service Extensions
  3. Reload VBA
  4. Start of Service Extensions
  5. Post-reload VSTA

Add-Ins behave like VSTA and provide a Pre-reload-function and a Post-reload-function. These are used after the VSTA Pre-reload and before reloading of VSTA and as a Wrapper for the VBA reload function. Reloading is delayed until the execution of Wizard Extensions has been completed.
Recommendation: If you want to use the reload functionality, avoid Wizard-Extensions that block or run for a long time.

When being loaded again, all running service expansions are restarted. Newly-installed service expansions are started after the restart if the DefaultStartMode is set to automatic.


Isolation

Manuale -> Interfacce di programmazione -> Add-Ins -> Create add-in -> Isolation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All Add-Ins are executed in an isolated memory area (App-Domain). As a result, different versions of the same Assemblies can be loaded at the same time.


Use of add-ins in Editor and Runtime

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins provide project configuration aids in the zenon Editor and supplement the functionalities of zenon in Runtime.

You can find Add-Ins:

  • For the Editor in the Extras menu under the following entries:
    • Manage Editor Add-Ins
    • Start Edior Wizards
    • Manage Editor services...
  • For Runtime in the Programming interfaces - - node Add-Ins

Add-ins for Editor and Runtime

  • Add-Ins for the Editor:
    Add-Ins are imported, installed and can be used in the Editor.
    Administration is carried out by means of entries in the Extras menu.
  • Add-Ins for Runtime:
    Add-Ins are imported; when starting Runtime, they are activated automatically and can then be used.
    The administration is carried out using the detail view of the programming interface - Add-Ins node in the project tree.

Add-Ins are available as:

  • Wizard: Is called up by the user and closed again after the task has been completed.
    For details on the wizards supplied with zenon, read the Wizards manual.
  • Service: Can be started automatically or manually and runs in the background.

Add-Ins can:

  • Be supplied with zenon
  • Be developed by integrators and provided to their customers
  • Developed by customers themselves

Filt and sort the Add-Ins list

To filter a list in the detail view or in a dialog:

  1. Click in the filter line of the desired curve.
  2. Enter the filter criteria.
    Placeholders can be used.
    • ?: Placeholder for precisely one desired character.
    • *: Placeholder for as many characters as desired.
  3. Several filters can be combined.

Note: To remove all filters, click on the corresponding symbol in the tool bar.

To sort the list:

  1. Click on the column title of the column according to which sorting is to take place.

    The binoculars symbol shows the column according to which sorting takes place.

    The list is sorted according to the column.

    An arrow shows whether the sorting is ascending or descending.

  2. To change the sorting sequence, click on the column title again.

Backing up and restoring

The following is applicable for the backup and restoring of Add-Ins:

  • When securing the workspace, Editor Add-Ins are not saved.

    Note: Installed Add-Ins for the Editor are in the %ProgramData%\COPA-DATA\zenon760\EditorAddInStore directory and can be backed up manually if required.

  • Add-In Packages of projects are also backed up when creating project and workspace backups and are restored again when read back in.

History of Changes

If the change history has been activated for the project, entries for the change history are generated in the project when installing and uninstalling Add-In Packages.

Ancora in questo capitolo

Activate add-ins in zenon

Action during installation

Add-ins node in the Project Manager

Use in the zenon Editor

Use in zenon Runtime


Activate add-ins in zenon

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Activate add-ins in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The use of Add-Ins is activated in zenon6.ini. The following entry must be present for this:

[AddIns]

ON=1

This entry is activated by default after the installation of zenon.

Note: If VBA/VSTA for zenon is deactivated, Add-Ins are also deactivated.


Action during installation

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Action during installation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins can be used in the Editor or in Runtime.
The following is applicable when installing Add-Ins:

  1. New installation:
    The selected Package is saved in the AddInStore folder.
    • Folder for installation in the Editor: %ProgramData%\COPA-DATA\zenon760\EditorAddInStore
    • Folder for installation in Runtime: ...\RT\FILES\zenon\system\AddInStore\...

    The Add-In ID is used as a file name and the .scadaAddIn file suffix is added.

  2. New installation with the same ID:
    The pre-existing Add-In is replaced.
  3. During installation, pre-existing files of other versions (higher or lower) are replaced.

info Info

The Add-In ID is unique for each Add-In and is defined using a .NET attribute in the AddInInfo.cs file.

Example (Add-In ID = AddInProject):

// Declares that this assembly is an add-in

[assembly: Addin("AddInProject", "1.0")]

Add-ins node in the Project Manager

In the project tree of the Project Manager, it is possible to import add-ins under the Programming interfaces node item. You can find details in the Project tree context menu chapter.


Project tree context menu

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Add-ins node in the Project Manager -> Project tree context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-click in the Add-Ins symbol in the Programming interfaces node in the project tree to open a context menu:

Entry | Description
Add-In Import... | Opens the dialog to import an Add-In Package that is to be used in Runtime. Note: The package is only imported, not installed. Installation is carried out in Runtime.
Editor profile | Apre la lista a cascata con i Profili editor predefiniti.
Help | Apre la guida online.


Detail view of context menu and toolbar

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Add-ins node in the Project Manager -> Detail view of context menu and toolbar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the detail view of the Add-In node in the project tree, Add-Ins that are used in Runtime are displayed and administered by means of a tool bar and a context menu.

Entries in the context menu and meaning of the symbols from left to right:

Symbol/Entry | Description
Add-In import | Opens the dialog to import an Add-In Package that is to be used in Runtime. Note: The package is only imported, not installed. Installation is carried out in Runtime.
Delete | Uninstalls and deletes the selected Add-In after requesting confirmation.
Remove all filters | Removes all filters that are currently applied in the list of Add-In.
Properties | Apre la finestra Proprietà.
Help | Apre la guida online.


Use in the zenon Editor

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins for use in the zenon Editor are imported, installed and administered in the Editor.

Add-Ins for the Editor can contain the following:

  • Editor Wizard Extensions, which are started manually via the Extras -> Editor Wizards menu item.
  • Editor service extensions are started if the workspace is loaded and its start mode is set to automatic. It is stopped as soon as the workspace is closed.

Installed Add-Ins for the Editor are saved under: %ProgramData%\COPA-DATA\zenon760\EditorAddInStore

Ancora in questo capitolo

Installing and manging add-ins for the Editor


Installing and manging add-ins for the Editor

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon Editor, Add-Ins can be imported, installed and administered.

Note: Only Add-Ins with Editor Extensions can be imported and installed. If no Editor Extensions are found during import, a corresponding warning is shown.

Importing and installing add-ins

To import and install an Add-In:

  1. Open the Extras menu.
  2. Select the Manage Editor Add-Ins entry.
    The dialog to manage Add-Ins is opened.
  3. Click on the Import and Install symbol, select the entry in the context menu or press the Insert key.

    The dialog to select an Add-In is opened.

  4. Select the desired Add-In.
  5. Click on Open.

    The Add-In is imported and installed.

  6. Click on Close to close the dialog.

Uninstall and delete add-in

To uninstall and delete an Add-In:

  1. Open the Extras menu.
  2. Select the Manage Editor add-ins entry.
    The dialog to manage Add-Ins is opened.
  3. Select an Add-In.
  4. Click on the Uninstall and delete symbol, select this entry in the context menu or press the Delete key.

    A dialog requesting confirmation is opened.

  5. Confirm this when requested to do so.

    The Add-In is uninstalled and deleted.

Ancora in questo capitolo

Manage Editor Add-Ins dialog

Manage Editor services


Manage Editor Add-Ins dialog

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor -> Manage Editor Add-Ins dialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manage Editor Add-Ins dialog

Option

Description

Toolbar

Contains symbols for:

  • Importing, installing and deleting Add-Ins
  • Removing the filter
  • Help display

List of Add-Ins

Shows all installed Add-Ins.
Information on the following is shown:

  • Name
  • Description
  • Version
  • Whether source code is included.

Elements can be shown filtered and sorted.

Close

Closes the dialog.

Help

Apre la guida online.

Toolbar and context menu

Meaning of the entries in the context menu and the symbols, from left to right:

Symbol | Description
Import and install | Open the dialog to select an Add-In. This can be imported and installed.
Uninstall and delete | Uninstalls and deletes the selected Add-In after requesting confirmation.
Remove all filters | Removes all filters that are currently applied in the list of Add-Ins.
Help | Apre la guida online.


Manage Editor services

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor -> Manage Editor services

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manage Editor services

Add-In Extensionsthat run in the Editor as services are managed using their own dialog.

To mange Editor services

  1. Open the menu Tools
  2. Select the Manage Editor services... entry.

    The dialog to manage the services is opened.

Manage Editor services dialog

Option

Description

Toolbar

Contains symbols for:

  • Starting and stopping the services
  • Setting the start type
  • Removing the filter
  • Help display

List of services

Shows all installed Services. Information on the following is shown:

  • Name
  • Description
  • Start type
  • Condition

Elements can be shown filtered and sorted.

Close

Closes the dialog.

Help

Apre la guida online.

Toolbar and context menu

Meaning of the entries in the context menu and the symbols, from left to right:

Symbol | Description
Start service | Starts the selected service.
Stop service | Stops the selected service.
Start type manually | Sets the start type for the selected service to manual.
Start type automatically | Sets the start type for the selected service to automatic.
Remove all filters | Removes all filters that are currently applied in the list of services.
Help | Apre la guida online.

Behavior for start and stop

If the automatic start mode has been selected for a Workspace Service Add-In, it is loaded before the Event OnWorkspaceStartup when the Editor is started. When the Editor is closed, it is stopped after the event OnWorkspaceExit. The add-in can thus react to the zenon events.


Use in zenon Runtime

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in zenon Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-ins for use in zenon Runtime are imported and administered in the Editor. They are automatically installed when Runtime starts, in order to be able to be executed in Runtime. Each zenon project manages its own add-ins.

  • Add-Ins are copied to the following folder when creating the Runtime files for a project: ...\RT\FILES\zenon\system\AddInStore\...
  • The Add-Ins are installed in the following folder when starting the Runtime:
    ...\RT\FILES\zenon\system\AddInCache\...

    Furthermore, in doing so:

    • Amended Add-In Packages are updated.
      The sync is carried out using the change date of the Add-In Package.
    • Add-Ins that are no longer present are deleted.
    • Project Service Extensions with the start mode set to automatic are instanced and started automatically.
    • Project Wizard Extensions can be executed using the zenon Avvia Project Wizard Extension function.

Tipp Suggerimento

You can get to the Runtime folder most quickly by highlighting the project in the Editor and pressing the key combination Ctrl+Alt+R.

Ancora in questo capitolo

Installing and manging add-ins for Runtime


Installing and manging add-ins for Runtime

Manuale -> Interfacce di programmazione -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in zenon Runtime -> Installing and manging add-ins for Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins for Runtime are imported into the Editor and automatically installed when Runtime is started. Import is carried out by means of the context menu or the tool bar in the detail view.

Import Add-In

To import an Add-in :

  1. In the Editor, open the detail view for Add-Ins in the project tree.
  2. Click on the Import Add-In symbol, select this entry in the context menu or press the Insert key.

    The dialog to select an Add-In is opened.

  3. Select the desired Add-In.
  4. Click on Open.

    The Add-in is imported.

    Info:

    • Only once the Runtime files have been created is the Add-In saved in the Runtime files.
      Save folder: ...\RT\FILES\zenon\system\AddInStore\...
    • When starting or reloading Runtime, it is installed, modified or updated in the following folder:

      ...\RT\FILES\zenon\system\AddInCache\...

    During modification, the sync is carried out using the time stamp of the Add-In Package.

  5. Click on Close to close the dialog.

Note: Only Add-Ins with Project Extensions can be imported and installed. If no Project Extensions are found during import, a corresponding warning is shown.

Installing and unistalling add-ins

Add-Ins are automatically installed or updated when Runtime is started.

Procedure:

  • When Runtime is started, the Packages installed for the project are compared to those in the Editor.
  • Comparison is carried out using the time stamp.
  • With different time stamps or new Packages, the Package is installed. A pre-existing Package with the same name is overwritten.
  • If there is no longer a Package in the Editor that is present in Runtime, it is also removed from Runtime.

Delete add-in

To delete an Add-In:

  1. In the Editor, open the detail view for Add-Ins in the project tree.
  2. Select an Add-In.
  3. Click on the Delete symbol or press the Delete key

    A dialog requesting confirmation is opened.

  4. Confirm this when requested to do so.

    The Add-In is deleted.
    After the Runtime files have been compiled the next time, it is uninstalled when Runtime is reloaded or restarted.


Switch/conversion from VSTA

Manuale -> Interfacce di programmazione -> Add-Ins -> Switch/conversion from VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor

To convert existing VSTA functionality from the Editor, proceed as follows.

Functionality from Wizards

Functionality that has been implemented using a VSTA wizard can only be implemented by means of Editor Wizard Extensions.

Copy your existing code to an Editor Wizard Extension and make changes to the code if necessary.

Use the Editor wizards... dialog to start the wizard.

Functionality from VSTA events

Functionality that is executed on an event-triggered basis (such as via .OnElementCreated, .OnPreBuild) can now be implemented using Editor Service Extensions.

To do this, copy the code to initialize the event handler to the Start method of the Editor Service Extension. You copy the code for release into the Stop method.

Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

Functionality from VSTA macros.

Functionality that is executed using the Execute VBA/VSTA macro combobox can now be implemented using Editor Wizard Extensions.

To do this, copy the code from your existing VSTA macro in to the Run method of the Editor Wizard Extension and make changes to the code if necessary.

Use the Editor wizards... dialog to execute the code.

Runtime

To convert existing VSTA functionality from Runtime, proceed as follows.

Functionality from VSTA macros.

Functionality that was executed by means of the Lanciare Macro-VSTA function can now be implemented by means of Project Wizard Extensions.

To do this, copy the code from your existing VSTA macro in to the Run method of the Project Wizard Extension and make changes to the code if necessary.

To start the Project Wizard Extension, use the zenon Avvia Project Wizard Extension function.

Functionality from VSTA events

Functionality that is executed on an event-triggered basis (such as via .DynPictures().Open, .Alarm().AlarmComes) can now be implemented using Project Service Extensions.

To do this, copy the code to initialize the event handler to the Start method of the Project Service Extension. You copy the code for release into the Stop method.

Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension.


Lista Macro

Manuale -> Interfacce di programmazione -> Lista Macro

Si può utilizzare VBA e VSTA per estendere autonomamente le funzionalità di zenon. Si descrive l´uso di macro con zenon.

Menù contestuale

Voce di menù | Azione
Apri Editor VBA | Apre l’Editor di VBA.
Esporta tutti VBE... | Apre la finestra di dialogo che consente di selezionare il luogo in cui salvare l´esportazione VBE.
Importa VBE | Apre la finestra di dialogo che consente di selezionare il file di importazione VBE.
Profili Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

info Info

Se si modificano delle macro VBA nell´Editor:

  • vengono compilati i file Runtime e trasmessi nel Runtime.
  • il runtime viene riavviato.
  • anche gli elementi VSTA vengono ricaricati, anche quando non c´è stata alcuna modifica in VSTA .

VBA avvia lo stesso ambiente di sviluppo per Workspace e progetto.
Per aprire l´Editor di VBA:

  1. Nell´Editor di zenon, passare al nodo Scripting.
  2. Estendere questo nodo cliccando su [+].
    Viene visualizzata la struttura del nodo.
  3. Cliccare con il tasto destro del mouse su Lista Macro.
  4. Nel menù contestuale, selezionare la voce Apri VBA-Editor.

Alternativa: utilizzare la combinazione di tasti Alt+F11

Ancora in questo capitolo

VBA: Barra degli strumenti e menù contestuale - Visualizzazione dettagliata

VBA su sistemi a 64-Bit

Nozioni di base

Macro nell´editor

Funzioni in zenon

Sviluppo di wizard in VBA

Domande ricorrenti

Esempi


VBA: Barra degli strumenti e menù contestuale - Visualizzazione dettagliata

Manuale -> Interfacce di programmazione -> Lista Macro -> VBA: Barra degli strumenti e menù contestuale - Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Voce di menù | Azione
Nuova macro VBA | Crea una nuova macro e apre l´Editor delle macro.
Apri Editor VBA | Apre l’Editor di VBA.
Salva | Salva macro.
Elimina | Cancella l´elemento selezionato.
Esporta tutti VBE... | Apre la finestra di dialogo che consente di selezionare il luogo in cui salvare l´esportazione VBE.
Importa VBE | Apre la finestra di dialogo che consente di selezionare il file di importazione VBE.
Rinomina | Consente di rinominare le macro selezionate.
Guida | Apre la guida online.

Menù contestuale - Moduli macro

Voce di menù | Azione
Apri Editor VBA | Apre l’Editor di VBA.
Salva | Salva macro.
Esporta tutti VBE... | Apre la finestra di dialogo che consente di selezionare il luogo in cui salvare l´esportazione VBE.
Importa VBE | Apre la finestra di dialogo che consente di selezionare il file di importazione VBE.
Guida | Apre la guida online.

Menù contestuale - Moduli

Voce di menù | Azione
Nuova macro VBA | Crea una nuova macro e apre l´Editor VBA.
Guida | Apre la guida online.

Menù contestuale - Macro

Voce di menù | Azione
Modifica | Apre la macro nell´Editor per consentire le modifiche. Alternativa: tasto INVIO oppure doppio clic.
Rimuovi | Cancella la macro. Alternativa: tasto Canc.
Rinomina | Apre il campo di inserimento destinato al nome in modalità di modifica. Alternativa: tasto F2.
Guida | Apre la guida online.

Barra degli strumenti dell´Editor

Le macro che sono state create con VBA, possono essere gestite usando la barra degli strumenti Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Aggiorna la lista delle macro VBA/VSTA

Carica nel menù a tendina della barra degli strumenti tutte le macro Public Sub Name () contenute in myWorkspace e nei moduli.

Cerca macro

Ricerca di macro effettuata usando il campo di inserimento del menù a tendina, oppure selezionandone una fra quelle offerte dal menù a tendina. Quando si apre il menù a tendina, la sua dimensione viene adeguata a quella dell´elemento più largo.

Macro del menù a tendina

Contiene tutte le macro caricate che potranno essere selezionate.

Esegui macro selezionata.

Esegue la macro selezionata nel menù a tendina.

Esegui la macro assegnata #<x>.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre la finestra di dialogo con la quale è possibile assegnare le macro ai singoli pulsanti della barra degli strumenti. È possibile collegare un massimo di 5 macro ai pulsanti dall´1 al 5.

Filtra per macro VBA

Filtra le macro VBA. Verranno visualizzate solamente le macro VBA.

Filtra per macro VSTA

Filtra le macro VSTA. Verranno visualizzate solamente le macro VSTA.

Visualizza tutte le macro

Elimina il filtro attualmente in uso; in questo caso verranno visualizzate tutte le macro.

AZ

Ordina le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Ordina le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Info

Se nella finestra di dialogo di collegamento delle macro non vengono visualizzate tutte la macro contenute in myWorkspace, eseguire la funzione Aggiorna la lista delle macro VBA.


VBA su sistemi a 64-Bit

Manuale -> Interfacce di programmazione -> Lista Macro -> VBA su sistemi a 64-Bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.10, zenon supporta sistemi operativi a 64-Bit. Per quello che riguarda VBA, si è passati alla versione VBA 7.1. Per questa ragione VBA è disponibile adesso anche nella versione di zenon a 64-Bit. Se nel codice VBA si accede alle API di Windows o ad altre funzioni DLL importate, questi richiami devono essere adattati a 64-bit. In generale vale quanto segue: Un file VBA creato per una versione a 32-Bit non può essere utilizzato senza modifiche‑in una versione a 64-bit di VBA.

In VBA esistono alcune definizioni/funzioni che consentono di scrivere un codice compatibile per 32 Bit e per 64 Bit. Per esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Informazioni utili sulla portabilità di codice VBA a 32-bit a VBA a 64-bit sono fornite anche da Microsoft:

  • Microsoft Office 2010, note sulla portabilità: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp


Nozioni di base

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrive le basi del linguaggio di programmazione VBA - Visual Basic for Applications

Ancora in questo capitolo

Proprietà degli oggetti - PROPERTIES

Metodi di oggetti - METHODS

Eventi di oggetti - EVENTS

Modello di oggetti VBA in zenon

Come si utilizzano macro VBA?

Come si collega un elemento ein ActiveX in zenon?

Accesso mediante un programma esterno

Funzionalità di una variabile online

Lista dei bit di stato

Lasso per selezionare elementi dinamici nel Runtime.


Proprietà degli oggetti - PROPERTIES

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Proprietà degli oggetti - PROPERTIES

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una proprietà degli oggetti (property) è un determinato attributo dell'oggetto. Nel caso di un oggetto-variabili, ciò può essere, per esempio, il valore, il nome o l'identificazione. Nel caso di un oggetto-cerchio, può essere, per esempio, la posizione o il colore del cerchio nell'immagine. Ogni oggetto possiede perlomeno una property (generalmente sono, però, più di una); ogni property ha un valore definito. Mentre il Property Name è un testo, Property Value ha un valore compreso fra 0 e, per es., 1000.

La particolarità delle properties è che esse, grazie alla modifica dei valori delle proprietà in un programma VBA, possono modificare il comportamento e l'aspetto dell'oggetto. Se ad esempio attribuite alla Property Value (valore) dell'oggetto variabili un altro valore, ottenete l'effetto che la variabile attualmente selezionata riceva il valore da Voi desiderato. Non potete però attribuire ad ogni property un nuovo valore. La Property Count (quantità) dell'oggetto variabili, ad esempio, è fissa, visto che la quantità delle variabili viene definita mediante le variabili create. Dando al count un valore superiore non aggiungete alcuna nuova variabile. Alcune properties sono, perciò, solo proprietà di lettura, il che significa che ne si può soltanto leggere il valore.


Metodi di oggetti - METHODS

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Metodi di oggetti - METHODS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alle properties, ogni oggetto può possedere dei metodi. Un metodo non è un attributo, ma una richiesta all'ggetto di fare qualcosa. Così una forma ha il Methode Show. Quale effetto ha questo metodo? Richiede alla forma di rappresentare se stessa sullo schermo. Allo stesso modo, la foma scompare con l'uso del comando Unload.

Il vantaggio di un metodo è quello che il programmatore non ha deve sapere nulla sulla struttura dell'oggetto e, soprattutto, non ha la possibilità di mettere le mani sui dati interni dell'oggetto stesso.

L'esecuzione del metodo Show oppure del comando Unload avviene nel modo seguente:

frmSollwert.Show oppure Unload frmSollwert

Se volete, per esempio, aprire un'altra forma, il metodo rimane lo stesso; a cambiare è solo il nome della forma (nome oggetto).

frmChange.Show oppure Unload frmChange

Lo stesso metodo può essere, dunque, usato per diversi tipi di oggetto. Non tutti gli oggetti, però, devono possedere necessariamente dei metodi.


Eventi di oggetti - EVENTS

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Eventi di oggetti - EVENTS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anche se nel 90 per cento dei casi avete a che fare con properties e metodi quando lavorate con oggetti, c'è ancora una categoria di caratteristiche di cui può disporre un oggetto: Events. Alcuni oggetti della gerarchia di oggetti possono reagire ad eventi. Events si verificano da soli mentre si lavora con zenon.

Example Esempio

ogni volta che si apre un'immagine, si causa un open-event nell'oggetto "picture" corrispondente. Da programmatori, potete fissare nell'ambito della cosiddetta procedeura dell'evento (la procedure che viene richiamata al verificarsi dell'evento stesso) delle indicazioni volte a definire quello che deve accadere in un caso simile. Un esempio di ciò è la modifica di una variabile. Si potrebbe produrre un event che reagisce alla variazione di valore di una variabile.


Modello di oggetti VBA in zenon

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Modello di oggetti VBA in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di massima, nella struttura di progetto ci sono sempre una lista oggetti e oggetti.

Esempio:

Projects – Project

Variables – Variable

Elements – Elementi

Ulteriori informazioni sui modelli oggetto le trovate:

  • nella guida in linea VBA

  • nella visione generale grafica che ricevete in COPA-DATA

  • nell´Object-Browser di VBA


Come si utilizzano macro VBA?

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Come si utilizzano macro VBA?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova macro, si deve selezionare nella finestra Informazione progetto alla voce Makro Browser un evento desiderato al verificarsi del quale deve essere eseguita la nuova macro.

Cliccando con il tasto destro del mouse su questo evento, si apre un menu.

Selezionate il punto menù “Nuova macro” In tal modo viene generata una procedura da zenon:

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

Se esiste già una macro, questa può essere modificata, eliminata o ne se può cambiare il nome facendo clic con il tasto destro del mouse.

attention Attenzione

Nel caso in cui selezioniate il punto menù rinomina macro umbenennen, fate attenzione a non modificare il nome dell'evento, per es. LeftClickUp_..., del nome attuale. Altrimenti non viene eseguita la modifica del nome. Inoltre, quando modificate il nome di una macro, dovete modificare anche quello del sottoprogramma che deve essere eseguito by end nell'editor VBA.

Dopo che si è inserito il codice sorgente da eseguire nella procedura generata da zenon, si deve collegare la macro create con un elemento.

Cliccando due volte su un elemento desiderato, appaiono sullo schermo le proprietà dell'elemento.

Alla voce "eventi" si può collegare la macro con l'elemento.

Cliccando con il tasto sinistro del mouse, viene provocato il verificarsi dell'evento LeftClickDown dell'elemento e viene eseguita la macro collegata.

Ancora in questo capitolo

Integrazione di macro già esistenti


Integrazione di macro già esistenti

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Come si utilizzano macro VBA? -> Integrazione di macro già esistenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per integrare delle macro già esistenti in un altro progetto, procedete nel modo seguente:

  1. Esportate tutti i formulari e moduli necessari nell'editor VBA e importateli nel progetto desiderato.
  2. Le macro orientato ad eventi, nel ModulElement.bas, non vengono ancora mostrate nel browser macro. Perciò dovete creare nuovamente le macro nel browser macro.

    Il modo più semplice di far ciò è usare il nome della macro già esistente.

    per Esempio:
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. Al momento di creare delle macro, zenon genera procedure che hanno lo stesso nome delle macro esistenti. Queste procedure devono essere eliminate.
  4. Collegate queste macro, come al solito, con un elemento dinamico.


Come si collega un elemento ein ActiveX in zenon?

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Come si collega un elemento ein ActiveX in zenon?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un elemento ActiveX viene portato in un'immagine come un elemento dinamico; si apre una finestra nella quale dovete scegliere un elemento ActiveX.

  • Una volta scelto l'elemento nella lista rappresentata qui sopra, potete attribuirgli una variabile. Per far ciò, cliccare sul pulsante Variabile... e selezionarne una, oppure crearne una nuova.
  • Date al Vostro elemento ActiveX un nome oggetto, attraverso il quale potrete poi accedervi in VBA.
  • Nel nostro esempio usiamo il nome oggetto Slider6_DW18, visti che si tratta di un elemento ActiveX-Element Slider che è collegato con la variabile Datenwort 18.
  • Adesso l'elemento slider deve essere attivato ed editato nell'editor VBA.
  • A tal scopo, creiamo una nuova macro come descritto nel capitolo "Come si usano macro VBA?".

La macro Init_slider trasmette l'elemento da inizializzare ad un sottoprogramma nell'oggetto thisProject; così viene definito un riferimento al progetto attuale.

Public Sub Init_Slider(obElem As Element)
thisProject . Init _ Slider obElem
End Sub

Come nella macro Init_Slider, anche in Draw_SliderValue l'elemento viene passato all'oggetto thisProject.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

Nell'oggetto zenOn this Project viene inserito il codice sorgente indicato di seguito.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX exists
If obSchieberegler Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Schieberegler ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynPicture

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynPictures. Item (Immagine_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Accesso mediante un programma esterno

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Accesso mediante un programma esterno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere mediante un programma esterno (ad esempio Visual Basic) a dati di zenon, si usa l'interfaccia COM. Questa interfaccia COM è la stessa ad essere usata anche da VBA. Ci sono dunque solo un paio di piccole differenze, di cui però si deve tenere conto.

Ancora in questo capitolo

Visual Basic 6


Visual Basic 6

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Accesso mediante un programma esterno -> Visual Basic 6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere all'interfaccia COM, quest'ultima deve essere implementata:

Mediante questa libreria tipi, potete accedere all'oggetto applicazione di zenon (il runtime).

Visto che qui non c'è un oggetto thisproject, lo si deve creare poter giungere ai dati.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

Se il progetto VB deve funzionare con tutti i progetti di zenon (deve essere, per così dire, indipendente da determinato nome progetto) può essere impostato anche in questo modo.

Set obProject = zenon.Application.Projects.Item(0)

Dopo che è stato creato l'oggetto progetto (thisProject), si può accedere, ad esempio, alle variabili ai fini di lettura e scrittura.

Leggere:

Wert = obProject.Variables.Item(Variablenname).Value

Scrivere:

obProject.Variables.Item(Variablenname).Value = valore


Funzionalità di una variabile online

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci si può immaginare una variabile online VBA come un container che contiene delle variabili; queste utime devono essere naturalmente inserite nel container. Nel caso in cui ci sia una variazione del valore di una variabile contenuta nal container, ciò viene reso noto mediante un evento.

Ancora in questo capitolo

Funzionalità dell'evento

Definire e impostare Container

Mettere variabili in container

Imposta evento

Attiva evento

Disattivazione dell'evento

Elimina al momento di terminare


Funzionalità dell'evento

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Funzionalità dell'evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene attivato il container (Container.Define), tutte le variabili che vi si trovano vengono stimolate una volta per conoscere il valore loro valore attuale Viene eseguita la procedura „Container_VariableChange“ per ogni variabile che si trova nel container. Quando poi tutte le variabili sono state inizializzate, l'evento si verifica ogni volta che il valore di una variabile del container cambia.

In tal modo è escluso che venga letto un valore che non corrisponde al valore attuale della variabile.


Definire e impostare Container

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Definire e impostare Container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione:

Public WithEvents Container As OnlineVariable

Mediante questa riga di codice si definisce il container.

Creare

Set Container = thisProject . OnlineVariables. CreateOnlineVariables ( Container name)


Mettere variabili in container

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Mettere variabili in container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container. Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Questo procedimento deve essere ripetuto finché tutte le variabili desiderate non si trovano nel container.


Imposta evento

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Imposta evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

Questo evento viene impostato automaticamente quando nel combobox di sinistra al margine superiore dell'editor VBA viene selezionato il container. Poi la procedura sopra illustrata viene inserita nel sourcecode. Grazie a „obVar“ viene data la variabile il cui valore è cambiato. Al verificarsi dell'evento, poi, si può leggere per es. il valore attuale (ob-Var.Value). Quali proprietà e valori delle variabili possono essere usati, lo si può vedere nella gerarchia degli oggetti nella documentazione VBA.


Attiva evento

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Attiva evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Define

Questa riga di comando attiva, per così dire, il controllo delle variabili nel container. Solo quando il comando "Define“ viene eseguito, il container è attivo.


Disattivazione dell'evento

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Disattivazione dell'evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Undefine

Con questo comando, viene chiuso il monitoraggio in container; a partire da questo momento, l´evento (VariableChange) non viene più eseguito.


Elimina al momento di terminare

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Funzionalità di una variabile online -> Elimina al momento di terminare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per non lasciare veramente nulla nella memoria al momento di chiudere il runtime, il container deve essere eliminato al più tardi al momento di terminare il runtime.

thisProject. OnlineVariables. DeleteOnlineVariables ( Container name )

Solo dopo che questo container è stato cancellato, ne può essere impostato un altro con lo stesso nome.


Lista dei bit di stato

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Lasso per selezionare elementi dinamici nel Runtime.

Manuale -> Interfacce di programmazione -> Lista Macro -> Nozioni di base -> Lasso per selezionare elementi dinamici nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi dinamici che sono collegati a una variabile oppure a una funzione, possono essere preselezionati nel Runtime con il lasso e, in tal modo, utilizzati, per eventi VBA.

Grazie al metodo SelElements, il sistema è in grado di riconoscere gli elementi dinamici scelti dall´utente nel Runtime come selezionati. Questi DynPicture.SelElements possono essere poi usati per eventi come Drag&Drop.

Selezione mediante lazo.

Perché sia possibile selezionare elementi a Runtime mediante lazo, devono essere eseguite le seguenti configurazioni nell´Editor:

  • Attivare la proprietà Selezioni multiple in Runtime (Lazo) nelle proprietà di progetto.
  • Attivare la proprietà Runtime/selezionabile tramite lazonelle proprietà dell'elemento dinamico.
  • la proprietà Muovi modello via mouse deve essere disattivata

Nel Runtime ci sono diversi metodi a disposizione dell´utente per selezionare degli elementi, a seconda delle impostazioni della gestione Touch:

  • gestione Touch disattivata, oppure Windows 7 (proprietà Analisi Disattivata oppure Windows 7):
    • Clic con il tasto sinistro del mouse + movimento: Viene creata una nuova selezione.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + movimento: La selezione viene estesa.
  • Gestione Touch nativa Windows 8 attiva (proprietà Analisi su Windows 8):
    • Clic con il tasto sinistro del mouse + movimento: L´immagine viene mossa.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + movimento: L´immagine viene mossa.
    • Clic con il tasto sinistro del mouse + tasto Shift + movimento: Viene creata una nuova selezione.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + tasto Shift + movimento: La selezione viene estesa.

Regole:

  • Si possono selezionare solamente gli elementi che sono visibili.
  • Se si seleziona un pulsante e vi si clicca sopra, verrà eseguita la funzione ad esso collegata.
  • Se si clicca su un pulsante e si muove il mouse prima di smettere premere il tasto, la funzione collegata al pulsante non verrà eseguita.
  • Annulla selezione aprire il lazo in un punto dell' immagine che non contiene nessun elemento.


Macro nell´editor

Manuale -> Interfacce di programmazione -> Lista Macro -> Macro nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro possono essere eseguite nell´editor per mezzo di una barra degli strumenti configurabile. A tal scopo, delle macro vengono collegate a pulsanti nella barra degli strumenti VBA .

Inoltre le macro possono essere eseguite anche manualmente, oppure tramite l´editor VBA.

Facendo uso di wizard, potete far in modo che operazioni ricorrenti vengano eseguite automaticamente, oppure che degli interi progetti vengano realizzati semplicemente premendo un pulsante. Alcuni wizard vengono forniti a titolo di esempio con zenon; essi possono essere ampliati e integrati a piacere: Essi aiutano a creare progetti, ad effettuare l´import e l´export, a creare delle variabili e a svolgere molti altri compiti. I dettagli relativi li potete trovare nel capitolo Wizards

Editor-Events

Gli Eventi Editor sono una componente del workspace VBA e consentono di reagire ad eventi nella programmazione workspace,ad es. per Wizards oppure Trasporto Remoto. Per esempio:

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

Tutti gli eventi e informazioni relative li trovate nella guida in linea concernente Object Model.

Ancora in questo capitolo

Barra degli strumenti "Lista macro"

Collegamento delle macro


Barra degli strumenti "Lista macro"

Manuale -> Interfacce di programmazione -> Lista Macro -> Macro nell´editor -> Barra degli strumenti "Lista macro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro che sono state create con VBA, possono essere gestite usando la barra degli strumenti Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Aggiorna la lista delle macro VBA/VSTA

Carica nel menù a tendina della barra degli strumenti tutte le macro Public Sub Name () contenute in myWorkspace e nei moduli.

Cerca macro

Ricerca di macro effettuata usando il campo di inserimento del menù a tendina, oppure selezionandone una fra quelle offerte dal menù a tendina. Quando si apre il menù a tendina, la sua dimensione viene adeguata a quella dell´elemento più largo.

Macro del menù a tendina

Contiene tutte le macro caricate che potranno essere selezionate.

Esegui macro selezionata.

Esegue la macro selezionata nel menù a tendina.

Esegui la macro assegnata #<x>.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre la finestra di dialogo con la quale è possibile assegnare le macro ai singoli pulsanti della barra degli strumenti. È possibile collegare un massimo di 5 macro ai pulsanti dall´1 al 5.

Filtra per macro VBA

Filtra le macro VBA. Verranno visualizzate solamente le macro VBA.

Filtra per macro VSTA

Filtra le macro VSTA. Verranno visualizzate solamente le macro VSTA.

Visualizza tutte le macro

Elimina il filtro attualmente in uso; in questo caso verranno visualizzate tutte le macro.

AZ

Ordina le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Ordina le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Info

Se nella finestra di dialogo di collegamento delle macro non vengono visualizzate tutte la macro contenute in myWorkspace, eseguire la funzione Aggiorna la lista delle macro VBA.


Collegamento delle macro

Manuale -> Interfacce di programmazione -> Lista Macro -> Macro nell´editor -> Collegamento delle macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro possono essere richiamate facendo uso di un pulsante nella barra dei simboli. Si possono collegare in questo modo al massimo cinque macro. Usando il pulsante assegna macro, si apre il dialogo che serve all´assegnazione delle macro.

Parametro | Descrizione
Makro # | Il numero macro corrisponde al numero del pulsante nella barra dei simboli. Cliccando sul pulsante ... si apre il dialogo per selezionare le macro.
OK | Crea collegamenti con i pulsanti e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Parametro | Descrizione
Selezione esistente | Lista delle macro che possono essere collegate.
Nessuna selezione | Cancella l´assegnazione esistente per questo pulsante
OK | Assegna la macro selezionata al pulsante.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzioni in zenon

Manuale -> Interfacce di programmazione -> Lista Macro -> Funzioni in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo Scelta funzioni, in corrispondenza dell´elemento VBA trovate le seguenti funzioni.

Funzione | Descrizione
Apri Editor PCE | Apre l'editor del modulo opzionale Process Control Engine (PCE).
Apri Editor VBA | Apre l’editor VBA
Lanciare Macro-VBA | Esegue una macro VBA selezionata. Attenzione: L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, da questo momento la funzione di zenon Lanciare Macro-VBA non viene più eseguita negli script, perché VBA a questo punto non funziona più.
VBA-Visualizza dialogo Macro | Apre il dialogo macro VBA

Ancora in questo capitolo

Lanciare Macro-VBA


Lanciare Macro-VBA

Manuale -> Interfacce di programmazione -> Lista Macro -> Funzioni in zenon -> Lanciare Macro-VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando selezionate la funzione Esegui macro VBA, appare il seguente dialogo.

Sono disponibili le seguenti impostazioni:

Parametro | Descrizione
Selezione Macro | Apre il dialogo che serve a selezionare le macro (vediScelta macro) Consiglio: Only lists VBA macros that match the number of parameters defined at the function Parameter (below).
Parametro | Inserite il valore desiderato (stringa) per un parametro.
Nuovo | Cliccate su questo pulsante per inserire il valore nella lista dei parametri disponibili.
Elimina | Cliccate su questo pulsante per cancellare l´inserimento selezionato dalla lista dei parametri disponibili. Potete cancellare solo un inserimento alla volta.
In sù | Cliccate su questo pulsante per spostare di una posizione verso l´alto l´inserimento selezionato. L´inserimento in questione verrà spostato di una posizione verso l´alto nella lista dei parametri.
In giù | Cliccate su questo pulsante per spostare di una posizione verso il basso l´inserimento selezionato. L´inserimento in questione verrà spostato di una posizione verso il basso nella lista dei parametri.

Avete la possibilità di depositare delle stringhe per macro che sono state create con parametri. Queste stringhe vengono trasmesse nel Runtime come singoli parametri quando viene eseguita la macro.

info Info

Dovete sincerarvi che il numero dei parametri della macro collegata corrisponda a quello dei parametri impostati in questa sede.

Ancora in questo capitolo

Selezione Macro


Selezione Macro

Manuale -> Interfacce di programmazione -> Lista Macro -> Funzioni in zenon -> Lanciare Macro-VBA -> Selezione Macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante ... appare il seguente dialogo.

Selezionate in questa sede la macro desiderata fra quelle disponibili e cliccate poi su OK.


Sviluppo di wizard in VBA

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6 è possibile automatizzare la fase di progettazione mediante l´uso di wizard. Le operazioni da ripetere spesso possono essere affidate ad un wizard, il quale provvede ad eseguirle: si può trattare, ad esempio, della creazione di un progetto, o della realizzazione di modelli ed immagini sulla base di uno standard definito.

Un´altra possibilità di utilizzo di wizard è l´effettuazione di modifiche automatiche in un progetto esistente, ad esempio, il cambiamento di proprietà degli elementi dinamici in tutte le immagini di uno dei progetti disponibili.

La base per la creazione di wizard sono Microsoft Visual Basic for Applications (VBA), nonché il modello oggetti di zenon.

Al momento sono disponibili i seguenti wizard:

  • Wizard di progetto
  • Wizard per l'importazione
  • World view wizard
  • Find VBA-Text Wizard
  • Wizard for keyword-creation
  • Wizard for keyword-creation
  • Wizard for creating variables

I Wizard sono disponibili nella forma di file codice sorgente VBA sul supporto di installazione. I nuovi Wizard possono essere implementati tramite l´ambiente VBA.

Ancora in questo capitolo

Uso di un Wizard

Struttura di nuovi wizard

Integrazione in VBA

Sviluppo di un wizard

Aggiornare i Wizard.


Uso di un Wizard

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA -> Uso di un Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La voce Avvia Wizards in Editor del menù File apre la finestra di dialogo di selezione dei Wizard. In questa finestra di dialogo vengono visualizzati tutti i Wizard disponibili, suddivisi per categorie.
Se i Wizard non dovessero contenere nessuna categoria, viene creato automaticamente l´inserimento Non collegato. Sotto questo inserimento vengono elencati tutti gli assistenti non collegati.

Si avvia un Wizard selezionandolo e cliccando su OK.

info Info

I Wizard non supportano progetti multiutente.


Struttura di nuovi wizard

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA -> Struttura di nuovi wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un wizard è una UserForm, che viene depositata nel nodo specifico dell´applicazione. La UserForm consiste di norma di un elemento multipagina, nel quale vengono rappresentati i singoli passi del wizard.

Cliccando su un pulsante Avanti, si passa alla prossima pagina dell´elemento multipagina. Tutti gli inserimenti debbono essere impostati temporaneamente; la creazione di oggetti, per esempio, modelli, immagini, .. può essere effettuata solamente con il completa del wizard.

info Info

Le UserForm che devono servire da wizard, devono contenere alcuni public method che forniscoo le informazioni sul wizard al sistema di controllo. Nel caso in cui queste routine manchino in una UserForm, quest`ultima non verrà considerata un wizard.


Integrazione in VBA

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA -> Integrazione in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I wizard sono contenuti nel nodo specifico dell´applicazione ZWorkspace . Questo oggetto rappresenta il workspace caricato nell´editor ed è a disposizione solo nell´editor di zenon.

Tutti gli oggettii in questo progetto VBA possono accedere all´attuale workspace mediante l´oggetto MyWorkspace. Quest´ultimo è collegato sempre al progetto attualmente attivo, al quale potete accedere mediante le proprietà di ActiveDocument.

I contenuti dell´oggetto ZWorkspace sono contenuti nel file ZenWorkspace.vba. Questo file viene copiato con la prima installazione della versione 6 nel percorso di installazione. Nei successivi update, questo file non viene sovrascritto. Alla fine di questo tutorial riceverete ulteriori informazioni per realizzare l´attualizzazione dei wizard.


Sviluppo di un wizard

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA -> Sviluppo di un wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tutorial crea un wizard per l'impostazione di variabili in un driver progettato.

Aprite l´ambiente VBA dall´editor di zenon e passate alla cartella ZWorkspace/Formulare. Questo file contiene le basi per lo sviluppo di un wizard. Modificate il nome dello UserForm.

Nel caso in cui il wizard non dovesse essere disponibile nella cartella sopracitata, potete importarlo facendo uso del comando Importa file.

info Info

Per sviluppare un wizard bisogna disporre di conoscenze relative al modello di oggetto di zenon e su VBA. In questo tutorial non si affrontano questi temi.

Create la superficie sopra rappresentata. Passate poi nel Code-Modul dello UserForm e scrollate fino alla fine del file. Lì troverete i seguenti metodi.

  • Public Function GetWizardName () As String

    Fornisce il nome univoco del Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables

  • Public Function GetWizardInfo () As String

    Fornisce una breve descrizione che viene visualizzate nella scelta dei Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables to a selected driver

  • Public Function GetWizardCategory () As String

    Fornisce la categoria del Wizard. Nella selezione dei Wizard, essi vengono visualizzati a seconda della categoria in una struttura ad albero. Cambiatene il contenuto inserendo Variables.

  • Public Function IsZenOnWizard () As Boolean

    Visualizzazione del Wizard nella selezione dei Wizard. Questo metodo fornisce "False", cosicché il Wizard non viene visualizzato, per es. perché non è ancora completato. Sostituite il Returntypen in True.

Questi metodi forniscono le informazioni sui Wizard che vengono richieste dal sistema di controllo. Bisogna tener presente che un Wizard viene visualizzato nella selezione Wizard solo nel caso in cui il metodo IsZenOnWizard fornisce True.

Passate a evento- Initializedella UserForm e cambiate i contenuti degli String-Arraysm_strCaption. Visto che il nostro Wizard consiste solo di due passi, potete cancellare le altre attribuzioni.

Inserite le seguenti definizioni nella parte alta del Code-Modul:

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Create un metodo per l'inizializzazione del Combobox dei driver. Il compito della routine è rappresentare tutti i driver progettati del progetto attale nel ComboBox.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

Avete poi bisogno di una Routine che visualizzi in un ComboBox tutti i tipi di variabili progettati del progetto.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If ( Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Al momento di aprire il Wizard verrano visualizzate le variabili già progettate per cercare un Start-Offset libero per le variabili che debbono essere create. Ciò accade grazie al seguente metodo.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long , nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If ( Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Passate in "Evento-Initialize" dello UserForm e ampliate questo metodo con le righe seguenti:

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

L'attribuzione a txtStart setta lo Start-Offset proposto per le variabili da creare. Mediante il metodo InitializeDriver viene riempito il ComboBox con i driver progettati.

Create un evento "change" per il Combobox dei driver e inserite il seguente codice. Dopo che è stato selezionato un driver, vengono individuati i tipi di variabili. L'oggetto driver selezionato viene scritto nella variabile m_obDriver per essere usato in seguito.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If ( Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Create un trattamento evento Change per VarType-Combobox e inserite il seguente codice. Il tipo di variabile selezionato viene scritto nella variabile m_obVarType per essere usato in seguito.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Adesso non Vi resta che creare la routine evento che deve servire alla creazione delle variabili con le impostazioni che sono state definite in precedenza. Ciò accade mediante il pulsante "Finish".

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Please select a variable type'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Please enter Start-Offset', 'count of creating variables and the step'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Variable type + cbVarType.Name + doesnt exist!'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Guaranteeing uniqueness of the variable name
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Create variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

Nel momento in cui viene completata la realizzazione del Wizard, il sistema controlla se le impostazioni che sono state definite sono valide o meno. Nel caso in cui non dovesse essere così, viene generata una segnalazione di errore e l'utente viene invitato a correggere gli inserimenti errati.

Se, invece, le impostazioni sono corrette, il sistema procede alla creazione delle variabili. Queste ricevono un nome ed un indice. Nel caso in cui nel progetto dovesse esistere già una variabile con lo stesso nome, il sistema ricerca il prossimo indice libero. Nel nostro esempio di codice viene sempre creata una variabile del tipo Merker-PLC. Ad ogni nuovo passaggio, l'Offset per la variabile viene aumentato.


Aggiornare i Wizard.

Manuale -> Interfacce di programmazione -> Lista Macro -> Sviluppo di wizard in VBA -> Aggiornare i Wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiornare i Wizard:

  1. Nel menù Extras, selezionare l´inserimento Aggiorna Add-Ins per l'Editor....

    Si apre un dialogo che consente di aggiornare i Wizard già disponibili.

  2. Selezionare il Wizard desiderato
  3. Avviare l´update cliccando su Inizio aggiornamento

Se un wizard o una classe sono già esistenti nel workspace, sarà visualizzato un messaggio corrispondente

attention Attenzione

I wizard già esistenti vengono sovrascritti quando il sistema effettua l´update. Le modifiche individuali effettuate nel wizard andranno un questo caso perdute


Domande ricorrenti

Manuale -> Interfacce di programmazione -> Lista Macro -> Domande ricorrenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo capitolo forniamo delle risposte ad alcune delle domande più frequenti. Ulteriori risposte a problemi ricorrenti le trovate anche online nel COPA-DATA Forum utenti.

Ancora in questo capitolo

Perché il pulsante rimane pigiato?

La macro non viene eseguita al primo clic.

Le macro non funzionano più nel RT?

Windows CE e VBA


Perché il pulsante rimane pigiato?

Manuale -> Interfacce di programmazione -> Lista Macro -> Domande ricorrenti -> Perché il pulsante rimane pigiato?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un pulsante è collegato per es. con un evento - LeftClickUp, alla fine della procedura deve essere eseguito il LeftClickUp:

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


La macro non viene eseguita al primo clic.

Manuale -> Interfacce di programmazione -> Lista Macro -> Domande ricorrenti -> La macro non viene eseguita al primo clic.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La soluzione corrisponde a quella della domanda: Perché il pulsante rimane pigiato?:

Se un pulsante è collegato per es. con un evento - LeftClickUp, alla fine della procedura deve essere eseguito il LeftClickUp:

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Le macro non funzionano più nel RT?

Manuale -> Interfacce di programmazione -> Lista Macro -> Domande ricorrenti -> Le macro non funzionano più nel RT?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo effetto può verificarsi se è aperto nel runtime l'editor VBA e poi si pigia su stop/start per terminare o avviare VBA. In questo caso gli oggetto (variabili online, oggetti d'immagine,....) non sono più validi, dato che perdono il riferimento se ha luogo una nuova inizializzazione.


Windows CE e VBA

Manuale -> Interfacce di programmazione -> Lista Macro -> Domande ricorrenti -> Windows CE e VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA è a disposizione nell'Editor CE per la realizzazione di Wizard. VBA non è supportato a Runtime. Dettagli sull'editor li trovate nel capitolo Crea progetti per CE.


Esempi

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui di seguito trovate alcuni esempi per VBA

Ancora in questo capitolo

MouseEvents and ActiveX Control initialization

Visualizza informazioni variabili

Leggi e scrivi valori variabili

Leggi e scrivi variabili e implementa variabili online

Uso multiplo del dialogo

Alarm – Events and ActiveX Control handling

Accesso ad allarmi

Crea un interruttore (lavorare con variabili di processo)


MouseEvents and ActiveX Control initialization

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> MouseEvents and ActiveX Control initialization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initializing ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initializing Userform...

frmSample1.InitForm obElem

'Show Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initializing Userform...

frmSample2.InitForm obElem

'Show Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initializing Userform...

frmSample3.InitForm obElem

'Show Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initializing NEW Userform...

NewForm.InitForm obElem

'Show NEW Userform

NewForm.Show (0)

End Sub


Visualizza informazioni variabili

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Visualizza informazioni variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visualizza nome variabile per elemento su cui si è cliccato:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub


Leggi e scrivi valori variabili

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Leggi e scrivi valori variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Leggi valori di una variabile e effettua backup:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub


Leggi e scrivi variabili e implementa variabili online

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Leggi e scrivi variabili e implementa variabili online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Leggi informazioni variabili, scrivi valori e implementa variabili online:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'start the OnlineVariable - Define

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'stop the OnlineVariable - UnDefine

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Uso multiplo del dialogo

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Uso multiplo del dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Userforms possono essere usati più volte:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create name for Online Container

strOLVName = "OLV_" & obElem.Name

'get existing online container

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'check if online container exists

If zOnlineVariable Is Nothing Then

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'close Userform

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarm – Events and ActiveX Control handling

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Alarm – Events and ActiveX Control handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenon runtime

Private Sub Project_Active()

'init the alarm object for events

Set zAlarm = thisProject.Alarm

End Sub

'procedure is executed when an Alarm comes

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'procedure is executed when an Alarm has gone

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'procedure is executed on terminating the zenon Runtime

Private Sub Project_Inactive()

'free the alarm object

Set zAlarm = Nothing

'delete OnlineVariable for Chart actualization...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procedure for MSChart ActiveX initialization...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'does existing OnlineVariable exist?

If zOLV Is Nothing Then

'if not, create it...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'if not stopped, refreshing not possible

'START watching variables...

zOLV.Define

End Sub

'event on Variable change - refresh chart...

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'setting values to display in chart control

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_002"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'event of the Chart AX...

Private Sub obChart_DblClick()

MsgBox "You have DoubleClicked the ActiveX!"

End Sub


Accesso ad allarmi

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Accesso ad allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrizione:

Nel formulario frmAlarm si può selezionare in un combobox un allarme che si trova nella memoria. Dopo avere effettuato la selezione, tutti i dati riguardanti l'allarme vengono inseriti nei box di testo sottostanti (gruppo, calsse, variabile ...)

Per visualizzare frmAlarm, utilizziamo un evento macro indipendente visto che non stabiliamo un collegamente ad un elemento nel presente esempio.

Sub Alarm ()
frmAlarm.Show
End Sub

'La macro viene eseguita grazie alla funzione "esegui macro.."

'Con l´apertura della forma questa viene inizializzata, ed eseguita la seguente routine. Da essa dipende il fatto che la Combobox impostata nella forma riceve tutti gli allarmi che si trovano al momento in memoria.

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Se viene selezionato solo un allarme del Combobox, reagisce l'evento Change del Combobox.
Private Sub cmbAlarmItems _ Change ()

'put actual properties from AlarmItem in textboxes
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Crea un interruttore (lavorare con variabili di processo)

Manuale -> Interfacce di programmazione -> Lista Macro -> Esempi -> Crea un interruttore (lavorare con variabili di processo)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio si disegna una pompa che consiste di un cerchio e di un triangolo. Quest'ultimo lo definite Voi come simbolo proprio. Sopra ponete un elemento multibin e collegatelo con tre variabili bit merker.

Si deve inoltre stabilire di quale colore deve essere il triangolo al centro in caso di una modifica del valore delle variabili.

In primo luogo si collega l'elemento multibin con una macro che fa apparire una forma frminterruttore.

Mediante la forma frminterruttore si può modificare il valore delle tre variabili bit merker.

info Info

Solo una delle tre variabili può contenere il valore 1. (ciò significa che se una variabile viene settata sul valore 1, le altre due devono ricevere il valore 0)

Per utilizzare questa macro più volte in un progetto in riferimento a diverse variabili, dovete fare attenzione di collegare con l'elemento multibin solo variabili bit merker che contengono già nel nome della variabile quale stato della pompa gestiscono.

Per es.:
Variable_Auto
Variable_Hand
Variable_Revi

info Info

Le desinenze _Auto, _Hand e _Revi sono definite in modo fisso nel codice sorgente dell'esempio.

Mediante queste desinenze di cinque segni del nome della variabile, si può definire ora quale variabile viene settata sul valore 1 cliccando su un pulsante toggle e quale sul valore 0.

Nella macro LeftClickUp_interruttore viene richiamato un sottoprogramma FindVariable nella formai frminterruttore, cui viene trasmesso l'elemento selezionato obElem.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel to points = (pixel * 0.75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Dichiarazione moduli globali variabili:

Dim cmdLast As ToggleSchaltfläche
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
Nel sottoprogramma FindVariable vengono controllote anzitutto tutte le variabili che sono offerte dall'elemento trasmesso.

A seconda della desinenza (_Auto, _Hand o _Revi), i nomi delle variabili vengono attribuiti alle variabili string sopra dichiarate.

Inoltre il sistema rileva quale stato ha la variabile e, a seconda del valore (1 o 0), viene azionato il corrispondente pulsante toggle o no.

Al momento dell'apertura della forma frminterruttore, il nome del pulsante Toggle al momento premuto viene scritto in una variabile string. Nel caso in cui l'utente decida di interrompere la procedura di modifica del valore, vengono ripristinati i valori originali.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem . ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

La Function VarExists generata autonomamente controlla solamente se le variabili collegate esistono; se ciò non dovesse corrispondere alla realtà, segue una segnalazione di errore. Variable doesn't exist.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (Variable doesnt extist)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

Se l'utente clicca su "Annula", la modifica del valore viene annullata e viene ripristinato lo stato originario.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

Se un pulsante toggle è premuto, non ne deve essere attivo nessun altro.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

In "eventi click" di ogni pulsante toggle si controlla se questo non è premuto e se la variabile esiste. Nel caso in cui entrambe le cose corrispondano alla realtà, vengono trasmessi i valori delle variabili collegate.


VSTA

Manuale -> Interfacce di programmazione -> VSTA

Con Visual Studio Tools for Applications (VSTA) si può estendere la funzionalità del Runtime e dell´Editor di zenon mediante programmazione .NET.

info Info

Tenere presente che in VSTA possono essere implementate solo Assemblies (DLL) fino alla versione 3.5 di .NET Framework.

VSTA è disponibile (con qualche limitazione) anche sul zenon Web Client.

VSTA mette a disposizione ambienti di sviluppo separati per Workspace e progetto. Se ne può usare solamente uno alla volta. Al momento dello start, ogni altro ambiente di sviluppo VSTA già aperto verrà chiuso.

Per aprire l´Editor VSTA per il workspace:

  1. Premete la combinazione tasti Alt+F10

    Verrà visualizzato il codice per il workspace e tutti i progetti caricati.

Per aprire l´Editor VSTA per il progetto attualmente caricato:

  1. Passare al nodo Scripting
  2. Estendere questo nodo cliccando su [+].
    Viene visualizzata la struttura del nodo.
  3. Cliccare con il tasto destro del mouse su VSTA.

    Nel menù contestuale, selezionare Apri Editor VSTA con ProjectAddin.
    L´Editor di VSTA viene aperto per il progetto caricato correntemente.

info Info

Se si modificano delle macro VBA nell´Editor:

  • vengono compilati i file Runtime e trasmessi nel Runtime.
  • il runtime viene riavviato.
  • anche gli elementi VSTA vengono ricaricati, anche quando non c´è stata alcuna modifica in VSTA .

Ancora in questo capitolo

Nozioni di base

Creazione di un progetto VSTA

Esempi


Nozioni di base

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VSTA è un tool set della ditta Microsoft basato sulla tecnologia .NET. Per potere comprendere il programma, sono necessarie delle conoscenze di base concernenti la programmazione orientata agli oggetti, .NET e C#/Visual Basic.NET.

attention Attenzione

A Runtime, bisogna tenere presente quanto segue: Le DLL referenziate non possono essere sostituite quando sono caricate. Per poter aggiornare un file referenziato, si deve prima chiudere il Runtime.

Ancora in questo capitolo

Impostazione dell´ambiente VSTA

Accesso al modello oggetti in zenon

Funzioni in zenon

Debugging di un Add-in VSTA

Eventi in VSTA

Backup di progetti VSTA


Impostazione dell´ambiente VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Impostazione dell´ambiente VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il supporto per VSTA in zenon è già attivato. Disattivando il supporto VBA, anche l´ambiente VSTA non è più disponibile.

Utilizzando il seguente inserimento del file zenon6.ini, l´ambiente VSTA può essere attivato o disattivato manualmente:

attivare VSTA | disattivare VSTA
[VSTA] ON=1 | [VSTA] ON=0

Il supporto per VBA viene attivato o disattivato nel modo seguente:

attivare VBA | disattivare VBA
[VBA] EIN=1 | [VBA] EIN=0

In seguito, l´ambiente di sviluppo per VSTA sarà disponibilie in zenon.

info Info

VSTA consente lo sviluppo di progetti nelle lingue di programmazione C# e Visual Basic.NET. Come linguaggio standard per progetti VSTA nell´Editor è prevista C#. Mediante il seguente inserimento, il linguaggio può essere cambiato passando a Visual Basic.NET:

[VSTA]

CSHARP=0


Accesso al modello oggetti in zenon

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Accesso al modello oggetti in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VSTA si può accedere al modello oggetti di zenon che viene usato anche in VBA. Il modello oggetto rimane in entrambi gli ambienti di sviluppo la stessa funzionalità.

attention Attenzione

A causa di limitazioni nella denominazione di modelli oggetti in VSTA, sono state realizzate alcune modifiche del modello ogetto. Le trovate nella tabella qui sotto

Property alt | Property neu
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Event alt | Event neu
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

L´accesso si verifica in VSTA mediante l´oggetto this e sostituisce l´oggetto VBA MyWorkspace. I metodi e gli oggetti successivi sono identici. Nei seguenti metodi vene creato un modello con il nome "TemplateName" in zenon.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

info Info

Diversamente da quanto accade in VBA, in VSTA si dà importanza alla scrittura maiuscola e minuscola, nonché a parentesi dopo il nome della funzione.

Per aprire i metodi in zenon, il progetto deve essere salvato e compilato seguendo i seguenti passi:

  1. Cliccando su File -> Save MyWorkspace.cs, il progetto viene salvato.
  2. Cliccando su Build -> Build WorkspaceAddin, il progetto viene compilato.

Il metodo è poi a Vostra disposizione come macro nella barra degli strumenti delle macro VBA che si trova nell´editor di zenon. Nel caso in cui il dialogo per l'assegnazione delle macro non dovesse offrire tutte le macro contenute in MyWorkspace, la funzione "Ricarica lista delle macro VBA" dovrebbe essere eseguita nella barra degli strumenti.

info Info

Macro VSTA con parametro, per es. Public void MacroWithParam(string mString), non vengono supportate e non vengono neppure offerte all´utente nella barra degli strumenti delle macro.


Funzioni in zenon

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Funzioni in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon sono state sviluppate le seguenti funzioni per VSTA. Queste funzioni si trovano nel nodo VSTA.

In parallelo alle funzioni VBA esistenti, sono state implementate delle funzioni simili per VSTA:

Nome funzione

Descrizione

Apri Editor VSTA

apre l´editor di VSTA nel runtime

Lanciare Macro-VSTA

Nell´editor può essere selezionata una macro VSTA che viene avviata al momento dell´esecuzione della funzione nel runtime.

Nota: Macro VSTA con parametro, per es. Public void MacroWithParam(string mString), non vengono supportate. Esse non vengono offerte all´utente né al momento della progettazione nell´Editor, né allo start della funzione nel Runtime.

VSTA-Visualizza il dialogo delle Macro

Nel runtime viene visualizzato un dialogo in cui possono essere visualizzate, selezionate ed eseguite le macro a disposizione.

Ancora in questo capitolo

Lanciare Macro-VSTA


Lanciare Macro-VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Funzioni in zenon -> Lanciare Macro-VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finestra di dialogo per la configurazione della funzione Lanciare Macro-VSTA.

Parametro | Descrizione
Macro esistenti |
Lista delle macro VSTA | Elenca in una lista tutte le macro VSTA esistenti. Selezione di una macro fra quelle della lista tramite un clic del mouse. Nota: Cliccando due volte, si avvia l´esecuzione della macro.
Nessuna selezione | Annulla la selezione e chiude la finestra di dialogo.
OK | Esegue la macro selezionata e chiude il dialogo.
Annulla | Annulla la selezione e chiude la finestra di dialogo.
Guida | Apre la guida online.


Debugging di un Add-in VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Debugging di un Add-in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante l´editor di VSTA, è possibile realizzare il debugging di AddIn scritti individualmente. Bisogna tenere presente che si può realizzare il debugging di Project-AddIns solamente nel runtime di zenon, di Workspace-AddIns solo nell´editor di zenon.

Una sessione di debugging viene avviata mediante il menu Debug - Start Debugging. Dei breakpoint possono essere fissati come nell´editor di VBA, cioè cliccando con il tasto sinistro del mouse nella barra di breakpoint di color grigio che si trova sul bordo sinistro accanto alla riga corrispondente.

info Info

Nell´effettuare il debugging di Runtime Add-in, tenete presente quanto segue:

I file Runtime modificati in zenon devono essere generati di nuovo prima dell´inizio dell´operazione di debugging.


Eventi in VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Eventi in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che un AddIn viene terminato quando viene compilato un codice modificato o viene avviata o chiusa una sessione di debugging, sono stati implementati in VSTA eventi corrispondenti. Essi permettono, ad esempio, la valutazione e il rilascio di una referenza oggetto e il salvataggio dei dati esistenti.

Per ogni terminazione esistono due events. Il primo di essi viene avviato poco prima della terminazione, il secondo dopo l´avvio di una nuova sessione AddIn.

Event | Descrizione
OnPreVSTADebugStart | Vene effettuato il trigger prima che una sessione di debugging venga avviata. Al momento dello start, viene eliminato un AddIn attivo, delle referenze devono essere rese disponibili e i dati disponibili devono essere salvati.
OnVSTADebugStart | Vene effettuato il trigger dopo che una sessione di debugging è stata avviata.
OnPreVSTADebugStop | Vene effettuato il trigger prima che una sessione di debugging venga arrestata. Al momento dell´interruzione di una sessione di debugging, viene eliminato un AddIn attivo, delle referenze devono essere rese disponibili e i dati disponibili devono essere salvati.
OnVSTADebugStopped | Vene effettuato il trigger dopo che una sessione di debugging è stata arrestata.
OnPreVSTAUpdate | Viene effettuato il trigger prima dell´eliminazione dell´AddIn, se è stata generata con successo una nuova versione dell´AddIn.
OnPostVSTAUpdate | Vene effettuato il trigger quando viene caricata una nuova versione dell´AddIn.


Backup di progetti VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Nozioni di base -> Backup di progetti VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti VSTA nel runtime vengono zippati automaticamente al momento della generazione dei file runtime e sono contenuti in Workspace backup.

Per i progetti VSTA nell´edtor, invece, si deve effettuare un backup manuale.
Potete trovare i progetti Editor VSTA nella cartella C:\ProgramData\COPA-DATA\*version*\VSTAWorkspace\.


Creazione di un progetto VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Creazione di un progetto VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In modo simile a quanto accade per VBA, esiste anche in VSTA la possibilità di creare progetti (estensioni) sia per l´Editor che per il Runtime. In linea di principio, i progetti nell´editor vengono relizzati nel linguaggio di programmazione C#. Per il Runtime e l´Editor, sono a Vostra disposizione sia C# che Visual Basic.NET.

info Info

Tenere presente che in VSTA possono essere implementate solo Assemblies (DLL) fino alla versione 3.5 di .NET Framework.

info Info

Nell´ambito dell´editor di VSTA, può essere visualizzato solamente un progetto alla volta. Inoltre, può essere attiva solamente un´istanza alla volta dell´editor. Al momento dell´avvio dell´editor di VSTA, viene chiusa un´istanza già eventualmente aperta.

Ancora in questo capitolo

Progetti VSTA nell´editor

Progetti VSTA nel runtime

Sviluppo di wizard in VSTA


Progetti VSTA nell´editor

Manuale -> Interfacce di programmazione -> VSTA -> Creazione di un progetto VSTA -> Progetti VSTA nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della creazione di un progetto per l´editor di zenon, un VSTA-AddIn viene caricato per il workspace. Per modificare l´Add-In, bisogna aprire l´editor di VSTA mediante File - Aprire editor VSTA.... L´interfaccia utente dell´editor VSTA è identica all´ambiente di sviluppo di Visual Studio della ditta Microsoft.

info Info

Mediante il menù Help / Contents , si può aprire la guida dell´editor VSTA. Questa guida fornisce una visione d´insieme sulle funzioni dell´editor, le features del framework .NET e la programmazione in Visual Basic.NET e C#.

Il VSTA-Add-In consiste essenzialmente della classe MyWorkspace. Questa classe può essere ampliata solamente con l´aggiunta di metodi propri. La classe ospita di default i seguenti due metodi:

Funzione | Descrizione
MyWorkspace_Startup | viene eseguito automaticamente al momento dell´avvio di zenon, dopo la creazione di un build e al momento dell´avvio di una sessione di debugging.
MyWorkspace_Shutdown | viene eseguito automaticamente al momento dellla chiusura di zenon, dopo la creazione di un build e al momento della chiusura di una sessione di debugging.

attention Attenzione

I nomi metodi possono iniziare esclusivamente con Macro (per es. Macro1, MacroVSTA) , non devono contenere nessun parametro e devono essere definiti come Public . Inoltre, il nome classe e altri metodi e event creati da VSTA non possono essere modificati.

Per aprire i metodi in zenon, il progetto deve essere salvato e compilato seguendo i seguenti passi:

  1. Cliccando su File -> Save MyWorkspace.cs, il progetto viene salvato.
  2. Cliccando su Build -> Build WorkspaceAddin, il progetto viene compilato.

Il metodo è poi a Vostra disposizione come macro nella barra degli strumenti delle macro VBA che si trova nell´editor di zenon. Nel caso in cui il dialogo per l'assegnazione delle macro non dovesse offrire tutte le macro contenute in MyWorkspace, la funzione "Ricarica lista delle macro VBA" dovrebbe essere eseguita nella barra degli strumenti.


Progetti VSTA nel runtime

Manuale -> Interfacce di programmazione -> VSTA -> Creazione di un progetto VSTA -> Progetti VSTA nel runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un progetto VSTA per il Runtime, si deve anzitutto aprire l´ambiente VSTA.
Per farlo, procedere nel modo seguente:

  1. Nel Manager di progetto, selezionare la voce Scripting.
  2. Aprire il menù contestuale di VSTA.
  3. Cliccare su Apri Editor VSTA....

    Nota: quando si apre per la prima volta l´Editor di VSTA, viene visualizzata una finestra di selezione. In questa finestra di dialogo si seleziona il linguaggio di programmazione.

    Viene creato un progetto con il linguaggio desiderato.

info Info

Il linguaggio di programmazione non potrà più essere modificato in seguito. Questa è la ragione per la quale questa finestra di dialogo viene visualizzata solo la prima volta che si apre l´Editor.

In questo progetto viene impostata da zenon una classe dal nome ThisProject , che ospita i seguenti due metodi:

Funzione | Description
ThisProject_Startup | viene eseguito automaticamente al momento dell´avvio del runtime.
ThisProject_Shutdown | viene eseguito automaticamente al momento della chiusura del runtime.

Questa classe può essere ampliata solamente con l´aggiunta di metodi propri.

attention Attenzione

I nomi metodi possono iniziare esclusivamente con Macro (per es. Macro1, MacroVSTA) , non devono contenere nessun parametro e devono essere definiti come Public . Inoltre, il nome classe e altri metodi e event creati da VSTA non possono essere modificati.

Esiste la possibilità di accedere tramite il modello oggetti di zenon a tutte le funzionalità runtime. Le funzioni specifiche dell´editor non possono essere usate in VBA.

Il runtime di zenon viene avviato automaticamente al momento dell´avvio del debugger. Trovate ulteriori informazioni nel capitolo Debugging di un Add-In VSTA-.

info Info

Mediante il menù Help / Contents , si può aprire la guida dell´editor VSTA. Questa guida fornisce una visione d´insieme sulle funzioni dell´editor, le features del framework .NET e la programmazione in Visual Basic.NET e C#.


Sviluppo di wizard in VSTA

Manuale -> Interfacce di programmazione -> VSTA -> Creazione di un progetto VSTA -> Sviluppo di wizard in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´ambiente VSTA offre come VBA la possibilità di sviluppare propri wizard.

Per poter accedere in un modulo all´oggetto modello zenon, deve essere trasmessa una referenza al modulo stesso. A questo scopo, si crea un metodo nella classe MyWorkspace . Nell´esempio seguente, viene instanziato un modulo dal nome Wizard e viene richiamato il metodo ZenonInstance con una referenza all´oggetto modello zenon come parametro. Mediante ShowDialog(), viene visualizzato il modello Wizard.

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

Nel codice del modello deve essere impostata una variabile member, che riprende l´oggetto modello zenon.

public zenOn.IApplication m_Zenon=null;

Per ultimo, viene impostato il metodo ZenonInstance . Questo metodo riprende la referenza all´oggetto modello e la pone sull´oggetto m_Zenon.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Adesso, si può procedere allo sviluppo di classi e metodi propri nel modello che accedono all´oggetto modello. Tutti i metodi, gli oggetti e gli attributi sono a disposizione tramite l´oggetto m_Zenon.


Esempi

Manuale -> Interfacce di programmazione -> VSTA -> Esempi

Qui di seguito trovate alcuni esempi dell´uso di VSTA sia nel runtime che nell´editor.

Ancora in questo capitolo

Creazione di variabili nell´editor di zenon

Scrittura di informazioni di progetto nella finestra di emissione di zenon

Leggi variabili in zenon mediante Regular Expressions


Creazione di variabili nell´editor di zenon

Manuale -> Interfacce di programmazione -> VSTA -> Esempi -> Creazione di variabili nell´editor di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel seguente esempio, un file di testo viene aperto e il contenuto viene utilizzato per impostare delle variabili nell´editor di zenon. Il file di testo contiene un numero qualsiasi di righe. Ogni riga contiene il nome e il tipo di dato di una variabile, separati da una virgola (esempio: Variable1,BOOL).

Il metodo Macro1 cerca anzitutto il driver interno nell´editor di zenon. Poi, il sistema visualizza a beneficio dell´utente un dialogo che gli propone una scelta di file; l´utente deve selezionare il file di testo. In seguito, il metodo legge il file di testo e crea le variabili. Il metodo GetDataType serve a individuare e ad assegnare al momento della creazione delle variabili il tipo di dato corrispondente.

C#-Codice

using System;

using System.Windows.Forms;

using System.IO;

using zenOn;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public IVarType GetDataType(string vType)

{

//gets the corresponding vartypes for bool, int, real and strings

IVarType retType;

switch (vType)

{

case "BOOL":

retType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

retType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

retType = this.ActiveDocument.VarTypes().Item("STRING");

break;

default:

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return retType;

}

//Reads a defined text file and creates corresponding variables on the zenon intern driver

public void MacroCreateVariablesFromFile()

{

//create objects that will take the intern driver and the variable type

IDriver zenonInternDriver = null;

//search for the Intern driver and throw exception if no driver was found

try

{

for (int driverCount = 0; driverCount < this.ActiveDocument.Drivers().Count; driverCount++)

{

if (this.ActiveDocument.Drivers().Item(driverCount).Name == "Intern")

{

zenonInternDriver = this.ActiveDocument.Drivers().Item(driverCount);

break;

}

}

}

catch (Exception driverEx)

{

MessageBox.Show("Unable to find zenon 'Intern' driver. Error: " + driverEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog varFileSelect = new OpenFileDialog();

String[] varLine = new String[2];

//show file dialog

if (varFileSelect.ShowDialog() == DialogResult.OK)

{

string line = string.Empty;

//open new stream reader with selected file

StreamReader importReader = new StreamReader(varFileSelect.FileName, System.Text.Encoding.Default);

//read in line by line, split the lines when a ',' occurs and create variables

while ((line = importReader.ReadLine()) != null)

{

varLine = line.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(varLine[0], zenonInternDriver, tpKanaltypes.tpSystemVariable, GetDataType(varLine[1]));

}

importReader.Close();

}

}

catch (Exception fileEx)

{

MessageBox.Show("An error occured while opening the file: " + fileEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Scrittura di informazioni di progetto nella finestra di emissione di zenon

Manuale -> Interfacce di programmazione -> VSTA -> Esempi -> Scrittura di informazioni di progetto nella finestra di emissione di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´esempio seguente si vuole mostrare come, tramite VSTA, si possa accedere alla finestra di emissione dell´editor zenon. Il metodo dal nome Macro1 legge nel progetto le immagini di processo impostate, individua il modello corrispondente e tutti i driver disponibili, nonché la loro denominazione.

C#-Codice

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void MacroPrintDebugInformation()

{

string picName = string.Empty;

string corTemp = string.Empty;

string driverName = string.Empty;

string driverDescription = string.Empty;

//print start string into output window

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all pictures and print name and used template into output window

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

picName = this.ActiveDocument.DynPictures().Item(i).Name;

corTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + picName + "' uses Template '" + corTemp + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print separator string into output window

this.Application.DebugPrint(" ------------------------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all drivers and print name and description into output window

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

driverName = this.ActiveDocument.Drivers().Item(i).Name;

driverDescription = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + driverName + "' has description '" + driverDescription + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print end string into output window

this.Application.DebugPrint(" ---------------END---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Leggi variabili in zenon mediante Regular Expressions

Manuale -> Interfacce di programmazione -> VSTA -> Esempi -> Leggi variabili in zenon mediante Regular Expressions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel seguente esempio, delle variabili zenon vengono lette in un progetto runtime e salvate in un file di testo locale.

Grazie a Regular Expressions, vengono lette le variabili, i cui nomi iniziano con 3 numeri e un trattino un basso (per es. "001_var" oppure "234_xyz"). Il sistema chiede poi all´utente di scegliere una cartella. In questa cartella viene impostato un file di testo con un nome dipendente dal tempo. In questo file vengono salvati il nome, l´identificazione e il valore attuale di tutte le variabili in questione separate da un trattino.

info Info

E´ possibile che si debbano aggiungere manualmente delle referenze per eseguire l´esempio nel runtime di zenon. Per farlo, aprire nel Project Explorer il menù contestuale e cliccare su Add Reference...
Le referenze necessarie in questo esempio sono:

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • System
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

C#-Codice

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void MacroGetFilteredVariables()

{

string filename = string.Empty;

string name = string.Empty;

string description = string.Empty;

string value = string.Empty;

//define regular expression pattern

Regex match = new Regex("^([0-9]){3}[_]");

try

{

filename = FolderSelection("Select place to store the variable information");

//create stream writer to the .txt file

StreamWriter matchedVariables = new StreamWriter(filename, true);

//run through all variables in zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//if name of the variable matches the pattern, get name, tag name and current value

if (match.IsMatch(this.Variables().Item(i).Name))

{

name = this.Variables().Item(i).Name;

description = this.Variables().Item(i).Tagname;

value = this.Variables().Item(i).get_Value(0).ToString();

//write information to the .txt file

matchedVariables.WriteLine(name + ";" + description + ";" + value);

}

}

//close stream

matchedVariables.Close();

}

catch (Exception ex)

{

MessageBox.Show("An error occured -> " + ex.Message);

throw;

}

}

private string FolderSelection(String caption)

{

string selectedPath = string.Empty;

//create a dialog for selecting the output folder

FolderBrowserDialog folderSelect = new FolderBrowserDialog();

folderSelect.Description = caption;

try

{

if (folderSelect.ShowDialog() == DialogResult.OK)

{

//if selection was valid, get the current date, put it to file date format

//then create a txt file with the name "zenonVar" and the corresponding date

DateTime currentTime = DateTime.Now;

selectedPath = folderSelect.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception ex)

{

MessageBox.Show("An error occured: " + ex.Message);

throw;

}

return selectedPath;

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


Process Control Engine (PCE)

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Raccomandazione: Usate zenon Logic invece di PCE.

Ancora in questo capitolo

L'editor PCE

Procedura

VBScript - Introduzione


L'editor PCE

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il PCE si trova nel Manager di progetto alla voce ' Scripting'. L'editor PCE si apre mediante il menù contestuale ' Apri l'editor PCE' .

Ancora in questo capitolo

Il task manager

Area di editazione

Finestra di emissione

I menù dell'editor PCE

La barra dei simboli dell'editor PCE


Il task manager

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> Il task manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il task manager dell'editor PCE mostra i task che sono stati creati e le variabili ad essi connesse.

Facendo clic due volte su un task lo si apre nell'editor. Con il tasto destro del mouse, invece, potete aprire il menù contestuale di un task.

Il menù contestuale di un task ha quattro voci:

Parametro | Description
Proprietà task | Apre il dialogo "Proprietà" del task.
Variabili task... | Apre il dialogo "Scelta variabili". In tal modo è possibile aggiungere ulteriori variabili al task.
Eliminare task | Cancela il task senza ulteriore interrogazione.
Compila Task | Compila il task.


Area di editazione

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> Area di editazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area di editazione dell´Editor PCE, si inserisce il codice dei task in VB Script o Java Script.


Finestra di emissione

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> Finestra di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


I menù dell'editor PCE

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Menù "File".

Menù "Modifica".

Menù "Esegui".

Menù "Visualizza"

Menù "Finestra"

Menù "Guida"


Menù "File".

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "File".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù File contiene i seguenti comandi:

Parametro | Descrizione
Salva | Salva i task nuovi o quelli modificati.
Stampa | Stampa il task attivo al momento.
Chiudi | Chiude l’editor PCE.


Menù "Modifica".

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Modifica".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Modifica contiene i seguenti comandi:

Parametro | Descrizione
Annulla | Annulla l'ultima azione eseguita.
Ripeti | Ripete l'ultima azione eseguita.
Taglia | Sposta un testo negli "appunti" di Windows.
Copia | Copia un testo negli "appunti" di Windows.
Incolla | Inserisce un testo preso dagli "appunti" di Windows.
Elimina |
Seleziona tutto | Seleziona l'intero testo del task.
Trova | Cerca un determinato testo nel task aperto.
Cercare successivo | Va al prossimo punto nel task in cui è stato rinvenuto l'elemento in questione.
Cercare precedente | Va al precedente punto nel task in cui è stato rinvenuto l'elemento in questione.
Sostituisci.. | Sostituisce un testo del task con un altro.
Bookmark | Gestione di segnalibro nel codice del task.
Inserire bookmark | Inserisce nel punto segnato del codice un segnalibro.
Successivo bookmark | Si sposta nel codice al successivo segnalibro.
Precedente bookmark. | Si sposta nel codice al precedente segnalibro.
Elimina tutti i bookmark. | Elimina tutti i segnalibro dal codice.


Menù "Esegui".

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Esegui".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Esegui contiene i seguenti comandi:

Salva tutti i task e rilancia |
Compila Task | Compila il task.


Menù "Visualizza"

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Visualizza"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Visualizza contiene i seguenti comandi:

Parametro | Descrizione
Impostazioni | Apre il dialogo "Impostazioni" dell'editor PCE.
Taskmanager | Apre/chiude il task manager
Finestra di emissione | Apre/chiude la finestra di emissione.
Status Bar | Apre/chiede la barra di stato


Menù "Finestra"

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Finestra"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Finestra contiene i seguenti comandi:

Chiudi

Disponi

Dividi

Riordina simboli

Lista delle finestre aperte


Menù "Guida"

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Guida"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Guida contiene i seguenti comandi:

Comando

Azione

Guida

Apre la guida online.

Informazioni su...

Aprite una finestra con informazioni su zenon:

  • Numero di serie
  • Numero di attivazione
  • TAGs/IOs con licenza
  • moduli con licenza

Potete navigare all´interno della finestra-info servendovi di una barra di scorrimento. Cliccando all´interno della finestra o premendo il tasto Esc si esce dalla finestra-info.


La barra dei simboli dell'editor PCE

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> L'editor PCE -> La barra dei simboli dell'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I più importanti comandi dell'editor PCE possono essere attivati cliccando sulle icone della barra dei simboli.

Sono disponibili i seguenti comandi:

Parametro | Descrizione
Chiudi | Chiude l’editor PCE.
Salva tutti | Salva i task nuovi o quelli modificati.
Stampare l´immagine attiva | Stampa il task attivo al momento.
Taglia | Sposta un testo negli "appunti" di Windows.
Copia | Copia un testo negli "appunti" di Windows.
Incolla | Inserisce un testo preso dagli "appunti" di Windows.
Annulla | Annulla l'ultima azione eseguita.
Ripeti | Ripete l'ultima azione eseguita.
Trova | Cerca un determinato testo nel task aperto.
Cercare successivo | Va al prossimo punto nel task in cui è stato rinvenuto l'elemento in questione.
Cercare precedente | Va al precedente punto nel task in cui è stato rinvenuto l'elemento in questione.
Sostituisci.. | Sostituisce un testo del task con un altro.
Salva tutti i task e rilancia |
Avvia debugger |
Successivo bookmark | Si sposta nel codice al successivo segnalibro.
Inserisci boomark | Inserisce nel punto segnato del codice un segnalibro.
Precedente bookmark | Si sposta nel codice al precedente segnalibro.
Elimina tutti i bookmark. | Elimina tutti i segnalibro dal codice.


Procedura

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Creazione di un task

Inserimento del codice

Funzione Show PCE

Esecuzione di task


Creazione di un task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Creazione di un task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il menù contestuale del taskmanager si può creare un nuovo task.

Ancora in questo capitolo

Proprietà del task

Variabili del task


Proprietà del task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Creazione di un task -> Proprietà del task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l'apertura del task si apre automaticamente il dialogo "Proprietà" dello stesso task.

Si possono impostare le seguenti proprietà:

Parametro | Descrizione
Name | Denominazione univoca del task.
Tipo | I task possono essere eseguiti ciclicamente o una volta. Ciclico: il task viene eseguito ciclicamente sulla base dell'intervallo impostato alla voce Tempo di ciclo da raggiungere. Unico: il task viene eseguito per una sola volta.
Priorità | Priorità di processo per il sistema operativo multithreading ( idle,, low, normal, high,, highest,, time critical).). Default: Normal Main process :: il task è attivo nello stesso thread del Runtime. Se il task finisce in un waiting loop o si blocca, ciò influenza anche il Runtime
File script | Scelta del file script: file VB (*.vbs) per VB Script oppure file JS (*.js) per Javascript. Quando si apre il task nell´area di editazione per la prima volta, vene creato il file corrispondente.
Tipo di start | System start : il task viene avviato automaticamente con il Runtime. Questa è l´unica possibilità per usare PCE sotto Windows CE, visto che Windows CE non supporta VBA. Gestito dagli eventi: il task viene avviato via una macro VBA e l´istruzione "thisProject.Tasks.Item("Taskname").Run".
Tempo di ciclo da raggiungere | Nel caso di task ciclici, il tempo di ciclo in millisecondi che deve essere raggiunto. Se ciò non accade, il task viene eseguito nel modo più veloce possibile.

Per apportare modifiche alle proprietà, si può aprire questo dialogo anche mediante il menù contestuale del task e il comando Task-Proprietà....


Variabili del task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Creazione di un task -> Variabili del task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´inserimento delle proprietà, si apre automaticamente il dialogo che serve alla selezione delle variabili. In questa sede vengono selezionate le variabili che devono essere editate nel task.

Qui devono essere collegate tutte le variabili che devono essere lette o scritte nel task. Esiste anche la possibilità di accedere alle variabili tramite l´oggetto variabili, ma solo le variabili collegate direttamente al task verranno lette automaticamente al momento dell´inizializzazione del task prima dell´esecuzione.

Le variabili devono avere la seguente sintassi:

Task.Value('Variable name')=123

Per apportare modifiche alla selezione variabili, si può aprire questo dialogo anche mediante il menù contestuale del task e il comando Task-Variabili....


Inserimento del codice

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando due volte su un task nel task manager, lo si apre nell'editor. Se il task viene aperto per la prima volta, viene creato contemporaneamente il corrispondente file VBS o JS.

Vengono eseguite automaticamente quattro procedure:

Parametro | Descrizione
Task_Init() | Questa procedura viene eseguita automaticamente al momento dell'apertura del task.
Task_Main() | Questa procedura viene eseguita o una volta (tipo "unico") o ciclicamente (tipo "ciclico").
Task_Exit() | Questa procedura viene eseguita automaticamente prima della chiusura del task.
Task_Timer(lTimerId) | Questa procedura viene eseguita ciclicamente finché è in funzione il relativo timer. Il tempo di durata del ciclo viene trasmesso come parametro al momento dell'avvio del timer corrispondente.

Il PCE utilizza in linea di principio gli stessi modelli oggetti di VBA (vedi Tutorial VBA). Se si fa uso di oggetti VBA (a parte l'oggetto "task"), però, la capacità "multithreading" va perduta, visto che si può accedere a questi oggetti solo dal Hread principale.

attention Attenzione

Non tutte le funzioni dell´interfaccia COM sono compatibili con multithread e, dunque, possono essere usate solamente in un contesto main tread. Se viene settata nel task PCE una proprietà differente che nel "main process" , non è possibile alcun accesso da PCE al main thread. Nel caso ci sia ciononostante un accesso all´interfaccia COM, ciò può portare al verificarsi di sistemi di stato indefiniti, come, ad esempio, un Runtime freeze.

Di grande importanza è, però, la collection Task e l'oggetto Task.

Ancora in questo capitolo

La Collection Task

L'oggetto task


La Collection Task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice -> La Collection Task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Count

Item

Parent


L'oggetto task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice -> L'oggetto task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

ActualCycleTime

Proprietà

Tempo ciclico del task effettivamente raggiunto

CountVariable

Proprietà

Numero delle variabili collegate al task.

CycleTime

Proprietà

Tempo impostato per il ciclo del task.

DynProperties

Proprietà

ErrorNumber

Proprietà

ErrorString

Proprietà

Exit

Evento

Init

Evento

ItemVariable

Stile

Main

Evento

MemValue

Proprietà

Con Task.MemValue(Name)=value viene creata una variabile interna e le viene assegnato un valore. La variabile non deve essere dichiarata precedentemente.

Questa variabili può essere letta anche da altri task. In tal modo essa permette di trasmettere un valore da un task ad un altro.

Nome

Proprietà

Nome del task attuale.

Parent

Proprietà

La Collection Task

Priority

Proprietà

Priorità del task attuale.

Run

Stile

Avvia un task

Sleep

Stile

Ferma un task.

StartTimer

Stile

Il metodo StartTimer avvia un timer del task.

Stato

Proprietà

Stop

Stile

Arresta un task.

StopTimer

Stile

Il metodo StopTimer arresta un timer del task.

Timer

Evento

Type

Proprietà

Value

Proprietà

Con Task.Value(name of linked variable)=value si può assegnare un nuovo valore ad una variabile del progetto.


Funzione Show PCE

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Funzione Show PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione di zenon Show PCE, si può aprire l´Editor PCE dal Runtime.


Esecuzione di task

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I task possono eseguiti con lo start di sistema, oppure in modo gestito dagli eventi.

Ancora in questo capitolo

Esecuzione task con start di sistema

Esecuzione task gestita dagli eventi


Esecuzione task con start di sistema

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task con start di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nella configurazione del task si è settata l´opzione Tipo di start su Start di sistema , il task stesso verrà eseguito automaticamente al momento dell´avvio del Runtime.

Questa è l´unica possibilità per usare PCE sotto Windows CE, visto che Windows CE non supporta VBA.


Esecuzione task gestita dagli eventi

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task gestita dagli eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Sul PC

Sul terminale CE


Sul PC

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task gestita dagli eventi -> Sul PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sul PC

Un task può essere avviato anche in modalità dipendente dagli eventi. In questo caso si deve settare il Tipo di start sull´opzione Gestito da eventi . Adesso il task non viene più avviato automaticamente con il Runtime.

Per poter avviare il task premendo un bottone, in seguito ad una violazione di valore limite, oppure in seguito ad un altro evento, si deve creare una macro VBA. L´istruzione VBA per lo start del task è la seguente: thisProject.Tasks.Item(Taskname).Run
Questo task verrà avviato automaticamente in un thread proprio se nella configurazione non è stato indicata la Priorità Main Process.

Con la seguente istruzione VBA si può terminare il task in qualsiasi momento: thisProject.Tasks.Item(Taskname).Stop

Nota: Per eseguire un task più volte, lo si deve esplicitamente terminare ad esecuzione completata, in modo tale da poterlo avviarlo di nuovo.
Indicazione: thisProject.Tasks.Item(Taskname).Stop
Dopo uno stop corretto, il task potrà essere avviato nuovamente.


Sul terminale CE

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task gestita dagli eventi -> Sul terminale CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sul terminale CE

Visto che Windows CE non supporta VBA, la procedura sopra descritta, riguardante l´esecuzione su un PC, non è possibile su un terminale CE. C´è però la possibilità di richiamare anche qui delle task gestite dagli eventi.

A questo scopo si crea una task con il Tipo di start System start . Questo task, dunque, viene avviato automaticamente nel runtime. Questo task, inoltre, ottiene la Priorità Main Process, in modo tale che esso sia attivo nello stesso thread come il runtime. Con questo task vengono collegate solamente variabili bit preposte all´esecuzione gestita dagli eventi. L´istruzione per lo start di un altro task è la seguente: Parent.Item(Taskname).Run
Questo task verrà avviato automaticamente in un Thread proprio se nella configurazione non è stato indicata la Priorità Main Process.

Con la seguente istruzione si può terminare il task in qualsiasi momento: Parent.Item(Taskname).Stop


VBScript - Introduzione

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Tipi di dato

Variabili

Costanti

Operatori

Controllo dell'esecuzione del programma

Utilizzo di cicli per la ripetizione del codice.

Tipi di procedure

Convenzioni di scrittura del codice


Tipi di dato

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Variant

Sottotipi di variabili Variant


Variant

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato -> Variant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VBScript esiste ufficialmente un solo tipo di variabile, denominato Variant. Variant è una forma particolare di tipo di dato che può contenere diversi tipi di informazioni a seconda del modo in cui viene utilizzata. Dato che Variant è l'unico tipo di dato disponibile in VBScript, è il tipo di dati restituito da tutte le funzioni di VBScript.

Nella forma più semplice, Variant può includere informazioni numeriche o stringhe. Una Variant è di tipo numerico se viene utilizzata in un contesto numerico, è di tipo stringa se utilizzata in un contesto stringa. Ciò significa che, se si lavora con dati simili a valori numerici, VBScript interpreterà tali dati come numeri e verranno eseguite le operazioni più appropriate. Naturalmente potete sempre fare in modo che i numeri si comportino come stringhe inserendoli fra virgolette (). In modo analogo, se si lavora con dati che possono essere solo interpretati come stringhe, essi verranno gestiti come dati stringa.


Sottotipi di variabili Variant

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato -> Sottotipi di variabili Variant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla semplice classificazione di valore numerico o stringa, con le variabili Variant è possibile definire ulteriori distinzioni in base alla natura specifica delle informazioni numeriche Si possono, ad esempio, utilizzare informazioni numeriche cherappresentano una data o un orario. Insieme ad altri dati relativi alla data o all'orario, il risultato verrà sempre espresso come data o come orario. È tuttavia possibile utilizzare informazioni numeriche di vario tipo, dai valori booleani, ai numeri in virgola mobile di grandi dimensioni. Le varie categorie di informazioni che possono essere incluse in variabili Variant sono definitesottotipi . Per lo più basta assegnare ad una Variant i dati desiderati in modo tale che essa si comporti nel modo corrispondente.

Nella tabella seguente sono elencati i possibili sottotipi che una Variant può contenere.

Sottotipo | Significato
Empty | Variabile Variant non inizializzata. Il valore è 0 nel caso di variabili numeriche e una stringa di lunghezza zero () nel caso di variabili stringa.
Null | Variabile Variant che include dati non validi inseriti volutamente.
Boolean | Può assumere valore TRUE o FALSE.
Byte: | Contiene un intero compreso tra 0 e 255.
Integer | Contiene un intero compreso tra -32.768 e 32.767.
Currency | da -922,337,203,685,477.5808 a 922,337,203,685,477.5807.
Long | Contiene un intero compreso tra -2.147.483.648 e 2.147.483.647.
Single | Contiene un numero in virgola mobile e precisione singola compreso tra -3,402823E38 e -1,401298E-45 per valori negativie tra 1,401298E-45 e 3,402823E38 per valori positivi.
Double | Contiene un numero in virgola mobile e precisione doppiacompreso tra -1,79769313486232E308 e -4,94065645841247E-324 per valori negativi e tra 4,94065645841247E-324 e1,79769313486232E308 per valori positivi.
Date (Time) | Contiene un numero che rappresenta una data compresa tra l'1gennaio dell'anno 100 e il 31 dicembre del 9999.
Stringa | Contiene una stringa di lunghezza variabile composta da unmassimo di circa 2 miliardi di caratteri.
Object | Contiene un oggetto.
Error | Contiene un numero di errore.


Variabili

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una variabile è un segnaposto che rimanda ad una posizione della memoria del computer in cui è possibile memorizzare informazioni di programma soggette a modifiche durante l'esecuzione degli script. Ad esempio, potete impostare una variabile dal nome KlickZaehler per memorizzare quante volte un utente clicca su un oggetto in una determinata Web-Seite. La posizione delle variabili in memoria non è importante dal punto di vista dell’utente. Per visualizzarne o modificarne il valore, è sufficiente farvi riferimento tramite il nome. In VBScript le variabili hanno sempre alla base il tipo di dato Variant.

Ancora in questo capitolo

Dichiarazione di variabili

Restrizioni della nomenclatura

Ambito e durata di variabili.

Assegnazione di valori alle variabili

Dati scalari e campi dato


Dichiarazione di variabili

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Dichiarazione di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dichiarate le variabili esplicitamente nel vostro script usando le istruzioni Dim, quelle Public e quelle Private. Esempio:

Dim DegreesFahrenheit

Dichiarate più variabili separandone i nomi con una virgola. Esempio:

Dim Top, Bottom, Left, Right


Restrizioni della nomenclatura

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Restrizioni della nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi variabili obbediscono alle regole standard della nomenclatura di elementi di lingua in VBScript. Per i nomi variabili vale quanto segue:

  • Devono iniziare con un carattere dell´alfabeto.
  • Non possono contenere un punto.
  • Non possono essere piú lunghi di 255 caratteri.
  • Devono essere univoci nell´ambito dell´area di validità per cui vengono dichiarati.


Ambito e durata di variabili.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Ambito e durata di variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se dichiarate una variabile in una routine, solamente il codice all´interno di questa routine può accedere o modificare il valore di questa variabile. Il che vuol dire che essa ha un ambito locale ed è una variabile a livello di routine.

Se dichiarate una variabile al di fuori di una routine, la rendete visibile per tutte le routine del vostro script. Questa è una variabile a livello script e ha un ambito a livello di script.

Il tempo durante il quale una variabile conserva il proprio valore è noto come durata. La durata di una variabile a livello script va dal momento della dichiarazione a quello della chiusura dello script stesso. A livello di routine, una variabile esiste finché vi trovate nella routine. Quando quest´ultima viene terminata, la variabile viene distrutta.

Le variabili locali sono ideali spazi di salvataggio temporanei durante l´esecuzione di una routine. Potete avere variabili locali dello stesso nome in più routine differenti perché ognuna viene riconosciuta solamente dalla routine in cui è stata dichiarata.


Assegnazione di valori alle variabili

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Assegnazione di valori alle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare valori alle variabili, è necessario creare un'espressione indicando a sinistra la variabile e a destra il valore che si desidera assegnare. Esempio:

B = 200


Dati scalari e campi dato

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Dati scalari e campi dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella maggior parte dei casi alle variabili dichiarate viene assegnato un solo valore. Una variabile contenente un solo valore è definita variabile scalare. A volte, tuttavia, risulta utile assegnare a una singola variabile più valori. In questi casi, potete creare una variabile che può contenere una serie di valori. Una variabile contenente una serie di valori è definita variabile matrice. La dichiarazione di queste variabili è simile a quella delle variabili scalari. La sola differenza che, nelle dichiarazioni di variabili matrici, il nome della variabile è seguito da parentesi. Nell'esempio seguente, viene dichiarata una matrice a una soladimensione contenente 11 elementi:

Dim A(10)

Anche se tra parentesi è indicato il numero 10, la matrice include in effetti 11 elementi (numerati da 0 a 10). In VBScript infatti le matrici sono sempre in base zero edi conseguenza il numero degli elementi in esse contenuti corrisponde sempre al numero indicato tra parentesi più uno. Queste matrici sono definite a dimensione fissa.

Per assegnare dati a ciascun elemento di una matrice, è necessario utilizzare un indice. Nell'esempio seguente vengono assegnati dati numerici ai vari elementi della matrice, usando appunto gli indici:

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

Per recuperare dati da un elemento della matrice, è possibile procedere nello stesso modo, ovvero inserire un indice nell'elemento desiderato. Esempio:

. . .

AltraVariabile = A(8)

. . .

Le matrici non sono limitate a una sola dimensione. È infatti possibile specificare fino a 60 dimensioni, anche se nella maggior parte dei casi ne vengono specificate solo tre o quattro. Per dichiarare dimensioni multiple, è necessario separare con unavirgola i valori delle dimensioni indicati tra parentesi. Nell'esempio seguente la variabile MiaTabella è una matrice a due dimensioni composta da 6 righe e 11 colonne:

Dim MiaTabella(5, 10)

In una matrice a due dimensioni il primo numero corrisponde sempre al numero di righe, il secondo al numero di colonne.

È inoltre possibile dichiarare matrici le cui dimensioni vengono modificate durante l'esecuzione dello script. Questo tipo di matrici sono definite matrici dinamiche. Vengono inizialmente dichiarate in una routine utilizzando l'istruzione Dim come qualsiasi altra matrice, oppure l'istruzione ReDim . La differenza è che tra parentesi non viene indicata alcuna grandezza o numero di dimensioni. Esempio:

(Dim MioArray)

ReDimAltroArray)

Per utilizzare una matrice dinamica, è necessario specificare più istruzioni ReDim in modo da determinare il numero di dimensioni e la grandezza di ciascuna dimensione. Nell'esempio seguente l'istruzione ReDim imposta la grandezza iniziale della matrice dinamica su 25 Una successiva istruzione ReDim ridimensiona quindi la matrice impostandola su 30 e viene utilizzata la parola chiave Preserve per mantenere il contenuto della matrice durante l'operazione di ridimensionamento.

ReDim MioArray(25)

. . .

ReDim Preserve MioArray(30)


Costanti

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Costanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una costante è un nome significativo non soggetto a modifiche utilizzato in sostituzione di un numero o di una stringa. VBScript definisce un numero di costanti integrate. Potete ottenere ulteriori informazioni su queste costanti integrate nel VBScript Language Reference.

È anche possibile creare costanti personalizzate (o definite dall'utente) in VBScript mediante l'istruzione Const. In tal modo potete assegnare un nome significativo a costanti stringhe o costanti numeriche. In seguito potete assegnargli valori letterali e usarle nel vostro script. Esempio:

Const MyString = "This is a string."

Const MyAge = 49

Tenete presente che la stringa letterale è compresa fra virgolette (" "). Le virgolette sono il modo più chiaro per contraddistinguere i valori stringa dai valori numerici. È possibile rappresentare i valori letterali di data e ora racchiudendoli tra simboli di cancelletto (#); Esempio:

Const LaData = #6-1-97#

Visto che non esiste alcuna differenza funzionale fra costanti create in tal modo e variabili normali, è consigliabile adottare una convenzione di denominazione in modo da contraddistinguere le costanti dalle variabili. In tal modo si può evitare di assegnare un nuovo valore ad una costante durante l'esecuzione dello script. Potete usare, ad esempio, il prefisso vb oppure con per i vostri nomi costante, oppure potete scriverli a lettere maiuscole. In ogni caso, assicuratevi che sia possibile distinguere fra costanti e variabili. In tal modo eviterete problemi quando create script complessi.


Operatori

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBScript dispone di una molteplicità di operatori, fra gli altri operatori aritmetici, di confronto , di concatenazione e logici.

Ancora in questo capitolo

Precedenza tra operatori.

Operatori aritmetici

Operatori di confronto

Operatori logici


Precedenza tra operatori.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Precedenza tra operatori.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando in un'espressione si eseguono varie operazioni, ciascuna parte viene valutata e risolta secondo un ordine specifico definito precedenza tra operatori. Questa successione viene definita ordine di precedenza Per ignorare l'ordine di precedenza in modo che determinate parti di un'espressione vengano valutate prima di altre, è necessario utilizzare le parentesi. Le operazioni racchiuse tra parentesi vengono sempre valutate per prime. All'interno delle parentesi tuttavia viene mantenuta la normale precedenza tra operatori.

Nelle espressioni che includono operatori di categorie diverse, vengono innanzitutto valutati gli operatori aritmetici, quindi gli operatori di confronto e infine gli operatori logici. Gli operatori di confronto hanno la stessa precedenza, ovvero vengono valutati da sinistra a destra nello stesso ordine in cui sono stati specificati. Gli operatori aritmetici e logici vengono valutati in base all'ordine di precedenza indicato di seguito.


Operatori aritmetici

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori aritmetici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione | Simbolo
Elevamento a potenza | ^
Operatore di negazione unario | -
Moltiplicazione | *
Divisione | /
Divisione intera | /
Divisione con modulo | Mod
Addizione | +
Sottrazione | -
Concatenazione di stringhe |


Operatori di confronto

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione | Simbolo
Uguaglianza | =
Disuguaglianza | <>
Minore di | <
Maggiore di | >
Minore o uguale a | <=
Maggiore o uguale a | >=
Equivalenzatra oggetti | Is


Operatori logici

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando in un'espressione si eseguono varie operazioni, ciascuna parte viene valutata e risolta secondo un ordine specifico definito precedenza tra operatori. Questa successione viene definita ordine di precedenza Per ignorare l'ordine di precedenza in modo che determinate parti di un'espressione vengano valutate prima di altre, è necessario utilizzare le parentesi. Le operazioni racchiuse tra parentesi vengono sempre valutate per prime. All'interno delle parentesi tuttavia viene mantenuta la normale precedenza tra operatori.

Nelle espressioni che includono operatori di categorie diverse, vengono innanzitutto valutati gli operatori aritmetici, quindi gli operatori di confronto e infine gli operatori logici. Gli operatori di confronto hanno la stessa precedenza, ovvero vengono valutati da sinistra a destra nello stesso ordine in cui sono stati specificati. Gli operatori aritmetici e logici vengono valutati in base all'ordine di precedenza indicato di seguito.


Controllo dell'esecuzione del programma

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile controllare il flusso di script tramite istruzioni condizionali e istruzioni di ciclo. Con le istruzioni condizionali è possibile scrivere codice VBScript che consente di prendere decisioni e ripetere azioni.

Ancora in questo capitolo

Prendere decisioni con l´aiuto di If...Then...Else

Prendere decisioni con Select Case


Prendere decisioni con l´aiuto di If...Then...Else

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'istruzione If...Then...Else consente di valutare se una condizione è True o False e, a seconda del risultato, di specificare una o più istruzioni da eseguire. In genere, la condizione corrisponde a un'espressione in cui due valori o due variabili vengono confrontati tramite un operatore di confronto. Le informazioni sugli operatori di confronto le trovate al capitolo "Operatori di confronto". Le istruzioni If...Then...Else possono essere nidificate in un numero qualsiasi di livelli di nidificazione.

Ancora in questo capitolo

Esecuzione di istruzioni se una condizione è true.

Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Decidere fra più alternative


Esecuzione di istruzioni se una condizione è true.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Esecuzione di istruzioni se una condizione è true.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esecuzione di istruzioni se una condizione è true.

Per eseguire solo un´istruzione quando una condizione è True , usate la sintassi a linea singola per l´istruzione If...Then...Else . Quello che segue è un esempio di sintassi a linea singola. Tenete presente che in questo esempio la parola chiave Else viene omessa.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Per eseguire più di una linea di codice, dovete usare la sintassi a linea multipla o block syntax. Questa sintassi contiene l´istruzione End If , come mostra il seguente esempio:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

Per eseguire quando una condizione è True , usate la sintassi a linea singola per l´istruzione If...Then...Else . Quello che segue è un esempio di sintassi a linea singola. Tenete presente che in questo esempio la parola chiave Else viene omessa.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Per eseguire più di una linea di codice, dovete usare la sintassi a linea multipla o block syntax. Questa sintassi contiene l´istruzione End If , come mostra il seguente esempio:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Con l´istruzione If...Then...Else potete definire due blocchi con istruzioni eseguibili: un blocco viene eseguito se la condizione è True , l´altro se la condizione è False .

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Decidere fra più alternative

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Decidere fra più alternative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Decidere fra più alternative

Una variazione dell´istruzione If...Then...Else vi consente di scegliere fra più alternative. Aggiungendo clausole ElseIf potete estendere la funzionalità dell´istruzione If...Then...Else in modo tale da poter controllare il corso del programma sulla base di diverse possibilità.

Esempio:
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox Msgbox value out of range!
End If


Prendere decisioni con Select Case

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con Select Case

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La strutturaSelect Case rappresenta un'alternativa all'istruzione If...Then...ElseIf per la selezione di un blocco di istruzioni specifico tra più blocchi diversi La funzione dell'istruzione Select Case è simile a quella dell'istruzione If...Then...Else , con ladifferenza tuttavia che il codice risulta più efficiente e spesso di più facile lettura.

Una struttura Select Case include una singola espressione di testo valutata una sola volta all'inizio della struttura stessa. Il risultato dell'espressione viene quindi confrontato con i valori di ciascun blocco Case della struttura. Se viene individuata una corrispondenza, il blocco di istruzioni associato al blocco Case specifico verràeseguitot:

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Utilizzo di cicli per la ripetizione del codice.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'esecuzione di cicli consente di eseguire ripetutamente un gruppo di istruzioni. In alcuni cicli le istruzioni vengono ripetute fino a quando una condizione risulta falsa ( False ), mentre in altri vengono ripetute fino a quando una condizione risulta vera ( True ). Esistono inoltre cicli in cui le istruzioni vengono ripetute un numero specifico di volte.

In VBScript sono disponibili le seguenti istruzioni per l'esecuzione di cicli:

Parametro | Descrizione
Utilizzo di cicli Do: | le istruzioni vengono ripetute fino a quando una condizione risultaTrue o rimane True.
Utilizzo di cicli While...Wend : | le istruzioni vengono ripetute fino a quando una condizioneè True.
Utilizzo di cicli For...Next : | le istruzioni vengono ripetute il numero di volte specificato da uncontatore.
Utilizzo di cicli For Each...Next : | un gruppo di istruzioni viene ripetuto per ciascun elemento in una lista o ogni elemento di una matrice.

Ancora in questo capitolo

Usare cicli Do

Utilizzo di While...Wend

Uso di For...Next

Uso dell´istruzione For Each...Next


Usare cicli Do

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E’ possibile utilizzare le istruzioni Do...Loop per eseguire un blocco di istruzioni un numero indefinito di volte, senza che il numero delle ripetizioni sia fissato. Le istruzioni vengono ripetute mentre una condizione è True , oppure fino a quando risulta True .

Ancora in questo capitolo

Ripetizioni di istruzioni mentre una condizione è True

Ripetizione di un´istruzione finché una condizione non risulta True

Uscire da un´istruzione Do...Loop dall´interno del Loop


Ripetizioni di istruzioni mentre una condizione è True

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Ripetizioni di istruzioni mentre una condizione è True

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ripetizioni di istruzioni mentre una condizione è True

È necessario utilizzare la parola chiave While per verificare una condizione in un'istruzione Do...Loop . La verifica può essere eseguita prima dell'inizio del ciclo, comeillustrato nell'esempio ChkPrimaWhile riportato di seguito, oppure dopo almeno una esecuzione del ciclo, come illustrato nell'esempio ChkDopoWhile: Nella routine ChkPrimaWhile, se myNum è impostato su 9 anziché su 20, le istruzioni incluse nel ciclo non verranno mai eseguite. Nella routine ChkDopoWhile, le istruzioni incluse nel ciclo vengono eseguite una sola volta, in quanto la condizione ègià False .

Sub ChkPrimaWhile()
Dim counter, mioNum
counter = 0

mioNum = 20

Do While mioNum> 10

mioNum = mioNum - 1

counter = counter + 1

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub

SubChkDopoWhile()

Dim counter, mioNum

counter = 0

mioNum = 9

Do
myNum = myNum - 1
counter = counter + 1

Loop While mioNum > 10

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Ripetizione di un´istruzione finché una condizione non risulta True

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Ripetizione di un´istruzione finché una condizione non risulta True

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ripetizione di un´istruzione finché una condizione non risulta True

È possibile utilizzare la parola chiave Until in due modi diversi per verificare una condizione in un'istruzione Do...Loop :. La verifica può essere eseguita prima dell'inizio del ciclo, come illustrato nell'esempio ChkPrimaUntil riportato di seguito, oppure dopo almeno una esecuzione del ciclo, come illustrato nell'esempio ChkDopoUntil. Il ciclo viene ripetuto finché la condizione risulta False .

Sub ChkPrimaUntil()

Dim counter, mioNum

counter = 0

mioNum = 20

Do Until mioNum = 10

mioNum = mioNum - 1

counter = counter + 1

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub

Sub ChkDopoUntil()

Dim counter, mioNum

counter = 0

mioNum = 1

Do

mioNum = mioNum + 1

counter = counter + 1

Loop Until mioNum = 10

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Uscire da un´istruzione Do...Loop dall´interno del Loop

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Uscire da un´istruzione Do...Loop dall´interno del Loop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Uscire da un´istruzione Do...Loop dall´interno del Loop

Potete terminare un Do...Loop usando l´istruzione Exit Do . Visto che normalmente si desidera terminare l´esecuzione solamente in determinate situazioni (come, per esempio, per evitare un loop infinito), dovreste usare l´istruzione Exit Do nel blocco istruzioni True di un´istruzione If...Then...Else . Se la condizione è False , il loop continuerà ad essere eseguito in modo normale.

Nell´esempio seguente, a myNum è assegnato un valore che provoca un loop infinito. L´istruzione If...Then...Else controlla se si verifica questo stato e impedisce la ripetizione senza fine.

Sub ExitExample()

Dim counter, mioNum

counter = 0

mioNum = 9

Do Until mioNum = 10

mioNum = mioNum - 1

counter = counter + 1

If myNum < 10 Then Exit Do

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Utilizzo di While...Wend

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Utilizzo di While...Wend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VBScript, l´istruzione While...Wend viene messa a disposizione di sviluppatori che hanno familiarità con il suo uso. sono A causa della limitata flessibilità di While...Wend , si consiglia di usare al suo posto Do...Loop .


Uso di For...Next

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Uso di For...Next

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete usare le istruzioni For...Next per definire che un blocco di istruzioni deve essere eseguito un numero specifico di volte. Nel caso di cicli, è necessario utilizzare una variabile contatore ilcui valore viene aumentato o diminuito a ogni ripetizione del ciclo.

Nella routine riportata di seguito, ad esempio, la routine MioCiclo viene eseguita 50 volte. L'istruzione For specifica la variabile contatore x e il corrispondente valore iniziale e finale L'istruzione Next consente di aumentare la variabile contatore con incrementi di una unità:

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

La parola chiave Step consente di aumentare o diminuire la variabile contatore del valore specificato. Nell'esempio riportato di seguito la variabile contatore viene incrementata di due unità a ogni ripetizione del ciclo. Al completamento del ciclo, il totale corrisponde alla somma di 2, 4, 6, 8 e 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Per diminuire la variabile contatore, è necessario utilizzare un valore Step negativo. Dovete specificare un valore finale minore del valore iniziale.. Nell'esempio riportato di seguito, la variabile contatore myNum viene diminuita di due unità a ogni ripetizione del ciclo. Al completamento del ciclo, il totale corrisponde alla somma di 16, 14, 12, 10, 8, 6, 4 e 2:

Sub NuovoTotal()

Dim mioNum, totale

For mioNum = 16 To 2 Step -2

totale = totale + mioNum

Next

MsgBox 'Il totale è" & total

End Sub


Uso dell´istruzione For Each...Next

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Uso dell´istruzione For Each...Next

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ciclo For Each...Next è simile a quello For...Next . La sola differenza è che le istruzioni non vengono ripetute il numero di volte specificato, ma in un ciclo For Each...Next viene eseguito un gruppo istruzioni per ogni elemento di una lista di oggetti, oppure per ogni elemento in una matrice. Ciò risulta particolarmente utile quando non si conosce a priori il numero di elementi di un insieme.

Nell'esempio di codice HTML riportato di seguito, il contenuto di un oggetto Dictionary viene utilizzato per inserire testo in varie caselle di testo:

<HTML>

<HEAD><TITLE>Forms and Elements</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Crea una variabile

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Aggiunge alcune chiavi ed elementi

d.Add '1', "Belgrado"

d.Add '2', "Cairo"

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Next

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Hierauf klicken'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Tipi di procedure

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Sub-routine

Routine function

Trasmissione di dati a o da routine

Utilizzo di routine Sub e Function nel codice


Sub-routine

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Sub-routine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una routine Sub è una successione di istruzioni VBScript che sono comprese fra le istruzioni Sub e End Sub e che eseguono azioni senza restituire alcun valore. In una routine Sub è possibile specificare argomenti, ovvero costanti, variabili o espressioni passate dallaroutine che sta eseguendo una chiamata. Se non si specifica alcun argomento nella routine Sub , nella corrispondente istruzione Sub è necessario includere parentesi vuote ()

Nella routine Sub riportata di seguito, vengono utilizzate le due funzioni VBScript intrinseche, ovvero incorporate, MsgBox e InputBox che consentono di richiedere informazioni all'utente. Viene quindi visualizzato il risultato di un calcolo basato sulleinformazioni fornite. Questo calcolo è eseguito in una routine Function creata in VBScript. Anche quest´ultima viene mostrata nel trattamento della successiva routine Function .

Sub ConvertTemp()

temp = InputBox("Immettere la temperatura in gradi Fahrenheit.", 1)

MsgBox "La temperatura è pari a "& Celsius(temp) & '"gradi C."

End Sub


Routine function

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Routine function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una routine Function è costituita da una serie di istruzioni Visual Basic racchiuse tra le istruzioni Function e End Function . Una routine Function è simile ad una Sotto routine, ma può anche restituire un valore. Una routine Function può accettare argomenti, come costanti, variabili o espressioni, passati a essa dal codice chiamante. Se una routine Function non ha argomenti, la sua istruzione Function deve contenere una coppia di parentesi vuota. Una routine Function restituisce valori assegnando un valore al proprio nome di funzione in una o più istruzioni della routine. Il tipo di valore restituito di un una routine Function è sempre Variant .

Nel seguente esempio, la funzione celsius calcola a partire da gradi Fahrenheit i corrispondenti gradi Celsius . Quando la funzione è chiamata dalla Sotto procedura ConvertTemp, una variabile contenente l´argomento value viene viene passata alla funzione. Il risultato del calcolo viene restituito alla routine chiamante e visualizzato in un apposito message box.

Sub ConvertTemp()

temp = InputBox("Immettere la temperatura in gradi Fahrenheit.", 1)

MsgBox "La temperatura è pari a "& Celsius(temp) & '"gradi C."

End Sub

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Trasmissione di dati a o da routine

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Trasmissione di dati a o da routine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati vengono passati alla routine tramite argomenti. Essi fungono da segnaposto per i dati che vogliono passare alla loro routine. Quando si crea una routine utilizzando l'istruzione Sub - o Function , è necessario far seguire il nome della routine da parentesi. All'interno delle parentesi vengono inseriti gli argomenti separati da una virgola. Nell'esempio seguente, fDegrees è il segnaposto delvalore da convertire passato alla funzione Celsius:

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Utilizzo di routine Sub e Function nel codice

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Utilizzo di routine Sub e Function nel codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare una routine Function nel vostro codice, dovete usarla a destra di un´assegnazione variabile, oppure in un´espressione.

Esempi:

Temp = Celsius(GradF)

oppure

MsgBox 'The temperature is '' & Celsius(temp) & ' degrees C.'

Per richiamare una routine Sub da un'altra routine, è sufficiente specificarne il nome insieme ai valori degli argomenti obbligatori, separati da una virgola. L'istruzione Call non è obbligatoria. Se viene utilizzata, è necessario racchiudere gli eventuali argomenti tra parentesi.

Nell'esempio seguente vengono eseguite due chiamate alla routine MiaRoutine. In un caso l'istruzione Call è utilizzata nel codice, nell´altro no. Entrambe le chiamate eseguono la stessa operazione

Call MiaRoutine(primoarg, secondoarg)

MiaRoutine primoarg, secondoarg


Convenzioni di scrittura del codice

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le convenzioni di scrittura del codice sono proposte che consentono di facilitare la scrittura del codice con la Microsoft Visual Basic Scripting Edition.

Tali convenzioni per la programmazione comprendono, tra l´altro, le seguenti direttive:

Convezioni di denominazione per oggetti, variabili e routine

Convenzioni per i commenti

Indicazioni generali per la formattazione e il rientro del testo

Lo scopo principale delle convenzioni di scrittura del codice è uniformare la struttura e lo stile di uno script o gruppo di script in modo che il codice risulti semplice da leggere e comprensibile a tutti. Grazie alla definizione di buone convenzioni per la programmazione è possibile ottenere codice sorgente preciso, leggibile e chiaro, in conformità con il codice di altri linguaggi e quanto più possibile intuitivo.

Ancora in questo capitolo

Convenzioni di denominazione delle costanti.

Convenzioni di denominazione delle variabili

Ambito di variabili

Nomenclatura valida di variabili e procedure

Convenzioni di denominazione degli oggetti.

Convenzioni di scrittura dei commenti


Convenzioni di denominazione delle costanti.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione delle costanti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni precedenti di VBScript non era disponibile alcun metodo di creazione di costanti definite dall'utente. Se utilizzate, le costanti venivano implementate come variabili e distinte dalle altre variabili con l'utilizzo solo di caratteri maiuscoli. Le parole che componevano il nome venivano separate con un carattere di sottolineatura (_).

Esempi:

USER_LIST_MAX
NEW_LINE

È ancora possibile utilizzare questo metodo per identificare le costanti, ma si consiglia di utilizzare uno schema di denominazione alternativo. Potete creare vere costanti con l'istruzione Const . Questa convenzione consente di utilizzare un formato concaratteri maiuscoli e minuscoli in cui i nomi delle costanti sono preceduti dal prefisso "con".

Per esempio:

conCostantePersonale


Convenzioni di denominazione delle variabili

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per motivi di leggibilità e uniformità, in VBScript i nomi delle variabili devono essere descrittivi e preceduti dai prefissi elencati nella tabella seguente.

Sottotipo | Prefisso | Esempio
Boolean | bln | blnFound
Byte: | byt | bytRasterData
Date (Time) | dtm | dtmStart
Double | dbl | dblTolerance
Error | err | errOrderNum
Integer | int | intQuantity
Long | lng | lngDistance
Object | obj | objCurrent
Single | sng | sngAverage
Stringa | str | strFirstName


Ambito di variabili

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Ambito di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili dovrebbero essere sempre definite con l´ambito più limitato possibile. Le variabili VBScript possono avere uno dei seguenti ambiti.

Ambito | Dichiarazione in | Visibilità
A livello di routine | Evento, funzione, o subroutine. | Visibile nella routine in cui è stata dichiarata.
A livello di script | Sezione HEAD di una pagina HTML, al di fuori di ogni routine. | Visibile in ogni routine dello script.

Ancora in questo capitolo

Prefissi per l´area di validità delle variabili.


Prefissi per l´area di validità delle variabili.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Ambito di variabili -> Prefissi per l´area di validità delle variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Prefissi per l´area di validità delle variabili.

Con script di grandi dimensioni diventa particolarmente importante poter contraddistinguere l'area di validità delle variabili. A tale scopo è sufficiente aggiungere un prefisso di una lettera al prefisso del tipo di variabile in modo da evitare nomi eccessivamente lunghi.

Ambito | Prefisso | Esempio
A livello di routine | nessuno | dblVelocity
A livello di script | s | sblnCalcInProgress


Nomenclatura valida di variabili e procedure

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Nomenclatura valida di variabili e procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel corpo del nome variabile o procedura si dovrebbe utilizzare lettere maiuscole e minuscole. Il nome dovrebbe essere lungo abbastanza per descrivere lo scopo della variabile. Inoltre, i nomi procedura dovrebbero iniziare con un verbo, come, per es., InitNameArray o CloseDialog.

Per quello che concerne le espressioni di uso frequente o di lunghe dimensioni, si raccomanda l´uso di abbreviazioni standard, in modo tale da limitare il nome ad una lunghezza ragionevole. In generale si può dire che nomi variabile più lunghi di 32 caratteri sono difficili da leggere. Quando usate delle abbreviazioni, accertatevi che siano le stesse nell´intero script. L´alternanza casuale fra, per es., Cnt e Count all´interno di uno script o serie di script può generare confusione.


Convenzioni di denominazione degli oggetti.

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione degli oggetti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella tabella seguente sono elencate le convezioni di denominazione di vari oggetti utilizzati nella programmazione in VBScript:

Tipo di oggetto | Prefisso | Esempio
Pannello 3D | pnl | pnlGroup
Pulsante animato | ani | aniMailBox
Casella di controllo | chk | chkReadOnly
Casella combinata (combo box) o di riepilogo a discesa (drop-down list box) | cbo | cboEnglish
Pulsante di comando | cmd | cmdExit
Finestra di dialogo comune | dlg | dlgFileOpen
Cornice | fra | fraLanguage
Barra di scorrimento orizzontale | hsb | hsbVolume
Immagine | img | imgIcon
Etichetta | lbl | lblHelpMessage
Linea | lin | linVertical
Casella di riepilogo (list box) | lst | lstPolicyCodes
Pulsante di selezione (Spin) | spn | spnPages
Casella di testo (text box) | txt | txtLastName
Barra di scorrimento verticale | vsb | vsbRate
Dispositivo di scorrimento (Slider) | sld | sldSkala


Convenzioni di scrittura dei commenti

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di scrittura dei commenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le routine dovrebbero iniziare con un breve commento che ne descrive lo scopo. Tale commento non deve tuttavia includere informazioni dettagliate sulla modalità di implementazione. Tali informazioni, essendosoggette a modifiche, comporterebbero infatti un inutile lavoro di manutenzione o addirittura la presenza di commenti non corretti. La modalità di implementazione viene comunque descritta nel codice stesso e nei commenti inseriti sulla stessa riga delleistruzioni.

È necessario descrivere gli argomenti passati a routine la cui funzione non risulta evidente o che sono inclusi in un determinato intervallo. All'inizio delle routine è inoltre necessario includere una descrizione dei valori restituiti da funzioni e altre variabili che vengono modificate dalla routine, soprattutto se le modifiche vengonoapportate tramite argomenti di riferimento.

Nei commenti di intestazione delle routine è necessario includere le intestazioni di sezione indicate di seguito. Per alcuni esempi, vedere la sezione successiva "Formattazione del codice".

Intestazione di sezione | Commento
Scopo | Operazioni eseguite dalla routine, non la modalità di esecuzione.
Presupposti | Elenco dell'effetto della routine su variabili esterne, controllie altri elementi.
Effetti | Elenco dell'effetto della routine su variabili esterne, controllie altri elementi.
Input | Descrizione degli argomenti con significato non evidente. Ciascun argomento deve essere incluso in una riga distintainsieme a un commento specifico sulla stessa riga.
Valori di feedback | Descrizione del valore restituito.

È importante tenere presente i seguenti punti:

le dichiarazioni di ogni variabile importante devono includere un commento sulla stessa riga in cui viene descritto l'utilizzo della variabile dichiarata;

i nomi di variabili, controlli e routine devono essere sufficientementedescrittivi in modo che sia necessario aggiungere commenti sulla stessa riga solo per la descrizione di implementazioni complesse;

all'inizio degli script è consigliabile includere cenni preliminari che descrivano brevemente lo script e in cui siano elencati gli oggetti, le routine, gli algoritmi, le finestre di dialogo e altre dipendenze di sistema. A volte può risultare utile aggiungere pseudocodice che descrivi l'algoritmo.

Ancora in questo capitolo

Formattazione del codice


Formattazione del codice

Manuale -> Interfacce di programmazione -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di scrittura dei commenti -> Formattazione del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formattazione del codice

Lo scopo è quello di risparmiare spazio sullo schermo, ma allo stesso tempo applicare al codice una formattazione che ne rifletta in modo chiaro la struttura logica e i livelli di nidificazione. Qui di seguito trovate alcuni consigli che possono esservi utili:

  • i blocchi nidificati standard devono rientrare di quattro spazi.
  • i commenti introduttivi di una procedura devono essere rientrati di uno spazio.
  • le istruzioni di livello principale che seguono i commenti iniziali devono rientrare di quattro spazi. Ciascun blocco nidificato dovrebbe rientrare di altri quattro spazi.

Esempio:

Il seguente codice corrisponde alle convenzioni del VB Script coding.

  • Scopo: cerca la prima comparsa dell´utente indicato nel campo dati UserList.
  • Inputs: strUserList(): lista di utenti che deve essere esaminata.
  • strTargetUser: il nome dell´utente di cui si è alla ricerca.
  • Valori di risposta: Indice della prima apparizione di strTargetUser nel campo dati strUserList.
    se l´utente cercato non viene trovato: -1.

Function intSucheBenutzer (strBenutzerListe(), strZielBenutzer)

Dim i ' Loop counter.

Dim blnGefunden ' 'Target found' flag.

intFindUser = -1

i = 0 ' Initialize loop counter

Do While i <= Ubound(strUserList) and Not blnFound

If strUserList(i) = strTargetUser Then

blnGefunden = True 'Set flag to True

intSuche Benutzer = i ' Set return value to loop count

End If

i = i + 1 ' Increment loop counter

Loop

End Function


Objectmodel

Manuale -> Interfacce di programmazione -> Objectmodel

In questo settore trovate la guida al Object Model di zenon. Questo modello si applica a VBA, VSTA, PCE e all’interfaccia COM.

info Info

La guida zenon Object Model è disponibile solamente nella guida in linea (non in quella in formato PDF) e solo in lingua inglese.

Ancora in questo capitolo

Constants

Alarm

AlarmItem

AlarmItems

ALCEdge

ALCEngine

ALCGraphAlias

ALCGraphElem

ALCNode

Application

Archive

ArchiveED

ArchiveFilter

ArchiveFilters

ArchiveFilterVariable

ArchiveFilterVariables

Archives

ArchivesED

ArchiveValue

ArchiveValues

ArchiveVarED

ArchiveVariable

ArchiveVariables

ArvTemplate

ArvTemplates

BatchConfig

BatchControlRecipe

BatchControlRecipePhaseEditedEventData

BatchControlRecipes

BatchControlStrategy

BatchCRSelectionChangedEventData

BatchManager

BatchMasterRecipe

BatchMasterRecipes

BatchMRSelectionChangedEventData

BatchOperation

BatchPhase

BatchPhaseChanges

BatchPhaseCommunicationErrorEventData

BatchPhaseConfig

BatchPhaseEscapeEventData

BatchPhaseExecutionErrorEventData

BatchPhaseModeChangedEventData

BatchPhasePlcErrorEventData

BatchPhaseProgressEventData

BatchPhaseRuntimeEventData

BatchPhasesConfig

BatchPhaseStateChangedEventData

BatchRecipeId

BatchRecipeModeChangedEventData

BatchRecipeStateChangedEventData

BatchTag

BatchTags

BatchTagValue

BatchUnitConfig

BatchUnitsConfig

Cel

CelItem

CelItems

ColorPalettes

ComplexItem

Driver

Drivers

DynPicture

DynPictureInstances

DynPictures

EdLimit

Element

Elements

FileManager

FileManagerFileItem

FileManagerFolder

FontItem

FontList

FontLists

Interlocking

Interlockings

LanguageTable

Limit

Limits

MdiElement

MdiElements

MDITemplate

MDITemplates

MessageControl

MessageControlMessage

OnlineAlarm

OnlineAlarmCollection

OnlineCel

OnlineCelCollection

OnlineVariable

OnlineVariables

Passwords

PfsCalendar

PfsEngine

PfsEvent

PfsEvents

PfsGroup

PfsGroups

PfsHoliday

PfsHolidays

PfsModellBreak

PfsModellBreaks

PfsModellShift

PfsModellShifts

PfsSchedule

PfsScheduleDay

PfsScheduleDays

PfsScheduleLink

PfsScheduleLinks

PfsSchedules

PfsScheduleTime

PfsScheduleTimes

PfsScheduleValue

PfsScheduleValues

PfsSwitchingPoint

PfsSwitchingPointFilter

PfsTimeModell

PfsTimeModells

PictureFilter

Project

Projects

PropParam

Recipe

Recipes

RecipeValue

Rema

Remas

RemoteTransport

RemoteTransportCustom

RGMRecipe

RGMRecipeGroup

RGMRecipeGroups

RGMRecipeValue

RGMRecipeVar

RtFunction

RtFunctions

SapFunction

SapFunctions

SapParameter

SapParameters

SapRow

SapRows

SapTable

SapTables

ScheduleCustomPeriod

ScheduleFunction

ScheduleFunctions

ScheduleGroup

ScheduleGroups

Scheduler

Schedules

ScheduleStandardDay

ScheduleSwitchingPeriod

ScheduleSwitchingPeriods

ScheduleSwitchingPoint

ScheduleSwitchingPoints

ScheduleVariable

ScheduleVariables

Script

Scripts

SelectionChangedEventParameter

SelectionRange

Shift

ShiftBreak

ShiftBreaks

ShiftCalendar

ShiftFilter

ShiftManagement

ShiftModel

ShiftModelInsertResult

ShiftModelInsertSettings

ShiftModels

Shifts

ShiftUser

ShiftUserCollection

State

StyleItem

StyleManager

SymbolElements

Symbols

SystemModel

SystemModelGroup

SystemModelManager

Task

Tasks

Template

Templates

TextList

TextListManager

TimeFunction

TimeFunctions

Units

User

UserGroup

VarAssignment

VarAssignments

Variable

Variables

VariableValue

VarType

VarTypes

ZenMenu

ZenMenuItem

ZenMenus

ZenWorkspace


Constants

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List of constants

Ancora in questo capitolo

tpAdrMode

tpAdrMode

tpAdrMode

tpAdrMode

tpAdrMode

tpALCGroundFaultMode

tpALCGroundFaultType

tpALCShortFaultType

tpALCType

tpArvVarCal

tpBatchBoolValue

tpBatchCRState

tpBatchCRStateFilter

tpBatchExecutionMode

tpBatchExecutionState

tpBatchMRState

tpBatchPhaseCommunicationErrorState

tpBatchPhaseEscapeState

tpBatchPhaseExecutionError

tpBatchPhasePlcErrorState

tpBatchPhaseRuntimeEvent

tpBatchPhaseState

tpBatchTagDataType

tpBatchTagType

tpBuildMethod

tpCRCreateResult

tpDatatypes

tpDebugPrintStyle

tpDriverMode

tpDriverStatus

tpDynPicturesTypes

tpElementTypes

tpFunctionTypes

tpGlobalMultiTouchMode

tpHardcopyOutput

tpKanaltypes

tpLockResult

tpLoginResult

tpLoginType

tpModulePaths

tpMsgCtrlCelDetail

tpNetSendType

tpPfsData

tpPfsDayLink

tpPfsDefaultDays

tpPfsEventTypes

tpPfsLinkTypes

tpPfsTimeTypes

tpProjectNetTypes

tpRecipeRenameResult

tpRema

tpRemoteTransportType

tpRGMRecipeImport

tpRTCustomAction

tpRunStates

tpSapActivity

tpSapError

tpScheduleDayType

tpScreenRawEventRouting

tpShiftBreakDeleteResult

tpShiftCalendarSelection

tpShiftDeleteResult

tpShiftModelInsertResult

tpShiftSaveResult

tpStateBit

tpStyleType

tpTaskStatus

tpTaskTyp

tpVisibilityType

tpZenMenus

tpZenPathType


tpAdrMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined AlarmEventMode constants.

Name | Value | Description
AlarmEventMode_Single | 0 | each change is reported separately
AlarmEventMode_BulkAsXml | 1 | changes as reported as bulk formatted in XML


tpAdrMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined AlarmEventReason constants.

Name | Value | Description
AlarmEventReason_New | 0 | alarm entry is new
AlarmEventReason_Changed | 1 | alarm entry is changed
AlarmEventReason_Deleted | 2 | alarm entry is deleted


tpAdrMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined CelEventMode constants.

Name | Value | Description
CelEventMode_Single | 0 | each change is reported separately
CelEventMode_BulkAsXml | 1 | changes as reported as bulk formatted in XML


tpAdrMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined CelEventReason constants.

Name | Value | Description
CelEventReason_New | 0 | cel entry is new
CelEventReason_Changed | 1 | cel entry is changed
CelEventReason_Deleted | 2 | cel entry is deleted


tpAdrMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpAdrMode constants.

Name | Value | Description
tpAdrPacked | 1 | Packed
tpAdrAccType | 2 | Acc Type
tpAdrManual | 3 | Manual


tpALCGroundFaultMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpALCGroundFaultMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultMode constants.

Name | Value | Description
tpALCGroundFaultModePart | 0 | Part
tpALCGroundFaultModeFull | 1 | Full


tpALCGroundFaultType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpALCGroundFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultType constants.

Name | Value | Description
tpALCGroundFaultTypeNone | 0 | None
tpALCGroundFaultTypeTransAdv | 1 | Adv
tpALCGroundFaultTypeTransLag | 2 | Lag
tpALCGroundFaultTypePermAdv | 3 | Perm Adv
tpALCGroundFaultTypePermLag | 4 | Perm Lag


tpALCShortFaultType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpALCShortFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCShortFaultType constants.

Name | Value | Description
tpALCShortFaultTypeNone | 0 | None
tpALCShortFaultTypePermAdv | 1 | Perm Adv
tpALCShortFaultTypePermLag | 2 | Perm Lag


tpALCType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpALCType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCType constants.

Name | Value | Description
tpALCTypeNone | 0 | None
tpALCTypeSource | 1 | Source
tpALCTypeSwitch | 2 | Switch
tpALCTypeSink | 3 | Sink
tpALCTypeTrafo | 4 | Trafo
tpALCTypeLink | 5 | Link


tpArvVarCal

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpArvVarCal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpArvVarCal constants.

Name | Value | Description
tpCalc_All | 0 | All calculations
tpCalc_Sum | 1 | Sum
tpCalc_Mean | 2 | Mean
tpCalc_Min | 3 | Min
tpCalc_Max | 4 | Max


tpBatchBoolValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchBoolValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchBoolValue constants.

Name | Value | Description
tpBatchBoolFalse | 0 | Set to false
tpBatchBoolTrue | 1 | Set to true
tpBatchBoolToggle | 2 | Toggle value


tpBatchCRState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchCRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRState constants.

Name | Value | Description
tpCRStateCreating | 1 | Creating
tpCRStatePrepared | 2 | Prepared
tpCRStateExecuting | 3 | Executing
tpCRStateExecuted | 4 | Executed,
tpCRStateTerminated | 5 | Terminated
tpCRStateOutdated | 7 | Outdated


tpBatchCRStateFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchCRStateFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRStateFilter constants.

Name | Value | Description
tpCRStateFilterPrepared | 1 | Prepared
tpCRStateFilterExecuting | 2 | Executing
tpCRStateFilterFinished | 4 | Executed or Terminated
tpCRStateFilterOutdated | 8 | Outdated
tpCRStateFilterAll | 65535 | All


tpBatchExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionMode constants.

Name | Value | Description
tpExecutionModeAutomatic | 1 | Automatisch
tpExecutionModeSemiAutomatic | 2 | Halbautomatisch
tpExecutionModeManual | 3 | Manuell


tpBatchExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionState constants.

Name | Value | Description
tpExecutionStateIdle | 0 | resetted or aborted or never started
tpExecutionStateRunning | 1 | running the sequence
tpExecutionStateComplete | 2 | sequence is finished
tpExecutionStateStopping | 3 | processing stop
tpExecutionStateStopped | 4 | stopped
tpExecutionStatePausing | 5 | processing pause
tpExecutionStatePaused | 6 | paused
tpExecutionStateHolding | 7 | processing hold
tpExecutionStateHeld | 8 | held
tpExecutionStateAborting | 9 | abort in progress
tpExecutionStateAborted | 10 | aborted
tpExecutionStateRestarting | 11 | restart in progress


tpBatchMRState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchMRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchMRState constants.

Name | Value | Description
tpMRStateCreating | 0 | Erzeugung
tpMRStateEditing | 1 | Editiermodus
tpMRStateApproved | 2 | Freigegeben
tpMRStateTesting | 3 | Testmodus
tpMRStateExecutingTest | 4 | Ausf?hrungsmodus
tpMRStateTerminated | 5 | Abgeschlossen
tpMRStateOutdated | 8 | Veraltet


tpBatchPhaseCommunicationErrorState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhaseCommunicationErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseCommunicationErrorState constants.

Name | Value | Description
tpCommunicationErrorPending | 0 | The communication error condition of the phase is true - The communication is interrupted
tpCommunicationErrorFixed | 1 | The communication error condition of the phase switched back from true to false, but has not yet been acknowledged
tpCommunicationErrorAcknowledged | 2 | A no longer active communication error has been acknowledged


tpBatchPhaseEscapeState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhaseEscapeState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseEscapeState constants.

Name | Value | Description
tpEscapeStarted | 0 | The escape process for the phase has been started
tpEscapeCompleted | 1 | The escape process for the phase has been finished


tpBatchPhaseExecutionError

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhaseExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseExecutionError constants.

Name | Value | Description
tpExecutionErrorAllocationTimeout | 0 | Unit allocation was not possible within the timeout
tpExecutionErrorMultipleExecution | 1 | The same phase was started twice
tpExecutionErrorInterlockingTimeout | 2 | The interlocking condition could not be passed within the timeout
tpExecutionErrorWriteCommandTagsTimeout | 3 | Writing the commantags was not possible within the timeout
tpExecutionErrorDoneTimeout | 4 | The done condition could not be passsed within the timeout
tpExecutionErrorFollowingConditionTimeout | 5 | The phase was not deactivated within the timeout
tpExecutionErrorVariableInterruption | 6 | A needed variable was interrupted


tpBatchPhasePlcErrorState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhasePlcErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhasePlcErrorState constants.

Name | Value | Description
tpPlcErrorPending | 0 | The PLC error condition is true - The PLC reported an error
tpPlcErrorFixed | 1 | The PlC error condition switched back from true to false - there is no longer an error in the PLC
tpPlcErrorFixedByDeactivation | 2 | The Phase was deactivated while the PLC Error was still active


tpBatchPhaseRuntimeEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhaseRuntimeEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseRuntimeEvent constants.

Name | Value | Description
tpRuntimeShutdown | 0 | A runtime shutdown was triggert while the phase was active
tpRuntimeRestart | 1 | The runtime was started and the execution of this phase was continued, because it was active before shutown


tpBatchPhaseState

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchPhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseState constants.

Name | Value | Description
tpPhaseStateActivated | 0 | Phase was activated
tpPhaseStateUnitAllocationFailed | 1 | First unit allocation failed
tpPhaseStateStarted | 2 | Phase was started - active for the PLC
tpPhaseStateInterlockingBlocked | 3 | Interlocking condition was blocked the first time
tpPhaseStateInterlockingCompleted | 4 | Interlocking condition was passed
tpPhaseStateWritingCommandTagsCompleted | 5 | Writing Command Tags was finished
tpPhaseStateDoneCompleted | 6 | Done condition was passed
tpPhaseStateDeactivated | 7 | Phase was deactivated


tpBatchTagDataType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchTagDataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagDataType constants.

Name | Value | Description
tpTagDataTypeBool | 0 | Bool tag
tpTagDataTypeString | 1 | String tag
tpTagDataTypeNumeric | 2 | Numerical tag
tpTagDataTypeDuration | 3 | Duration tag


tpBatchTagType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBatchTagType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagType constants.

Name | Value | Description
tpTagTypeReturn | 0 | Return tag
tpTagTypeInitial | 1 | Inital tag
tpTagTypeValue | 2 | Value Tag


tpBuildMethod

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpBuildMethod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBuildMethod constants.

Name | Value | Description
tpAll | 0 | All
tpIncremental | 1 | Incremental


tpCRCreateResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpCRCreateResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpCRCreateResult constants.

Name | Value | Description
tpCRCreateSuccess | 0 | The recipe was created successfully.
tpCRCreateOtherError | 1 | A general error has occured.
tpCRCreateWrongLicense | 2 | You do not have the required license for the operation.
tpCRCreateRecipeNotFound | 3 | The master recipe was not found.
tpCRCreateRecipeWrongState | 4 | The master recipe is in the wrong state. It needs to be "approved" to allow the creation of control recipes.
tpCRCreateRecipeInvalid | 5 | The master recipe is invalid.
tpCRCreateInvalidJobIdVariable | 6 | The job id variable is invalid.
tpCRCreateInvalidJobId | 7 | The job id variable has an invalid value.


tpDatatypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpDatatypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDatatypes constants.

Name | Value | Description
tptypeBIT | 8 | BOOL
tptypeINT_8 | 10 | SINT
tptypeUINT_8 | 9 | USINT
tptypeINT_16 | 1 | INT
tptypeUINT_16 | 2 | UINT
tptypeINT_32 | 3 | DINT
tptypeUINT_32 | 4 | UDINT
tptypeINT_64 | 26 | LINT
tptypeUINT_64 | 27 | ULINT
tptypeFLOAT_REAL | 5 | REAL
tptypeSTRING | 12 | STRING


tpDebugPrintStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpDebugPrintStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDebugPrintStyle constants.

Name | Value | Description
tpNrm | 16777216 | Show message (black)
tpWarn | 33554432 | Display warning (orange)
tpErr | 67108864 | Show errors (red)
tpMsg | 134217728 | Default style (blue)


tpDriverMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpDriverMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverMode constants.

Name | Value | Description
tpSimul | 0 | Simulation
tpHardware | 1 | Hardware


tpDriverStatus

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpDriverStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverStatus constants.

Name | Value | Description
tpStop | 0 | Stop
tpStart | 1 | Start


tpDynPicturesTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpDynPicturesTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDynPicturesTypes constants.

Name | Value | Description
tpStandard | 0 | Standard
tpListWindow | 1 | Nodepad
tpAML | 2 | Alarm message list
tpArchEdit | 3 | Archive revision
tpCEL | 4 | Chronologic event list
tpETM | 5 | Extended trend
tpVideo | 6 | Video
tpReports | 7 | Report Generator
tpBefehl | 8 | DBAG Command (Sicam 230)
tpBefehlsgabe | 9 | DBAG Command(Sicam 230)
tpStatus | 10 | State (Sicam230)
tpHelp | 11 | Peak Load Projection
tpRGM | 12 | RGM
tpLogin | 13 | Login
tpHTML | 14 | HTML
tpKeyboard | 15 | Keyboard
tpPFS | 16 | Production & Facility Scheduler
tpRezepturen | 17 | Recipe
tpZustand | 18 | State protocol (Sicam 230)
tpWeltbild | 19 | World view
tpBefBewag | 20 | Scripting command output (Sicam 230)
tpVarStatus | 21 | Variable diagnosis
tpSea | 22 | Switching sequence (Sicam 230)
tpASM | 23 | Industrie Performance Analyzer
tpAlmMgmt | 24 | Alarm management (Sicam 230)
tpIMM | 25 | Industrie Maintainance Manager
tpEnergy | 26 | Command input
tpEMS | 27 | Last-Management
tpTimeFilter | 28 | Time filter
tpAlarmFilter | 29 | Alarm Message List Filter
tpCELFilter | 30 | Chronological Event List
tpGraph7 | 31 | S7 graph
tpBatchControl | 32 | Batch
tpReportViewer | 33 | Report viewer
tpMessageControl | 34 | Message control
tpFaceplate | 35 | Faceplate
tpSystemModel | 36 | System Model
tpADUA | 37 | Active Directory User Administration
tpUserList | 38 | Benutzerliste
tpEditUser | 39 | Benutzer editieren
tpGroupList | 40 | Benutzergruppenliste
tpShiftManagement | 41 | Schichtverwaltung
tpSchaltfolgen | 42 | Schaltfolgen
tpMessageBox | 43 | MessageBox
tpTextList | 44 | TextList
tpProcessRecorder | 45 | ProcessRecorder


tpElementTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpElementTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpElementTypes constants.

Name | Value | Description
tpDynBargraph | 0 | Bar display
tpDynZahlenElem | 1 | Numerical value
tpDynText | 2 | Dynamic text
tpDynTrend | 4 | Trend element
tpDynZeiger | 5 | Pointer instrument
tpDynBewegt | 6 | Only for compatibility
tpDynBinaer | 7 | Status element
tpDynBitmap | 8 | Only for compatibility
tpDynVerkn | 9 | Only for compatibility
tpDynButton | 10 | Button
tpDynSchalter | 11 | Switch
tpDynMultibin | 12 | Multibin
tpDynMeldung | 13 | Message element
tpDynUhr | 14 | Clock
tpDynBefMdi | 15 | Only for compatibility
tpDynStatus | 16 | Combined Element
tpDynBaButton | 17 | Only for compatibility
tpDynControl | 18 | Only for compatibility
tpDynAegel | 19 | Only for compatibility
tpDynActiveX | 20 | ActiveX
tpDynTopLgt | 21 | Only for compatibility
tpDynTopStrg | 22 | Only for compatibility
tpDynInstrument | 23 | Universal slider
tpDynCombiList | 24 | tpDynCombiList
tpDynWindows | 25 | Only for compatibility
tpDynListbox | 26 | Only for compatibility
tpDynCombobox | 27 | Only for compatibility
tpDynListCtrl | 28 | Only for compatibility
tpDynWPF | 29 | WPF element
tpDynGFXListCtrl | 30 | Only for compatibility
tpDynListCtrlNoH | 31 | Only for compatibility
tpDynMarker | 32 | Only for compatibility
tpDynBatchParamList | 33 | Batch Param List
tpDynBatchRecipeFrame | 34 | Batch Recipe Frame
tpDynPictureContainer | 35 | Picture Container
tpDot | 100 | Only for compatibility
tpLine | 101 | Line
tpRectangle | 102 | Rectangle
tpCircle | 103 | EllipseCircle
tpPolyLine | 104 | Polyline
tpText | 107 | Static text
tpArc | 108 | Arc of a circle
tpSolid | 109 | Only for compatibility
tpTraceDr | 111 | Only for compatibility
tpKegel | 114 | Only for compatibility
tpFillPara | 115 | Only for compatibility
tpFillTria | 116 | Only for compatibility
tpFillBlock | 117 | Only for compatibility
tpPie | 121 | Only for compatibility
tpRoundRect | 127 | Only for compatibility
tpPolygon | 128 | Polygon
tpSymbol | 129 | Embedded symbol
tpSymbolLnk | 130 | Linked symbol
tpSegme_Dxf | 131 | Segment of a circle
tpWMF | 133 | Only for compatibility
tpEMF | 134 | Only for compatibility
tpWinkel | 135 | Only for compatibility
tpPipe | 136 | Pipe


tpFunctionTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpFunctionTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpFunctionTypes constants.

Name | Value | Description
tpPicture | 3 | Screen switch
tpLastPicture | 4 | Screen: Return to last
tpPrintAmlCel | 5 | Print AML or CEL
tpExportAmlCel | 6 | Export AML
tpPrintHardCopy | 8 | Print screenshot
tpAlarmAckBlink | 10 | Alarms: acknowledge flashing
tpExit | 12 | Exit Runtime
tpSendVal | 13 | Write set value
tpPlaySound | 14 | Play audio file
tpExecute | 15 | Start program
tpCloseTemplate | 17 | Close fram
tpReadDBaseFile | 18 | Read dBase file
tpSelectScript | 19 | select online
tpExecuteScript | 20 | execute
tpSwitchOnlinePrint | 22 | Switch online printing onoff
tpPrintActual | 23 | Print current values
tpClosePicture | 26 | Close screen
tpExportData | 29 | Export data
tpSelectRecipeOffline | 30 | Standard recipe single with dialog
tpSelectRecipeOnline | 31 | Standard recipe single with online dialog
tpSelectRecipeDirect | 32 | Standard recipe single directly
tpRedundancySwitch | 33 | Redundancy switch
tpActivateAlarm | 34 | Alarm Message List active
tpDeactivateAlarm | 35 | Alarm Message List inactive
tpActDeactAlarm | 38 | Alarm Message List activeinactive
tpFunctionsOnOff | 42 | Functions activeinactive at limit
tpTrendOnOff | 43 | HD administration inactiveactive
tpTrendOn | 44 | HD administration active
tpTrendOff | 45 | HD administration inactive
tpArchiveStart | 46 | Archive: Start
tpArchiveStop | 47 | Archive: Stop
tpListActiveArchive | 48 | Display open archives
tpFunctionsOn | 51 | Functions active at limit
tpFunctionsOff | 52 | Functions inactive at limit
tpCommandOutput | 60 | SAT function
tpCreateSCProtocol | 61 | SAT function
tpFuncLogin | 70 | Log in with dialog
tpFuncLogout | 71 | Log out
tpChangePassword | 72 | Change password
tpBeepStart | 73 | Start continuous tone
tpBeepFinish | 74 | Stop continuous tone
tpExportCel | 76 | Export CEL
tpPrintReport | 77 | Print Report Generator
tpLoginNoPassword | 78 | Login without password
tpReadTextlist | 79 | Language change
tpExportReport | 80 | Export Report Generator
tpCreateProtocol | 81 | Online printing start new page
tpFileOperation | 82 | File operations
tpDriverCommand | 83 | Driver Commands
tpAlarmAck | 84 | Alarms: acknowledge
tpWindowToBack | 85 | Window to the background
tpWindowToFront | 86 | Window to the foreground
tpTemplateFocusOn | 87 | Set focus to the frame
tpTemplateFocusOff | 88 | Take focus away from frame
tpActivateInput | 91 | Activate input to the element with the focus
tpExecReport | 92 | Report Generator: execute
tpRecipeGroupManager | 93 | Recipegroup Manager
tpExportArchive | 95 | Export archives
tpOverviewWindow | 96 | Show overview window
tpUserEdit | 97 | Change user
tpMonitorAssign | 98 | Monitor assign
tpAlarmsGroupsClasses | 99 | Activatedeactivate Alarm Message List, alarmevent groupsclasses
tpSendMessage | 100 | Send a Message
tpVBAEditor | 101 | Open VBA editor
tpVBAMacroDialog | 102 | Show VBA macro dialog
tpShowPCE | 103 | Open PCE editor
tpVBAExecMacro | 104 | Execute VBA macro
tpNetAuth | 105 | Authorization in the network
tpReloadProject | 106 | Reload project online
tpShowRecipeDB | 107 | Show receiving database
tpSaveAlarms | 108 | Save AML and CEL memory buffer
tpSetFocus | 109 | Move focus
tpPictureIndex | 110 | Screen with index
tpAlarmgroupOnOff | 111 | Alarmevent group log inlog off
tpWriteTime | 112 | Write time to variable
tpReadTime | 113 | Read time from variable
tpDeleteAlarm | 114 | Alarms: delete
tpSendMessageAct | 115 | Send Message: activate
tpSendMessageDeact | 116 | Send Message: deactivate
tpExecPFSEvent | 117 | PFS - execute user-defined event
tpVSTAEditor | 130 | Open VSTA editor
tpVSTAExecMacro | 131 | Execute VSTA macro
tpVSTAMacroDialog | 132 | Show VSTA macro dialog
tpAlignVmImage | 139 | Transfer driver simulation image to the standby
tpSimulation | 141 | Activatedeactivate project simulation
tpSapCallFunction | 149 | Execute SAP function
tpEarthfault | 150 | Earthfault search
tpMsgSuppress | 151 | Groupclassareaequipment suppressed
tpMsgSaveQueue | 152 | Save current queue
tpReportViewerPrint | 153 | Report Viewer: export print
tpBatchStateModeCmd | 154 | Execute recipe command changemode change
tpBatchCreateCr | 155 | Create control recipe
tpTemplateToFront | 156 | Funktion "Schablone in Vordergrund bringen"
tpNewAnalyzerReport | 157 | Create analyzer report
tpDeletePicBackPath | 158 | Delete "picture back" path
tpBatchRcpImportXML | 159 | Import recipes from XML
tpBatchRcpExportXML | 160 | Export selected recipes as XML
tpSequencerCmd | 161 | Perform sequencer command
tpSequencesExportXML | 162 | Export selected command sequences as XML
tpSequencesImportXML | 163 | Import command sequences from XML
tpSequencerTeaching | 164 | Start stop teaching a command sequence
tpMtConcurrentExecution | 165 | Execute parallel commands
tpPRPlaybackMode | 166 | PlaybackMode enabledisable
tpSmSqlExport | 167 | Shift calender SQL export
tpExecuteAddInWizard | 168 | Execute AddIn Wizard
tpManageAddInServices | 169 | Manage AddIn Services
tpFunctionTypes_DisplayLicense | 170 | Display information about the licence


tpGlobalMultiTouchMode

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpGlobalMultiTouchMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpGlobalMultiTouchMode constants.

Name | Value | Description
tpGMTNone | 0 | Multi-Touch recognition: deactivated
tpGMTWindows7 | 1 | Multi-Touch recoginition: Windows 7
tpGMTWindows8 | 2 | Multi-Touch recognition: Windows8


tpHardcopyOutput

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpHardcopyOutput

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpHardcopyOutput constants.

Name | Value | Description
tpBMP | 0 | Imagetype BMP of dynpicture hardcopy(...)


tpKanaltypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpKanaltypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpKanaltypes constants.

Name | Value | Description
tpControlStatus | 0 | Control Status
tpAdChan | 1 | AdChan
tpDaChan | 2 | DaChan
tpDigital | 3 | Digital
tpFilter | 4 | Filter
tpStrings | 5 | Strings
tpConfigDef | 6 | Congif Def
tpVirtuell | 7 | Virtuell
tpSPSMerker | 8 | SPSMerker
tpSonderMerker | 9 | SonderMerker
tpSPSEingang | 10 | SPSEingang
tpSPSAusgang | 11 | SPSAusgang
tpTimerEvent | 12 | Timer Event
tpTriggerEvent | 13 | Trigger Event
tpInitFile | 14 | Init File
tpDatenbaustein | 15 | Datenbaustein
tpTerminal | 16 | Terminal
tpVirtuellOnlBerechnen | 17 | Calculate Virtuell Online
tpDataTakerChan | 18 | Data Taker Change
tpProgram | 19 | Program
tpSPSDatenRegister | 20 | SPSDatenRegister
tpSPSFileRegister | 21 | SPSFileRegister
tpSPSTimer | 22 | SPSTimer
tpSPSZaehler | 23 | SPSCounter
tpHWStatus | 24 | Hardware State
tpDataBlock | 25 | DataBlock
tpEzObjekt | 32 | EzObject
tpSystemVariable | 33 | SystemVariable
tpExBaustein | 34 | ExBaustein
tpDriverVariable | 35 | DriverVariable
tpSonderMerker1 | 36 | SonderMerker1
tpCsFirst | 64 | CsFirst
tpCsLast | 79 | CsLast
tpCsDialog | 80 | CsDialog
tpCsDaialogLast | 95 | CsDialogLast
tpCsDbFirst | 96 | CsDbFirst
tpCsDbLast | 127 | CsDbLast


tpLockResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpLockResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLockResult constants.

Name | Value | Description
tpAllowed | 0 | Allowed
tpLocked | 1 | Locked
tpBusy | 2 | Busy


tpLoginResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpLoginResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginResult constants.

Name | Value | Description
tpLoginOk | -2 | Login Ok
tpWrongUser | -2 | Wrong user
tpWrongPassword | -2 | Wrong password
tpWrongUserSystemLocked | -2 | Wrong user - System locked
tpSystemLocked | -2 | System locked
tpUserLocked | -2 | User locked
tpWrongPasswordUserLocked | -2 | Wrong password - User locked
tpPasswordExpired | -2 | Password expired
tpUserDeactivated | -2 | User deactivated
tpSamePassword | -2 | Same Password
tpInvalidConfirmation | -2 | Invalid Confirmation
tpPasswordTooShort | -2 | Password Too Short
tpDefaultError | -2 | Default Error


tpLoginType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpLoginType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginType constants.

Name | Value | Description
tpLoginExternal | -2 | external Login
tpLoginExternalNoLock | -2 | external login without user lockout
tpLoginExternalNoLockNoCel | -2 | silent external login without user lockout


tpModulePaths

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpModulePaths

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpModulePaths constants.

Name | Value | Description
tpPathGraphic | 0 | Graphic
tpPathExport | 1 | Export
tpPathBMP | 2 | BMP
tpPathAlloc | 3 | Alloc
tpPathList | 4 | List
tpPathMedia | 5 | Media
tpPathReport | 6 | Report
tpPathBackup | 7 | Backup
tpPathExpArchives | 8 | ExpArchives
tpPathLanguage | 9 | Language
tpPathHelp | 10 | Help
tpPathPictures | 11 | Pictures
tpPathPCE | 12 | PCE
tpPathSystem | 13 | System
tpPathVideos | 14 | Videos
tpPathDrivers | 15 | Drivers
tpPathAdditional | 17 | Additional
tpPathRDLC | 18 | RDLC


tpMsgCtrlCelDetail

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpMsgCtrlCelDetail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpMsgCtrlCelDetail constants.

Name | Value | Description
tpCelDetailAll | 0 | All
tpCelDetailPositiv | 1 | Positive
tpCelDetailNegative | 2 | Negative
tpCelDetailNone | 3 | None


tpNetSendType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpNetSendType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpNetSendType constants.

Name | Value | Description
tpToServer | 0 | To server
tpToStandby | 1 | To standby
tpToAllClients | 2 | To all clients
tpToSpecificClient | 3 | To specific client


tpPfsData

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsData constants.

Name

Value

Description


tpPfsDayLink

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsDayLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDayLink constants.

Name | Value | Description
tpPfsExecute | 48 | Execute
tpPfsSkip | 49 | Skip
tpPfsDefaultDay | 50 | Default day
tpPfsDefaultHDay | 51 | Default HDay
tpPfsUnused | 52 | Unused


tpPfsDefaultDays

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsDefaultDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDefaultDays constants.

Name | Value | Description
tpPfsMonday | 2 | Monday
tpPfsTuesday | 3 | Tuesday
tpPfsWednesday | 4 | Wednesday
tpPfsThursday | 5 | Thursday
tpPfsFriday | 6 | Friday
tpPfsSaturday | 7 | Saturday
tpPfsSunday | 1 | Sunday
tpPfsHoliday | 8 | Holiday


tpPfsEventTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsEventTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsEventTypes constants.

Name | Value | Description
tpPfsCycleStart | 1 | Cyclestart
tpPfsCycleStartWithProduction | 2 | Cyclestart with production
tpPfsCycleStartWithoutProduction | 3 | Cyclestart without production
tpPfsProductionStart | 4 | Production start
tpPfsProductionEnd | 5 | Production end
tpPfsShiftStart | 6 | Shift start
tpPfsShiftEnd | 7 | Shift end
tpPfsBreakStart | 8 | Break start
tpPfsBreakEnd | 9 | Break end
tpPfsUserEvent | 10 | User event
tpPfsShiftStartFirstDay | 11 | Shift start first day
tpPfsShiftEndLastDay | 12 | Shift start last day
tpPfsShiftFreeStart | 13 | Shift free start
tpPfsShiftFreeEnd | 14 | Shift free end
tpPfsShiftFreeWithoutProductionEnd | 15 | Shift free without production end
tpPfsShiftFreeWithoutProductionStart | 16 | Shift free without production start
tpPfsShiftFirstDayWithoutProductionStart | 17 | Shift start on first day without production
tpPfsShiftLastDayWithoutProductionEnd | 18 | Shift end on last day without production
tpPfsShiftWithoutProductionStart | 19 | Shift without production start
tpPfsShiftWithoutProductionEnd | 20 | Shift without production end


tpPfsLinkTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsLinkTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsLinkTypes constants.

Name | Value | Description
tpPfsVariable | 32 | Variable
tpPfsFunction | 33 | Function
tpPfsVariableWithMacro | 34 | Variable with Macro
tpPfsFunctionWithMacro | 35 | Function with Macro


tpPfsTimeTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpPfsTimeTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsTimeTypes constants.

Name | Value | Description
tpPfsAbsoluteTime | 149 | PFS Timemodel absolute
tpPfsRelativeTime | 150 | PFS Timemodel relative


tpProjectNetTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpProjectNetTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpProjectNetTypes constants.

Name | Value | Description
tpMainstation | 0 | Mainstation
tpServer | 1 | Server
tpStandBy | 2 | StandBy
tpClient | 3 | Client


tpRecipeRenameResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRecipeRenameResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRecipeRenameResult constants.

Name | Value | Description
tpRecipeRenameSuccess | 0 | The recipe was renamed successfully.
tpRecipeRenameOtherError | 1 | A general error has occured.
tpRecipeRenameInvalidName | 2 | The new name is not a valid batch recipe name.
tpRecipeRenameDuplicateName | 3 | A recipe with the new name already exists.
tpRecipeRenameRecipeWrongState | 4 | The recipe is not in a state that allows it to be renamed.
tpRecipeRenameNotVersionOne | 5 | It is not the first version of the master recipe, so the name cannot be changed.


tpRema

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRema constants.

Name | Value | Description
tpBinaer | 1 | Binary
tpAnalog | 2 | Numeric
tpMultiBinaer | 3 | Multi binary
tpMultiAnalog | 4 | Multi numeric
tpString | 5 | String


tpRemoteTransportType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRemoteTransportType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRemoteTransportType constants.

Name | Value | Description
tpSerial | 0 | Serial
tpTCP | 1 | TCP


tpRGMRecipeImport

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRGMRecipeImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRGMRecipeImport constants.

Name | Value | Description
tpOverwriteRecipe | 0 | Overwrite Recipe
tpCreateNewRecipe | 1 | Create New Recipe
tpValuesDiffer | 2 | Values Differ


tpRTCustomAction

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRTCustomAction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRTCustomAction constants.

Name | Value | Description
tpCopy | 0 | Copy
tpCopyRegister | 1 | Copy Register
tpCopyExecute | 2 | Copy Execute


tpRunStates

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpRunStates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRunStates constants.

Name | Value | Description
tpRS_proc | 0 | Proc
tpRS_2proc | 1 | To proc
tpRS_2sim | 2 | To sim
tpRS_simul | 3 | Simul
tpRS_sim2sim | 4 | Sim to Sim
tpRS_PrPlayback | 5 | Process Recorder Playback


tpSapActivity

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpSapActivity

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapActivity constants.

Name | Value | Description
tpSapActivity_inactive | 0 | Function not called
tpSapActivity_inqueue | 1 | Function waiting
tpSapActivity_active | 2 | Function active


tpSapError

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpSapError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapError constants.

Name | Value | Description
tpSapError_No_Connection | -1 | No connection to SAP-System
tpSapError_Ok | 0 | OK
tpSapError_Failure | 1 | Error occurred
tpSapError_Exception | 2 | Exception raised
tpSapError_Sys_Exception | 3 | System exception raised, connection closed
tpSapError_Call | 4 | Call received
tpSapError_Internal_Com | 5 | Internal communication, repeat (internal use only)
tpSapError_Closed | 6 | Connection closed by the other side
tpSapError_Retry | 7 | No data yet (RfcListen or RfcWaitForRequest only)
tpSapError_No_Tid | 8 | No Transaction ID available
tpSapError_Executed | 9 | Function already executed
tpSapError_Synchronize | 10 | Synchronous Call in Progress (only for Windows)
tpSapError_Memory_Insufficient | 11 | Memory insufficient
tpSapError_Version_Mismatch | 12 | Version mismatch
tpSapError_Not_found | 13 | Function not found (internal use only)
tpSapError_Call_Not_Supported | 14 | This call is not supported
tpSapError_Not_Owner | 15 | Caller does not own the specified handle
tpSapError_Not_Initialized | 16 | RFC not yet initialized
tpSapError_System_Called | 17 | A system call such as RFC_PING for connection test is executed
tpSapError_Invalid_Handle | 18 | An invalid handle was passed to an API call
tpSapError_Invalid_Parameter | 19 | An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
tpSapError_Canceled | 20 | An rfc call has been canceled by user
tpSapError_Conversion | 21 | An error during conversion has been detected
tpSapError_Invalid_Protocol | 22 | The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
tpSapError_Timeout | 23 | Timeout


tpScheduleDayType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpScheduleDayType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScheduleDayType constants.

Name | Value | Description
tpScheduleMonday | 0 | Monday
tpScheduleTuesday | 1 | Tuesday
tpScheduleWednesday | 2 | Wednesday
tpScheduleThursday | 3 | Thursday
tpScheduleFriday | 4 | Friday
tpScheduleSaturday | 5 | Saturday
tpScheduleSunday | 6 | Sunday
tpScheduleSpecialDay | 7 | Special Day


tpScreenRawEventRouting

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpScreenRawEventRouting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScreenRawEventRouting constants.

Name | Value | Description
tpScreenRawEventRoutingDeactivated | 0 | Deactivated
tpScreenRawEventRoutingAllEvents | 1 | All events
tpScreenRawEventRoutingSelectedEvents | 2 | Selected events


tpShiftBreakDeleteResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpShiftBreakDeleteResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftBreakDeleteResult constants.

Name | Value | Description
tpShiftBreakDeleteSuccess | 0 | The shift break has been deleted successfully.
tpShiftBreakDeleteError | 1 | A general error has occured.
tpShiftBreakDeleteNotFoundError | 2 | The shift break can not be found


tpShiftCalendarSelection

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpShiftCalendarSelection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftCalendarSelection constants.

Name | Value | Description
tpShiftCalendarSelectionNone | 0 | Nothing is selected.
tpShiftCalendarSelectionRange | 1 | The calendar cells are selected.
tpShiftCalendarSelectionShifts | 2 | The calendar shifts are selected.


tpShiftDeleteResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpShiftDeleteResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftDeleteResult constants.

Name | Value | Description
tpShiftDeleteSuccess | 0 | The shift has been deleted successfully.
tpShiftDeleteError | 1 | A general error has occured.
tpShiftDeleteNotFoundError | 2 | The shift can not be found


tpShiftModelInsertResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpShiftModelInsertResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftModelInsertResult constants.

Name | Value | Description
tpShiftModelInsertSuccess | 0 | The model has been instanciated successfully
tpShiftModelInsertSelectedTimeRangeInvalid | 1 | The selected time range in the calendar is invalid
tpShiftModelInsertModelDoesNotExist | 2 | model does not exist
tpShiftModelInsertTimeout | 3 | acessor to shiftmodels failed to connect
tpShiftModelInsertAtlLeastOneShiftFailed | 4 | one or more shifts failed to create
tpShiftModelInsertSettingsObjectEmpty | 5 | pointer object is null


tpShiftSaveResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpShiftSaveResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftSaveResult constants.

Name | Value | Description
tpShiftSaveSuccess | 0 | The shift has been saved successfully.
tpShiftSaveError | 1 | A general error has occured.
tpShiftSaveNameError | 2 | Invalid name
tpShiftSaveRangeError | 3 | Invalid range
tpShiftSaveNotFoundError | 4 | The shift can not be found
tpShiftAtLeastOneBreakIsWrong | 5 | A minimum of one break is not valid


tpStateBit

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpStateBit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpStateBit constants.

Name | Value | Description
tpBitAlarm | 1 | Alarm
tpBitPrint | 4 | Print
tpBitBlink | 8 | Blink
tpBitFkt | 16 | Execute function
tpBitFktQuery | 32 | Execute function query
tpBitNoQuit | 128 | No Quit
tpBitDelete | 256 | Delete
tpBitBtb | 512 | Not real-time
tpBitBtbRt | 1024 | Real-time
tpBitTransparent | 2048 | Transparent
tpBitFktServer | 4096 | Execute function on server
tpBitFktClient | 8192 | Execute function on client
tpBitQuitAlarm | 16384 | Protocol alarm accepted
tpBitOutAlarm | 32768 | Alarm on outgoing alarm


tpStyleType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpStyleType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpStyleType constants.

Name | Value | Description
tpStyleGroup | -2 | Style group
tpStyleTypeLine | -2 | Style type "Line"
tpStyleTypeFill | -2 | Style type "Fill"
tpStyleTypeRoundCorner | -2 | Style type "Rounding"
tpStyleTypeGlowEffect | -2 | Style type "Glow Effect"
tpStyleTypeText | -2 | Style type "Text"
tpStyleTypeShadow | -2 | tpStyleTypeShadow
tpStyleTypeFrame | -2 | Style type "Frame"
tpStyleTypeScale | -2 | tpStyleTypeScale
tpStyleTypePadding | -2 | tpStyleTypePadding
tpStyleTypeTime | -2 | Style type "Time"
tpStyleTypeValue | -2 | Style type "Value"
tpStyleTypeUniversalSlider | -2 | Style type "Universal Slider"


tpTaskStatus

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpTaskStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskStatus constants.

Name | Value | Description
tpStopTask | 0 | Stop
tpInitTask | 1 | Initialize
tpRunTask | 2 | Run


tpTaskTyp

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpTaskTyp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskTyp constants.

Name | Value | Description
tpCycleTask | 0 | Cyclic
tpCallTask | 1 | Once


tpVisibilityType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpVisibilityType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpVisibilityType constants.

Name | Value | Description
tpFromVariable | -2 | Visibility FromVariable
tpFromInterlocking | -2 | Visibility FromInterlocking


tpZenMenus

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpZenMenus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenMenus constants.

Name | Value | Description
tpVariable | 2 | Variable
tpRtFunction | 1 | RtFunction
tpVbaMacro | 3 | VbaMacro
tpZenHelp | 6 | ZenHelp


tpZenPathType

Manuale -> Interfacce di programmazione -> Objectmodel -> Constants -> tpZenPathType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenPathType constants.

Name | Value | Description
tpzenOnIniPath | 0 | Ini Path
tpzenOnExePath | 1 | Exe Path
tpzenOnUserPath | 2 | User Path
tpzenOnAppDataPath | 3 | AppData Path


Alarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Provides access to the alarm control system, active alarms and their current status. alarm events can be used to directly react to

any occuring new alarm messages.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister any previously registered event

zenonAlarm.AlarmAcknowledged -= new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//procedure is executed when an Alarm comes

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

//procedure is executed when an Alarm has gone

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

//procedure is executed when an Alarm was acknowledged by a user

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

AddHandler Me.zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister any previously registered event

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

'procedure is executed when an Alarm comes

Private Sub zenonAlarm_AlarmComes(ByVal obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

'procedure is executed when an Alarm has gone

Private Sub zenonAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zenonAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenOn runtime
Private Sub Project_Active()
'init the alarm object for events
Set zAlarm = thisProject.Alarm
End Sub

'procedure is executed when an Alarm comes
Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timecomes & " > " & obItem.Text
End Sub

'procedure is executed when an Alarm has gone
Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timegoes & " < " & obItem.Text
End Sub

'procedure is executed when an Alarm was acknowledged by a user
Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.TimeAcknowledged & " | " & obItem.Text
End Sub

'procedure is executed on terminating the zenOn Runtime
Private Sub Project_Inactive()
'free the alarm object
Set zAlarm = Nothing
End Sub

Ancora in questo capitolo

Alarm-Properties

Alarm-Methods

Alarm-Events

Alarm-Dynamic properties


Alarm-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Aktiv


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Alarm-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarmItems | AlarmItems | Returns the alarm-items objects | not used |  | read only | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | AlarmItemsAsXml | Returns the alarm-items as XML | not used |  | read only | yes | yes
IOnlineAlarms | OnlineAlarms | Returns the OnlineAlarms object | not used |  | read only | yes | yes
VARIANT_BOOL | AlarmAcknowledge | Acknowledge alarm with given parameters | not used |  | available | yes | yes
IOnlineAlarmCollection | OnlineAlarmCollection [GET] | Returns the OnlineAlarms object | not used |  | read only | yes |  | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AlarmItems

ResetQueryFilter

AlarmItemsAsXml

OnlineAlarmCollection [GET]

AlarmAcknowledge


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a StringArray of all Dynproperties available for this Object. Example how to call this method:

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps() Dim vProps As VariantDim i As Integer'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With DynProperties it is possible to get access to additional Properties/Methods of Objects.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp()

'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


AlarmItems

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> AlarmItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object AlarmItems of the alarming module. In this collection all existing alarms are listed. With the method Item you can access single alarms. The single alarm entries contain information on the alarms.Filter String:If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used.--> only version 6.51 and above.

Datatype

AlarmItems(String strFilter) As IAlarmItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

The filtering is not implemented at this time. For later use

C#

String strFilter

VBA

strFilter As String

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer
'set alarm objects
Set zAML = thisProject.Alarm

'get all items
Set zAML_Items = zAML.AlarmItems("*")

'get specific item using the screen switch function as filter

' Set zAML_Items = zAML.AlarmItems("myFunction")
'get count of active alarms...
MsgBox zAML_Items.Count & " Alarms in memory..."
'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Debug.Print zAML_Item.Text
Next i
End Sub


ResetQueryFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> ResetQueryFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify AML filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Aml.ResetQueryFilter()

Project.Aml.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Aml.AmlItems(„.")


AlarmItemsAsXml

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> AlarmItemsAsXml

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an XML encoded string of the AlarmItems

Datatype

AlarmItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarmCollection [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> OnlineAlarmCollection [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnlineAlarmCollection [GET]() As IOnlineAlarmCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AlarmAcknowledge

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Methods -> AlarmAcknowledge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmAcknowledge(BSTR szAmlKey, BSTR szUser, BSTR szComputer) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | AlarmAcknowledged | Event: Is fired by alarm acknowledged... | not used |  | available | yes |  | yes
void | AlarmComes | Event: Is fired by alarm coming... | not used |  | available | yes |  | yes
void | AlarmGoes | Event: Is fired by alarm going... | not used |  | available | yes |  | yes
void | AlarmListSelectionChanged | Event: Is fired when the selection in the alarmlist has changed... |  | not used | available | yes | yes
void | AlarmUsertextChanged | Event: Is fired when the usertext has changed... |  | not used | available | yes | yes
void | SelectionChangedEx | Event: selection array in the alarm list has been changed... |  | not used | read only | yes | yes

Ancora in questo capitolo

AlarmComes

AlarmGoes

AlarmAcknowledged

AlarmListSelectionChanged

AlarmUsertextChanged

SelectionChangedEx


AlarmComes

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> AlarmComes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alarm-items objects, Event is fired when an Alarm comes up...To get these Event, an Object has to be declared and initialised

Datatype

AlarmComes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which comes up)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmGoes

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> AlarmGoes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm has been gone.To get these Event, an Object has to be declared and initialised.

Datatype

AlarmGoes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which has gone)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmGoes(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmAcknowledged

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> AlarmAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm was acknowledged by a user.To get these Event, an Object has to be declared and initialised

Datatype

AlarmAcknowledged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

// << TODO: Add Clean-up code here >>

//Unregister previously registered event handler

zenonAlarm.AlarmAcknowledged -= zenonAlarm_AlarmAcknowledged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

// << TODO: Add Initialization code here >>

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmAcknowledged(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmAcknowledged AddressOf zenonAlarm_AlarmAcknowledged

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmListSelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> AlarmListSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

AlarmListSelectionChanged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmListSelectionChanged += new AlarmListSelectionChangedEventHandler(zenonAlarm_AlarmListSelectionChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmListSelectionChanged -= zenonAlarm_AlarmListSelectionChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmListSelectionChanged(IAlarmItem obItem)

{

if (obItem != null) //Note: If the parameter object ist null an object was deselected

{

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text);

}

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmListSelectionChanged(obItem As IAlarmItem)

If obItem IsNot Nothing Then

'Note: If the parameter object ist null an object was deselected

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text)

End If

End Sub

VBA

Private Sub zAMLPIC_Open()
'boolen flag to remember the open event
bAML = True
'init AML Object to get the AlarmListSelectionChanged event
Set zAML = thisProject.Alarm
End Sub

Private Sub zAMLPIC_Close()
'release object
Set zAML = Nothing
End Sub

Private Sub zAML_AlarmListSelectionChanged(ByVal obItem As IAlarmItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bAML = True Then
bAML = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "A_Changed - " & obItem.Text
End If
End Sub


AlarmUsertextChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> AlarmUsertextChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is triggered if an entry is made in the AML list in the column for comments. The entried string is transferred to the event, where it can be manipulated and is afterwards entried in the column for comments. For CEL comments, an event should be analogically built in, as well.

Datatype

AlarmUsertextChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsText

VBA

VBA-Syntax

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmUsertextChanged += new AlarmUsertextChangedEventHandler(zenonAlarm_AlarmUsertextChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmUsertextChanged -= zenonAlarm_AlarmUsertextChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmUsertextChanged(ref string bsText)

{

//Just print out the new text

Debug.Print(bsText);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmUsertextChanged(ByRef bsText As String)

'Just print out the new text

Debug.Print(bsText)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()

Set zAlarm = thisProject.Alarm

End Sub

Private Sub zAlarm_AlarmUsertextChanged(bsText As String)

bsText = bsText & "Projekt-Zeit"

End Sub


SelectionChangedEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Events -> SelectionChangedEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

ref object arrSelection


Alarm-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgAlarm

Ancora in questo capitolo

CDlgAlarm


CDlgAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Alarm -> Alarm-Dynamic properties -> CDlgAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


AlarmItem

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object AlarmItem contains information on an alarm. The different items can be accessed with the method Alarm of the current project. The returned object contains the collection AlarmItems, which lists every single alarm in the project.If the object Alarm was defined with WithEvents (Or has assigned event handlers in C#), the events for received/cleared/acknowledged alarms are executed. Those events have a AlarmItem object as a parameter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

Public Sub MacroGetAlarmItems()

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

PrintAlarm(zenonAlarmItem)

Next

End Sub

Private Sub PrintAlarm(alarm As IAlarmItem)

Debug.Print("TimeComes : " & Convert.ToString(alarm.Timecomes))

Debug.Print("TimeGoes : " & Convert.ToString(alarm.Timegoes))

Debug.Print("TimeAcknowledged : " & Convert.ToString(alarm.TimeAcknowledged))

Debug.Print("Text : " & Convert.ToString(alarm.Text))

Debug.Print("Variable : " + alarm.Variable().Name)

Debug.Print("Value : " & Convert.ToString(alarm.Value))

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer

'set alarm objects
Set zAML = thisProject.Alarm
Set zAML_Items = zAML.AlarmItems("*")

'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Call PrintAlarm(zAML_Item)
Next i
End Sub

Sub PrintAlarm(YourAlarmItem As AlarmItem)
'this procedure will print out a set of informations
'depending to the given AlarmItem...
Debug.Print "TimeComes : " & YourAlarmItem.Timecomes
Debug.Print "TimeGoes : " & YourAlarmItem.Timegoes
Debug.Print "TimeAcknowledged: " & YourAlarmItem.TimeAcknowledged
Debug.Print "Text : " & YourAlarmItem.Text
Debug.Print "Variable : " & YourAlarmItem.Variable.Name
Debug.Print "Value : " & YourAlarmItem.Value
End Sub

Ancora in questo capitolo

AlarmItem-Properties

AlarmItem-Methods


AlarmItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass |  | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup |  | not used | read only | yes | yes
BSTR | Computer | Computer, which raised the alarm |  | not used | read only | yes | yes
long | Countreactivated |  |  | not used | read only | yes | yes
BSTR | Name | Name |  | not used | read only | yes | yes
IAlarmItems | Parent | Parent-object |  | read only | read only | yes | yes
BSTR | Projectname | Project-name |  | not used | read only | yes | yes
long | Status | Status of the variable |  | not used | read only | yes | yes
long | Statusreactivated |  |  | not used | read only | yes | yes
BSTR | Tagname | TagName of the linked variable |  | not used | read only | yes | yes
BSTR | Text | Alarmtext of the variable (limit/rema) |  | not used | read only | yes | yes
DATE | TimeAcknowledged |  |  | not used | read only | yes | yes
DATE | Timecomes | Time of the alarm |  | not used | read only | yes | yes
DATE | Timegoes |  |  | not used | read only | yes | yes
DATE | Timequitted | For internal use only |  | not used | not used | yes | yes
DATE | Timereactivated |  |  | not used | read only | yes | yes
BSTR | User | User, which raised the alarm |  | not used | read only | yes | yes
BSTR | Usertext |  |  | not used | available | yes | yes
VARIANT | Value | Value of the variable |  | not used | read only | yes | yes
long | Index | Index of the alarm in the variable limits list or conditions in reaction matrix |  | not used | read only | yes | yes
BSTR | Cause | Cause of the alarm | not used |  | available | yes |  | yes

Ancora in questo capitolo

Parent

Name

Tagname

Projectname

Text

Status

Index

Value

Timecomes

Timegoes

Timequitted

TimeAcknowledged

Timereactivated

Statusreactivated

Countreactivated

User

Computer

Usertext

AlarmGroup

AlarmClass

Cause


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As AlarmItems

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the variable linked to the alarm entry. This variable can also be found with the method Variable of this object.The variable was defined as an alarm variable in the limit/REMA definition.The name of the variable is unique. With this name the variable can be found in the central variables list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the identification of the variable that executed the alarm. Further properties of the linked variable can be found out with the method Variable. In this case the object Variable is returned.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Projectname

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Projectname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project in which the alarm occurred. Since the object Alarm is always executed in the current project, this property is always the same as Project.Name and thisProject.Name in VBA.With this name the project can be found in the central project list of the application.

Datatype

Projectname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarmtext of the variable (limit/rema)

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the status of the value, that executed the alarm, e.g. the variable Heating_1 has a maximum limit of 10. The value is set to 15 on error. In this case the property contains the status of the value 15.The returned value contains the status in bit code.The following stati are possible in the control system:· Invalid (I-Bit)· Not actualized· Alternate value (EWERT)· General request (GA)· Spontan· Summer/Winter time· Switched off (N_AKT)· Realtime external· Realtime internal· Wintertime· Hand value· User flag 1 .. 8 (ST_M1 .. ST_M8)· Select (SELEC)· Revision (REV)· Run contact (LAUF)· Runtime overflow (LZÜ)· Fail Trafo (SM_TR)· NS· INFO· Set direction

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Index

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Index

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the alarm in the alarm collection.

Datatype

Index() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the „invalid“ value responsible for the occurence of the alarm. The current value was changed from the raw value to a zenOn value.The property value is set on the first event „received“ of the alarm entry. If the alarm is reactivated, only the number of reactivations, the time received and the status of the value is updated.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timecomes

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timecomes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the first event „received“.If the option with time reactivated in the alarm configuration is set, this alarm entry is also used for the next violation (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.The property Timereactivated returns the time of the last event „received“.If this option is not set each event „received“ creates an own alarm entry with the appropriate information.

Datatype

Timecomes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timegoes

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timegoes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „cleared“. The event „cleared“ is executed an the end of the alarm, i.e. the limit violation no longer exists. The time stamp of the event „cleared“ always is greater than that of the event „received“ (see Timecomes).If the option with time reactivated in the alarm configuration is set, it is possible that the time cleared is smaller than the time reactivated (see Timereactived).

Datatype

Timegoes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timequitted

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timequitted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

Timequitted() As DATE

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


TimeAcknowledged

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> TimeAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

TimeAcknowledged() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timereactivated

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timereactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the last event „received“. Usually this is the property Timecomes.If the option with time reactivated in the alarm configuration is set, this entry is updated the next time the alarm occurs (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.

Datatype

Timereactivated() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Statusreactivated

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Statusreactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the reactivated, violated value. Usually this is the property of the current status.If the option with time reactivated in the alarm configuration is set, this property returns the status of the newest violation. With this setting a received unacknowledged alarm only generates one entry. On the next occurence a counter is increased and the time received and the status of the value is updated.

Datatype

Statusreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Countreactivated

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Countreactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the reactivations of the alarm. In the project configuration the option with time reactivated can be set. So a received and not acknowledged alarm only generates one entry. A new occuarance of the alarm only sets a counter, updates the time received and the status.If this option is not used every occurance of the alarm generates a new entry.

Datatype

Countreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user that acknowledged the current alarm. The user logged in at that time is found out and his identification is read. This is transferred to the object Alarm. If no user is logged in, the user SYSTEM is automatically logged in.With this identification the user can be located in the central user administration of the process control system.

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the computer, on which the action occurred, e.g. acknowledging an alarm. The field for the computer name is limited to 47 characters.If the project runs stand-alone (without network), this property returns the name of the computer, where the project runs. In a network this name can be a client, a server or a stand-by.

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Usertext

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Usertext

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

additional Text defined by the User.

Datatype

Usertext() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> AlarmGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm group is linked.A maximum of 256 different alarm groups can be defined. The alarm groups serve for the object orientated technological differenciation:- Group 1 = pumps- Group 2 = electricity- Group 3 = ...

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> AlarmClass

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm class is linked.A maximum of 8 different alarm classes can be defined. The alarm classes have the following tasks:- Priorityfor picture alarming- Colour switching- Definition of alarm colours in the alarms list and for picture alarming- Filter criteria in the alarms list and chronologic events list- Function calling- Execution of e.g. acoustic alarming

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cause

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Cause

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Cause() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Acknowledge | Quit the Alarm | not used | available | yes | yes
VARIANT_BOOL | Delete | Delete the Alarm | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Quit | For internal use only | not used | not used | yes | yes
IVariable | Variable | Returns the linked variable | not used | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Variable

Quit

Acknowledge

Delete


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...)

vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetActive" Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp() 'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable linked to the alarm entry. The variable contains general process information, whereas the alarm entry contains information on the alarm.Refer to the chapter Variable for more detailled information.Hint: The variable should be checked on Nothing.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//Read the name of the corresponding alarm variable and its datatype - print both to the CEL

//Check if the variable is null first.

if(obItem.Variable() != null)

{

this.Cel().WriteCelString(string.Format("An alarm for {0} has gone off, the variable has data type {1}",

obItem.Variable().Name, obItem.Variable().DataType));

}

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'Read the name of the corresponding alarm variable and its datatype - print both to the CEL

'Check if the variable is null first.

If obItem.Variable() IsNot Nothing Then

Me.Cel().WriteCelString(String.Format("An alarm for {0} has gone off, the variable has data type {1}", obItem.Variable().Name, obItem.Variable().DataType))

End If

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub


Quit

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Quit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "quitted"

Datatype

Quit() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit()

End Sub


Acknowledge

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Acknowledge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "acknowledged"

Datatype

Acknowledge() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge()

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "deleted"

Datatype

Delete() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete()

End Sub


AlarmItems

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The alarm entries are administered in this collection. If a new alarm occurs, it is added to this collection.The single alarm entries contain information on the alarm, e.g. name, variable, alarm group, alarm class, ...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* Displays the amount of alarms currently in memory and

* the alarm text of all the different alarms.

*/

public void MacroGetAlarmItems()

{

//Get alarm object(s) from active project

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

MessageBox.Show(string.Format("{0} Alarms in memory...", zenonAlarmItems.Count));

//get text of active alarms...

for(int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

Debug.Print(zenonAlarmItem.Text);

}

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")

'get specific item using the screen switch function as filter

'Set obAmlItems = obAml.AlarmItems("myFunction")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub

Ancora in questo capitolo

AlarmItems-Properties

AlarmItems-Methods


AlarmItems-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
long | Count | Count of the alarm-items | read only | read only | yes | yes
IAlarm | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Aktiv

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Alarm

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


AlarmItems-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarmItem | Item | Returns the alarm-item on the given position | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> AlarmItems -> AlarmItems-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for the alarm entry at the position vID. All existing alarms of the project are in this collection. The returned object Alarmitem contains important information on the alarm.This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vIndex) As AlarmItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant

Unique index for the position of the element in the list. Care that the index is < Count, i.e. for nIndex = 0 to Count-1

C#

object vIndex

VBA

vIndex As Variant

Examples

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub


ALCEdge

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about a selected procedural element.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroALCEdge()

{

//Get ALC engine and child objects

IALCEngine zenonAlcEngine = this.ALCEngine();

IALCEdge zenonAlcEdge = zenonAlcEngine.EdgeItem(0);

IALCNode zenonAlcNodeOne = zenonAlcEdge.Node1;

IALCNode zenonAlcNodeTwo = zenonAlcEdge.Node2;

//Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID);

//Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture);

//Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID);

//Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString());

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable);

//Returns the ID of the procedural elements node on the screen

//Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID);

//Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID);

}

VB.NET

Public Sub MacroALCEdge()

'Get ALC engine and child objects

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

Dim zenonAlcEdge As IALCEdge = zenonAlcEngine.EdgeItem(0)

Dim zenonAlcNodeOne As IALCNode = zenonAlcEdge.Node1

Dim zenonAlcNodeTwo As IALCNode = zenonAlcEdge.Node2

'Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID)

'Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture)

'Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID)

'Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString())

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable)

'Returns the ID of the procedural elements node on the screen

'Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID)

'Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID)

End Sub

VBA

Sub ALCEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim zAlcNode1 As ALCNode 'Child object from type ALCEngine
Dim zAlcNode2 As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)

'Returns the ID of the procedural element in the screen
MsgBox "ElementID of the procedural element = " & zAlcEdge.ElementID
'Returns the screen in which the procedural element is used
MsgBox "Screen = " & zAlcEdge.Picture
'Returns the ID of the ALC source (the list of these Ids is available at the project property "Automatic line coloring")
MsgBox "Source ID = " & zAlcEdge.SourceID

'Returns the type of procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Returns the variable which is linked to the procedural element
MsgBox "Linkes variable = " & zAlcEdge.Variable.Name

'Returns the first connected node (HINT:Not all procedural elements include two Nodes!)
Set zAlcNode1 = zAlcEdge.Node1
'Returns the ID of the node in the screen
MsgBox "Link ID Node1 = " & zAlcNode1.LinkID
'Returns the second connected node
Set zAlcNode2 = zAlcEdge.Node2
'Returns the ID of the node in the screen
MsgBox "Link ID Node2 = " & zAlcNode2.LinkID

End Sub

Ancora in questo capitolo

ALCEdge-Properties


ALCEdge-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | not used | available | yes | yes
tpALCGroundFaultType | GroundFaultType | Returns the ground fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | GroundFaultVarDisp | Returns the attached ground fault display Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarFwd | Returns the attached ground fault forward Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarRev | Returns the attached ground fault reverse Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarTrg | Returns the attached ground fault trigger Variable if ground fault detection is enabled. | not used | available | yes | yes
IALCNode | Node1 | Returns the first ALC node. | read only | read only | yes | yes
IALCNode | Node2 | Returns the second ALC node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | not used | available | yes | yes
tpALCShortFaultType | ShortFaultType | Returns the short fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | ShortFaultVarDisp | Returns the attached short fault display Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarFwd | Returns the attached short fault forward Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarRev | Returns the attached short fault reverse Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarTrg | Returns the attached short fault trigger Variable if short fault detection is enabled. | not used | available | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes

Ancora in questo capitolo

Node1

Node2

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

GroundFaultType

GroundFaultVarTrg

GroundFaultVarFwd

GroundFaultVarRev

GroundFaultVarDisp

ShortFaultType

ShortFaultVarTrg

ShortFaultVarFwd

ShortFaultVarRev

ShortFaultVarDisp


Node1

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Node1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node1() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Node2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node2() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> SourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the ALC source (the list of these IDs is available at the zenOn project property "Automatic line coloring")

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ReverseSourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "Variable". It represents the variable which is linked to the procedural element.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the picture in which the procedural element is used.

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the procedural element in the picture.

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetNameOfElement()
Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get first procedural element of the project
Set zAlcEdge = thisProject.ALCEngine.EdgeItem(0)
'Get name of this procedural element (combielement)
Debug.Print "Name of element = " & FindElem(zAlcEdge).Name

End Sub

Function FindElem(zAlcEdge As ALCEdge) As Element
Dim i As Integer
Dim zPIC As DynPicture

'Get picture object
Set zPIC = thisProject.DynPictures.Item(zAlcEdge.Picture)
'Enum elements in picture
For i = 0 To zPIC.Elements.count - 1
'Check element id
If zPIC.Elements.Item(i).ID = zAlcEdge.ElementID Then
'Return Element
Set FindElem = zPIC.Elements.Item(i)
Exit Function
End If
Next i
End Function


ElementRef

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultType

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultType() As tpALCGroundFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarTrg

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarTrg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarFwd

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarFwd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarRev

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarRev

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarDisp

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarDisp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultType

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultType() As tpALCShortFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarTrg

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarTrg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarFwd

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarFwd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarRev

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarRev

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarDisp

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarDisp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCEngine

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

ALCEngine-Properties

ALCEngine-Methods

ALCEngine-Events


ALCEngine-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of ALC edges. | read only | read only | yes | yes
long | GraphAliasCount | Returns the number of ALC alias elements. | read only | read only | yes | yes
long | GraphElemCount | Returns the number of ALC elements. | read only | read only | yes | yes
tpALCGroundFaultMode | GroundFaultMode | Get/Set the ground fault mode. | not used | available | yes | yes
long | NodeCount | Returns the number of ALC nodes. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the ALCEngine Object. | read only | read only | yes | yes
double | MaxOverload |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

NodeCount

EdgeCount

GraphElemCount

GraphAliasCount

GroundFaultMode

MaxOverload


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NodeCount

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> NodeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of nodes in a project.

Datatype

NodeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EdgeCount

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> EdgeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of procedural elements (generator, source, switch, disconnector, drain, transformator, link) from a project.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphElemCount

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GraphElemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphElemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphAliasCount

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GraphAliasCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphAliasCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GroundFaultMode

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GroundFaultMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultMode() As tpALCGroundFaultMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxOverload

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> MaxOverload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxOverload() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ALCEngine-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AckGroundFault | Acknowledges a ground fault detection. | not used | available | yes | yes
void | AckShortFault | Acknowledges a short fault detection. | not used | available | yes | yes
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | read only | read only | yes | yes
IALCEdge | FindEdge | Returns the ALC edge associated to the given element. | read only | read only | yes | yes
IALCEdge | FindEdgeByRef | Returns the ALC edge associated to the given element. | not used | read only | yes | yes
IALCNode | FindNode | Returns the ALC node associated to the given element. | read only | read only | yes | yes
IALCNode | FindNodeByRef | Returns the ALC node associated to the given element. | not used | read only | yes | yes
IALCGraphAlias | GraphAliasItem | Returns the ALC alias element at the given index. | read only | read only | yes | yes
IALCGraphElem | GraphElemItem | Returns the ALC element at the given index. | read only | read only | yes | yes
IALCNode | NodeItem | Returns the ALC node at the given index. | read only | read only | yes | yes

Ancora in questo capitolo

NodeItem

EdgeItem

GraphElemItem

GraphAliasItem

FindNode

FindEdge

FindNodeByRef

FindEdgeByRef

AckGroundFault

AckShortFault


NodeItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> NodeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a node from the project. Such an element is from object type "ALCNode".

Datatype

NodeItem(long lIndex) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

VBA

Sub NodeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first node of the picture
Set zAlcNode = zAlcEngine.NodeItem(0)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of edges = " & zAlcNode.EdgeCount

End Sub


EdgeItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> EdgeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from the project. Such an element is from type ALCEdge.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

VBA

Sub GetEdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first ALC procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)
MsgBox "Element is in picture = " & zAlcEdge.Picture

End Sub


GraphElemItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> GraphElemItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a ALCElement item.

Datatype

GraphElemItem(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

C#

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem AlcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim AlcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub


GraphAliasItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> GraphAliasItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a ALCAlias item of a ALCElement.

Datatype

GraphAliasItem(long lIndex) As ALCGraphAlias

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

C#

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias AlcAlias = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim AlcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub


FindNode

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindNode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an ALC node from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindNode(String bsPicture, long lElementID) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID from one of the line elements which is connected to the node. String that defines the Screen in which the ALC element is used.

VBA

lElementID As Long

bsPicture As String

Examples

VBA

Sub FindNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Returns a ALC node with a specific ID (ID from one of the connected line elements) from a specific picture
Set zAlcNode = zAlcEngine.FindNode("BILD3", 18)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount

End Sub


FindEdge

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindEdge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindEdge(String bsPicture, long lElementID) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID of the element in the Screen. String that defines the Screen in which the ALC element is used.

VBA

lElementID As Long

bsPicture As String

Examples

VBA

Sub FindEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Returns an ALC procedural element with a specific ID (element ID in the picture) from a specific picture
Set zAlcEdge = zAlcEngine.FindEdge("BILD3", 17)
'Show the ALC ID if the element
MsgBox "Source ID of the element = " & zAlcEdge.SourceID

End Sub


FindNodeByRef

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindNodeByRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindNodeByRef(String bsElemRef) As ALCNode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


FindEdgeByRef

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindEdgeByRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindEdgeByRef(String bsElemRef) As ALCEdge

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AckGroundFault

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> AckGroundFault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckGroundFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AckShortFault

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> AckShortFault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckShortFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCEngine-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CheckInterlocking | Event: Is fired to check interlockings. | not used | available | yes | yes

Ancora in questo capitolo

CheckInterlocking


CheckInterlocking

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCEngine -> ALCEngine-Events -> CheckInterlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is fired to check topological interlockings. The operated switch and also the new condition are assigned.The event uses LockResult, bUnlockable or bsText to indicate a violated lock condition. If the Lockresult is tpBusy the event will be fired until the result is no longer tpBusy for a maximum of 10 sec. After the elapsed time the locking will be activ. BsText and bUnlockable apply information concerning the locking text and the unlocking conditions.

Datatype

CheckInterlocking(ALCEdge pALCEdge, long nNewState, tpLockResult LockResult, String bsText, Boolean bUnlockable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCGraphAlias

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias alcAlias = this.ActiveDocument.ALCEngine().GraphAliasItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim alcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphAliasItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Ancora in questo capitolo

ALCGraphAlias-Properties


ALCGraphAlias-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
IALCGraphElem | OriginalGraphElem | Returns the original ALC element. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes

Ancora in questo capitolo

OriginalGraphElem

Type

Picture

ElementID

ElementRef


OriginalGraphElem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> OriginalGraphElem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OriginalGraphElem() As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem alcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim alcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Ancora in questo capitolo

ALCGraphElem-Properties

ALCGraphElem-Methods


ALCGraphElem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
double | Length | Returns the length | read only | read only | yes | yes
long | LoadType | Returns the load type | read only | read only | yes | yes
double | LoadVal | Returns the fixed load value | read only | read only | yes | yes
long | MaxIType | Returns the maximal current type | read only | read only | yes | yes
double | MaxIVal | Returns the fixed maximal current | read only | read only | yes | yes
long | Node1Count | Returns the number of elements connected to first node. | read only | read only | yes | yes
long | Node2Count | Returns the number of elements connected to second node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
double | React | Returns the reactance | read only | read only | yes | yes
double | Resist | Returns the resistance | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | read only | read only | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | VarCalcI | Returns the variable for calculated current | read only | read only | yes | yes
IVariable | VarCurI | Returns the variable for actual current | read only | read only | yes | yes
IVariable | VarCurP | Returns the variable for actual power | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes
IVariable | VarLoad | Returns the variable for load value | read only | read only | yes | yes
IVariable | VarMaxI | Returns the variable for maximal current | read only | read only | yes | yes
IVariable | VarProtReact | Returns the variable for protection reactance | read only | read only | yes | yes

Ancora in questo capitolo

Node1Count

Node2Count

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

VarProtReact

MaxIType

MaxIVal

VarMaxI

VarCurI

VarCalcI

VarCurP

LoadType

LoadVal

VarLoad

React

Resist

Length


Node1Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Node1Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Node2Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> SourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ReverseSourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarProtReact

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarProtReact

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarProtReact() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIType

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIVal

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIVal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarMaxI

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarMaxI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarMaxI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurI

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCalcI

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCalcI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCalcI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurP

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurP() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadType

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> LoadType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadVal

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> LoadVal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarLoad

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarLoad

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarLoad() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


React

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> React

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

React() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Resist

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Resist

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Resist() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Length

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Length

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Length() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCGraphElem | Node1Item | Returns the the element connected to first node at the given index. | read only | read only | yes | yes
IALCGraphElem | Node2Item | Returns the the element connected to second node at the given index. | read only | read only | yes | yes

Ancora in questo capitolo

Node1Item

Node2Item


Node1Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods -> Node1Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods -> Node2Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCNode

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about the line and procedural elements of a single node in your topology.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroAlcNode()

{

IALCEngine zenonAlcEngine = this.ALCEngine();

//Get the first node of the project

IALCNode zenonAlcNode = zenonAlcEngine.NodeItem(2);

//Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount);

//Return one of the connected procedural elements

IALCEdge zenonAlcEdge = zenonAlcNode.EdgeItem(0);

//Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString());

//Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID);

}

VB.NET

Public Sub MacroAlcNode()

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

'Get the first node of the project

Dim zenonAlcNode As IALCNode = zenonAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount)

'Return one of the connected procedural elements

Dim zenonAlcEdge As IALCEdge = zenonAlcNode.EdgeItem(0)

'Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString())

'Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID)

End Sub

VBA

Sub ALCNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim CountElements As Long
Dim LineStates As Variant
Dim i As Integer

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first node of the project
Set zAlcNode = zAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Return number of line elements which are connected to the node
CountElements = UBound(zAlcNode.ElementIDs)
MsgBox "Number of connected line elements = " & CountElements

'Print current states of a node
If (IsEmpty(zAlcNode.LineStates)) Then
Debug.Print "No line state active"
Else
LineStates = zAlcNode.LineStates
For i = 0 To UBound(LineStates)
Debug.Print "State " & i & " = " & LineStates(i)
Next i
End If

'Return link ID if a link (procedural element) is connected to the node
MsgBox "Link ID = " & zAlcNode.LinkID

End Sub

Ancora in questo capitolo

ALCNode-Properties

ALCNode-Methods


ALCNode-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of edges connected to this node. | read only | read only | yes | yes
VARIANT | ElementIDs | Returns the IDs of the elements the Node is connected with. | read only | read only | yes | yes
VARIANT | ElementRefs | Returns the reference names of the elements the Node is connected with. | not used | available | yes | yes
VARIANT | LineStates | Returns the all line states at this node. | not used | read only | yes | yes
long | LinkID | Returns the ID of the linked Source. | read only | read only | yes | yes
VARIANT | Pictures | Returns the names of the pictures the Node is in. | read only | read only | yes | yes

Ancora in questo capitolo

EdgeCount

LineStates

LinkID

Pictures

ElementIDs

ElementRefs


EdgeCount

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> EdgeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of procedural devices which are connected to the node.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LineStates

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> LineStates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of ALC states which are currently active in runtime. These states are a declared in the zenOn project settings at the "Automatic Line Coloring" property.

Datatype

LineStates() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LinkID

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> LinkID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of a projected link (procedural element) which is available for this node.

Datatype

LinkID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Pictures

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> Pictures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of pictures where the line elements of the node are projected. This is helpful when links (procedural elements) are projected and so one node is extracted over many pictures.

Datatype

Pictures() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementIDs

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> ElementIDs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of IDs of the line elements which are connected to the node.

Datatype

ElementIDs() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRefs

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Properties -> ElementRefs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRefs() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCNode-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | available | available | yes | yes

Ancora in questo capitolo

EdgeItem


EdgeItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ALCNode -> ALCNode-Methods -> EdgeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type "ALCEdge". You have the opportunity to get one of the procedural elements which are connected to the node.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Select one of the connected procedural elements. With the "EdgeCount" property you see how many elements are connected (counting starts at 0).

VBA

lIndex As Long

Examples

VBA

Sub EdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first line element of the project
Set zAlcNode = zAlcEngine.NodeItem(0)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

End Sub


Application

Manuale -> Interfacce di programmazione -> Objectmodel -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Includes the whole application of the control system. This is the only object in the hierarchy, that can be used by the internal function GetObject of Visual Basic. You can only use GetObject, if the Runtime of the control system is already running.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

public void MacroGetProjects()

{

//Use a string builder to generate a list of gathered information

StringBuilder buildResult = new StringBuilder();

buildResult.AppendLine(string.Format("Active Project: {0}", this.ActiveDocument.Name));

buildResult.AppendLine("Projects in Workspace:");

//Iterate through every single project and add its name to the string builder

for(int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

if (zenonProject != null)

buildResult.AppendLine(zenonProject.Name);

}

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK);

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Public Sub MacroGetProjects()

'Use a string builder to generate a list of gathered information

Dim buildResult As New StringBuilder()

buildResult.AppendLine(String.Format("Active Project: {0}", Me.ActiveDocument.Name))

buildResult.AppendLine("Projects in Workspace:")

'Iterate through every single project and add its name to the string builder

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

If zenonProject IsNot Nothing Then

buildResult.AppendLine(zenonProject.Name)

End If

Next

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK)

End Sub

VBA

Public Sub GetProjects()
Dim strResult As String
Dim zPROJECT As Project
Dim i As Integer

'get active project...
strResult = "Active Project: " & MyWorkspace.ActiveDocument.Name & vbCrLf & vbCrLf
'get projects in workspace...
strResult = strResult & "Projects in Workspace:" & vbCrLf
For i = 0 To ApplicationED.Projects.Count - 1
Set zPROJECT = ApplicationED.Projects.Item(i)
If Not zPROJECT Is Nothing Then
strResult = strResult & zPROJECT.Name & vbCrLf
End If
Next i
'Show Result in a Messagebox
MsgBox strResult, vbInformation, "GetProjects"
End Sub

Ancora in questo capitolo

Application-Properties

Application-Methods

Application-Events


Application-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Computer |  | available | available | yes | yes
VARIANT_BOOL | Enabled |  | available | available | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
OLE_HANDLE | hWnd |  | available | available | yes | yes
VARIANT_BOOL | IsElementWizard | For internal use only | not used | not used | yes | yes
IZenWorkspace | MyWorkspace | Returns the ZenWorkspace object (Editor Only). | read only | not used | yes | yes
BSTR | Name |  | available | available | yes | yes
BSTR | Path |  | available | available | yes | yes
long | RunState | Returns the Application run state. | read only | read only | yes | yes
BSTR | Version |  | available | available | yes | yes
long | VersionNumber | Returns the Application version. | read only | read only | yes | yes
VARIANT | WizardResult | For internal use only | not used | not used | yes | yes

Ancora in questo capitolo

Hide

Path

hWnd

Enabled

Name

Version

VersionNumber

Computer

RunState

WizardResult

IsElementWizard

MyWorkspace


Hide

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns/sets the visibility of the main window. If the value is True, the main window is hidden. With the value False the main window is shown again.The sample listed below accesses the object Application of the control system from an external application and hides/shows the main window depending of the status.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnHide()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not running"
Exit Sub
End If
'Hide/Show Application...
obZenOn.Hide = Not m_obZenOn.Hide
End Sub


Path

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Path

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the path from which the application was started. The name of the application is added to the path.For Example:C:\Program Files\COPA-DATA\zenOn620\zenrt32.exe

Datatype

Path() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


hWnd

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> hWnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the handle of the main window of the application. The handle mostly is needed for API calls, e.g. to send messages to the window.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enabled

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the visibility of the application main window. This property can be read as well as written. If the value is set to False, the window is deactivated. Thus online operation, e.g. switching pictures in the Runtime, is prevented.As a default the value is set to True. In this case online operation is possible.The example listed below accesses the object Application of the control system from an external application and de/activates the main window depending of the status.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnEnable()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not active"
Exit Sub
End If
'Enable/Disable Main Window...
obZenOn.Enabled = Not obZenOn.Enabled
End Sub


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the application.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the version of the application.

Datatype

Version() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


VersionNumber

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> VersionNumber

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionNumber() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the computer on which the Runtime is running.

Datatype

Computer() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RunState

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> RunState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RunState() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


WizardResult

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> WizardResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WizardResult() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


IsElementWizard

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> IsElementWizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsElementWizard() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


MyWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Properties -> MyWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Workspace object.

Datatype

MyWorkspace() As ZenWorkspace

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Application-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Activate | - | available | available | yes | yes
void | Close | - | available | available | yes | yes
void | DebugPrint | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
void | MDIChild | For internal use only | not used | not used | yes | yes
void | Modeless | For internal use only | available | available | yes | yes
void | PrepareModeless | For internal use only | available | available | yes | yes
IProjects | Projects | - | available | available | yes | yes
BSTR | zenOnPath [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Projects

Close

Activate

zenOnPath [GET]

DebugPrint


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

VBA

bsPath As String


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


Projects

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> Projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of projects loaded in the Runtime (object Application). With this projectlist the loaded projects can be accessed. The collection Projects can be accessed directly or it can be stored in a temporary variable.Each project is offered as Project object in VBA (IProject in VSTA).

Datatype

Projects() As Projects

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Iterate through all projects and create the runtime files

public void MacroCreateAllRuntimeFiles()

{

for (int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

try

{

//tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll);

}

catch (Exception ex)

{

this.Parent.DebugPrint(string.Format("Error while creating project {0} | Error Message: {1}",

zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr);

throw;

}

}

}

VB.NET

'Iterate through all projects and create the runtime files

Public Sub MacroCreateAllRuntimeFiles()

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

Try

'tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll)

Catch ex As Exception

Me.Parent.DebugPrint(String.Format("Error while creating project {0} | Error Message: {1}", zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr)

Throw

End Try

Next

End Sub

VBA

'create all runtime files for all projects in the workspace...
Public Sub CreateAllRuntimeFiles()
Dim i As Integer
On Error Resume Next
For i = 0 To ApplicationED.Projects.Count - 1
ApplicationED.Projects.Item(i).Build tpAll
Next i
End Sub


Close

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes the application.

Datatype

Close() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This Macro will simply close the zenon application

public void MacroCloseApplication()

{

Application.Close();

}

VB.NET

'This Macro will simply close the zenon application

Public Sub MacroCloseApplication()

Application.Close()

End Sub


Activate

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method switches the main window of the application to the foreground (if this is not already the case).

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Alarm().AlarmComes += new AlarmComesEventHandler(ThisProject_AlarmComes);

}

void ThisProject_AlarmComes(IAlarmItem obItem)

{

//this.Parent.Parent is the actual Application object. for further details check the

//class diagram for the zenOn API object model

this.Parent.Parent.Activate();

}

void ThisProject_Inactive()

{

this.Alarm().AlarmComes -= new AlarmComesEventHandler(ThisProject_AlarmComes);

FreeObjects();

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Private Sub ThisProject_Active()

Me.Alarm().AlarmComes += New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

End Sub

Private Sub ThisProject_AlarmComes(obItem As IAlarmItem)

'this.Parent.Parent is the actual Application object. for further details check the

'class diagram for the zenOn API object model

Me.Parent.Parent.Activate()

End Sub

Private Sub ThisProject_Inactive()

Me.Alarm().AlarmComes -= New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

FreeObjects()

End Sub


zenOnPath [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> zenOnPath [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets the absolute path of the specified directory (tpZenPathType)

Datatype

zenOnPath(tpZenPathType lPath) As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Number or Constant

VBA

lPath As tpZenPathType

Examples

C#

public void MacroOpenZenonFolder()

{

//Gets the (user) path of the zenOn application

string folder = this.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath);

//Opens the folder in a new explorer window or prints an error.

try

{

System.Diagnostics.Process.Start(folder);

}

catch (Exception ex)

{

this.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr);

}

}

VB.NET

Public Sub MacroOpenZenonFolder()

'Gets the (user) path of the zenOn application

Dim folder As String = Me.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath)

'Opens the folder in a new explorer window or prints an error.

Try

System.Diagnostics.Process.Start(folder)

Catch ex As Exception

Me.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr)

End Try

End Sub


DebugPrint

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Methods -> DebugPrint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sends a message to the output window of the editor.

Datatype

DebugPrint(String bsText,tpDebugPrintStyle tpStyle) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroDebugPrintExample()

{

//Use different channels of the debug output to print some text

this.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm);

this.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn);

this.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg);

this.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr);

}

VB.NET

Public Sub MacroDebugPrintExample()

'Use different channels of the debug output to print some text

Me.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm)

Me.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn)

Me.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg)

Me.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr)

End Sub


Application-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnClose |  | available | available | yes | yes

Ancora in questo capitolo

OnClose


OnClose

Manuale -> Interfacce di programmazione -> Objectmodel -> Application -> Application-Events -> OnClose

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the application is about to be closed (before it is closed)

Datatype

OnClose() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Parent.Parent.OnClose += new OnCloseEventHandler(Parent_OnClose);

}

void Parent_OnClose()

{

//When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!");

}

void ThisProject_Inactive()

{

this.Parent.Parent.OnClose -= new OnCloseEventHandler(Parent_OnClose);

FreeObjects();

}

VB.NET

Imports System.Windows.Forms 'NOTE: The reference System.Windows.Forms has to be included into the reference list.

Private Sub ThisProject_Active()

AddHandler Me.Parent.OnClose, AddressOf Parent_OnClose

End Sub

Private Sub Parent_OnClose()

'When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!")

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.Parent.OnClose, AddressOf Parent_OnClose

FreeObjects()

End Sub


Archive

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Archive" object contains project information like the name, the source archive and other properties. The archive also is the basis for "ArchiveVariables" and "ArchiveFilters".The "ArchiveVariables" object contains all archive variables. Each archive variable contains further projecting information.With the "ArchiveFilters" object you can define and execute dynamic filters. In a filter you can define the variables from which you need the values. Additionally you can define the time period and the status. On executing the filter you get a list with all Runtime variables for that filter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchive()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//There is an archive, output some details on it

this.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Type: " + zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName,tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroZenOnArchive()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'There is an archive, output some details on it

Me.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Type: " & zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_Archive()
'Declarations
Dim zArchive As Archive

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is available ...
If zArchive Is Nothing Then
'... then inform the user
MsgBox ("No archive available!")

'Otherwise, output some details on the archive
Else
'Output the name
Debug.Print "Name: " & zArchive.Name
'Output the type
Select Case zArchive.Type
Case Is = 1
Debug.Print vbTab & "Type: Cyclic scanning"
'Output the cycle rate, if the archive is cyclic
Debug.Print vbTab & "Cycle rate: " & zArchive.Cycle
Case Is = 2
Debug.Print vbTab & "Type: Event-triggered scanning"
Case Is = 3
Debug.Print vbTab & "Type: Spontaneous scanning"
End Select

'Output the term
Debug.Print vbTab & "Term: " & zArchive.LongName
'Output the ID
Debug.Print vbTab & "ID: " & zArchive.ID
End If
End Sub

Ancora in questo capitolo

Archive-Properties

Archive-Methods


Archive-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Two-character unique short identifier of the archive; Relevant for automatic issuing of names with export functions; (CAUTION: Release of the other input fields occurs only after input of the short identifier) | not used | read only | yes | yes
long | Cycle | Reading in of the values is done cyclically by the system (days, hours, minutes and seconds) | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | Identifier | Returns the archive identifier. | not used | read only | yes | yes
BSTR | LongName | For internal use only | not used | read only | yes | yes
IArchives | Parent |  | not used | read only | yes | yes
short | Type |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

ID

Name

Type

Cycle

LongName

Identifier


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archives

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current archive.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "Archive" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cycle

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> Cycle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the cycle rate of the current archive in seconds.Hint: In the case of an event-triggered or spontaneous scanning archive, this property will return 0.

Datatype

Cycle() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongName

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> LongName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

LongName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Identifier

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Properties -> Identifier

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

Identifier() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archive-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime
IArchiveFilters | ArchiveFilters | - | not used | available
IArchiveVariables | ArchiveVariables | - | not used | available
VARIANT | BatchIndex [GET] | Returns the batchinformation of the archive. | not used | read only
void | DynProperties [PUT] | - | available | available
VARIANT | DynProperties [GET] | - | available | available
VARIANT | DynPropertiesEnum [GET] | - | read only | read only
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used

Ancora in questo capitolo

BatchIndex [GET]

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ArchiveFilters

ArchiveVariables


BatchIndex [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> BatchIndex [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the archive.

Datatype

BatchIndex() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


ArchiveFilters

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> ArchiveFilters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveFilters" object) of all available filters. It is also possible to create new filters and delete existing ones.Hint: For further information, please have a look at the "ArchiveFilters" part.

Datatype

ArchiveFilters() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> Archive -> Archive-Methods -> ArchiveVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveVariables" object) with all assigned archive variables.Hint: For further information, please have a look, at the "ArchiveVariables" part.

Datatype

ArchiveVariables() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveED

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveED" object contains project information like the name, the source archive and other properties.It is used within the editor in order to initialize the archive. Hence, the object won't be available in the runtime. In the "Archive" object, which will be available in the runtime, some properties will be set to read-only. Therefore all important initialization should be done by means of the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchiveEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

//Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1);

zenonArchiveEd.set_DynProperties("TimeGap", 5);

zenonArchiveEd.set_DynProperties("Offset", 0);

zenonArchiveEd.set_DynProperties("Cycle", 60);

//Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart",

TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0)));

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

//Output the new configuration (To Debug, for example)

this.Parent.

DebugPrint("Name: " +

zenonArchiveEd.get_DynProperties("ShortName") + " - "

+ zenonArchiveEd.get_DynProperties("LongName"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Cyclic: " +

zenonArchiveEd.get_DynProperties("Cyclic"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Scanning cycle: " +

zenonArchiveEd.get_DynProperties("TimeGap"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Offset: "

+ zenonArchiveEd.get_DynProperties("Offset") + " sec",

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Save Cycle: " +

zenonArchiveEd.get_DynProperties("Cycle"),

tpDebugPrintStyle.tpNrm);

//We have to reconvert the internally used time stamp format to a human readable format

this.Parent.DebugPrint("Cycle start: " +

TimeConversion.ZenOnToSystem((uint)zenonArchiveEd.get_DynProperties("CycleStart")).ToString(),

tpDebugPrintStyle.tpNrm);

}

VB.NET

Public Sub MacroZenOnArchiveEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1)

zenonArchiveEd.set_DynProperties("TimeGap", 5)

zenonArchiveEd.set_DynProperties("Offset", 0)

zenonArchiveEd.set_DynProperties("Cycle", 60)

'Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart", TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

'Output the new configuration (To Debug, for example)

Me.Parent.DebugPrint("Name: " & zenonArchiveEd.get_DynProperties("ShortName") & " - " & zenonArchiveEd.get_DynProperties("LongName"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Cyclic: " & zenonArchiveEd.get_DynProperties("Cyclic"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Scanning cycle: " & zenonArchiveEd.get_DynProperties("TimeGap"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Offset: " & zenonArchiveEd.get_DynProperties("Offset") & " sec", tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Save Cycle: " & zenonArchiveEd.get_DynProperties("Cycle"), tpDebugPrintStyle.tpNrm)

'We have to reconvert the internally used time stamp format to a human readable format

Me.Parent.DebugPrint("Cycle start: " & TimeConversion.ZenOnToSystem(CUInt(zenonArchiveEd.get_DynProperties("CycleStart"))).ToString(), tpDebugPrintStyle.tpNrm)

End Sub

VBA

Sub zenOn_ArchiveED()
'Declarations
Dim zArchiveED As ArchiveED
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArchiveED with the archive selected by the identification name "01"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.Item("01")
'If no such archive is available ...
If zArchiveED Is Nothing Then
'... then create a whole new archive with the identification name "01" and the name "zenOn_ArchiveED"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.CreateArchive("01", "zenOn_ArchiveED", Nothing)
End If

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

With zArchiveED
'Set the scanning mode: Cyclic scanning
.DynProperties("Cyclic") = 1
'Set the scanning cycle rate: 5 seconds
.DynProperties("TimeGap") = 5
'Set the offset: 0 seconds
.DynProperties("Offset") = 0
'Set the saving cycle: 60 seconds
.DynProperties("Cycle") = 60
'Set the start time of the cycle: 2007-07-30 12:00:00
.DynProperties("CycleStart") = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Add the "WIZ_VAR_12" variable to the archive
.AddVariable "WIZ_VAR_12", 0, Nothing
End With

'Output the configuration
With zArchiveED
'Output the identifier and the name
Debug.Print "Name: " & .DynProperties("ShortName") & " - " & .DynProperties("LongName")
'Output the scanning mode
Debug.Print vbTab & "Cyclic: " & .DynProperties("Cyclic")
'Output the scanning cycle
Debug.Print vbTab & "Scanning cycle: " & .DynProperties("TimeGap") & " sec."
'Output the offset
Debug.Print vbTab & "Offset: " & .DynProperties("Offset") & " sec."
'Output the archive saving cycle
Debug.Print vbTab & "Save cycle: " & .DynProperties("Cycle") & " sec."
'Output the start time of the cycle
Debug.Print vbTab & "Cycle start: " & Format(zTimeConvert.zenOn2System(CDbl(.DynProperties("CycleStart"))), "yyyy-mm-dd hh:mm:ss")
End With

End Sub

Ancora in questo capitolo

ArchiveED-Properties

ArchiveED-Methods

ArchiveED-Dynamic properties


ArchiveED-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IArchivesED | Parent |  |  | read only | read only | yes | yes
long | Count |  | read only |  | read only | yes |  | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchivesED

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArchiveED-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVarED | Item | - | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | - | available | not used | yes | yes
IArchiveVarED | AddVariable | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
short | ImportArvTemplate |  | available | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AddVariable

RemoveVariable

Item

ImportArvTemplate


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a new Variable to the collection. The varialbe is identified by its name or ID.

Datatype

AddVariable(VARIANT vNameOrId, tpArvVarCal tpCalculation, IArchiveED* pSourceArchive) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroAddVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

/* Add a variable to a given ArchiveED object

* Set the calculation type to All

* Set the source Archive to NULL

*/

IArchiveVarED zenonArchVar = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

if (zenonArchiveED == null)

{

//The variable "WIZ_VAR_12" is non-existant

this.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroAddVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

' Add a variable to a given ArchiveED object

' * Set the calculation type to All

' * Set the source Archive to NULL

'

Dim zenonArchVar As IArchiveVarED = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

If zenonArchiveED Is Nothing Then

'The variable "WIZ_VAR_12" is non-existant

Me.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


RemoveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> RemoveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an assigned "Variable" object from the collection. The variable is identified by its name or ID.

Datatype

RemoveVariable(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

if (zenonArchiveED.RemoveVariable("WIZ_VAR_12"))

{

//The variable was removed correctly

this.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg);

}

else

{

//The variable was not removed correctly i.e. not found

this.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroRemoveVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

If zenonArchiveED.RemoveVariable("WIZ_VAR_12") Then

'The variable was removed correctly

Me.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg)

Else

'The variable was not removed correctly i.e. not found

Me.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarED" object from the collection, which is identified by the parameter vNameOrPos.The parameter vNameOrPos can have two values:

  • Element name:The element can be accessed with the unique name of the corresponding "Variable" object that was assigned to the "ArchiveVarED" object.
  • Index:Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVarED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroIterateArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

//Iterate through all archive variables and print their names

for (int i = 0; i < zenonArchiveED.Count(); ++i)

{

this.Parent.DebugPrint("Variable " + ((IVariable)zenonArchiveED.Item(i).

get_DynProperties("Variable")).Name +

" is in " + zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIterateArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Iterate through all archive variables and print their names

For i As Integer = 0 To zenonArchiveED.Count() - 1

Me.Parent.DebugPrint("Variable " + DirectCast(zenonArchiveED.Item(i).get_DynProperties("Variable"), IVariable).Name & " is in " & zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub


ImportArvTemplate

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> ImportArvTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Importiert das Archiv von einer XML Datei

Datatype

ImportArvTemplate(BSTR FileName) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub ImportArvTemplate()

Dim obArchsED As ArchivesED

Dim obArchED As ArchiveED

Dim iRet As Integer

Set obArchsED = MyWorkspace.ActiveDocument.ArchivesED

Set obArchED = obArchsED.Item(0)

If Not obArchED Is Nothing Then

iRet = obArchED.ImportArvTemplate("C:\ProgramData\COPA-DATA\zenon711\Templates\Archives\GERMAN\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.xml", True)

End If

End Sub


ArchiveED-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Archive

Ancora in questo capitolo

Archive


Archive

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveED -> ArchiveED-Dynamic properties -> Archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ShortName

ShortName

This property gets/sets the identificator of an archive.

VT_BSTR

LongName

LongName

This property gets/sets the name of the archive.

ZT_VARIABLE

ChargeVar

ChargeVar

This property gets/sets the variable which is used as batch variable.

VT_BOOL

IsChargeIdx

IsChargeIdx

"This property gets/sets the ""index batches"" option of an batch archive. "

VT_BSTR

Format

Format

This property gets/sets the format of ASCII/dBase evacuation files.

VT_UI4

LastIndex

LastIndex

VT_UI4

FktStart

FktStart

This property gets/sets the function which is linked as end function via its function ID.

VT_UI4

FktEnd

FktEnd

This property gets/sets the function which is linked as end function via its function ID.

VT_UI2

Modus

Modus

This property gets/sets the kind of start and stop of an archive.
At start and end of runtime = 3
User defined = 2
RDA block archive = 0

VT_UI4

CycleStart

CycleStart

This property gets/sets the cycle start time.

VT_UI4

Cycle

Cycle

This property gets/sets the number of values which are arranged in an archive file. For example: Scan cycle of 1 second and cyclic file creation every 30 seconds sets the cycle property on value 30.

VT_BSTR

DataSource

DataSource

This property gets/sets the database provider string for the sql evacuation of the archives.

VT_BOOL

UseAzureServiceBus

UseAzureServiceBus

Description

VT_BSTR

AzureConnection

AzureConnection

Description

VT_BSTR

SourceShortName

SourceShortName

This property gets the identificatior of the head archive. It is only set when a follow archive is available.

ZT_VARIABLE

EventVar

EventVar

This property gets/sets the trigger variable of an archive.

ZT_VARIABLE

RunningStatusVar

RunningStatusVar

Description

ZT_VARIABLE

EvacuationStatusVar

EvacuationStatusVar

Description

VT_UI4

Flags

Flags

"This property gets/sets the ""option"" settings of an archive via a bit coded value."

VT_BOOL

Unicode

Unicode

This property gets/sets the unicode flag when the saving format ASCII is used for archives.

VT_UI8

StateF

StateF

VT_UI8

StateActiveF

StateActiveF

VT_UI8

StateFBanned

StateFBanned

VT_UI8

StateActiveFBanned

StateActiveFBanned

VT_UI4

TimeGap

TimeGap

VT_UI4

Offset

Offset

This property gets/sets the offset time (in sec) when cyclic scanning is used.

VT_I1

Cyclic

Cyclic

"This property gets/sets the scanning settings of an archive.
Cyclic scanning, Cycle = 9
Cyclic scanning, Monthly = 13
Event triggered scanning, Internal = 7
Event triggered scanning, External = 15
Spontaneous scanning = 14"

VT_UI4

BeginTime

BeginTime

Returns the time an archive file is created.

VT_UI4

FileFormat

FileFormat

"This property gets/sets the kind of archive saving format.
Internal database (*.arx), no evacuation = 9
Internal database (*.arx), evacuation in internal format (*.arx) = 2049
Internal database (*.arx), evacuation in SQL database (*.arx) = 1025
Internal database (*.arx), evacuation in XML format (*.xml) = 513
Internal database (*.arx), evacuation in ASCII format (*.txt) = 33
Internal database (*.arx), evacuation in dBase IV format (*.dbf) = 33
dBase IV format (*.dbf), no evacuation = 10
ASCII file (*.txt), no evacuation = 10
XML file (*.xml), no evacuation = 264
"

VT_UI2

Count

Count

This property gets/sets the number of archive files which are evacuated. For example: Scan cycle of 10 minutes and an evacuation storage time of 2 hours sets the count property on value 6.

VT_BOOL

AuslUnicode

AuslUnicode

This property returns if the archive is evacuated in unicode when the evacuation via ASCII is selected.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

VT_BOOL

FilterHierarchic

FilterHierarchic

Description


ArchiveFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveFilter" object is used to filter archive entries by a specified date / time and state.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

Public Sub MarcrozenOnArchiveFilter()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

'Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

'Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 14, 0, 0)))

'Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 31, 11, 15, 0)))

zenonArchiveFilter.StatusMask = &H41000

'Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = &H41000

'Return data if one of those bit is true or both

'Initiate a filter query

Dim zenonArchiveVariables As IArchiveFilterVariables = zenonArchiveFilter.Query()

For i As Integer = 0 To zenonArchiveVariables.Count - 1

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

Me.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilter()
'Declarations
Dim zArchive As Archive
Dim zArvFilter As ArchiveFilter
Dim zArvVars As ArchiveFilterVariables
Dim zTimeConvert As clsTimeConvert
Dim dTime As Double
Dim i As Integer

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is availabe, then ...
If zArchive Is Nothing Then
'... inform the user
MsgBox ("No archive available!")

Else
'Initialize zArvFilter by creating a new archive filter
Set zArvFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArvFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
Next i

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00")))
'Set the converted time as the start time for the filter
zArvFilter.StartTime = dTime

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("31.07.2007 11:15:00")))
'Set the converted time as the end time for the filter
zArvFilter.EndTime = dTime

'All I-BIT and HWERT bits
zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT
zArvFilter.StatusBit = &H41000 'Return data if one of those bits are TRUE or both

'Initialize zArvVars by initiating a new filter query
Set zArvVars = zArvFilter.Query

'For every filtered variable within the result...
For i = 0 To zArvVars.Count - 1
With zArvVars.Item(i)
'... output the name of the variable ...
Debug.Print "Variable: " & .ArchiveVariable.Name
'... and the amount of I-BIT and HWERT bits within the specified time range
Debug.Print vbTab & "I-BIT + HWERT: " & .ArchiveValues.Count & vbNewLine
End With
Next i
End If
End Sub

Ancora in questo capitolo

ArchiveFilter-Properties

ArchiveFilter-Methods


ArchiveFilter-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountArchiveVariables |  | not used | read only | yes | yes
long | EndTime |  | not used | available | yes | yes
IArchiveFilters | Parent |  | not used | read only | yes | yes
long | Raster |  | not used | available | yes | yes
VARIANT_BOOL | ReadOnlyVarsInFilter | Load only in the filter defined variables. | not used | available | yes | yes
long | StartTime |  | not used | available | yes | yes
long | StatusBit |  | not used | available | yes | yes
long | StatusMask |  | not used | available | yes | yes

Ancora in questo capitolo

StartTime

EndTime

Parent

Raster

StatusMask

StatusBit

CountArchiveVariables

ReadOnlyVarsInFilter


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time of the filter as long.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Datatype

StartTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

The following macro should be used to set the time correctly. Follow the instructions inside the macro header.

C#

/* This utility class can be used to convert zenOn internal time stamps to

* an actual DateTime structure of the .net framework and backwards. Import

* this file into your current solution, i.e. project in the VSTA editor

* and you can use both of the static methods. Make sure the file is in the

* same namespace of your main project file or import it with "using".

*/

using System;

namespace WorkspaceAddin

{

public static class TimeConversion

{

public static DateTime ZenOnToSystem(uint time)

{

return new DateTime(1970, 1, 1).

AddSeconds(time).

ToLocalTime();

}

public static uint SystemToZenOn(DateTime time)

{

return (uint)time.ToUniversalTime().

Subtract(new DateTime(1970, 1, 1)).

TotalSeconds;

}

}

}

VB.NET

' * This utility class can be used to convert zenOn internal time stamps to

' * an actual DateTime structure of the .net framework and backwards. Import

' * this file into your current solution, i.e. project in the VSTA editor

' * and you can use both of the static methods. Make sure the file is in the

' * same namespace of your main project file or import it with "using".

Public NotInheritable Class TimeConversion

Private Sub New()

End Sub

Public Shared Function ZenOnToSystem(time As UInteger) As DateTime

Return New DateTime(1970, 1, 1).AddSeconds(time).ToLocalTime()

End Function

Public Shared Function SystemToZenOn(time As DateTime) As UInteger

Return CUInt(Math.Truncate(time.ToUniversalTime().Subtract(New DateTime(1970, 1, 1)).TotalSeconds))

End Function

End Class

VBA

'##############################################################################
'## Name : clsTimeConvert ##
'## Description: Macro to convert from local time into UTC and vice versa ##
'## ##
'## Instructions ##
'## 1. Copy the macro into a textfile and save it under "clsTimeConvert.cls" ##
'## 2. Import the file into the VBA project ##
'## >> File -> Import file... ##
'## >> Shortcut CTRL + M ##
'## 3. Declare a variable as "clsTimeConvert" within the VBA project ##
'## e.g. Dim zTimeConversion as clsTimeConvert ##
'## 4. Convert from local time into UTC ##
'## e.g. zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00"))) ##
'##############################################################################
Option Explicit
Private Declare Function GetTimeZoneInformation _
Lib "kernel32" (lpTimeZoneInformation As TIME_ZONE_INFORMATION) As Long
Private Type SYSTEMTIME
wYear As Integer
wMonth As Integer
wDayOfWeek As Integer
wDay As Integer
wHour As Integer
wMinute As Integer
wSecond As Integer
wMilliseconds As Integer
End Type
Private Type TIME_ZONE_INFORMATION
Bias As Long
StandardName(1 To 64) As Byte
StandardDate As SYSTEMTIME
StandardBias As Long
DaylightName(1 To 64) As Byte
DaylightDate As SYSTEMTIME
DaylightBias As Long
End Type
Const TIME_ZONE_ID_UNKNOWN = &H0
Const TIME_ZONE_ID_STANDARD = &H1
Const TIME_ZONE_ID_DAYLIGHT = &H2
Dim SommerZeit As Boolean
Dim SommerZeitDate As Date
Dim SommerZeitName$
Dim SommerZeitGMT&
Dim NormalZeitDate As Date
Dim NormalZeitName$
Dim NormalZeitGMT

Public Function zenOn2System(dTime As Double) As Double
'Converts zenOn (GMT) time to system time format...
zenOn2System = (dTime - GetTimeZone) / 86400 + 25569
End Function

Public Function System2zenOn(lTime As Double) As Double
'Converts system time to zenOn time (GMT) format...
System2zenOn = (lTime - 25569) * 86400 + GetTimeZone
End Function

Private Function GetTimeZone() As Long
Dim TZI As TIME_ZONE_INFORMATION
Dim Result&, ErrFlag As Boolean
Result = GetTimeZoneInformation(TZI)
Select Case Result
Case TIME_ZONE_ID_UNKNOWN
SommerZeit = False
Case TIME_ZONE_ID_STANDARD
SommerZeit = False
Case TIME_ZONE_ID_DAYLIGHT
SommerZeit = True
Case Else
Exit Function
End Select
If SommerZeit = True Then
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.DaylightBias)
Else
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.StandardBias)
End If
End Function


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the end time of the filter.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

Hint: For further information, please have a look at the StartTime property part.

Datatype

EndTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Raster

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> Raster

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the utilized archive type is none cyclic and this property is set to 0, then all archive entries between the start- and the end time will be returned.Otherwise (i.e. "Raster" property set greater than 0 and the archive type is cyclic) not all archive entries will be returned, but beginning with the start time each N-th (N="Raster") entry is returned.<h5>Example:</h5>Cyclic archive with an cylic rate of 15 minutes (900 seconds) &amp;rarr; Entries are recorded every 15 minutes (e.g. 07:45, 08:00, 08:15, ...)"StartTime" is 12:15 and the "Raster" property is set to 3 &amp;rarr; Every third entry is returned (e.g. 12:15, 13:00, 13:45, 14:30, ...)ATTENTION: If the start time doesn't match the archive cyle time then no data entries will be returned.e.g. Archive entries are 12:15, 12:30, 12:45, 13:00, ..."Raster" is set to 3, but "Start-Time" is set to 12:16 &amp;rarr; It would return 12:16, 13:01, 13:46 but archive cycle is lagging one minute behind &amp;rarr; No entries will be returned!

Datatype

Raster() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusMask

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StatusMask

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StatusMask() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusBit

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StatusBit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the relevant state bits.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

'No state bit filtering -> Default

zArvFilter.StatusMask = 0 'Check none of the states

zArvFilter.StatusBit = 0 '"StatusBit" doesn't matter

'All I-BIT bits

zArvFilter.StatusMask = &H40000 'Check only I-BIT

zArvFilter.StatusBit = &H40000 'Return data if I-BIT is TRUE'

All states, except I-BIT bits

zArvFilter.StatusMask = Not &H40000 'Check all states without I-BIT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

'All I-BIT and HWERT bits

zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT

zArvFilter.StatusBit = &H41000 'Return data if one of those bits is TRUE or both

'All states, except I-BIT + HWERT bits

zArvFilter.StatusMask = Not &H41000 'Check all states without I-BIT + HWERT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

Datatype

StatusBit() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CountArchiveVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> CountArchiveVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "ArchiveVariable" objects within the collection.

Datatype

CountArchiveVariables() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ReadOnlyVarsInFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> ReadOnlyVarsInFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReadOnlyVarsInFilter() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveFilter-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddArchiveVariable | - | not used | available | yes | yes
VARIANT_BOOL | ApplyChanges | - | not used | available | yes | yes
IArchiveFilterVariables | ArchiveFilterVariables | - | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfo | Return arrays with the information to all the defined variables in the filter. | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfoEx | Return arrays with the information to all the defined variables in the filter. Works cross-project. | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVariable | ItemArchiveVariable | - | not used | available | yes | yes
IArchiveFilterVariables | Query | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlock | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlockEx | - | not used | available | yes | yes
VARIANT_BOOL | RemoveArchiveVariable | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

RemoveArchiveVariable

AddArchiveVariable

ItemArchiveVariable

Query

ArchiveFilterVariables

ApplyChanges

QueryBlock

ArchiveFilterVariablesInfo

ArchiveFilterVariablesInfoEx

QueryBlockEx


RemoveArchiveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> RemoveArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an "ArchiveVariable" object (which was formerly added to the filter) from the filter. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Datatype

RemoveArchiveVariable(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first archive filter of the archive

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().Item(0);

if (zenonArchiveFilter == null)

{

//There is no filter, the user will be informed

this.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr);

return;

}

//Remove all variables from the filter

while (zenonArchiveFilter.ArchiveFilterVariables().Count > 0)

{

zenonArchiveFilter.RemoveArchiveVariable(0);

}

}

VB.NET

Public Sub MacroRemoveAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first archive filter of the archive

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

If zenonArchiveFilter Is Nothing Then

'There is no filter, the user will be informed

Me.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr)

Return

End If

'Remove all variables from the filter

While zenonArchiveFilter.ArchiveFilterVariables().Count > 0

zenonArchiveFilter.RemoveArchiveVariable(0)

End While

End Sub


AddArchiveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> AddArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds an existing archive variable ("ArchiveVariable" object) to the filter. Thus, the data of the variable will be returned after the filtering.The following code initiates that all assigned archive variables will be added to the archive filter.

Datatype

AddArchiveVariable(IArchiveVariable ArchiveVariable) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"ArchiveVariable" object that should be added to the filter.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ArchiveVariable As ArchiveVariable

Examples

C#

public void MacroAddAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Create an archive filter and add any available variable to it

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

}

VB.NET

Public Sub MacroAddAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Create an archive filter and add any available variable to it

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

End Sub

VBA

Sub zenOn_AddArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArFilter As ArchiveFilter
Dim i As Integer

'Initialize zArFilter by creating a new archive filter
Set zArFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
'Output the name of the added variable
Debug.Print "Variable """ & zArchive.ArchiveVariables.Item(i).Name & """ added!"
Next i

End Sub


ItemArchiveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ItemArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object (which was formerly added to the filter) from the collection. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found. For further information please have a look at the ArchiveVariable topic itself.

Datatype

ItemArchiveVariable(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcoGetVariablesInArchiveFilter()

{

//At first the archive is created

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first available archivefilter

IArchiveFilter filter = zenonArchive.ArchiveFilters().Item(0);

//Iterates through all ArchiveVariable objects

for (int i = 0; i < filter.CountArchiveVariables; ++i)

{

IArchiveVariable zenonFilterVariable =

filter.ItemArchiveVariable(i);

//Do something with the current variable

}

}

VB.NET

Public Sub MarcoGetVariablesInArchiveFilter()

'At first the archive is created

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first available archivefilter

Dim filter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

'Iterates through all ArchiveVariable objects

For i As Integer = 0 To filter.CountArchiveVariables - 1

'Do something with the current variable

Dim zenonFilterVariable As IArchiveVariable = filter.ItemArchiveVariable(i)

Next

End Sub

VBA

VBA-Syntax


Query

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> Query

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Initiates the filtering of the data.Returns an "ArchiveFilterVariables" object, if data matched the filter query. Hence, the returned object will contain the filtered data.Otherwise, this method will return "Nothing", if no data was matched. A full example can be found in the ArchiveFilter main topic: Creating a filter, executing a query and gathering data.

Datatype

Query() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For information on how to query a filter have a look at the main topic "ArchiveFilter"

VB.NET

'For information on how to query a filter have a look at the main topic "Archive Filter"

VBA

'For information on how to query a filter have a look at the main topic "Archive Filter"


ArchiveFilterVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of all filtered archive variables. For futher information please have a look at the ArchiveFilterVariables topic.

Datatype

ArchiveFilterVariables() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ApplyChanges

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ApplyChanges

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Apply changes on the filter.

Datatype

ApplyChanges() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlock

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "Query" method, the "QueryBlock" command initiates the filtering of the data.

The difference between these two methods is, that the "QueryBlock" method is dedicated for performance oriented tasks, because the usage of arrays is faster than the approach of the "Query" method with the collections. The drawback of the "QueryBlock" method is the increased complexity of coding.

The "QueryBlock" command requires two parameters:

vPvIDs: A variant variable which will constitute an array containing all IDs of the filtered variables.

vValues: A variant variable which will store an cascaded array designed the following way:

Level: Return type, e.g.

'Declaration
Dim zValues As Variant
'Initiates the filtering
zArvFilter.QueryBlock zPvIDs, zValues
'zValues is the return type, which contains all variables and the corresponding values

Level: Variable, e.g.

'Declaration
Dim vVarTemp As Variant
'Assign the first variable within the cascaded "zValues" array to "vVarTemp"
vVarTemp = zValues(0)

Level: Variable values, e.g.

'Declaration
Dim vValTemp As Variant
'Assign the the third value within the vVarTemp variable to "vValTemp"
vValTemp = vVarTemp(2)
'Alternatively: Third value of the first variable within "zValues"
vValTemp = zValues(0)(2)

Level: Value parameters

vValTemp (0) 'Returns the date and time when the value was recorded
'Hint: The time has to be converted from zenOn internally UTC into local time.
'Use the zenOn "clsTimeConvert" macro to do so.
zValues (0)(2)(0) 'Alternatively

vValTemp (1) 'Returns the milliseconds, in addition to the time, when the value was recorded
zValues (0)(2)(1) 'Alternatively

vValTemp (2) 'Returns the value that was recorded at the specified time and date
zValues (0)(2)(1) 'Alternatively

vValTemp (3) 'Returns the state type, e.g. &H40000 -> I-BIT
zValues (0)(2)(1) 'Alternatively

Datatype

QueryBlock(LPVARIANT vPvIDs,LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlock" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vPvIDs As Variant

"Variant" variable for the "QueryBlock" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

VBA

vValues As Variant

vPvIDs As Variant

Examples

The following example initiates a filtering with the "QueryBlock" command and outputs the details of the filter result.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

Hint:
In order to output the correct date and time of the filter result, the zenOn "clsTimeConvert" macro should be used.
For the macro code and further information on the macro and the time conversion, please have a look at the StartTime part.

C#

public void zenonArchiveFilterQueryBlock(ref IArchiveFilter zenonArchiveFilter)

{

object zenonPvIds = null;

object zenonValues = null;

zenonArchiveFilter.QueryBlock(ref zenonPvIds, ref zenonValues);

int[] zenonQueriedPvIds = (int[])zenonPvIds;

object[] zenonQueriedValues = (object[])zenonValues;

for (int i = 0; i < zenonQueriedValues.Length; ++i)

{

object[] currentValue = (object[])zenonQueriedValues[i];

for (int j = 0; i < currentValue.Length; ++j)

{

object[] specificValues = (object[])currentValue[j];

System.Diagnostics.Debug.Print("{0}. Value", j + 1);

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.

ArchiveFilterVariables().ItemById(zenonQueriedPvIds[i]).

ArchiveVariable().Name);

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds[i]);

int time = (int)specificValues[0];

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.

ZenOnToSystem((uint)time).ToString());

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues[1]);

System.Diagnostics.Debug.Print("Value: {0}", specificValues[2]);

System.Diagnostics.Debug.Print("State: 0x{0}", ((int)specificValues[3]).ToString("X"));

}

}

}

VB.NET

Public Sub zenonArchiveFilterQueryBlock(ByRef zenonArchiveFilter As IArchiveFilter)

Dim zenonPvIds As Object = Nothing

Dim zenonValues As Object = Nothing

zenonArchiveFilter.QueryBlock(zenonPvIds, zenonValues)

Dim zenonQueriedPvIds As Integer() = DirectCast(zenonPvIds, Integer())

Dim zenonQueriedValues As Object() = DirectCast(zenonValues, Object())

For i As Integer = 0 To zenonQueriedValues.Length - 1

Dim currentValue As Object() = DirectCast(zenonQueriedValues(i), Object())

Dim j As Integer = 0

While i < currentValue.Length

Dim specificValues As Object() = DirectCast(currentValue(j), Object())

System.Diagnostics.Debug.Print("{0}. Value", j + 1)

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.ArchiveFilterVariables().ItemById(zenonQueriedPvIds(i)).ArchiveVariable().Name)

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds(i))

Dim time As Integer = CInt(specificValues(0))

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.ZenOnToSystem(CUInt(time)).ToString())

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues(1))

System.Diagnostics.Debug.Print("Value: {0}", specificValues(2))

System.Diagnostics.Debug.Print("State: 0x{0}", CInt(specificValues(3)).ToString("X"))

j += 1

End While

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_QueryBlock(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zTimeConvert As clsTimeConvert
Dim zPvIDs As Variant
Dim zValues As Variant
Dim i As Integer
Dim j As Integer
Dim vVarTemp As Variant
Dim vValTemp As Variant
Dim nVarCount As Integer
Dim nValCount As Integer

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

zArvFilter.QueryBlock zPvIDs, zValues

'Get the number of variables and assign it to "nVarCount"
nVarCount = UBound(zValues, 1)
'For every filtered variable output the recorded values
For i = 0 To nVarCount
'Assign the current variable to "vVarTemp"
vVarTemp = zValues(i)
'Get the number of values within the variable and assign it to "nValCount"
nValCount = UBound(vVarTemp, 1)
'For every value within the filtered variable output the recorded details
For j = 0 To nValCount
'Assign the current value to "vValTemp"
vValTemp = vVarTemp(j)
'Output the count number of the current value
Debug.Print j + 1 & ". Value"
'Output the variable name to which the value belongs
Debug.Print vbTab & "Var-Name: " & zArvFilter.ArchiveFilterVariables.ItemById(zPvIDs(i)).ArchiveVariable.Name
'Output the ID of the variable
Debug.Print vbTab & "Var-ID" & vbTab & ": " & CStr(zPvIDs(i))
'Output the date and time when the value was recorded -> Format: year-month-day hour:minute:second.millisecond
Debug.Print vbTab & "Time" & vbTab & ": " & Format(zTimeConvert.zenOn2System((vValTemp(0))), "yyyy-mm-dd hh:mm:ss") & "." & CStr(vValTemp(1))
'Output the value that was recorded
Debug.Print vbTab & "Value" & vbTab & ": " & CStr(vValTemp(2))
'Output the state of the value
Debug.Print vbTab & "State" & vbTab & ": &H" & Hex(vValTemp(3))
Next j
Next i

End Sub


ArchiveFilterVariablesInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns information on the assigned archive filter variables.Following three parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.

Datatype

ArchiveFilterVariablesInfo(long Count, LPVARIANT vIDs, LPVARIANT vNames) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the IDs of the archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the amount of archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the names of the archive filter variables.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIDs As Variant

Count As Long

vNames As Variant

Examples

C#

public void zenonArchiveFilterArchiveVariablesInfo(ref IArchiveFilter zenonArchiveFilter)

{

int count = 0;

object idsReturn = null;

object namesReturn = null;

zenonArchiveFilter.ArchiveFilterVariablesInfo(ref count, ref idsReturn, ref namesReturn);

int[] ids = (int[])idsReturn;

string[] names = (string[])namesReturn;

for (int i = 0; i < count; ++i)

{

//Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i);

//Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names[i]);

//Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids[i]);

}

}

VB.NET

Public Sub zenonArchiveFilterArchiveVariablesInfo(ByRef zenonArchiveFilter As IArchiveFilter)

Dim count As Integer = 0

Dim idsReturn As Object = Nothing

Dim namesReturn As Object = Nothing

zenonArchiveFilter.ArchiveFilterVariablesInfo(count, idsReturn, namesReturn)

Dim ids As Integer() = DirectCast(idsReturn, Integer())

Dim names As String() = DirectCast(namesReturn, String())

For i As Integer = 0 To count - 1

'Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i)

'Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names(i))

'Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids(i))

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_ArchiveFilterVariablesInfo(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zCount As Long
Dim zIDs As Variant
Dim zNames As Variant

'Initiate the information query
zArvFilter.ArchiveFilterVariablesInfo zCount, zIDs, zNames

'For every archive filter variable within the collection...
For i = 0 To zCount - 1
'... output the variable count
Debug.Print i + 1 & ". Variable"
'... output the name
Debug.Print vbTab & "Name: " & zNames(i)
'... output the ID
Debug.Print vbTab & "ID" & vbTab & ": " & zIDs(i)
Next i

End Sub


ArchiveFilterVariablesInfoEx

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfoEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "ArchiveFilterVariablesInfo" method, this command returns information on the assigned archive filter variables.Additionally it will also return information on the project name and the utilized calculation mode, if it is a following archive.Following five parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.
  • vProjects: Returns the project name.
  • vCalculations: Returns the calculation mode, if it is a following archive.

Datatype

ArchiveFilterVariablesInfoEx(long Count, LPVARIANT vIDs, LPVARIANT vNames, LPVARIANT vProjects, LPVARIANT vCalculations) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlockEx

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlockEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "QueryBlock" method, the "QueryBlockEx" command initiates the filtering of the data.

The difference between these two methods is, that the "QuerBlockEx" command will also return the project name and the utilized calculation modes (if it is a following archive) in addition to the "QueryBlock" results.

Hint: For further information, please have a look at the QueryBlock part.

Datatype

QueryBlockEx(LPVARIANT vProjects, LPVARIANT vPvIDs, LPVARIANT vCalculations, LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vCalculations As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of calculation modes, which were utilized by the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.
Hint: For further information on calculation modes, please have a look at the Calculation property within the "ArchiveVariable" object.

vPvIDs As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vProjects As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of project names, where the filter was applied.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vValues As Variant

vCalculations As Variant

vPvIDs As Variant

vProjects As Variant

Examples

The following example initiates a filtering with the "QueryBlockEx" command and outputs details on the project name and the utilized calculation modes.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_QueryBlockEx(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zPvIDs As Variant
Dim zValues As Variant
Dim zProjects As Variant
Dim zCalculations As Variant
Dim i As Integer

'Initiate the filtering
Debug.Print zArvFilter.QueryBlockEx(zProjects, zPvIDs, zCalculations, zValues)

'Output every project name
For i = 0 To UBound(zProjects, 1)
Debug.Print CStr(zProjects(i))
Next i

'Output every calculation mode
For i = 0 To UBound(zCalculations, 1)
Debug.Print CStr(zCalculations(i))
Next i

End Sub


ArchiveFilters

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection administers all filter objects.HINT:As a default there are no filters. You can administer any number of filters.With "CreateArchiveFilter" you can create a new filter. On the contrary, you can delete an existing filter with "DeleteArchiveFilter".Like in any other collection you can access an ArchiveFilter object with the "Item" method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroQueryAllFilters()

{

//Executes a query on all filters currently in the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

IArchiveFilter zenonFilter = zenonFilters.Item(i);

if (zenonFilter != null)

zenonFilter.Query();

}

}

VB.NET

Public Sub MacroQueryAllFilters()

'Executes a query on all filters currently in the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

Dim zenonFilter As IArchiveFilter = zenonFilters.Item(i)

If zenonFilter IsNot Nothing Then

zenonFilter.Query()

End If

Next

End Sub

VBA

Sub zenOn_ArchiveFilters()
'Declarations
Dim zArvFilters As ArchiveFilters
Dim zArvFilter As ArchiveFilter
Dim i As Integer

'Initialize zArvFilters with the archive filter collection of the first available archive
Set zArvFilters = thisProject.Archives.Item(0).ArchiveFilters

'For every archive filter within the collection ...
For i = 0 To zArvFilters.Count - 1
'... assign it to zArvFilter
Set zArvFilter = zArvFilters.Item(i)
'If the filter is available (zArvFilter is not "Nothing")...
If Not (zArvFilter Is Nothing) Then
'... then initiate the filtering
zArvFilter.Query
End If
Next i

End Sub

Ancora in questo capitolo

ArchiveFilters-Properties

ArchiveFilters-Methods


ArchiveFilters-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilters-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilter | CreateArchiveFilter | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveFilter | - | not used | available | yes | yes
IArchiveFilter | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateArchiveFilter

DeleteArchiveFilter


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilter" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilter" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VB.NET

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VBA

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"


CreateArchiveFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> CreateArchiveFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveFilter" object. Afterwards, the filter is configurable in order to return the required data.

Datatype

CreateArchiveFilter() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

public void MarcrozenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VBA

VBA-Syntax


DeleteArchiveFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> DeleteArchiveFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing filter ("ArchiveFilter" object) from the collection.Subsequently, the filter won't be available any more. Trying to access it, will return an incorrect filter or a segmentation fault.

Datatype

DeleteArchiveFilter(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteAllFilters()

{

//Deletes all filters on the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

zenonFilters.DeleteArchiveFilter(i);

}

}

VB.NET

Public Sub MacroDeleteAllFilters()

'Deletes all filters on the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

zenonFilters.DeleteArchiveFilter(i)

Next

End Sub

VBA

VBA-Syntax


ArchiveFilterVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveFilterVariable" object contains the filtered archive variable for the "ArchiveFilter" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

//NOTE: The variable will not be available if there was no filter query executed

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariable(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVar As ArchiveFilterVariable
Dim i As Integer

'Initialize zArvFilterVar with the first available filtered archive variable
Set zArvFilterVar = zArvFilter.ArchiveFilterVariables.Item(0)

'If no filtered archive variable is available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVar Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variable available!")

'Otherwise, output some details
Else
'Output the variable name
Debug.Print "Variable: " & zArvFilterVar.ArchiveVariable.Name

With zArvFilterVar.ArchiveValues
'For every archive value within "zArvFilterVar" ...
For i = 0 To .Count - 1
'... output the recorded value
Debug.Print vbTab & i + 1 & ".Value: " & .Item(i).Value
Next i
End With
End If
End Sub

Ancora in questo capitolo

ArchiveFilterVariable-Properties

ArchiveFilterVariable-Methods


ArchiveFilterVariable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariables | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | ArchiveValues | - | not used | available | yes | yes
VARIANT | ArchiveValuesBlock | - | not used | read only | yes | yes
IArchiveVariable | ArchiveVariable | - | not used | available | yes | yes

Ancora in questo capitolo

ArchiveVariable

ArchiveValues

ArchiveValuesBlock


ArchiveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarible" object, which constitutes the assigned archive variable. For further information, please have a look at the "ArchiveVariable" part.

Datatype

ArchiveVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValues

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValues" object, which contains a collection of all "ArchiveValue" objects assigned to this filtered archive variable. For further information, please have a look at the "ArchiveValues" part.

Datatype

ArchiveValues() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValuesBlock

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValuesBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an array of values for the actual ArchiveFilterVariable object.This works only when a query has already been executed.

Datatype

ArchiveValuesBlock() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of the filtered archive variables.This object is utilized by the "ArchiveFilter" object, in order to access the collection of "ArchiveFilterVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariables(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVars As ArchiveFilterVariables
Dim i As Integer

'Initialize zArvFilterVars with the filtered archive variable collection of the current archive
Set zArvFilterVars = zArvFilter.ArchiveFilterVariables

'If no filtered archive variables are available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVars Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variables available!")

'Otherwise:
Else
'For every filtered archive variable ...
For i = 0 To zArvFilterVars.Count - 1
'... output the name
Debug.Print i + 1 & ". Variable: " & zArvFilterVars.Item(i).ArchiveVariable.Name
Next i
End If
End Sub

Ancora in questo capitolo

ArchiveFilterVariables-Properties

ArchiveFilterVariables-Methods


ArchiveFilterVariables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilter | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariable | Item | - | available | not used | yes | yes
IArchiveFilterVariable | ItemById | - | not used | available | yes | yes
IArchiveFilterVariable | ItemByIdEx | - | not used | read only | yes | yes

Ancora in questo capitolo

Item

ItemById

ItemByIdEx


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilterVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilterVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemByIdEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveFilterVariable(zArvFilter As ArchiveFilter)
Dim zVariable As Variable
Dim zFilterVar As ArchiveFilterVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the filtervariable with SUM calculation
Set zFilterVar = zArvFilter.ArchiveFilterVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


Archives

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object is a collection of all existing archives.With the property "Parent" you come to the parent of the object. The parent of the Archives object is a Project. In the Project most of the modules are anchored.With the property "Item" you can search for an archive. As search criteria you can enter the position of the archive in the list or the name.With the property "Count" you find out the number of elements in the list. With a loop you then can iterate through all elements and e.g display them.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'The Macro lists any Archive in the current project and prints its name

'as well as the names of any contained variable

Public Sub MacroZenOnArchives()

Dim zenonProject As IProject = Me.Project

Dim zenonArchives As IArchives = zenonProject.Archives()

For i As Integer = 0 To zenonArchives.Count - 1

Me.Parent.Parent.DebugPrint((i & ". Archive: ") + zenonArchives.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

Public Sub zenOnArchiveVariables(ByRef zenonArchiveVariables__1 As IArchiveVariables)

For i As Integer = 0 To zenonArchiveVariables__1.Count - 1

Me.Parent.Parent.DebugPrint(i + zenonArchiveVariables__1.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_Archives()
'Declarations
Dim zProject As Project
Dim zArchives As Archives
Dim i As Integer

'Initialize zProject with the current project
Set zProject = thisProject
'Initialize zArchives with the current "Archive" object collection
Set zArchives = zProject.Archives

'For every "Archive" object within the collection...
For i = 0 To zArchives.Count - 1
'... output the name ...
Debug.Print i + 1 & ". Archive: " & zArchives.Item(i).Name
'... and the name of the included variables
Call zenOn_ArchiveVariables(zArchives.Item(i).ArchiveVariables)
Next i

End Sub

Sub zenOn_ArchiveVariables(ByRef zArchiveVars As ArchiveVariables)
'Declarations
Dim i As Integer

'For every "ArchiveVariable" object within the collection...
For i = 0 To zArchiveVars.Count - 1
'... output the name of the variable
Debug.Print vbTab & i + 1 & ". Var: " & zArchiveVars.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

Archives-Properties

Archives-Methods


Archives-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives -> Archives-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IProject | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives -> Archives-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives -> Archives-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archives-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives -> Archives-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchive | Item | - | available | not used | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Archives -> Archives-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "Archive" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "Archive" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As Archive

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchivesED

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchivesED" object manages the collection of "ArchiveED" objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchivesED()
'Declarations
Dim zArchivesED As ArchivesED
Dim i As Integer

'Initialize zArchivesED with the archives of the current editor project
Set zArchivesED = MyWorkspace.ActiveDocument.ArchivesED

'For every archive within the collection ...
For i = 0 To zArchivesED.Count - 1
With zArchivesED.Item(i)
'... output the identifier and the name
Debug.Print .DynProperties("ShortName") & " - " & .DynProperties("LongName")
End With
Next i

End Sub

Ancora in questo capitolo

ArchivesED-Properties

ArchivesED-Methods


ArchivesED-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | not used | yes | yes
IProject | Parent |  | read only | not used | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ArchivesED-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IArchiveED | CreateArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | DelArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IArchiveED | Item | - |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Ancora in questo capitolo

Item

CreateArchive

DelArchive

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveED" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique identification name (ShortName).
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

VBA-Syntax


CreateArchive

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CreateArchive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new archive ("ArchiveED" object) by its term, the name and optionally the source archive, if the new archive should be the following archive of the specified one.

Datatype

CreateArchive(String bstrShortName, String bstrLongName, IArchiveED pSourceArchive) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

}

VB.NET

Public Sub MacroCreateArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

End Sub

VBA

VBA-Syntax


DelArchive

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> DelArchive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing archive ("ArchiveED" object) by its name.

Datatype

DelArchive(String bstrShortName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroDelArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED != null)

{

//If there is an archive of given criteria - delete it

this.ActiveDocument.ArchivesED().DelArchive("01");

}

}

VB.NET

Public Sub MacroDelArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED IsNot Nothing Then

'If there is an archive of given criteria - delete it

Me.ActiveDocument.ArchivesED().DelArchive("01")

End If

End Sub

VBA

VBA-Syntax


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroGetArchive()

{

//NOTE: This will not be functional in a non-multiuser project

this.ActiveDocument.ArchivesED().Get();

//The Archive is now up to date and can be used

}

VB.NET

Public Sub MacroGetArchive()

'NOTE: This will not be functional in a non-multiuser project

Me.ActiveDocument.ArchivesED().[Get]()

'The Archive is now up to date and can be used

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLocked()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsLocked())

{

//The archives are currently locked

this.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroLocked()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsLocked() Then

'The archives are currently locked

Me.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCheckedOut()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsCheckedOut())

{

//The archives are currently checked out

this.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroCheckedOut()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsCheckedOut() Then

'The archives are currently checked out

Me.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroIsDifferent()

{

//NOTE: This will not be functional in a non-multiuser project

//Checks if there are differences between local and server file

if (this.ActiveDocument.ArchivesED().IsDifferent())

{

this.Parent.DebugPrint("Differences between local and server version.",

tpDebugPrintStyle.tpMsg);

}

else

{

this.Parent.DebugPrint("No differences between local and server version",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIsDifferent()

'NOTE: This will not be functional in a non-multiuser project

'Checks if there are differences between local and server file

If Me.ActiveDocument.ArchivesED().IsDifferent() Then

Me.Parent.DebugPrint("Differences between local and server version.", tpDebugPrintStyle.tpMsg)

Else

Me.Parent.DebugPrint("No differences between local and server version", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub ExportEquipmentModel()

Dim Exported As Boolean

Exported = MyWorkspace.ActiveDocument.SystemModelManager.Export("C:\Equipment.xml")

End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


ArchiveValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveValue" object contains the value parameters for the "ArchiveFilterVariable" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method will output information of the passed ArchiveFilterVariable object

public void ArchiveValue(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValue zenonArvValue = zenonArvFilterVariable.

ArchiveValues().Item(0);

if (zenonArvValue == null)

{

//No value available

}

else

{

//Output some information of the value

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'This method will output information of the passed ArchiveFilterVariable object

Public Sub ArchiveValue(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValue As IArchiveValue = zenonArvFilterVariable.ArchiveValues().Item(0)

'No value available

If zenonArvValue Is Nothing Then

Else

'Output some information of the value

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

Sub zenOn_ArchiveValue(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert

'Initialize zArvValue with the first available value within the current archive variable
Set zArvValue = zArvFilterVar.ArchiveValues.Item(0)

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValue Is Nothing Then
'... then inform the user
MsgBox ("No value available!")

'Otherwise:
Else
'Output the date and time when the value was recorded
Debug.Print "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print "State: &H" & Hex(zArvValue.Status)
End If

End Sub

Ancora in questo capitolo

ArchiveValue-Properties

ArchiveValue-Methods


ArchiveValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | Parent |  | not used | read only | yes | yes
long | Status | Get/Set the lower 32 status bits. | not used | available | yes | yes
long | Time |  | not used | available | yes | yes
long | TimeMilliSec |  | not used | available | yes | yes
VARIANT | Value |  | not used | available | yes | yes
long | StatusEx | Get/Set the upper 32 status bits. | not used | available | yes | yes

Ancora in questo capitolo

Parent

Time

TimeMilliSec

Value

Status

StatusEx


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the time when the value was recorded.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Please use the zenOn "clsTimeConvert" macro do that correctly.
For the macro code and further information on the zenOn "clsTimeConvert" macro, please have a look at the StartTime property within the "Archive Filter" object.

Datatype

Time() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TimeMilliSec

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> TimeMilliSec

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the milliseconds, in addition to the time, when the value was recorded.

Datatype

TimeMilliSec() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the value that was recorded.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the first 32-Bits (also 0 - 31)

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusEx

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> StatusEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the upper 32-Bits (also 32 - 63)

Datatype

StatusEx() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveValue-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | SetModified | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

SetModified


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


SetModified

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> SetModified

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Use this method, in order to adopt parameter modifications.

Datatype

SetModified() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VB.NET

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VBA

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")


ArchiveValues

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveValues" object manages the "ArchiveValue" objects.This object is utilized by the "ArchiveFilterVariable" object, in order to access the collection of "ArchiveValue" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void ArchiveValues(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValues zenonArvValues = zenonArvFilterVariable.ArchiveValues();

if (zenonArvValues == null)

{

//There are no archive values, inform the user

this.Parent.Parent.DebugPrint("There are no archive values",

tpDebugPrintStyle.tpErr);

return;

}

//Create a new archive value

/* ##############################################################

* # Attention #

* # This code is designed for spontaneous archive types. #

* # If it is used in combination with a cyclic archive, the #

* # code may corrupt the archive which results in a loss of #

* # data. #

* # #

* # Use at your own risk #

* ##############################################################

*/

IArchiveValue zenonArvValue = zenonArvValues.CreateArchiveValue();

zenonArvValue.Status = 0x1000;

zenonArvValue.Time = (int)TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0));

zenonArvValue.TimeMilliSec = 0;

//Set your desired value

zenonArvValue.Value = 1531;

//Apply changes to the value

zenonArvValue.SetModified();

//For every archive value within the collection

for (int i = 0; i < zenonArvValues.Count; ++i)

{

zenonArvValue = zenonArvValues.Item(i);

//Print the current objects value

this.Parent.Parent.DebugPrint(i + 1 + ". Value", tpDebugPrintStyle.tpMsg);

//Print the current objects recording time

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

//Print the current objects recorded value

this.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

//Print the current objects state

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub ArchiveValues(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValues As IArchiveValues = zenonArvFilterVariable.ArchiveValues()

If zenonArvValues Is Nothing Then

'There are no archive values, inform the user

Me.Parent.Parent.DebugPrint("There are no archive values", tpDebugPrintStyle.tpErr)

Return

End If

'Create a new archive value

' ##############################################################

' * # Attention #

' * # This code is designed for spontaneous archive types. #

' * # If it is used in combination with a cyclic archive, the #

' * # code may corrupt the archive which results in a loss of #

' * # data. #

' * # #

' * # Use at your own risk #

' * ##############################################################

'

Dim zenonArvValue As IArchiveValue = zenonArvValues.CreateArchiveValue()

zenonArvValue.Status = &H1000

zenonArvValue.Time = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArvValue.TimeMilliSec = 0

'Set your desired value

zenonArvValue.Value = 1531

'Apply changes to the value

zenonArvValue.SetModified()

'For every archive value within the collection

For i As Integer = 0 To zenonArvValues.Count - 1

zenonArvValue = zenonArvValues.Item(i)

'Print the current objects value

Me.Parent.Parent.DebugPrint(i + 1 & ". Value", tpDebugPrintStyle.tpMsg)

'Print the current objects recording time

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

'Print the current objects recorded value

Me.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

'Print the current objects state

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveValues(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValues As ArchiveValues
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArvValue with the archive values collection of the current archive variable
Set zArvValues = zArvFilterVar.ArchiveValues

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValues Is Nothing Then
'... then inform the user
MsgBox ("No archive values available!")

'Otherwise:
Else
'Create a new archive value
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'!! ATTENTION: !!
'!! This code is designed for spontaneous archive types. !!
'!! If it is used in combination with a cyclic archive, this !!
'!! code may corrupt the archive, which results in an loss of !!
'!! data. !!
'!! !!
'!! USE AT YOUR OWN RISK !!
'!! !!
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

'Initialize zArvValue by creating a new value entry
Set zArvValue = zArvValues.CreateArchiveValue

'Set the state of the value to a manual entry
zArvValue.Status = &H1000
'Set the time when the value was entered
zArvValue.Time = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Set the milliseconds, in addition to the time
zArvValue.TimeMilliSec = 0
'Set the desired value
zArvValue.Value = 1531

'Apply the modifications to the value
zArvValue.SetModified

'For every archive value within the collection
For i = 0 To zArvValues.Count - 1
'Assign the current archive value to zArvValue
Set zArvValue = zArvValues.Item(i)
'Output the count of the value
Debug.Print i + 1 & ". Value"
'Output the date and time when the value was recorded
Debug.Print vbTab & "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print vbTab & "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print vbTab & "State: &H" & Hex(zArvValue.Status)
Next i
End If
End Sub

Ancora in questo capitolo

ArchiveValues-Properties

ArchiveValues-Methods


ArchiveValues-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilterVariable | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveValues-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValue | CreateArchiveValue | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveValue | - | not used | available | yes | yes
IArchiveValue | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateArchiveValue

DeleteArchiveValue


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValue" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveValue" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example on how to use this method have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateArchiveValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> CreateArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveValue" object.

Datatype

CreateArchiveValue() As ArchiveValue

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteArchiveValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> DeleteArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing archive value ("ArchiveValue" object) from the collection.

Datatype

DeleteArchiveValue(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteArchiveValues()

{

/*

* Gets the first ArchiveFilterVariable object in the first filter of

* the first archive, NOTE: Those are required to exist in order for the

* macro to work.

*/

IArchiveFilterVariable zenonArvVariable = this.Archives().Item(0)

.ArchiveFilters()

.Item(0).ArchiveFilterVariables()

.Item(0);

IArchiveValues zenonArchiveValues = zenonArvVariable.ArchiveValues();

//Deletes any ArchiveValue in the collection

while (zenonArchiveValues.Count > 0)

{

zenonArchiveValues.DeleteArchiveValue(0);

}

}

VB.NET

Public Sub MacroDeleteArchiveValues()

'

' * Gets the first ArchiveFilterVariable object in the first filter of

' * the first archive, NOTE: Those are required to exist in order for the

' * macro to work.

'

Dim zenonArvVariable As IArchiveFilterVariable = Me.Archives().Item(0).ArchiveFilters().Item(0).ArchiveFilterVariables().Item(0)

Dim zenonArchiveValues As IArchiveValues = zenonArvVariable.ArchiveValues()

'Deletes any ArchiveValue in the collection

While zenonArchiveValues.Count > 0

zenonArchiveValues.DeleteArchiveValue(0)

End While

End Sub

VBA

VBA-Syntax


ArchiveVarED

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveVarED" object contains the assigned "Variable" object and projecting information on the calculation mode.The object is utilized by the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVarEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

IArchiveVarED zenonArvVarEd = zenonArchiveEd.Item("WIZ_VAR_10");

if (zenonArvVarEd == null)

{

//If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, null);

}

//Output the name of the variable

this.Parent.DebugPrint("Variable Name: " +

((IVariable)zenonArvVarEd.get_DynProperties("Variable")).Name,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode

this.Parent.DebugPrint("Calculation mode " +

Enum.GetName(typeof(tpArvVarCal),

zenonArvVarEd.get_DynProperties("Calculation")),

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVarEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

Dim zenonArvVarEd As IArchiveVarED = zenonArchiveEd.Item("WIZ_VAR_10")

If zenonArvVarEd Is Nothing Then

'If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, Nothing)

End If

'Output the name of the variable

Me.Parent.DebugPrint("Variable Name: " + DirectCast(zenonArvVarEd.get_DynProperties("Variable"), IVariable).Name, tpDebugPrintStyle.tpMsg)

'Output the calculation mode

Me.Parent.DebugPrint("Calculation mode " & [Enum].GetName(GetType(tpArvVarCal), zenonArvVarEd.get_DynProperties("Calculation")), tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVarED(ByRef zArchiveED As ArchiveED)
'Declarations
Dim zArvVarED As ArchiveVarED

'Initialize zArvVarED with the "ArchiveVarED" object, where the variable named "WIZ_VAR_10" is assigned to it.
Set zArvVarED = zArchiveED.Item("WIZ_VAR_10")
'If the variable is not assigned to it ...
If zArvVarED Is Nothing Then
'... then add it to the archive
Set zArvVarED = zArchiveED.AddVariable("WIZ_VAR_10", 0, Nothing)
End If

'Output the variable name
Debug.Print "Variable name: " & zArvVarED.DynProperties("Variable").Name

'Output the calculation mode
Select Case zArvVarED.DynProperties("Calculation")
Case 0
Debug.Print "Calculation mode: All values"
Case 1
Debug.Print "Calculation mode: Sum"
Case 2
Debug.Print "Calculation mode: Average"
Case 3
Debug.Print "Calculation mode: Minimum"
Case 4
Debug.Print "Calculation mode: Maximum"
End Select

End Sub

Ancora in questo capitolo

ArchiveVarED-Methods

ArchiveVarED-Dynamic properties


ArchiveVarED-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVarED-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Variable archive

Ancora in questo capitolo

Variable archive


Variable archive

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Dynamic properties -> Variable archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | Calculation | Calculation |
ZT_VARIABLE | Variable | Variable |


ArchiveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is an archive variable containing the projecting information. "ArchiveVariable" objects are assigned to "Archive" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariable()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariable zenonArvVar = zenonArchive.ArchiveVariables().Item(0);

if (zenonArvVar == null)

{

//There is no variable available

this.Parent.Parent.DebugPrint("No variable available",

tpDebugPrintStyle.tpErr);

return;

}

//Output the name of the assigned variable

this.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name,

tpDebugPrintStyle.tpMsg);

//Output the ID of the variable

this.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID,

tpDebugPrintStyle.tpMsg);

//Output the utilized unit

this.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode, if it is a following archive

this.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation,

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVariable()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVar As IArchiveVariable = zenonArchive.ArchiveVariables().Item(0)

If zenonArvVar Is Nothing Then

'There is no variable available

Me.Parent.Parent.DebugPrint("No variable available", tpDebugPrintStyle.tpErr)

Return

End If

'Output the name of the assigned variable

Me.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name, tpDebugPrintStyle.tpMsg)

'Output the ID of the variable

Me.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID, tpDebugPrintStyle.tpMsg)

'Output the utilized unit

Me.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit, tpDebugPrintStyle.tpMsg)

'Output the calculation mode, if it is a following archive

Me.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub

Ancora in questo capitolo

ArchiveVariable-Properties

ArchiveVariable-Methods


ArchiveVariable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Calculation |  | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | LongText |  | not used | read only | yes | yes
BSTR | Name |  | not used | read only | yes | yes
IArchiveVariables | Parent |  | not used | read only | yes | yes
IArchiveVariable | SourceVariable |  | not used | read only | yes | yes
BSTR | Unit |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Name

SourceVariable

Calculation

ID

LongText

Unit


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "ArchiveVariable" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> SourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get the SourceVariable As ArchiveVariable

Datatype

SourceVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Calculation

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Calculation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calculation() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current "ArchiveVariable" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongText

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> LongText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identifier of the current "ArchiveVariable" object.

Datatype

LongText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unit (as string) of the current "ArchiveVariable" object.

Datatype

Unit() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVariable | Variable | - | not used | available | yes | yes

Ancora in questo capitolo

Variable


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the assigned variable as "Variable" object.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For further details on how to use Variable objects have a look at the actual "Variable" topic.

VB.NET

'For further details on how to use Variable objects have a look at the actual "Variable" topic.

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub


ArchiveVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveVariables" object is a collection of all defined "ArchiveVariable" objects.This object is utilized by the "Archive" object, in order to access the collection of "ArchiveVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariables zenonArvVariables = zenonArchive.ArchiveVariables();

for (int i = 0; i < zenonArvVariables.Count; ++i)

{

//Output the name of the variable for each variable in the collection

this.Parent.Parent.DebugPrint(i + 1 + ". Variable: " + zenonArvVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchiveVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVariables As IArchiveVariables = zenonArchive.ArchiveVariables()

For i As Integer = 0 To zenonArvVariables.Count - 1

'Output the name of the variable for each variable in the collection

Me.Parent.Parent.DebugPrint((i + 1 & ". Variable: ") + zenonArvVariables.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveVariables(ByRef zArchive As Archive)
'Declarations
Dim zArVars As ArchiveVariables
Dim i As Integer

'Initialize zArVars with the variable collection of the passed archive
Set zArVars = zArchive.ArchiveVariables

'For every variable within the collection...
For i = 0 To zArVars.Count - 1
'... output the name of the variable
Debug.Print i + 1 & ". Variable: " & zArVars.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

ArchiveVariables-Properties

ArchiveVariables-Methods


ArchiveVariables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveVariable | Item | - | available | available | yes | yes
IArchiveVariable | ItemById | - | not used | available | yes | yes
IArchiveVariable | ItemByIdEx | - | not used | read only | yes | yes

Ancora in questo capitolo

Item

ItemById

ItemByIdEx


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VB.NET

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VBA

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuale -> Interfacce di programmazione -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> ItemByIdEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveVariable(zArchive As Archive)
Dim zVariable As Variable
Dim zArvVar As ArchiveVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the archivevariable with SUM calculation
Set zArvVar = zArchive.ArchiveVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


ArvTemplate

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is used to call the dynamic properties for this object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Ancora in questo capitolo

ArvTemplate-Methods

ArvTemplate-Dynamic properties


ArvTemplate-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArvTemplate-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CArvTemplate

Ancora in questo capitolo

CArvTemplate


CArvTemplate

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplate -> ArvTemplate-Dynamic properties -> CArvTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Description
VT_BSTR | GUID | GUID | Description
VT_BSTR | Language | Language | Description
VT_BSTR | ImportPath | ImportPath | Description
VT_BSTR | Folder | Folder | Description
VT_BSTR | Description | Description | Description
VT_BOOL | CopaDataTemplate | CopaDataTemplate | Description


ArvTemplates

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Templates can be transfered in screens.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Ancora in questo capitolo

ArvTemplates-Properties

ArvTemplates-Methods


ArvTemplates-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplates -> ArvTemplates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Archive Templates in the Collection | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplates -> ArvTemplates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ArvTemplates-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplates -> ArvTemplates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArvTemplate | Item | Returns the Archive Template by Name or Position | available | not used | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ArvTemplates -> ArvTemplates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As IArvTemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchConfig -Properties

BatchConfig -Methods


BatchConfig -Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchUnitsConfig | Units | Returns the units configuration | available | read only | yes | yes

Ancora in questo capitolo

Units


Units

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Properties -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As IBatchUnitsConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchConfig -Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Ancora in questo capitolo

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A batch control recipe is an instance of a batch master recipe created for a single execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Ancora in questo capitolo

BatchControlRecipe-Properties

BatchControlRecipe-Methods


BatchControlRecipe-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the control recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the control recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the control recipe | not used | read only | yes | yes
tpBatchCRState | CRState | Returns the state the control recipe | not used | read only | yes | yes
BSTR | JobId | Returns the job id the control recipe | not used | read only | yes | yes
IVariable | JobVariable | Returns the job variable of the control recipe | not used | read only | yes | yes
DATE | CreatedTime | Returns the creation time of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserName | Returns the creation user name of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserId | Returns the creation user id of the control recipe | not used | read only | yes | yes
DATE | StartedTime | Returns the started time of the control recipes | not used | read only | yes | yes
BSTR | StartedUserName | Returns the started user name of the control recipe | not used | read only | yes | yes
BSTR | StartedUserId | Returns the started user id of the control recipe | not used | read only | yes | yes
long | MRId | Returns the Id of the master recipe | not used | read only | yes | yes
BSTR | MRName | Returns the name of the master recipe | not used | read only | yes | yes
BSTR | MRDescription | Returns the description of the master recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the master recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the master recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the master recipe | not used | read only | yes | yes
long | MRVersion | Returns the version of the master recipe | not used | read only | yes | yes
long | MRSourceVersion | Returns the version of the source master recipe | not used | read only | yes | yes

Ancora in questo capitolo

ID

Name

Description

CRState

JobId

JobVariable

CreatedTime

CreatedUserName

CreatedUserId

StartedTime

StartedUserName

StartedUserId

MRId

MRName

MRDescription

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

MRVersion

MRSourceVersion


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRState() As tpBatchCRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRDescription

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRDescription() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

MRVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRSourceVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRSourceVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

MRSourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipe-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Ancora in questo capitolo

SetNameAndDescription


SetNameAndDescription

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Methods -> SetNameAndDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the control recipe if possible. The method returns a result code for the operation.

Note, that the control recipe instance you are working on is a copy of the original data. To get an updated version of the control recipe you have to get it again from the control recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a control recipe and set its description

public void Macro_SetControlRecipeNameAndDescription()

{

//Get the control recipe that is to be renamed

IBatchControlRecipe cr = BatchManager().MasterRecipes().Item("masterRecipeName", 1).

ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName");

//rename the control recipe and set its description

tpRecipeRenameResult result = cr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a control recipe and set its description

Public Sub Macro_SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As IBatchControlRecipe = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a control recipe and set its description

Public Sub SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As BatchControlRecipe

Set cr = thisProject.BatchManager.MasterRecipes.Item("masterRecipeName", 1).ControlRecipes(tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchControlRecipePhaseEditedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the ControlRecipePhaseEdited Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Ancora in questo capitolo

BatchControlRecipePhaseEditedEventData-Properties


BatchControlRecipePhaseEditedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes
IBatchPhase | OldPhase | Phase before the change | not used | read only | yes | yes
IBatchPhase | NewPhase | Phase after the change | not used | read only | yes | yes
BSTR | Comment | User Comment for the change | not used | read only | yes | yes
IBatchPhaseChanges | Changes | Ids of the changed Tags | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

ControlRecipe

User

OldPhase

NewPhase

Comment

Changes


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the changed phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that contains the phase that has been changed.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User that has changed the phase

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldPhase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> OldPhase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Phase configuration from before the change

Datatype

OldPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewPhase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> NewPhase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase configuration after the change.

Datatype

NewPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Edit comment the user has entered for the change. Empty if change comments are disabled.

Datatype

Comment() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Changes

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object that contains information what parts of the phase where changed.

Datatype

Changes() As IBatchPhaseChanges

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A collection of the batch control recipes. It is used to iterate and get the control recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchControlRecipes()

{

//Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

IBatchControlRecipes recipes = BatchManager()

.MasterRecipes().Item("masterRecipeName", 1)

.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

for (int i = 0; i < recipes.Count; i++)

this.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroBatchControlRecipes()

'Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

Dim recipes As IBatchControlRecipes = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

For i As Integer = 0 To recipes.Count - 1

Me.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Ancora in questo capitolo

BatchControlRecipes-Properties

BatchControlRecipes-Methods


BatchControlRecipes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of control recipes | not used | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchControlRecipe | ItemByIndex | Returns the control recipe item at the given index |  | not used | read only | yes | yes
IBatchControlRecipe | ItemByName | Returns the control recipe item with the specified name |  | not used | read only | yes | yes
IBatchControlRecipe | ItemById | Returns the control recipe item with the specified Id |  | not used | read only | yes | yes
IBatchRecipeId | Create | Creates a new control recipe. Returns the Id of the new Recipe or an empty Id if no recipe could be created. |  | not used | read only | yes | yes
IBatchControlRecipe | GetItem | Returns the control recipe item at the given index | not used |  | read only | yes |  | yes
IBatchControlRecipe | GetItemByName | Returns the control recipe item with the specified name | not used |  | read only | yes |  | yes
IBatchControlRecipe | GetItemById | Returns the control recipe item with the specified Id | not used |  | read only | yes |  | yes

Ancora in questo capitolo

GetItem

GetItemByName

GetItemById

Create


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new control recipe for the master recipe to which this control recipe container belongs.

Datatype

Create() As IBatchRecipeId

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to create a new control recipe

public void Macro_NewControlRecipe()

{

//Get a the control recipes container for the master recipe for which we want to create a new control recipe

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("someMasterRecipe", 1);

IBatchControlRecipes crs = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Create a new control recipe

tpCRCreateResult result; //Variable for the result code of the create operation

IBatchRecipeId newId; //Variable for the Id of the new control recipe

newId = crs.Create(out result);

//Output the result of the operation

string output = "MrId:" + newId.MRId.ToString() +

" CrId:" + newId.CRId.ToString() +

" result:" + result.ToString();

MessageBox.Show(null, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

VB.NET

'Function to create a new control recipe

Public Sub Macro_NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("someMasterRecipe", 1)

Dim crs As IBatchControlRecipes = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult

'Variable for the result code of the create operation

Dim newId As IBatchRecipeId

'Variable for the Id of the new control recipe

newId = crs.Create(result)

'Output the result of the operation

Dim output As String = "MrId:" & newId.MRId.ToString() & " CrId:" & newId.CRId.ToString() & " result:" & result.ToString()

MessageBox.Show(Nothing, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

VBA

'Function to create a new control recipe

Public Sub NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("someMasterRecipe", 1)

Dim crs As BatchControlRecipes

Set crs = mr.ControlRecipes(tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult 'Variable for the result code of the create operation

Dim newId As BatchRecipeId 'Variable for the Id of the new control recipe

Set newId = crs.Create(result)

'Output the result of the operation

Dim output As String

output = "MrId:" & newId.MRId & " CrId:" & newId.CRId & " result:" & CStr(result)

MsgBox (output)

End Sub


BatchControlStrategy

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlStrategy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A control strategy used in batch phases. Control strategies are used to configure the command tags of a phase.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchControlStrategy-Properties


BatchControlStrategy-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | Strategy number of the control strategy | not used | read only | yes | yes
BSTR | Name | Name of the control strategy | not used | read only | yes | yes
BSTR | Description | Description of the control strategy | not used | read only | yes | yes

Ancora in questo capitolo

Number

Name

Description


Number

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Number

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Strategy number of the control strategy.

Datatype

Number() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the control strategy.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the control strategy.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchCRSelectionChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchCRSelectionChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the CRSelectionChangedEvent

string ScreenName; Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// instance variable for the _batchManager to register the events

private IBatchManager _batchManager;

void ThisProject_Active()

{

_batchManager = this.BatchManager();

// Register event

_batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// Unregister Event

_batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])_batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' instance variable for the _batchManager to register the events

Private _batchManager As IBatchManager

Private Sub ThisProject_Active()

_batchManager = Me.BatchManager()

' Register event

AddHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' Unregister Event

RemoveHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(_batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedCRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub

Ancora in questo capitolo

BatchCRSelectionChangedEventData-Properties


BatchCRSelectionChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Ancora in questo capitolo

ScreenName


ScreenName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties -> ScreenName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchManager

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Used to get the template recipe collection.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchManager()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMaterRecipe

}

VB.NET

Public Sub MacroBatchManager()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMaterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Ancora in questo capitolo

BatchManager-Properties

BatchManager-Methods

BatchManager-Events


BatchManager-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Project | Returns the parent object | not used | read only | yes | yes
IBatchConfig | Config | Returns the Batch configuration | available | read only | yes | yes

Ancora in questo capitolo

Project

Config


Project

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Properties -> Project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Project() As IProject

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Config

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Properties -> Config

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Config() As IBatchConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchManager-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchMasterRecipes | MasterRecipes | Returns the collection of MasterRecipes | not used | read only | yes | yes
VARIANT | SelectedMRIds | Returns the Ids of the selected master recipes | not used | read only | yes | yes
VARIANT | SelectedCRIds | Returns the Ids of the selected control recipes | not used | read only | yes | yes

Ancora in questo capitolo

MasterRecipes

SelectedMRIds

SelectedCRIds


MasterRecipes

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Methods -> MasterRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of MasterRecipes.

Datatype

MasterRecipes() As IBatchMasterRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/* NOTE: This example is to be seen in context of a windows forms environment and

* will not work if such is not given.

*/

private IBatchManager _batchManager;

public BatchControlViewer(IBatchManager batchManager)

{

_batchManager = batchManager;

InitializeComponent();

}

private void BatchControlViewer_Load(object sender, EventArgs e)

{

_batchManager.PhaseCommErrorEvent += new PhaseCommErrorEventEventHandler(_batchManager_PhaseCommErrorEvent);

_batchManager.PhaseEscapeEvent += new PhaseEscapeEventEventHandler(_batchManager_PhaseEscapeEvent);

_batchManager.PhaseExecErrorEvent += new PhaseExecErrorEventEventHandler(_batchManager_PhaseExecErrorEvent);

_batchManager.PhaseModeChangedEvent += new PhaseModeChangedEventEventHandler(_batchManager_PhaseModeChangedEvent);

_batchManager.PhasePlcErrorEvent += new PhasePlcErrorEventEventHandler(_batchManager_PhasePlcErrorEvent);

_batchManager.PhaseProgressEvent += new PhaseProgressEventEventHandler(_batchManager_PhaseProgressEvent);

_batchManager.PhaseRtEvent += new PhaseRtEventEventHandler(_batchManager_PhaseRtEvent);

_batchManager.PhaseStateChangedEvent += new PhaseStateChangedEventEventHandler(_batchManager_PhaseStateChangedEvent);

}

void _batchManager_PhaseStateChangedEvent(IBatchStateChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseStateChangedEvent: " + eventData.OldState + " -> " + eventData.NewState);

}

void _batchManager_PhaseRtEvent(IBatchRtEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseRtEvent");

}

void _batchManager_PhaseProgressEvent(IBatchProgressEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseProgressEvent");

}

void _batchManager_PhasePlcErrorEvent(IBatchPlcErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhasePlcErrorEvent");

}

void _batchManager_PhaseModeChangedEvent(IBatchModeChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseModeChangedEvent: " + eventData.OldMode + " -> " + eventData.NewMode);

}

void _batchManager_PhaseExecErrorEvent(IBatchExecErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseExecErrorEvent");

}

void _batchManager_PhaseEscapeEvent(IBatchEscapeEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseEscapeEvent");

}

void _batchManager_PhaseCommErrorEvent(IBatchCommErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseCommErrorEvent");

}

private void AddEventTextToList(string eventText)

{

_listBox_events.Items.Add(eventText);

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1;

}

private void _button_clearEventList_Click(object sender, EventArgs e)

{

_listBox_events.Items.Clear();

}

private void _button_clearErrorList_Click(object sender, EventArgs e)

{

_listBox_errors.Items.Clear();

}

private void _button_reloadMR_Click(object sender, EventArgs e)

{

_dataGridView_MR.Rows.Clear();

List<int> mrIDList = new List<int>();

int mrCnt = _batchManager.MasterRecipes().Count;

for (var index = 0; index < mrCnt; index++)

{

IBatchMasterRecipe masterRecipe_temp = _batchManager.MasterRecipes().ItemByIndex(index);

if(masterRecipe_temp!= null)

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID));

}

List<string> mrNameList = new List<string>();

foreach (var mrID in mrIDList)

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name);

foreach(string mrName in mrNameList)

{

IBatchMasterRecipe masterRecipe = _batchManager.MasterRecipes().ItemByName(mrName);

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime,

masterRecipe.ApprovedUserId,

masterRecipe.ApprovedUserName,

masterRecipe.Description,

masterRecipe.ID,

masterRecipe.MrState,

masterRecipe.Name,

masterRecipe.OutdatedTime,

masterRecipe.OutdatedUserId,

masterRecipe.OutdatedUserName,

masterRecipe.ReeMode,

masterRecipe.ReeState,

masterRecipe.Type

);

}

Test(new Action<bool>((x) => { BatchMasterRecipe mr = new BatchMasterRecipe(); }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Description = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ID = 0; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().MrState = tpBatchMrState.tpMRState_Creating; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Name = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Parent = null; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeMode = tpBatchREEMode.tpRM_Automatic; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeState = tpBatchREEState.tpRS_ABORTED; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Type = "0"; }));

}

private void Test(Delegate d)

{

try

{

d.DynamicInvoke(false);

}

catch (Exception ex)

{

_listBox_errors.Items.Add(ex.InnerException.Message + " -> " + ex.InnerException.TargetSite);

}

}

VB.NET

' NOTE: This example is to be seen in context of a windows forms environment and

' * will not work if such is not given.

'

Private _batchManager As IBatchManager

Public Sub New(batchManager As IBatchManager)

_batchManager = batchManager

InitializeComponent()

End Sub

Private Sub BatchControlViewer_Load(sender As Object, e As EventArgs)

AddHandler _batchManager.PhaseCommErrorEvent, AddressOf _batchManager_PhaseCommErrorEvent

AddHandler _batchManager.PhaseEscapeEvent, AddressOf _batchManager_PhaseEscapeEvent

AddHandler _batchManager.PhaseExecErrorEvent, AddressOf _batchManager_PhaseExecErrorEvent

AddHandler _batchManager.PhaseModeChangedEvent, AddressOf _batchManager_PhaseModeChangedEvent

AddHandler _batchManager.PhasePlcErrorEvent, AddressOf _batchManager_PhasePlcErrorEvent

AddHandler _batchManager.PhaseProgressEvent, AddressOf _batchManager_PhaseProgressEvent

AddHandler _batchManager.PhaseRtEvent, AddressOf _batchManager_PhaseRtEvent

AddHandler _batchManager.PhaseStateChangedEvent, _batchManager_PhaseStateChangedEvent

End Sub

Private Sub _batchManager_PhaseStateChangedEvent(eventData As IBatchStateChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseStateChangedEvent: " & Convert.ToString(eventData.OldState) & " -> " & Convert.ToString(eventData.NewState))

End Sub

Private Sub _batchManager_PhaseRtEvent(eventData As IBatchRtEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseRtEvent")

End Sub

Private Sub _batchManager_PhaseProgressEvent(eventData As IBatchProgressEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseProgressEvent")

End Sub

Private Sub _batchManager_PhasePlcErrorEvent(eventData As IBatchPlcErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhasePlcErrorEvent")

End Sub

Private Sub _batchManager_PhaseModeChangedEvent(eventData As IBatchModeChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseModeChangedEvent: " & Convert.ToString(eventData.OldMode) & " -> " & Convert.ToString(eventData.NewMode))

End Sub

Private Sub _batchManager_PhaseExecErrorEvent(eventData As IBatchExecErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseExecErrorEvent")

End Sub

Private Sub _batchManager_PhaseEscapeEvent(eventData As IBatchEscapeEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseEscapeEvent")

End Sub

Private Sub _batchManager_PhaseCommErrorEvent(eventData As IBatchCommErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseCommErrorEvent")

End Sub

Private Sub AddEventTextToList(eventText As String)

_listBox_events.Items.Add(eventText)

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1

End Sub

Private Sub _button_clearEventList_Click(sender As Object, e As EventArgs)

_listBox_events.Items.Clear()

End Sub

Private Sub _button_clearErrorList_Click(sender As Object, e As EventArgs)

_listBox_errors.Items.Clear()

End Sub

Private Sub _button_reloadMR_Click(sender As Object, e As EventArgs)

_dataGridView_MR.Rows.Clear()

Dim mrIDList As New List(Of Integer)()

Dim mrCnt As Integer = _batchManager.MasterRecipes().Count

For index As var = 0 To mrCnt - 1

Dim masterRecipe_temp As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByIndex(index)

If masterRecipe_temp IsNot Nothing Then

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID))

End If

Next

Dim mrNameList As New List(Of String)()

For Each mrID As var In mrIDList

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name)

Next

For Each mrName As String In mrNameList

Dim masterRecipe As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByName(mrName)

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime, masterRecipe.ApprovedUserId, masterRecipe.ApprovedUserName, masterRecipe.Description, masterRecipe.ID, masterRecipe.MrState, _

masterRecipe.Name, masterRecipe.OutdatedTime, masterRecipe.OutdatedUserId, masterRecipe.OutdatedUserName, masterRecipe.ReeMode, masterRecipe.ReeState, _

masterRecipe.Type)

Next

End Sub

VBA


SelectedMRIds

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Methods -> SelectedMRIds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a INT [] is returned with the id's of the selected recipes.

Datatype

SelectedMRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element ist clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


SelectedCRIds

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Methods -> SelectedCRIds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected control recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a BatchRecipeId [] is returned with the id's of the selected control recipes.

Datatype

SelectedCRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element is clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


BatchManager-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PhaseProgress | Event is fired when there is a significant change to the internal State of a phase in during execution | not used | read only | yes | yes
void | PhaseExecutionError | Event is fired when an execution error occures in a phase (Timeouts, etc.) | not used | read only | yes | yes
void | PhaseStateChanged | Event is fired when the execution state of a phase is changed | not used | read only | yes | yes
void | PhaseModeChanged | Event is fired when the execution mode of a phase is changed | not used | read only | yes | yes
void | PhaseRuntimeEvent | Event is fired when runtime events are triggered during the execution of a phase | not used | read only | yes | yes
void | PhaseCommunicationError | Event is fired when the communication error state of a phase is changed | not used | read only | yes | yes
void | PhasePlcError | Event is fired when the plc error state of a phase is changed | not used | read only | yes | yes
void | PhaseEscape | Event is fired when the escape state of a phase is changed | not used | read only | yes | yes
void | ControlRecipePhaseEdited | Event is fired when a phase in a control recipe gets edited | not used | read only | yes | yes
void | RecipeStateChanged | Event is fired when the execution state of a recipe is changed | not used | read only | yes | yes
void | RecipeModeChanged | Event is fired when the execution mode of a recipe is changed | not used | read only | yes | yes
void | MRSelectionChanged | Event is fired when the selection in a Master Recipe List is changed | not used | read only | yes | yes
void | CRSelectionChanged | Event is fired when the selection in a Control Recipe List is changed | not used | read only | yes | yes

Ancora in questo capitolo

PhaseProgress

PhaseExecutionError

PhaseStateChanged

PhaseModeChanged

PhaseRuntimeEvent

PhaseCommunicationError

PhasePlcError

PhaseEscape

ControlRecipePhaseEdited

RecipeStateChanged

RecipeModeChanged

MRSelectionChanged

CRSelectionChanged


PhaseProgress

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseProgress

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is fired when the phase progress changes.

List of events:

  • Phase activated
  • Unit allocation not possible
  • Phase started
  • Input interlocking blocked
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Finished writing command tags
  • Maximum waiting period phase done condition exceeded
  • Phase done condition completed
  • Phase deactivated

IBatchPhaseProgressEventData contains a enum property which contains the event type.

Datatype

PhaseProgress(IBatchPhaseProgressEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseProgress: " + eventData.PhaseState);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseProgress Event

AddHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

End Sub

Private Sub ThisProject_PhaseProgress(eventData As IBatchPhaseProgressEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseProgress: " & Convert.ToString(eventData.PhaseState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseProgress Event

RemoveHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase in Progress")

End Sub


PhaseExecutionError

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when execution error occurs.

List of events:

  • Phase started multiple times
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Command tag without value

Datatype

PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseExecutionError Event

BatchManager().PhaseExecutionError += new PhaseExecutionErrorEventHandler(

ThisProject_PhaseExecutionError);

}

void ThisProject_PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseExecutionError: " + eventData.ExecutionErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseExecutionError Event

BatchManager().PhaseExecutionError -= ThisProject_PhaseExecutionError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseExecutionError Event

AddHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

End Sub

Private Sub ThisProject_PhaseExecutionError(eventData As IBatchPhaseExecutionErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseExecutionError: " & Convert.ToString(eventData.ExecutionErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseExecutionError Event

RemoveHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets an error

Private Sub zBatchManager_PhaseExecutionError(ByVal eventData As IBatchPhaseExecutionErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Execution Error")

End Sub


PhaseStateChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseStateChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the phase state changes (running, paused, etc...).

List of displayed execution events:

  • State change: In execution
  • State change: Pausing
  • State change: Paused
  • State change:Finished
  • State change: Restart
  • State change: Holding
  • State change: Held
  • State change: Stopping
  • State change: Stopped
  • State change: Aborting
  • State change: Aborted
  • State change: Continue

Datatype

PhaseStateChanged(IBatchPhaseStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseStateChanged Event

BatchManager().PhaseStateChanged += new PhaseStateChangedEventHandler(

ThisProject_PhaseStateChanged);

}

void ThisProject_PhaseStateChanged(IBatchPhaseStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseStateChanged: " + eventData.OldSExecutiontate + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the PhaseStateChanged Event

BatchManager().PhaseStateChanged -= ThisProject_PhaseStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseStateChanged Event

AddHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

End Sub

Private Sub ThisProject_PhaseStateChanged(eventData As IBatchPhaseStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseStateChanged: " & Convert.ToString(eventData.OldSExecutiontate) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseStateChanged Event

RemoveHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the state of the phase gets changed

Private Sub zBatchManager_PhaseStateChanged(ByVal eventData As IBatchPhaseStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " Phase state changed")

End Sub


PhaseModeChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseModeChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a execution mode changes (manual, semi-automatic, automatic), during a active phase.

List of events

  • REE mode change: automatic
  • REE mode change: semi-automatic
  • REE mode change: manual

Datatype

PhaseModeChanged(IBatchPhaseModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseModeChanged Event

BatchManager().PhaseModeChanged += new PhaseModeChangedEventHandler(ThisProject_PhaseModeChanged);

}

void ThisProject_PhaseModeChanged(IBatchPhaseModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the PhaseModeChanged Event

BatchManager().PhaseModeChanged -= ThisProject_PhaseModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseModeChanged Event

AddHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

End Sub

Private Sub ThisProject_PhaseModeChanged(eventData As IBatchPhaseModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseModeChanged Event

RemoveHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the execution mode gets changed while a phase is active

Private Sub zBatchManager_PhaseModeChanged(ByVal eventData As IBatchPhaseModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase Mode changed")

End Sub


PhaseRuntimeEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseRuntimeEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing or restarting the runtime, during a active phase.

List of events:

  • Runtime closing
  • Runtime restart

Datatype

PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent += new PhaseRuntimeEventEventHandler(

ThisProject_PhaseRuntimeEvent);

}

void ThisProject_PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: "

+ eventData.RuntimeEvent);

}

void ThisProject_Inactive()

{

//Check out the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent -= ThisProject_PhaseRuntimeEvent;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseRuntime Event

AddHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

End Sub

Private Sub ThisProject_PhaseRuntimeEvent(eventData As IBatchPhaseRuntimeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: " + eventData.RuntimeEvent)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseRuntime Event

RemoveHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the RT gets started or closed while a phase is active

Private Sub zBatchManager_PhaseRuntimeEvent(ByVal eventData As IBatchPhaseRuntimeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: RT event")

End Sub


PhaseCommunicationError

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseCommunicationError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired in case of a communication error, or the communication state changes.

List of events:

  • Loss of communication
  • Loss of communication fixed
  • Loss of communication acknowledged

Datatype

PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError += new PhaseCommunicationErrorEventHandler(

ThisProject_PhaseCommunicationError);

}

void ThisProject_PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseCommunicationError: " + eventData.CommunicationErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError -= ThisProject_PhaseCommunicationError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseCommunicationError Event

AddHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

End Sub

Private Sub ThisProject_PhaseCommunicationError(eventData As IBatchPhaseCommunicationErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseCommunicationError: " & Convert.ToString(eventData.CommunicationErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseCommunicationError Event

RemoveHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

'Final release and garbage collection of any API-Objects.

FreeObjects

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a active phase gets a communication error or the error state gets changed

Private Sub zBatchManager_PhaseCommunicationError(ByVal eventData As IBatchPhaseCommunicationErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Communication error")

End Sub


PhasePlcError

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhasePlcError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a plc error enters or leaves.

Datatype

PhasePlcError(IBatchPhasePlcErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhasePlcError Event

BatchManager().PhasePlcError += new PhasePlcErrorEventHandler(

ThisProject_PhasePlcError);

}

void ThisProject_PhasePlcError(IBatchPhasePlcErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhasePlcError: " + eventData.PlcErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhasePlcError Event

BatchManager().PhasePlcError -= ThisProject_PhasePlcError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhasePlcError Event

AddHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

End Sub

Private Sub ThisProject_PhasePlcError(eventData As IBatchPhasePlcErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhasePlcError: " & Convert.ToString(eventData.PlcErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhasePlcError Event

RemoveHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the PLC gets an error or the error is gone while a phase is active

Private Sub zBatchManager_PhasePlcError(ByVal eventData As IBatchPhasePlcErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: PLC error")

End Sub


PhaseEscape

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseEscape

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing/leaving a phase.

List of events:

  • Escape condition started
  • Escape condition fulfilled

Datatype

PhaseEscape(IBatchPhaseEscapeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseEscape Event

BatchManager().PhaseEscape += new PhaseEscapeEventHandler(

ThisProject_PhaseEscape);

}

void ThisProject_PhaseEscape (IBatchPhaseEscapeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: "

+ eventData.EscapeState);

}

void ThisProject_Inactive()

{

//Check out the PhaseEscape Event

BatchManager().PhaseEscape -= ThisProject_PhaseEscape;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseEscape Event

AddHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

End Sub

Private Sub ThisProject_PhaseEscape(eventData As IBatchPhaseEscapeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: " + eventData.EscapeState)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseEscape Event

RemoveHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets or is escaped

Private Sub zBatchManager_PhaseEscape(ByVal eventData As IBatchPhaseEscapeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Escape")

End Sub


ControlRecipePhaseEdited

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> ControlRecipePhaseEdited

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event gets fired, when a phase in a control recipe is edited. The eventData object contains all information about the change that was made.

Datatype

ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA


RecipeStateChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> RecipeStateChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the execution state of a recipe changes

Changes to the recipe execution state that cause this event:

  • State change: running
  • State change: pausing
  • State change: paused
  • State change: resume
  • State change: holding
  • State change: held
  • State change: restarting
  • State change: stopping
  • State change: stopped
  • State change: aborting
  • State change: aborted
  • State change: complete

Datatype

RecipeStateChanged(IBatchRecipeStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeStateChanged Event

BatchManager().RecipeStateChanged += new RecipeStateChangedEventHandler (

ThisProject_RecipeStateChanged);

}

void ThisProject_RecipeStateChanged(IBatchRecipeStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeStateChanged: " + eventData.OldExecutionState + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the RecipeStateChanged Event

BatchManager().RecipeStateChanged -= ThisProject_RecipeStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeStateChanged Event

AddHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

End Sub

Private Sub ThisProject_RecipeStateChanged(eventData As IBatchRecipeStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeStateChanged: " & Convert.ToString(eventData.OldExecutionState) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeStateChanged Event

RemoveHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its state

Private Sub zBatchManager_ RecipeStateChanged (ByVal eventData As IBatchRecipeStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe State change")

End Sub


RecipeModeChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> RecipeModeChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired if the execution mode of a recipe is changed during its execution. Additionally it is fired once at the start of the recipe with the initial mode as old and as new mode.

Changes to the execution mode that cause this event:

  • Mode Change: automatic
  • Mode Change: semi-automatic
  • Mode Change: manual

Datatype

RecipeModeChanged(IBatchRecipeModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeModeChanged Event

BatchManager().RecipeModeChanged += new RecipeModeChangedEventHandler (

ThisProject_RecipeModeChanged);

}

void ThisProject_RecipeModeChanged(IBatchRecipeModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the RecipeModeChanged Event

BatchManager().RecipeModeChanged -= ThisProject_RecipeModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeModeChanged Event

AddHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

End Sub

Private Sub ThisProject_RecipeModeChanged(eventData As IBatchRecipeModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeModeChanged Event

RemoveHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its mode

Private Sub zBatchManager_ RecipeModeChanged (ByVal eventData As IBatchRecipeModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe Mode change")

End Sub


MRSelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> MRSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element master recipe list changes.

Datatype

MRSelectionChanged(IBatchMRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedMRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub


CRSelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchManager -> BatchManager-Events -> CRSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element control recipe list changes.

Datatype

CRSelectionChanged(IBatchCRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

batchManager = this.BatchManager();

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

batchManager = Me.BatchManager()

' Register event

AddHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedCRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub


BatchMasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object with the properties for the recipe. These properties can be read.

Property table: BatchMasterRecipe-Properties

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Ancora in questo capitolo

BatchMasterRecipe-Properties

BatchMasterRecipe-Methods


BatchMasterRecipe-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the recipe | not used | read only | yes | yes
long | Version | Returns the version of recipe | not used | read only | yes | yes
long | SourceVersion | Returns the version of the source recipe | not used | read only | yes | yes

Ancora in questo capitolo

ID

Name

Description

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

Version

SourceVersion


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> MRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Version

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

Version() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> SourceVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

SourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipe-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchControlRecipes | ControlRecipes | Returns the collection of control recipes | not used | read only | yes | yes
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Ancora in questo capitolo

ControlRecipes

SetNameAndDescription


ControlRecipes

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> ControlRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ControlRecipes(tpBatchCRStateFilter eFilter) As IBatchControlRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetNameAndDescription

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> SetNameAndDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the master recipe if possible. The method returns a result code for the operation.

Note, that the master recipe instance you are working on is a copy of the original data. To get an updated version of the master recipe you have to get it again from the master recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a master recipe and set its description

public void Macro_SetMasterRecipeNameAndDescription()

{

//Get the master recipe that is to be renamed

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1);

//rename the master recipe and set its description

tpRecipeRenameResult result = mr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a master recipe and set its description

Public Sub Macro_SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a master recipe and set its description

Public Sub SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchMasterRecipes

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lists all template recipes. Specific recipes can be read from the collection.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Ancora in questo capitolo

BatchMasterRecipes-Properties

BatchMasterRecipes-Methods


BatchMasterRecipes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of master recipes | not used | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchMasterRecipe | ItemByIndex | Returns the master recipe item at the given index |  | not used | read only | yes | yes
IBatchMasterRecipe | Item | Returns the master recipe item with the specified name |  | not used | read only | yes | yes
IBatchMasterRecipe | ItemById | Returns the master recipe item with the specified Id |  | not used | read only | yes | yes
IBatchMasterRecipe | GetItem | Returns the master recipe item at the given index | not used |  | read only | yes |  | yes
IBatchMasterRecipe | GetItemByName | Returns the master recipe item with the specified name | not used |  | read only | yes |  | yes
IBatchMasterRecipe | GetItemById | Returns the master recipe item with the specified Id | not used |  | read only | yes |  | yes

Ancora in questo capitolo

GetItem

GetItemByName

GetItemById


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName, long lVersion) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchMRSelectionChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMRSelectionChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the MRSelectionChangedEvent

string ScreenName: Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedMRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub

Ancora in questo capitolo

BatchMRSelectionChangedEventData-Properties


BatchMRSelectionChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Ancora in questo capitolo

ScreenName


ScreenName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties -> ScreenName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchOperation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchOperation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A sub-recipe, that can then be used in master recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchOperation-Properties


BatchOperation-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchOperation -> BatchOperation-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart operation object in the recipe | not used | read only | yes | yes
BSTR | Name | Name of the operation | not used | read only | yes | yes
BSTR | Description | Description of the operation | not used | read only | yes | yes

Ancora in questo capitolo

ChartId

Name

Description


ChartId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> ChartId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart operation object in the recipe.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the operation.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the operation.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A functional block, that encapsulates the communication with the plc for a specific procedure.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhase-Properties


BatchPhase-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart phase object in the recipe or operation | not used | read only | yes | yes
BSTR | Name | Name of the phase | not used | read only | yes | yes
BSTR | Description | Description of the phase | not used | read only | yes | yes
tpBatchExecutionState | PhaseState | Execution state of the phase | not used | read only | yes | yes
long | ExecutionCounter | Execution counter of the phase | not used | read only | yes | yes
IBatchControlStrategy | ControlStrategy | Currently active control strategy | not used | read only | yes | yes
IBatchTags | Tags | Collection for the tags of the phase | not used | read only | yes | yes

Ancora in questo capitolo

ChartId

Name

Description

PhaseState

ExecutionCounter

ControlStrategy

Tags


ChartId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ChartId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart phase object in the recipe or operation.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the phase.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the phase.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> PhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution state of the phase.

Datatype

PhaseState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionCounter

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ExecutionCounter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution counter of the phase.

Datatype

ExecutionCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlStrategy

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ControlStrategy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently active control strategy.

Datatype

ControlStrategy() As IBatchControlStrategy

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tags

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Tags

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tags() As IBatchTags

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseChanges

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object that contains what changes were made in the phase (contains the IDs of the changed tags)

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseChanges-Properties

BatchPhaseChanges-Methods


BatchPhaseChanges-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdCount | Count of tag ids in the collection | not used | read only | yes | yes

Ancora in questo capitolo

TagIdCount


TagIdCount

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Properties -> TagIdCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of the IDs for the changed tags.

Datatype

TagIdCount() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdByIndex | Gets a tag id from the collection by its index | not used | read only | yes | yes

Ancora in questo capitolo

TagIdByIndex


TagIdByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Methods -> TagIdByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an ID of a changed Tag for lIndex. lIndex has to lie between 0 and TagIdCount-1. If it does not, the Method will return 0.

Datatype

TagIdByIndex(long lIndex) As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe

Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA


BatchPhaseCommunicationErrorEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseCommunicationError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseCommunicationErrorEventData-Properties


BatchPhaseCommunicationErrorEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseCommunicationErrorState | CommunicationErrorState | New state of the communication error | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

CommunicationErrorState


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CommunicationErrorState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> CommunicationErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state for the communication error.

Datatype

CommunicationErrorState() As tpBatchPhaseCommunicationErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Phases via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchPhaseConfig (die Schnittstelle selbst)

Long IBatchPhaseConfig::Id (ID der Phase)

BSTR IBatchPhaseConfig::Name (Name der Phase)

BSTR IBatchPhaseConfig::Description (Beschreibung der Phase)

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_phase_test()

{

zenOn.IBatchPhaseConfig phase;

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(0);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(100);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(3);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(300);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 7");

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 700");

ReportPhase(phase);

}

public void ReportPhase(zenOn.IBatchPhaseConfig phase)

{

if (null != phase)

{

System.String message;

message = "Phase id(" + phase.ID + "),name(" + phase.Name + "),description(" + phase.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Phase not found!");

}

}

VB.NET

VBA

‘ please replace „MyWorkspace.ActiveDocument" by „thisProject" for the test at RT!

Public Sub phase_test()

Dim phase As BatchPhaseConfig

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(0)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(100)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(3)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(300)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 7")

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 700")

report_phase phase

End Sub

Public Sub report_phase(phase As BatchPhaseConfig)

If Not phase Is Nothing Then

Dim message As String

message = "Phase id(" & phase.ID & "),name(" & phase.Name & "),description(" & phase.Description & ")"

MsgBox (message)

Else

MsgBox ("Phase not found!")

End If

End Sub

Ancora in questo capitolo

BatchPhaseConfig -Properties


BatchPhaseConfig -Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the phase name | read only | read only | yes | yes
BSTR | Description | Returns the phase description | read only | read only | yes | yes
long | ID | Returns the phase ID | read only | read only | yes | yes

Ancora in questo capitolo

Name

Description

ID


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase name

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase description

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase ID

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseEscapeEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseEscape Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseEscapeEventData-Properties


BatchPhaseEscapeEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseEscapeState | EscapeState | New internal execution position of the phase | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

EscapeState


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


EscapeState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> EscapeState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

EscapeState() As tpBatchPhaseEscapeState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseExecutionErrorEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseExecutionError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseExecutionErrorEventData-Properties


BatchPhaseExecutionErrorEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseExecutionError | ExecutionError | Type of the error that occured | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

ExecutionError


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionError

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the execution error of the phase that triggered this event.

Datatype

ExecutionError() As tpBatchPhaseExecutionError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseModeChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseModeChangedEventData-Properties


BatchPhaseModeChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionMode

NewExecutionMode

User


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> OldExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> NewExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New mode from after the change.

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the mode change. If it is triggered by toolbar button or zenon button with a batch recipe commando, the user is the currently logged in user at the moment and client the mode change is triggered. If the mode change is triggered by reaction of a phase or an automated function call (etc.) a copy of the SYSTEM user will be sent.

This user is for information only. Trying to change its password or Name or anything else will have no effect on the real user, because this is a copy. The original user may even no longer exist due to the delay in a network

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasePlcErrorEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhasePlcError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhasePlcErrorEventData-Properties


BatchPhasePlcErrorEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhasePlcErrorState | PlcErrorState | New state of the PLC error | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

PlcErrorState


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PlcErrorState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> PlcErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

PlcErrorState() As tpBatchPhasePlcErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseProgressEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseProgress Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseProgressEventData-Properties


BatchPhaseProgressEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseState | PhaseState | New internal execution position of the phase | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

PhaseState


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> PhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New internal state for the phase execution. The change of this state triggered this event.

Datatype

PhaseState() As tpBatchPhaseState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseRuntimeEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseRuntimeEvent Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseRuntimeEventData-Properties


BatchPhaseRuntimeEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseRuntimeEvent | RuntimeEventType | Type of the Runtime event that occured | not used | read only | yes | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

RuntimeEventType


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


RuntimeEventType

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> RuntimeEventType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of runtime event that triggered this event.

Datatype

RuntimeEventType() As tpBatchPhaseRuntimeEvent

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhasesConfig -Properties

BatchPhasesConfig -Methods


BatchPhasesConfig -Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of phases | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig -Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all phases to file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the phases from file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a phase via ID |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a phase via index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a phase via name |  | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a phase via ID |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a phase via index |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a phase via name |  | available | not used | yes | yes
IBatchPhaseConfig | ItemById | Returns a phase via ID |  | available | available | yes | yes
IBatchPhaseConfig | ItemByIndex | Returns a phase via index |  | available | available | yes | yes
IBatchPhaseConfig | ItemByName | Returns a phase via name |  | available | available | yes | yes
IBatchPhaseConfig | GetItemById | Returns a phase via ID | available |  | available | yes |  | yes
IBatchPhaseConfig | GetItem | Returns a phase via index | available |  | available | yes |  | yes
IBatchPhaseConfig | GetItemByName | Returns a phase via name | available |  | available | yes |  | yes

Ancora in questo capitolo

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

GetItemById

GetItem

GetItemByName


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lPhaseId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lPhaseIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrPhaseName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lPhaseId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lPhaseIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrPhaseName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lPhaseId) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lPhaseIndex) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrPhaseName) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchPhaseStateChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchPhaseStateChangedEventData-Properties


BatchPhaseStateChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation |  | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change |  | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes

Ancora in questo capitolo

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionState

NewExecutionState

User


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> OldExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> NewExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state from after the change.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains both the master recipe Id and the control recipe Id for a recipe.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchRecipeId-Properties


BatchRecipeId-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | MRId | Master recipe Id of the recipe | not used | read only | yes | yes
long | CRId | Control recipe Id of the recipe | not used | read only | yes | yes

Ancora in questo capitolo

MRId

CRId


MRId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties -> MRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRId

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties -> CRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeModeChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchRecipeModeChangedEventData-Properties


BatchRecipeModeChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used |  | read only | yes |  | yes

Ancora in questo capitolo

Time

MasterRecipe

ControlRecipe

User

OldExecutionMode

NewExecutionMode


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> OldExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> NewExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeStateChangedEventData

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchRecipeStateChangedEventData-Properties


BatchRecipeStateChangedEventData-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Ancora in questo capitolo

Time

MasterRecipe

ControlRecipe

User

OldExecutionState

NewExecutionState


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the event. For user-triggered changes Only, this is the currently logged user at the time of the change is performed. The logged user is only used for the switch to the direct resulting transient state: Start(IDLE->RUNNING), resume(PAUSED->RUNNING) and switches to transient states. For the other changes to the absolute states the SYSTEM user is used, because they are triggered by the execution itself. Also all automated changes (reactions, automatically executed zenon functions) use the SYSTEM user.

NOTE: All actions from reactions are logged in the CEL. As user "System" is registered.

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> OldExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Old execution state before the event.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> NewExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New execution state after the event.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTag

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object that encapsulates a variable for the purposes of the batch execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchTag-Properties


BatchTag-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | ID of the tag | not used | read only | yes | yes
BSTR | Name | Name of the tag | not used | read only | yes | yes
BSTR | Description | Description of the tag | not used | read only | yes | yes
IVariableValue | CurrentValue | Current value of the variable linked as the current value variable on the tag | not used | read only | yes | yes
IVariableValue | TagVariableValue | Current value of the variable linked as the tag variable on the tag | not used | read only | yes | yes
IBatchTagValue | TagValue | Value that is to be written on the tag variable | not used | read only | yes | yes
BSTR | Unit | Unit of the tag | not used | read only | yes | yes
tpBatchTagDataType | DataType | Data type for the tag | not used | read only | yes | yes
tpBatchTagType | TagType | Type of the tag | not used | read only | yes | yes
IVariable | TagVariable | Main Variable of the tag. For command tags the value is written onto this variable. | not used | read only | yes | yes
IVariable | CurrentValueVariable | For command tags this is the variable that shows the current value for the tag on the PLC. | not used | read only | yes | yes

Ancora in questo capitolo

ID

Name

Description

CurrentValue

TagVariableValue

TagValue

Unit

DataType

TagType

TagVariable

CurrentValueVariable


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the tag.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the tag.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the tag.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValue

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> CurrentValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of the variable linked as the current value variable on the tag .

Datatype

CurrentValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariableValue

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagVariableValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of thje variable linked as tag varaible.

Datatype

TagVariableValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagValue

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Value that is written on the tag variable.

Datatype

TagValue() As IBatchTagValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unit of the tag.

Datatype

Unit() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> DataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype of the tag.

Datatype

DataType() As tpBatchTagDataType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagType

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the tag (initial, value, return).

Datatype

TagType() As tpBatchTagType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable that is linked on the Tag. For command tags this is the one that has the values written to it.

Datatype

TagVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValueVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTag -> BatchTag-Properties -> CurrentValueVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the readable datapoint differs from the writeable one for a command tag, the readable one can be linked here. It is null for tags on which it is not linked.

Datatype

CurrentValueVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A collection of tags. Allows you to iterate and get tags.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchTags-Properties

BatchTags-Methods


BatchTags-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of the tags | not used | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

number of tags in the collection.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchTag | ItemByIndex | Gets a tag by its index in the collection |  | not used | read only | yes | yes
IBatchTag | ItemByName | Gets a tag by its name |  | not used | read only | yes | yes
IBatchTag | ItemById | Gets a tag by its ID |  | not used | read only | yes | yes
IBatchTag | GetItem | Gets a tag by its index in the collection | not used |  | read only | yes |  | yes
IBatchTag | GetItemByName | Gets a tag by its name | not used |  | read only | yes |  | yes
IBatchTag | GetItemById | Gets a tag by its ID | not used |  | read only | yes |  | yes

Ancora in questo capitolo

GetItem

GetItemByName

GetItemById


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTags -> BatchTags-Methods -> GetItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchTagValue

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value for a tag that is written to the variable of the tag. It contains fields for all possible data types of the tag.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

BatchTagValue-Properties


BatchTagValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpBatchBoolValue | Bool | Bool value | not used | read only | yes | yes
BSTR | String | String value | not used | read only | yes | yes
double | Numeric | Numerical value | not used | read only | yes | yes
long | Duration | Duration value in seconds | not used | read only | yes | yes

Ancora in questo capitolo

Bool

String

Numeric

Duration


Bool

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Bool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Bool value for the tag.

Datatype

Bool() As tpBatchBoolValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


String

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> String

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

String value for the tag.

Datatype

String() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Numeric

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Numeric

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Numerical value for the tag.

Datatype

Numeric() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Duration

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Duration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duration value for the tag.

Datatype

Duration() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Ancora in questo capitolo

BatchUnitConfig -Properties


BatchUnitConfig -Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the unit name | read only | read only | yes | yes
BSTR | Description | Returns the unit description | read only | read only | yes | yes
long | ID | Returns the unit ID | read only | read only | yes | yes
IBatchPhasesConfig | Phases | List of unit phases | available | read only | yes | yes

Ancora in questo capitolo

Name

Description

ID

Phases


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Phases

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Phases

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phases() As IBatchPhasesConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Zu den Einzelnen Objekten der neuen Klasse kommt man durch die Iteration der Unitsliste der Batch-Projektierung:

IBatchUnitConfig* IBatchUnitsConfig::ItemById(long id)

IBatchUnitConfig* IBatchUnitsConfig::ItemByIndex(long index)

IBatchUnitConfig* IBatchUnitsConfig::ItemByName(BSTR name)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Ancora in questo capitolo

BatchUnitsConfig -Properties

BatchUnitsConfig -Methods


BatchUnitsConfig -Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of units | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig -Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all units to file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the units from file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a unit via ID |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a unit via index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a unit via name |  | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a unit via ID |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a unit via index |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a unit via name |  | available | not used | yes | yes
IBatchUnitConfig | ItemById | Returns a unit via ID |  | available | available | yes | yes
IBatchUnitConfig | ItemByIndex | Returns a unit via index |  | available | available | yes | yes
IBatchUnitConfig | ItemByName | Returns a unit via name |  | available | available | yes | yes
IBatchUnitConfig | GetItemById | Returns a unit via ID | available |  | available | yes |  | yes
IBatchUnitConfig | GetItem | Returns a unit via index | available |  | available | yes |  | yes
IBatchUnitConfig | GetItemByName | Returns a unit via name | available |  | available | yes |  | yes

Ancora in questo capitolo

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

GetItemById

GetItem

GetItemByName


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lUnitId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lUnitIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrUnitName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lUnitId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lUnitIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrUnitName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lUnitId) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lUnitIndex) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrUnitName) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The CEL Object represents the "Chronological Event List" an offers the feature to write user defined Events into the list or react on entries in the list...There are some methods and events implemented, to see how they are working look at the Sample below or take a detailed look at the objects properties...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

'##########################################################
'### this Code can be used within the 'thisProject' ###
'### object class, because of the project events! ###
'##########################################################
'Declare Objects to get the Events...
Dim WithEvents zCEL As Cel
Dim WithEvents zCELPIC As DynPicture
Dim bCEL As Boolean

'##########################################################
'### Project Events - START/END of the zenOn Runtime ###
'##########################################################
Private Sub Project_Active()
'Init screen pbjects to get Open/Close events of the screens
Set zCELPIC = thisProject.DynPictures.Item("CEL")
End Sub

Private Sub Project_Inactive()
'release objects
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the Chronological event list ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the screen
If bCEL = True Then
bCEL = False
Else
Debug.Print "C_Changed - " & obItem.Text
End If
End Sub

Ancora in questo capitolo

Cel-Properties

Cel-Methods

Cel-Events

Cel-Dynamic properties


Cel-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Cel-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
ICelItems | CelItems | Return the CelItems |  | not used | read only | yes | yes
void | WriteCelString | Creates a new cel-item (only runtime) |  | not used | available | yes | yes
void | WriteCelStringEx | Creates a new extended cel-item (only runtime) |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
void | WriteCelStringTimestamp | Creates a new extended cel-item including timestamp (Runtime only) |  | not used | available | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | CelItemsAsXml | Return the CelItems as XML | not used |  | read only | yes |  | yes
IOnlineCels | OnlineCels | Returns the OnlineCels object | not used |  | read only | yes |  | yes
IOnlineCelCollection | OnlineCelCollection [GET] | Returns the OnlineCels object | not used |  | read only | yes |  | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

WriteCelString

WriteCelStringEx

WriteCelStringTimestamp

CelItems

ResetQueryFilter

CelItemsAsXml

OnlineCelCollection [GET]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteCelString

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> WriteCelString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item (only runtime)

Datatype

WriteCelString(String strCelString) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The given String will be written into the chronological event list (actual Timestamp)
Example: "VBA Error " & Err.Number & " in procedure DoSome!"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strCelString As String

Examples

C#

public void WriteStringToCel(string text)

{

//Writes a new standard CEL entry

this.Cel().WriteCelString(text);

}

VB.NET

Public Sub WriteStringToCel(text As String)

'Writes a new standard CEL entry

Me.Cel().WriteCelString(text)

End Sub

VBA

Public Sub WriteString2CEL(YourText As String)
'a new entry will be generated in the CEL with the actual timestamp...
thisProject.Cel.WriteCelString YourText
End Sub


WriteCelStringEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> WriteCelStringEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new extended cel-item (only runtime)

Datatype

WriteCelStringEx(String strCelString,String szPvName,long iGroup,long iClass,VARIANT Value,long Status) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

StatusValue contains all actual status information as single bits...

Status Bits:

Status | Bit | Value (DEC) | Value (HEX)
ST_M1 / Status1 | 0 | 1 | 1
ST_M2 / Status2 | 1 | 2 | 2
ST_M3 / Status3 | 2 | 4 | 4
ST_M4 / Status4 | 3 | 8 | 8
ST_M5 / Status5 | 4 | 16 | 10
ST_M6 / Status6 | 5 | 32 | 20
ST_M7 / Status7 | 6 | 64 | 40
ST_M8 / Status8 | 7 | 128 | 80
SELEC / Select | 8 | 256 | 100
REV / Revision | 9 | 512 | 200
DIREC / Desired direction | 10 | 1.024 | 400
RTE / Runtime exceeded | 11 | 2.048 | 800
MVALUE / Manual value | 12 | 4.096 | 1000
ST_M14 / Status14 | 13 | 8.192 | 2000
ST_M15 / Status15 | 14 | 16.384 | 4000
ST_M16 / Status16 | 15 | 32.768 | 8000
GR / General request | 16 | 65.536 | 10000
SPONT / Spontaneous | 17 | 131.072 | 20000
I-BIT / Invalid | 18 | 262.144 | 40000
SU/WI / Summer/winter time announcement | 19 | 524.288 | 80000
N_UPDATE / switched off | 20 | 1.048.576 | 100000
RT_E / Realtime external | 21 | 2.097.152 | 200000
RT_I / Realtime internal | 22 | 4.194.304 | 400000
NSORT / Not sortable | 23 | 8.388.608 | 800000
DM_TR / Default message trafo value | 24 | 16.777.216 | 1000000
RM_TR / Running message trafo value | 25 | 33.554.432 | 2000000
INFO / Info for variable | 26 | 67.108.864 | 4000000
AVALUE / Alternative value | 27 | 134.217.728 | 8000000
ACTUAL / Not updated | 29 | 536.870.912 | 20000000
WINTER / Winter time | 30 | 1.073.741.824 | 40000000
BLINK / Blink | 31 | 2.147.483.648 | 80000000

ID of AlarmClass for filtering within the chronological event list...

The given String will be written into the chronological event list (actual Timestamp)

Example: "VBA Error " & Err.Number & " in procedure DoSome!"

ID of AlarmGroup for filtering within the chronological event list...

Name of a variable, the variable will be listed in the chronological event list...

Value as Variant, means the value entry within the chronological event list...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Status As Long

iClass As Long

strCelString As String

iGroup As Long

szPvName As String

Value As Variant

Examples

C#

public void WriteExStringToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status)

{

//Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

this.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status);

}

VB.NET

Public Sub WriteExStringToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer)

'Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

Me.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status)

End Sub

VBA

Public Sub WriteExString2CEL(YourText As String, VarName As String, _
GroupNr As Long, ClassNr As Long, _
vValue As Variant, lStatus As Long)
'a new entry will be generated in the CEL with the actual timestamp...
Call thisProject.Cel.WriteCelStringEx(YourText, VarName, GroupNr, _
ClassNr, vValue, lStatus)
End Sub


WriteCelStringTimestamp

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> WriteCelStringTimestamp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item + timestamp (only runtime)

Datatype

WriteCelStringTimestamp(BSTR strCelString, BSTR szPvName, long iGroup, long iClass, VARIANT Value, long Status, long Time, short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void WriteTimeStampToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status, int time, short milliseconds)

{ //Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

//NOTE: zenon time format necessary for the time parameter

this.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status,

time, milliseconds);

}

VB.NET

Public Sub WriteTimeStampToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer, _

time As Integer, milliseconds As Short)

'Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

'NOTE: Zenon time format necessary for the time parameter

Me.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status, _

time, milliseconds)

End Sub

VBA

Public Sub writeCel()

Call thisProject.Cel.WriteCelStringTimestamp("Mytext", "RGM_visible", 1, 1, 0, 0, 123, 456)

End Sub


CelItems

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> CelItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object to get all Items are actually in memory...

Filter String: If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used. --> only version 6.51 and above

Datatype

CelItems(String strFilter) As CelItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A Filter is not implemented yet. To avoid problems in future use always the asterisk...
Example:

Debug.Print zCelItems("*").Count

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strFilter As String

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1


ResetQueryFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> ResetQueryFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify Cel filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Cel.ResetQueryFilter()

Project.Cel.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Cel.AmlItems(„.")

VB.NET

VBA


CelItemsAsXml

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> CelItemsAsXml

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCelCollection [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Methods -> OnlineCelCollection [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnlineCelCollection [GET]() As IOnlineCelCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CelItemAdded | Event is fired when a new entry has been added to the CEL | not used | available | yes | yes
void | CelItemCommentChanged |  | not used | available | yes | yes
void | CelListSelectionChanged |  | not used | read only | yes | yes
void | SelectionChangedEx | Event: selection array in the event list has been changed... | not used | read only | yes | yes

Ancora in questo capitolo

CelItemAdded

CelListSelectionChanged

CelItemCommentChanged

SelectionChangedEx


CelItemAdded

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Events -> CelItemAdded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired, when a new item was added...

Datatype

CelItemAdded(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemAdded += new CelItemAddedEventHandler(zenonCel_CelItemAdded);

}

void zenonCel_CelItemAdded(ICelItem obItem)

{

//Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " + obItem.Text);

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemAdded -= new CelItemAddedEventHandler(zenonCel_CelItemAdded);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

End Sub

Private Sub zenonCel_CelItemAdded(obItem As ICelItem)

'Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " & Convert.ToString(obItem.Text))

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

obItem As CelItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zCEL As Cel

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'init CEL Object to get the CelItemAdded event
Set zCEL = thisProject.Cel
End Sub

Private Sub Project_Inactive()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCEL_CelItemAdded(ByVal obItem As ICelItem)
'when a new entry was generated....
Debug.Print "CelItemAdded - " & obItem.Text
End Sub


CelListSelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Events -> CelListSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

CelListSelectionChanged(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As CelItem

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

Dim WithEvents zCELPIC As DynPicture
Dim WithEvents zCEL As Cel
Dim bCEL As Boolean

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'set this object to get the Picture Open/Close Events...
Set zCELPIC = thisProject.DynPictures.Item("CELPICTURENAME")
End Sub

Private Sub Project_Inactive()
'release object
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the ChronologicalEventList ###
'##########################################################
Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bCEL = True Then
bCEL = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "SelectionChanged - " & obItem.Text
End If
End Sub


CelItemCommentChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Events -> CelItemCommentChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemCommentChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemCommentChanged += new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

}

void zenonCel_CelItemCommentChanged(ref string bsText)

{

System.Diagnostics.Debug.Print("New CEL Comment: " + bsText);

//Note: bsText may be edited in this method since its passed by reference

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemCommentChanged -= new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

End Sub

Private Sub zenonCel_CelItemCommentChanged(ByRef bsText As String)

System.Diagnostics.Debug.Print("New CEL Comment: " & bsText)

'Note: bsText may be edited in this method since its passed by reference

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

VBA-Syntax


SelectionChangedEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Events -> SelectionChangedEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the selection changes in CEL.

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.SelectionChangedEx += new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

}

void zenonCel_SelectionChangedEx(ref object arrSelection)

{

if (arrSelection == null)

return;

//One or more items have been selected

object[] selectedItems = (object[]) arrSelection;

for (int i = 0; i < selectedItems.Length; ++i)

{

ICelItem item = (ICelItem)selectedItems[i];

System.Diagnostics.Debug.Print(item.Text);

}

}

void ThisProject_Inactive()

{

this.zenonCel.SelectionChangedEx -= new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

End Sub

Private Sub zenonCel_SelectionChangedEx(ByRef arrSelection As Object)

If arrSelection Is Nothing Then

Return

End If

'One or more items have been selected

Dim selectedItems As Object() = DirectCast(arrSelection, Object())

For i As Integer = 0 To selectedItems.Length - 1

Dim item As ICelItem = DirectCast(selectedItems(i), ICelItem)

System.Diagnostics.Debug.Print(item.Text)

Next

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

Private WithEvents MyEvents As Cel

Private Sub MyEvents_SelectionChangedEx(arrSelection As Variant)

Dim i As Integer

Dim zCelEntry As CelItem

Stop

If IsEmpty(arrSelection) Then Exit Sub

For i = 0 To UBound(arrSelection)

Set zCelEntry = arrSelection(i)

Debug.Print zCelEntry.Text

Next i

End Sub

Private Sub Project_Active()

Set MyEvents = thisProject.Cel

End Sub


Cel-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgCel

Ancora in questo capitolo

CD_CCelFilter

CDlgCel


CD_CCelFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Dynamic properties -> CD_CCelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowSysEntriesForever

ShowSysEntriesForever

Description

VT_BSTR

FileName

FileName

With this property you get/set the file name for the different export mechanism.

VT_BSTR

VarFilter

VarFilter

"Filters for variable names, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"" (All variables)"

VT_BSTR

FilterTitel

FilterTitel

"Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"""

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsMatchCase

IsMatchCase

"Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."

VT_BOOL

IsFromFiles

IsFromFiles

"Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory.
Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."

VT_BOOL

IsReadAll

IsReadAll

VT_BOOL

IsAutoName

IsAutoName

VT_BOOL

IsAML

IsAML

"Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."

VT_BOOL

IsDBASE

IsDBASE

VT_BOOL

IsXML

IsXML

VT_BOOL

IsRelationTime

IsRelationTime

"Display of relative times (relative to selected entries), if set TRUE."

VT_BOOL

IsUnicode

IsUnicode

VT_BOOL

IsIncremental

IsIncremental

VT_BOOL

IsFilterExp

IsFilterExp

"Opens the list stopped, if set TRUE.
"

VT_BOOL

IsAcknowledged

IsAcknowledged

"Filters unacknowledged alarms, if set TRUE."

VT_BOOL

IsAscentOnly

IsAscentOnly

"Prints only current alarms, if set TRUE."

VT_UI2

EntriesCount

EntriesCount

"Specifies the maximum amount of entries that should be filtered from a file.
Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."

ZT_SCHRIFT

Font

Font

"Specifies the font that should be used.
The parameter that is passed, is the index of the font within the specified font list.
0 = Standard font
1 = Default font 1
...
5 = Default font 5
6 = User specified font 1
... = etc.
"

VT_BSTR

Classes

Classes

"Filters for alarm classes, where system messages are marked out, as they are not linked to a variable.
Multiple class numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""

VT_BSTR

Groups

Groups

"Filters for alarm groups, where system messages are marked out, as they are not linked to a variable.
Multiple group numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""

VT_BSTR

ResString

ResString

ZT_ZEIT

IncTime

IncTime

"Gets or sets the minimal time for current alarms in seconds.
Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."

VT_UI2

mSeconds

mSeconds

"Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."

More...

TimeFilter

TimeFilter

More...

ListInfo

ListInfo

VT_BSTR

ProjectNames

ProjectNames

"Specifies the names of the projects. Multiple project names are seperated with a semicolon.
zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""

More...

TextFilter

TextFilter

More...

StatusFilter

StatusFilter

VT_BOOL

IsSQL

SQLBase

VT_BSTR

SQLBase

SQLBase

VT_BSTR

SQLTable

SQLTable

More...

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

More...

RTMDIFilterScreen

RTMDIFilterScreen

VT_BSTR

Areas

Areas

VT_BOOL

IsGoneOnly

IsGoneOnly

VT_BOOL

NeedComment

NeedComment

VT_BOOL

NeedAlarmCause

NeedAlarmCause

Description

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


CDlgCel

Manuale -> Interfacce di programmazione -> Objectmodel -> Cel -> Cel-Dynamic properties -> CDlgCel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | QueryFilter | Status |


CelItem

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object deliveres all information stored with the cel item...You can read this like shown in the Sample, but ther some more, like the Username, the Computer, Value or something else...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
Dim zCItem As CelItem
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'set object to a specific item...
Set zCItem = thisProject.Cel.CelItems("*").Item(i)
'print time, text, Variablename and User-Comment of item to outputwindow
Debug.Print "Time: " & zCItem.Time
Debug.Print "Text: " & zCItem.Text
Debug.Print "Variable: " & zCItem.VariableName
Debug.Print "Comment: " & zCItem.Comment
Debug.Print "-----------------------------"
Next i
End Sub

Ancora in questo capitolo

CelItem-Properties

CelItem-Methods


CelItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | Class | Returns the class | not used | read only | yes | yes
BSTR | Comment | Returns the comment | not used | available | yes | yes
BSTR | Computer | Returns the computer name | not used | read only | yes | yes
short | Group | Returns the group | not used | read only | yes | yes
long | Status | Return the status | not used | read only | yes | yes
BSTR | TagName | Returns the Tagname of the variable | not used | read only | yes | yes
BSTR | Text | Returns the text | not used | read only | yes | yes
DATE | Time | Returns the time | not used | read only | yes | yes
BSTR | User | Returns the user | not used | read only | yes | yes
VARIANT | Value | Returns the value | not used | read only | yes | yes
BSTR | VariableName | Returns the name of the variable | not used | read only | yes | yes
BSTR | Tagname | Returns the Tagname of the variable | not used | read only | yes | yes

Ancora in questo capitolo

VariableName

Tagname

Text

Status

Value

Time

User

Computer

Comment

Class

Group


VariableName

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> VariableName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Name of the Variable as string

Datatype

VariableName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tagname() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Text of the actual entry...

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Value of the Variable...

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The time when the entry was created...The Time is given as Double, but if you print it out, you will get the Date/Time format of the system...

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The user who was logged in during the entry has been added....

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Computername, where the Entry was raised...

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A comment which can be changed by the user...

Datatype

Comment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Class

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL class as number (the number which was set in the Alarm/CEL configuration...

Datatype

Class() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Group

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Properties -> Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL group as number (the number which was set in the Alarm/CEL configuration...

Datatype

Group() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CelItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItem -> CelItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CelItems

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object it is possible to get all CEL entries are in memory. You are able to read all properties of each item...Hint:The Filter should be set always like "*", because this feature is implemented for future and does not work for now.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1

Ancora in questo capitolo

CelItems-Properties

CelItems-Methods


CelItems-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems -> CelItems-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of CelItems | read only | read only | yes | yes
ICel | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems -> CelItems-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Cel

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems -> CelItems-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CelItems-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems -> CelItems-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICelItem | Item | Returns the CelItem at the given index | available | not used | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> CelItems -> CelItems-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get a defined entry of the List.You can read all available properties like the Text or the Name of the linked Variable, the Username and so on...

Datatype

Item(VARIANT vIndex) As CelItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroReadColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to read some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

for (int i = 0; i < count; ++i)

{

//Get the palette name as string

string name = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteName");

//Get the palette entries as string

string entries = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteColors");

//Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries);

}

}

public void MacroWriteColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to write some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

//Create a new palette for example

zenonPalettes.CreateDynProperty("Palette");

//Define two colors for the new palette

string colors = "#FF0000;#0000FF";

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteColors", colors);

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteName", "VSTA_Test_Palette");

}

VB.NET

Public Sub MacroReadColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to read some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

For i As Integer = 0 To count - 1

'Get the palette name as string

Dim name As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteName"), String)

'Get the palette entries as string

Dim entries As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteColors"), String)

'Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries)

Next

End Sub

Public Sub MacroWriteColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to write some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

'Create a new palette for example

zenonPalettes.CreateDynProperty("Palette")

'Define two colors for the new palette

Dim colors As String = "#FF0000;#0000FF"

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteColors", colors)

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteName", "VSTA_Test_Palette")

End Sub

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub

Ancora in questo capitolo

ColorPalettes-Properties

ColorPalettes-Methods

ColorPalettes-Events

ColorPalettes-Dynamic properties


ColorPalettes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of color palettes. | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ColorPalettes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available |  | available | yes |  | yes
VARIANT | DynProperties [GET] |  | available |  | available | yes |  | yes
VARIANT | DynPropertiesEnum [GET] |  | read only |  | available | yes |  | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only |  | available | yes |  | yes
OLE_COLOR | GetPaletteColor |  | available |  | read only | yes |  | yes
long | GetActivePaletteIndex |  | read only |  | read only | yes |  | yes

Ancora in questo capitolo

SingleExport

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

GetPaletteColor

GetActivePaletteIndex


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a single ColorPalette to an XML File.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroExportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if(zenonProject.ColorPalettes().Export(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Export successful");

else

System.Diagnostics.Debug.Print("Export failed");

}

VB.NET

Public Sub MacroExportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Export("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Export successful")

Else

System.Diagnostics.Debug.Print("Export failed")

End If

End Sub

VBA

Private Sub ExportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'export color palettes...
bResult = zPRJ.ColorPalettes.Export("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Export of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes exported.", tpMsg
End If

End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroImportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if (zenonProject.ColorPalettes().Import(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Import successful");

else

System.Diagnostics.Debug.Print("Import failed");

}

VB.NET

Public Sub MacroImportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Import("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Import successful")

Else

System.Diagnostics.Debug.Print("Import failed")

End If

End Sub

VBA

Private Sub ImportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'import color palettes...
bResult = zPRJ.ColorPalettes.Import("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Import of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes imported.", tpMsg
End If

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "Palette"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


GetPaletteColor

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> GetPaletteColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method GetPaletteColor can be used (RT & Editor) to determine the value of the color of a color palette. The color palette parameter is from type variant and can be filled with either an index or the name of the color palette. The returned color will represent the color value. NOTE: If either the given color palette (name or index) or the ColorIndex are incorrect or not existing the returned value will be RGB(0,0,0) = White.

Datatype

GetPaletteColor(VARIANT vIndexOrName, long ColorIndex) As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;

using zenOn;

namespace WorkspaceAddin

{

class FarbPalette

{

private int colorindex = 0;

public void ColorTest(zenOn.IProject zenonproject)

{

if (zenonproject!=null)

{

int PaletteCount = zenonproject.ColorPalettes().Count;

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

System.Diagnostics.Debug.WriteLine("Palette count: " + PaletteCount.ToString());

System.Diagnostics.Debug.WriteLine("Active Palette Index: : " + index.ToString() + " Name: " + zenonproject.ColorPalettes().get_DynProperties("Palette[" + index.ToString() + "].PaletteName"));

}

}

public void ColorCycle(zenOn.IProject zenonproject)

{

if (zenonproject != null)

{

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

uint uiColor = zenonproject.ColorPalettes().GetPaletteColor(index, colorindex);

colorindex++;

if (colorindex > 4)

{

colorindex = 0;

}

zenonproject.DynPictures().Item(0).Elements().Item(0).BackColor = uiColor;

}

}

}

}

VB.NET

VBA

Attribute VB_Name = "FarbPalette" Option Explicit Private m_ColorIndex As Long Public Sub m_ColorTest(zenonproject As IProject) If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop Dim index As Long Debug.Print "Palette Count: " + Trim(Str(zenonproject.ColorPalettes.Count)) index = zenonproject.ColorPalettes.GetActivePaletteIndex() Debug.Print "Active Palette Index: " + Trim(Str(index)) + " Name: "; zenonproject.ColorPalettes.DynProperties("Palette[" & Trim(Str(index)) & "].PaletteName") End Sub Public Sub m_CycleColor(zenonproject As IProject) Dim color As OLE_COLOR Dim index As Long If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop index = zenonproject.ColorPalettes.GetActivePaletteIndex() color = zenonproject.ColorPalettes.GetPaletteColor(index, m_ColorIndex) m_ColorIndex = m_ColorIndex + 1 If (m_ColorIndex > 4) Then m_ColorIndex = 0 zenonproject.DynPictures.Item(0).Elements.Item(0).BackColor = color End Sub


GetActivePaletteIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> GetActivePaletteIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method GetActivePaletteIndex (RT & Editor) will return the index of the currently active color palette.

Datatype

GetActivePaletteIndex() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;

using zenOn;

namespace WorkspaceAddin

{

class FarbPalette

{

private int colorindex = 0;

public void ColorTest(zenOn.IProject zenonproject)

{

if (zenonproject!=null)

{

int PaletteCount = zenonproject.ColorPalettes().Count;

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

System.Diagnostics.Debug.WriteLine("Palette count: " + PaletteCount.ToString());

System.Diagnostics.Debug.WriteLine("Active Palette Index: : " + index.ToString() + " Name: " + zenonproject.ColorPalettes().get_DynProperties("Palette[" + index.ToString() + "].PaletteName"));

}

}

public void ColorCycle(zenOn.IProject zenonproject)

{

if (zenonproject != null)

{

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

uint uiColor = zenonproject.ColorPalettes().GetPaletteColor(index, colorindex);

colorindex++;

if (colorindex > 4)

{

colorindex = 0;

}

zenonproject.DynPictures().Item(0).Elements().Item(0).BackColor = uiColor;

}

}

}

}

VB.NET

VBA

Attribute VB_Name = "FarbPalette" Option Explicit Private m_ColorIndex As Long Public Sub m_ColorTest(zenonproject As IProject) If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop Dim index As Long Debug.Print "Palette Count: " + Trim(Str(zenonproject.ColorPalettes.Count)) index = zenonproject.ColorPalettes.GetActivePaletteIndex() Debug.Print "Active Palette Index: " + Trim(Str(index)) + " Name: "; zenonproject.ColorPalettes.DynProperties("Palette[" & Trim(Str(index)) & "].PaletteName") End Sub Public Sub m_CycleColor(zenonproject As IProject) Dim color As OLE_COLOR Dim index As Long If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop index = zenonproject.ColorPalettes.GetActivePaletteIndex() color = zenonproject.ColorPalettes.GetPaletteColor(index, m_ColorIndex) m_ColorIndex = m_ColorIndex + 1 If (m_ColorIndex > 4) Then m_ColorIndex = 0 zenonproject.DynPictures.Item(0).Elements.Item(0).BackColor = color End Sub


ColorPalettes-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ColorPaletteSwitched | This event is fired when the active color palette has been switched. | not used | available | yes | yes

Ancora in questo capitolo

ColorPaletteSwitched


ColorPaletteSwitched

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Events -> ColorPaletteSwitched

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event includes the index of the color palette which is now active. This index can be used to update the colors of any custom coded objects.

Datatype

ColorPaletteSwitched(long NewActivePaletteIndex) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ColorPalettes-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Color palettes

Ancora in questo capitolo

CD_CPalette

Color palettes


CD_CPalette

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties -> CD_CPalette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | PaletteName | Nome tavolozza | Nome della tavolozza colori. Default: Tavolozza colori più Numero di indice, per es.: Tavolozza colori 1 Ulteriori informazioni nella guida in linea.
VT_BSTR | PaletteColors | Colori della tavolozza colori |


Color palettes

Manuale -> Interfacce di programmazione -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties -> Color palettes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ColorNames | Nome colori |
More... | Palette | Tavolozza colori | Contiene le proprietà della tavolozza colori. Ulteriori informazioni nella guida in linea.


ComplexItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the items of a structure datatype.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroComplexItem()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for(int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, print every sub elements name, NOTE: Other dynamic properties can be

//seen at the dynamic properties page of this object

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString());

}

}

}

}

VB.NET

Public Sub MacroComplexItem()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, print every sub elements name, NOTE: Other dynamic properties can be

'seen at the dynamic properties page of this object

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString())

Next

End If

Next

End Sub

VBA

Public Sub test_IComplexItem()
Dim zComplexItem As ComplexItem
Dim zVarTypes As VarTypes
Dim i As Integer, j As Variant, k As Long

Set zVarTypes = thisProject.VarTypes
For i = 0 To zVarTypes.Count - 1
If (zVarTypes.Item(i).IsSimple = 0 And zVarTypes.Item(i).SubItemCount > 1) Then
Set zComplexItem = zVarTypes.Item(i).SubItem(1)

'write properties
zComplexItem.DynProperties("BitOffset") = 2 'EDwriteable
zComplexItem.DynProperties("Description") = "YourDescr..." 'EDwriteable
zComplexItem.DynProperties("Dim1") = 2 'EDwriteable
zComplexItem.DynProperties("Dim2") = 2 'EDwriteable
zComplexItem.DynProperties("Dim3") = 2 'EDwriteable
Debug.Print zComplexItem.DynProperties("HasRef") 'ReadOnly
zComplexItem.DynProperties("ID_DataTyp") = 19 'EDwriteable
Debug.Print zComplexItem.DynProperties("ItemIndex") 'ReadOnly
zComplexItem.DynProperties("Name") = "YourName" 'EDwriteable
zComplexItem.DynProperties("Offset") = 10 'EDwriteable

'read properties
Debug.Print zComplexItem.DynProperties("BitOffset")
Debug.Print zComplexItem.DynProperties("Description")
Debug.Print zComplexItem.DynProperties("Dim1")
Debug.Print zComplexItem.DynProperties("Dim2")
Debug.Print zComplexItem.DynProperties("Dim3")
Debug.Print zComplexItem.DynProperties("HasRef")
Debug.Print zComplexItem.DynProperties("ID_DataTyp")
Debug.Print zComplexItem.DynProperties("ItemIndex")
Debug.Print zComplexItem.DynProperties("Name")
Debug.Print zComplexItem.DynProperties("Offset")

'Methods
zComplexItem.MoveItemDown
zComplexItem.MoveItemUp
End If
Next i
End Sub

Ancora in questo capitolo

ComplexItem-Properties

ComplexItem-Methods


ComplexItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVarType | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ComplexItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | MoveItemDown | - | available | not used | yes | yes
VARIANT_BOOL | MoveItemUp | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

MoveItemUp

MoveItemDown


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MoveItemUp

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> MoveItemUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one up in the Tree...

Datatype

MoveItemUp() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroComplexItemMoveDown()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for (int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, move it down once in the tree

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

zenonComplexItem.MoveItemDown();

}

}

}

}

VB.NET

Public Sub MacroComplexItemMoveDown()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, move it down once in the tree

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

zenonComplexItem.MoveItemDown()

Next

End If

Next

End Sub

VBA

VBA-Syntax


MoveItemDown

Manuale -> Interfacce di programmazione -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> MoveItemDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one down in the Tree...

Datatype

MoveItemDown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Driver includes important information on the defined drivers, e.g. name, driver, status and mode.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

//Use the driver object to access its methods etc.

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Use the driver object to access its methods etc.

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Ancora in questo capitolo

Driver-Properties

Driver-Methods

Driver-Dynamic properties


Driver-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Identification | Name | available | read only | yes | yes
BSTR | Name | Programname | available | read only | yes | yes
IDrivers | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Identification

Name


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Drivers

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Properties -> Identification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Identification() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name (EXE) of the driver.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Driver-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Browse | Imports variables from PLC or file. |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseConfig | Closes driver config and stops driver. |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | OpenConfig | Starts driver and opens driver config for access via properties. |  | available | not used | yes | yes
VARIANT_BOOL | SupportsChannel | Returns True when the given channeltype is supported for the given datatype. |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available |  | not used | yes |  | yes
VARIANT_BOOL | Export | Exports driver properties to an XML file. | available |  | not used | yes |  | yes
VARIANT_BOOL | Import | Imports driver properties from an XML file. | available |  | not used | yes |  | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SupportsChannel

OpenConfig

CloseConfig

Browse

Export

Import


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(BSTR bsPath) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (zenonDriver.IsLocked())

{

//Modification Changes are currently locked due to a checkout

}

else

{

//Use the driver object to access its methods etc.

}

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Modification Changes are currently locked due to a checkout

If zenonDriver.IsLocked() Then

'Use the driver object to access its methods etc.

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void DriverTryCheckOut(IDriver zenonDriver)

{

//Checks if the passed object is checked out before performing a checkout

if(!zenonDriver.IsCheckedOut())

{

zenonDriver.CheckOut();

//Object can be used for further purposes

}

else

{

//The object is already checked out and cannot be checked out again

}

}

VB.NET

Public Sub DriverTryCheckOut(zenonDriver As IDriver)

'Checks if the passed object is checked out before performing a checkout

If Not zenonDriver.IsCheckedOut() Then

'Object can be used for further purposes

zenonDriver.CheckOut()

'The object is already checked out and cannot be checked out again

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VBA

VBA-Syntax

Examples

C#

public void CheckInChanges(IDriver zenonDriver)

{

//Checks if any changes occured on the driver object and if so, updates it

if(zenonDriver.IsDifferent())

{

if(zenonDriver.Get())

{

//Driver object is up to date

}

else

{

//An error occured while getting the newest version of the object

}

}

else

{

//No pending changes

}

}

VB.NET

Public Sub CheckInChanges(zenonDriver As IDriver)

'Checks if any changes occured on the driver object and if so, updates it

If zenonDriver.IsDifferent() Then

'Driver object is up to date

If zenonDriver.[Get]() Then

'An error occured while getting the newest version of the object

Else

End If

'No pending changes

Else

End If

End Sub

VBA

VBA-Syntax


SupportsChannel

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> SupportsChannel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns "True" when the actual driver object supports the given VarType and ChannelType combination.

Datatype

SupportsChannel(tpKanaltypes ChannelType, IVarType ObVarType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

ChannelType (constant) to be checked.

VarType object to be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ChannelType As tpKanaltypes

ObVarType As VarType

Examples

C#

public void MacroChannelSupport()

{

IVarType zenonVarType = this.ActiveDocument.VarTypes().Item("UINT");

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if(zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType))

System.Diagnostics.Debug.Print("Supported by the driver");

else

System.Diagnostics.Debug.Print("Not supported by the driver");

}

VB.NET

Public Sub MacroChannelSupport()

Dim zenonVarType As IVarType = Me.ActiveDocument.VarTypes().Item("UINT")

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType) Then

System.Diagnostics.Debug.Print("Supported by the driver")

Else

System.Diagnostics.Debug.Print("Not supported by the driver")

End If

End Sub

VBA

Sub Channelsupport()
Dim zDRV As Driver
Dim zVTP As VarType
'get a Driver object for Simulation-Driver
Set zDRV = MyWorkspace.ActiveDocument.Drivers.Item("SIMUL_WIZ")
'get a VarType object for UINT
Set zVTP = MyWorkspace.ActiveDocument.VarTypes.Item("UINT")

If zDRV.SupportsChannel(tpSPSMerker, zVTP) = True Then
Debug.Print "This combination is supported by the driver."
Else
Debug.Print "NOT supported by this driver!"
End If
End Sub


OpenConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> OpenConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access via API to the driver configuration. Available only for the following drivers:

  • Fraport
  • IEC870
  • IEC 850
  • Logix32
  • S7TCP32
  • Sprecon870
  • Steriflow
  • Straton32

The access to the configuration settings is possible by using the DynProperties.

In the example shown below the DynProperties for S7TCP32, IEC870, Logix3 are used.

The Steriflow driver uses only the ynProperty "CfgFileTransferDirectory". This property requires the transfer directory as parameter.

Datatype

OpenConfig() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub CreateDriverS7TCP_Dyn()

Dim zDrivers As Drivers

Dim zDriver As Driver

Dim zDriverS7TCP As Driver

Dim vProps As Variant

Dim vValue As Variant

Dim inti As Integer

Dim intj As Integer

Dim sDateiname As String

Dim sBezeichnung As String

sDateiname = "S7TCP32"

sBezeichnung = "S7_Test_1"

'show all exist

Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project

For inti = 0 To zDrivers.Count - 1

Debug.Print zDrivers.Item(inti).Name

Next inti

Debug.Print "================================================="

'Create a new driver without dirver configuration dialog and check if already exists

Set zDriver = zDrivers.Item(sBezeichnung)

If zDriver Is Nothing Then

'Set zDriver = zDrivers.CreateDriver(sBezeichnung, sDateiname)

Set zDriver = zDrivers.CreateDriverEx(sBezeichnung, sDateiname, False)

End If

Set zDriverS7TCP = zDrivers.Item(sBezeichnung)

Debug.Print zDriverS7TCP.Name

Call zDriverS7TCP.OpenConfig

vProps = zDriverS7TCP.DynPropertiesEnum("")

Debug.Print "========== DynProperties =============="

For intj = 0 To UBound(vProps)

Debug.Print vProps(intj)

Next intj

Debug.Print "============================================================================================="

Call zDriverS7TCP.CloseConfig(False)

'Change some configuration on the driver

Call zDriverS7TCP.OpenConfig

Debug.Print "Modus (General Driver Mode) :" & zDriverS7TCP.DynProperties("GenDriverMode")

'Change General Driver mode from Hardware to Simulation-counter

zDriverS7TCP.DynProperties("GenDriverMode") = 1

'Show some DynProperties

Debug.Print "======================================_General_=========================================="

Debug.Print "Modus (General Driver Mode) : " & zDriverS7TCP.DynProperties("GenDriverMode")

Debug.Print "Update-Liste im Speicher Halten : " & zDriverS7TCP.DynProperties("GenKeepUpdatelist")

Debug.Print "Ausgänge schreibbar : " & zDriverS7TCP.DynProperties("GenOutputWriteable")

Debug.Print "Variablenabbild remanent : " & zDriverS7TCP.DynProperties("GenRemanentImage")

Debug.Print "Update Zeit Clobal : " & zDriverS7TCP.DynProperties("GenUseGlobalUpdateTime")

Debug.Print "Clobale Updatezeit in ms : " & zDriverS7TCP.DynProperties("GenGlobalUpdateTime")

Debug.Print "Priorität normal : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime0")

Debug.Print "Priorität erhöht : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime1")

Debug.Print "Priorität hoch: " & zDriverS7TCP.DynProperties("GenPrioUpdateTime2")

Debug.Print "Priorität höchste : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime3")

Debug.Print "===============================_S7- TCP Configuration_==================================="

Debug.Print "TCP- Konfiguration : " & zDriverS7TCP.DynProperties("CfgConfFileName")

Debug.Print "Fehlerwartezeit : " & zDriverS7TCP.DynProperties("CfgErrorWaitTime")

Debug.Print "Char-String ohne Header : " & zDriverS7TCP.DynProperties("CfgStringWithoutHeader")

Debug.Print "==============================_S7- TCP Connection_======================================="

Debug.Print "This settings must be set in the configuration file ."

Debug.Print "========================================================================================="

Debug.Print "Name : " & zDriverS7TCP.DynProperties("Name")

Debug.Print "DriverId : " & zDriverS7TCP.DynProperties("DriverId")

Debug.Print "NameFile : " & zDriverS7TCP.DynProperties("NameFile")

Debug.Print "========================================================================================="

Call zDriverS7TCP.CloseConfig(True)

End Sub

'Extra für Steriflow

Public Sub BrowseProperties()

Dim drv As Driver

Dim PropertyList As Variant

Dim i As Integer

'Zuweisen des Treibers mit der Bezeichnung Steriflow driver

Set drv = MyWorkspace.ActiveDocument.Drivers.Item("Steriflow driver")

'über DynPropertiesEnum bekommen wir eine Liste aller Properties, die die API des Treibers implementiert

drv.OpenConfig

PropertyList = drv.DynPropertiesEnum("")

'in dieser For-Schleife gehen wir die Properties durch und schreiben sie zeilenweise ins Ausgabefenster des zenon Editors

For i = 0 To UBound(PropertyList) - 1

ApplicationED.DebugPrint PropertyList(i), tpMsg

Next i

End Sub


CloseConfig

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> CloseConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseConfig(Boolean bSave) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines wether to save (True) the actual driver configuration or not (False).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Browse

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> Browse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Browse(String bsFilter, String bsResult) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Driver specific filterstring for online import of variables.

IEC870: Net=NetAddress;Filter={Address="Filterstring1";Type="Filterstring2";}; Logix32: Net=NetAddress;Struct="Filterstring1";Name="Filterstring2"; The Filterstrings must be used as in the dialog when importing manual ly in the editor...

Returns a message as String like you can see in the LogViewer...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFilter As String

bsResult As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Export function exports ALL properties of the driver in an XML file whose name is specified when called up. This file is deleted if it exists before export.

if there is no directory stated in the file name lpszFilename, the export directory from the INI file of the project is used. If this is not specified, the current working directory is used.

The use of these API functions without implementation of the explicit import or export creates or reads an XML file with the following constant content (irrespective of the version number):

<?xml version="1.0" encoding="utf-16"?>

<Subject ShortName="zenOn(R) exported project" MainVersion="7600"/>

The export of the driver configuration creates the following XML file:

<?xml version="1.0" encoding="utf-16"?>

<Subject ShortName="zenOn(R) exported project" MainVersion="7600">

<Apartment ShortName="zenOn(R) driver configuration" Version="7600">

<Driver NODE="zenOn(R) embedded object" DriverID="4" Modul="3S_V3" Name="3S v3 Treiber">

…….

</Driver>

</Apartment>

</Subject>

The Driver node then contains a list of all configuration properties that are available in the XML import/export. In addition, the attribute module and name of the Driver node allow unique identification of the driver assignment for the import.

The driver properties are then exported in accordance with the following:

<DrvConfig NODE="zenOn(R) embedded object">

<ComByteSize>0</ComByteSize>

<Connection_0 NODE="zenOn(R) embedded object">

<GWAddress>localhost</GWAddress>

<GWPort>1210</GWPort>

</Connection_0>

<Connection_2 NODE="zenOn(R) embedded object">

<GWAddress>localhost</GWAddress>

<GWPort>1210</GWPort>

</Connection_2>

<GenGlobalUpdateTime>1000</GenGlobalUpdateTime>

<GenPrioUpdateTime3>100</GenPrioUpdateTime3>

<GenPrioUpdateTime2>300</GenPrioUpdateTime2>

<GenPrioUpdateTime1>500</GenPrioUpdateTime1>

<GenPrioUpdateTime0>1000</GenPrioUpdateTime0>

</DrvConfig>

It should be noted that node properties always have the NODE attribute with the ZenOn(R) embedded object value and the name of the node property features a unique index. Property containers (in this example: Connection) are thus uniquely identified and handled.

Simple properties are shown as simple nodes with values (in this example: ComByteSize, GenGlobalUpdateTime, GWAddress, GWPort, ...).

Datatype

Export(BSTR lpszFilename) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Die Funktion Import importiert die Properties des Treibers aus einer XML Datei, deren Name beim Aufruf spezifiziert wird. Existiert diese Datei nicht, wird die Funktion mit FALSE beendet.

Beim Import wird die XML Datei entsprechend dem Export eingelesen, wobei folgenden Voraussetzungen (der Reihe nach) gegeben sein müssen:

Im MultiUser Betrieb muss der Treiber ausgecheckt sein

Die Properties der Treiberkonfiguration müssen geladen sein

Die XML Datei muss einen entsprechenden Header besitzen (restriktiv)

Der Wert des Attributs Modul des Knotens Driver aus der XML Datei muss mit der Modulbezeichnung des Treibers übereinstimmen.

Sind diese Voraussetzungen gegeben, werden die einzelnen XML Knoten rekursiv eingelesen und entsprechend den Trieberproperties zugewiesen. Bevor diese Aktion beginnt, werden allerdings alle Subknoten (z.B. Connection) des Treiberproperties DrvConfig komplett gelöscht, das bedeutet:

Alle Inhalte der Basisproperties bzw. des Knotens DrvConfig bleiben erhalten oder werden bei Änderungen modifiziert

Alle Subknoten und Inhalte des Properties DrvConfig werden neu erzeugt. Fehlt ein Inhalt eines dieser Subknoten, werden hier die Defaults eingefügt.

In der Änderungshistorie wird der Vorgang des Imports sowie der Abschluss des Imports aufgezeichnet.

Datatype

Import(BSTR lpszFilename) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Driver-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Driver

Ancora in questo capitolo

Driver


Driver

Manuale -> Interfacce di programmazione -> Objectmodel -> Driver -> Driver-Dynamic properties -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Questo è necessario, ad esempio, nel caso di driver seriali, se si deve accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Description

Descrizione

Descrizione del driver

Ulteriori informazioni nella guida in linea.

VT_BSTR

NameFile

Nome file

Nome file del driver.
Il file si trova nel percorso di programma del sistema di controllo di processo.

Ulteriori informazioni nella guida in linea.

VT_UI4

DriverId

Id driver

VT_UI2

SimulPort

Porta standard

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per la comunicazione con il workbench di zenon Logic.
Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)
  • Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6000

Il numero di porta:

  • Deve essere disponibile e non assegnato nell´ambito del progetto
  • Deve essere univoco per tutti i progetti che sono attivi nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_UI2

SimulEvPort

Porta eventi

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per lo scambio dati spontaneo. Il numero di porta deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6001

Ulteriori informazioni nella guida in linea.

VT_BSTR

SimulName

Nome

Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

Condizioni per la validità dei nomi:

- non deve essere vuoto.

- deve essere univoco nel progetto.

- deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

Minimo: 1 caratteri

Massimo: 15 caratteri.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Drivers

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Drivers, is a collection of which contains the defined drivers of the project.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Ancora in questo capitolo

Drivers-Properties

Drivers-Methods


Drivers-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined drivers | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Drivers-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDriver | CreateDriver | Creates a new driver | available | not used | yes | yes
IDriver | CreateDriverEx | Creates a new driver | available | not used | yes | yes
VARIANT_BOOL | DeleteDriver | Deletes the given driver | available | not used | yes | yes
IDriver | Item | Returns driver by position or name | available | available | yes | yes

Ancora in questo capitolo

Item

CreateDriver

CreateDriverEx

DeleteDriver


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Driver from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vID) As Driver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant Index or name. If the parameter is a numerical value, the driver is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the driver is searched by its name.

C#

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriver

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Methods -> CreateDriver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object.

Datatype

CreateDriver(String strName,String strEXEName) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriverEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Methods -> CreateDriverEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object. If the parameter bShowDlg is true the driver creation dialog is shown to the user.

Datatype

CreateDriverEx(String strName,String strEXEName,Boolean bShowDlg) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateDriverEx()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object by its name

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", true);

}

VB.NET

Public Sub MacroCreateDriverEx()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object by its name

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", True)

End If

End Sub

VBA

VBA-Syntax


DeleteDriver

Manuale -> Interfacce di programmazione -> Objectmodel -> Drivers -> Drivers-Methods -> DeleteDriver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the given driver by its name

Datatype

DeleteDriver(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteDriver()

{

//This Macro will delete all drivers in the current active project

//NOTE: The driver will not be deleted instantly, therefore avoid using

// IDrivers.Count directly in the for condition

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = zenonDrivers.Count - 1; i >= 0; --i)

{

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification);

}

}

VB.NET

Public Sub MacroDeleteDriver()

'This Macro will delete all drivers in the current active project

'NOTE: The driver will not be deleted instantly, therefore avoid using

' IDrivers.Count directly in the for condition

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = zenonDrivers.Count - 1

While i >= 0

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification)

System.Threading.Interlocked.Decrement(i)

End While

End Sub

VBA

VBA-Syntax


DynPicture

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.Hint:For the use of events in an object DynPicture an object DynPicture of this Screen must be defined with WithEvents.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

_zenonPicture.Open += New OpenEventHandler(_zenonPicture_Open)

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'##############################################
'## VBA Code in the Module "ModuleElement" ##
'## ---------------------------------------- ##
'## LeftClickUp - Event has to be created in ##
'## the Editor with the Name "PopUp"... ##
'## (Scripting - VBA Makros - ModuleElement) ##
'##############################################

'event for clicking on a element
Public Sub LeftClickUp_PopUp(obElem As Element)
'save the position information of the element to public
'member variables in the thisProject Classmodule...
thisProject.lLeft = obElem.Left
thisProject.lTop = obElem.Top
'execute different functions depending to the element name...
'Example for FuntionName: POPUP_Valve001
'>> Valve001 ist the Objectname of the Element!
thisProject.RtFunctions.Item("POPUP_" & obElem.Name).Start
End Sub

'###############################################
'## VBA Code in the ClassModule "thisProject" ##
'## ----------------------------------------- ##
'## When the POPUP Screen opens, the Open - ##
'## Event is executed and the new positions ##
'## will be set with the Move - Method ##
'###############################################

'declaration of the position members...
Public lLeft As Long
Public lTop As Long
'declaring the DynPicture Object for the OPEN event...
Dim WithEvents dynPicPOPUP As DynPicture

'on project startup...
Private Sub Project_Active()
'setting the Dynpicture object to the "POPUP" Screen...
Set dynPicPOPUP = thisProject.DynPictures.Item("POPUP")
'check if there was a problem an initializing the DynPicture Object...
If dynPicPOPUP Is Nothing Then
MsgBox "moving the Screen is not possible..."
End If
End Sub

'when the Screen opens...
Private Sub dynPicPOPUP_Open()
'moving the Screen...
dynPicPOPUP.Move lLeft, lTop, dynPicPOPUP.Width, dynPicPOPUP.Height
End Sub

'on project exit...
Private Sub Project_Inactive()
If dynPicPOPUP Is Nothing Then Exit Sub
'release the object...
Set dynPicPOPUP = Nothing
End Sub

Ancora in questo capitolo

DynPicture-Properties

DynPicture-Methods

DynPicture-Events


DynPicture-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AutoKBLayout | Use regional settings for keyboard layout | available | read only | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | BackgroundImage | Background image for the picture | available | read only | yes | yes
long | BackgroundImageStyle | Style for the background image | available | read only | yes | yes
long | BorderStyle | Style of the picture-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | Enable |  | available | available | yes | yes
long | EndFunction | Rt-Function by closing the picture | available | read only | yes | yes
long | Height | Height of the picture | available | read only | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
long | Left | Left-coordinate of the picture | read only | read only | yes | yes
short | MonitorId | Returns the ID of the Monitor on which the picture is opened. (RT-Only) | not used | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
VARIANT_BOOL | Online |  | not used | read only | yes | yes
IDynPictures | Parent |  | read only | read only | yes | yes
IPictureFilter | PictureFilter | Return the current picture filter. (RT-Only) | not used | available | yes | yes
long | Right | Right-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | ShowInCE | Use picture in CE-projects | available | not used | yes | yes
VARIANT_BOOL | ShowModal | Show picture as modal dialog | available | not used | yes | yes
VARIANT_BOOL | ShowTitle | Shows the name in the titelbar | available | not used | yes | yes
long | StartFunction | Rt-Function by showing the picture | available | not used | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Type |  | available | not used | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Width | Width of the picture | available | read only | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
long | InstanceId | Returns the template instance ID of the DynPicture. (RT-Only) | not used | read only | yes | yes
IElement | DynPictureContainer | Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only) | not used | read only | yes | yes
IDynPictureInstances | Instances | Returns a collection containing all instances of the DynPicture. (RT-Only) | not used | read only | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Type |  | available | not used | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Width | Width of the picture | available | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Type

Template

BackColor

ZoomLevel

Hide

Enable

Online

StartFunction

EndFunction

UseTemplateSize

ShowTitle

ShowModal

BorderStyle

ShowInCE

BackgroundImage

BackgroundImageStyle

Left

Top

Right

Bottom

Width

Height

AutoKBLayout

PictureFilter

MonitorId

InstanceId

DynPictureContainer

Instances


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPictures

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current picture. With this name the picture can be found in the central pictures list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Template

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Template() As BSTR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomLevel

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> ZoomLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ZoomLevel() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Hide

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the picture. Usually this property returns False, i.e. the picture is displayed.If the property is set to True, the picture is displayed invisibly. The picture stays invisible, until this property is set back to False.Hint: Reopening the picture does not change this setting.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enable

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Enable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property de/activates the current picture. Usually this property returns True, i.e. operation of the picture is allowed.If this property returns False, the picture is deactivated. In this case the elements of the picture cannot be operated, e.g. clicking on dynamic elements.The picture stays inactive, until this property is set back to True.Hint: Reopening the picture does not change this setting.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Online

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current picture is open.The following example searches for the picture START. If it is found, a MsgBox informs the user, whether or not the picture is corrently opened.

Datatype

Online() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Is the current picture shown
Public Sub LeftClickUp_Picture_IsOnline(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = thisProject.DynPictures.Item("START")
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** is picture shown?????
If (obPicture.Online = True) Then
MsgBox "Picture 'Start' is shown at the moment..."
Else
MsgBox "Picture 'Start' is NOT shown at the moment..." & vbCrLf & _
"Current Picture is '" & obElem.Parent.Parent.Name & "'!"
End If

obElem.LeftClickUp
End Sub


StartFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> StartFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is opened in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

StartFunction() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EndFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> EndFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is closed in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

EndFunction() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseTemplateSize

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> UseTemplateSize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseTemplateSize() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowTitle

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowTitle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar, if set TRUE.

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowModal

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowModal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Show picture as modal dialog, if set TRUE.As long as this picture is open in the Runtime, no other picture beside it can be operated (e.g. for a login picture). Other pictures that were opened out of this picture can be operated.

Datatype

ShowModal() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BorderStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> BorderStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowInCE

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowInCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The picture is also displayed under Windows CE, if set TRUE.Thus in networks with PCs and CE devices, functionalities, which are not supported by Windows CE, can be used on the PCs without having problems on the CE devices.

Datatype

ShowInCE() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackgroundImage

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackgroundImage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the DynPicture.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackgroundImageStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Left() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Top

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Top() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Right() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Bottom

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom picture border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Width

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined height of the picture in pixels. The height of the picture is the difference between the bottom and the top border.Hint: This property cannot be set, if the property "UseTemplateSize" is set TRUE.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


AutoKBLayout

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> AutoKBLayout

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enables or disables the automatic keyboard layout functionality.Hint: Only available for pictures of type "Keyboard".

Datatype

AutoKBLayout() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


PictureFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> PictureFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PictureFilter() As PictureFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MonitorId

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> MonitorId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MonitorId() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


InstanceId

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> InstanceId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the template instance ID of the DynPicture. (RT-Only).

Datatype

InstanceId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureContainer

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> DynPictureContainer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only).

Datatype

DynPictureContainer() As IElement

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Instances

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Properties -> Instances

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection containing all instances of the DynPicture. (RT-Only).

Datatype

Instances() As IDynPictureInstances

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPicture-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | Activate | Activates the picture (only runtime) |  | available | available | yes | yes
void | BringToTop | Brings picture to top of Z-order |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseDynPicture | Closes the Screen when its currently opened (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | Copy | Copies the picture |  | available | not used | yes | yes
VARIANT_BOOL | CreateMdiDefaultElements | Create the MDI-Default elements (only with MDI-Windows) |  | available | not used | yes | yes
void | DeselectElements | Deselects all currently selected Elements |  | not used | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IElements | Elements | Returns the Elements-list |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Hardcopy | Creates a Bitmap of the picture, with the appearance as shown in the editor. |  | available | not used | yes | yes
short | ImportMdiElements | Imports the MDI-Default elements from a template (only with MDI-Windows) |  | available | not used | yes | yes
IElement | InsertSymbol | Insert a symbol from the symbol-library |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IMdiElements | MdiElements | Returns the list of the available MDI-controls |  | available | not used | yes | yes
void | Move | - |  | available | available | yes | yes
VARIANT_BOOL | Save | - |  | available | not used | yes | yes
IElements | SelElements | Returns the list of selected Elements |  | not used | available | yes | yes
void | SetZoomAndPos | Sets zoom factors and position of a world picture (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
void | Update | - |  | not used | available | yes | yes
void | UpdateAll | Update the picture |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IMDITemplates | CreateMDIScreenTemplate | Create MDI-Screen template from an picture. |  | available | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Activate

Elements

Update

UpdateAll

Move

BringToTop

SetZoomAndPos

CloseDynPicture

Save

Copy

CreateMdiDefaultElements

ImportMdiElements

CreateMDIScreenTemplate

MdiElements

InsertSymbol

SelElements

DeselectElements

Hardcopy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Activate

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method brings the current picture to the foreground – if it is overlapped by another picture.Be aware, that the according picture has to be opened before.The picture „Dialog“ will be switched to the foreground. If the picture is not open yet, a MsgBox shall inform the user. By switching to another picture the picture is brought to the background – but not closed. The example was written in zenOn-VBA.

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroActivate()

{

//NOTE: This macro will only bring the picture with name "Start"

// to the foreground - it will not perform a screen switch as

// if a screen switch function was used

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Activate();

}

VB.NET

Public Sub MacroActivate()

'NOTE: This macro will only bring the picture with name "Start"

' to the foreground - it will not perform a screen switch as

' if a screen switch function was used

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Activate()

End Sub

VBA

VBA-Syntax


Elements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of the defined dynamic elements contained in the picture.Each defined dynamic element is available as an object Element. The defined dynamic elements can be accessed in the collection by their unique names or by their indices.The name has to be given to the element explicitely by the user. For more detailed information have a look at the Element and Elements parts. For further information have a look at the Elements part.

Datatype

Elements() As Elements

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Update

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Update

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws a certain area of the picture. The user has to know which part of the picture should be redrawn. The parameters include the corners of the rectangular area that should be redrawn.Hint: Use UpdateAll to redraw the entire picture.

Datatype

Update(long Left, long Top, long Bottom, long Right) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdate()

{

//This macro will update (redraw) the rectangular area as specified

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Update(0, 0, 0, 500);

}

VB.NET

Public Sub MacroUpdate()

'This macro will update (redraw) the rectangular area as specified

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Update(0, 0, 0, 500)

End Sub

VBA

VBA-Syntax


UpdateAll

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> UpdateAll

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws the entire picture. All elements in the picture are redrawn.

Datatype

UpdateAll() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdateAll()

{

//This macro will update (redraw) all elements of the start picture

//An element has to be updated for example if its color changed due to some other

//event

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroUpdateAll()

'This macro will update (redraw) all elements of the start picture

'An element has to be updated for example if its color changed due to some other

'event

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


Move

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the position of a DynPicture object. In order to ensure the new position is visualized make sure to call the UpdateAll method of the DynPicture object.

Datatype

Move(long Left, long Top, long Width, long Height) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Left As Long

Height As Long

Top As Long

Width As Long

Examples

C#

public void MacroMovePicture()

{

//This macro moves the picture start to the left by 10 pixels

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height);

//Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroMovePicture()

'This macro moves the picture start to the left by 10 pixels

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height)

'Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll()

End Sub

VBA

Sub
'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


BringToTop

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> BringToTop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Calling this method will bring a picture without "always on top" to the highest z order of all pictures without "always on top" and a picture with "always on top" on the highest z-order of all pictures with "always on top". Pictures without "always on top" therefore will not cover pictures with "always on top".

Datatype

BringToTop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroBringToTop()

{

//NOTE: This like the activate method is not a substitute for a screen switch

// A screen switch function should be used to switch between two pictures

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroBringToTop()

'NOTE: This like the activate method is not a substitute for a screen switch

' A screen switch function should be used to switch between two pictures

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


SetZoomAndPos

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> SetZoomAndPos

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the Zoom and position of a dynamic picture, like the internal function would.

Datatype

SetZoomAndPos(FLOAT ZoomX, FLOAT ZoomY, long ZoomLevel, long CursorX, long CursorY, long PosX, long PosY, long iPosMode) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

ZoomX - New zoom factor in x direction (-1 if not used)

ZoomY - New zoom factor in y direction (-1 if not used)

ZoomLevel - Cannot be used with ZoomX and ZoomY (0 if not used)

PosX - New x position according to PosMode

PosY - New y position according to PosMode

PosMode - Determines how PosX and PosY are interpreted

-1 = PosX, PosY are ignored

0 = Set the center point and use original coordinates

1 = Set the center point and use new coordinates

2 = From the top left, use original coordinates

3 = From the top left, use zoomed coordinates

4 = Use the zoomed coordinates of the cursor from the top left, the window position is changed so that the cursor stays in the same position.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseDynPicture

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> CloseDynPicture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes a opened screen. In case the screen is not open, the return value of the function = FALSE.

Datatype

CloseDynPicture() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This function closes a specific screen.

public void Macro_Test_CloseDynpicture()

{

//The function returns true: screen is open

//The function returns false: screen not open

if (!this.DynPictures().Item("Screen 2").CloseDynPicture())

{

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!");

}

else

{

System.Windows.Forms.MessageBox.Show("Closed window");

}

}

VB.NET

'This function closes a specific screen.

Public Sub Macro_Test_CloseDynpicture()

'The function returns true: screen is open

'The function returns false: screen not open

If Not Me.DynPictures().Item("Screen 2").CloseDynPicture() Then

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!")

Else

System.Windows.Forms.MessageBox.Show("Closed window")

End If

End Sub

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to save the picture (changes in this collection)

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing "DynPicture" object to the current object.

Datatype

Copy(IDynPicture PictureSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

"DynPicture" object from which the settings should be copied from.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PictureSource As DynPicture

Examples

C#

public void MacroCreateCopy()

{

//This macro creates a copy of the start picture

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//First create a new picture which we will copy our settings to

IDynPicture zenonPictureCopy = this.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0);

//Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy);

}

VB.NET

Public Sub MacroCreateCopy()

'This macro creates a copy of the start picture

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'First create a new picture which we will copy our settings to

Dim zenonPictureCopy As IDynPicture = Me.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0)

'Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy)

End Sub

VBA

Sub zenOn_CopyDynPicture()
'Declarations
Dim zPic As DynPicture
Dim zPicCopy As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")
'Initialize zPicCopy by creating a new picture linked to Frame "MAIN_WIZARD" as standard picture type
Set zPicCopy = MyWorkspace.ActiveDocument.DynPictures.Create("zPicCopy", "MAIN_WIZARD", 0)

'Copy the settings from zPic to zPicCopy
zPicCopy.Copy zPic

End Sub


CreateMdiDefaultElements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> CreateMdiDefaultElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create the MDI-Default elements (only by MDI-Windows)

Datatype

CreateMdiDefaultElements() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportMdiElements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> ImportMdiElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports the MDI-Default elements from a template (only with MDI-Windows). Use the Boolean DelElements) to define the replacement of existing settings.

The method returns an error code on the result of the import can be evaluated:
0 = OK
-1 = Screen not loaded
-2 = No screen type
-3 = The specified file does not exist
-4 = Import failed
-5 = Type of template and screen type do not match
-6 = Error loading screen

Datatype

ImportMdiElements(String FileName, Boolean DelElements) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

bool DelElements

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

string FileName

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VB.NET

Dim FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

Dim DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VBA

FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

Examples

C#

public void MacroImportMdiTemplate()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("Bild 2");

if(zenonDynPicture != null)

{

short res = zenonDynPicture.ImportMdiElements(@"C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", true);

if(res == 0)

zenonDynPicture.Save();

}

}

VB.NET

Public Sub MacroImportMdiTemplate()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Bild 2")

If zenonDynPicture IsNot Nothing Then

Dim res As Short = zenonDynPicture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)

If res = 0 Then

zenonDynPicture.Save()

End If

End If

End Sub

VBA

Private Sub ImportMdiTemplate()

Dim Picture As DynPicture

Dim Res As Integer

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

If Not Picture Is Nothing Then

Res = Picture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)

If Res = 0 Then

Picture.Save

End If

End Sub


CreateMDIScreenTemplate

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> CreateMDIScreenTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a template from a screen

Datatype

CreateMDIScreenTemplate(BSTR bsFilename, BSTR bsGroup, BSTR bsDescription, BOOL bOverwrite) As IMDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub CreateMDIScreenTemplate()

Dim Picture As DynPicture

Dim Template As MDITemplate

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

' * Diese Funktion erstellt aus einem Bild ein Template *

' * Die ersten zwei Parameter müssen mitübergeben werden, sonst Fehler *

' * Der dritte Parameter ist optional und ist die Beschreibung zum Template *

' * Der vierte Parameter gibt an ob ein Template, welches existiert, *

' * überschrieben werden soll, sofern dies kein CD Template ist *

' * zurückgegeben wird das fertige MDITemplate *

Template=Picture.CreateMDIScreenTemplate("TemplateBild2.xml", "Schablonen.Copadata", "Dieses Template tut dieses und jenes", True)

If Not Template Is Nothing Then

' Hat funktioniert

Else

' Error

End If

End Sub


MdiElements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> MdiElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the list ("MdiElements" object) of the available MDI-controls.

Datatype

MdiElements() As MdiElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSymbol

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> InsertSymbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert a symbol from the symbol-library by its name and symbol group name.

Datatype

InsertSymbol(String bsName, String bsLibrary, Boolean bLinked) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

1. bsName

- Name of the symbol within the library.

2. bsLibrary

- "" (Emtpy string) if from the local project

- "SymbolGroupName" if from the General symbol library

- "~|GPLN|~" if from the library in the global project

3. bLinked

- If set TRUE the symbol constitutes a linked symbol. Otherwise the symbol will be embedded.

Examples

C#

public void MacroInsertSymbol()

{

//This macro demonstrates how to insert a symbol via the VSTA API

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", true);

}

VB.NET

Public Sub MacroInsertSymbol()

'This macro demonstrates how to insert a symbol via the VSTA API

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", True)

End Sub

VBA

Sub zenOn_DynPicture_InsertSymbol()
'Declarations
Dim zPic As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'Insert linked symbol "Brake motor" from the category "F_Motors" to the start picture
zPic.InsertSymbol "Brake motor", "F_Motors", True

End Sub


SelElements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> SelElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a list ("Elements" object) of selected "Element" objects within the picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

SelElements() As Elements

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

Sub zenOn_DynPicture_ListSelection()
'Declarations
Dim zPic As DynPicture
Dim i As Integer

'Initialize zPic with the start picture
Set zPic = thisProject.DynPictures.Item("START")

'For every selected element in the start picture...
For i = 0 To zPic.SelElements.Count - 1
'...output the name
Debug.Print i + 1 & ". item: " & zPic.SelElements.Item(i).Name
Next i

'Deselect all selected elements
zPic.DeselectElements

End Sub


DeselectElements

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> DeselectElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deselects all selected elements in the corresponding picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

DeselectElements() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

VBA-Syntax


Hardcopy

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Hardcopy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the picture into a file. Currently only the export as a bitmap file is available.

Datatype

Hardcopy(String bsFileName,tpHardcopyOutput lOutputFormat) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportPictures()

{

//This Macro will export pictures of all pictures in the active document to bmp files

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

zenonPicture.Hardcopy(string.Format(@"C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP);

}

}

VB.NET

Public Sub MacroExportPictures()

'This Macro will export pictures of all pictures in the active document to bmp files

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

zenonPicture.Hardcopy(String.Format("C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects. NOTE: In a multiu-user project it is recommended to check for IsLocked == false before performing any modification changes at all.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


DynPicture-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired by closing the picture | not used | available | yes | yes
void | Open | Event is fired by opening the picture | not used | available | yes | yes
void | Timer |  | not used | available | yes | yes

Ancora in questo capitolo

Open

Close

Timer


Open

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Events -> Open

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when the current picture is opened.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Open() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is opened
Private Sub zPIC_Open()
'Output the time when the picture was opened
Debug.Print Now & " Picture OPENED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Close

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Events -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on closing the current picture.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Close() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Close += new CloseEventHandler(_zenonPicture_Close);

}

void _zenonPicture_Close()

{

//Everytime the dynPicture Start is closed a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was closed.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Close -= new CloseEventHandler(_zenonPicture_Close);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

End Sub

Private Sub _zenonPicture_Close()

'Everytime the dynPicture Start is closed a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was closed.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is closed
Private Sub zPIC_Close()
'Output the time when the picture was closed
Debug.Print Now & " Picture CLOSED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Timer

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPicture -> DynPicture-Events -> Timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed in a cyclic interval – depending on the flash frequency set in the project. In this event extended visualization effects can be realized, e.g. mini animations.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Timer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

private IElement _zenonElement;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Timer += new TimerEventHandler(_zenonPicture_Timer);

}

void _zenonPicture_Timer()

{

//This event is executed cyclicly, depending on the projects flash frequency

//Here it is used to animate a sample object in a very simple way

//NOTE: Refreshing an element too often might cause screen flickering, this

// is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object");

_zenonElement.BackColor = _zenonElement.BackColor - 1;

_zenonElement.Update();

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Timer -= new TimerEventHandler(_zenonPicture_Timer);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private _zenonElement As IElement

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

End Sub

Private Sub _zenonPicture_Timer()

'This event is executed cyclicly, depending on the projects flash frequency

'Here it is used to animate a sample object in a very simple way

'NOTE: Refreshing an element too often might cause screen flickering, this

' is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object")

_zenonElement.BackColor = _zenonElement.BackColor - 1

_zenonElement.Update()

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

FreeObjects()

End Sub

VBA

VBA-Syntax


DynPictureInstances

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictureInstances

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Used to check if a screen is displayed in the runtime. With the Count() property the amount of screens is determined. The Item() property is used to determine the Dynpicture object for each instance.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub

Ancora in questo capitolo

DynPictureInstances-Properties

DynPictureInstances-Methods


DynPictureInstances-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of instances of the given DynPicture object. (RT-Only) | not used | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of instances of the given DynPicture object. (RT-Only).

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureInstances-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDynPicture | Item | Returns instances at the given index. (RT-Only) | not used | read only | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns instances at the given index. (RT-Only).

Datatype

Item(long lIndex) As IDynPicture

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub


DynPictures

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

Sub CreateScreen()
Dim zPIC As DynPicture
Const ScreenName As String = "Alarm-Screen"
Const TemplateName As String = "MAIN"
'check if Screen already exists...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item(ScreenName)
If zPIC Is Nothing Then
'create new Screen if not existing...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Create(ScreenName, TemplateName, tpAML)
'set the backcolor and create Default MDI Elements
With zPIC
.BackColor = vbRed
.CreateMdiDefaultElements
End With
End If
End Sub

Sub ScreenList()
Dim i, n As Integer
Dim zProject As Project
Dim zPicture As DynPicture
'use this in VBA at zenOn Runtime...
'Set zProject = thisproject
'or use this in the zenOn Editor...
Set zProject = MyWorkspace.ActiveDocument
'run trough all screens of the project...
For i = 0 To zProject.DynPictures.Count - 1
Set zPicture = zProject.DynPictures.Item(i)
Debug.Print zPicture.Name
'get count of elements within the actual screen
Debug.Print zPicture.Elements.Count & " Elements in this Screen..."
Next i
End Sub

Ancora in questo capitolo

DynPictures-Properties

DynPictures-Methods

DynPictures-Events


DynPictures-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynPictures-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | AddMarker | Adds a marker into a screen | not used | available | yes | yes
IDynPicture | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | DelMarker | Deletes a marker from a screen | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IDynPicture | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IDynPicture | ItemOnMonitor | Returns a screen with given name on the given monitor.(RT-Only) | not used | available | yes | yes
VARIANT_BOOL | SetupTouchInertia | Setup inertia settings for multitouch manipulation | not used | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT | GetPointerInfo | For internal use only | not used | available | No | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Item

ItemOnMonitor

Create

Delete

Export

SingleExport

Import

SetupTouchInertia

AddMarker

DelMarker

GetPointerInfo


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "DynPicture" from the collection, which is identified by the parameter vID.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Picture name: The picture can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, in case no object was found for the search criteria.

Datatype

Item(VARIANT vDynPictureID) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListDynPictures()

{

//Print the name of every DynPicture in the collection

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

System.Diagnostics.Debug.Print(zenonPicture.Name);

}

}

VB.NET

Public Sub MacroListDynPictures()

'Print the name of every DynPicture in the collection

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

System.Diagnostics.Debug.Print(zenonPicture.Name)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


ItemOnMonitor

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> ItemOnMonitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemOnMonitor(String bsSName, short MonitorId) As DynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(String bsName,String bsTemplate,tpDynPicturesTypes tpType) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the corresponding "DynPicture" object from the collection by its unique name.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

using System.Text.RegularExpressions;

private const string DUMMY_REGEX = @"[\s\S]*dummy[\s\S]*";

public void MacroDeletePictureRegEx()

{

//Uses a regular expression to delete any picture that

//has the name "dummy" in its name

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture currentPicture = this.ActiveDocument.DynPictures().Item(i);

if (Regex.IsMatch(currentPicture.Name, DUMMY_REGEX))

this.ActiveDocument.DynPictures().Delete(currentPicture.Name);

}

}

VB.NET

Imports System.Text.RegularExpressions

Private Const DUMMY_REGEX As String = "[\s\S]*dummy[\s\S]*"

Public Sub MacroDeletePictureRegEx()

'Uses a regular expression to delete any picture that

'has the name "dummy" in its name

For i As Integer = 0 To Me.ActiveDocument.DynPictures().Count - 1

Dim currentPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

If Regex.IsMatch(currentPicture.Name, DUMMY_REGEX) Then

Me.ActiveDocument.DynPictures().Delete(currentPicture.Name)

End If

Next

End Sub

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportDynPictures()

{

//Export all dynpictures to C:\Test\test.xml

this.ActiveDocument.DynPictures().Export(@"C:\Test\test.xml");

}

VB.NET

Public Sub MacroExportDynPictures()

'Export all dynpictures to C:\Test\test.xml

Me.ActiveDocument.DynPictures().Export("C:\Test\test.xml")

End Sub

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroExportPicturesToFiles()

{

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

//Generates a new XML file for each picture instead of one big xml file

this.ActiveDocument.DynPictures()

.SingleExport(i, @"C:\Test\picture_"

+ this.ActiveDocument.DynPictures().Item(i).Name + ".xml");

}

}

VB.NET

Public Sub MacroExportPicturesToFiles()

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

'Generates a new XML file for each picture instead of one big xml file

Me.ActiveDocument.DynPictures().SingleExport(i, "C:\Test\picture_" + Me.ActiveDocument.DynPictures().Item(i).Name + ".xml")

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced. Note: One xml file may contain more than one picture.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

VB.NET

VBA

bsFileName As String

Examples

C#

private const string XML_PATH = @"C:\test\";

public void MacroImportPictures()

{

foreach (string s in Directory.GetFiles(XML_PATH))

{

//Loop through the whole specified directory

//And import the dynpicture settings found

//First check if the file is an xml file

if(Path.GetExtension(s) == ".xml")

this.ActiveDocument.DynPictures().Import(s);

}

}

VB.NET

Private Const XML_PATH As String = "C:\test\"

Public Sub MacroImportPictures()

For Each s As String In Directory.GetFiles(XML_PATH)

'Loop through the whole specified directory

'And import the dynpicture settings found

'First check if the file is an xml file

If Path.GetExtension(s) = ".xml" Then

Me.ActiveDocument.DynPictures().Import(s)

End If

Next

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SetupTouchInertia

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> SetupTouchInertia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetupTouchInertia(FLOAT Deceleration, FLOAT AngularDeceleration, FLOAT ExpansionDeceleration) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddMarker

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> AddMarker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a marker into the screen. The GUID of the marker, which is provided by the AddMarker(), is the explicit id as well as the element name, with the following prefix: $MARKER_.

It is also used as key to delete the marker using: DelMarker(). Those markers that are inserted using the API are stored imaged-based in the project. This is non-retentive beyond Runtime restart. The markers are handled internally as a normal picture elements, therefore mouse events are called. Siehe auch: Konfiguration der Bildmarker

Datatype

AddMarker(String bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex) As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsScreenName

long nElementID

short nPosition

short nLineColorIndex

short nFillColorIndex

VB.NET

Dim bsScreenName As [String]

Dim nElementID As Long

Dim nPosition As Short

Dim nLineColorIndex As Short

Dim nFillColorIndex As Short

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will place a marker on a line element.

*/

public void Macro_AddMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

}

VB.NET

Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

This example will place a marker on a line element.

Public Sub Macro_AddMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

End Sub

VBA

VBA-Syntax


DelMarker

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> DelMarker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a marker from a screen. The ID is provided by the AddMarker().

Datatype

DelMarker(String bsID) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsID

VB.NET

Dim bsID As String

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will first place a marker on a line element and then delete it.

* using the specific ID of the marker.

*/

public void Macro_DelMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//The return value from the AddMarker() is the specific ID of this marker.

string markerId = this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

//To delelete this marker we have to assign the specific ID

bool isDeleted = this.DynPictures().DelMarker(markerId);

//Use the return value to check if the marker was deleted

if (isDeleted == true) MessageBox.Show("Marker: " + markerId + " deleted!");

}

VB.NET

// Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

//This example will first place a marker on a line element and then delete it.

//using the specific ID of the marker.

Public Sub Macro_DelMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//The return value from the AddMarker() is the specific ID of this marker.

Dim markerId As String = Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

//To delelete this marker we have to assign the specific ID

Dim isDeleted As Boolean = Me.DynPictures().DelMarker(markerId)

//Use the return value to check if the marker was deleted

If isDeleted = True Then

MessageBox.Show("Marker: " & markerId & " deleted!")

End If

End Sub

VBA

VBA-Syntax


GetPointerInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Methods -> GetPointerInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets the information for the specified pointer associated with the current message.

//Layout of the pointer_info structure

typedef struct tagPOINTER_INFO {

POINTER_INPUT_TYPE pointerType;

UINT32 pointerId;

UINT32 frameId;

POINTER_FLAGS pointerFlags;

HANDLE sourceDevice;

HWND hwndTarget;

POINT ptPixelLocation;

POINT ptHimetricLocation;

POINT ptPixelLocationRaw;

POINT ptHimetricLocationRaw;

DWORD dwTime;

UINT32 historyCount;

INT32 inputData;

DWORD dwKeyStates;

UINT64 PerformanceCount;

POINTER_BUTTON_CHANGE_TYPE ButtonChangeType;

} POINTER_INFO;

See also: GetPointerInfo (msdn)

Datatype

GetPointerInfo(VARIANT vPointerId) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

Examples

C#

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

private void GetPointerInfo(zenOn.IDynPicture obDynPicture, object vPointerId)

{

//get method name and print in CEL

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

//get pointer infos

try

{

//cast this on an object array

object[] PointerInfo = (object[])DynPics.GetPointerInfo(vPointerId);

//iterate through all

for (int i = 0; i < PointerInfo.Length; i++)

{

//if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

if (PointerInfo[i] is System.Object[])

{

//to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition[i] + " for x has value " + Convert.ToString(((object[])(PointerInfo[i]))[0]));

Cel().WriteCelString(Pointer_Info_Definition[i] + " for y has value " + Convert.ToString(((object[])(PointerInfo[i]))[1]));

}

else

{

//if it's not object[], simply cast it to string and write an CEL entry

switch (i)

{

case 0:

PointerType pt = (PointerType)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerType: " + pt.ToString());

break;

case 3:

PointerFlags pf = (PointerFlags)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerFlags: " + pf.ToString());

break;

default:

Cel().WriteCelString(Pointer_Info_Definition[i] + " has value " + PointerInfo[i].ToString());

break;

}

}

}

}

catch (Exception ex)

{

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message);

}

}

VB.NET

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

Private Sub GetPointerInfo(obDynPicture As zenOn.IDynPicture, vPointerId As Object)

'get method name and print in CEL

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

'get pointer infos

Try

'cast this on an object array

Dim PointerInfo As Object() = DirectCast(DynPics.GetPointerInfo(vPointerId), Object())

'iterate through all

For i As Integer = 0 To PointerInfo.Length - 1

'if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

If TypeOf PointerInfo(i) Is System.Object() Then

'to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition(i) + " for x has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(0)))

Cel().WriteCelString(Pointer_Info_Definition(i) + " for y has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(1)))

Else

'if it's not object[], simply cast it to string and write an CEL entry

Select Case i

Case 0

Dim pt As PointerType = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerType)

Cel().WriteCelString("PointerType: " & pt.ToString())

Exit Select

Case 3

Dim pf As PointerFlags = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerFlags)

Cel().WriteCelString("PointerFlags: " & pf.ToString())

Exit Select

Case Else

Cel().WriteCelString(Pointer_Info_Definition(i) + " has value " & PointerInfo(i).ToString())

Exit Select

End Select

End If

Next

Catch ex As Exception

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message)

End Try

End Sub


DynPictures-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired when a screen is closed. | not used | available | yes | yes
void | ElementInit | Event is fired when an element is initialized.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDblClick | Event is fired when an element is double clicked with the left mouse button.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDown | Event is fired when the left mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | ElementMouseOver | Event is fired when the mouse is moved over an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDblClk | Event is fired when an element is double clicked with the right mouse button.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDown | Event is fired when the right mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | Open | Event is fired when a screen is opened. | not used | available | yes | yes
void | TouchEvent | Event is fired for all touch events.(RT-Only) | not used | available | yes | yes
void | TouchManipulationCompleteEvent | Event is fired when a touch manipulation ends.(RT-Only) | not used | available | yes | yes
void | TouchManipulationDeltaEvent | Event is fired when a touch manipulation is in progress.(RT-Only) | not used | available | yes | yes
void | TouchManipulationStartEvent | Event is fired when a touch manipulation starts.(RT-Only) | not used | available | yes | yes
void | WindowPosChanged | Event is fired when a screen is moved or resized.(RT-Only) | not used | available | yes | yes
void | ElementGesture | For internal use only | not used | available | No | yes
void | NCPointerDown | For internal use only | not used | available | No | yes
void | NCPointerUp | For internal use only | not used | available | No | yes
void | NCPointerUpdate | For internal use only | not used | available | No | yes
void | PictureGesture | For internal use only | not used | available | No | yes
void | PointerActivate | For internal use only | not used | available | No | yes
void | PointerCaptureChanged | For internal use only | not used | available | No | yes
void | PointerDeviceChange | For internal use only | not used | available | No | yes
void | PointerDeviceInRange | For internal use only | not used | available | No | yes
void | PointerDeviceOutOfRange | For internal use only | not used | available | No | yes
void | PointerDown | Posted when a pointer makes contact over the client area of a screen. | not used | available | No | yes
void | PointerEnter | Sent to a screen when a pointer moves into the boundaries of the screen. | not used | available | No | yes
void | PointerHWheel | Posted to the screen with foreground keyboard focus when a horizontal scroll wheel is rotated. | not used | available | No | yes
void | PointerLeave | Sent to a screen when a pointer moves out of the boundaries of the screen. | not used | available | No | yes
void | PointerUp | Posted when a pointer that made contact over the client area of a screen breaks contact. | not used | available | No | yes
void | PointerUpdate | Posted to provide an update on a pointer that made contact over the client area of a screen or on a hovering uncaptured pointer over the client area of a screen. | not used | available | No | yes
void | PointerWheel | Posted to the screen with foreground keyboard focus when a scroll wheel is rotated. | not used | available | No | yes
void | PointerDown | For internal use only | not used | available | No | yes
void | PointerEnter | For internal use only | not used | available | No | yes
void | PointerLeave | For internal use only | not used | available | No | yes
void | PointerUp | For internal use only | not used | available | No | yes
void | PointerUpdate | For internal use only | not used | available | No | yes
void | PointerWheel | For internal use only | not used | available | No | yes
void | PointerHWheel | For internal use only | not used | available | No | yes

Ancora in questo capitolo

TouchEvent

TouchManipulationStartEvent

TouchManipulationDeltaEvent

TouchManipulationCompleteEvent

Open

Close

WindowPosChanged

ElementInit

ElementRightButtonDblClk

ElementRightButtonDown

ElementRightButtonUp

ElementLeftButtonDblClick

ElementLeftButtonDown

ElementLeftButtonUp

ElementMouseOver

PictureGesture

ElementGesture

PointerDown

PointerEnter

PointerLeave

PointerUp

PointerUpdate

PointerWheel

PointerHWheel

NCPointerDown

NCPointerUp

NCPointerUpdate

PointerActivate

PointerCaptureChanged


TouchEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchEvent(SAFEARRAY(long) pvX, SAFEARRAY(long) pvY, SAFEARRAY(OLE_HANDLE) pvSource, SAFEARRAY(long) pvID, SAFEARRAY(long) pvFlags, SAFEARRAY(long) pvMask, SAFEARRAY(long) pvTime, SAFEARRAY(long) pvExtraInfo, SAFEARRAY(long) pvXContact, SAFEARRAY(long) pvYContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationStartEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationStartEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchManipulationStartEvent(long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationDeltaEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationDeltaEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered regularly when executing an action. The parameter indicate the changes since the last delta event and/or the start event.

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationDeltaEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


TouchManipulationCompleteEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationCompleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered when ending an action. The parameter indicate the changes since the start of the action.

If the idle processor is active, the event is triggered two times.

When the action ends (bInertia = FALSE), the parameter indicate the changes since the start of the action.

After the idle calculation (bInertia = TRUE), the parameter indicate the changes since the start of the idle calculation. (since the end of the action)

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationCompleteEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


Open

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> Open

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Open(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


Close

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Close(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


WindowPosChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> WindowPosChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WindowPosChanged(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementInit

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementInit(Element obElement) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().ElementInit += new ElementInitEventHandler(ThisProject_ElementInit);

}

void ThisProject_ElementInit(IElement obElement)

{

/*Event is fired once an element is initialized by the runtime.

**To demonstrate the name of the element is printed on the CEL.

*/

this.Cel().WriteCelString("Element " + obElement.Name + " was initialized");

}

void ThisProject_Inactive()

{

this.DynPictures().ElementInit -= ThisProject_ElementInit;

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().ElementInit += New ElementInitEventHandler(AddressOf ThisProject_ElementInit)

End Sub

Private Sub ThisProject_ElementInit(obElement As IElement)

'Event is fired once an element is initialized by the runtime.

' **To demonstrate the name of the element is printed on the CEL.

'

Me.Cel().WriteCelString("Element " + obElement.Name + " was initialized")

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementInit, AddressOf ThisProject_ElementInit

FreeObjects()

End Sub

VBA

'Declaration of DynPictures, in order to use it with events
Dim WithEvents zDynPictures As DynPictures

Private Sub Project_Active()
'Reference to the zenon Project DynPictures
Set zDynPictures = thisProject.DynPictures
End Sub

'This event is triggered when an element is initialized
Private Sub zDynPictures_ElementInit(ByVal obElement As IElement)
Debug.Print ("Element name: " & obElement.Name)
End Sub


ElementRightButtonDblClk

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonDblClk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDblClk(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementRightButtonDown

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementRightButtonUp

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonDblClick

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonDblClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDblClick(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonDown

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonUp

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementMouseOver

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementMouseOver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementMouseOver(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


PictureGesture

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PictureGesture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also:

INTERACTION_CONTEXT_OUTPUT

interaction_context_output (msdn)

Datatype

PictureGesture(IDynPicture* obDynPicture, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object interactionContextOutput

VB.NET

obDynPicture As IDynPicture

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_PictureGesture(zenOn.IDynPicture obDynPicture, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_PictureGesture(obDynPicture As zenOn.IDynPicture, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


ElementGesture

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementGesture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also: interaction_context_output (msdn)

Datatype

ElementGesture(IElement* obElement, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IElement obElement

object interactionContextOutput

VB.NET

obElement As IElement

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_ElementGesture(zenOn.IElement obElement, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_ElementGesture(obElement As zenOn.IElement, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


PointerDown

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the client area of a window. This input message targets the window over which the pointer makes contact, and the pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

Datatype

PointerDown (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

bPrimary As Boolean

bFirstButton As Boolean

bSecondButton As Boolean

bThirdButton As Boolean

bFourthButton As Boolean

bFifthButton As Boolean

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerDown(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDown(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerEnter

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerEnter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a new pointer enters detection range over the window (hover) or when an existing pointer moves within the boundaries of the window.

The PointerEnter notification can be used by a window to provide feedback to the user while the pointer is over its surface or to otherwise react to the presence of a pointer over its surface.

Datatype

PointerEnter (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

Examples

C#

void DynPics_PointerEnter(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

if (obElement != null)

{

CelString += string.Format("on element {0}, ", obElement.Name);

}

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerEnter(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

If obElement IsNot Nothing Then

CelString += String.Format("on element {0}, ", obElement.Name)

End If

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerLeave

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerLeave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a pointer leaves detection range over the window (hover) or when a pointer moves outside the boundaries of the window.

The PointerLeave notification can be used by a window to change mode or stop any feedback to the user while the pointer is over the window surface.

Datatype

PointerLeave (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bInRange

bool bInContact

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bInRange As Boolean

Dim bInContact As Boolean

Examples

C#

void DynPics_PointerLeave(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerLeave(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerUp

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the client area of a window breaks contact. This input message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input messages including the PointerUp notification for the pointer until it breaks contact.

Important:

When a window loses capture of a pointer and it receives the PointerCaptureChanged notification, it typically will not receive any further notifications. For this reason, it is important that you not make any assumptions based on evenly paired PointerDown/PointerUp or PointerEnter/PointerLeave notifications.

Datatype

PointerUp (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bIsCanceled, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPictureI

Element obElement

object vPointerId

bool bIsCanceled

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPictureI As IDynPicture

Dim obElement As Element

Dim vPointerId As Object

Dim bIsCanceled As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUp(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bIsCanceled, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUp(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bIsCanceled As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a PointerUpdate is posted to the window that has captured this pointer.

Each pointer has a unique pointer identifier during its lifetime. The lifetime of a pointer begins when it is first detected.

A PointerEnter message is generated if a hovering pointer is detected. A PointerDown message followed by a PointerEnter message is generated if a non-hovering pointer is detected.

During its lifetime, a pointer may generate a series of PointerUpdate messages while it is hovering or in contact.

The lifetime of a pointer ends when it is no longer detected. This generates a PointerLeave message.

When a pointer is aborted, POINTER_FLAG_CANCELED is set.

A PointerLeave message may also be generated when a non-captured pointer moves outside the bounds of a window.

Datatype

PointerUpdate (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bNew As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUpdate(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUpdate(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerWheel

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerWheel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim lWheelDelta As Integer

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerHWheel

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerHWheel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerHWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

lWheelDelta As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerHWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerHWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerDown

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the non-client area of a window. The message targets the window over which the pointer makes contact. The pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerDown is posted to the window that has captured this pointer.

If the application does not process this message, DefWindowProc may perform one or more system actions depending on the hit-test result included in the message. Typically, applications should not need to handle this message.

Datatype

NCPointerDown(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerDown(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerDown(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUp

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the non-client area of a window breaks contact. The message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact, including the NCPointerUp notification.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUp is posted to the window that has captured this pointer.

Datatype

NCPointerUp(IDynPicture*obDynPicture, VARIANT vPointerId, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUp(zenOn.IDynPicture obDynPicture, int lPointerId, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUp(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUpdateis posted to the window that has captured this pointer.

Datatype

NCPointerUpdate(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUpdate(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUpdate(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerActivate

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerActivate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to an inactive window when a primary pointer generates a PointerDown over the window. As long as the message remains unhandled, it travels up the parent window chain until it is reaches the top-level window. Applications can respond to this message to specify whether they wish to be activated.

Datatype

PointerActivate(IDynPicture*obDynPicture, OLE_HANDLE hWnd, long lHitTestResult, VARIANT vPointerId) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int hWnd

int lHitTestResult

object vPointerId

VB.NET

obDynPicture As IDynPicture

hWnd As Integer

lHitTestResult As Integer

vPointerId As Object

Examples

C#

void DynPics_PointerActivate(zenOn.IDynPicture obDynPicture, int hWnd, int lHitTestResult, object vPointerId)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString());

Cel().WriteCelString(CelString);

GetPointerInfo(obDynPicture, vPointerId);

}

VB.NET

Private Sub DynPics_PointerActivate(obDynPicture As zenOn.IDynPicture, hWnd As Integer, lHitTestResult As Integer, vPointerId As Object)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString())

Cel().WriteCelString(CelString)

GetPointerInfo(obDynPicture, vPointerId)

End Sub


PointerCaptureChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerCaptureChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window that is losing capture of an input pointer. A window should use this notification to stop processing subsequent messages and initiate any cleanup required for the pointer being lost. Processing of gestures associated with the pointer should also be terminated and remaining contacts re-associated with the window.

Datatype

PointerCaptureChanged(IDynPicture*obDynPicture, VARIANT vPointerId, OLE_HANDLE hWnd) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

int hWnd

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

hWnd As Integer

Examples

C#

void DynPics_PointerCaptureChanged(zenOn.IDynPicture obDynPicture, object vPointerId, int hWnd)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}", Convert.ToString(vPointerId));

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerCaptureChanged(obDynPicture As zenOn.IDynPicture, vPointerId As Object, hWnd As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}", Convert.ToString(vPointerId))

Cel().WriteCelString(CelString)

End Sub


EdLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object EDLimit is only availaible within the zenOn Editor and is not usable during Runtime. It represents the limits from the variables as well as from the datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroEdLimit()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the EdLimit of a given variable...

IEdLimit zenonEdLimit = zenonVariable.EdLimitItem(0);

//... and print some of its properties

System.Diagnostics.Debug.Print("Active: " + zenonEdLimit.Active.ToString());

System.Diagnostics.Debug.Print("Alarm: " + zenonEdLimit.Alarm.ToString());

System.Diagnostics.Debug.Print("AlarmAck: " + zenonEdLimit.AlarmAck.ToString());

System.Diagnostics.Debug.Print("AlarmDelete: " + zenonEdLimit.AlarmDelete.ToString());

System.Diagnostics.Debug.Print("Blinking: " + zenonEdLimit.Cel.ToString());

System.Diagnostics.Debug.Print("Cel: " + zenonEdLimit.Active.ToString());

System.Diagnostics.Debug.Print("Color: " + zenonEdLimit.Color.ToString("X6"));

System.Diagnostics.Debug.Print("Delay: " + zenonEdLimit.Delay.ToString());

System.Diagnostics.Debug.Print("Group: " + zenonEdLimit.Group.ToString());

System.Diagnostics.Debug.Print("HelpCapture: " + zenonEdLimit.HelpCapture.ToString());

System.Diagnostics.Debug.Print("HelpFile: " + zenonEdLimit.HelpFile.ToString());

System.Diagnostics.Debug.Print("Invisible: " + zenonEdLimit.Invisible.ToString());

System.Diagnostics.Debug.Print("IsMax: " + zenonEdLimit.IsMax.ToString());

System.Diagnostics.Debug.Print("IsSimple: " + zenonEdLimit.IsSimple.ToString());

System.Diagnostics.Debug.Print("IsVariable: " + zenonEdLimit.IsVariable.ToString());

System.Diagnostics.Debug.Print("LimitValue: " + zenonEdLimit.LimitValue.ToString());

System.Diagnostics.Debug.Print("ParentID: " + zenonEdLimit.ParentID.ToString());

System.Diagnostics.Debug.Print("Print: " + zenonEdLimit.Print.ToString());

System.Diagnostics.Debug.Print("Text: " + zenonEdLimit.Text.ToString());

System.Diagnostics.Debug.Print("ThreshholdValue: " + zenonEdLimit.ThresholdValue.ToString());

//Read the dynproperties of the EdLimit object

var dynProperties = zenonEdLimit.get_DynPropertiesEnum("");

string[] castProperties = (string[])dynProperties;

foreach (string item in castProperties)

{

System.Diagnostics.Debug.Print("-----------------");

string propName = item.Substring(0, item.IndexOf(',', 0));

System.Diagnostics.Debug.Print(propName);

var obj = zenonEdLimit.get_DynProperties(propName);

if (obj != null)

{

System.Diagnostics.Debug.Print("Value: " + obj.ToString());

}

else

{

System.Diagnostics.Debug.Print("Value: Null");

}

}

}

VB.NET

Public Sub MacroEdLimit()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the EdLimit of a given variable...

Dim zenonEdLimit As IEdLimit = zenonVariable.EdLimitItem(0)

'... and print some of its properties

System.Diagnostics.Debug.Print("Active: " + zenonEdLimit.Active.ToString())

System.Diagnostics.Debug.Print("Alarm: " + zenonEdLimit.Alarm.ToString())

System.Diagnostics.Debug.Print("AlarmAck: " + zenonEdLimit.AlarmAck.ToString())

System.Diagnostics.Debug.Print("AlarmDelete: " + zenonEdLimit.AlarmDelete.ToString())

System.Diagnostics.Debug.Print("Blinking: " + zenonEdLimit.Cel.ToString())

System.Diagnostics.Debug.Print("Cel: " + zenonEdLimit.Active.ToString())

System.Diagnostics.Debug.Print("Color: " + zenonEdLimit.Color.ToString("X6"))

System.Diagnostics.Debug.Print("Delay: " + zenonEdLimit.Delay.ToString())

System.Diagnostics.Debug.Print("Group: " + zenonEdLimit.Group.ToString())

System.Diagnostics.Debug.Print("HelpCapture: " + zenonEdLimit.HelpCapture.ToString())

System.Diagnostics.Debug.Print("HelpFile: " + zenonEdLimit.HelpFile.ToString())

System.Diagnostics.Debug.Print("Invisible: " + zenonEdLimit.Invisible.ToString())

System.Diagnostics.Debug.Print("IsMax: " + zenonEdLimit.IsMax.ToString())

System.Diagnostics.Debug.Print("IsSimple: " + zenonEdLimit.IsSimple.ToString())

System.Diagnostics.Debug.Print("IsVariable: " + zenonEdLimit.IsVariable.ToString())

System.Diagnostics.Debug.Print("LimitValue: " + zenonEdLimit.LimitValue.ToString())

System.Diagnostics.Debug.Print("ParentID: " + zenonEdLimit.ParentID.ToString())

System.Diagnostics.Debug.Print("Print: " + zenonEdLimit.Print.ToString())

System.Diagnostics.Debug.Print("Text: " + zenonEdLimit.Text.ToString())

System.Diagnostics.Debug.Print("ThreshholdValue: " + zenonEdLimit.ThresholdValue.ToString())

'Read the dynproperties of the EdLimit object

Dim dynProperties = zenonEdLimit.get_DynPropertiesEnum("")

Dim castProperties As String() = DirectCast(dynProperties, String())

For Each item As String In castProperties

System.Diagnostics.Debug.Print("-----------------")

Dim propName As String = item.Substring(0, item.IndexOf(","C, 0))

System.Diagnostics.Debug.Print(propName)

Dim obj = zenonEdLimit.get_DynProperties(propName)

If obj IsNot Nothing Then

System.Diagnostics.Debug.Print("Value: " + obj.ToString())

Else

System.Diagnostics.Debug.Print("Value: Null")

End If

Next

End Sub

VBA

Public Sub test_EDLimit()
Dim zEDLimit As EdLimit
Dim zVAR As Variable
Dim vDynProps As Variant
Dim strDynProp As String

'FROM DataType
'Set zEDLimit = Myworkspace.ActiveDocument.VarTypes.Item("UINT").EdLimitItem(0)

'FROM Variable
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zEDLimit = zVAR.EdLimitItem(0)

'READ SETTINGS of EDLimit for Variable and Datatype
Debug.Print "Active : " & zEDLimit.Active
Debug.Print "Alarm : " & zEDLimit.Alarm
Debug.Print "AlarmAck : " & zEDLimit.AlarmAck
Debug.Print "AlarmDelete : " & zEDLimit.AlarmDelete
Debug.Print "Blinking : " & zEDLimit.Blinking
Debug.Print "Cel : " & zEDLimit.Cel
Debug.Print "Class : " & zEDLimit.Class
Debug.Print "Color : " & zEDLimit.color
Debug.Print "Delay : " & zEDLimit.Delay
Debug.Print "Group : " & zEDLimit.Group
Debug.Print "HelpCapture : " & zEDLimit.HelpCapture
Debug.Print "HelpFile : " & zEDLimit.HelpFile
Debug.Print "Invisible : " & zEDLimit.Invisible
Debug.Print "IsMax : " & zEDLimit.IsMax
Debug.Print "IsSimple : " & zEDLimit.IsSimple
Debug.Print "IsVariable : " & zEDLimit.IsVariable
Debug.Print "LimitValue : " & zEDLimit.LimitValue
Debug.Print "ParentID : " & zEDLimit.ParentID
Debug.Print "Print : " & zEDLimit.Print
Debug.Print "Text : " & zEDLimit.Text
Debug.Print "ThresholdValue: " & zEDLimit.ThresholdValue

'READ DYNPROPERTIES of EDLimit for Variable and Datatype
vDynProps = zEDLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zEDLimit.DynProperties(strDynProp)
Next

End Sub

Ancora in questo capitolo

EdLimit-Properties

EdLimit-Methods


EdLimit-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Limit in/-active |  | available | not used | yes | yes
VARIANT_BOOL | Alarm |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmAck |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmComment |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmDelete |  |  | available | not used | yes | yes
VARIANT_BOOL | Blinking |  |  | available | not used | yes | yes
VARIANT_BOOL | Cel |  |  | available | not used | yes | yes
short | Class |  |  | available | not used | yes | yes
long | Color |  |  | available | not used | yes | yes
long | Delay |  |  | available | not used | yes | yes
short | Group |  |  | available | not used | yes | yes
BSTR | HelpCapture |  |  | available | not used | yes | yes
BSTR | HelpFile |  |  | available | not used | yes | yes
VARIANT_BOOL | Invisible |  |  | available | not used | yes | yes
VARIANT_BOOL | IsMax |  |  | available | not used | yes | yes
VARIANT_BOOL | IsSimple |  |  | available | not used | yes | yes
VARIANT_BOOL | IsVariable |  |  | available | not used | yes | yes
double | LimitValue |  |  | available | not used | yes | yes
IDispatch | Parent | Parent-object |  | read only | read only | yes | yes
long | ParentID | ID of the variable |  | available | not used | yes | yes
VARIANT_BOOL | Print |  |  | available | not used | yes | yes
BSTR | Text |  |  | available | not used | yes | yes
double | ThresholdValue |  |  | available | not used | yes | yes
IVariable | Variable |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmCause |  | available |  | not used | yes |  | yes

Ancora in questo capitolo

Parent

Active

ParentID

IsSimple

IsMax

IsVariable

LimitValue

Variable

ThresholdValue

Text

Color

Invisible

Blinking

Alarm

HelpFile

HelpCapture

AlarmAck

AlarmDelete

Cel

Print

Group

Class

Delay

AlarmComment

AlarmCause


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Dispatch

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Limit in/-active

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ParentID

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> ParentID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the variable or datatype

Datatype

ParentID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsSimple

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsSimple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsMax

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

MIN or MAXLimit will be reached on underrun the limit or on overflow the setting...

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The limit value is not defined through a fixed technical assignment of value, but through the technical value of another variable.A 'Variable' has to be linked also with this limit.

Datatype

IsVariable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LimitValue

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> LimitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value when the Limit is reached.

Datatype

LimitValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable as object, which should be used as dynamic limit value.Only available, if the dynamic limit is active!

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ThresholdValue

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> ThresholdValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A threshold value can be defined, that is used for the releasing of the limit violation. So undesired reactions on quick series of alarms for analog values can be avoided.

Example 1: Maximum value = 900, threshold = 10 makes 890Limit is violated above 900 and violation is released under 890.

Example 2: Minimum value = 900, threshold = 10 makes 910Limit is violated below 900 and violation is released over 910.

In differnce to the hysteresis this property does not influence the display of the value but only the alarm behaviour.

Datatype

ThresholdValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Text

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Text of the limit as it is displayed in lists, in the status line, and in dynamic elements on a limit violation.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Color

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Color of this Limit

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Invisible

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Invisible

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Invisible Flag can be used with the 'Status' element for example...

Datatype

Invisible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Blinking

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Blinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Blinking will be enabled if this flag is set to true...

Datatype

Blinking() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Alarm

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Should the Limit raise an Alarm?

Datatype

Alarm() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpFile if you use the embedded help features of zenOn

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpCapture

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> HelpCapture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpCapture if you use the embedded help features of zenOn

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmAck

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmAck

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be acknowledged by the user whe n this flag is set to true.

Datatype

AlarmAck() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmDelete

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be deleted by the user whe n this flag is set to true.

Datatype

AlarmDelete() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Cel

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Cel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Write into CEL...

Datatype

Cel() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Print

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Print

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm or limit violation (with set option "in CEL") is printed online.

Datatype

Print() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Group

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Group number of this Limit

Datatype

Group() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Class

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Class of this Limit

Datatype

Class() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Delay

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> Delay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delay of this Limit in seconds

Datatype

Delay() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmComment

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmComment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmComment() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmCause

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmCause

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmCause() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EdLimit-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Element

Manuale -> Interfacce di programmazione -> Objectmodel -> Element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object contains the most important information on a defined dynamic element, e.g. type, position, colour, ...

Dynamic elements are created in the Editor of the contol system. With a DynPicture you get the list of the defined elements. In the project the central list of the defined Screens is available.
Most of the dynamic elements can be linked to variables or functions. Additionally these elements can be linked to different VBA macros. The VBA macros are managed in the Macro Browser of the Editor and liked to the properties of the elements.

Hint:
The VBA macros are only available within the control system. External applications have no access to the defined macros.

The following VBA macros are available:

  • Init: available
  • LeftClickUp: available
  • LeftClickDown: Executed on releasing the left mouse button
  • LeftDClick: Executed on doubleclicking the left mouse button
  • RightClickUp: Executed on clicking the right mouse button
  • RightClickDown: Executed on releasing the right mouse button
  • RightDClick: Executed on doubleclicking the right mouse button
  • SetFocus: Executed on activating the element
  • KillFocus: Executed on leaving the element
  • Draw: Executed on drawing the element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

IElement zenonElement = zenonElements.Item(i);

//Print some properties

System.Diagnostics.Debug.Print(

"Name: {0} - Width: {1} - Height: {2}",

zenonElement.Name, zenonElement.Width.ToString(),

zenonElement.Height.ToString());

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

Dim zenonElement As IElement = zenonElements.Item(i)

'Print some properties

System.Diagnostics.Debug.Print("Name: {0} - Width: {1} - Height: {2}", zenonElement.Name, zenonElement.Width.ToString(), zenonElement.Height.ToString())

Next

End Sub

VBA

'Sample how to get all elements within a symbol...
Sub GetItAll()
'Define objects...
Dim zPIC As DynPicture
Dim zELE As Element
'allocate the Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ScreenName")
'check if Screen object is valid...
If zPIC Is Nothing Then Exit Sub
'allocate the element
Set zELE = zPIC.Elements.Item("SymbolName")
'check if element object is valid...
If zELE Is Nothing Then Exit Sub
'get all elements within the symbol an its sub symbols...
Call GetElements(zELE)
End Sub

'Procedure with recursive calls to get all subsymbols...
Sub GetElements(zElem As Element)
Dim i As Integer
For i = 0 To zElem.Elements.Count - 1
'check if element is of type symbol
If zElem.Elements.Item(i).Type = tpSymbol Then
'recursiv call
Call GetElements(zElem.Elements.Item(i))
Else
'print the name of each element...
Debug.Print i & ": " & zElem.Elements.Item(i).Name
End If
Next i
End Sub

Ancora in questo capitolo

Element-Properties

Element-Methods

Element-Dynamic properties


Element-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | Background-Color |  | available | available | yes | yes
IVariable | BackColorVariable |  |  | available | not used | yes | yes
long | Bottom | Height of the element |  | available | read only | yes | yes
long | CountVariable | Count of linked variables |  | read only | read only | yes | yes
ISymbolElements | Elements | Returns the list of linked symbols |  | available | not used | yes | yes
VARIANT_BOOL | Enable | De/-Activates the element (only runtime) |  | read only | available | yes | yes
VARIANT_BOOL | Focus | Sets the focus to the element |  | read only | read only | yes | yes
OLE_COLOR | ForeColor | Text-Color |  | available | read only | yes | yes
long | Height | Height of the element |  | available | read only | yes | yes
BSTR | HelpCapture | Help-Index in the helpfile for context-sensitive help |  | available | read only | yes | yes
BSTR | HelpFile | Name of the linked helpfile |  | available | read only | yes | yes
VARIANT_BOOL | Hide | Show/Hide the element (only runtime) |  | not used | available | yes | yes
BYTE | HorizontalOrigin |  |  | available | read only | yes | yes
BSTR | HotKey | Hotkey for the element |  | available | read only | yes | yes
OLE_HANDLE | hWnd | Handle for picture |  | not used | read only | yes | yes
long | ID | ID of the element (unique) |  | read only | read only | yes | yes
long | Left | Left-coordinate of the element |  | available | read only | yes | yes
IVariable | LineColorVariable |  |  | available | not used | yes | yes
BSTR | MenuName | Name of the linked Menu | available |  | read only | yes |  | yes
BSTR | Name | Name of the element (optional) |  | available | read only | yes | yes
IElements | Parent | Parent-Object of the element |  | read only | read only | yes | yes
short | PasswordLevel | Password-Level for user-action |  | available | read only | yes | yes
long | Right | Width of the element |  | available | read only | yes | yes
BSTR | StationName |  |  | available | read only | yes | yes
VARIANT_BOOL | SymbolInLibrary | Insert the given symbol into the symbol-library |  | read only | not used | yes | yes
long | SymbolNo |  |  | read only | read only | yes | yes
BSTR | ToolTip | Info-Text for the element (is shown by mouseover in the runtime) |  | available | not used | yes | yes
long | Top | Top-coordinate of the element |  | available | read only | yes | yes
IVariable | TwistVariable |  |  | available | not used | yes | yes
double | TwistVarMax |  |  | available | read only | yes | yes
double | TwistVarMin |  |  | available | read only | yes | yes
long | TwistViewMax |  |  | available | read only | yes | yes
long | TwistViewMin |  |  | available | read only | yes | yes
long | Type | Type of the element () |  | read only | read only | yes | yes
BYTE | VerticalOrigin |  |  | available | read only | yes | yes
double | VisibilityFrom | Minimum value of the variable for visibility of the element | available |  | read only | yes |  | yes
VARIANT_BOOL | VisibilityFromLimit | Returns true if visibility is adopted from the limit value of the variable | available |  | read only | yes |  | yes
double | VisibilityTo | Maximum value of the variable for visibility of the element | available |  | read only | yes |  | yes
IVariable | VisibilityVariable | Returns the variable for visibility | available |  | read only | yes |  | yes
long | Width | Width of the element |  | available | read only | yes | yes
IVariable | XVariable |  |  | available | not used | yes | yes
double | XVarMax |  |  | available | read only | yes | yes
double | XVarMin |  |  | available | read only | yes | yes
long | XViewMax |  |  | available | read only | yes | yes
long | XViewMin |  |  | available | read only | yes | yes
IVariable | XZoomVariable |  |  | available | not used | yes | yes
double | XZoomVarMax |  |  | available | read only | yes | yes
double | XZoomVarMin |  |  | available | read only | yes | yes
long | XZoomViewMax |  |  | available | read only | yes | yes
long | XZoomViewMin |  |  | available | read only | yes | yes
IVariable | YVariable |  |  | available | not used | yes | yes
double | YVarMax |  |  | available | read only | yes | yes
double | YVarMin |  |  | available | read only | yes | yes
long | YViewMax |  |  | available | read only | yes | yes
long | YViewMin |  |  | available | read only | yes | yes
IVariable | YZoomVariable |  |  | available | not used | yes | yes
double | YZoomVarMax |  |  | available | read only | yes | yes
double | YZoomVarMin |  |  | available | read only | yes | yes
long | YZoomViewMax |  |  | available | read only | yes | yes
long | YZoomViewMin |  |  | available | read only | yes | yes
short | ZoomMax |  |  | available | read only | yes | yes
short | ZoomMin |  |  | available | read only | yes | yes
tpLockResult | InterlockingStatus | Returns whether the Element is currently interlocked. |  | not used | read only | yes | yes
IRtFunction | Function | Returns the linked Function. |  | read only | read only | yes | yes
IInterlocking | Interlocking | Returns the linked Interlocking. |  | read only | read only | yes | yes
IVariable | SelectionFeedbackVariable | Returns the variable for the Selection Feedback | available |  | not used | yes |  | yes
tpVisibilityType | VisibilityType | Returns the visibility type | available |  | read only | yes |  | yes
IInterlocking | VisibilityInterlocking | Returns the interlocking object for visibility | not used |  | read only | yes |  | yes
VARIANT_BOOL | VisibilityWhenInterlocked | Returns true if visible when interlocked | available |  | read only | yes |  | yes

Ancora in questo capitolo

Parent

Name

Type

Enable

Hide

Left

Top

Right

Bottom

Width

Height

BackColor

ForeColor

Focus

CountVariable

PasswordLevel

hWnd

ID

HotKey

MenuName

HelpFile

HelpCapture

ToolTip

StationName

ZoomMin

ZoomMax

HorizontalOrigin

VerticalOrigin

VisibilityVariable

VisibilityFromLimit

VisibilityFrom

VisibilityTo

VisibilityType

VisibilityInterlocking

VisibilityWhenInterlocked

LineColorVariable

BackColorVariable

XVariable

XVarMin

XVarMax

XViewMin

XViewMax

YVariable

YVarMin

YVarMax

YViewMin

YViewMax

XZoomVariable

XZoomVarMin

XZoomVarMax

XZoomViewMin

XZoomViewMax

YZoomVariable

YZoomVarMin

YZoomVarMax

YZoomViewMin

YZoomViewMax

TwistVariable

TwistVarMin

TwistVarMax

TwistViewMin

TwistViewMax

SymbolNo

SymbolInLibrary

Elements

InterlockingStatus

Function

Interlocking

SelectionFeedbackVariable


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Elements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the dynamic element. This property is optional, i.e. if the user did not define a name, an empty string is returned.Hint: With this unique name a dynamic element can be found in the list of the dynamic elements of the picture.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "Element" object.The following table gives an overview of the common element types:

Value | Hex | Name | Description
0 | &H0 | tpDynBargraph | Bar Graph
1 | read only | tpDynZahlenElem | Numerical value
2 | read only | tpDynText | Link Text
4 | yes | tpDynTrend | Trend Graph
5 | yes | tpDynZeiger | Indicating instrument
6 | &H6 | tpDynBewegt | Move element
7 | &H7 | tpDynBinaer | Binary element
8 | &H8 | tpDynBitmap | Bitmap button
9 | &H9 | tpDynVerkn | Invisible button
10 | &HA | tpDynButton | Text button
11 | &HB | tpDynSchalter | Switch
12 | &HC | tpDynMulitbin | Multi-binary element
13 | &HD | tpDynMeldung | Message
14 | &HE | tpDynUhr | Clock
15 | &HF | tpDynBefMdi | Command element
16 | &H10 | tpDynStatus | State element
17 | &H11 | tpDynBaButton | Picture alarm
18 | &H12 | tpDynControl | Control element
19 | &H13 | tpDynAegel |
20 | &H14 | tpDynActiveX | ActiveX element
21 | &H15 | tpDynTopLgt | Topological line
22 | &H16 | tpDynTopStrg | Topological branch
23 | &H17 | tpDynInstrument | Universal Slider
24 | &H18 | tpDynCombiList | ComboListBox
29 | &H1D | tpDynWPF | WPF Element
100 | &H64 | tpDot |
101 | &H65 | tpLine | Line
102 | &H66 | tpRectangle | Rectangle
103 | &H67 | tpCircle | Ellipse / Circle
104 | &H68 | tpPolyLine | Polyline
107 | &H6B | tpText | Text
108 | &H6C | tpArc | Arc of circle
109 | &H6D | tpSolid |
111 | &H6F | tpTraceDr |
114 | &H72 | tpKegel |
115 | &H73 | tpFillPara |
116 | &H74 | tpFillTria |
117 | &H75 | tpFillBlock |
121 | &H79 | tpPie | Pie
127 | &H7F | tpRoundRect | Rounded rectangle
128 | &H80 | tpPolygon | Polygon
129 | &H81 | tpSymbol | Embedded symbol
130 | &H82 | tpSymbolLnk | Linked symbol
131 | &H83 | tpSegme_Dxf | Graphical element of DXF
133 | &H85 | tpWMF | Graphical element of WMF
134 | &H86 | tpEMF | Graphical element of EMF
135 | &H87 | tpWinkel | 3D-angle
136 | &H88 |  | Tube

Datatype

Type() As long
VBA | yes | tpDynBargraph | Bar Graph
VSTA | yes | tpDynBargraph | Bar Graph

Availability

Environment | Available
Editor | read only
Runtime | read only


Enable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Enable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

De/activates the dynamic element. If deactivated, actions like setting a value are not executed.Usually this property returns True indicating, that the element is active. Setting it to False deactivates the element.Hint: VBA macros are also executed, if the element is deactivated. Standard actions, e.g. executing functions for a button are not executed when deactivated.The following example de/activates the dynamic element BITMAP_BTN_1, which is on the current picture, depending on the current status of the element.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** De/-activate element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Enabled(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Enable = Not obElement.Enable
obElement.Update
End Sub


Hide

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the dynamic element. Usually this property returns False, i.e. the element is displayed.If the property is set to True, the element is hidden. And the element stays invisible, until this property is set back to False.Reopening the picture resets the element.The following example influences the visibility of the dynamic element BITMAP_BTN_1, which exists in the current picture.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Change visibility of BITMAP_BTN_1
Public Sub LeftClickUp_Element_Hide(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Hide = Not obElement.Hide
obElement.Update
End Sub


Left

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.The following example moves a Bitmap-Button to the right by the width of the element. If the right border of the picture is reached, the element is moved to the left border.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move picture
Public Sub LeftClickUp_Element_Move_Horizontal(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim nWidth As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** moves element to top of the picture
nWidth = (obElement.Bottom - obElement.Top)

'*** moves element
If (obElement.Right <= obPicture.Width) Then
obElement.Move obElement.Right, obElement.Top,
(obElement.Right + nWidth), obElement.Bottom
Else
obElement.Move obPicture.Left, obElement.Top,
obPicture.Left + nWidth, obElement.Bottom
End If
End Sub


Top

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.The following example moves a Bitmap-Button down by the height of the element. If the bottom border of the picture is reached, the element is moved to the top border.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Move(obElem As Element)

Dim obElement As Element
Dim obPicture As DynPicture
Dim nHeight As Long
Dim nOldTop As Long

Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

nHeight = (obElement.Bottom - obElement.Top)
nOldTop = obElement.Top

'*** moves element
If (obElement.Bottom > obPicture.Height) Then
obElement.Move obElement.Left, 0, obElement.Right, (nHeight)
Else
obElement.Move obElement.Left, obElement.Bottom, obElement.Right,
(obElement.Bottom + nHeight)
End If

'*** update picture
obElement.Update
obPicture.Update obElement.Left, nOldTop, obElement.Right,
(obElement.Bottom + nHeight)
obElem.LeftClickUp
End Sub


Right

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ForeColor

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> ForeColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Focus

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Focus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current element has the focus. Only one element per picture can have the focus at the same time.An element gets the focus, when clicking on it with the mouse or switching to it with the Tab key.In the later case the Tab functionality for the Runtime has to be activated.

Datatype

Focus() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> CountVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of variables linked to the dynamic element.Hint: With the method "ItemVariable" the single variables of the dynamic element can be found out.The following VBA example reads all variables of a Trend element and displays them in the Debug window of VBA. Then the user is asked if VBA should be opened, to let him read the messages.

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Get variables of trend TREND_1.

Public Sub LeftClickUp_Element_Variables(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim obVariable As Variable
Dim obFunction As RtFunction
Dim nIndex As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element TREND_1
Set obElement = obPicture.Elements.Item("TREND_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** Get variables of trend
Debug.Print "TREND_1: " + CStr(obElement.CountVariable) + " variabls
End Sub


PasswordLevel

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> PasswordLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the password level of the dynamic element. Usually this method returns 0 indicating, that no password level is set.If the value is > 0, only users with the defined password level are allowed to execute the action.

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


hWnd

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> hWnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the handle for the dynamic element. Each window in Windows is identified by a handle. This handle is used for most of the standard routines, e.g. for drawing.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the element (unique)

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


HotKey

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> HotKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Hotkey for the element

Datatype

HotKey() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MenuName

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> MenuName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked zenOn-Menu as string.

Datatype

MenuName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpFile

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked helpfile

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpCapture

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> HelpCapture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Help-Index in the helpfile for context-sensitive help

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> ToolTip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Info-Text for the element (is shown by mouseover in the runtime)

Datatype

ToolTip() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StationName

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> StationName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Element is entered into the object list of the world view with the text defined with this property as string.

Datatype

StationName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> ZoomMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMin() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> ZoomMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMax() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HorizontalOrigin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> HorizontalOrigin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HorizontalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VerticalOrigin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VerticalOrigin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VerticalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose value should influence the visibility of the element.Hint: If no variable is linked, the element is always visible.

Datatype

VisibilityVariable() As IVariable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFromLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityFromLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the visibility of the element will be influenced by the limit definition of the variable.ATTENTION: At least for one limit of the variable the property "invisible" must be activated.Otherwise, the visibility is influenced by the properties "VisibilityFrom" and "VisibilityTo" of the element.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable".

Datatype

VisibilityFromLimit() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFrom

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityFrom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityFrom() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityTo

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityTo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityTo() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityType

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Editor:

public void Macro_ShowElementSettings()

{

zenOn.IProject myActiveProject = this.Application.MyWorkspace.ActiveDocument;

zenOn.IDynPictures myDynPics = myActiveProject.DynPictures();

zenOn.IElements myElementsBild0 = myDynPics.Item(0).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

System.Windows.Forms.MessageBox.Show("VisibilityType: " + button1.VisibilityType);

System.Windows.Forms.MessageBox.Show(" Von Grenzw: " + button1.VisibilityFromLimit);

zenOn.IVariable anVariable = button1.VisibilityVariable;

System.Windows.Forms.MessageBox.Show("Var: " + anVariable.Name);

}

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityType() As tpVisibilityType

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityInterlocking

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityInterlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityInterlocking() As IInterlocking

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VisibilityWhenInterlocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> VisibilityWhenInterlocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Editor:

public void Macro_ShowElementSettings()

{

zenOn.IProject myActiveProject = this.Application.MyWorkspace.ActiveDocument;

zenOn.IDynPictures myDynPics = myActiveProject.DynPictures();

zenOn.IElements myElementsBild0 = myDynPics.Item(0).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

System.Windows.Forms.MessageBox.Show("VisibilityType: " + button1.VisibilityType);

System.Windows.Forms.MessageBox.Show(" Von Grenzw: " + button1.VisibilityFromLimit);

zenOn.IVariable anVariable = button1.VisibilityVariable;

System.Windows.Forms.MessageBox.Show("Var: " + anVariable.Name);

}

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityWhenInterlocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


LineColorVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> LineColorVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the line/text color of the element.

Datatype

LineColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackColorVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> BackColorVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the background/filling color of the element.

Datatype

BackColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for horizontal moving of the element as string.

Datatype

XVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVarMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XVarMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for vertical moving of the element as string.

Datatype

YVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YVarMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVarMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XZoomVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the width of the element as string.

Datatype

XZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XZoomVarMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XZoomVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVarMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XZoomVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XZoomViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> XZoomViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YZoomVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the height of the element as string.

Datatype

YZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YZoomVarMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YZoomVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVarMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YZoomVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YZoomViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> YZoomViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> TwistVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for rotating the element as string.

Datatype

TwistVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TwistVarMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> TwistVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVarMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> TwistVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> TwistViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable minimum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> TwistViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable maximum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SymbolNo

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> SymbolNo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of symbol within the picture

Datatype

SymbolNo() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolInLibrary

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> SymbolInLibrary

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert the given symbol into the symbol-library

Datatype

SymbolInLibrary() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Elements

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection ("SymbolElements" object) of the embedded "Element" objects.

Datatype

Elements() As SymbolElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


InterlockingStatus

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> InterlockingStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InterlockingStatus() As tpLockResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=97(Ele_dispidFunction)

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlocking

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> Interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=98(Ele_dispidInterlocking)

Datatype

Interlocking() As IInterlocking

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SelectionFeedbackVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Properties -> SelectionFeedbackVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionFeedbackVariable() As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Element-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | Add a link to a Variable | available |  | not used | yes |  | yes
IDispatch | AktiveX | Returns the linked Active-X control (Standard = Nothing) |  | not used | available | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IVariable | ItemVariable | Returns the linked variable on the given position (depent of the type) |  | available | available | yes | yes
void | LeftClickDown | - |  | not used | available | yes | yes
void | LeftClickUp | - |  | not used | available | yes | yes
void | LeftDClick | - |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the variable on the position | available |  | not used | yes |  | yes
void | RightClickDown | - |  | not used | available | yes | yes
void | RightClickUp | - |  | not used | available | yes | yes
void | RightDClick | - |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
void | Update | Updates the element |  | available | available | yes | yes
void | WPFProperty [PUT] | Get/Set a property of a certain WPF-Element. | not used |  | available | yes |  | yes
VARIANT | WPFProperty [GET] | Get/Set a property of a certain WPF-Element. | not used |  | available | yes |  | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position |  | available | not used | yes | yes
void | RightClickUp |  |  | not used | available | yes | yes
void | RightClickDown |  |  | not used | available | yes | yes
void | RightDClick |  |  | not used | available | yes | yes
void | Move | Moves the element to the given position | not used |  | available | yes |  | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) | available |  | not used | yes |  | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position | available |  | not used | yes |  | yes
void | RightClickUp |  | not used |  | available | yes |  | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

WPFProperty [GET]

WPFProperty [PUT]

Move

Update

AktiveX

SaveAktiveX

ItemVariable

AddVariable

RemoveVariable

LeftClickUp

LeftClickDown

RightClickUp

RightClickDown

RightDClick

LeftDClick


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is able to create SubItems of the actual object. The parameter has to be the name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> WPFProperty [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Grants access to the WPF properties of an object and reads them.

Datatype

WPFProperty(String bsElement,String bsProperty) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> WPFProperty [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WPFProperty (String bsElement,String bsProperty,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Move

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the dimensions of the element in the form of left, top, bottom, right.

Datatype

Move(long Left, long Top, long Right, long Bottom) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroMoveElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200);

zenonMyElement.Update();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroMoveElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200)

zenonMyElement.Update()

End Sub

VBA


Update

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> Update

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method updates a dynamic element. After changes with VBA always use this method to refresh the display.

Datatype

Update() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroMoveElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200);

zenonMyElement.Update();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroMoveElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200)

zenonMyElement.Update()

End Sub

VBA

VBA-Syntax


AktiveX

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> AktiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object for the linked Active-X Control, if the dynamic element is an ActiveX element of the control system. If this is not the case, this method returns "Nothing".Hint: The returned object should be checked on "Nothing", as only the ActiveX element of the control system needs this method.

Datatype

AktiveX() As Dispatch

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveAktiveX

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> SaveAktiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveAktiveX() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable, which is identified by the parameter vID. Most of the dynamic elements can be linked to variables. The visualization of most elements depends on the linked variables.The parameter vID can have two values:

  • Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.
  • Variable name: The variable can also be accessed with its unique name.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Get the variable of a graph element that represents a tank, the variable indicates how full the tank is

public void MacroGetVariableElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

for (int i = 0; i < zenonTank.CountVariable; ++i)

{

IVariable zenonVariable = zenonTank.ItemVariable(i);

if (zenonVariable != null)

{

//Print the max range of the variable

System.Diagnostics.Debug.Print(zenonVariable.Name);

}

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Get the variable of a graph element that represents a tank, the variable indicates how full the tank is

Public Sub MacroGetVariableElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

For i As Integer = 0 To zenonTank.CountVariable - 1

Dim zenonVariable As IVariable = zenonTank.ItemVariable(i)

If zenonVariable IsNot Nothing Then

'Print the max range of the variable

System.Diagnostics.Debug.Print(zenonVariable.Name)

End If

Next

End Sub

VBA

VBA-Syntax


AddVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a variable to the object.

Datatype

AddVariable(LPDISPATCH lpVar) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Adds a variable to an element if there is non linked to it

public void MacroGetVariableElementAdd()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

IVariable zenonVar = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//If there is no linked variable then add one to the tank graph

if (zenonTank.ItemVariable(0) == null)

zenonTank.AddVariable(zenonVar);

zenonTank.Update();

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Adds a variable to an element if there is non linked to it

Public Sub MacroGetVariableElementAdd()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

Dim zenonVar As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'If there is no linked variable then add one to the tank graph

If zenonTank.ItemVariable(0) Is Nothing Then

zenonTank.AddVariable(zenonVar)

End If

zenonTank.Update()

End Sub

VBA

VBA-Syntax


RemoveVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> RemoveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveVariable(long nPosition) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Remove all linked variables from an element

public void MacroGetVariableElementRemove()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

//Loop through available var spaces and remove them all

for (int i = 0; i < zenonTank.CountVariable; ++i)

{

if (zenonTank.ItemVariable(i) != null)

zenonTank.RemoveVariable(i);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Remove all linked variables from an element

Public Sub MacroGetVariableElementRemove()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

'Loop through available var spaces and remove them all

For i As Integer = 0 To zenonTank.CountVariable - 1

If zenonTank.ItemVariable(i) IsNot Nothing Then

zenonTank.RemoveVariable(i)

End If

Next

End Sub

VBA


LeftClickUp

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> LeftClickUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for releasing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickUp.

Datatype

LeftClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


LeftClickDown

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> LeftClickDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for pressing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickDown.

Datatype

LeftClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


RightClickUp

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> RightClickUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


RightClickDown

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> RightClickDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


RightDClick

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> RightDClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


LeftDClick

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Methods -> LeftDClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for doubleclicking the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftDClick.

Datatype

LeftDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


Element-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

ActiveX

Angle

Arc of circle

Segment of circle

Picture alarm

Bargraph

Command

Move

Binary

Bitmap

Text button

Circle

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

Combi

Symbol

Linked symbol

Template

Static text

Trend curve

Clock

Base class vector elements

Invisible button

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line

Ancora in questo capitolo

CDynEleVar

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

CZenonGestureManipulation

ActiveX

Angle

Arc of circle

Segment of circle

CDynEleFkt

Picture alarm

Bargraph

CDrawBefCommand

Command

Move

Binary

Bitmap

Text button

Circle

CDynEleVarMulti

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

CStatusElemZustand

Combi

CSymbLibProp

Symbol

Linked symbol

Template

Static text

CDynEleVarTrend

Trend curve

Clock

Base class vector elements

Invisible button

CWPFConnectionBase

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line


CDynEleVar

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Frame polygon

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Frame polygon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Visualizzazione piatta

Definisce quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Pulisci: la superficie dell´elemento viene usata come area di visualizzazione.

Taglia: la superficie dell´elemento viene rimossa dalle superfici che si trovano sotto.

Logica Or: a seconda se sotto l´elemento si trova una superficie coprente o no, si taglia o si copre.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Frame vector

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Frame vector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Visualizzazione piatta

Definisce quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Pulisci: la superficie dell´elemento viene usata come area di visualizzazione.

Taglia: la superficie dell´elemento viene rimossa dalle superfici che si trovano sotto.

Logica Or: a seconda se sotto l´elemento si trova una superficie coprente o no, si taglia o si copre.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CornerProportional

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Inattivo: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_X

Destra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_Y

Destra/Basso Y [%]

Disponibile solo se la proprietà Proporzionale è stata attivata e la proprietà Con valori di luminosità è stata disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

La proprietà Con valori di luminosità deve essere disattivata

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • Da 0 a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Batch recipe editor control

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Batch recipe editor control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

WithTBs

Toolbar

Attivo: Nell´Editor delle ricette vengono visualizzate delle barre degli strumenti.

Inattivo: Nell´Editor delle ricette vengono escluse dalla visualizzazione le barre degli strumenti. Consigliato se le azioni dei singoli simboli sono state poste su pulsanti propri.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

WithPanes

Finestre ancorabili

Attivo: Nell´editor ricette viene visualizzata la lista delle finestre ancorabili.

Inattivo: Nell´editor ricette viene nascosta la lista delle finestre ancorabili.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


MDI element

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> MDI element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CControlDynCalendarCtrl

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CControlDynCalendarCtrl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

ColorNonWorkingHours

Colore di riempimento periodo non lavorativo

Colore di sfondo del tempo libero/non lavorativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ColorWorkingHours

Colore di riempimento periodo lavorativo

Colore di sfondo del tempo lavorativo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Window

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Window

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Combobox

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Combobox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window list control

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window list control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBoolAsNumber

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImage

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImage

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImageInActive

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImageInActive

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione
  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowFilter

Visualizza riga di filtro
  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HeaderStatic

Intestazione statica
  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ColumnOrderStatic

Posizione colonne fissa

Gestisce la possibilità di modificare la larghezza o spostare colonne di tabella a Runtime con azioni del mouse.

  • Attiva: non è possibile spostare le colonne via Drag&Drop e modificarne la larghezza.
  • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.

Se nell´immagine c´è un elemento con l´operazione specifica per il tipo di immagine Selezione colonne, e se questa impostazione è attiva , l´elemento verrà disattivato a Runtime.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

NoSortHeader

Blocca ordinamento

Gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.

  • Attiva: la tabella non può essere ordinata con un clic del mouse.
  • Non attiva: la tabella può essere ordinata cliccando sull´intestazione della colonna.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

HideColumnSettingsMenu

Disattiva menu contestuale

Consente di visualizzare/nascondere il menù contestuale delle intestazioni di colonna.

  • Attiva: il menù contestuale è disattivato.
  • Non attiva: il menù contestuale è attivo La lista può essere configurata a Runtime.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

HeaderHeight

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_BOOL

WordWrap

A capo automatico

Consente di visualizzare testi con più righe nella lista quando la larghezza impostata per le colonne non è sufficiente per il testo da visualizzare. In questo caso, l´altezza delle righe viene aumentata di conseguenza.

  • Attiva: quando la larghezza della colonna non è sufficiente a contenere il testo, si va a capo e l´altezza della riga viene aumentata.
  • Non attiva: non si va a capo, il testo viene visualizzato in una riga.

Info: si va a capo solo quando nel testo da visualizzare ci sono spazi vuoti (spazi, tabulazioni o simili), oppure se si inserisce un´interruzione di riga nel testo manualmente mediante \n. Non viene eseguita un´interruzione di riga in testi privi di interruzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento orizzontale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento verticale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento SU per la barra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se nelle proprietà di progetto è stata selezionata l´opzione "Intestazione modificabile" o "Intestazione fissa" nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione è possibile modificare l´aspetto dell´intestazione adeguandolo alle proprie esigenze individuali.

  • Attiva: l´intestazione verrà visualizzata

Default: attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Consente di gestire l´intestazione per il campo lista corrispondente. A Runtime sarà possibile modificare la larghezza delle colonne e ordinare la visualizzazione della lista in riferimento ad una colonna qualsiasi.

  • Attiva: L´intestazione è modificabile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    se nelle impostazioni di progetto è stata selezionata l´opzione "Intestazione modificabile" per la proprietà Header AML del gruppo Lista di informazione allarmi, oppure per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
  • Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente Carattere e Colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionare qui il tipo di effetto di riempimento per l´intestazione fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine crescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine decrescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista come sfondo. Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo di linee di griglia orizzontali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore della proprietà Distanza orizzontale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo di linee di griglia verticali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Selezione attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window batch parameter list

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window batch parameter list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBoolAsNumber

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImage

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImage

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImageInActive

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImageInActive

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione
  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowFilter

Visualizza riga di filtro
  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HeaderStatic

Intestazione statica
  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ColumnOrderStatic

Posizione colonne fissa

Gestisce la possibilità di modificare la larghezza o spostare colonne di tabella a Runtime con azioni del mouse.

  • Attiva: non è possibile spostare le colonne via Drag&Drop e modificarne la larghezza.
  • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.

Se nell´immagine c´è un elemento con l´operazione specifica per il tipo di immagine Selezione colonne, e se questa impostazione è attiva , l´elemento verrà disattivato a Runtime.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

NoSortHeader

Blocca ordinamento

Gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.

  • Attiva: la tabella non può essere ordinata con un clic del mouse.
  • Non attiva: la tabella può essere ordinata cliccando sull´intestazione della colonna.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

HideColumnSettingsMenu

Disattiva menu contestuale

Consente di visualizzare/nascondere il menù contestuale delle intestazioni di colonna.

  • Attiva: il menù contestuale è disattivato.
  • Non attiva: il menù contestuale è attivo La lista può essere configurata a Runtime.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

HeaderHeight

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Con questa proprietà si stabilisce se la riga selezionata nel campo lista deve essere evidenziata graficamente. Se si attiva questa proprietà, non si vedrà quale inserimento è stato selezionato. Tutte le righe della lista avranno lo stesso aspetto.

Default: non attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_BOOL

WordWrap

A capo automatico

Consente di visualizzare testi con più righe nella lista quando la larghezza impostata per le colonne non è sufficiente per il testo da visualizzare. In questo caso, l´altezza delle righe viene aumentata di conseguenza.

  • Attiva: quando la larghezza della colonna non è sufficiente a contenere il testo, si va a capo e l´altezza della riga viene aumentata.
  • Non attiva: non si va a capo, il testo viene visualizzato in una riga.

Info: si va a capo solo quando nel testo da visualizzare ci sono spazi vuoti (spazi, tabulazioni o simili), oppure se si inserisce un´interruzione di riga nel testo manualmente mediante \n. Non viene eseguita un´interruzione di riga in testi privi di interruzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento orizzontale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento verticale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento SU per la barra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se nelle proprietà di progetto è stata selezionata l´opzione "Intestazione modificabile" o "Intestazione fissa" nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione è possibile modificare l´aspetto dell´intestazione adeguandolo alle proprie esigenze individuali.

  • Attiva: l´intestazione verrà visualizzata

Default: attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Consente di gestire l´intestazione per il campo lista corrispondente. A Runtime sarà possibile modificare la larghezza delle colonne e ordinare la visualizzazione della lista in riferimento ad una colonna qualsiasi.

  • Attiva: L´intestazione è modificabile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    se nelle impostazioni di progetto è stata selezionata l´opzione "Intestazione modificabile" per la proprietà Header AML del gruppo Lista di informazione allarmi, oppure per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
  • Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente Carattere e Colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionare qui il tipo di effetto di riempimento per l´intestazione fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine crescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine decrescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista come sfondo. Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo di linee di griglia orizzontali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore della proprietà Distanza orizzontale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo di linee di griglia verticali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Selezione attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Listbox

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Listbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Listcontrol

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Listcontrol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Con questa proprietà si stabilisce se la riga selezionata nel campo lista deve essere evidenziata graficamente. Se si attiva questa proprietà, non si vedrà quale inserimento è stato selezionato. Tutte le righe della lista avranno lo stesso aspetto.

Default: non attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_BOOL

WordWrap

A capo automatico

Consente di visualizzare testi con più righe nella lista quando la larghezza impostata per le colonne non è sufficiente per il testo da visualizzare. In questo caso, l´altezza delle righe viene aumentata di conseguenza.

  • Attiva: quando la larghezza della colonna non è sufficiente a contenere il testo, si va a capo e l´altezza della riga viene aumentata.
  • Non attiva: non si va a capo, il testo viene visualizzato in una riga.

Info: si va a capo solo quando nel testo da visualizzare ci sono spazi vuoti (spazi, tabulazioni o simili), oppure se si inserisce un´interruzione di riga nel testo manualmente mediante \n. Non viene eseguita un´interruzione di riga in testi privi di interruzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento orizzontale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento verticale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento SU per la barra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se nelle proprietà di progetto è stata selezionata l´opzione "Intestazione modificabile" o "Intestazione fissa" nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione è possibile modificare l´aspetto dell´intestazione adeguandolo alle proprie esigenze individuali.

  • Attiva: l´intestazione verrà visualizzata

Default: attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Consente di gestire l´intestazione per il campo lista corrispondente. A Runtime sarà possibile modificare la larghezza delle colonne e ordinare la visualizzazione della lista in riferimento ad una colonna qualsiasi.

  • Attiva: L´intestazione è modificabile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    se nelle impostazioni di progetto è stata selezionata l´opzione "Intestazione modificabile" per la proprietà Header AML del gruppo Lista di informazione allarmi, oppure per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
  • Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

ColumnOrderStatic

Posizione colonne fissa

Gestisce la possibilità di modificare la larghezza o spostare colonne di tabella a Runtime con azioni del mouse.

  • Attiva: non è possibile spostare le colonne via Drag&Drop e modificarne la larghezza.
  • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.

Se nell´immagine c´è un elemento con l´operazione specifica per il tipo di immagine Selezione colonne, e se questa impostazione è attiva , l´elemento verrà disattivato a Runtime.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

NoSortHeader

Blocca ordinamento

Gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.

  • Attiva: la tabella non può essere ordinata con un clic del mouse.
  • Non attiva: la tabella può essere ordinata cliccando sull´intestazione della colonna.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente Carattere e Colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionare qui il tipo di effetto di riempimento per l´intestazione fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine crescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine decrescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista come sfondo. Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo di linee di griglia orizzontali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore della proprietà Distanza orizzontale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo di linee di griglia verticali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Selezione attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window no header list control

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window no header list control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

TextColorSelectFocus

Colore testo con Focus

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorSelectFocus

Colore di sfondo con focus

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorSelectNoFocus

Colore testo senza Focus

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorSelectNoFocus

Colore di sfondo senza focus

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Con questa proprietà si stabilisce se la riga selezionata nel campo lista deve essere evidenziata graficamente. Se si attiva questa proprietà, non si vedrà quale inserimento è stato selezionato. Tutte le righe della lista avranno lo stesso aspetto.

Default: non attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_BOOL

WordWrap

A capo automatico

Consente di visualizzare testi con più righe nella lista quando la larghezza impostata per le colonne non è sufficiente per il testo da visualizzare. In questo caso, l´altezza delle righe viene aumentata di conseguenza.

  • Attiva: quando la larghezza della colonna non è sufficiente a contenere il testo, si va a capo e l´altezza della riga viene aumentata.
  • Non attiva: non si va a capo, il testo viene visualizzato in una riga.

Info: si va a capo solo quando nel testo da visualizzare ci sono spazi vuoti (spazi, tabulazioni o simili), oppure se si inserisce un´interruzione di riga nel testo manualmente mediante \n. Non viene eseguita un´interruzione di riga in testi privi di interruzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento orizzontale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento verticale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento SU per la barra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se nelle proprietà di progetto è stata selezionata l´opzione "Intestazione modificabile" o "Intestazione fissa" nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione è possibile modificare l´aspetto dell´intestazione adeguandolo alle proprie esigenze individuali.

  • Attiva: l´intestazione verrà visualizzata

Default: attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Consente di gestire l´intestazione per il campo lista corrispondente. A Runtime sarà possibile modificare la larghezza delle colonne e ordinare la visualizzazione della lista in riferimento ad una colonna qualsiasi.

  • Attiva: L´intestazione è modificabile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    se nelle impostazioni di progetto è stata selezionata l´opzione "Intestazione modificabile" per la proprietà Header AML del gruppo Lista di informazione allarmi, oppure per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
  • Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

ColumnOrderStatic

Posizione colonne fissa

Gestisce la possibilità di modificare la larghezza o spostare colonne di tabella a Runtime con azioni del mouse.

  • Attiva: non è possibile spostare le colonne via Drag&Drop e modificarne la larghezza.
  • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.

Se nell´immagine c´è un elemento con l´operazione specifica per il tipo di immagine Selezione colonne, e se questa impostazione è attiva , l´elemento verrà disattivato a Runtime.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_BOOL

NoSortHeader

Blocca ordinamento

Gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.

  • Attiva: la tabella non può essere ordinata con un clic del mouse.
  • Non attiva: la tabella può essere ordinata cliccando sull´intestazione della colonna.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente Carattere e Colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionare qui il tipo di effetto di riempimento per l´intestazione fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine crescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine decrescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista come sfondo. Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo di linee di griglia orizzontali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore della proprietà Distanza orizzontale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo di linee di griglia verticali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Selezione attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CCtrlDynWndFPPicCont

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CCtrlDynWndFPPicCont

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_PICTURE

PictureContainerPictureName

Immagine

Immagine collegata che viene visualizzata nel "immagine container". Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Tipi di immagine consentiti: AML, Filtro AML, modello di impianto, CEL, Filtro CEL, ETM, HTML, generatore Report, Report Viewer, Standard, Filtro tempo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowPreviewInEditor

Visualizza anteprima in editor

Attivo: l´anteprima dell´immagine collegata viene visualizzata nell´Editor.
Nel caso di problemi di performance, si consiglia la disattivazione di questa opzione.

Standard: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubstituteSource

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

SubstituteDestination

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteOnName

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

VT_BOOL

SubstituteMatchCase

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

Preview

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CZenonGestureManipulation

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CZenonGestureManipulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationX

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationY

Sposta verticalmente

Definizione della reazione ad un gesto di spostamento verticale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationXY

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationZoom

Zoom

Definizione della reazione ad un gesto zoom. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.


ActiveX

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKTIVE_X

ActiveX

Impostazioni ActiveX

Selezione dell´elemento ActiveX e della variabile collegata.

Ulteriori informazioni nella guida in linea.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Angle

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Angle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Arc of circle

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Arc of circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Segment of circle

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Segment of circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SegStartX

Punto di partenza X [Pixel]

VT_I2

SegEndX

Punto finale X [Pixel]

VT_I2

SegStartY

Punto di partenza Y [Pixel]

VT_I2

SegEndY

Punto finale Y [pixel]

VT_R8

SegStartAngle

Angolo di partenza [°]

Inizio dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

VT_R8

SegEndAngle

Angolo finale [°]

Fine dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OffsetAdjustable

Spessore segmento regolabile

Spessore segmento per l´arco di cerchio. Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.

Attivo: lo spessore dell´arco di cerchio può essere configurato individualmente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OffsetEndEqualsStart

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

VT_R4

StartOffset

Spessore angolo di partenza [Pixel]

Spessore segmento in corrispondenza dell´angolo di partenza, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

VT_R4

EndOffset

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleFkt

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleFkt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FUNCTION | ProjectFunction | ProjectFunction |
VT_BSTR | Name | Name |


Picture alarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Picture alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

BAGlobal

Globale

Gli allarmi vengono tenuti in considerazione in tutto il sistema.
Uso principale: Allarme somme della lista allarmi globale.
Attiva: Gli allarmi vengono tenuti in considerazione indipendentemente dall'immagine collegata.
La funzione collegata viene utilizzata solo per il cambio immagine.

Non attiva: Solo allarmi dell'immagine collegata vengono presi in considerazione.

VT_BOOL

BAPriorit?t

Priorità

Fissare la priorità di classi allarmi/eventi.
Attiva: Anche nel caso della selezione di diverse classi allarmi/eventi ne viene visualizzata solo una.
Regole di priorità:

  1. Tanto più piccolo è il numero della classe, tanto maggiore è la priorità.
  2. Non ripristinato è di maggiore priorità di ripristinato.

Non attiva: tutte le classi selezionate vengono visualizzate contemporaneamente (una accanto all'altra).

VT_BOOL

BAUnsichtbar

Invisibile

L'elemento non viene visualizzato nel Runtime.

Attivo: L'elemento viene escluso nel Runtime.
Viene usato se l'elemento porta solo ad una variabile di visualizzazione, ma esso stesso non deve essere rappresentato.

Non attiva: L'elemento viene visualizzato sotto forma di pulsante.

VT_UI2

BAProjekt

Progetto

Selezione di un singolo progetto oppure di tutti i progetti.

Disponibile solo se è attiva l'opzione Globale.

Uso nel caso di progetti multiutente.

ZT_ALARMKLASSE

BAKlassen

Classi di allarme/eventi

Selezione della classe allarmi/eventi da visualizzare.

Apre il catalogo della selezione delle classi.

VT_UI2

Offset

Prima classe di allarmi/eventi visualizzata.

A partire da questa classe, gli stati delle classi vengono scritti sulla variabile d'immagine.

VT_BOOL

AbbModus

Rappresentazione delle classi di allarme/eventi selezionate

Modalità nella quale gli stati delle classi vengono scritti sulla variabile d'immagine.

Attivo: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente sulla variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1; classe 3: Bits 2,3

Inattiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente su posizioni fisse della variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1;0 (classe 2: Bits 2.3; classe 3: Bits 4,5

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleBorder

Forma pulsanti

Forma del pulsante:

  • Squadrato: Gli angoli del pulsante sono netti; usando le proprietà del gruppo Arrotondamento si può definire l´arrotondamento degli angoli.
  • Rotondo: il pulsante viene visualizzato in forma rotonda.

Default: Squadrato

Da questa impostazione dipendono le impostazioni per Effetto riempimento 3-D.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

Frame

Cornice elemento

Menù a tendina per la selezione del tipo di cornice. Sono a disposizione:

Per l´elemento pulsante

  • Cornice fine
  • 3D

Default: Cornice fine

Per altri elementi dinamici

  • Bordo in rilievo
  • Bordo non in rilievo
  • Nessuna cornice
  • Aumento classico
  • Modo rilievo classico
  • Margine aumentato
  • Margine abbassato

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

VT_BSTR

Text2

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DownText

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleFill

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Spot

Evidenzia

Rappresentazione dell´effetto glare:

  • Attiva: il pulsante verrà visualizzato con un effetto glare.
  • Non attiva: non verrà visualizzato nessun effetto glare; si applica l´impostazione della proprietà Effetto riempimento 3-D.

Attiva solo se l´opzione impostata per la proprietà Forma pulsanti è rotondo.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

GraphicsFillStyle

Stile di riempimento per grafica se premuto/on

Description as text.

ZT_IMAGELIST

PredefinedBitmaps

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

RoundingStyle

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ChangeText

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Normal

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Shift

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Ctrl

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1CtrlAlt

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Normal

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Shift

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Ctrl

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2CtrlAlt

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Bargraph

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Bargraph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

BarFillStyle

Stile di riempimento per grafica se premuto/on

Description as text.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

FromZero

Partenza da zero

Ha effetto solo sulla rappresentazione di valori con segni precedenti:
Attivo: la barra va da zero fino al valore attuale della variabile collegata.
Inattivo: la barra va dal valore minimo visualizzato fino al valore attuale della variabile collegata.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Direzione

Direzione della barra.
in su: valore minore in basso, valore maggiore in alto.
in giù: valore minore in alto, valore maggiore in basso.
a sinistra: valore minore a destra, valore maggiore a sinistra.
a destra: valore minore a sinistra, valore maggiore a destra.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ScaleStyle

Stile scale

Visualizzazione e selezione dello stile scala assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

ViewLimitFromVar

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMinVar

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMaxVar

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDrawBefCommand

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CDrawBefCommand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Mode | Modalità | Selezione dello scopo d'uso. impostazione: l'elemento di comando serve al comando. Chiamata di funzione: l'elemento di comando serve all'esecuzione della funzione. Questa opzione esiste solo per ragioni di compatibilità con versioni più vecchie e non dovrebbe essere più utilizzata.
ZT_FUNCTION | Function | Funzione | Selezione della funzione da eseguire nella modalità: Funzione . Non viene più usata. Disponibile solo per motivi di compatibilità con versioni precedenti
VT_I2 | ActivationGroup | Gruppo di attivazione | Selezione del gruppo di attivazione. Necessario solo in connessione con la funzione di preselezione.
VT_UI2 | Passwordlevel | Livello di autorizzazione: | livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato. Minimo: 0. Massimo: 127. Default: 0. Ulteriori informazioni nella guida in linea.
More... | PictSwitch | PictSwitch |


Command

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Command

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

AlwaysSelectable

Sempre selezionabile

Attiva: Scelta del comando direttamente con clic del mouse (tasto sinistro).

Non attiva: Selezione del comando possibile solo in seguito a precedente funzione di selezione. (Funzioni ->Uso ->attivazione comando)
Dopo l'attivazione del comando nel Runtime viene visualizzata una cornice di tutti gli elementi progettati in tal modo.

Creazione di una nuova azione "comando" cliccando con il tasto destro del mouse -> Nuova azione.

Attenzione: nella visione a dialogo possibile solo nella finestra sinistra.

More...

Action

Azione

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Move

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVarX

DynEleVarX

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic x position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarX.SymVarName"") 'Return the name of the ""x position dynamic"" variable
zElement.DynProperties (""DynEleVarX.SymVarTagNr"") 'Return the identification of the ""x position dynamic"" variable"

More...

DynEleVarY

DynEleVarY

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic y position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarY.SymVarName"") 'Return the name of the ""y position dynamic"" variable
zElement.DynProperties (""DynEleVarY.SymVarTagNr"") 'Return the identification of the ""y position dynamic"" variable"

More...

DynEleVarXZoom

DynEleVarXZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change width"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarXZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""DynEleVarXZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

DynEleVarYZoom

DynEleVarYZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change height"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarYZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""DynEleVarYZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

VT_UI2

Symbol

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsXActive

Modifica direzione X attiva

Attivo: Movimento orizzontale dell´elemento collegato è disponibile.
Inattivo: Movimento orizzontale non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsYActive

Modifica direzione Y attiva

Attivo: Movimento verticale dell´elemento collegato è disponibile.
Inattivo: Movimento verticale non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsXZoomActive

Modifica larghezza attiva

Attivo: Lo zoom della larghezza dell´elemento collegato è disponibile.
Inattivo: Lo zoom della larghezza non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsYZoomActive

Modifica altezza attiva

Attivare lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Binary

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Binary

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_UI2

Symbol

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ContitionText

Visualizza testo valore limite

Attivo: Il testo di stato/di valore limite della variabile assegnata viene visualizzato nell´elemento.
Inattivo: Non viene visualizzato alcun testo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillArea

Solo area di riempimento

Attivo: nel caso di cerchi, poligoni e rettangoli assegnati al simbolo collegato, viene modificato solamente il colore di riempimento secondo la definizione colore della variabile di processo. Si conserva il colore della cornice.
Inattivo: anche il bordo verrà colorato in modo corrispondente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Bitmap

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Bitmap

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_I2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: la dimensione del file grafico viene adeguata a quella dell´elemento.
  • Dimensione originale: la grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multi-binari, gli elementi combinati, bottone e interruttore.
    Tutti i file grafici dovrebbero avere la stessa dimensione.

Default: allungato

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileName

File grafico

File grafico che deve essere visualizzato sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un file.

Nota: Se per la proprietà Dimensione bitmap è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Animate

Animazione GIF continua

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Text button

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Text button

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleBorder

Forma pulsanti

Forma del pulsante:

  • Squadrato: Gli angoli del pulsante sono netti; usando le proprietà del gruppo Arrotondamento si può definire l´arrotondamento degli angoli.
  • Rotondo: il pulsante viene visualizzato in forma rotonda.

Default: Squadrato

Da questa impostazione dipendono le impostazioni per Effetto riempimento 3-D.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

Frame

Cornice elemento

Menù a tendina per la selezione del tipo di cornice. Sono a disposizione:

Per l´elemento pulsante

  • Cornice fine
  • 3D

Default: Cornice fine

Per altri elementi dinamici

  • Bordo in rilievo
  • Bordo non in rilievo
  • Nessuna cornice
  • Aumento classico
  • Modo rilievo classico
  • Margine aumentato
  • Margine abbassato

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

VT_BSTR

Text2

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DownText

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleFill

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Spot

Evidenzia

Rappresentazione dell´effetto glare:

  • Attiva: il pulsante verrà visualizzato con un effetto glare.
  • Non attiva: non verrà visualizzato nessun effetto glare; si applica l´impostazione della proprietà Effetto riempimento 3-D.

Attiva solo se l´opzione impostata per la proprietà Forma pulsanti è rotondo.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

GraphicsFillStyle

Stile di riempimento per grafica se premuto/on

Description as text.

ZT_IMAGELIST

PredefinedBitmaps

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

RoundingStyle

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ChangeText

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Normal

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Shift

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Ctrl

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1CtrlAlt

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Normal

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Shift

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Ctrl

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2CtrlAlt

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Imposta valore attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Circle

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleVarMulti

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVarMulti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Symbol | Simbolo | Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente. Ulteriori informazioni nella guida in linea.
ZT_COLOR | ColorLow | ColorLow |
ZT_COLOR | ColorHigh | ColorHigh |
ZT_COLOR | BkColorLow | BkColorLow |
ZT_COLOR | BkColorHigh | BkColorHigh |
VT_BSTR | BitmapLow | BitmapLow | "With this item you have the opportunity to get/set the picture for the ""low"" state of a multibin element via a string."
VT_BSTR | BitmapHigh | BitmapHigh | "With this item you have the opportunity to get/set the picture for the ""high"" state of a multibin element via a string."
VT_BSTR | StateTextLow | StateTextLow | With this property you have the opportunity to get/set the text for the low state of the mulibin element.
VT_BSTR | StateTextHigh | StateTextHigh | With this property you have the opportunity to get/set the text for the high state of the mulibin element.
VT_UI4 | KeyFlags1 | KeyFlags1 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | KeyFlags2 | KeyFlags2 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_I2 | KeyFlags3 | KeyFlags3 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | Value | Value |
VT_BSTR | Bits | Bits |
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Combo Listbox

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Combo Listbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyleForSelected

Stile riempimento per selezione

Visualizzazione e selezione dello stile di riempimento con la selezione assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

ControlType

Tipo controllo
  • ComboBox Questo elemento viene usato come Combobox.
  • Listbox Questo elemento viene usato come Listbox.

Default: Listbox

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

InstantReaction

Reazione immediata

Rende possibile nel caso di driver che reagiscono lentamente di rappresentare come se fosse già successa una reazione anche se la risposta del driver non è ancora giunta.

attivo: Rappresenta nella visualizzazione delle reazioni del driver come già avvenuto anche se non si sono ancora verificate.

Default: attivo

Nota: Nel caso in cui un driver non dovesse reagire, la mancanza della reazione non viene notata.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Status

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyleForSelected

Stile testo per la selezione

Visualizzazione e selezione dello stile testo nella selezione assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseDynContent

Inserimento da variabile string

Attivo: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Inattivo: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynContentVariable

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Basisklasse dynamische Bildelemente

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Basisklasse dynamische Bildelemente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Link text

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Link text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DynText

Testo

Disponibile solamente se è stata collegata una variabile numerica, e se per la proprietà Testo visualizzato si è selezionato Valore limite.

Inserimento del testo che deve essere visualizzato nel Runtime quando non c´è in attesa nessuna violazione di valore limite. Quando si verifica una violazione di valore limite, viene visualizzato il testo configurato nella variabile .

Ulteriori informazioni nella guida in linea.

VT_UI2

TextSource

Testo visualizzato

Selezione del contenuto da visualizzare nel Runtime scelto fra quelli proposti dal menù a tendina:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Default: Testo valore limite

Il contenuto selezionato viene visualizzato nell´anteprima dell´elemento nella finestra principale al di sotto delle variabili collegate.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CommitOnKillFocus

Imposta alla perdita del focus

Comportamento dell´elemento in fase di settaggio del valore impostabile nel runtime:

  • Attivo: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Inattivo: Il valore viene settato usando il tasto Ins.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.

Valore di default:

  • Come elemento nell´immagine: inattivo
  • Testo dinamico editabile dal menù Elementi di controllo: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetValueText

Testo valore impostabile

Testo che viene usato nel Runtime come proposta per il settare il valore impostabile.

Disponibile solamente se le seguenti condizioni sono soddisfatte:

  • la proprietà Imposta valore attivo è attiva
  • la proprietà Proponi il valore attuale è disattivata
  • la variabile collegata è del tipo STRING

Lunghezza massima del testo: dipende dal valore della proprietà Lunghezza stringa per la variabile collegata.

Nota: Se si usa questa proprietà quando la proprietà Senza dialogo è disattivata, nel Runtime il valore verrà scritto direttamente nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Universal slider

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Universal slider

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

ValuePos

Posizione valore

Posizione per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle2

Stile testo per la selezione

Visualizzazione e selezione dello stile testo nella selezione assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

TitlePos

Posizione titolo

Posizione del titolo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

TitleText

Testo titolo

Testo che deve essere visualizzato come titolo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

MouseMovement

Settare valore durante il movimento del mouse

Attivo: Continuo invio di nuovi valori mentre si muove il mouse.
Inattivo: invio singolo di un nuovo valore quando si rilascia il tasto del mouse.
(Solo quando nella sezione “Valore impostabile” é attivata l’opzione “Direttamente su Hardware“).

Ulteriori informazioni nella guida in linea.

VT_BOOL

Discrete

Discreto

Inserimento valore a passi impostati.

Ulteriori informazioni nella guida in linea.

VT_I2

DiscreteSteps

Livelli discreti

Numero dei passi per la proprietà Livelli discreti.

Minimo: 2

Massimo: 20

Default: 5

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

ViewLimitFromVar

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMinVar

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMaxVar

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

UniversalSliderStyle

Stile slider universale

Visualizzazione e selezione dello stile dello slider universale assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

BarFillStyle

Stile di riempimento per grafica se premuto/on

Description as text.

ZT_STYLE

ScaleStyle

Stile scale

Visualizzazione e selezione dello stile scala assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

PaddingStyle

Stile padding

Visualizzazione e selezione dello stile padding assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Line

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Message

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_UI4

TextChangeTime

Tempo per cambio di testo [s]

a più bits settati delle variabili di riga si esegue il cambio testo automatico dopo il tempo progettato.

Ulteriori informazioni nella guida in linea.

ZT_MELDETEXT

MessageText

File testo

Scelta del file di testo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Variable

Selezione colonne

La variabile colonne deve essere una variabile del tipo word e definisce la posizione della colonna, dalla quale si riprende il testo.

Attenzione: La variabile colonne deve essere selezionata prima della variabile di riga.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ColVars

Attivazione linea

La variabile di riga definisce la posizione della riga, dalla quale si riprende il testo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


EMF WMF

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> EMF WMF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Multibin

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Multibin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

VT_UI1

LinkType

LinkType

VT_BOOL

OriginalSize

OriginalSize

VT_BOOL

RegardAllVarBlinking

RegardAllVarBlinking

VT_BOOL

IsText

IsText

VT_BOOL

IsBackColor

IsBackColor

ZT_COLOR

BlinkBackColor

BlinkBackColor

VT_BOOL

FillOnly

FillOnly

VT_UI2

SwitchFunction

SwitchFunction

"With this property you get/set the different switch modes when a bool variable is linked at the element.
zElement.DynProperties(""SwitchFunction"") = 0 'Set to ""Read only""
zElement.DynProperties(""SwitchFunction"") = 1 'Set to ""TOOGLE""
zElement.DynProperties(""SwitchFunction"") = 2 'Set to ""Momentary switch On""
zElement.DynProperties(""SwitchFunction"") = 3 'Set to ""Momentary switch Off"""

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_MULTI

Status

Stati

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Base class picture elements

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Base class picture elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Tube

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Tube

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Polygon

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Polygon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Polyline

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Polyline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Picture elements

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Picture elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Rectangle

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Rectangle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

RoundingStyle

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Switch

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

GraphicsFillStyle

Stile di riempimento per grafica se premuto/on

Description as text.

ZT_IMAGELIST

PredefinedBitmaps

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CStatusElemZustand

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CStatusElemZustand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Value | Value |
VT_UI4 | ValueMask | ValueMask |
VT_UI8 | Status | Status |
VT_UI8 | StatusMask | StatusMask |
ZT_COLOR | Color | Color |
ZT_COLOR | BkColor | BkColor |
VT_BOOL | Blinking | Blinking |
VT_BOOL | BkTransparent | BkTransparent |
VT_BOOL | LayerTransparent | LayerTransparent |
VT_BOOL | IsSymbolColor | IsSymbolColor |
VT_BOOL | IsTopologyColor | IsTopologyColor |
VT_BOOL | IsTopologyBkColor | IsTopologyBkColor |
VT_UI4 | Additive | Additive |
VT_UI4 | AdditiveMask | AdditiveMask |
VT_BSTR | TextOrBitmap | TextOrBitmap |
VT_BSTR | SymbolName | SymbolName |
VT_BSTR | SymbolPath | SymbolPath |
VT_BSTR | Formula | Formula |
VT_BSTR | DownText | DownText |


Combi

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Combi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Con l’utilizzo dell’opzione “Mostra lo stato“, quando si usa il tasto destro del mouse durante il lavoro online viene visualizzato, oltre alla variabile, anche l´attuale settaggio bit di stato per la variabile impostata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

RedPoint

Visualizza stato con punto rosso

In presenza di uno stato di errore (per esempio "disturbato") viene segnalata in alto a destra dell’elemento una marcatura rossa.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationStyle

Rappresentazione

Selezione del tipo di visualizzazione fra quelli della lista a cascata.

  • Bitmap e Simbolo d'immagine: Per ogni stato si può selezionare un file grafico oppure un simbolo d'immagine (simbolo o gruppo elementi).
    Inoltre, si può anche modificare il colore di un simbolo d'immagine.
  • Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
  • Simbolo dalla biblioteca: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
  • Simbolo: Per ogni stato si può definire un carattere (solo SICAM 230).
  • Simbolo d'immagine e Testi di stato: Per ogni stato si può definire un testo.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_COMBI

StateAndTest

Stati e test

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

DisabledStyleAsButtons

Applica proprietà di progetto per "bloccato"

Impostazione che determina se il comportamento dei tasti viene ripreso dalla proprietà di progetto. In questo contesto vengono prese in considerazione le impostazioni delle seguenti proprietà di progetto:

  • Login e firma -> Tasti bloccati
  • Elementi bloccati -> Pulsanti bloccati

Impostazioni possibili:

  • Attivo: Le impostazioni vengono riprese dalla proprietà di progetto.
    Nota: L´impostazione Grigio non ha alcun effetto sui testi all´interno di simboli.
  • Inattivo: Le impostazioni non vengono applicate.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillColor

Trasparente

Attivo: Lo sfondo del simbolo è trasparente.
Inattivo: Lo sfondo del simbolo può essere definito separatamente per ogni stato.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ColorFromVariable

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: Se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingFromVariable

Riprendi lampeggio dalla variabile principale

Attivo: L´attributo lampeggio della variabile principale viene ripreso e può essere ripristinato anche sull´elemento.
Inattivo: non c´è nessun lampeggio.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingFromAllVariables

Rileva lampeggio di tutte le variabili

Disponibile solamente se l´opzione "Riprendi lampeggio dalla variabile principale" è attiva:
Attivo: Le proprietà di lampeggiamento di tutte le variabili vengon riprese.
Inattivo: Viene ripreso solo l´attributo lampeggio della variabile principale oppure non c´è nessun lampeggio (ciò dipende dalla proprietà "Riprendi lampeggio dalla variabile principale").

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingBackGroundTransparent

Sfondo lampeggio trasparente

Attivo: Lo sfondo del simbolo durante il lampeggio è trasparente (lo sfondo di un file grafico non può essere trasparente).
Inattivo: Lo sfondo del simbolo non è trasparente.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BlinkingBackColor

Colore lampeggio

Colore di sfondo con l'opzione "Sfondo lampeggio trasparente" non settata

Ulteriori informazioni nella guida in linea.

VT_BOOL

OriginalSize

Con dimensione originale

Attivo: Il file grafico viene rappresentato nella sua grandezza originale.
Inattivo: Il file grafico viene allungato in corrispondenza della grandezza dell´elemento.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsPictureSymbol

Immagine simbolo attivo

Disponibile solamente se per la proprietà Rappresentazione si è selezionato File grafico e simbolo d'immagine oppure Testo di stato e simbolo d'immagine.

  • Attivo: oltre al file grafico e/o al testo di stato animati, si può visualizzare anche un simbolo d'immagine.
  • Inattivo: Non viene usato nessun simbolo d'immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillAreaOnly

Solo area riempimento

Attivo: Il cambio colore riguarda solamente la superficie di riempimento.
Inattivo: Il cambio colore riguarda anche le linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

PictureSymbol

Simbolo immagine

Disponibile solamente se per la proprietà Rappresentazione si è selezionato Solo simbolo d'immagine, oppure se la proprietà Immagine simbolo attivo è stata attivata.
Selezione del simbolo d'immagine il cui colore deve cambiare a seconda dello stato. Può essere un simbolo oppure un gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Overlapping

Sovrapposti

Disponibile solo per tipo di visualizzazione "Simbolo dalla libreria":
Attivo: se sono attivi diversi stati, la rappresentazione avviene in modo sovrapposto, cioè vengono indicati tutti gli stati attivi.
Inattivo: viene visualizzato solamente lo stato attivo con la massima priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SeparateColors

Colori separati

Disponibile solo se è attivo "Sovrapposti":
Attivo: ogni stato viene rappresentato con il suo colore definito.
Inattivo: viene usato il colore dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SeparateBlinking

Lampeggio separato

Disponibile solo se è attivo "Sovrapposti":
Attivo: Il lampeggio di ogni stato viene visualizzato separatamente.
Inattivo: viene usato il lampeggio dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SymbolFormClickArea

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Inattivo: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo

Attenzione: Disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Chained

Testi concatenati

Disponibile solo per tipo di visualizzazione "Testo di stato":
Attivo: Se sono attivi diversi stati contemporaneamente i testi vengono visualizzati come stringa combinata.
Inattivo: viene usato il testo dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

TopologyType

Tipo topologico

Tipo topologico

VT_UI1

TransformerSide

Lato trasformatore

Lato trasformatore

VT_UI1

SupplyNumber

Numero di alimentazione

Numero di alimentazione

VT_BOOL

TopologyLRChanged

Inverti sinistra/destra

Cambia il riferimento sinistra/destra per gli elementi topologici che hanno un riferimento di direzione.

VT_BOOL

TopologyUseFrame

Utilizza effetti/bordi per la bordatura

Se questa proprietà è settata: la cornice configurata alla voce Effetti/Bordi (larghezza/distanza) viene usata per supportare l´orlatura anche per gli elementi combinati.

VT_BOOL

TopologyBorderSV

Limite per il calcolo di distribuzione alimentazione

VT_BOOL

TopologyBorderFOS

Limite per localizzazione guasti da protezione

VT_BOOL

TopologyBorderSHL

Limite per selfhealing

Se questa proprietà è settata: l´elemento vale come confine per una regione selfhealing.

VT_BOOL

TopologyBorderWBR

Limite per controllo ad ampio raggio

Se questa proprietà è settata: l´elemento vale come confine per un "limite per controllo ad ampio raggio".

VT_UI4

TopologyResourceNr

Tipo risorsa

VT_I2

ALCType

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).

Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:

  • Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
  • Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
  • Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
  • Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
  • Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
  • Interruttore: il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
  • Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vediGuida in linea.
  • Avvallamento: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
  • Valvola di ritegno: Se la valvola di ritegno è aperta, con questo tipo di funzione l´informazione ALC viene inoltrata solamente in una direzione. La direzione è sempre quella dall´entrata verso l´uscita, e non viceversa. L´informazione viene inoltrata solamente quando la valvola di ritegno viene approvvigionata da una sorgente.
  • Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
  • Sezionatore funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Default: Nessuna funzione

Ulteriori informazioni nella guida in linea

VT_I2

ALCSourceID

Sorgente

Disponibile solo se è stato selezionato un tipo funzione Sorgente o Trasformatore:
Selezione di sorgenti/trasformatori collegati.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCReverseSourceID

Sorgente per alimentazione invertita

Disponibile solamente se per la proprietà Tipo funzione è stato selezionato Trasformatore.

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è capace di un´alimentazione a ritroso. Questo significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´ingresso verso l´uscita (in avanti) e dall´uscita verso l´ingresso (indietro). L´unica differenza è che è la proprietà Sorgente per alimentazione invertita e non la proprietà Sorgente ad essere usata per l´inoltro del numero della sorgente.

Nota: stati difettosi della rete o errori di configurazione, come, per es., alimentazione contemporanea da ingresso e uscita, oppure cortocircuito da ingresso e uscita, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCExchangeInOut

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, valvola, valvola di ritegno oppure Separatore.

Attivo: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_I2

ALCLinkID

Numero Link

Disponibile solo se è stato selezionato un tipo funzione Link:
Numero di identificazione del Link. Un altro link su un´altra immagine con lo stesso numero di identificazione riprenderà i dati del link sorgente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCGroundFaultType

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: Nessuno

Ulteriori informazioni nella guida in linea .

ZT_VARIABLE_DYN

ALCGroundFaultVarTrg

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarTrgEx

ALCGroundFaultVarTrgEx

ZT_VARIABLE_DYN

ALCGroundFaultVarDisp

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarDispEx

ALCGroundFaultVarDispEx

ZT_VARIABLE_DYN

ALCGroundFaultVarFwd

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarFwdEx

ALCGroundFaultVarFwdEx

ZT_VARIABLE_DYN

ALCGroundFaultVarRev

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarRevEx

ALCGroundFaultVarRevEx

VT_I2

ALCShortFaultType

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Stabilisce il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/indietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: nessuno

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCShortFaultVarTrg

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarTrgEx

ALCShortFaultVarTrgEx

ZT_VARIABLE_DYN

ALCShortFaultVarDisp

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarDispEx

ALCShortFaultVarDispEx

ZT_VARIABLE_DYN

ALCShortFaultVarFwd

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarFwdEx

ALCShortFaultVarFwdEx

ZT_VARIABLE_DYN

ALCShortFaultVarRev

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarRevEx

ALCShortFaultVarRevEx

ZT_COLOR

ALCShortFaultMarkerColor

Colore marcatore

Colore del marker che, in caso di localizzazione guasto basato su impedenza, segnala il posto in cui si è verificato un errore in un´immagine di zenon.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un colore.

Per utilizzare questa proprietà, devono essere state eseguite le seguenti configurazioni:

  • Tipo funzione: Interruttore
  • Reattanza dalla protezione: questa proprietà deve essere collegata ad una variabile con il tipo di dato REAL.

Nota: attiva solo se la proprietà di progettoPosizione guasto basato su impedenza è attiva.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarProtReact

Reattanza dalla protezione

More...

ALCVarProtReactEx

ALCVarProtReactEx

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCurI

Valore attuale corrente

More...

ALCVarCurIEx

ALCVarCurIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_VARIABLE_DYN

ALCVarCurP

Valore attuale potenza complessa

More...

ALCVarCurPEx

ALCVarCurPEx

VT_I2

ALCLoadType

Carico

VT_R8

ALCLoadVal

Corrente fissa [A]

ZT_VARIABLE_DYN

ALCVarLoad

Carico variabile

More...

ALCVarLoadEx

ALCVarLoadEx

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Imposta valore attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CSymbLibProp

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CSymbLibProp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Symbol

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Symbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Category

Categoria

Concetto della categorizzazione Si può effettuare il filtro o raggruppare anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Description

Descrizione

Descrizione più precisa del simbolo o del gruppo elementi. Si può effettuare il filtro anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Linked symbol

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Linked symbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_UI2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: la dimensione del file grafico viene adeguata a quella dell´elemento.
  • Dimensione originale: la grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multi-binari, gli elementi combinati, bottone e interruttore.
    Tutti i file grafici dovrebbero avere la stessa dimensione.

Default: allungato

Ulteriori informazioni nella guida in linea.

VT_BSTR

LinkName

Nome simbolo

Nome del simbolo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubstituteSource

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

SubstituteDestination

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteOnName

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

VT_BOOL

SubstituteMatchCase

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteCombinedName

Nomi gerarchici

Sostituzione di variabili in un simbolo.

Il comportamento di questa proprietà dipende direttamente dalle impostazioni della proprietà Attraverso il nome della variabile:
Se la proprietà Attraverso il nome della variabile è attiva, viene usato il nome variabile (proprietà Nome). Se la proprietà Attraverso il nome della variabile non è attiva, invece, viene usata l´identificazione della variabile (proprietà Identificazione).

la proprietà Nomi gerarchici:

  • Attivo: i nomi della variabile/identificazione collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"
  • Inattivo: Sono usati nome variabile o identificazione variabile.

Default: inattivo

Attenzione: Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Ulteriori informazioni nella guida in linea.

VT_BSTR

Preview

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Template

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Static text

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Static text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Text

Testo

Testo che deve essere visualizzato nell´immagine.

con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_LOGSCHRIFT

Font

Carattere

Tipo di carattere utilizzato nella visualizzazione.

Attenzione: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleVarTrend

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVarTrend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | LineStyle | Tipo di linea | continua, tratteggiata, tratto punto Ulteriori informazioni nella guida in linea.
VT_BSTR | TrendText | Nome curva | Visualizzazione nel caso si sia settata l´opzione "Visualizza informazione curva”. Se questa proprietà rimane vuota, verrà visualizzato il nome della variabile. Ulteriori informazioni nella guida in linea.
VT_BOOL | ViewLimitFromVar | Range di visualizzazione letto dalla variabile+ | Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile. Ulteriori informazioni nella guida in linea.
VT_R8 | ViewMin | Range minimo di visualizzazione | Minimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione). Minimo: valore minimo della variabile. Massimo: valore massimo della variabile. Default: valore minimo della variabile. Ulteriori informazioni nella guida in linea.
VT_R8 | ViewMax | Range massimo di visualizzazione | Massimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione) Minimo: valore minimo della variabile. Massimo: valore massimo della variabile. Default: valore massimo della variabile. Ulteriori informazioni nella guida in linea.
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Trend curve

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Trend curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Curves

Curve

Proprietà per le curve dell´elemento trend.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_I2

ScrollWidth

Larghezza scroll [%]

Questa proprietà stabilisce di quale valore in % la curva verrà spostata quando viene raggiunto il limite di visualizzazione; è possibile inserire valori compresi fra 0%-100%; l´inserimento può avvenire direttamente o facendo uso di scrollbar.
0%: Ogni qualvolta viene effettuato un nuovo inserimento, cancellare quello precedente.
50%: Se se ne supera la dimensione, cancellare la metà dell´area immagine e continuare a scrivere.
100%: Se se ne supera la dimensione, cancellare l´intera area immagine e iniziare di nuovo.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Direzione

Questa proprietà definisce la modalità di visualizzazione dell´asse tempo.
a destra: A sinistra valore più vecchio, a destra valore più recente.
a sinistra: A destra valore più vecchio, a sinistra valore più recente.
in su: Sotto valore più vecchio, sopra valore più recente.
in giù: In alto valore più vecchio, in basso valore più recente.
Se gli assi vengono visualizzati, una freccia posta nell´angolo in basso a sinistra dell´elemento indica la direzione.
Default: a destra.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Area

Visualizza curve come area

Attivo: Le curve vengono visualizzate come superfici.
Inattivo: Le curve vengono visualizzate come linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Axes

Visualizza assi

Attivo: Vengono visualizzati l´asse di tempo e percentuale.
Inattivo: Non viene visualizzato nessun asse.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Addresses

Visualizza informazione curva

Attivo: Il nome o il testo breve modificato e l´area di misurazione delle variabili collegate vengono visualizzati in una legenda.
Inattivo: Non viene visualizzata nessuna legenda.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoInterpolation

Non interpolare

Attivo: i valori vengono collegati in livelli senza interpolazione.
Inattivo: I valori vengono collegati con interpolazione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_UI4

RefreshHour

Ore

Ore del tempo di aggiornamento.
Minimo: 0.
Massimo: 119304.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshMinute

Minuti

Minuti del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshSecond

Secondi

Secondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 1.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshMilliSecond

Millisecondi

Millisecondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 999.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

RepresentationHour

Ore

Ore dell´intervallo di tempo di visualizzazione.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationMinute

Minuti

Minuti dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationSecond

Secondi

Secondi dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Clock

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Clock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TimeStyle

Stile visualizzazione orario

Visualizzazione e selezione dello stile visualizzazione orario assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Base class vector elements

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Base class vector elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Invisible button

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Invisible button

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Imposta valore attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CWPFConnectionBase

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> CWPFConnectionBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Element | Nome elemento |
VT_BSTR | Link | Nome elemento |


WPF element

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> WPF element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Links

Links

ZT_FILE

FileName

File XAML

Selezione del file XAML per l´elemento WPF. Cliccando su ... si apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LinksConfig

Configurazione

Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Numerical value

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Numerical value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Indicating instrument

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Indicating instrument

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

Ribbon

Nastro

Disponibile solo se la proprietà Cerchio parziale non è attivata.

Disponibile sotto Windows CE.

  • Attivo: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
  • Inattivo: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

VT_BOOL

Pie

Cerchio parziale

Disponibile solo se la proprietà Nastro non è attivata.

  • Attivo: Il valore viene visualizzato in forma di segmento di cerchio che va dal valore minimo al valore attuale.
  • Inattivo: Non viene visualizzato nessun segmento di cerchio.

Ulteriori informazioni nella guida in linea.

VT_UI2

OpeningAngle

Angolo terminale

angolo di apertura della deviazione dell’ago (max.360° - angolo di start)

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle4Pointer

Stile riempimento per puntatore

Visualizzazione e selezione dello stile di riempimento della lancetta assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ValueStyle

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

MainTicks

Suddivisioni principali

Definisce il tratteggio delle suddivisioni principali della scala.
Il valore indica la distanza fra le suddivisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. Se i valori sono uguali, non verranno visualizzati Suddivisioni secondare.

Ulteriori informazioni nella guida in linea

VT_R8

SmallTicks

Suddivisioni secondare

Definisce la suddivisione della scala in Suddivisioni principali.

Il valore indica la distanza fra le suddivisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. Se i valori sono uguali, non verrà visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Imposta valore attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Topological wire

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Topological wire

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RTInvisible

Invisibile a Runtime

VT_BOOL

OBJNameLink

Nome oggetto come link

Nome oggetto come link

VT_UI4

DisplayMode

Modalita di visualizzazione

Modalità di visualizzazione

VT_UI4

BrokenLine1

Tratteggio 1

Tratteggio 1

VT_UI4

BrokenLine2

Tratteggio 2

Tratteggio = 2

VT_UI4

LineWidth

Larghezza linea

Larghezza linea

VT_UI4

LineWidthFGES

Ampiezza linea fissata

Ampiezza linea fissata

VT_UI4

SaumWidth

Larghezza bordo

Larghezza bordo

VT_UI1

NotSuppliedColor

2. numero colore per "non alimentato"

Simbolo bordo

VT_UI2

SymbolF1

Simbolo F1

Simbolo F1

VT_UI4

SymbolF1_Mode

Simbolo F1 colori

Simbolo F1 colori

VT_UI2

SymbolF2

Simbolo F2

Simbolo F2

VT_UI4

SymbolF2_Mode

Simbolo F2 colori

Simbolo F2 colori

VT_UI2

SymbolFGES

Simbolo FGES

Simbolo FGES

VT_UI4

SymbolFGES_Mode

Simbolo FGES colori

Simbolo FGES colori

VT_I2

NCType

Tipo

ZT_VARIABLE_DYN

NCMappingVarOut

NCMappingVarEx

More...

NCMappingVarOutEx

NCMappingVarEx

ZT_VARIABLE_DYN

NCCurrentVar

NCCurrentVarEx

More...

NCCurrentVarEx

NCCurrentVarEx

ZT_VARIABLE_DYN

NCVoltageVar

NCVoltageVarEx

More...

NCVoltageVarEx

NCVoltageVarEx

VT_R4

NCCurrentVal

Carico [A]

VT_R4

NCVoltageVal

Livello tensione [V]

VT_R4

NCCurrentMax

Carico massimo distribuibile

Maximal load which can be assigned.

VT_I2

NCCableType

Tipo di cavo

VT_R4

NCCLength

Lunghezza [m]

VT_R4

NCCReactance

Reattanza [Ohm]

VT_R4

NCCResistance

Resistenza [Ohm]

VT_R4

NCCCurrentMax

Capacità di corrente [A]

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Topological line

Manuale -> Interfacce di programmazione -> Objectmodel -> Element -> Element-Dynamic properties -> Topological line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

BrokenLine1

Tratteggio 1

Tratteggio 1

VT_UI4

BrokenLine2

Tratteggio 2

Tratteggio = 2

VT_UI4

LineWidth

Larghezza linea

Larghezza linea

VT_UI4

DisplayMode

Modalita di visualizzazione

Modalità di visualizzazione

VT_UI4

LineWidthFGES

Ampiezza linea fissata

Ampiezza linea fissata

VT_UI4

SaumWidth

Larghezza bordo

Larghezza bordo

ZT_VARIABLE_DYN

Variable_SS_1_1

Variabile SS_1_1

Variabile SS_1_1

ZT_VARIABLE_DYN

Variable_SS_1_2

Variabile SS_1_2

Variabile SS_1_2

ZT_VARIABLE_DYN

Variable_SS_1_3

Variabile SS_1_4

Variabile SS_1_4

ZT_VARIABLE_DYN

Variable_SS_1_4

Variabile SS_1_4

Variabile SS_1_4

ZT_VARIABLE_DYN

Variable_Start1

Variabile start1

Variabile start1

ZT_VARIABLE_DYN

VariableStandardIsolatingPoint

Punto separatore variabile

Punto separatore variabile

ZT_VARIABLE_DYN

Variable_Start2

Variabile Start2

Variabile Inizio 2

ZT_VARIABLE_DYN

Variable_SS_2_1

Variale SS_2_1

Variale SS_2_1

ZT_VARIABLE_DYN

Variable_SS_2_2

Variabile SS_2_2

Variabile SS_2_2

ZT_VARIABLE_DYN

Variable_SS_2_3

Variabile SS_2_3

Variabile SS_2_3

ZT_VARIABLE_DYN

Variable_SS_2_4

Variabile SS_2_4

Variabile SS_2_4

VT_BSTR

DistributionLineCharacter

Carattere diviso in un'altra posizione

Carattere diviso in un'altra posizione

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BSTR

ExtraPoints

Interruzione multipla di carattere

Sign (several times) interrupted

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Elements

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined dynamic elements of a Screen.The single dynamic elements contain the most important properties, e.g. type, position, colour, ...The single dynamic elements can be found in the collection by their unique name or by the index.Hint for older Versions:Giving a name to a dynamic element is optional.If a dynamic element has no name, it is not found under certain circumstances.So the result of the method Item should always be checked on Nothing / null.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name)

Next

End Sub

VBA

Ancora in questo capitolo

Elements-Properties

Elements-Methods


Elements-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Elements-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IElement | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IElement | ItemById | Returns a object with the given Id | available | available | yes | yes

Ancora in questo capitolo

Item

ItemById

Create

Delete


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vIndex) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name)

Next

End Sub

VBA

VBA-Syntax


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an element object which is identified by its unique (one based) ID.

Datatype

ItemById(VARIANT vElementId) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElementsById()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Gets the element with unique identifier "5" of the picture "start"

IElement zenonUniqueElement = zenonElements.ItemById(5);

//Prints the name of the element to check if we got the right one

System.Diagnostics.Debug.Print(zenonUniqueElement.Name);

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElementsById()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Gets the element with unique identifier "5" of the picture "start"

Dim zenonUniqueElement As IElement = zenonElements.ItemById(5)

'Prints the name of the element to check if we got the right one

System.Diagnostics.Debug.Print(zenonUniqueElement.Name)

End Sub

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Element" object by its name as string and its "Element" type.

Datatype

Create(String bsName,tpElementTypes tpType) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Adds a new Button element to the start screen

public void MacroAddElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Create a new element on the elements list for dynPicture "Start"

zenonElements.Create("my_test_element", tpElementTypes.tpDynButton);

//Set some properties of the new element

zenonElements.Item("my_test_element").Width = 200;

zenonElements.Item("my_test_element").Height = 200;

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Adds a new Button element to the start screen

Public Sub MacroAddElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Create a new element on the elements list for dynPicture "Start"

zenonElements.Create("my_test_element", tpElementTypes.tpDynButton)

'Set some properties of the new element

zenonElements.Item("my_test_element").Width = 200

zenonElements.Item("my_test_element").Height = 200

End Sub

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Elements -> Elements-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "Element" object by its name as string.

Datatype

Delete(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroDeleteElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Delete an element of the list we got

zenonElements.Delete("my_test_element");

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroDeleteElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Delete an element of the list we got

zenonElements.Delete("my_test_element")

End Sub

VBA

VBA-Syntax


FileManager

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection represents the directories and files of the files node.

The following Enumerators are supported for the FileManager:

Name | Value | Correspondent directory/zenon module
tpPathBMP | 2 | Files - Graphics
tpPathList | 4 | Files - Texts and Formats
tpPathMedia | 5 | Files - Multimedia
tpPathReport | 6 | Report Generator files (*.xrs)
tpPathLanguage | 9 | Language Table files
tpPathHelp | 10 | Files - Help
tpPathDrivers | 15 | Files - Driver
tpPathAdditional | 17 | Files - Additional
tpPathRDLC | 18 | Files - Report Viewer (*.rdl)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub FileManager()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Set the folder for the language tables
Set zFileManagerFolder =

zFileManager.FolderItem(zenOn.tpModulePaths.tpPathLanguage)
'Add a new item
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub

Ancora in questo capitolo

FileManager-Properties

FileManager-Methods


FileManager-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManager -> FileManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent of the FileManager Object. | read only | read only | yes | yes

Ancora in questo capitolo

Parent


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManager -> FileManager-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


FileManager-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManager -> FileManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFileManagerFolder | FolderItem | Returns the folder object for the given folder. | available | not used | yes | yes

Ancora in questo capitolo

FolderItem


FolderItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManager -> FileManager-Methods -> FolderItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a FileManagerFolder object corresponding the path given in this method. The path is a constant specified in the FileManager Table:

Name | Value | Correspondent directory/zenon module
tpPathBMP | 2 | Files - Graphics
tpPathList | 4 | Files - Texts and Formats
tpPathMedia | 5 | Files - Multimedia
tpPathReport | 6 | Report Generator files (*.xrs)
tpPathLanguage | 9 | Language Table files
tpPathHelp | 10 | Files - Help
tpPathDrivers | 15 | Files - Driver
tpPathAdditional | 17 | Files - Additional
tpPathRDLC | 18 | Files - Report Viewer (*.rdl)

Datatype

FolderItem(tpModulePaths lModule) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the specific folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lModule As tpModulePaths

Examples

C#

//Gets the current file manager and uses it to add a new language file

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

'Read the "graphics list"
Set zFileManagerFolder = zFileManager.FolderItem(2)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Graphics\zenOn_Logo.jpg")

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Help\help.chm")

'Read the "multimedia list"
Set zFileManagerFolder = zFileManager.FolderItem(5)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Media\intro.wav")

'Read the "lists list"
Set zFileManagerFolder = zFileManager.FolderItem(4)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Lists\List.doc")

'Read the "drivers list"
Set zFileManagerFolder = zFileManager.FolderItem(15)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Drivers\driver.exe")

'Read the "others list"
Set zFileManagerFolder = zFileManager.FolderItem(17)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Others\infos.pdf")

End Sub


FileManagerFileItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection makes it possible to manage the files in a list.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Gets the current file manager and loops through all the files in the language directory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Loop through all the files and print the names on the debug window

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName);

}

}

VB.NET

'Gets the current file manager and loops through all the files in the language directory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Loop through all the files and print the names on the debug window

For i As Integer = 0 To zenonFolder.FileCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName)

Next

End Sub

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub

Ancora in questo capitolo

FileManagerFileItem-Properties

FileManagerFileItem-Methods

FileManagerFileItem-Dynamic properties


FileManagerFileItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | FileName | Returns the name of the File. | available | read only | yes | yes

Ancora in questo capitolo

FileName


FileName

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Properties -> FileName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the filename of the selected file.

Datatype

FileName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFileItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Ancora in questo capitolo

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


FileManagerFileItem-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

File object

Ancora in questo capitolo

File object


File object

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties -> File object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome file | Nome del file collegato. I file esterni collegati in questo modo, sono salvati sia nella cartella Runtime, che in quella della banca dati del progetto. Attenzione: Ogni volta che vengono creati nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai quelli della cartella della banca dati. I file esterni dovrebbero essere modificati solamente mediante il menù contestuale del file corrispondente, e non esternamente. In questo modo si garantisce che i file vengano modificati anche nella cartella del database. Ulteriori informazioni nella guida in linea.


FileManagerFolder

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the folder object for the specified folder. The folder item object allows different methods for different tpModulepaths. Not all methods are supported for all tpModulepaths

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

//Loops through the help folder and prints every subdirectory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Loop through all subfolders and print them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name);

}

}

VB.NET

'Loops through the help folder and prints every subdirectory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Loop through all subfolders and print them

For i As Integer = 0 To zenonFolder.FolderCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name)

Next

End Sub

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

Call CreateFolder

End Sub

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

Call FolderItem

End Sub

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub

Ancora in questo capitolo

FileManagerFolder-Properties

FileManagerFolder-Methods


FileManagerFolder-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | FileCount | Returns the amount of files located in the folder. | available | available | yes | yes
long | FolderCount | Returns the amount of folders located in the folder. | available | available | yes | yes
BSTR | Name | Name of the folder. | available | read only | yes | yes

Ancora in questo capitolo

FolderCount

FileCount

Name


FolderCount

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> FolderCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of sub-directories in this directory.

Datatype

FolderCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


FileCount

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> FileCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of files in a directory.

Datatype

FileCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the directory.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFolder-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddItem | Inserts the given file into the folder. | available | not used | yes | yes
VARIANT_BOOL | CreateFolder | Creates a subfolder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes the file from the folder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFolder | Deletes the folder. | available | not used | yes | yes
IFileManagerFileItem | FileItem | Returns the file, at given index, from the folder. | available | available | yes | yes
IFileManagerFolder | FolderItem | Returns the sub-folder, at given index, from the folder. | available | available | yes | yes

Ancora in questo capitolo

FolderItem

AddItem

CreateFolder

FileItem

DeleteFile

DeleteFolder


FolderItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> FolderItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub-folder from type "FileManagerFolder".

Datatype

FolderItem(long lIndex) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the sub folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Loops through the help folder and prints every subdirectory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Loop through all subfolders and print them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name);

}

}

VB.NET

'Loops through the help folder and prints every subdirectory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Loop through all subfolders and print them

For i As Integer = 0 To zenonFolder.FolderCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name)

Next

End Sub

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub


AddItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> AddItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows adding files to the directory.

Datatype

AddItem(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

//Gets the current file manager and uses it to add a new language file

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub


CreateFolder

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> CreateFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new directory. It is not supported for all tpModulepaths directories. Returns True if successfull

Datatype

CreateFolder(String bsFolderName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The folder name is defined by a string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFolderName As String

Examples

C#

//Creates a new folder

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Create a new directory in the help path

zenonFolder.CreateFolder("new_folder");

}

VB.NET

'Creates a new folder

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Create a new directory in the help path

zenonFolder.CreateFolder("new_folder")

End Sub

VBA

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

End Sub


FileItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> FileItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type FileManagerFileItem.

Datatype

FileItem(long lIndex) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Gets the current file manager and loops through all the files in the language directory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Loop through all the files and print the names on the debug window

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName);

}

}

VB.NET

'Gets the current file manager and loops through all the files in the language directory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Loop through all the files and print the names on the debug window

For i As Integer = 0 To zenonFolder.FileCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName)

Next

End Sub

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub


DeleteFile

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows the deletion of files. Returns true if successfull.

Datatype

DeleteFile(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Delete files in a folder

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//loop through all files and delete them

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

zenonFolder.DeleteFile(i);

}

}

VB.NET

'Delete files in a folder

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'loop through all files and delete them

For i As Integer = 0 To zenonFolder.FileCount - 1

zenonFolder.DeleteFile(i)

Next

End Sub

VBA

Sub DeleteFile()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Delete the first file in the list
zFileManagerFolder.DeleteFile (0)

End Sub


DeleteFolder

Manuale -> Interfacce di programmazione -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a list folder can be deleted.

Datatype

DeleteFolder(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Delete all folders in a folder

public void MacroDeleteFolder()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//loop through all files and delete them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

zenonFolder.DeleteFolder(i);

}

}

VB.NET

'Delete all folders in a folder

Public Sub MacroDeleteFolder()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'loop through all files and delete them

For i As Integer = 0 To zenonFolder.FolderCount - 1

zenonFolder.DeleteFolder(i)

Next

End Sub

VBA

Sub DeleteFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Delete the first folder
zFileManagerFolder.DeleteFolder (0)

End Sub


FontItem

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines a font item, for encoding the fontItem strings into proper LogFont objects take a look at the LOGFONT structure and the LogFont class in the code examples. In order to use that class make sure to include the namespace

System.Runtime.InteropServices

either via using or Import when working on VSTA.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Ancora in questo capitolo

FontItem-Methods

FontItem-Dynamic properties


FontItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontItem-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Font

Ancora in questo capitolo

Font


Font

Manuale -> Interfacce di programmazione -> Objectmodel -> FontItem -> FontItem-Dynamic properties -> Font

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome definibile liberamente. Solo a fini informativi.
Default: Nuovo carattere x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_LOGSCHRIFT

Font

Carattere

Scelta del tipo di carattere fra quelli che sono installati sul computer.
Nota: il dialogo per la selezione del tipo di carattere è una finestra di dialogo standard di Windows.

Ulteriori informazioni nella guida in linea.

VT_UI2

Number

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Nota: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea.


FontList

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines a FontList object which contains single FontItem objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Ancora in questo capitolo

FontList-Properties

FontList-Methods

FontList-Dynamic properties


FontList-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Font objects. | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontList-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontItem | Create | Create a new Font. | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IFontItem | Item | Returns the Font at the given index. | available | not used | yes | yes
IFontItem | ItemById | Returns the Font with the given Id. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

ItemById

Create

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

'Define LogFont Structure

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

VBA-Syntax


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a specific FontItem object from the list by its unique identifier (Which can be found in the editor) - Use this if you want to access a specific object instead of enumerating through the list as a whole.

Datatype

ItemById(long lId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i)

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Gets a specific font specified by its unique identifier

IFontItem zenonFont = zenonFontList.ItemById(4);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

VB.NET

'Define LogFont Structure

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Gets a specific font specified by its unique identifier

Dim zenonFont As IFontItem = zenonFontList.ItemById(4)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

End Sub

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new FontItem object in the font list and returns it.

Datatype

Create(long lFontId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

IFontList zenonFontList = zenonFontLists.Item(0);

//Create new font with id 6

zenonFontList.Create(6);

IFontItem zenonFont = zenonFontList.ItemById(6);

//Creates a new Webdings LogFont

LogFont newFont = new LogFont(-22, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 5, 34, "Webdings");

zenonFont.set_DynProperties("Font", newFont.ToString());

zenonFont.set_DynProperties("Name", "Webdings Font");

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

Dim zenonFontList As IFontList = zenonFontLists.Item(0)

'Create new font with id 6

zenonFontList.Create(6)

Dim zenonFont As IFontItem = zenonFontList.ItemById(6)

'Creates a new Webdings LogFont

Dim newFont As New LogFont(-22, 0, 0, 0, 0, 0, _

0, 0, 0, 3, 2, 5, _

34, "Webdings")

zenonFont.set_DynProperties("Font", newFont.ToString())

zenonFont.set_DynProperties("Name", "Webdings Font")

End Sub

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontList-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Fontlist

Ancora in questo capitolo

Fontlist


Fontlist

Manuale -> Interfacce di programmazione -> Objectmodel -> FontList -> FontList-Dynamic properties -> Fontlist

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome | Nome della lista caratteri Ulteriori informazioni nella guida in linea.


FontLists

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the FontList objects of a project. Since a project can have multiple font lists this is an enumerator class to access them.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Ancora in questo capitolo

FontLists-Properties

FontLists-Methods


FontLists-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Fontlist objects. | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontList | Create | Create a new FontList. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IFontList | Item | Returns the FontList at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

SingleExport

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a single FontList object in the collection identified by its index. (Enumerable)

Datatype

Item(long lIndex) As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new FontList object in the collection.

Datatype

Create() As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroFontListCreate()

{

//Simply creates a new empty font list

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Create();

}

VB.NET

Public Sub MacroFontListCreate()

'Simply creates a new empty font list

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Create()

End Sub

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports a single FontList object to an xml formatted file.

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroFontListSingleExport()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i)

{

//Export each list to a single file

zenonFontLists.SingleExport(i, @"C:\FontLists\" + i.ToString() + ".xml");

}

}

VB.NET

Public Sub MacroFontListSingleExport()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

'Export each list to a single file

zenonFontLists.SingleExport(i, "C:\FontLists\" + i.ToString() + ".xml")

Next

End Sub

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports all font lists to a single xml file.

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroFontListExport()

{

//Export all font lists to a single xml file

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Export(@"C:\FontLists\exported.xml");

}

VB.NET

Public Sub MacroFontListExport()

'Export all font lists to a single xml file

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Export("C:\FontLists\exported.xml")

End Sub

VBA

VBA-Syntax


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> FontLists -> FontLists-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroFontListImport()

{

//Import all font lists from a single xml file

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Import(@"C:\FontLists\exported.xml");

}

VB.NET

Public Sub MacroFontListExport()

'Import all font lists from a single xml file

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Import("C:\FontLists\exported.xml")

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False")

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False")

End Sub


Interlocking

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the interlocking object you have the opportunity to edit standard interlockings and command interlockings (zenOn Energy edition)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub Get_Interlocking_Information()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking called "switches"
Set zInterlocking = zInterlockings.Item("switches")

'Get all projected informations of the first action
'Get action type
Debug.Print "Action type = " & zInterlocking.DynProperties("Actions[0].Type")
'Get the linked variable
Debug.Print "Variable = " & zInterlocking.DynProperties("Actions[0].TTA")
'Get the "switching direction"
Debug.Print "Switching direction = " & zInterlocking.DynProperties("Actions[0].Direction")
'Get the "command setting status"
Debug.Print "Command setting status = " & zInterlocking.DynProperties("Actions[0].CommandState")
'Get state "CEL entries suppressed"
Debug.Print "CEL entries are suppressed = " & zInterlocking.DynProperties("Actions[0].CELBlock")
'Get the "timeout" in seconds
Debug.Print "Timeout (s) = " & zInterlocking.DynProperties("Actions[0].Timeout")
'Get the "edge delay" in milliseconds
Debug.Print "Edge delay (ms) = " & zInterlocking.DynProperties("Actions[0].EdgeDelay")
'Get the "modifyable stati"
Debug.Print "Modifyable stati = " & zInterlocking.DynProperties("Actions[0].State")
'Get state "nominal/actual value comparison"
Debug.Print "Nominal/actual value comparison is activated = " & zInterlocking.DynProperties("Actions[0].Actual")
'Get the "menu specific Screen"
Debug.Print "Menu specific picture = " & zInterlocking.DynProperties("Actions[0].Picture")
'Get state "close automatically"
Debug.Print "Close automatically is activated = " & zInterlocking.DynProperties("Actions[0].CloseMDIWnd")
'Get state "two-stage"
Debug.Print "Two-stage is activated = " & zInterlocking.DynProperties("Actions[0].TwoLevel")
'Get state "two-hand operation"
Debug.Print "Two-hand operation is activated = " & zInterlocking.DynProperties("Actions[0].TwoHand")

End Sub

Ancora in questo capitolo

Interlocking-Methods

Interlocking-Dynamic properties


Interlocking-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

CreateDynProperty

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the DynProperties "Variables" and "Actions" you have the opportunity to create a variable at an interlocking and to create an action at a command interlocking (special interlockings for zenOn Energy).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of DynProperty to be created as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Command_Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking
Set zInterlocking = zInterlockings.Item("Verriegelung 1")

'Create a "variable" at the command interlocking
zInterlocking.CreateDynProperty ("Variables")
'Allocate the first variable of the project variables list
zInterlocking.DynProperties("Variables[0].Name") = thisProject.Variables.Item(0)

'Create an "action" at the command interlocking
zInterlocking.CreateDynProperty ("Actions")
'The action should be from type "Double command"
zInterlocking.DynProperties("Actions[0].Type") = 1
'Set the "variable" via a string
zInterlocking.DynProperties("Actions[0].TTA") = "switch_1"
'Set the "switching direction" to ON
zInterlocking.DynProperties("Actions[0].Direction") = 1
'Set the "command setting status" to 1
zInterlocking.DynProperties("Actions[0].CommandState") = 1
'Set that CEL entries should be suppressed
zInterlocking.DynProperties("Actions[0].CELBlock") = True
'Set the "timeout" to 60 sec
zInterlocking.DynProperties("Actions[0].Timeout") = 60
'Set the edge "delay" to 2000 msec
zInterlocking.DynProperties("Actions[0].EdgeDelay") = 2000
'Read the "modifyable stati"
Debug.Print zInterlocking.DynProperties("Actions[0].State")
'Set the "nominal/actual value comparison" active
zInterlocking.DynProperties("Actions[0].Actual") = True
'Set the "menu specific picture" (menu type = commands) via a string
zInterlocking.DynProperties("Actions[0].Picture") = "Picture 1"
'Set the "close automatically" property active
zInterlocking.DynProperties("Actions[0].CloseMDIWnd") = True
'Set the "two-stage" property active
zInterlocking.DynProperties("Actions[0].TwoLevel") = True
'Set the "two-hand operation" property active
zInterlocking.DynProperties("Actions[0].TwoHand") = True

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Interlocking-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Interlocking

Ancora in questo capitolo

CBefPara

CVerVar

Interlocking


CBefPara

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> CBefPara

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

LockingCondition

Condizioni di blocco

Properties for the conditions.

ZT_VARIABLE_DYN

Name

Variabile

Nome delle variabili collegate con il gruppo comandi.
Apre il dialogo che serve alla selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_BSTR

TTA

TTA Imp/Exp

VT_UI2

Type

Tipo

Disponibile solamente con l´azione Stato comandi:
tipo del comando.
Comando doppio: Scrive il valore della proprietà Stato comandi.
Comando impulso: Scrive il valore della proprietà Stato comandi. Dopo Ritardo fronte viene scritto il valore 0. Essa non è soggetta al monitoraggio runtime.

Nota: Disponibile solamente con l´azione comando Comando impulso. Se si selezionano altre azioni nel comando, esse vengono inserite prima in Tipo e vengono visualizzate in grigio per escluderle dalla successiva modifica

Default: Comando doppio.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Stato-Feedback/Direzione Switch

Definisce il valore atteso oppure lo stato della variabile di feedback dopo l'esecuzione dell'azione.

Gli inserimenti possibili sono diversi a seconda dell´azione.

  • OFF: lo stato di feedback viene disattivato - il valore sarà 0.
  • DIFF: stato intermedio compreso fra 0 e 1.
  • ON: lo stato di feedback viene attivato - il valore sarà 1
  • Nessuno: lo stato di feedback viene ignorato - il valore non cambierà.
  • DIR: xx (disponibile solo per l´azione di comando Impostazione di valore)
  • Imposta valore xx (disponibile solo per l´azione di comando Impostazione di valore)
  • DIST: errore.

Non disponibile per le azioni: Blocco, Blocco accesso e Rilascio.

Ulteriori informazioni nella guida in linea.

VT_UI2

CommandState

Stato comandi

Disponibile solamente con l´azione 'Comando':
definisce il valore che con l´azione 'Comando' viene scritto sulla variabile di comando.
Nota: non attiva con le azioni di comando Blocca, Sostituisci, Rilascia, Correzione manuale, Revisione, Imposta valore così comeModifica stati.

0: La variabile di comando viene settata sul valore 0.
1: La variabile di comando viene settata sul valore 1.
Default: 1.

Ulteriori informazioni nella guida in linea.

VT_UI4

EdgeDelay

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando impulso.
Dopo la scadenza di questo tempo espresso in millisecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Select Before Operate della variabile di azione è stato attivato.

Nota: Se si seleziona nel comando l´azione Comando automatico/remoto, oppure Comando forzato, esse vengono inserite in Tipo e vengono disattivate per ulteriori modifiche.

Nota:
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueDirectly

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR. Ciò è possibile solamente nel caso delle seguenti azioni di comando: Sostituisci, Aggiorna e Impostazione valore.

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_ALARMKLASSE

State

Stati modificabili

Disponibile solamente con l´azione 'Modifica stati':

Default: nessuna.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CELBlock

Sopprimi inserimento CEL

Attivo: al momento dell´esecuzione dell´azione, non viene generato nessun inserimento nella Lista Eventi Cronologica (CEL).
Disattivato: al momento dell´esecuzione dell´azione, viene generato un inserimento nella CEL.
Default: Inattiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

Timeout

Timeout

Timeout per watchdog in secondi per i tipi di azione comando doppio e comando impulso.

Questa impostazione vale anche come timeout per Select di IO. È disponibile solamente per le seguenti azioni di comando: Comando, Comando automatico/remoto, Verifica feedback, Impostazione valore e Comando forzato.

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 30

Ulteriori informazioni nella guida in linea.

VT_BOOL

TimeoutAbortable

Interruzione Timeout

Consente di interrompere il timeout nel watchdog timer.

Se il comando Execute- viene già eseguito (dopo che il sistema ha ricevuto COT_actcon), il pulsante Annulla interrompe il watchdog timer. In tal modo, per esempio, i pulsanti saranno di nuovo attivi e disponibili all´uso.
Ma: in caso d´interruzione durante l´esecuzione, il modulo non trasmette nessuna disattivazione (Cancel) al driver.
Se questa proprietà è attiva durante un watchdog timer, è attivo il Cancel-pulsante nell´immagine Comando. Per questo motivo, l´utente ha la possibilità di terminare il watchdog timer cliccando su questo pulsante.

Default: inattivo

Nota: è disponibile solo per azioni gruppo comando Funzionalitàe Impostazione valore. Non viene settato nessun bit Time-out!

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseQOC

Utilizza qualificatore di comando

Disponibile solo se si possiede una licenza della Energy Edition.

Potete aggiungere a comandi anche un'ulteriore informazione (Qualifier of Command) se il driver lo supporta. Driver possibili: IEC850, IEC870 e DNP3.

attivo: attiva l'indicazione sottoQualificatore di comando.

Nota: è disponibile solamente per le seguenti azioni di comando: Comando automatico/remoto, Comando impulsoe Comando forzato.

Default: inattivo

VT_UI1

QOC

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.

  • IEC850: Con i comandi, i valori compresi da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ignorati.
  • IEC870: Con i comandi, i valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ignorati.
  • DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0
Massimo: 127
Default: 0

Nota: questo inserimento è possibile solamente se l´opzione Utilizza qualifica di comando è attiva.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Picture

Exp. menu Immagine spec.

VT_BSTR

SubstiAction

Sostituzione in immagine

Sostituzione di azione di comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Nome variabile di feedback: abc_RV.
  • Variabile di feedback progettata nel gruppo comando: *_RV
  • Ulteriori Variabili collegate nell´immagine: xyz_lock, xy_Switch
  • Sostituzione in immagine progettata: xyz;xy
  • Variabili esistenti nel progetto: abc_lock und abc_Switch.
  • Risultato: Rappresentazione delle variabili nell´immagine: abc_lock und abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Actual

Comparazione valore Attuale/Nominale

Attivo: si verifica se il valore della variabile di risposta corrisponde già alla direzione di commutazione. Se questo è vero, si visualizza un messaggio di blocco sbloccabile nel comando.
Non attiva: non viene effettuato nessun controllo della direzione di commutazione.
Nota: Disponibile solamente per il comando comando doppio(= azione => Nuovo comando).

Default: inattivo.

Ulteriori informazioni nella guida in linea

VT_BOOL

DisableOnActual

Eseguibile solo se impostato <> attuale

Questa proprietà è disponibile solamente se la proprietà Comparazione valore Attuale/Nominale è attiva e solo per l´azione comando Comando(comando persistente o comando impulso).

Disattiva un pulsante di comando nell´immagine comando se il valore della variabile di responso corrisponde già al valore impostabile. In caso di cambiamento del valore della variabile di responso, il pulsante di comando corrispondente ritorna ad essere attivo.
La stessa cosa vale anche per le voci dei menù contestuali. In questo caso non viene visualizzata nel menù la corrispondente azione di comando.

Default: Non attivo

Nota: Con questa proprietà è possibile interrogare lo stato attuale già prima di aprire di un´immagine comando o di usare un menù contestuale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TwoLevel

Doppio-livello

Attivo: L'azione viene eseguita solo se è stato confermato il Control „Esegui 2“.

Inattivo: L'azione viene eseguita:

  • dopo lo sblocco dell'ultimo blocco
  • subito se non c'è alcun altro blocco attivo.

Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

TwoHand

Comando a due mani

Disponibile solo per "Esecuzione in due livelli":

  • Attivo: L´elemento di controllo Esegui 2° livello è disponibile solo quando si pigia contemporaneamente il tasto CTRL.
    Attenzione Per l´elemento di controllo Esegui 2° livello, in caso di operazione a due mani, non può essere attiva la proprietà selezionabile tramite lazo.
  • Inattivo: l’ elemento di controllo è sempre disponibile.

Default: inattivo
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseMDIWnd

Chiusura automatica

Attivo: dopo l´esecuzione dell´azione, l´immagine comando viene chiusa automaticamente..
Non attiva: l´immagine comando non viene chiusa automaticamente.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

CmdMenuID

ID menu

ID univoco dell´azione. Il menù ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale. Nel corso della compilazione, il sistema verifica anche che lo stesso (valore)comando venga utilizzato solo una volta per variabile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

CmdName

Nome comando

Nome attribuibile liberamente dell´azione comando.

Nel runtime, esso può essere visualizzato per il modulo Comando tramite l´immagine comando, il campo Nome azione nel gruppo Informazione.

Nel modulo Sequenze di comando, questo nome viene usato per il passaggio (step). A tal scopo, la proprietà Nome attività nella griglia sequenze di comando del gruppo di proprietà di progetto Sequenze di comando deve essere configurata su Nome azione.
Default: Nome azione DIR, Valore
Il nome azione standard viene ripristinato anche quando viene cancellato un nome azione definito dall´utente.

  • DIR: Direzione dell´azione, non disponibile per le azioni Blocco, Bloccare, Rilasciare.
  • Valore: Valore dell´azione. Disponibile solamente per le azioni Valore impostabile diretto, o Correzione manuale diretta

Nota: Se per due azioni risulta lo stesso nome, il sistema lo fa presente all´utente mediante un´icona di avvertimento che appare nell´albero del modulo comandi; ciò avviene anche se gli ID dei menù sono differenti. La macro $NAME$ può essere usata per la progettazione dei menù e fornisce il nome azione che è soggetto a cambio lingua anche nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Ignore2Stage

Ignora "a due stadi"

Comportamento di un´azione two steps nel modulo Sequenze di comando.
Se la proprietà è attiva, le azioni two steps vengono eseguite subito nel modulo Sequenze di comando. Il sistema non tiene conto del fatto che è stata progettata un´esecuzione dell´azione a due livelli (two steps) per il modulo Comando. Nel modulo Sequenze di comando, l´azione viene eseguita subito come passo della sequenza di comando senza che venga aperta una finestra comandi.

Default: Non attivo

Non disponibile se:

  • la proprietà Doppio-livello è disattivata.
  • il tipo di azione è Comando automatico/remoto.
  • il tipo di azione è Blocco.

Nota: Se è stato progettato un interblocco, se ne terrà comunque conto nell´esecuzione nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BypassOnActual

Ignora operazione per valori identici da impostare e attuali

Comportamento di un´azione in caso di valore già in attesa nel modulo Sequenze di comando:

Questa proprietà è disponibile solamente per l´azione comando Comando (comando persistente o comando impulso).

Se questa proprietà è attiva e se il valore attuale corrisponde già a quello impostabile, nel runtime il sistema ignora (salta) l´azione in una sequenza di comando.

Default: Non attivo

Nel runtime viene generato un corrispondente inserimento CEL quando la proprietà Sopprimi inserimento CEL non è attivata.

Ulteriori informazioni nella guida in linea.

VT_UI2

PwlExecute

Livelli di autorizzazione per l'esecuzione

Definisce i livelli di autorizzazione necessari per effettuare il blocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

VT_UI2

PwlUnlock

Livelli di autorizzazione per lo sblocco

Definisce i livelli di autorizzazione necessari per effettuare lo sblocco. Cliccando sul livello, si apre il menù a tendina che serve alla selezione.

Nota: non attivo nel caso del comando del tipo Comando forzato.

Ulteriori informazioni nella guida in linea.


CVerVar

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> CVerVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE_DYN | Name | Variabile di blocco | Variabile che può essere usata per le condizioni di blocco. Se si clicca sul pulsante ..., può essere scambiata la variabile senza che la formula debba essere modificata. Ulteriori informazioni nella guida in linea.
VT_BSTR | NameExp | Verriegelungsvariable | Description


Interlocking

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> Interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Actions

Actions

More...

Variables

Variables

VT_BOOL

IsGeneral

IsGeneral

VT_BSTR

Name

Nome

Nome univoco dell´interblocco o del comando.
Default: Interblocco/comando x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che riguarda la creazione di un:

  • Interblocco

Comando

VT_BSTR

TTA

TTA Imp/Exp

ZT_VARIABLE_DYN

ValueVariable

Variabile di feedback

Visualizza il risultato della condizione di interblocco sulla variabile selezionata.

Cliccando sul pulsante, si apre la finestra di dialogo per selezionare una variabile. Esiste anche la possibilità di indicare direttamente il nome della variabile nell´apposito campo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ReturnInformation

Nome variabile di feedback

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_UI1

WatchDogTimer

Watchdog timer

Definisce il processo del watchdog timer.

Nota: questo watchdog timer è attivo solamente per il tipo di azione Comando persistente e Comando impulso.

Possibili impostazioni:

  • Nessuno:
    nessun watchdog timer.
  • Solo tramite variabile di feedback (RV):
    il valore della variabile di feedback viene usato per verificare se il comando è stato eseguito con successo. Il monitoraggio viene attivato solo se il valore da scrivere non corrisponde a quello attuale della variabile di azione.
  • Solo tramite Cause of transmision (COT):
    si usa COT (Cause of Transmission) per controllare se il processo ha avuto successo.
    Per l´azione 'Comando' vengono analizzai i bit di stato della causa di trasmissione (COTx). Il monitoraggio finisce nel momento in cui viene raggiunto COT_actterm (10).
  • Tramite COT e RV:
    attende e reagisce a COT e a modifiche di valore della variabile di feedback. Combina le proprietà di Solo tramite variabile di feedback (RV) e Solo tramite Cause of transmision (COT).

In generale vale quanto segue: Se il watchdog non viene concluso con successo entro il Timeout configurato per quest'azione, viene settato il biti di stato TIMEOUT.

Default: nessuno.

Ulteriori informazioni nella guida in linea.

VT_BOOL

DesiredDirection

Imposta stato di avanzamento

Attivo: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Inattivo: Il bit di stato non viene settato.

Default: inattivo

Ulteriori informazioni nella guida in linea

VT_BSTR

Picture

Exp. menu Immagine spec.

VT_BOOL

SubstiGroup

Sostituzione in immagine

Sostituzione di gruppi comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Nome variabile di feedback: abc_RV.
  • Variabile di feedback progettata nel gruppo comando: *_RV
  • Ulteriori Variabili collegate nell´immagine: xyz_lock, xy_Switch
  • Sostituzione in immagine progettata: xyz;xy
  • Variabili esistenti nel progetto: abc_lock und abc_Switch.
  • Risultato: Rappresentazione delle variabili nell´immagine: abc_lock und abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Modal

Immagine Modale

Attivo: indipendentemente dalla proprietà "Dialogo modale" dell´immagine, l´immagine comando viene aperta in forma modale. Il che significa che si potrà usufruire di nuovo delle altre immagini solo dopo che quest´immagine sarà stata chiusa.
Inattivo: L´immagine di comando viene aperta normalmente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

RM-Titel

Titolo immagine da variabile feedback

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Ulteriori informazioni nella guida in linea.

ZT_KNOTEN

ListConfigEXP

Listenkonfiguration Export

Description

VT_BOOL

CBTR_Act

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

Attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

CBTR_Formula

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili della lista del gruppo comando; è possibile la sostituzione di nomi tramite '*' come nel caso della definizione di Condizioni di blocco di un´azione.

Nota: le variabili che sono usate nella formula, non possono essere cancellate dalla lista del gruppo comando.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Interlockings

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the interlockings object you have the opportunity to create and edit interlockings in the list.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interlocking" with an assignment
Set zInterlocking = zInterlockings.Create("Interlocking", False)
Call InterlockingsItem

End Sub

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub

Ancora in questo capitolo

Interlockings-Properties

Interlockings-Methods


Interlockings-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of interlockings. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the interlockings object. | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlockings-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IInterlocking | Create | Creates a new interlocking. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IInterlocking | Item | Returns the interlocking at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

SingleExport

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "Interlocking" from the collection, which is identified by the parameter vItem.The parameter vItem can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the object in the list.</li><li>Name: The interlocking can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, for the case that no object was found for the search criteria.

Datatype

Item(VARIANT vItem) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name of the "Interlocking" object within the collection.

If the parameter is a numerical value, the object is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the object is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vItem As Variant

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking 1")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Interlocking an returns this new object.

Datatype

Create(String bsName,Boolean bCommand) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name as string.

If this value is set to 'True' then a "Command" is created instead of an "Assignment".
"Commands" are only available within an "Energy Edition - License"!

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bCommand As Boolean

Examples

C#

public void MacroCreateInterlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

//Creates a new interlocking that is not a command

IInterlocking zenonNewInterlocking = zenonInterlockings.Create("new_interlocking", false);

}

VB.NET

Public Sub MacroCreateInterlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

'Creates a new interlocking that is not a command

Dim zenonNewInterlocking As IInterlocking = zenonInterlockings.Create("new_interlocking", False)

End Sub

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Object from type Interlocking

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interl_1" with an assignment
Set zInterlocking = zInterlockings.Create("Interl_1", False)
Debug.Print "Count = " & zInterlockings.Count

End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports a single interlocking to an xml formatted file.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName,Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroInterlockingSingleExport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.SingleExport("switches", @"C:\Interlockings\switches.xml", true);

}

VB.NET

Public Sub MacroInterlockingSingleExport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.SingleExport("switches", "C:\Interlockings\switches.xml", True)

End Sub

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

public void MacroInterlockingExport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.Export(@"C:\Interlockings\interlockings.xml", true);

}

VB.NET

Public Sub MacroInterlockingExport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.Export("C:\Interlockings\interlockings.xml", True)

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Interlockings -> Interlockings-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

public void MacroInterlockingImport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.Import(@"C:\Interlockings\interlockings.xml", true);

}

VB.NET

Public Sub MacroInterlockingImport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.Import("C:\Interlockings\interlockings.xml", True)

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


LanguageTable

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the language table of the project.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLanguageTable()

{

//Prints the number of language table entries in the current active project

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

System.Diagnostics.Debug.Print(zenonLanguageTable.Count.ToString());

}

VB.NET

Public Sub MacroLanguageTable()

'Prints the number of language table entries in the current active project

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

System.Diagnostics.Debug.Print(zenonLanguageTable.Count.ToString())

End Sub

VBA

Dim ILang As LanguageTable

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Ancora in questo capitolo

LanguageTable-Properties

LanguageTable-Methods


LanguageTable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Files in the Language Table | available | not used | yes | yes
IProject | Parent | Parent-object | available | not used | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Parent" is a reference to the parent object, the project to which the language table corresponds.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Count" contains the number of all files from the language table.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateFile | Creates a new File in the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes a File from the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | DeleteKey | Deletes a Key from all Files of the Language Table |  | available | not used | yes | yes
BSTR | GetString | Returns a String from the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | ImportFile | Imports (and merges) an existing File into the Language Table |  | available | not used | yes | yes
IFileManagerFileItem | Item | Returns the File by Name or Position |  | available | not used | yes | yes
VARIANT_BOOL | SetString | Sets a String in the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | Save | Saves the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | ExportFile | Exports an existing File from the Language Table | available |  | not used | yes |  | yes
VARIANT_BOOL | ImportCSV | Imports the Language Table from a CSV file | available |  | not used | yes |  | yes
VARIANT_BOOL | ExportCSV | Exports the Language Table to a CSV file | available |  | not used | yes |  | yes

Ancora in questo capitolo

Item

CreateFile

DeleteFile

SetString

GetString

DeleteKey

ImportFile

ExportFile

ImportCSV

ExportCSV

Save


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „Item" returns a language table file as „FileManagerFileItem" object. The file can be chosen either by the name or by the index.

The file can as well be renamed over the returned object FileManagerItem.

In case of multi user projects, the files have to be "checked out" (allow changes) in order to be editable.

Datatype

Item(VARIANT vID) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableItem()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

IFileManagerFileItem zenonEnglishFile = zenonLanguageTable.Item(0);

System.Diagnostics.Debug.Print(zenonEnglishFile.FileName);

//rename the file to "ENGLISH.TXT"

zenonEnglishFile.FileName = "ENGLISH.TXT";

}

VB.NET

Public Sub MacroLanguageTableItem()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

Dim zenonEnglishFile As IFileManagerFileItem = zenonLanguageTable.Item(0)

System.Diagnostics.Debug.Print(zenonEnglishFile.FileName)

'rename the file to "ENGLISH.TXT"

zenonEnglishFile.FileName = "ENGLISH.TXT"

End Sub

VBA

Private Sub LangItem()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
Debug.Print IFile.FileName
Set IFile = ILang.Item(3)
Debug.Print IFile.FileName
End Sub

Private Sub LangRename()

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("ENGLISH.TXT")

If Not IFile Is Nothing Then

IFile.FileName = "FRENCH.TXT"

End If

End Sub

Private Function CheckOutAll() As Boolean

Dim Ok As Boolean

Dim Cnt, i As Integer

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

CheckOutAll = True

Cnt = ILang.Count

For i = 0 To Cnt - 1

Set IFile = ILang.Item(i)

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then

CheckOutAll = CheckOutAll And IFile.CheckOut

End If

End If

Next

End Function


CreateFile

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> CreateFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „CreateFile" creates a new, empty file in the language table.

Datatype

CreateFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableCreate()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Create a new LanguageTable file called "FRENCH.TXT"

zenonLanguageTable.CreateFile("FRENCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableCreate()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Create a new LanguageTable file called "FRENCH.TXT"

zenonLanguageTable.CreateFile("FRENCH.TXT")

End Sub

VBA

Private Sub LangCreate()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
'Create a new empty file
ILang.CreateFile("ENGLISH.TXT")
End Sub


DeleteFile

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> DeleteFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „DeleteFile" removes a file from the language table.

Datatype

DeleteFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDelete()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Delete the french language file

zenonLanguageTable.DeleteFile("FRENCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableDelete()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Delete the french language file

zenonLanguageTable.DeleteFile("FRENCH.TXT")

End Sub

VBA

Private Sub LangDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
ILang.DeleteFile("ENGLISH.TXT")
End Sub


SetString

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> SetString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "SetString" inserts a new key word/translation pair into the language table.

Datatype

SetString(String File, String Key, String Text) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableSetString()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

IFileManagerFileItem zenonEnglishFile = zenonLanguageTable.Item("ENGLISH.TXT");

if (zenonEnglishFile != null)

{

if (!zenonEnglishFile.IsLocked() && !zenonEnglishFile.IsCheckedOut())

zenonEnglishFile.CheckOut();

if (zenonEnglishFile.IsCheckedOut())

{

//Provide basic english translation of the german words Motor for engine and Schalter for switch

zenonLanguageTable.SetString("ENGLISH.TXT", "Motor", "Engine");

zenonLanguageTable.SetString("ENGLISH.TXT", "Schalter", "Switch");

zenonEnglishFile.CheckIn();

}

}

}

VB.NET

Public Sub MacroLanguageTableSetString()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

Dim zenonEnglishFile As IFileManagerFileItem = zenonLanguageTable.Item("ENGLISH.TXT")

If zenonEnglishFile IsNot Nothing Then

If Not zenonEnglishFile.IsLocked() AndAlso Not zenonEnglishFile.IsCheckedOut() Then

zenonEnglishFile.CheckOut()

End If

If zenonEnglishFile.IsCheckedOut() Then

'Provide basic english translation of the german words Motor for engine and Schalter for switch

zenonLanguageTable.SetString("ENGLISH.TXT", "Motor", "Engine")

zenonLanguageTable.SetString("ENGLISH.TXT", "Schalter", "Switch")

zenonEnglishFile.CheckIn()

End If

End If

End Sub

VBA

Private Sub LangFill()
Dim i As Integer
Dim Ok As Boolean
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
If Not IFile Is Nothing Then
If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut
If IFile.IsCheckedOut Then
Ok = ILang.SetString("ENGLISH.TXT", "Motor", "Engine")
Ok = ILang.SetString("ENGLISH.TXT", "Schalter", "Switch")
End If
End If
End Sub

'create keywords

Public Sub CreateLangTableKey()

Dim bRet As Boolean

Dim obLangTable As LanguageTable

Dim obLangFile As FileManagerFileItem

'create object of the language table

Set obLangTable = MyWorkspace.ActiveDocument.LanguageTable

'create object of the language file

Set obLangFile = obLangTable.Item("ZENONSTR.TXT")

'check if the given language file exists

If Not obLangFile Is Nothing Then

'create the keyword

bRet = obLangTable.SetString("ZENONSTR.TXT", "Hallo", "Du")

Else

MsgBox ("error getting defined language file")

End If

'check if the keyword was written

If bRet <> True Then

MsgBox ("something happend... and it was not good.... ")

End If

End Sub


GetString

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> GetString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "GetString" returns the translation of a key text.

Datatype

GetString(String File, String Key) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableGetString()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Get the english translation for the german word Motor (Engine)

System.Diagnostics.Debug.Print(zenonLanguageTable.GetString("ENGLISH.TXT", "Motor"));

}

VB.NET

Public Sub MacroLanguageTableGetString()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Get the english translation for the german word Motor (Engine)

System.Diagnostics.Debug.Print(zenonLanguageTable.GetString("ENGLISH.TXT", "Motor"))

End Sub

VBA

Private Sub GetKey()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Debug.Print ILang.GetString("ENGLISH.TXT", "Motor")
End Sub


DeleteKey

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> DeleteKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "DeleteKey" deletes a key text and all its translations from the language table.

Datatype

DeleteKey(String Key) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDeleteKey()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Deletes the translation for Motor (Engine) in all language files

zenonLanguageTable.DeleteKey("Motor");

}

VB.NET

Public Sub MacroLanguageTableDeleteKey()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Deletes the translation for Motor (Engine) in all language files

zenonLanguageTable.DeleteKey("Motor")

End Sub

VBA

Private Sub KeyDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
If CheckOutAll Then
ILang.DeleteKey("Motor")
End If
End Sub


ImportFile

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> ImportFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „ImportFile" imports a file into the language table. The translations of the imported file are inserted to an already existing file with the same name (see above "import from text file") or if any other file with the same name exists, it will be inserted as a new file.

Datatype

ImportFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDeleteKey()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Adds an existing file for german translations to the table

zenonLanguageTable.ImportFile(@"C:\DEUTSCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableDeleteKey()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Adds an existing file for german translations to the table

zenonLanguageTable.ImportFile("C:\DEUTSCH.TXT")

End Sub

VBA

Private Sub LangImport()

Dim Ok As Boolean

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("DEUTSCH.TXT")

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut

End If

Ok = ILang.ImportFile("C:\DEUTSCH.TXT")

End Sub


ExportFile

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> ExportFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports (copies) the given LanguageTable file to the specified location

vID = index or filename of LanguageTable
sFileName = file location

Datatype

ExportFile(VARIANT vID, BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangExport()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ExportFile("ENGLISH.TXT", "C:\Test\ENGLISH.TXT")

End Sub


ImportCSV

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> ImportCSV

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports (and merges) the given file into the language table. (like the gui-command "CSV importieren...)
sFileName = file location

Datatype

ImportCSV(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangImportCSV()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ImportCSV("C:\Test\Language.csv")

End Sub


ExportCSV

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> ExportCSV

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the whole language table into the given file as CSV. Output is exactly like the GUI-Command "CSV exportieren" alle".
sFileName = file location

Datatype

ExportCSV(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangExportCSV()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ExportCSV("C:\Test\Language.csv")

End Sub


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the language table

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroLanguageTableSave()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Do some changes to the table before saving it...

//Writes the language table to disk

zenonLanguageTable.Save();

}

VB.NET

Public Sub MacroLanguageTableSave()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Do some changes to the table before saving it...

'Writes the language table to disk

zenonLanguageTable.Save()

End Sub

VBA


Limit

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined limits of a variable.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

Public Sub zenOn_Limit()
Dim zVAR As Variable
Dim zLimit As Limit
Dim vDynProps As Variant
Dim strDynProp As String

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")
'set limit object
Set zLimit = zVAR.Limits.Item(0)

'read all Default Properties from a limit
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
End With

'read all DynProperties from a limit
vDynProps = zLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zLimit.DynProperties(strDynProp)
Next
End Sub

Ancora in questo capitolo

Limit-Properties

Limit-Methods


Limit-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup | not used | read only | yes | yes
Limits | Parent | Parent-object | read only | read only | yes | yes
BSTR | Text | Alarmtext | not used | read only | yes | yes
double | Value | Value | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Value

Text

AlarmGroup

AlarmClass


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Limits

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit, at which the current status occurs. The current status occurs – depending on the setting Min or Max – on violating this limit.The setting Min or Max cannot be changed via VBA. The methods IsMin and IsMax can check the type of the limit.

Datatype

Value() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit text. For reading operations the translated string – in the current language of the Runtime – is returned.Allocating a limit directly changes the key of the entry – i.e. different to reading access, where the string is translated to the current language of the project.

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties -> AlarmGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm group for the actual limit.At the moment the alarm group is not available as an object.

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Properties -> AlarmClass

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm class for the actual limit.At the moment the alarm class is not available as an object.

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Limit-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IsMax | - | available | not used | yes | yes
VARIANT_BOOL | IsMin | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsMin

IsMax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> IsMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Min', violated as soon as the current value is lower. Otherwise it is a maximal limit.

Datatype

IsMin() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimitMinMax()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

if (zenonLimit.IsMax())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value",

tpDebugPrintStyle.tpMsg);

}

else if (zenonLimit.IsMin())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroLimitMinMax()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

If zenonLimit.IsMax() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value", tpDebugPrintStyle.tpMsg)

ElseIf zenonLimit.IsMin() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


IsMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Limit -> Limit-Methods -> IsMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Max', violated as soon as the current value is higher. Otherwise it is a minimum limit.

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimitMinMax()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

if (zenonLimit.IsMax())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value",

tpDebugPrintStyle.tpMsg);

}

else if (zenonLimit.IsMin())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroLimitMinMax()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

If zenonLimit.IsMax() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value", tpDebugPrintStyle.tpMsg)

ElseIf zenonLimit.IsMin() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


Limits

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Limits contains the defined limits of a variable. With this collection you can access the defined limits.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

Public Sub zenOn_Limits()
Dim zVAR As Variable
Dim zLimit As Limit
Dim i As Integer

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")

'enumerate all limits of the variable
For i = 0 To zVAR.Limits.Count - 1
Set zLimit = zVAR.Limits.Item(i)
Debug.Print "LIMIT " & (i + 1) & ":"
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
Debug.Print "Status: " & .DynProperties("Status")
End With
Next i
End Sub

Ancora in questo capitolo

Limits-Properties

Limits-Methods


Limits-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits -> Limits-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined limits | read only | read only | yes | yes
IVariable | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits -> Limits-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits -> Limits-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Limits-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits -> Limits-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ILimit | Item | Returns limit on the given position | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Limits -> Limits-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Limit" object by its position.

Datatype

Item(long iIndex) As Limit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

long iIndex

VB.NET

ByVal iIndex As Long

VBA

VBA-Syntax

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

VBA-Syntax


MdiElement

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The availibility and functionality of MDI elements, also called control elements within zenOn, depend on the corresponding Screen type. This collection returns the default settings of the MDI elements.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiElements()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("AML");

IMdiElements zenonMdiElements = zenonDynPicture.MdiElements();

for (int i = 0; i < zenonMdiElements.Count; ++i)

{

System.Diagnostics.Debug.Print("Caption: " +

zenonMdiElements.Item(i).Caption);

System.Diagnostics.Debug.Print("Position Left: " +

zenonMdiElements.Item(i).Left);

System.Diagnostics.Debug.Print("Position Top: " +

zenonMdiElements.Item(i).Top);

System.Diagnostics.Debug.Print("Width: " +

zenonMdiElements.Item(i).Width);

System.Diagnostics.Debug.Print("Height: " +

zenonMdiElements.Item(i).Height);

}

}

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... output the details
With zMDIs.Item(i)
Debug.Print "Caption: " & .Caption
Debug.Print "Position left: " & .Left
Debug.Print "Position top: " & .Top
Debug.Print "Width: " & .Width
Debug.Print "Height: " & .Height
End With
Next i
End Sub

Ancora in questo capitolo

MdiElement-Properties

MdiElement-Methods

MdiElement-Dynamic properties


MdiElement-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Type |  | read only | available | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | Caption |  | available | not used | yes | yes
OLE_COLOR | ForeColor |  | available | read only | yes | yes
long | Height |  | available | read only | yes | yes
long | ID |  | available | not used | yes | yes
VARIANT_BOOL | IsDefault |  | available | not used | yes | yes
long | Left |  | available | read only | yes | yes
IMdiElements | Parent |  | read only | read only | yes | yes
long | Top |  | available | read only | yes | yes
tpElementTypes | Type |  | read only | available | yes | yes
long | Width |  | available | read only | yes | yes

Ancora in questo capitolo

Parent

IsDefault

Type

ID

Caption

ForeColor

BackColor

Left

Top

Width

Height


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As MdiElements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsDefault

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> IsDefault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if the "MdiElement" object belongs to the default elements.

Datatype

IsDefault() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the "Element" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the "MdiElement" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Caption

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Caption

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked picture type specific function.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ForeColor

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> ForeColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MdiElement-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MdiElement-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI elements default list

Ancora in questo capitolo

MDI elements default list


MDI elements default list

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElement -> MdiElement-Dynamic properties -> MDI elements default list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | MenuID | MenuID |
VT_BOOL | Default | Default |
VT_UI2 | Type | Type |
VT_I4 | ID | ID |
VT_BSTR | Text | Text | The dialog for the definition of the formula for the Mathematics variable is opened.
VT_UI4 | Style | Style |
VT_UI4 | StyleMask | StyleMask |
VT_UI4 | TextColor | TextColor |
VT_UI4 | BackColor | BackColor |
VT_UI4 | Info | Info |
VT_I4 | Top | Top |
VT_I4 | Left | Left |
VT_I4 | Height | Height |
VT_I4 | Width | Width | Name of the inserted file.


MdiElements

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "MdiElement" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiElements()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("AML");

IMdiElements zenonMdiElements = zenonDynPicture.MdiElements();

for (int i = 0; i < zenonMdiElements.Count; ++i)

{

System.Diagnostics.Debug.Print("Caption: " +

zenonMdiElements.Item(i).Caption);

System.Diagnostics.Debug.Print("Position Left: " +

zenonMdiElements.Item(i).Left);

System.Diagnostics.Debug.Print("Position Top: " +

zenonMdiElements.Item(i).Top);

System.Diagnostics.Debug.Print("Width: " +

zenonMdiElements.Item(i).Width);

System.Diagnostics.Debug.Print("Height: " +

zenonMdiElements.Item(i).Height);

}

}

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... which is not a default element...
If Not zMDIs.Item(i).IsDefault Then
'... output the caption of the element.
Debug.Print zMDIs.Item(i).Caption
End If
Next i
End Sub

Ancora in questo capitolo

MdiElements-Properties

MdiElements-Methods


MdiElements-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes
VARIANT_BOOL | UseProfile | - | read only | not used | yes | yes

Ancora in questo capitolo

Parent

Count

UseProfile


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


UseProfile

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Properties -> UseProfile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if profile elements are available for this type of object.

Datatype

UseProfile() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


MdiElements-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMdiElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> MdiElements -> MdiElements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vElementID) As MdiElement

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

object vElementID

VB.NET

ByVal vElementID As Object

VBA

VBA-Syntax

Examples

C#

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

VBA-Syntax


MDITemplate

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Ancora in questo capitolo

MDITemplate-Methods

MDITemplate-Dynamic properties


MDITemplate-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | DynProperties [GET] | - | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


MDITemplate-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI data template

Ancora in questo capitolo

MDI data template


MDI data template

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplate -> MDITemplate-Dynamic properties -> MDI data template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Given name of the template.
VT_BSTR | GUID | GUID | Guid of the Template. E.g. 5d1c2408-29b4-4cb9-95578-562jj458990
VT_BSTR | ImportPath | ImportPath | Import path of the template.
VT_BSTR | Folder | Folder | Path where the templates is stored. eg. C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip
VT_UI4 | MDIType | MDIType | Type of the templates ( Constants tpDynPicturesTypes)
VT_BSTR | Language | Language | Language of the template.
VT_BSTR | Description | Description | Description of the template.
VT_BOOL | CopaDataTemplate | CopaDataTemplate | True=Copa Date template False= Customer created templated
VT_BOOL | DefaultTemplate | DefaultTemplate | TRUE= Default template FALSE= none default template
VT_UI4 | ScreenX | ScreenX | Screen width.
VT_UI4 | ScreenY | ScreenY | Screen height.
VT_UI4 | Width | Width | Widthof the template.
VT_UI4 | Height | Height | Heigth of the template.


MDITemplates

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Ancora in questo capitolo

MDITemplates-Properties

MDITemplates-Methods


MDITemplates-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplates -> MDITemplates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of MDI Templates in the Collection | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplates -> MDITemplates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MDITemplates-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplates -> MDITemplates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMDITemplate | Item | Returns the MDI Template by Name or Position | available | not used | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> MDITemplates -> MDITemplates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As MDITemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vPosOrName

VB.NET

ByVal vPosOrName As Object

VBA

VBA-Syntax

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

VBA-Syntax


MessageControl

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroMessageControl()

{

//Print properties of the message control

IMessageControl zenonMessageControl =

this.ActiveDocument.MessageControl;

System.Diagnostics.Debug.Print("Message Control active during Runtime start: "

+ zenonMessageControl.ActiveAtStartup);

System.Diagnostics.Debug.Print("Max number of attempts: "

+ zenonMessageControl.Attempts);

System.Diagnostics.Debug.Print("Detail level for log in CEL: "

+ zenonMessageControl.CelDetail);

System.Diagnostics.Debug.Print("Waiting period between two attempts[min]: "

+ zenonMessageControl.TimeToWait);

System.Diagnostics.Debug.Print("Log manual deletion of messages in CEL: "

+ zenonMessageControl.LogMessageDeleteActions);

}

VB.NET

Public Sub MacroMessageControl()

'Print properties of the message control

Dim zenonMessageControl As IMessageControl = Me.ActiveDocument.MessageControl

System.Diagnostics.Debug.Print("Message Control active during Runtime start: " + zenonMessageControl.ActiveAtStartup)

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessageControl.Attempts)

System.Diagnostics.Debug.Print("Detail level for log in CEL: " + zenonMessageControl.CelDetail)

System.Diagnostics.Debug.Print("Waiting period between two attempts[min]: " + zenonMessageControl.TimeToWait)

System.Diagnostics.Debug.Print("Log manual deletion of messages in CEL: " + zenonMessageControl.LogMessageDeleteActions)

End Sub

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Ancora in questo capitolo

MessageControl-Properties

MessageControl-Methods

MessageControl-Events

MessageControl-Dynamic properties


MessageControl-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActiveAtStartup |  | available | read only | yes | yes
short | Attempts |  | available | read only | yes | yes
tpMsgCtrlCelDetail | CelDetail |  | available | read only | yes | yes
VARIANT | CurrentQueue |  | not used | read only | yes | yes
VARIANT_BOOL | LogMessageDeleteActions |  | available | read only | yes | yes
short | TimeToWait |  | available | read only | yes | yes

Ancora in questo capitolo

TimeToWait

ActiveAtStartup

Attempts

CelDetail

CurrentQueue

LogMessageDeleteActions


TimeToWait

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> TimeToWait

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


ActiveAtStartup

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> ActiveAtStartup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActiveAtStartup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Attempts

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> Attempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CelDetail

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> CelDetail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelDetail() As tpMsgCtrlCelDetail

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


CurrentQueue

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> CurrentQueue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CurrentQueue() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
'====================================================================================================
Public Sub Macro_MessageControl()
Dim zMessageQueue As Variant
Dim zMessage As MessageControlMessage

Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
Debug.Print ("Message Control active druing Runtime start: " & CStr(zMessageControl.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(zMessageControl.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(zMessageControl.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(zMessageControl.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(zMessageControl.LogMessageDeleteActions));

'Get Message Queue
zMessageQueue = zMessageControl.CurrentQueue
If zMessageQueue <> Empty Then
For i = 0 To UBound(zMessageQueue)
'Get Message Item informations (Read only)
Set zMessage = zMessageQueue(i)
Call ShowMessageInformation(zMessageQueue(i))
Next i
Else
Debug.Print ("No messages")
End If

Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function


LogMessageDeleteActions

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Properties -> LogMessageDeleteActions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LogMessageDeleteActions() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & Str(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


MessageControl-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | MessageAcknowledged |  | not used | read only | yes | yes
void | MessageAcknowledgeTimeOut |  | not used | read only | yes | yes
void | MessageCreated |  | not used | available | yes | yes
void | MessageDeleted |  | not used | read only | yes | yes
void | MessageIn |  | not used | read only | yes | yes
void | MessageNegAcknowledged |  | not used | read only | yes | yes
void | MessageSendError |  | not used | read only | yes | yes
void | MessageSent |  | not used | read only | yes | yes
void | SelectionChanged |  | not used | read only | yes | yes

Ancora in questo capitolo

MessageCreated

MessageSent

MessageSendError

MessageAcknowledged

MessageNegAcknowledged

MessageAcknowledgeTimeOut

MessageDeleted

MessageIn

SelectionChanged


MessageCreated

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a new event is created.

Datatype

MessageCreated(AlarmItem obAlarmItem,IMessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

IAlarmItem obAlarmItem

IMessageControlMessage obMessage

VB.NET

ByVal obAlarmItem As IAlarmItem

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageCreated += new MessageCreatedEventHandler(_zenonMessageControl_MessageCreated);

}

void _zenonMessageControl_MessageCreated(IAlarmItem obAlarmItem, IMessageControlMessage obMessage)

{

if (obAlarmItem != null)

System.Diagnostics.Debug.Print(obAlarmItem.Name);

if (obMessage != null)

{

System.Diagnostics.Debug.Print("Current message text: " +

obMessage.MessageText);

obMessage.MessageText = "New Message Text";

//In this event the message has not been sent yet and it is

//possible to change the message text.

}

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageCreated -= _zenonMessageControl_MessageCreated;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageCreated += New MessageCreatedEventHandler(AddressOf _zenonMessageControl_MessageCreated)

End Sub

Private Sub _zenonMessageControl_MessageCreated(obAlarmItem As IAlarmItem, obMessage As IMessageControlMessage)

If obAlarmItem IsNot Nothing Then

System.Diagnostics.Debug.Print(obAlarmItem.Name)

End If

If obMessage IsNot Nothing Then

System.Diagnostics.Debug.Print("Current message text: " + obMessage.MessageText)

'In this event the message has not been sent yet and it is

'possible to change the message text.

obMessage.MessageText = "New Message Text"

End If

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageCreated, AddressOf _zenonMessageControl_MessageCreated

FreeObjects()

End Sub

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
End If
End Sub


MessageSent

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageSent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message has been sent.

Datatype

MessageSent(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageSent += new MessageSentEventHandler(_zenonMessageControl_MessageSent);

}

void _zenonMessageControl_MessageSent(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("A new message was sent.");

System.Diagnostics.Debug.Print("Message text: " + obMessage.MessageText);

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageSent -= _zenonMessageControl_MessageSent;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageSent += New MessageSentEventHandler(AddressOf _zenonMessageControl_MessageSent)

End Sub

Private Sub _zenonMessageControl_MessageSent(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("A new message was sent.")

System.Diagnostics.Debug.Print("Message text: " + obMessage.MessageText)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageSent, AddressOf _zenonMessageControl_MessageSent

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageSendError

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageSendError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once an error occurs during the message sending process.

Datatype

MessageSendError(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageSendError += new MessageSendErrorEventHandler(_zenonMessageControl_MessageSendError);

}

void _zenonMessageControl_MessageSendError(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("An error occured while sending \""

+ obMessage.MessageText + "\"");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageSendError -= _zenonMessageControl_MessageSendError;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageSendError += New MessageSendErrorEventHandler(AddressOf _zenonMessageControl_MessageSendError)

End Sub

Private Sub _zenonMessageControl_MessageSendError(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("An error occured while sending """ + obMessage.MessageText + """")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageSendError, AddressOf _zenonMessageControl_MessageSendError

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageAcknowledged

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageNegAcknowledged

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageNegAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageNegAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageAcknowledgeTimeOut

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageAcknowledgeTimeOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledgeTimeOut(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageDeleted

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageDeleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message gets deleted.

Datatype

MessageDeleted(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageIn

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message comes in.

Datatype

MessageIn(String bsIdentifier,String bsMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

string bsIdentifier

string bsMessage

VB.NET

ByVal bsIdentifier As String

ByVal bsMessage As String

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageIn += new MessageInEventHandler(_zenonMessageControl_MessageIn);

}

void _zenonMessageControl_MessageIn(ref string bsIdentifier, ref string bsMessage)

{

System.Diagnostics.Debug.Print("Message came: " + bsMessage);

}

//Destroy event handlers

void ThisProject_Inactive()

{

FreeObjects();

_zenonMessageControl.MessageIn -= _zenonMessageControl_MessageIn;

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageIn += New MessageInEventHandler(AddressOf _zenonMessageControl_MessageIn)

End Sub

Private Sub _zenonMessageControl_MessageIn(ByRef bsIdentifier As String, ByRef bsMessage As String)

System.Diagnostics.Debug.Print(Convert.ToString("Message came: ") & bsMessage)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

FreeObjects()

RemoveHandler _zenonMessageControl.MessageIn, AddressOf _zenonMessageControl_MessageIn

End Sub

VBA

VBA-Syntax


SelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Events -> SelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChanged(LPVARIANT obSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Message control

Ancora in questo capitolo

Message control


Message control

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControl -> MessageControl-Dynamic properties -> Message control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ActiveAtStartup

Attivo all'avvio del Runtime

Attivo: Il Message Control viene avviato con il Runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubjectDyn

Parte dinamica dell'oggetto

Definisce la parte dell´oggetto dei messaggi in uscita e in entrata specifica per un progetto. Questa proprietà viene usata insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) o Messaggio E-Mail (SMTP) /Soggetto per E-Mail delle impostazioni di invio globali del modulo Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Il testo può contenere placeholder per:

  • Chiavi dalla tabella lingua.
  • Nome di una variabile
  • Inserimento composto nella tabella lingua

Sintassi:

  • Le parti del testo sono separate da un punto e virgola (;),
  • $ contrassegna il testo che contiene parametri,
  • @ contrassegna il cambio lingua
  • % contrassegna le variabili
  • Il testo deve terminare con un punto e virgola (;).

Esempio: $@Warning;%Var1;

Ulteriori informazioni nella guida in linea.

VT_I2

Attempts

Massimo numero tentativi

Numero massimo di tentativi di invio quando si verificano errori di invio riconosciuti come errori hardware.
Nota: un messaggio che viene inoltrato ad un altro utente, è considerato un nuovo messaggio. Il contatore viene resettato su 1.
Se la chiamata viene interrotta dal chiamato senza conferma o rifiuto, non ci sarà una ripetizione della chiamata stessa.

  • Massimo: 100
  • Minimo: 1

Default: 3

Nota: questa impostazione non dipende da quelle dell´opzione Stile della funzione Invia messaggio.

Ulteriori informazioni nella guida in linea.

VT_I2

TimeToWait

Tempo di attesa tra tentativi e timeout

Tempo di attesa in minuti fra due tentativi di invio oppure di inoltro di un messaggio.

Default: 6

Ulteriori informazioni nella guida in linea.

VT_I2

CelDetail

Salva nella CEL

Stabilisce quali eventi vengono protocollati nella CEL. Selezione dalla lista a cascata:

  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
  • Solo conferme positive:
    solo messaggi che sono stati già ripristinati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LogDeleteActions

Salva nella CEL la cancellazione manuale dei messaggi

Attivo: La cancellazione manuale di inserimenti dalla CEL viene protocollata nella stessa CEL.

Ulteriori informazioni nella guida in linea.

ZT_FILE

SentImage

Il messaggio è stato inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato non appena il messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_FILE

SendingImage

Il messaggio verrà inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato mentre è in corso un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_FILE

ErrorImage

Errore durante l'invio

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato quando è fallito un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SentColor

Il messaggio è stato inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando un messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SendingColor

Il messaggio verrà inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control mentre è in corso l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ErrorColor

Errore durante l'invio

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando è fallito l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.


MessageControlMessage

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageCreated += new MessageCreatedEventHandler(_zenonMessageControl_MessageCreated);

}

void _zenonMessageControl_MessageCreated(IAlarmItem obAlarmItem, IMessageControlMessage obMessage)

{

if (obAlarmItem != null)

System.Diagnostics.Debug.Print(obAlarmItem.Name);

if (obMessage != null)

{

PrintMessage(obMessage);

}

}

void PrintMessage(IMessageControlMessage zenonMessage)

{

//Print some detail about the given message

System.Diagnostics.Debug.Print("GUID: " + zenonMessage.Guid);

System.Diagnostics.Debug.Print("Numbers of attempt: " + zenonMessage.Attempts);

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessage.MaxAttempts);

System.Diagnostics.Debug.Print("Customer identifier: " + zenonMessage.CustomIdentifier);

System.Diagnostics.Debug.Print("Title: " + zenonMessage.Title);

System.Diagnostics.Debug.Print("Message text: " + zenonMessage.MessageText);

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageCreated -= _zenonMessageControl_MessageCreated;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageCreated += New MessageCreatedEventHandler(AddressOf _zenonMessageControl_MessageCreated)

End Sub

Private Sub _zenonMessageControl_MessageCreated(obAlarmItem As IAlarmItem, obMessage As IMessageControlMessage)

If obAlarmItem IsNot Nothing Then

System.Diagnostics.Debug.Print(obAlarmItem.Name)

End If

If obMessage IsNot Nothing Then

PrintMessage(obMessage)

End If

End Sub

Private Sub PrintMessage(zenonMessage As IMessageControlMessage)

'Print some detail about the given message

System.Diagnostics.Debug.Print("GUID: " + zenonMessage.Guid)

System.Diagnostics.Debug.Print("Numbers of attempt: " + zenonMessage.Attempts)

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessage.MaxAttempts)

System.Diagnostics.Debug.Print("Customer identifier: " + zenonMessage.CustomIdentifier)

System.Diagnostics.Debug.Print("Title: " + zenonMessage.Title)

System.Diagnostics.Debug.Print("Message text: " + zenonMessage.MessageText)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageCreated, AddressOf _zenonMessageControl_MessageCreated

FreeObjects()

End Sub

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
Call ShowMessageInformation(obMessage)
End If
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function

Ancora in questo capitolo

MessageControlMessage-Properties

MessageControlMessage-Methods

MessageControlMessage-Dynamic properties


MessageControlMessage-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AcknowledgeRequired |  | not used | available | yes | yes
DATE | AcknowledgeTimeOut |  | not used | available | yes | yes
BSTR | Attachment |  | not used | available | yes | yes
short | Attempts |  | not used | available | yes | yes
VARIANT_BOOL | CodesFromFunction |  | not used | available | yes | yes
BSTR | CustomIdentifier |  | not used | available | yes | yes
long | CycleCounter |  | not used | available | yes | yes
BSTR | Destination |  | not used | available | yes | yes
short | DestinationType |  | not used | available | yes | yes
short | DispatcherType |  | not used | available | yes | yes
BSTR | Guid |  | not used | available | yes | yes
short | MaxAttempts |  | not used | read only | yes | yes
BSTR | MessageText |  | not used | available | yes | yes
DATE | Send |  | not used | available | yes | yes
DATE | Sent |  | not used | available | yes | yes
short | TimeToWait |  | not used | available | yes | yes
BSTR | Title |  | not used | available | yes | yes
short | TypeStyle |  | not used | available | yes | yes
BSTR | UserName | Return the name of the target User. | not used | available | yes | yes

Ancora in questo capitolo

Guid

UserName

Attempts

MaxAttempts

TimeToWait

DispatcherType

Destination

CustomIdentifier

Title

MessageText

Send

Sent

AcknowledgeTimeOut

AcknowledgeRequired

TypeStyle

DestinationType

Attachment

CodesFromFunction

CycleCounter


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


UserName

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> UserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attempts

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Attempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxAttempts

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> MaxAttempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxAttempts() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeToWait

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> TimeToWait

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DispatcherType

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> DispatcherType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DispatcherType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Destination

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Destination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Destination() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CustomIdentifier

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CustomIdentifier

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomIdentifier() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Title

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Title

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Title() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageText

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> MessageText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageText() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Send

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Send

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Send() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sent

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Sent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sent() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeTimeOut

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeTimeOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeTimeOut() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeRequired

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeRequired

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeRequired() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TypeStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> TypeStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TypeStyle() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DestinationType

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> DestinationType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DestinationType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attachment

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Attachment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attachment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CodesFromFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CodesFromFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CodesFromFunction() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CycleCounter

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CycleCounter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CycleCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageControlMessage-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControlMessage-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Send parameter

Ancora in questo capitolo

Send parameter


Send parameter

Manuale -> Interfacce di programmazione -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Dynamic properties -> Send parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Title | Soggetto |
VT_BSTR | MessageText | Notizia | Testo del messaggio. Ulteriori informazioni nella guida in linea.
VT_I2 | Attempts | Tentativi | Numero dei tentativi di invio. Ulteriori informazioni nella guida in linea.
VT_I2 | MaxAttempts | Numero Max. Tentativi | Numero massimo dei tentativi di invio. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | Sent | Creato/ultimo invio | Momento nel quale il messaggio è stato generato, oppure nel quale è avvenuto l´ultimo tentativo di invio. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | Send | prossimo tentativo | Momento del prossimo tentativo di invio del messaggio. Ulteriori informazioni nella guida in linea.
VT_BSTR | Destination | Destinazione | Indirizzo della destinazione del messaggio (indirizzo E-Mail, numero di telefono). Ulteriori informazioni nella guida in linea.
VT_I2 | DispatchType | Invio |
VT_UI4 | CycleCounter | Numero ciclo d' invio | Indica il numero delle volte in cui un messaggio è stato inoltrato. Ulteriori informazioni nella guida in linea.
VT_I2 | TimeToWait | Tempo di attesa | Tempo di attesa espresso in minuti per il monitoraggio di timeout e inoltro di messaggi. Ulteriori informazioni nella guida in linea.
VT_BOOL | AckReq | Ripristino obbligatorio | Il messaggio deve essere confermato al momento della ricezione. Ulteriori informazioni nella guida in linea.
VT_UI2 | TypeStyle | Metodo spedizione |
VT_BSTR | Attachment | Allegato | Nome dell´allegato di un messaggio. Solo per E-Mail via SMTP. Ulteriori informazioni nella guida in linea.
VT_BOOL | CodesFromFunction | Codice specifico di funzione | Mostra se viene usato un codice individuale per la conferma. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | AckTimeOut | Timeout di avviso ricezione | Intervallo di tempo per la conferma del messaggio. Ulteriori informazioni nella guida in linea.
VT_I2 | DestiType | Tipo di obiettivo |
VT_BSTR | CustomIdentifier | Identificatore personalizzato | Identifier definito dall´utente. Può essere settato solamente tramite VBA/VSTA nell´evento MessageCreated". Ulteriori informazioni nella guida in linea.
VT_BSTR | GUID | GUID | Identificazione univoca (GUID) del messaggio. Ulteriori informazioni nella guida in linea.
VT_BSTR | UserName | Nome destinatario |


OnlineAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Dim WithEvents obOnlineAlarm1 As OnlineAlarm

Dim WithEvents obOnlineAlarm2 As OnlineAlarm

Private Sub obOnlineAlarm1_Changed(ByVal Reason As AlarmEventReason, ByVal strKey As String, ByVal obItem As AlarmItem)

Debug.Print "AML: " + Str$(Reason) + " / " + Str$(obItem.Timecomes) + " / " + obItem.Variable.Name + " / " + obItem.Text

End Sub

Private Sub obOnlineAlarm2_BulkChanged(ByVal strXml As String)

Debug.Print "AML: " + strXml

End Sub

Public Sub StartOnlineAlarm()

Dim obOnlineAlarms As OnlineAlarmCollection

Set obOnlineAlarms = Alarm.OnlineAlarmCollection

Set obOnlineAlarm1 = obOnlineAlarms.CreateOnlineAlarm("")

obOnlineAlarm1.AlarmEventMode = AlarmEventMode_Single

obOnlineAlarm1.SetFilter ("<?xml version=""1.0"" encoding=""utf-16""?><Subject><VarFilter>WIZ_VAR_10</VarFilter></Subject>")

obOnlineAlarm1.Activate

Set obOnlineAlarm2 = obOnlineAlarms.CreateOnlineAlarm("")

obOnlineAlarm2.AlarmEventMode = AlarmEventMode_BulkAsXml

obOnlineAlarm2.Activate

End Sub

Ancora in questo capitolo

OnlineAlarm-Properties

OnlineAlarm-Methods

OnlineAlarm-Events


OnlineAlarm-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineAlarms | Parent | Parent-object | not used | read only | yes | yes
BSTR | Name | Name of the online-alarm | not used | read only | yes | yes
VARIANT_BOOL | Active | Returns if the online-alarm is active | not used | read only | yes | yes
tpAlarmCelEventMode | EventMode | Returns and sets event mode of the online-alarm | not used | available | yes | yes
AlarmEventMode | AlarmEventMode | Returns and sets event mode of the online-alarm | not used | available | yes | yes

Ancora in questo capitolo

AlarmEventMode


AlarmEventMode

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Properties -> AlarmEventMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets event mode. tpAmlCelEvModeSingle and tpAmlCelEvModeBulkAsXml are possible.

Datatype

AlarmEventMode() As AlarmEventMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


OnlineAlarm-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | SetFilterAsXml | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Define | Activates the online-alarm | not used | available | yes | yes
void | Undefine | Deactivates the online-alarm | not used | available | yes | yes
IOnlineAlarmCollection | Parent [GET] | Parent-object | not used | read only | yes | yes
BSTR | Name [GET] | Name of the online-alarm | not used | read only | yes | yes
VARIANT_BOOL | IsActive [GET] | Returns if the online-alarm is active | not used | read only | yes | yes
VARIANT_BOOL | SetFilter | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Activate | Activates the online-alarm | not used | available | yes | yes
void | Deactivate | Deactivates the online-alarm | not used | available | yes | yes

Ancora in questo capitolo

Parent [GET]

Name [GET]

IsActive [GET]

SetFilter

Activate

Deactivate


Parent [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> Parent [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for OnlineAlarms.

Datatype

Parent [GET]() As IOnlineAlarmCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Name [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> Name [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the object.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsActive [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> IsActive [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns whether the connection is active as a result.

Datatype

IsActive [GET]() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> SetFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the filter for the entries (see Alarm.AlarmItemsAsXml). The return value is TRUE if successful.

Datatype

SetFilter(BSTR p_filterXml) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Activate

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates the connection and returns the initial list of the alarms in the filter. The return value is TRUE if successful.

Datatype

Activate() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Deactivate

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Methods -> Deactivate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deactivates the connection.

Datatype

Deactivate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarm-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | EventChange | Event: Is fired for alarm object change | not used | available | yes | yes
void | EventChangesAsXml | Event: Is fired with a list of alarm object changes | not used | available | yes | yes
void | Changed | Event: Is fired for alarm object change | not used | available | yes | yes
void | BulkChanged | Event: Is fired with a list of alarm object changes | not used | available | yes | yes

Ancora in questo capitolo

Changed

BulkChanged


Changed

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Events -> Changed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Changed(AlarmEventReason p_reason, BSTR p_alarmKey, IAlarmItem p_alarm) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BulkChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarm -> OnlineAlarm-Events -> BulkChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BulkChanged(BSTR p_xml) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarmCollection

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

OnlineAlarmCollection-Methods


OnlineAlarmCollection-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarm | Parent [GET] | Parent-object | not used | read only | yes | yes
long | Count [GET] | Count of contained online-alarm objects | not used | read only | yes | yes
IOnlineAlarm | CreateOnlineAlarm | Creates a new online-alarm object | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineAlarm | Deletes the given online-alarm object | not used | available | yes | yes
IOnlineAlarm | GetItem | Returns the online-alarm by name or position | not used | available | yes | yes

Ancora in questo capitolo

Parent [GET]

Count [GET]

CreateOnlineAlarm

DeleteOnlineAlarm

GetItem


Parent [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> Parent [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent [GET]() As IAlarm

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Count [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> Count [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of contained OnlineAlarm objects.

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateOnlineAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> CreateOnlineAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineAlarm(BSTR p_name) As IOnlineAlarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteOnlineAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> DeleteOnlineAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineAlarm(BSTR p_name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(VARIANT p_nameOrIndex) As IOnlineAlarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCel

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Dim WithEvents obOnlineCel1 As OnlineCel

Dim WithEvents obOnlineCel2 As OnlineCel

Private Sub obOnlineCel1_Changed(ByVal Reason As AlarmEventReason, ByVal strKey As String, ByVal obItem As CelItem)

Debug.Print "CEL: " + Str$(Reason) + " / " + Str$(obItem.Time) + " / " + obItem.VariableName + " / " + obItem.Text

End Sub

Private Sub obOnlineCel2_BulkChanged(ByVal strXml As String)

Debug.Print "CEL: " + strXml

End Sub

Public Sub StartOnlineCel()

Dim obOnlineCels As OnlineCelCollection

Set obOnlineCels = Cel.OnlineCelCollection

Set obOnlineCel1 = obOnlineCels.CreateOnlineCel("")

obOnlineCel1.CelEventMode = CelEventMode_Single

obOnlineCel1.SetFilter ("<?xml version=""1.0"" encoding=""utf-16""?><Subject><VarFilter>WIZ_VAR_10</VarFilter></Subject>")

obOnlineCel1.Activate

Set obOnlineCel2 = obOnlineCels.CreateOnlineCel("")

obOnlineCel2.CelEventMode = CelEventMode_BulkAsXml

obOnlineCel2.Activate

End Sub

Public Sub StopOnlineCel()

obOnlineCel1.Deactivate

Set obOnlineCel1 = Nothing

obOnlineCel2.Deactivate

Set obOnlineCel2 = Nothing

End Sub

Ancora in questo capitolo

OnlineCel-Properties

OnlineCel-Methods

OnlineCel-Events


OnlineCel-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineCels | Parent | Parent-object | not used | read only | yes | yes
BSTR | Name | Name of the online-CEL | not used | read only | yes | yes
VARIANT_BOOL | Active | Returns if the online-CEL is active | not used | read only | yes | yes
tpAlarmCelEventMode | EventMode | Returns and sets event mode of the online-CEL | not used | available | yes | yes
CelEventMode | CelEventMode | Returns and sets event mode of the online-CEL | not used | available | yes | yes

Ancora in questo capitolo

CelEventMode


CelEventMode

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Properties -> CelEventMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets event mode. tpAmlCelEvModeSingle and tpAmlCelEvModeBulkAsXml are possible.

Datatype

CelEventMode() As CelEventMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


OnlineCel-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | SetFilterAsXml | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Define | Activates the online-CEL | not used | available | yes | yes
void | Undefine | Deactivates the online-CEL | not used | available | yes | yes
IOnlineCelCollection | Parent [GET] | Parent-object | not used | read only | yes | yes
BSTR | Name [GET] | Name of the online-CEL | not used | read only | yes | yes
VARIANT_BOOL | IsActive [GET] | Returns if the online-CEL is active | not used | read only | yes | yes
VARIANT_BOOL | SetFilter | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Activate | Activates the online-CEL | not used | available | yes | yes
void | Deactivate | Deactivates the online-CEL | not used | available | yes | yes

Ancora in questo capitolo

Parent [GET]

Name [GET]

IsActive [GET]

SetFilter

Activate

Deactivate


Parent [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> Parent [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for OnlineAlarms.

Datatype

Parent [GET]() As IOnlineCelCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Name [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> Name [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the object.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsActive [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> IsActive [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns whether the connection is active as a result.

Datatype

IsActive [GET]() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> SetFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the filter for the entries (see Alarm.AlarmItemsAsXml). The return value is TRUE if successful.

Datatype

SetFilter(BSTR p_filterXml) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Activate

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates the connection and returns the initial list of the alarms in the filter. The return value is TRUE if successful.

Datatype

Activate() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Deactivate

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Methods -> Deactivate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deactivates the connection.

Datatype

Deactivate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCel-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | EventChange | Event: Is fired for CEL object change | not used | available | yes | yes
void | EventChangesAsXml | Event: Is fired with a list of CEL object changes | not used | available | yes | yes
void | Changed | Event: Is fired for CEL object change | not used | available | yes | yes
void | BulkChanged | Event: Is fired with a list of CEL object changes | not used | available | yes | yes

Ancora in questo capitolo

Changed

BulkChanged


Changed

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Events -> Changed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Changed(CelEventReason p_reason, BSTR p_celKey, ICelItem p_cel) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BulkChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCel -> OnlineCel-Events -> BulkChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BulkChanged(BSTR p_xml) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCelCollection

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

OnlineCelCollection-Methods


OnlineCelCollection-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICel | Parent [GET] | Parent-object | not used | read only | yes | yes
long | Count [GET] | Count of contained online-CEL objects | not used | read only | yes | yes
IOnlineCel | CreateOnlineCel | Creates a new online-CEL object | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineCel | Deletes the given online-CEL object | not used | available | yes | yes
IOnlineCel | GetItem | Returns the online-CEL by name or position | not used | available | yes | yes

Ancora in questo capitolo

Parent [GET]

Count [GET]

CreateOnlineCel

DeleteOnlineCel

GetItem


Parent [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods -> Parent [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent [GET]() As ICel

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Count [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods -> Count [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateOnlineCel

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods -> CreateOnlineCel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineCel(BSTR p_name) As IOnlineCel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteOnlineCel

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods -> DeleteOnlineCel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineCel(BSTR p_name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineCelCollection -> OnlineCelCollection-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(VARIANT p_nameOrIndex) As IOnlineCel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object OnlineVariable is a container for variables.The method Define of this object requests all variables, that are linked to that object. The same thing happens whenever a Screen is opened in the Runtime. On initializing the variable or changing the value an event is executed, in which the changed variable can be edited as a parameter.This object should always be used, if one or more variable(s) are needed, that perhaps are not yet requested. As the request for the value of a variable takes most time, the performance here is increased, as you can be sure, that the values of the linked variables always are requested because of the method Define.Hint: For the event the object Visual Basic has to be defined with the attribute WithEvents.Using online variables always needs the following procedure:· Linking the online variable to variables of the control system. For each variable the method Add has to be executed with the unique name of the variable. Alternatively you can also use the method AddBulk. In this case a dynamic string array is created, that contains the variables‘ names. This array then is passed to the method AddBulk.· Executing the method Define to activate monitoring the variables. A VBA event is executed, when a variable changes. The event contains the canges variable object as a parameter. In the routine the different actions are executed.· Executing the method Undefine of the object to stop monitoring the variables. From now on changes of the variables are no longer reported via the VBA event.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariables()

{

//Get a online variable container from the project

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

//Print the active status of the OLV - if its not active the OLV does not

//monitor the variables added to it

//NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

//In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString());

for (int i = 0; i < zenonOlv.Count; ++i)

{

//Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name);

}

}

VB.NET

Public Sub MacroOnlineVariables()

'Get a online variable container from the project

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Print the active status of the OLV - if its not active the OLV does not

'monitor the variables added to it

'NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

'In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString())

For i As Integer = 0 To zenonOlv.Count - 1

'Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name)

Next

End Sub

VBA

Sub VariablesOfOLV()
Dim i As Integer
Dim obOLV As OnlineVariable
Dim obVAR As Variable
'get OnlineVariable
Set obOLV = thisProject.OnlineVariables.Item(0)
Debug.Print "Active: " & obOLV.Aktiv
'enum linked variables
For i = 0 To obOLV.Count - 1
Set obVAR = obOLV.Item(i)
Debug.Print obVAR.Name & " - " & obVAR.Tagname
Next i
End Sub

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

OnlineVariable-Properties

OnlineVariable-Methods

OnlineVariable-Events


OnlineVariable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv |  | not used | available | yes | yes
long | Count |  | read only | read only | yes | yes
long | EventMode | Activated event mode | not used | read only | yes | yes
BSTR | Name | Name of the online-variable (unique) | not used | available | yes | yes
IOnlineVariables | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Aktiv

Count

EventMode


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As OnlineVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current online variable. With this name the online variable can be accessed in the collection OnlineVariables of the current project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Aktiv

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the communication status of the online variable.The communication is set to True on executing the method Define. On deleting the object or executing the method Undefine the communication status is set to False.From this moment on the event VariableChange is no longer executed.

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EventMode

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> EventMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EventMode() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Define | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
void | Undefine | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Add

AddBulk

Remove

Item

Define

Undefine

SetMemCfg

WriteBack

ActivateBulkMode


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Add

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The add method adds a new IVariable item to the online variable container. It returns true if the operation was successful, false otherwise. The method takes a string as a parameter which identifies the variable you want to add by its unique name.

Datatype

Add(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string szPVname

VB.NET

szPVname As String

VBA

Examples

C#

public void MacroOnlineVariablesAdd()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

//Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10");

}

VB.NET

Public Sub MacroOnlineVariablesAdd()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

'Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10")

End Sub

VBA


AddBulk

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> AddBulk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AddBulk() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

ref string[] szPVnames

VB.NET

ByRef szPVnames As String()

VBA

Examples

C#

public void MacroOnlineVariablesAdd()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

string[] bulkAdd = new string[] { "WIZ_VAR_10", "WIZ_VAR_11" };

//Add a list of variables to the collection.

zenonNewOlv.AddBulk(ref bulkAdd);

}

VB.NET

Public Sub MacroOnlineVariablesAdd()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

Dim bulkAdd As String() = New String() {"WIZ_VAR_10", "WIZ_VAR_11"}

'Add a list of variables to the collection.

zenonNewOlv.AddBulk(bulkAdd)

End Sub

VBA


Remove

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes a variable from the online variable container, the parameter is a string which identifies the variable you want to remove by its unique name.

Datatype

Remove(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string szPvName

VB.NET

ByVal szPvName As String

VBA

Examples

C#

public void MacroOnlineVariablesRemove()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables().Item(0);

//Remove a variable from the container

zenonNewOlv.Remove("WIZ_VAR_10");

}

VB.NET

Public Sub MacroOnlineVariablesRemove()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Remove a variable from the container

zenonNewOlv.Remove("WIZ_VAR_10")

End Sub

VBA


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vID

VB.NET

ByVal vID As Object

VBA

Examples

C#

public void MacroOnlineVariables()

{

//Get a online variable container from the project

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

//Print the active status of the OLV - if its not active the OLV does not

//monitor the variables added to it

//NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

//In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString());

for (int i = 0; i < zenonOlv.Count; ++i)

{

//Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name);

}

}

VB.NET

Public Sub MacroOnlineVariables()

'Get a online variable container from the project

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Print the active status of the OLV - if its not active the OLV does not

'monitor the variables added to it

'NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

'In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString())

For i As Integer = 0 To zenonOlv.Count - 1

'Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name)

Next

End Sub

VBA


Define

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Define

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates monitoring of all variables linked to this object.Before executing this method control system variables have to be linked to the object with the methods Add or AddBulk.Now on the initialization of a variable or on changing ist value a VBA event is executed, in which the linked variable is available as a parameter. In this event you can e.g. request the value, ...On executing this method the property Aktiv returns True. It is set to False, when the object is deleted or the methof Undefine is executed to stop monitoring.

Datatype

Define() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariablesDefine()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

string[] bulkAdd = new string[] { "WIZ_VAR_10", "WIZ_VAR_11" };

//Add a list of variables to the collection.

zenonNewOlv.AddBulk(ref bulkAdd);

//Activate monitoring of the OLV

zenonNewOlv.Define();

}

VB.NET

Public Sub MacroOnlineVariablesDefine()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

Dim bulkAdd As String() = New String() {"WIZ_VAR_10", "WIZ_VAR_11"}

'Add a list of variables to the collection.

zenonNewOlv.AddBulk(bulkAdd)

'Activate monitoring of the OLV

zenonNewOlv.Define()

End Sub

VBA

VBA-Syntax


Undefine

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Undefine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates monitoring of the linked control system variables.The event VariableChange, usually executed on changing the value of a linked variable, is no longer executed.Hint: This is not necessary, if the online variables are used in combination with zenOn VBA and the events FireActive or FireInactive of the project, as the method Undefine is executed internally at the time of the FireInactive.

Datatype

Undefine() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariablesUndefine()

{

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

zenonOlv.Undefine();

}

VB.NET

Public Sub MacroOnlineVariablesUndefine()

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

zenonOlv.Undefine()

End Sub

VBA

VBA-Syntax


SetMemCfg

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> SetMemCfg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetMemCfg() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteBack

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> WriteBack

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WriteBack() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ActivateBulkMode

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> ActivateBulkMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActivateBulkMode() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariable-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes

Ancora in questo capitolo

VariableChange

VariableBulkChange


VariableChange

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Events -> VariableChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The VariableChange event is fired once a variable in the collection changes. It gets the variable in question as a parameter.

Datatype

VariableChange(IVariable obVar) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

IVariable obVar

VB.NET

ByVal obVar As IVariable

VBA

Examples

C#

public void MacroOnlineVariablesEvents()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

//Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10");

//Activate monitoring, without Define the events won't be fired

zenonNewOlv.Define();

//Register a new event handler, normally you would do this at runtime start and not inside a macro,

//This is only for demonstration

zenonNewOlv.VariableChange += new VariableChangeEventHandler(zenonNewOlv_VariableChange);

}

void zenonNewOlv_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed");

}

VB.NET

Public Sub MacroOnlineVariablesEvents()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

'Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10")

'Activate monitoring, without Define the events won't be fired

zenonNewOlv.Define()

'Register a new event handler, normally you would do this at runtime start and not inside a macro,

'This is only for demonstration

zenonNewOlv.VariableChange += New VariableChangeEventHandler(AddressOf zenonNewOlv_VariableChange)

End Sub

Private Sub zenonNewOlv_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed")

End Sub

VBA


VariableBulkChange

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariable -> OnlineVariable-Events -> VariableBulkChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VariableBulkChange(LPVARIANT pvVars, LPVARIANT pvPvIDs, LPVARIANT pvValues, LPVARIANT pvStatesLo, LPVARIANT pvStatesHi, LPVARIANT pvTimes) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the single objects OnlineVariable. An online variable is an object, in which control system variables are linked, which on being initialized or changed execute a VBA event. In this VBA event user defined actions can be defined.The usage of online variables is recommended for the reading of variable values, as all variables linked to the online variable can be ordered with one action. This enhances the performance.An online variable can be compared to a container or – even better – a Screen of the control system without display. In such a Screen of the control system also all values are ordered from the driver when the Screen is opened.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA

Dim WithEvents zOLV As OnlineVariable
Const strOLV As String = "MyOnlineVariableContainer"

'initialize event on runtime startup
Private Sub Project_Active()
'get object if already exists
Set zOLV = thisProject.OnlineVariables.Item(strOLV)
If zOLV Is Nothing Then
'if not exitst, create a new OnlineVariable container
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables(strOLV)
'add variables to the container
zOLV.Add "Variable1"
zOLV.Add "Variable2"
zOLV.Add "Variable3"
End If
'activate 'VariableChange' event
zOLV.Define
End Sub

'event is fired when a variable value changes
Private Sub zOLV_VariableChange(ByVal obVar As IVariable)
Dim vValue As Variant
vValue = obVar.Value
'ignore error values (i.e. on startup)
If IsError(vValue) Then Exit Sub
D ebug.Print obVar.Name & " = " & vValue
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
'deactivate 'VariableChange' event
If Not zOLV Is Nothing Then zOLV.Undefine
Set zOLV = Nothing
End Sub

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Ancora in questo capitolo

OnlineVariables-Properties

OnlineVariables-Methods


OnlineVariables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined online-variables | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes
IOnlineVariable | Item | Returns the variable by name or position | available | available | yes | yes
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes

Ancora in questo capitolo

CreateOnlineVariables

DeleteOnlineVariables

Item


CreateOnlineVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> CreateOnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineVariables(BSTR Name) As IOnlineVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string Name

VB.NET

ByVal Name As String

VBA

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA


DeleteOnlineVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> DeleteOnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineVariables(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string Name

VB.NET

ByVal Name As String

VBA

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object OnlineVariable from the collection, which is identified by the parameter vID.The parameter vID can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the online variable object in the list.· Variable name: The online variable can also be accessed with its unique name.

Datatype

Item(VARIANT vID) As OnlineVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as Variant
If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the variable is searched by its unique name.

C#

object vID

VB.NET

ByVal vID As Object

VBA

vID As Variant

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA

'enumerate all OnlineVariables
Sub EnumOLVs()
Dim i As Integer
Dim obOLV As OnlineVariable
For i = 0 To thisProject.OnlineVariables.Count - 1
Set obOLV = thisProject.OnlineVariables.Item(i)
Debug.Print obOLV.Name & " (Vars: " & obOLV.Count & ")"
Next i
End Sub


Passwords

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zUserAdministration As Passwords

'initialize event on runtime startup
Private Sub Project_Active()
Set zUserAdministration = thisProject.Passwords
End Sub

Private Sub zUserAdministration_UserChange()
Debug.Print zUserAdministration.LoggedUser; " is logged in!"
End Sub

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub

'change some user properties
Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
Set zUserAdministration = Nothing
End Sub

Ancora in questo capitolo

Passwords-Properties

Passwords-Methods

Passwords-Events


Passwords-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountUser | Count of defined users | available | available | yes | yes
long | CountUserGroup | Count of defined usergroups | read only | read only | yes | yes
BSTR | LoggedUser | Current logged on user | available | available | yes | yes
BSTR | LoggedUsername | TagName of the logged on user | available | available | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

LoggedUser

LoggedUsername

CountUser

CountUserGroup


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoggedUser

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties -> LoggedUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user currently logged in.The identification can have up to 14 characters. The identification is the unique Id for the user, i.e. with this parameter the user can be identified.E.g. the identification for the user System is 0000.

Datatype

LoggedUser() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


LoggedUsername

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties -> LoggedUsername

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the currently logged in user.The name of the user is defined in the control system.

Datatype

LoggedUsername() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUser

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties -> CountUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined users, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the users in combination with the method ItemUser.

Datatype

CountUser() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Properties -> CountUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined usergroups, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the usergroups in combination with the method ItemUserGroup.

Datatype

CountUserGroup() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Passwords-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLogin | Checks the Login of a user with given ID and password |  | not used | available | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IUser | CreateUser | Creates a new user |  | available | available | yes | yes
IUser | CreateUserEx | Creates a new user |  | available | available | yes | yes
IUserGroup | CreateUserGroup | Creates a new usergroup |  | available | not used | yes | yes
VARIANT_BOOL | DeleteUser | Deletes the given user |  | available | available | yes | yes
VARIANT_BOOL | DeleteUserGroup | Deletes the given usergroup |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ExportGroup | Exports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ImportGroup | Imports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IUser | ItemUser | Returns user by position or by name |  | available | available | yes | yes
IUserGroup | ItemUserGroup | Returns usergroup by position or by name |  | available | available | yes | yes
VARIANT_BOOL | Login | Logs in the user with the given ID |  | available | available | yes | yes
VARIANT_BOOL | LoginPassword | Logs in the user with the given ID and the given password |  | available | available | yes | yes
void | Logoff | Log out the current user |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportGroup | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLoginEx | Checks the Login of a user with given ID and password hash |  | not used | available | yes | yes

Ancora in questo capitolo

Login

LoginPassword

CheckLogin

CheckLoginEx

Logoff

CreateUser

CreateUserEx

DeleteUser

ItemUser

SingleExport

Export

Import

CreateUserGroup

DeleteUserGroup

ItemUserGroup

ExportGroup

SingleExportGroup

ImportGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Login

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.If a user with the given identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is updated.·Alarming is informed about the user change·All opened MDI windows are informed about the user change.·A CEL entry for the user is generated. The·UserChange event for the object Passwords is fired.

Datatype

Login(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.Login("LogonName")
End Sub


LoginPassword

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> LoginPassword

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.In this case also the new password is compared to the current one.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

LoginPassword(String szIdentification,String szPassword) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szPassword As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub


CheckLogin

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CheckLogin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function CheckLogin(szUser As String, szPassword As String, vLevels) As tpLogin

Besides a new enumeration tpLogin with the following values:

tpDefaultError, tpLoginOk, tpPasswordExpired, tpSystemLocked, tpUserDeactivated, tpUserLocked, tpWrongPassword, tpWrongPasswordUserLocked, tpWrongUser, tpWrongUserSystemLocked

The committed user name and password are checked, the result is returned and a corresponding CEL entry is generated. Error entries on user name and password have the same consequences as on normal log in. (for ex. blocking the user or systems after a certain number). Is the user authenticated successfully, his authority levels are returned as an array of 4 longs (in the variant vLevels).

Datatype

CheckLogin(String szUser,String szPassword,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_CheckLogin()
Dim zPassword As Passwords
Dim tpResult As tpLoginResult
Dim vLevels As Variant
Dim vUserLevel As Variant
Dim i As Integer
Dim j As Integer
Dim mask As Double
Dim userLevels As String

Set zPassword = thisProject.Passwords
'Get Login result
tpResult = zPassword.CheckLogin("John", "123456", vLevels)
' Show result
getTpResultInformaion (tpResult)

For i = 0 To UBound(vLevels) 'User levels split in 4 groups with 32 bits
j = 0
mask = 0

If vLevels(i) > 0 Then
For j = 0 To 31 - 1 ' iterate the 32 bits
mask = 2 ^ j ' 0,2,4,8,16,32,64....
If vLevels(i) And mask Then ' If bit is set the user has this level
userLevels = userLevels + CStr(j + (32 * i)) & " "
End If
Next j
End If
Next i
Debug.Print ("User Levels: " & userLevels)
End Sub

Private Function getTpResultInformaion(tpResult As tpLoginResult)

Select Case tpResult
Case tpLoginResult.tpLoginOk
Debug.Print ("Login Ok: " & tpLoginResult.tpLoginOk)
Case tpLoginResult.tpPasswordExpired
Debug.Print ("Password expired: " & tpLoginResult.tpPasswordExpired)
Case tpLoginResult.tpSystemLocked
Debug.Print ("System locked: " & tpLoginResult.tpSystemLocked)
Case tpLoginResult.tpUserDeactivated
Debug.Print ("User deactivated: " & tpLoginResult.tpUserDeactivated)
Case tpLoginResult.tpUserLocked
Debug.Print ("User locked: " & tpLoginResult.tpUserLocked)
Case tpLoginResult.tpWrongPassword
Debug.Print ("Wrong password: " & tpLoginResult.tpWrongPassword)
Case tpLoginResult.tpWrongPasswordUserLocked
Debug.Print ("Wrong password - User locked: " & tpLoginResult.tpWrongPasswordUserLocked)
Case tpLoginResult.tpWrongUser
Debug.Print ("Wrong user: " & tpLoginResult.tpWrongUser)
Case tpLoginResult.tpWrongUserSystemLocked
Debug.Print ("Wrong user- System locked: " & tpLoginResult.tpWrongUserSystemLocked)
Case tpLoginResult.tpDefaultError
Debug.Print ("Default Error: " & tpLoginResult.tpDefaultError)
End Select

End Function


CheckLoginEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CheckLoginEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckLoginEx(BSTR szUser,BSTR szPwdHash,BSTR szServerSalt,BSTR szClientSalt,tpLoginType eLoginType,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Logoff

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> Logoff

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method logs out the current user and logs in the user SYSTEM.If the user SYSTEM is already active, no further steps are taken.

Datatype

Logoff() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateUser

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CreateUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUser(String szIdentification,String szUsername,String szPassword,long dwLevel) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password level of the user as long.

Password of the user as string.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel As Long

szPassword As String

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


CreateUserEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CreateUserEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUserEx(String szIdentification,String szUsername,String szPassword,long dwLevel1,long dwLevel2,long dwLevel3,long dwLevel4) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password levels 0 to 31 of the user as long.

Password levels 32 to 63 of the user as long.

Password levels 64 to 95 of the user as long.

Password of the user as string.

Password levels 96 to 127 of the user as long.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel1 As Long

dwLevel2 As Long

dwLevel3 As Long

szPassword As String

dwLevel4 As Long

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
' 4711 = Levels: 32,33,34,37,38,41,44
' 555 = Levels: 64,65,67,69,73
' 1234 = Levels: 97,100,102,103,106
Set zUser = thisProject.Passwords.CreateUserEx("LogonName", "Full Username", "P@ssword", 12345, 4711, 555, 1234)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


DeleteUser

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> DeleteUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes the user with the identification szIdentification from the central user administration.This change is immediately saved, i.e. after deleting a user he is no longer available for the system.If no user with this identification can be found, the method returns False.

Datatype

DeleteUser(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'delete a user
Sub DeleteUSer()
Dim bResult As Boolean
bResult = thisProject.Passwords.DeleteUSer("LogonName")
End Sub


ItemUser

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> ItemUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the user from the collection, who is identified by the parameter vIndex.The parameter vIndex can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.· Identification: The user can also be accessed with his unique identification.Hint: The returned object should be checked on Nothing to find out, if no object for the search creteria was found.

Datatype

ItemUser(VARIANT vIndex) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all users
Sub EnumUsers()
Dim zUser As User
Dim i As Integer

For i = 0 To thisProject.Passwords.CountUser - 1
'get user object
Set zUser = thisProject.Passwords.ItemUser(i)
Debug.Print zUser.Identification & " > " & zUser.Name
Next i
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


CreateUserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CreateUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateUserGroup(String szName,long dwLevel) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteUserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> DeleteUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteUserGroup(String szName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemUserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> ItemUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemUserGroup(VARIANT vIndex) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> ExportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExportGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> SingleExportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportGroup(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> ImportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | UserChange |  | available | available | yes | yes
void | ValidatePassword |  | not used | available | yes | yes

Ancora in questo capitolo

UserChange

ValidatePassword


UserChange

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Events -> UserChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when a user is logged into the system.In this event you can execute your user defined actions.With the property LoggedUser and the method ItemUser you can find out the newly logged in user.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Datatype

UserChange() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ValidatePassword

Manuale -> Interfacce di programmazione -> Objectmodel -> Passwords -> Passwords-Events -> ValidatePassword

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValidatePassword(String bsIdentification, String bsPassword, Boolean bOK) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Contains the Identification of the User who tries to change his password...

Contains the new password wich was entered by the actual user...

Defines if the new password is valid or not.
Set the "bOK" to "False" if the password is not valid.
Default value = True

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsIdentification As String

bsPassword As String

bOK As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'The following Code is used in the "thisProject" classmodule...
Dim WithEvents zPWD As Passwords

Private Sub Project_Active()
Set zPWD = thisProject.Passwords
End Sub

Private Sub zPWD_ValidatePassword(ByVal bsIdentification As String, ByVal bsPassword As String, bOK As Boolean)
'check password length
If Len(bsPassword) < 8 Then
bOK = False
Else
'check if password contains username
If InStr(1, UCase(bsPassword), UCase(bsIdentification)) <> 0 Then
bOK = False
End If
End If

End Sub


PfsCalendar

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsCalendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

PfsCalendar-Methods


PfsCalendar-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SchedulesForDay | Returns the linked schedules for the day | available | available | yes | yes
IPfsTimeModell | TimeModelForDay | Returns the linked time model for the day | available | available | yes | yes
IPfsSwitchingPointFilter | CreateSwitchingPointFilter | Creates a switching point filter that can be configured and then used to call the SwitchingPointPreview method | available | available | yes | yes

Ancora in questo capitolo

SchedulesForDay

TimeModelForDay

CreateSwitchingPointFilter


SchedulesForDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> SchedulesForDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get scheduals for a specific day.

Datatype

SchedulesForDay(DATE date, BSTR bstrGroup) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ShowTodaysScheduleType()

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Dim link As tpPfsDayLink

link = PfsSchedule.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsSkip Then

MsgBox "Übersprungen"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub SetTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.AddToDay(Date, tpPfsExecute)

thisProject.pfs.Save

End Sub

Public Sub DeleteTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.RemoveFromDay(Date, True)

thisProject.pfs.Save

End Sub

Public Sub GetCalendar()

Dim Engine As PfsEngine

Dim Calendar As PfsCalendar

Set Engine = thisProject.Pfs

Set Calendar = Engine.Calendar

End Sub

Public Sub GetSchedules()

Dim calendar As pfsCalendar

Dim schedules() As pfsSchedule

Set calendar = thisProject.Pfs.calendar

schedules = calendar.SchedulesForDay(Now, "ZMG1")

Dim text As String

For I = 0 To UBound(schedules)

text = text + schedules(I).Name + "/"

Next I

MsgBox text

End Sub


TimeModelForDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> TimeModelForDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Connect a timemodel to a single day.

Datatype

TimeModelForDay(DATE date, BSTR bstrGroup) As IPfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ConnectTimeModelToDay()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.Pfs.Groups.Item(0).TimeModells.Item(0)

Call pfsTM.AddToDay(Date, tpPfsExecute)

thisProject.Pfs.Save

End Sub

Public Sub Macro0()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.pfs.Groups.Item(0).TimeModells.Item(0)

Dim link As tpPfsDayLink

link = pfsTM.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub GetTimeModel()

Dim calendar As pfsCalendar

Dim timemodel As PfsTimeModell

Set calendar = thisProject.Pfs.calendar

Set timemodel = calendar.TimeModelForDay(Now, "ZMG1")

If Not timemodel Is Nothing Then

MsgBox timemodel.Name

Else

MsgBox "Kein Zeitmodell verknüpft"

End If

End Sub


CreateSwitchingPointFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> CreateSwitchingPointFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching point filter that can then be used to get a switching point preview.

Datatype

CreateSwitchingPointFilter() As IPfsSwitchingPointFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsEngine

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The PfsEngine object is the entry point into the Pfs object model.With the property CountryName you can define the country for the holiday definition. The method events returns a list of the user-defined events.The Groups method returns the definition of the existing PFS equipments.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''Define PFS Engine with Events!'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Dim WithEvents myPFS As PfsEngine

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Define Events for PFS Engine'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub myPFS_OnCreateGroup(ByVal obNewGroup As IPfsGroup)
Debug.Print "myPFS_OnCreateGroup " & " " & obNewGroup.Name & " was created!"
End Sub

Private Sub myPFS_OnCreateEvent(ByVal obNewEvent As IPfsEvent)
Debug.Print "myPFS_OnCreateEvent " & " " & obNewEvent.Name & " was created!"
End Sub

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''Excecute the defined Events,'''''''
'''''''''''by creating new objects'''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Sub TestEvents()
Set myPFS = MyWorkspace.ActiveDocument.Pfs
myPFS.Groups.CreateGroup ("TestGroup1")
myPFS.Events.CreateEvent ("TestEvent1")
End Sub

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Creation of a PFS Engine object'''''''''''''
'''''''''''''''Giving out Group Names''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Sub EnumGroups()
Dim i As Double
Dim myPFS As PfsEngine

Set myPFS = MyWorkspace.ActiveDocument.Pfs
For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i
End Sub

Ancora in questo capitolo

PfsEngine-Properties

PfsEngine-Methods

PfsEngine-Events


PfsEngine-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | CountryName |  | available | available | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

CountryName


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountryName

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Properties -> CountryName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the value for the selected country. This is important because of the statutory holidays, which change automatically in the calendar, when a different country is selected.

Datatype

CountryName() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsEngine-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvents | Events | - | available | available | yes | yes
IPfsGroups | Groups | - | available | available | yes | yes
IPfsHolidays | Holidays | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPfsCalendar | Calendar | Retrieves the object for the pfs calendar | available | available | yes | yes

Ancora in questo capitolo

Groups

Events

Holidays

Save

Calendar


Groups

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Groups" object manages the "Group" objects.

Datatype

Groups() As PfsGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Events

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Event" Object is a collection of all "Event" objects, which are created from the user.

Datatype

Events() As PfsEvents

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Holidays

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Holidays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In the "Holidays" object all "Holiday" objects are managed.

Datatype

Holidays() As PfsHolidays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the "Save" methode all changes made in the PFS module can be saved.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Calendar

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Calendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calendar() As IPfsCalendar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsEngine-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AfterUpdate |  | available | available | yes | yes
void | BeforeUpdate |  | available | available | yes | yes
void | OnCreateBreak |  | available | available | yes | yes
void | OnCreateEvent |  | available | available | yes | yes
void | OnCreateGroup |  | available | available | yes | yes
void | OnCreateSchedule |  | available | available | yes | yes
void | OnCreateScheduleTime |  | available | available | yes | yes
void | OnCreateScheduleValue |  | available | available | yes | yes
void | OnCreateShift |  | available | available | yes | yes
void | OnCreateTimeModell |  | available | available | yes | yes
void | OnDeleteBreak |  | available | available | yes | yes
void | OnDeleteEvent |  | available | available | yes | yes
void | OnDeleteGroup |  | available | available | yes | yes
void | OnDeleteSchedule |  | available | available | yes | yes
void | OnDeleteScheduleTime |  | available | available | yes | yes
void | OnDeleteScheduleValue |  | available | available | yes | yes
void | OnDeleteShift |  | available | available | yes | yes
void | OnDeleteTimeModell |  | available | available | yes | yes
void | OnRenameBreak |  | available | available | yes | yes
void | OnRenameEvent |  | available | available | yes | yes
void | OnRenameGroup |  | available | available | yes | yes
void | OnRenameSchedule |  | available | available | yes | yes
void | OnRenameShift |  | available | available | yes | yes
void | OnRenameTimeModell |  | available | available | yes | yes
void | OnSave |  | available | available | yes | yes

Ancora in questo capitolo

BeforeUpdate

AfterUpdate

OnSave

OnCreateGroup

OnDeleteGroup

OnRenameGroup

OnCreateSchedule

OnDeleteSchedule

OnRenameSchedule

OnCreateTimeModell

OnDeleteTimeModell

OnRenameTimeModell

OnCreateEvent

OnDeleteEvent

OnRenameEvent

OnCreateShift

OnDeleteShift

OnRenameShift

OnCreateBreak

OnDeleteBreak

OnRenameBreak

OnCreateScheduleTime

OnDeleteScheduleTime

OnCreateScheduleValue

OnDeleteScheduleValue


BeforeUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> BeforeUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, before the Save methode has been excecuted.

Datatype

BeforeUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AfterUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> AfterUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, after the Save methode has been excecuted.

Datatype

AfterUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnSave

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnSave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Save methode is excecuted.

Datatype

OnSave() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new group has been created.

Datatype

OnCreateGroup(PfsGroup obNewGroup) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a group has been deleted.

Datatype

OnDeleteGroup(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a group is excecuted.

Datatype

OnRenameGroup(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule has been created.

Datatype

OnCreateSchedule(PfsSchedule obNewSchedule) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule has been deleted.

Datatype

OnDeleteSchedule(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a schedule is excecuted.

Datatype

OnRenameSchedule(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateTimeModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new time model has been created.-ll--?????

Datatype

OnCreateTimeModell(PfsTimeModell obNewModell) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteTimeModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a time model has been deleted.

Datatype

OnDeleteTimeModell(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameTimeModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a time model is excecuted.

Datatype

OnRenameTimeModell(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new event has been created.

Datatype

OnCreateEvent(PfsEvent obNewEvent) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when an event has been deleted.

Datatype

OnDeleteEvent(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Rename methode of an event has been excecuted.

Datatype

OnRenameEvent(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new shift has been created.

Datatype

OnCreateShift(PfsModellShift obNewShift) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a shift has been deleted.

Datatype

OnDeleteShift(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a shift is excecuted.

Datatype

OnRenameShift(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new break has been created.

Datatype

OnCreateBreak(PfsModellBreak obNewBreak) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a break has been deleted.

Datatype

OnDeleteBreak(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a break is excecuted.

Datatype

OnRenameBreak(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule time has been created.

Datatype

OnCreateScheduleTime(PfsScheduleTime obNewTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule time has been deleted.

Datatype

OnDeleteScheduleTime(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule value has been created.

Datatype

OnCreateScheduleValue(PfsScheduleValue obNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule value has been deleted.

Datatype

OnDeleteScheduleValue(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The PFSEvent object is an user defined event, which can be linked to the schedules as relative switching operations.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Renaming of an event''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

mypfs.Events.Item(0).Rename ("my event")
Debug.Print mypfs.Events.Item(0).Name

End Sub

Ancora in questo capitolo

PfsEvent-Properties

PfsEvent-Methods


PfsEvent-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsEvents | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

ID

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEvents

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the name of the event

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the ID of the event

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the event which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvent-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes

Ancora in questo capitolo

SetModify

Execute

Rename


SetModify

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> SetModify

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> Execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manualy excecute an event.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the event.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvents

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Events collection contains the user-defined events of the PFS.User-defined events can be linked to the schedules as relative switching operations.When execution the function Execute PFS event for an event, the linked switching operations in the schedule are executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Reading out Event Names ''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Events.Count - 1
Debug.Print mypfs.Events.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

PfsEvents-Properties

PfsEvents-Methods


PfsEvents-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvents-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | CreateEvent | - | available | available | yes | yes
VARIANT_BOOL | DeleteEvent | - | available | available | yes | yes
IPfsEvent | Item | - | available | available | yes | yes
IPfsEvent | ItemByID | - | available | available | yes | yes
IPfsEvent | ItemById | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateEvent

DeleteEvent

ItemById


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Event from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Event name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> CreateEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the methode to create a new event.

Datatype

CreateEvent(String bstrName) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteEvent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> DeleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete an event.

Datatype

DeleteEvent(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(VARIANT vPosition) As IPfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The IPfsGroup object is an object which describes an equipment object in the PFS module.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Giving out all group names''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Groups.Count - 1
Debug.Print mypfs.Groups.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

PfsGroup-Properties

PfsGroup-Methods


PfsGroup-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CycleEnd |  | available | available | yes | yes
long | CycleStart |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsGroups | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

CycleStart

CycleEnd

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the group.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CycleStart

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> CycleStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the group in seconds.

Datatype

CycleStart() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CycleEnd

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> CycleEnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the group in seconds.

Datatype

CycleEnd() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroup-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes
ISystemModelGroup | SystemModelGroupAtIndex | - | available | available | yes | yes
long | SystemModelGroupCount | - | available | available | yes | yes
IPfsTimeModells | TimeModells | - | available | available | yes | yes

Ancora in questo capitolo

Schedules

TimeModells

SetModify

Rename

SystemModelGroupCount

SystemModelGroupAtIndex


Schedules

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Schedules" object manages the "Schedule" objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeModells

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> TimeModells

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "TimeModels" object manages the "TimeModel" objects.

Datatype

TimeModells() As PfsTimeModells

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModify

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SetModify

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the group.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupCount

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupAtIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupAtIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupAtIndex(long nIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Groups collection contains the groups of the PFS module (in the editor also called "equipments).

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''Test Groups''''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub TEST()

Dim myPFS As PfsEngine
Set myPFS = MyWorkspace.ActiveDocument.PFS

Call CreateGroups(myPFS)
Call ReadGroups(myPFS)

Call DeleteGroups(myPFS)
DoEvents

Call ReadGroups(myPFS)

End Sub
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creates 5 Test Groups'''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function CreateGroups(myPFS As PfsEngine)

Dim i As Integer
Dim myString As String

For i = 0 To 4
myString = "testgruppe " & i
myPFS.Groups.CreateGroup (myString)
Next i

Debug.Print "Groups were created!"

End Function
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Read out all Group names''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function ReadGroups(myPFS As PfsEngine)

Dim i As Integer

For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i

End Function
''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Delete all Groups''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function DeleteGroups(myPFS As PfsEngine)

Dim strTMP As String
Dim i As Double

Debug.Print myPFS.Groups.Count & " Groups to delete!"

For i = myPFS.Groups.Count - 1 To 0 Step -1
strTMP = myPFS.Groups.Item(i).Name
Debug.Print "Group deleted! - " & strTMP & " - " & myPFS.Groups.DeleteGroup(strTMP)
Next i

myPFS.Save

End Function

Ancora in questo capitolo

PfsGroups-Properties

PfsGroups-Methods


PfsGroups-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroups-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsGroup | CreateGroup | - | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - | available | available | yes | yes
IPfsGroup | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateGroup

DeleteGroup


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the group object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Group name: The group can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> CreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create a new group.

Datatype

CreateGroup(String bstrName) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> DeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a group.

Datatype

DeleteGroup(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsHoliday

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Holiday object contains information on a holiday from the feiertage.txt. This object contains a name and a date for the holiday.On loading the project only the holidays of the current year are acquired.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Ancora in questo capitolo

PfsHoliday-Properties


PfsHoliday-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Date |  |  | read only | read only | yes | yes
BSTR | Name |  |  | read only | read only | yes | yes
IPfsHolidays | Parent |  |  | read only | read only | yes | yes
IProject | Session |  |  | read only | read only | yes | yes
DATE | date |  | read only |  | read only | yes |  | yes

Ancora in questo capitolo

Parent

Name

date

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsHolidays

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the holiday.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


date

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> date

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Holidays collection contains all holiday definitions of the defined country for the current year. The holiday definition is saved in the Feiertage.txt.On activating a project these are acquired for the defined country.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''Giving out the Count of Holidays'''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim i As Double

Debug.Print mypfs.Holidays.Count

End Sub

Ancora in questo capitolo

PfsHolidays-Properties

PfsHolidays-Methods


PfsHolidays-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsHoliday | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsHolidays -> PfsHolidays-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the holiday object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsHoliday

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellBreak object is a break within a shift in a time model. During the defined period of time the production should be interrupted.The breaks consist of an unique name and an unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Ancora in questo capitolo

PfsModellBreak-Properties

PfsModellBreak-Methods


PfsModellBreak-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellBreaks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Ancora in questo capitolo

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellBreaks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the break.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the break.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the break.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected break.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "shift1.break1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreak-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes

Ancora in questo capitolo

Rename


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can rename a break.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreaks

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellBreaks collection allows the access to the breaks of a shift. The breaks are the production-free times in a shift.The breaks consist of a unique name and a unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating some breaks'''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String
Dim i As Double

For i = 0 To 5

mystring = "testbreak" & i

mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(0).Breaks.CreateBreak (mystring)
Debug.Print mystring & " was created!"

Next i

End Sub

Ancora in questo capitolo

PfsModellBreaks-Properties

PfsModellBreaks-Methods


PfsModellBreaks-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsModellShift | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShift

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreaks-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreak | CreateBreak | - | available | available | yes | yes
VARIANT_BOOL | DeleteBreak | - | available | available | yes | yes
IPfsModellBreak | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateBreak

DeleteBreak


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ModelBreak object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The ModelBreak can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> CreateBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new break in the current shift and returns it.

Datatype

CreateBreak(LPCTSTR lpszName) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> DeleteBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined break from the current shift.

Datatype

DeleteBreak(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellShift object is a shift in a time model.Each shift consists of an unique name and a period of time (from/to). This period of time is the active production cycle.The defined period of time must be unique, i.e. you cannot define more than one shift for the same time.Each shift can contain any number of breaks, that interrupt the production cycle.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating, Reading out''''''''''''
''''''''''and Deletion of some shifts'''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS

'''''''Creation''''''''
Dim i As Double
Dim mystring As String
Debug.Print "--Creation:"

For i = 0 To 5
mystring = "testshift " & i
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.CreateShift (mystring)
Debug.Print mystring & " was created!"
Next i

mypfs.Save

''''Reading Out''''''
Dim o As Double
Debug.Print "--Reading Out:"

For o = 0 To mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(o).Name
Next o

''''''Deletion''''''''
Dim f As Double
Debug.Print "--Deletion:"

For f = mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1 To f = 1 Step -1
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.DeleteShift (f)
Debug.Print "shift " & f; " was deleted!"
Next f

End Sub

Ancora in questo capitolo

PfsModellShift-Properties

PfsModellShift-Methods


PfsModellShift-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellShifts | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Ancora in questo capitolo

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShifts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the shift.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the shift.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the shift.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected shift.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.timemodel1.shift1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ModelShift which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShift-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreaks | Breaks | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes

Ancora in questo capitolo

Breaks

Rename


Breaks

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods -> Breaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Breaks" object manages the "Break" objects.

Datatype

Breaks() As PfsModellBreaks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a shift can be renamed.

Datatype

Rename(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShifts

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellShifts collection allows the access to the shifts of a time model. The single shifts consist of a number and a period of time (from/to), when the shift is active.Any number of breaks can be defined for each shift. The breaks interrupt the production and are inactive states.The period of time of a shift has to be unique, i.e. it is not possible to define a shift within a shift.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Reading out Count of shifts''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count

End Sub

Ancora in questo capitolo

PfsModellShifts-Properties

PfsModellShifts-Methods


PfsModellShifts-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsTimeModell | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModell

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the current project reference.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShifts-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellShift | CreateShift | - | available | available | yes | yes
VARIANT_BOOL | DeleteShift | - | available | available | yes | yes
IPfsModellShift | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateShift

DeleteShift


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the linked shift on the defined position or with the unique name.

Datatype

Item(VARIANT vNameOrPos) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> CreateShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new shift.

Datatype

CreateShift(String bstrName) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteShift

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> DeleteShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined shift.

Datatype

DeleteShift(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In a schedule object you can create absolute and relativ times and link them with switching points, so that a funktion is excecuted or a the value of a variable can be changed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creation, Reading out''''''''''''
'''''''''''and Deletion of schedules''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String

''''''Creation''''''''
Dim i As Double
Debug.Print "---Creation:"

For i = 0 To 5
mystring = "schedule" & i
mypfs.Groups.Item(0).Schedules.CreateSchedule (mystring)
Debug.Print mystring & " was created!"
Next i

''''''Reading out'''''
Dim f As Double
Debug.Print "---Reading Out:"

For f = 0 To mypfs.Groups.Item(0).Schedules.Count - 1
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).Name
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).GUID
Debug.Print mystring & " was created!"
Next f

''''''Deletion'''''
Dim t As Double
Debug.Print "---Deletion:"

For t = mypfs.Groups.Item(0).Schedules.Count - 1 To 1 Step -1
mystring = mypfs.Groups.Item(0).Schedules.Item(t).Name
mypfs.Groups.Item(0).Schedules.DeleteSchedule (t)
Debug.Print mystring & " was deleted!"
Next t

End Sub

Ancora in questo capitolo

PfsSchedule-Properties

PfsSchedule-Methods


PfsSchedule-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsSchedules | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
VARIANT_BOOL | Structure |  | available | available | yes | yes

Ancora in questo capitolo

Parent

Name

Structure

Active

KeyNote

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the schedule.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Structure

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Structure property is true if the schedule is marked as "structured schedule".

Datatype

Structure() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property the schedule can be activated or deactivated.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


KeyNote

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.schedule1" is the keynote of the schedule1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the Schedule which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedule-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
IPfsScheduleDays | ExecutionDays | - | available | available | yes | yes
VARIANT_BOOL | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsScheduleLinks | ScheduleLinks | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
IPfsScheduleTimes | ScheduleTimes | - | available | available | yes | yes
void | SetDefaultDay | - | available | available | yes | yes
IPfsScheduleDays | SkippedDays | - | available | available | yes | yes

Ancora in questo capitolo

Schedules

ScheduleTimes

ScheduleLinks

ExecutionDays

SkippedDays

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Schedules

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Schedule can also be a container for other schedules, with the "Schedules" collection you can access the sub schedules of a schedule.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleTimes

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ScheduleTimes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages the schedule times of the schedule.

Datatype

ScheduleTimes() As PfsScheduleTimes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleLinks

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ScheduleLinks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collecton manages the functions and variables which are linked to the schedule.

Datatype

ScheduleLinks() As PfsScheduleLinks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecutionDays

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ExecutionDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Collection contains all days where a schedule is linked but not as default.

Datatype

ExecutionDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SkippedDays

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> SkippedDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Manages the days which are manualy linked to a schedule for some specific dates as skipped days.

Datatype

SkippedDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> IsOnDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check with which link type the schedule is linked on a specific date. The methode returns a tpPFSDayLink.

Datatype

IsOnDay(DATE vDay) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> AddToDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be linked to a day. As parameters you have to give the methode the date and the type of the link.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> RemoveFromDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be removed from a specific date.

Datatype

RemoveFromDay(DATE vDate, [optional] VARIANT bDayOnly) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

#region VSTA generated code (DO NOT MODIFY THIS REGION!)

private void InternalStartup()

{

//(DO NOT modify this event handler!)

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> IsDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check if a schedule is linked as default schedule to a daytype. For instance IsDefaultDay(tppfsMonday) would be true if the schedule is linked to all mondays, instead it would be false.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> SetDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can link a schedule as default to a day type.

Datatype

SetDefaultDay(tpPfsDefaultDays sDayOfWeek) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename a schedule.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Schedule day object is a specific date on which a schedule is excecuted or not.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Ancora in questo capitolo

PfsScheduleDay-Properties


PfsScheduleDay-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Date |  |  | read only | read only | yes | yes
IPfsSchedule | Parent |  |  | read only | read only | yes | yes
IProject | Session |  |  | read only | read only | yes | yes
short | Type |  |  | read only | read only | yes | yes
DATE | date |  | read only |  | read only | yes |  | yes

Ancora in questo capitolo

Parent

date

Type

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


date

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> date

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the type of the schedule day. Can contain the following values:

  • tpPfsExecute = 0x30,
  • tpPfsSkip = 0x31,
  • tpPfsDefaultDay = 0x32,
  • tpPfsDefaultHDay = 0x33,
  • tpPfsUnused = 0x34,

Datatype

Type() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleDay collection contains a date, on which the schedule should be executed or not.With the Type property you can find out, if the schadule should be executed or not on the given day.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Ancora in questo capitolo

PfsScheduleDays-Properties

PfsScheduleDays-Methods


PfsScheduleDays-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleDay | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleDay object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ScheduleDay name: The ScheduleDay can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsScheduleDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleLink object is a link to the variable/function. Depending on the Type property you can access the linked variable/function with the methods ItemVariable resp. ItemRtFunction.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Giving out all Names, function-''''''
'''''''or variable names of a schedule'''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytype As Integer

Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1

For i = 0 To pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1
mytype = pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Name
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).GUID

If mytype = 32 Or mytype = 34 Then
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Variable.Driver.Name
Else
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).RtFunction.Name
End If

Next i
End Sub

Ancora in questo capitolo

PfsScheduleLink-Properties

PfsScheduleLink-Methods


PfsScheduleLink-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsScheduleLinks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Type

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleLinks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the ScheduleLink.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLink-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | RtFunction | - | read only | read only | yes | yes
IVariable | Variable | - | read only | read only | yes | yes

Ancora in questo capitolo

RtFunction

Variable


RtFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods -> RtFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

RtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLinks

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "IPfsScheduleLinks" object manages the collection of the "IPfsScheduleLink" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_SCD As PfsSchedule
Dim zPFS_SCL As PfsScheduleLink
Dim zFCT As RtFunction
Dim zVAR As Variable

'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get 1st found schedule
Set zPFS_SCD = zPFS_GRP.Schedules.Item(0)
'get count of ScheduleLinks
Debug.Print "ScheduleLinks: " & zPFS_SCD.ScheduleLinks.Count
'create new FunctionLink
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("myFunction")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateFktLink(zFCT)
Debug.Print zPFS_SCL.Name
'create new VariableLink
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("myVAR")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateVarLink(zVAR)
Debug.Print zPFS_SCL.Name
'enumerate ScheduleLinks
For i = 0 To zPFS_SCD.ScheduleLinks.Count - 1
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_SCL.Name & " [" & zPFS_SCL.Type & "]"
Next i
Set zPFS_SCL = Nothing
'delete ScheduleLinks
zPFS_SCD.ScheduleLinks.DeleteVarLink ("MyVAR")
'save changes
zPFS.Save
End Sub

Ancora in questo capitolo

PfsScheduleLinks-Properties

PfsScheduleLinks-Methods


PfsScheduleLinks-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLinks-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | CreateFktLink | - | available | available | yes | yes
IPfsScheduleLink | CreateVarLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteFktLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteVarLink | - | available | available | yes | yes
IPfsScheduleLink | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateVarLink

CreateFktLink

DeleteVarLink

DeleteFktLink


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleLink object at the specified position.

Datatype

Item(VARIANT vPosition) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateVarLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateVarLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new variable link.

Datatype

CreateVarLink(IVariable pVariable) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateFktLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateFktLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new function link.

Datatype

CreateFktLink(IRtFunction pFunction) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVarLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteVarLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a variable link can be deleted.

Datatype

DeleteVarLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteFktLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteFktLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a function link can be deleted.

Datatype

DeleteFktLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedules

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Schedules collection contains the existing schedules of an equipment or a parent schedule. The single schedules contain the execution times and a pool of links, e.g. variables/functions. The times are linked to any number of switching points, that execute switching operations.With the Item method combined with the Count property you can iterate through the existing schedules.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Count of schedules''''''''
''''''Creating and Deleting of Schedules''''''
''''''''''''''''''''''''''''''''''''''''''''''

Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

End Sub

Ancora in questo capitolo

PfsSchedules-Properties

PfsSchedules-Methods


PfsSchedules-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedules-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsSchedule | CreateSchedule | - | available | available | yes | yes
VARIANT_BOOL | DeleteSchedule | - | available | available | yes | yes
IPfsSchedule | Item | - | available | available | yes | yes
IPfsSchedule | DuplicateSchedule |  | available | available | yes | yes

Ancora in questo capitolo

Item

CreateSchedule

DeleteSchedule

DuplicateSchedule


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Schedule object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Schedule name: The Schedule can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> CreateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new Schedule.

Datatype

CreateSchedule(String bstrName) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> DeleteSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Schedule.

Datatype

DeleteSchedule(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateSchedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> DuplicateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will copy the schedule identified by bstrFullSourceName into the PfsSchedules collection. It will return a pointer to the newly created PfsSchedule.

Note: The name of the copy will be made unique the same way as over the GUI.

bstrFullSourceName: Name with all parent names of a PfsSchedule. May be found in the PfsSchedule.KeyNote Property

bCopyChildSchedules: If true, all Child Schedules of the Source Schedule will be copied as well. If false, the source Schedule will be copied without any children.

Datatype

DuplicateSchedule(BSTR bstrFullSourceName, BOOL bCopyChildSchedules) As IPfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DuplicateSchedule()

{

// Get the Schedule we want to copy

var sourceSchedule = this.Pfs().Groups().Item("someGroupName").Schedules().Item("theScheduleIWantToCopy");

// Get the Collection into which we want to paste the new copy

var targetSchedules = this.Pfs().Groups().Item("theGroupIWantToCopyTheScheduleInto").Schedules();

// Create a Copy

var newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, 1);

this.Pfs().Save();

// Inspect the result

System.Windows.Forms.MessageBox.Show("newObject: " + newSchedule.KeyNote);

}

VB.NET

VBA

Public Sub SimpleDuplicate()

'Get the Schedule we want to copy

Dim sourceSchedule As PfsSchedule

Set sourceSchedule = thisProject.pfs.Groups.Item("someGroupName").schedules.Item("theScheduleIWantToCopy")

'Get the Collection into which we want to paste the new copy

Dim targetSchedules As PfsSchedules

Set targetSchedules = thisProject.pfs.Groups.Item("theGroupIWantToCopyTheScheduleInto").schedules

'Create a Copy

Set newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, True)

thisProject.pfs.save

'Inspect the result

Debug.Print "newObject: " + newSchedule.KeyNote

End Sub


PfsScheduleTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Schedule Times are the entries in a schedule which can contain switching points for functions or variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Types and times of '''''''
''''''''''''''''all Schedule Times''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub mytest1()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs
Dim i As Integer

For i = 0 To mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count - 1

Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Type
Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Time
Next i

End Sub

Public Sub TestMacro_UserEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

Set pfsEvent = thisProject.Pfs.Events.Item(0)

pfsTime.UserEventId = pfsEvent.ID

thisProject.Pfs.Save

End Sub

Public Sub TestMacro_PredefniedEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

pfsTime.EventId = tpPfsShiftStart

thisProject.Pfs.Save

End Sub

Ancora in questo capitolo

PfsScheduleTime-Properties

PfsScheduleTime-Methods


PfsScheduleTime-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpPfsEventTypes | EventId |  | not used | not used | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
double | Offset |  | available | available | yes | yes
IPfsScheduleTimes | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | Time |  | available | available | yes | yes
tpPfsTimeTypes | Type |  | available | available | yes | yes
long | UserEventId |  | not used | not used | yes | yes

Ancora in questo capitolo

Parent

Time

Type

EventId

Offset

UserEventId

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleTimes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Time which is set to the Schedule Time.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsTimeTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EventId

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> EventId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a pre-defined event to a relative switch point.

Datatype

EventId() As tpPfsEventTypes

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Offset

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the deviation of the set time.

Datatype

Offset() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserEventId

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> UserEventId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a user defined event to a relative switch point.

Datatype

UserEventId() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTime-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | Event | - | not used | not used | yes | yes
IPfsScheduleValues | ScheduleValues | - | available | available | yes | yes

Ancora in questo capitolo

ScheduleValues

Event


ScheduleValues

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods -> ScheduleValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains all linked values of the schedule time.

Datatype

ScheduleValues() As PfsScheduleValues

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Event

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods -> Event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

Event() As PfsEvent

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleTimes

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleTimes collection contains the times of the schedule. As the times of a schedule are inherited to its children, this list contains all times of the schedule itself and all the times of parent schedules.Several switching operations can be executed at any time! With the Item method combined with the Count property you can iterate through the existing times.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creating and Deletion of 5''''''''''
'''''''''''''''Schedule Times'''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytime As tpPfsTimeTypes

mytime = tpPfsRelativeTime
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g

Debug.Print "-------Creation-------"

For i = 0 To 4
Debug.Print g
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.CreateTime (mytime)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Next i

Debug.Print "-------Deletion-------"

For i = g - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.DeleteTime (i)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g
Next i

End Sub

Ancora in questo capitolo

PfsScheduleTimes-Properties

PfsScheduleTimes-Methods


PfsScheduleTimes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTimes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleTime | CreateTime | - | available | available | yes | yes
VARIANT_BOOL | DeleteTime | - | available | available | yes | yes
IPfsScheduleTime | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateTime

DeleteTime


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleTime object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> CreateTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new ScheduleTime.

Datatype

CreateTime(tpPfsTimeTypes tpTimeType) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> DeleteTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleTime.

Datatype

DeleteTime(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A ScheduleValue is a subelement of a ScheduleTime. One ScheduleTime can have many ScheduleValues. For Instance: An absolute ScheduleTime is configured at 12:00am. If you want to change the value of three variables and excecute two functions at 12:00am you need to add five ScheduleValues.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Reading out Count, Value'''''''''''
''''''''''Active Status and type of'''''''''''
'''''''''''''''Schedule Values''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Debug.Print "------>Count:"
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1
Debug.Print "--->Item " & i & ": "
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).value
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Active
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Type
Next i
End Sub

Ancora in questo capitolo

PfsScheduleValue-Properties

PfsScheduleValue-Methods


PfsScheduleValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | available | available | yes | yes
IPfsScheduleValues | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes
VARIANT | Value |  | available | available | yes | yes
short | PasswordLevel |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Active

Type

Value

Guid

Session

PasswordLevel


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleValues

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property gives you the possibility to activate or deactivate single ScheduleValues.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Value which is written to a variable when the ScheduleValue is executed.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleValue which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PasswordLevel

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> PasswordLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValue-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | GetScheduleLink | - | available | available | yes | yes
IPfsScheduleLink | ScheduleLink | For internal use only | available | available | yes | yes
VARIANT_BOOL | SetScheduleLink | - | available | available | yes | yes

Ancora in questo capitolo

ScheduleLink

GetScheduleLink

SetScheduleLink


ScheduleLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> ScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

-

Datatype

ScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetScheduleLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> GetScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode returns the ScheduleLink object of the ScheduleValue.

Datatype

GetScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetScheduleLink

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> SetScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manually set the ScheduleLink.

Datatype

SetScheduleLink(IPfsScheduleLink pLink) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValues

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleValues collection contains the switching points of a schedule. A switching point is linked to a point of time, a variable/function and a value or VBA macro.The execution of the switching point is defined with a status (in-/active). The linked point of time can also be taken from a parent schedule.With this Item method combined with the Count property you can iterate through the switching points of a schedule.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Creation and Deletion''''''''''''''
'''''''''''of 5 Schedule Values''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()
Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Dim mytype As tpPfsLinkTypes
mytype = tpPfsFunction

Debug.Print "---->Creation:"
For i = 0 To 4
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.CreateValue (mytype)
Next i

Debug.Print "---->Deletion:"
For i = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.DeleteValue (i)
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
Next i
End Sub

Ancora in questo capitolo

PfsScheduleValues-Properties

PfsScheduleValues-Methods


PfsScheduleValues-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsScheduleTime | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As IPfsScheduleTime

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValues-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | CreateValue | - | available | available | yes | yes
VARIANT_BOOL | DeleteValue | - | available | available | yes | yes
IPfsScheduleValue | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateValue

DeleteValue


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleValue object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> CreateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create new Schedule Values at a specific ScheduleTime.

Datatype

CreateValue(tpPfsLinkTypes tpLinkType) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> DeleteValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleValue.

Datatype

DeleteValue(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSwitchingPoint

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPoint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub

Ancora in questo capitolo

PfsSwitchingPoint-Properties


PfsSwitchingPoint-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | ScheduleValue | Schedule value to be executed at the execution time | available | available | yes | yes
Date | ExecutionTime | Time on which the schedule value is executed | available | available | yes | yes
VARIANT_BOOL | Active | If the switching point is to be executed | available | available | yes | yes

Ancora in questo capitolo

ScheduleValue

ExecutionTime

Active


ScheduleValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

short PasswordLevel.

Datatype

ScheduleValue() As IPfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ExecutionTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ExecutionTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time when this particular switching point is executed.

Datatype

ExecutionTime() As Date

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

true, when the switching point is Active and will be executed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object that is used to get a filtered subset of the switching points that are to be executed in a defined timeframe. To use this class first define the filteroptions in the properties of the object, and then call the SwitchingPointPreview() method to get the results for your current filter as an array. Note that the objects in this array are only allowed to be used while the IPfsSwitchingPointFilter object is still alive or until the next call of SwitchingPointPreview().

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

PfsSwitchingPointFilter-Properties

PfsSwitchingPointFilter-Methods


PfsSwitchingPointFilter-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | TimeModelGroup | Filter string for the names of the time model groups that are to be searched | available | available | yes | yes
BSTR | Schedule | Filter string for the names of the schedules that are to be searched | available | available | yes | yes
BSTR | Variable | Filter string for the names of variables that are set by the schedule values | available | available | yes | yes
BSTR | Function | Filter string for the names of the functions that are triggered by the schedule values | available | available | yes | yes
tpPfsData | SearchData | Data that is to be searched. The locally edited version or the stored one | available | available | yes | yes
DATE | StartTime | Start of the time frame in which we search | available | available | yes | yes
DATE | EndTime | End of the timeframe in which we search | available | available | yes | yes

Ancora in questo capitolo

TimeModelGroup

Schedule

Variable

Function

SearchData

StartTime

EndTime


TimeModelGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> TimeModelGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the time model groups that are to be considered.text.

Datatype

TimeModelGroup() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Schedule

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the schedules that are to be considered.

Datatype

Schedule() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the variables that will be set by the switching point.

Datatype

Variable() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the functions that are to be executed by the switching point.

Datatype

Function() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SearchData

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> SearchData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

use tpPfsStoredData to only check the saved configuration or tpPfsEditData to consider the unsaved changes as well.

Datatype

SearchData() As tpPfsData

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start time of your filter timeframe.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End time of your filter timeframe.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SwitchingPointPreview | Returns an array of switching points that match the filter | available | available | yes | yes

Ancora in questo capitolo

SwitchingPointPreview


SwitchingPointPreview

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods -> SwitchingPointPreview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an array of switching points that match the filtering set in its properties. Note that the objects in this array are only valid until you next call SwitchingPointPreview() or the IPfsSwitchingPointFilter is destroyed.

Datatype

SwitchingPointPreview() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsTimeModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A TimeModell contains shifts and breaks and defines the operating time of an equipment.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
'check actual day...
Select Case zPFS_TML.IsOnDay(Now)
Case tpPfsDefaultDay
Debug.Print " tpPfsDefaultDay"
Case tpPfsDefaultHDay
Debug.Print " tpPfsDefaultHDay"
Case tpPfsExecute
Debug.Print " tpPfsExecute"
Case tpPfsSkip
Debug.Print " tpPfsSkip"
Case tpPfsUnused
Debug.Print " tpPfsUnused"
End Select
Next i
End Sub

Ancora in questo capitolo

PfsTimeModell-Properties

PfsTimeModell-Methods


PfsTimeModell-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsTimeModells | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

KeyNote

Guid

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModells

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the Time Model.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the path from the equipment to the TimeModell seperated with dots.. For instance "group1.timemodel1" is the keynote of the timemodel1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the TimeMoedel which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModell-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
tpPfsDayLink | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | not used | not used | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
void | SetDefaultDay | - | not used | not used | yes | yes
IPfsModellShifts | Shifts | - | available | available | yes | yes

Ancora in questo capitolo

Shifts

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Shifts

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> Shifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the shifts of the time model.

Datatype

Shifts() As PfsModellShifts

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> IsOnDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check how a time model is linked to a day.

The methode returns a tpPfsDayLink.

Datatype

IsOnDay(DATE vDate) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vDate As Date

This parameter is of type Date like 'Now' or 'CDate("24.11.2007")'.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> AddToDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a TimeModel can be linked to a Day. As parameters you have to hand over the Date of the day and a Boolean, which defines if the Schedule should be linked to all types of this day or just to this Date.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> RemoveFromDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

RemoveFromDay(DATE vDay) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> IsDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check the tpPfsDefaultDays.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

sDayOfWeek As tpPfsDefaultDays

see tpPfsDefaultDays

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> SetDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

SetDefaultDay(tpPfsDefaultDays nDayOfWeek) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a Time Model can be renamed.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsTimeModells

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The TimeModells collection contains the existing time models of a PFS equipment. The time models contain the shift/break times of an equipment. Any number of time models can exist in an equipment.Time models have to be unique within an equipment.With the Item method you can access a time model. With the Item method combined with the Count property you can iterate through the existing models.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'create new TimeModel
Set zPFS_TML = zPFS_GRP.TimeModells.CreateModell("Temporary")
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
Next i
Set zPFS_TML = Nothing
'delete TimeModel
zPFS_GRP.TimeModells.DeleteModell ("Temporary")
'save changes
zPFS.Save
End Sub

Ancora in questo capitolo

PfsTimeModells-Properties

PfsTimeModells-Methods


PfsTimeModells-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

Session


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModells-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsTimeModell | CreateModell | - | available | available | yes | yes
VARIANT_BOOL | DeleteModell | - | available | available | yes | yes
IPfsTimeModell | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item

CreateModell

DeleteModell


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the TimeModel object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The TimeModel can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> CreateModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a Time Model.

Datatype

CreateModell(String bstrName) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteModell

Manuale -> Interfacce di programmazione -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> DeleteModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Time Model.

Datatype

DeleteModell(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub ShowAlarms()
Dim zPicCEL As DynPicture
Dim zPicFilter As PictureFilter
Dim zFctAML As RtFunction

'Name of the CEL Screen
Const strCELPicture As String = "EVENTS"
'Name of the PictureSwitch Funktion to open the AML Screen
Const strAMLFunction As String = "picALARM"

'get CEL Screen objects
Set zPicCEL = thisProject.DynPictures.Item(strCELPicture)
'get AML function object
Set zFctAML = thisProject.RtFunctions.Item(strAMLFunction)

'check if Screen and Function exists
If Not zPicCEL Is Nothing And Not zFctAML Is Nothing Then
'if picture is not opened, then exit...
If zPicCEL.Online = False Then Exit Sub

'get actual PictureFilter
Set zPicFilter = zPicCEL.PictureFilter

'change Filter Settings in 'Picture Switch' function...
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime1") = zPicFilter.DynProperties("TimeFilter.ARVTime1")
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime2") = zPicFilter.DynProperties("TimeFilter.ARVTime2")
'execute function
zFctAML.Start
End If
End Sub

Ancora in questo capitolo

PictureFilter-Methods


PictureFilter-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project

Manuale -> Interfacce di programmazione -> Objectmodel -> Project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Project is the most central VBA object, as it contains the single modules, as e.g. variables, drivers, ....The single objects of Project can be found in the collection Projects of the object Application. This way is needed for external applications, that are written e.g. in VB or VC++ and access the COM interface of the control system.In Visual Basic for Applications (VBA) the current project always is available via thisProject. The validity in ths case is restricted to the current project. If you need to access a project from within another project, then you have to get the appropriate project from the central collection Projects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ProjectExample()

'Return the name of the actual project
MsgBox "Name of the actual project = " & thisProject.Name
'Return the SQL path of the project
MsgBox "Project path = " & thisProject.Path
'Return the unique GUID of the project
MsgBox "GUID of the project = " & thisProject.DynProperties("GUID")
'Return the number of pictures in the project
MsgBox "Number of pictures = " & thisProject.DynPictures.Count
'Return the number of variables in the project
MsgBox "Number of variables = " & thisProject.Variables.Count
'Return the number of templates in the project
MsgBox "Number of templates = " & thisProject.Templates.Count
'Return the number of functions in the project
MsgBox "Number of functions = " & thisProject.RtFunctions.Count

End Sub

Ancora in questo capitolo

Project-Properties

Project-Methods

Project-Events


Project-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IFontLists | FontLists | Returns the FontList object. |  | available | not used | yes | yes
BSTR | Guid | Returns the unique Project guid(Read Only). |  | read only | read only | yes | yes
VARIANT_BOOL | IsGlobal |  |  | read only | read only | yes | yes
VARIANT_BOOL | IsNet |  |  | available | read only | yes | yes
ILanguageTable | LanguageTable | Returns the Language Table |  | available | not used | yes | yes
IMessageControl | MessageControl | Returns the MessageControl object. |  | available | not used | yes | yes
BSTR | Name |  |  | read only | read only | yes | yes
tpProjectNetTypes | NetType |  |  | not used | read only | yes | yes
IProjects | Parent |  |  | read only | read only | yes | yes
BSTR | Path |  |  | read only | read only | yes | yes
IRemoteTransport | RemoteTransport | Returns the remote transport object. |  | available | not used | yes | yes
long | ScreenHeight | Sets the height of the screen (Editor Only). |  | available | not used | yes | yes
long | ScreenWidth | Sets the width of the screen (Editor Only). |  | available | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object. |  | read only | not used | yes | yes
IUnits | Units | Returns the Units object. |  | available | not used | yes | yes
IShiftManagement | ShiftManagement | The shift management object |  | not used | available | yes | yes
IScheduler | Scheduler | The scheduler object | available |  | available | yes |  | yes
ITextListManager | TextListManager | Returns the TextListManager object | not used |  | available | yes |  | yes
IStyleManager | StyleManager | Returns the StyleManager object | not used |  | not used | yes |  | yes

Ancora in questo capitolo

Parent

Name

Guid

Path

IsNet

IsGlobal

NetType

ScreenWidth

ScreenHeight

Symbols

Units

RemoteTransport

FontLists

MessageControl

LanguageTable

ShiftManagement

Scheduler

TextListManager

StyleManager


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Projects

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project. The project name has to be unique within a workspace. Otherwise it cannot be loaded in the Editor.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Path

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Path

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the path of the project.

Datatype

Path() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsNet

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> IsNet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the project is a network project and false if its not.

Datatype

IsNet() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsGlobal

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> IsGlobal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if it is a global project and false if its not.

Datatype

IsGlobal() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NetType

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> NetType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetType() As tpProjectNetTypes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ScreenWidth

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> ScreenWidth

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (width) of the project.

Datatype

ScreenWidth() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ScreenHeight

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> ScreenHeight

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (height) of the project.

Datatype

ScreenHeight() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Units

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As Units

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> RemoteTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoteTransport() As RemoteTransport

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> FontLists

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FontLists() As FontLists

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MessageControl

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> MessageControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageControl() As MessageControl

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> LanguageTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LanguageTable() As LanguageTable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShiftManagement

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> ShiftManagement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShiftManagement() As IShiftManagement

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Scheduler

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scheduler() As IScheduler

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextListManager

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> TextListManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TextListManager() As ITextListManager

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StyleManager

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Properties -> StyleManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StyleManager() As IStyleManager

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Project-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarm | Alarm | - |  | not used | available | yes | yes
IALCEngine | ALCEngine | - |  | available | available | yes | yes
IArchives | Archives | - |  | not used | available | yes | yes
IArchivesED | ArchivesED | - |  | available | not used | yes | yes
VARIANT_BOOL | Build | - |  | available | not used | yes | yes
ICel | Cel | - |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IColorPalettes | ColorPalettes | Return the ColorPalettes object. |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | Decompile | - |  | available | not used | yes | yes
IDrivers | Drivers | - |  | available | available | yes | yes
IDynPictures | DynPictures | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IFileManager | FileManager | - |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
IInterlockings | Interlockings | Returns the Interlockings object. |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
void | ModulePath [PUT] | - |  | available | not used | yes | yes
BSTR | ModulePath [GET] | - |  | available | not used | yes | yes
VARIANT_BOOL | NetSend | By use of this methode, VBA-Data can be send to another System |  | not used | available | yes | yes
IOnlineVariables | OnlineVariables | - |  | not used | available | yes | yes
VARIANT_BOOL | ParentProject | Sets the parent project of the current project. |  | available | not used | yes | yes
IPasswords | Passwords | - |  | available | available | yes | yes
IPfsEngine | Pfs | - |  | available | available | yes | yes
IRecipes | Recipes | - |  | available | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IRemas | Remas | - |  | available | available | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
IRGMRecipeGroups | RGMGroups | - |  | available | available | yes | yes
IRtFunctions | RtFunctions | - |  | available | available | yes | yes
ISapFunctions | SapFunctions | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
BSTR | String | - |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ITasks | Tasks | - |  | available | available | yes | yes
ITemplates | Templates | - |  | available | available | yes | yes
ITimeFunctions | TimeFunctions | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IVarAssignments | VarAssignments | - |  | available | available | yes | yes
IVariables | Variables | - |  | available | available | yes | yes
IVarTypes | VarTypes | - |  | available | available | yes | yes
IZenMenus | ZenMenus | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IBatchManager | BatchManager | Returns the BatchManager object |  | not used | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload |  |  | not used | available | yes | yes
IRtFunctions | RtFunctions |  |  | available | available | yes | yes
ITemplates | Templates |  |  | available | available | yes | yes
BSTR | String |  |  | not used | available | yes | yes
IRemas | Remas |  |  | available | available | yes | yes
ITasks | Tasks |  |  | available | available | yes | yes
IScripts | Scripts |  |  | available | read only | yes | yes
IRGMRecipeGroups | RGMGroups |  |  | available | available | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ISapFunctions | SapFunctions |  |  | not used | available | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Reload

ModulePath [GET]

ModulePath [PUT]

Drivers

Variables

OnlineVariables

RtFunctions

Templates

DynPictures

Passwords

String

Alarm

Cel

Remas

Pfs

Archives

Tasks

VarTypes

Scripts

ZenMenus

TimeFunctions

VarAssignments

Recipes

RGMGroups

ArchivesED

FileManager

Build

Decompile

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

ALCEngine

NetSend

SetUserPropertyStrings

Interlockings

ParentProject

ReplaceLinks

SystemModelManager

ColorPalettes

SapFunctions

BatchManager


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New Items like AlarmClasses can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create/Change 3 AlarmClasses...
Sub CreateAlarmClasses()
Dim zPRJ As Project
Dim i As Integer
Dim bResult As Boolean

Set zPRJ = MyWorkspace.ActiveDocument
For i = 1 To 3
'check if AlarmClass exists
If CInt(zPRJ.DynProperties("AlarmClasses[-1]")) < i Then
'Create new AlarmClass
bResult = zPRJ.CreateDynProperty("AlarmClasses")
If bResult Then
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Else
'change existing classes
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Next i
End Sub


Reload

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Reload(VARIANT_BOOL bMody) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModulePath [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ModulePath [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath(tpModulePaths lModule) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModulePath [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ModulePath [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath (tpModulePaths lModule, String szNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Drivers

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Drivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the driver administration. In the driver administration all defined drivers are available. The single driver objects offer important information, e.g. status, driver name, ...

Datatype

Drivers() As Drivers

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variables

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the variables list. The single variables contain on the one hand most of their defined properties, e.g. signal resolution, limits, name, .... and on the other hand Runtime data, e.g. current value, status, ...

Datatype

Variables() As Variables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnlineVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> OnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the online variables administration. The online variables enable a very performant access on changed variables values. With this object you can create an online variable dynamically and link it with a control system variable. The variable is identified with an unique name.With the method Define of the online variable checking the variable is activated.On initializing/changing a variable, that was linked to the online variable, in VBA a Event is executed. In the event handler you now can react on the changed value.

Datatype

OnlineVariables() As OnlineVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> RtFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RtFunctions() As IRtFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Templates

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Templates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Templates() As ITemplates

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPictures

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> DynPictures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the defined pictures (*.zp). With the name or the index a picture can be accessed. The different elements DynPicture contain information on the display (position, colour, status, ... ), the linked Frame and a list of the dynamic elements of the picture.

Datatype

DynPictures() As DynPictures

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Passwords

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object of the user administration. This object contains the defined users of the project. You also have the possibility to create new users or edit/delete existing users.Additionally you can use this object to find out the currently logged in user.

Datatype

Passwords() As Passwords

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


String

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> String

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

String(BSTR strKeyId) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for alarming.With this object the single alarms can be accessed and the properties of the alarms can be read.With Events you have the possibility, to execute actions on the occurance of events.

Datatype

Alarm() As Alarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Cel

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Cel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Cel' object for the Chronologic Event List. With this object CEL entries can be created or inherited.

Datatype

Cel() As Cel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Remas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Remas() As IRemas

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Pfs

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Pfs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the PfsEngine object. With this object you have the opportunity to handle the hole production and facility scheduler.

Datatype

Pfs() As PfsEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Archives

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Archives' object to read and write archive values.

Datatype

Archives() As Archives

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Tasks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tasks() As ITasks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


VarTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> VarTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the datatypes. With this object datatypes can be created, edited and deleted.

Datatype

VarTypes() As VarTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Scripts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scripts() As IScripts

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenus

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ZenMenus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the menus. With this object menus can be created, edited and deleted.

Datatype

ZenMenus() As ZenMenus

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> TimeFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the list of defined time functions. With this object time functions can be created, edited and deleted.

Datatype

TimeFunctions() As TimeFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarAssignments

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> VarAssignments

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the VarAssignments. The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.

Datatype

VarAssignments() As VarAssignments

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Recipes

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the recipes object. With this object you have the opportunity to handle standard recipes.

Datatype

Recipes() As Recipes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> RGMGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RGMGroups() As IRGMRecipeGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArchivesED

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ArchivesED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ArchivesED' object to create archives in the editor.

Datatype

ArchivesED() As ArchivesED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> FileManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the file manager. With this object graphics, language, help, multimedia, lists, driver and other files can be managed.

Datatype

FileManager() As FileManager

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Build

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Build

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an rebuild of the runtime files, depending to given parameter all or only the changed files are created.

Datatype

Build(tpBuildMethod lMethod) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the kind of compilation. tpAll = 0, tpIncremental = 1

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lMethod As tpBuildMethod

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub BuildRtFiles()
'build only changed
MyWorkspace.ActiveDocument.Build tpIncremental
'build all
MyWorkspace.ActiveDocument.Build tpAll
End Sub


Decompile

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Decompile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an import of the runtime files, depending to given parameter there will be a warning message or not.

Datatype

Decompile(Boolean bPromptForOverwrite) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

True for a message in the editor which asks you if the projected files should be replaced by the runtime files. False if no message should appear.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bPromptForOverwrite As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeCompileRTFiles()
'Runtime files will be imported with warning message
MyWorkspace.ActiveDocument.Decompile True
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCEngine

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ALCEngine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ALCEngine' object of the automatic line coloring mechanism.

Datatype

ALCEngine() As ALCEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NetSend

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> NetSend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetSend(tpNetSendType NetSendType, String strDestination, long lId, VARIANT pvData) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A string wich defines the destination computer. For example: "Workstation_1". This parameter is only evaluated when tpNetSendType = tpToSpecificClient is used.

Defines the data which should be sent with the message.

Hint: No zenOn objects can be sent!

A constant which defines the different sending types.

This ID specifies a message and makes it possible to differ it from other messages.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strDestination As String

pvData As Variant

NetSendType As tpNetSendType

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ServerNetSend()

'Server should send to all clients whith an ID = 99 and data = "This is a test"
Debug.Print thisProject.NetSend(2, "", 99, "This is a test")

End Sub


SetUserPropertyStrings

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> SetUserPropertyStrings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetUserPropertyStrings(BSTR strProperty, VARIANT vStrings) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Interlockings

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> Interlockings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the interlockings. With this object you have the opportunity to edit interlockings.

Datatype

Interlockings() As Interlockings

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ParentProject

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ParentProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ParentProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReplaceLinks

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ReplaceLinks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReplaceLinks(BSTR bsSourcePrjName,BSTR bsTargetPrjName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> SystemModelManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelManager() As ISystemModelManager

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ColorPalettes

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> ColorPalettes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ColorPalettes() As ColorPalettes

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> SapFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SapFunctions() As ISapFunctions

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchManager

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Methods -> BatchManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BatchManager() As IBatchManager

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Project-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Active |  | available | available | yes | yes
void | FirePostReload |  | not used | available | yes | yes
void | FirePreReload |  | not used | available | yes | yes
void | Inactive |  | not used | available | yes | yes
void | OnMessageSetDestination | Fired before a message is send. | not used | available | yes | yes
void | OnNetReceive | This event is fired when NetData is received, it contains the Data-Source, an Id and the actual Data | not used | available | yes | yes
void | OnPostVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStop | For internal use only | not used | available | yes | yes
void | OnPreVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnVSTADebugStopped | For internal use only | not used | available | yes | yes
void | SbToServer |  | not used | available | yes | yes
void | ServerToSb |  | not used | available | yes | yes

Ancora in questo capitolo

Active

Inactive

ServerToSb

SbToServer

FirePreReload

FirePostReload

OnNetReceive

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate

OnMessageSetDestination


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on activating the project in the Runtime.A project is activated at the following actions:· Starting the Runtime· Reloading· Redundancy update

Datatype

Active() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Inactive

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> Inactive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on deactivating the project in the Runtime. A project is deactivated at the following actions:· Closing the Runtime · Reloading · Redundancy update

Datatype

Inactive() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ServerToSb

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> ServerToSb

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when a standby which has been uplevelled to server is downlevelled to standby again. The event occurs on the standby server.

Datatype

ServerToSb() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SbToServer

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> SbToServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when the server crashes and so the standby gets server. It is also executed when the server restarts and the standby is downlevelled.

Datatype

SbToServer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePreReload

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> FirePreReload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired on client or standby-server when a reload of the project is started.

Datatype

FirePreReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePostReload

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> FirePostReload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired after the FirePreReload on client or standby-server when a reload of the project is started.

Datatype

FirePostReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnNetReceive

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnNetReceive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event reacts on receiving a NetSend message.

Datatype

OnNetReceive(String strSource, long lId, LPVARIANT pvData) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter reads out the data of the NetSend message.

This string provides the name of the sending computer.

This parameter reads out the ID of the NetSend message.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pvData As Variant

strSource As String

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'This event will be executed when the client receives the NetSend message
Private Sub Project_OnNetReceive(ByVal strSource As String, ByVal lID As Long, pvData As Variant)

MsgBox "Source string = " & strSource
MsgBox "lID = " & lID
MsgBox "Data = " & pvData

End Sub


OnPreVSTADebugStart

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnPreVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnPreVSTADebugStop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnVSTADebugStopped

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnPreVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnPostVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnMessageSetDestination

Manuale -> Interfacce di programmazione -> Objectmodel -> Project -> Project-Events -> OnMessageSetDestination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnMessageSetDestination(String bsDestinationGuid, String bsDestination) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project_OnMessageSetDestination(ByVal bsDestinationGuid As String, bsDestination As String)
Dim strGuid As String
Dim strNewDestination

strGuid = "cdd44b4a-5951-43bb-a9d9-e0810dfb9bc3"
If bsDestinationGuid = strGuid Then
'Now we change the destination before a message is send!
strNewDestination = ""
bsDestination = strNewDestination
End If
End Sub


Projects

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetProjects()
Dim i As Integer
'enumerate all projects
'"Application" instead of "ApplicationED" at runtime!
For i = 0 To ApplicationED.Projects.Count - 1
Debug.Print ApplicationED.Projects.Item(i).Name & _
ApplicationED.Projects.Item(i).DynProperties("GUID")
Next i
End Sub

Sub CreateProject()
'create a new project
ApplicationED.Projects.Create
End Sub

Ancora in questo capitolo

Projects-Properties

Projects-Methods


Projects-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
long | CountHidden | For internal use only | not used | not used | yes | yes
IApplication | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count

CountHidden


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountHidden

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Properties -> CountHidden

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CountHidden() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Projects-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Create | Shows the dialog to create a new project and/or workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateEx | Creates a new project without dialog. | available | not used | yes | yes
IProject | Item | - | available | not used | yes | yes
IProject | ItemHidden | For internal use only | not used | not used | yes | yes

Ancora in questo capitolo

Item

ItemHidden

Create

CreateEx


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Project from the collection, identified by the parameter vID.The parameter vID can have two values:- Index: The access with the index is often used in combination with the property Count to find an object Project by its position in the list. For „simple“ (not hierarchical) projects the index 0 always is the current project.- Project name: The project can be found by its name.

Datatype

Item(VARIANT vID) As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemHidden

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Methods -> ItemHidden

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemHidden(VARIANT vID) As Project

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog to create a new project.

Datatype

Create() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Projects -> Projects-Methods -> CreateEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Projects-Collection has received a new method CreateEx(), in order to generate projects without dialogs:

Project name and project basis path can be specified as parameter, in order to define whether it is a global project or a multi user project and in the last case its server name. The new project is basically attached to the open workspace and no error messages or queries will be displayed as dialogs or message boxes.

Datatype

CreateEx(String bsName, String bsPath, Boolean bGlobal, Boolean bMultiUser, String bsServer) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Call MyWorkspace.Application.Projects.CreateEx("Hugo", "D:\TEMP\HUGO", False, False, "")


PropParam

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PropParam

Possibility to determine PropertyOptions and read,write status for properties.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub

Ancora in questo capitolo

PropParam-Properties

PropParam-Methods


PropParam-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Enabled | Returns whether or not the property is enabled. | read only | read only | yes | yes
long | OptionCount | Returns the amount of options. | read only | read only | yes | yes

Ancora in questo capitolo

OptionCount

Enabled


OptionCount

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Properties -> OptionCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of available Options, in case there are no Options this value will be: 0.

Datatype

OptionCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a value that determines if the property is usable or not.

Datatype

Enabled() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PropParam-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | OptionText | Returns the text of the option at the given index | read only | read only | yes | yes
VARIANT | OptionValue | Returns the value of the option at the given index | read only | read only | yes | yes

Ancora in questo capitolo

OptionText

OptionValue


OptionText

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Methods -> OptionText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of Option lIndex

Datatype

OptionText(long lIndex) As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


OptionValue

Manuale -> Interfacce di programmazione -> Objectmodel -> PropParam -> PropParam-Methods -> OptionValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the value of Option lIndex.

Datatype

OptionValue(long lIndex) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Recipe

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Recipe(ByRef zRecipes As Recipes)
'Declarations
Dim zRecipe As recipe
Dim zVariable As Variable
Dim i As Integer

'Initialization of zRecipe with the first element in the "zRecipes" object
Set zRecipe = zRecipes.Item(0)
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object
'Assign zVariable with a default value of 50
zRecipe.Create zVariable.PvID, 50

'For every "RecipeValue" object in zRecipe,...
For i = 0 To zRecipe.Count - 1
'... output the name
Debug.Print "Name: " & zRecipe.Item(i).ItemVariable.Name
'and value
Debug.Print "Value: " & zRecipe.Item(i).Value
Next i

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)

End Sub

Ancora in questo capitolo

Recipe-Properties

Recipe-Methods

Recipe-Dynamic properties


Recipe-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | available | yes | yes
IRecipes | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the recipe.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipe-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipeValue | Create | Creates and returns a new Object | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | ExecuteValues | - | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file | available | not used | yes | yes
IRecipeValue | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | ReadValues | - | not used | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

Export

ExecuteValues

ReadValues

Save

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ExportXML

ImportXML


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RecipeValue"object at a position or by a specified key.

Datatype

Item(VARIANT vID) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "RecipeValue" object.

Datatype

Create(long PvID,double dfValue,[optional]VARIANT vProjekt) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be assigned.

Default value of the assigned variable.

Defines the project, where the "RecipeValue" object should be created. If this value is not specified, the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

dfValue As double

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateRecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the first "Variable" object within the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object within zRecipe
'zVariable.PvID assigns zVariable to the recipe
'22 will be the default value of zVariable
zRecipe.Create zVariable.PvID, 22

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "RecipeValue" object from the collection by the PvID of the "Variable" object that was assigned to the "RecipeValue" object.

Datatype

Delete(long PvID,[optional]VARIANT vProjekt) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be deleted.

Defines the project, where the "RecipeValue" object should be deleted. If this value is not specified the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub DeleteRecipeValue(ByRef zRecipe As recipe)

'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the variable that is named "zenOn_Test"
Set zVariable = thisProject.Variables.Item("zenOn_Test")

'Deletes the variable "zenOn_Test" from the recipe
zRecipe.Delete zVariable.PvID

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the recipe into a textfile.

Datatype

Export(String strFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecuteValues

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> ExecuteValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

ExecuteValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReadValues

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> ReadValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

ReadValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ExportXML

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportXML

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Methods -> ImportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Recipe-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Formulation

Ancora in questo capitolo

Formulation


Formulation

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipe -> Recipe-Dynamic properties -> Formulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

Nome

Nome univoco della ricetta.
Default: Recipe_x (x è un numero progressivo)

Ulteriori informazioni nella guida in linea.

VT_UI2

PasswordLevel

Livello di autorizzazione:

I livelli di autorizzazione necessari per modificare la ricetta nel Runtime.
Un utente può effettuare operazioni concernenti le ricette (lettura, cambiamenti effettuati manualmente, cancellazione) solo se dispone del livello di autorizzazione richiesto.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SyncWrite

Timeout [ms]

Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout.
Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue:
3000+(100* Numero di punti dati)
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

SyncWriteTimeout

Timeout [ms]

Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout.
Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue:
3000+(100* Numero di punti dati)
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Recipes

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "Recipe" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Recipes()
'Declarations
Dim zWork As Project
Dim zRecipes As Recipes
Dim zRecipe As recipe
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zWork with current project
Set zWork = thisProject
'Initialization of zRecipes with the recipe list of the project
Set zRecipes = zWork.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = zWork.Variables.Item(0)
'Initialization of zRecipeValue with the new assigned variable. Default-Value = 5
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 5)

'Deletes the recipe "zenOn_Recipe"
zRecipes.Delete (zRecipe.Name)

End Sub

Ancora in questo capitolo

Recipes-Properties

Recipes-Methods


Recipes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IRecipe | Create | Creates and returns a new Object |  | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | not used | available | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file |  | available | not used | yes | yes
IRecipe | Item | Returns a object at a position or by a specified key |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Ancora in questo capitolo

Item

Create

Delete

Import

ExportXML

SingleExport

ImportXML

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Recipe" object at a position or by a specified key.

Datatype

Item(VARIANT vID) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Recipe" object by name as string parameter.

Datatype

Create(String strName) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the new "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateNewRecipe()
'Declarations
Dim zRecipes As Recipes
Dim zRecipe As recipe

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "Recipe" object from the collection.

Datatype

Delete(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the former created "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteRecipe()
'Declarations
Dim zRecipes As Recipes

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes

'Deletes the recipe with the name "zenOn_Recipe"
zRecipes.Delete ("zenOn_Recipe")
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports a recipe from a textfile.

Datatype

Import(String strFileName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file.

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportXML

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> ImportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Recipes -> Recipes-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RecipeValue

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RecipeValue" object is utilized by the "Recipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_RecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Initialization of zRecipeValue by creating a new "RecipeValue" object
'Assigns zVariable with a default value of 50
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 50)

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)
End Sub

Ancora in questo capitolo

RecipeValue-Properties

RecipeValue-Methods

RecipeValue-Dynamic properties


RecipeValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipe | Parent |  | read only | read only | yes | yes
long | Type |  | read only | read only | yes | yes
double | Value |  | available | available | yes | yes

Ancora in questo capitolo

Parent

Type

Value


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "RecipeValue" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the "RecipeValue" object.

Datatype

Value() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeValue-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

ItemVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets, sets or modifies the assigend "Variable" object. For further information, please have a look at the "Variable" object part.

Datatype

ItemVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RecipeValue-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Recipe set value

Ancora in questo capitolo

Recipe set value


Recipe set value

Manuale -> Interfacce di programmazione -> Objectmodel -> RecipeValue -> RecipeValue-Dynamic properties -> Recipe set value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | VarName | Variabile | Variable
VT_BSTR | VarTagName | Identificazione | Identification
VT_BSTR | VarUnit | Unità di misura | Unit
VT_R8 | Minimum | Minimo | Minimum
VT_R8 | SetValue | Imposta valore | Set value
VT_R8 | Maximum | Massimo | Maximum


Rema

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Reaction Matrices are the most sophisticated way to deal with stati.Here single stati can be evaluated and cause alarms. Basically a status can be treated like a value. As with a value it is also possible with a status to cause certain actions.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_CreateAnalogRema()
'*************** Use this code in the editor ***************

'Declaration zRema
Dim zRema As Rema

'Initialize zRema by creating a new analog rema with the name "zenOn_AnalogRemaExample"
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_AnalogRemaExample")

'Create a new state...
zRema.CreateState

'... and intialize the state by handing the rema over to the initialization example for state objects
Call zenOn_SetStateForAnalogRema(zRema)

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0).ID
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Ancora in questo capitolo

Rema-Properties

Rema-Methods


Rema-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | IsAlarm |  | read only | read only | yes | yes
VARIANT_BOOL | IsBTB |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunction |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionClient |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionServer |  | read only | read only | yes | yes
VARIANT_BOOL | IsStateBlinking |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IRemas | Parent |  | read only | read only | yes | yes
long | StateCount |  | read only | read only | yes | yes
tpStateBit | Status |  | read only | read only | yes | yes
tpRema | Type |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Type

Status

IsAlarm

IsBTB

IsFunction

IsFunctionServer

IsFunctionClient

IsStateBlinking

StateCount


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Remas

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the Reaction Matrix.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpRema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is defined as an alarm.

Datatype

IsAlarm() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsBTB

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsBTB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is also logged in the Chronologic Event List (CEL).

Datatype

IsBTB() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function.

Datatype

IsFunction() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionServer

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsFunctionServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the server.

Datatype

IsFunctionServer() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionClient

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsFunctionClient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the client.

Datatype

IsFunctionClient() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsStateBlinking

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> IsStateBlinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least for one status of the reaction matrix the property "flashing" is activated.

Datatype

IsStateBlinking() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StateCount

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Properties -> StateCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of states within the Reaction Matrix.

Datatype

StateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Rema-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
IState | CreateState | - | available | not used | yes | yes
void | DeleteState | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetColor | - | available | read only | yes | yes
long | GetDelayZeit | For internal use only | available | available | yes | yes
tpStateBit | GetStatus | - | available | available | yes | yes
BSTR | GetText | - | available | available | yes | yes
VARIANT_BOOL | StateIsAlarm | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsBTB | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunction | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionClient | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionServer | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsStateBlinking | - | read only | read only | yes | yes
IState | StateItem | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

GetColor

GetStatus

GetDelayZeit

GetText

StateIsAlarm

StateIsBTB

StateIsFunction

StateIsFunctionServer

StateIsFunctionClient

StateIsStateBlinking

CreateState

DeleteState

StateItem


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Method is able to create SubItems of the actual object, the Parameter has to be the Name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Subitem as String

Example: "State"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Base()
Dim zProject As Project
Dim zRema As Rema
Dim bResult As Boolean

'get Project and Rema object
Set zProject = MyWorkspace.ActiveDocument
Set zRema = zProject.Remas.Item("MyRema")

'create SubItem States....
bResult = CreateSubItem(zRema, "State")

If bResult Then
MsgBox "SubItem 'State' was created successfully!"
Else
MsgBox "SubItem 'State' already exists or could not be created!"
End If

End Sub

Function CreateSubItem(zenOnObject As Object, strDynProperty As String) As Boolean
Dim nCount As Integer
'get count of given DynProperty
nCount = zenOnObject.DynProperties(strDynProperty & "[-1]")
If nCount = 0 Then '0 = DynProperty-SubItem not found
'create SubItem with given parameters...
CreateSubItem = zenOnObject.CreateDynProperty(strDynProperty)
Exit Function
End If
CreateSubItem = False
End Function


GetColor

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> GetColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Color of the corresponding state object.

Datatype

GetColor(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetStatus

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> GetStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "Status" flags from the corresponding state object. For further information have a look at the "Status" description in the "State" object part.

Datatype

GetStatus(long iIndex) As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetDelayZeit

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> GetDelayZeit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

GetDelayZeit(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetText

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> GetText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the set text that will be displayed, if the defined limit is reached.

Datatype

GetText(long iIndex) As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitAlarm" is set TRUE.

Datatype

StateIsAlarm(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsBTB

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsBTB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBtb" is set TRUE.

Datatype

StateIsBTB(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFkt" is set TRUE.

Datatype

StateIsFunction(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionServer

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunctionServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktServer" is set TRUE.

Datatype

StateIsFunctionServer(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionClient

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunctionClient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktClient" is set TRUE.

Datatype

StateIsFunctionClient(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsStateBlinking

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateIsStateBlinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBlink" is set TRUE.

Datatype

StateIsStateBlinking(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateState

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> CreateState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new state within the Reaction matrix.

Datatype

CreateState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteState

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> DeleteState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing state within the Reaction Matrix.

Datatype

DeleteState(VARIANT vPos) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Rema -> Rema-Methods -> StateItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "State" object with the selected state from the Reaction Matrix.

Datatype

StateItem(VARIANT vPos) As State

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "Rema" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RemasExample()

'Declarations
Dim zRemas As Remas
Dim zBinRema As Rema
Dim zAnaRema As Rema
Dim i As Integer

'Initialization of zRemas
Set zRemas = MyWorkspace.ActiveDocument.Remas
'Intialization of zBinRema by creating a new binary rema
Set zBinRema = zRemas.Create(tpBinaer, "zenOn_BinaryRema")
'Intialization of zAnaRema by creating a new analog rema
Set zAnaRema = zRemas.Create(tpAnalog, "zenOn_AnalogRema")

'Output some details on the remas
For i = 0 To zRemas.Count - 1
'Display name
Debug.Print "Name: " & zRemas.Item(i).Name
'Show type of Reaction Matrix
Select Case zRemas.Item(i).Type
Case Is = 1
Debug.Print "Type: Binary"
Case Is = 2
Debug.Print "Type: Analog"
Case Is = 3
Debug.Print "Type: MultiBinary"
Case Is = 4
Debug.Print "Type: MultiAnalog"
Case Is = 5
Debug.Print "Type: String"
End Select
Next i

'Delete the binary rema by its position
Debug.Print zRemas.Delete(1)
'Delete the analog rema by its name
Debug.Print zRemas.Delete("zenOn_AnalogRema")

End Sub

Ancora in questo capitolo

Remas-Properties

Remas-Methods


Remas-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of remas | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Remas-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRema | Create | Creates a new rema (unique name) |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Delete the given rema |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRema | Item | Returns the rema on the given position or name |  | available | available | yes | yes
IRema | ItemById | Returns the rema with the given id |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Ancora in questo capitolo

Item

ItemById

Create

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix at the given position.

Datatype

Item(VARIANT vNamePos) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix with the given ID.

Datatype

ItemById(VARIANT vID) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(tpRema rID, String strName) As Rema

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing Reaction Matrix by its position or by name.

Datatype

Delete(VARIANT vID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will not be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Remas -> Remas-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransport

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Ancora in questo capitolo

RemoteTransport-Properties

RemoteTransport-Methods


RemoteTransport-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomCount | Returns the amount of custom entries. | available | not used | yes | yes
BSTR | CEFolder | Get/Set the CE folder. | available | not used | yes | yes
VARIANT_BOOL | HidePasswordDialog | Get/Set whether the password dialog is shown. | available | not used | yes | yes
VARIANT_BOOL | IncludeAdditional | Get/Set whether the Additional folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeDrivers | Get/Set whether the Drivers folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeGraphics | Get/Set whether the Graphic folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeHelp | Get/Set whether the Help folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeLists | Get/Set whether the Lists folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeMedia | Get/Set whether the Media folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeReports | Get/Set whether the Reports folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeStraton | Get/Set whether the Straton folder is to be transported. | available | not used | yes | yes
BSTR | Password | Get/Set the connection password. | available | not used | yes | yes
BSTR | ProjectBase | Get/Set the project base. | available | not used | yes | yes
BSTR | SerialName | Get/Set the Serial connection address. | available | not used | yes | yes
BSTR | TcpIpName | Get/Set the TCP Name. | available | not used | yes | yes
tpRemoteTransportType | TransportType | Get/Set the connection type. | available | not used | yes | yes
VARIANT_BOOL | UseCEFolderSetting | Get/Set whether the CE folder setting is to be used. | available | not used | yes | yes

Ancora in questo capitolo

ProjectBase

UseCEFolderSetting

CEFolder

IncludeGraphics

IncludeLists

IncludeMedia

IncludeReports

IncludeHelp

IncludeAdditional

IncludeDrivers

IncludeStraton

TcpIpName

SerialName

TransportType

CustomCount

Password

HidePasswordDialog


ProjectBase

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> ProjectBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ProjectBase() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


UseCEFolderSetting

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> UseCEFolderSetting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseCEFolderSetting() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CEFolder

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> CEFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CEFolder() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeGraphics

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeGraphics

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeGraphics() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeLists

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeLists

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeLists() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeMedia

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeMedia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeMedia() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeReports

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeReports

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeReports() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeHelp

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeHelp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeHelp() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeAdditional

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeAdditional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeAdditional() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeDrivers

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeDrivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeDrivers() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeStraton

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeStraton

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeStraton() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TcpIpName

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> TcpIpName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TcpIpName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SerialName

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> SerialName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SerialName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TransportType

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> TransportType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransportType() As tpRemoteTransportType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CustomCount

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> CustomCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Password

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Password() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HidePasswordDialog

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> HidePasswordDialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HidePasswordDialog() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Connect | Start a remote transport connection. | available | not used | yes | yes
IRemoteTransportCustom | CreateCustom | Adds a new custom entry. | available | not used | yes | yes
IRemoteTransportCustom | CustomItem | Returns the custom entry at the given index. | available | not used | yes | yes
BOOL | DeleteCustom | Deletes the custom entry at the given index. | available | not used | yes | yes
void | Disconnect | Stop the current remote transport connection. | available | not used | yes | yes
void | RebootOS | Reboots the remote OS. | available | not used | yes | yes
void | ReloadRT | Reload the remote runtime. | available | not used | yes | yes
void | Retrieve | Retrieve all. | available | not used | yes | yes
BOOL | Save | Saves current remote transport setting. | available | not used | yes | yes
void | SetStartProject | Set start project. | available | not used | yes | yes
void | StartRT | Start the remote runtime. | available | not used | yes | yes
void | StopRT | Stop the remote runtime. | available | not used | yes | yes
void | TransferAll | Transfer all. | available | not used | yes | yes
void | TransferChanged | Transfer changes. | available | not used | yes | yes

Ancora in questo capitolo

CustomItem

CreateCustom

DeleteCustom

Save

Connect

Disconnect

TransferAll

TransferChanged

Retrieve

SetStartProject

StartRT

StopRT

ReloadRT

RebootOS


CustomItem

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> CustomItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomItem(long lIndex) As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateCustom

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> CreateCustom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateCustom() As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteCustom

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> DeleteCustom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteCustom(long lIndex) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Connect

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Connect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Connect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Disconnect

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Disconnect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Disconnect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferAll

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> TransferAll

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferAll() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> TransferChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferChanged() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Retrieve

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Retrieve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Retrieve() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> SetStartProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartRT

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> StartRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StopRT

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> StopRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReloadRT

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> ReloadRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReloadRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RebootOS

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> RebootOS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RebootOS() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransportCustom

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Ancora in questo capitolo

RemoteTransportCustom-Properties


RemoteTransportCustom-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRTCustomAction | ActionType | Get/Set the action type. | available | not used | yes | yes
VARIANT_BOOL | Active | Activate/deactivate the custom entry. | available | not used | yes | yes
BSTR | Comment | Get/Set the comment of the custom entry. | available | not used | yes | yes
BSTR | SourcePath | Get/Set the source path. | available | not used | yes | yes
BSTR | TargetPath | Get/Set the target path. | available | not used | yes | yes

Ancora in questo capitolo

SourcePath

TargetPath

Active

ActionType

Comment


SourcePath

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> SourcePath

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourcePath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TargetPath

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> TargetPath

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TargetPath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ActionType

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> ActionType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActionType() As tpRTCustomAction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Comment

Manuale -> Interfacce di programmazione -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Comment() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RGMRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMRecipe()
'Declarations
Dim zRGM_Recipe As RGMRecipe

'Initialization of zRGM_Recipe with the first recipe within the first recipe group
Set zRGM_Recipe = MyWorkspace.ActiveDocument.RGMGroups.Item(0).RecipeItem(0)

'Modify a Recipe:
Call Modify_RGMRecipe(zRGM_Recipe)

'Write Values from Recipe to variables
Call Write_RGMRecipe(zRGM_Recipe)

'Read from Variables and save as raceipe
Call Read_RGMRecipe(zRGM_Recipe)
End Sub

Sub Modify_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Declarations
Dim i As Integer

For i = 0 To zRGM_Recipe.ValueCount - 1
'Set action type to "Modify spontaneous value"
zRGM_Recipe.ValueItem(i).DynProperties("Type") = 2
'Set value...
zRGM_Recipe.ValueItem(i).DynProperties("Value") = (i + 1) * 25
Next i
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Read_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Read
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Write_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Execute
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Ancora in questo capitolo

RGMRecipe-Properties

RGMRecipe-Methods

RGMRecipe-Dynamic properties


RGMRecipe-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | The identification number of the recipe | available | available | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes
long | Status | The numeric status value of the recipe | available | available | yes | yes
long | ValueCount |  | read only | read only | yes | yes
long | Version | The version of the recipe | available | available | yes | yes
BSTR | Name | The name of the recipe | available | available | yes | yes

Ancora in questo capitolo

Parent

ValueCount

Name

Number

Status

Version


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ValueCount

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> ValueCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMRecipeValue" objects within the "RGMRecipe" object, i.e. the amount of variables assigned to the recipe.

Datatype

ValueCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Number

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Number

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Number() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Version() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipe-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Check | Get differences between recipe and actual values | not used | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe | available | available | yes | yes
VARIANT_BOOL | DuplicateAsVersion | Duplicate this recipe into a new version | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Export the data of this recipe to a xml file for documentation purpose | not used | available | yes | yes
VARIANT_BOOL | Read | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IRGMRecipeValue | ValueItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

ValueItem

Execute

Read

Save

Check

ExportXML

Duplicate

DuplicateAsVersion

Export

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ValueItem

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> ValueItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValueItem(VARIANT vPosOrName) As RGMRecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Read

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Read

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

Read() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Check

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Check

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Check(LPVARIANT pDifferences) As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export the RGMRecipe to an XML File.

Datatype

ExportXML(String strExportPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipe.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateAsVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DuplicateAsVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DuplicateAsVersion() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipe-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipe

Ancora in questo capitolo

Object recipe


Object recipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipe -> RGMRecipe-Dynamic properties -> Object recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

Nome ricetta

Nome per ricetta. Il nome ricetta deve essere univoco. Se File binari è stato selezionato per la proprietà DataSource, il nome può contenere solamente dei caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

VT_UI4

RecipeNumber

Numero ricetta

Numero della ricetta

Ulteriori informazioni nella guida in linea.

VT_UI4

RecipeVersion

Versione ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

VT_UI2

Status

Stato

Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Manager Gruppi di Ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione ricetta. Questa proprietà può essere modificata nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

TimeChange

TimeChange

"this property returns the time the recipe was saved last. When editing the recipe via the automation interface, this property must be set manually by the user"

VT_BSTR

UserChange

Utente dell'ultima modifica

"This property returns the name of the user who has created / modified the recipe. When editing the recipe via the automation interface, this property must be set manually by the user "

VT_R8

TimeSent

TimeSent

for compatibility reasons only

VT_BSTR

UserSent

Utente presente all'ultima modifica

for compatibility reasons only

VT_BOOL

WriteSync

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteSync_IsLocal

WriteSync_IsLocal

VT_UI4

WriteTimeout

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteTimeout_IsLocal

WriteTimeout_IsLocal

VT_UI2

PWLevel

Livello di autorizzazione:

Selezione del livello autorizzazioni fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment1

Commento 1

Riga di commento 1 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment2

Commento 2

Riga di commento 2 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment3

Commento 3

Riga di commento 3 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment4

Commento 4

Riga di commento 4 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment5

Commento 5

Riga di commento 5 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment6

Commento 6

Riga di commento 6 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment7

Commento 7

Riga di commento 7 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment8

Commento 8

Riga di commento 8 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.


RGMRecipeGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RGMRecipeGroup" object manages the "RGMRecipe" collection and the utilized "RGMRecipeVar" variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroup()

'Declarations
Dim zRGM_Group As RGMRecipeGroup
Dim zVariable As Variable
Dim zRGMGroup_Name As String

'Initialization of zRGMGroup_Name with the name of the created group
'zRGMGroup_Name = "zenOn_RGMGroup"
zRGMGroup_Name = MyWorkspace.ActiveDocument.RGMGroups.CreateGroup("zenOn_RGMGroup").DynProperties("Name")
'Initialization of zRGM_Group with the former created group
Set zRGM_Group = MyWorkspace.ActiveDocument.RGMGroups.Item(zRGMGroup_Name)

'Initialization of zVariable with the first element in the "Variables" object of the current project
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add variable to the recipe group
zRGM_Group.AddVariable zVariable
'Create a new recipe in the recipe group
zRGM_Group.CreateRecipe ("zenOn_RGMRecipe")

'Output the number of variables and recipes in the group
Debug.Print "Number of variables: " & zRGM_Group.VariableCount
Debug.Print "Number of recipes: " & zRGM_Group.RecipeCount & vbNewLine

'Rename the recipe
zRGM_Group.RenameRecipe "zenOn_RGMRecipe", "zenOn_RGMRecipeRenamed"

'Delete the whole recipe group
zRGM_Group.Parent.DeleteGroup (zRGM_Group.DynProperties("Name"))

End Sub

Ancora in questo capitolo

RGMRecipeGroup-Properties

RGMRecipeGroup-Methods

RGMRecipeGroup-Dynamic properties


RGMRecipeGroup-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name |  | available | available | yes | yes
IRGMRecipeGroups | Parent | Parent of object | read only | read only | yes | yes
long | VariableCount |  | available | available | yes | yes
long | RecipeCount |  | available | available | yes | yes

Ancora in questo capitolo

Parent

VariableCount

RecipeCount

Name


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VariableCount

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> VariableCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMVar" objects within the collection, i.e. the amount of variables that are assigned.

Datatype

VariableCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeCount

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> RecipeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipeGroup-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipe | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipeVersion | Creates a new recipe version for the given recipe name |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipe | Delete a recipe object by name OR by nummeric index (for name all recipe versions are deleted) |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipeVersion | Delete a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | DeleteVariable | - |  | available | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe group |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT | ListRecipesName | Passes an array with all recipes name of this group |  | available | available | yes | yes
VARIANT | ListRecipeVersions | Passes an array with all versions of a specified recipe |  | available | available | yes | yes
VARIANT | ListVariablesName | List all variable names from this group |  | available | available | yes | yes
IRGMRecipe | RecipeItem | Get a recipe object by name OR by nummeric index (for name the lowest version is returned) |  | available | available | yes | yes
IRGMRecipe | RecipeItemVersion | Get a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | RenameRecipe | - |  | available | available | yes | yes
VARIANT_BOOL | ReorderVariables | Reorders the variables in the group |  | available | available | yes | yes
VARIANT_BOOL | Save | Save the Recipegroup and all Recipegroup Variables |  | available | available | yes | yes
IRGMRecipeVar | VariableItem | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | ListRecipeInfo | Returns a list containing the name, number, version and status of all recipes in the group. | available |  | available | yes |  | yes
VARIANT_BOOL | AddBulk | Adds a bulk of variables to the RGM | available |  | available | yes |  | yes

Ancora in questo capitolo

RecipeItem

RecipeItemVersion

VariableItem

DeleteVariable

DeleteRecipe

DeleteRecipeVersion

AddVariable

CreateRecipe

CreateRecipeVersion

RenameRecipe

Save

Duplicate

ListRecipesName

ListRecipeVersions

ReorderVariables

ListVariablesName

ListRecipeInfo

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AddBulk


RecipeItem

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function was extended by the parameter nversion.

For nVersion, the desired version number of the recipe is specified.

Hint: You can get a list with all possible recipe versions through the method RGMRecipeGroup.ListRecipeVersions.

Datatype

RecipeItem(VARIANT vPosOrName) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeItemVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItemVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeItemVersion(VARIANT vPosOrName, long nVersion) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableItem

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> VariableItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeVar" object from the collection, selected by its name as string or position within the collection.

Datatype

VariableItem(VARIANT vPosOrName) As RGMRecipeVar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "RGMRecipeVar" object from the collection by its name as string or position.

Datatype

DeleteVariable(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function for deleting recipes was extended by the parameter nversion.

For nVersion, either the recipe version to be deleted is specified or 0 if the whole recipe with all its versions should be deleted.

Datatype

DeleteRecipe(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipeVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipeVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteRecipeVersion(VARIANT vPosOrName, long nVersion) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a "Variable" object to the collection.

Datatype

AddVariable(LPDISPATCH lpVariable) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variable" object that should be passed.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lpVariable As LPDISPATCH

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddRemoveVariable(ByRef zRGMGroup As RGMRecipeGroup)
'Declarations
Dim zVariable As Variable

'Initialization of zVariable with the first element of collection within the "Variables" object
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add the variable to the recipe group
zRGMGroup.AddVariable zVariable

'Remove the variable from the recipe group by its name
zRGMGroup.DeleteVariable (zVariable.Name)

End Sub


CreateRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new recipe by its name as a string.

Datatype

CreateRecipe(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateRecipeVersion

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipeVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new version of a recipe.

bstrName The recipe name of a recipe fo which has to be created a new version.

Return value The new created recipe version as RGMRecipe.

Datatype

CreateRecipeVersion(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_Recipes()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim zRecipe As RGMRecipe

Set zRecipeGroups = thisProject.RGMGroups

If zRecipeGroups.count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
Set zRecipe = zRecipeGroup.CreateRecipeVersion("Recipe_A")
If Not zRecipe Is Nothing Then
Debug.Print ("Created new recipe version")
Debug.Print ("Version: " & zRecipe.Version)
End If
End If
End Sub


RenameRecipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RenameRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a recipe by passing the old and new name as string.

Datatype

RenameRecipe(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipeGroup.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ListRecipesName

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipesName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe names of this group.

Return value An array with all recipe names as variant.

Datatype

ListRecipesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipesName()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


ListRecipeVersions

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeVersions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe versions of a recipe of this group.

bsRecipeName The recipe name of the recipe for which the array has to be created.

Return value An array with all recipe version numbers as variant.

Datatype

ListRecipeVersions(String bsRecipeName) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVersionList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array of the RecipeVersion
vRecipeList = zRecipeGroup.ListRecipeVersions("Recipe_A")

For i = 0 To UBound(vRecipeList)
Debug.Print ("Version: " & vRecipeList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ReorderVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ReorderVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReorderVariables(VARIANT vNamesInNewOrder) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Macro_SortVars()
Dim zRecipeGroup As RGMRecipeGroup
Dim sVars1() As String
Dim sVars2() As String
Dim i As Integer

Set zRecipeGroup = MyWorkspace.ActiveDocument.RGMGroups.Item(0)

'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
Debug.Print ("Before reorder")
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
' Move first variable down
ReDim sVars2(UBound(sVars1, 1))
Dim length As Integer
length = UBound(sVars1)
For i = 0 To length
If (i < length) Then
sVars2(i) = sVars1((i + 1)) ' set variable to next index
Else
sVars2(i) = sVars1(0) ' set last variable to first position
End If
Next i
' set new order
Dim b As Boolean
b = zRecipeGroup.ReorderVariables(sVars2)
Debug.Print ("After reorder")
'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
End Sub


ListVariablesName

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListVariablesName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ListVariablesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVariableList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vVariableList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array with the variable names
vVariableList = zRecipeGroup.ListVariablesName()

For i = 0 To UBound(vVariableList)
Debug.Print ("Variable name: " & vVariableList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ListRecipeInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode generates one array with all the following information from all recipes in this group.

RecipeName|RecipeNumber|RecipeVersion|RecipeStatus

The seperator is a Pipe |

Datatype

ListRecipeInfo() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipeVersions()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ExportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups ' Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport)

For i = 0 To zRGMGroups.count - 1
Set zRGMGroup = zRGMGroups.Item(i) ' Get a recipe group
With zRGMGroup
Debug.Print ("Export: " & .Name & " To '" & zFile & .Name & ".XML'")
If Dir(zFile & .Name & ".XML") <> "" Then 'Check if file exist
Debug.Print ("File exist!")
Else
If zRGMGroups.Item(i).Export(.Name & ".XML") Then ' Export with relative path
Debug.Print ("Exported!")
Else
Debug.Print ("ERROR!")
End If
End If
End With
Set zRGMGroup = Nothing
Next i

End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ImportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups 'Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport) & "Group_B.XML" 'RuntimeFolder\Export\Group_B.XML

Debug.Print ("Import: " & zFile)
If Dir(zFile) <> "" Then 'Check if file exist
Debug.Print ("File exist!")
If zRGMGroups.Item("Group_B") Is Nothing Then
Set zRGMGroup = zRGMGroups.CreateGroup("Group_B") 'Create new RGMGroup
If zRGMGroup.Import(zFile) Then 'Import recipes with relative path
Debug.Print ("Imported!")
Else
Debug.Print ("Error!")
End If
Set zRGMGroup = Nothing
End If
End If

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


AddBulk

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddBulk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The AddBulk function takes a Stringarray of Variablenames as a parameter and adds all variables from the array to the Recipegroup.

If a variable is multiple times in the list or added in different bulks, it will be ignored and no error will occure.

Datatype

AddBulk() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

thisProject.RGMGroups.Item("zenon").AddBulk(VariablesNames)

VB.NET

VBA


RGMRecipeGroup-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipes

Ancora in questo capitolo

Object recipes


Object recipes

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties -> Object recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome gruppo

Nome del gruppo ricette.

Nel caso si sia adottata l´impostazione File Binari per la proprietà DataSource, sono consentiti solamente caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteSync

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

VT_UI4

WriteTimeout

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Write_Result

Scrittura ricetta terminata

Risultato dell´esecuzione della ricetta come valore numerico.

VT_BSTR

Feedback_Write_Name

Nome ricetta

Nome della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Number

Numero ricetta

Numero della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Version

Versione ricetta

Versione della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Status_Txt

Testo stato ricetta

Stato della ricetta eseguita per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Write_Status_Nr

Nr. stato ricetta

Stato della ricetta eseguita per ultima come numero.

VT_BSTR

Feedback_Write_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment1

Commento 1

Commento 1 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment2

Commento 2

Commento 2 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment3

Commento 3

Commento 3 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment4

Commento 4

Commento 4 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment5

Commento 5

Commento 5 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment6

Commento 6

Commento 6 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment7

Commento 7

Commento 7 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment8

Commento 8

Commento 8 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Read_Result

Lettura ricetta terminata

Risultato di leggi ricetta come valore numerico.

VT_BSTR

Feedback_Read_Name

Nome ricetta

Nome della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Number

Numero ricetta

Numero della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Version

Versione ricetta

Versione della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Status_Txt

Testo stato ricetta

Stato della ricetta letta per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Read_Status_Nr

Nr. stato ricetta

Stato della ricetta letta per ultima come numero.

VT_BSTR

Feedback_Read_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta letta per ultima.

VT_BSTR

Feedback_Read_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment1

Commento 1

Commento 1 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment2

Commento 2

Commento 2 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment3

Commento 3

Commento 3 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment4

Commento 4

Commento 4 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment5

Commento 5

Commento 5 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment6

Commento 6

Commento 6 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment7

Commento 7

Commento 7 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment8

Commento 8

Commento 8 della ricetta letta per ultima.

VT_BSTR

Feedback_Check_Result

Interrogazione valori ricetta - risultato

Risultato del controllo della ricetta come valore numerico.

VT_BSTR

Feedback_Check_Different

Controllo valori - differenze

Differenze nel risultato del controllo della ricetta come testo.

VT_BSTR

Feedback_Check_Name

Nome ricetta

Nome della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Number

Numero ricetta

Numero della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Version

Versione ricetta

Versione della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Status_Txt

Testo stato ricetta

Stato della ricetta controllata per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Check_Status_Nr

Nr. stato ricetta

Stato della ricetta controllata per ultima come numero.

VT_BSTR

Feedback_Check_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment1

Commento 1

Commento 1 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment2

Commento 2

Commento 2 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment3

Commento 3

Commento 3 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment4

Commento 4

Commento 4 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment5

Commento 5

Commento 5 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment6

Commento 6

Commento 6 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment7

Commento 7

Commento 7 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment8

Commento 8

Commento 8 della ricetta controllata per ultima.

VT_BSTR

Feedback_XMLImport_Result

Risultato di importazione

Successo dell´import XML.


RGMRecipeGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "RGMRecipeGroup" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroups()
'Declarations
Dim zRGM_Groups As RGMRecipeGroups
Dim zRGM_Group As RGMRecipeGroup
Dim i As Integer

'Initialize zRGM_Groups with the "RGMGroups" object of the current project
Set zRGM_Groups = MyWorkspace.ActiveDocument.RGMGroups

'Create a new group called "zenOn_RGMGroup"
zRGM_Groups.CreateGroup ("zenOn_RGMGroup")

'Enumerate all recipe groups
For i = 0 To zRGM_Groups.Count - 1
'Assign the current item to zRGM_Group
Set zRGM_Group = zRGM_Groups.Item(i)

'Enumerate the groups
Debug.Print i + 1 & ". Group: "
'Output name of the group
Debug.Print " Name: " & zRGM_Group.DynProperties("Name")
'Output amount of recipes within the collection
Debug.Print " Recipes: " & zRGM_Group.RecipeCount
'Output amount of variables within the collection
Debug.Print " Variables: " & zRGM_Group.VariableCount
'Output a blank line
Debug.Print ""

'If there are recipes available, then output them
If zRGM_Group.RecipeCount > 0 Then
Call GetRecipesOfGroup(zRGM_Group)
End If

'If there are variables available, then output them
If zRGM_Group.VariableCount > 0 Then
Call GetVariablesOfGroup(zRGM_Group)
End If

Next i

'Delete the former created group
zRGM_Groups.DeleteGroup ("zenOn_RGMGroup")

Debug.Print ""
End Sub

Sub GetRecipesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Recipe As RGMRecipe
Dim i As Integer

Debug.Print "Recipes"
'Enumerate all recipes in the group
For i = 0 To myRGMGroup.RecipeCount - 1
'Assign the current recipe item to zRGM_Recipe
Set zRGM_Recipe = myRGMGroup.RecipeItem(i)
'Output the recipe
Debug.Print " Recipe" & i + 1 & ": " & zRGM_Recipe.DynProperties("RecipeName")
Next i
'Output a blank line
Debug.Print ""
End Sub

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'Enumerate all variables of the group
Debug.Print "Variables"
For i = 0 To myRGMGroup.VariableCount - 1
'Assign the current variable item to zRGM_Variable
Set zRGM_Variable = myRGMGroup.VariableItem(i)
'Output the variable
Debug.Print " Var" & i + 1 & ": " & zRGM_Variable.Name
Next i
'Output a blank line
Debug.Print ""
End Sub

Ancora in questo capitolo

RGMRecipeGroups-Properties

RGMRecipeGroups-Methods

RGMRecipeGroups-Events

RGMRecipeGroups-Dynamic properties


RGMRecipeGroups-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeGroups-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRGMRecipeGroup | CreateGroup | - |  | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - |  | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRGMRecipeGroup | Item | - |  | available | available | yes | yes
VARIANT_BOOL | RenameGroup | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes

Ancora in questo capitolo

Item

CreateGroup

DeleteGroup

RenameGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeGroup" object by its name as a string or by its position.

Datatype

Item(VARIANT vPosOrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new group by its name as string.

Datatype

CreateGroup(String bstrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> DeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a group by its name as string.

Datatype

DeleteGroup(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RenameGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> RenameGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a group by passing the old and new name as string.

Datatype

RenameGroup(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RGMRecipeGroups-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | RecipeCreate | A new recipe is going to be created |  | available | available | yes | yes
void | RecipeCreated | A new recipe was created (from the RGM MDI screen). | not used |  | available | yes |  | yes
void | RecipeDelete | A recipe is going to be deleted |  | available | available | yes | yes
void | RecipeDuplicate | A recipe is going to be created as a duplicate |  | available | available | yes | yes
void | RecipeDuplicated | A recipe was created (from the RGM MDI screen) as a duplicate. | not used |  | available | yes |  | yes
void | RecipeRename | A recipe is going to be renamed |  | available | available | yes | yes
void | RecipeXMLImport | A recipe is going to be imported from a XML file. |  | available | available | yes | yes
void | StatusChange | A recipe status is going to be changed |  | available | available | yes | yes
void | VersionCreate | A new recipe version is going to be created |  | available | available | yes | yes
void | VersionCreated | A new recipe version was created (from the RGM MDI screen). | not used |  | available | yes |  | yes
void | VersionDelete | A recipe version is going to be deleted |  | available | available | yes | yes
void | VersionDuplicate | A recipe version is going to be created as a duplicate |  | available | available | yes | yes
void | VersionDuplicated | A recipe version was created (from the RGM MDI screen) as a duplicate | not used |  | available | yes |  | yes
void | VersionDuplicatedRead | A recipe version was created (from the RGM MDI screen) as a duplicate and read from the PLC | not used |  | available | yes |  | yes
void | VersionDuplicateRead | A recipe version is going to be created as a duplicate and read |  | available | available | yes | yes

Ancora in questo capitolo

StatusChange

RecipeCreate

VersionCreate

RecipeDuplicate

VersionDuplicate

VersionDuplicateRead

RecipeCreated

VersionCreated

RecipeDuplicated

VersionDuplicated

VersionDuplicatedRead

RecipeRename

RecipeDelete

VersionDelete

RecipeXMLImport


StatusChange

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> StatusChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested before changing the status.

obRecipe The concerned recipe.

nStatusNew [ByRef]The wanted status in the way how the operater would like to change it.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

StatusChange(RGMRecipe obRecipe, long nStatusNew, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeCreate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe version.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

VersionCreate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before duplicating (save recipe under) a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDuplicate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicate

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Wird zur Validierung vor dem Anlegen der Rezeptversion beim Duplizieren aufgerufen.

obRecipeGroup Die betroffene Rezeptgruppe zu welcher das Rezept hinzugefügt wird.

strNewName Der Rezeptname.

nNewNumber [ByRef]Die zu vergebende Rezeptnummer.

bCancel [ByRef]Das Flag um diese Aktion abzubrechen. Bei True wird die Aktion abgebrochen.

Datatype

VersionDuplicate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicateRead

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicateRead

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is requested for validation before creating a recipe version on "duplicate and read".

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]The Flag to cancel the action. If true, the action will be canceled.

Datatype

VersionDuplicateRead(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreated

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreated

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicated

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe.

obRecipe [ByRef] The new created recipe.

Datatype

RecipeDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicated

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe version.

obRecipe [ByRef]The new recipe version which has been created.

Datatype

VersionDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicatedRead

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicatedRead

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after „duplicate and read" of a recipe version.

obRecipe [ByRef]The recipe version which has been created new.

Datatype

VersionDuplicatedRead(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeRename

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeRename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before renaming a recipe.

obRecipe The lowest version of the concerned recipe.

strNewName [ByRef]The new recipe name.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeRename(RGMRecipe obRecipe, String strNewName, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDelete

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe (with all its versions).

obRecipe The lowest version of the concerned recipe.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDelete

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe version.

obRecipe The recipe version to be deleted.

bCancel [ByRef]Flag to cancel this action. If true, the action is canceled.

Datatype

VersionDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeXMLImport

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeXMLImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeXMLImport(tpRGMRecipeImport nEventTopic, IRGMRecipeGroup obRecipeGroup, String strRecipeName, long nRecipeVersion, long lCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zRGMRecipeGroups As RGMRecipeGroups

Private Sub Project_Active()
Set zRGMRecipeGroups = thisProject.RGMGroups
End Sub

Public Sub zRGMRecipeGroups_RecipeXMLImport(ByVal nEventTopic As tpRGMRecipeImport, _
ByVal obRecipeGroup As IRGMRecipeGroup, _
ByVal strRecipeName As String, _
ByVal nRecipeVersion As Long, _
lCancel As Long)
Select Case nEventTopic
Case tpRGMRecipeImport.tpOverwriteRecipe
Debug.Print ("Overwrite recipe: " & tpRGMRecipeImport.tpOverwriteRecipe)
Case tpRGMRecipeImport.tpCreateNewRecipe
Debug.Print ("Create new recipe: " & tpRGMRecipeImport.tpCreateNewRecipe)
Case tpRGMRecipeImport.tpValuesDiffer
Debug.Print ("Values differ: " & tpRGMRecipeImport.tpValuesDiffer)
End Select
Debug.Print ("=======================================")
Debug.Print ("Recipe Group: " & obRecipeGroup.Name)
Debug.Print ("Recipe Name: " & strRecipeName)
Debug.Print ("Recipe Count: " & obRecipeGroup.RecipeCount)
Debug.Print ("Recipe Version: " & nRecipeVersion)

If (obRecipeGroup.RecipeCount = 1) Then
'Continue import
lCancel = 0
ElseIf (obRecipeGroup.RecipeCount = 2) Then
'Cancel the import for the current recipe and proceed with the next recipe.
lCancel = 1
ElseIf obRecipeGroup.RecipeCount > 2 Then
'Cancel the import for the current recipe and proceed with the next recipegroup
lCancel = 2
End If
End Sub


RGMRecipeGroups-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base recipes

Ancora in questo capitolo

Base recipes


Base recipes

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties -> Base recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_MEMFILE

StatusList

Identificatore stato ricetta

Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteInvalidRecipes

Ricette non valide scrivibili via funzione

Definisce se quelle ricette in cui ci sono valori che si trovano al di fuori dell´intervallo di valori valido, possono essere scritte tramite la funzione "Manager gruppi di ricette".

  • Attiva: ricette non valide possono essere scritte.
  • Non attiva: ricette non valide non possono essere scritte.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

BoolKbd

Parametro binario

Selezione di una keyboard per inserimenti binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

NumKbd

Parametro numerico

Selezione di una keyboard per inserimenti numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

StringKbd

Parametro stringa

Selezione di una keyboard per inserimenti stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorInvalidValue

Colore testo per valore di ricetta non valido

Scelta del colore testo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorInvalidValue

Colore di sfondo per valore di ricetta non valido

Scelta del colore di sfondo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorMatchPLC

Colore testo per valore di ricetta uguale a valore PLC

Scelta del colore testo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorMatchPLC

Colore di sfondo per valore di ricetta uguale a valore PLC

Scelta del colore di sfondo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore, o di una tavolozza dei colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: verde (#96BD33)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorNoMatchPLC

Colore testo per valore di ricetta diverso da valore PLC

Scelta del colore testo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorNoMatchPLC

Colore di sfondo per valore di ricetta diverso da valore PLC

Scelta del colore di sfondo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorInvalidPLC

Colore testo per valori PLC non validi

Scelta del colore testo per valori PLC non validi Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorInvalidPLC

Colore di sfondo per valori PLC non validi

Scelta del colore di sfondo per valori PLC non validi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: blu (#3D6894)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorInterlockedParameter

Colore testo per parametro di ricetta bloccato

Scelta del colore testo per i parametri ricetta bloccati.Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: nero (#000000)

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorInterlockedParameter

Colore di sfondo per parametro di ricetta bloccato

Scelta del colore di sfondo per i parametri ricetta bloccati. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: grigio (#D3D3D3)

Ulteriori informazioni nella guida in linea.


RGMRecipeValue

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RGMRecipeValue" object is utilized by the "RGMRecipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetValuesOfRecipe(myRGMRecipe As RGMRecipe)
'Declarations
Dim zRGM_Value As RGMRecipeValue
Dim i As Integer

'enum all values of the recipe
For i = 0 To myRGMRecipe.ValueCount - 1
Set zRGM_Value = myRGMRecipe.ValueItem(i)
Debug.Print "Value: " & zRGM_Value.VarName & " = " & zRGM_Value.DynProperties("Value")
Next i

End Sub

Ancora in questo capitolo

RGMRecipeValue-Properties

RGMRecipeValue-Methods

RGMRecipeValue-Dynamic properties


RGMRecipeValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRGMRecipe | Parent | Parent of object | read only | read only | yes | yes
BSTR | VarName | Name of the Variable | read only | read only | yes | yes

Ancora in questo capitolo

Parent

VarName


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarName

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties -> VarName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

VarName() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeValue-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeValue-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object value

Ancora in questo capitolo

Object value


Object value

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties -> Object value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Type | Azione | This property defines the action type on a recipe variable.
ZT_VARIABLE | Variable | Variable | This property returns the recipe variable.
VT_I4 | Offset | Offset | "This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."
ZT_VARIABLE | SourceVar | SourceVar | "This property returns the variable which is linked to the recipe variable when action type ""Link to PV"" is used."
VT_I4 | SourceOffset | SourceOffset | "this property returns the index of the old array when ""link with PV"" is used and the source variable has an old-style array. It returns ""-1"" in normal cases, where the source variable is a normal variable."
VT_R8 | Value | Valore o Variabile | "This property returns the projected value when action type: ""Modify spontaneous value"", ""Switch to and modify spontaneous value"", ""modify substitute value"" or Switch to and modify alternate value is projected."
VT_BSTR | StringValue | StringValue | "This property returns the project string when action type ""user status"" is used."


RGMRecipeVar

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is utilized by the "RGMRecipeGroup" object, in order to define which Variable is assigned to it.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'enum all variables of the group
For i = 0 To myRGMGroup.VariableCount - 1
Set zRGM_Variable = myRGMGroup.VariableItem(i)
Debug.Print "Variable: " & zRGM_Variable.Name
Next i

End Sub

Ancora in questo capitolo

RGMRecipeVar-Properties

RGMRecipeVar-Methods

RGMRecipeVar-Dynamic properties


RGMRecipeVar-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the Variable | read only | read only | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeVar-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeVar-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object channell

Ancora in questo capitolo

Object channell


Object channell

Manuale -> Interfacce di programmazione -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties -> Object channell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RangeFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Valore min.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore minimo delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Valore max.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore massimo delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Interlocking

Interblocco

Assegnazione di un interblocco per variabili. selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

VisibilityVar

Variabile di visibilità

Selezione di una variabile per la gestione della visibilità. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Filter

ColOrderAll

ZT_PICTURE

Keyboard

Immagine tipo Keyboard

Collegamento di un´immagine del tipo keyboard che deve essere aperta durante il runtime cliccando con il tasto sinistro del mouse sulla variabile per inserire un valore. Cliccando sul pulsante, si apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ShadowVariable

Variabile di ricetta grafica

Le variabili grafiche consentono di modificare a Runtime un valore di ricetta RGM usando un´immagine. Per ogni variabile esistente in un gruppo ricette si può definire una variabile grafica. A Runtime, la variabile RGM viene sostituita da una variabile grafica mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili ricetta grafiche; dopo una modifica, viene riscritta nel RGM mediante l´azione Scrivi variabili ricetta grafiche sui valori di ricetta.

Cliccando sul pulsante, si apre la finestra di dialogo per selezionare la variabile d´appoggio Una variabile grafica può essere usata una sola volta per ogni gruppo ricette.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Nome variabile

This property returns the recipe variable.

VT_I4

Offset

Offset

"This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."


RtFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is a zenOn function and contains the most important information about the function.A function can be accessed by a unique name, that has to be defined for it, or you can run through all functions by its index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'########################################################################'
'# Procedure to change the properties of a function with replacing... #'
'# -------------------------------------------------------------------- #'
'# In the picture to show there are several linked variables, #'
'# beginning with 'Dummy/Dummy' this string will be replaced with the #'
'# given parameter 'strDest' and the function will be executed. #'
'########################################################################'
Sub ChangeFunction(strName As String, strDest As String)
Dim zFCT As RtFunction
Dim strTemp As String
Dim i As Integer

Set zFCT = thisProject.RtFunctions.Item(strName)
If zFCT Is Nothing Then
MsgBox "A function called: " & strName & " is missing!"
Exit Sub
End If
With zFCT
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiVar")) - 1
strTemp = .DynProperties("PictSwitch.SubstiVar[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiVar[" & i & "].Destination") = strTemp
Next i
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiFkt")) - 1
strTemp = .DynProperties("PictSwitch.SubstiFkt[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiFkt[" & i & "].Destination") = strTemp
Next i
End With
End Sub

Ancora in questo capitolo

RtFunction-Properties

RtFunction-Methods

RtFunction-Dynamic properties


RtFunction-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Actual |  | available | read only | yes | yes
VARIANT_BOOL | Client |  | available | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
BSTR | ParamString |  | read only | read only | yes | yes
IRtFunctions | Parent |  | read only | read only | yes | yes
VARIANT_BOOL | Server |  | available | read only | yes | yes
VARIANT_BOOL | StandBy |  | available | read only | yes | yes
long | Type |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

ParamString

Type

Actual

Server

StandBy

Client

ID


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RtFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name to identify the function. This name can be (but may not in earlier version) defined in the Editor on creating the function. The user has to define the name explicitely.This name has to be unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ParamString

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> ParamString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the string wich is shown in the editor.

Datatype

ParamString() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Actual

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Actual

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the PC on which it was started. Only available in network projects!

Datatype

Actual() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Server

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the server of the project. Only available in network projects!

Datatype

Server() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StandBy

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> StandBy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the standby server of the project. Only available in network projects!

Datatype

StandBy() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Client

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on all clients of the project. Only available in network projects!

Datatype

Client() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunction-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | - |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Parameter | - |  | available | not used | yes | yes
VARIANT_BOOL | Start | - |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Start

Parameter

Copy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A new Subitem of the Function (i.e. Filter settings) can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub TrendFunction()
Dim zFCT As RtFunction
Dim i As Integer

'Get function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("picTREND")
'function settings...
With zFCT
'check amount of 'PictFilter' subitems (normaly 1)
i = .DynProperties("PictFilter[-1]")
'if 0 (not exists) then create it...
If i = 0 Then .CreateDynProperty "PictFilter"
'change some settings
.DynProperties("PictFilter[0].RefreshRate") = 1

'enum CURVES
For i = 0 To CInt(.DynProperties("PictFilter[0].Curve[-1]")) - 1
'print curve settings
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].GraphName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton")
Next i
End With
End Sub


Start

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the function with its defined parameters (also the parameter 'with filter dialog').The parameters cannot be changed with VBA.

Datatype

Start() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Parameter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> Parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog in the editor to configure the actual function.

Datatype

Parameter() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing function to the function object.

Datatype

Copy(IRtFunction pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Existing function to be copied as object

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As RtFunction

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CopyFunction()
Dim zFct As RtFunction
Dim zFctCopy As RtFunction
'get existing function
Set zFct = MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART")
'create new function
Set zFctCopy = MyWorkspace.ActiveDocument.RtFunctions.Create("TESTING", tpPicture)
'copy existing function settings to new one...
Debug.Print zFctCopy.Copy(zFct)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunction-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CAnalyzerReportFunction

Batch create function

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

CExecuteAddInWizardFunction

Alarming

Alarms flashing'

Alarms Groups Classes

Alarmgroup connection

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

Export archive

Base function

CFktBatchRecipeExport

CFktBatchRecipeImport

Screen switch function

Focus set

Show menu

Screen.center

Monitor assign

Overview window function

Screen with index

Screen return

Call SAP function

Check maintanances

Print trend

EMS

Fault location

Graph7 Heuristics

Create IPA document

Send message

Suppress message function

Client simulatio'

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

PFS event

Login without password

Print report function

Recipegroup

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

Report execute

Earth fault topology

Shedding load topology

Unit switch

Export data function

Read dBase file

Print actual values function

Send value to hardware

Driver commands

Read Write time variable

VBA execute macro

VSTA execute macro

Play sound file

File operations

Print a hard copy function

CLicenceInfoFunction

CManageAddInServicesFunction

CMtConcurrentExecutionFunction

CPRPlaybackModeFunction

CSequenceCmdFunction

CSequenceTeachingFunction

CSmSqlExportFunction

Ancora in questo capitolo

CAnalyzerReportFilter

CAnalyzerReportFunction

CBatchCrCreateFunctionFilter

Batch create function

CBatchCmdFuncFilter

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

CExecuteAddInWizardFunction

CD_CAmlCelFilter

Alarming

CD_CBildumschaltung

Alarms flashing

Alarms Groups Classes

Alarmgroup connection

CDrvProperty

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

CD_CArchivExportFilter

Export archive

Base function

CRecipeExportFilter

CFktBatchRecipeExport

CRecipeImportFilter

CFktBatchRecipeImport

Screen switch function

CD_CSetFocus

Focus set

Show menu

CDBildMittelPunktPara

Screen.center

Monitor assign

COverviewInfo

Overview window function

Screen with index

Screen return

Call SAP function

CPlantStatusVar

Check maintanances

CDiagram

Print trend

EMS

CProjektVariableProp

Fault location

Graph7 Heuristics

CD_CAsmFilter

Create IPA document

CD_CMessageFilter

Send message

CSystemModelFilter

Suppress message function

Client simulatio

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

CFPUserEventFilter

PFS event

Login without password

CReportViewerFilter

Print report function

Recipegroup

CRezeptFilter

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

CD_CTabellenFilter

Report execute

Earth fault topology

CLoadSheddingVerbraucher

Shedding load topology

Unit switch

CExportInitStrukt

Export data function

Read dBase file

CFormatInfo

Print actual values function

CFktSwNeu

Send value to hardware

CTreiberCommand

Driver commands

CUhrzeit

Read Write time variable

CD_CVbaMacroFilter

VBA execute macro

VSTA execute macro

Play sound file

CDateiOperationParameter

File operations

CHardCopyPrintInfo

Print a hard copy function

CLicenceInfoFunction

CManageAddInServicesFunction

CMtConcurrentExecutionFunction

CPRPlaybackModeFunction

CSequenceCmdFunction

CSequenceTeachingFunction

CSmSqlExportFunction


CAnalyzerReportFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | ParameterList | ParameterListCfg | Provides access to the column settings of the GFX list. Typ = ZT_KNOTEN Array-Members = CAnalyzerParamListCfg
VT_UI2 | ServerVersion | ServerVersion | Provides access to the server version. Typ = VT_UI2
VT_BSTR | ServerName | ServerName | Provides access to the server name. Type = VT_BSTR
VT_BOOL | UseRuntimeUser | UseRuntimeUser | Provides access to the windows authentification flag. Type = VT_BOOL
VT_BSTR | UserName | UserName | Provides access to the username used for the authentification. Type = VT_BSTR
VT_BSTR | CryptedPassword | CryptedPassword | Provides access to the crypted password used for the authentification. Type = VT_BSTR
VT_BOOL | SecureConnection | SecureConnection | Description
VT_I4 | ConnectionTimeout | ConnectionTimeout | Description
VT_BSTR | SelectedReport | SelectedReport | Provides access to the selected report. Type = VT_BSTR
VT_BSTR | RenderingEngine | RenderingEngine | Provides access to the selected rendering extension. Type = VT_BSTR
VT_BOOL | IncludeTimestamp | IncludeTimestamp | Provides access to the timestamp flag. Type = VT_BOOL
ZT_VARIABLE | VariableForOutputFilePath | VariableForOutputFilePath | Provides access to the variable which includes the path of the file. Type = ZT_VARIABLE


CAnalyzerReportFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ReportFilter

ReportFilter

Provides access to the filter function.

Typ = ZT_KNOTEN

Array-Members = CAnalyzerReportFilter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCrCreateFunctionFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CBatchCrCreateFunctionFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | CrNameCreation | CrNameCreation | Description as text.
ZT_VARIABLE | CrNameCreationVar | CrNameCreationVar | Description as text.
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I4 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch create function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Batch create function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

CrCreateFilter

CrCreateFilter

Description as text.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCmdFuncFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CBatchCmdFuncFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | StateCmd | StateCmd | Description as text.
VT_I4 | StateCmdMode | StateCmdMode | Description as text.
VT_I4 | FilterForRecipeType | FilterForRecipeType | Description as text.
VT_I4 | SettingCR | SettingCR | Description as text.
VT_BSTR | CRTextFilter | CRTextFilter | Description as text.
ZT_VARIABLE | PV_CR | PV_CR | Description as text.
VT_I4 | CrCurrentness | CrCurrentness | Description as text.
VT_I4 | CrState | CrState | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch command function state

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Batch command function state

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

StateCmdFilter

StateCmdFilter

Description as text.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceExportFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceExportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceImportFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceImportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CExecuteAddInWizardFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CExecuteAddInWizardFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

WizardEntryPointId

WizardEntryPointId

Description

VT_BSTR

FrameWorkId

FrameWorkId

Description

VT_BOOL

ShowRT

ShowRT

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CAmlCelFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CAmlCelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

With this property you get/set the file name for the different export mechanism.

VT_BSTR

VarFilter

VarFilter

"Filters for variable names, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"" (All variables)"

VT_BSTR

FilterTitel

FilterTitel

"Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"""

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsMatchCase

IsMatchCase

"Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."

VT_BOOL

IsFromFiles

IsFromFiles

"Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory.
Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."

VT_BOOL

IsReadAll

IsReadAll

VT_BOOL

IsAutoName

IsAutoName

VT_BOOL

IsAML

IsAML

"Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."

VT_BOOL

IsDBASE

IsDBASE

VT_BOOL

IsXML

IsXML

VT_BOOL

IsRelationTime

IsRelationTime

"Display of relative times (relative to selected entries), if set TRUE."

VT_BOOL

IsUnicode

IsUnicode

VT_BOOL

IsIncremental

IsIncremental

VT_BOOL

IsFilterExp

IsFilterExp

"Opens the list stopped, if set TRUE.
"

VT_BOOL

IsAcknowledged

IsAcknowledged

"Filters unacknowledged alarms, if set TRUE."

VT_BOOL

IsAscentOnly

IsAscentOnly

"Prints only current alarms, if set TRUE."

VT_UI2

EntriesCount

EntriesCount

"Specifies the maximum amount of entries that should be filtered from a file.
Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."

ZT_SCHRIFT

Font

Font

"Specifies the font that should be used.
The parameter that is passed, is the index of the font within the specified font list.
0 = Standard font
1 = Default font 1
...
5 = Default font 5
6 = User specified font 1
... = etc.
"

VT_BSTR

Classes

Classes

"Filters for alarm classes, where system messages are marked out, as they are not linked to a variable.
Multiple class numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""

VT_BSTR

Groups

Groups

"Filters for alarm groups, where system messages are marked out, as they are not linked to a variable.
Multiple group numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""

VT_BSTR

ResString

ResString

ZT_ZEIT

IncTime

IncTime

"Gets or sets the minimal time for current alarms in seconds.
Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."

VT_UI2

mSeconds

mSeconds

"Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."

More...

TimeFilter

TimeFilter

More...

ListInfo

ListInfo

VT_BSTR

ProjectNames

ProjectNames

"Specifies the names of the projects. Multiple project names are seperated with a semicolon.
zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""

More...

TextFilter

TextFilter

More...

StatusFilter

StatusFilter

VT_BOOL

IsSQL

SQLBase

VT_BSTR

SQLBase

SQLBase

VT_BSTR

SQLTable

SQLTable

More...

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

More...

RTMDIFilterScreen

RTMDIFilterScreen

VT_BSTR

Areas

Areas

VT_BOOL

IsGoneOnly

IsGoneOnly

VT_BOOL

NeedComment

NeedComment

VT_BOOL

NeedAlarmCause

NeedAlarmCause

Description

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


Alarming

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarming

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CBildumschaltung

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CBildumschaltung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ProjectName

ProjectName

"Gets or sets the project name where the picture is defined.
Hint: The current project will be used, if this property is not specified."

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_I2

Monitor

Monitor

Defines on which monitor the picture is displayed.
-2 = Relative to caller
0 = Display 0 (default display)
1 = Display 1 (only for multi-monitor projects)
... = etc.

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the picture selection dialog within the runtime, if set TRUE."

VT_BOOL

IsMonScroll

IsMonScroll

"Scrolls to the corresponding monitor on picture switch, if set TRUE."

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

More...

SubstiVar

SubstiVar

"Variable substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[-1]"") 'Outputs the amount of substituted variables
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Source"") 'Access the name of the first source variable
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Destination"") 'Name of the corresponding substitution variable"

More...

SubstiFkt

SubstiFkt

"Function substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[-1]"") 'Outputs the amount of substituted functions
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Source"") 'Access the name of the first source function
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Destination"") 'Name of the corresponding substitution function"

VT_BOOL

CaseSensitive

CaseSensitive

"Indices substitution is case sensitive, if set TRUE."

More...

IndexVar

IndexVar

"Accesses the assigned variables for the index substitution.
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[-1]"") 'Amount of assigned variables
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[0].Title"").Name 'Name of first variable"

More...

IndexSubstitution

IndexSubstitution

"Replaces the indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[-1]"") 'Output the amount of substituted indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Source"") 'Access the name of the first variable
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Destination"") 'Name of the corresponding substitution variable"

More...

ALCSubstitution

ALCSubstitution

VT_BOOL

IsCallingPic

IsCallingPic

Specifies the variable unit.


Alarms flashing

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarms flashing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarms Groups Classes

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarms Groups Classes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

ActionType

ActionType

Gets or sets the type of alarm selection.
0 = Total alarm administration
1 = Alarms of group
2 = Alarms of class

VT_UI2

Action

Action

Gets or sets the action that should be executed.
0 = Activate alarms/groups/classes
1 = Deactivate
2 = Toggle

VT_UI2

Index

Index

With this property you have the opportunity to get/set the alarm group or class.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarmgroup connection

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarmgroup connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAdvise

IsAdvise

With this property you have the opportunity to activate/deactivate the alarm group connection.

VT_I2

GroupNr

GroupNr

With this property you have the opportunity to get/set the alarm group via an index.

VT_BSTR

GroupName

GroupName

With this property you have the opportunity to get/set the alarm group.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CDrvProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDrvProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | FileName |
VT_BSTR | Description | Description |


Simulation image

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Drivers

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Print alarm or CEL list

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print alarm or CEL list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsCEL

IsCEL

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Export alarms

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Open help

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Open help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

CHMFile

CHMFile

VT_BSTR

HTMFile

HTMFile

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Reload

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAll

IsAll

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Switch palette

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Switch palette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PaletteName

Nome tavolozza

Nome della tavolozza colori.

Default: Tavolozza colori più Numero di indice, per es.: Tavolozza colori 1

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Language change

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Language change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

VT_BSTR

FontList

FontList

VT_BSTR

FileDirectory

FileDirectory

VT_BSTR

MediaDirectory

MediaDirectory

VT_BSTR

HelpDirectory

HelpDirectory

VT_BSTR

GraphicsDirectory

GraphicsDirectory

VT_BSTR

RDLDirectory

RDLDirectory

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Index archive

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Index archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BOOL

ArvBackup

@Cartella di backup utilizzata@

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


List of active archives

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> List of active archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CArchivExportFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CArchivExportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | ExportType | ExportType | Description
VT_BOOL | IsUnicode | IsUnicode |
VT_BSTR | Name | Name |
VT_BSTR | ArvName | ArvName |
VT_BSTR | Format | Format |
VT_BOOL | IsFilterRT | IsFilterRT |
VT_BOOL | AutomaticNameGeneration | IsMatchCase |
VT_BOOL | UseLotForNameGeneration | UseLotForNameGeneration | Description
VT_UI1 | Backup | Backup |
VT_BSTR | ResString | ResString |
VT_BSTR | Database | Database |
VT_BSTR | DBTable | DBTable |
More... | TimeFilter | TimeFilter |


Export archive

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Base function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Base function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CRecipeExportFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRecipeExportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | FilterType | FilterType | Description
ZT_KNOTEN | RecipeFilter | RecipeFilter | Description
ZT_KNOTEN | OperationFilter | OperationFilter | Description
VT_I2 | FileNaming | FileNaming | Description
VT_BSTR | FileName | FileNamePv | Description
ZT_VARIABLE | FileNamePv | FileNamePv | Description
VT_BOOL | OverwriteExistingFile | OverwriteExistingFile | Description
VT_BOOL | ShowRT | ShowRT | Description


CFktBatchRecipeExport

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeExportFilter

RecipeExportFilter

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CRecipeImportFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRecipeImportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowRT | ShowRT | Description
VT_BOOL | FileNameFromVariable | FileNameFromVariable | Description
VT_BSTR | FileName | FileNameFromVariable | Description
ZT_VARIABLE | FileNameVariable | FileNameVariable | Description
VT_I2 | MrNameConflictAction | MrNameConflictAction | Description
VT_I2 | MrOpNameConflictAction | MrOpNameConflictAction | Description
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I2 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.


CFktBatchRecipeImport

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeImportFilter

RecipeImportFilter

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Screen switch function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen switch function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CD_CSetFocus

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CSetFocus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Direction | Direction |
VT_BOOL | IsOnElement | IsOnElement |
VT_BSTR | IsElementName | IsElementName |


Focus set

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Focus set

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Focus

Focus

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Show menu

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Show menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

ActionType

ActionType

"Gets or sets the action that should be executed.
0 = Show menu (specified by ""MenuName"")
1 = Hide menu
2 = Change menu (specified by ""MenuName"")
3 = If no menu exists, then show menu specified by ""MenuName"""

VT_BOOL

FilterInRT

FilterInRT

"Shows the dialog in the runtime, if set TRUE."

VT_BSTR

MenuName

MenuName

Gets or sets the name of the menu as string.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CDBildMittelPunktPara

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDBildMittelPunktPara

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Specifies the centering method: 0 = Centering deactivated 1 = Set desired center via an object (DynProperty ""Station"") 3 = Set desired center via coordinates (DynProperties ""X"" and ""Y"") "
VT_BSTR | Station | Station | "Name of the object, which should be the reference for the new center. Hint: Only available, if DynProperty ""Type"" is set to 1."
VT_I2 | X | X | "X coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | Y | Y | "Y coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | ZoomType | ZoomType | "Specifies the zoom method: 0 = Zoom deactivated 1 = Set desired zoom factor in percent (DynProperty ""ZoomPercent"") 3 = Set desired zoom factor via the defined zoom steps (DynProperty ""ZoomLevel"") "
VT_I2 | ZoomPercent | ZoomPercent | "Specifies the zoom factor in percent. Hint: Only available, if DynProperty ""ZoomType"" is set to 1."
VT_I2 | ZoomLevel | ZoomLevel | "Specifies the zoom steps. Hint: Only available, if DynProperty ""ZoomType"" is set to 3."


Screen.center

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen.center

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

More...

MidParameter

MidParameter

Parameters for centering and zooming

VT_BSTR

Picture

Picture

Specifies the GUID of the picture that should be centered and/or zoomed.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Monitor assign

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Monitor assign

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SrcNum

SrcNum

VT_I2

DstNum

DstNum

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


COverviewInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> COverviewInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Selects, if monitors or templates are shown as frames in the overview window: 0 = Templates 1 = Montiors "
VT_I2 | Action | Action | "The function can display, toggle or close the overview window: 0 = Display 1 = Toggle 2 = Close "
VT_UI4 | Style | Style | Specifies the style settings for the overview window: Hint: Multiple style settings have to be combined by ORing (Logical OR).
VT_UI4 | Color1 | Color1 | Specifies the background color of the overview picture.
VT_UI4 | Color2 | Color2 | Specifies the color of the current view.
VT_UI4 | Color3 | Color3 | Specifies the frame color.
VT_UI4 | Color4 | Color4 | Specifies the selection color.
VT_I4 | PosLeft | PosLeft | Specifies the left position of the overview window on the screen (in pixel).
VT_I4 | PosTop | PosTop | Specifies the top position of the overview window on the screen (in pixel).
VT_I4 | PosRight | PosRight | Specifies the right position of the overview window on the screen (in pixel).
VT_I4 | PosBottom | PosBottom | Specifies the bottom position of the overview window on the screen (in pixel).


Overview window function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Overview window function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

OverviewInfo

OverviewInfo

Properties for the overview window

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Screen with index

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen with index

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Variable

Variable

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Screen return

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen return

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Templates

Templates

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Call SAP function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Call SAP function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

FunctionId

Numero funzione

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CPlantStatusVar

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CPlantStatusVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Plants | Plants |
ZT_VARIABLE | ProjectVar | ProjectVar |


Check maintanances

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Check maintanances

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

TimeSpan

TimeSpan

More...

VarList

VarList

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CDiagram

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDiagram

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | DelayRefresh | DelayRefresh |
VT_UI4 | XYStart | XYStart |
VT_I4 | BordLeft | BordLeft | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for the left-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordTop | BordTop | Distance between the upper edge of the control element and the trend curves represented inside it. ATTENTION: Room for later optional showing of stored details with active pointer.
VT_I4 | BordRight | BordRight | Distance between the lower edge of the control element and the X-axis (Origin 100%-Y-axis) ATTENTION: Room for the right-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordBottom | BordBottom | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for two-line labelling of the X-axis for the configured user defined font.
VT_I2 | ScrollWidth | ScrollWidth | "Specifies the screen scrolling, if the right edge of the diagram has been reached. ATTENTION: Only for diagrams with online values."
VT_R4 | RefreshRate | RefreshRate | Definition of the screen updating in seconds. Minimum: 0.1
VT_UI4 | HGColor | HGColor | Background colour of the displayed graphics.
VT_UI4 | GridColor | GridColor | Color of the overlaying grid.
VT_I2 | DateWidth | DateWidth | Column width for the time stamp in the legend.
VT_I2 | VarWidth | VarWidth | Column width for the variable name in the legend.
VT_I2 | ValueWidth | ValueWidth | Column width for the variable value in the legend.
VT_I2 | UnitsWidth | UnitsWidth | Column width for the unit in the legend.
VT_I2 | StateWidth | StateWidth | "Column width for the condition in the legend. Hint: Activation/deactivation of the condition with ""IsStateAct""."
VT_I2 | StatusWidth | StatusWidth | "Column width for the status in the legend. Hint: Activation/deactivation of the status with DynProperty ""IsStatusAct""."
VT_I2 | MinWidth | MinWidth | "Column width for the minimum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the minimum with DynProperty ""IsMinAct""."
VT_I2 | MWWidth | MWWidth | "Column width for the mean value of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the mean value with DynProperty ""IsMWAct"". "
VT_I2 | MaxWidth | MaxWidth | "Column width for the maximum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the maximum with DynProperty ""IsMaxAct""."
VT_BOOL | IsStateAct | IsStateAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StateWidth""."
VT_BOOL | IsStatusAct | IsStatusAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StatusWidth""."
VT_BOOL | IsMinAct | IsMinAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MinWidth""."
VT_BOOL | IsMWAct | IsMWAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MWWidth""."
VT_BOOL | IsMaxAct | IsMaxAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MaxWidth""."
VT_UI2 | Font | Font | Selection or setting of the user defined font for the axis labels and the value indicators.
VT_BOOL | IsArchive | IsArchive |
VT_I2 | DataSource | DataSource |
VT_BOOL | IsBorder | IsBorder |
VT_BOOL | IsExponent | IsExponent |
VT_BOOL | IsBackup | IsBackup | "Use of historic archives from the backup path, if set TRUE. Hint: Only available, if DynProperty ""IsArchive"" is set TRUE."
VT_BOOL | IsXAxis | IsXAxis | "If set TRUE, the XY (X-Axis) diagram style is used. Otherwise (FALSE) the standard XT (Time axis) representation is utilized."
VT_BSTR | Name | Name | "Freely configurable diagram name. Can be shown in the control element. If the string in the diagram name contains the character combination %c, this combination is replaced by the name of the batch(es) reaching into the defined filter during online operation. e.g. Diagram name = ""Diagram1_%C%_End"" = ""Diagram1_Batch1_End"" in the runtime"
ZT_VARIABLE | FirstCursorVar | FirstCursorVar | Description
ZT_VARIABLE | SecondCursorVar | SecondCursorVar | Description
More... | PrintData | PrintData |
More... | TimeAxe | TimeAxe |
More... | Curve | Curve |
More... | XAxe | XAxe |
VT_BOOL | IsDateAct | IsDateAct |
VT_BOOL | IsVarAct | IsVarAct |
VT_BOOL | IsValueAct | IsValueAct |
VT_BOOL | IsUnitsAct | IsUnitsAct |
VT_I2 | TimeDiffWidth | TimeDiffWidth |
VT_BOOL | IsTimeDiffAct | IsTimeDiffAct |
VT_I2 | ValueDiffWidth | ValueDiffWidth |
VT_BOOL | IsValueDiffAct | IsValueDiffAct |
VT_I2 | SumWidth | SumWidth |
VT_BOOL | IsSumAct | IsSumAct |
VT_I2 | StdDevWidth | StdDevWidth |
VT_BOOL | IsStdDevAct | IsStdDevAct |
VT_I2 | QuantityWidth | QuantityWidth |
VT_BOOL | IsQuantityAct | IsQuantityAct |
VT_BOOL | IsHeaderAct | IsHeaderAct |
VT_BOOL | IsDeltaData | IsDeltaData | Description as text.
VT_BOOL | IsSortData | IsSortData | Description as text.
VT_BOOL | IsSmartArchive | "IsSmartArchive" |
VT_BOOL | IsShowXYCross | IsShowXYCross | Description
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print trend

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print trend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Diagram

FileName

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


EMS

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> EMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

EMSNet

EMSNet

VT_BSTR

EMSArea

EMSArea

VT_BSTR

EMSAlgo

EMSAlgo

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CProjektVariableProp

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CProjektVariableProp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Title | Title | Gets or sets a variable object.


Fault location

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Fault location

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Vars

Vars

VT_I2

SourceID

SourceID

ZT_COLOR

SourceColor

SourceColor

ZT_COLOR

SourceBackground

SourceBackground

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Graph7 Heuristics

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Graph7 Heuristics

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE

ComBlock

ComBlock

ZT_VARIABLE

DestVar

DestVar

VT_BSTR

G7File

G7File

VT_BSTR

ZuliFile

ZuliFile

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CD_CAsmFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CAsmFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowFilter | ShowFilter |
VT_BOOL | ShowRaster | ShowRaster |
More... | DBConnection | DBConnection |
More... | SubFilter | SubFilter |
More... | ListConfig | ListConfig |
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Create IPA document

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Create IPA document

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BOOL

ToFile

ToFile

VT_BSTR

Filename

Filename

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CD_CMessageFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CMessageFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | MsgType | MsgType | Defines the transfer medium for sending messages. Following message types are supported: 1 = E-Mail 3 = Telephone 4 = Paging / SMS 5 = GSM-SMS 6 = Telephone (speech)
VT_UI2 | UserType | UserType | Specifies to whom the message should be sent: 2 = Group 3 = Recipient 6 = Current shift
VT_BSTR | GUID | GUID | "Gets or sets the GUID of the group or recipient (depending on DynProperty ""UserType"") that should be informed."
ZT_VARIABLE | Var | Var | "Gets or sets a ""Variable"" object that contains the limit text, which will be added to the constant text. Hint: Only available, if DynProperty ""IsVar"" is set TRUE."
VT_BOOL | IsTextDlg | IsTextDlg | "Displays the message control dialog within the runtime, if set TRUE."
VT_BOOL | IsDynLimits | IsDynLimits | "Adds information about the violated variable to the constant text, if set TRUE. Hint: Only available, if DynProperty ""IsVar"" is set FALSE and DynProperty ""IsUseVariable"" is set TRUE."
VT_BOOL | IsUseVariable | IsUseVariable | "With this option the limit text of a defined variable or a violated variable can be added to the message, if set TRUE. Hint: Available for all message types, except option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ConstText | ConstText | "Specifies the constant text that will be sent or played (if option ""Telephone speech"" is selected within DynProperty ""MsgType""). ATTENTION: This property always requires an entry, except option ""Telephone"" (not ""Telephone speech"") within DynProperty ""MsgType""."
VT_BSTR | HeaderFile | HeaderFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, after getting connection to the phone of the recipient. This file should ask the recipient to enter his PIN code. If the pin is correct, the specified text within DynProperty ""ConstText"" (option ""Telephone speech"") or the soundfile specified within DynProperty ""WaveFile"" (option ""Telephone"") is played. Otherwise, the text or file specified within ""ErrorFile"" (both options ""Telephone speech"" and ""Telephone"") is played. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BSTR | WaveFile | WaveFile | "Specifies the name of the soundfile that will be played, if the correct pin was entered. Hint: This property is only available for the option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ErrorFile | ErrorFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, if the wrong pin was entered. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BOOL | IsResign | IsResign | "For security purposes, it is often necessary to acknowledge sent messages. If this property is set true, acknowledging will be activated. ATTENTION: For options ""Telephone"" and ""Telephone speech"" (see DynProperty ""MsgType""), this property has always to be activated."
VT_I2 | ResignTime | ResignTime | "The property defines, how long the Message Control waits for the acknowledging of the recipient, before his replacement is informed. If no replacement is entered, an corresponding entry in the CEL is generated. "
VT_I4 | OldUserId | OldUserId |
VT_BSTR | AcknowledgeFunctions | AcknowledgeFunctions |
VT_BSTR | NegativeAcknowledgeFunctions | NegativeAcknowledgeFunctions |
VT_BSTR | AcknowledgeTimeOutFunctions | AcknowledgeTimeOutFunctions |
VT_UI2 | MsgTypeStyle | MsgTypeStyle |
VT_BOOL | DestinationFromVariable | DestinationFromVariable |
ZT_VARIABLE | DestinationVar | DestinationVar |
VT_BSTR | AckCode | AckCode |
VT_BSTR | NackCode | NackCode |
VT_BOOL | UseFuncCodes | UseFuncCodes |
ZT_VARIABLE | AttachmentVar | AttachmentVar |
VT_BOOL | AttachmentFromVar | AttachmentFromVar |
VT_BSTR | AttachmentName | AttachmentName |
VT_BSTR | MessageContent | MessageContent |


Send message

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Send message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Message control settings

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CSystemModelFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSystemModelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


Suppress message function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Suppress message function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Classes

Classes

VT_BSTR

Groups

Groups

VT_BSTR

Areas

Areas

More...

SystemModelGroupFilter

SystemModelGroupFilter

VT_BOOL

Activate

Activate

VT_BOOL

IsFilterRT

IsFilterRT

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Client simulatio

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Client simulatio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

SimulCmd

Tipo di simulazione

VT_BSTR

SimulName

Nome dell'immagine di simulazione

VT_BOOL

SimulRtDlg

Proponi dialogo a Runtime

VT_BOOL

SimulErrMsg

Visualizza errori durante il Runtime

VT_BOOL

SimulWait4All

Attendi per tutte le variabili

Description as text.

VT_I4

SimulMaxWait

Massimo tempo di attesa

VT_BOOL

SimulStartPlayBack

SimulStartPlayBack

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Authorization in network

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Authorization in network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CFktNetzRudundanzUmschaltung

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktNetzRudundanzUmschaltung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SwitchDirection

"SwitchDirection"

VT_UI2

DetectionOffTime

"DetectionOffTime"

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Toggle online printing

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Toggle online printing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Action

Action

"Sets online printing (e.g. for unmanned stations) to a processing status (switch on, switch off, active/inactive).
0 = Active/Inactive
1 = On
2 = Off
"

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Switch online printer

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Switch online printer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Printer

Printer

Gets or sets the name of the printer.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CFPUserEventFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFPUserEventFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | EventID | EventID |


PFS event

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> PFS event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Login without password

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Login without password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Alias

Alias

Sets or returns the name of the user for the login.

VT_BOOL

Userflag

Userflag

ZT_VARIABLE

Variable

Variable

VT_BOOL

CodeFlag

CodeFlag

Description

ZT_VARIABLE

CodeVariable

CodeVariable

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CReportViewerFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CReportViewerFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | RDLFile | RDLFile |
More... | TimeFilter | TimeFilterIdx |
More... | DataSet | DataSet |
More... | RTMDIFilterScreen | RTMDIFilterScreen | Description as text.
More... | BatchFilter | BatchFilter | Description as text.
VT_I4 | Fct_RenderDo | Fct_RenderDo | Description as text.
VT_BOOL | Fct_NameFromVar | Fct_NameFromVar | Description as text.
VT_BSTR | Fct_Filename | Fct_Filename | Description as text.
ZT_VARIABLE | Fct_Variable | Fct_Variable | Description as text.
VT_BOOL | Fct_OverwriteFile | Fct_OverwriteFile | Description as text.
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print report function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print report function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Description as text.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Recipegroup

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

RecipeName

Gets or sets the name of the recipe that should be executed.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CRezeptFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRezeptFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

StrPar1

StrPar1

VT_BSTR

StrPar2

StrPar2

VT_BSTR

StrPar3

StrPar3

VT_BSTR

StrPar4

StrPar4

VT_BSTR

StrPar5

StrPar5

VT_UI4

DWPar1

DWPar1

VT_UI4

DWPar2

DWPar2

VT_UI4

DWPar3

DWPar3

VT_UI4

DWPar4

DWPar4

VT_UI4

DWPar5

DWPar5

VT_UI4

ExportExt

ExportExt

Defines the import/export format for the recipe file.
0 = Text file (TXT)

ZT_VARIABLE

FileNameVar

FileNameVar

"Defines the name of the variable which contains the name for the import/export (DynProperty ""Modus"" options 3 and 4)."

VT_BSTR

ExportFile

ExportFile

Defines the path and the name of the import/export file.

VT_I2

IsAutoName

IsAutoName

"If set TRUE, a name for the export file (DynProperty ""Modus"" option 3) will be automatically generated."

VT_BOOL

IsWithFormat

IsWithFormat

VT_BSTR

FormatFile

FormatFile

VT_BSTR

PictName

PictName

VT_UI4

Modus

Modus

Defines the recipe mode.
0 = Execute recipe
1 = Duplicate and teach
2 = Read recipe
3 = Export recipe
4 = Import recipe
5 = Duplicate

VT_BSTR

ProjectName

ProjectName

Description as text.

VT_BSTR

RecGroup

RecGroup

Specifies the name of the recipe group which contains the utilized RGM recipe.

VT_BOOL

WithGrpVar

WithGrpVar

VT_BOOL

ImportGroupName

ImportGroupName

Description as text.

ZT_VARIABLE

GrpVar

GrpVar

VT_BSTR

Recipe

Recipe

Specifies the name of the recipe that should be operated.
ATTENTION: The name of the recipe has to be the exact name of an existing RGM recipe.

VT_UI4

RecNumber

RecNumber

VT_UI4

WithNumber

WithNumber

Specifies it the recipe should be selected with a variable.
0 = No recipe selection
1 = Recipe selection with variable

ZT_VARIABLE

RecVar

RecVar

"Gets or sets a variable (""Variable"" object) that should be used, in order to select the recipe by name or number. "

VT_BOOL

IsRecNumName

IsRecNumName

"Specifies if the assigned variable contains the number (FALSE) or the name (TRUE) of the recipe.
Hint: This property is only available, if DynProperty ""WithNumber"" specifies that the recipe selection is done via a variable."

VT_BOOL

VersionVarOn

VersionVarOn

Description as text.

ZT_VARIABLE

VersionVar

VersionVarOn

Description as text.

VT_UI4

Version

Version

VT_BOOL

StatusVarOn

StatusVarOn

Description as text.

ZT_VARIABLE

StatusVar

StatusVarOn

Description as text.

VT_UI4

Status

Status

VT_BOOL

TargetRecipeVarOn

TargetRecipeVarOn

Description as text.

VT_BSTR

TargetRecipe

TargetRecipe

"Defines the name of the target recipe to which should be copied.
Hint: Only available for DynProperty ""Modus"" option 5 (""Duplicate"")."

ZT_VARIABLE

TargetRecipeVar

TargetRecipeVar

VT_BOOL

TargetVersionVarOn

TargetVersionVarOn

Description as text.

VT_UI4

TargetVersion

TargetVersionVarOn

Description as text.

ZT_VARIABLE

TargetVersionVar

TargetVersionVar

VT_BOOL

TargetStatusVarOn

TargetStatusVarOn

Description as text.

VT_UI4

TargetStatus

TargetStatusVarOn

Description as text.

ZT_VARIABLE

TargetStatusVar

TargetStatusVar

VT_BOOL

FilterVarOn

FilterVarOn

Description as text.

VT_BSTR

FilterText

FilterText

this property defines the filter to open the RGM picture with in the runtime. Only variables with this Filtertext set will be shown.

ZT_VARIABLE

FilterVar

FilterVar

This property defines which string variable will be used to open the RGM picture. The string in this variable will be used to show only the variables with this Filtertext.

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the recipe configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsReadOnly

IsReadOnly

"If set TRUE, this property only allows the selection of a recipe within the runtime, but unlike ""IsRecOnly"" no recipe configuration is allowed.
Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."

VT_BOOL

IsRecOnly

IsRecOnly

"If set TRUE, this property only allows the selection of a recipe within the runtime.
Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."

VT_I4

ColWidth_VarName

ColWidth_VarName

VT_BSTR

ColText_VarName

ColText_VarName

VT_I4

ColWidth_Min

ColWidth_Min

VT_BSTR

ColText_Min

ColText_Min

VT_I4

ColWidth_Max

ColWidth_Max

VT_BSTR

ColText_Max

ColText_Max

VT_I4

ColWidth_Mode

ColWidth_Mode

VT_BSTR

ColText_Mode

ColText_Mode

VT_I4

ColWidth_Value

ColWidth_Value

VT_BSTR

ColText_Value

ColText_Value

VT_I4

ColWidth_Unit

ColWidth_Unit

VT_BSTR

ColText_Unit

ColText_Unit

VT_I4

ColWidth_Symbolism

ColWidth_Symbolism

VT_BSTR

ColText_Symbolism

ColText_Symbolism

VT_I4

ColWidth_ActVal

ColWidth_ActVal

VT_BSTR

ColText_ActVal

ColText_ActVal

VT_I4

ColWidth_ResLabel

ColWidth_ResLabel

VT_BSTR

ColText_ResLabel

ColText_ResLabel

VT_I4

ColWidth_Identifier

ColWidth_Identifier

VT_BSTR

ColText_Identifier

ColText_Identifier

VT_I4

ColWidth_Filter

ColWidth_Filter

VT_BSTR

ColText_Filter

ColText_Filter

VT_BSTR

ColOrder

ColOrderAll

VT_BSTR

ColOrderAll

ColOrderAll

VT_BOOL

ShowRowNr

ShowRowNr

VT_BOOL

XMLExpOverwriteFile

XMLExpOverwriteFile

VT_BOOL

XMLImpOverwriteRecipe

XMLImpOverwriteRecipe

More...

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

More...

TextFilter

TextFilter


Recipegroup manager

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Standard recipe

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Standard recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Runtime profiles

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Runtime profiles

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Modus

Modus

VT_I4

LoadModus

LoadModus

VT_I4

SaveModus

SaveModus

VT_BSTR

LoadName

LoadName

VT_BSTR

SaveName

SaveName

ZT_VARIABLE

LoadVar

LoadVar

ZT_VARIABLE

SaveVar

SaveVar

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


SAT command activation

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> SAT command activation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Mode

Mode

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Save remanent data

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Save remanent data

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

SaveCEL

SaveCEL

VT_BOOL

SaveAML

SaveAML

VT_BOOL

SaveSYMA

SaveSYMA

VT_BOOL

SaveIDrv

SaveIDrv

VT_BOOL

SaveZDrv

SaveZDrv

VT_BOOL

SaveEnergy

SaveEnergy

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Script execute select online

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Script execute select online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Script

Script

Gets or sets the name of the script that should be executed.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Start SEA

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Start SEA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SwitchingSequence

SwitchingSequence

VT_BSTR

SEAParams

SEAParams

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Setpoint

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Setpoint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

SubmitAndCloseWnd

SubmitAndCloseWnd

VT_BSTR

SetpointSetting

SetpointSetting

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CD_CTabellenFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CTabellenFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | TableFile | TableFile | Specifies the name of the report file.
VT_BSTR | ExportFile | ExportFile |
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the report filter configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsReadOnly | IsReadOnly | "Allows no modifications to the file, if set TRUE."
VT_BOOL | IsCancel | IsCancel |
VT_BOOL | IsAutoName | IsAutoName |
VT_BOOL | IsBackup | IsBackup | "Reads archive from backup path, if set TRUE."
VT_UI2 | Extension | Extension |
VT_BSTR | StrPar1 | StrPar1 | First string transfer parameter for text markers.
VT_BSTR | StrPar2 | StrPar2 | Second string transfer parameter for text markers.
VT_BSTR | StrPar3 | StrPar3 | Third string transfer parameter for text markers.
VT_BSTR | StrPar4 | StrPar4 | Fourth string transfer parameter for text markers.
VT_BSTR | StrPar5 | StrPar5 | Fifth string transfer parameter for text markers.
VT_UI4 | DWPar1 | DWPar1 | First doubleword transfer parameter for value markers.
VT_UI4 | DWPar2 | DWPar2 | Second doubleword transfer parameter for value markers.
VT_UI4 | DWPar3 | DWPar3 | Third doubleword transfer parameter for value markers.
VT_UI4 | DWPar4 | DWPar4 | Fourth doubleword transfer parameter for value markers.
VT_UI4 | DWPar5 | DWPar5 | Fifth doubleword transfer parameter for value markers.
VT_BSTR | ResString | ResString |
More... | TimeFilter | TimeFilter | Time filter settings
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Report execute

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Report execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Earth fault topology

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Earth fault topology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CLoadSheddingVerbraucher

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CLoadSheddingVerbraucher

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ConsumerVar | ConsumerVar | Description as text.
ZT_VARIABLE | ValueVar | ValueVar | Description as text.
ZT_VARIABLE | IBitVar | IBitVar | Description as text.


Shedding load topology

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Shedding load topology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVar

SourceVar

Description as text.

More...

Consumer

Consumer

Description as text.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Unit switch

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Unit switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PrimaryUnits

PrimaryUnits

VT_BSTR

ActiveSecondaryUnits

ActiveSecondaryUnits

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CExportInitStrukt

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CExportInitStrukt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsUniText | IsUniText | "Exports the file in unicode characters if set TRUE. Hint: Only available for the ASCII export option specified by the ""Format"" DynProperty."
VT_I2 | Format | Format | Specifies the output format. 0 = dBase IV (*.DBF) 1 = XML (*.xml) 2 = ASCII (*.TXT)
VT_I2 | InitVal | InitVal | "For the HD values, a ring buffer is filled and stored. Active (TRUE): The ring buffer is initialised for the export Inactive (FALSE): The ring buffer is kept for the export"
VT_I2 | Type | Type |
VT_BSTR | AppName | AppName | Specifies the name of the project.
VT_BSTR | FileName | FileName | Specifies the name of the file that should be exported. ATTENTION: Only filnames with up to 8 characters are allowed.
More... | Vars | Vars | "Creates, accesses and modifies the variables which should be exported. Returns a ""Variable"" object. Hint: ""ExportStruct.Vars[-1]"" returns the amount of variables."


Export data function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export data function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExportStruct

ExportStruct

Defines the export settings

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Read dBase file

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Read dBase file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

Gets or sets the path of the database file that should be read.

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CFormatInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFormatInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FormatFile | FormatFile | Defines the path and name of the format file for the print.
VT_UI4 | Font | Font | "Defines the font that is utilized for the print. The parameter that is passed, is the index of the font within the specified font list. 0 = Standard font 1 = Default font 1 5 = Default font 5 6 = User defined font 1 "
VT_BOOL | IsCancel | IsCancel | "Displays the cancel dialog, if set true. Otherwise the dialog is hidden and the print can't be stopped by means of the program."


Print actual values function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print actual values function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

FormatInfo

FormatInfo

Defines the parameters for the print

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CFktSwNeu

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktSwNeu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_R8 | NumValue | NumValue | Value of numerical variables which will be issued. ATTENTION: For boolean variables only following values can be set ... 0 = LOW (0) 1 = HIGH (0) 2 = TOGGLE (Value of variable is switched to complementary status)
VT_BSTR | StrValue | StrValue | Value of alphanumerical variables which will be issued.
VT_R8 | Minimum | Minimum | "Specifies the minimum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_R8 | Maximum | Maximum | "Specifies the maximum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_UI2 | Command | Command |
VT_BOOL | IsDirect | IsDirect | "Active (TRUE): After activating the function, the value is directly sent to the hardware, not asking for a further confirmation. Inactive (FALSE): Before sending the value to the hardware, the set value dialog is opened and the user can change the settings within the Runtime."
VT_BOOL | IsVarLimit | IsVarLimit | "If this property is TRUE, the set value limits are taken from the variable definition. Otherwise (FALSE), the value limits can be defined directly by means of the DynProperties ""Minimum"" and ""Maximum""."
VT_BOOL | IsCurValue | IsCurValue | "Active (TRUE): The value is read from the hardware and then is proposed as a default or directly sent to the hardware. Additionally for numerical variables, the DynProperty ""NumValue"" becomes a new function, as the value entered there is added to the default (subtracted if negative value). Inactive (FALSE): The value defined under DynProperty ""NumValue"" is proposed as a default or directly sent to the hardware."
VT_UI1 | Setting | Setting | "Send value with (in online operation): 0 = Standard dialog box of the control system 1 = External program provided by the user Hint: This property is only available, if DynProperty ""IsDirect"" is set to FALSE."
ZT_VARIABLE | Variable | Variable | "Gets or sets the ""Variable"" object which should be (or is already) linked to the function."
VT_BSTR | PrgName | PrgName | "Specifies the path and the name of the program (plus its file extension) which should be executed, if option 1 within DynProperty ""Setting"" is set."
VT_BOOL | IsWriteSync | IsWriteSync | "Active (TRUE): Executing the function is not finished, before a positive confirmation of the writing action is received or the fixly defined timeout of 30 seconds is over. In scripts this can make sure, that the following function is not started, before this one is finished. The confirmation can also be evaluated with the status bit WR-SUC . Inactive (FALSE): Do not wait for the writing confirmation. "


Send value to hardware

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Send value to hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SetValue

SetValue

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CTreiberCommand

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CTreiberCommand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | IsFilterRT |
VT_UI4 | DrvIndex | DrvIndex |
VT_UI2 | Command | Command |
VT_BSTR | UsrCommand | UsrCommand |
VT_BSTR | ResString | ResString |


Driver commands

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Driver commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Command

Command

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CUhrzeit

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CUhrzeit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Variable | Variable |


Read Write time variable

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Read Write time variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Time

Time

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CD_CVbaMacroFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CVbaMacroFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | MacroName | MacroName | Specifies the name of the macro that should be executed.
VT_BOOL | IsBreakOnError | IsBreakOnError |
VT_UI2 | Info | Info |
VT_BSTR | ProjectName | ProjectName |
More... | Parameters | Parameters |


VBA execute macro

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> VBA execute macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


VSTA execute macro

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> VSTA execute macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

MacroName

MacroName

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Play sound file

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Play sound file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

"Gets or sets the path of the program that should be executed.
Hint: Addtitional parameters can be passed with the ""FilePar"" DynProperty."

VT_BSTR

FilePar

FilePar

"Gets or sets the parameters for the program that is executed (specified by the ""FileName"" DynProperty)."

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the program and parameter selection dialog within the runtime, if set TRUE."

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CDateiOperationParameter

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDateiOperationParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Modus | Modus | sets the mode for the file-operation function 0 = Copy 1 = Move 2 = Delete
VT_I2 | Days | Days | "Sets the number of ""not older than""-days x for the time-filter of the file operation function."
VT_I2 | Hours | Hours | "Sets the number of ""not older than""-hours x for the time-filter of the file operation function."
VT_BOOL | IsYounger | IsYounger | "sets the ""not older than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_BOOL | IsOverwrite | IsOverwrite | should files be overwritten at the file-operation function (move and copy mode) (TRUE) or not (FALSE). Read-only files are not overwritten regardless of this checkbox.
VT_BOOL | IsErrorMsg | IsErrorMsg | should an error message be displayed in the runtime if the file-operation function could not be executed successfully (TRUE) or not (FALSE)
VT_BOOL | IsTimeCond | IsTimeCond | should the file-operation function be executed regardless of the filedate (FALSE) or consider the filedate set at the time-filter (TRUE)
VT_BOOL | IsFilterRT | IsFilterRT | should the dialog for the file operation function be displayed in the runtime prior to execution (TRUE) or not (FALSE)
VT_BSTR | Source | Source | "sets the source path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BSTR | Destination | Destination | "sets the destination path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BOOL | Recursive | Recursive | should also subdirectories be taken in account at the file-operation function (TRUE) or not (FALSE)
VT_BOOL | IsOlder | IsOlder | "sets the ""not younger than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_UI2 | SrcPathModus | SrcPathModus | sets the source-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_UI2 | DstPathModus | DstPathModus | sets the destination-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_I2 | OlderDays | OlderDays | "Sets the number of ""not younger than""-days x for the time-filter of the file operation function."
VT_I2 | OlderHours | OlderHours | "Sets the number of ""not younger than""-hours x for the time-filter of the file operation function."


File operations

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> File operations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Parameter

Parameter

Specifies parameters for the file operations

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CHardCopyPrintInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CHardCopyPrintInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Picture | Picture | "Specifies the template that is utilized for the hardcopy. Hint: This property is only considered, if the ""IsScreen"" DynProperty is set to FALSE."
VT_BOOL | IsScreen | IsScreen | "If set TRUE the whole screen will be incorporated for the hardcopy. Otherwise (FALSE) the template specified in the ""Picture"" DynProperty will be consulted for the hardcopy."
VT_BOOL | IsOffset | IsOffset | "If set TRUE, the hardcopy will be printed with a margin."
VT_BOOL | IsInvert | IsInvert | "If set TRUE, the hardcopy will be inverted."
VT_BOOL | IsFax | IsFax | "If set TRUE, the hardcopy will routed to a facsimile."
VT_I2 | Monitor | Monitor | "Monitor Id, only relevant if multi monitor solutions are used."


Print a hard copy function

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print a hard copy function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Info

Info

Specifies parameters for the hardcopy

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CLicenceInfoFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CLicenceInfoFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CManageAddInServicesFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CManageAddInServicesFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CMtConcurrentExecutionFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CMtConcurrentExecutionFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowRT

ShowRT

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CPRPlaybackModeFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CPRPlaybackModeFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CSequenceCmdFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSequenceCmdFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_KNOTEN

SequenceStateCmdFilter

SequenceStateCmdFilter

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CSequenceTeachingFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSequenceTeachingFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CSmSqlExportFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSmSqlExportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_KNOTEN

Filter

Filter

Description

VT_BSTR

Name

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


RtFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined functions. The single functions can be executed at Runtime via VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub CreateTrendFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("TREND")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picTREND", tpPicture)
'function settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].RefreshRate") = 1
.DynProperties("PictFilter[0].Name") = "WIZARD TREND"
.DynProperties("PictFilter[0].IsArchive") = False
.DynProperties("PictFilter[0].IsXAxis") = False
'Add 3 CURVES
For i = 0 To 2
n = .DynProperties("PictFilter[0].Curve[-1]")
If n <= i Then
'create CURVE SubItem if needed
.CreateDynProperty ("PictFilter[0].Curve")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].VarInfo")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe[0].Scale")
End If
'change curve settings
.DynProperties("PictFilter[0].Curve[" & i & "].GraphName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].HasYAxis") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsShow") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsInterpolation") = True
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Channel") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Variable") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMaxValue") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMinValue") = 0
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.IsAutoScale") = False
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Color") = vbBlack
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton") = 0
Next i
'filter settings (relative time 5 minutes)
.CreateDynProperty ("PictFilter[0].TimeAxe")
.DynProperties("PictFilter[0].TimeAxe.OldDiff") = 3600
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.Options") = 65535
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime1") = CDate(25569.0451388889) '("01.01.1970 01:05:00")
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
End With
End Sub

'Create Function for ALARM - PICTURE
Sub CreateAlarmFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picALARM", tpPicture)
'function and filter settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].VarFilter") = "*"
.DynProperties("PictFilter[0].FilterTitel") = "*"
i = .DynProperties("PictFilter[0].TimeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter"
.DynProperties("PictFilter[0].TimeFilter[0].TimeFormat") = 10
.DynProperties("PictFilter[0].TimeFilter[0].Options") = 65535
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime1") = CDate(25570.0416666667) '("02.01.1970 01:00:00")
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
i = .DynProperties("PictFilter[0].TimeFilter[0].ChargeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter[0].ChargeFilter"
i = .DynProperties("PictFilter[0].TextFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TextFilter"
i = .DynProperties("PictFilter[0].ListInfo[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].ListInfo"
End With
End Sub

Ancora in questo capitolo

RtFunctions-Properties

RtFunctions-Methods

RtFunctions-Events


RtFunctions-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunctions-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IRtFunction | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

Export

SingleExport

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Function from the collection, which is identified by the parameter vNameOrPos.

Datatype

Item(VARIANT vNameOrPos) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

If the parameter is a numerical value, the function is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the function is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrPos As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new function and returns the new RtFunction object.

Datatype

Create(String bsName,tpFunctionTypes tpFuncType) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the RtFunjction objects from the collection.

Datatype

Delete(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RtFunctions-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PreFunctionExecute | This event is fired when a function is executed and containes a copy of the function. | not used | available | yes | yes

Ancora in questo capitolo

PreFunctionExecute


PreFunctionExecute

Manuale -> Interfacce di programmazione -> Objectmodel -> RtFunctions -> RtFunctions-Events -> PreFunctionExecute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event will be fired if a zenon function is called via the function list (function call via dynamic element, script, limit violation, reaction matrix, API).

This event contains a temporary copy of the called function object as a parameter (containing all information of the function), not the object from the function list itself. To get the "original" function object the .Parent method of the temporary object could be used.

Like for all other events, the parameter object is only valid in the scope of the event itself and therefore it must not be stored.

Datatype

PreFunctionExecute(IRtFunction* obFunction) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//RtFunctions object
public zenOn.IRtFunctions myRtFcts;
//...

//Init object, create eventhandler
void ThisProject_Active()

{

myRtFcts = this.RtFunctions();

myRtFcts.PreFunctionExecute += new
zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

//...

}

//Event method

void myRtFcts_PreFunctionExecute(zenOn.IRtFunction obFunction)

{
//Output debug information

System.Diagnostics.Debug.Print("Function: \"" + obFunction.Name + "\"

executes - Function type: " + obFunction.Type.ToString());

//Do something with the object –

//Note: Object obFunction is valid only in this scope!
//...

}

//Delete eventhandler, release object
void ThisProject_Inactive()

{

myRtFcts.PreFunctionExecute -= new

zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

myRtFcts = null;

//...

}

VB.NET

VBA


SapFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been d etected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapFunction-Properties

SapFunction-Methods

SapFunction-Events

SapFunction-Dynamic properties


SapFunction-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapActivity | Activity | Activity state of the function call (0 = inactive, 1 = in queue, 2 = call in progress) | available | available | yes | yes
tpSapError | ErrorCode | Code for result of last call | not used | read only | yes | yes
BSTR | ErrorText | Short text for result of last call | not used | read only | yes | yes
BSTR | LastError | Last Error | read only | read only | yes | yes
BSTR | Name | Name of the SAP function | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Name

ErrorCode

ErrorText

LastError

Activity


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorCode

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> ErrorCode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorCode() As tpSapError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ErrorText

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> ErrorText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LastError

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> LastError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LastError() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Activity

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Properties -> Activity

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the actuial activity state of the SAP function.

Datatype

Activity() As tpSapActivity

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunction-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapError | Call | Calls the SAP function synchronously | available | available | yes | yes
tpSapError | CallAsync | Calls the SAP function asynchronously | available | available | yes | yes
ISapParameters | Parameters | Returns the SAP parameters collection | available | available | yes | yes
ISapTables | Tables | Returns the SAP tables collection | available | available | yes | yes
VARIANT_BOOL | StartServer | Starts the SAP function as server program to be called from SAP | available | available | yes | yes
void | StopServer | Stops the server program | available | available | yes | yes

Ancora in questo capitolo

Parameters

Tables

Call

CallAsync

StartServer

StopServer


Parameters

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> Parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parameters() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tables

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> Tables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tables() As SapTables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Call

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> Call

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Call([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CallAsync

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> CallAsync

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallAsync([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartServer

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> StartServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartServer() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopServer

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Methods -> StopServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopServer() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ActivityChanged | Activity state of the function call has changed | not used | read only | yes | yes
void | CallFinished | SAP function returns from asynchronous call | read only | read only | yes | yes
void | ServerCall | Server program called by SAP | not used | read only | yes | yes

Ancora in questo capitolo

CallFinished

ActivityChanged

ServerCall


CallFinished

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Events -> CallFinished

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallFinished(SapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivityChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Events -> ActivityChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This events reacts on a change of the activity state of an SAP function.The Function object and the State-Value will be delivered from the event.

Datatype

ActivityChanged(SapFunction obFunction, tpSapActivity Activity) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

SAP Function as 'SapFunction' object.

Value of SAP Activity (for more details see property 'Activity')

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obFunction As SapFunction

Activity As tpSapActivity

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub obFunReadTable_ActivityChanged(ByVal obFunction As ISapFunction,_
ByVal Activity As tpSapActivity)
thisProject.Variables.Item("ReadTableActive").Value = obFunction.Activity
End Sub


ServerCall

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Events -> ServerCall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ServerCall(ISapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP function

Ancora in questo capitolo

SAP function


SAP function

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunction -> SapFunction-Dynamic properties -> SAP function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Label

Nome funzione

Denominazione assegnabile a piacere alla funzione SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

RFC function block

Nome del blocco dati funzionale nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve solo come informazione. Se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ServerPgm

Programma server

Proprietà per la progettazione di funzioni SAP come programmi server.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

ServerFunction

Funzione

Selezione di una funzione di zenon che deve essere richiamata dal programma server. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.

Nota: Se viene richiamata una funzione da un altro progetto, dovete assicuravi che questo progetto sia attivo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

Wait

Tempo di attesa

Definizione di un intervallo di tempo in millisecondi che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Raccomandata soprattutto in caso di PLC a comunicazione lenta, e/o con cicli di lettura lunghi

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 0

Raccomandazione:

  • Variabili del driver interno o del driver di sistema. Valori bassi, intorno a 0 ms.
  • Driver matematico. Valori tra 100 – 200 ms. (Questo driver, a seconda del carico del sistema, viene attualizzato circa ogni 100 ms.)
  • Altri driver e PLC: Valori che si trovano un po´ al di sopra dell´update time del driver. Più alto è il numero delle variabili, tanto maggiore dovrà essere tale valore.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ActivityVar

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

  • 0: disattivato.
  • 1: inserito in lista attesa aperture
  • 2: Chiamata attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ErrorVar

Codice di errore

Variabile numerica per il codice di errore della chiamata funzione.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ErrorTextVar

Testo di errore

Variabile stringa per la descrizione breve dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

LastErrorVar

Descrizione di errore

Variabile stringa per una descrizione esaustiva dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.


SapFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapFunctions-Properties

SapFunctions-Methods


SapFunctions-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP functions | available | available | yes | yes
IProject | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunctions-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapFunction | CreateSapFunction | Creates a new SAP function (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapFunction | Deletes the given SAP function | available | available | yes | yes
ISapFunction | Item | Returns the SAP function by name or position | available | available | yes | yes

Ancora in questo capitolo

CreateSapFunction

DeleteSapFunction

Item


CreateSapFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> CreateSapFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapFunction(String Name) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> DeleteSapFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapFunction(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
S et obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapParameter-Properties

SapParameter-Methods

SapParameter-Dynamic properties


SapParameter-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Default | SAP parameter has a default value (TRUE/FALSE) | available | available | yes | yes
BSTR | Name | Name of the SAP parameter | available | available | yes | yes
VARIANT_BOOL | Optional | SAP parameter is optional (TRUE/FALSE) | available | available | yes | yes
ISapParameters | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP parameter in a delimited string | not used | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Optional

Default

RawData


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties -> Optional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Default

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties -> Default

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Default() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Properties -> RawData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

returns the data of the Parameter as one line, the values are separated by a Line-Feed character...

Datatype

RawData() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SapParameter-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP parameter | available | available | yes | yes
void | Value [PUT] | Value of the SAP parameter | available | available | yes | yes

Ancora in questo capitolo

Value [GET]

Value [PUT]


Value [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP Parameter

Ancora in questo capitolo

SAP Parameter


SAP Parameter

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameter -> SapParameter-Dynamic properties -> SAP Parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Optional

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.


SapParameters

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapParameters-Properties

SapParameters-Methods


SapParameters-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP parameters | available | available | yes | yes
ISapFunction | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapParameters-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapParameter | Creates a new SAP parameter (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapParameter | Deletes the given SAP parameter | available | available | yes | yes
ISapParameter | Item | Returns the SAP parameter by name or position | available | available | yes | yes

Ancora in questo capitolo

CreateSapParameter

DeleteSapParameter

Item


CreateSapParameter

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Methods -> CreateSapParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapParameter(String Name, [optional] VARIANT bOptional, [optional] VARIANT bDefault) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapParameter

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Methods -> DeleteSapParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapParameter(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SapParameters -> SapParameters-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRow

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
I f obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapRow-Properties

SapRow-Methods


SapRow-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRows | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP row in a delimited string | available | not used | yes | yes

Ancora in questo capitolo

Parent

RawData


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapRows

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Properties -> RawData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RawData() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SapRow-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP row / column | available | available | yes | yes
void | Value [PUT] | Value of the SAP row / column | available | available | yes | yes

Ancora in questo capitolo

Value [GET]

Value [PUT]


Value [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRow -> SapRow-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRows

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapRows-Properties

SapRows-Methods


SapRows-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP rows in the table | available | available | yes | yes
ISapTable | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapRows-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRow | AppendSapRow | Appends a new SAP row at the end of the table | available | not used | yes | yes
VARIANT_BOOL | DeleteSapRow | Deletes the SAP row at the given index | available | not used | yes | yes
ISapRow | InsertSapRow | Inserts a new SAP row at the given index | available | not used | yes | yes
ISapRow | Item | Returns the SAP row at the given index | available | not used | yes | yes

Ancora in questo capitolo

AppendSapRow

InsertSapRow

DeleteSapRow

Item


AppendSapRow

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Methods -> AppendSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AppendSapRow() As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSapRow

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Methods -> InsertSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertSapRow(long Index) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapRow

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Methods -> DeleteSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapRow(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SapRows -> SapRows-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapTable-Properties

SapTable-Methods

SapTable-Dynamic properties


SapTable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the SAP table | available | available | yes | yes
VARIANT_BOOL | Optional | SAP table is optional (TRUE/FALSE) | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Name

Optional


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Properties -> Optional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Clear | Deletes all rows in the table | available | available | yes | yes
ISapRows | Rows | Returns the collection of the rows in the table | available | not used | yes | yes

Ancora in questo capitolo

Rows

Clear


Rows

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Methods -> Rows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Rows() As SapRows

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Clear

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Methods -> Clear

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Clear() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP table

Ancora in questo capitolo

SAP table


SAP table

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTable -> SapTable-Dynamic properties -> SAP table

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

RowCountVar

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Optional

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.


SapTables

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
StError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Ancora in questo capitolo

SapTables-Properties

SapTables-Methods


SapTables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP tables | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapTable | Creates a new SAP table (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapTable | Deletes the given SAP table | available | available | yes | yes
ISapTable | Item | Returns the SAP table by name or position | available | available | yes | yes

Ancora in questo capitolo

CreateSapTable

DeleteSapTable

Item


CreateSapTable

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Methods -> CreateSapTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapTable(String Name, [optional] VARIANT bOptional) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapTable

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Methods -> DeleteSapTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapTable(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SapTables -> SapTables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleCustomPeriod

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

ScheduleCustomPeriod-Properties


ScheduleCustomPeriod-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartDate | Start Date of a Custom Period | read only | read only | yes | yes
DATE | EndDate | End Date of a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Custom Period | read only | read only | yes | yes

Ancora in questo capitolo

StartDate

EndDate

SwitchingPeriods

SwitchingPoints


StartDate

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> StartDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start date of the period. Cannot be changed after creation.

Datatype

StartDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EndDate

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> EndDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End date of the period. Cannot be changed after creation.

Datatype

EndDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Link to a single Function

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Ancora in questo capitolo

ScheduleFunction-Properties


ScheduleFunction-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Function is Active | available | available | yes | yes
IRtFunction | Function | Defines a Function in a Switching Point | read only | read only | yes | yes

Ancora in questo capitolo

Active

Function


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this function gets executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function that gets executed. Cannot be changed.

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Functions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Ancora in questo capitolo

ScheduleFunctions-Properties

ScheduleFunctions-Methods


ScheduleFunctions-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Functions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleFunction | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleFunction | Item |  | available | available | yes | yes

Ancora in questo capitolo

Create

Delete

Item


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a „Reload" function, and links it to the defined SwitchingPeriod

Datatype

Create(IRtFunction Function) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified function from the defined SwitchingPeriod

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

Datatype

Item(long Index) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


ScheduleGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Schedule Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function

Ancora in questo capitolo

ScheduleGroup-Properties


ScheduleGroup-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Schedule Group Name | read only | read only | yes | yes
ISchedules | Schedules | Collection of Schedules in a Schedule Group | read only | read only | yes | yes

Ancora in questo capitolo

Name

Schedules


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of the Schedules in this Group

Datatype

Schedules() As ISchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Schedule Groups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_GetListOfScheduleGroups()

{

String fullString = "";

fullString += "Amount of ScheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count + "\n";

for (int i = 0; i < ActiveDocument.Scheduler.ScheduleGroups.Count; i++)

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(i);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n";

}

fullString += "Name of ScheduleGroup: " + group.Name + " ";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

public void Macro_SchedulerCount()

{

System.Windows.Forms.MessageBox.Show("Amount of scheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count);

}

VB.NET

VBA

Public Sub GetListOfScheduleGroups()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim index As Long

fullString = fullString & "Amount of scheduleGroups: " & groups.count & vbNewLine

For index = 0 To (groups.count - 1)

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(index)

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine

End If

fullString = fullString & "Name of ScheduleGroup: " & group.Name

Next

MsgBox fullString

End Sub

Public Sub Count()

MsgBox MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.Count

End Sub

Ancora in questo capitolo

ScheduleGroups-Properties

ScheduleGroups-Methods


ScheduleGroups-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Schedule Groups | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Groups. Cannot be modified directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroup | Create | Creates a Schedule Group | available | available | yes | yes
IScheduleGroup | DuplicateByName | Duplicates a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | DuplicateByIndex | Duplicates a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a Schedule Group via Index | available | available | yes | yes
IScheduleGroup | ItemByName | Returns a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | ItemByIndex | Returns a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | RenameByName | Renames a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | RenameByIndex | Renames a Schedule Group via Index | available | available | yes | yes
IScheduleGroup | GetItemByName | Returns a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | GetItem | Returns a Schedule Group via Index | available | available | yes | yes

Ancora in questo capitolo

Create

DuplicateByName

DuplicateByIndex

DeleteByName

DeleteByIndex

GetItemByName

GetItem

RenameByName

RenameByIndex


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new ScheduleGroup

Datatype

Create() As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function


DuplicateByName

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified name

Datatype

DuplicateByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByName()

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByName("New schedule1");

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

VB.NET

VBA

Public Sub DuplicateByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByName("New schedule1")

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.Name

Else

MsgBox "Error while duplicating the scheduleGroup"

End If

End Sub


DuplicateByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified index

Datatype

DuplicateByIndex(long Index) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByIndex(0);

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to duplicate");

}

}

VB.NET

VBA

Public Sub DuplicateByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim count As Long

count = groups.count

If count > 0 Then

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByIndex(0)

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.name

Else

MsgBox "Error while duplicating the scheduleGroup with index '0'"

End If

Else

MsgBox "There's no existing group to duplicate"

End If

End Sub


DeleteByName

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the ScheduleGroup with the specified name

Datatype

DeleteByName(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByName("New schedule1");

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup");

}

}

VB.NET

VBA

Public Sub DeleteByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.DeleteByName("New schedule1")

If success Then

MsgBox "SchedulerGroup deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup'"

End If

End Sub


DeleteByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a ScheduleGroup with the specified index

Datatype

DeleteByIndex(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByIndex(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup with index 0 deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup with index '0'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to delete");

}

}

VB.NET

VBA

Public Sub DeleteByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.DeleteByIndex(0)

If success Then

MsgBox "SchedulerGroup with index 0 deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup with index '0'"

End If

Else

MsgBox "There's no existing group to delete"

End If

End Sub


GetItemByName

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> GetItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long Index) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RenameByName

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified name

Datatype

RenameByName(BSTR OldName, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByName("New schedule1", "newName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup");

}

}

VB.NET

VBA

Public Sub RenameByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.RenameByName("New schedule1", "newName")

If success Then

MsgBox "The scheduleGroup was renamed to 'newName'"

Else

MsgBox "ScheduleGroup does not exist"

End If

End Sub


RenameByIndex

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified index

Datatype

RenameByIndex(long Index, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByIndex()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByIndex(0, "NewName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup with index '0' was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup with index '0'");

}

}

VB.NET

VBA

Public Sub RenameByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.RenameByIndex(0, "newName")

If success Then

MsgBox "The scheduleGroup with index '0' was renamed to 'newName'"

Else

MsgBox "ScheduleGroup with index '0' is not existing"

End If

Else

MsgBox "There's no existing group to rename"

End If

End Sub


Scheduler

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Scheduler API allows access and modification to the Scheduler data through VBA and VSTA in the Editor and Runtime.

General rules when using the Scheduler API:

Do not use the Scheduler API from a second thread or keep API Objects for later calls. The Scheduler data may get edited elsewhere, so the lifetime and validity of the objects is only guaranteed in the immediate function context.

After modifications to collections (add, remove, rename) the iteration order of all objects may change, so performing these operations mid iteration may invalidate your index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

class Project

{

properties:

Scheduler* Scheduler; // Access to the Scheduler API in the Project

}

The following classes are new in the zenon API to access the Scheduler:

// Root class for the Scheduler Api

class Scheduler

{

properties:

ScheduleGroups* ScheduleGroups; // Access to the configured Schedule Groups

methods:

bool Save(); // Saves all unsaved changes. Returns true if store was successful

void Undo(); // Undoes all unsaved changes

// Multiuser block

bool Get();

bool CheckOut();

bool CheckIn();

bool UndoCheckOut();

bool IsLocked();

bool IsCheckedOut();

bool IsDifferent();

};

// Collection of Schedule Groups

class ScheduleGroups

{

properties:

long Count; // Count of Groups. Cannot be modified directly.

methods:

ScheduleGroup* Create(); // Creates and returns a new ScheduleGroup. The new ScheduleGroup is created with the default name for new Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByName(String Name); // Duplicates and returns the ScheduleGroup with the passed 'Name'. The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByIndex(long Index); // Duplicates and returns the ScheduleGroup at the passed 'Index'(0-based). The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created or 'Index' is invalid, null is returned.

bool DeleteByName(String Name); // Deletes the ScheduleGroup with the passed 'Name'. Returns true, if the Group was deleted successfully and false if the 'Name' does not exist or the Group could not be deleted.

bool DeleteByIndex(long Index); // Deletes the ScheduleGroup at the passed 'Index'(0-based). Returns true, if the Group was deleted successfully and false if the 'Index' is invalid or the Group could not be deleted.

ScheduleGroup* ItemByName(String Name); // Returns the ScheduleGroup with the passed 'Name'. Returns null if no Group with that name exists.

ScheduleGroup* ItemByIndex(long Index); // Returns the ScheduleGroup at the passed Index(0-based). Returns null the index in invalid.

bool RenameByName(String OldName, String NewName); // Changes the name of a ScheduleGroup from 'OldName' to 'NewName'. Returns true if the object was renamed successfully.

bool RenameByIndex(long Index, String NewName); // Changes the name of a ScheduleGroup at the passed 'Index'(0-based) to 'NewName'. Returns true if the object was renamed successfully.

};

// A single Schedule Group

class ScheduleGroup

{

properties:

String Name; // Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Schedules* Schedules; // Collection of the Schedules in this Group

};

// Collection of Schedules in the Group

class Schedules

{

properties:

long CustomPeriodCount; // Count of Custom Periods. Cannot be modified directly.

methods:

ScheduleCustomPeriod* CreateCustomPeriod(DateTime Start, DateTime End); // Creates and returns a new Custom Period or null if it could not be created. Only the date of 'Start' and 'End' is considered for Custom Periods and both are included in the Period. The date of 'End' must not be before the date of 'Start'. The time range for a Period cannot overlap with any existing Custom Periods.

bool DeleteCustomPeriod(long Index); // Deletes a Custom Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleStandardDay* GetStandardDay(tpScheduleDayType Day); // Returns the ScheduleStandardDay with the passed type or null if 'Day' is invalid.

ScheduleCustomPeriod* GetCustomPeriod(long Index); // Returns the ScheduleCustomPeriod at the passed 'Index' or null if the 'Index' is invalid.

};

// A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

class ScheduleStandardDay

{

properties:

tpScheduleDayType Type; // defines the days on which it gets used. Cannot be changed.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

class ScheduleCustomPeriod

{

properties:

DateTime StartDateTime; // Start date of the period. Cannot be changed after creation.

DateTime EndDateTime; // End date of the period. Cannot be changed after creation.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// Collection of Switching Periods.

class ScheduleSwitchingPeriods

{

properties:

long Count; // Count of Switching Periods. Cannot be changed directly.

methods:

ScheduleSwitchingPeriod* Create(DateTime StartTime, DateTime EndTime); // Creates and returns a new Switching Period. Only the time component of 'StartTime' and 'EndTime' are relevant. Both times must be unique within the Schedule and 'EndTime' must be after 'StartTime'.

bool Delete(long Index); // Deletes the Switching Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleSwitchingPeriod* Item(long Index); // Returns the Switching Period at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single Switching Period

class ScheduleSwitchingPeriod

{

properties:

ScheduleSwitchingPoint* Start; // Switching Point at the Start of the Period

ScheduleSwitchingPoint* End; // Switching Point at the End of the Period

};

// Collection of Switching Points

class ScheduleSwitchingPoints

{

properties:

long Count; // Count if Swichting Points. Cannot be changed directly.

methods:

ScheduleSwitchingPoint* Create(DateTime Time); // Creates and returns a new Switching Point. Only the time component of 'Time' is relevant. The time must be unique within the Schedule.

bool Delete(long Index); // Deletes the Switching Point at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Point could not be deleted.

ScheduleSwitchingPoint* Item(long Index); // Returns the Switching Point at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single switching Point

class ScheduleSwitchingPoint

{

properties:

DateTime Time; // Time of the switching Point. Only the time component is relevant

ScheduleVariables* Variables; // Collection of Actions to be performed on Variables

ScheduleFunctions* Functions; // Collection of Functions to be Executed

};

// Collection of Functions in a Switching Point

class ScheduleFunctions

{

properties:

long Count; // Count of Functions. Cannot be changed directly.

methods:

ScheduleFunction* Create(IRtFunction* Function); // Inserts the new 'Function' to be executed and returns the new link. Returns null if the 'Function' is not unique within the collection or cannot be added.

bool Delete(long Index); // Deletes the link to a function at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the function could not be removed

ScheduleFunction* Item(long Index); // Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// Link to a single Function

class ScheduleFunction

{

properties:

bool Active; // Defines, if this function gets executed. Can be changed.

IRtFunction* Function; // Function that gets executed. Cannot be changed.

};

// Collection of Variable Actions in a Switching Point

class ScheduleVariables

{

properties:

long Count; // Count of Variable Actions. Cannot be changed directly.

methods:

ScheduleVariable* Create(IVariable* Variable, VARIANT SetValue); // Creates and returns a new variable Action to set 'SetValue' into 'Variable'. Returns null, if 'Variable' is not unique within the Switching Point or the new action could not be added

bool Delete(long Index); // Deletes the Variable at the passed 'Index'(0-based). Returns false, if 'Index' is invalid or the Variable could not be deleted.

ScheduleVariable* Item(long Index); // Returns the Variable at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// A single Variable Action

class ScheduleVariable

{

properties:

bool Active; // Defines, if this Action gets Executed. Can be changed.

IVariable* Variable; // Variable, that gets a Value set into. Cannot be changed.

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub

Ancora in questo capitolo

Scheduler-Properties

Scheduler-Methods


Scheduler-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroups | ScheduleGroups | Collection of Schedule Groups | read only | read only | yes | yes

Ancora in questo capitolo

ScheduleGroups


ScheduleGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Properties -> ScheduleGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the configured Schedule Groups

Datatype

ScheduleGroups() As IScheduleGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scheduler-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Save | Saves the changes made to the Scheduler | available | available | yes | yes
void | Undo | Undo changes made to the Scheduler since the last Save | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only | not used | yes | yes

Ancora in questo capitolo

Save

Undo

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the changes made to the Scheduler

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerSave()

{

if (ActiveDocument.Scheduler.Save())

{

System.Windows.Forms.MessageBox.Show("Data saved");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while saving");

}

}

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub


Undo

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> Undo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo all changes made to the Scheduler. Reverts to the last save

Datatype

Undo() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerUndo()

{

ActiveDocument.Scheduler.Undo();

}

VB.NET

VBA

Public Sub Undo()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

scheduler.Undo

End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Schedules

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Schedules in the Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Ancora in questo capitolo

Schedules-Properties

Schedules-Methods


Schedules-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomPeriodCount | Returns the Count of Custom Periods | read only | read only | yes | yes

Ancora in questo capitolo

CustomPeriodCount


CustomPeriodCount

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Properties -> CustomPeriodCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Custom Periods. Cannot be modified directly.

Datatype

CustomPeriodCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleCustomPeriod | CreateCustomPeriod | Creates a Custom Period | available | available | yes | yes
VARIANT_BOOL | DeleteCustomPeriod | Deletes a Custom Period | available | available | yes | yes
IScheduleStandardDay | GetStandardDay | Returns a Standard Day via enum | available | available | yes | yes
IScheduleCustomPeriod | GetCustomPeriod | Returns a Custom Period via Index | available | available | yes | yes

Ancora in questo capitolo

CreateCustomPeriod

DeleteCustomPeriod

GetStandardDay

GetCustomPeriod


CreateCustomPeriod

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Methods -> CreateCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a custom period

Datatype

CreateCustomPeriod(DATE Start, DATE End) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


DeleteCustomPeriod

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Methods -> DeleteCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the custom period.

Datatype

DeleteCustomPeriod(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing CustomPeriod in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (group.Schedules.CustomPeriodCount > 0)

{

String report = "";

zenOn.IScheduleCustomPeriod period = group.Schedules.GetCustomPeriod(0);

report += "scheduleGroup: " + group.Name + "\n";

report += "first customPeriod: " + period.StartDate.Day + "." + period.StartDate.Month + "." + period.StartDate.Year;

report += " - " + period.EndDate.Day + "." + period.EndDate.Month + "." + period.EndDate.Year;

bool success = group.Schedules.DeleteCustomPeriod(0);

if (success)

{

report += "\nCustomPeriod deleted successfully";

}

else

{

report += "\nDeleting customPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("There's no customPeriod existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

If group.Schedules.customPeriodCount > 0 Then

Dim report As String

Dim period As ScheduleCustomPeriod

Set period = group.Schedules.GetCustomPeriod(0)

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first customPeriod: " & Format(period.StartDate, "dd.mm.yyyy") & " - " & Format(period.EndDate, "dd.mm.yyyy")

Dim success As Boolean

success = group.Schedules.DeleteCustomPeriod(0)

If success Then

report = report & vbNewLine & "CustomPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting customPeriod was not successful"

End If

MsgBox report

Else

MsgBox "There's no customPeriod existing to delete"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


GetStandardDay

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Methods -> GetStandardDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific Schedule within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (StandardDay) must be defined by the user!

Datatype

GetStandardDay(tpScheduleDayType Day) As IScheduleStandardDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessStandardDay()

{

String fullString = "";

{

//Specify ScheduleGroup via Index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify StandardDay via Index!

zenOn.tpScheduleDayType dayType = Macro_GetDayTypeForIndex(2);

Macro_ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessStandardDay()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim standardDayCount As Long

standardDayCount = 8

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim dayType As tpScheduleDayType

'Specify StandardDay via Index!

dayType = GetDayTypeForIndex(0)

Call ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), fullString)

End If

MsgBox fullString

End Sub


GetCustomPeriod

Manuale -> Interfacce di programmazione -> Objectmodel -> Schedules -> Schedules-Methods -> GetCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific CustomPeriod within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (CustomPeriod) must be defined by the user!

Datatype

GetCustomPeriod(long Index) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessCustomPeriod()

{

String fullString = "";

{

//Specify ScheduleGroup index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify CustomPeriod via Index!

Macro_ReportOfOneCustomPeriod(group.Schedules.GetCustomPeriod(1), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessCustomPeriod()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim customPeriodCount As Long

customPeriodCount = group.Schedules.customPeriodCount

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim customPeriod As ScheduleCustomPeriod

'Specify CustomPeriod via Index!

Set customPeriod = group.Schedules.GetCustomPeriod(2)

Call ReportOfOneCustomPeriod(customPeriod, fullString)

End If

MsgBox fullString

End Sub


ScheduleStandardDay

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleStandardDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

ScheduleStandardDay-Properties


ScheduleStandardDay-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpScheduleDayType | Type | Standard Day type | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Standard Day | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Standard Day | read only | read only | yes | yes

Ancora in questo capitolo

Type

SwitchingPeriods

SwitchingPoints


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the days on which it gets used. Cannot be changed.

Datatype

Type() As tpScheduleDayType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriod

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Switching Period

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Ancora in questo capitolo

ScheduleSwitchingPeriod-Properties


ScheduleSwitchingPeriod-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Start | Switching Point at the Start of the Period | read only | read only | yes | yes
IScheduleSwitchingPoint | End | Switching Point at the End of the Period | read only | read only | yes | yes

Ancora in questo capitolo

Start

End


Start

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the Start of the Period

Datatype

Start() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


End

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> End

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the end of the Period

Datatype

End() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Ancora in questo capitolo

ScheduleSwitchingPeriods-Properties

ScheduleSwitchingPeriods-Methods


ScheduleSwitchingPeriods-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Switching Periods | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Switching Periods. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPeriod | Create | Creates a new Switching Period | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Switching Period | available | available | yes | yes
IScheduleSwitchingPeriod | Item | Returns a Switching Period | available | available | yes | yes

Ancora in questo capitolo

Create

Delete

Item


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching period

Datatype

Create(DATE StartTime, DATE EndTime) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPeriods

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPeriod from Monday in the first existing scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPeriods.Count > 0)

{

zenOn.IScheduleSwitchingPeriod period = day.SwitchingPeriods.Item(0);

if (period != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPeriod: " + period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay;

bool success = day.SwitchingPeriods.Delete(0);

if (success)

{

report += "\n SwitchingPeriod deleted successfully";

}

else

{

report += "\nDeleting switchingPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching periods existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPeriods.Count > 0 Then

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPeriod: " & Format(period.Start.Time, "hh:mm") & " - " & Format(period.End.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPeriods.Delete(0)

If success Then

report = report & vbNewLine & "switchingPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPeriod was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPeriods existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPeriods contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPeriods()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n";

fullString += "Amount of SwitchingPeriods: " + monday.SwitchingPeriods.Count + "\n";

for (int i = 0; i < monday.SwitchingPeriods.Count; i++)

{

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(i);

if (period != null)

{

fullString += period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPeriods()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPeriods: " & monday.SwitchingPeriods.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPeriods.count - 1)

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(index)

If Not period Is Nothing Then

fullString = fullString & Format(period.Start.Time, "hh:mm:ss") & " - " & Format(period.End.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleSwitchingPoint

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Ancora in questo capitolo

ScheduleSwitchingPoint-Properties


ScheduleSwitchingPoint-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Switching Point execution Time | read only | read only | yes | yes
IScheduleVariables | Variables | Collection of Variables in a Switching Point | read only | read only | yes | yes
IScheduleFunctions | Functions | Collection of Functions in a Switching Point | read only | read only | yes | yes

Ancora in questo capitolo

Time

Variables

Functions


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time of the switching Point. Only the time component is relevant

Datatype

Time() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Actions to be performed on Variables

Datatype

Variables() As IScheduleVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Functions

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Functions to be Executed

Datatype

Functions() As IScheduleFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Ancora in questo capitolo

ScheduleSwitchingPoints-Properties

ScheduleSwitchingPoints-Methods


ScheduleSwitchingPoints-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count if Swichting Points. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleSwitchingPoint | Item |  | available | available | yes | yes

Ancora in questo capitolo

Create

Delete

Item


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a Switching Point

Datatype

Create(DATE Time) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreateSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

zenOn.IScheduleSwitchingPoint newSwitchingPoint = day.SwitchingPoints.Create(DateTime.Now);

if (newSwitchingPoint != null)

{

report += "new switchingPoint: " + newSwitchingPoint.Time.TimeOfDay;

report += "\nSwitchingPoint created successfully";

}

else

{

report += "\nNo switchingPoint created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPoint As ScheduleSwitchingPoint

Set newSwitchingPoint = monday.SwitchingPoints.Create(Now())

If Not newSwitchingPoint Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPoint.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPoint created successfully"

Else

report = report & vbNewLine & "No SwitchingPoint created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPoints

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPoints contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPoints()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n\nAmount of SwitchingPoints: " + monday.SwitchingPoints.Count + "\n";

for (int i = 0; i < monday.SwitchingPoints.Count; i++)

{

zenOn.IScheduleSwitchingPoint point = monday.SwitchingPoints.Item(i);

if (point != null)

{

fullString += point.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPoints()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPoints: " & monday.SwitchingPoints.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPoints.count - 1)

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(index)

If Not point Is Nothing Then

fullString = fullString & Format(point.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Variable Action

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Ancora in questo capitolo

ScheduleVariable-Properties


ScheduleVariable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Variable is Active | available | available | yes | yes
IVariable | Variable |  | read only | read only | yes | yes
VARIANT | SetValue | Defines the Value of a Variable | available | available | yes | yes

Ancora in questo capitolo

Active

Variable

SetValue


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this Action gets Executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable, that gets a Value set into. Cannot be changed.

Datatype

Variable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> SetValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value that is to be set into the Variable. Can be changed.

Datatype

SetValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ScheduleVariables

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Variable Actions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Ancora in questo capitolo

ScheduleVariables-Properties

ScheduleVariables-Methods


ScheduleVariables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Variables in a Switching Point | read only | read only | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Variable Actions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleVariables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleVariable | Create | Creates a Variable in a Switching Point | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Variable in a Switching Point | available | available | yes | yes
IScheduleVariable | Item | Returns a Variable in a Switching Point | available | available | yes | yes

Ancora in questo capitolo

Create

Delete

Item


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Links the specified Variable to a SwitchingPeriod or SwitchingPoint.

Datatype

Create(IVariable Variable, VARIANT SetValue) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified Variable from the a SwitchingPeriod or SwitchingPoint.

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DeleteVariableFromSwitchingPeriodEndTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod in which a Variable should get deleted

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Remove the first Variable linked at the End-time of the SwitchingPeriod

bool deleteResult = switchingPeriod.End.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

public void Macro_DeleteVariableFromSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint in which a Variable should get deleted

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Remove the first Variable linked in the SwitchingPoint

bool deleteResult = switchingPoint.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

VB.NET

VBA

Public Sub DeleteVariableFromSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod in which a Variable should get deleted

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked at the End-time of the SwitchingPeriod

deleteResult = switchingPeriod.End.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub

Public Sub DeleteVariableFromSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint in which a Variable should get deleted

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked in the SwitchingPoint

deleteResult = switchingPoint.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Variables linked a SwitchingPeriod or SwitchingPoint.

Datatype

Item(long Index) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_IterateVariableLinksInSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to be Iterated!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

string message = "SwitchingPeriod Start-time variables:\n";

for (int index = 0; index < switchingPeriod.Start.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPeriod.Start.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

public void Macro_IterateVariableLinksInSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to be Iterated!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

string message = "SwitchingPoint variables: \n";

for (int index = 0; index < switchingPoint.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPoint.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

VB.NET

VBA

Public Sub IterateVariableLinksInSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to be Iterated!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim message As String

message = "SwitchingPeriod End-time variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPeriod.End.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPeriod.End.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub

Public Sub IterateVariableLinksInSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPeriod to be Iterated!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim message As String

message = "SwitchingPoint variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPoint.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPoint.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub


Script

Manuale -> Interfacce di programmazione -> Objectmodel -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If several functions should be combined and be executed in the defined order (similar to a batch file), they can be entered into a script.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptExample()
'**************** Use this code in the editor ****************

Dim zScript As Script
Dim i As Integer

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'If there is no script available (no script in the scripts object),...
If zScript Is Nothing Then
'...then inform the user
MsgBox ("No Script available")
'otherwise:
Else
'Output the name of the script
Debug.Print "Scriptname: " & zScript.Name

'For every function in the script...
For i = 0 To zScript.Count - 1
'...output the name of the function
Debug.Print i + 1 & ". Function: " & zScript.Item(i).Name
Next i

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End If
End Sub

Ancora in questo capitolo

Script-Properties

Script-Methods

Script-Dynamic properties


Script-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IScripts | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Scripts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the script.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Script-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IRtFunction | Item | - | available | available | yes | yes
VARIANT_BOOL | Remove | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Add

Remove

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Add

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method adds a function to the script package by the corresponding function ID.

Datatype

Add(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Remove

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method removes a function from the script package by the corresponding function ID.

Datatype

Remove(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the script function at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vPosition) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Script-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Script

Ancora in questo capitolo

Script


Script

Manuale -> Interfacce di programmazione -> Objectmodel -> Script -> Script-Dynamic properties -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco dello script.

Default: Script_x (x è un numero progressivo)

È possibile definire script individuali e selezionare script predefiniti. Inserimento di un nome nel menù a tendina per gli script individuali, oppure selezione fra le opzioni proposte dal menù a tendina:

  • AUTOSTART: lo script viene eseguito automaticamente all’avvio del Runtime (postazione standalone oppure server) dopo l’apertura dell’immagine di partenza (postazione standalone o sul server), se il progetto è il progetto di partenza del Runtime.
  • AUTOEND: lo script viene eseguito automaticamente alla chiusura del Runtime (postazione standalone oppure server) se il progetto è il progetto di partenza del Runtime.
    Attenzione: le macro VBA che devono essere eseguite in AUTOEND, devono essere attivate mediante Project.Inactive. Non si devono indicare archivi ciclici nello script AUTOEND.
  • AUTOSTART_CLIENT: lo script viene eseguito automaticamente all’avvio del Runtime e prima dell´apertura dell´immagine di partenza sul client, se il progetto è il progetto di partenza del Runtime.
  • AUTOEND_CLIENT: lo script viene eseguito automaticamente alla chiusura del Runtime sul client se il progetto è il progetto di partenza del Runtime.
  • AUTOSTART_SRVPRJ: lo script viene eseguito automaticamente all´avvio del Runtime sul computer che funge da server per il progetto, prima dell´apertura dell´immagine di partenza, se il progetto è il progetto di partenza del Runtime.
  • AUTOEND_SRVPRJ: lo script viene eseguito automaticamente alla chiusura del Runtime sul computer che funge da server per il progetto se il progetto è il progetto di partenza del Runtime.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Nota per progetti multiutente: quando si modifica il nome di script, i parametri delle funzioni collegate vengono adattati automaticamente dopo una richiesta di controllo per Consenti modifiche. Dopo che il nome è stato modificato, viene cambiato anche lo script.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Scripts

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages scripts.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptsExample()
'************ Use this script in the editor ************

Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'For every script available in the scripts object...
For i = 0 To zScripts.Count - 1
'...output the name
Debug.Print i + 1 & ". Script: " & zScripts.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

Scripts-Properties

Scripts-Methods

Scripts-Dynamic properties


Scripts-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scripts-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IScript | Create | - |  | available | not used | yes | yes
VARIANT_BOOL | Delete | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IScript | Item | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

Export

SingleExport

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the corresponding script at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on "Nothing", if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As Script

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create a new script by name as string parameter

Datatype

Create(String bsName) As Script

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the new script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing script by name

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Scripts

Ancora in questo capitolo

Scripts


Scripts

Manuale -> Interfacce di programmazione -> Objectmodel -> Scripts -> Scripts-Dynamic properties -> Scripts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


SelectionChangedEventParameter

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionChangedEventParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

SelectionChangedEventParameter-Properties


SelectionChangedEventParameter-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDynPicture | SelectionPicture | Picture for the changed selection event in a calendar view | not used | available | yes | yes
tpShiftCalendarSelection | SelectionKind | Kind of the selection for the changed selection event in a calendar view | not used | available | yes | yes

Ancora in questo capitolo

SelectionPicture

SelectionKind


SelectionPicture

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties -> SelectionPicture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionPicture() As IDynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SelectionKind

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties -> SelectionKind

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionKind() As tpShiftCalendarSelection

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SelectionRange

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionRange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

SelectionRange-Properties


SelectionRange-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionRange -> SelectionRange-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartTime | The selection start time | not used | available | yes | yes
DATE | EndTime | The selection end time | not used | available | yes | yes

Ancora in questo capitolo

StartTime

EndTime


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionRange -> SelectionRange-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> SelectionRange -> SelectionRange-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shift

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Every shift which is created using the shift management module is stored in the ShiftCalendar as a Shift object. Every shift contains a set of mandatory (name, start time, end time) and optional properties (description, equipment model groups, users, breaks)

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Ancora in questo capitolo

Shift-Properties

Shift-Methods


Shift-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift start time |  | not used | available | yes | yes
DATE | EndTime | The shift end time |  | not used | available | yes | yes
BSTR | Name | The shift name |  | not used | available | yes | yes
BSTR | Description | The shift description |  | not used | available | yes | yes
BSTR | SystemModelGroups | String containing a list of all linked system model groups | not used |  | available | yes |  | yes
IShiftBreaks | Breaks | Returns the shift breaks object | not used |  | available | yes |  | yes

Ancora in questo capitolo

StartTime

EndTime

Name

Description

SystemModelGroups

Breaks


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> SystemModelGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These equipment model groups are used to match the shifts when the GetShifts() Method of IShiftFilter is called. The filter is applied the same way it is for the control in the GUI: A shift is then part of a filter if:

The filter has no equipment model group set, or

The shift has no equipment model group set, or

The shift and the filter have at least one equipment model group in common

// String containing a list of equipment model group guids. The guids are separated by a ‘;’ character

String SystemModelGroups;

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Breaks

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Properties -> Breaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Breaks() As IShiftBreaks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shift-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
tpShiftSaveResult | Save | Save shift |  | not used | available | yes | yes
tpShiftDeleteResult | Delete | Delete shift |  | not used | available | yes | yes
IShiftUserCollection | ShiftUserCollection [GET] | Returns the shift users collection object | not used |  | available | yes |  | yes

Ancora in questo capitolo

Save

Delete

ShiftUserCollection [GET]


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save shift

Datatype

Save() As tpShiftSaveResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void ReportSaveResult(zenOn.tpShiftSaveResult saveResult)

{

switch (saveResult)

{

case zenOn.tpShiftSaveResult.tpShiftSaveError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: general error!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveNameError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: invalid name!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveRangeError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: invalid range!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveNotFoundError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: shift not found!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveSuccess:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: success!");

break;

}

}

VB.NET

VBA

Public Sub testSaveResult(result As tpShiftSaveResult)

Select Case result

Case tpShiftSaveResult.tpShiftSaveError:

MsgBox ("ShiftSaveResult: general error!")

Case tpShiftSaveResult.tpShiftSaveNameError:

MsgBox ("ShiftSaveResult: invalid name!")

Case tpShiftSaveResult.tpShiftSaveRangeError:

MsgBox ("ShiftSaveResult: invalid range!")

Case tpShiftSaveResult.tpShiftSaveNotFoundError:

MsgBox ("ShiftSaveResult: shift not found!")

Case tpShiftSaveResult.tpShiftSaveSuccess:

MsgBox ("ShiftSaveResult: success!")

End Select

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete shift

Datatype

Delete() As tpShiftDeleteResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

public void ReportDeleteResult(zenOn.tpShiftDeleteResult deleteResult)

{

switch (deleteResult)

{

case zenOn.tpShiftDeleteResult.tpShiftDeleteError:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: general error!");

break;

case zenOn.tpShiftDeleteResult.tpShiftDeleteNotFoundError:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: shift not found!");

break;

case zenOn.tpShiftDeleteResult.tpShiftDeleteSuccess:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: success!");

break;

}

}

VB.NET

VBA

Public Sub testDeleteResult(result As tpShiftDeleteResult)

Select Case result

Case tpShiftDeleteResult.tpShiftDeleteError:

MsgBox ("ShiftDeleteResult: general error!")

Case tpShiftDeleteResult.tpShiftDeleteNotFoundError:

MsgBox ("ShiftDeleteResult: shift not found!")

Case tpShiftDeleteResult.tpShiftDeleteSuccess:

MsgBox ("ShiftDeleteResult: success!")

End Select

End Sub

Examples

C#

VB.NET

VBA


ShiftUserCollection [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Shift -> Shift-Methods -> ShiftUserCollection [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShiftUserCollection [GET]() As IShiftUserCollection

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Every shift may contain multiple breaks. Every break is defined by its name, start time and end time. Note that multiple breaks may have the same name, but they must not overlap.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub createShift()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.calendar.createShift()

shift.Name = "Test"

shift.StartTime = Now()

shift.EndTime = Now() + (8 / 24)

Set Break = shift.Breaks.CreateBreak

Break.StartTime = shift.StartTime + 3 / 24

Break.EndTime = Break.StartTime + 5 / 1440

Break.Name = "@Break@ "

saveResult = shift.Save

Set Break = shift.Breaks.GetItem(0)

Break.Delete

saveResult = shift.Save

End Sub

Ancora in questo capitolo

ShiftBreak-Properties

ShiftBreak-Methods


ShiftBreak-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift break start time | not used | available | yes | yes
DATE | EndTime | The shift break end time | not used | available | yes | yes
BSTR | Name | The shift break name | not used | available | yes | yes

Ancora in questo capitolo

StartTime

EndTime

Name


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftBreak-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpShiftBreakDeleteResult | Delete | Delete shift break | not used | available | yes | yes

Ancora in questo capitolo

Delete


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreak -> ShiftBreak-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Delete() As tpShiftBreakDeleteResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftBreaks

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftBreaks allows to define a set of breaks for a shift. These are stored in ShiftBreaks.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub createShift()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.calendar.createShift()

shift.Name = "Test"

shift.StartTime = Now()

shift.EndTime = Now() + (8 / 24)

Set Break = shift.Breaks.CreateBreak

Break.StartTime = shift.StartTime + 3 / 24

Break.EndTime = Break.StartTime + 5 / 1440

Break.Name = "@Break@ "

saveResult = shift.Save

Set Break = shift.Breaks.GetItem(0)

Break.Delete

saveResult = shift.Save

End Sub

Ancora in questo capitolo

ShiftBreaks-Properties

ShiftBreaks-Methods


ShiftBreaks-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks -> ShiftBreaks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shift breaks | not used | available | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks -> ShiftBreaks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftBreaks-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks -> ShiftBreaks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShiftBreak | GetItem | Returns a shift break from the list | not used | available | yes | yes
IShiftBreak | CreateBreak | Returns a new unsaved shift break object | not used | available | yes | yes

Ancora in questo capitolo

GetItem

CreateBreak


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks -> ShiftBreaks-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIdx) As IShiftBreak

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateBreak

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftBreaks -> ShiftBreaks-Methods -> CreateBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateBreak() As IShiftBreak

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftCalendar

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftCalendar is the container for all shifts of a project. It provides methods to create new shifts and to access existing shifts.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

s = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & s

Next

End If

End Sub

Ancora in questo capitolo

ShiftCalendar-Methods

ShiftCalendar-Events


ShiftCalendar-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IShiftFilter | CreateShiftFilter | Returns the shift filter object |  | not used | available | yes | yes
IShift | CreateShift | Returns a new unsaved shift object |  | not used | available | yes | yes
ISelectionRange | GetSelectionRange | Returns the selection time range of a calendar view | not used |  | available | yes |  | yes
IShifts | GetSelectionShifts | Returns the selected shifts of a calendar view | not used |  | available | yes |  | yes
IShiftModelInsertSettings | CreateShiftModelInsertSettings | Returns a new insert settings object | not used |  | available | yes |  | yes
IShiftModelInsertResult | InsertShiftModel | Inserts a shift model accordings to the given settings | not used |  | available | yes |  | yes

Ancora in questo capitolo

CreateShiftFilter

CreateShift

GetSelectionRange

GetSelectionShifts

CreateShiftModelInsertSettings

InsertShiftModel


CreateShiftFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShiftFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

CreateShiftFilter creates a new ShiftFilter object which can be used to read the shifts which are stored in the shift calendar.

Datatype

CreateShiftFilter() As IShiftFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

s = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & s

Next

End If

End Sub


CreateShift

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

CreateShift creates a new shift object. This object´s properties may then be set as required. Once configured, the object may be stored in the shift calendar.

Datatype

CreateShift() As IShift

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_TestShiftCommands()

{

System.Windows.Forms.MessageBox.Show("Attempt to create a new shift...");

zenOn.IShift shift = this.ShiftManagement.Calendar.CreateShift();

if (null != shift)

{

// Save shift: invalid name

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save shift with invalid name...");

zenOn.tpShiftSaveResult saveResult = shift.Save();

ReportSaveResult(saveResult);

// Save shift: valid name, invalid range

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save shift with invalid range...");

shift.Name = "Shift_01";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Save shift: valid properties

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save valid shift...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(1);

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: valid name

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save modified shift name...");

shift.Name = "Shift_02";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: valid range

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save modified shift range...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(15);

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: invalid range

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save invalid modified shift range...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now;

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: invalid name

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save invalid shift name...");

shift.Name = "Schift/shift";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Delete shift: exisiting shift

System.Windows.Forms.MessageBox.Show("Delete shift context: Attempt to delete existing shift...");

zenOn.tpShiftDeleteResult deleteResult = shift.Delete();

ReportDeleteResult(deleteResult);

// Delete shift: non-existant shift

System.Windows.Forms.MessageBox.Show("Delete shift context: Attempt to delete non-existant shift...");

deleteResult = shift.Delete();

ReportDeleteResult(deleteResult);

// Edit shift: non-existant shift

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save non-existant shift...");

shift.Name = "Shift_01";

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(15);

saveResult = shift.Save();

ReportSaveResult(saveResult);

}

else

{

System.Windows.Forms.MessageBox.Show("Error: The shift could not be created!");

}

}

VB.NET

VBA

Public Sub testShiftComands()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.Calendar.CreateShift()

MsgBox ("New shift context: Attempt to save shift with invalid name...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "Shift_01"

MsgBox ("New shift context: Attempt to save shift with invalid range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Description = "test"

shift.StartTime = Now()

shift.EndTime = Now() + (1 / 24)

MsgBox ("New shift context: Attempt to save valid shift...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "Shift_02"

MsgBox ("Edit shift context: Attempt to save modified shift name...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.StartTime = Now()

shift.EndTime = Now() + (15 / 24)

MsgBox ("Edit shift context: Attempt to save modified shift range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.StartTime = Now()

shift.EndTime = Now()

MsgBox ("Edit shift context: Attempt to save invalid modified shift range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "gg/jkl"

MsgBox ("Edit shift context: Attempt to save invalid modified shift name...")

saveResult = shift.Save

testSaveResult (saveResult)

Dim delResult As tpShiftDeleteResult

MsgBox ("Delete shift context: Attempt to delete existing shift...")

delResult = shift.Delete

testDeleteResult (delResult)

MsgBox ("Delete shift context: Attempt to delete non-existant shift...")

delResult = shift.Delete

testDeleteResult (delResult)

shift.Name = "Shift_01"

shift.StartTime = Now()

shift.EndTime = Now() + (15 / 24)

MsgBox ("Edit shift context: Attempt to save non-existant shift...")

saveResult = shift.Save

testSaveResult (saveResult)

End Sub


GetSelectionRange

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> GetSelectionRange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetSelectionRange returns start time and end time of the selected area in a calendar control in a specific shift management screen. It may be used in combination with the SelectionChanged event.

Datatype

GetSelectionRange(IDynPicture pIPicture) As ISelectionRange

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub GetSelectedRange()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("ShiftManagementScreen")

Dim range As SelectionRange

Set range = calendar.GetSelectionRange(screen)

MsgBox "selectedTimeRange " & range.StartTime & " - " & range.EndTime

End Sub


GetSelectionShifts

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> GetSelectionShifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetSelectionShifts returns all shifts which are currentle selected in the calendar control in a specific shift management screen. It may be used in combination with the SelectionChanged event.

Datatype

GetSelectionShifts(IDynPicture pIPicture) As IShifts

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub GetSelectedShifts()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("ShiftManagementScreen ")

Dim selectedShifts As shifts

Set selectedShifts = calendar.GetSelectionShifts(screen)

If selectedShifts.Count > 0 Then

Dim message As String

message = "selected shifts:" & vbNewLine

For i = 0 To selectedShifts.Count - 1

Dim currentShift As shift

Set currentShift = selectedShifts.GetItem(i)

message = message & "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime) & vbNewLine

Next i

MsgBox message

End If

End Sub


CreateShiftModelInsertSettings

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShiftModelInsertSettings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In order to insert a shift model in the calendar certain settings need to be defined. These are stored in a ShiftModelInsertSettings object. CreateShiftModelInsertSettings lets you create such an object.

Datatype

CreateShiftModelInsertSettings() As IShiftModelInsertSettings

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


InsertShiftModel

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Methods -> InsertShiftModel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

InsertShiftModel inserts all shifts of a specific shift model in the shift calendar at a specific date and time and with specific equipment links.

Datatype

InsertShiftModel(IShiftModelInsertSettings pIShiftModelInsertSettings) As IShiftModelInsertResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


ShiftCalendar-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | SelectionChanged | Event about the changed selection in a calendar view | not used | available | yes | yes
void | Created | Event about a created shift in the calendar | not used | available | yes | yes
void | Modified | Event about a modified shift in the calendar | not used | available | yes | yes
void | Deleted | Event about a deleted shift in the calendar | not used | available | yes | yes

Ancora in questo capitolo

SelectionChanged

Created

Modified

Deleted


SelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Events -> SelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows notification about the type of selection change in the calender control of the VBA project for a shift calendar. In doing so, whether the current selection denotes a time period or a set of the selected shifts is notified.

In addition, it is possible to get, from a certain zenon shift management screen, the type of the current selection (time period or shift set) at any time.

Datatype

SelectionChanged(ISelectionChangedEventParameter pISelChangedParameter) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

// << TODO: Add Initialization code here >>

myRcv = this.ShiftManagement.Calendar;

myRcv.SelectionChanged += new zenOn.DShiftCalendarEvents_SelectionChangedEventHandler(myRcv_SelectionChanged);

}

void myRcv_SelectionChanged(zenOn.ISelectionChangedEventParameter pISelChangedParameter)

{

String message = "The selection has been changed" + ", Source frame: " + pISelChangedParameter.SelectionPicture.Template + ", Source screen: " + pISelChangedParameter.SelectionPicture.Name + ", Selection kind: " + pISelChangedParameter.SelectionKind.ToString();

this.Cel().WriteCelString(message);

}

/// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

// << TODO: Add Clean-up code here >>

myRcv.SelectionChanged -= myRcv_SelectionChanged;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

public void Macro_GetCalendarSelectedTimeRange()

{

zenOn.IShiftCalendar cal = this.ShiftManagement.Calendar;

zenOn.IDynPicture pic = this.DynPictures().Item("Shift management");

zenOn.ISelectionRange rng = cal.GetSelectionRange(pic);

System.Windows.Forms.MessageBox.Show("selectedTime Range" + rng.StartTime.ToString() + " – " + rng.EndTime.ToString());

}

public void Macro_GetCalendarSelectedShifts()

{

zenOn.IShiftCalendar cal = this.ShiftManagement.Calendar;

zenOn.IDynPicture pic = this.DynPictures().Item("Shift management");

zenOn.IShifts shifts = cal.GetSelectionShifts(pic);

String msg = "SelectedShifts";

for (int i = 0; i < shifts.Count; i++)

{

zenOn.IShift shift = shifts.GetItem(i);

msg += ("\n--------\nName: " + shift.Name + "\nDescription: " + shift.Description + "\nBegin: " + shift.StartTime.ToString() + "\nEnd: " + shift.EndTime.ToString());

}

System.Windows.Forms.MessageBox.Show(msg);

}

VB.NET

VBA

Private WithEvents MyEv As ShiftCalendar

Private Sub MyEv_SelectionChanged(ByVal pISelChangedParameter As ISelectionChangedEventParameter)

Dim message As String

message = "The selection has been changed" & ", Source frame: " & pISelChangedParameter.SelectionPicture.Template & ", Source screen: " & pISelChangedParameter.SelectionPicture.Name & ", Selection kind: " & pISelChangedParameter.SelectionKind

thisProject.Cel.WriteCelString (message)

End Sub

Private Sub Project_Active()

Set MyEv = thisProject.ShiftManagement.Calendar

End Sub

Private Sub Project_Inactive()

Set MyEv = Nothing

End Sub

Public Sub GetSelectedRange()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("Shift management")

Dim range As SelectionRange

Set range = calendar.GetSelectionRange(screen)

MsgBox "selectedTimeRange " & range.StartTime & " - " & range.EndTime

End Sub

Public Sub GetSelectedEvents()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("Shift management")

Dim selectedShifts As Shifts

Set selectedShifts = calendar.GetSelectionShifts(screen)

Dim message As String

message = "selected shifts:" & vbNewLine

For i = 0 To selectedShifts.count - 1

Dim currentShift As shift

Set currentShift = selectedShifts.GetItem(i)

Dim shiftString As String

message = message & "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime) & vbNewLine

Next i

MsgBox message

End Sub


Created

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Events -> Created

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Created(IShift p_newShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


Modified

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Events -> Modified

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Modified(IShift p_oldShift, IShift p_newShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


Deleted

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftCalendar -> ShiftCalendar-Events -> Deleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Deleted(IShift p_deletedShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


ShiftFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftFilter has to be used to access the shifts in the shift calendar. Filter options may be defined to access the required shifts.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Ancora in questo capitolo

ShiftFilter-Properties

ShiftFilter-Methods


ShiftFilter-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift filter start time |  | not used | available | yes | yes
DATE | EndTime | The shift filter end time |  | not used | available | yes | yes
BSTR | SystemModelGroups | String containing a list of system model groups for which the shifts should be filtered | not used |  | available | yes |  | yes

Ancora in questo capitolo

StartTime

EndTime

SystemModelGroups


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

StartTime defines the date and time of the begin of the filter time range. Shifts which are partly in the filter time range will be included.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

EndTime defines the date and time of the end of the filter time range. Shifts which are partly in the filter time range will be included.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Properties -> SystemModelGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The equipment model groups are used to match the shifts when the GetShifts() Method of IShiftFilter is called.

Shift will be included if:

The filter has no equipment model group set, or

The shift has no equipment model group set, or

The shift and the filter have at least one equipment model group in common.

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftFilter-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShifts | GetShifts | Returns the all shifts in the shift calendar that fit the filter configuration | not used | available | yes | yes

Ancora in questo capitolo

GetShifts


GetShifts

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftFilter -> ShiftFilter-Methods -> GetShifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetShifts reads the shift calendar and applies the filter settings defined by the ShiftFilter. It returns a collection of all matching shifts.

Datatype

GetShifts() As IShifts

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub


ShiftManagement

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftManagement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftManagement is the central entry point for accessing the shift management module in the zenon Runtime. It can be used to access and manage the shift calendar and to access the shift models.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Ancora in questo capitolo

ShiftManagement-Properties


ShiftManagement-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftManagement -> ShiftManagement-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IShiftCalendar | Calendar | The shift calendar object |  | not used | available | yes | yes
IShiftModels | Models | The shift models object | not used |  | available | yes |  | yes

Ancora in questo capitolo

Calendar

Models


Calendar

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftManagement -> ShiftManagement-Properties -> Calendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Calendar is a container for all shifts.

Datatype

Calendar() As IShiftCalendar

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Models

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftManagement -> ShiftManagement-Properties -> Models

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Models is a container for shift models.

Datatype

Models() As IShiftModels

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModel

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A ShiftModel may contain a defined set of shifts. These are, however, not connected to a specific date or equipment. The object model does not provide access to these shifts. However, it allows to read certain properties of shift models and to insert a shift model into the shift calendar using the InsertShiftModel method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Ancora in questo capitolo

ShiftModel-Properties


ShiftModel-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | The shift model name | not used | available | yes | yes
BSTR | Description | The shift model description | not used | available | yes | yes
VARIANT_BOOL | Monday | Flag to make inserting on a Monday possible | not used | available | yes | yes
VARIANT_BOOL | Tuesday | Flag to make inserting on a Tuesday possible | not used | available | yes | yes
VARIANT_BOOL | Wednesday | Flag to make inserting on a Wednesday possible | not used | available | yes | yes
VARIANT_BOOL | Thursday | Flag to make inserting on a Thursday possible | not used | available | yes | yes
VARIANT_BOOL | Friday | Flag to make inserting on a Friday possible | not used | available | yes | yes
VARIANT_BOOL | Saturday | Flag to make inserting on a Saturday possible | not used | available | yes | yes
VARIANT_BOOL | Sunday | Flag to make inserting on a Sunday possible | not used | available | yes | yes

Ancora in questo capitolo

Name

Description

Monday

Tuesday

Wednesday

Thursday

Friday

Saturday

Sunday


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The shift model´s name.

Read only

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The shift model´s description.

Read only

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Monday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Monday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Monday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Tuesday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Tuesday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Tuesday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Wednesday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Wednesday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Wednesday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Thursday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Thursday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Thursday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Friday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Friday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Friday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Saturday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Saturday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Saturday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sunday

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModel -> ShiftModel-Properties -> Sunday

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Sunday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModelInsertResult

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftModelInsertResult provides information about the result (success/error) of the InsertShiftModel.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Ancora in questo capitolo

ShiftModelInsertResult-Properties


ShiftModelInsertResult-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertResult -> ShiftModelInsertResult-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpShiftModelInsertResult | Error | The error information for inserting a shift model | not used | available | yes | yes

Ancora in questo capitolo

Error


Error

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertResult -> ShiftModelInsertResult-Properties -> Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftModelInsertSettings may be used to define the required settings to insert a shift model into the shift calendar.

Datatype

Error() As tpShiftModelInsertResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModelInsertSettings

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Ancora in questo capitolo

ShiftModelInsertSettings-Properties


ShiftModelInsertSettings-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartDate | The shift model insert start time | not used | available | yes | yes
DATE | EndDate | The shift model insert end time | not used | available | yes | yes
IShiftModel | ShiftModel | The shift model insert shift model template | not used | available | yes | yes
BSTR | SystemModelGroups | The shift model insert equipment model groups | not used | available | yes | yes

Ancora in questo capitolo

StartDate

EndDate

ShiftModel

SystemModelGroups


StartDate

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> StartDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A shift model may not only be inserted on one single day but on multiple consecutive days. StartDate contains the first day on which the shift model shall be inserted.

Datatype

StartDate() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndDate

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> EndDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A shift model may not only be inserted on one single day but on multiple consecutive days. EndDate contains the last day on which the shift model shall be inserted.

Datatype

EndDate() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModel

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> ShiftModel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the shift model which shall be inserted when executing ShiftCalendar´s InsertShiftModel method.

Datatype

ShiftModel() As IShiftModel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> SystemModelGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines which equipment model groups will be linked to the shifts which are created when executing ShiftCalendar´s InsertShiftModel method.

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModels

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModels

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of all existing objects of type ShiftModel.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Ancora in questo capitolo

ShiftModels-Properties

ShiftModels-Methods


ShiftModels-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModels -> ShiftModels-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shift models | not used | available | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModels -> ShiftModels-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of shift models which exist in the project.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModels-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModels -> ShiftModels-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShiftModel | GetItem | Returns a shift model from the list | not used | available | yes | yes

Ancora in questo capitolo

GetItem


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftModels -> ShiftModels-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one shift model which is contained in ShiftModels. Note that the items are not sorted.

Datatype

GetItem(long lIdx) As IShiftModel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


Shifts

Manuale -> Interfacce di programmazione -> Objectmodel -> Shifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shifts is a collection containing shifts, e.g. returned by the ShiftCalendar´s getShifts method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Ancora in questo capitolo

Shifts-Properties

Shifts-Methods


Shifts-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Shifts -> Shifts-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shifts | not used | available | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Shifts -> Shifts-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of shifts which are contained in the Shifts object.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shifts-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Shifts -> Shifts-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShift | GetItem | Returns a shift from the list | not used | available | yes | yes

Ancora in questo capitolo

GetItem


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Shifts -> Shifts-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one shift which is contained in Shifts.

Note: items are not sorted.

Datatype

GetItem(long lIdx) As IShift

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftUser

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User which is lined to a shift via the shift´s ShiftUserCollection.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub

Ancora in questo capitolo

ShiftUser-Methods


ShiftUser-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUser -> ShiftUser-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name [GET] | Identification of the shift user | not used | read only | yes | yes

Ancora in questo capitolo

Name [GET]


Name [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUser -> ShiftUser-Methods -> Name [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of a user which is lined to a shift via the shift´s ShiftUserCollection.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


ShiftUserCollection

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shift Management allows to link users to shifts to indicate which users are available. These users are stored in the Shift´s ShiftUserCollection.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub

Ancora in questo capitolo

ShiftUserCollection-Methods


ShiftUserCollection-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection -> ShiftUserCollection-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count [GET] | The amount of shift users linke to the shift | not used | read only | yes | yes
IShiftUser | GetItem | Returns the shift user | not used | available | yes | yes
VARIANT_BOOL | AddUser | Adds a shift user to the list of shift users | not used | available | yes | yes
VARIANT_BOOL | RemoveUser | Removes a shift user from the list of shift users | not used | available | yes | yes

Ancora in questo capitolo

Count [GET]

GetItem

AddUser

RemoveUser


Count [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection -> ShiftUserCollection-Methods -> Count [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of linked users in a shift.

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection -> ShiftUserCollection-Methods -> GetItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one user which is contained in ShiftUserCollection. Note that the items are not sorted.

Datatype

GetItem(long p_index) As IShiftUser

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AddUser

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection -> ShiftUserCollection-Methods -> AddUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to add a user to the collection. The method requires the user´s name as a parameter.

Datatype

AddUser(BSTR p_userName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


RemoveUser

Manuale -> Interfacce di programmazione -> Objectmodel -> ShiftUserCollection -> ShiftUserCollection-Methods -> RemoveUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to remove a user from the collection. The method requires the user´s name as a parameter.

Datatype

RemoveUser(BSTR p_userName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


State

Manuale -> Interfacce di programmazione -> Objectmodel -> State

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

States are utilized by Reaction Matrices, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SetStateForBinaryRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed binary rema
Set zState = zRema.StateItem(1)

'Defines the matching bit combination
zState.ReaWert = &H89 'Sets Bit0, Bit3 and Bit7 TRUE
zState.ReaWertMaske = &H81 'Defines that Bit0 and Bit7 will be checked (Bit3 is ignored)

'User message that will be displayed when the event occurs
zState.Text = "Bit combination is matched!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Ancora in questo capitolo

State-Properties

State-Methods


State-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
long | AllValues |  |  | available | read only | yes | yes
unsigned | char |  |  | available | read only | yes | yes
long | CheckArt |  |  | available | read only | yes | yes
long | ClassIdx |  |  | available | read only | yes | yes
long | Color |  |  | available | read only | yes | yes
long | DelayTime |  | available |  | available | yes |  | yes
long | Function |  |  | available | read only | yes | yes
long | GroupIdx |  |  | available | read only | yes | yes
double | Hysterese |  |  | available | available | yes | yes
IRema | Parent |  |  | read only | read only | yes | yes
double | ReaAlarm |  |  | available | read only | yes | yes
double | ReaAlarmBis |  |  | available | read only | yes | yes
long | ReaStatusExt |  |  | available | read only | yes | yes
long | ReaStatusFlankeExt |  |  | available | read only | yes | yes
long | ReaStatusFlankeStd |  |  | available | read only | yes | yes
long | ReaStatusMaskeExt |  |  | available | read only | yes | yes
long | ReaStatusMaskeStd |  |  | available | read only | yes | yes
long | ReaStatusStd |  |  | available | read only | yes | yes
long | ReaWert |  |  | available | read only | yes | yes
long | ReaWertFlanke |  |  | available | read only | yes | yes
long | ReaWertMaske |  |  | available | read only | yes | yes
tpStateBit | Status |  |  | available | available | yes | yes
BSTR | Text |  |  | available | read only | yes | yes

Ancora in questo capitolo

Parent

Text

Status

GroupIdx

ClassIdx

Function

Color

DelayTime

CheckArt

ReaAlarm

ReaWert

ReaWertMaske

ReaWertFlanke

ReaStatusStd

ReaStatusExt

ReaStatusMaskeExt

ReaStatusFlankeStd

ReaStatusFlankeExt

ReaAlarmBis

AllValues

char

Hysterese


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Rema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the text that will be displayed, if the defined limit is reached.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


GroupIdx

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> GroupIdx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the group index

Datatype

GroupIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ClassIdx

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ClassIdx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the class index.

Datatype

ClassIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a function which will be called, when the Reaction Matrix matches.

Datatype

Function() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Color

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the color.

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DelayTime

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> DelayTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

DelayTime() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CheckArt

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> CheckArt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckArt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarm

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the limit value.Hint: The comparision method is selected with the "CheckArt" property.This value constitutes the lower limit of the area, if "CheckArt" option 4 (Area) is selected.

Datatype

ReaAlarm() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWert

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaWert

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaWert DWORD specifies which bit combination (value) should be matched by the binary Reaction Matrices.Hint: Depending on the ReaWertMaske the bits of the DWORD will be checked or ignored.

Datatype

ReaWert() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertMaske

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaWertMaske

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Has to be set properly, if the bit combination in the ReaWert DWORD should be adhered. Otherwise it will be ingored.

Datatype

ReaWertMaske() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertFlanke

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaWertFlanke

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specifies, if the bit combination of the "ReaWert" used by a MultiBinary Rema trigger on edges.

Datatype

ReaWertFlanke() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusStd

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaStatusStd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaStatusStd DWORD specifiecs which state bits are set.

e.g. ReaStatusStd = &H40000 (Hex-Value) means that the I-BIT is set TRUE.
Hint: Depending on the ReaStatusMaskeStd the bits will be checked or ignored.

In order to use state driven trigger (no triggering on edges) for the MultiBinary Rema, the ReaStatusFlankeStd has to be set to &h0.

To set more than one state bit, ORing (logical OR) have to be applied.

e.g. ReaStatusStd = &H100 Or &H4 'SELEC + ST_M3 are set TRUE

The following table gives an overview of common state bits.

Name | Description | Bit Number | Hex Value
ST_M1 | User status bit 1 | 0 | 0x00000001
ST_M2 | available | 1 | 0x00000002
ST_M3 | read only | 2 | 0x00000004
ST_M4 | yes | 3 | 0x00000008
ST_M5 | yes | 4 | 0x00000010
ST_M6 | User status bit 6 | 5 | 0x00000020
ST_M7 | User status bit 7 | 6 | 0x00000040
ST_M8 | User status bit 8 | 7 | 0x00000080
SELEC | Select bit | 8 | 0x00000100
REV | Revision bit | 9 | 0x00000200
DIREC | Desired direction bit | 10 | 0x00000400
RTE | Runtime exceeded bit | 11 | 0x00000800
I-BIT | Invalid bit | 18 | 0x00040000
N_UPDATE | Switched off bit | 20 | 0x00800000
DM_TR | Default message trafo value bit | 24 | 0x01000000
RM_TR | Run message trafo value bit | 25 | 0x02000000
AVALUE | Alternative value bit | 27 | 0x08000000

Datatype

ReaStatusStd() As long
VBA | yes | 0 | 0x00000001
VSTA | yes | 0 | 0x00000001

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateAnalogRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'***************************************************************
'* Set the I-Bit TRUE *
'* I-Bit Bit18 *
'* Hint: I-Bit TRUE -> Hex-Value 0x00|04|0000 *
'* / \ *
'* Binary ..0|00000100|0.. *
'* *
'* I-Bit FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the I-Bit TRUE
zState.ReaStatusStd = &H40000
'Set the StateMask for the I-Bit
'Hint: Hex-Value: 0x00040000 -> only I-Bit will be checked
zState.ReaStatusMaskeStd = &H40000

'***************************************************************
'* Check if the ST_M1 is FALSE *
'* ST_M1 Bit0 *
'* Hint: ST_M1 TRUE -> Hex-Value 0x000000| 01 *
'* / \ *
'* Binary ..0|00000001 *
'* ST_M1 FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the ST_M1 FALSE
zState.ReaStatusStd = &H0

'Set the StateMask for the ST_M1 bit
'Hint: Hex-Value: 0x00000001 -> only ST_M1 will be checked
zState.ReaStatusMaskeStd = &H1

'***************************************************************
'* Check both state bits *
'* Combining with ORing (logical OR) *
'***************************************************************

'Set the I-Bit TRUE + the ST_M1 bit FALSE
zState.ReaStatusStd = &H40000 Or &H0
'zState.ReaStatusStd = &H40000 // because ORing with &H0 will not change any bits

'Check the I-Bit + the ST_M1 bit, ignore all other bits
zState.ReaStatusMaskeStd = &H40000 Or &H1 '=&H40001

End Sub


ReaStatusExt

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaStatusExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusMaskeExt

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaStatusMaskeExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusMaskeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusFlankeStd

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaStatusFlankeStd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateMultiBinaryRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpMultiBinaer, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'Set the I-Bit to trigger on both edges + the ST_M1 on negative edges
zState.ReaStatusFlankeStd = &H40000 Or &H1
zState.ReaStatusMaskeStd = &H0 Or &H1
zState.ReaStatusStd = &H0 Or &H0

End Sub


ReaStatusFlankeExt

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaStatusFlankeExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarmBis

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> ReaAlarmBis

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This value constitutes the upper limit of the area, if "CheckArt" option 4 (Area) is selected. The lower limit is the "ReaAlarm" property.

Datatype

ReaAlarmBis() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AllValues

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> AllValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Represents the checkbox 'Treat each change of value as new limit violation'

Datatype

AllValues() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


char

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> char

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

char() As unsigned

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Hysterese

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Properties -> Hysterese

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value when the system will be set back to the normal configuration. (Systems leaves triggered state)

Datatype

Hysterese() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


State-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IState | CreateSubState | - | available | not used | yes | yes
void | DeleteSubState | For internal use only | not used | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetSubStateCount | - | read only | read only | yes | yes
BOOL | MoveSubState | - | available | not used | yes | yes
IState | SubStateItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

GetSubStateCount

CreateSubState

SubStateItem

MoveSubState


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


GetSubStateCount

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> GetSubStateCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the amount of substates.

Datatype

GetSubStateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSubState

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> CreateSubState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new substate.

Datatype

CreateSubState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateSubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState by creating a new substate
Set zSubState = zState.CreateSubState

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


SubStateItem

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> SubStateItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a state object, containing the selected substate of the current state.

Datatype

SubStateItem(VARIANT vID) As State

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index of the substate.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState with the first substate of zState
Set zSubState = zState.SubStateItem(1)

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


MoveSubState

Manuale -> Interfacce di programmazione -> Objectmodel -> State -> State-Methods -> MoveSubState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Moves the substate within the state one position up- or downwards.<ul style="list-style-type:none;"><li>-1 &amp;rarr; upward</li><li>1 &amp;rarr; downward</li></ul>

Datatype

MoveSubState(VARIANT vID, BOOL bDirection) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index of the substate.

Defines the direction:

-1 Ã¢â€ â€™ upward

1 Ã¢â€ â€™ downward

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

bDirection As BOOL

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MoveSubStateExample()

Dim zRema As Rema
Dim zState As State
Dim i As Integer

Set zRema = MyWorkspace.ActiveDocument.Remas.Item(0)
Set zState = zRema.StateItem(1)

zState.MoveSubState 2, 0

For i = 0 To zState.GetSubStateCount - 1
Debug.Print zState.SubStateItem(i).Color
Next i

End Sub


StyleItem

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A StyleItem can either be a style group or a style. A style group can contain an unlimited number of styles, but nesting a group within a group is not supported.

The style can e.g. be a fill style, text style, … which can be managed in general and the style specific properties like e.g. fill color can be accessed by DynProperties.

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub

‘ prerequisite:

‘ first screen has two elements

‘ first element has a style group set

Sub StyleDynPropItem()

Dim pic As DynPicture

Set pic = MyWorkspace.ActiveDocument.DynPictures.Item(0)

Dim elem(1) As Element

Set elem(0) = pic.Elements.Item(0)

Set elem(1) = pic.Elements.Item(1)

Dim Style As StyleItem

Set Style = elem(0).DynProperties("StyleGroup")

elem(1).DynProperties("StyleGroup") = Style ‘ sets the style group

elem(0).DynProperties("StyleGroup") = Nothing ‘ sets the prop to "no style linked"

pic.Save

End Sub

Ancora in questo capitolo

StyleItem-Properties

StyleItem-Methods


StyleItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | ParentItem |  | read only | not used | yes | yes
long | Count |  | read only | not used | yes | yes
BSTR | Name |  | available | not used | yes | yes
BSTR | Guid |  | read only | not used | yes | yes
BSTR | Description |  | available | not used | yes | yes
tpStyleType | Type |  | read only | not used | yes | yes
BSTR | ExternalReference | Returns the external reference of the item. | available | not used | yes | yes
BSTR | Category | Returns the category of the item. | available | not used | yes | yes

Ancora in questo capitolo

ParentItem

Count

Name

Guid

Description

Type

ExternalReference

Category


ParentItem

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> ParentItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ParentItem property will return null/nothing for StyleGroups (StyleGroups currently cannot be nested). When the item is a Style the property will return the StyleGroup in which the Style resides.

Datatype

ParentItem() As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Count property returns the amount of "SubItems" of the object. This means: The amount of Styles if the object is a StyleGroup, or the amount of style properties in case of a Style object.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Name property will return the Name of the object.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Guid property will return the unique Guid of this object.

Datatype

Guid() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Description property will return the defined description of the object.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Using the Type property the type of the StyleItem can be determined. As explained before the StyleItem can be either a StyleGroup or a Style from a specific type. Therefore a new enum tpStyleType has been added to the API.

Datatype

Type() As tpStyleType

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ExternalReference

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> ExternalReference

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

ExternalReference() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Category

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Properties -> Category

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Freely definable text, which can be used for grouping styles.

Datatype

Category() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StyleItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | Item |  | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes
void | DynProperties [PUT] |  | read only | not used | yes | yes

Ancora in questo capitolo

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Item method of the StyleItem object can be used to access the subitems of the object. Note that this method only returns objects for StyleItems which represent a StyleGroup. Even though StyleItems representing a Style will return their amount of properties when using Count they will not return SubItems when using the Item method. The Item method can be used with either a name (representing the name of a style) or an index. If a StyleItem on the given index (or carrying the given name) exists, a StyleItem object will be returned.

Datatype

Item(VARIANT vPosOrName) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

The DynProperty Get and Set functions do now return and accept StyleItem API objects.

A style-link is accepted during the Set if…

… the StyleItem is valid (not a dangling reference referring to an already deleted style)

… the StyleItem is located in the same project (where the e.g. screen belongs) or in the global project

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub

‘ prerequisite:

‘ first screen has two elements

‘ first element has a style group set

Sub StyleDynPropItem()

Dim pic As DynPicture

Set pic = MyWorkspace.ActiveDocument.DynPictures.Item(0)

Dim elem(1) As Element

Set elem(0) = pic.Elements.Item(0)

Set elem(1) = pic.Elements.Item(1)

Dim Style As StyleItem

Set Style = elem(0).DynProperties("StyleGroup")

elem(1).DynProperties("StyleGroup") = Style ‘ sets the style group

elem(0).DynProperties("StyleGroup") = Nothing ‘ sets the prop to "no style linked"

pic.Save

End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleItem -> StyleItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

The DynProperty Get and Set functions do now return and accept StyleItem API objects.

A style-link is accepted during the Set if…

… the StyleItem is valid (not a dangling reference referring to an already deleted style)

… the StyleItem is located in the same project (where the e.g. screen belongs) or in the global project

Datatype

DynProperties [PUT](BSTR bsPath, VARIANT vValue) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


StyleManager

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleManager is the central entry point for accessing the styles module in the zenon Editor. It can be used to access and manage StyleItems and to perform functions for distributed engineering. Furthermore it provides a method for extracting all available styles from a zenon screen element.

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub

Ancora in questo capitolo

StyleManager-Properties

StyleManager-Methods


StyleManager-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent |  | read only | not used | yes | yes
long | Count |  | read only | not used | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

By use of the Parent property, the project to which the manager belongs can be determined.

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Count property returns the amount of "root" items (currently only StyleGroups) which are available in the StyleManager.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


StyleManager-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | Item |  | read only | not used | yes | yes
IStyleItem | ExtractStyleGroupFromElement | Returns a new style group from the given element | read only | not used | yes | yes
VARIANT_BOOL | CheckOut |  | read only | not used | yes | yes
VARIANT_BOOL | CheckIn |  | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut |  | read only | not used | yes | yes
VARIANT_BOOL | Get |  | read only | not used | yes | yes
VARIANT_BOOL | IsLocked |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent |  | read only | not used | yes | yes
VARIANT_BOOL | Delete |  | read only | not used | yes | yes
IStyleItem | CreateGroup |  | available | not used | yes | yes
IStyleItem | Create |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes

Ancora in questo capitolo

Item

ExtractStyleGroupFromElement

CheckOut

CheckIn

UndoCheckOut

Get

IsLocked

IsCheckedOut

IsDifferent

Delete

CreateGroup

Create

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Item method can be used with either a name (representing the name of a style group) or an index. If a StyleItem on the given index (or carrying the given name) exists, a StyleItem object will be returned.

Note: A StyleItem can be either a StyleGroup or a Style. The Item property of the StyleManager will (for now) always return a StyleItem representing a StyleGroup as Styles currently do not exist on the top level.

Datatype

Item(VARIANT vPosOrName) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ExtractStyleGroupFromElement

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> ExtractStyleGroupFromElement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function takes two parameters: a name for a stylegroup and a Zenon Element (API object), and it returns the StyleGroup with all the styles (API object) that was extracted from the element. In case the extraction is not possible it will return NULL. The extraction is not possible when the StyleGroup name already exists, or when the user tries to extract a style group from an element that is not contained in the project where the manager is in (extract from another project). An exception is the global project, in the StyleManager of it we can extract style groups from elements of different projects.

Datatype

ExtractStyleGroupFromElement(BSTR bsGroupName, IElement pElement) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CodeExample()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Screen As DynPicture

Set Screen = MyWorkspace.ActiveDocument.DynPictures().Item("Another screen")

Dim Elem As Element

Set Elem = Screen.Elements().Item("Universalregler_1")

Dim StyleGroup As StyleItem

Set StyleGroup = Manager.ExtractStyleGroupFromElement("API_Group", Elem)

// meanwhile the real Zenon object is deleted from the editor

// here now you do something else with the StyleGroup object, and it should not crash (maybe it throws an // exception? Check previous stories for understanding how it should behave)

End Sub


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/* In case of a multiuser project you need to checkout your StyleManager object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the StyleManager

* object.

*/

public void MacroStyleManager()

{

IStyleManager zenonStyleManager = this.ActiveDocument.StyleManager();

if (!zenonStyleManager.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out styles",

tpDebugPrintStyle.tpErr);

}

//Do something with the styles in the collection object

//Code...

zenonStyleManager.CheckIn();

}

VB.NET

VBA

' In case of a multiuser project you need to checkout your StyleManager object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the StyleManager

' * object.

'

Public Sub MacroStyleManager()

Dim zenonStyleManager As IStyleManager = Me.ActiveDocument.StyleManager()

If Not zenonStyleManager.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out styles", tpDebugPrintStyle.tpErr)

End If

'Do something with the stylesin the collection object

'Code...

zenonArchives.CheckIn()

End Sub


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects. NOTE: In a multi-user project it is recommended to check for IsLocked == false before performing any modification changes at all.

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At the StyleManager there is now a new API-function "Delete" which needs a StyleItem as a Parameter and returns true, if the item was successfully deleted.

Same as in the GUI, if the given StyleItem to delete is a Group, all the substyles of the group will also be deleted.

If the given StyleItem is a Style only the Style will be deleted.

Datatype

Delete(IStyleItem StyleItem) As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> CreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Only in style items of type "tpStyleTyle.Group" new subitems can be created.

In style items of type "tpStyleTyle.Group" no new subitems of type "tpStyleTyle.Group" can be created.

In multiuser projects a creation is not possible if the “Styles” were not checked out previously.

Datatype

CreateGroup(BSTR bsGroupName) As IStyleItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Only in style items of type "tpStyleTyle.Group" new subitems can be created.

In style items of type "tpStyleTyle.Group" no new subitems of type "tpStyleTyle.Group" can be created.

In multiuser projects a creation is not possible if the “Styles” were not checked out previously.

Datatype

Create(BSTR Name, IStyleItem Parent, tpStyleType Type) As IStyleItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

exports all style Groups of the Manager into the given file as XML. Returns true if everything went ok and false otherwise, no popup dialogs should be displayed.

sFileName = file location

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA Code example:

Sub ExportStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Manager.Export ("C:\Users\Oltion.Kuka\Desktop\Style.xml")

End Sub

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> StyleManager -> StyleManager-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

imports the given file into the style manager. Returns true if everything went ok and false otherwise.

no popup dialogs should be displayed

sFileName = file location

If the GUID of an imported StyleGroup is already taken by another existing StyleGroup, then the existing StyleGroup is overridden by the imported one (No dialog to ask the user is displayed).

If the GUID of an imported Style is already taken by an existing Style in an existing StyleGroup, then the Style is not imported and a warning is written in the output window to give the user the information why the import for that single style failed. The style group itself and the other Styles of the StyleGroup will be correctly imported and will not be influenced by this conflict. (the above scenario can be reproduced via copy & paste between different Style managers).

Note: If the GUID of an imported StyleGroup is already taken by an existing Style, this is considered an error in the XML file, because it cannot happen that the GUID of a Style and of a StyleGroup it is the same. It can happen only if the user manually sets it in the XML file to import, and that is a wrong configuration.

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Sub ImportStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Manager.Import ("C:\Users\Oltion.Kuka\Desktop\Style.xml")

End Sub

Examples

C#

VB.NET

VBA


SymbolElements

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the 'Element' objects within a symbol. It is possible, that there are symbols in symbols and so on, so it could be neccessary to enumerate the object recursive.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub SymbolElem()
Dim zPIC As DynPicture
Dim zSymbol As Element
Dim zText As Element
Dim zCircle As Element

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'create static text element
Set zText = zPIC.Elements.Create("MyStaticText", tpText)
zText.Top = 100
zText.Left = 100

'create circle
Set zCircle = zPIC.Elements.Create("MyStaticCircle", tpCircle)
zCircle.Top = 150
zCircle.Left = 150

'create symbol
Set zSymbol = zPIC.Elements.Create("MyNewSymbol", tpSymbol)
zSymbol.Elements.Add zText
zSymbol.Elements.Add zCircle
zPIC.Save
End Sub

Sub EnumSymbolElements()
Dim zPicture As DynPicture
Dim zSymbol As Element
Dim zSymElements As SymbolElements
Dim i As Integer

'get Picture,(embedded) Symbol, SymbolElements collection...
Set zPicture = MyWorkspace.ActiveDocument.DynPictures.Item("START")
Set zSymbol = zPicture.Elements.Item("MyNewSymbol")
Set zSymElements = zSymbol.Elements

'enumerate all elements within a (embedded) symbol
For i = 0 To zSymElements.Count - 1
Debug.Print zSymElements.Item(i).Name & " [" & zSymElements.Item(i).Top & "/" & zSymElements.Item(i).Left & "]"
Next

End Sub

Ancora in questo capitolo

SymbolElements-Properties

SymbolElements-Methods


SymbolElements-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IElement | Parent | The parent object of the current object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Element

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolElements-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | Creates and returns a new Object | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | Remove | Deletes the objects from collection | available | not used | yes | yes

Ancora in questo capitolo

Item

Add

Remove


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a 'Element' object at a position or by name

Datatype

Item(VARIANT vElementID) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Add

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will add an exisiting 'Element' object from the picture into the symbol.

Datatype

Add(IElement pElement) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuale -> Interfacce di programmazione -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an Element objects from the Symbol.

Datatype

Remove(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Symbols

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Ancora in questo capitolo

Symbols-Properties

Symbols-Methods


Symbols-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SymbolList | Returns a list of available symbols | read only | not used | yes | yes

Ancora in questo capitolo

SymbolList


SymbolList

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Properties -> SymbolList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SymbolList() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Export

SingleExport

Import


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a symbol library into a file.

Datatype

Export(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vName,BSTR bsLibName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Symbols -> Symbols-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import a symbol library from file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SystemModel

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create or edit Equipment modeling (SystemModel) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub

Ancora in questo capitolo

SystemModel-Properties

SystemModel-Methods

SystemModel-Dynamic properties


SystemModel-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of Equipment models(SystemModel) .

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get Equipment models group (SystemModelGroup) by index.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the SystemModelGroup.

VBA

vIndex As Variant

Index of the SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager

'Get the name of the SystemModel
Debug.Print(zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name"))

End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model (SystemModel).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


SystemModel-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model

Ancora in questo capitolo

System model


System model

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModel -> SystemModel-Dynamic properties -> System model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | Guid |


SystemModelGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create or edit Equipment modeling group(SystemModelGroup) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Ancora in questo capitolo

SystemModelGroup-Properties

SystemModelGroup-Methods

SystemModelGroup-Dynamic properties


SystemModelGroup-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of SystemModelGroup item.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Child SystemModelGroup.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the child SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the child SystemModelGroup.

VBA

vIndex As Variant

Index of the child SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelGroup collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

VB.NET

Dim bsPath As String

A String which defines the Property.

VBA

bsPath As String

A String which defines the Property.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to set DynProperties.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model groups (SystemModelGroup).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

DynProperty as String to be created.

VB.NET

Dim bsPath As String

DynProperty as String to be created.

VBA

bsPath As String

DynProperty as String to be created.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0)

'Create a new child SystemModelGrou

zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]")

'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


SystemModelGroup-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model group

Ancora in questo capitolo

System model group


System model group

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Dynamic properties -> System model group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome del gruppo. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: GruppoX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

VT_BSTR

Guid

Guid

ZT_VARIABLE

AuthorizationAvailable

Disponibile su questo PC

Variabile per visualizzare se il computer che apre dispone dell´autorizzazione operativa per questo gruppo di impianti.

Un clic sul pulsante ... apre la finestra di dialogo per selezionare una variabile. Possono essere collegate solamente delle variabili del progetto locale e che hanno il tipo di dato BOOL.

Si consiglia di creare queste variabili per il driver interno. Per queste variabili, inoltre, impostare la proprietà Funzionamento del gruppo Variabili Interne sul valore Locale.

Nota: disponibile solamente se nel gruppo di proprietà Generale del modello di impianto è stata attivata l´opzione Modello impianto rilevante per le autorizzazioni utenti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AuthorizationOwner

Autorizzazione utente per il computer

Variabile per visualizzare il nome del computer che dispone al momento dell´autorizzazione operativa per questo gruppo di impianti.

Un clic sul pulsante ... apre la finestra di dialogo per selezionare una variabile. Possono essere collegate solamente delle variabili del progetto locale e che hanno il tipo di dato STRING.
Si consiglia di creare queste variabili per il Internen Treiber. Per queste variabili, inoltre, impostare la proprietà Funzionamento del gruppo Variabili Interne sul valore Rete.

Nota: disponibile solamente se nel gruppo di proprietà Generale del modello di impianto è stata attivata l´opzione Modello impianto rilevante per le autorizzazioni utenti.

Ulteriori informazioni nella guida in linea.


SystemModelManager

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The SystemModelManager represent the project node Equipment modeling from a global project.
Create or edit Equipment modeling (SystemModel) and Equipment group (SystemModelGroup) are possible.

A global project is needed!

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

'SystemModelGroup (Equipment Group)
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Guid"))
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Ancora in questo capitolo

SystemModelManager-Properties

SystemModelManager-Methods

SystemModelManager-Events

SystemModelManager-Dynamic properties


SystemModelManager-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | available | not used | yes | yes

Ancora in questo capitolo

Count


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of Equipment Models (SystemModel)

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


SystemModelManager-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | GroupByGuid | Returns the system group with the given id (guid). | available | not used | yes | yes
ISystemModel | Item | Returns the system model at the given index. | available | not used | yes | yes
ISystemModel | ModelByName | Returns the system model with the given id (guid). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports system model list | available | not used | yes | yes
VARIANT_BOOL | Import | Imports system model list | available | not used | yes | yes

Ancora in questo capitolo

Item

ModelByName

GroupByGuid

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Equipment Model (SystemModel) by index.

Datatype

Item(VARIANT vIndex) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

VB.NET

Dim vIndex As Variant

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


ModelByName

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> ModelByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Name of the Equipment Model (SystemModel).

Datatype

ModelByName(String bsName) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsName

VB.NET

Dim bsName As String

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zSymModGuid As SystemModel

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

End Sub


GroupByGuid

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> GroupByGuid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Guid of the Equipment Model Group (SystemModelGroup).

Datatype

GroupByGuid(String bsGuid) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsGuid

VB.NET

Dim bsGuid As String

VBA

bsGuid As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get guid of any SystemModelGroup (Equipment Group)
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If
End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub ExportEquipmentModel()

Dim Exported As Boolean

Exported = MyWorkspace.ActiveDocument.SystemModelManager.Export("C:\Equipment.xml")

End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Read and/or change the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create Subitems of the SystemModelManager collection. See: SystemModelManager

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SystemModelManager-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ModelGroupSelected |  | not used | available | yes | yes

Ancora in questo capitolo

ModelGroupSelected


ModelGroupSelected

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Events -> ModelGroupSelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModelGroupSelected(BSTR bsGuid, BSTR bsName) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model manager

Ancora in questo capitolo

CSystemModelFilter

System model manager


CSystemModelFilter

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties -> CSystemModelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


System model manager

Manuale -> Interfacce di programmazione -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties -> System model manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Task

Manuale -> Interfacce di programmazione -> Objectmodel -> Task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Ancora in questo capitolo

Task-Properties

Task-Methods

Task-Events


Task-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActualCycleTime |  | available | read only | yes | yes
long | CountVariable |  | available | read only | yes | yes
long | CycleTime |  | available | read only | yes | yes
long | ErrorNumber |  | available | available | yes | yes
BSTR | ErrorString |  | available | available | yes | yes
BSTR | Name |  | available | read only | yes | yes
ITasks | Parent |  | read only | read only | yes | yes
long | Priority |  | available | read only | yes | yes
tpTaskStatus | Status |  | read only | read only | yes | yes
tpTaskTyp | Type |  | available | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Type

Priority

CycleTime

ActualCycleTime

Status

ErrorNumber

ErrorString

CountVariable


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Tasks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unique name of the task.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Tasks can be executed "cyclic" or "once".

Datatype

Type() As tpTaskTyp

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Priority

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> Priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Process priority for the operating system multi-threading (idle, low, normal, high, highest, time critical)Default: normalMain process: the task runs in the same thread as the Runtime. If the task gets into a waiting loop or crashes, that also influences the Runtime.

Datatype

Priority() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CycleTime

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> CycleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defined cycle time of the task

Datatype

CycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActualCycleTime

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> ActualCycleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently achieved cycle time of the task

Datatype

ActualCycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a task.

Datatype

Status() As tpTaskStatus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ErrorNumber

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> ErrorNumber

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error number.

Datatype

ErrorNumber() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorString

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> ErrorString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error message as string.

Datatype

ErrorString() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Properties -> CountVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of variables linked to the task

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Task-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
void | MemValue [PUT] | - | available | available | yes | yes
VARIANT | MemValue [GET] | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

StartTimer

StopTimer

Sleep

Run

Stop

MemValue [GET]

MemValue [PUT]

Value [GET]

Value [PUT]

ItemVariable


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


StartTimer

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> StartTimer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTimer(long lID,long msTime) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopTimer

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> StopTimer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopTimer(long lID) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Sleep

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> Sleep

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sleep(long msTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Run

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> Run

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Run() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Stop

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> Stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Stop() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


MemValue [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> MemValue [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue(String Name) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MemValue [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> MemValue [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue (String Name,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET](BSTR Name,|optional|VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Value [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT](BSTR Name,|optional|VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a variable object.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Task-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Exit |  | available | available | yes | yes
void | Init |  | available | available | yes | yes
void | Main |  | available | available | yes | yes
void | Timer |  | available | available | yes | yes

Ancora in questo capitolo

Init

Main

Timer

Exit


Init

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Events -> Init

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when starting the task.

Datatype

Init() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Main

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Events -> Main

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is either executed once (type once) or cyclically (type cyclic).

Datatype

Main() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Timer

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Events -> Timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed cyclically, as long as the according time is running. The cycle time is defined as a parameter with the starting of the timer.

Datatype

Timer(long lID) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Exit

Manuale -> Interfacce di programmazione -> Objectmodel -> Task -> Task-Events -> Exit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when stopping the task.

Datatype

Exit() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object contains a collection of tasks, tasks can be defined with the 'Process Control Engine' (PCE).A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Ancora in questo capitolo

Tasks-Properties

Tasks-Methods


Tasks-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks -> Tasks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks -> Tasks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks -> Tasks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Tasks-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks -> Tasks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITask | Item | - | available | available | yes | yes

Ancora in questo capitolo

Item


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Tasks -> Tasks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Single Task Item represents a vbs file.

Datatype

Item(String Name) As Task

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template

Manuale -> Interfacce di programmazione -> Objectmodel -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Frame contains general information on the outer appearance of the Screens. Each Screen is linked to a Frame. The VBA object for the Frames contains the most important information, e.g. name and position on the screen.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Ancora in questo capitolo

Template-Properties

Template-Methods

Template-Dynamic properties


Template-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | BackgroundImage | Image for the Template | available | read only | yes | yes
short | BackgroundImageStyle | Style for the Image | available | read only | yes | yes
short | BorderStyle | Style of the template-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the template | available | read only | yes | yes
long | Left | Left-coordinate of the template | available | read only | yes | yes
BSTR | Name | Name of the template (unique) | available | read only | yes | yes
ITemplates | Parent | Returns the parent object | read only | read only | yes | yes
long | Right | Right-coordinate of the template | available | read only | yes | yes
VARIANT_BOOL | ShowForeground | Shows template always in the foreground | available | read only | yes | yes
VARIANT_BOOL | ShowMinimize | Shows the windows minimize button | available | read only | yes | yes
VARIANT_BOOL | ShowSysMenu | Shows the windows system menu | available | read only | yes | yes
VARIANT_BOOL | ShowTitle | Shows titlebar for the template | available | read only | yes | yes
long | Style | Style of the template-window | available | read only | yes | yes
long | Top | Top-coordinate of the template | available | read only | yes | yes
long | BackgroundColor | BackColor | available | read only | yes | yes
long | Width | Width of the template | available | read only | yes | yes
long | Height | Height of the template | available | read only | yes | yes
VARIANT_BOOL | OpenMultiple | Open a template multiple times | available | read only | yes | yes

Ancora in questo capitolo

Parent

Name

Top

Left

Bottom

Right

Width

Height

BackgroundColor

BackgroundImage

BackgroundImageStyle

Style

ShowForeground

OpenMultiple

ShowTitle

ShowSysMenu

ShowMinimize

BorderStyle


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Templates

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the Frame. With this name the Frame can be found in the central Frame list of the project. This name is always unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the top Frame border in pixel. The value defines the distance from the top border of the screen. If this value is 0, then the Frame starts at the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the left Frame border in pixel. The value defines the distance from the left border of the screen. If this value is 0, then the Frame starts at the left border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the bottom Frame border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the right Frame border in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The width of the template.

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The height of the template.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundColor

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> BackgroundColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundColor() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImage

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> BackgroundImage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the Frame.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> BackgroundImageStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Style

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> Style

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the style of the Frame window. The returned value comprises all style settings.

Datatype

Style() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowForeground

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> ShowForeground

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Frame always in the foreground, if set TRUE.

Datatype

ShowForeground() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


OpenMultiple

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> OpenMultiple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OpenMultiple() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowTitle

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> ShowTitle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar for the Frame, if set TRUE.<span style="color:red">Only available, if property "BorderStyle" is set other than 0 (No frame).</span>

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSysMenu

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> ShowSysMenu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Windows system menu, if set TRUE.<span style="color:red">Only available, if property "ShowTitle" is set TRUE.</span>

Datatype

ShowSysMenu() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowMinimize

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> ShowMinimize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShowMinimize() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BorderStyle

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Properties -> BorderStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Template-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | Copies the template |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Export the given template |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Import a template |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Save | Save changes |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Copy

Save

Import

Export

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Copy

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings from an existing Frame to the own Frame.

Datatype

Copy(ITemplate pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Source Frame object, from which the settings should be copied.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As Template

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save changes.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Alarm template

Frame template

Ancora in questo capitolo

Alarm template

Frame template


Alarm template

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Dynamic properties -> Alarm template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

StandardPosition

Utilizzare posizione standard

attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_UI4

Style

Stile della finestra

Window style

VT_BSTR

TemplateName

Nome

Nome univoco del modello.

Lunghezza massima:

  • Progetto: 28 caratteri
  • Progetto globale 27 caratteri

Default: Template_x (xè un numero progressivo) ).
Nota: Quando si modifica il nome, se necessario, lo si dovrà inserire di nuovo nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non potrà più identificare le immagini basate su questo modello.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackgroundColor

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowForeground

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OpenMultiple

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseOnClickOutside

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

IgnoreCloseOnClick

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

DefineFreeForm

Definizione libera modelli

Disponibile solamente se è stata attivata la proprietà Modello a forma libera.

Definire la forma per il modello selezionato. Cliccare con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor dei modelli. Qui sarà possibile definire la forma del modello usando cerchi, rettangoli, rettangoli arrotondati e poligoni.

Ulteriori informazioni nella guida in linea.

VT_I4

PosLeft

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosRight

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosTop

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosBottom

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosWidth

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_I4

PosHeight

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeType

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata a Runtime con un linea tratteggiata.
  • Larghezza [px]: larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: la grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeValue

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeType

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeValue

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationType

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationArea

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationContactPointSize

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_I2

PosType

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoMoveOnReopen

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

VT_I2

RefVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono In su, In giù oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

RefHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono Sinistra, Destra oppure Centrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefVert

Alternativa verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su, In giù, oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefHorz

Alternativa orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra, destra , oppure centrato.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

VT_I2

PosVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono In su o In giù.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

PosHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono sinistra o destra.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

VT_I4

PixelVert

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

PixelHorz

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su o In giù.

Default: In su

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelVert

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo verticalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelHorz

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo orizzontalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPictureStyle

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

VT_I2

BorderStyle

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowTitle

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowSysMenu

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowMinimize

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.


Frame template

Manuale -> Interfacce di programmazione -> Objectmodel -> Template -> Template-Dynamic properties -> Frame template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Style

Stile della finestra

Window style

VT_BSTR

TemplateName

Nome

Nome univoco del modello.

Lunghezza massima:

  • Progetto: 28 caratteri
  • Progetto globale 27 caratteri

Default: Template_x (xè un numero progressivo) ).
Nota: Quando si modifica il nome, se necessario, lo si dovrà inserire di nuovo nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non potrà più identificare le immagini basate su questo modello.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackgroundColor

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowForeground

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OpenMultiple

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseOnClickOutside

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

IgnoreCloseOnClick

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseFreeForming

Modello a forma libera

Consente di definire una forma libera per il modello selezionato. Questo dà la possibilità di definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

  • Attiva: la forma libera viene usata per questo modello e per le immagini ad esso collegate.
  • Non attiva: per il modello selezionato non è disponibile l´opzione "Modello a forma libera". Nell´Editor dei modelli e in quello delle immagini non verrà visualizzata una forma modello liberamente definibile già esistente.

Default: inattiva.

Nota:

  • Questa proprietà non è disponibile per il modello Barra stato allarmi e per Windows CE.
  • Non può essere combinata con le proprietà del gruppo Cornice.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

DefineFreeForm

Definizione libera modelli

Disponibile solamente se è stata attivata la proprietà Modello a forma libera.

Definire la forma per il modello selezionato. Cliccare con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor dei modelli. Qui sarà possibile definire la forma del modello usando cerchi, rettangoli, rettangoli arrotondati e poligoni.

Ulteriori informazioni nella guida in linea.

VT_I4

PosLeft

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosRight

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosTop

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosBottom

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosWidth

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_I4

PosHeight

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeType

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata a Runtime con un linea tratteggiata.
  • Larghezza [px]: larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: la grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeValue

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeType

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeValue

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationType

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationArea

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationContactPointSize

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_I2

PosType

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoMoveOnReopen

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

VT_I2

RefVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono In su, In giù oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

RefHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono Sinistra, Destra oppure Centrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefVert

Alternativa verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su, In giù, oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefHorz

Alternativa orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra, destra , oppure centrato.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

VT_I2

PosVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono In su o In giù.

Default: In su.

Ulteriori informazioni nella guida in linea.

VT_I2

PosHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono sinistra o destra.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

VT_I4

PixelVert

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

PixelHorz

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosVert

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su o In giù.

Default: In su

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosHorz

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelVert

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo verticalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelHorz

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo orizzontalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPictureStyle

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

VT_I2

BorderStyle

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowTitle

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowSysMenu

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowMinimize

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Templates

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Frames. Each Screen is linked to a Frame, which holds general settings as the position, the name, ...The Frames of the global project are also available in this collection.The single Frames can be found in the collection by their unique names or their indices. Each Frame has to have a unique name.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Ancora in questo capitolo

Templates-Properties

Templates-Methods


Templates-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Templates-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITemplate | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITemplate | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Create

Item

Delete

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Frame and returns 'Template' object.

Datatype

Create(String szFileName,[optional] VARIANT bAddToCollection) As Template

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Template from the collection, which is identified by the parameter vID.Hint: The Frames defined in the global project are added to the Frames of the current project. On accessing a Frame with its name it is first searched for in the current project. If it cannot be found there, it is searched for in the global project.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property "Count" to find out the position of the variable object in the list.</li><li>Frame name: The Frame can also be accessed with its unique name.</li></ul>Hint: The returned object should be checked on Nothing, for the case that no object was found with the search criteria.

Datatype

Item(VARIANT vID) As Template

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the 'Template' object from the 'Templates' collection.

Datatype

Delete(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Templates -> Templates-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


TextList

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

TextList Class for the Text Lists API

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

TextList-Properties

TextList-Methods


TextList-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List items | not used | available | yes | yes
BSTR | ID | Returns the Id of the Text-List | not used | available | yes | yes
BSTR | Name | Returns the name of the Text-List | not used | available | yes | yes
BSTR | Description | Returns the description of the Text-List | not used | available | yes | yes
VARIANT_BOOL | Removed | Returns the Removed status of the Text-List | not used | available | yes | yes
BSTR | Guid | Returns the Guid of the Text-List | not used | available | yes | yes

Ancora in questo capitolo

Parent

Count

Guid

Name

Description

Removed


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent Text-List

Datatype

Parent() As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the Text-List

Datatype

Guid() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the Text-List

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the description of the Text-List

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Removed

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Properties -> Removed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Removed status of the Text-List

Datatype

Removed() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextList-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes

Ancora in questo capitolo

Item

Create


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> TextList -> TextList-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


TextListManager

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the Text Lists API in the Project

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

TextListManager-Properties

TextListManager-Methods

TextListManager-Events


TextListManager-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List Items | not used | available | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent project

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextListManager-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes
VARIANT_BOOL | Save | Saves the Text-List | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | not used | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | not used | available | yes | yes

Ancora in questo capitolo

Item

Create

Save

Export

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Save

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the whole text list into the given file as XML. No popup dialog.

sFileName = file location

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ExportTextLists()

{

ITextListManager TextListManager = Project.TextListManager;

string FileName = @"C:\Users\Oltion.Kuka\Desktop\ TextListToExport.XML ";

TextListManager.Export(FileName); // the function returns a bool

}

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports the given file into the text list, no popup dialogs. All existing textlists are removed from memory (RAM, from disk they are removed when textlists are saved)

sFileName = file location

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ImportTextLists()

{

ITextListManager TextListManager = Project.TextListManager;

string FileName = @"C:\Users\Oltion.Kuka\Desktop\TextListToImport.XML";

TextListManager.Import(FileName); // the function returns a bool

}

VB.NET

VBA


TextListManager-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | TextListsChanged | This event is fired when the data or structure from Text-List Items has changed | not used | available | yes | yes
void | SelectionChanged | This event is fired when the selection in the Text-List screen changes | not used | available | yes | yes

Ancora in questo capitolo

TextListsChanged

SelectionChanged


TextListsChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Events -> TextListsChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TextListsChanged() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SelectionChanged

Manuale -> Interfacce di programmazione -> Objectmodel -> TextListManager -> TextListManager-Events -> SelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An event is fired when one or more entries of a textlist are selected. The parameter of the event is an array of all selected textlists.

Datatype

SelectionChanged(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_EnableTextListEvents()

{

TextListManager.SelectionChanged += TextListManager_SelectionChanged;

Project.Cel().WriteCelString("TextList events enabled");

}

void TextListManager_SelectionChanged(ref object arrSelection)

{

if (null == arrSelection)

{

Project.Cel().WriteCelString("Text list: no selection");

return;

}

Object[] selectedItems = (Object[])arrSelection;

for (int i = 0; i < selectedItems.Length; i++)

{

ITextList list = (ITextList)selectedItems[i];

Project.Cel().WriteCelString(list.Name);

}

}

public void Macro_DisbleTextListEvents()

{

TextListManager.SelectionChanged -= TextListManager_SelectionChanged;

Project.Cel().WriteCelString("TextList events disabled");

}

VB.NET

VBA

Option Explicit

Private WithEvents myEvent As TextListManager

Private Sub Project_Active()

Set myEvent = thisProject.TextListManager

End Sub

Private Sub Project_Inactive()

Set myEvent = Nothing

End Sub

Private Sub myEvent_SelectionChanged(arrSelection As Variant)

Dim R As Long

If IsEmpty(arrSelection) Then

Else

For R = 0 To UBound(arrSelection, 1)

thisProject.Cel.WriteCelString (R)

Dim TextToTest As TextList

Set TextToTest = arrSelection(R)

thisProject.Cel.WriteCelString (TextToTest.Name())

Next R

End If

End Sub


TimeFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "TimeFunction" object, also called "Time control" in zenOn, enables the user to define function calls which should be executed at a defined (fixed) time or cyclically.When defining the time control functions for the month or year changes it is important to define the date correctly because this lays down the day after the month or year change on which the function is executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateTimeFunction()
End Sub

Ancora in questo capitolo

TimeFunction-Properties

TimeFunction-Methods

TimeFunction-Dynamic properties


TimeFunction-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | read only | yes | yes
VARIANT_BOOL | Cycled |  | available | read only | yes | yes
long | ID | Returns count of contained objects | read only | read only | yes | yes
long | IntervalTime | Returns count of contained objects | available | read only | yes | yes
VARIANT_BOOL | MonthSwitch | Returns time-function by position or ID | available | read only | yes | yes
BSTR | Name | Returns time-function by position or ID | available | read only | yes | yes
ITimeFunctions | Parent | Parent of object | read only | read only | yes | yes
DATE | StartTime | Parent of object | available | read only | yes | yes
VARIANT_BOOL | YearSwitch |  | available | read only | yes | yes

Ancora in questo capitolo

Parent

ID

Name

Active

Cycled

StartTime

IntervalTime

MonthSwitch

YearSwitch


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As TimeFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the "TimeFunction" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the "TimeFunction" object as string.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the time-function will be executed in the Runtime. Otherwise, the time-function is not executed in the Runtime.Hint: Time specific properties of the "TimeFunction" object can only be set if this property is set TRUE.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Cycled

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Cycled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets if the execution of the function is done cyclic.Hint: In combination with the property "Cycled" the execution type for the "TimeFunction" object can be set. For further information please have a look at the "SetDaySelected" method.

Datatype

Cycled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time when the function should be executed.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetStartTime(ByRef zTime As TimeFunction)

'Set new start time: 2007-08-21 14:30:30
zTime.StartTime = DateSerial(2007, 8, 21) + TimeSerial(14, 30, 30)

'Output new start time
Debug.Print zTime.StartTime

End Sub


IntervalTime

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> IntervalTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time interval, in which the function should be executed. The interval is defined in seconds.Hint: This property is only available, if the property "Cycled" is set to TRUE and the properties "MonthSwitch" and "YearSwitch" are deactivated.

Datatype

IntervalTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MonthSwitch

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> MonthSwitch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed on the turn of a month (Length of interval: 1 month). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "YearSwitch" is deactivated.

Datatype

MonthSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YearSwitch

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> YearSwitch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed at the turn of a year (Length of interval: 1 year). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "MonthSwitch" is deactivated.

Datatype

YearSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TimeFunction-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRtFunction | ItemRtFunction | - |  | read only | read only | yes | yes
void | SetDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Ancora in questo capitolo

ItemRtFunction

IsDaySelected

SetDaySelected

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


ItemRtFunction

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> ItemRtFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RtFunction" object with the function that was assigned by the creation of the "TimeFunction" object.

Datatype

ItemRtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDaySelected

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsDaySelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDaySelected(long lDay) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDaySelected

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> SetDaySelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetDaySelected(long lDay,Boolean bValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

State of the day for the execution of the function. If set TRUE, then the function will be executed on this day. Otherwise it will not be executed.

Day that should be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bValue As Boolean

lDay As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetExecutionType(ByRef zTime As TimeFunction)

'Set execution type: "cyclic only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = True

'Set execution type: "only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = False

'Set execution type: "cyclic from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = True

'Set execution type: "from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = False

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunction-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Time function entry

Ancora in questo capitolo

Time function entry


Time function entry

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunction -> TimeFunction-Dynamic properties -> Time function entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Attivo

Attivo: La funzione tempo viene eseguita nel Runtime.
Inattiva: La funzione tempo non viene eseguita nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome

Nome univoco del temporizzatore.

Default: Temporizzatore x(x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Selezione della funzione che deve essere eseguita con un temporizzatore.
Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare una funzione.

Se si vuole che vengano eseguite più funzioni:

  1. Bisogna creare uno script che esegua le funzioni selezionate.
  2. Bisogna collegare le funzioni allo script.

Ulteriori informazioni nella guida in linea.

VT_I4

Type

Tipo di esecuzione

Selezione del tipo di esecuzione:

  • A partire da questo giorno: la funzione viene eseguita a partire dal giorno impostato, ogni giorno all´ora stabilita.
  • Solo in questo giorno: la funzione viene eseguita il giorno impostato, allo scadere del tempo stabilito, una sola volta.
  • Ciclico a partire da questo giorno: la funzione viene eseguita a partire dal giorno impostato, nell´intervallo definito, ciclicamente.
  • Ciclico solo in questo giorno: la funzione viene eseguita solo il giorno della settimana stabilito, nell´intervallo definito, ciclicamente.

Default: Ciclico a partire da questo giorno

Ulteriori informazioni nella guida in linea

ZT_DATETIME

ExecuteDate

Ora partenza

Data e ora in corrispondenza della quale o a partire dalla quale deve essere eseguito il temporizzatore.

Ulteriori informazioni nella guida in linea.

ZT_ZEIT

Interval

Intervallo

Intervallo di tempo in cui deve essere eseguita la funzione.
Default: 00:15:00 esegue il temporizzatore ogni 15 minuti.

Nota: questa proprietà si presta ad essere applicata solamente ad intervalli di tempo non superiori alle 24 ore. Se si vuole ripetere una funzione-tempo in più giorni, configurare i giorni della settimana desiderati nel gruppo delle proprietà Giorni di esecuzione.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Monthly

Intervallo di un mese

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore Ciclico a partire da questo giorno.

  • Attiva: la funzione viene eseguita a partire dall´ora di partenza impostata, ad intervalli di un mese.
  • Non attiva: vengono applicate le impostazioni della proprietà Intervallo.

Default: non attiva.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Yearly

Intervallo di un anno

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.

  • Attiva: la funzione viene eseguita a partire dall´ora di partenza impostata, ad intervalli di un anno.
  • Non attiva: vengono applicate le impostazioni della proprietà Intervallo.

Default: non attiva.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Monday

Lunedì

Attivo: La funzione viene eseguita (anche) di lunedì.
Inattiva: La funzione non viene eseguita di lunedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tuesday

Martedì

Attivo: La funzione viene eseguita (anche) di martedì.
Inattiva: La funzione non viene eseguita di martedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wednesday

Mercoledì

Attivo: La funzione viene eseguita (anche) di mercoledì.
Inattiva: La funzione non viene eseguita di mercoledì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Thursday

Giovedì

Attivo: La funzione viene eseguita (anche) di giovedì.
Inattiva: La funzione non viene eseguita di giovedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Friday

Venerdì

Attivo: La funzione viene eseguita (anche) di venerdì.
Inattiva: La funzione non viene eseguita di venerdì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Saturday

Sabato

Attivo: La funzione viene eseguita (anche) di sabato.
Inattiva: La funzione non viene eseguita di sabato.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Sunday

Domenica

Attivo: La funzione viene eseguita (anche) di domenica.
Inattiva: La funzione non viene eseguita di domenica.
Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


TimeFunctions

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "TimeFunction" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunctions()
'Declarations
Dim zProject As Project
Dim zTimeFcts As TimeFunctions
Dim i As Integer

'Initialize zProject with the current project
Set zProject = MyWorkspace.ActiveDocument
'Initialize zTimeFcts with the "TimeFunction" object collection of the project
Set zTimeFcts = zProject.TimeFunctions

'Create a new "TimeFunction" object and assign the first available function to it
zTimeFcts.Create "zenOn_TimeFunction", zProject.RtFunctions.Item(0).ID

'For every "TimeFunction" object within the collection...
For i = 0 To zTimeFcts.Count - 1
'... output the name
Debug.Print zTimeFcts.Item(i).Name

Next i

'Delete the former created "TimeFunction" object
zTimeFcts.Delete "zenOn_TimeFunction"

End Sub

Ancora in questo capitolo

TimeFunctions-Properties

TimeFunctions-Methods


TimeFunctions-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


TimeFunctions-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITimeFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITimeFunction | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

Export

SingleExport

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "TimeFunction" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "TimeFunction" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "TimeFunction" object by its name as string and the unique ID of the function that should be assigned to the object.

Datatype

Create(String bsName,long nFunctionID) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "TimeFunction" object by its name as string.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Units

Manuale -> Interfacce di programmazione -> Objectmodel -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Ancora in questo capitolo

Units-Methods

Units-Dynamic properties


Units-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

CreateDynProperty

DynProperties [GET]

DynProperties [PUT]


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file for export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import setting using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Units-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Unit manager

Ancora in questo capitolo

CPrimaryUnit

Unit manager


CPrimaryUnit

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Dynamic properties -> CPrimaryUnit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Units

Unità di misura

VT_BSTR

Name

Unità di misura

Indicazione dell´unità di base in corrispondenza della quale avviene la conversione, oppure dell´unità convertita nella quale avviene la conversione. Per esempio: C°, K, m, y, Celsius, Kelvin, metri, yard ecc.

L´inserimento non può superare i 50 caratteri.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Unit manager

Manuale -> Interfacce di programmazione -> Objectmodel -> Units -> Units-Dynamic properties -> Unit manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | Units | Unità di misura |


User

Manuale -> Interfacce di programmazione -> Objectmodel -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents an user from the central user administration of the current project. The most important settings of the single users are available with this object.All available settings can be edited with VBA.The critical properties Identification and Password can only be edited with a method, whereas the properties Name and Level can be edited directly in the property.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

Ancora in questo capitolo

User-Properties

User-Methods

User-Dynamic properties


User-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Activate/Deactivate user |  | available | available | yes | yes
VARIANT_BOOL | Admin | User has admin rights | available |  | available | yes |  | yes
BSTR | Identification | TagName |  | read only | read only | yes | yes
long | Level | Rights/Password-Levels 0 |  | available | available | yes | yes
long | Level1 | Rights/Password-Levels 1 |  | available | available | yes | yes
long | Level2 | Rights/Password-Levels 2 |  | available | available | yes | yes
long | Level3 | Rights/Password-Levels 3 |  | available | available | yes | yes
VARIANT_BOOL | Locked | Lock/Unlock user |  | available | read only | yes | yes
BSTR | Name | Name |  | available | available | yes | yes
IPasswords | Parent | Parent-object |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Identification

Name

Level

Level1

Level2

Level3

Active

Locked

Admin


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Passwords

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Identification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique identification of the user. With this identification the user can be found in the central user administration.This property cannot be written directly – instead the method IdentificationChange is available, with which the identification of a user can be changed.

Datatype

Identification() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property operates the name of the user. The name can be read as well as written. But be aware, that the name cannot have more than 30 characters.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Level

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level1

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Level1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level1() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level2

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Level2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level2() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level3

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Level3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level3() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activate/Deactivate user

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Locked

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Locked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lock/Unlock user

Datatype

Locked() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Admin

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Properties -> Admin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User has admin rights

Datatype

Admin() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


User-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IdentificationChange | Changes the TagName | available | not used | yes | yes
VARIANT_BOOL | PasswordChange | Changes the password | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

PasswordChange

IdentificationChange


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


PasswordChange

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> PasswordChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the password of the current user. If the parameter szOld is not true for the current password, False is returned.Otherwise the new password is confirmed and the cange is saved.

Datatype

PasswordChange(String szOld,String szNew) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IdentificationChange

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Methods -> IdentificationChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the unique identification of the user. If the same identification already exists, False is returned.If the identification does not exist yet, it is linked to the current user and saved. In this case the method returns True.

Datatype

IdentificationChange(String szIdentification) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


User-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

User

CUserForList

Ancora in questo capitolo

User

CUserForList


User

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Dynamic properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UserActive

Utente attivo

Attivo: L´utente viene accettato nel Runtime.
Inattivo: L´utente non viene accettato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

UserName

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Ulteriori informazioni nella guida in linea.

VT_BOOL

Admin

Amministratore

L´utente è amministratore. Selezione con segno di spunta nella checkbox. .

  • Attiva:
    l´utente è amministratore. Perciò questo amministratore potrà modificare a Runtime altri utenti e sbloccare il sistema.
    Non attiva:
    questo utente non è un amministratore e dispone delle autorizzazioni operative configurate.

Default: non attiva
Attenzione: Un amministratore può assegnare ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UserLocked

Bloccato

Attivo: L´utente è bloccato.
Inattivo: L´utente non è bloccato.
Default: inattivo.

Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco.
Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockCode

Codice di blocco

PIN-Code a 4 cifre.

Questo codice viene usato dall'utente per bloccare diverse aree oppure per renderle accessibili. Bloccando con questo codice, si evita che si renda involontariamente accessibile un'area e così si possano verificare problemi.

VT_UI4

UserLevel0

UserLevel0

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel1

UserLevel1

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel2

UserLevel2

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel3

UserLevel3

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_I4

LoginRTP

Profilo runtime

Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili:

nessuno: non viene assegnato nessun profilo.

DEFAULT: viene assegnato il profilo DEFAULT

LAST: viene assegnato il profilo LAST

Default: nessuno

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsMsgCtrlUser

Utente Message Control

Attivo: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgPinCode

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgNACKCode

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgErsatzUser

Sostituto

Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control).

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgGSM

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgPhone

Telefono

Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgEmail

E-Mail

Indirizzo E-Mail dell´utente.

Ulteriori informazioni nella guida in linea.

VT_BSTR

GUID

GUID

VT_BSTR

UserGroupsOrderImExpo

UserGroupsOrderImExpo

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


CUserForList

Manuale -> Interfacce di programmazione -> Objectmodel -> User -> User-Dynamic properties -> CUserForList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UserActive

Utente attivo

Attivo: L´utente viene accettato nel Runtime.
Inattivo: L´utente non viene accettato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

UserName

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Ulteriori informazioni nella guida in linea.

VT_BOOL

Admin

Amministratore

L´utente è amministratore. Selezione con segno di spunta nella checkbox. .

  • Attiva:
    l´utente è amministratore. Perciò questo amministratore potrà modificare a Runtime altri utenti e sbloccare il sistema.
    Non attiva:
    questo utente non è un amministratore e dispone delle autorizzazioni operative configurate.

Default: non attiva
Attenzione: Un amministratore può assegnare ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UserLocked

Bloccato

Attivo: L´utente è bloccato.
Inattivo: L´utente non è bloccato.
Default: inattivo.

Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco.
Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti.

Ulteriori informazioni nella guida in linea.

VT_UI4

UserLevel0

UserLevel0

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel1

UserLevel1

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel2

UserLevel2

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel3

UserLevel3

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_I4

LoginRTP

Profilo runtime

Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili:

nessuno: non viene assegnato nessun profilo.

DEFAULT: viene assegnato il profilo DEFAULT

LAST: viene assegnato il profilo LAST

Default: nessuno

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsMsgCtrlUser

Utente Message Control

Attivo: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgErsatzUser

Sostituto

Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control).

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgGSM

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgPhone

Telefono

Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

VT_BSTR

MsgEmail

E-Mail

Indirizzo E-Mail dell´utente.

Ulteriori informazioni nella guida in linea.

VT_BSTR

GUID

GUID

VT_BSTR

UserGroupsOrderImExpo

UserGroupsOrderImExpo

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


UserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub EnumUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup
Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument

For i = 0 To zPRJ.Passwords.CountUserGroup - 1
Set zUGP = zPRJ.Passwords.ItemUserGroup(i)
Debug.Print "Usergroup >>> " & zUGP.DynProperties("UserGroupName")
Debug.Print " Level 0-31 : " & zUGP.DynProperties("UserGroupLevel0")
Debug.Print " Level 32-63 : " & zUGP.DynProperties("UserGroupLevel1")
Debug.Print " Level 64-91 : " & zUGP.DynProperties("UserGroupLevel2")
Debug.Print " Level 92-127: " & zUGP.DynProperties("UserGroupLevel3")
Next i
End Sub

Public Sub CreateUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup

Set zPRJ = MyWorkspace.ActiveDocument

Set zUGP = zPRJ.Passwords.CreateUserGroup("MyGroup", 255) 'Level 0-7

With zUGP
.DynProperties("UserGroupLevel0") = 255 'Level 0-7
.DynProperties("UserGroupLevel1") = 255 'Level 32-39
.DynProperties("UserGroupLevel2") = 255 'Level 64-71
.DynProperties("UserGroupLevel3") = 255 'Level 96-103
End With
End Sub

Ancora in questo capitolo

UserGroup-Methods

UserGroup-Dynamic properties


UserGroup-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UserGroup-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

UserGroup

Ancora in questo capitolo

UserGroup


UserGroup

Manuale -> Interfacce di programmazione -> Objectmodel -> UserGroup -> UserGroup-Dynamic properties -> UserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | UserGroupName | Nome | Nome del gruppo utenti selezionato. Cliccare nel campo d´inserimento per cambiare il nome. Nota: @ non è un carattere valido per il nome di un gruppo utenti. Ulteriori informazioni nella guida in linea.
VT_UI4 | UserGroupLevel0 | UserGroupLevel0 |
VT_UI4 | UserGroupLevel1 | UserGroupLevel1 |
VT_UI4 | UserGroupLevel2 | UserGroupLevel2 |
VT_UI4 | UserGroupLevel3 | UserGroupLevel3 |
VT_BSTR | GUID | GUID |
VT_BOOL | IsMsgCtrlGroup | Gruppo Message Control | Attivo: Il gruppo utenti viene usato dal Message Control. Ulteriori informazioni nella guida in linea.


VarAssignment

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'create by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment3", "WIZ_VAR_10", "WIZ_VAR_11")
'change settings
With zVarAssign
'set trigger type
.DynProperties("TriggerType") = 1
'set trigger variable by Name
.DynProperties("TriggerVariable") = "MyTrigger"
End With
End Sub

Ancora in questo capitolo

VarAssignment-Properties

VarAssignment-Methods

VarAssignment-Dynamic properties


VarAssignment-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Set/Get unique ID for the object | read only | read only | yes | yes
BSTR | Name | Set/Get the user-defined name | available | read only | yes | yes
IVarAssignments | Parent | Parent of object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

ID

Name


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarAssignments

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get unique ID for the object

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set/Get the user-defined name

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VarAssignment-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ChangeSourceVariable | Change source (can be member of another project) | available | not used | yes | yes
VARIANT_BOOL | ChangeTargetVariable | Change target (can be member of another project) | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes

Ancora in questo capitolo

ItemSourceVariable

ItemTargetVariable

ChangeSourceVariable

ChangeTargetVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemSourceVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ItemSourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemSourceVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemTargetVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ItemTargetVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemTargetVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ChangeSourceVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ChangeSourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change source (can be member of another project).

Datatype

ChangeSourceVariable(String bsProject,long nNewSourceID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Projectname as string.

PvID of new source variable as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsProject As String

nNewSourceID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


ChangeTargetVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ChangeTargetVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change target (can be member of another project).

Datatype

ChangeTargetVariable(String bsProject,long nNewTargetID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

PvID of new target variable as string.

Projectname as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nNewTargetID As Long

bsProject As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


VarAssignment-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Allocation entry

Ancora in questo capitolo

Allocation entry


Allocation entry

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignment -> VarAssignment-Dynamic properties -> Allocation entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco dell´attribuzione.
Default: Attribuzione x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.
Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

SourceVariable

Variabile sorgente

Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

TargetVariable

Variabile di destinazione

Nome della variabile a cui deve essere assegnato il valore della variabile sorgente.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

TriggerVariable

Variabile trigger

La variabile bit connessa attiva l´assegnazione. Se non è collegata nessuna variabile, l´assegnazione avviene spontaneamente. Il che significa che, ogni volta che cambia il valore della variabile sorgente, esso viene automaticamente scritto su quella di destinazione.
Apre il dialogo che serve alla selezione delle variabili filtrato per variabili bit.

Ulteriori informazioni nella guida in linea.

VT_UI2

TriggerType

Tipo trigger

Fronte: L´attribuzione viene eseguita se il valore della variabile trigger collegata passa da 0 a 1.
Livello: L'attribuzione viene eseguita finché la variabile trigger collegata ha un valore pari a 1.
Default: Fronte.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


VarAssignments

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.Additional to the access via the index the allocations can also be accessed via the unique name or the position.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer
'get collection of VarAssignements
Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
'enum all VarAssignments
For i = 0 To zVarAssigns.Count - 1
'get VarAssignment
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub

Ancora in questo capitolo

VarAssignments-Properties

VarAssignments-Methods


VarAssignments-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarAssignments-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IVarAssignment | Create | Creates and returns a new Object |  | available | not used | yes | yes
IVarAssignment | CreateByID | Creates and returns a new Object |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IVarAssignment | Item | Returns a object at a position or by a specified key |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

CreateByID

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a object at a position or by a specified key

Datatype

Item(VARIANT vID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name. If the parameter is a numerical value, the Frame is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the Frame is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer

Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
For i = 0 To zVarAssigns.Count - 1
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object

Datatype

Create(String bsName,String bsSource,String bsTarget) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

Name of source variable as string.

Name of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bsSource As String

bsTarget As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
End Sub


CreateByID

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CreateByID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object.

Datatype

CreateByID(String bsName,long nSourceID,long nTargetID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string.

PvID of source variable as string.

PvID of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

nSourceID As Long

nTargetID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the objects from collection

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access all or selected variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a limit at the "TestVariable"
zVariable.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zVariable.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

Call CreateArrayVariable

End Sub

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zArrEl As Variable 'Object from type Variables
Dim zEdLimit As EdLimit 'Object from type EdLimit
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("ArrayVar", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first array element
Set zArrEl = zVariable.SubItem(0)
'Create a limit at the array element
zArrEl.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zArrEl.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub

Ancora in questo capitolo

Variable-Properties

Variable-Methods

Variable-Dynamic properties


Variable-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Alignment |  | available | read only | yes | yes
VARIANT | AlternateArchiveValue |  | available | read only | yes | yes
VARIANT | AlternateValue | For internal use only | available | read only | yes | yes
long | ArraySize |  | available | read only | yes | yes
IVarType | BaseType |  | read only | read only | yes | yes
long | BitAddr |  | available | read only | yes | yes
long | DataBlock |  | available | read only | yes | yes
IEC_TYPES | DataType |  | read only | read only | yes | yes
short | Digits |  | available | available | yes | yes
VARIANT_BOOL | IsArray |  | read only | read only | yes | yes
DATE | LastUpdateTime |  | read only | read only | yes | yes
short | LastUpdateTimeMilliSeconds |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
long | NetAddr |  | available | read only | yes | yes
long | Offset |  | available | read only | yes | yes
IVariables | Parent |  | read only | read only | yes | yes
long | PvID |  | read only | read only | yes | yes
VARIANT | RangeMax |  | available | available | yes | yes
VARIANT | RangeMin |  | available | available | yes | yes
VARIANT_BOOL | ReadOnly |  | available | read only | yes | yes
BSTR | Recourceslabel |  | available | read only | yes | yes
VARIANT | SignalMax |  | available | read only | yes | yes
VARIANT | SignalMin |  | available | read only | yes | yes
long | StatusExtValue |  | not used | read only | yes | yes
BSTR | StatusString |  | not used | available | yes | yes
long | StatusValue |  | not used | read only | yes | yes
long | StringLength |  | available | read only | yes | yes
BSTR | Tagname |  | available | read only | yes | yes
BSTR | Unit |  | available | available | yes | yes
VARIANT | UserValue |  | available | available | yes | yes

Ancora in questo capitolo

Parent

PvID

Name

Tagname

Recourceslabel

DataType

BaseType

Digits

Unit

SignalMax

SignalMin

RangeMin

RangeMax

UserValue

AlternateValue

AlternateArchiveValue

StatusValue

StatusExtValue

StatusString

LastUpdateTime

LastUpdateTimeMilliSeconds

ReadOnly

IsArray

ArraySize

NetAddr

DataBlock

Offset

BitAddr

Alignment

StringLength


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PvID

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> PvID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique variable ID (per project). With this ID a variable can be found in the central variables list of the project.

Datatype

PvID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the variable.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Recourceslabel

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Recourceslabel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resources label of the variable.

Datatype

Recourceslabel() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> DataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined data type of the variable as a constant.

Datatype

DataType() As EC_TYPES

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BaseType

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> BaseType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns informations about the datatype which is used at the variable.

Datatype

BaseType() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Digits

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Digits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of digits from a real or lreal variable.

Datatype

Digits() As short

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Unit

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined unit of the variable. The unit specifies the value of the variable, e.g. degrees Celcius, .... The configuration of most modules allows the display of the unit, e.g. numerical value, archive picture, ...This property can be changed in the Runtime.

Datatype

Unit() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SignalMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> SignalMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal signal range of a variable.

Datatype

SignalMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SignalMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> SignalMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal signal range of a variable.

Datatype

SignalMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


RangeMin

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> RangeMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal measuring range of a variable.

Datatype

RangeMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RangeMax

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> RangeMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal measuring range of a variable.

Datatype

RangeMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> UserValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can get a user defined value and is not used for the Runtime. In VBA a variant can be linked with the variable, that is needed at a later moment.This variant could e.g. be the Id for a record in a SQL database, that contains further information on the variable.

Datatype

UserValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


AlternateValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> AlternateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AlternateArchiveValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> AlternateArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateArchiveValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StatusValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> StatusValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The returned value corresponds to the status of a variable.

Status | Abbreviations in editor | Value (hex)
Invalid | I-BIT | 0x00040000
Not updated | not used | 0x20000000
Alternative value | read only | 0x08000000
General request | yes | 0x00010000
Spontaneous | yes | 0x00020000
Summer/winter time announcement | SU/WI | 0x00080000
Switched off | N_UPDATE | 0x00080000
Realtime external | RT_E | 0x00200000
Realtime internal | RT_I | 0x00400000
Winter time | WINTER | 0x80000000
Manual value | MVALUE | 0x00001000
User status 1 .. 8 | ST_M1 .. ST_M8 | 0x00000001- 0x00000080
Select | SELEC | 0x00000100
Revision | REV | 0x00000200
Desired direction | DIREC | 0x00000400
Runtime exceeded | RTE | 0x00000800
Default message trafo value | DM_TR | 0x01000000
Not sortable | NSORT | 0x00800000
Info for variable | INFO | 0x04000000
Transmission cause | TCBx | 0x0000003F00000000
P/N bit | PN_BIT | 0x0000004000000000
Test bit | T_BIT | 0x0000008000000000
Normal status | NORM | 0x0000040000000000
Deviation normal status | ABNORM | 0x0000080000000000

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusValue() As long
VBA | yes | 0x00040000
VSTA | yes | 0x00040000

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExtValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> StatusExtValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status value for states where the higher 32 bits are set.For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusExtValue() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusString

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> StatusString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a variable.

For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusString() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


LastUpdateTime

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> LastUpdateTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the time of the last update of the value.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTime() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LastUpdateTimeMilliSeconds

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> LastUpdateTimeMilliSeconds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the milliseconds since the last update time.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTimeMilliSeconds() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReadOnly

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> ReadOnly

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is read only and false if it is readable+writeable.

Datatype

ReadOnly() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsArray

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> IsArray

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is an array (ArraySize > 1).

Datatype

IsArray() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArraySize

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> ArraySize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of indices of the variable. A standard variable has no index. With array variables this property returns the defined size of the array.

Datatype

ArraySize() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


NetAddr

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> NetAddr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the net address of a variable.

Datatype

NetAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataBlock

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> DataBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the used data block.

Datatype

DataBlock() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Offset

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the offset of a variable.

Datatype

Offset() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BitAddr

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> BitAddr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the bit number of a variable.

Datatype

BitAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Alignment

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> Alignment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alignment item of the addressing settings.

Datatype

Alignment() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StringLength

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Properties -> StringLength

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the length of a string variable.

Datatype

StringLength() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Variable-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeactivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | read only | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLimitActiv | - |  | available | available | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsOnline | - |  | not used | read only | yes | yes
VARIANT_BOOL | IsRDAActiv | - |  | read only | read only | yes | yes
VARIANT_BOOL | IsRemaActiv | - |  | read only | read only | yes | yes
ILimits | Limits | - |  | not used | available | yes | yes
BSTR | SecondaryUnitName [GET] | - |  | not used | available | yes | yes
void | SetValueWithStatus | - |  | not used | available | yes | yes
SCODE | SetValueWithStatusEx | - |  | not used | available | yes | yes
IVariable | SubItem | - |  | available | read only | yes | yes
long | SubItemCount | - |  | read only | read only | yes | yes
BSTR | SubItemName | - |  | available | read only | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
double | CalcPrimaryUnitValue | - |  | not used | available | yes | yes
double | CalcSecondaryUnitValue | - |  | not used | available | yes | yes
void | ModifyAlternateValue | - |  | available | available | yes | yes
short | SecondaryUnitDigits [GET] | - |  | not used | available | yes | yes
VARIANT | Value [GET] | - |  | not used | available | yes | yes
void | Value [PUT] | - |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
long | EdLimitCount |  |  | read only | not used | yes | yes
IEdLimit | EdLimitItem |  |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only |  | read only | yes |  | yes
VARIANT | DynProperties [GET] |  | available |  | available | yes |  | yes
void | DynProperties [PUT] |  | available |  | available | yes |  | yes
ILimit | GetCurrentViolatedLimit | Returns the current violated limit, if there is one. | not used |  | available | yes |  | yes
IState | GetCurrentViolatedRema | Returns the current violated rema state. | not used |  | available | yes |  | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Value [GET]

Value [PUT]

ModifyAlternateValue

SecondaryUnitName [GET]

SecondaryUnitDigits [GET]

IsRDAActiv

IsLimitActiv

IsRemaActiv

IsOnline

Driver

Limits

SetValueWithStatus

CalcSecondaryUnitValue

CalcPrimaryUnitValue

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

SubItemCount

SubItem

SubItemName

ActivateSubItem

DeactivateSubItem

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

GetCurrentViolatedLimit

GetCurrentViolatedRema


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateDynProperty

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a dynamic property.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

String for the dynamic property to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimDynProp()

Dim zVariable As Variable 'Child object from type Variables

'Take the first variable from the variables list
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Create a limit
zVariable.CreateDynProperty ("Limits")
'Set the limit text
zVariable.DynProperties("Limits[0].Text") = "Limit reached"
'Set the limit value
zVariable.DynProperties("Limits[0].LimitValue") = 10
'Set the value as maximum
zVariable.DynProperties("Limits[0].IsMax") = True

End Sub


Value [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModifyAlternateValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> ModifyAlternateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModifyAlternateValue(VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitName [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SecondaryUnitName [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitName() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitDigits [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SecondaryUnitDigits [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitDigits [GET]() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRDAActiv

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsRDAActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if RDA is activated at a variable.

Datatype

IsRDAActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLimitActiv

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsLimitActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true for limits activated and false for reaction matrix activated.

Datatype

IsLimitActiv() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRemaActiv

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsRemaActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a variable is linked to a reaction matrix.

Datatype

IsRemaActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnline

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsOnline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method checks, if the current variable is advised and has a valid value.

A variable will be advised when:

- the variable is actually displayed in a picture...

- the variable has defined alarms...

- the variable is used within VBA (OnlineVariable)...

- the variable has set the option "DDE"...

- ...

Datatype

IsOnline() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Driver() As IDriver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Limits

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> Limits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the limit administration of the variable. In the limit administration you can access the single limits with their most important information.

Datatype

Limits() As Limits

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Limit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zLimit As Limit 'Object from type Limit

'Fill the objects
Set zVariables = thisProject.Variables
'Read the "TestVariable" variable
Set zVariable = zVariables.Item("TestVariable")

'Read the first limit of the variable
Set zLimit = zVariable.Limits.Item(0)
'Show the alarm class
Debug.Print "AlarmClass = " & zLimit.AlarmClass
'Show the limit text
Debug.Print "Limit text = " & zLimit.Text
'Show the limit value
Debug.Print "Limit value = " & zLimit.Value
'Show if the value is the maximum
Debug.Print "Acts on maximum = " & zLimit.IsMax

End Sub


SetValueWithStatus

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SetValueWithStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method sets a value in combination with a status and a timestamp.

Datatype

SetValueWithStatus(VARIANT Value,long Status,long Time,short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Milliseconds of time stamp for set value.

Lower 32 status bits.
For definition of Statis see StatusValue.

Time stamp for set value.

Set value as Variant.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

TimeMilliSec As short

Status As Long

Time As Long

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetValue()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = thisProject.Variables
'Take the first variable
Set zVariable = zVariables.Item(0)
'Write value 10, status I-BIT, with the actual time and 333 ms onto the variable
zVariable.SetValueWithStatus 10, 262144, Now, 333

End Sub


CalcSecondaryUnitValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CalcSecondaryUnitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcSecondaryUnitValue(double dfPrimaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CalcPrimaryUnitValue

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CalcPrimaryUnitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcPrimaryUnitValue(double dfSecondaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitCount

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> EdLimitCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


EdLimitItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> EdLimitItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitItem(VARIANT vIndex) As IEdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateEdLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CreateEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a variable.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a editor limit at the "TestVariable"
zVariable.CreateEdLimit

End Sub


DeleteEdLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DeleteEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes selected limits of a variable.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create 5 editor limits at the "TestVariable"
For i = 0 To 4
zVariable.CreateEdLimit
Next i
'Delete the 2nd limit
zVariable.DeleteEDLimit (1)

End Sub


SubItemCount

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SubItemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of sub items in an array or structure.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountItems()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

Debug.Print "Count items = " & zVariable.SubItemCount

End Sub


SubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you get array and structure elements by index.

Datatype

SubItem(long lIndex) As Variable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim cacheElement As Variable 'Child object from type Variables
Dim zEdLimit As EdLimit 'Object form type EdLimit
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first element from the array
Set cacheElement = zVariable.SubItem(0)
'Create a limit at the array element
cacheElement.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = cacheElement.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


SubItemName

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> SubItemName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the name of an array or structure item.

Datatype

SubItemName(long lIndex) As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure (starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItemNames()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Show the name of all array elements
For i = 0 To zVariable.SubItemCount - 1
Debug.Print "Name of first sub item = " & zVariable.SubItemName(i)
Next i

End Sub


ActivateSubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> ActivateSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates an array or a structure element. Returns true when element has been activated, false if no change has been done.

Datatype

ActivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ActiveSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is activated
actSubItem = zVariable.ActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


DeactivateSubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> DeactivateSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates array or structure elements.

Datatype

DeactivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeActivateSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is deactivated
actSubItem = zVariable.DeActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetCurrentViolatedLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> GetCurrentViolatedLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the currently violated limit of a Variable (returns a Limit object – works only in case, that no REMA is linked) If a REMA is linked or there’s no currently violated limit the function will return "NULL"/ "NOTHING"

Datatype

GetCurrentViolatedLimit() As ILimit

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Variable1.GetCurrentViolatedLimit.DynProperties("Status")

Variable1.GetCurrentViolatedLimit.DynProperties("UserProperty1")

Variable1.GetCurrentViolatedLimit.DynProperties("UserProperty2")

Variable1.GetCurrentViolatedLimit.DynProperties("HelpFile")

Variable1.GetCurrentViolatedLimit.DynProperties("HelpTopic")

Variable1.GetCurrentViolatedLimit.DynProperties("FunctionID")


GetCurrentViolatedRema

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Methods -> GetCurrentViolatedRema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the currently violated state of a Rema (returns a State object – works only if a REMA is linked at the Variable). If no REMA is linked "NULL/NOTHING" will be returned. If none of the "limit" states is violated the Defaultstate will be returned.

Datatype

GetCurrentViolatedRema() As IState

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Variable-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

MathDr32 - Variable ED

Mathematical variable RT

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT

Ancora in questo capitolo

CVarGrenze

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

CMathInfo

MathDr32 - Variable ED

Mathematical variable RT

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT


CVarGrenze

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CVarGrenze

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Limite attivo

Attivo: Si tiene conto del valore limite nel Runtime.
Inattivo: Il valore limite viene ignorato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text

Testo valore limite

Questo testo verrà visualizzato (a seconda della configurazione) nella Lista di informazione allarmi, nella Lista Eventi Cronologica, e/o nella Barra stato allarmi in caso di violazione del valore limite.

Testo valore limite dinamico: consente di includere nel testo del valore limite di una variabile e di matrici di reazione valori correnti di altre variabili. E' possibile collegare anche un testo fisso usando un indice con parole chiavi di una tabella lingua.

L´uso di testi di valore limite dinamici è causa di alcune restrizioni:
un testo statico viene salvato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 1024 caratteri. I valori delle variabili collegate vengono salvati nell´area di memoria per il testo commento, che ha un limite massimo di 80 caratteri. Non sarà poi possibile inserire nessun commento nella Lista di informazione allarmi o nella Lista Eventi Cronologica.

Queste restrizioni possono essere aggirate mediante l´estensione per lunghi testi di valori limite dinamici. A questo scopo, attivare Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. I valori delle variabili per i testi di valori limite dinamici verranno poi salvati in un file proprio e il campo commento sarà di nuovo a disposizione per inserire commenti.

Ulteriori informazioni nella guida in linea.

VT_R8

LimitValue

Valore limite

Disponibile solo se non è definito nessun valore limite dinamico:
Definisce il valore a partire dal quale il limite è da considerarsi violato.
Se dei valori superiori o inferiori provocano una violazione del limite, lo si definisce tramite la proprietà "Minimo/Massimo".

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsMax

Min/Max

Minimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sotto del valore limite definito.
Massimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sopra del valore limite definito.
Default: Minimo:

Ulteriori informazioni nella guida in linea.

VT_R8

ThresholdValue

Valore soglia

Può essere indicato un valore di soglia utilizzato per causare la violazione di un valore limite. In questo modo si può evitare che ci siano delle reazioni non desiderate in caso di forti fluttuazioni di valori numerici.

Esempio 1: valore massimo = 900, valore soglia = 10 dà come risultato 890.
In questo caso il valore limite sarà violato quando si supererà il valore di 900 e si lascerà il livello critico quando il valore scenderà al di sotto di 890.

Esempio 2: valore minimo = 900, valore soglia = 10 dà come risultato 910.
In questo caso il valore limite sarà violato quando si scenderà al di sotto del valore di 900 e si lascerà il livello critico quando il valore supererà 910.

A differenza dell´isteresi, questa proprietà non ha alcun effetto sulla visualizzazione del valore, ma solamente sul comportamento dell´allarme.

Ulteriori informazioni nella guida in linea.

VT_UI4

Delay

Tempo di ritardo [s]

Intervallo di tempo in secondi in cui la violazione del valore limite deve essere attiva. Il valore deve essere attivo ininterrottamente perlomeno per la durata del periodo indicato; solo in questo caso verranno inizializzate le azioni definite per il caso di violazione del valore limite.
AML/CEL:

  • L´ora della prima violazione del valore limite viene utilizzata nella AML e/o nella CEL come time stamp per la violazione stessa.
  • Come valore, il sistema inserisce il primo valore rilevato dopo il tempo di ritardo configurato, quindi non il valore che ha provocato l´allarme.

Attenzione: In combinazione con la proprietà Lampeggio, questa proprietà ha i seguenti effetti in rete:

  • Valore limite con lampeggio e senza ritardo: gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo: gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo: gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo: gli elementi collegati lampeggiano sul server e sui client.

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsVariable

Valore limite con variabile attivo

Determina se il valore limite è definito in modo fisso oppure viene definito in modo dinamico tramite una variabile.

  • Inattivo: Il valore limite viene definito tramite un'assegnazione fissa.
  • Attivo: Il valore limite viene definito tramite quello di un’altra variabile.
    AML/CEL: come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il timestamp più recente delle due variabili.

Default: inattivo

Attenzione: Se il valore limite variabile cambia, cosicché il valore attuale della variabile (pur non cambiando) viene a trovarsi nell’area critica, viene scatenata una violazione del valore limite.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

Disponibile solo se "valore limite dinamico" è attivo:
Variabile che deve essere utilizzata come valore limite dinamico.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Funzione che deve essere eseguita automaticamente nel Runtime quando si verifica la violazione di un valore limite.
Se lo stato è definito come allarme, si può impedire l’esecuzione spontanea della funzione. A tal scopo selezionate l´opzione Chiama da pulsante nella pagina Allarmi.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AML_Call

Chiama da pulsante nella pagina Allarmi

Disponibile solo se il valore limite è un allarme.

  • Attivo: La funzione non si esegue spontaneamente nel funzionamento online ma soltanto all’attivazione del pulsante “funzione” nella lista allarme.
  • Inattivo: La funzione viene eseguita spontaneamente non appena si verifica l'allarme.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

Color

Colore

Informazione di colore utilizzata per i simboli e gli stati se la variabile è utilizzata nell’elemento binario; i colori dei testi di allarme nella lista allarmi si stabiliscono nella definizione della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Invisible

Invisibile

Attivo: Lo stato non viene visualizzato nell´elemento dinamico "elemento di stato", oppure elementi non vengono visualizzati se la loro visibilità viene gestita mediante questa variabile.
Inattivo: La visibilità non viene influenzata dalla violazione di valore limite.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Blinking

Lampeggio

Attivo: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattivo.
Attenzione: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea.

VT_BSTR

UserProperty1

Informazioni aggiuntive 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BSTR

UserProperty2

Informazioni aggiuntive 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BOOL

Alarm

Come allarme

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
Non attiva: non viene generato nessun inserimento nella Lista allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Cel

Nella CEL

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista eventi cronologica (CEL).
Inattivo: Non viene viene generato un inserimento nella Lista eventi cronologica.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmAcknowledge

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmComment

Commento richiesto

Disponibile solo se la proprietà Con ripristino è attiva.

Attivo: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmCause

Causa d'allarme richiesta

Disponibile solo se la proprietà Con ripristino è attiva.

Attiva: prima di poter riconoscere un allarme, si deve collegare una causa d'allarme.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmDelete

Riconoscimento a due stadi

Disponibile solamente nel caso che la proprietà Con ripristino sia attiva.

  • Attivo: L´allarme viene rimosso dal buffer circolare solo nel caso in cui sia stato ripristinare , sia uscito, e quando la sua rimozione dal buffer circolare sia stata confermata.
  • Inattivo: L´allarme viene rimosso dal buffer circolare quando è stato ripristinato ed è uscito.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Print

Stampa

Attivo: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
Non attiva: nessuna stampa online.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

Group

Gruppo allarmi/eventi

Assegnazione di un gruppo allarmi/eventi (massimo 65535) ad un valore limite in caso di uso come allarme.
L'assegnazione di un gruppo allarmi/eventi avviene selezionandolo nella lista.
Default: 0 - (non utilizzato)

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

GroupName

GroupName

Gets/Sets the alarm group of a limit.

VT_UI2

Class

Classe allarmi/eventi

Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione di una classe allarmi/eventi avviene selezionandola nella lista.
Default: 0 (non utilizzato)

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

ClassName

ClassName

Gets/Sets the alarm class which is linked to a limit.

ZT_FILE

HelpFile

File guida

Disponibile solo se per il valore limite è stata attivata la proprietà Come allarme.

Selezione del file CHM da cui deve essere visualizzato un capitolo della guida per questo allarme nella Lista di informazione allarmi.

Progettazione per EPLAN:
È possibile aprire una pagina di EPLAN. A questo scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nello zenon6.ini.
Configurazione:

  • Inserimento della successione di caratteri $PRG:xxxxxx

    xxxxxx è un placeholder per il parametro da trasferire.

  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Disponibile solo se per il valore limite è stata attivata la proprietà Come allarme.
Indicazione del capitolo della guida che deve essere visualizzato per questo allarme nella Lista di informazione allarmi. Perché ciò sia possibile, nella proprietà File guida deve essere stato collegato un file CHM.

Ulteriori informazioni nella guida in linea.


C$$DrvName$$VarED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> C$$DrvName$$VarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


3S_Arti_NG variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> 3S_Arti_NG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


AKDrv variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> AKDrv variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

PT

Point

Point number or Octet 6

VT_UI1

PT

Point

Point number or Octet 6

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


CAMISTSVarED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CAMISTSVarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


BACnetNG variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> BACnetNG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

BACnetPropertyID

BACnet property ID

Impostate la Property ID per proprietà specifiche per l´utente,oppure se non volete indicare la proprietà tramite nome oppure identificazione.

Nota: solo nel caso in cui impostate il valore -1 la proprietà viene individuata tramite nome e/o identificazione.

Ulteriori informazioni nella guida in linea.

VT_UI4

BACnetDataType

BACnet data type

Definizione di come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionare il tipo di dato desiderato fra quelli del menù a tendina. Una descrizione dei possibili tipi di dato si trova nella guida in linea.

Ulteriori informazioni nella guida in linea.

VT_I1

BACnetWritePriority

BACnet write priority

Indicare la priorità di scrittura con cui viene scritta la variabile. Se si inserisce il valore 0, la variabile verrà scritta senza indicazione della priorità di scrittura.

Possibili valori sono quelli compresi fra 0 e 16.

Il livello di priorità minore: 16

Il livello di priorità maggiore: 1

Default: 0

Per resettare la priorità di un valore scritto (cioè per resettare il bit nel priority-array), si ha bisogno di un´ulteriore variabile. Questa variabile deve avere il tipo di dato String, indirizzare lo stesso oggetto e avere lo stesso BACnet property ID e BACnet data type 'NULL'. Sulla variabile si setta una stringa vuota (per es. con la funzione "Setta valore impostabile"). La BACnet write priority viene resettata, il valore impostabile di questa priorità impostato in precedenza viene annullato.

Ulteriori informazioni nella guida in linea.

VT_UI4

BACnetStringLength

BACnet string length

Disponibile solamente se per la proprietà BACnet data type è stato selezionato il tipo di dato BITSTRING.

Definire qui la lunghezza della stringa di bit in bit.

Ulteriori informazioni nella guida in linea.

VT_I4

BACnetEventState

BACnet event state

Visualizzare lo stato di event state come numero. In questo caso, il testo per event state può essere definito liberamente.

Valori:

-1: il testo viene usato.

0: Normale

1: Fault

2: Off-normal

3: High-limit

4: Low-limit

5: Life-safety-alarm

Default: -1

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


BeckhoffNG variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> BeckhoffNG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Biffi variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Biffi variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

NV-Index

NV-Index

L'indice NV è rilevante solo per Node-Data.

Indicate qui l'indice variabili di rete (NVI/NVO) delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transient

Transient command

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore attuale ricevuto via command event deve essere resettato automaticamente a 0 dal driver. (z.B. ICON2K Open, Close, Stop)

Ulteriori informazioni nella guida in linea.

VT_BOOL

Send_direct

Send directly

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore impostabile deve essere trasmesso al DCM direttamente oppure tramire buffer.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


BURPVI variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> BURPVI variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BURPVI_ADDRESS

PVI Name

È il nome della variabile PLC. Il nome è costituito da Nome task/Nome variabile .

Nota: si possono usare variabili globali solamente se sono incluse in un task. Per questa ragione le variabili globali vengono sempre visualizzate con le variabili task in corso di importazione online e vengono indirizzate come variabili task: Nome task/Nome variabile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

BURPVI_VT_TYPE

PVI Type (VT)

Tipo variabile nel PLC. I valori possibili sono descritti nella guida online. Se si usa un tipo di dato divergente in zenon, ne può conseguire un typecasting.

Ulteriori informazioni nella guida in linea.

VT_UI4

BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Numero degli elementi in caso di variabili di campo.
Nel caso di variabili di campo pluridimensionali, viene indicato il numero degli elementi di tutte le dimensioni del campo (Per esempio: var[10][5] => VN=50).

Ulteriori informazioni nella guida in linea.

VT_UI4

BURPVI_VL_LENGTH

PVI Length (VL)

Lunghezza variabili in byte.
Nel caso di variabili singole, essa corrisponde alla lunghezza dei dati di processo. Nel caso delle variabili di campo, la lunghezza è definita come lunghezza elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

BURPVI_OD

PVI Additional (OD)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


CTI variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CTI variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

SecondaryObject

Secondary object

Indica il tipo di oggetto secondario per

- Tempo/Contatore

- Drum

- variabile Loop

- Variabile allarmi

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


CDNP3_TGVarED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CDNP3_TGVarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Solo per il tipo di oggetto del driver Binary Output e Analog Output Selezione del Command Mode fra quelli della lista a cascata:

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Output binari e Output analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputsanalogici, si usa Function Code 0x5 - Direct Operate.
  • Direct Operate NoAck: Per la scrittura diOutputs binari e Outputs analogici, si usa Function Code 0x5 - Direct Operate. Non c`è risposta da parte del PLC; non si ha conferma se la scrittura sia stata eseguita con successo o meno.

Default: Direct Operate

Ulteriori informazioni nella guida in linea sui driver.

VT_BOOL

Classless_Read

Classless read

Assegnazione dei valori alla variabile in caso di richieste di lettura esplicite:

  • Inattivo: Vengono assegnati alla variabile i valori ricevuti via Integrity-Poll, Event-Poll oppure oder unsolicited responses.
    I valori ricevuti in risposta ad una richiesta di lettura esplicita non vengono assegnati.
  • Attivo: Alla variabile vengono assegnati solo i valori ricevuti in risposta ad una richiesta di lettura esplicita.

Ulteriori informazioni nella guida in linea sui driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


DNP3 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> DNP3 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Variation

Variation

Selezione della variazione fra quelle del menù a tendina.

  • Default: Si usa la variazione per variabili come inviata dalla Outstation.
    Se si usa un´altra variazione rispetto a quella della Outstation oppure una per variabili che non appartengono a nessuna classe ma devono essere lette, si può procedere alla definizione di una variazione alternativa. Selezione dal menù a tendina. Le alternative offerte dipendono da tipo oggetto driver della variabile. I valori numerici corrispondono ai valori consentiti della variazione per questo tipo di dato.

Il driver viene dopo ogni Class 0 Poll o inizializzato tramite una variabile Class Poll lettura manuale con la variazione definita. Se si seleziona una variazione diversa da Default, si dovrebbe attivare sempre anche la proprietà Lettura variabile continua.

Nota: la Outstation deve supportare la lettura della variazione.

Ulteriori informazioni nella guida in linea.

VT_UI2

Scangroup

Scangroup

Ulteriori informazioni nella guida in linea.

VT_UI2

Command_Mode

Command Mode

Selezione del comando Mode fra quelli del menù a tendina.

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Outputs binari e Outputs analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputs anologici, si usa Function Code 0x5 - Direct Operate.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


EibV2 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> EibV2 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

MainGroup

Main group

Indicate il numero del gruppo principale desiderato.

Minimo: 0

Massimo: 15

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI2

MiddleGroup

Middle group

Indicate il numero del gruppo medio desiderato.

Minimo: 0

Massimo: 7

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI2

SubGroup

Sub group

Indicate il numero del gruppo inferiore desiderato.

Minimo: 0

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BSTR

ETS2Database

ETS Database

Definite in questa sede la banca dati desiderata. Un clic sul comando apre il dialogo che serve alla selezione della banca dati. In alternativa potete inserire manualmente il nome della banca dati nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CyclicReading

Read cyclical

Stabilisce in quale modo il valore viene trasmesso dal PLC.

attivo: Il valore viene richiesto in modo ciclico dal PLC.

Default: inattivo

Nota: Questa opzione dovrebbe essere usata con grande prudenza visto che il carico dei bus cresce enormemente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Elrest variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Elrest variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Deviceparameter

Device parameter

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver ELREST32.

Ulteriori informazioni nella guida in linea

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


IEC61850 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC61850 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

I61850_ADR

IEC61850-Address

IEC Indirizzo IEC61850

VT_UI2

I61850_LAN

IEC61850-Stationnumber

IEC61850-numero stazione

VT_UI2

I61850_VAL

IEC61850-Value

Valore IEC61850

Questo valore definisce in CDCs INS, INC, SGCB e ACD quale massaggio singolo / comando singolo devono essere analizzati.

VT_UI1

I61850_CDC

CDC

CDC

Selezione del CDC per l'estensione "Nodo logico".

Default: DEFAULT

VT_UI1

I_BIT

Invalid treatment

Trattamento invalido

nessuno: nessun trattamento.

ultimo valore valido: cambiamento ad un 'immagine di valore sostituivo con ultimo valore non disturbato.

Commutare su valore di riserva: commutazione a un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

Commutare su PV di riserva: commutazione ad un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

allineamento del valore sostitutivo: cambiamento ad un 'immagine di valore sostituivo; il valore deve essere allineato manualmente.

VT_BOOL

EWB

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

VT_BOOL

EW_INI

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

VT_BOOL

MERKER

Marker

Merker

Attivo: variabile senza riferimento di processo (l'indirizzo non viene controllato; per uso interno)

Inattivo: la variabile viene attualizzata dal processo.

VT_BOOL

ST_SAVE

Save state

Salva stato.

Attiva: Stato della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Lo stato non viene salvato

Default: Inattivo

VT_BOOL

VAL_SLAVE

Save value

Salva valore

Attiva: Valore della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Il valore non viene salvato

Default: Inattivo

VT_R8

EW

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_UI1

GOOSE_INDEX

GOOSE Index

VT_UI1

GOOSE_ATTR1

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5

GOOSE Attr5 dataset position

VT_UI1

GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


IEC62056 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC62056 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

IEC62056_ADDRESS

IEC62056 Address

Inserimento dell´indirizzo OBIS.

VT_UI1

IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correzione del timestamp. Selezione della modalità dell´adattamento tempo fra quelle proposte dal menù a tendina:

  • None: non viene effettuata nessuna correzione.
  • Begin of interval: la correzione concerne il timestamp iniziale.
  • End of interval: la correzione concerne il timestamp finale.

Default: None

L´intervallo cui si riferisce la modifica, viene configurato con la proprietà IEC62056 Time Interval.

VT_UI2

IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Inserimento dell´intervallo di tempo espresso in minuti.

Disponibile solo se la proprietà IEC62056 Time Adjustment non è stato selezionato none.

Massimo: 65535

Default: 15

Esempio: nel caso che si sia scelto l´intervallo 15 e End of interval per IEC62056 Time Adjustment, il timestampo viene settato sempre alla fine di un quarto d´ora.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


IEC870_103 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC870_103 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Inserite un valore. Corrisponde a FUN nella norma.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Inserite un valore. Corrisponde a INF nella norma.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_103_Index

IEC870-103 Index

Inserite un valore. Corrisponde alla successione di MEA in ASDU 3 o 9.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


IEC870 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC870 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

VT_UI2

IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


iLon100 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> iLon100 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Internal variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Internal variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

VT_UI1

Remanenz

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Initial_value

Valore iniziale

Il valore definito qui viene utilizzato come valore iniziale quando si avvia il Runtime, a patto che per la proprietà Ritentività sia stata configurata l´opzione Valore iniziale.
Nota: Come separatore decimale si può usare sia il punto che la virgola. Il valore verrà convertito dal sistema sempre in un numero con un punto come separatore decimale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Internal variable RT

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Internal variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

VT_UI1

Remanenz

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Initial_value

Valore iniziale

Il valore definito qui viene utilizzato come valore iniziale quando si avvia il Runtime, a patto che per la proprietà Ritentività sia stata configurata l´opzione Valore iniziale.
Nota: Come separatore decimale si può usare sia il punto che la virgola. Il valore verrà convertito dal sistema sempre in un numero con un punto come separatore decimale.

Ulteriori informazioni nella guida in linea.

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


CKDNP1VarED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CKDNP1VarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Description as text.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Lon32 - Variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Lon32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


CMathInfo

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> CMathInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVars

SourceVars

VT_UI2

Type

Type

VT_BSTR

Formula

Formula

Apre il dialogo che serve ad inserire la formula per il calcolo della variabile.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

MathInfo

MathInfo

ZT_VARIABLE

EnableCalc

Attiva il calcolo

Assegna alla variabile matematica una variabile il cui valore determina se il calcolo viene eseguito. L´assegnazione di una variabile attiva la proprietà.

Se si clicca sul pulsante ... oppure sul campo con la variabile, si apre il dialogo che serve alla selezione di una variabile.

Default: disattivata; nessuna variabile assegnata.

Ulteriori informazioni nella guida in linea.


MathDr32 - Variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> MathDr32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Mathematical variable RT

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Mathematical variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


NWMDRV32 - Variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> NWMDRV32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


OPCUA variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> OPCUA variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BrowseName

Browse name

Corrisponde a Browse name della specificazione OPC UA.

Sono permessi dei rifermenti gerarchici in avanti, a partire dalla cartella-oggetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Sample32 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Sample32 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SampleTest

Sample Additional

Esempio per Sample driver.

VT_BSTR

SampleButton

Auswahl

Esempio per Sample driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


SE_32 variable ED function

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> SE_32 variable ED function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


SE_32 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> SE_32 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


SPRECON870 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> SPRECON870 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

VT_UI2

IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SPRECON870_CounterActive

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

SPRECON870_CounterGroupID

Counter group

Disponibile solo se la proprietà Counter value handling è stata attivata.

Nome per l´identificazione del Counter group, secondo quanto configurato nel driver.

Tramite l´assegnazione della variabile ad un gruppo contatori, viene definito il comportamento della variabile stessa. Il gruppo di contatori rappresenta una sorta di matrice di reazione che gestisce il conteggio di elaborazioni (p.e. la conversione da valore assoluto a relativo).

Default: < No group >

Ulteriori informazioni nella guida in linea.

VT_UI2

SPRECON870_MaxCounterDifference

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceeded.

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_OnMaxCounterDifference

Max. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_OnNoUpdate

Not updated in time

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce il comportamento per il conteggio di valori che non vengono aggiornati all'interno della finestra temporale, ovvero viene attivata la gestione valore alternativo. Selezione dalla lista a cascata:
- Disabled: Vengono usate le impostazioni dalla proprietà Replacement value handling.

- Set INVALID state: Viene settato lo stato INVALID.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_ReplacementType

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI4

SPRECON870_ReplacementValue

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

SPRECON870_ReplacementVariable

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sulla variabile disturbata. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: Spazio

Ulteriori informazioni nella guida in linea.

VT_BOOL

SPRECON870_ReverseDirectionEnable

Reverse direction enable

Attivazione di Reverse-direction.

Attivo: La variabile viene inviata, dopo una corrispondente general interrogation in Reverse-direction.

VT_BOOL

SPRECON870_ReverseDirectionOnly

Reverse direction only

Disponibile solamente se la proprietà Reverse direction enable è stata attivata.
Attiva: a questa variabile non viene mai assegnato uno dei valori ricevuti dal PLC, Dopo l´avvio del Runtime, viene assegnato alla variabile il default configurato, oppure un valore preso dall´immagine ritentiva. Poi la variabile può essere modificata solo tramite "Settare valore impostabile"-

VT_BOOL

SPRECON870_ReverseDirectionRemanent

Remanent

Disponibile solo se la proprietà Reverse direction enable è stata attivata. Ultimo valore, time-stamp e stato della variabile vengono salvati nell´immagine ritentiva. Dopo un riavvio del sistema, valore, time-stamp e stato salvati nell´immagine ritentiva, vengono letti e assegnati alla variabile.

VT_R8

SPRECON870_ReverseDirectionInitialValue

Initial value

Il default viene usato solo se la proprietà Reverse direction only è stata attivata, oppure se l´indirizzo di rete della variabile rimanda ad una connessione che è stata evidenziata come Internal connection. Per variabili del tipo di dato String, non si può stabilire nessun default.
Se, quando si avvia il Runtime, non è stato assegnato alla variabile nessun valore dall´immagine ritentiva, il default e lo stato NT vengono scritti sulla variabile stessa.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Sys2000 variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Sys2000 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Node

Node

Indicate l'indirizzo del nodo del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI4

LogID

Log ID

Indicate l'indirizzo del Log (Log ID) nel PLC.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Syskron variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Syskron variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definite qui la funzione di accesso per la lettura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_I4

Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definite qui la funzione di accesso per la scrittura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la lettura alla funzione.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la scrittura alla funzione. L'ultimo parametro di trasmissione è sempre il valore impostabile inviato da zenon.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


SysDrv variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> SysDrv variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.


Base class variable

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Base class variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Variable ED

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Variable RT

Manuale -> Interfacce di programmazione -> Objectmodel -> Variable -> Variable-Dynamic properties -> Variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

VT_BOOL

Use_in_ProcRec

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


Variables

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access, create and delete variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVars()
Dim zPRJ As Project
Dim zDRV As Driver
Dim zVTp As VarType
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST_"

Set zPRJ = MyWorkspace.ActiveDocument
'set first created driver....
Set zDRV = zPRJ.Drivers.Item(0)
'check if driver is the "INTERNAL" driver
If InStr(1, zDRV.Name, "Intern", vbTextCompare) = 0 Then Exit Sub
'set vartype (UINT)
Set zVTp = zPRJ.VarTypes.Item("UINT")
For i = 0 To 9
zPRJ.Variables.CreateVar VarNamePart & i, zDRV, tpSystemVariable, zVTp
Next i
End Sub

Sub DeleteVars()
Dim zPRJ As Project
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST"

Set zPRJ = MyWorkspace.ActiveDocument
'run trough all variables of the active project
For i = zPRJ.Variables.Count - 1 To 0 Step -1 'reverse loop!
'search part of the varname
If InStr(1, zPRJ.Variables.Item(i).Name, VarNamePart) <> 0 Then
'delete variable
If zPRJ.Variables.DeleteVar(zPRJ.Variables.Item(i).Name) = False Then
Debug.Print "ERROR deleting: " & zPRJ.Variables.Item(i).Name
End If
End If
Next i
End Sub

Ancora in questo capitolo

Variables-Properties

Variables-Methods


Variables-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckInModule | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | CheckOutModule | Imports the selected XML file | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
void | DoAutoSave | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
IVariable | Item | - | available | available | yes | yes
IVariable | ItemPvID | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ModifyVariable | Modify the given variable to match the new configuration. | available | not used | yes | yes
VARIANT_BOOL | ModifyArrayVariable | Modify the given array variable to match the new configuration. | available | not used | yes | yes

Ancora in questo capitolo

Item

ItemPvID

DoAutoSave

CreateVar

ModifyVariable

ModifyArrayVariable

CreateArrayVar

CreateArrayVarEx

DeleteVar

Export

SingleExport

Import

ImportDirect

CheckOutModule

CheckInModule


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant
Index or name.

If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPv As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemPvID

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> ItemPvID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, identified with the parameter vID.The parameter vID contains the unique channel Id of the variable.The returned object should be checked on Nothing.

Datatype

ItemPvID(VARIANT vPvID) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DoAutoSave

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> DoAutoSave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you have the opportunity to stop writting changes on properties into the database. This should bring up performance improvements. Hint: Don't forget to make a .DoAutoSave(True) after a .DoAutoSave(False) otherwise data which has been typed in VBA won't be saved. The function doesn't work when the editor loses his focus (for example when the VBA code gets debugged).

Datatype

DoAutoSave(Boolean bSave) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

False = Stop writting into database. True = Start writting into database.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DoAutoSave()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Changes on properties should not be written into the database
zVariables.DoAutoSave (False)
'Read the first variable in list
Set zVariable = zVariables.Item(0)
'Changes on properties
zVariable.DynProperties("Unit") = "Volt"
zVariable.DynProperties("Name") = "Var_1"
'Now changes should be written into the database
zVariables.DoAutoSave (True)

End Sub


CreateVar

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> CreateVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> ModifyVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify driver, channeltypes, datatypes, adressmode, and the settings of a non array variable.

Datatype

ModifyVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyArrayVariable

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> ModifyArrayVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify the dimension of the array. Also driver, channeltypes, datatypes, adressmode, offset calculation and lower bound (0 or 1) can be modified.

Datatype

ModifyArrayVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ExtendArray()

{

string VarName = "TestArray[1]"; // element

zenOn.IVariables zVars = this.ActiveDocument.Variables();

zenOn.IVariable zVar = zVars.Item(VarName);

zenOn.IDriver zDriver = zVar.Driver();

var zKanal = zVar.get_DynProperties("ID_DriverTyp");

zenOn.IVarType zVarType = zVar.BaseType;

int zBound = 1;

int zDim1 = 5;

int zDim2 = 0;

int zDim3 = 0;

zenOn.tpAdrMode zAdrMode = zenOn.tpAdrMode.tpAdrManual;

bool zStartNewOffset = true;

zVars.ModifyArrayVariable("TestArray", zDriver, (zenOn.tpKanaltypes)Enum.ToObject(typeof(zenOn.tpKanaltypes),zKanal), zVarType, zBound, zDim1, zDim2, zDim3, zAdrMode, zStartNewOffset);

}

VB.NET

VBA


CreateArrayVar

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> CreateArrayVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,VARIANT_BOOL bPacked,VARIANT_BOOL bStartAtNewOffset,VARIANT_BOOL bReserved) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateArrayVarEx

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> CreateArrayVarEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVarEx(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteVar

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> DeleteVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteVar(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> ImportDirect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOutModule

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> CheckOutModule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check out of the whole variable administration at a multiuser project.

Datatype

CheckOutModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckInModule

Manuale -> Interfacce di programmazione -> Objectmodel -> Variables -> Variables-Methods -> CheckInModule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check in at a multiuser project when a variable is checked out or the variable administration is completely checked out.

Datatype

CheckInModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableValue

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Ancora in questo capitolo

VariableValue-Properties


VariableValue-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value | Value of the variable | not used | read only | yes | yes
long | Status | First 32 bits of the variable state | not used | read only | yes | yes
long | StatusExt | Last 32 bits of the variable state | not used | read only | yes | yes
DATE | Time | Timestamp of the value | not used | read only | yes | yes
short | TimeMilliseconds | Milliseconds of the timestamp | not used | read only | yes | yes

Ancora in questo capitolo

Value

Status

StatusExt

Time

TimeMilliseconds


Value

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value for the Variable

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

First 32 Bits of the variable state.

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExt

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties -> StatusExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

last 32 Bits for the variable state.

Datatype

StatusExt() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeMilliseconds

Manuale -> Interfacce di programmazione -> Objectmodel -> VariableValue -> VariableValue-Properties -> TimeMilliseconds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Milliseconds for the timestamp.

Datatype

TimeMilliseconds() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VarType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the object VarType you have the opportunity to edit selected datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call NewSubItem

End Sub

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem
Dim i As Integer

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("Structure_1")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create 5 structure elements called "Element_" from type INT which should be embedded
For i = 1 To 5
Set zComplexItem = zVarType.NewSubItem("Element_" & i, zVarType_1, False, 1, 0, 0, 0)
Next i

End Sub

Ancora in questo capitolo

VarType-Properties

VarType-Methods


VarType-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IVarTypes | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Name

ID


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the datatype.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

internal uniqe ID as long

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarType-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteSubItem | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | available | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
long | GetDataType | - |  | available | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
BOOL | IsSimple | - |  | available | available | yes | yes
IComplexItem | NewSubItem | - |  | available | not used | yes | yes
IComplexItem | SubItem | - |  | available | not used | yes | yes
long | SubItemCount | - |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes

Ancora in questo capitolo

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsAllowed

IsSimple

GetDataType

SubItemCount

SubItem

CanDeleteType

NewSubItem

DeleteSubItem

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsAllowed

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> IsAllowed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsAllowed(LPDISPATCH lpDriver, tpKanaltypes kTypes) As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsSimple

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> IsSimple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub IsSimple()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Check if it is a simple or a complex datatype
Debug.Print "Is Simple = " & zVarType.IsSimple

End Sub


GetDataType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> GetDataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of the datatype.

Datatype

GetDataType() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDataType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Get the number of the datatype
Debug.Print "Datatype = " & zVarType.GetDataType

End Sub


SubItemCount

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> SubItemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of items in a structure datatype.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> SubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub item of a structure datatype.

Datatype

SubItem(long lIndex) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A long variable which defines the position of the structure element (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the first item of this structure datatype
Set zComplexItem = zVarType.SubItem(0)
'Move the first item one position downwards
zComplexItem.MoveItemDown

End Sub


CanDeleteType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> CanDeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Check if the selected datatype can be deleted
Debug.Print "Can delete type = " & zVarType.CanDeleteType

End Sub


NewSubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> NewSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create new sub items for a structure datatype.

Datatype

NewSubItem(String bstrTypeName, IVarType pBaseType, Boolean bReferenz, long lLBound, long lDim1, long lDim2, long lDim3) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Set false for a embedded datatype and true for a linked one.

A VarType object which defines the basic type of the element.

A string which defines the name of the element.

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Set the array start index (0 or 1).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bReferenz As Boolean

pBaseType As VarType

bstrTypeName As String

lDim1 As Long

lDim2 As Long

lDim3 As Long

lLBound As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create a new structure element called "Element_1" from type INT which should be embedded
Set zComplexItem = zVarType.NewSubItem("Element_1", zVarType_1, False, 0, 0, 0, 0)

End Sub


DeleteSubItem

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DeleteSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can delete an item from a structure datatype.

Datatype

DeleteSubItem(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The structure item can be selected via a string (name) or via a index number.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "structure" from the list
Set zVarType = zVarTypes.Item("structure")
'Delete an item called "element_1" from the structure datatype
Debug.Print "Sub item has been deleted = " & zVarType.DeleteSubItem("element_1")
End Sub


EdLimitCount

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> EdLimitCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of limits from a datatype.

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountEdLimits()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Count the number of limits from a datatype
Debug.Print "Number of limits at the datatype = " & zVarType.EdLimitCount

End Sub


EdLimitItem

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> EdLimitItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an "EdLimit" object from a datatype.

Datatype

EdLimitItem(VARIANT vIndex) As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via a number (counting starts at 0) or via a string (name of the limit).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimitItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Create a Limit at the INT datatype
zVarType.CreateEdLimit
'Returns a EdLimit object from the first limit
Set zEdLimit = zVarType.EdLimitItem(0)

'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


CreateEdLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> CreateEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a datatype.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Creates a limit at the INT datatype
zVarType.CreateEdLimit

End Sub


DeleteEdLimit

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> DeleteEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes a selected limit from a datatype.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list.Some limits should be projected at the datatype
Set zVarType = zVarTypes.Item("INT")
'Delete "Limit[1]" at the INT datatype
zVarType.DeleteEdLimit ("Limit[1]")

End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarType -> VarType-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarTypes

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the object VarTypes you have the opportunity to create, delete and edit datatypes from the list of datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call CreateSimpleType

End Sub

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub

Ancora in questo capitolo

VarTypes-Properties

VarTypes-Methods


VarTypes-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarTypes-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - | available | available | yes | yes
IVarType | CreateComplexType | - | available | not used | yes | yes
IVarType | CreateSimpleType | - | available | not used | yes | yes
VARIANT_BOOL | DeleteType | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - |  |  |  |
IVarType | Item | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - | available | not used | yes | yes

Ancora in questo capitolo

Item

CreateSimpleType

CreateComplexType

DeleteType

CanDeleteType

SingleExport

Export

Import

ImportDirect


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can access datatypes out of the list.

Datatype

Item(VARIANT vNameOrID) As VarType

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via its name (string) or via an ID (number).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Item()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read all settings from the "INT" datatype
Set zVarType = zVarTypes.Item("INT")

Debug.Print "Name of item = " & zVarType.Name

End Sub


CreateSimpleType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> CreateSimpleType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a simple datatype can be created.

Datatype

CreateSimpleType(String bstrTypeName, IVarType pBaseType) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Needs an item from type VarType to set the base type of the own created datatype.

A string which defines the name of the simple datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pBaseType As VarType

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub


CreateComplexType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> CreateComplexType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a structure datatype can be created.

Datatype

CreateComplexType(String bstrTypeName) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the structure datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")

End Sub


DeleteType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> DeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method an own created datatype can be deleted.

Datatype

DeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via position (number) or via its name (string).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Delete an own created datatype called "own_simple"
zVarTypes.DeleteType ("own_simple")

End Sub


CanDeleteType

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> CanDeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteTypes()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Try if this datatype can be deleted
Debug.Print "Can this type be deleted = " & zVarTypes.CanDeleteType("INT")

End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuale -> Interfacce di programmazione -> Objectmodel -> VarTypes -> VarTypes-Methods -> ImportDirect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenu

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With an object of this type a context or main menu item can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a main menu with 5 items and sets the backcolor of the menu.
Sub ZenMenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
'Is true for main menu and false for context menu
zMenu.IsPulldown = True

'Create 5 main menu items
For i = 0 To 4
Set zMenuItem = zMenu.Create("ID_" & i, False)
'Set the text of the main menu item
zMenuItem.Caption = "Item_" & i
Next i

'Set Background color of the main menu
zMenu.BackColor = 12345678

'Check how many items are available in this main menu
Debug.Print "Count = " & zMenu.Count

End Sub

Ancora in questo capitolo

ZenMenu-Properties

ZenMenu-Methods

ZenMenu-Dynamic properties


ZenMenu-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | BackColor | available | available | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
long | ID | Returns the unique ID for the menu | read only | read only | yes | yes
VARIANT_BOOL | IsPulldown | Is the menu a pulldown menu (true) or a popup menu (false) | available | read only | yes | yes
BSTR | Name | Name of the menu | available | read only | yes | yes
BSTR | Notes | Notes to the menu | available | available | yes | yes
IZenMenus | Parent | Parent-object | read only | read only | yes | yes
OLE_COLOR | TextColor | TextColor | available | read only | yes | yes

Ancora in questo capitolo

Parent

Count

ID

Name

Notes

BackColor

TextColor

IsPulldown


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the context or main menu.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a string with some notes. This property is not visible in zenOn.

Datatype

Notes() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


BackColor

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the back color of the menu.

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextColor

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> TextColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the text color of a menu.

Datatype

TextColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsPulldown

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> IsPulldown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true for a main menu and false for a context menu. It can also be used to change a main menu to a context menu and vice versa.

Datatype

IsPulldown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenu-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a menu item by position or name of item.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a main menu
Set zMenu = zMenus.Item(1)

'Select the first item of the main menu
Set zMenuItem = zMenu.Item(0)
Debug.Print "Name of menu item = " & zMenuItem.Name

End Sub


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function new context and main menu items can be created.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "Test"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)

'Create an item with the name "Test" in the selected menu
Set zMenuItem = zMenu.Create("Test", True)

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function a menu item can be deleted.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "ID_FIRST"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(1)

'Delete a main menu item and return true or false for deleted or not deleted
deleted = zMenu.Delete("ID_FIRST")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenu-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Menu

Ancora in questo capitolo

Menu


Menu

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenu -> ZenMenu-Dynamic properties -> Menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Pulldown

Pulldown

"With this property you have the opportunity to select wheter the menu is a main or a context menu.
TRUE = It's a main menu, FALSE = It's a context menu. "

VT_BSTR

Notes

Notes

With this property you have the opportunity to get/set notes from a menu.

VT_BSTR

Name

Nome

Nome univoco del menù.
Default: nuovo menù principale x o nuovo menù contestuale x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Tipo carattere del menù. Vale per tutti gli inserimenti di menù.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Colore di sfondo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.


ZenMenuItem

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With an object of this type items of a context menu and main menu submenus can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a context and a main menu with one item each.
'The main menu item can execute a set value function.
'The context menu item can execute a vba makro.
'Preparation: A variable and a makro have to be available
Sub ZenMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
zMenu.IsPulldown = True
'Create a main menu item
Set zMenuItem = zMenu.Create("ID_1", True)
'Set text of menu item
zMenuItem.Caption = "First"

'Create a context menu
Set zMenu = zMenus.Create("Context_1")
zMenu.IsPulldown = False
'Create a context menu item
Set zMenuItem = zMenu.Create("id_1", True)
'Set text of menu item
zMenuItem.Caption = "first"

'Projects the set value action at the main menu item
Call setValue(zMenus)
'Projects the makro action at the context menu item
Call setMakro(zMenus)

End Sub

Sub setValue(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu 'Child object of ZenMenus
Dim MenuItem As ZenMenuItem 'Child object of ZenMenu

'Select the main menu
Set Menu = Menus.Item(0)
'Select the first main menu item
Set MenuItem = Menu.Item(0)

'Object of variable "test" is assigned
Set zVar = MyWorkspace.ActiveDocument.Variables.Item("test")
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVariable
'The variable of the set value function is assigned via Ids
MenuItem.ActionID = zVar.PvID
'Set the "change by" value to 5
MenuItem.setValue = 5

End Sub

Sub setMakro(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu
Dim MenuItem As ZenMenuItem

'Select the context menu
Set Menu = Menus.Item(1)
'Select the first context menu item
Set MenuItem = Menu.Item(0)
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVbaMacro
'Set the Macro via the dynProperties
MenuItem.DynProperties("VBA-Macro") = "Init_Default"

End Sub

Ancora in questo capitolo

ZenMenuItem-Properties

ZenMenuItem-Methods

ZenMenuItem-Dynamic properties


ZenMenuItem-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
long | ActionID | ID of the variable/rt-function/macro/help-ID |  | available | read only | yes | yes
BSTR | Caption | Caption of the menu-item |  | available | read only | yes | yes
VARIANT_BOOL | Checked | Menu-item has checkbox |  | available | read only | yes | yes
long | Count | Count of defined menu-items |  | read only | read only | yes | yes
VARIANT_BOOL | Enabled | Enables/Disables the menu-item |  | available | read only | yes | yes
BSTR | Guid | Project-GUID by variables of a other project |  | not used | not used | yes | yes
BSTR | HelpFile | Helpfile for execution (Type = tpZenHelp) |  | available | read only | yes | yes
BSTR | HelpTopic | Help-ID for execution (Type = tpZenHelp) |  | available | read only | yes | yes
long | ID | Returns the unique ID for the menu-item |  | read only | read only | yes | yes
long | MenuID | Returns the unique ID for the menu | read only |  | read only | yes |  | yes
BSTR | Name | Unique Name of the menu-item |  | available | read only | yes | yes
IZenMenuItem | Parent | Parent-object |  | read only | read only | yes | yes
long | ParentID | Returns the unique ID for the parent menu-item |  | read only | read only | yes | yes
short | Password | Password-level for execution |  | available | read only | yes | yes
BSTR | Picture | Bitmap-file of the menu-item |  | available | read only | yes | yes
VARIANT_BOOL | Popup | Menu-item contains sub-items |  | available | read only | yes | yes
VARIANT_BOOL | Seperator | Menu-item is a seperator (no execution) |  | available | read only | yes | yes
double | SetValue | Defined SetValue (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | ShowSetValueDlg | Show set-value dialog (Type = tpVariable) |  | available | read only | yes | yes
BSTR | Tooltip | Tooltip-Text for the menu-item |  | not used | not used | yes | yes
tpZenMenus | Type | Type of the menu-item (Variable/RtFunction/Help/Macro) |  | available | read only | yes | yes
VARIANT_BOOL | UseCurValue | Use current set-value of the variable (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | VarFromElement | Use Variable from the linked element (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | Visible | Shows/hides the menu-item |  | available | read only | yes | yes
BSTR | ToolTip | Tooltip-Text for the menu-item |  | not used | not used | yes | yes

Ancora in questo capitolo

Parent

Count

ID

MenuID

ParentID

Name

Caption

ToolTip

HelpFile

Picture

HelpTopic

Seperator

Enabled

Visible

Checked

Popup

Type

Password

Guid

VarFromElement

UseCurValue

ShowSetValueDlg

ActionID

SetValue


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenuItem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the submenu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MenuID

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> MenuID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu.

Datatype

MenuID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ParentID

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ParentID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the parent menu item.

Datatype

ParentID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a menu item.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Caption

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Caption

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of a menu item.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ToolTip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ToolTip() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A helpfile can be set via a case sensitive string (directory + file).Hint: To set this property the action typ of the menu item should be set to help.

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A bitmap can be set via a string (directory + file).Hint: A bitmap can only be set at a context menu.

Datatype

Picture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpTopic

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> HelpTopic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets the selected chapter for the helpfile. The given parameter is case sensitive!

Datatype

HelpTopic() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Seperator

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Seperator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "seperator" item is set or not.

Datatype

Seperator() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the menu item is set active or not in the runtime.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Visible

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Visible

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the "visible" item of a menu.

Datatype

Visible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Checked

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Checked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "check mark" item is set or not.

Datatype

Checked() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Popup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Popup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Submenus for a menu item can be set active or inactive.

Datatype

Popup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns action type of menu item. Following numbers are allocated to the parameters: tpRtFunction = 1; tpVariable = 2; tpVbaMacro = 3; tpZenHelp = 6.

Datatype

Type() As tpZenMenus

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Password

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the password level of the menu item.Hint: This value can only be set when an action typ is active.

Datatype

Password() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Not in use.

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


VarFromElement

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> VarFromElement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Variable from element" item.Hint: The action type set value has to be activated. This option is only available at context menus.

Datatype

VarFromElement() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseCurValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> UseCurValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Propose current value" item.Hint: The action type set value has to be activated.

Datatype

UseCurValue() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSetValueDlg

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ShowSetValueDlg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "dialog" item.

Datatype

ShowSetValueDlg() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActionID

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ActionID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the chosen action. Depending on the chosen action type the ID of the variable, of the function or of the help chapter (if a string is used it is set to -1) is returned. Assign variable: zMenuItem.ActionID = zVar.PvIDAssign function: zMenuItem.ActionID = zFunc.ID

Datatype

ActionID() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> SetValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "change by" value of a change value action. Hint: The action type set value has to be activated.

Datatype

SetValue() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenuItem-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a submenu object via position or name.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Select the first submenu
Set zMenuItem_1 = zMenuItem.Item(0)
Debug.Print "Name = " & zMenuItem_1.Name

End Sub


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function creates a new submenu item.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSubmenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Create a new submenu
Set zMenuItem_1 = zMenuItem.Create("Test", False)

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function deletes a submenu.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Deletes a submenu
deleted = zMenuItem.Delete("ID_1")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenuItem-Dynamic properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base menu item

Ancora in questo capitolo

Base menu item


Base menu item

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Dynamic properties -> Base menu item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Password

Livello di autorizzazione:

Livello della password necessario per eseguire questa voce di menù.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Selezione di un interblocco per per la voce di menù.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

VT_BSTR

Caption

Testo

Didascalia della voce di menù. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente la prima di queste voci di menù.

Nota: se nel campo proprietà Tipo di azione facendo uso del menù a tendina isi seleziona il valore Comando, il sistema scrive come valore della proprietà Testo: $ALL$.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

ID menù

Nome della voce di menù.

In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Picture

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Enabled

Attivo

Attivo: Normalmente il sistema visualizza la voce di menù e l´azione collegata viene eseguita quando si fa uso dell´inserimento stesso.
inattivo: Normalmente il sistema visualizza l´inserimento di menù "gegreyed" e l´azione collegata non viene eseguita..

Ulteriori informazioni nella guida in linea.

VT_I2

Type

Tipo di azione

Selezione del tipo di azione.
Quali tipi di azioni sono a disposizione dipende dal tipo di menù.

Disponibili nel menù principale e nel menù contestuale:

  • Funzione: viene eseguita una funzione.
  • Guida: viene visualizzato un inserimento della guida.
  • Nessuna azione: non sarà eseguita nessuna azione.
  • Setta valore impostabile: viene scritto un valore impostabile su una variabile.

Disponibili solo nel menù contestuale:

  • Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale.
  • Ripristina lampeggio: disattiva il lampeggio di tutti gli allarmi di quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. L'allarme, pero, non viene riconosciuto.
  • Comandi: esegue un comando.
  • Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Visible

Visibile

Stabilisce se la voce di menù viene visualizzata nel runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

Checked

Checkmark

Davanti alla voce di menù viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Popup-Menu

Sottomenù

La voce di menù non esegue nessuna azione, ma apre un sottomenù.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Seperator

Separatore attivo

Attivo: Al posto di una voce di menù, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI1

SeparatorWidth

Larghezza

Definite la larghezza del separatore in pixel.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SeparatorColor

Colore

Definite il colore di riempimento del separatore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Nero

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Grafica di sfondo per la voce di menù.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPicRepres

Orientamento

Grandezza della grafica di sfondo per l´inserimento di menù.
Grandezza originale: L´immagine viene rappresentata nella sua grandezza originale. L´inserimento di menu viene adattato alla grandezza dell´immagine.
Allungato: L´immagine viene allungata in corrispondenza della grandezza dell´inserimento di menù.
Default: Grandezza originaria.

Esempio: i menù dovrebbero essere usati in un progetto Touchscreen. Come impostazioni standard per la grandezza delle singole voci di menù, vengono usate le impostazioni del sistema operativo. Con una grafica di sfondo nella grandezza originale si può gestire in modo individuale la grandezza delle voci di menù.

Ulteriori informazioni nella guida in linea.

ZT_FILE

HelpFile

File

Disponibile solamente se alla voce Rappresentazione/Tipo è stato selezionato il Tipo di azione Guida.
File della guida un capitolo del quale deve essere visualizzato.
Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo

Disponibile solamente se alla voce Rappresentazione/Tipo è stato selezionato il Tipo di azione Guida.
File della guida un capitolo del quale deve essere visualizzato.
Attenzione: questo inserimento è case sensitive.
Normalmente vengono visualizzate le pagine della guida degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida, verrà visualizzata quella definita qui.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Disponibile solo per il tipo di azione"Funzione ":
Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

VBA-Macro

Macro VBA

Disponibile solamente per il tipo di azione "Macro VBA":
Macro VBA che deve essere eseguita tramite la voce di menù selezionata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FromElem

Variabile da elemento

Disponibile solamente per il tipo di azione "Setta valore impostabile" e "Menù contestuale:
Attivo: La variabile per "Setta valore impostabile" viene ripresa dall´elemento dinamico.
inattivo: La variabile per "Setta valore impostabile" viene indicata nelle proprietà della voce di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

Disponibile solamente per il tipo di azione "Setta valore impostabile"::
Variabile sulla quale deve essere settato un valore impostabile tramite l´inserimento di menù selezionato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SWDialog

Dialogo

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Quando si esegue l´azione, prima del settaggio del valore impostabile si apre un dialogo che dà all´utente l´opportunità di modificarlo.
Se esistono delle immagini Keyboard (per es. SETVALUEKBD, SETSTRINGKBD o SETBOOLKBD), verrano aperte queste automaticamente anziché il box di dialogo.
Inattivo: Il valore definito nelle proprietà della voce di menù viene inviato direttamente all´hardware.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ActValue

Proponi valore attuale

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Il valore attuale della variabile viene proposto come valore impostabile.
Inattivo Il valore impostabile viene indicato direttamente nelle proprietà della voce di menù.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

Sollwert

Valore impostabile/modifica di

Disponibile solamente per tipo di azione "setta valore impostabile":
Valore numerico che deve essere depositato come valore impostabile sulla variabile selezionata. Sono attesi e accettati solamente valori numerici. I valori vengono applicati se contengono fino a 6 cifre decimali.
Se la proprietà Proponi valore attuale è attiva, il valore attuale della variabile viene aumentato (valore positivo) o diminuito (valore negativo) in corrispondenza di questo valore.

Ulteriori informazioni nella guida in linea.


ZenMenus

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages context and main menus.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOnMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Loop creates five context and five main menus
For i = 1 To 5
'Creates a context menu
Set zMenu = zMenus.Create("context_" & i)
'False for context menu
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("main_" & i)
'True for main menu
zMenu.IsPulldown = True
Next i

'Check if all items have been created (Hint: counting starts at 0 until .count-1)
For i = 0 To zMenus.Count - 1
Debug.Print "Item " & i & " = " & zMenus.Item(i).Name
Next i

End Sub

Ancora in questo capitolo

ZenMenus-Properties

ZenMenus-Methods


ZenMenus-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined menus | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Ancora in questo capitolo

Parent

Count


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ZenMenus-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IZenMenu | Create | Creates a new menu |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IZenMenu | Item | Returns the menu by name or position |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Ancora in questo capitolo

Item

Create

Delete

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

Export

SingleExport

Import


Item

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a ZenMenu item. If there are more context and main menu items available the counting works like this: Item(0) = "Main_1", Item(1) = "Context_1", Item(2) = "Main_2", …

Datatype

Item(VARIANT vPosition) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a context menu or a main menu depending on the "IsPulldown" property of the zMenu object (False = context menu, True = main menu).

Datatype

Create(String bsName) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu.

Example: "menu_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Creates a context menu
Set zMenu = zMenus.Create("menu_1")
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("menu_2")
zMenu.IsPulldown = True

End Sub


Delete

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The defined menu will be deleted. As this function works via names there are no seperated properties for context or main menu selection. (context and main menu can not have the same names)

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The string defines the name of the menu which should be deleted.

Example: "main_menu"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenus()

Dim zMenus As ZenMenus 'Parent object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Delete context and main menus via their name
zMenus.Delete ("main_menu")
zMenus.Delete ("context_menu")

End Sub


Get

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ZenWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This ClassModule represents the actual workspace in the editor.There are several events to react on actions of the projects within the workspace.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Option Explicit
Private Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer
Private Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Private Const VK_LSHIFT = &HA0
Private Const VK_RSHIFT = &HA1

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub

Private Sub ZenWorkspace_OnProjectLoaded(ByVal obProject As IProject)
Debug.Print "Project '" & obProject.Name & "' is loaded!"
End Sub

Private Sub ZenWorkspace_Startup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub

Private Sub ZenWorkspace_OnElementDoubleClicked(ByVal obElement As Element)
'Show Symbol Wizard for linked Symbols,
'if the symbol has outlined properties.
If obElement.Type = 130 Then
'symbol...
If SymbolHasProps(obElement) = True Then
'start wizard...
frmSymbol.InitWizard obElement
frmSymbol.Show
End If
End If
End Sub

Function SymbolHasProps(zELE As Element) As Boolean
Dim v As Variant
Dim i As Integer
Dim s As String
'check DynProperties of Symbol...
v = zELE.DynPropertiesEnum("")
For i = 0 To UBound(v)
s = v(i)
s = Mid(s, 1, InStr(1, s, ",") - 1)
If InStr(1, s, "\") <> 0 Then
SymbolHasProps = True
Exit Function
End If
Next i
End Function

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub

Ancora in questo capitolo

ZenWorkspace-Properties

ZenWorkspace-Methods

ZenWorkspace-Events


ZenWorkspace-Properties

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IProject | ActiveDocument |  |  | read only | not used | yes | yes
IApplication | Application |  |  | read only | not used | yes | yes
BSTR | Name |  |  | read only | not used | yes | yes
IApplication | Parent |  |  | read only | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object |  | read only | not used | yes | yes
IDispatch | VBE | Returns the VBE-extensibility object |  | available | not used | yes | yes
BSTR | LoadedWorkspace |  | read only |  | not used | yes |  | yes

Ancora in questo capitolo

Application

Parent

ActiveDocument

Symbols

Name

VBE

LoadedWorkspace


Application

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Application object of the editor...

Datatype

Application() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ActiveDocument

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> ActiveDocument

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the activated project in the workspace as a project object.

Datatype

ActiveDocument() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the ClassModule 'MyWorkspace'Always 'MyWorkspace'

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


VBE

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> VBE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBE-extensibility object

Datatype

VBE() As Dispatch

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LoadedWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> LoadedWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadedWorkspace() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ZenWorkspace-Methods

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateProject | - | available | not used | yes | yes
VARIANT_BOOL | CloseWorkspace | Closes the workspace. | available | not used | yes | yes
VARIANT_BOOL | CopyProject | Creates a copy of the given Project at the given location. | available | not used | yes | yes
VARIANT_BOOL | CreateBackup | Creates a backup of the currently workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateProjectBackup | Create a backup of the given project. | available | not used | yes | yes
VARIANT_BOOL | CreateWorkspace | Creates a new workspace with the given name at the given location. | available | not used | yes | yes
IMDITemplates | GetMDiTemplates | Returns a collection of MDI templates of the specified type (either by name or by index). | available | not used | yes | yes
VARIANT_BOOL | InsertProject | Inserts the given project into the workspace. | available | not used | yes | yes
VARIANT_BOOL | LoadProject | - | available | not used | yes | yes
VARIANT_BOOL | LoadProjectByName | Loads the given project by Name. | available | not used | yes | yes
VARIANT_BOOL | LoadWorkspace | Loads the given workspace file. | available | not used | yes | yes
VARIANT_BOOL | RemoveProject | Removes the given project from the workspace. | available | not used | yes | yes
VARIANT_BOOL | RestoreBackup | Restores the given workspace backup. | available | not used | yes | yes
VARIANT_BOOL | RestoreProjectBackup | Restores the given backup. | available | not used | yes | yes
VARIANT_BOOL | SaveWorkspace | Saves the current workspace. | available | not used | yes | yes
VARIANT_BOOL | SetStartProject | - | available | not used | yes | yes
VARIANT | UnloadedProjects [GET] | Returns a list of all unloaded projects available in the current workspace. | available | not used | yes | yes
VARIANT_BOOL | UnloadProject | - | available | not used | yes | yes
IArvTemplates | GetArvTemplates | Returns a collection of Archive templates (either by name or by index). | available | not used | yes | yes

Ancora in questo capitolo

LoadProject

LoadProjectByName

UnloadProject

ActivateProject

SetStartProject

CreateWorkspace

LoadWorkspace

SaveWorkspace

CloseWorkspace

CreateBackup

RestoreBackup

InsertProject

CreateProjectBackup

RestoreProjectBackup

RemoveProject

CopyProject

UnloadedProjects [GET]

GetMDiTemplates

GetArvTemplates


LoadProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Loads a project in the workspace over its uniqe GUID.

Datatype

LoadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadProjectByName

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProjectByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadProjectByName(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unloads a project in the workspace over its uniqe GUID.

Datatype

UnloadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivateProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> ActivateProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates a project in the workspace over its uniqe GUID.

Datatype

ActivateProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> SetStartProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> SaveWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveWorkspace() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseWorkspace

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CloseWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseWorkspace(Boolean bHideCompileDialog) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBackup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreBackup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreBackup(String bsFileAndLocation, String bsWorkspaceLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> InsertProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertProject(String bsGuid, String bsName, String bsHost) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateProjectBackup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateProjectBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateProjectBackup(String bsProjectName, String bsFileAndLocation, String bsDescription, Boolean bOverWrite) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreProjectBackup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreProjectBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreProjectBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RemoveProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CopyProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CopyProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CopyProject(String bsSource, String bsDestinationName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadedProjects [GET]

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadedProjects [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UnloadedProjects() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetMDiTemplates

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> GetMDiTemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetMDiTemplates(VARIANT vType) As MDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetArvTemplates

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> GetArvTemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Return a ArvTemplate collection.

Datatype

GetArvTemplates() As IArvTemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function


ZenWorkspace-Events

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | OnElementCreated |  |  | read only | not used | yes | yes
void | OnElementDeleted |  |  | available | not used | yes | yes
void | OnElementDoubleClicked |  |  | available | not used | yes | yes
void | OnObjectCreated |  |  | available | not used | yes | yes
void | OnPostBackupProject | Event is fired after a project backup has been created. |  | available | not used | yes | yes
void | OnPostBuild | Event is fired after a project is compiled |  | available | not used | yes | yes
void | OnPostRestoreProject | Event is fired after a project backup has been restored. |  | available | not used | yes | yes
void | OnPostTransport | Event is fired after a project is transported |  | available | not used | yes | yes
void | OnPostVSTAUpdate | For internal use only |  | not used | not used | yes | yes
void | OnPreBackupProject | Event is fired before a project backup is about to be created. |  | available | not used | yes | yes
void | OnPreBuild | Event is fired before a project is compiled |  | available | not used | yes | yes
void | OnPreProjectUnload | Event is fired when a project is about to be unloaded (editor only). |  | available | not used | yes | yes
void | OnPreRestoreProject | Event is fired before a project backup is about to be restored. |  | available | not used | yes | yes
void | OnPreTransport | Event is fired before a project is transported |  | available | not used | yes | yes
void | OnPreVSTADebugStart | For internal use only |  | not used | not used | yes | yes
void | OnPreVSTADebugStop | For internal use only |  | not used | not used | yes | yes
void | OnPreVSTAUpdate | For internal use only |  | not used | not used | yes | yes
void | OnProjectLoaded | Event is fired when a project has been loaded (editor only). |  | available | not used | yes | yes
void | OnRTConnect | Event is fired when a remote transport connection has been established. |  | available | not used | yes | yes
void | OnRTConnectionFailed | Event is fired when a connection timeout has occured, and a remote transport connection could not be established. |  | available | not used | yes | yes
void | OnRTConnectionTerminated | Event is fired when a remote transport connection has been terminated. |  | available | not used | yes | yes
void | OnVSTADebugStart | For internal use only |  | not used | not used | yes | yes
void | OnVSTADebugStopped | For internal use only |  | not used | not used | yes | yes
void | OnWorkspaceExit |  |  | available | not used | yes | yes
void | OnWorkspaceStartup |  |  | available | not used | yes | yes
void | OnPostObjectDeleted |  | available |  | not used | yes |  | yes

Ancora in questo capitolo

OnWorkspaceStartup

OnWorkspaceExit

OnElementCreated

OnElementDeleted

OnElementDoubleClicked

OnPreBuild

OnPostBuild

OnPreTransport

OnPostTransport

OnProjectLoaded

OnPreProjectUnload

OnObjectCreated

OnPostObjectDeleted

OnRTConnect

OnRTConnectionFailed

OnRTConnectionTerminated

OnPreRestoreProject

OnPostRestoreProject

OnPreBackupProject

OnPostBackupProject

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate


OnWorkspaceStartup

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceStartup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceStartup() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnWorkspaceStartup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub


OnWorkspaceExit

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceExit() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementCreated

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new element is created within a picture.

Datatype

OnElementCreated(Element obElement) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Element

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obElement As Element

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub


OnElementDeleted

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDeleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element is deleted within a picture.

Datatype

OnElementDeleted(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementDoubleClicked

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDoubleClicked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element has been double-clicked.

Datatype

OnElementDoubleClicked(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBuild

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project will be built.

Datatype

OnPreBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub


OnPostBuild

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project were built.

Datatype

OnPostBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub


OnPreTransport

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles should be transported to a remote pc.

Datatype

OnPreTransport(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub


OnPostTransport

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles have been transported to a remote pc.

Datatype

OnPostTransport(Project obProject, Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Boolean return value, returns true if the transport was successfully.

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSuccess As Boolean

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub


OnProjectLoaded

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnProjectLoaded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a project was loaded.

Datatype

OnProjectLoaded(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreProjectUnload

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreProjectUnload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreProjectUnload(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnObjectCreated

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnObjectCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when a new object is created.A new object could be:

Datatype

OnObjectCreated(Dispatch obObject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Object, the type depends to the created object (Variable,Screen,...)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obObject As Dispatch

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub


OnPostObjectDeleted

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostObjectDeleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostObjectDeleted(IDispatch obParent, BSTR bsName) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnRTConnect

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnect(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionFailed

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionFailed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionFailed(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionTerminated

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionTerminated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionTerminated(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreRestoreProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreRestoreProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreRestoreProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostRestoreProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostRestoreProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostRestoreProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBackupProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBackupProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreBackupProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostBackupProject

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBackupProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostBackupProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStart

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStopped

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuale -> Interfacce di programmazione -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Interfaccia SAP

Manuale -> Interfaccia SAP

Per collegare il livello SAP ERP (Enterprise-Resource-Planning) a quello del processo di zenon, i due programmi comunicano mediante un´interfaccia bidirezionale. In tal modo anche gli utenti SAP hanno la possibilità di accedere direttamente al livello del processo di zenon.

Il sistema di controllo invia segnalazioni concernenti eventi di qualsiasi tipo all'applicazione SAP. In tal modo le imprese collegano il loro livello del processo mediante un closed loop direttamente a quello SAP, e hanno una visione generale ed esaustiva di tutti i processi, dalla gestione degli ordini, alla produzione, fino alla fase della fornitura dei prodotti. Ad esempio: con questo strumento è possibile monitorare in tempo reale il fabbisogno delle scorte di magazzino, visto che il sistema di controllo fornisce dal livello SCADA delle informazioni precise concernenti il reale consumo di risorse. In tal modo l'impresa dispone dei dati rilevanti per gestire al meglio la produzione just in time, ma anche di quelli su cui basare una pianificazione a lungo termine.

Grazie ad un modulo di comunicazione integrato, zenon fornisce la possibilità di trasmettere dati di processo direttamente all´applicazione SAP e di richiamare funzioni zenon direttamente dalla applicazione SAP. In un ambiente SAP, questi dati vengono usati, fra l'altro, per eseguire i seguenti compiti:

  • Comunicazione dello stato degli ordini di processo.
  • Informazione relativa al consumo ed alla produzione di materiali
  • Informazioni concernenti lo stato delle risorse
  • Comunicazione di dati su eventi di processo selezionati.
  • Trasmissione di dati dati di ordine a zenon

Le segnalazioni di processo possono essere usate da SAP, per esempio, per eseguire compiti come la generazione di protocolli lotti e di azienda elettronici, oppure al fine di attualizzare una fase di processo o lo stato delle scorte di materiali.

tutorial Informazioni sulla licenza

È necessario avere una licenza per l´Editor e il Runtime (stand-alone, server, standby).

Interazioni

  • Messaggi di manutenzione: A partire da variabili di zenon, si possono creare messaggi di manutenzione e li si può inoltrare al sistema SAP. Essi possono inizializzare delle azioni nel sistema SAP, a seconda dei workflow lì definiti.
    In tal modo, per esempio, una segnalazione di manutenzione può attivare automaticamente la generazione di un incarico per un lavoro di manutenzione riguardante il dispositivo in questione, incarico destinato al tecnico responsabile.
  • Measurement documents: In zenon è possibile registrare i valori di variabili di processo sulla base di orari prestabiliti, per poi trasmetterli al sistema SAP come measurement documents. Questi measurement documents possono essere utilizzati nel sistema SAP al fine di pianificare e generare degli incarichi per lo svolgimento di lavori di manutenzione, oppure a fini statistici.
  • Chiamate funzione: Blocco funzione SAP RFC possono essere richiamati da zenon ed eseguiti durante il Runtime. La funzione zenon SAP contiene una lista di oggetti che visualizzano i parametri e le tabelle del Blocco funzione SAP RFC.
  • Programmi server: Richiamo e apertura di funzioni di zenon da un´applicazione SAP. Ad esempio, per trasmettere dati d´ordine a zenon.

Ancora in questo capitolo

Generale e requisiti

Progettazione nell'Editor


Generale e requisiti

Manuale -> Interfaccia SAP -> Generale e requisiti

Per poter sfruttare la diretta integrazione nel mondo di SAP, sul computer su cui è eseguito zenon, deve essere installato, oltre a zenon, anche la SAP GUI. Le librerie di programma fornite con SAP GUI sono assolutamente necessarie per comunicazione con il sistema di SAP. Questa SAP GUI è contenuta nel pacchetto standard di SAP.

Non sono necessarie altre operazioni di parametrizzazione del software SAP. Installare la SAP GUI è sufficiente a garantire lo scambio dei dati. I restanti parametri possono essere configurati direttamente nell´ambiente di sviluppo dell´Editor di zenon.

info Info

L´integrazione SAP in zenon si basa su SAP ECC 6.0 per lo scenario PM-PCS 4.0.

Requisiti in zenon

In zenon deve esserci una licenza per il modulo SAP Interface.

Blocchi funzione

Tramite l'interfaccia RFC, le azioni nel sistema SAP vengono eseguite mediante chiamate di blocchi funzioni (conosciuto come il Blocco funzione SAP RFC). Questi blocchi funzione sono forniti con il sistema SAP. Mediante il workbench ABAP, inoltre, possono essere programmati anche dei blocchi funzioni definiti dall'utente. ABAP è un linguaggio di programmazione sviluppato da SAP, con cui sono programmati tutti i blocchi funzione all´interno del sistema SAP. L'integrazione in zenon si limita in primo luogo ai blocchi funzioni standard forniti da SAP. Tuttavia, si è provveduto a creare nel sistema di controllo un'interfaccia flessibile che, in linea di principio, permette anche un'integrazione di blocchi funzioni definiti dai clienti.

Le descrizioni complete dei blocchi funzioni con i relativi parametri, le tabelle interne e le strutture utilizzate, possono essere lette dal sistema SAP grazie alle funzioni della RCF-API, o con l'aiuto di diversi blocchi funzione di zenon.

Programmi client e programmi server

Le applicazioni SAP fanno una differenza fra programmi client e programmi server rispetto alla chiamata di blocchi funzioni:

  • Programma client: viene richiamato da un sistema esterno (come, ad esempio, un´altra applicazione SAP), oppure un´applicazione esterna (per esempio zenon) ed eseguito nell´applicazione SAP.
  • Programma server: è richiamato dall´applicazione SAP su un altro sistema sul sistema esterno. Il sistema esterno esegue la chiamata funzione.

Ancora in questo capitolo

Messaggio di segnalazione

Measurement documents

Chiamata funzioni

Programmi server


Messaggio di segnalazione

Manuale -> Interfaccia SAP -> Generale e requisiti -> Messaggio di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare una efficiente pianificazione è molto importante ricevere delle informazioni sugli errori verificatisi, sulle eventuali interruzioni della produzione ecc. I dati relativi alla produttività possono essere calcolati in modo sensato solo se sono noti anche i tempi di funzionamento e di malfunzione. Nel sistema SAP vengono usate a questo scopo le cosiddette Segnalazioni di manutenzione.

Come segnalazione di manutenzione può essere definito ogni allarme di una variabile di processo in zenon. Segnalazioni di errore vengono documentate di regola in SAP. Rilevanti sono quelle segnalazioni per la cui eliminazione sono necessarie delle prestazione di manutenzione.

Le segnalazioni di manutenzione sono generate dagli allarmi di zenon. Quando si verifica un allarme in una delle variabili connesse con l'elemento, nel modulo di manutenzione del sistema di SAP viene generata una segnalazione di manutenzione. In caso di Evento esce di un allarme, la segnalazione di manutenzione viene anzitutto ricercata facendo riferimento al suo numero specifico, e poi viene inserito il valore tempo dell'evento esce.

Per ogni segnalazione di SAP, in zenon può essere impostato un proprio gruppo di tipi di segnalazione. La proprietà decisiva di una segnalazione di manutenzione nel sistema SAP è il cosiddetto "tipo di segnalazione". Esso definisce come deve essere trattata la segnalazione di manutenzione nel workflow del sistema SAP. I possibili tipi di segnalazione sono predefiniti nel sistema SAP. Se al momento della creazione di una segnalazione di manutenzione non viene indicato un tipo di segnalazione definito nel sistema SAP, quest'ultimo non genera una segnalazione di manutenzione, ma fa presente che si è verificato un errore.

info Info

Se lo volete, potete indicare per ogni tipo di messaggio di manutenzione un impianto di manutenzione e un segnalatore. Nel caso in cui ciò non si verifichi, il sistema SAP inserisce i valori di Default corrispondenti.

Ogni segnalazione di manutenzione si riferisce ad una parte di impianto predefinita nel sistema SAP. Quest'ultima può essere un cosiddetto "posto tecnico" oppure un cosiddetto "Equipment". Ogni posto tecnico può a sua volta contenere altri posti tecnici e/o equipments.

Ogni posto tecnico e ogni equipment posseggono un'identificazione univoca che deve essere indicata al momento dell'indicazione della segnalazione di manutenzione. L'identificazione per posti tecnici e equipments viene prelevata dalla Identificazione servizio delle variabili collegate. Grazie alla proprietà „Posto tecnico/Equipment" si può fissare se una identificazione servizio va considerata come identificazione per un posto tecnico o per un equipment.

Alle cosiddette segnalazioni di manutenzione possono essere connesse solo delle variabili. Nel caso in cui si verifichi per una delle variabili connesse un allarme, nel sistema SAP viene creata una segnalazione di manutenzione con il parametro fissato, il valore e il testo del valore limite della variabile.

Le segnalazioni di manutenzione ricevono nel sistema SAP un numero univoco che viene depositato nell'inserimento allarme della variabile zenon in forma di commento. In tal modo è possibile una connessione fra evento allarme e il numero della segnalazione di manutenzione nel sistema SAP.

attention Attenzione

Nel caso di allarmi con testo di valore limite dinamico non è disponibile il campo di commento dell'inserimento; viene invece creato un inserimento nella lista eventi cronologica che permette una connessione di allarme e numero corrispondente.

Ancora in questo capitolo

Background tecnico


Background tecnico

Manuale -> Interfaccia SAP -> Generale e requisiti -> Messaggio di segnalazione -> Background tecnico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi di manutenzione vengono creati nel sistema SAP mediante la chiamata dei blocchi funzione BAPI_ALM_NOTIF_CREATE e BAPI_ALM_NOTIF_SAVE. Con l'allarme in uscita viene inserito il "tempo uscita" nella segnalazione di manutenzione generata in precedenza tramite l'apertura dei blocchi funzione BAPI_ALM_NOTIF_DATA_MODIFY e BAPI_ALM_NOTIF_SAVE.

Questi blocchi funzione vengono creati al momento dell'installazione standard del modulo di manutenzione nel sistema SAP, e da questo momento sono a disposizione per le applicazioni esterne.

attention Attenzione

Con un adattamento individuale del sistema SAP alle esigenze del cliente, può succedere che questi blocchi funzione non siano più disponibili! In questo caso, il sistema SAP emette un messaggio di errore FU_NOT_FOUND.

Se si verifica in zenon l'evento Allarme rientrato per una delle variabili collegate, il sistema ricerca la segnalazione di manutenzione appartenente all'allarme tramite il codice documento e registra l'ora del verificarsi dell'allarme. Ciò avviene grazie ad una chiamata del blocco funzione BAPI_ALM_NOTIF_DATA_MODIFY Al blocco funzione viene trasferito nel parametro NUMBER il codice documento relativo alla segnalazione di manutenzione. I valori dei campi da modificare vengono indicati nel parametro NOTIFHEADER ; nel parametro NOTIF si seleziona mediante flag, quali campi debbono essere modificati.

Il messaggio di manutenzione modificato viene poi salvato nella banca dati SAP mediante la chiamata dei blocchi funzione ALM_ eBAPI_TRANSACTION_COMMIT.


Measurement documents

Manuale -> Interfaccia SAP -> Generale e requisiti -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle applicazioni SAP i valori di misurazione descrivono un determinato stato del sistema di produzione in un momento preciso del processo produttivo. Come valore di misurazione si può stabilire qualsiasi variabile presente in zenon. In questo modo i dati possono essere trasmessi in modo indipendente dal protocollo dal processo in tempo reale al livello superiore del Management.

In molti casi si offre la possibilità di concentrare in anticipo i dati di processo già al livello del processo stesso, per poi trasmetterli al sistema SAP per l'analisi seguente. In tal modo il sistema SAP riceve in modo mirato da zenon ad esempio dei valori medi oppure dei valori statistici calcolati sulla base di una intera serie di valori. Ciò impedisce che il livello del management riceva una pletora di dati allo stato per così dire grezzo.

Valori di misurazione e stati dei contatori vengono registrati in modo ciclico e vengono poi depositati in forma di prova di misurazione nel sistema SAP in corrispondenza di un punto di misurazione. Le proprietà del punto di misurazione nel sistema SAP definiscono se si debba trattate di un valore di misurazione o di un contatore. Come valore della prova di misurazione viene inserito il valore attuale della variabile.

Nel sistema SAP possono essere definiti per ogni posto tecnico o ogni equipment più punti di misurazione. Al momento di definire i punti di misurazione si stabilisce se il punto di misurazione contiene un valore di misurazione o un contatore. Gli stati dei contatori devono avere un valore crescente in modo uniforme, il che significa che ogni valore che viene inserito deve essere uguale o superiore a quello precedente.

I valori di misurazione e gli stati dei contatori vengono trasmessi al sistema SAP per mezzo di cosiddette "prove di misurazione".

La registrazione di valori di misurazione avviene nel sistema di controllo per mezzo di orari. Per ogni orario si può stabilire in quale giorno della settimana e in corrispondenza di quali ore devono essere registrati i valori di misurazione. Un orario può essere eseguito giornalmente oppure solo in determinati giorni della settimana. Per ogni orario possono essere inoltre indicate sia l'ora di inizio che quella di fine, nonché un intervallo di tempo. Fra l'ora di inizio e quella finale vengono registrati i valori di misurazione della variabili collegate ad intervalli indicati.

Ad ogni orario può essere collegata una serie di variabili. Al momento dell'esecuzione dell'orario, i valori attuali delle variabili vengono letti e per ogni valore delle variabili viene generato una prova di misurazione nel sistema SAP. Ogni punto di misurazione possiede un numero univoco che deve essere inserito nella prova di misurazione registrata. Il numero del punto di misurazione viene rilevato a partire dalla Identificazione servizio della variabile collegata.

info Info

La connessione fra una variabile del sistema di controllo ed un punto di misurazione SAP avviene tramite l'ID del punto di misurazione nel sistema SAP. Questo numero progressivo ed univoco deve essere inserito nella Identificazione servizio della variabile nel sistema di controllo.

Ancora in questo capitolo

Background tecnico


Background tecnico

Manuale -> Interfaccia SAP -> Generale e requisiti -> Measurement documents -> Background tecnico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Measurement document per punti di misurazione e contatori vengono generati nel sistema SAP grazie al blocco funzione "MEASUREM_*". Il measurement document viene assegnato ad un punto di misurazione o ad un contatore. Se si tratti di punto di misurazione o di un contatore, viene stabilito al momento di creare il punto di misurazione. Il punto di misurazione o il contatore vengono identificati mediante un numero univoco nel sistema SAP.

Il measurement document contiene il punto di misurazione (data, ora), un valore di misurazione e la sua unità, la provenienza della segnalazione (produttore del measurement document ) e un breve testo. Se la data di misurazione non è specificata, si usa il momento della generazione del measurement document. L'unità del valore di misurazione può essere omessa; in questo caso viene usata l'unità di misura inserita nel punto di misurazione/contatore.

Settando il parametro COMMIT_WORK, si fa in modo che il documento venga scritto immediatamente nella banca dati SAP. I measurement document vengono creati nel sistema SAP grazie alla chiamata del blocco funzione MEASUREM_DOCUM_RFC_SINGLE_001.

info Info

Il blocco funzione MEASUREM_DOCUM_RFC_SINGLE_001 viene creato al momento della installazione standard del modulo di manutenzione nel sistema SAP.

attention Attenzione

Con un adattamento individuale del sistema SAP alle esigenze del cliente può succedere che questi blocchi funzione non siano più disponibili! In questo caso il sistema SAP fornisce una segnalazione di errore FU_NOT_FOUND.


Chiamata funzioni

Manuale -> Interfaccia SAP -> Generale e requisiti -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel sistema SAP, si può richiamare qualsiasi funzione nel nodo interfacce di programmazione senza che sia necessario effettuare alcuna operazione di programmazione; se lo si vuole fare invece direttamente da zenon, sarà necessario solamente poco lavoro di programmazione. A tal scopo, un´immagine dell´interfaccia del blocco funzioni da richiamare viene visualizzata nell´Editor con i parametri, le tabelle e le strutture necessarie e collegata alle variabili o funzioni di zenon. La vera e propria chiamata funzione avviene mediante l´esecuzione di una funzione di zenon, a cui viene trasferita questa immagine come parametro.

Blocchi funzione

Le azioni nel sistema SAP e il trasferimento di dati al sistema SAP sono eseguiti mediante la chiamata di blocchi funzioni RFC. Questi blocchi funzioni sono forniti insieme al sistema SAP; tuttavia, è possibile anche creare dei blocchi funzioni definiti dall´utente facendo uso del workbench ABAP.

Parametro

Il trasferimento dati da e a blocchi funzioni avviene mediante parametri di import o export. Dal punto di vista del blocco funzioni nel sistema SAP, gli "input data" vengono "importati", mentre i "result data" vengono "esportati". La documentazione dei blocchi funzione nel sistema SAP è basata su questa prospettiva.

Oltre ai parametri di import e export, ci sono anche i cosiddetti "changing parameter", che servono sia al trasferimento di dati, che alla restituzione di risultati.

Tabelle interne

Dati in forma di tabelle oppure liste, possono essere trasferiti nelle cosiddette tabelle interne o temporanee a o da blocchi funzione.

Tipi di dato, strutture

Accanto ai comuni tipi di dato semplici (numerici, testo, data, tempo, ecc.), i dati possono essere anche trasferiti in strutture. I dati in tabelle sono trasferiti usualmente come strutture; ma anche i parametri possono riprendere dei dati strutturati.

Supporto del sistema SAP

Si possono leggere le descrizioni complete delle interfacce di blocchi funzioni, inclusi i loro parametri, tabelle interne e strutture utilizzate, nel sistema SAP.

L interfaccia SAP di zenon fa uso di questa opportunità mettendo a disposizione degli utenti un Assistente che serve alla selezione di blocchi funzione e alla lettura delle descrizioni delle interfacce.

Anche quando si verifica una chiamata funzione SAP, gli oggetti configurati vengono confrontati con la descrizione nel sistema SAP dell´interfaccia del blocco funzione richiamato.


Programmi server

Manuale -> Interfaccia SAP -> Generale e requisiti -> Programmi server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire ad un´applicazione SAP di richiamare delle funzioni in un sistema esterno, vengono gestite delle destinazioni RFC (transazioneSM59). Tramite esse si stabilisce il modo in cui comunicano un sistema esterno e un´applicazione SAP. In linea di principio ci sono due possibilità:

  • Started: l´applicazione SAP avvia l´applicazione esterna.
  • Registered: il sistema esterno si registra nell´applicazione SAP usando un ID di programma univoco.

zenon usa il metodo Registered.

Il sistema esterno decide in che modo vengono trattate le chiamate funzioni in entrata via interfaccia RFC. A questo riguardo ci sono due possibilità:

  • Funzioni Callback:
    Sull´interfaccia RFC vengono registrate funzioni diCallback che vengono eseguite automaticamente dall´interfaccia stessa. Si raccomanda di ricorrere a questa possibilità soprattutto quando, già al momento dell´implementazione dell´applicazione esterna, è chiaro quali chiamate funzioni sono attese via interfaccia RFC.
  • Decisione basata sul nome:
    Il nome del blocco funzioni richiamato viene richiesto a livello di interfaccia. Sulla base del nome, il sistema decide quale azione deve essere eseguita. Con questa variante è possibile reagire in modo più flessibile e più generale alle chiamate funzioni.
    zenon usa questo metodo perché è l´utente a decidere quali chiamate funzioni devono essere a disposizione.

Alcune funzioni standard, come, ad esempio, RFC_PING, oppure RFC_SYSTEM_INFO, vengono registrate ed eseguite automaticamente dall´interfaccia RFC.


Progettazione nell'Editor

Manuale -> Interfaccia SAP -> Progettazione nell'Editor

L'effettuazione della parametrizzazione di punti di misurazione/segnalazioni di manutenzione e chiamate funzione nell'ambiente di sviluppo è possibile solo usando un´interfaccia SAP munita di licenza. Se essa è munita di licenza, nell´albero di progetto trovate il nodo SAP Interface con le impostazioni per la connessione SAP. Dettagli concernenti i parametri da impostare li trovate nei seguenti capitoli.

Menù contestuale Manager di progetto Nodo SAP ERP

Voce di menù | Azione
Salva | Salva modifiche nella progettazione SAP ERP.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Barra degli strumenti e menù contestuali

Parametri di connessione ad un sistema SAP

Messaggi

Measurement documents

Chiamata funzioni


Barra degli strumenti e menù contestuali

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simbolo

Azione

Nuova segnalazione di partenza

Aggiunge un nuovo messaggio vuoto alla lista dei messaggi di manutenzione

Nuova pianificazione orario

Aggiunge una nuova pianificazione orario vuota nella lista dei measurement document.

Nuova funzione SAP

Apre l´assistente per la selezione di un nuovo blocco funzioni SAP.

Aggiungi variabile...

Apre il dialogo che serve alla selezione di variabili.

Nuovo parametro

Crea un nuovo parametro per la funzione evidenziata.

Nuova tabella

Crea una nuova tabella per la funzione evidenziata.

Nuovo campo struttura

Crea per il parametro evidenziato o la funzione evidenziata un nuovo campo struttura.

Crea funzione standard

Crea una funzione zenon "Esegui funzione SAP" per la funzione SAP evidenziata.

Torna all'elemento di partenza

Ritorna alla posizione di partenza nell´Editor di zenon.

Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.

Salva

Salva le modifiche nella progettazione SAP.

Elimina

Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.

Sposta in su

Sposta l´inserimento evidenziato di una posizione verso l´alto all´interno della visualizzazione dettagli.

Sposta in giù

Sposta l´inserimento di una posizione verso il basso all´interno della visualizzazione dettagli.

Espandi tutto

Espande tutte le strutture chiuse.

Cliccando sulla freccia accanto al simbolo, si apre il menù a tendina per la selezione di:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Esporta tutti in XML...

Esporta tutti gli inserimenti in un file XML.

Importa file XML

Importa inserimenti da un file XML.

Proprietà

Apre la finestra proprietà.

Guida

Apre la guida online.

Ancora in questo capitolo

Menù contestuale - Manager di progetto

Menù contestuale Nodo SAP ERP

Menù contestuale Nodo Segnalazioni di manutenzione

Menù contestuale Messaggio di manutenzione

Menù contestuale Nodo Measurement documents

Menù contestuale Pianificazione

Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Menù contestuale Chiamata funzione

Singola funzione SAP Menù contestuale


Menù contestuale - Manager di progetto

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Salva | Salva le modifiche nella progettazione SAP ERP.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.


Menù contestuale Nodo SAP ERP

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo SAP ERP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Salva | Salva le modifiche nella progettazione SAP ERP.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Guida | Apre la guida online.


Menù contestuale Nodo Segnalazioni di manutenzione

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo Segnalazioni di manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Nuovo metodo di avviso | Aggiunge un nuovo mesaggio alla lista.
Esporta messaggi di manutenzione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Menù contestuale Messaggio di manutenzione

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Messaggio di manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Aggiungi variabile... | Apre il dialogo che serve alla selezione di variabili.
Elementi collegati | Mostra gli elementi collegati alle segnalazioni di manutenzione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra delle proprietà
Guida | Apre la guida online.


Menù contestuale Nodo Measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Nuova pianificazione | Aggiunge una nuova pianificazione vuota nella lista.
Esporta tutti i Measurement document in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Menù contestuale Pianificazione

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Pianificazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Aggiungi variabile... | Apre il dialogo che serve alla selezione di variabili.
Elementi collegati | Mostra gli elementi collegati alla Pianificazione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Guida | Apre la guida online.


Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Aggiungi variabile... | Apre il dialogo che serve alla selezione di variabili.
Elementi collegati | Mostra gli elementi collegati alla variabile in un combobox e permette di passare a questi elementi.
Elimina variabile selezionata | Cancella le variabili selezionate dalla lista dopo una richiesta di conferma.
Guida | Apre la guida online.


Menù contestuale Chiamata funzione

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Chiamata funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Nodo Chiamata funzione

Voce di menù | Azione
Nuova funzione SAP | Apre l´assistente che serve a selezionare un blocco funzioni SAP
Esporta tutte funzioni SAP in XML | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Guida | Apre la guida online.

Menù contestuale Tabella Chiamata funzione

Parametri | Descrizione
Nuova funzione SAP | Crea nuova funzione SAP
Crea funzione standard | Imposta una nuova funzione zenon per la chiamata della funzione SAP selezionata.
Elementi collegati | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa XML | Importa inserimenti da un file XML.
Leggi Blocco funzione RFC dal sistema SAP | Legge la descrizione interfaccia del blocco funzioni dal sistema SAP. Se non è indicato nessun nome SAP, l´assistente provvederà a selezionare i blocchi funzione.
Visualizza la documentazione RFC | Legge la documentazione del blocco funzione dal sistema SAP e la visualizza con l´aiuto del web browser come file HTML.
Guida | Apre la guida online.


Singola funzione SAP Menù contestuale

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Barra degli strumenti e menù contestuali -> Singola funzione SAP Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzione SAP Menù contestuale

Parametri | Descrizione
Nuovo parametro | Crea un nuovo parametro con una funzione SAP.
Nuovo report | Crea una nuova tabella con una funzione SAP.
Crea funzione standard | Imposta una nuova funzione zenon per la chiamata della funzione SAP selezionata.
Elementi collegati | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Leggi Blocco funzione RFC dal sistema SAP | Legge la descrizione interfaccia del blocco funzioni dal sistema SAP. Se non è indicato nessun nome SAP, l´assistente provvederà a selezionare i blocchi funzione.
Visualizza la documentazione RFC | Legge la documentazione del blocco funzione dal sistema SAP e la visualizza con l´aiuto del web browser come file HTML.
Guida | Apre la guida online.

Menù contestuale della lista parametri di una funzione SAP.

Parametri

Descrizione

Nuovo parametro

Crea un nuovo parametro con una funzione SAP.

Nuovo report

Crea una nuova tabella con una funzione SAP.

Nuovo campo struttura

Crea un nuovo campo struttura per parametri o tabelle.

Elementi collegati

Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.

Elimina

Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.

Espandi/Riduci nodo

Mostra o nascondi campi struttura di parametri e tabelle.
  • Espandi tutto

Mostra campi struttura di tutti i parametri e tabelle.
  • Riduci tutto

Nascondi campi struttura di tutti i parametri e tabelle.
  • Espandi selezione

Mostra campi struttura di parametri e tabelle selezionati.
  • Riduci selezione

Nascondi campi struttura di parametri e tabelle selezionati.

Guida

Apre la guida online.

Menù contestuale Lista Parametri di una funzione SAP con campo struttura selezionato

Parametri | Descrizione
Nuovo campo struttura | Crea un nuovo campo struttura per parametri o report.
Elementi collegati | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella i campi struttura selezionati.
Sposta in su | Sposta il campo struttura selezionato di una posizione verso l´alto.
Sposta in giù | Sposta il campo struttura selezionato di una posizione verso il basso.
Guida | Apre la guida online.


Parametri di connessione ad un sistema SAP

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Parametri di connessione ad un sistema SAP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per instaurare una connessione ad un sistema SAP, è necessario specificare alcuni parametri di base. Essi vengono configurati nelle proprietà per SAP ERP, nella finestra dettagli del Manager di progetto. Sono disponibili i seguenti gruppi:

Parametro | Descrizione
Sistema SAP ERP | Impostazioni per il sistema SAP ERP connesso.
Programma server | Impostazioni per programmi server.
Login SAP | Impostazioni per il login nel sistema SAP.
Messaggi | Impostazioni per messaggi.
Trova errori | Impostazioni per ricerca degli errori.

Dettagli sulle singole proprietà li trovate nella guida della singole proprietà.

Inserimenti nella CEL

La scrittura di voci di log nella CEL può essere gestita usando la proprietà Messaggi di Log nella CEL. Essa è attiva di default.

Trace

L´interfaccia SAP scrive protocolli comeTraces nell´attuale cartella di lavoro. In zenon, questa cartella è la cartella di programma, oppure quella di progetto. La variabile di ambiente RFC_TRACE_DIR può essere usata per determinare una cartella fissa destinata ai fileTrace..


Messaggi

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un´efficiente pianificazione è molto importante ricevere delle informazioni sugli errori verificatisi, sulle eventuali interruzioni della produzione ecc. Il sistema SAP usa a questo scopo i cosiddetti messaggi di manutenzione. Ogni allarme di una variabile di processo definito in zenon può essere configurato come messaggio di manutenzione.

info Info

Nel caso in cui in una delle variabili collegate si verifichi un allarme, nel sistema SAP viene generato un messaggio di manutenzione del tipo indicato e con il testo di valore limite dell'allarme. Il numero della parte di impianto (posto tecnico o equipment) viene letto dalla identificazione servizio della variabile.

Menù contestuale Messaggio di manutenzione (gruppo)

Punto di menù | Azione
Nuovo metodo di avviso | Aggiunge un nuovo mesaggio alla lista.
Esporta messaggi di manutenzione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Menù contestuale Messaggio di manutenzione

Voce di menù | Azione
Aggiungi variabile... | Apre il dialogo che serve alla selezione di variabili.
Elementi collegati | Mostra gli elementi collegati alle segnalazioni di manutenzione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra delle proprietà
Guida | Apre la guida online.


Measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle applicazioni SAP, i valori di misurazione descrivono un determinato stato del sistema di produzione in un momento preciso del processo produttivo. Qualsiasi variabile esistente in zenon può essere definita come valore di misurazione. In questo modo, dati indipendenti dal protocollo possono essere trasmessi dal processo real time al livello superiore del management. I valori di misurazione vengono trasferiti ad un sistema SAP sulla base di un piano temporale definito in modo fisso.

info Info

I valori attuali delle variabili collegate all´orario vengono letti in corrispondenza dei tempi stabiliti nell´orario stesso. Per ogni valore di variabile viene creato una ricezione di misura nel sistema SAP.

Menù contestuale Measurement document( gruppo)

Punto di menù | Azione
Nuova pianificazione | Aggiunge una nuova pianificazione vuota nella lista.
Esporta tutti i Measurement document in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Menù contestale measurement document

Voce di menù | Azione
Aggiungi variabile... | Apre il dialogo che serve alla selezione di variabili.
Elementi collegati | Mostra gli elementi collegati alla Pianificazione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Guida | Apre la guida online.


Chiamata funzioni

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le azioni nel sistema SAP o in zenon, e il trasferimento di dati fra zenon e il sistema SAP, sono inizializzati ed eseguiti mediante la chiamata di blocchi funzioni RFC. I blocchi funzioni RFC standard sono forniti insieme al sistema SAP. Tuttavia, è possibile anche programmare dei blocchi funzione definiti dall´utente facendo uso del workbench ABAP.

Si può richiamare qualsiasi blocco funzione SAP direttamente da zenon. Per far ciò, un´immagine dell´interfaccia del blocco funzioni da richiamare viene visualizzata nell´Editor con i parametri, le tabelle e le strutture necessari e collegata alle variabili di zenon. La vera e propria chiamata funzione avviene mediante l´esecuzione di una funzione di zenon, a cui viene trasmessa questa immagine come parametro.

Nota: l´interfaccia SAP RFC consente solamente di effettuare una chiamata funzione alla volta. Per evitare una sovrapposizione di chiamate funzione, l´attività può essere monitorata con l´aiuto di una variabile.

Convenzione di denominazione SAP

Quando si creano nuovi oggetti generati dagli utenti in un´applicazione SAP, ci si dovrebbe attenere alla seguente convenzione di denominazione:

  • I nomi degli oggetti creati individualmente dovrebbero iniziare con Y oppureZ. Questo per evitare che tali oggetti vengano sovrascritti durante un update dell´applicazione SAP. Gli oggetti SAP originali non iniziano mai con Y o Z.

Ancora in questo capitolo

Funzioni SAP

Programmi server

Selezionare blocco funzione con assistente

Documentazione dei blocchi funzione RFC

Parametri, tabelle e campi struttura

Collegare variabili

Richiamare funzioni SAP con zenon


Funzioni SAP

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Funzioni SAP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una funzione SAP richiama un blocco funzioni del sistema SAP in zenon. Essa contiene una lista di oggetti che rappresenta i parametri e le tabelle del blocco funzioni SAP. Con una funzione SAP possono essere collegate delle variabili che forniscono informazioni sullo stato di chiamata e il risultato dell´ultima chiamata.

Imposta funzione SAP

Le funzioni SAP vengono impostate tramite il punto di menù Nuova sezione SAPche si trova nel menù contestuale del nodo Chiamata funzione oppure della lista delle funzioni SAP.

Se nelle Impostazioni (menù Opzioni) del progetto è stata attivata la proprietà Utilizza assistenti di configurazione, l´assistente avvia la selezione di un blocco funzione SAP. L´assistente legge la descrizione interfaccia del blocco funzioni selezionato dal sistema SAP e imposta tutti gli oggetti nell´Editor.

La funzione SAP può essere modificata anche manualmente:

  • Per confrontare la funzione SAP con la descrizione interfaccia nel sistema SAP, selezionate nel menù contestuale il comando Leggi Blocco funzione RFC dal sistema SAP. Se non si è ancora provveduto a indicare un nome di blocco funzione, l´Assistente verrà aperto per effettuare la selezione del blocco funzione. Le impostazioni già effettuare, in particolare le variabili collegate, non verranno modificate.
  • Al momento dell´impostazione di una funzione SAP, la proprietà Nome funzione riceve un nome generato automaticamente per la funzione SAP; esso potrà poi essere modificato a piacere. .
  • La proprietà RFC function block contiene il nome del blocco funzioni nel sistema SAP. Il nome indicato deve corrispondere a quello nel sistema SAP; in caso contrario, al momento della chiamata della funzione SAP, si verificherà la Exception FU_NOT_FOUND.

Ancora in questo capitolo

Controllo attività

Messaggi d'errore

Programma server


Controllo attività

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Funzioni SAP -> Controllo attività

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una variabile (numerica) collegata alla proprietà Attività può assumere tre differenti valori a seconda dello stato della funzione SAP:

  • 0: la funzione SAP non è attiva e non viene eseguita al momento.
  • 1: la funzione SAP è in attesa di attivazione (call queue): l´interfaccia SAP RFC consente solo una chiamata funzione alla volta.
  • 2: La chiamata funzione è inviata al sistema SAP e si attende la risposta di quest´ultimo.
    Dopodiché il valore della variabile 0 (non attiva).

Questa variabile può essere usata, per es., per un interblocco al fine di evitare la sovrapposizione di chiamate funzione.


Messaggi d'errore

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Funzioni SAP -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili forniscono informazioni sul risultato dell´ultimo richiamo della funzione SAP. Per rendere possibile ciò, le variabili sono collegate alla rispettive proprietà:

  • Codice di errore: contiene un codice numerico che corrispondente al risultato dell´ultimo richiamo.
  • Testo di errore: una breve descrizione dell´ultimo codice di errore verificatosi.
  • Descrizione di errore: descrizione dettagliata dell´ultimo errore, generata dall´ interfaccia SAP RFC.

Codici di errore dell´interfaccia RFC

Codice di errore | Testo di errore | Significato
-1 | Nessuna connessione verso sistema SAP | Non è possibile stabilire una connessione con il sistema SAP (errore di rete, registrazione ecc.).
0 | OK | Non si è verificato nessun errore.
1 | Error occurred | Errore sconosciuto, dettagli nella proprietà di descrizione errore.
2 | Exception raised | Exception (Eccezione) verificatasi nel blocco funzione (parametro non valido ecc.).
3 | System exception raised, connection closed | Exception (Eccezione) verificatasi nel sistema.
4 | Call received | Un´altra chiamata funzione è ancora attiva.

Nota:

  • Il linguaggio del testo di errore dipende dalla lingua di sistema del Runtime
  • Non tutti i codici compaiono quando vengono richiamati i blocchi funzioni.


Programma server

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Funzioni SAP -> Programma server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire una funzione in zenon con una chiamata funzione come programma server, procedete come segue:

  1. Progettate una funzione SAP.
  2. Selezionate per la proprietà Funzione una funzione di zenon.
  3. Assicuratevi che, per la funzione di zenon, sia attivata la proprietà PC attuale.
  4. Attivate per la funzione SAP la proprietà Programma server.
  5. Definite, se necessario, un tempo di attesa che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Questo intervallo di tempo lo impostate mediante la proprietà Tempo di attesa.
    Un tempo di attesa è raccomandabile soprattuto per variabili su controller a comunicazione lenta e/o nel caso di lunghi cicli di lettura.
  6. Collegate, se necessario, la proprietà Attività con una variabile. Al momento della chiamata del programma server, essa viene settata su attiva (2).

Procedura nel caso di entrata della chiamata funzione da un´applicazione SAP:

  • Viene eseguita la funzione <CD_PRODUCTNAME > indicata nella proprietà Funzione.
  • I valori parametro per import e export vengono sostitui dalle loro variabili collegate.

Se non c`è nessuna funzione di zenon collegata alla funzione SAP, solamente i valori parametro per import ed export vengono sostituiti dalle loro variabili collegate. Così, per esempio, è possibile calcolare mediante variabili matematiche i valori di parametri di export a partire dai valori dei parametri di import, senza che debba essere eseguita una funzione.


Programmi server

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Programmi server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare programmi server:

  1. Passare al gruppo delle prioprietà Sistema SAP ERP/Programma server.
  2. Per la proprietà ID Programma, inserite l´ID di programma della destinazione RFC, tramite la quale deve essere instaurata la connessione con l´applicazione SAP.
  3. Definite per ogni chiamata funzione SAP desiderata, se essa deve essere eseguita come programma server. A tal scopo, configurate le proprietà nel nodo Programma server delle chiamate funzioni.

La chiamata può avvenire anche tramite la interfaccia di programmazione.

Limitazioni

Per i programmi server valgono le seguenti limitazioni:

  • I programmi server possono essere registrati in zenon solamente su calcolatori standalone, oppure Server 1, ma non su client o Server 2. Quando avviene un cambio fra Server 1 e Server 2, i programmi server vengono deregistrati sul vecchio server e registrati di nuovo sul nuovo server.
    Informazione di background: le applicazioni SAP consentono la registrazione di più sistemi esterni sulla stessa destinazione RFC. Tuttavia non è definito il sistema sul quale il programma server viene eseguito.
  • In linea di principio, un sistema esterno può registrare un programma server più di una volta sul sistema di destinazione. Visto che in zenon la valutazione del programma server richiamato avviene esclusivamente sulla base del nome, ciò viene evitato. Se lo stesso blocco funzioni (stesso nome FB) è configurato in diverse funzioni SAP come programma server, viene annullata la registrazione di una registrazione preesistente con lo stesso nome. Così sarà sempre l´ultima funzione SAP registrata ad essere attiva.
  • Possono essere collegate solamente funzioni zenon che possono essere eseguite sul computer locale. . A tal scopo deve essere attivata per la funzione zenon la proprietà PC attuale del gruppo Esecuzione:. Se si sceglie nel dialogo di selezione un´altra funzione, quest´ultima non verrà applicata. Non è possibile effettuare un´operazione di filtro per trovare le funzioni che soddisfano questa condizione.
  • Le chiamate di funzioni SAP come programma client sono sempre asincrone.
    Se dunque la chiamata di una funzione SAP come client viene collegata ad una funzione SAP da richiamare come programma server, essa verrà eseguita solo dopo che l´esecuzione del programma server sarà completata. Valori di responso eventualmente necessari non giungeranno alla chiamata di programma server!

Messaggi d'errore

Se si verifica un errore al momento della chiamata di un programma server, verrà inviata una corrispondente Exception all´applicazione SAP:

  • Se l´applicazione SAP cerca di richiamare un programma server che non è stato registrato da zenon, viene inviata la Exception FUNCTION_NOT_IMPLEMENTED.
  • Se si verifica un errore al momento della chiamata della funzione zenon collegata, viene inviata la Exception INTERNAL_ERROR con una descrizione dell´errore occorso.
  • Anche quando la chiamata via API (Event ServerCall) restituisce un errore diverso da RFC_OK (tpSapErrorOk = 0), viene inviata la Exception INTERNAL_ERROR.
    Raccomandazione: Nell´implementare l´Events, assegnate alla proprietà LastError della funzione SAP un testo significativo.

Ancora in questo capitolo

Chiamata attraverso l´interfaccia di programmazione


Chiamata attraverso l´interfaccia di programmazione

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Programmi server -> Chiamata attraverso l´interfaccia di programmazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I programmi server possono essere eseguiti anche tramite l´interfaccia di programmazione di zenon. A tal scopo, l´interfaccia dell´oggetto SAPFunction è stata ampliata mediante l´aggiunta dei metodi StartServer e StopServer, nonché dell´evento ServerCall.

  • StartServer: Questo metodo registra la SAPFunction come programma server. Per la connessione con l´applicazione SAP si usano le impostazioni del progetto zenon.
  • StopServer: Cancella la registrazione della SAPFunction.
  • ServerCall: Quando c´è una chiamata funzione in entrata da un´applicazione SAP, viene inizializzato questo evento. Nell´ambito di questo evento, possono essere analizzati i valori dei parametri di import, e settati quelli di export.

Esempio di un programma server in VBA.

Questo esempio mostra, usando il blocco dati Z_RFC_ADD2, come l´oggetto SAPFunction viene inizializzato e registrato come programma server: :

Public WithEvents obFunRfcAdd As SapFunction

Public Sub FbAdd()

' Collection of the SAP functions in the project

Dim obFunctions As SapFunctions

Parameter that is transferred to the SAP function

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

' Parameter that is returned by the SAP function

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

' ===Get collection of the SAP functions

Set obFunctions = thisProject.SapFunctions

' === Create SAP function "Z_RFC_ADD2" if not present

Set obFunRfcAdd = obFunctions.Item("Z_RFC_ADD2")

If obFunRfcAdd Is Nothing Then

Set obFunRfcAdd = obFunctions.CreateSapFunction("Z_RFC_ADD2")

If Not obFunRfcAdd Is Nothing Then

' === Create parameter if not present

Set obParameters = obFunRfcAdd.Parameters

If Not obParameters Is Nothing Then

First operand

Set obParOper1 = obParameters.Item("I_OPER1")

If obParOper1 Is Nothing Then

Set obParOper1 = obParameters.CreateSapParameter("I_OPER1")

End If

' Second operand

Set obParOper2 = obParameters.Item("I_OPER2")

If obParOper2 Is Nothing Then

Set obParOper2 = obParameters.CreateSapParameter("I_OPER2")

End If

' Result

Set obParResult = obParameters.Item("E_RESULT")

If obParResult Is Nothing Then

Set obParResult = obParameters.CreateSapParameter("E_RESULT")

End If

End If

End If

End If

=== Start Server program

If Not obFunRfcAdd Is Nothing Then

bOk = obFunRfcAdd.StartServer()

End If

End Sub

===Incoming function call

Private Sub obFunRfcAdd_ServerCall(ByVal obFunction As ISapFunction, ByRef Error As tpSapError)

If obFunction.Name = "Z_RFC_ADD2" Then

Set obParameters = obFunction.Parameters

If Not obParameters Is Nothing Then

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

Dim Val1 As Integer

Dim Val2 As Integer

' === Get parameter objects

Set obParOper1 = obParameters.Item("I_OPER1")

Set obParOper2 = obParameters.Item("I_OPER2")

Set obParResult = obParameters.Item("E_RESULT")

=== Read input parameter

Val1 = obParOper1.Value

Val2 = obParOper2.Value

=== Set output parameter

obParResult.Value = Val1 + Val2

Error = tpSapError_Ok

Else

Error = tpSapError_Failure

End If

Else

Error = tpSapError_Failure

End If

End Sub

Private Sub obFunRfcAdd_ActivityChanged(ByVal obFunction As ISapFunction, ByVal Activity As tpSapActivity)

If the activity status of the SAP function changes,

the "ActivityChanged" event is triggered

thisProject.Variables.Item("Active").Value = obFunction.Activity

End Sub

Private Sub Project_Inactive()

=== End Server program

If Not obFunRfcAdd Is Nothing Then obFunRfcAdd.StopServer

When Runtime is ended at the latest, the object of the function module

must be deleted because otherwise there will be memory leaks.

thisProject.SapFunctions.DeleteSapFunction ("Z_RFC_ADD2")

End Sub


Selezionare blocco funzione con assistente

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Selezionare blocco funzione con assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per selezionare un blocco funzione di SAP:

  1. Nella visualizzazione dettagli dell´interfaccia SAP, selezionate il nodo Chiamata funzioni (Function calls)

  2. Selezionate nel menù contestuale oppure nella barra dei simboli il comando Nuova funzione SAP (New SAP function)
  3. Viene aperto l´assistente per la selezione del blocco funzione SAP.
    Nota: a questo scopo deve essere attivata nelle Opzioni/Impostazioni del progetto di zenon l´impostazione Utilizza assistenti di configurazione.

    Attenzione: Sottoponete il vostro progetto ad un test prima di richiamare dei blocchi funzione SAP nel vostro sistema di produzione. Eventuali errori che si dovessero verificare in occasione della chiamata funzione possono compromettere l´integrità dei dati nel sistema SAP.

  4. Selezionate il blocco funzioni desiderato

Finestra di dialogo Seleziona blocco funzione

Parametro | Descrizione
Scelta dei blocchi funzione | Combobox per la selezione di blocchi funzione SAP. Il criterio di ricerca può essere inserito personalmente, oppure scelto fra quelli proposti dalla lista a cascata.
Lista dei blocchi funzione | Lista dei blocchi funzione trovati che corrispondono al criterio di ricerca.
Indietro | Torna alla schermata iniziale dell´assistente.
Termina | Salva il blocco funzioni con tutti gli elementi SAP corrispondenti in una funzione SAP zenon.
Annulla | Imposta in zenon una funzione SAP vuota.


Documentazione dei blocchi funzione RFC

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Documentazione dei blocchi funzione RFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La documentazione di un blocco funzione SAP può essere aperta facendo uso del punto Visualizza la documentazione RFC del menù contestuale.

La documentazione

  • deve essere presente nel sistema SAP
  • viene letta nella lingua dell´utente SAP registrato
  • viene visualizzata nel web browser in formato HTML.

La documentazione già letta, viene salvata nella cartella "Temp" dell´utente Windows attuale, e verrà richiamata da lì quando la si vuole visualizzare di nuovo.

Design individuale della visualizzazione

Per realizzare un design individuale della visualizzazione della documentazione:

  1. create uno stylesheet con il nome sapdoc.css
  2. salvatelo nella cartella "Temp" dell´utente

Esempi di Stylesheet

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


Parametri, tabelle e campi struttura

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Parametri, tabelle e campi struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la chiamata di una Funzione SAP, i dati vengono trasmessi via parametri e tabelle. I valori dei parametri, delle tabelle e dei loro campi struttura sono ripresi dalle variabili collegate (parametri in entrata o "incoming parameters"), o assegnati alle variabili collegate dopo la chiamata (parametro di ritorno o "return parameters").

Crea parametri, tabelle e campi struttura

Parametri, tabelle e campi struttura sono creati tramite il menù contestuale nella lista parametri di una funzione SAP.

  • denominazione
    • Quando sono creati tramite il menù contestuale, gli oggetti ricevono nomi generati automaticamente (proprietà Nome nel sistema SAP). Questi nomi devono essere poi modificati in modo che essi corrispondano ai nomi degli oggetti corrispondenti nel sistema SAP.
    • Quando si crea una funzione SAP con l´aiuto di un Assistente, i nomi vengono assegnati in modo automatico, corrispondentemente alla descrizione interfaccia nel sistema SAP.
  • Parametri e tabelle
    • Quando si verifica una chiamata della funzione SAP, vengono usati solamente quei parametri e quelle tabelle che sono anche nella descrizione interfaccia del blocco funzione nel sistema SAP.
    • Se non sono stati configurato o collegati a variabili parametri o tabelle non-opzionali, quando si verifica il richiamo della funzione SAP essi riprendono i valori iniziali. In generale ciò conduce al verificarsi di una Exception e, con ciò, alla comparsa di una segnalazione di errore al momento della chiamata funzione.
  • Proprietà informative
    • Alcune proprietà di parametri, tabelle e campi strutture (tipi, opzionali e info) hanno un carattere puramente informativo. Esse vengono popolate tramite l´assistente con le informazioni provenienti dalla descrizione interfaccia del sistema SAP quando viene creata una funzione SAP: le sie può modificare, però, in qualsiasi momento.
    • Esse non vengono analizzate al momento della chiamata della funzione SAP. Accade invece che vengono utilizzati gli input effettivi della descrizione interfaccia del sistema SAP.


Collegare variabili

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Collegare variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante la proprietà Variabile si collegano le variabili a parametri, tabelle e campi struttura di una funzione SAP.

Per collegare delle variabili:

  • usate o la proprietà Variabile nella finestra delle proprietà: cliccando sul pulsante ... si apre il dialogo che serve alla selezione delle variabili
    oppure
  • trascinate la variabile desiderata per Drag&Drop con il mouse dalla lista delle variabili direttamente su un oggetto della lista parametri.

Se si collegano delle variabili strutturate con parametri e tabelle strutturati, le variabili e i campi struttura vengono popolati se possibile con gli elementi di struttura della variabile.

Attenzione: attualmente questo funziona solamente in caso di collegamento per Drag&Drop.

Chiamata di una funzione SAP

Al momento dell´apertura di una funzione SAP , vengono letti i valori della variabile che sono collegati a parametri e tabelle per la trasmissione dei dati al blocco funzione, e vengono poi assegnati ai parametri e alle tabelle.

Viceversa, i valori parametri e tabelle che vengono restituiti dalla chiamata funzione, vengono assegnati alle variabili collegate.

Numero righe delle tabelle

Gli oggetti per le tabelle possono essere collegati mediante una variabile con la proprietà Conteggio righe.

Accettazione dei valori.

  • prima di una chiamata funzione: Il valore della variabile determina il numero delle righe tabella elaborate in zenon e fornite da SAP (Number of Lines).
  • dopo la chiamata funzione: il valore indica il numero delle righe restituite dalla chiamata funzione.


Richiamare funzioni SAP con zenon

Manuale -> Interfaccia SAP -> Progettazione nell'Editor -> Chiamata funzioni -> Richiamare funzioni SAP con zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni SAP vengono richiamate mediante la funzione di zenon Esegui funzione SAP. La funzione ha l´ID interno della funzione SAP da eseguire come parametro.

Per richiamare una funzione SAP di zenon dal Runtime:

  1. Create una nuova funzione zenon via Funzioni -> Menù contestuale-> Nuova funzione
  2. Selezionate nel nodo Applicazione l´inserimento Esegui funzione SAP.
  3. Si aprirà la finestra di dialogo per configurare la funzione.
  4. Selezionate la funzione SAP desiderata
  5. Confermate la configurazione cliccando sul pulsante OK

Finestra di dialogo Esegui funzione SAP

Parametro | Descrizione
Funzione SAP | Selezione di una funzione SAP fra quelle del menù a tendina. La funzione deve essere già stata impostata nel progetto.
Proponi dialogo a Runtime | Apre nel Runtime questa finestra di dialogo prima che la funzione venga eseguita.
OK | Imposta la funzione con i parametri selezionati.
Annulla | Imposta la funzione senza parametri.
Guida | Apre la guida online.

Suggerimento: Nell´Editor, si può impostare automaticamente una funzione usando il comando Imposta funzione standard che si trova nel menù contestuale di una funzione SAP selezionata; la funzione così impostata eseguirà poi quella SAP selezionata durante il Runtime.


Keyboard

Manuale -> Keyboard

In zenon, le keyboard hanno la funzione di tastiere virtuali. Una tastiera virtuale consente di eseguire inserimenti a Runtime via touch screen.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Nota: evitare l´uso combinato di keyboard (tastiera software) e di tastiera hardware.

Si possono configurare due diversi tipi di keyboard nell´Editor di zenon:

  • Tastiera automatica.
  • Tastiera configurabile.

Uso delle keyboard in zenon:

  • In zenon, le keyboard sono utilizzate per settare valori impostabili.
  • Nel modulo Batch Control si possono utilizzare delle keyboard speciali.
    • Ulteriori informazioni su questo argomento si trovano nella guida dedicata al Batch Control, nel capitolo Keyboard.
  • Nel Manager di gruppi ricette si può:
    • Collegare ad ogni parametro di ricetta un´immagine keyboard.
    • Definire keyboard per ogni tipo di dato-parametro.

Ulteriori informazioni su questo argomento si trovano nella guida dedicata al RGM, nel capitolo Keyboard.

Eccezioni:

Manager gruppi ricette

Nel Manager di gruppi ricette, viene aperta per lo stato utente Tipo di azione una string-keyboard.
Se, nel Manager di gruppi ricette, per un parametro di ricetta di tipo booleano oppure numerico si cambia il tipo di azione a Stato utente, verrà aperta la string-keyboard standard configurata nel RGM. Se qui non è stata collegata nessuna immagine keyboard, verrà attivata la modalità di modifica nella tabella "Valore ricetta".

Elemento "Collega testo" con funzione collegata

Quando si collega un elemento di tipo Collega testo ad una funzione che consente di eseguire inserimenti, vale quanto segue:

  • La proprietà Imposta valore attivo viene attivata automaticamente e bloccata per ulteriori modifiche.
  • Per la proprietà Imposta valore tramite è consentita la selezione solamente delle seguenti opzioni:
    • Box di dialogo : inserimento dipendente dalla configurazione.
    • Elemento: inserimento del valore direttamente sull´elemento.

Configurazione del box di dialogo:

  • Utilizza immagine tipo Keyboard: questa proprietà viene attivata automaticamente e bloccata per ulteriori modifiche.
  • Immagine tipo Keyboard: selezione di un´immagine creata dall´utente.
    • Se esiste un´immagine creata dall´utente: viene usata questa keyboard.
    • Vuoto: viene usata SETSTRINGKBD.

Ancora in questo capitolo

Tastiera automatica

Keyboard configurabile

Uso combinato di tastiera hardware e tastiera software


Tastiera automatica

Manuale -> Keyboard -> Tastiera automatica

Per utilizzare la keyboard automatica, procedere nel modo seguente:

  1. Aprire l´Editor di zenon
  2. Cliccare sul progetto con il quale si desidera lavorare.
  3. Nelle proprietà di progetto, cliccare sul nodo Interazione.
  4. Nel gruppo Tastiera, attivare l´impostazione Tastiera automatica (segno di spunta nella casella corrispondente).

Questa impostazione non è attiva di default. Quando la si attiva, il sistema genera la keyboard automatica, che verrà aperta automaticamente a Runtime relativamente vicino all´elemento. Questa tastiera software verrà visualizzata nel punto in cui si deve inserire un valore impostabile. Usando le proprietà dell´Editor, potete configurare alcune impostazioni per questa Keyboard, come dimensione e posizione,

Nota: non esistono keyboard automatiche per gli elementi di controllo profilo. Ulteriori informazioni a questo proposito si trovano nel capitolo “Profili Runtime” della parte della guida dedicata al “Runtime”. In questo caso, si consiglia di creare una keyboard apposita da aprire mediante un pulsante. In questo modo è possibile inserire anche su uno schermo touch-screen un nome profilo usando una keyboard propria, aperta manualmente.

Ancora in questo capitolo

Dimensione della keyboard

Posizione della keyboard


Dimensione della keyboard

Manuale -> Keyboard -> Tastiera automatica -> Dimensione della keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente può definire liberamente la dimensione della keyboard.

Procedura:

  1. Aprire l`Editor di zenon.
  2. Cliccare sul progetto con il quale si desidera lavorare.
  3. Nelle proprietà di progetto, cliccare sul nodo Interazione.
  4. Nel gruppo Tastiera, attivare l´impostazione Tastiera automatica (segno di spunta nella casella corrispondente).
  5. Nel campo Dimensione Keyboard [%] inserire la grandezza desiderata in percentuale.

info Info

L´altezza dell´Header è ricavata dalle impostazioni di visualizzazione. L´impostazione può essere modificata via Pannello di controllo-> Aspetto e personalizzazione-> Schermo-> Avanzate-> Elemento: Titolo della tavolozza.


Posizione della keyboard

Manuale -> Keyboard -> Tastiera automatica -> Posizione della keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà della "Tastiera" (proprietà di progetto, nodo "Interazione") offrono la possibilità di definire una posizione preferita per la Keyboard. Se non ci dovesse essere abbastanza posto nella posizione preferita, la keyboard verrà visualizzata nella posizione alternativa. Se anche qui non ci dovesse essere abbastanza spazio, la posizione di apertura della keyboard a Runtime verrà definita dal sistema. La posizione di apertura della keyboard viene definita tramite la combinazione di quattro valori.

Proprietà | Descrizione
Orizzontale | Sinistra (Default): posiziona l'angolo sinistro della keyboard in modo relativo all'angolo sinistro superiore o inferiore dell'elemento. Destra: posiziona l'angolo destro della keyboard in modo relativo all'angolo destro superiore o inferiore dell'elemento.
Spostamento orizzontale [Pixel] | Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione preferita della keyboard automatica. I valori positivi determinano uno spostamento della keyboard verso destra, i negativi, invece, verso sinistra. Default: 2.
Verticale | Con le impostazioni In su (Default) o In giù, si posiziona la tastiera rispettivamente sopra o sotto l'elemento.
Spostamento verticale [Pixel] | Distanza verticale (in pixel) dall´elemento selezionato per la posizione preferita della keyboard automatica. I valori positivi determinano uno spostamento della tastiera verso l'alto, i negativi, invece, verso il basso. Default: 2.


Keyboard configurabile

Manuale -> Keyboard -> Keyboard configurabile

La Keyboard può essere configurata o definita dall´utente stesso. Procedura:

  1. Aprire l´Editor di zenon.
  2. Cliccare sul progetto con il quale si desidera lavorare.
  3. Creare un nuovo modello alla voce Immagini->Modelli.

    Nota: per le keyboard c´è sempre bisogno di un modello proprio, che dovrebbe essere usato esclusivamente per le tastiere software.

  4. Usando le proprietà del modello del gruppo "Posizione", definire la posizione e la dimensione della keyboard.
  5. Passare al nodo Immagini del Manager di progetti e creare una nuova immagine di tipo Keyboard.
  6. Nel menù contestuale della voce Elementi di controllo, selezionare il comando "Inserisci templates...." e scegliere un modello per la keyboard.

Nelle proprietà degli elementi di controllo si può modificare la configurazione dei tasti della keyboard (per es. colore o forma). Si prega di tenere presente che, a seconda dell´elemento di controllo, non sarà possibile modificare tutte le proprietà. Esempio: la proprietà “Testo Riga 1” di un elemento di controllo che rappresenta un tasto, non è modificabile (la proprietà corrispondente sarà visualizzata in color grigio). .

Nota: si raccomanda di usare il modello Standard.

Ancora in questo capitolo

Creare un'immagine di tipo Keyboard

Elementi di controllo

Tasti per il Manager di gruppi ricette

Didascalie automatiche per i tasti

Keyboard nello zenon Web Client


Creare un'immagine di tipo Keyboard

Manuale -> Keyboard -> Keyboard configurabile -> Creare un'immagine di tipo Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di creare una nuova immagine di tipo Keyboard:

Menù contestuale nel Manager di progetto:

  1. Cliccare nel Manager di progetto sul nodo Immagini
  2. Cliccando con il tasto destro del mouse, si aprirà il menù contestuale.
  3. Nel menù contestuale, cliccare su Nuova immagine

Barra degli strumenti:

  1. Cliccare nel Manager di progetto sul nodo Immagini
  2. Nella visualizzazione dettagli del Manager di progetto, cliccare nella barra degli strumenti su Nuova immagine.

Ci sono diverse possibilità di definire il tipo dell´immagine appena creata:

Visualizzazione dettagli del Manager di progetto:

  1. Nella visualizzazione dettagli del Manager di progetto, cliccare sulla cella relativa alla nuova immagine della colonna Tipo di immagine.
  2. Nel menù a tendina, selezionare il tipo di immagine Keyboard.

Proprietà:

  1. Cliccare nelle proprietà sulla voce Generale.
  2. Alla voce Tipo di immagine, cliccare sulla freccia a destra per aprire il menù a tendina e selezionare il tipo di immagine Keyboard.
  3. Nelle proprietà del gruppo Generale, selezionare dal menù contestuale della proprietà "Nome" una delle keyboard predefinite offerte dal menù a tendina, oppure attribuire un nome a piacere.

Attenzione: le immagini keyboard con nomi riservati hanno la precedenza a Runtime rispetto ad altre immagini keyboard, compresa l´immagine Tastiera automatica nel caso di gestione touch.

Quando si apre un´immagine di tipo Keyboard che occupa tutta la grandezza dello schermo, invece che solo come finestra di dialogo, può accadere che dei menù vengano coperti e non siano visibili completamente o parzialmente.

Suggerimento: in un caso come questo, creare una funzione Chiudi modello che consentirà di chiudere il modello Keyboard aperto.

Alla voce Generale delle proprietà dell´immagine, il menù a tendina della proprietà Nome contiene diverse parole chiave. Nel seguente capitolo si trovano informazioni relative al loro uso.

Nomi riservati

Per il tipo di immagine Keyboard sono stati riservati i seguenti nomi:

Nome

Descrizione

DIALOGKBD

Se esiste, l´immagine con questo nome verrà aperta a Runtime ogni qualvolta viene aperta una finestra di dialogo, per es., per inserire un nuovo nome di ricetta nel RGM.

Attenzione: la DIALOGKBD non è pensata per essere utilizzata con l´elemento di controllo Imposta valore e non si presta a questo scopo. L´uso di questa combinazione può portare al verificarsi di errori a Runtime.

SETBOOLKBD

Se esiste, l’immagine con questo nome verrà aperta a Runtime ogni qualvolta è necessario un inserimento per variabili binarie.

SETSTRINGKBD

Se esiste, l’immagine con questo nome sarà utilizzata a Runtime al posto del box di dialogo standard per variabili stringa.

SETVALUEKBD

Se esiste, l’immagine con questo nome sarà utilizzata a Runtime al posto del box di dialogo standard per variabili numeriche. L´elemento di controllo Imposta valore deve essere aggiunto alla tastiera.

Attenzione: se è attivato Caps lock, non può essere eseguito nessun inserimento in una keyboard di tipo SETVALUEKBD ; questo perché, al posto dei numeri, verrebbero inseriti i corrispondenti caratteri speciali.
Eccezione: nelle tastiere francesi, per inserire dei numeri si ha bisogno del tasto Shift oppure del tasto Caps lock.

Nota: usare l´elemento di controllo Imposta valore solamente per keyboard che vengono create per settare valori impostabili (SETVALUEKBD, SETSTRINGKBD). Questo elemento verrà collegato automaticamente alla variabile dell´elemento dinamico che deve ricevere il valore impostabile. Quando lo si usa con keyboard normali, invece, ci potranno essere delle conseguenze indesiderate.

Per quelle keyboard che devono servire a settare di valori impostabili, l´elemento di controllo Imposta valore deve essere assolutamente progettato nell´immagine. In caso contrario, a Runtime non sarà possibile inserire né un valore, né un valore impostabile.

Nota: Se nel progetto:

  • Esiste un´immagine di tipo Keyboard con il nome riservato DIALOGKBD
  • E, nello stesso tempo, un´immagine di tipo Login
  • E la proprietà Tastiera automatica del gruppo Keyboard è attiva,

queste immagini non possono basarsi sullo stesso modello. Se così fosse, infatti, verrebbe usata sempre DIALOGKBD automaticamente.

Nell`Editor di zenon, un pulsante keyboard ha più proprietà di un semplice pulsante. Queste proprietà possono essere visualizzate e configurate alla voce Visualizzazione. Mediante queste proprietà si possono definite caratteri speciali.


Elementi di controllo

Manuale -> Keyboard -> Keyboard configurabile -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
Inserisci template.. | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Alfanumerico sinistra | Definizione dei tasti di una keyboard impostata individualmente, parte sinistra di una normale tastiera standard.
Alfanumerico destra | Definizione dei tasti di una keyboard impostata individualmente, parte destra di una normale tastiera standard.
Tastierino numerico | Definizione dei tasti di una keyboard impostata individualmente, tasti numerici di una normale tastiera standard.
Tasti funzione | Definizione dei tasti di una keyboard impostata individualmente, tasti F e Esc di una normale tastiera standard.

Suggerimento: usare un modello.

Elemento di controllo | Descrizione
Introduzione valore | Elementi di controllo per scrivere un valore impostabile
Imposta valore | Consente l'inserimento di un valore impostabile. Questo elemento di controllo deve essere assolutamente configurato nell´immagine per SETBOOLKBD, SETSTRINGKBD e SETVALUEKBD.
Valore++ | Esegue addizioni. Addiziona 1 al valore.
Valore-- | Esegue sottrazioni. Sottrae 1 al valore.
Valore on | Il valore è 1, cioè true. Esempio: il macchinario è acceso.
Valore off | Il valore è 0, cioè false. Esempio: il macchinario è spento.
Toggle Valore | Cambio True/False.
Ok | Setta il valore e chiude la finestra.
Cancella | Chiude la finestra.


Tasti per il Manager di gruppi ricette

Manuale -> Keyboard -> Keyboard configurabile -> Tasti per il Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´immagine Keyboard per il RGM sono disponibili i seguenti elementi di controllo speciali alla voce Elementi di controllo-> Specifico per Manager gruppi di ricette:

Elemento di controllo

Descrizione

Imposta valore

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta e la keyboard viene chiusa.

Salva ricetta

La ricetta viene salvata.

Imposta valore e salva ricetta

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta; quest´ultima viene salvata e poi viene chiusa la keyboard.

Visualizzazione valore come testo 1
fino
Visualizzazione valore come testo 32

I tasti possono essere collegati a valori limite di una matrice di reazione. Per farlo, la variabile del parametro ricetta:

  • Deve essere collegata ad una Matrice di reazione numerica, oppure ad una Matrice di reazione stringa e
  • Deve contenere stati "è uguale ".

A Runtime verranno visualizzati i tasti che sono stati assegnati; questi tasti avranno il testo preso dalla matrice di reazione.

Quando si clicca sul tasto, il valore collegato nella matrice di reazione verrà scritto come proposta di valore per la ricetta nell´elemento di controllo Imposta valore.


Didascalie automatiche per i tasti

Manuale -> Keyboard -> Keyboard configurabile -> Didascalie automatiche per i tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

C`è la possibilità di definire liberamente le didascalie dei tasti della keyboard, oppure di adottare quelle del sistema operativo. Per farlo, si deve attivare o disattivare nelle proprietà dell´immagine, alla voce Visualizzazione l´opzione Layout tastiera automatica. La lingua viene ripresa automaticamente dal sistema operativo, e il sistema scrive automaticamente i caratteri sui tasti. Questa opzione è molto utile per altri paesi in cui si voglia lavorare con questa keyboard. Sono a disposizione tutti i layout di tastiera supportati da Windows. La funzionalità dei tasti della tastiera software corrisponde a quella che essi hanno in una tastiera hardware. Se si adotta l´opzione "Layout tastiera automatica", verrà ignorata la configurazione individuale per le didascalie dei tasti.

A questo proposito, vale quanto segue:

  1. Attiva:
    • Per le lettere, i numeri e i tasti F di un´immagine di tipo Keyboard vengono riprese le didascalie originali del layout della tastiera del sistema operativo.
    • Non possono essere definite delle didascalie alternative.
    • Se sono state già configurate altre didascalie per tasti, a Runtime il sistema ritorna a quelle originali. Per i tasti di controllo, come, per esempio, Tab oppure Shift, si avrà ancora la possibilità di configurare una didascalia alternativa.

Al tastierino numerico della tastiera non verranno assegnate automaticamente delle didascalie, che potranno essere modificate a Runtime in qualsiasi momento, indipendentemente dall´impostazione della proprietà Layout tastiera automatica.

  1. Non attiva:
    • Per tutti i tasti si potrà configurare individualmente una didascalia, che verrà visualizzata quando la keyboard verrà aperta a Runtime.
    • Le didascalie dei tasti potranno essere modificate nell´Editor, nelle proprietà dell´immagine, alla voce Visualizzazione.
    • A Runtime verranno visualizzate le didascalie progettate.


Keyboard nello zenon Web Client

Manuale -> Keyboard -> Keyboard configurabile -> Keyboard nello zenon Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando una keyboard viene aperta a Runtime, rimane aperta anche quando il Runtime viene ridotto ad icona. Nella barra delle applicazioni del sistema di controllo viene visualizzato un menù a tendina per la keyboard.

attention Attenzione

Immagini di tipo Keyboard modificate individualmente potrebbero non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica le nuove finestre in background, senza attribuirgli il focus. A seconda di quanto impostato in fase di progettazione, le immagini keyboard definite individualmente vengono chiuse non appena perdono il focus.

Soluzione: usare un browser differente, come, ad esempio, Microsoft Internet Explorer o Google Chrome, oppure usare l´opzione "Chiusura alla perdita del focus" del gruppo "Generale" delle proprietà del modello. In questo modo, una visualizzazione corretta sarà possibile anche in Mozilla Firefox.

La cosa non riguarda le tastiere automatiche!


Uso combinato di tastiera hardware e tastiera software

Manuale -> Keyboard -> Uso combinato di tastiera hardware e tastiera software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le keyboard virtuali si comportano nel sistema operativo come tastiere hardware. Se si usano tastiere software e hardware insieme, queste si influenzeranno reciprocamente. Le impostazioni della tastiera hardware (per esempio la definizione del tasto shift) si ripercuotono sulla keyboard virtuale e viceversa.

Esempi:

  • Se sulla tastiera hardware si preme il tasto "blocco maiuscole" per il tasto "shift" (CAPS-Lock), questo varrà anche per la keyboard virtuale. In questo caso, verrà disattivata la digitazione dei numeri anche sulla tastiera automatica.
  • Se si preme sulla tastiera hardware il tasto BLOC NUM per disattivare il tastierino numerico, quest´ultimo non funzionerà neanche sulla keyboard virtuale.

Nota: si sconsiglia l´uso combinato di keyboard e tastiera hardware.


Lista Eventi Cronologica (CEL)

Manuale -> Lista Eventi Cronologica (CEL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella Lista eventi cronologica (CEL) possono essere registrati eventi di sistema e inserimenti utente, come, ad esempio:

  • Riconoscimento di allarmi
  • Cancellazione di allarmi
  • Settaggio di valori impostabili
  • Dichiarazione ricette
  • Modifiche a ricette
  • Dati archivi
  • Azioni utente
  • Operazioni di rete

Gli inserimenti nella Lista eventi cronologica sono nella lingua impostata nel Runtime di zenon.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Configurare la CEL

Funzioni

Gestione a Runtime


Configurare la CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione della Lista eventi cronologica a Runtime avviene tramite le immagini di tipo Lista eventi cronologica e Filtro CEL.

Editor

Per poter visualizzare e filtrare eventi a Runtime, nell`Editor si deve:

  • Configurare un´immagine di tipo Lista eventi cronologica.

Inoltre si può:

  • Gestire la visualizzazione di eventi mediante filtri.
  • Personalizzare i filtri disponibili a Runtime usando un´immagine di tipo Filtro CEL.

Runtime

Per la gestione a Runtime si usano:

  • Cambio all´immagine “CEL”
  • Cambio all´immagine “Filtro CEL”
  • Le funzioni CEL di zenon
  • Uso del l´immagine di tipo “Filtro CEL”

Ancora in questo capitolo

Creare un'immagine di tipo CEL

Creare un'immagine del tipo filtro CEL

Definire eventi per la CEL

Configurazione della CEL mediante filtri

Buffer circolare CEL


Creare un'immagine di tipo CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine di tipo CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine di tipo “Lista eventi cronologica”

Un´immagine di tipo Lista eventi cronologica consente di registrare e visualizzare a Runtime eventi di sistema e operazioni degli utenti. In fase di configurazione si definisce quali inserimenti devono essere visualizzati a Runtime. La visualizzazione può essere modificata applicando filtri, sia in fase di progettazione che a Runtime. Delle funzioni consentono di eseguire l´esportazione e la stampa degli eventi visualizzati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Lista Eventi Cronologica.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Personalizzare l´aspetto della CEL


Elementi di controllo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine di tipo CEL -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci template..

Parametri | Descrizione
Inserisci template.. | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Finestra

Parametri

Descrizione

Lista eventi cronologica (CEL)

Campo di visualizzazione per la lista con i suoi eventi. L´aspetto è configurabile. Le colonne da visualizzare vengono definite tramite il filtro “Impostazioni colonne” in fase di configurazione della funzione di cambio immagine.

Tramite la proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL) delle proprietà di progetto si definiscono le impostazioni per l´esportazione in CSV, XML e DBF. I valori impostati in questa sede servono anche da impostazioni preliminari per la funzione di cambio immagine.

Filtro inserito

Visualizza il filtro selezionato al momento.

Stato Lista Eventi Cronologica

A Runtime, visualizza lo stato della CEL.

  • Attivo: gli eventi vengono registrati nel progetto sulla base delle impostazioni.
  • Non attivo: gli eventi non vengono registrati.

Lo stato della CEL viene definito mediante la proprietà Abilita CEL (gruppo “Lista eventi cronologica” delle proprietà di progetto). Una modifica della configurazione di questa proprietà diviene effettiva solamente dopo il riavvio del Runtime.

Quantità

Numero di tutti gli eventi della lista.

Funzioni lista

Parametri

Descrizione

Filtro

Apre il dialogo filtro.

Stop/Avanti

Gestisce l´aggiunta di nuovi eventi nella lista durante la visualizzazione:

Stop: non vengono aggiunti nuovi inserimenti alla lista. La didascalia del pulsante diventa Avanti.

Avanti: vengono aggiunti nuovi inserimenti alla lista. La didascalia del pulsante diventa Stop. Per mettere in ordine cronologico i nuovi inserimenti, si deve cliccare sul pulsante Ordina.

Ordina

Dopo l´apertura della CEL a Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Cliccando su questo pulsante la lista viene riordinata.

Per distinguere gli inserimenti ordinati da quelli che non lo sono, si può assegnare ad ogni categoria un colore differente; a questo scopo utilizzare le proprietà Testi ordinati e Testi non ordinati (gruppo “Lista eventi cronologica” delle proprietà di progetto).

Visualizza tempo relativo

Attivo: i tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stampa

Stampa la lista nel modo in cui è visualizzata al momento.

Dialogo di stampa...

Prima di eseguire la stampa, apre la finestra di dialogo di configurazione delle impostazioni della stampa.

Campo commento

Parametri

Descrizione

Campo commento

Inserimento da parte dell´utente di un testo liberamente configurabile relativo all´evento selezionato.

Lunghezza massima: 79 caratteri.

Per visualizzare il testo nella CEL, si deve attivare la colonna Commento nelle Impostazioni colonne. Le modifiche vengono applicate premendo il pulsante Ins. Premendo il tasto Esc, oppure al momento della perdita del focus, la modifica viene rifiutata.

Le modifiche effettuate ai commenti possono essere documentate attivando la proprietà Commento CEL (gruppo “Lista eventi cronologica” delle proprietà di progetto)..

Navigazione

Parametri | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Parametri | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Quantità totale | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Stato Lista Eventi Cronologica | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nota | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: usare la funzione Chiudi modello per chiudere i modelli. Perché, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine di tipo CEL con un proprio modello.
Visualizza tempo relativo | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.

Profili filtro

Profili filtro | Impostazioni di filtro che possono essere salvate dall'operatore a Runtime.
Selezione profili | Selezionare un profilo dalla lista.
Salva | Salva un´impostazione come profilo.
Elimina | Cancella il profilo selezionato.

info Info

Nell´elemento di controllo Mostra filtro viene visualizzato il filtro usato al momento.

Quando si tratta di:

  • Filtro di testo: viene visualizzata l´espressione [Txt]
  • Filtro di tempo relativo: viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Personalizzare l´aspetto della CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine di tipo CEL -> Personalizzare l´aspetto della CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione tabella della Lista eventi cronologica può essere modificata ed adeguata alle esigenze individuali. Le seguenti proprietà della CEL sono a disposizione del progettista per personalizzare l´aspetto della Lista Eventi Cronologica.

Nota: il colore del testo degli inserimenti della CEL viene configurato nelle proprietà di progetto, usando le proprietà del gruppo Lista eventi cronologica (CEL)/Colori inserimenti CEL.

Barre di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto delle barre di scorrimento, dell´intestazione e di una griglia per la tabella:

  1. Nel gruppo Visualizzazione, attivare la proprietà Funzionalità grafiche avanzate.
  2. Configurare le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia.

info Info

Se per la proprietà Stile di visualizzazione si seleziona l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, verranno visualizzati con un effetto di riempimento. Per gli elementi di controllo delle liste, non si possono usare grafiche trasparenti.

Ordinare a Runtime

Per contrassegnare a Runtime la colonna rilevante per l´ordinamento e stabilire la successione in cui quest´ultimo deve essere eseguito, devono essere progettati degli elementi grafici per l´intestazione:

  1. Selezionare per la proprietà Stile di visualizzazione (gruppo “Intestazione e griglia” delle proprietà dell´elemento) il valore File grafico.
  2. Collegare le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico.

    A Runtime, la grafica selezionata per la rispettiva direzione di ordinamento verrà visualizzata nella colonna rilevante per l´ordinamento stesso.

    • Cliccando sulla grafica, si modificherà la successione di ordinamento
    • Per ordinare una colonna, bisogna cliccare sulla sua intestazione.

Nota: se l´ordinamento avviene sulla base del time stamp, gli inserimenti con lo stesso time stamp saranno ordinati anche sulla base della data e ora di creazione.

Gestire l´intestazione a Runtime

È possibile consentire agli utenti di gestire l´intestazione a Runtime. In questo modo sarà possibile per gli operatori personalizzare l´aspetto della visualizzazione a Runtime:

  • Spostare colonne via Drag&Drop.
  • Modificare la larghezza colonne usando il mouse.
  • Modificare l´ordine degli inserimenti.

Per farlo, usare le proprietà:

  • Posizione colonne fissa: dalla configurazione di questa proprietà dipende se è possibile o meno modificare la larghezza o spostare le colonne di una tabella a Runtime usando il mouse.
    • Attiva: non è possibile spostare le colonne o modificare la loro larghezza via Drag&Drop.
    • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.
  • Blocca ordinamento: dalla configurazione di questa proprietà dipende se è possibile o meno ordinare le colonne della tabella a Runtime.
    • Attiva: la tabella non può essere ordinata a Runtime.
    • Non attiva: la tabella può essere ordinata cliccando sull´intestazione.

Nota: per poter configurare queste proprietà, nel gruppo Lista eventi cronologica (CEL) delle proprietà di progetto si deve selezionare l´opzione Intestazione modificabile per la proprietà Intestazioni CEL. Le alternative per questa proprietà sono “Nessuna intestazione” (non verrà visualizzata nessuna intestazione), oppure “Intestazione fissa” (non si potrà gestire l´intestazione a Runtime). Queste impostazioni valgono per tutte le intestazioni del progetto.

Anteprima

Un´anteprima dell´intestazione e delle barre di scorrimento viene visualizzata nell´Editor quando si attiva la proprietà Funzionalità grafiche avanzate (gruppo “Visualizzazione” delle proprietà dell´elemento). Così diventa molto semplice configurare i dettagli, come colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde a quella a Runtime, la dimensione complessiva della lista nell´Editor può divergere da quella a Runtime. Questo vale anche per le dimensioni e per il carattere dell´intestazione.


Creare un'immagine del tipo filtro CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Filtro CEL consente di eseguire a Runtime impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili per l´operatore solamente i filtri realmente necessari. La visualizzazione può essere definita liberamente e, in questo modo, la si può adeguare ai differenti macchinari destinatari. Si possono configurare anche tutte le impostazioni di filtro presenti nel Filtro per la funzione di Cambio ad un´immagine di tipo Lista Eventi Cronologica.

In questo modo:

  • Vengono configurati e resi disponibili per l´operatore solamente gli elementi di filtro realmente necessari.
  • Il sistema visualizza a beneficio dell´utente solamente questi filtri, consentendogli una visione d´insieme più semplice e chiara.
  • C`è poi la possibilità di definire in modo libero l´aspetto e di creare le basi di una facile gestione su touchscreen.

Per i dettagli riguardanti la gestione a Runtime, si veda il capitolo Usare i filtri CEL.

Per quanto riguarda la definizione dei criteri di filtro, si veda il capitolo Filtri per cambio all´immagine Filtro CEL.

attention Attenzione

Le immagini di tipo Filtro Lista informazioni allarmi, Filtro CEL e Filtro tempo devono essere progettate con un modello proprio. Se usano lo stesso modello di altre immagini, infatti, a Runtime alla chiusura dell´immagine saranno chiuse anche tutte le immagini basate su questo modello.

Creare un´immagine di tipo “Filtro CEL”

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Filtro CEL.
    3. Select the desired frame in the Modello property.
      Nota: l´immagine Filtro CEL non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Ancora in questo capitolo

Elementi di controllo

Template

Nomi predefiniti

Immagini filtro


Elementi di controllo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine del tipo filtro CEL -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Filtro CEL può contenere i seguenti elementi di controllo e visualizzazione.

Inserisci template..

Elemento di controllo

Descrizione

Inserisci template..

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative ai template per questo tipo di immagine si trovano nel capitolo Modelli.

Filtro generale

Menù a tendina con diversi filtri generali.

Elemento di controllo

Descrizione

Escludi messaggi di sistema dal filtro

Mostra a Runtime una checkbox per visualizzare o filtrare segnalazioni del sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Gestione nel Runtime:

  • Attivo: le segnalazioni di sistema vengono sempre visualizzate a Runtime. Questo vale anche quando dovrebbero essere escluse dal filtro testo o filtro variabili.
    Eccezione: le segnalazioni di sistema, però, non sono visualizzate nonostante la checkbox sia stata attivata, quando vengono escluse dal Filtro tempo, oppure dai filtri per la Origine dei dati (buffer circolare oppure dati storici).

Esempio: devono essere visualizzate solamente le segnalazioni contenenti il testo "XY". Se è stata attivata questa opzione, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Inserisci tutti gli elementi: Filtro generale

Aggiunge tutti gli elementi dell´area “Filtro generale”, collocandoli in posti predefiniti dell´immagine. Gli elementi potranno poi però essere posizionati in modo individuale.

Variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome

Filtro per nome variabili.
  • Identificazione

Filtro per identificazione variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene conto della scrittura in lettere maiuscole o minuscole nell´eseguire il filtro delle variabili.

Sorgente dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Numero massimo (Label)

Testo per il campo di inserimento Numero massimo

  • Numero massimo (Input field)

Inserimento del numero massimo degli allarmi da visualizzare in caso di visualizzazione di allarmi storici.

0: visualizza tutti gli allarmi.

Impostazioni Runtime

  • Apri lista bloccata

Apre la CEL in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Gruppi/Classi - allarmi/eventi, aree d´allarme

Campo lista per visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si veda l´elemento attuale.

Escludi messaggi di sistema dal filtro

Variabili

  • Nome
  • Identificazione
  • Rispetta minuscolo/maiuscolo

Sorgente dati

  • Buffer circolare
  • Dati storici
  • Numero massimo (Input field)

Filtro tempo.

Elementi per il filtro tempo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Apre il menù a tendina che consente di selezionare elementi predefiniti per determinati intervalli di tempo.

Periodo assoluto - visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Periodo assoluto - visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Tempo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo di tempo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo di tempo che inizia da un giorno determinato, in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di tempo di 15, 30 o 60 minuti.

Intervallo di tempo - un giorno

Elementi per un periodo di tempo di un giorno.

Intervallo di tempo - 1 o 2 settimane

Elementi per un periodo di tempo della durata di una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nella visualizzazione per due settimane, viene selezionato un intervallo di tempo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo di tempo - un mese

Elementi per un periodo di tempo di un mese.

Intervallo di tempo - un anno

Elementi per un periodo di tempo di un anno.

Inserisci tutti (Touch)

Apre il ,menù a tendina che consente di selezionare elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione su touch screen. In modo analogo a quanto visto per la voce di menù Inserisci tutti gli elementi, sono a disposizione:

  • Periodo assoluto - visualizzazione classica
  • Tempo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo - 15/30/60 minuti
  • Intervallo tempo - un giorno
  • Intervallo di tempo - 1 o 2 settimane
  • Intervallo di tempo - un mese
  • Intervallo di tempo - un anno

Tipo filtro tempo impostato (Visualizzazione)

Elemento di tipo Collega testo per la visualizzazione del tipo di filtro tempo impostato.

Tipo filtro tempo (didascalia)

Didascalia del tipo di filtro tempo.

Filtro tempo (Combobox)

Combobox per filtro tempo.

Tipo filtro tempo (Radiogroup)

Elementi di commutazione che nascondono o mostrano determinati elementi a Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Dal Giorno, Mese - HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Da HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo di tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Tempo di inizio (didascalia)
  • Tempo di inizio (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Button: up)
  • Dall'anno (Touchbox)
  • Dall'anno (Button: down)
  • Dal mese (didascalia)
  • Dal mese (Button: up)
  • Dal mese (Touchbox)
  • Dal mese (Button: down)
  • Settimana (didascalia)
  • Settimana (Button: up)
  • Settimana (Touchbox)
  • Settimana (Button: up)
  • Dal giorno (didascalia)
  • Dal giorno (Button: up)
  • Dal giorno (Touchbox)
  • Dal giorno (Button: down)
  • Tempo di inizio (didascalia)
  • Orario di inizio (Button: up)
  • Orario di inizio (Touchbox)
  • Orario di inizio (Button: down)

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili. Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

  • Tipo filtro tempo (Radiogroup)
    Elementi di controllo Win32 di tipo pulsanti di opzione . È stato sostituito da elementi di commutazione. Per la descrizione, si vedano gli elementi attuali.
  • Tipo filtro tempo impostato (Visualizzazione)
    Elemento di controllo Win32 statico. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Filtro lotto.

Elementi per la selezione lotti a Runtime.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi

Tutti gli elementi

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • Filtrato
  • Visualizzato

Applica filtro tempo su lista lotti

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base dei nomi lotto.

Disattivato se l´elemento di controllo Filtro nome lotto non esiste.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Questi elementi non vengono presi in considerazione in caso di inserimento automatico dei template.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Stato della lista archivi
  • Stato della lista Lotti
  • Filtro nome lotto (Campo testo)

Filtro testo

Menù a tendina di diversi filtri testo.

Elemento di controllo

Descrizione

Inserisci tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per il filtro testo.

Nessun filtro testo

Pulsante di opzione per deselezionare filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivare la ricerca

Label: Testo da cercare

Didascalia per campo ricerca.

Input field: Testo da cercare

Campo per inserimento per i criteri di ricerca.

Opzioni.

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.
  • Trova parole incomplete

Il sistema cerca anche frammenti di testo.
  • Almeno una parola deve esistere

Almeno uno di più criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole del testo devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si veda l´elemento attuale.

  • Nessun filtro testo
  • Trova (parole separate da uno spazio)
  • Campo input: Testo da cercare
  • Rispetta minuscolo/maiuscolo
  • Trova parole incomplete
  • Almeno una parola deve esistere
  • Tutte le parole del testo devono esistere
  • L'intero testo deve coincidere

Impostazioni Runtime

Elemento di controllo

Descrizione
  • Apri lista bloccata

Apre la CEL in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Pulsanti

Pulsanti a Runtime.

Ok

Pulsante: applica le impostazioni di filtro e chiude l´immagine.

Nota relativa ai Faceplate: nei faceplate possono essere usate immagini di tipo Filtro AML, Filtro CEL e Filtro tempo/lotto. Quando si configurano le immagini a Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccare su Applica.

Annulla

Pulsante: termina la configurazione delle impostazioni di filtro.

Applica

Pulsante: applica le impostazioni di filtro.

Aggiorna

Pulsante: aggiorna la visualizzazione filtrata.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

  • Apri lista bloccata
  • Visualizza tempo relativo (relativo all´inserimento selezionato)


Template

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine del tipo filtro CEL -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Template | Descrizione
Casella di riepilogo Modelli (a sinistra) | Visualizza tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Visualizza l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge elementi standard.
Scada | Modelli speciali, ottimizzati per la gestione con il mouse.
Standard | Aggiunge elementi standard.
Filtri variabili, testo & tempo (assoluto - compatto) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & tempo (assoluto) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (tipo selezionabile). | Aggiunge elementi per eseguire il filtro per variabili, testo e intervallo di tempo selezionabile.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: gli elementi già esistenti nell´immagine vengono cancellati quando si applica il modello.
Applica | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude la finestra di dialogo senza aggiungere elementi.
Guida | Apre la guida online.


Nomi predefiniti

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine del tipo filtro CEL -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il filtro tempo sono disponibili nomi predefiniti.

Attenzione: i nomi predefiniti non sono disponibili con Windows CE.

Per selezionare un nome:

  1. Nella visualizzazione dettagli, definire Filtro tempo, Filtro CEL oppure Filtro lista informazioni allarmi come tipo di immagine.
  2. Nella colonna “Nome”, cliccare due volte sul campo corrispondente all´immagine selezionata.
  3. Selezionare il nome predefinito desiderato fra quelli offerti del menù a tendina.
    • CEL_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Immagini filtro

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Creare un'immagine del tipo filtro CEL -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini filtro consentono di trasferire un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Perché a Runtime il tempo possa essere acquisito dall´immagine che apre, quando si configura il filtro tempo della funzione di cambio immagine per la Lista di informazione allarmi o per la Lista Eventi Cronologica, si deve impostare il seguente intervallo di tempo: Imposta filtro come filtro temporale.

Definizione di chiamata

Le seguenti condizioni devono essere soddisfatte per poter utilizzare i filtri impostati:

  1. Come intervallo di tempo per il filtro tempo, si deve selezionare Imposta filtro come filtro temporale.
  2. L´immagine (di tipo Filtro lista informazione allarmi, Filtro CEL oppure Filtro tempo/lotto) viene attivata usando un pulsante, oppure un elemento combinato. Solo così si può garantire che venga effettivamente stabilita la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Questo è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro da aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo.
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo. | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica | C | X | T

Legenda:

  • C: vengono attualizzate le impostazioni comuni.
  • T: vengono aggiornate le impostazioni temporali.
  • X: vengono aggiornate tutte le impostazioni.

info Info

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni da 1 a 3 non è soddisfatta, oppure
  • L´impostazione Immagine chiamante della funzione Cambio immagine non è attiva oppure
  • L´immagine non viene aperta tramite un elemento ad immagine.

In questo caso, i pulsanti Acquisisci, Chiudi e Aggiorna saranno visualizzati in color grigio (inattivi) e non saranno utilizzabili.


Definire eventi per la CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Definire eventi per la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi che devono essere registrati nella Lista eventi cronologia si definiscono con:

  1. Le proprietà del gruppo Abilita registrazione nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto
    • Confermato riconoscimento allarme
    • Ripristino allarmi
    • Funzioni impostazione valore
    • Dichiarazione ricette
    • Modifica ricette
    • Inserimenti nell'archivio
    • Esportazione Archivi [h]
  2. Le proprietà delle variabili
    • Allarmi/CEL nel gruppo Valori limiti
    • Gruppo Registrazione nella CEL nel nodo Imposta valore

Registrare le modifiche di valori impostabili

Ci sono diversi modi di modificare valori impostabili. Questi ultimi vengono poi registrati nella CEL in modalità che dipendono da impostazione e modulo.

Parametri

Descrizione

Registrazione di Imposta valore Settare valore impostabile

Per ogni variabile, si può definire la modalità di registrazione delle modifiche dei valori impostabili. Nella proprietà Abilita registrazione del gruppo Imposta valore, sono disponibili le seguente opzioni:

Tutto: vengono registrate tutte le modifiche effettuate tramite elementi dinamici e la funzione Imposta valore.

Niente: le modifiche non vengono registrate.
Solo con elementi dinamici: vengono registrate solo le modifiche del valore impostabile eseguite tramite elemento dinamico, non quelle eseguite tramite la funzione Imposta valore.

Vecchio e nuovo valore

Con la proprietà Vecchio e nuovo valore si stabilisce se devono essere registrati solo i valori nuovi, o anche i vecchi.

Questa proprietà ha effetto anche sulla scrittura di valore impostabile via:

  • Elemento dinamico
  • Funzione “Imposta valore”
  • Impostazione di valore impostabile tramite VBA

Impostazione di valore impostabile tramite VBA

Se si attiva la proprietà Impostazione valori tramite VBA, le modifiche apportate al valore impostabile tramite VBA vengono registrate nella CEL.

Ricette standard e Manager di gruppi ricette

Per quello che riguarda le ricette standard e il Manager di gruppi ricette, la registrazione nella CEL viene gestita mediante le proprietà del gruppo Abilita registrazione nel nodo Lista eventi cronologica (CEL).

PFS / Schedulatore

Il Production & Facility Scheduler e lo Schedulatore protocollano tutte le modifiche di valori impostabili nella CEL. Questa impostazione non è configurabile.

Nota: viene registrato solamente il nuovo valore. Non si tiene conto della proprietà Lista eventi cronologica (CEL).

Ancora in questo capitolo

Controllo di impostazione valori

Lunghezza testo statico per valori limite CEL


Controllo di impostazione valori

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Definire eventi per la CEL -> Controllo di impostazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene scritto un valore, questo riceve un bit di stato. Se il processo di scrittura riesce, viene settato il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: scrittura riuscita.

    Valore 0: scrittura non riuscita. Non è stato possibile settare il valore.

info Info

In caso di reload del progetto o di passaggio al Server-Standby in un sistema ridondante, i messaggi di feedback e le conferme di scrittura in attesa vengono rifiutate!

Questa combinazione di stati permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati passano a 0, finché il procedimento di scrittura non è concluso. Per analizzare questo processo, nella REMA si deve eseguire una query di questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: operazione di scrittura riuscita.
  • WR-ACK 1, WR-SUC 0: operazione di scrittura non riuscita.

attention Attenzione

Questo meccanismo verifica solamente se il processo di scrittura su PLC è riuscito o meno. Questo non significa, però, che il valore sia stato effettivamente modificato sul PLC, poiché il PLC può resettare/sovrascrivere il valore immediatamente. (Per esempio, nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Imposta valore: attivare l´opzione Attendi conferma scrittura nella finestra di dialogo di configurazione della funzione.
  • Ricette standard: attivare la proprietà Scrittura sincrona .
  • Manager gruppi di ricette: attivare la proprietà Scrittura sincrona.

Inserimento nella CEL

  • Funzione “Imposta valore”

    Per l´inserimento nella CEL, si deve attivare nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto la proprietà Funzioni impostazione valore. Poi, ogni volta che si esegue la funzione, la risposta positiva o negativa verrà scritta nella CEL.

  • Ricette standard e Manager di gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa al valore 1 quando la scrittura della ricetta è riuscito. Per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita, viene analizzata una variabile globale sul server, una locale sul client.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le matrici di reazione. La query avviene con una matrice di reazione multianalogica o una multibinaria.


Lunghezza testo statico per valori limite CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Definire eventi per la CEL -> Lunghezza testo statico per valori limite CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la proprietà Lunghezza testo statico per valori limiti CEL si può definire il numero di caratteri di cui può consistere il testo dell´inserimento nella CEL. Per ogni file CEL viene memorizzata nell´header la lunghezza consentita del testo dell´inserimento. La modifica di questa proprietà ha effetto solo quando viene generato un nuovo file CEL.

Nota: in caso di esportazione dBase, la lunghezza è limitata a 254 caratteri.

CEL.BIN e rete

Nel file CEL.BIN, i testi degli inserimenti sono salvati come stringa dalla lunghezza variabile; questi vengono poi trasferiti in rete. Questo significa che gli inserimenti CEL che provengono dal buffer circolare non hanno limiti di lunghezza, indipendentemente dalla configurazione della proprietà Lunghezza testo statico per valori limiti CEL.


Configurazione della CEL mediante filtri

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modo in cui devono essere visualizzati gli eventi a Runtime, viene configurato usando filtri. Ci sono diversi modi di farlo:

  1. Definire le informazioni che devono essere visualizzate nella CEL a Runtime:
    In questo caso si stabilisce quali informazioni devono essere visualizzate in relazione ad un determinato evento.
    Per informazioni dettagliate si veda: Impostazioni colonna per la Lista eventi cronologica.
  2. Filtrare eventi per la CEL al momento dell´apertura e modificarli a Runtime:
    In questo caso si definiscono in anticipo dei filtri, ma si fornisce all´operatore che lavora con il macchinario la possibilità di definire dei filtri propri.
    Per informazioni dettagliate si veda: Filtri per cambio ad immagine di tipo CEL.
  3. Definire in modo fisso filtri per il Runtime:
    In questo caso si creano filtri concepiti per rispondere alle esigenze dell´uso concreto, e si escludono dalla visualizzazione i criteri di filtro non utili.
    Per informazioni dettagliate si veda: Filtri per cambio ad immagine di tipo CEL Filtro.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Ancora in questo capitolo

Impostazioni colonne per la Lista eventi cronologica.

Filtri per il cambio immagine CEL.

Filtri per il cambio ad immagine “Filtro CEL”.


Impostazioni colonne per la Lista eventi cronologica.

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Impostazioni colonne per la Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali informazioni devono essere visualizzate a Runtime nella CEL e quali devono essere esportate, si stabilisce configurando le impostazioni colonne. La configurazione di queste impostazioni viene eseguita nelle nodo Lista Eventi Cronologica delle proprietà di progetto:

  1. Aprire il nodo Lista eventi cronologica (CEL) delle proprietà di progetto.
  2. Cliccare sulla proprietà Impostazioni colonna CEL
  3. Si aprirà la finestra di dialogo che consente di configurare le Impostazioni colonne
  4. Configurare le colonne desiderate.
    Nota: quando si configura la funzione di cambio immagine, questa impostazione verrà ripresa come Default e potrà essere modificata nella scheda Impostazioni colonne.
  5. Nota: per il calcolo della larghezza delle colonne, il sistema prende come riferimento la larghezza media del carattere scelto.

info Info

Nelle proprietà di progetto si può configurare un´impostazione di default per la successione e la grandezza delle colonne usando la proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Quando si crea una nuova funzione di Cambio immagine per aprire un´immagine di tipo Lista di informazioni allarmi oppure Lista eventi cronologica, questa impostazione verrà usata come default, ma potrà essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

Configurazione colonne

Parametri

Descrizione

Colonne

Nel campo elenco di questa scheda vengono visualizzati tutti i tipi di colonne a disposizione.

Si può modificare la successione dei tipi di colonna trascinandoli via Drag&Drop all´interno della lista:

  • Cliccare nella colonna Tipo colonne
  • Trascinare i singoli inserimenti nella posizione desiderata.

In alternativa, si può modificare la successione delle colonne usando i pulsanti Sposta inserimento selezionato in alto e Sposta inserimento selezionato in basso.
  • Checkbox:

Selezione dei tipi di colonna che devono essere visualizzati.
  • Descrizione:

Inserimento di un testo libero per la descrizione della colonna.

Modificare la descrizione: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.

Nota: per la descrizione delle colonne, si può utilizzare il cambio lingua di zenon.
  • Larghezza delle colonne:

Definisce la larghezza della colonna in caratteri.

Modificare la larghezza colonna: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.
-1: La larghezza viene calcolata a Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono automaticamente il valore -1.

  • Visualizzazione:

Per i tipi di colonna.

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile a Runtime. Selezionare la forma desiderata fra quelle offerte dal menù a tendina.

Sposta elemento selezionato in alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento selezionato in basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Visualizza le colonne selezionate nel campo di elenco con la larghezza definita in quella sede.

È possibile modificare anche qui la larghezza delle colonne cliccando con il tasto sinistro del mouse sul margine destro di una colonna, tenendo premuto il tasto del mouse, e spostando il margine stesso a sinistra o a destra.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Si può modificare l´ordine di successione a Runtime cliccando sull´intestazione della colonna. Una freccia (verso l´alto/verso il basso) posizionata nell´intestazione della colonna segnala l´ordine di successione degli inserimenti applicato al momento.

Mostra griglia

Mostra una griglia nella visualizza della lista a Runtime.

Usa colori di sfondo alternati

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista a Runtime.

Colore Linea 1

Colore usato a Runtime come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Colore Linea 2

Colore usato a Runtime come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Visualizza nelle colonne tempo

Ora

Visualizza il tempo di un inserimento della lista nella seguente forma: HH:MM:SS

Data

Visualizza la data di un inserimento della lista nella seguente forma: TT:MM:JJJJ

Millisec.

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se anche il valore dei millisecondi deve essere emesso in caso di esportazione e stampa.

Suggerimento: se si attiva la keyboard automatica a Runtime, questa si aprirà quando verrà visualizzato un campo di inserimento in modalità di modifica. Usando questa keyboard è possibile configurare le colonne anche quando si usa un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che riguarda la larghezza reale della colonna. In questo caso il testo potrebbe non essere visualizzato per intero, potrebbe essere tagliato, oppure potrebbe crearsi uno spazio vuoto.

Soluzione: usare font con una larghezza di carattere fissa.


Filtri per il cambio immagine CEL.

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante i filtri si stabilisce quali eventi debbano essere visualizzati a Runtime e quali debbano essere invece nascosti. I filtri possono essere definiti sia nell´Editor, sia (a seconda delle impostazioni eseguite nell´Editor) a Runtime.

Per adattare la selezione dei filtri a Runtime alle esigenze dell´operatore, usare invece che l´immagine Lista eventi cronologica, un´immagine di tipo Filtro CEL.

Per creare un cambio immagine per passare ad un´immagine di tipo Lista eventi cronologica:

  1. Creare una funzione di “Cambio immagine” e collegarla ad un´immagine di tipo Lista eventi cronologica
  2. Verrà aperta la finestra di dialogo “Filtro”, suddivisa in schede con diversi criteri di filtro:
    • Generale
    • Ora
    • Lotto
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel progetto di integrazione del gestione multi-progetto.)
    • Progettazione impianto

Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

  • Sostituisci collegamenti...
  • Sostituisci indici

Per informazioni dettagliate, si rimanda alla parte della guida dedicata alle Immagini, in particolare ai capitoli Sostituisci collegamenti di variabili e funzioni e Simboli.

Ancora in questo capitolo

Generale

Ora

Lotti

Impostazioni colonne

Testo

Stato

Progetto

Progettazione impianto


Generale

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro generale si stabilisce quali eventi debbano essere visualizzati e il tipo di accesso che si avrà a Runtime a questa impostazione. A questo scopo, differenziare gli eventi per:

  • Tipo
  • Sorgente dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Riduzione agli eventi di determinate variabili.

Nome variabile

Inserire il nome o la parte del nome delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Inserire l´identificazione oppure la parte d´identificazione delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro. È possibile usare la wildcard *.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Rispetta minuscolo/maiuscolo

Attivo: si prende in considerazione la scrittura maiuscola e minuscola per il filtro per nomi o/e per identificazioni variabili.

Impostazioni Runtime

Parametri

Descrizione

Impostazioni Runtime

Comportamento della CEL a Runtime.

Visualizza lista bloccata

Attivo: finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione Esporta lista CEL.)

Visualizza tempo relativo

Tutti gli inserimenti vengono visualizzati in un intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Proponi dialogo a Runtime

Attiva: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: se nella scheda Lotto del dialogo di configurazione del filtro, si seleziona anche l´opzione Visualizza dialogo di selezione lotto, quest´ultimo verrà aperto a Runtime. Questo dialogo non verrà più visualizzato in caso di un reload.

Note sul filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso attivo:
    si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo:
    si usa l´intervallo di tempo corrente.

Sostituisci dialogo a Runtime con l'immagine

Definizione di un´immagine che deve essere aperta a Runtime al posto della finestra di dialogo se l´opzione Proponi dialogo a Runtime è attiva. Quando si clicca sul pulsante ..., si apre una finestra di selezione che propone solamente immagini di tipo Filtro CEL o Filtro Tempo.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Sorgente dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

Attivo: vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero max

Attivo: vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo di dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, Aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, Aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarme/eventi | Selezionare nella lista dei gruppi di allarmi/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Classi di allarme/eventi | Selezionare nella lista delle Classi di allarme/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Aree allarmi | Selezionare nella lista delle Aree allarmi esistenti quelle i cui allarmi devono essere visualizzati.

Filtro per messaggi di sistema

Parametri

Descrizione

Filtro per messaggi di sistema

Impostazioni di filtro per i messaggi di sistema. I messaggi di sistema sono segnalazioni senza riferimento a variabili.

Escludi messaggi di sistema dal filtro

Configurazione della visualizzazione di messaggi di sistema indipendentemente dalle impostazioni di filtro.

  • Attivo: a Runtime, i messaggi di sistema verranno visualizzati sempre. Verranno visualizzati anche quando dovrebbero essere esclusi sulla base dei criteri di filtro testo o filtro variabile.
    Esempio: Si vuole che vengano visualizzati solo i messaggi che contengono il testo "XY". Se l´opzione qui descritta è stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Eccezioni:

  • I messaggi di sistema, però, non verranno visualizzati (anche se la checkbox è attiva) quando vengono esclusi dal Filtro tempo, oppure dai filtri per l´sorgente dati (buffer circolare oppure dati storici).
  • I messaggi di sistema vengono visualizzati sempre (indipendentemente da questa impostazione) quando il sistema filtra per modelli di impianto.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Riguarda zenon sotto Windows CE: i sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono avere una risoluzione maggiore a 800*600 pixel, per consentire che il dialogo possa essere visualizzato nella sua completezza.


Ora

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´Editor, ma possono essere anche adattati a Runtime.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

I filtri tempo possono essere predefiniti nell´Editor, e modificati a Runtime, per:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo di tempo

In linea di principio, il filtro tempo può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Un intervallo di tempo viene configurato nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo adattabile a Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere a Runtime.

Filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Da

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo di tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostare intervallo di tempo nell´Editor

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Ora -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo configurabile a Runtime

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotti

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Se il filtro lotti è attivo al momento del caricamento della Lista Eventi Cronologica (CEL), a Runtime il sistema acquisisce dal server archivi una lista di tutti i lotti progettati che corrispondono all´intervallo di tempo configurato.

Attenzione: tutte le variabili appartenenti ad un impianto e l´archivio lotti devono essere collegati allo stesso impianto nel modello di impianto.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo dialogo si stabilisce quali colonne debbano essere visualizzate a Runtime, in quale forma, successione e ordinamento.

Nota: tutte le impostazioni che vengono eseguite in questa scheda valgono come impostazioni di default per:

  • Immagine di tipo Lista eventi cronologica
  • Immagine del tipo Filtro CEL
  • Esportazione in CSV, dBase oppure XML

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni CEL.

info Info

Nelle proprietà di progetto si può configurare un´impostazione di default per la successione e la grandezza delle colonne usando la proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Quando si crea una nuova funzione di Cambio immagine per aprire un´immagine di tipo Lista di informazioni allarmi oppure Lista eventi cronologica, questa impostazione verrà usata come default, ma potrà essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

ColonneParametri

Descrizione

Colonne

Nel campo elenco di questa scheda vengono visualizzati tutti i tipi di colonne a disposizione.

Si può modificare la successione dei tipi di colonna trascinandoli via Drag&Drop all´interno della lista:

  • Cliccare nella colonna Tipo colonne
  • Trascinare i singoli inserimenti nella posizione desiderata.

In alternativa, si può modificare la successione delle colonne usando i pulsanti Sposta inserimento selezionato in alto e Sposta inserimento selezionato in basso.
  • Checkbox:

Selezione dei tipi di colonna che devono essere visualizzati.
  • Descrizione:

Inserimento di un testo libero per la descrizione della colonna.

Modificare la descrizione: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.

Nota: per la descrizione delle colonne, si può utilizzare il cambio lingua di zenon.
  • Larghezza delle colonne:

Definisce la larghezza della colonna in caratteri.

Modificare la larghezza colonna: cliccare con il tasto sinistro del mouse sull´area corrispondente. La cella passa in modalità di modifica: inserire il valore desiderato.
-1: La larghezza viene calcolata a Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono automaticamente il valore -1.

  • Visualizzazione:

Per i tipi di colonna.

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile a Runtime. Selezionare la forma desiderata fra quelle offerte dal menù a tendina.

Sposta elemento selezionato in alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento selezionato in basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Visualizza le colonne selezionate nel campo di elenco con la larghezza definita in quella sede.

È possibile modificare anche qui la larghezza delle colonne cliccando con il tasto sinistro del mouse sul margine destro di una colonna, tenendo premuto il tasto del mouse, e spostando il margine stesso a sinistra o a destra.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Si può modificare l´ordine di successione a Runtime cliccando sull´intestazione della colonna. Una freccia (verso l´alto/verso il basso) posizionata nell´intestazione della colonna segnala l´ordine di successione degli inserimenti applicato al momento.

Mostra griglia

Mostra una griglia nella visualizza della lista a Runtime.

Usa colori di sfondo alternati

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista a Runtime.

Colore Linea 1

Colore usato a Runtime come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Colore Linea 2

Colore usato a Runtime come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista, a condizione che sia stata attivata l´opzione Usa colori di sfondo alternati.

Visualizza nelle colonne tempo

Ora

Visualizza il tempo di un inserimento della lista nella seguente forma: HH:MM:SS

Data

Visualizza la data di un inserimento della lista nella seguente forma: TT:MM:JJJJ

Millisec.

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se anche il valore dei millisecondi deve essere emesso in caso di esportazione e stampa.

Suggerimento: se si attiva la keyboard automatica a Runtime, questa si aprirà quando verrà visualizzato un campo di inserimento in modalità di modifica. Usando questa keyboard è possibile configurare le colonne anche quando si usa un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che riguarda la larghezza reale della colonna. In questo caso il testo potrebbe non essere visualizzato per intero, potrebbe essere tagliato, oppure potrebbe crearsi uno spazio vuoto.

Soluzione: usare font con una larghezza di carattere fissa.

info Info

Se le variabili sono state configurate con unità di misura, quest´ultima verrà visualizzata quando la variabile viene inserita nella Lista eventi cronologica. Questo a condizione che si attivi il tipo di colonna Unità di misura per la visualizzione della lista a Runtime.


Testo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametri | Descrizione
Filtra |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni di configurazione della finestra di dialogo diventano attive.
Campo di inserimento | In questo campo si inseriscono le parole, oppure le sequenze di caratteri per il filtro.

Opzioni.

Parametri | Descrizione
Opzioni. |
Rispetta minuscolo/maiuscolo | Attivo: nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole.
Non tutte le parole devono coincidere | Attivo: per il filtro si prendono in considerazione anche parti di parole
E' richiesta almeno una parola | Attivo: Almeno una parola della stringa che serve da criterio di ricerca deve essere presente nel testo.
Tutte le parole devono esistere | Attivo: tutte le parole della stringa che serve da criterio di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo intero deve coincidere | Attivo: il testo deve essere esattamente quello definito nella stringa che serve da criterio di ricerca.


Stato

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato della checkbox indica se il bit di stato deve essere analizzato.

Stato della checkbox | Descrizione
Punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Example Esempio

Se la checkbox SPONT è settata sul valore 1, verranno visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Nota: informazioni dettagliate sui bit di stato si trovano nel capitolo Gestione stati.


Progetto

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si selezionano i progetti di cui si deve tener conto per la CEL. Il filtro per la selezione di sottoprogetti è a disposizione solamente nel progetto di integrazione della gestione multiprogetto.

La selezione dal progetto di integrazione e da tutti i sottoprogetti avviene per selezione multipla, tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Progettazione impianto

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio immagine CEL. -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel filtro vengono visualizzati tutti i modelli di impianto già creati. Usando il menù contestuale o la barra degli strumenti, è possibile creare nuovi modelli e gruppi.

info Info

Quando si usa un filtro "modello di impianto", sono sempre inclusi anche i messaggi di sistema. Questo vale anche se, in fase di configurazione della funzione di cambio immagine, nella scheda Generale è stata disattivata l´opzione Escludi messaggi di sistema dal filtro.

Per aggiungere dei gruppi al filtro:

  1. Selezionare l´elemento desiderato
  2. Cliccare sul pulsante Aggiungi
  3. Ripetere l´operazione fino a quando tutti i gruppi necessari sono contenuti nella lista
    (Non è possibile una selezione multipla)

Per eliminare gruppi dal filtro:

  1. Selezionare gli elementi desiderati
    (Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift, e cliccare sull´elemento desiderato).
  2. Cliccare sul pulsante Elimina

Progettazione di impianto

Opzioni

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Nota: Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome. Betroffene Modelle werden bei Klick auf das Hinweis-Symbol (Dreieck mit Ausrufezeichen) angezeigt. I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Filtro gerarchico
  • Default: attivato

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Filtri per il cambio ad immagine “Filtro CEL”.

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare un tipo di immagine Filtro CEL:

  1. Creare una funzione di Cambio immagine per aprire un´immagine di tipo Filtro CEL
  2. Viene aperto il filtro con tutte le sue schede:
    • Immagini
    • Generale
    • Testo
    • Ora

Ancora in questo capitolo

Immagini

Generale

Testo

Ora

Lotti

Impostazioni colonne


Immagini

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali immagini debbano essere aggiornate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro verrà acquisito da questa immagine:

Parametri

Descrizione

Il filtro verrà acquisito da questa immagine

Definizione dell´immagine da cui deve essere acquisito il filtro.

Immagine chiamante

Attivo: le impostazioni di filtro vengono acquisite dall´immagine da cui viene aperta l´immagine filtro. Il pulsante “Immagine predefinita” è visualizzato in color grigio. Non è possibile indicare esplicitamente un´immagine, visto che, quando è attiva l´opzione “Immagine chiamante”, l´aggiornamento del filtro avviene sempre sulla base dell´immagine che apre.

Nota: in questo caso, le impostazioni delle schede Generale, Testo e Ora sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre la finestra di dialogo di selezione immagini.

Selezionare l´immagine dalla quale deve essere letto il filtro quando a Runtime si clicca sul pulsante Aggiorna a Runtime.

Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.

Attenzione: quando l´immagine filtro viene aperta per la prima volta tramite la funzione, viene applicato il filtro configurati nella funzione, non quello dell´immagine indicata qui!

Nota: dunque ha senso solo selezionare un´immagine che può acquisire, o popolare il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da aggiornare. Se si cancella un´immagine dalla lista delle immagini, la prossima immagine della lista verrà inserita automaticamente nel campo “Immagine preferita”.

Nota: questa opzione non sarà attiva (non configurabile) se è stata attivata la checkbox Immagine chiamante.

Immagini da aggiornare

Parametri | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il cambio ad immagini di tipo Filtro AML, Filtro CEL, Filtro tempo e Modello di impianti, si possono selezionare anche "sotto-immagini" di Faceplates. Per distinguerle in modo chiaro da altre immagini, davanti al nome della "sotto-immagine" si trova quello dell´immagine Faceplate.
Selezione immagine | Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare immagini filtro. Selezionare le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´acquisizione del filtro.
Aggiorna su tutti i Monitor | Attivo: le immagini della lista di quelle da aggiornare verranno aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro “Generale” si stabilisce quali eventi debbano essere visualizzati e che tipo di accesso all´impostazione avrà l´operatore a Runtime. Differenziare gli eventi secondo il:

  • Tipo
  • Sorgente dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Riduzione agli eventi di determinate variabili.

Nome variabile

Inserire il nome o la parte del nome delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Attenzione: il carattere “virgola” (,) è consentito solamente come separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ne consegue che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Inserire l´identificazione oppure la parte d´identificazione delle variabili sulla base delle quali deve essere eseguita l´operazione di filtro. È possibile usare la wildcard *.

È possibile usare la wildcard *. È consentito usare caratteri jolly solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: i criteri di filtro impostati a Runtime o nell´Editor vengono salvati automaticamente sul calcolatore locale nello zenon6.ini e sono disponibili nel menù a tendina dove potranno essere selezionati.

Rispetta minuscolo/maiuscolo

Attivo: si prende in considerazione la scrittura maiuscola e minuscola per il filtro per nomi o/e per identificazioni variabili.

Sorgente dati

Parametri

Descrizione

Sorgente dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

Attivo: vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero max

Attivo: vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo di dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni Runtime

Comportamento della CEL durante a Runtime.

Visualizza lista bloccata

Attivo: finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta CEL.)

Proponi dialogo a Runtime

Attivo: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro.

Visualizza tempo relativo

Tutti gli inserimenti vengono visualizzati in un intervallo di tempo relativo all'inserimento selezionato.

Il tempo indicato è l'intervallo trascorso dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • Differenza di tempo positiva rispetto all´inserimento selezionato se si sono verificati prima.
  • Differenza di tempo negativa rispetto all´inserimento selezionato, se si sono verificati dopo.

Gruppi/Classi- allarmi/eventi, aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarme/eventi | Selezionare nella lista dei gruppi di allarmi/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Classi di allarme/eventi | Selezionare nella lista delle classi di allarme/eventi esistenti quelli i cui allarmi devono essere visualizzati.
Aree allarmi | Selezionare nella lista delle aree allarmi esistenti quelle i cui allarmi devono essere visualizzati.

Filtro per messaggi di sistema

Parametri

Descrizione

Filtro per messaggi di sistema

Impostazioni di filtro per i messaggi di sistema.. I messaggi di sistema sono segnalazioni senza riferimento a variabili.li.

Escludi messaggi di sistema dal filtro

Configurazione della visualizzazione di messaggi di sistema indipendentemente dalle impostazioni di filtro.

  • Attivo: a Runtime, i messaggi di sistema verranno visualizzati sempre. Verranno visualizzati anche quando dovrebbero essere esclusi sulla base dei criteri di filtro testo o filtro variabile.
    Esempio: Si vuole che vengano visualizzati solo i messaggi che contengono il testo "XY". Se l´opzione qui descritta è stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Eccezioni:

  • I messaggi di sistema, però, non verranno visualizzati (anche se la checkbox è attiva) quando vengono esclusi dal Filtro tempo, oppure dai filtri per l´sorgente dati (buffer circolare oppure dati storici).
  • I messaggi di sistema vengono visualizzati sempre (indipendentemente da questa impostazione) quando il sistema filtra per modelli di impianto.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Per zenon sotto Windows CE vale quanto segue: i sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono avere una risoluzione maggiore a 800*600 pixel, per consentire che il dialogo possa essere visualizzato nella sua completezza.


Testo

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametri | Descrizione
Filtra |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni di configurazione della finestra di dialogo diventano attive.
Campo di inserimento | In questo campo si inseriscono le parole, oppure le sequenze di caratteri per il filtro.

Opzioni.

Parametri | Descrizione
Opzioni. |
Rispetta minuscolo/maiuscolo | Attivo: nell´eseguire l´operazione di filtro, il sistema tiene in considerazione la scrittura in lettere maiuscole e minuscole.
Non tutte le parole devono coincidere | Attivo: per il filtro si prendono in considerazione anche parti di parole
E' richiesta almeno una parola | Attivo: Almeno una parola della stringa che serve da criterio di ricerca deve essere presente nel testo.
Tutte le parole devono esistere | Attivo: tutte le parole della stringa che serve da criterio di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo intero deve coincidere | Attivo: il testo deve essere esattamente quello definito nella stringa che serve da criterio di ricerca.


Ora

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce l´intervallo di tempo da applicare all´apertura dell´immagine filtro.

I dettagli sulle opzioni filtro/tempo si trovano nel capitolo Filtri per cambio ad immagine Lista Eventi Cronologica/Tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lotti

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si stabilisce quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
Parametri | Descrizione
Nessun filtro lotto | Attivo: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non ci sarà un filtro per lotti.
Applica direttamente filtro lotto | Attivo: il filtro configurato qui verrà applicato direttamente a Runtime.

Archivio(i)

Configurazione del filtro per archivi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non viene eseguita un´operazione di filtro per nome archivi.

Statico

Attivo: vengono filtrati gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso, il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro

Attivo: non c´è un filtro per nome lotti.

Statico

Attivo: vengono filtrati i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se a Runtime il sistema non trova la variabile selezionata, non verrà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametri | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce come la Lista archivi e la Lista lotti devono essere visualizzate a Runtime a partire dall´immagine di tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne.
  • Formato delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametri | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametri | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Selezione colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di selezionare le colonne e il loro ordinamento.
Formato colonne | Cliccando sul pulsante, si apre la finestra di dialogo che consente di formattare la lista.
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Selezione e ordine delle colonne.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Configurazione della CEL mediante filtri -> Filtri per il cambio ad immagine “Filtro CEL”. -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Buffer circolare CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Configurare la CEL -> Buffer circolare CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena si verificano, gli eventi vengono salvati in un buffer circolare (cel.bin) e in un file eventi (*.cel) nella cartella Runtime.

Buffer circolare

Il buffer circolare contiene tutti gli eventi in attesa. Questi eventi vengono gestiti con:

  • Tempo entra in millisecondi come firma univoca.

Dimensione del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti; la configurazione della dimensione del buffer viene eseguita nelle proprietà di progetto, tramite la proprietà Dimensione buffer circolare (gruppo “Lista eventi cronologica” delle proprietà di progetto).

A Runtime, i vecchi inserimenti vengono lasciati nella lista quando viene aperta l´immagine CEL. Non appena ne vengono aggiunti nuovi, è possibile che il numero degli inserimenti visualizzati superi la dimensione progettata per il buffer circolare. Quando si apre di nuovo la lista, i vecchi inserimenti verranno cancellati in modo tale da rispettare la dimensione configurata. Questo comportamento serve ad evitare che ci sia una perdita di dati a lista aperta.

Attenzione: se si visualizza un numero di inserimenti superiore al valore definito, si aumenterà lo spazio di memoria occupato. Questo spazio di memoria rimarrà occupato per il valore massimo precedentemente raggiunto quando si aprirà nuovamente l´immagine.

Salvare il buffer circolare

Il buffer circolare viene salvato automaticamente come file cel.bin quando si chiude il Runtime. Se il Runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente ad ogni nuovo inserimento usando la proprietà Salva buffer circolare in modo spontaneo, oppure mediante la funzione Salva buffer AML - CEL.

File eventi

Tutti gli allarmi vengono scritti contemporaneamente al buffer circolare in un file CEL proprio (*.cel). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati CEL. Il nome del file si compone della lettera C, seguita dalla data espressa nella forma JJMMTT e il suffisso .cel, per es. C100623.cel. Questi file vengono generati ogni giorno automaticamente e, in caso di spazio di memoria insufficiente, devono essere esportati o cancellati dall´utente. I file *.cel vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi

Il buffer circolare e il file CEL vengono sincronizzati. La sincronizzazione avviene sempre dal buffer circolare al file CEL.

Intervalli di tempo di memorizzazione

Il *.cel “Lista eventi cronologica” viene salvato ad ogni nuovo inserimento.

Il buffer circolare (*.bin) viene salvato:

  • Quando viene chiuso il Runtime.
  • Dopo ogni nuovo inserimento, se la proprietà Salva buffer circolare in modo spontaneo è attiva.
  • Quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella CEL e nel buffer circolare potrebbero non corrispondere se dovesse esserci un blackout.


Funzioni

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni

Si può gestire la visualizzazione e la gestione della CEL a Runtime usando funzioni.

attention Attenzione

Se le funzioni vengono usate in rete, bisogna tenere presente dove le si esegue.

Ancora in questo capitolo

Cambio immagine CEL

Funzione di cambio immagine “Filtro CEL”

Funzioni per la “Lista eventi cronologica”


Cambio immagine CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Cambio immagine CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine di tipo Lista eventi cronologica a Runtime:

  1. Creare un´immagine di tipo Lista eventi cronologica
  2. Creare una funzione di “Cambio immagine” per questa immagine.
  3. Configurare le proprietà di filtro desiderate

Sarà poi possibile modificarle a Runtime. Eccezione: nell´Editor sono stati definiti filtri tempo fissi.

Configurare la funzione di cambio immagine

Per creare una funzione di cambio immagine per aprire un´immagine di tipo CEL:

  1. Nel menù contestuale del nodo Funzioni del Manager di progetto, selezionare il comando Nuova funzione
  2. Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; cliccare su Cambio immagine.
  3. Si aprirà la finestra di dialogo che consente di selezionare un´immagine
  4. Selezionare un´immagine di tipo CEL
    , oppure crearla in questa finestra di dialogo cliccando sul simbolo Nuova immagine della barra degli strumenti.o del menù contestuale.
  5. Verrà visualizzato il dialogo di filtro con tutte le sue schede:
    • Generale
    • Ora
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel progetto di integrazione della gestione multi-progetto.)
    • Progettazione impianto

    Se ci sono variabili o indici collegati, verranno visualizzate anche le seguenti schede:

    • Sostituisci collegamenti...
    • Sostituisci indici

  6. Definire quale filtro deve essere quello predefinito a Runtime.
  7. Confermare le impostazioni e chiudere la finestra di dialogo cliccando su OK
  8. Collegare la funzione ad un pulsante che servirà ad aprire l´immagine e ad offrire le proprietà di filtro a Runtime.

info Info

Se si referenzia un´immagine senza filtro tempo, i filtri tempo verranno disattivati.


Funzione di cambio immagine “Filtro CEL”

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzione di cambio immagine “Filtro CEL”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine di tipo Filtro CEL a Runtime:

  1. Creare un´immagine di tipo “Filtro CEL”
  2. Creare una funzione di “Cambio immagine” per questa immagine.
  3. Configurare le proprietà di filtro desiderate.

Le proprietà di filtro potranno essere gestite a Runtime solamente tramite i pulsanti definiti nell´immagine.

Configurare il cambio immagine

Per creare una funzione di cambio immagine per aprire un´immagine del tipo Filtro CEL:

  1. Nel menù contestuale del nodo Funzioni del Manager di progetto, selezionare il comando Nuova funzione.
  2. Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione; cliccare su Cambio immagine.
  3. Si aprirà la finestra di dialogo che consente di selezionare un´immagine.
  4. Selezionare l´immagine di tipo Filtro CEL
    , oppure crearla in questa finestra di dialogo cliccando sul simbolo Nuova immagine della barra degli strumenti.o del menù contestuale.
  5. Verrà visualizzato il dialogo di filtro con tutte le sue schede:
    • Immagini
    • Generale
    • Testo
    • Ora

  6. Definire quale filtro deve essere quello predefinito a Runtime.
  7. Confermare le impostazioni e chiudere la finestra di dialogo cliccando su OK
  8. Collegare la funzione ad un pulsante che servirà ad aprire l´immagine e ad offrire le proprietà di filtro a Runtime.


Funzioni per la “Lista eventi cronologica”

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diverse funzioni consentono la gestione di eventi a Runtime.

Per creare una funzione per la “Lista eventi cronologica”:

  1. Passare al nodo Funzioni del Manager di progetto.
  2. Nel menù contestuale, oppure nella barra degli strumenti, selezionare il comando Nuova funzione
  3. Si aprirà la finestra di dialogo che consente di selezionare un tipo di funzione.
  4. Passare al nodo Allarmi ed eventi

  5. Selezionare la funzione desiderata.
  6. Configurare la funzione, se necessario
  7. Collegare la funzione ad un pulsante.

Ancora in questo capitolo

Salva buffer AML-CEL

Esporta: lista CEL

Stampa lista allarmi o CEL

Stampa online on/off

Inizia una nuova pagina per la stampa online

Cambio stampante online


Salva buffer AML-CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Salva buffer AML-CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può salvare a Runtime il contenuto del buffer circolare per allarmi e eventi, e i valori delle variabili matematiche (contatori). Gli inserimenti vengono salvati nei seguenti file:

File | Contenuto | Grandezza impostabile mediante la proprietà
ALARM.BIN | Allarmi | Dimensione buffer circolare
CEL.BIN | Inserimenti della “Lista eventi cronologica” | Dimensione buffer circolare
SY_MA32.BIN | Valori di variabili matematiche (per.es. contatori) |

Per salvare il buffer circolare AML (stessa procedura anche per il buffer circolare CEL):

  1. Creare una nuova funzione.
  2. Selezionare Salva buffer AML-CEL
  3. Collegare la funzione ad un pulsante.


Esporta: lista CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante questa funzione si possono esportare a Runtime gli eventi salvati con i criteri di filtro in un file o in una banca dati.

Per esportare inserimenti CEL:

  1. Creare una nuova funzione.
  2. Selezionare Esporta: lista CEL
  3. Si aprirà la finestra di dialogo che consente di selezionare criteri di filtro.

  4. Definire i criteri per:
    • Formato di esportazione.
    • Generale
    • Ora
    • Testo
    • Stato
    • Progettazione impianto
    • Progetto
  5. Collegare la funzione ad un pulsante

Ancora in questo capitolo

Formato di esportazione.

CSV: Colonne esportate

dBase: colonne esportate

SQL: colonne esportate

XML: colonne esportate


Formato di esportazione.

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL -> Formato di esportazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può esportare dati in diversi formati. Quali colonne vengono esportate e come, dipende dalla fonte (AML/CEL) e dal formato in cui viene eseguita l´esportazione.

I dati vengono esportati in modo diverso per:

  • CSV
  • dBase
  • SQL
  • XML

info Info

L´esportazione SQL avviene in modo incrementale. Se ci sono già dati esportati, verranno esportati solamente quelli nuovi o quelli modificati.

Selezione colonne

La selezione delle colonne da esportare dipende dal formato in cui viene eseguita l´esportazione:

  • CSV, DBF e XML: Selezione tramite la finestra di dialogo della proprietà di progetto Impostazione colonna AML per la AML e Impostazioni colonna CEL per la CEL.
  • SQL: Impostazioni fisse per l´esportazione incrementale, che non possono essere ulteriormente configurati.
    Nota: con la versione 7.20, è stata aggiunta la colonna RESLABEL per l´Identificazione servizio. Non si può dunque continuare ad usare le tabelle di esportazione già esistenti. La tabella deve essere rinominata per garantire un corretto processo di esportazione.

Configurare l´esportazione

Formato di esportazione

Parametri

Descrizione

Formato di esportazione

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Nota per dBase:

  • I nomi file non possono essere più lunghi di 8 caratteri.
  • La larghezza colonna configurata viene usata per l´esportazione. Se, per esempio, nelle Impostazioni colonna è stato impostato un valore di 40 caratteri, verranno solo esportati al massimo 40 caratteri.
  • Viene esportato un massimo di 255 caratteri.

Opzioni.

Parametri | Descrizione
Opzioni. |
Esporta testo in Unicode | Esportazione in formato ASCII viene eseguita in Unicode.
Esportazione dati in modo incrementale | Vengono esportate solamente le differenze rispetto all´esportazione precedente.

Esporta su file

Parametri

Descrizione

Esporta su file

Definizione del file in cui deve essere salvata l´esportazione.

Nome file

Impostare il nome file individualmente.

Al massimo 32 caratteri alfanumerici, incluso suffisso.

Nota: eventuali file già esistenti che hanno lo stesso nome verranno sovrascritti.

Genera automaticamente nome file

Attivo : il nome file sarà generato automaticamente a partire da un´identificazione breve, una chiave data e un suffisso individuale.
Non attivo: il nome file viene inserito dall´utente alla voce Nome file.

(File esistenti non vengono sovrascritti.)

Per i dettagli, vedi prossima tabella: Codificazione nome per assegnazione nome automatica

Suffisso

Identificazione libera, individuale. Quest´opzione è attiva e configurabile solamente se è stata attivata l´opzione Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

P. es.

Visualizzazione del nome file completo in caso di nome generato automaticamente.

Cartella di esportazione configurata

Visualizzazione del percorso di esportazione correntemente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Esporta su database SQL

Parametri per l´esportazione in una banca dati SQL

Connessione database

Configurazione della connessione alla banca dati. Cliccando sul pulsante ... si apre la finestra di dialogo di configurazione.

Tabella

Selezione della tabella in cui dovranno essere scritti i dati.

Codifica nome per assegnazione nome automatica

Nome

AJJMMTTP.XXX

A

Identificazione breve della Lista di informazione allarmi. (L´identificazione breve per la CEL è “C”. Altrimenti la codifica del nome è identica a quella descritta per la Lista di informazione allarmi).

AAMMGG

Indicazione della data:

  • AA: anno, a due cifre
  • MM: mese, a due cifre
  • GG: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

XXX:

Suffisso del file:

  • DBF: dBase
  • TXT: CSV
  • XML XML

Argomenti formali

  • Formato degli inserimenti di riga: viene acquisito dalle impostazioni della proprietà Impostazione colonna AML o.Impostazioni colonna CEL.
  • Separatore di colonne: punto e virgola (;)

attention Attenzione

Millisecondi per stampa ed esportazione

Se si vuole che il tempo sia indicato in millisecondi quando si stampa o esporta la AML o la CEL in CSV, XML o dBase, questa proprietà deve essere attivata nella finestra di dialogo per le impostazioni di colonna. Procedura:

  • Nelle proprietà di progetto, passare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccare sul pulsante ... della proprietà Impostazione colonna AML, oppure di Impostazioni colonna CEL
  • Si aprirà la finestra di dialogo che consente di configurare le impostazioni di colonna.
  • Attivare la checkbox che si trova davanti alla proprietà Millisec

L´impostazione deve essere eseguita separatamente per AML e CEL.

Note su SQL

attention Attenzione

Assicurarsi che il provider configurato nella connessione sia disponibile a Runtime sul computer Runtime.

Nota: con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente neanche un client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, assicurarsi di installare la versione corretta. Cioè quella adeguata alla versione di zenon usata. Cioè: se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Questo vale anche se viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene applicata automaticamente nella stringa provider. Deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: Colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL -> CSV: Colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´esportazione in CSV serve soprattutto a rendere possibile l´elaborazione dati in altre applicazioni. I dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • L´ordine nel file di esportazione corrisponde a quello definito nel finestra di dialogo.
  • Separatore: Punto e virgola (;)
  • I titoli di colonna non vengono esportati.


dBase: colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL -> dBase: colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´esportazione in un file dBase, i dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export è definita in modo fisso.

Colonne nella successione dell´esportazione:

Colonna | Tipo | Dimensione | Descrizione
DATUM_KOMM | Date | 8 | Allarme arrivato: data.
ZEIT_KOMMT | Character | 10 | Allarme arrivato: tempo.
ALARMTEXT | Character | 40 | Testo valore limite.
TAG_NR | Character | 40 | Identificazione variabile.
KOMMENTAR | Character | 45 | Commento.
STATUS | Character | 4 | Stato della variabile.
WERT | Character | 10 | Valore della variabile.
USER | Character | 6 | Identificazione utente.
COMPUTER | Character | 48 | Nome PC.
VAR_NAME | Character | 32 | Nome variabile.
RESLABEL | Character | 15 | Identificazione servizio
PROJ_NAME | Character | 31 | Nome progetto.
CLASS | Character | 31 | Nome della classe di allarme.
GROUP | Character | 31 | Nome del gruppo di allarme.


SQL: colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL -> SQL: colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di esportazione SQL, i dati vengono esportati in modo incrementale in una successione definita in modo fisso.

Colonne nella successione dell´esportazione:

Colonna | Tipo | Descrizione
[VAR] | varchar(128) | Nome variabile.
[TAG] | varchar(128) | Identificazione variabile.
[RESLABEL] | varchar(128) | Identificazione servizio
[TEXT] | varchar(1024) | Testo valore limite.
[COMES_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01° 01. 1970.
[COMES_MS] | int | Allarme arrivato: frazione di millisecondo.
[STATUS] | int | Stato della variabile.
[VALUE] | varchar(128) | valore della variabile.
[USERID] | varchar(128) | Identificazione utente.
[COMP] | varchar(128) | Nome PC.
[ACT_TEXT] | varchar(128) | Allarme: commento.
[PRJ] | varchar(128) | Nome progetto.
[CLASS] | varchar(128) | Nome della classe di allarme.
[GROUP] | varchar(128) | Nome del gruppo di allarme.


XML: colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Esporta: lista CEL -> XML: colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di esportazione in un file XML, i dati vengono esportati in base alla configurazione delle proprietà Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export corrisponde a quella definita nel finestra di dialogo.
  • I titoli di colonna vengono usati come tag. Tutti i caratteri non consentiti vengono cancellati e sostituiti prima dell´esportazione.
    Regole di sostituzione:
    • Spazio vuoto: trattino basso (_)
    • Altri caratteri non consentiti: lineetta (-).


Stampa lista allarmi o CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Stampa lista allarmi o CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando questa funzione si possono stampare a Runtime gli eventi salvati con condizioni di filtro.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Nel dialogo di selezione funzioni, selezionare Stampa AML o CEL nel gruppo “Allarmi ed eventi”.
  3. Verrà visualizzata una finestra di dialogo che consente di selezionare una lista.

  4. Selezionare Lista eventi cronologica.
  5. Verrà visualizzata la finestra di dialogo che consente di configurare i criteri di filtro.
  6. Definire i criteri per:
    • Generale
    • Ora
    • Testo
    • Stato
    • Carattere: si può selezionare uno dei caratteri definiti in zenon
  7. Collegare la funzione ad un pulsante.

info Info

A Runtime non si può passare dalla CEL all´AML e viceversa. Per poter stampare entrambe le liste, si devono progettare due funzioni.

Struttura della riga

Data/Ora entra | Data/Ora esce | Data/Ora ripristino | Testo lungo | Testo di stato

Le parole chiave a disposizione per il file di formattazione (BTB.FRM per stampa online e BTB_G.FRM per stampa offline) ed esempi del loro uso, si trovano nel capitolo File di configurazione FRM, nella sezione Gestione a Runtime.

Il file FRM si suddivide in tre parti:

  • Header: all´inizio della pagina
  • Parte lista: ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando si modifica un file FRM, bisogna tenere presente quanto segue:

  • Separazione delle sezioni lista:
    • Header e parte lista, e parte lista e piè di pagina sono separati dal carattere %%.

      Questo carattere di separazione può essere utilizzato solo una volta per la parte lista e il piè di pagina.

    • Attenzione: all´ultima riga devono seguire perlomeno due capoversi vuoti. Altrimenti il piè di pagina non verrà stampato!
  • Posizionamento dei singoli inserimenti:
    Si possono usare solamente spazi vuoti, nessun tabulatore.
  • Modifica di un file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

La lunghezza della pagina si imposta nel nodo AML e CEL delle proprietà di progetto, oppure mediante i file ALARM.frm o ALAR_G.frm per l´AML. E i file BTB.frm e BTB_G.frm per la CEL.

Attenzione:

  • Il numero di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, numero), nella “Lista di informazione allarmi” deve essere attivata l`opzione Utilizza tempo di riattivazione.
  • Nel file di formattazione è possibile usare parole chiave e testi liberi. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave in lingua inglese.
  • Non ogni parola chiave è adatta ad ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene parole chiave in tedesco e inglese e le loro possibilità di sostituzione:

Tedesco | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte lista
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e ora del verificarsi dell´allarme.
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e ora della fine dell´allarme.
@DATZEITOK | @DTACK | X | - | X | - | Data e ora del ripristino dell´allarme.
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e ora della riattivazione: nelle proprietà di progetto, deve essere attivata la proprietà Utilizza tempo di riattivazione.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEITOK | @TACK | X | - | X | - | Visualizza solamente il momento del ripristino.
@ZTKOMMT | @TRECEIVED | X | X | X | X | Visualizza solamente il momento del verificarsi dell´allarme.
@ZTGEHT | @TCLEARED | X | - | X | - | Visualizza solamente il momento della fine dell´allarme.
@ZTREAKT | @TREACTIVATE | X | - | X | - | Visualizza solamente il momento della riattivazione.
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce).
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili.
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi.
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi.
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi.
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi.
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta).
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme.
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni.
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella “Lista di informazione allarmi”.
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme.
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla “Lista di informazione allarmi”. Se si usano testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono state attivate.
@USER | @USERID | X | X | X | X | AML: utente che ha confermato l´allarme.
@RECHNER | @COMPUTER | X | X | X | X | AML: computer su cui l´allarme è stato confermato.
Parole chiave per l´intestazione e il piè di pagina.
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@SEITE | @PAGE | X | X | X | X | Numero di pagina
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data di sistema e ora di sistema.
@HEADDATUM | @DSYSTEM | X | X | X | X | Data di sistema.
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora di sistema.
@USER | @USERID | X | X | X | X | Utente che stampa.
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha inizializzato l´attività.
@RECHNER | @COMPUTER | X | X | X | X | Computer da cui viene lanciata l´operazione di stampa.
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione sulla stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio per evitare che degli inserimenti vengano sovrascritti. In questo modo si garantisce che anche lunghi testi di valore limite vengano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millisecondi

attention Attenzione

Millisecondi per stampa ed esportazione

Se si vuole che il tempo sia indicato in millisecondi quando si stampa o esporta la AML o la CEL in CSV, XML o dBase, questa proprietà deve essere attivata nella finestra di dialogo per le impostazioni di colonna. Procedura:

  • Nelle proprietà di progetto, passare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccare sul pulsante ... della proprietà Impostazione colonna AML, oppure di Impostazioni colonna CEL
  • Si aprirà la finestra di dialogo che consente di configurare le impostazioni di colonna.
  • Attivare la checkbox che si trova davanti alla proprietà Millisec

L´impostazione deve essere eseguita separatamente per AML e CEL.


Stampa online on/off

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si setta lo stato della stampa online:

  • Attivare: avvia la stampa-online.
  • Disattivare: termina la stampa-online.
  • Attiva/non attiva: avvia o termina la stampa online.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Selezionare Stampa online on/off
  3. Si apre la finestra di dialogo che consente di selezionare l´azione da eseguire.

  4. Selezionare l´azione desiderata.
  5. Collegare la funzione ad un pulsante.


Inizia una nuova pagina per la stampa online

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Inizia una nuova pagina per la stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si gestisce a Runtime il cambio pagina per la stampa online:

Alla pagina correntemente in fase di stampa viene aggiunto il piè di pagina configurato e si passa all´inizio della pagina successiva. Il contatore pagine viene resettato su 1 e viene stampata l'intestazione.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare Inizia una nuova pagina per la stampa online.
  3. Collegare la funzione ad un pulsante.


Cambio stampante online

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la “Lista eventi cronologica” -> Cambio stampante online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di cambiare a Runtime la stampante per la stampa online.

info Info

Questa funzione non è disponibile con Windows CE.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare Cambio stampante online.

    Si aprirà la finestra di dialogo che consente di selezionare una stampante.

  3. Selezionare la stampante desiderata fra quelle contenute nel menù a tendina.
  4. Collegare la funzione ad un pulsante.

Parametri | Descrizione
Selezione stampante | Selezione della stampante desiderata fra quelle contenute nel menù a tendina.
Proponi dialogo a Runtime | Attivo: quando viene eseguita la funzione, viene aperta questa finestra di dialogo e l´operatore può selezionare una stampante a Runtime.


Gestione a Runtime

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, la “Lista eventi cronologica” viene aperta eseguendo una funzione di cambio immagine.

Gli elementi di controllo a disposizione nell´immagine e il loro aspetto vengono definiti nell´Editor.

Finestra

Parametri

Descrizione

Lista eventi cronologica (CEL)

Campo di visualizzazione per la lista con i suoi eventi. L´aspetto è configurabile. Le colonne da visualizzare vengono definite tramite il filtro “Impostazioni colonne” in fase di configurazione della funzione di cambio immagine.

Tramite la proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL) delle proprietà di progetto si definiscono le impostazioni per l´esportazione in CSV, XML e DBF. I valori impostati in questa sede servono anche da impostazioni preliminari per la funzione di cambio immagine.

Filtro inserito

Visualizza il filtro selezionato al momento.

Stato Lista Eventi Cronologica

A Runtime, visualizza lo stato della CEL.

  • Attivo: gli eventi vengono registrati nel progetto sulla base delle impostazioni.
  • Non attivo: gli eventi non vengono registrati.

Lo stato della CEL viene definito mediante la proprietà Abilita CEL (gruppo “Lista eventi cronologica” delle proprietà di progetto). Una modifica della configurazione di questa proprietà diviene effettiva solamente dopo il riavvio del Runtime.

Quantità

Numero di tutti gli eventi della lista.

Funzioni lista

Parametri

Descrizione

Filtro

Apre il dialogo filtro.

Stop/Avanti

Gestisce l´aggiunta di nuovi eventi nella lista durante la visualizzazione:

Stop: non vengono aggiunti nuovi inserimenti alla lista. La didascalia del pulsante diventa Avanti.

Avanti: vengono aggiunti nuovi inserimenti alla lista. La didascalia del pulsante diventa Stop. Per mettere in ordine cronologico i nuovi inserimenti, si deve cliccare sul pulsante Ordina.

Ordina

Dopo l´apertura della CEL a Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Cliccando su questo pulsante la lista viene riordinata.

Per distinguere gli inserimenti ordinati da quelli che non lo sono, si può assegnare ad ogni categoria un colore differente; a questo scopo utilizzare le proprietà Testi ordinati e Testi non ordinati (gruppo “Lista eventi cronologica” delle proprietà di progetto).

Visualizza tempo relativo

Attivo: i tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stampa

Stampa la lista nel modo in cui è visualizzata al momento.

Dialogo di stampa...

Prima di eseguire la stampa, apre la finestra di dialogo di configurazione delle impostazioni della stampa.

Campo commento

Parametri

Descrizione

Campo commento

Inserimento da parte dell´utente di un testo liberamente configurabile relativo all´evento selezionato.

Lunghezza massima: 79 caratteri.

Per visualizzare il testo nella CEL, si deve attivare la colonna Commento nelle Impostazioni colonne. Le modifiche vengono applicate premendo il pulsante Ins. Premendo il tasto Esc, oppure al momento della perdita del focus, la modifica viene rifiutata.

Le modifiche effettuate ai commenti possono essere documentate attivando la proprietà Commento CEL (gruppo “Lista eventi cronologica” delle proprietà di progetto)..

Navigazione

Parametri | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Parametri | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Quantità totale | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Stato Lista Eventi Cronologica | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nota | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: usare la funzione Chiudi modello per chiudere i modelli. Perché, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine di tipo CEL con un proprio modello.
Visualizza tempo relativo | Elemento di controllo statico Win32. È stato sostituito da un elemento di tipo interruttore. Per la descrizione, si veda il nuovo elemento.

Profili filtro

Profili filtro | Impostazioni di filtro che possono essere salvate dall'operatore a Runtime.
Selezione profili | Selezionare un profilo dalla lista.
Salva | Salva un´impostazione come profilo.
Elimina | Cancella il profilo selezionato.

info Info

Nell´elemento di controllo Mostra filtro viene visualizzato il filtro usato al momento.

Quando si tratta di:

  • Filtro di testo: viene visualizzata l´espressione [Txt]
  • Filtro di tempo relativo: viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.

Configurazione della visualizzazione

Quali informazioni della CEL devono essere visualizzate a Runtime, viene definito nella fase di progettazione della CEL in cui si configurano le “Impostazioni colonna”. La finestra di dialogo che consente di configurare le “Impostazioni colonna” può essere aperta:

  • Nelle proprietà di progetto -> Lista eventi cronologica (CEL) -> Impostazioni colonna CEL (solo scheda Impostazioni colonna )
    , oppure
  • Tramite la funzione cambio ad un´immagine di tipo CEL ( Tutte le schede)

Aggiornare gli inserimenti

Se nel gruppo Lista eventi cronologica (CEL) delle proprietà di progetto è stata attivata la proprietà Aggiorna automaticamente, i nuovi eventi vengono aggiunti alla lista non appena si verificano. In caso contrario, il sistema acquisisce i valori una sola volta prima di ogni operazione di scrittura di un valore sul PLC. Nella CEL verrà riportato come valore attuale quello che era sul PLC prima della scrittura.

Visualizzazione nella colonna “Valore”

Nella colonna Valore possono essere visualizzati solamente valori di tipi di dato numerici. Per gli inserimenti con un tipo di dato String, la colonna rimarrà vuota.

Campo “Commento”

Inserimenti o modifiche nel campo “Commento” determinano le seguenti azioni:

  • Viene creato un Event per le API (CelItemCommentChanged).
  • Nel caso dei client o del Server-Standby, il commento viene inviato al server primario.
  • Se è stata attivata la proprietà Commento CEL (nodo “Lista Eventi Cronologica” delle proprietà di progetto), ad ogni modifica viene generato un inserimento nella CEL che rimando alla modifica stessa.

Sintassi: <TimeStamp> - Valore vecchio"<Old Value>" - Valore nuovo: "<New Value>";

Ancora in questo capitolo

Filtrare la CEL

Stampare e esportare eventi


Filtrare la CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi possono essere filtrati per la visualizzazione a Runtime nei seguenti modi:

  • Applicazione di filtri a Runtime.
  • Cambio ad un´immagine di tipo CEL con filtro predefinito.
  • Cambio immagine con filtro quando si apre l´immagine di tipo CEL
  • Cambio ad un´immagine di tipo Filtro CEL

Applicazione di filtri a Runtime

A Runtime, si possono attivare filtri nell´immagine di tipo CEL. Per filtrare gli inserimenti da visualizzare nella CEL:

  1. Nell´immagine deve esserci il pulsante Filtro.
  2. Cliccare sul pulsante Filtro.

    Si apre la finestra di dialogo “Filtro” della CEL.

I filtri impostati possono essere salvati in profili.

Cambio ad un´immagine di tipo “Lista eventi cronologica”

Gli eventi possono essere visualizzati già sottoposti ad un filtro predefinito. Procedura:

  1. Configurare il filtro per la funzione di cambio immagine per l´apertura dell´immagine di tipo CEL.

    Quando si apre la CEL a Runtime, gli inserimenti saranno visualizzati già filtrati.

  2. Se, configurando la funzione, è stata attivata l´opzione Proponi dialogo a Runtime, il filtro potrà essere ridefinito prima della visualizzazione della CEL a Runtime.
  3. È poi possibile definire altre impostazioni di filtro a Runtime usando il pulsante “Filtro” dell´immagine.

Funzione di cambio immagine per passare ad un´immagine di tipo “Filtro CEL”

Per fare in modo che a Runtime l´utente abbia accesso solamente ai filtri di cui ha bisogno, usare l´immagine di tipo “Filtro CEL”. Procedura:

  1. Progettare una funzione di cambio ad un´immagine di tipo “Filtro CEL”
  2. Aprire la CEL a Runtime eseguendo questa funzione.

    L´utente avrà una “Lista eventi cronologica” adattata alle sue esigenze personali

Ancora in questo capitolo

Profili filtro

Usa “Filtro CEL”


Profili filtro

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare la CEL -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente a Runtime in relazione ad una determinata immagine.

Per poter utilizzare i profili filtro, devono essere configurati nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profili filtro | Gestione profili a Runtime.
Selezione profili | Selezione di un profilo salvato a Runtime fra quelli contenuti nel menù a tendina.
Salva | Cliccando sul pulsante a Runtime, si salvano le impostazione di filtro come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cliccando sul pulsante (Elimina) a Runtime, si cancella il profilo selezionato.

Usando questi elementi di controllo, a Runtime sarà possibile:

  • Salvare filtri.
  • Usare i filtri salvati.
  • Cancellare profili filtro.

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Salvare profili filtro

Per creare un profilo filtro:

  1. Definire le condizioni di filtro.
  2. Assegnare un nome, digitandolo nel campo di inserimento Profilo filtro.
  3. Cliccare su Salva.
    Il profilo filtro verrà salvato e sarà disponibile nel menù a tendina.

Usare i profili filtro

Per usare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina di Profilo filtro.
  2. Il filtro verrà applicato immediatamente.

Cancellare i profili filtro

Per cancellare un profilo filtro:

  1. Selezionare un filtro fra quelli del menù a tendina di Profilo filtro.
  2. Cliccare sul pulsante Elimina.
    Il profilo filtro verrà cancellato.
  3. Il filtro cancellato continuerà ad essere applicato finché non ne verrà definito o selezionato uno nuovo.


Usa “Filtro CEL”

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare la CEL -> Usa “Filtro CEL”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo “Filtro CEL” consente di eseguire impostazioni di filtro individuali a Runtime per la “Lista eventi cronologica”. Si possono configurare anche tutte le impostazioni di filtro presenti nel Filtro per la funzione cambio immagine per passare all´immagine di tipo CEL.

In questo modo:

  • Vengono configurati e resi accessibili all´utente solamente gli elementi di filtro realmente necessari.
  • Vengono visualizzati solo questi filtri, facilitando così la vita dell´operatore e garantendogli una visione d´insieme migliore.
  • È possibile definire liberamente l´aspetto della lista a Runtime e rendere così possibile, per esempio, una facile gestione via touch screen.

Immagini filtro

Le immagini filtro consentono di trasferire un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene applicato all´immagine di destinazione. Le immagini possono essere anche di tipi diversi.

attention Attenzione

Perché a Runtime il tempo possa essere acquisito dall´immagine che apre, quando si configura il filtro tempo della funzione di cambio immagine per la Lista di informazione allarmi o per la Lista Eventi Cronologica, si deve impostare il seguente intervallo di tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Perché vengano applicati i filtri impostati, devono essere soddisfatti i seguenti requisiti:

  1. Come intervallo di tempo per il filtro tempo, deve essere selezionato Imposta filtro come filtro temporale.
  2. L´immagine (di tipo Filtro per lista informazione allarmi, Filtro CEL oppure Filtro tempo/lotto) deve essere richiamata usando un pulsante oppure un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Questo è possibile solamente se le due immagini non utilizzano o lo stesso modello o lo stesso monitor.
  4. L´immagine chiamante deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo.
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo. | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: vengono attualizzate le impostazioni comuni.
  • T: vengono aggiornate le impostazioni temporali.
  • X: vengono aggiornate tutte le impostazioni.

info Info

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni dei punti da 1 a 3 non è soddisfatta, oppure
  • L´impostazione Immagine chiamante della funzione Cambio immagine non è attiva, oppure
  • L´immagine non viene aperta mediante un elemento ad immagine.

In questo caso, i pulsanti Acquisisci, Chiudi e Aggiorna saranno visualizzati in color grigio (disattivati) e non saranno utilizzabili.

Aggiornamento

Quando viene aperta un´immagine filtro (Filtro Lista di informazione allarmi, Filtro CEL, Filtro tempo), le immagini configurate nella funzione Cambio immagine vengono aggiornate in due modi:

  • Se l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Se invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor (funzione di cambio immagine “Filtro CEL”) è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento viene eseguito non appena si clicca sul pulsante Acquisisci, oppure non appena si chiude l´immagine filtro tramite il pulsante Chiudi. Il pulsante Annullare rigetta le modifiche e chiude l´immagine filtro.

Aggiornare le impostazioni di filtro

Quando si clicca sul pulsante Aggiorna, vengono acquisite le correnti impostazioni di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine chiamante non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´update. La prima immagine trovata, verrà usata per eseguire l´update.


Stampare e esportare eventi

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampare e esportare eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti della CEL possono essere documentati e archiviati come segue:

  • CEL stampa online: ogni evento viene stampato su un line printer non appena viene visualizzato nella lista.
  • CEL stampa offline: la CEL viene stampata nello stato attuale, come se fosse una lista completata
  • Esportare contenuti della CEL (filtrati).

La definizione della stampante da utilizzare per la stampa della CEL viene eseguita nel menù File -> Configurazione generale -> Standard .

attention Attenzione

Per la stampa si usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel nodo File, nella cartella Testi e formati.

Modelli per il file FRM si trovano nella cartella di installazione di zenon, più precisamente nella sottocartella FRM_QRF. Possono essere inseriti nel progetto (alla voce Testi e formati del nodo “File” del Manager di progetto) e modificati in questa sede.

Nel capitolo File di configurazione FRM si trovano parole chiave per i file FRM.

Ancora in questo capitolo

Stampa online

Stampa offline

File di configurazione FRM

Esportare eventi


Stampa online

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampare e esportare eventi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso della stampa online, ogni evento inserito nella CEL viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente a ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per eseguire la stampa online degli inserimenti della CEL:

  1. Configurare anzitutto una stampante.
  2. Nelle proprietà di progetto, passare al nodo AML e CEL.
  3. Attivare la proprietà Stampa attiva (segno di spunta nella casella).
  4. Per la proprietà Stampa per, selezionare nel menù a tendina l´opzione Lista eventi cronologica (CEL).
  5. Definire il numero di righe tramite la proprietà Righe per pagina (Default: 72).
  6. Configurare il file BTB.frm.
  7. Aggiungere il BTB.frm al nodo File/Testi e formati

info Info

Questa funzione non è disponibile con Windows CE.

Gestione stampa e stampante a Runtime

Cambio pagina

Si ha un cambio pagina se:

  • Una pagina è stata scritta per intero.
  • In caso di stampa online, quando si chiude il Runtime.
  • Quando si esegue la funzione Inizia una nuova pagina per la stampa online.

Interrompi stampa

Per interrompere la stampa online o per riprenderla:

  • Eseguire la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante a Runtime:

  • Eseguire la funzione Cambio stampante online.

Per impostare la stampante scelta a Runtime:

  1. Configurare nell´immagine un elemento di controllo Dialogo di stampa
  2. A Runtime, cliccare sul pulsante Dialogo di stampa
  3. Si aprirà la finestra di dialogo di configurazione.

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo | Visualizzazione del tipo di stampante. Solo informazione
Luogo | Visualizzazione del luogo di collocazione della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Carta

Parametri | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Sorgente | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.

Esempio di formattazione

Progettazione in BTB.FRM:

Data: @DSYSTEM | Lista Eventi Cronologica Progetto demo | Tempo @TSYSTEM Ora | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | Lista Eventi Cronologica Progetto demo | Tempo: ore 12 | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Messaggio 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Messaggio 2 | Valore limite
20.03.2011 13:11:23 |  | Messaggio 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampare e esportare eventi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stampa offline significa che la CEL viene stampata nella forma in cui viene visualizzata al momento a Runtime. Questa stampa è un´immagine istantanea, compresi tutti i filtri che sono stati impostati e le loro restrizioni. La stampa viene eseguita indipendentemente dal fatto che le variabili abbiano settata l´opzione Stampa o meno.

Stampa

Per stampare la CEL offline:

  1. Anzitutto configurare una stampante
  2. Configurare il file BTB_G.frm
  3. Aggiungere il file BTB_G.frm al nodo File/Testi e formati
  4. A Runtime, cliccare sul pulsante “Stampa” o “Dialogo di stampa”.

Cambiare e impostare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante a Runtime:

  • Eseguire la funzione Cambio stampante online.

Per impostare la stampante scelta a Runtime:

  1. Configurare nell´immagine un elemento di controllo Dialogo di stampa
  2. A Runtime, cliccare sul pulsante Dialogo di stampa
  3. Si aprirà la finestra di dialogo di configurazione.

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo | Visualizzazione del tipo di stampante. Solo informazione
Luogo | Visualizzazione del luogo di collocazione della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Carta

Parametri | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Sorgente | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.

Esempio di formattazione

Progettazione in BTB_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
Data/Tempo ricevuto | Tempo esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Tempo: ore 12 | Testo
Data/Tempo ricevuto | Esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Messaggio 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Messaggio 2 | Valore limite
20.03.2011 13:11:23 |  | Messaggio 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampare e esportare eventi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Header: all´inizio della pagina.
  • Parte lista: ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando si modifica un file FRM, bisogna tenere presente quanto segue:

  • Separazione delle sezioni lista:
    • Header e parte lista, e parte lista e piè di pagina sono separati dal carattere %%.

      Questo carattere di separazione può essere utilizzato solo una volta per la parte lista e il piè di pagina.

    • Attenzione: all´ultima riga devono seguire perlomeno due capoversi vuoti. Altrimenti il piè di pagina non verrà stampato!
  • Posizionamento dei singoli inserimenti:
    Si possono usare solamente spazi vuoti, nessun tabulatore.
  • Modifica di un file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

La lunghezza della pagina si imposta nel nodo AML e CEL delle proprietà di progetto, oppure mediante i file ALARM.frm o ALAR_G.frm per l´AML. E i file BTB.frm e BTB_G.frm per la CEL.

Attenzione:

  • Il numero di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, numero), nella “Lista di informazione allarmi” deve essere attivata l`opzione Utilizza tempo di riattivazione.
  • Nel file di formattazione è possibile usare parole chiave e testi liberi. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave in lingua inglese.
  • Non ogni parola chiave è adatta ad ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene parole chiave in tedesco e inglese e le loro possibilità di sostituzione:

Tedesco | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte lista
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e ora del verificarsi dell´allarme.
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e ora della fine dell´allarme.
@DATZEITOK | @DTACK | X | - | X | - | Data e ora del ripristino dell´allarme.
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e ora della riattivazione: nelle proprietà di progetto, deve essere attivata la proprietà Utilizza tempo di riattivazione.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di “allarme entra” o “allarme esce”, o “allarme ripristinato” o “allarme riattivato”.
@ZEITOK | @TACK | X | - | X | - | Visualizza solamente il momento del ripristino.
@ZTKOMMT | @TRECEIVED | X | X | X | X | Visualizza solamente il momento del verificarsi dell´allarme.
@ZTGEHT | @TCLEARED | X | - | X | - | Visualizza solamente il momento della fine dell´allarme.
@ZTREAKT | @TREACTIVATE | X | - | X | - | Visualizza solamente il momento della riattivazione.
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce).
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili.
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi.
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi.
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi.
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi.
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta).
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme.
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni.
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella “Lista di informazione allarmi”.
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme.
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla “Lista di informazione allarmi”. Se si usano testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono state attivate.
@USER | @USERID | X | X | X | X | AML: utente che ha confermato l´allarme.
@RECHNER | @COMPUTER | X | X | X | X | AML: computer su cui l´allarme è stato confermato.
Parole chiave per l´intestazione e il piè di pagina.
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto.
@SEITE | @PAGE | X | X | X | X | Numero di pagina
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data di sistema e ora di sistema.
@HEADDATUM | @DSYSTEM | X | X | X | X | Data di sistema.
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora di sistema.
@USER | @USERID | X | X | X | X | Utente che stampa.
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha inizializzato l´attività.
@RECHNER | @COMPUTER | X | X | X | X | Computer da cui viene lanciata l´operazione di stampa.
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione sulla stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio per evitare che degli inserimenti vengano sovrascritti. In questo modo si garantisce che anche lunghi testi di valore limite vengano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esportare eventi

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampare e esportare eventi -> Esportare eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono differenti formati per esportare gli inserimenti della CEL:

  • dBase
  • CSV
  • XML
  • SQL

Esportazione

Per esportare inserimenti della CEL:

  1. Creare una funzione Esporta: lista CEL
  2. Collegare questa funzione ad un pulsante.
  3. Eseguire la funzione a Runtime.

info Info

L´esportazione SQL avviene in modo incrementale. Se ci sono già dati esportati, verranno esportati solamente quelli nuovi o quelli modificati.


Load Management

Manuale -> Load Management

The Load Management is a tool for the support of the economical management. It is for implementation of energy supply management for small and medium-sized power supply companies and also for industrial firms whose energy supply is arranged by special contracts.

The module includes two high-quality functions to support the user:

  • Forecast (short-term forecast): To avoid load peaks and to automate load shedding.
  • Optimization: Optimization of the determined energy consumption of a billing period.

The focus is on energy-related electrical equipment.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Project manager context menu

Menu item | Action
Esporta tutti in XML... | Exports all entries as an XML file.
Import XML... | Imports entries from an XML file.
Help | Opens online help.

Ancora in questo capitolo

Introduction

How the system works when electricity is used as the power source

Principal thoughts

Load management method

Multi-level combined heat and power plants (CHPs)

Engineering of the module Load Management

Internal state of the components

Creation of the Runtime files

Operating load management in Runtime


Introduction

Manuale -> Load Management -> Introduction

The task of a Load Management is to optimize the operation of customers with special contracts, such as energy supply companies or industrial companies. Energy trend calculations are used as a significant aid; these serve as the basis for automated optimization of energy consumption.

Ancora in questo capitolo

Initial situation in the electricity industry

Aims of an economic management

Rete gas


Initial situation in the electricity industry

Manuale -> Load Management -> Introduction -> Initial situation in the electricity industry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As a ruler in the energy industry a rate is used which includes both the investments of the provider and the arising costs for power generation and grid maintenance.

In order to set the price, these companies normally take into consideration a number of the peak power consumptions which arose over the year. The determination of the average power consumption takes place in a fixed measuring time, normally 15 to 30 minutes. In addition the price also includes the received power. Contracts concluded on this basis are valid on the long term.


Aims of an economic management

Manuale -> Load Management -> Introduction -> Aims of an economic management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The aim of the economic management when using electricity as power source is to receive as much energy as possible from your provider for a price as low as possible (optimization).

Potential savings come along when expensive peak power consumptions are avoided. The peak power consumptions during a measuring period can be avoided by pointedly controlled interventions.

  • Load shedding at switchable devices
  • Input of own generators

In order to do this, it is necessary to anticipate the average power consumption of a measuring period (prediction). Thus a threatening violation of the set limit can be recognized timely and an appropriate intervention can be carried out.


Rete gas

Manuale -> Load Management -> Introduction -> Rete gas

A partire da zenon 7.50, il modulo Load Management supporta solamente reti elettriche.

La funzionalità "Rete gas" è stata rimossa. Quando si importa, converte e compila dei progetti di zenon realizzati con versioni precedenti, viene visualizzato un messaggio corrispondente nella finestra di emissione dell'Editor di zenon quando il progetto in questione ha ancora contenuti per reti gas.

Al momento dello start del Runtime di zenon, viene generato un inserimento CEL corrispondente.

Testo avviso

In caso di una progettazione con contenuti "Rete gas", viene visualizzato nella finestra di emissione dell'Editor di zenon il seguente messaggio:

La funzionalità "Rete gas" non è più supportata nel modulo Load Management e quindi non verrà importata.


How the system works when electricity is used as the power source

Manuale -> Load Management -> How the system works when electricity is used as the power source

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The measuring period for the supply with electrical power is normally 15 or 30 minutes. During this time, the average power received at the transfer point (from here on it is referred to as power or load) or the equivalent amount of energy, is determined and recorded.

The price is usually fitted to the three highest values which accrued for the measuring periods in different months. The price is then valid on the long term.

The average power which is used to calculate the price can be reduced when corresponding peak power consumptions are limited due to pointedly controlled interventions. This short term optimization can be achieved by the following interventions:

  • Load shedding at switchable devices
  • Increasing input of own generators

The aim of this optimization is to not exceed the contractual set limit for the power in a measuring period under no circumstances. Additionally, the energy consumption should stay very close below the set limit in order to receive as much energy as possible.

The consumption optimization is performed by way of a short-term trend calculation. The measured values which were gathered during the handling interval (typically 30, 60 or 180 seconds) are used to perform a trend analysis. The calculated trend is projected to the end of the period.


Principal thoughts

Manuale -> Load Management -> Principal thoughts

The following chapter deals with thoughts and examples which make it easier for the user to indentify and select changeable elements of your plant. The question is what elements and devices can be influenced by the Load Management directly or indirectly in a sensible way.

Ancora in questo capitolo

Options in order to influence the output in the electrical power area

Power consumption characteristics of devices


Options in order to influence the output in the electrical power area

Manuale -> Load Management -> Principal thoughts -> Options in order to influence the output in the electrical power area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option

Description

Directly switchable devices

Devices which can be switched off briefly without interrupting any production processes are part of this group (industrial furnaces, pumps for water storages etc.).

The loads have a fixed value. In general the are depended on the device and therefore known of measureable.

Direct heatings

Because of their storage effect, these device can be switched off briefly without decreasing the quality of supply significantly (heating in warm water storages, electrically operated floor heatings etc.).

The loads consist of a consistent part and a part which is temperature-dependent. Additional the load is dependent on how long the device was switched off.

Monovalent heat pumps

In general these pumps are operated in the same way as direct heatings.

The temperature-dependent part is more distinctive and rise with falling outside temperatures (pumps used for generating heat including air conditioners) or rises with rising outside temperatures (air conditioners). The load is dependent on how long the device was switched off.

Bivalent heat pumps

These can choose between fuels they use. Beneath a certain temperature they are switched to a different fuel by their control unit of by the optimization.

At that no supply constraints emerge for the devices. These components are only switched in the long term and restrictively because the switching should not take place constantly.

When the temperature falls, the load increases up to the switching point. There it vanishes completely.

Night storage heatings

These devices are supplied with energy according to schedule or if there is any needed output during low rate periods. They are switched off during the remaining time.

The load depends essentially on the outside temperature. It is noticeable how many heatings are switched on (this is limited by the installed power) and how long they are charged.

Peak load aggregates and emergency power aggregates

These aggregates are switched on/off as required. In some cases these aggregates are controllable. The number of uses should be limited because the start of these aggregates coupled with additional costs on wear. In addition these aggregates should run for a minimum time in order to avoid thermal damages.

Combined heat and power units (CHPs)

These aggregates were primarily built to generate heat and are controlled by the heat demand during their operation (heat priority).

Some aggregates can be directly used to generate electric power (electric power demand). In general this operational mode is inefficient if the generated heat is not used at the same time. Therefore the use is only beneficial if the heat demand is corresponding or there is a possibility to store the heat.

The load reduction with regard to the take over point depends on the nominal size and for controlled or heat demand controlled aggregates from their working point.

It is quiet common to combine aggregates to groups. According to the heat demand, a certain quantity from the group is used. The maximum power lowering in the electrical power area is given by the number an nominal power of the used aggregates.

Lowering the voltage

In the electrical power area it is possible to lower the voltage in some grids. In order to achieve this, the transformers to the medium voltage level are switched to a lower level.

The voltage-dependence of the devices (ohmic load) causes another load demand provided that the voltage or output is not adjusted by subordinated controls.

The load reduction is dependent on the grid load, on the possible lowering of the voltage (minimum voltages must be adhered to) and on the composition of the devices.


Power consumption characteristics of devices

Manuale -> Load Management -> Principal thoughts -> Power consumption characteristics of devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to reconstruct the actual needed output, models must be used which represent the power consumption of the switched off components. These models are allocated to different classes.

Type | Description
Constant output | When switched on, an aggregate (pump, furnace) runs with a previously defined power consumption. Accordingly the output is reduced by the amount of the power consumption when the device is switched off. In this case it is enough to indicate the nominal power as a constant.
Directly temperature-dependent | The temperature dependence of the devices is directly dependent of weather effects and rises with thermal output approximately proportional to the negative gradient of the outdoor temperature. With respect to cooling capacity the behavior inverses itself.
Loading period model | At that the temperature makes itself felt with the size of the switch-on output and the length of the following loading period until the output drops when all heat stores are full.
Dependence on the switch-off time | At that several devices - because of the temporary cool down or warm up - are switched on dependent on the previous switch-off time. After a short period of time they switch themselves off again.
Dependent on the production process | In the industry sector behavior can occur - caused by production processes - which are subject to no behavior patterns or dependencies. These can only be determined by the production schedules.


Load management method

Manuale -> Load Management -> Load management method

The Load Management for electrical energy (electric current) is based on a time line analysis. At that the measured output progress is analyzed and extrapolated to the future. The forecast horizon of the Load Management corresponds to the remaining time of the measuring period.

Ancora in questo capitolo

Input values

The model for the short term prognosis

Operating principle of the obtaining rule

Overlapping of schedule inputs


Input values

Manuale -> Load Management -> Load management method -> Input values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As input value the Load Management expects a value from a counter or a calculated value which is supplied by the drivers or the result of the calculation of a mathematical formula in zenon.

Attention: It must be made sure that the value is supplied exactly one time in the update interval. Values must not be absent or be there twice.

The dimension: MW, kW or kWh

The system is designed on the basis of kW and hour. Therefore all power and energy amounts which must be entered in parameterization masks refer to these dimension. Internally the Load Management functions calculate without the dimensions. Thus it does not really matter in what dimensions the values are delivered and interpreted as long as they refer to the same basis. The base unit can be either kW or MW.

info Info

Because the Load Management is a component which can cause high costs if it fails, it is very important the input values are secured. It is recommended that values for this module are secured by using sensible alternate values or an alternate value strategy.


The model for the short term prognosis

Manuale -> Load Management -> Load management method -> The model for the short term prognosis

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the projection of the current power progress it is necessary to design a mathematical model of the power progress. By extrapolation of the power progress of this model over the remaining time of the billing period, the expected power value at the end of the period is estimated.

Power trend

At the end of the period T the power P prog (T) is to calculate. In order to calculate the current power trend, a linear function in the form of a polygon is used, which is extrapolated to the end of the period.

P prog (T) = P const (t) + P trend (t) * ( T - t )

The mathematical polygon factors p0, p1 are named after their physical meaning in order to make it easier to understand.

Factor | Description
P prog | prognosticated power value
P const | Power constant (value of the last values)
P trend | Power trend (linear ascent(descent)
D | Point in time of the end of the measuring period
t | current time

Energy trend

Deducted from this the energy trend up to the end of the period E(T) can be calculated with the function

E prog (T) =P aver (t) * t + P const (t) * (T - t) + ½ * P trend (t) * (T - t)

Factor | Description
E prog | prognosticated energy value
P aver | average power value

The first addend describes the determined energy up to the time t. The energy can be either determined by the average power value as described in the formula or is given as a direct calculated energy value E(t).

The second addend continues the present constant power to the end of the period and calculates the constant energy amount from that.

The third addend describes the additional influence of the trend.

Concerning the energy calculation for the actual billing a value is necessary which is set back exactly at the beginning of the measuring period. Therefore it is not possible to use externally filtered values.

From the formula mentioned above the average value at the end of the period is determinable.

P prog aver (T) = E prog (T) / T

Parameter | Description
P prog aver | prognosticated average power value

Ancora in questo capitolo

Calculation of the correction power

Actual value and real value forecast

Lowering the supply limit


Calculation of the correction power

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Calculation of the correction power

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During the measuring period the average power

P limit = agreed limit

can be obtained. Over the measuring period T this power equals

E limit = P limit * T

.

By comparing this power with the expected energy E prog (T) at the end of the period, the de- and exceedance of the agreed limit

E corr = E prog (T) - E limit

can be assessed. The de-/ or exceedance can be balanced by carrying out the corresponding switchings.

Minding that at time t only T-t balance time is available. Therewith a large correction power

P corr (t) = E corr / (T-t)

is necessary.


Actual value and real value forecast

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Actual value and real value forecast

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The forecast is carried out for several trends in the Load Management module.

  • The first trend considers the power consumption. This trend calculates the ascent of the power requirement as actual value forecast.
  • A second trend factor considers the switchings which have taken place in the past.
  • A third trend factor calculates the influence of the switchings which will take place in the future.

The trend functions are laid on top of each other and result in the real value forecast. It describes the actual power consumption to the end of the billing period which is to be expected.


Lowering the supply limit

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Lowering the supply limit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As the load trend can never be exactly predicted and as there are usually deviations of the switchable loads, it is necessary to go slightly below the actual supply set value for security reasons.

This is why there is a percentage of Safety distance [%] for the supply limit during parameterization, which must be undershot before connections are triggered.

Digit | Description
1 | Supply limit (set value)
2 | Safety distance
3 | Deactivate hysteresis
4 | Activate hysteresis
5 | Hysteresis for switching

Around this limit a hysteresis can be built with the help of Attiva isteresi [%] and Disabilita isteresi [%] . In doing so the Attiva isteresi [%] eliminates a part of the Safety distance [%].

attention Attenzione

Take care that Attiva isteresi [%] is in any case smaller than the Safety distance [%]. Otherwise the system reacts too late if the agreed limit is exceeded


Operating principle of the obtaining rule

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Closed Loop operation

Normally the obtaining rule is applied in the Closed Loop operation. There switch on and switch off times are calculated in accordance with the results of the optimization part. The switching is triggered directly by the corresponding switching commands.

info Info

In the Load Management module the immediate switching points do not have to be used at the devices. You can decide whether you want to make direct switching possible or whether switching must be cleared by the user first.

attention Attenzione

The unchecked use of the closed loop operation necessitates an intensive pilot stage. At that all switchings which are then done by the control must be checked by the user. This pilot stage must be adjusted to the size and complexity of the system. It is possible that the pilot stage lasts up to one year.

Ancora in questo capitolo

Output determination for the devices

Switching process


Output determination for the devices

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The output determination for the devices is especially important with regard to the assessment of the effect caused by switchings. The problem is that the output of the switched off devices cannot be measured directly and must sometimes be estimated.

In the system two mechanisms are implemented in order to determine the output

  • Fixed value by parameterization

    The value (e.g. the nominal power) is considered by the optimization as fixed and is always available.

  • Measuring the current value.

    The value is measured and zenon describes this value with the help of a variable in the devices.

The initial value for the output of the device is determined with a polling of the variable value during the beginning of the optimization. In order to compensate errors due to fluctuations, the optimization calculates a gliding average value using the consecutively arriving measurements.

info Info

If a component is switched off when the optimization starts, its output is presumed as zero. Thus the SCADA function cannot determine a valid output value as prerequisite for the use of the component. The component must be switch on by hand once.

attention Attenzione

As long as not at least one value has arrived, the output value of the component is not known and cannot be used for the optimization.

Ancora in questo capitolo

Primary factors

Secondary factors


Primary factors

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices -> Primary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The amount of the energy

In general the device selection is determined by the amount of energy which can be switched on or off.

If the requested amount of energy cannot be reached exactly, it is treated as a minimum value at a switch-off request and a maximum value at a switch-on request. The consumption limits can thus be safely adhered to.

info Info

During the Runtime the amount of energy can be adjusted dynamically with the help of a variable.

Availability

The availability controls if the device is usable in general. The availability can be set manually and is always set back when the component cannot be used because of operational reasons (e.g. at overhauls) or when the optimization should not use it.

Conditions which arise during the process can also determine the availability of the component and control its use by the optimization.

info Info

In the Runtime the availability can be adjusted dynamically with the help of a variable. For example time tables with respect to the availability can be implemented with the help of a scheduler or the Production & Facility Scheduler.


Secondary factors

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices -> Secondary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lock times and release times of the devices

With the help of the lock times you can control during which times the components are not available for the optimization. The times which are not designated as lock times represent the release times.

attention Attenzione

During the lock times the components are not influenced by the optimization - or only in the released direction. Thus the components remain in the state they had reached at the end of the release time.

Minimum and maximum switching times

You can specify the minimum and maximum time for the single switch states (on/off) for each used device and generator. The time indicates what time period must have elapse at least in order to trigger a switching in the opposite direction.

This parameter is important for aggregates because in order to avoid thermal damages and damages caused by soot they must not be switched off right after they were switched on. Thus for example a certain amount of time must have passed after the heating groups had been activated before they switch on.

Switching frequency

If devices and generators can only be switched a limited number of times in a certain time period, the components are no longer switched when this number is exceeded. Beside the number of switchings a time period must also be defined in order to carry out the parameterization.

Example Esempio

Maximum 25 switchings in 12 hours

Switching priorities

The switching of the components is planned in accordance with a priority schedule. At that switch-on and switch-off priorities are listed separately. The user can determine the priorities in accordance with the operation requirements. The component with the highest priority (highest numerical value) is switched first.

If there is a requirement to switch the components in a sorted order by having the device that was switched on first be the one switched off last, a number pattern must be applied to all components: ascending for the first switch-on and descending for the last switch-off.

info Info

If several devices have the same priority in one plant, the Load Management automatically ensures that on average all devices of the same level are switched equally often.


Switching process

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Switching process

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The term switch-off request on the part of the optimization always refers to the reaction of the device which decreases the needed output and therewith the obtained output because it is switched-off. Therefore the request for the switch-off can be fulfilled by switching on an aggregate.

Processes during a switching

Digit | Description
1 | Pre-warning on
2 | Output order ON
3 | Delay time for switch-on
4 | Pre-warning off
5 | Output order OFF
6 | Delay time for switch-off

Delay time for the switch-on (switch-on dead time)

Equals the time period from activating the switching order until the nominal power is reached.

This time - dependent on the aggregate - can be quite long; e.g. starting up the aggregate und synchronization, rearwards controlled heating etc.

Delay time for the switch-off (switch-off dead time)

Time period from activating the switching order until the output is zero. You must add the time of the activation of the switching order to the time when the total output is zero.

Forewarn time for the switching-on and the switching-off (length of forewarn time)

The switching times are planned to a second in order to exactly control the amount of energy. In order to give the user the opportunity to adhere to the times in the open-loop operation a certain lead time to carry out the switching is necessary. This is defiend by Tempo di preavviso. Hereby the user receives information about switchings which are planned before they are actually carried out.

attention Attenzione

As the Load Management module assumes that the switchings are carried out, the suggested switchings should be carried out in the corresponding time in respect to the exactness of the forecast.

Tactic of the switching schedule

In general the switching selection happens in a way that as few switchings as possible are carried out. This calms the grid operation and keeps up the availability of the devices whose use are limited by a maximum of switchings. In addition conflicts are minimized which can occur at the command output of the switchings.

The use of components with a much higher output than that is used for the correction is possible by a specific time control. The components are used for such a short time that the compensate the needed output.

Suppressed switchings at the beginning of a measuring period

At the beginning of a measuring period it is possible that larger switchings are carried out or large deviations to the actual output average value are set in order to compensate large amounts of energy at the end of the period. That is way it is necessary at the beginning of the period to give the system the opportunity to adjust itself to the new circumstances.

That is why a Down time begin tariff interval can be engineered in the system. During this time the optimization doe not carry out any switchings.

attention Attenzione

If for a long time no response is received for a switch command which was issued by the EMS (on the response variable), the Load Management assumes that the action failed und tries to carry out another switching (on the next available component). Therefore you must always ensure that the correct response about the success of a switchng operation is transferred to the Load Management.


Overlapping of schedule inputs

Manuale -> Load Management -> Load management method -> Overlapping of schedule inputs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The switching of aggregates and devices according to fixed times with the help of the Scheduler or the Production & Facility Scheduler is possible with several applications. As there is not explicit link between these modules and the short term optimization, these switchings are not monitored in regard of the output trend. They are also not displayed in the trend of the obtained output. They are interfering in the short time optimization with regard to its result.

In order that these interferences do not have radical effects, external switchings should be engineered in a way that they take place at period change. If this is not possible, they should be scheduled right after a period change so that the interfering influence on the control can still be compensated. These switchings should be finished within the Down time begin tariff interval and the influence of the switching on the input value should be present.


Multi-level combined heat and power plants (CHPs)

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Multi-level CHPs can be regarded as one component. It is possible to describe CHPs with 2 to n levels.

The CHPs are controlled by a set value. Additionally different output levels can be defined which this set value can take on. The actual output of the CHP is registered by a measurement (variable) and sent to the Load Management.

attention Attenzione

A CHP is only available for the Load Management when it has reached its nominal power. The availability flag is set accordingly by the engineering. The Load Management cannot switch off the CHP but only switch it to its nominal power.

Ancora in questo capitolo

Set value processing at CHPs

Planned switchings for CHPs

Priorities of CHPs

Time-dependent restrictions for CHPs

Manual operation of CHPs


Set value processing at CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Set value processing at CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The number of values which the set value can become equals the number of the defined levels. The value which the set value can become always equals exactly one of the defined values for the levels. The Load Management does not allocate another number to the set value.

The initialization is carried out with the currently measured output. If this value does not equal a defined level, the next smaller level is allocated. The CHP is treated as unavailable as long as the measured output does not match a level. If the measured output is disturbed, the CHP is not available and the set value is initialized as recently as a valid measured value arrives.

As a measured output does not have to equal a set value exactly, a hysteresis is defined around the set value. A level counts as reached or set as soon as the current output value is within the hysteresis of the given set value. The hysteresis can be defined for each CHP individually.

The defined levels must not be skipped when allocating the set value. The Load Management appoints the set value only to the next higher or lower level.

A set value input is only carried out if the CHP shows an explicit level (considering the hysteresis) at that time. Otherwise the CHP is not available because the measured value does not equal a level.


Planned switchings for CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Planned switchings for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When planning the set value inputs for a CHP, the conditions for the set value inputs must be taken into consideration. If several levels of a CHP are necessary in order to cover the output, keep in mind that it is only possible to switch from one level to the next level when executing a switching schedule. At that the set value inputs for each level must be in accordance with the delay times for the switch-on and switch-off of each level.

attention Attenzione

You must consider that the forewarning is only given at a defined level setting. Thus you must regard the length of the forewarning time for the individual levels when creating the switching schedule.


Priorities of CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Priorities of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A CHP has a fixed switch-on and switch-off priority. The values can be controlled by variables. Thus priorities can be controlled flexible. The takeover of a new priority takes place at the next rate interval change.

The priorities are not set for each level individually but are valid for the whole CHP.

If a least two CHPs have the same priority, the rolling priority procedure is used. A more important condition for CHPs with same priority is that they are set to the same level if possible or that they differentiate by one level at the most. The prerequisite for this is that both the switch-on priority and the switch-off priority of these CHPs is the same.

The internal reference counter for the number of switchings is incremented when the CHP is switched on. This is exactly the case when the current output passes over from one level to the next higher level. At devices using electrical current the reference counter is incremented when the component is switched off. Thus within one priority level the switching between two CHPs is compared to the switch-on and switch-off of a device.


Time-dependent restrictions for CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

CHPs need special care with regard to their time behavior. The Load Management must consider special requirements at a level switch and at delay times while the CHP are running.

Ancora in questo capitolo

Running time according to level switching

Expiration of the delay time


Running time according to level switching

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Running time according to level switching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The minimum and maximum running time of CHPs must be set for each level. Instead of four times for a component (minimum switch-on time, minimum switch-off time, maximum switch-on time and maximum switch-off time) there are only two times - minimum and maximum runtime per level - in order to describe a CHP with levels.

The minimum running time (switch-on time) of a level indicates how long the CHP has to run at the least on this level. After a level is reached, the optimization must wait at least this amount of time before a new set value input can be made for the next lower level.

The maximum running time of a level indicates how long a CHP is allowed to run on this level at the most. With the exception of the lowest level (nominal power), the CHP is switched to the next lower level after this time expires. At that a level counts as active even if the CHP actually runs on a higher level. The maximum running time of the individual levels must be attuned to other restrictions with regard to minimum running time and forewarning. Thus a timely switch to a lower level is possible. The optimization must also prevent set value inputs to a higher level when the maximum running time cannot be adhered to e.g. because of the minimum running time of the higher level.

info Info

Manual switching can cause violations of the defined restrictions. These are intercepted by the Load Management.

For the lowest level (nominal level) the maximum running time has a different meaning than for the other levels. The maximum running time of the lowest level indicates how long a CHP is allowed to run on this level alone at the most. After that the CHP must be switched to the next higher level.

Example for the parameterization of the individual levels:

Step | 0 | 1 | 2 | 3 | 4
Output | 100 | 200 | 300 | 400 | 500
minimum switch-on time (in seconds) | -- | 60 | 60 | 60 | 60
Forewarn time (in seconds) | -- | 210 | 0 | 0 | 0
Delay time for switch-on (in seconds) | -- | 30 | 30 | 30 | 30
Delay time for switch-off (in seconds) | -- | 30 | 30 | 30 | 30
Minimum value for the maximum switch-on time (in seconds) | 210 | 240 | 180 | 120 | 60

The times which must be entered in the parameterization for the switch-on or switch-off always refer to the level for which they are entered. This means that the switch-off time which is parameterized for one level is considered if a "switching" is carried out from this level to the next lower level. The switch-on time is considered if a "switching" is carried out from a lower level to this level.

As the lowest level represents the CHP running with nominal power, no information for minimal running time, forewarn time, delay time for switch-on and delay time for switch-off is necessary.

The minimal allowed values for the maximum switch-on times of each level are as follows:

  • For the first level:

    Forewarn time of the next higher level

  • For the last level:

    maximum/minimum switch-on time, forewarn time of the last level

  • For all other levels:

    maximum/minimum switch-on time, forewarn time of next higher level

    + delay time for switch-on for the next higher level

    + minimum value for the maximum switch-on time of the next higher level

    + forewarn time of the next higher level

    + delay time for switch-off for the next higher level

If for one CHP the maximum switch-on time for one level is below the calculated minimum value for the maximum switch-on time, the CHP is treated as not available and a corresponding availability identification is set for the readiness.


Expiration of the delay time

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Expiration of the delay time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A set value remains at a certain level until that level is reached or until the defined delay time has passed. In case the delay time expires, the set value is re-initialized according to the currently measured performance. This requires determining the level of the current performance. The following cases can apply:

  • The current performance value matches the old level:

    The set value did not have any effect and is therefore reset to the old value.

  • The current value does not match any level:

    There can be a check whether the current performance has approached the new set value.
    In that case, the configured set value can be kept; otherwise, it must be reinitalized.

  • The current value matches another level:

    The performance of the CHP has changed in contrast to the set value input. This corresponds to a manual switch despite availability for the Load Management. See Manual switch for further steps.

Switching plans to the next levels must be revised or exchanged if the previously configured set value of a switching action for a CHP was not reached. For any further switching actions, different components will be preferred.


Manual operation of CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Manual operation of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a measured value of the current output without set point input is outside of the level set by the Load Management, this component is accepted as not available because it is obvious that the Load Managementis not controlling it at the time.

If a measured value of the current output re-enters the hysteresis area of a defined level, the difference to the set value is registered and the difference at the level setting is assumed to be manual operation. The set value is set to the newly identified level.

A recognized manual operation is transmitted to the forecast so that it can be considered in the trend calculation.


Engineering of the module Load Management

Manuale -> Load Management -> Engineering of the module Load Management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The engineering of the Load Management is carried out via a hierarchic tree structure. There corresponding sub-objects are linked to individual objects depending on their type. Sub-objects are added by selecting the corresponding menu item in the context menu of the selected node.

All objects have property Nome and Descrizione. The engineering of the individual objects is carried out via the property window.

All properties that can be amended in the property window are briefly described in the Property help window after you click on the respective property name.

info Info

All mentioned or shown properties are only visible if the module Load Management is licensed. The licensed Load Management module is a separate element in the project tree. The settings in the Load Management can be made with the help of this entry.

attention Attenzione

Within the Load Management all existing units (grids, device groups, generators, devices etc.) should have a distinct name in order to ensure the perfect function of the forecast and the optimization.

info Info

All values of variables which are used in the Load Management to state or adjust time values during the Runtime (e.g. switch-on time variable) are interpreted as seconds. Therefore a numerical value of 300 corresponds to a time period of 5 minutes (=300 seconds).

In order to ensure the correct functionality of the Load Management, you must create the following variables for a supply area:

  • Consumo totale attuale
  • Supply limit
  • Valore iniziale di previsione
  • First switching value
  • Area d'errore prevista
  • Valore finale di previsione
  • Last switching value
  • Gross actual deviation
  • Net actual deviation

info Info

Use the "Create and link variables automatically" command menu entry in the context menu for a supply area. This command automatically creates variables for the properties listed above and links the variables with the properties.

You must at least create the following variables for a generator/device in order to ensure the functionality of the Load Management.

  • Stato di Switch for the generator
  • Stato di Switch for the device
  • Disponibilità

Ancora in questo capitolo

Minimum requirements

Load Management: Detail view of toolbars and context menus

Data for load management

Grids

Supply Area

Device Group

Generator

Devices

Locking times

Create Load Management screen

Engineering the screen switch function

Create function start/stop

Engineering switching operations preview


Minimum requirements

Manuale -> Load Management -> Engineering of the module Load Management -> Minimum requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Supply area

For the correct functionality of the Load Management, you must create at least the following variables for a supply area:

  • Consumo totale attuale
  • Supply limit
  • Valore iniziale di previsione
  • First switching value
  • Area d'errore prevista
  • Valore finale di previsione
  • Last switching value
  • Gross actual deviation
  • Net actual deviation

info Info

In the context menu for a supply area you can find the menu item Create variable. It automatically creates variables for the properties listed above and links the variables with the properties. Properties Consumo totale attuale and Supply limit are an exception. You must create them manually.

Generators/Devices

For the correct functionality of the Load Management, you must create at least the following variables for a generator/device:

  • for the device
    • Stato di Switch
    • Standby output variable
      or value for property Standby output
  • for the generator
    • Stato di Switch
    • Variabile per Potenza Nominale
      or value for property Nominal output
  • for the generator and the device
    • Disponibilità


Load Management: Detail view of toolbars and context menus

Manuale -> Load Management -> Engineering of the module Load Management -> Load Management: Detail view of toolbars and context menus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entry | Description
New | Creates a new object, depending on the position in the tree.
Copy | Copies selected element to the clipboard.
Incolla | Pastes objects from the clipboard.
Delete | Deletes selected element after confirmation message.
_Esporta selezione in XML | Exports all selected elements as an XML file.
Import XML... | Imports objects from an XML file.
Properties | Opens the property window for the selected element.
Help | Opens the online-help for the Load Management module.

Context menus grids

Entry | Description
New power grid | Creates a new power grid.
Incolla | Inserts objects of the type Grid.
Esporta tutti in XML... | Exports all defined grids to an XML file.
Import XML... | Imports objects of the type Grid.
Help | Opens the online-help for the Load Management module.

Additional context menus:

Power grids

Ancora in questo capitolo

Context menu for power grids


Context menu for power grids

Manuale -> Load Management -> Engineering of the module Load Management -> Load Management: Detail view of toolbars and context menus -> Context menu for power grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context menu power grid

Entry | Action
New supply area | Creates a new supply area.
Copy | Copies the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Incolla | Inserts objects of the type Power Grid.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select).
_Esporta selezione in XML | Exports the selected entries as an XML file.
Import XML ... | Imports objects from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu supply area

Entry | Action
Generator new | Creates a new generator in the selected supply area.
New device group | Creates a new device group in the supply area.
Create and link variables automatically | Automatically creates the minimum required variables for the selected supply area and links them to the suitable properties.
Copy | Copies the selected supply area to the clipboard. You cannot copy more than one supply area at a time (no multi-select).
Incolla | Pastes objects from the clipboard. It is possible to paste objects of the type Supply area.
Delete | Deletes the currently-selected supply area. You cannot delete more than one supply area at a time (no multi-select).
_Esporta selezione in XML | Exports the currently-selected supply area. You cannot export more than one supply area at a time (no multi-select).
Import XML ... | Imports the configuration of supply areas from an XML file. Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu generator (group)

Entry | Action
Generator new | Creates a new generator for the currently-selected supply area.
Incolla | Pastes objects of the type Generator from the clipboard.
Import XML... | Imports generator objects from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu generator

Entry | Action
Copy | Copies selected generators to the clipboard.
Incolla | Pastes objects of the type Generator from the clipboard.
Delete | Deletes selected generators. Before deletion, a dialog is opened requesting confirmation.
_Esporta selezione in XML | Exports all selected generators of the selected supply are into an XML file.
Import XML... | Imports generator objects from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu device groups (group)

Entry | Action
New device group | Creates a new device group.
Incolla | Pastes objects of the type Device group from the clipboard.
Import XML... | Imports objects of the type Device group from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu device group

Entry | Action
New device | Creates a new device in the selected device group.
Copy | Copies the selected device group to the clipboard. You cannot copy more than one group at a time (no multi-select).
Incolla | Pastes objects of the type Device group, device from the clipboard.
Delete | Deletes the selected device group. You cannot delete more than one group at a time (no multi-select). Before deletion, a dialog is opened requesting confirmation.
_Esporta selezione in XML | Exports all devices of the selected grid as an XML file. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu device

Entry | Action
Copy | Copies the selected device group to the clipboard. You cannot copy more than one group at a time (no multi-select).
Incolla | Pastes objects of the type Device group, device from the clipboard.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select). Before deletion, a dialog is opened requesting confirmation.
_Esporta selezione in XML | Exports selected device group as an XML file. You cannot copy more than one group at a time (no multi-select).
Import XML... | Imports objects of the type Supply area from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.


Data for load management

Manuale -> Load Management -> Engineering of the module Load Management -> Data for load management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Load Management needs a historic data basis in order to calculate the trend and to perform the optimization. If no historic data are available for the data points, the Load Management cannot start the calculation. Therefore no calculated value is displayed for the Valore finale di previsione.

At the moment the Load Management has no interface to the Historian. This is not necessary for the short term optimization. For this the historic data which were recorded via option Salvataggio dati su disco fisso are enough.

The following settings depending on the period length are recommended for the recording of the HD data.

Number of past values

As guideline use the following rule-of-thumb:

The Historic data area which is provided by the Salvataggio dati su disco fisso has to be at least 1.5 times the size of the corresponding Orizzonte di previsione. If not enough data are available, the calculation of the optimization is not started.

attention Attenzione

At the beginning of the Orizzonte di previsione the Load Management needs a Consumo totale attuale for the displayed supply area. Thereby the new value must be transferred to the Load Management during the next but one Ciclo di ottimizzazione, i.e. if the optimization cycle is 30 seconds, the value must be transferred in the period between 30 an 60 seconds.

If the Load Management does not receive a value in this period, the new initialization of the Load Management can be carried out during the next billing period at the earliest.


Grids

Manuale -> Load Management -> Engineering of the module Load Management -> Grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The collective node contains all projects which have been created in the grid but does not offer any setting possibilities itself.

Options:

Menu/Entry | Description
New power grid | Creates a new power grid.
Incolla | Pastes objects from the clipboard.
Esporta tutti in XML... | Exports all defined grids to an XML file.
Import XML... | Imports objects from an XML file.
Help | Opens the online-help for the Load Management module.

You must place a distinct Nome with each created grid. In order to ease identification you can place a free Descrizione with each grid as an option. This is not mandatory.

info Info

For each project only 1 power grid can be created or administrated.


Supply Area

Manuale -> Load Management -> Engineering of the module Load Management -> Supply Area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The supply area is the level of the object hierarchy which is used as a basis for the forecast and the optimization.

info Info

In order to start the Load Management for a particular supply area, a function of the type "Load Management" must be executed which has this supply area as parameter.

Settings for the supply area of a power grid

For supply areas the following settings are available:

  • Valore di ingresso: Defines variables for the supply of the current values and the supply limits.
  • Valori calcolati: Settings in order to adjust parameters for the forecast and the optimization with the help of variables during the Runtime.
  • Parametri: Important settings for the optimization of the supply area with direct influence to the switchings of the Load Management.
  • Infomazione di stato: Setting which variable holds the information about the availability of the Load Management screen.

All in the respective groups adjustable properties are described in the help window after you click on them.

Context menu entries

Menu/Entry | Description
Generator new | Creates a new generator in the selected supply area.
New device group | Creates a new device group in the supply area.
Creating variables | Automatically creates the minimum required variables for the selected supply area and links them to the suitable properties.
Cut | No function at the supply area.
Copy | Copies the currently-selected supply area. You cannot copy more than one supply area at a time (no multi-select).
Incolla | It is possible to paste objects of the type Supply area.
Delete | Deletes the currently-selected supply area. You cannot delete more than one supply area at a time (no multi-select).
Esporta tutti in XML... | Exports all supply areas of the selected grid.
_Esporta selezione in XML | Exports the currently-selected supply area. You cannot export more than one supply area at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Device Group

Manuale -> Load Management -> Engineering of the module Load Management -> Device Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Individual devices are combined in a device group. At that each device group can contain any number of devices.

Context menu entries at node "Device groups".

Menu/Entry | Description
New device group | Creates a new device group.
Paste | Inserts objects of the type Device group.
_Esporta selezione in XML | Exports the device group including all defined devices within the group.
Import XML... | Imports objects of the type Device group.
Help | Opens the online-help for the Load Management module.

Context menu entries at the node of a device group:

Menu/Entry | Description
New device | Creates a new device in the selected device group.
Cut | No function at the device group.
Copy | Copies the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select).
Esporta tutti in XML... | Exports all device groups of the selected grid.
_Esporta selezione in XML | Exports the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Generator

Manuale -> Load Management -> Engineering of the module Load Management -> Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can use the Generator node to create new generators for the selected electricity grid using the context menu.

Generators serve to lower the currently obtained power. Basically it is possible to engage each generator or to set it on higher load (Picco). If a generator is engaged, the power currently obtained (Consumo medio corrente) is immediately lowered.

Context menu entries at node "Generator".

Menu/Entry | Description
Generator new | Creates a new generator for the currently-selected supply area.
Incolla | Inserts objects of the type Generator.
Esporta tutti in XML... | Exports all generators of the supply area
Import XML... | Imports objects of the type Generator.
Help | Opens the online-help for the Load Management module.

Properties

In addition to name and identification, properties can be defined in different groups for the generator:

  • Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.
  • Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.
  • Switching frequency: Definition of the maximum number of switchings per time unity.
  • Variabile di accensione: Variable for the adaption of important parameters during the Runtime.
  • Tempi di blocco: Excludes single pieces of equipment of the Load Management from the optimization.
  • Circuit stages: Define switching levels for combined heat and power units.

All adjustable properties are described in the help window after you click on them.

attention Attenzione

The switching priority is regarded by the Load Management taking all equipment into account. That means the same number circle is applied for generators and devices. Therefore the priorities for all defined equipment must be considered because it is not distinguished between generators and devices.

Context menu entries for a selected generator:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Incolla | Inserts objects of the type Device group, Device.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select).
Esporta tutti in XML... | Exports all device groups of the selected grid.
_Esporta selezione in XML | Exports the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.

Ancora in questo capitolo

Switching steps


Switching steps

Manuale -> Load Management -> Engineering of the module Load Management -> Generator -> Switching steps

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The CHPs (combined heat and power units) are a special case within the Load Management. This special type of generators can adjust their output in levels. In order to define a CHP, you can define switching levels for a random device in the Load Management.

Basically you can define under the node Circuit stages settings for the Variabile setpoint, for the current output and for the Isteresi for each CHP.

For every CHP any number of switching levels can be defined:

Each switching level offers settings for the output, the forewarning of the switching and the switch-on and switch-off. All adjustable properties are described in the help window after you click on them.

attention Attenzione

If switching levels are defined for a generator, these settings overwrite the standard parameters of the generator. An according warning is displayed during compiling in the output window. "


Devices

Manuale -> Load Management -> Engineering of the module Load Management -> Devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Load Management devices are the essential components which "use up" energy. By switching devices on or off the Load Management can interfere in a regulative way. At that it helps to avoid peak loads.

Context menu entries for a selected device group:

Menu/Entry | Description
New device | Creates a new device in the currently-selected supply area.
Cut | No function at the device group.
Copy | Copies the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Incolla | Inserts objects of the type Device group, Device.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select).
Esporta tutti in XML... | Exports all device groups of the selected grid.
_Esporta selezione in XML | Exports the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.

Properties

In addition to name and identification, properties can be defined in different groups for the device:

Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.

Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

Switching frequency: Definition of the maximum number of switchings per time unity.

Variabile di accensione: Variable for the adaption of important parameters during the Runtime.

Tempi di blocco: Excludes single pieces of equipment of the Load Management from the optimization.

All adjustable properties are described in the help window after you click on them.

Context menu entries for the selected device

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the selected device group to the clipboard. You cannot copy more than one group at a time (no multi-select).
Incolla | Pastes objects of the type Device group, device from the clipboard.
Delete | Deletes the currently-selected device group. You cannot delete more than one group at a time (no multi-select).
Esporta tutti in XML... | Exports all device groups of the selected grid.
_Esporta selezione in XML | Exports the currently-selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Locking times

Manuale -> Load Management -> Engineering of the module Load Management -> Locking times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For both generators and devices it is possible to define times in which switchings can be carried out only restricted or not at all. Any number of lock times can be defined for each generator/device.

Any number of lock times can be defined for each element. You must ensure that the lock times do not overlap. If they do, it is possible that the component cannot be switched by the Load Management anymore.

info Info

The lock time parameters are set in the project and cannot be changed during the Runtime.


Create Load Management screen

Manuale -> Load Management -> Engineering of the module Load Management -> Create Load Management screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Load Management module is operated in Runtime by means of a Load Management screen.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Select Load Management in the Tipo di immagine property.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Control elements

Control element | Description
Insert template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Forecast window | Window to display the forecast
List preview | Display of the list preview.
Supply area name | Display of the name of the supply area. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Compatible elements

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Control element | Description
Supply area name | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.


Engineering the screen switch function

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering the screen switch function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating a screen switch function for a screen of the type Load Management the following dialog is displayed:

Note: The dialog shown shows the values for a selected electricity grid and supply area, as well for configured variables. All fields are empty by default.

In the Runtime the Load Management screen is opened with the help of a screen switch function. The following parameters can be configured:

Parameter | Description
Grids | Selection of the grids. Shows the name of the configured grid.
Supply Areas | List of configured Supply areas of the selected grid. The selected supply area is displayed in the Runtime n of the optimization. Only one supply area can be displayed per screen. You have however the possibility to open several screens of the type Load Management parallel. At that several supply areas can be displayed parallel.

Graphical design

In this area, you configure the appearance of the load management screen in <CD_RUNTIME> Runtime.

Parameter

Description

Current value

Display color and line thickness of the current value in the configured load management screen in Runtime:

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Axes

Display color and line thickness of the axes in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Auxiliary lines

Display color and line thickness of the auxiliary lines in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Curves

Display color and line thickness of the curves in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Scale minimum

Lower limit of the range scale for the display of the characteristic curve in the configured Load Management screen in Runtime.

Scale maximum

Upper limit of the range scale for the display of the characteristic curve in the configured Load Management screen in Runtime.

Font

Setting the parameters for the font that is used for the axis captions and the trend curve in Runtime.

Select from drop-down list.

Billing period

Default: 15 min

Linked variables

The configured variables for the corresponding values are shown in this area.
Configuration is not possible in this dialog. Configuration is carried out directly in the properties of the elements of the module.

Parameter | Description
Media di previsione | xx Valori calcolati
Consumo medio corrente | Valori calcolati
Valore medio stimato per area valori | Valori calcolati
Valore finale di previsione | Valori calcolati
Current value | This field is only for display. You cannot change the value. The variable of the property Current value of the currently selected supply area is displayed.
Final value of forecast | This field is only for display. You cannot change the value. The variable of the property Final value forecast of the currently selected supply area is displayed.
Forecast average | This field is only for display. You cannot change the value. The variable of the property Forecast average of the currently selected supply area is displayed.
Supply limit | This field is only for display. You cannot change the value. The variable of the property Supply limit of the currently selected supply area is displayed.
Billing period (min.) | This field is only for display. You cannot change the value. Shows the currently set length of the Billing period for the selected supply area.

Switching operation

For the engineering of the switching operation you define the filter settings for the display in the Runtime in tab Column settings for the switching operations preview. You can find details in chapter Column settings for the switching operations preview.


Create function start/stop

Manuale -> Load Management -> Engineering of the module Load Management -> Create function start/stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For each area you must start the optimization separately in the Runtime. For this you use the function Avvio Load Management.
In order to stop started areas, create the function Termine Load Management.

Note: These functions are only carried out on the server.

attention Attenzione

In the Runtime all started areas recorded by the licensing. Take care of sufficient licensing.

Hint: Stop the optimization of areas if they are not needed in order to use your license in an optimal way.. In order to stop areas regularly e.g. in the night or in certain shifts, you can control functions Avvio Load Management or Termine Load Management with the help of the Production & Facility Scheduler.

Load Management start

Steps to create a function:

  • Create a new function
    In the toolbar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.
  • In the Applicazione node, click on Avvio Load Management:
    The dialog to select the supply area is opened.

  • First select the desired grid from the Grids list.
    The available supply areas are listed in the list of supply areas.
  • Then select the desired supply area from the list of supply areas.
  • Click on the OK button to create the function.

Stop Load Management

  • Create a new function
    In the toolbar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.
  • In the Applicazione node, click on Termine Load Management:
    The dialog to select the supply area is opened.

  • First select the desired grid from the Grids list.
    The available supply areas are listed in the list of supply areas.
  • Then select the desired supply area from the list of supply areas.
  • Click on the OK button to create the function.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Engineering switching operations preview

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Planned switching operations can be displayed as a preview in the Runtime.

In order to engineer the switching operations preview in the Runtime:

  1. Link a String variable to the desired Load Management supply area with the help of property Accensioni pianificate (group Infomazione di stato). The variable receives a list of all planned switching operations from the Load Management.

    Hint: A string variable from the internal driver makes most sense.
    For server operation set the calculation to Network. Thus the variable is distributed in the whole zenon network.

  2. Define the desired content of the switching operations preview. For this open tab Load Management Column settings for the switching operations preview in the dialog of the screen switch function to the screen Load Management.
  3. Insert the Table view: control element into the Load Management screen. Switching operations preview on.

    You can customize color and font using its properties.

Language switch

You can switch between languages for all information displayed in the switching operations preview with the help of the language table.

For this you can define the name for the column titles in the filter dialog. For example if you define a name such as @Switching time, @Object name or similar, these names are replaced by the corresponding entries from the language table in the Runtime.

In addition the whole content of the switching operations preview can be replaced:

  1. Object names are replaced by putting a @ in front of them during the Load Management engineering. For example: @Generator1
  2. Current value and switching value can either have a numerical content (with CHP steps) or @On/@Off

Ancora in questo capitolo

Column settings for the switching operations preview

Switching operations preview in the Runtime


Column settings for the switching operations preview

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview -> Column settings for the switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via the column setting you can define which information is displayed in what order.

Note: The language of all information displayed in the switching operations can be switched via the language table:
Select the name with a @ before it, for example @Schaltzeit, so that this can be replaced with the corresponding language table entries in Runtime.

In the list field of this tab all available column types are displayed. With the help of a checkbox you decide which column types are displayed. You can change the description and the width of each column type by left-clicking the corresponding area and entering the desired value in the input field.

Parameter | Description
Column type | Type of the column. Cannot be edited. The display in the Runtime is activated or deactivated with the help of a checkbox.
Description | Defines the header of the respective column. You can configure it as language switchable. The value can be edited.
Width | Defines the width of the column in pixels. You can also define the width of the column by clicking and dragging the column with the mouse in the list with the horizontal display of the column names. The value can be edited.
Move selected entry up | Moves the selected column up. You can also move the columns with drag&drop.
Move selected entry down | Moves the selected column down. You can also move the columns with drag&drop.
Field with horizontal display of the column names | Shows the columns which are active in the list. You can define the size of the columns by clicking and dragging the column borders with the mouse.

attention Attenzione

The column width is dependent on the used font. If the column width is not a multiple of the character width of the used font, the actual column width can differ from the set column width.


Switching operations preview in the Runtime

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview -> Switching operations preview in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime screen Switching operations preview displays the upcoming switching operations with date and consequence:


Internal state of the components

Manuale -> Load Management -> Internal state of the components

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Internally in the Load Management different states for the components are carried along. This states can be shown using a variable. We recommend to monitor the states with reaction matrix and e.g. to evaluate them in the Chronological Event List.

The variable Internal switching state of components can take on the following values:

General reasons (valid for all components)

Value | Description
0 | Not used (Booting).
100 | Service is possible.
101 | No switching request of the peak load forecast.
102 | Deactivated until the end of the rate interval.
103 | The switching forewarn command is invalid.
104 | Not enough time in order to forewarn.
105 | The forewarn time has not yet expired.
106 | It is not possible to add output at the end of the rate interval because of the parameterization.
107 | The switching state cannot be detected.
200 | Delay time has not expired yet.
201 | Component is set to "not available.
202 | Availability message is invalid.
203 | No variable is defined in order to determine the operation state.
204 | Parameterization is faulty.
205 | Dead time has not expired yet.
206 | Report of the current switching state is invalid.
207 | No data for the gliding average value of the output are available yet.
208 | Current output value is invalid.
209 | Is set to "implicit" (schedule medium-term).
210 | Text address or value for switch-on priority is invalid.
211 | Text address or value for switch-off priority is invalid.
212 | Blocking time is active, blocking time type OFF.
213 | Blocking time is active, blocking time type ON.
214 | Maximum number of switchings has already been reached.
215 | Switching command cannot be used.
216 | Minimum switching time has not been reached yet.
217 | Schedule data have not been written completely yet.
218 | General problem.
219 | Command variable cannot be used for switching.
220 | No command defined for sending the switching forewarning.
221 | Extended parameterization for minimum power-on time per time unit not valid.
222 | Because of other restrictions, it is not possible to stick to restriction "Adhere to minimum power-on time per time unit".
223 | Switched on implicitly because of "minimum switch-on time per time unit".
250 | Variable or value for minimum switch-on time is invalid.
251 | Variable or value for minimum switch-off time is invalid.
252 | Variable or value for maximum switch-on time is invalid.
253 | Variable or value for maximum switch-off time is invalid.
254 | Restrictions are not reasonable.

Reasons for storage

Value | Description
4000 | Current filling level value is invalid.
4001 | Current roll out (actual value) is invalid.
4001 | Roll out is implicit because of the manual set value.
4003 | Storage capacity limited because of filling level limit.
4004 | Storage is full.
4005 | Set value for storage is not defined.
4006 | Maximum roll in capacity and maximum roll out capacity are both 0.
4007 | Variable which is used to measure the current filling level is invalid.

Reasons for CHPs (generator)

Value | Description
5000 | The current output does not comply with a level output.
5001 | CHP does not run below nominal power.
5002 | The CHP only has one level can cannot be switched.
5003 | The CHP runs with nominal power and cannot be switched down further.
5004 | The highest switched on level cannot be switched off because of the minimal switch-on time per time unit.
5005 | The CHP is already running on its highest level.
5006 | The variable which is used to measure the current output is invalid.
5007 | The forewarning for a level was activated. Waiting for set value input.
5008 | The variable for the set value is invalid.
5009 | The order of the output guidelines by variables is not ascending.
5010 | The value of a parameterized maximum switch-on time of a level is too small.
5011 | Maximum running time of a level has been reached. The level is switched off.


Creation of the Runtime files

Manuale -> Load Management -> Creation of the Runtime files

After engineering the functions Avvio Load Management or Termine Load Management a consistency check of the engineering is carried out during the creation of the Runtime files. If problems occur, a corresponding message is displayed in the output window e.g. if necessary variables were not allocated.

Runtime does not start

If a project cannot be started in the Runtime, it can have the following reasons:

  • wrong engineering
  • missing license: With the function Avvio Load Management the license is checked. If the license is not available, the Load Management does not start and a corresponding entry is generated in the log.


Operating load management in Runtime

Manuale -> Load Management -> Operating load management in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screens of the Load Management make it possible to monitor the prognosis and the optimization during the Runtime in form of a trend screen.

The single operating elements are positioned in the screen with the help control elements (prognosis area and the display of the current supply area).

info Info

The screen in Runtime only serves for the display of optimization and prognosis data. No interventions can be carries out in the screen. Parameters of the Load Management module are exclusively controlled via variables.

For example a prognosis can look like this:

Digit | Description (properties of the supply area)
1 | Previous tariff interval
2 | Current tariff interval
3 | Supply limit
4 | First switching value
5 | Estimated final consumption
6 | Current average consumption value
7 | Start value of estimation
8 | Last switching value
9 | Estimated error range
10 | Forecast average value

info Info

With the preview, after an invalid value it is always the second valid value of the following values that is applied first. If no value change is established, the same value as the one last received is assumed. This ensures a preview that is as precise as possible.


Log delle modifiche

Manuale -> Log delle modifiche

Il "Log delle modifiche" è lo strumento che consente di documentare la progettazione in modo completo. Tramite questo strumento è possibile registrare ogni tipo di intervento eseguito in un progetto (modifiche, cancellazioni, ecc). Di default, il "Log delle modifiche" non è attivo e deve essere espressamente attivato nell´Editor.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Esporta tutto in CSV... | Esporta tutti gli inserimenti in un file CSV.
Attiva filtro esteso | Apre la finestra di dialogo che consente di configurare le impostazioni per il filtro esteso.
Disattiva filtro esteso | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la configurazione delle impostazioni di filtro esteso.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Configurazione nell'Editor

Dati archiviati

Operazioni registrate

Esportazione dati


Configurazione nell'Editor

Manuale -> Log delle modifiche -> Configurazione nell'Editor

Il "Log delle modifiche" deve essere attivato nell´Editor. Procedura:

  1. Nelle proprietà di progetto, passare al gruppo Log delle modifiche.
  2. Attivare la proprietà Log delle modifiche attivo (segno di spunta nella casella).
  3. Usando la proprietà Livelli di dettaglio, selezionare i livelli di dettaglio che dovranno essere registrati:
    • Oggetto: verranno registrati solamente i nomi degli oggetti modificati.
    • Proprietà: oltre ai nomi degli oggetti, verranno registrate nel "Log delle modifiche" anche le proprietà modificate e i loro nuovi valori.
    • Cambio valori: oltre al nuovo valore di una proprietà, verrà salvato anche quello vecchio. In questo modo si garantisce una completa tracciabilità delle modifiche riguardanti i valori. Questa impostazione rappresenta il più alto livello di dettaglio possibile.
      Nota: i valori modificati verranno tagliati se superano una lunghezza di 128 caratteri.
  4. Nel caso di progetti multiutente, per il Log delle modifiche vale quanto segue: se la proprietà Consenti modifiche automatiche è attiva, il sistema consente automaticamente l´accesso in scrittura ogni volta che l´utente vuole inserire un commento. Questo corrisponde al rilascio manuale di contenuti di progetto eseguito con la voce di menù contestuale “Rendi possibili le modifiche”. Di Default questa proprietà è disattivata, perché, se attiva, può causare un carico di dati molto grande e dunque richiedere prestazioni molto elevate al computer.

Protezione del Log delle modifiche

Il "Log delle modifiche" può essere protetto in modo tale da evitare che possa essere attivato o disattivato da utenti non autorizzati a farlo. Procedura:

  1. Nelle proprietà di progetto, passare al gruppo Gestione user.
  2. Cliccare nel campo della proprietà Autorizzazion Funzioni.

    Si aprirà la finestra di dialogo che consente la modifica delle autorizzazioni funzioni.

  3. Selezionare per Attiva/Disattiva Log modifiche (scheda: Autorizzazioni funzioni Editor) il livello di autorizzazione desiderato.

Ancora in questo capitolo

Log delle modifiche - Visualizzazione dettagli - Barra degli strumenti e menù contestuale


Log delle modifiche - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Manuale -> Log delle modifiche -> Configurazione nell'Editor -> Log delle modifiche - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Filtra modulo | Setta il filtro sul modulo dell´inserimento selezionato.
Filtro oggetti | Setta il filtro sull´oggetto dell´inserimento selezionato.
Attiva filtro esteso | Attiva le proprietà per la configurazione delle impostazioni di filtro esteso.
Disattiva filtro esteso | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la configurazione delle impostazioni di filtro esteso.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro.
Copia | Copia gli inserimenti selezionati negli appunti
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Esporta selezione in CSV | Esporta tutti gli inserimenti selezionati in un file CSV.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Dati archiviati

Manuale -> Log delle modifiche -> Dati archiviati

Quando il "Log delle modifiche" è attivo, le modifiche eseguite nel progetto vengono visualizzate sulla base delle impostazioni selezionate nella visualizzazione dettagli del Manager di progetto. Il primo inserimento documenta l’attivazione del "Log delle modifiche". Quando si disattiva il "Log delle modifiche", questa azione viene registrata come ultimo inserimento nelle visuale dettagli.

Inserimento

Descrizione

Imposta stati

Stato dell´oggetto nei progetti multiutente.

Verde: l´oggetto ha lo stato Rendi possibile le modifiche.

Vuoto: l´oggetto ha lo stato Accetta modifiche.

Data e ora

Data ed ora della modifica.

Azione

Tipo di azione eseguita. Valori possibili:

  • Nuovo
  • Modificato
  • Eliminato
  • Nuovo - VBA
  • Modificato - VBA
  • Eliminato - VBA

Modulo

Il modulo (p.e. PFS, Archiviazione, Report) nel quale è stata eseguita la modifica.

Oggetto

Oggetto modificato.

Elemento

Elemento modificato. Viene registrato il nome come configurato nella proprietà Nome elemento.

Proprietà

Proprietà dell’oggetto/elemento, che è stata modificata.

Valore vecchio

Il valore della proprietà prima della modifica.

Disponibile solo se nel gruppo "Log delle modifiche" delle proprietà di progetto, è stata selezionata l´opzione Cambio valori per la proprietà Livelli di dettaglio.

Valore nuovo

Valore della proprietà dopo la modifica.

Disponibile solo se nel gruppo "Log delle modifiche" delle proprietà di progetto, per la proprietà Livelli di dettaglio

è stata selezionata l´opzioneProprietà, o l´opzione Cambio valori.

Utente

Utente che ha eseguito la modifica. Se la gestione user non è attiva, oppure non c`è nessun utente registrato, viene letto e inserito in questa colonna il nome dell´utente Windows.

Nome PC

Nome del computer sul quale è stata eseguita la modifica.

Commento

Testo per commento definito dall´utente.

La successione delle colonne della visualizzazione dettagli può essere modificata a piacere trascinando il titolo della colonna con il mouse (Drag&Drop). Ogni colonna può essere filtrata sulla base di determinati criteri di ricerca.

Nota: se si cambiano certe proprietà che aprono una finestra di dialogo con impostazioni addizionali, non tutte le modifiche verranno registrate nel "Log delle modifiche".
Ad esempio: nel modulo Batch Control, si modifica un parametro collegato ad una fase tramite una formula. Questo cambiamento non verrà registrato nel "Log delle modifiche". Tuttavia, se si cambia la formula, la modifica verrà registrata.

Ancora in questo capitolo

Filtrare dati


Filtrare dati

Manuale -> Log delle modifiche -> Dati archiviati -> Filtrare dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di filtrare la lista degli inserimenti del "Log delle modifiche":

  1. Filtro esteso del "Log delle modifiche"
  2. Filtro della visualizzazione elenco

Filtro esteso del "Log delle modifiche"

Si può accedere al "Filtro esteso" usando il menù contestuale del nodo "Log delle modifiche" del Manager di progetto, oppure il menù contestuale e la barra degli strumenti della visualizzazione dettagli.

Impostazioni generali

Parametro | Descrizione
Numero massimo inserimenti | Definisce il numero massimo di data set da visualizzare nella visualizzazione elenco. 0: numero illimitato. Default: 1000

Filtro tempo

Parametro

Descrizione

Periodo

Consente di filtrare in base ad un determinato intervallo di tempo, oppure a partire da un determinato momento, o fino ad un determinato momento.

Attivo: verranno visualizzati solamente gli inserimenti relativi all´intervallo di tempo impostato.
Default: non attivo.

Da

Data e ora a partire dalle quali le modifiche devono essere visualizzate.

Fino

Data e ora fino alle quali le modifiche devono essere visualizzate.


Operazioni registrate

Manuale -> Log delle modifiche -> Operazioni registrate

Nel "Log delle modifiche" si registra quanto segue:

Oggetto

Modifiche

zenon Logic
  • Nuovo progetto zenon Logic
  • Eliminato progetto zenon Logic
  • Modificato progetto zenon Logic

Add-In Framework
  • Installazione di Add-In Packages
  • Disinstallare Add-In Packages

Archivi
  • Nuovo archivio
  • Archivio eliminato
  • Archivio modificato
  • Aggiungi variabile
  • Cancella variabile

Utente
  • Nuovo utente
  • Utente eliminato
  • Utente modificato

Immagini
  • Nuova immagine
  • Immagine eliminata
  • Immagine modificata

File
  • File aggiunto
  • File eliminato
  • File modificato

Tipi di dato
  • Nuovo tipo di dato
  • Tipo di dato eliminato
  • Tipo di dato modificato

Elementi dinamici/ Elementi vettoriali
  • Nuovo elemento
  • Elemento eliminato
  • Elemento modificato

Funzioni
  • Nuova funzione
  • Funzione eliminata
  • Funzione modificata

Menù
  • Nuovo menù principale
  • Menù principale eliminato
  • Menù principale modificato
  • Nuovo menù contestuale
  • Menù contestuale eliminato
  • Menù contestuale modificato

Message Control
  • Al momento di salvare le modifiche

Process Control Engine
  • Al momento di salvare le modifiche

Progetto
  • Spostamento di un progetto nella struttura ad albero.

Backup progetto
  • Creazione di un backup di progetto con numero di versione.

Matrici di reazione
  • Nuova matrice di reazione
  • Matrice di reazione eliminata
  • Matrice di reazione modificata

Report
  • Nuovo Report
  • Report eliminato
  • Report modificato – al momento di salvare

Ricetta
  • Nuova ricetta
  • Ricetta eliminata
  • Ricetta modificata
  • Aggiungi variabile...
  • Cancella variabile
  • Valore modificato

Gruppi ricette
  • Nuovo gruppo ricette
  • Gruppo di ricetta eliminato
  • Gruppo di ricette modificato
  • Nuova ricetta
  • Ricetta modificata
  • Ricetta eliminata
  • Aggiungi variabile...
  • Cancella variabile
  • Valore modificato
  • Sorgente modificata
  • Tipo di sorgente modificato

Modelli
  • Nuovo modello
  • Modello eliminato
  • Modello modificato

Schedulatore
  • Al momento di salvare le modifiche

Caratteri
  • Nuovo Carattere
  • Carattere eliminato
  • Carattere modificato

Script
  • Nuovo Script
  • Script eliminato
  • Script modificato

Tabella lingua
  • Nuovo Inserimento
  • Inserimento eliminato
  • Inserimento modificato

Driver
  • Nuovo driver
  • Driver eliminato
  • Driver modificato

VBA
  • Al momento di salvare le modifiche nell'editor VBA, viene generato un record nel Log delle modifiche.

Variabili
  • Nuova Variabile
  • Variabile eliminata
  • Variabile modificata

Interblocchi
  • Nuovo Interblocco
  • Interblocco modificato
  • Interblocco eliminato
  • Nuova Variabile
  • Variabile eliminata

Temporizzatori
  • Nuovo temporizzatore
  • Temporizzatore eliminato
  • Temporizzatore modificato


Esportazione dati

Manuale -> Log delle modifiche -> Esportazione dati

I dati del "Log delle modifiche" possono essere esportati nei formati XML e CSV.

Procedura:

  1. Selezionare gli inserimenti desiderati
    (è possibile selezionare più inserimenti usando le combinazioni di tasti Ctrl+ tasto sinistro del mouse, Shift+tasto sinistro del mouse, Ctrl+a)
  2. Nel menù contestuale, selezionare la forma di esportazione desiderata (XML, CSV).
  3. Si aprirà la finestra di dialogo che consente di selezionare una cartella in cui salvare il file.
  4. Assegnare un nome e confermare l´inserimento cliccando su Salva

Nota: i titoli degli inserimenti esportati sono sempre in inglese.


Manager gruppi di ricette

Manuale -> Manager gruppi di ricette

Il Manager gruppi ricette offre delle altre possibilità oltre a quelle messe a disposizione dalle Ricette:

creazione del layout tabellare (formato standard o liberamente impostabile con il Generatore di rapporti), libera creazione del layout con elementi dinamici, ricetta richiamabile tramite OLE, richiamo indiretto di una ricetta (per esempio: in dipendenza di una variabile in occasione dell'apertura di un'immagine, libera divisione in gruppi).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Percorsi

Fino alla versione 7.0 inclusa, per il RGM si poteva selezionare come percorso di salvataggio MS Access o dati binari. A partire dalla versione 7.10, nel Manager di gruppi ricette non viene più supportata la banca dati MS Access. Quando si apre un progetto esistente, il filing passa automaticamente a Dati binari. I dettagli su questo tema li trovate nella parte della guida dedicata alla conversione progetto, nel capitolo Manager di gruppi ricette Convertire banca dati.

Per le versioni precedenti alla 7.10, con possibilità di salvataggio in MS Access, dovete tenere presente quanto segue:

  • la lunghezza massima del testo di variabili di responso è di 300 caratteri
  • in rete, l´uso di MS Access può portare al verificarsi di errori durante il Runtime quando si usano apparecchi CE come Client o Server; in questo caso si deve usare il formato dati binari.
  • l´uso di caratteri Unicode nel nome ricetta, nel gruppo di ricetta o un commento, non viene supportato.

Ancora in questo capitolo

Configurazione nell'Editor

Funzioni

Gestione a Runtime

Gestione degli errori

Esempi


Configurazione nell'Editor

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare il RGM avete bisogno di regola di:

  • una Immagine del tipo Manager gruppi ricette
  • Gruppi ricette e Ricette
  • Funzioni per la gestione del Manager gruppi ricette durante il Runtime

Indicazioni sulla convenzione nomi: per le ricette sono consentiti caratteri alfanumerici. I seguenti caratteri non sono validi (\"'./*?<>!|).

Ancora in questo capitolo

Menù contestuale - Manager di progetto

Menù contestuali Visualizzazione dettagliata

Creare immagine di tipo "Manager gruppi ricette"

Convalida delle ricette prima del settaggio

Creazione di un gruppo di ricette

Variabili per gruppi ricette

Aggiungere ricette ad un gruppo ricette

Versione della ricetta

Stato ricetta

Lista dei bit di stato

Windows CE


Menù contestuale - Manager di progetto

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa da un file XML.
Profilo Editor | Apre il menù a tendina per attribuire un profilo Editor.
Guida | Apre la guida online.


Menù contestuali Visualizzazione dettagliata

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Menù contestuali Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Parametri | Descrizione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Elabora ricetta | Apre la finestra di dialogo con le ricette.
Modifica parametri variabili | Apre la finestra di dialogo con le ricette.
Crea funzione standard | Apre la finestra di dialogo che consente di selezionare una ricetta e di definire un´azione.
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare variabili.
Cancella variabile | Cancella una variabile selezionata dalla lista.
Sposta in su | Sposta la variabile selezionata verso l´alto.
Sposta in giù | Sposta la variabile selezionata verso il basso
Duplica | Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+0; Default10 diviene Default100.
Elimina | Cancella un inserimento selezionato.
Esporta selezione in XML | Esporta tutti i gruppi ricette selezionati in un file XML.
Importa file XML | Importa da un file XML.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare l´oggetto selezionato.
Guida | Apre la guida in linea.

Menù contestuale - Gruppi ricette

Voce di menù | Azione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa la ricetta e il gruppo ricette da un file XML.
Guida | Apre la guida online.

Menù contestuale - Gruppo ricette selezionato

Voce di menù

Azione

Duplica

Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Nota: le variabili di ricetta collegate al gruppo vengono sostituite in base alle regole al momento di effettuare la duplicazione del gruppo ricette.

Elimina

Elimina i gruppi ricette selezionati dopo una richiesta di conferma per ragioni di sicurezza.

Gruppi di impianto...

Apre il dialogo che serve alla scelta di Gruppo di impianti.

Esporta selezione in XML

Esporta tutti i gruppi ricette selezionati in un file XML.

Importa file XML

Importa da un file XML.

Rinomina

Apre la cella contenente il nome del gruppo ricette per consentirne la modifica.

Guida

Apre la guida online.

Menù contestuale - Variabile

Voce di menù | Azione
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare variabili.
Modifica parametri variabili | Apre il dialogo con le ricette
Guida | Apre la guida online.

Menu contestuale Variabile selezionata

Voce di menù | Azione
Cancella variabile | Cancella la variabile dalla lista.
Sposta in su | Sposta la variabile di un posto in sù nell´ambito della lista.
Sposta in giù | sposta la variabile di un posto in giù nell´ambito della lista.
Guida | Apre la guida online.

Menù contestuale ricette

Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Importa ASCII | Importa da file ASCII.
Guida | Apre la guida online.

Menù contestuale - Ricetta selezionata

Voce di menù

Azione

Elabora ricetta

Apre la finestra di dialogo con le ricette.

Crea nuova versione di ricetta

Crea una nuova versione della ricetta.

Crea funzione standard

Apre la finestra di dialogo che consente di selezionare una ricetta e di definire un´azione.

Duplica come versione ricetta

Crea una nuova versione della ricetta selezionata.

Duplica come nuova ricetta

Crea una nuova ricetta con i contenuti della ricetta selezionata e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Nota: le variabili sorgente per il tipo di azione Collega a variabile possono essere sostituite duplicando la ricetta.

Elimina

Elimina la ricetta selezionata dopo una richiesta di conferma.

Esporta selezione in XML

Esporta la ricetta selezionata in un file XML.

Rinomina

Apre la cella contenente il nome della ricetta per consentirne la modifica.

Guida

Apre la guida online.


Creare immagine di tipo "Manager gruppi ricette"

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Creare immagine di tipo "Manager gruppi ricette"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´immagine di tipo”Manager gruppi ricette”, si possono gestire le ricette a Runtime in modo singolo e riunite in gruppi.

Creare immagine di tipo "Manager gruppi ricette"

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare l´opzione Manager Gruppi di Ricette.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

info Info

Quando si leggono, esportano, importano e salvano ricette a Runtime, una barra di progresso informa sullo stato di avanzamento dell´esecuzione dell´azione. Dettagli su questo tema si trovano nel capitolo Creazione di variabili di sistema per ricette standard e Manager gruppi ricette

info Info

Per inserire un valore decimale si può usare sia la virgola che il punto; ma la virgola verrà convertita automaticamente in un punto.

Ancora in questo capitolo

Elementi di controllo

Aspetto della lista ricette


Elementi di controllo

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Creare immagine di tipo "Manager gruppi ricette" -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci template

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Informazione

Informazioni su ricette, utenti e modifiche.

Elemento di controllo

Descrizione

Nome gruppo ricette

Nome del gruppo ricette attualmente selezionato.

Lista ricette

Visualizza tutte le ricette/versioni ricetta della lista. La selezione contiene solamente ricette che sono contenute al momento dell´apertura dell´immagine nel Filtro di ricetta della Funzione Cambio immagine.

A Runtime può essere selezionato solamente un inserimento alla volta. La ricetta selezionata viene visualizzata nell´immagine e può essere poi modificata.

Se si usano anche gli elementi di controllo Nome ricetta e/o Versione ricetta, la selezione viene sempre sincronizzata. Se dunque si modifica la selezione in un elemento di controllo, cambia anche quella nella lista e viceversa. Se un criterio di filtro dovesse escludere l´inserimento scelto nella lista, in essa non sarà selezionato nulla.

Note:

  • le nuove ricette vengono aggiunte sempre alla fine della lista indipendentemente dai criteri di filtro.
  • Le modifiche dei dati ricette vengono visualizzati solo dopo che la ricetta è stata salvata.
  • Per quello che concerne i contenuti della lista, sono traducibili le seguenti cose:
    - Titoli nelle intestazioni
    - Testi di commenti
    - Testo dello stato ricetta

Selezione colonne (Lista ricetta)

Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.

Formato colonne (Lista ricetta)

Apre la finestra di dialogo che consente di formattare le colonne.

Nome ricetta

Menù a tendina con i nomi ricetta per selezionare la ricetta da visualizzare.

Versione ricetta

Crea un menù a tendina che a Runtime contiene tutti i numeri di versione della ricetta selezionata.

Stato ricetta

Crea un menù a tendina che a Runtime contiene tutti gli stati progettati. Viene visualizzato lo stato corrente della versione ricetta selezionata.

A Runtime, lo stato può essere modificato in questa sede. Verrà applicato solo dopo che la ricetta sarà stata salvata.

Suggerimento: la modifica dello stato a Runtime può essere monitorata o terminata tramite l´evento VBA StatusChange.

Tabella valori ricette

Visualizzazione della ricetta selezionata in forma di tabella. La tabella può essere configurata direttamente a Runtime.

Nota: non è disponibile con Windows CE. Con Windows CE, viene sostituita dalla Tabella valori ricette (obsoleta).

Selezione colonne (Tabella valori ricetta)

Apre la finestra di dialogo che consente di selezionare le colonne da visualizzare.

Non è disponibile per Tabella valori ricette CE.

Formato colonne (Tabella valori ricetta)

Apre la finestra di dialogo che consente di formattare le colonne.

Non è disponibile per Tabella valori ricette CE.

Tabella valori ricette CE

Visualizzazione della ricetta selezionata in una forma fissa di tabella . Sostituisce la Tabella valori ricette sotto Windows CE.

Filtro di ricetta

Menù a tendina con filtro ricetta.

Nome utente

Nome dell´utente che ha modificato per ultimo la ricetta corrente.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Tempo ultima modifica

Data e ora dell´ultima modifica della ricetta corrente.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Scrittura in corso

Visualizzazione grafica della durata del settaggio delle ricette.

Modifica

Elementi di controllo per la modifica delle informazioni.

Elemento di controllo

Descrizione

Filtro

Definire le opzioni per la finestra ricette.

A Runtime, usare il menù a tendina per filtrare le variabili visualizzate sulla base dei testi di filtro impostati in precedenza.

Leggi valori selezionati

I valori delle variabili selezionate nella tabella vengono acquisiti dal PLC e inseriti nella tabella. Le modifiche devono essere poi salvate!

Scrivi valori selezionati

I valori delle variabili selezionate nella tabella vengono scritti nel PLC così come visualizzati nella tabella.

Leggi tutti i valori

I valori di tutte le variabili esistenti nella ricetta selezionata vengono acquisiti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Leggere & salvare tutti i valori

Scrive valori direttamente dal PLC nella ricetta e li salva immediatamente.

Scrivi tutti i valori

I valori di tutte le variabili esistenti nella ricetta selezionata sono scritti nel PLC così come visualizzati nella tabella.

Tutti i valori ++

Tutti i valori della ricetta selezionata vengono incrementati di 1.

Tutti i valori --

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

Cambiare tutti i valori %

Se si utilizza questo pulsate a Runtime, tutti i valori della ricetta selezionata vengono modificati sulla base del valore percentuale indicato nella finestra Modifica Valori %; il segno che precede quello percentuale determina se il valore viene aggiunto o sottratto a quelli della ricetta:

  • Segno più (+): il valore viene aumentato in modo corrispondente.
    Es.: +20% -> 100 diventa 120.
  • Segno meno (-): il valore viene diminuito in modo corrispondente.
    Es.: -20% -> 100 diventa 80
  • Nessun segno: il valore percentuale del valore attuale diventa il nuovo valore.
    Es: 20% -> 100 diventa 20

% (Campo input)

Premendo questo pulsante, tutti i valori della ricetta selezionata sono aumentati (+) o diminuiti (-) della percentuale indicata.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Cambiare tutti i valori formula

Tutti valori della ricetta selezionata sono modificati tramite la funzione matematica indicata in Valore Formula.

Può essere eseguita esattamente un´operazione. Ciò ha effetto su tutte le variabili numeriche.

Le operazioni possibili sono l´addizione (+), la sottrazione (-), la moltiplicazione (*) e la divisione (/).

Il valore nella ricetta corrisponde all´operando sinistro, mentre l´utente definisce l´operazione nel Valore Formula e l´operando destro.
Ciò significa: $NewValue = $CurrentValue $Formula field.
$Formula field deve contenere l´operatore.

Esempio:

  • inserimento in Valore formula: +100
  • Risultato: tutti i valori vengono aumentati di 100.

Attenzione: si può indicare solamente un operatore, Più operatori portano a risultati imprevisti. Per esempio: l´inserimento /250+5 causerebbe un aumento di tutti i valori pari a 2505.

Forma (campo di inserimento)

Funzione matematica, tramite la quale il valore di tutte le variabili nella ricetta attuale deve essere modificato appena si preme il pulsante Modifica tutti i valori tramite formula.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Stampa tabella

Stampa la tabella sulla stampante definita.

Disponibile solo per Tabella valori ricette CE.
La stampa della Tabella valori ricette può avvenire anche via Report Viewer.

Esporta/Importa

Elementi di controllo per l´export e l´import.

Elemento di controllo | Descrizione
Esporta gruppo di ricette (XML) | Esporta il gruppo ricette in un file XML.
Esporta ricetta (TXT) | Esporta la ricetta attuale in un file TXT.
Importa ricetta (TXT) | Importa la ricetta attuale in un file TXT.
Esporta ricetta(XML) | Esporta la ricetta attuale in un file XML.
Importa ricetta (XML) | Importa la ricetta o il gruppo ricette da un file XML. Se nel file ci sono singole ricette, deve essere selezionato un gruppo ricette per l´importazione.

Gestione ricetta

Elementi di controllo per la gestione ricette.

Elemento di controllo

Descrizione

Nuova ricetta

Crea una nuova ricetta.

Rinomina ricetta

Rinomina la ricetta attuale.

Salva ricetta

Salva la ricetta attuale con lo stesso nome.

Salva ricetta con nome

Salva la ricetta attuale con un altro nome. La nuova ricetta contiene solamente le proprietà salvate nella ricetta originale.

Elimina ricetta

Cancella la ricetta attuale.

Nuova versione ricetta

Crea una nuova versione della ricetta. I valori della versione della ricetta che è stata creata vengono popolati con i valori di sostituzione.

Suggerimento: con il VBA Event VersionCreate si può controllare questa azione.

Duplica versione ricetta

Duplica la versione ricetta selezionata. Viene creata una nuova versione e i valori ricetta vengono popolati con quelli della versione selezionata precedentemente.

Suggerimento: con il VBA Event VersionDuplicate si può controllare questa azione.

Leggere e duplicare versione ricetta

Duplica la versione ricetta selezionata e poi la legge.

Prima viene impostata una nuova versione della ricetta selezionata. I valori della ricetta ricevono quelli della versione scelta. In seguito vengono letti i valori per la nuova versione dal PLC.

Suggerimento: con il VBA Event VersionDuplicateRead si può controllare questa azione.

Elimina versione di ricetta

Cancella la versione ricetta selezionata. Se la versione ricetta selezionata è l´ultima versione rimasta di questa ricetta, verrà cancellata l´intera ricetta.

Suggerimento: con il VBA Event VersionDelete si può controllare questa azione.

Stato ricetta:
Settare lo stato 1 - 10

Setta uno di dieci possibili stati.

La funzione setta il valore di stato (1-10) sulla ricetta attualmente selezionata nell´immagine. Per applicare lo stato per la ricetta, si deve salvare la ricetta stessa.

Vengono settati solamente gli stati che sono stati progettati nel Manager gruppi ricette. Se si utilizza un valore di stato non disponibile, la variabile del driver di sistema per Funzione di ricetta/RGM in esecuzione viene settata su “errore”, e il sistema genera un inserimento nella CEL.

Nota: lo stato selezionato con questo pulsante viene visualizzato nella lista a cascata Stato ricetta. La Lista delle ricetta mostra invece sempre lo stato della ricetta come nel formato dati. Solo dopo il salvataggio la modifica di stato viene applicata veramente e poi visualizzata nella Lista delle ricette.

Verifica valori ricetta

Per valutare i valori ricetta, tutte le variabili collegate con la ricetta vengono lette e i valori momentanei vengono confrontati con quelli della ricetta.
I risultati sono visualizzati a colori nella colonna valore attuale.

  • Verde: I risultati corrispondono.
  • Rosso: Ci sono delle deviazioni.
  • Viola: Nessuna connessione con il PLC.

Attenzione: la funzione dell´elemento di controllo utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti.

Gruppo di ricette

Elementi di controllo per gruppo ricetta.

Elemento di controllo | Descrizione
Nuovo gruppo ricetta | Crea un nuovo gruppo di ricette.
Modifica gruppo ricetta | Aggiunge nuove variabili al gruppo di ricette.
Rinomina gruppo ricetta | Rinomina il gruppo ricette attuale.
Salva gruppo di ricetta | Salva il gruppo ricette attuale con lo stesso nome.
Salva gruppo di ricette con nome | Salva il gruppo ricette attuale con un altro nome.
Elimina gruppo ricetta | Cancella il gruppo ricette attuale.

Commento

Elementi di controllo per commenti

Elemento di controllo

Descrizione

Commento 1 - 8

Righe di commento per la ricetta attuale.

È possibile un numero massimo di 8 commenti.

I campi commento dispongono di una proprietà Testo/Tradurre testo .

I campi commento vengono scritti anche durante l´esportazione XML e vengono letti durante l´importazione XML.

In VBA, i campi commento possono essere letti e scritti tramite le DynProperties (Nome „Commentn", n=1 fino a 8) nell´oggetto „Recipes".

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Navigazione lista ricetta

Elementi di controllo per la navigazione in una lista ricette.

Elemento di controllo | Descrizione
Gruppo di ricetta precedente | Passa al gruppo di ricette precedente.
Gruppo ricette successivo | Sfogliare avanti di un gruppo ricette.
Primo gruppo ricette | Sfogliare al primo gruppo di ricette.
Ultimo gruppo ricette | Sfogliare all´ ultimo gruppo di ricette.
Ricetta precedente | Sfogliare una ricetta indietro nel gruppo di ricetta attuale.
Ricetta successiva | Sfogliare una ricetta in avanti nel gruppo ricette attuale.
Prima ricetta | Sfogliare alla prima ricetta nel gruppo di ricette attuale
Ultima ricetta | Sfogliare all´ ultima ricetta nel gruppo ricette attuale
Numero ricetta | Va´alla ricetta con il numero indicato. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Trova numero ricetta | Cercare e visualizzare la prima ricetta con il numero indicato nella finestra dell’ editor “numero fonte ricetta”.
Versione precedente | Alla versione precedente.
Versione successiva | Alla versione successiva.
Prima versione | Alla prima versione.
Ultima versione | All´ultima versione.

Navigazione tabella valori ricetta CE

Elementi di controllo per la navigazione in una tabella di valori ricetta CE.

Elemento di controllo | Descrizione
Riga in su | Sfogliare nella tabella una riga in su.
Riga in giù | Sfogliare nella tabella una riga in giù.
Colonna destra | Sfogliare nella tabella una colonna a destra.
Colonna sinistra | Sfogliare nella tabella una colonna a sinistra.
Pagina in su | Sfogliare nella tabella una pagina in su.
Pagina in giù | Sfogliare nella tabella una pagina in giù.
Pagina a destra | Sfogliare nella tabella una colonna a destra.
Pagina a sinistra | Sfogliare nella tabella una pagina a sinistra.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Informazione | Elementi di controllo compatibili del gruppo Informazione.
Nome utente | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Tempo ultima modifica | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Modifica | Elementi di controllo compatibili del gruppo Modifica.
% (Input field) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Formula (Input field) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Commento | Elementi di controllo compatibili del gruppo Commento.
Commento 1 - 8 | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Navigazione lista ricetta | Elementi di controllo compatibili del gruppo Navigazione lista ricetta.
Numero ricetta | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Nota: per elementi di controllo di tipo Collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.


Aspetto della lista ricette

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Creare immagine di tipo "Manager gruppi ricette" -> Aspetto della lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rappresentazione tabellare della Lista ricette può essere adattata alle esigenze individuali:

Impostazioni colonne

Le impostazioni colonne per la visualizzazione durante il runtime si effettuano al momento della configurazione del cambio immagine. Per i dettagli vedi la sezione Impostazioni colonne Lista ricette.

Barra di scorrimento

Per definire la dimensione e l´aspetto delle barre di scorrimento per le tabelle:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia

info Info

Se per la proprietà Stile di visualizzazione si seleziona l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, verranno visualizzati con un effetto di riempimento. Per gli elementi di controllo delle liste, non si possono usare grafiche trasparenti.

Altezza righe

Tramite la proprietà Visualizzazione/Zeilenhöhe [Pixel] si può definire l´altezza delle righe indipendentemente dalla dimensione del carattere.

Il valore di default è 0 Pixel. In tal modo l´altezza delle righe viene impostata indipendentemente dalla dimensione del carattere. Ogni valore superiore a 0 stabilisce un valore fisso in pixel per l´altezza delle righe. Se è definita una altezza di riga, le rappresentazioni grafiche non vengono scalate in modo corrispondente all´altezza della riga, ma vengono adattate alla dimensione del font.

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Anteprima

Attivando la proprietà Visualizzazione/Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In questo modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde a quella a Runtime, la dimensione complessiva della lista nell´Editor può divergere da quella a Runtime. Questo vale anche per le dimensioni e per il carattere dell´intestazione.


Convalida delle ricette prima del settaggio

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Convalida delle ricette prima del settaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ricette e Manager di gruppi ricette sono soggetti a convalida prima di essere settati. Nel corso di questa operazione di convalida il sistema verifica se tutti i valori della ricetta si trovano in un intervallo valido.

Le ragioni per cui valori di ricetta possono trovarsi al di fuori dell´intervallo di validità sono:

  • Importazione XML di un file manipolato.
  • Uso dell´azione Collega con variabile per collegare ad una variabile per cui vale un altro intervallo di valori rispetto a quello della variabile di ricetta.

L´operazione di convalida può essere disattivata tramite la proprietà Ricette non valide scrivibili via funzione del gruppo Manager Gruppi di Ricette.

Al momento del settaggio di ricette, la convalida viene eseguita tramite:

  • La funzione del Manager gruppi di ricette Scrivi ricetta
  • Gli elementi di controllo Scrivi tutti i valori e Scrivi valori selezionati
  • Le API.

Non appena un valore si trova al di fuori dell´intervallo valido, la ricetta non viene settata.

In questo caso, succede quanto segue:

  • Viene creato un inserimento nella CEL con l´informazione corrispondente.
  • Per le variabili del driver di sistema specifiche per il RGM
    • [Ricette: standard e RGM] RGM ultima ricetta scritta - Stato ricetta (locale)
    • [Ricette: standard e RGM] RGM ultima ricetta scritta - Stato ricetta (globale)

    Viene settato il valore 8.

attention Attenzione

Non confondere questa funzionalità con la funzione Verifica valori ricetta; questa funzione confronta i valori correnti con quelli nella ricetta, ma non analizza l´intervallo valori.


Creazione di un gruppo di ricette

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Creazione di un gruppo di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo gruppo di ricette:

  1. Nel menù contestuale del nodo Ricette/Manager di gruppi ricette oppure nella visualizzazione dettagli, selezionare il comando Nuovo gruppo di ricette.
  2. Il sistema crea un nuovo gruppo ricette con un nome standard. La cella contenente il nome del nuovo gruppo ricette viene visualizzata già in modalità di modifica per consentire l´inserimento di un nome.
    Attenzione: se il gruppo di ricette deve essere utilizzato come file binario, il nome può contenere solamente caratteri alfanumerici.
  3. Ad ogni gruppo ricette devono essere aggiunte variabili e ricette.
    Nota: si può aggiungere un massimo di 32.000 variabili a un gruppo di ricette.


Variabili per gruppi ricette

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Variabili per gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un gruppo di ricette consiste nelle variabili di processo selezionate e nelle ricette generate. Tutte le variabili di processo necessarie nelle ricette devono essere innanzitutto inserite nel sottomenù variabile facendo uso del menù contestuale.

Per creare variabili:

  1. Cliccare con il tasto destro del mouse su Variabili.
  2. Nel menù contestuale, selezionare il comando Aggiungi variabile.
  3. Si apre la finestra di dialogo che consente di selezionare più variabili.
  4. Selezionare le variabili desiderate.
    Nota: possono essere utilizzate anche variabili prese da altri progetti caricati. Assicurarsi che questi progetti siano disponibili anche a Runtime. Si può configurare un massimo di 32.000 variabili per ogni gruppo di ricette.
  5. Terminare la configurazione cliccando sul pulsante OK.

Per le singole variabili può essere configurato un limite di valore minimo e massimo valido per il gruppo di ricette corrispondente.

info Info

Il Archivfüllwert viene usato come valore di default:

  • Per le variabili di nuove ricette.
  • Quando si aggiungono variabili a un gruppo di ricette in nuove ricette.

info Info

Come segni di separazione decimale si possono usare sia la virgola che il punto. Il carattere decimale viene trasformato automaticamente in un punto.

Ordinare le variabili

È possibile ordinare le variabili a piacimento nel Manager di gruppi ricette:

Selezionare la variabile la cui posizione deve essere modificata e scegliere una delle seguenti azioni:

- scegliere sposta in su o sposta in giù nel menù contestuale
- spostare la variabile via Drag&Drop.

Oppure: è possibile modificare l´ordine delle variabili anche nella finestra inferiore del dialogo di selezione variabili, utilizzando i tasti freccia che si trovano sul bordo destro della finestra stessa.

Eliminare variabili

Procedura:

  1. Selezionare le variabili desiderate
    (selezione multipla possibile).
  2. Cliccare con il tasto destro del mouse sulle variabili selezionate.
  3. Nel menù contestuale, selezionare il comando Cancella variabile.
  4. Le variabili verrano eliminate dopo una richiesta di conferma.
    Nota: le variabili vengono cancellate solo dal gruppo ricette, ma rimangono nel progetto.

Ancora in questo capitolo

Modificare i parametri delle variabili

Variabile di riconoscimento


Modificare i parametri delle variabili

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Variabili per gruppi ricette -> Modificare i parametri delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel menù contestuale della voce di menù Variabili, selezionare il comando Modifica parametri variabili.

Si apre una finestra di dialogo nella quale si possono eseguire più impostazioni.

Parametri

Descrizione

Nome variabile

In questa colonna vengono visualizzate tutte le variabili utilizzate in questo gruppo di ricette.

Valore min.

Definire il valore minimo che la variabile può avere.

Nota: il valore minimo delle variabili binarie è 0. Questo valore non può essere cambiato.

Valore max.

Definire il valore massimo che la variabile può avere.

Nota: il Valore max. delle variabili binarie è 1. Questo valore non può essere cambiato.

Limiti impostazione valori da variabile

Considerazione dei valori limite delle variabili.

Interblocco

Usando il menù a tendina, selezionare l´interblocco desiderato. (Si veda Interblocchi e visibilità)

Visibilità

Selezionare una variabile adatta cliccando con il tasto destro del mouse e selezionando la voce di menù Selezione variabili. In alternativa si può inserire direttamente nella cella il nome della variabile desiderata. (Si veda Interblocchi e visibilità)

Filtro

Inserire un testo di filtro. (Si veda Filtro.)

Keyboard

In questa colonna si può collegare ad ogni variabile un´immagine di tipo “Keyboard”. Selezionare un'immagine adatta cliccando con il tasto destro del mouse e selezionando la voce di menù Selezione immagine. In alternativa si può inserire direttamente nella cella il nome dell'immagine desiderata.

A Runtime, l´immagine keyboard collegata viene aperta quando si clicca con il tasto sinistro del mouse sul valore della variabile. Non è più possibile eseguire un inserimento diretto. Dopo avere chiuso l´immagine keyboard cliccando su OK, il nuovo valore viene inserito nella tabella dei valori ricetta. Inoltre, è a disposizione la funzione immagine “Imposta valore”. Questa funzione consente di trasferire con un clic del mouse un valore impostabile definito in precedenza.

Variabile grafica di ricetta

Collegamento di una variabile grafica di ricetta.

info Info

Gestire la visibilità di variabili

Per gestire la visibilità e l´uso di variabili, sono a Vostra disposizione:

  • Filtro: definisce delle espressioni sulla base delle quali si può effettuare un filtro delle variabili Quelle variabili che non rispondono ai criteri di filtro, non verranno visualizzate. I filtri vengono gestiti dall´utente.
  • Visibilità: gestisce la visualizzazione delle variabili nella lista facendo uso del valore limite di una variabile. Quelle variabili che sono state settate su "non visibile", non verranno visualizzate. La visibilità viene gestita dal processo.
  • Diritti di accesso: definiscono con quale autorizzazione si può accedere alla gestione di una variabile. Quelle variabili per le quali l´utente non possiede i diritti di accesso necessari, verranno visualizzate, ma non potranno essere utilizzate. I diritti di accesso vengono gestiti dal progettista e dell´amministratore.

Ancora in questo capitolo

Interblocchi e visibilità

Filtro


Interblocchi e visibilità

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Variabili per gruppi ricette -> Modificare i parametri delle variabili -> Interblocchi e visibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile sia tramite interblocchi che tramite la visibilità impedire all'utente di avere accesso a determinati settori della tabella ricette. La differenza consiste nel fatto che, nel caso si scelgano gli interblocchi, i settori in questione diventano di colore grigio; nel caso della visibilità, invece, essi non vengono affatto visualizzati.

Interblocco

Nella colonna oppure tramite la proprietà Interblocco, assegnate ad ogni variabile un interblocco. Selezionate l´interblocco desiderato fra quelli offerti dalla lista a cascata È possibile progettare ulteriori interblocchi nel modulo Interblocchi.

Durante il funzionamento Runtime, la riga viene visualizzata di default in modo normale o in colore grigio a seconda dello stato dell'interblocco. I colori di testo e sfondo possono essere definiti in modo individuale tramite le proprietà del RGM (gruppo Colori/Interblocco).

Ulteriori informazioni su questo tema le trovate al capitolo Blocco.

info Info

Rappresentazione con le funzioni report del Generatore Report:

Nel runtime, i nomi dell´interblocco non sono disponibili. Ciò significa che gli ID di interblocchi vengono visualizzati nella tabella ricette solamente se l´interblocco viene visualizzato per mezzo delle funzioni recipew o recipef.

Import VBA e XML

Nel caso di import XML di interblocchi, vale quanto segue:

  • Il nome dell´interblocco esiste nel progetto: L´interblocco per la variabile ricetta del file di importazione sostituisce quello esistente per l´interblocco configurato nella variabile ricetta.
  • Il nome dell´interblocco non esiste nel progetto: L´interblocco viene rimosso.
    Una stringa vuota nel file di importazione può essere usata per far sì che gli interblocchi configurati per la variabile ricetta possano essere eliminati come parametro per la variabile ricetta.

Ciò vale anche per la modifica di variabili ricetta via VBA.

Visibilità

Nella colonna visibilità, assegnate ad ogni variabile una variabile visibilità. Procedura:

  1. cliccate con il tasto destro del mouse all´interno della cella e selezionate la variabile che deve gestire la visibilità, oppure scrivete direttamente il nome di essa nella cella.
  2. fissate un valore limite per la variabile

Non appena la variabile supera il valore limite stabilito, viene nascosta la variabile assegnata nella tabella delle ricette.

info Info

La Tabella di valori ricetta CE viene ripristinata in seguito ad ogni modifica di uno stato assegnato. Tenete presente al momento della progettazione che un cambio molto frequente degli stati potrebbe creare dei problemi di performance nella gestione del sistema.

Ciò non vale per la Tabella di valori ricetta. Essa edita solamente quegli inserimenti che sono cambiati.


Filtro

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Variabili per gruppi ricette -> Modificare i parametri delle variabili -> Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri consentono di escludere delle ricette dalla visualizzazione a livello utente.

I filtri vengono definiti tramite la proprietà Filtro delle variabili nella visione dettagliata del RGM. Alla variabile viene assegnato un criterio filtro selezionabile a piacere. Questo testo filtro viene utilizzato per limitare la visualizzazione nell'ambito dell'immagine del tipo Manager gruppi ricette. Questo filtro può essere settato:

  • durante il runtime, nell´immagine Manager gruppi ricette tramite la lista a cascata Filtro di ricetta.
  • durante il Cambio immagine per passare all´immagine del Manager gruppi ricette

Se non è stato selezionato in modo esplicito nessun filtro, vengono visualizzate tutte le variabili che non sono settate su Invisibile.

info Info

Il filtraggio si riferisce solamente alla visualizzazione nella tabella di valori ricetta. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.


Variabile di riconoscimento

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Variabili per gruppi ricette -> Variabile di riconoscimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad ogni gruppo ricette possono essere collegate delle variabili, che ricevono i dati ricetta per le azioni Scrivere, Leggere, Controllare e import XML. Queste variabili di responso specifiche per RGM si comportano come le globali Variabili del driver di sistema, ma vengono assegnate a singoli gruppi ricetta. In tal modo, è possibile analizzare parallelamente più gruppi ricette.

Può essere collegato un numero qualsiasi di variabili.
Nota concernente le versioni precedenti a zenon 7.10 SP0: Se è stata settata la proprietà DataSource su MS ACcess, la lunghezza del testo può essere al massimo di 300 caratteri. A partire dalla versione 7.10, viene usato automaticamente il database binario.

I seguenti dati ricetta possono essere settati su variabili:

  • Nome ricetta
  • Numero ricetta
  • Versione ricetta
  • Stato ricetta come testo
    (nella forma „1 - testo", con il testo che non viene tradotto, problema che può essere risolto tramite l´elemento di visualizzazione)
  • Stato ricetta come numero
  • Livello di autorizzazione gestione della ricetta
  • Orario ultima modifica
  • Utente dell´ultima modifica
  • Commento 1-8

Crea variabile di responso

Per creare una variabile di responso:

  1. selezionate il gruppo ricette
  2. navigate per raggiungere il nodo desiderato
    • Feedback scrittura ricetta
    • Feedback lettura ricetta
    • Feedback verifica dei valori di ricetta
    • Risultato di importazione XML
  3. cliccate sul pulsante ... accanto alla proprietà desiderata
  4. si apre il dialogo per collegare le variabili

Indicazioni sulle singole proprietà le trovate nella Guida proprietà. Il risultato di tutte le azioni viene reso disponibile localmente e per la rete mediante variabili del driver di sistema.

info Info

Le modifiche effettuate con VBA divengono visibili solamente dopo la riapertura del RGM.


Aggiungere ricette ad un gruppo ricette

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Aggiungere ricette ad un gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura:

  1. Cliccare con il tasto destro del mouse sul nodo Ricette nel gruppo di ricette desiderato.
  2. Nell menù contestuale, selezionare la voce Nuova ricetta.
  3. Viene creata una nuova ricetta con un nome standard; la cella del nome della nuova ricetta viene visualizzato in modalità di modifica, per consentire l´inserimento di un nome.
  4. Assegnare le proprietà desiderate per nome, numero, versione, autorizzazione e commenti

info Info

Se la ricetta viene utilizzata come file binario, il nome deve contenere solamente caratteri alfanumerici.

Assegnazione del nome al momento della creazione della ricetta

Le nuove ricette vengono create con un nome di default, per es. Ricetta_0. Inoltre viene assegnato ad ogni nuova ricetta un numero. Ad ogni nuova ricetta, questo numero aumenta di una unità.

Il nome della ricetta deve essere univoco. Il sistema non analizza i numeri delle ricette per verificarne l´univocità. Questo numero viene utilizzato solo per aprire una ricetta tramite una variabile usando la funzione Manager di gruppi ricette. Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Example Esempio

Esistono già una Ricetta_0 con il numero di ricetta 0 e una Ricetta_2 con il numero di ricetta 2. Se si crea una nuova ricetta, questa riceve il nome Ricetta_1 e il numero di ricetta 3.

Ancora in questo capitolo

Modificare una ricetta di un gruppo ricette


Modificare una ricetta di un gruppo ricette

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Aggiungere ricette ad un gruppo ricette -> Modificare una ricetta di un gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura

  • Cliccare con il tasto destro del mouse su una ricetta.
  • Selezionare il comando “Elabora ricetta”.
  • Si apre la finestra di dialogo Gruppi ricette.

Inserimento

Descrizione

Generale

Numero ricetta

Numero della ricetta.

Scrittura sincrona

Attivo : quando una ricetta viene scritta, vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finché dal driver non arriva la segnalazione che la scrittura di tutti i valori della ricetta è riuscita, o finché non è trascorso il timeout impostato.

Non attivo: i valori della ricetta vengono scritti senza attendere la risposta del driver. Gli elementi di controllo ridiventano attivi immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato su 1 non appena l´operazione di scrittura dei valori è riuscita.
Nota:

  • questa impostazione può essere modificata a Runtime, nell´immagine del Manager di gruppi ricette, usando il pulsante Rinomina ricetta.
  • La visualizzazione dello stato di avanzamento funziona solamente se questa proprietà è attiva.

Timeout [ms]

Se in una ricetta è stata attivata l’opzione scrittura sincrona, può essere inserito timeout in questo campo di inserimento. Gli elementi di controllo dell’immagine Manager di gruppi ricette tornano ad essere attivi al più tardi alla scadenza di questo intervallo di tempo.
Se il valore indicato per il Timeout è 0, zenon calcola il tempo di attesa come segue:
30000+(100* Numero di punti dati)
Nota: questa impostazione può essere modificata a Runtime, nell´immagine del Manager di gruppi ricette, usando il pulsante Rinomina ricetta .

Livello di autorizzazione

Solo gli utenti a cui è stato assegnato il livello di autorizzazione impostato in questo campo, potranno modificare questa ricetta a Runtime. Questo non riguarda solo la modifica manuale della ricetta nell’immagine del Manager gruppi ricette, ma anche la cancellazione o la rinomina della ricetta, e la lettura dall’hardware dei valori di questa ricetta.
Nota: i gruppi di ricette possono essere modificati solo da un utente che ha anche tutti i diritti di accesso per tutte le singole ricette contenute nel gruppo selezionato.

Inserimenti della lista

Nome variabile

Nome di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Valore min.

Valore minimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Valore max.

Valore massimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Azione

Funzione che viene eseguita su variabili.

Inserimento lista è modificabile. Per i dettagli vedi capitolo Azioni.

Valore o Variabile

Valore che viene trasmesso al PLC all´ esecuzione della ricetta

Valore dipendente da Azione modificabile nella lista.

Unità di misura

Unità di misura di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Modifica a Runtime: Per i dettagli, si veda il capitolo Gestione a Runtime.

info Info

Per le ricette nel RGM vale quanto segue:

  • Il nome ricetta deve essere univoco.
  • Il sistema non analizza i numeri delle ricette per verificarne l´univocità. Questo numero viene utilizzato solo per aprire una ricetta tramite una variabile usando la funzione Manager di gruppi ricette. Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.
  • La lunghezza di una stringa per una ricetta RGM è limitata a 249 caratteri.

Ancora in questo capitolo

Azioni


Azioni

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Aggiungere ricette ad un gruppo ricette -> Modificare una ricetta di un gruppo ricette -> Azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per definire un´azione, cliccare nella cella Azione della variabile corrispondente, e poi sul simbolo con la freccia. Selezionare poi l´azione desiderata nel menù a tendina. Se è necessario eseguire degli inserimenti nella cella Valore o variabile, cliccare su di essa e digitare il valore. Per selezionare variabili, cliccare con il tasto destro sulla cella; si aprirà la finestra di selezione.

Azione

Descrizione

Inserimento in Valore o variabile.

Nessuna azione

Disattiva la variabile in questa ricetta.

Nessun inserimento.

Stato utente

Informazione di stato. Setta il corrispondente bit di stato della variabile.

Nota: possono essere settati solo bit di stato che sono evidenziati come settati dall´utente. I bit di stato settati automaticamente dal sistema non sono modificabili.

Attenzione: per aprire una keyboard a Runtime, deve essere stata collegata una keyboard nella proprietà Parametro stringa del gruppo Tastiere.

Indicare la denominazione breve dello stato con:
=1 per settare e
=0 per resettare.

Si possono inserire più stati usando il punto e virgola ( ;) come separatore. Ad esempio:
M1=1; M5=0

Modifica valore di riserva

Setta il valore di sostituzione sul valore che viene impostato alla voce Valore o variabile.

Inserire il valore di riserva.

Modifica valore spontaneo

Setta il valore spontaneo sul valore impostato alla voce Valore o variabile.

Inserire valore impostabile.

Disattiva il valore spontaneo

Disattiva il valore spontaneo settando il bit di stato OFF (Bit 20).

Nessun inserimento.

Attiva il valore spontaneo

Attiva il valore spontaneo resettando il bit OFF.

Nessun inserimento.

Imposta sul valore di riserva

Passa da valore spontaneo a valore di sostituzione

Nessun inserimento.

Imposta su valore spontaneo

Passa da valore di sostituzione a valore spontaneo

Nessun inserimento.

Imposta e modifica valore di riserva

Passa dal Valore spontaneo al Valore di sostituzione e setta quest´ultimo sul valore che è indicato in Valore e variabile.

Inserire valore di riserva.

Imposta e modifica valore spontaneo

Passa dal valore di sostituzione al valore spontaneo e setta quest´ultimo sul valore impostato in Valore o variabile.

Inserire valore impostabile.

Collega con variabile

Collega una variabile ad un´altra.

Nome di una variabile.

Cliccando con il tasto destro del mouse nel campo, si apre la finestra di dialogo che consente di selezionare variabili. Il valore della variabile viene trasferito alla variabile selezionata della ricetta. E' possibile usare anche variabili di altri progetti caricati.

attention Attenzione

Se in una ricetta si usa la funzionalità Leggi tutti i valori in combinazione con l´azione Collega con variabile, il sistema non richiederà le autorizzazioni operative, né verrà protocollata l´azione. Se si vuole che l´azione venga registrata, la registrazione dovrà essere impostata manualmente, per esempio tramite una macro VBA.

Nota sulla conformità con FDA: questa funzionalità, perciò, non può essere utilizzata per progetti che debbono soddisfare le rigide norme FDA.

Ancora in questo capitolo

Controllo di impostazione valori


Controllo di impostazione valori

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Aggiungere ricette ad un gruppo ricette -> Modificare una ricetta di un gruppo ricette -> Azioni -> Controllo di impostazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Controllo di impostazione valori

Quando viene scritto un valore, questo riceve un bit di stato. Se il processo di scrittura riesce, viene settato il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: scrittura riuscita.

    Valore 0: scrittura non riuscita. Non è stato possibile settare il valore.

info Info

In caso di reload del progetto o di passaggio al Server-Standby in un sistema ridondante, i messaggi di feedback e le conferme di scrittura in attesa vengono rifiutate!

Questa combinazione di stati permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati passano a 0, finché il procedimento di scrittura non è concluso. Per analizzare questo processo, nella REMA si deve eseguire una query di questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: operazione di scrittura riuscita.
  • WR-ACK 1, WR-SUC 0: operazione di scrittura non riuscita.

attention Attenzione

Questo meccanismo verifica solamente se il processo di scrittura su PLC è riuscito o meno. Questo non significa, però, che il valore sia stato effettivamente modificato sul PLC, poiché il PLC può resettare/sovrascrivere il valore immediatamente. (Per esempio, nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Imposta valore: attivare l´opzione Attendi conferma scrittura nella finestra di dialogo di configurazione della funzione.
  • Ricette standard: attivare la proprietà Scrittura sincrona .
  • Manager gruppi di ricette: attivare la proprietà Scrittura sincrona.

Inserimento nella CEL

  • Funzione “Imposta valore”

    Per l´inserimento nella CEL, si deve attivare nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto la proprietà Funzioni impostazione valore. Poi, ogni volta che si esegue la funzione, la risposta positiva o negativa verrà scritta nella CEL.

  • Ricette standard e Manager di gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa al valore 1 quando la scrittura della ricetta è riuscito. Per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita, viene analizzata una variabile globale sul server, una locale sul client.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le matrici di reazione. La query avviene con una matrice di reazione multianalogica o una multibinaria.


Versione della ricetta

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Versione della ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette possono essere versionate. La gestione delle versioni viene eseguita nell´Editor tramite impostazioni specifiche, a Runtime mediante funzioni ed elementi di controllo

Ci sono due modi di creare una nuova versione di una ricetta nell´Editor:

  1. crea nuova versione di ricetta: Crea una nuova versione della ricetta selezionata.
    Per farlo:
    1. Selezionare la ricetta nella visualizzazione dettagli del RGM.
    2. Nel menù contestuale, selezionare il comando Crea nuova versione di ricetta

    Oppure

  2. Duplica versione ricetta: crea una copia della versione di ricetta selezionata come nuova versione.
    Procedura:
    1. Selezionare la versione di ricetta nella visualizzazione dettagli del RGM.
    2. Nel menù contestuale, selezionare il comando Duplica come versione ricetta

Una nuova versione della ricetta viene creata sotto la ricetta stessa. Il numero di versione viene assegnato automaticamente nella proprietà Versione ricetta. A destra della ricetta originale viene visualizzato il numero delle versioni disponibili.

Per creare una nuova versione di ricetta a Runtime, usare la funzione Crea nuova versione di ricetta.

info Info

Può essere creato un massimo di 89999 versioni di ricetta.


Stato ricetta

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato ricetta viene usato per l´identificazione e il filtro di una ricetta nel caso di:

  • proprietà Stato per ricetta
  • immagine del tipo RGM
  • Funzione Cambio ad un´immagine del tipo RGM
  • Funzione Manager gruppi ricette

Consiste di un indice assegnato da zenon e di un testo di stato individuale. Lo stato ricetta può essere impostato diversamente pro versione ricetta. Questa proprietà può essere modificata nell´immagine durante il runtime tramite funzioni e elementi di controllo.

Per creare uno stato ricetta:

  1. Cliccare su “Gruppi ricette” nella visualizzazione dettagli del RGM.
  2. Nella finestra delle proprietà, cliccare sulla proprietà Identificatore stato ricetta del gruppo “Manager gruppi di ricette”.
  3. Si aprirà la finestra di dialogo che consente di configurare lo stato della ricetta.

Parametri

Descrizione

Identificatore stato ricetta

Creazione e gestione dell´identificatore stato ricetta

#

Indice dello stato. Viene assegnato automaticamente.

Testo stato

Testo di stato come impostato in questa finestra di dialogo:

  • Creazione: cliccare sul pulsante “Nuovo”.
  • Modifica: cliccando sul testo, il campo di inserimento passa in modalità di modifica, consentendo di effettuare delle modifiche.

Questo testo può contenere anche parole chiave (con prefisso @) per il cambio lingua.

Nuovo

Crea un nuovo stato in fondo alla lista.

Elimina

Cancella il testo di stato selezionato.

Se lo stato da cancellare si trova in fondo alla lista, vengono cancellati testo di stato e numero d´indice.

Se lo stato da cancellare non si trova in fondo alla lista, viene cancellato il testo, ma viene mantenuto l´indice. In questo modo sarà possibile riempire gli spazi vuoti della lista in un secondo momento.

OK

Applica gli inserimenti e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Lista dei bit di stato

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Windows CE

Manuale -> Manager gruppi di ricette -> Configurazione nell'Editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


Funzioni

Manuale -> Manager gruppi di ricette -> Funzioni

Se si crea la funzione standard dal menù contestuale nella sezione lista, zenon genera automaticamente una funzione Manager gruppi ricette per la ricetta selezionata.

Ancora in questo capitolo

Funzione Cambio immagine Manager dei gruppi di ricette

Funzione Manager di gruppi ricette


Funzione Cambio immagine Manager dei gruppi di ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio ad un´immagine del tipo RGM definite una ricetta che deve essere eseguita al momento del cambio. Queste impostazioni possono essere adottate anche durante il runtime, sempre che sia attiva l´opzione Proponi dialogo a Runtime.

Per configurare il cambio immagine:

  1. Creare una nuova funzione.
  2. Selezionare Cambio immagine.
  3. scegliete l´immagine del tipo RGM
  4. selezionate le Vostre impostazione nelle singole schede
    • Tabella valori ricette: impostazioni per la ricetta.
    • Impostazioni colonne Tabella valori ricette: impostazioni per la visualizzazione durante il Runtime.
    • Filtro ricetta: definizione di quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette.
    • Impostazioni colonne Lista ricette: Impostazioni per la visualizzazione della lista ricette.
    • Progettazione impianto: selezione di modelli di impianti.

info Info

Potete effettuare le impostazioni per la visibilità di variabili durante il runtime in:

  • Modifica parametri variabili: Filtri , Visibilità
  • Modifica di una ricetta del gruppo ricette: Livelli di autorizzazione

Queste impostazioni si riferiscono solamente alla visualizzazione nella tabella ricette. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.

Ancora in questo capitolo

Tabella valori ricette

Impostazioni colonne Tabella valori ricette

Filtro di ricetta

Impostazioni colonne in lista ricette

Progettazione impianto

Selezione colonne per lista ricette e tabella valori ricette

Formato colonne per la lista ricette e la tabella valori ricette


Tabella valori ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene selezionata la ricetta che viene visualizzata nella tabella di valori ricetta. La tabella di valori ricetta è disponibile in due forme:

  • Tabella valori ricette: Tabella direttamente configurabile nel Runtime. non disponibile con Windows CE.
  • Tabella valori ricette CE: Rappresentazione della ricetta selezionata in fissa forma tabellare. Sostituisce sotto Windows CE la Tabella valori ricette.

Entrambe le tabelle possono essere configurate nell´Editor. Tuttavia, può essere inserita in un´immagine solamente una delle due tabelle alla volta. Per tutti i progetti, esclusi quelli Windows CE, si consiglia l´uso della Tabella valori ricetta. La configurazione del cambio lingua può differire per i due tipi di tabella. Quando, dunque, una Tabella valori ricette viene sostituita automaticamente da una Tabella valori ricette (CE) sotto Windows CE, vengono riprese le impostazioni del cambio lingua originale.

Configurazione

Selezione ricetta/Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti.
  • In modo dinamico, mediante variabile.
  • Da un file.

Cliccando sulla proprietà, si apre il menù a tendina che consente di selezionare il metodo.

Parametri

Descrizione

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Nota: se la selezione di una ricetta causa un errore a Runtime (ricetta non disponibile a Runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione del menù a tendina Ricetta rimane vuota.

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione di ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola.
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se per la proprietà Versione di ricetta è stato impostato il valore Versione più grande oppure Versione più piccola, oppure se la versioni di ricetta viene ripresa da una variabile.
Esempio: Versione più grande con stato rilasciato.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Formattazione della “Tabella valori di ricetta”

Impostazioni per la formattazione della tabella valori ricette.

Parametri

Descrizione

Tabella

Selezione del file di report. Cliccando sul pulsante, si apre il menù a tendina che consente la selezione.

  • Utilizza tabella standard
  • Utilizza file di formattazione per la tabella

Utilizza tabella standard:

I valori della ricetta vengono visualizzati a Runtime in una Tabella valori ricetta, oppure in una Tabella valori ricetta CE.

Utilizza file di formattazione per la tabella:

I valori di ricetta vengono visualizzati in un file di report (*.xrs). Questo file deve essere stato già creato nel Generatore di report. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un file XRS.

Nota: quando si usa un file di formattazione, a Runtime viene visualizzata la Tabella valori ricetta CE.

Filtro per rappresentazione valori

Selezione del filtro che deve essere attivo al momento del cambio immagine per limitare i valori ricetta visualizzati nella lista.

Parametri

Descrizione

Criterio di filtro

Selezione del filtro. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un filtro.

  • Criterio filtro statico
  • Criterio di filtro da variabile

Criterio filtro statico:

Selezione di un filtro fra quelli contenuti nel menù a tendina; questo filtro deve essere definito nella proprietà delle variabili Filtro.

Criterio filtro da variabile :

Il criterio di filtro viene acquisito a Runtime da una variabile STRINGA.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Parametri

Descrizione

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Nota: sotto Windows CE e con l´apertura tramite pulsante Filtro nell´immagine RGM, è disponibile solamente un numero limitato di funzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Blocca selezione gruppo di ricette a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

Blocca elaborazione in pagina

Blocca tutti gli elementi di controllo nell´immagine di tipo RGM. L´utente non può eseguire nessuna modifica al Manager gruppi ricette.

Chiudere la finestra di dialogo.

Parametri | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Questo numero viene utilizzato solo per aprire una ricetta tramite una variabile usando la funzione Manager di gruppi ricette. Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.


Impostazioni colonne Tabella valori ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Tutte le colonne della tabella valori ricette sono configurabili a piacere. Le colonne possono essere visualizzate, ordinate e fornite di una denominazione come si vuole. Inoltre, si può nascondere la numerazione delle righe.

In questa scheda si configurano le colonne per la Tabella valori ricetta CE e la Tabella valori ricetta. A questo scopo sono a disposizione due strumenti.

  • Impostazione colonne per CE: Configura le impostazioni per la Tabella valori ricetta CE.
  • Definizione colonne: Configura le impostazioni per la Tabella valori ricetta.

Impostazione colonne per CE

Queste impostazioni si riferiscono alla Tabella valori ricetta CE. Vengono usate nella visualizzazione della tabella valori ricetta fissa sotto Windows CE. La configurazione della Tabella valori ricetta avviene nella parte inferiore del dialogo

Parametri | Descrizione
Tipo colonne | Tipo di colonna. Non modificabile. La visualizzazione durante il runtime viene attivata o disattivata tramite checkbox.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in caratteri. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento selezionato in alto | Sposta la riga selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento selezionato in basso | Sposta la riga selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.
visualizza colonna di numerazione | Attivo: la prima colonna della tabella viene visualizzata con un numero di riga.

Impostazioni colonne

Configurazione della Tabella valori ricetta.

Parametri | Descrizione
Tabella | Le colonne della tabella vengono selezionate cliccando sul pulsante Selezione colonne. L´ordinamento avviene cliccando sul titolo di colonna e mediante Drag&Drop con il mouse. Quando si effettua l´ordinamento delle colonne, due frecce rosse indicano dove viene inserita la colonna da spostare.
Selezione colonne | Un clic sul comando apre il dialogo che serve alla selezione della colonna da visualizzare.
Formato colonne | Un clic sul comando apre il dialogo che serve alla formattazione delle colonne.

Chiudere la finestra di dialogo.

Parametri | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.
Guida | Apre la guida online.


Filtro di ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Filtro di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette. Vengono visualizzate solamente le ricette che vengono accettate nel filtro ricette del cambio immagine. L´operazione di filtro si basa sui nomi ricetta.

info Info

se la selezione di una ricetta causa un errore a Runtime (ricetta non disponibile a Runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione del menù a tendina Ricetta rimane vuota.

Parametri

Descrizione

Filtro testo

Definisce criteri di filtro.

Nessun filtro testo

Attivo: non viene utilizzato il filtro di testo.

Trova (parole separate da uno spazio).

Attivo: il filtro di ricetta viene utilizzato. Le ulteriori possibilità di impostazione sono abilitate.

Campo di inserimento

In questo campo vanno inserite le parole, oppure le sequenze di caratteri da usare come criterio di filtro.

Rispetta minuscolo/maiuscolo

Attivo: il sistema tiene conto della scrittura in lettere maiuscole e minuscole nell´eseguire l´operazione di filtro.

Non tutte le parole devono essere presenti nel nome ricetta

Attivo: il sistema tiene conto delle espressioni indicate nel campo di inserimento anche se ricorrono nel nome ricetta solamente come parti di parola.

Almeno una parola deve essere contenuta nel nome ricetta

Attivo: almeno una parola della stringa di ricerca deve essere presente nel nome ricetta.

Tutte le parole devono esistere nel nome ricetta

Attivo: tutte le parole della stringa di ricerca devono esistere nel nome ricetta; l´ordine non verrà considerato.

Il testo del filtro deve coincidere nel nome ricetta

Attivo: tutti i termini della stringa di ricerca devono essere presenti nel nome ricetta, nello stesso ordine.

Filtro esteso

Impostazioni di filtro per versione e stato.

Versione

Filtro versione: selezione di una delle opzioni offerte dal menù a tendina, oppure inserimento diretto.

Menù a tendina:

  • Versione più piccola
  • Versione più grande
  • Tutti

Questa impostazioni vengono combinate sempre con lo stato.

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Esempio: 1, 2, 6

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti non corretti vengono messi in evidenza dal sistema al momento della conferma del dialogo con OK, oppure quando si passa da una scheda all´altra. Il dialogo rimane aperto e il focus viene posto sull´inserimento errato.

Stato

Criterio di filtro per lo stato. Selezione:

Menù a tendina:

  • Tutti
  • Stato già progettato

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Esempio: 1, 2, 6

I testi di stato sono convertibili per quello che concerne la lingua.

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti scorretti (per es.delle lettere) vengono messi in evidenza al momento della conferma del dialogo con OK. Il dialogo rimane aperto e il focus viene posto sull´inserimento errato.

OK

Riprende le impostazioni di tutte le schede e chiude il dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.

Guida

Apre la guida in linea.

Possibili combinazioni del filtro versione con il filtro di stato

Filtro versione | Filtro stato | Risultato
Versione più piccola | Tutti | Di tutte le ricette viene visualizzata solamente la rispettiva versione più piccola.
Versione più bassa | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più bassa.
Versione più grande | Tutti | Di tutte le ricette viene visualizzata solamente la rispettiva versione più grande.
Versione più alta | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più alta.
Tutti | Tutti | Vengono visualizzate tutte le versioni della ricetta.
Tutti | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Tutti | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se queste hanno o lo stato 1 oppure 2.


Impostazioni colonne in lista ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne in lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono configurate le impostazioni colonne per la visualizzazione della Lista ricette durante il runtime.

Attenzione: l´impostazione colonne per la lista ricette non è disponibile per progetto CE.

Parametro | Descrizione
Campo elenco | Visualizzazione delle colonne configurate.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare delle colonne.
Formato colonne | Apre la finestra di dialogo che consente di formattare le colonne.
OK | Applica tutte le modifiche e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

ulteriori impostazioni, come barre di scorrimento, vengono configurate nelle proprietà del campo lista. per i dettagli vedi sezione Aspetto della lista ricette.


Progettazione impianto

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede assegnate modelli di impianto e livelli:

Chiudi finestra di dialogo

Opzioni | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Elimina | Annulla la selezione e chiude il dialogo. Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.
Guida | Apre la guida online.

Stati

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo

Modell entfernen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  2. Selezionare un gruppo di impianti oppure un livello.
  3. Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.

    Note:

    • I sottogruppi non vengono aggiunti automaticamente.
    • Può essere collegato un numero qualsiasi di gruppi.

Gruppen aus dem Modell löschen

Per cancellare un colore da tutte le tavolozze:

  1. Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  2. Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.


Selezione colonne per lista ricette e tabella valori ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Selezione colonne per lista ricette e tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede configurate durante il Runtime le colonne che andranno visualizzate per lista ricette e tabella valori ricette. La seguente immagine è un esempio per la lista ricette. La configurazione delle colonne per la tabella valori ricetta avviene in modo analogo.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne per la lista ricette e la tabella valori ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Formato colonne per la lista ricette e la tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede formattate le colonne per la lista ricette e la tabella valori ricette.

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzione Manager di gruppi ricette

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, questa funzione esegue delle azioni definite per ua ricetta selezionata del manager gruppi ricette.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al gruppo Ricetta.
  3. Selezionare la funzione Manager gruppi di ricette.

Si apre la finestra di dialogo per configurare la funzione.

Parametri

Descrizione

Azione

Selezione della funzione desiderata fra quelle offerte dal menù a tendina. La selezione non può essere più modificata in un secondo momento. Possibili funzioni:

  • Esegui ricetta
  • Leggi ricetta
  • Verifica valori ricetta
  • Rinomina ricetta
  • Modifica stato ricetta
  • Crea nuova ricetta
  • Elimina ricetta
  • Duplica
  • Duplica e acquisisci
  • Crea nuova versione ricetta
  • Elimina versione di ricetta
  • Duplica come nuova versione ricetta
  • Duplica e leggi come nuova versione ricetta
  • Scrivi valori ricetta su variabili grafiche di ricetta
  • Scrivi variabili di ricetta grafiche su valori di ricetta
  • Esporta tutti in XML
  • Esporta in XML, gruppo di ricette
  • Esporta in XML, Ricetta
  • Importa in XML
  • Salva informazioni dettagliate di ricetta su documentazione XML
  • Esporta ricetta su file di testo
  • Importa ricetta in file testo

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

La funzione viene impostata, ma senza azione.

Guida

Apre la guida online.

info Info

Il nome della ricetta deve essere univoco per tutte le funzioni. Il sistema non analizza i numeri delle ricette per verificarne l´univocità. Questo numero viene utilizzato solo per aprire una ricetta tramite una variabile usando la funzione Manager di gruppi ricette. Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Ancora in questo capitolo

Scrivi ricetta

Leggi ricetta

Verifica valori ricetta

Rinomina ricetta

Modifica stato ricetta

Crea nuova ricetta

Elimina ricetta

Duplica

Duplica e acquisisci

Crea nuova versione ricetta

Elimina versione di ricetta

Duplica come versione ricetta

Duplica e leggi come nuova versione ricetta

Scrivi valori ricetta su variabili grafiche di ricetta

Scrivi variabili di ricetta grafiche su valori di ricetta

Esporta tutti in XML

Esporta in XML, Gruppo di ricetta

Esporta in XML, Ricetta

Importa in XML

Salva informazioni dettagliate di ricetta su documentazione XML

Esporta ricetta su file di testo

Importa ricetta da file di testo


Scrivi ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione setta la ricetta selezionata durante il runtime.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile scelta:

  • Versioni ricette già esistenti.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida in linea.


Leggi ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Leggi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori correnti delle rispettive variabili vengono letti e scritti nella ricetta selezionata (teaching).

Durante il processo di lettura, il sistema verifica se i valori delle proprietà Valore minimo e Valore max sono rispettati. Se i valori correnti superano quelli impostati sia per eccesso che per difetto, oppure se lo stato della variabile è INVALID, i valori non vengono scritti nella ricetta. Gli errori possono essere analizzati tramite le variabili di sistema.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile scelta:

  • Versioni ricette già esistenti.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola.
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande.

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime..

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida in linea.


Verifica valori ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Verifica valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esegue un controllo della ricetta. In questo processo vengono comparati il valore ricetta e il valore corrente e il risultato dell´analisi viene inviato alla variabile di sistema corrispondente.

I valori di ricetta possono essere analizzato tramite la funzione Manager gruppi di ricette, oppure via VBA.

Manager gruppi di ricette

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da nome variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da numero variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:e:

  • Il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.

attention Attenzione

La funzione utilizza cifre decimali nella sincronizzazione con il PLC. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione visualizza valori divergenti.

Immagine

I valori di ricetta possono essere analizzati anche con un elemento di controllo dell´immagine RGM. Per i dettagli, si veda il capitolo Creare un immagine di tipo Manager di gruppi ricette.

VBA

I valori ricetta possono essere eseguiti anche automaticamente tramite VBA. A tal scopo si usa la funzione (Check()). Essa riprende i seguenti parametri o fornisce i seguenti valori di risposta:

Check(ByRef vList As Variant)as Long

  • Valore di risposta: corrisponde ai valori della variabile di sistema RGM Verifica valori ricetta - Risultato
  • vList: corrisponde ai valori delle variabili di sistema RGM Verifica valori ricetta - Differenze
    Per ogni inserimento si usa un nuovo indice array (nessun spostamento riga).

Variabili di sistema

Questa funzione esegue un controllo della ricetta. A tal scopo, si comparano valore ricetta e valore attuale e il risultato viene trasmesso alla variabile di sistema corrispondente. Le variabili possono essere selezionate e analizzate localmente o globalmente. Le variabili che non possono essere controllate a causa di errori nella comunicazione con il PLC (stato INVALID), vengono evidenziate tramite uno sfondo colorato (rosso).

Variabile

Tipo di dato

Descrizione

[Ricette: Standard e RGM] RGM verifica valori ricetta - Differenze (globale/locale)

STRING

Fa una lista di tutte le differenze delle variabili nella successione seguente:

[Nome variabile; Valore ricetta; Valore variabile; Unità]

Ogni inserimento viene scritto in una nuova riga.

Requisito: La variabile RGM Verifica valori ricetta - Risultato restituisce un valore = 1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Autorizzazione utente (globale/locale)

DINT

Livello di autorizzazione della ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori in ricetta - Utente ultima modifica (globale/locale)

STRING

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Risultato (globale/locale)

DINT

Risultati dell´analisi:

  • 0: tutti i valori corrispondono.
  • 1: perlomeno un valore variabile è diverso dal valore ricetta.
  • 2: Perlomeno una variabile è disturbata (INVALID.
  • 3: Verifica non possibile perché la colonna per l valore attuale non viene visualizzata. La variabile del driver di sistema viene resettata.

Messaggi di errore:

  • -1: si è verificato un errore nella lettura dei valori variabile.
  • -2: Impossibile chiudere la gruppo di ricetta.
  • -3: Non è possibile modificare la ricetta

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: standard e RGM] RGM verifica valori ricetta - Commento 1-8 (globale/locale)

STRING

Si possono aggiungere 8 commenti a una ricetta. La variabile contiene il commento del numero corrispondente alla ricetta analizzata per ultima.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Nome gruppo di ricetta (globale/locale)

STRING

Nome del gruppo di ricetta della ricetta letta per ultima.

Requisito: La variabile RGM verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Nome ricetta (globale/locale)

STRING

Nome della ricetta controllata per ultima.

Requisito: La variabile RGM verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Numero ricetta (globale/locale)

UDINT

Numero della ricetta controllata per ultima.

Requisito: La variabile RGM verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Stato ricetta (globale/locale)

DINT

Stato della ricetta controllata per ultima come numero.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Stato ricetta Testo (globale/locale)

STRING

Stato della ricetta controllata per ultima come text. 1 - @Text

[Ricette: Standard e RGM] RGM verifica valori ricetta - Versione ricetta (globale/locale)

DINT

Versione della ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori in ricetta - Data/ora Ultima modifica (globale/locale)

STRING

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.


Rinomina ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Rinomina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione rinomina la ricetta selezionata e tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricette

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da nome variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta di destinazione.

Selezione della modalità in cui la ricetta di destinazione della rinomina viene creata:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta destinataria statico:

Selezione di uno stato esistente fra quelli contenuti nel menù a tendina.

Crea nuovo nome della ricetta di destinazione

Viene creata una nuova ricetta con un nome generato automaticamente.

Nome ricetta destinataria da variabile

il nome della ricetta destinataria viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, la ricetta non verrà rinominata.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione..

Guida

Apre la guida in linea.


Modifica stato ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Modifica stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione modifica lo stato di una ricetta.

Il sistema cerca di settare il valore di stato sulla ricetta selezionata, che viene poi salvata. Se il valore di stato indicato non dovesse essere valido (0, oppure un valore di stato non progettato), la ricetta rimane invariata e viene generato un inserimento nella CEL. In questo caso, la variabile Funzione di ricetta/RGM in esecuzione segnala un errore (4).

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti.
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da nome variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da numero variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile.. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Stato ricetta destinataria

Selezione del nuovo Stato di riceta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

Selezione di uno stato esistente fra quelli offerti dal menù a tendina.

Stato ricetta destinataria da variabile:

Lo stato di ricetta viene acquisito da una variabile come valore numerico. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Crea nuova ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Crea nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione crea una nuova ricetta nel gruppo ricette selezionato.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da nome variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da numero variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Elimina ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Elimina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione cancella la ricetta selezionata con tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Duplica

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori correnti delle rispettive variabili vengono scritti nella nuova ricetta.

Nota: la funzione che consente di duplicare può essere eseguita a Runtime solo se l´utente registrato ha i diritti corrispondenti che gli consentono di modificare la ricetta. Se questi diritti mancano, il sistema provvederà ad visualizzare la finestra di dialogo che consente di eseguire il login temporaneo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico

Selezione di un Gruppo ricette già esistente.

Nome gruppo di ricetta da variabile

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Attenzione: non deve essere progettato per le versioni precedenti a zenon 7.00.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica

Selezione di una ricetta già esistente.

Nome ricetta da variabile

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Attenzione: non deve essere progettato per le versioni precedenti a zenon 7.00.

Numero ricetta da variabile

il numero ricetta viene ripreso da una variabile. Cliccando sul pulsante ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione di ricetta statica

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile

Lo stato ricetta viene acquisito da una variabile.. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Crea nuova ricetta destinataria

Impostazioni per l´assegnazione di un nome alla ricetta. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta target statico

Adotta uno dei nomi offerti dal menù a tendina.

Crea nuova ricetta destinataria

Il nome viene creato e assegnato dal sistema.

Nome ricetta destinataria da variabile

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statico

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta destinataria da variabile

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta destinataria

Selezione del nuovo Stato di ricetta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

Selezione di uno stato esistente fra quelli offerti dal menù a tendina.

Stato ricetta destinataria da variabile

Lo stato ricetta viene acquisito da una variabile.. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Processo di duplicazione

Quando si esegue la funzione “Duplica”, una ricetta sorgente esistente con tutte le sue proprietà:

  • Viene trasferita ad una ricetta esistente; quest´ultima viene sovrascritta con tutte le impostazioni della ricetta sorgente.
    Oppure
  • Nello stesso gruppo di ricette viene creata una nuova ricetta con tutte le impostazioni di quella d´origine.

Lo stato di ricetta viene acquisito sempre dalla ricetta sorgente (e dalla sua versione ricetta).

La versione di ricetta non è parte dei dati trasferiti, perché non è una proprietà della ricetta; il nome, però, continua ad essere specificato.

Quando si indica la versione di ricetta e lo stato di ricetta, vale quanto segue:

  • La versione di ricetta specificata per il nome di ricetta specificato, o per il nome di ricetta specificato con lo stato di ricetta specificato deve esistere.
  • Se non esiste ancora una ricetta con il nome specificato, viene creata una nuova versione 1 con il nome specificato, e lo stato viene settato come nella ricetta d'origine.

Specificazione tramite variabili

Se, durante la configurazione, la versione della ricetta di destinazione, oppure il suo stato vengono specificati usando variabili, la ricetta di destinazione stessa viene creata o sovrascritta solamente alle seguenti condizioni:

  • La versione di destinazione definita tramite il valore della variabile con lo stato definito usando il valore della variabile deve già esistere:
    • La ricetta di destinazione definita viene sovrascritta con la ricetta d'origine.
    • Il numero della versione ricetta rimane lo stesso.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Non esiste ancora una versione ricetta con questo nome:
    • Viene creata una versione ricetta 1, indipendentemente da quale valore ha la variabile per la versione di destinazione.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Esiste una ricetta col nome di destinazione, ma non c´è una versione ricetta che corrisponda al valore della variabile per la versione di destinazione: :
    • Non viene creata una versione nuova.
      Ciò vale anche quando non esiste più una versione ricetta 1.


Duplica e acquisisci

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica e acquisisci

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori correnti delle rispettive variabili vengono scritti nella nuova ricetta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Nota: la funzione che consente di duplicare può essere eseguita a Runtime solo se l´utente registrato ha i diritti corrispondenti che gli consentono di modificare la ricetta. Se questi diritti mancano, il sistema provvederà ad visualizzare la finestra di dialogo che consente di eseguire il login temporaneo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricetta da variabile

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Attenzione: non deve essere progettato per le versioni precedenti a zenon 7.00.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica

Selezione di una delle ricette già create.

Nome ricetta da variabile

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Attenzione: non deve essere progettato per le versioni precedenti a zenon 7.00.

Numero ricetta da variabile

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione di ricetta statica

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versioni già esistenti.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile

Lo stato ricetta viene acquisito da una variabile.. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Crea nuova ricetta destinataria

Impostazioni per l´assegnazione di un nome alla ricetta. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta target statico

Adotta uno dei nomi offerti dal menù a tendina.

Crea nuova ricetta destinataria

Il nome viene creato e assegnato dal sistema.

Nome ricetta destinataria da variabile

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta destinataria da variabile

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta destinataria

Selezione del nuovo Stato di ricetta fra quelli già esistenti, oppure tramite una variabile.

Stato ricetta di destinazione statico

Selezione di uno stato esistente fra quelli offerti dal menù a tendina.

Stato ricetta destinataria da variabile

Lo stato ricetta viene acquisito da una variabile.. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Processo di duplicazione

Quando si esegue la funzione “Duplica”, una ricetta sorgente esistente con tutte le sue proprietà:

  • Viene trasferita ad una ricetta esistente; quest´ultima viene sovrascritta con tutte le impostazioni della ricetta sorgente.
    Oppure
  • Nello stesso gruppo di ricette viene creata una nuova ricetta con tutte le impostazioni di quella d´origine.

Lo stato di ricetta viene acquisito sempre dalla ricetta sorgente (e dalla sua versione ricetta).

La versione di ricetta non è parte dei dati trasferiti, perché non è una proprietà della ricetta; il nome, però, continua ad essere specificato.

Quando si indica la versione di ricetta e lo stato di ricetta, vale quanto segue:

  • La versione di ricetta specificata per il nome di ricetta specificato, o per il nome di ricetta specificato con lo stato di ricetta specificato deve esistere.
  • Se non esiste ancora una ricetta con il nome specificato, viene creata una nuova versione 1 con il nome specificato, e lo stato viene settato come nella ricetta d'origine.

Specificazione tramite variabili

Se, durante la configurazione, la versione della ricetta di destinazione, oppure il suo stato vengono specificati usando variabili, la ricetta di destinazione stessa viene creata o sovrascritta solamente alle seguenti condizioni:

  • La versione di destinazione definita tramite il valore della variabile con lo stato definito usando il valore della variabile deve già esistere:
    • La ricetta di destinazione definita viene sovrascritta con la ricetta d'origine.
    • Il numero della versione ricetta rimane lo stesso.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Non esiste ancora una versione ricetta con questo nome:
    • Viene creata una versione ricetta 1, indipendentemente da quale valore ha la variabile per la versione di destinazione.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Esiste una ricetta col nome di destinazione, ma non c´è una versione ricetta che corrisponda al valore della variabile per la versione di destinazione: :
  • Non viene creata una versione nuova.
    Ciò vale anche quando non esiste più una versione ricetta 1.


Crea nuova versione ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Crea nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione crea una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli di sostituzione della variabile. Può essere impostato un massimo di 89999 versioni ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Elimina versione di ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Elimina versione di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione cancella la versione ricetta selezionata. Se è disponibile solamente una versione ricetta, verrà cancellata l´intera ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Duplica come versione ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica come versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione crea una nuova versione per la ricetta selezionata. I valori della ricetta creata ricevono quelli della ricetta scelta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Duplica e leggi come nuova versione ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica e leggi come nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione crea una nuova versione per la ricetta selezionata. I valori della ricetta creata ricevono quelli della ricetta scelta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il menù a tendina che consente di selezionare il metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Scrivi valori ricetta su variabili grafiche di ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi valori ricetta su variabili grafiche di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione scrive valori di ricetta su una variabile grafica di ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Scrivi variabili di ricetta grafiche su valori di ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi variabili di ricetta grafiche su valori di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione scrive valori delle variabili grafiche di ricetta sui valori ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata. Se i valori delle variabili non sono validi, non viene aperta nessuna ricetta.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Esporta tutti in XML

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta tutti in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta l´intero contenuto del RGM in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene salvato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

Il nome del file di esportazione viene definito direttamente dall’utente. Il nome file può essere indicato come percorso assoluto o relativo in relazione al percorso di export. C´è anche la possibilità di generare il nome file in modo dinamico, mediante placeholder.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una cartella di salvataggio e di assegnare un nome.

Se si indica un nome senza percorso, il file di esportazione verrà scritto nella cartella Runtime.

Nome file da variabile:

Il nome del file di esportazione viene definito dal contenuto di una variabile Stringa. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e placeholder.

Genera automaticamente nome file:

Il nome del file di export viene generato automaticamente. Questo nome è costituito dal prefisso RGM più il placeholder <DateTime>.

Esempio: RGM 10_11_2011 10_42_29.xml

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Non attivo: il processo dell´export viene interrotto se esiste già un file dello stesso nome.

Default: non attivo.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.

Ancora in questo capitolo

Placeholder per percorsi dinamici


Placeholder per percorsi dinamici

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta tutti in XML -> Placeholder per percorsi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Placeholder

Condizione

Risultato

<Projectname>
  • Sempre

Nome progetto.

<DateTime>
  • Sempre

Data e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Nel caso del tedesco (Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Esportazione di un gruppo
  • Esportazione di una ricetta
  • Importazione con selezione gruppo

Nome del gruppo di ricette selezionato.

<RGMRecipeName>
  • Esportazione di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Esportazione di una ricetta

Numero di versione della ricetta selezionata.


Esporta in XML, Gruppo di ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta in XML, Gruppo di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta il gruppo di ricette selezionato con il suo contenuto in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene salvato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

Il nome del file di esportazione viene definito direttamente dall’utente. Il nome file può essere indicato come percorso assoluto o relativo in relazione al percorso di export. C´è anche la possibilità di generare il nome file in modo dinamico, mediante placeholder.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una cartella di salvataggio e di assegnare un nome.

Se si indica un nome senza percorso, il file di esportazione verrà scritto nella cartella Runtime.

Nome file da variabile:

Il nome del file di esportazione viene definito dal contenuto di una variabile Stringa. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e placeholder.

Genera automaticamente nome file:

Il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <RGMGroupName>.

Esempio: <RGM GroupName>.xml da come risultato per il Gruppo 1: Gruppo 1.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Non attivo: il processo dell´export viene interrotto se esiste già un file dello stesso nome.

Default: non attivo.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.

Placeholder per percorsi dinamici

Placeholder

Condizione

Risultato

<Projectname>
  • Sempre

Nome progetto.

<DateTime>
  • Sempre

Data e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Nel caso del tedesco (Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Esportazione di un gruppo
  • Esportazione di una ricetta
  • Importazione con selezione gruppo

Nome del gruppo di ricette selezionato.

<RGMRecipeName>
  • Esportazione di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Esportazione di una ricetta

Numero di versione della ricetta selezionata.


Esporta in XML, Ricetta

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta in XML, Ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file XML. Viene esportato anche il nome del gruppo di ricette. Se si rinominano i gruppi di ricette dopo l´esportazione, questa assegnazione andrà persa al momento dell´importzione.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricette da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Versione di ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene salvato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

Il nome del file di esportazione viene definito direttamente dall’utente. Il nome file può essere indicato come percorso assoluto o relativo in relazione al percorso di export. C´è anche la possibilità di generare il nome file in modo dinamico, mediante placeholder.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una cartella di salvataggio e di assegnare un nome.

Se si indica un nome senza percorso, il file di esportazione verrà scritto nella cartella Runtime.

Nome file da variabile:

Il nome del file di esportazione viene definito dal contenuto di una variabile Stringa. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e placeholder.

Genera automaticamente nome file:

Il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il placeholder <RGMRecipeName>.<RGMRecipeVersion>.

Esempio: <RGMRecipeName>.<RGMRecipeVersion> dà come risultato per la ricetta Ricetta 1 con la Versione 3: Ricetta 1.3.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Non attivo: il processo dell´export viene interrotto se esiste già un file dello stesso nome.

Default: non attivo.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Importa in XML

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Importa in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione importa il contenuto del file XML indicato. Se in questo file sono contenute delle ricette singole senza appartenenza ad un determinato gruppo, queste ricette vengono importate nel gruppo selezionato; in caso contrario la selezione del gruppo viene ignorata:

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette in cui le ricette senza appartenenza ad un gruppo devono essere importate. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.
  • Tramite file di importazione.

Cliccando sulla proprietà, si apre il menù a tendina che consente di selezionare il metodo.

Se il file XML contiene già dei gruppi ricette, questa impostazione verrà ignorata.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

Scegli file

Impostazioni per la selezione del file da cui viene effettuato l´import. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo in relazione al percorso di export. C´è anche la possibilità di generare il nome file in modo dinamico, mediante placeholder.

Cliccando sul pulsante ... si apre la finestra di dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

Il nome del file di importazione viene definito dal contenuto di una variabile String. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e placeholder.

Sovrascrivi ricette esistenti
  • Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.
  • Non attiva: Le ricette già esistente non vengono sovrascritte. Vengono impostate solamente le nuove ricette.

Default: non attivo.

Attenzione: bisogna tenere presente che cosa può succedere quando si configura l´opzione “Sovrascrivi ricette esistenti”. In determinati casi, infatti, ci può essere l´effetto indesiderato che siano ricette importate ad essere sovrascritte. Per i dettagli su questo tema, si veda il capitolo Importazione e versionamento.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime
  • Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime
  • Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida online.

Nota sull´importazione con variabili diverse.

Procedura

Se si importa da un file XML una ricetta le cui variabili sono diverse da quelle della ricetta originale, accade quanto segue:

  • Viene importata la ricetta.
  • Le variabili esistenti nel file XML e a Runtime vengono sovrascritte nella ricetta originale
  • Tutte le altre variabili vengono ignorate.
  • La variabile del driver di sistema restituisce il valore 2 (Import è stato completato senza errori)

Dati array

Se fra esportazione e re-importazione di un gruppo di ricette è stata modificata la dimensione di un block-Array, vale quanto segue:

  • Se la dimensione dell´array (gruppo esiste già) è maggiore: le nuove variabili non vengono aggiunte al gruppo di ricette.
  • Se la dimensione dell´array (gruppo non esistente) è maggiore: le nuove variabili vengono aggiunte al gruppo di ricette; il sistema visualizza una segnalazione corrispondente nella finestra di emissione.
  • Se la dimensione dell´array è minore: le variabili mancanti vengono rimosse dal gruppo di ricette.

Importazione e versionamento

Quando si importano ricette via XML, può succedere che almeno una versione non venga importata correttamente.

Background: quando vengono create nuove ricette, il contatore di versioni viene settato su 1. Ad ogni nuova versione, questo numero viene incrementato di 1 unità. Internamente, questo numero non viene mai ridotto, neanche quando si cancellano delle versioni.

Quando si configura l´azione di importazione via XML, si può prevedere che versioni di ricetta esistenti vengano sovrascritte. Questa operazione, però, funzionerà solo se queste versioni esistono ancora. Se una versione di una ricetta non esiste più, il contatore di versioni viene incrementato di un´unità e viene creata una nuova ricetta con questo numero di versione.

La conseguenza di questo può essere la seguente: Se si importano più versioni di una ricetta e una di queste corrisponde allo stato del contatore e un´altra ha un numero inferiore, almeno la versione più piccola viene creata, ma sovrascritta.

Esempio:

  • C`è una ricetta con le versioni 1 e 2.
  • Il contatore viene settato su 3.
  • La versione 2 viene cancellata.

Poi le versioni 2 e 3 salvate in precedenza vengono reimportate con l´opzione Sovrascrivi ricette esistenti attiva.
Dati questi presupposti, succederà quanto segue:

  • Quando si esegue l´importazione delle versioni della ricetta, la versione 2 non potrà essere sovrascritta, perché non esiste più.
  • Ne verrà creata una nuova, la versione 3.
  • Poi verrà importata la versione 3 del file XML.
    Questa sovrascriverà la versione 3 appena creata, che corrisponde alla vecchia versione 2.
  • Al posto delle versioni 1, 2 e 3, ci saranno solamente le versioni 1 e 3.


Salva informazioni dettagliate di ricetta su documentazione XML

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Salva informazioni dettagliate di ricetta su documentazione XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta dati ricette dettagliati per la documentazione in un file XML.

Nota: questi dati non possono essere più importati. Costituiscono la base per l´esatta documentazione.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.


Esporta ricetta su file di testo

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Ricetta

Impostazioni per la selezione delle ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Ricetta statica
  • Nome ricetta da variabile
  • Numero ricetta da variabile

Ricetta statica:

Selezione di una delle ricette già create.

Nome ricetta da variabile:

Il nome della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Numero ricetta da variabile:

Il numero della ricetta viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Versione ricetta

Selezione della versione di ricetta prendendone una di quelle esistenti, oppure tramite una variabile.

Versione ricetta statica:

Selezione di una versione della ricetta fra quelle contenute nel menù a tendina. Possibile scelta:

  • Versione della ricetta già esistente.
  • Versione più piccola;
    Possibile selezionare anche uno stato ricetta.
  • Versione più grande;
    Possibile selezionare anche uno stato ricetta.

Versione di ricetta da variabile:

La versione di ricetta viene ripresa da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se la versione di ricetta viene acquisita da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione di ricetta più piccola
  • Il valore 90001 corrisponde al valore statico di versione di ricetta più grande

Stato ricetta

Selezione dello stato ricetta fra quelli già esistenti, oppure tramite una variabile..

Stato ricetta statico:

Lo stato ricetta viene analizzato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più piccola oppure Versione più grande, oppure viene ripresa da una variabile.
Esempio: Versione più grande con stato start.

Selezione di uno stato ricetta fra quelli contenuti nel menù a tendina

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

Lo stato ricetta viene acquisito da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nota: se lo stato ricetta viene acquisito da una variabile numerica, vale quanto segue:

  • Il valore 0 viene interpretato come Tutti
  • Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene salvato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

Il nome del file di esportazione viene definito direttamente dall’utente. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una cartella di salvataggio e di assegnare un nome.

Se si indica un nome senza percorso, il file di esportazione verrà scritto nella cartella Runtime.

Nome file da variabile:

Il nome del file di esportazione viene definito dal contenuto di una variabile Stringa. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Genera automaticamente nome file:

Il nome del file di export viene generato automaticamente. Questo nome è costituito dal prefisso RGM più data e ora.

Esempio: RGM 10_11_2011 10_42_29.txt

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.

Ancora in questo capitolo

Struttura e formato del file di testo


Struttura e formato del file di testo

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo -> Struttura e formato del file di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può selezionare il formato di esportazione del file di testo tramite la proprietà Esportazione testo in Unicode del gruppo Impostazioni Runtime delle proprietà di progetto.

Per la versione corrente, il numero di versione è 4.

Struttura per versione 4 (dimensione intestazione 21)

Riga | Descrizione | Commento
VER:4; | Numero di versione del file di esportazione. |
Recipe1; | Nome ricetta |
1; | Versione ricetta |
3; | Numero ricetta |
FALSE; | Proprietà Scrittura sincrona è derivata da ricetta o gruppo di ricette. | TRUE Oppure FALSE
FALSE; | Scrittura sincrona è attiva. | TRUE Oppure FALSE
FALSE; | Proprietà Timeout [ms] è derivata da ricetta o gruppo di ricette. | TRUE Oppure FALSE
0; | Timeout [ms] |
0; | Livello di autorizzazione: | Da 0 a 127
Test comment 1; | Commento 1 |
; | Commento 2 |
; | Commento 3 |
; | Commento 4 |
Another comment; | Commento 5 |
; | Commento 6 |
; | Commento 7 |
; | Commento 8 |
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:25:15; | Time stamp dell´ultima modifica | Si usano le impostazioni di sistema locali.
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:45:17; | Time stamp di scrittura, | Si usano le impostazioni di sistema locali.
Variable1;2;10; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
Variable2;2;12; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
BooleanVariable;2;1; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |

Ancora in questo capitolo

Struttura e formato per versione 3

Struttura e formato per versione 2

Struttura e formato per versione 1


Struttura e formato per versione 3

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo -> Struttura e formato del file di testo -> Struttura e formato per versione 3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura e formato per versione 3

Struttura per versione 3 (dimensione intestazione 12)

Riga | Descrizione | Commento
VER:3; | Numero di versione del file di esportazione. |
Recipe1; | Nome ricetta |
3; | Numero ricetta |
FALSE; | Scrittura sincrona è attiva. | TRUE Oppure FALSE
0; | Timeout [ms] |
0; | Livello di autorizzazione: | Da 0 a 127
Test comment 1; | Commento 1 |
; | Commento 2 |
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:25:15; | Time stamp dell´ultima modifica | Si usano le impostazioni di sistema locali.
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:45:17; | Time stamp di scrittura, | Si usano le impostazioni di sistema locali.
Variable1;2;10; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
Variable2;2;12; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
BooleanVariable;2;1; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |


Struttura e formato per versione 2

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo -> Struttura e formato del file di testo -> Struttura e formato per versione 2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura e formato per versione 2

Struttura per versione 2 (dimensione intestazione 11)

Riga | Descrizione | Commento
VER:2; | Numero di versione del file di esportazione. |
Recipe1; | Nome ricetta |
3; | Numero ricetta |
FALSE; | Scrittura sincrona è attiva. | TRUE Oppure FALSE
0; | Timeout [ms] |
Test comment 1; | Commento 1 |
; | Commento 2 |
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:25:15; | Time stamp dell´ultima modifica | Si usano le impostazioni di sistema locali.
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:45:17; | Time stamp di scrittura, | Si usano le impostazioni di sistema locali.
Variable1;2;10; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
Variable2;2;12; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
BooleanVariable;2;1; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |


Struttura e formato per versione 1

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo -> Struttura e formato del file di testo -> Struttura e formato per versione 1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura e formato per versione 1

Struttura per versione 1 (dimensione intestazione 8)

Riga | Descrizione | Commento
Recipe1; | Nome ricetta |
3; | Numero ricetta |
Test comment 1; | Commento 1 |
; | Commento 2 |
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:25:15; | Time stamp dell´ultima modifica | Si usano le impostazioni di sistema locali.
SYSTEM; | Utente che ha modificato la ricetta per ultimo. |
18.05.2016 11:45:17; | Time stamp di scrittura, | Si usano le impostazioni di sistema locali.
Variable1;2;10; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
Variable2;2;12; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |
BooleanVariable;2;1; | Variabile di ricetta Nome variabile; tipo di azione; valore (variabile sorgente); |


Importa ricetta da file di testo

Manuale -> Manager gruppi di ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Importa ricetta da file di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione importa dati da un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nella finestra di dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Selezione ricetta/
Gruppi di ricetta

Selezione del gruppo ricette in cui si deve importare. La selezione può essere eseguita:

  • In modo statico, da inserimenti predefiniti
  • In modo dinamico, mediante variabile.
  • Tramite file di importazione.

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Gruppo di ricette statico:
  • Nome gruppo di ricetta da variabile

Gruppo di ricette statico:

Selezione di uno dei gruppi di ricette già creati.

Nome gruppo di ricette da variabile:

Il nome del gruppo di ricette viene ripreso da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

Scegli file

Impostazioni per la selezione del file da cui viene effettuato l´import. Cliccando sulla descrizione, si apre il menù a tendina che consente di selezionare un inserimento:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Cliccando sul pulsante ... si apre la finestra di dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

Il nome del file di importazione viene definito dal contenuto di una variabile String. Cliccando su pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Sovrascrivi ricette esistenti

Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.

Impostazioni Runtime

Impostazioni per la gestione a Runtime.

Visualizza questa finestra di dialogo a Runtime

Attivo: a Runtime viene aperta questa finestra di dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo di ricette a Runtime.

Disponibile solo se è attiva l´opzione Visualizza questa finestra di dialogo a Runtime.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla le impostazioni e chiude la finestra di dialogo. La funzione viene impostata, ma senza destinazione.

Guida

Apre la guida in linea.


Gestione a Runtime

Manuale -> Manager gruppi di ricette -> Gestione a Runtime

Eseguendo una funzione di cambio immagine a Runtime, si apre un´immagine progettata nell´´Editor.

Configurazione: Si veda il capitolo Creare immagine di tipo "Manager gruppi ricette”.

Nota: i pulsanti di questa immagine sono attivi solo se esiste la lista/tabella corrispondente.

Modificare ricetta e salvarla con nome

Una ricetta modificata è salvata solo quando si preme uno dei seguenti pulsanti:

  • Salva ricetta
  • Scrivi tutti i valori
  • Scrivi valori selezionati

Se si clicca sul pulsante Salva ricetta con nome, il sistema salva la ricetta in modifica al momento con un nuovo nome. Le modifiche della ricetta originale che non sono state salvate, non ci saranno neppure nella nuova ricetta.

Modificare nome ricetta o numero ricetta

Il nome della ricetta deve essere univoco. Il sistema non analizza i numeri delle ricette per verificarne l´univocità. Questo numero viene utilizzato solo per aprire una ricetta tramite una variabile usando la funzione Manager di gruppi ricette.. Se esistono più ricette che hanno lo stesso numero, zenon usa la prima ricetta trovata.

Rinominare o cancellare ricette

Per poter rinominare o cancellare una ricetta, un utente deve disporre dell´autorizzazione operativa per tutte le versioni esistenti della ricetta stessa.

Attualità delle informazioni visualizzate

L´immagine RGM lavora a Runtime con una copia della banca dati RGM. Al momento dell´apertura dell´immagine RGM a Runtime, viene visualizzata l´informazione corrente della banca dati. Questa visualizzazione non viene aggiornata automaticamente.

Le modifiche vengono aggiornate nel modo seguente:

  • Se su un client cambia il contenuto a causa dell´esecuzione di una funzione, oppure a causa della modifica dell´immagine, la modifica non viene visualizzata nell´immagine aperta al momento. Perché le modifiche vengano visualizzate, l´immagine deve essere chiusa e riaperta. In questo caso, la banca dati verrà letta di nuovo e il sistema poi visualizzerà lo stato corrente.
  • Nuovi gruppi di ricette vengono visualizzati appena l´immagine viene riaperta, le variabili eventualmente solo dopo un reload del Runtime.
  • Le ricette o i gruppi di ricette modificati vengono visualizzati nell´Editor solo dopo un reload del Runtime.

attention Attenzione

Se cambia il valore della variabile per la visibilità (proprietà Visibilità/Variabile) mentre è aperta un´immagine RGM che la contiene, viene riaperta l´immagine RGM. Le modifiche non salvate nell´immagine andranno perdute.

Queueing in rete

A partire dalla versione 7.10, il RGM supporta il queueing per la comunicazione in rete. Le richieste RGM ricevono un ID univoco e vengono elaborate una dopo l´altra. Le versioni precedenti a zenon 7.10 non supportano l´accodamento . Il che significa che le richieste che raggiungono il server mentre è in corso l´elaborazione di un´altra richiesta, vengono rigettate. .

Ancora in questo capitolo

Lista ricette

Tabella valori ricette

Keyboard

Informazioni di stato per ricette e Manager di gruppi ricette

Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)


Lista ricette

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella lista ricette può essere selezionato sempre un solo inserimento. La ricetta selezionata viene visualizzata nella Tabella valori ricette dell´immagine e può essere modificata facendo uso dei pulsanti (rinomina, cancella...). Le colonne possono essere ordinate via Drag&Drop (non sotto Windows CE).

Se la lista viene utilizzata insieme alle liste a cascata Nome ricette e/o Versione ricette, la selezione viene sincronizzata. Se dunque si modifica la selezione in una lista a cascata, cambia anche quella nella lista ricette e viceversa. Se l´inserimento selezionato nella lista non dovesse essere visibile come conseguenza di un criterio di filtro, nella lista non verrà selezionato nulla.

Nuove ricette e nuove versioni ricette vengono aggiunte alla fine della tabella indipendentemente dai criteri di filtro. dati ricetta modificati, come, ad esempio, il testo di un commento o lo stato, vengono visualizzati solamente dopo che la ricetta è stata salvata. I testi dei commenti e i titoli delle colonne vengono tradotti.

Aspetto della lista ricette: vedi sezione Aspetto della lista ricette.


Tabella valori ricette

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella tabella valori ricetta vengono visualizzati i valori e le azioni per le variabili della ricetta selezionata. La tabella di valori ricetta è disponibile in due forme:

  • Tabella valori ricette
  • Tabella valori ricette CE

Differenze fra le tabelle valori ricetta

Tabella valori ricette

Le colonne possono essere configurate in un determinato ordine via Drag&Drop e possono essere ordinate cliccando su un header colonna. Le colonne possono essere selezionate e formattate usando i pulsanti Tabella di valori ricetta Selezione colonne e Tabella di valori ricetta Formato colonne.

Sono a disposizione:

  • Ordine di scrittura: solo visualizzazione
  • Azione: editabile
  • Descrizione apparecchiatura: solo visualizzazione
  • Testo filtro: solo visualizzazione
  • Valore attuale: solo visualizzazione
  • Identificazione: solo visualizzazione
  • Unità di misura: solo visualizzazione
  • Valore massimo: solo visualizzazione
  • min. Val: solo visualizzazione
  • Nome variabile: solo visualizzazione
  • Valore o variabile: modificabile in dipendenza dell´inserimento nella colonna Azione
  • Visualizzazione valore come testo: modificabile in dipendenza dell´ inserimento nella colonna Azione (solo tramite immagine del tipo Keyboard)

Tabella valori ricette CE

La tabella si configura nel cambio immagine.

Uso a Runtime

La Tabella valori ricetta viene usata se è soddisfatta questa condizione:

  • La Tabella valori ricetta è stata configurata nell´immagine e nel cambio immagine per l´opzione Formattazione della tabella valori ricetta è stato selezionato Usa tabella standard.

La Tabella valori ricetta CE viene usata se è soddisfatta una delle seguenti condizioni:

  • La Tabella valori ricetta CE è stata configurata nell´immagine.
  • La Tabella valori ricetta è stata configurata nell´immagine e nel cambio immagine per l´opzione Formattazione della tabella valori ricetta è stato selezionato Usa formato file per tabella.
  • Nelle proprietà di progetto è stata attivata la proprietà Progetto WindowsCE.

Ancora in questo capitolo

Tabella valori tabella Selezione colonne

Tabella valori ricetta Formato colonne

Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Valori e azioni

Verifica valore ricetta

Visualizzazione testo


Tabella valori tabella Selezione colonne

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Tabella valori tabella Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Selezione colonne si apre la finestra di dialogo che serve alla configurazione delle colonne da visualizzare nella tabella. Questo pulsante deve essere progettato nell´Editor.

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Tabella valori ricetta Formato colonne

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Tabella valori ricetta Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Formato colonne si apre la finestra di dialogo che serve alla configurazione delle colonne. Questo pulsante deve essere progettato nell´Editor.

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per rappresentare e stampare una tabella valori ricetta come report:

  1. Create la corrispondente variabile del driver di sistema.
  2. Create il corrispondente report.
  3. Visualizzate il report nel Runtime, oppure stampatelo o esportatelo.

Creare variabile del driver di sistema

Create delle variabili del driver di sistema dal gruppo Manager di gruppi ricette. Procedura:

Create una nuova variabile.

  1. Selezionate SYSDRV come driver.
  2. Selezionate variabile del driver di sistema come tipo di oggetto.

  3. Cliccare su Avanti (Next).
  4. Aggiungete la seguente variabile del driver di sistema:
    • RGM ultima ricetta selezionata - Nome gruppo (locale)
    • RGM ultima ricetta selezionata - Nome ricetta (locale)
    • RGM ultima ricetta selezionata - Versione ricetta (locale)
    • RGM ultima ricetta selezionata - Stato ricetta (locale)

  5. Cliccate su Termina.

Configurare il Report Viewer

Create un nuovo report RGMReport.rdl con i dataset Dati ricetta e Valori ricetta.
A tal scopo:

  1. Create un nuovo Report.
  2. Selezionate i dateset Dati ricetta e Valori ricetta.

  3. Confermare le impostazioni cliccando su OK
  4. Salvate il file nel Report Builder con il nome RGMReport.rdl, oppure rinominatelo in zenon.

Visualizzare un report, esportarlo direttamente oppure stamparlo

Visualizza report nel Runtime.

Per visualizzare il report nel Runtime:

  1. Create un´immagine del tipo Report Viewer, sempre che essa non esista già nel progetto.
  2. Create una funzione di cambio all´immagine del tipo Report Viewer.
  3. Selezionate come Report - File di definizione il file RGMReport.rdl creato in precedenza.
  4. Cliccate sul pulsante Leggi dataset dal file
  5. Il sistema visualizza i dataset.

  6. Selezionate il primo dataset, per es. Dati ricetta.
  7. Cliccate su Modifica.
  8. Si apre la finestra di dialogo per la configurazione.
    Passate alla scheda Filtro di ricetta.
  9. Cambiate l´impostazione delle quattro liste a cascata per gruppi di ricetta-/selezione ricetta
    da [...] statico
    a [...] da variabile.
  10. Assegnate ad ogni inserimento una delle quattro variabile del driver di sistema create in precedenza.

  11. Ripete questo passo per il secondo dataset (Valori ricetta).
  12. Chiudete la finestra di dialogo e la funzione e assegnate un nome alla funzione.
  13. Collegate questa funzione a un pulsante nell´immagine RGM per poterla usare nel Runtime.

Stampa o esporta un report

Per stampare o esportare un report direttamente:

  1. Creare una nuova funzione.
  2. Passate al gruppo funzioni Generatore Report/Report Viewer/Analyzer.
  3. Selezionare la funzione Report Viewer: esporta/stampa.

  4. Selezionate l´azione desiderata per l´opzione Emetti Report:
    • Pubblica in PDF: Viene generato un documento PDF.
      Configurate il Nome file e il luogo di salvataggio, nonché l´opzione Sovrascrivi dati esistenti.
    • Pubblica su stampante: Stampa la tabella sulla stampante configurata.
  5. Passate alla scheda Definizione report
  6. Configuratela in modo analogo a quanto esposto nella documentazione di Visualizza report nel Runtime..
  7. Chiudete la finestra di dialogo e la funzione e assegnate un nome alla funzione.
  8. Collegate questa funzione a un pulsante nell´immagine RGM per poterla usare nel Runtime.


Valori e azioni

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Valori e azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori e le azioni possono essere modificati a Runtime direttamente nella tabella valori ricetta.

Nota: nell´Editor, le azioni e i valori vengono definiti al momento della modifica di una ricetta. Vedi Modifica di una ricetta del gruppo ricette/Azioni.

info Info

Se in una ricetta ci sono valori/azioni non validi, non verranno salvati. Se si modifica, per es., il tipo di azione, ma non si adatta in modo corrispondente il valore per l´azione, sarà possibile eseguire il comando Salva ricetta, ma non verranno accettati i valori modificati, non validi.

Inserire valori

A Runtime, i valori nella colonna Valore o variabile e in quella Visualizzazione testo possono essere modificati in modo diretto, oppure usando un´immagine di tipo Keyboard.

Per inserire valori nelle celle:

  1. Cliccare due volte nella cella desiderata.
  2. Inserire un valore.

Nota:

  • è possibile inserire solamente quei valori che si trovano all´interno del Limiti per Valore min. e Valore max. definito per le variabili di ricetta.
  • La modifica di un valore o di una variabile è possibile solamente se l´azione corrispondente è di uno dei seguenti tipi:
    • Modifica valore spontaneo
    • Commutare e modificare Valore spontaneo
    • Modifica valore di riserva
    • Commutare e modificare valore di riserva:
    • Stato utente
    • Collega con variabile
  • Se si vuole aprire una keyboard per inserire il valore, la keyboard deve essere stata collegata con la variabile, oppure configurata per il tipo di dato.

Nota: i valori di ricetta possono essere resi invisibili usando variabili.

Filtrare valori

I valori possono essere visualizzati filtrati usando gli elementi di controllo del gruppo “Filtro”. Se si seleziona un filtro nel Combobox, i valori corrispondenti vengono esclusi dalla visualizzazione oppure visualizzati. Se non si seleziona nessun filtro, verranno visualizzati tutti i valori, fatta eccezione per le variabili che sono impostate come invisibili.

Definire azioni

I valori della colonna Azione possono essere modificati a Runtime direttamente, selezionandoli nel menù a tendina.

Per definire un´azione:

  1. Cliccare due volte nella cella Azione della variabile corrispondente.
  2. Cliccare sul simbolo con la freccia.
  3. Selezionare nel menù a tendina l´azione desiderata.
  4. Con la selezione, l´azione viene applicata nella tabella valori ricetta.

Azioni possibili:

Azione

Descrizione

Inserimento in Valore o variabile.

Nessuna azione

Disattiva la variabile in questa ricetta.

Nessun inserimento.

Stato utente

Informazione di stato. Setta il corrispondente bit di stato della variabile.

Nota: possono essere settati solo bit di stato che sono evidenziati come settati dall´utente. I bit di stato settati automaticamente dal sistema non sono modificabili.

Attenzione: per aprire una keyboard a Runtime, deve essere stata collegata una keyboard nella proprietà Parametro stringa del gruppo Tastiere.

Indicare la denominazione breve dello stato con:
=1 per settare e
=0 per resettare.

Si possono inserire più stati usando il punto e virgola ( ;) come separatore. Ad esempio:
M1=1; M5=0

Modifica valore di riserva

Setta il valore di sostituzione sul valore che viene impostato alla voce Valore o variabile.

Inserire il valore di riserva.

Modifica valore spontaneo

Setta il valore spontaneo sul valore impostato alla voce Valore o variabile.

Inserire valore impostabile.

Disattiva il valore spontaneo

Disattiva il valore spontaneo settando il bit di stato OFF (Bit 20).

Nessun inserimento.

Attiva il valore spontaneo

Attiva il valore spontaneo resettando il bit OFF.

Nessun inserimento.

Imposta sul valore di riserva

Passa da valore spontaneo a valore di sostituzione

Nessun inserimento.

Imposta su valore spontaneo

Passa da valore di sostituzione a valore spontaneo

Nessun inserimento.

Imposta e modifica valore di riserva

Passa dal Valore spontaneo al Valore di sostituzione e setta quest´ultimo sul valore che è indicato in Valore e variabile.

Inserire valore di riserva.

Imposta e modifica valore spontaneo

Passa dal valore di sostituzione al valore spontaneo e setta quest´ultimo sul valore impostato in Valore o variabile.

Inserire valore impostabile.

Collega con variabile

Collega una variabile ad un´altra.

Nome di una variabile.

Cliccando con il tasto destro del mouse nel campo, si apre la finestra di dialogo che consente di selezionare variabili. Il valore della variabile viene trasferito alla variabile selezionata della ricetta. E' possibile usare anche variabili di altri progetti caricati.

Nota: a Runtime, anche la colonna Visualizzazione testo è modificabile. Per eseguire le modifiche, deve essere stata collegata una Keyboard. Le impostazioni corrispondono a quelle della colonna Valore o variabile.
Sono escluse le seguenti azioni:

  • Stato utente: modificabile solo con una tastiera del tipo. RGM
  • Collega a variabile: non modificabile

attention Attenzione

Se in una ricetta si usa la funzionalità Leggi tutti i valori in combinazione con l´azione Collega con variabile, il sistema non richiederà le autorizzazioni operative, né verrà protocollata l´azione. Se si vuole che l´azione venga registrata, la registrazione dovrà essere impostata manualmente, per esempio tramite una macro VBA.

Nota sulla conformità con FDA: questa funzionalità, perciò, non può essere utilizzata per progetti che debbono soddisfare le rigide norme FDA.

Identificazione di errori e interblocchi

I valori visualizzati nella tabella di valori ricetta sono analizzati automaticamente e evidenziati in caso di eventuali errori. Vengono evidenziate le seguenti celle:

  • Errore:
    • Valori al di là di quello massimo/minimo definito
    • Valori la cui azione si riferisce ad una variabile che non esiste, oppure non è raggiungibile.

    Default: rosso come colore di sfondo.
    Questa identificazione errore non è disponibile per la Tabella valori ricetta CE.

  • Le celle che visualizzano parametri bloccati.
    Default: grigio come colore di sfondo.

La corrispondenza dei valori di PLC e ricetta può essere verificata e visualizzata mediante la funzione o il pulsante Controlla valore di ricetta.

I colori per testi e sfondo possono essere adattati individualmente mediante la proprietà del gruppo Colori (non disponibile per Tabella valori ricetta CE).

Priorità delle identificazioni colori.

Quando si usano diversi colori in una lista, valgono le seguenti priorità:

  1. Generale: Colore di selezione per le liste oggetti
  2. RGM: Interrogazione valore di ricetta
  3. RGM: validazione online
  4. RGM: Interblocco
  5. Lista: colore colonna


Verifica valore ricetta

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Verifica valore ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella verifica valore ricetta, vengono confrontati il valore di ricetta e il valore attuale. Il risultato di tale verifica può essere visualizzato nella tabella valori ricetta, oppure trasmesso alla variabile del driver di sistema. .

I valori di ricetta possono essere verificati:

  • automaticamente, al momento del caricamento, del salvataggio e della lettura dei valori del PLC.
  • con il pulsante verifica valore ricetta.
  • mediante la funzione Manager gruppi di ricette.
  • via VBA.

Un valore non è valido se:

  • un´azione rimanda ad una variabile, ma nessuna variabile è collegata.
  • una determinata azione rimanda a valori che si trovano al di fuori dello spettro consentito (min./max.). Questo vale per:
    • Modifica valore di riserva
    • Modifica valore spontaneo
    • Commutare e modificare Valore spontaneo
    • Commutare e modificare valore di riserva:

Colorazione

I risultati sono visualizzati a colori nella colonna valore attuale. I colori possono essere modificati e adattati tramite le proprietà del gruppo Colori/Interrogazione valore di ricetta. Questo adattamento non è disponibile per la Tabella di ricetta CE. Si possono configurare dei colori individuali anche per gli Interblocchi. In caso di errori, il sistema passa automaticamente tramite scorrimento al primo punto della tabella in cui è stato individuato un errore (colore rosso o viola).
Colorazione:

  • Verde: I risultati corrispondono.
  • Rosso: Il valore PLC differisce da quello della ricetta.
  • Blu: Nessuna connessione con il PLC.

Pulsante "verifica valori ricetta".

Per verificare immediatamente valori di ricetta durante il Runtime nella tabella valori ricetta:

  1. Progettate nell´immagine il pulsante verifica valore ricetta.
  2. Cliccate nel Runtime sul pulsante.
  3. Tutte le variabili collegate alla ricetta vengono lette e i valori attuali vengono confrontati con quelli della ricetta.

Attenzione: la funzione dell´elemento di controllo utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti..

Funzione Manager gruppi di ricette

Per verificare valori di ricetta nel Runtime e per emettere il risultato di tale verifica con variabili del driver di sistema:

  1. Create una Funzione Manager gruppi di ricette.
  2. Se la funzione viene inizializzata ne Runtime, accade quanto segue:
    1. i valori di ricetta vengono verificati
    2. i risultati vengono trasmessi alle corrispondenti variabili del driver di sistema


Visualizzazione testo

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Tabella valori ricette -> Visualizzazione testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colonna Visualizzazione valore come testo è modificabile solamente se è collegata una Keyboard. Per l´azione Collega a variabile non è possibile effettuare nessun inserimento.

Se volete visualizzare nel runtime il significato particolare di un valore all´interno di una ricetta:

  1. Impostate per la variabile che usate nella ricetta una matrice di reazione del tipo numerico o stringa.

    Il tipo della matrice di reazione deve andar bene con quello della variabile utilizzata.

  2. Nella matrice di reazione definite stati "è uguale a" ed indicate il significato desiderato (il testo da visualizzare).

In alternativa: Per far sì che il sistema visualizzi testi, potete anche usare Valori limite, oppure matrici di reazione del tipo binario con altri stati come "è uguale a". In questo caso, però, non potete usare la funzione Immagine del tipo Keyboard.

Visualizzazione nel runtime

La Tabella valori ricetta nell´immagine del tipo Manager gruppi ricette, mostra nella colonna Visualizzazione valore come testo i testi di valore limite collegati o dalla matrice di reazione, oppure dal valore limite che sono violati dal valore della ricetta. Se non sono collegati dei testi di valore limite, viene visualizzato il valore di ricetta.

In tabelle Report Generator di progettazione propria, potete arrivare alla stessa funzionalità con l´aiuto delle funzioni recipew e recipef con il parametro symbolik.

Se viene modificata una ricetta e, di conseguenza, viene violato uno stato o un valore limite, segue subito il testo di valore limite visualizzato. I valori possono essere modificati durante il Runtime nella tabella valori ricetta usando un´immagine del tipo Keyboard.

Inserimenti nella Lista eventi cronologica.

Nel caso di modifiche a valori delle ricette o nel caso di impostazione di una ricetta (valore ricette), non solamente i valori, ma anche i corrispondenti testi di valore limite vengono riportati nell´inserimento destinato alla CEL. Se non viene violato né uno stato, né un valore limite, viene inserito solamente il valore.


Keyboard

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon le Keyboard servono da tastiere virtuali, che permettono di effettuare durante il runtime degli inserimenti in apparecchi senza una tastiera hardware. Le Keyboard vengono impostate e configurate mediante un´immagine del tipo Keyboard. zenon mette a disposizione dei suoi utenti delle Keyboard generate automaticamente e altre impostabili dagli utenti stessi. Si possono configurare delle Keyboard con le quali effettuare inserimenti nella tabella valori ricetta nel Runtime. Cliccando in una cella della colonna Valore o variabile, si apre la Keyboard corrispondente.
Condizioni: Nell´Editor, la Keyboard è stata

  • o configurata per il corrispondente tipo di dato
  • oppure collegata alla variabile.

Sono a disposizione nel gruppo Tastiere le seguenti Keyboard:

  • Parametro binario
  • Parametro numerico
  • Parametro stringa

attention Attenzione

Per il tipo di azione Stato utente, per effettuare inserimenti è necessaria una String-Keyboard. Essa deve essere stata configurata come String-Keyboard globale.

Ragione: Per la modifica di una variabile, si apre sempre la Keyboard che è collegata alla variabile e appartiene al suo tipo di dato. Per il tipo di azione Stato utente si ha bisogno di una String Keyboard. Essa non è collegata ad una variabile numerica e deve essere configurata apposta.

Configurazione: Progettate la Keyboard usando la proprietà Parametro stringa del gruppo di proprietà RGM Tastiere.

Tasti keyboard per RGM

Per l´immagine Keyboard per il RGM sono disponibili i seguenti elementi di controllo speciali alla voce Elementi di controllo-> Specifico per Manager gruppi di ricette:

Elemento di controllo

Descrizione

Imposta valore

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta e la keyboard viene chiusa.

Salva ricetta

La ricetta viene salvata.

Imposta valore e salva ricetta

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta; quest´ultima viene salvata e poi viene chiusa la keyboard.

Visualizzazione valore come testo 1
fino
Visualizzazione valore come testo 32

I tasti possono essere collegati a valori limite di una matrice di reazione. Per farlo, la variabile del parametro ricetta:

  • Deve essere collegata ad una Matrice di reazione numerica, oppure ad una Matrice di reazione stringa e
  • Deve contenere stati "è uguale ".

A Runtime verranno visualizzati i tasti che sono stati assegnati; questi tasti avranno il testo preso dalla matrice di reazione.

Quando si clicca sul tasto, il valore collegato nella matrice di reazione verrà scritto come proposta di valore per la ricetta nell´elemento di controllo Imposta valore.


Informazioni di stato per ricette e Manager di gruppi ricette

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Informazioni di stato per ricette e Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni di stato vengono fornite a Runtime per:

  • Lettura / Scrittura.
  • Esportazione/importazione.
  • Salvataggio.

Quando si scrive una ricetta, la variabile riceve il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente

Valore | Risultato
0 | Valore di inizializzazione prima del settaggio della ricetta.
1 | Operazione di scrittura riuscita.
2 | Operazione di scrittura non eseguita perché esiste un errore di parametro
3 | Operazione di scrittura non riuscita.
5 | Operazione di scrittura interrotta perché viene chiuso il Runtime.
6 | Intervenuto Timeout.

Nota: se è stata attivata la funzionalità di rete nel progetto, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale.

info Info

Quando si parla di "scrittura", si intende la scrittura sul driver. Il driver invia poi la ricetta al PLC. Questo significa:

  • Proprietà Scrittura sincrona disattivata: se Ricetta standard/RGM-Ricetta scritta completamente ha il valore 1, questo non significa che i valori siano sul PLC. Significa solamente che sono stati scritti sul driver.
  • Proprietà Scrittura sincrona è attiva: la modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Nota: la visualizzazione dello stato di avanzamento dell´operazione di scrittura avviene solamente se la proprietà Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

In esecuzione

0

Lettura del valore di inizializzazione riuscita.

1

L'utente non ha l'autorizzazione operativa.

2

Nessuna autorizzazione in rete.

3

Annullamento da parte dell'utente.

4

Errore - non è stato possibile leggere tutto, per es. per:

  • Interruzione della comunicazione con l'hardware prima dell'inizio dell´operazione di lettura.
  • Un blocco dati non esiste sul PLC.
  • Errore verificatosi durante il trasferimento.

5

Errore di salvataggio del file ricetta.

6

Funzione terminata via VBA.

Funzioni specifiche per tipo di immagine

Per le operazioni di:

  • Lettura (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportazione/importazione e
  • Salvataggio

di una ricetta per mezzo di una funzione specifica per tipo di immagine, sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

Operazione di lettura riuscita.

2

Errore di lettura, esportazione/importazione oppure salvataggio per:

  • Interruzione della comunicazione con l'hardware prima dell'inizio dell´operazione di lettura.
  • Un blocco dati non esiste sul PLC.
  • Errore verificatosi durante il trasferimento.


Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Manuale -> Manager gruppi di ricette -> Gestione a Runtime -> Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il runtime, è possibile modificare dei valori di ricette direttamente tramite immagini. A tal scopo si usano delle cosiddette variabili d´appoggio, che possono essere scritte e lette nel RGM mediante la funzione Manager gruppi di ricette.

Definisci variabile di ricetta grafica

Per ogni variabile esistente in un gruppo ricette, si può definire una variabile di ricetta grafica. Ogni variabile di ricetta grafica può essere usata solamente una volta per gruppo ricetta.. Non ogni variabile del gruppo ricette deve disporre di una variabile di ricetta grafica. Per definire una variabile di ricetta grafica:

  1. Evidenziare la variabile del gruppo di ricette.
  2. Nelle proprietà, passate al gruppo Generale.
  3. Cliccare sulla proprietà Variabile di ricetta grafica.
  4. Si apre la finestra di dialogo per selezionare una variabile.
  5. Selezionare la variabile grafica desiderata.
  6. Confermare la finestra di dialogo cliccando su OK.

Procedura di progettazione

  1. Per ogni variabile i cui valori devono essere modificabili durante il Runtime mediante un´immagine, definite in fase di progettazione una variabile grafica di ricetta.
    Impostate quest´ultima nella proprietà Generale/Variabile di ricetta grafica.
  2. Progettate un´immagine che rappresenta i valori ricetta modificabili, per esempio un serbatoio.
  3. Collegate l´immagine ad una Funzione Manager gruppi di ricette e selezionate l´azione Scrivi valori ricetta su variabili ricetta grafiche.
  4. Progettare un pulsante nell´immagine.
  5. Collegate il pulsante alla funzione Manager gruppi di ricette e selezionate l´azione Scrivi variabili di appoggio sui valori di ricetta.

Procedura a Runtime

  1. Viene aperta l´immagine che serve a settare i valori per il RGM.
  2. Le variabili verranno sostituite con levariabili d´appoggio.
  3. Quando si apre l´immagine, si attiva la funzione Manager gruppi di ricette con l´azione Scrivi valori ricetta su variabili di appoggio.
  4. I valori ricetta vengono visualizzati nell´immagine e possono essere modificati.
  5. I valori modificati vengono scritti nella ricetta mediante il pulsante con la funzione Manager gruppi di ricette/Scrivi variabili ricetta sui valori di ricetta .
  6. Se dovesse verificarsi un errore, si può analizzarlo tramite le variabili del driver di sistema. e gli inserimenti in file LOG.


Gestione degli errori

Manuale -> Manager gruppi di ricette -> Gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori possono essere analizzati sia tramite le variabili del driver di sistema che le segnalazioni di errore. I messaggi e le variabili del driver di sistema sono spiegate nel capitolo Guida Variabili del driver di sistema, Sezione Tema RGM.

File Log

Inserimento

Livello

Significato

COM Events

COM Event "RecipeCreate" returned with "bCancel == TRUE"

logLe_DEBUG

Segnalazione per COM Events, se l´azione in questione è stata interrotta tramite il parametro funzione bCancel:

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Se l´azione non è stata terminata nella funzione evento, non viene visualizzato nessun specifico inserimento log.

Variabile di ricetta grafica

RGM: Teached value out of Minimum max range. Variabile: "x1", Value: x2, FromShadow: x3

FAILED

Un valore letto viola il Valore minimo oppure il Valore max. dei limiti di valori impostabili della ricetta.

  • x1: Nome delle variabile
  • x2: valore nominato della variabile
  • x3: indicazione valore di processo o valore di una variabile d´appoggio

Error while reading current value for CEL logging.

INTERNAL

Si è verificato un errore durante la lettura dei valori momentanei per il logging CEL (Esegui ricetta). Possibili cause:

  • un valore è al di fuori dei limiti di Valore minimo e Valore max.
    -> ulteriore inserimento RGM: Teached value out of Minimum max range. Variabile: "x1", Value: x2, FromShadow: x3
  • un valore ha lo stato INVALID
  • il timeout è stato raggiunto

Segnalazioni pop-up

Segnalazione | Significato
Il nome "Ricetta\Testo" contiene caratteri non consentiti (\"'./*?<>!|). | Il nome del gruppo ricette o il nome ricetta inseriti non sono conformi all linee guida per la denominazione. Fra parentesi ci sono dei caratteri non consentiti.
Cancellare versione "7" della ricetta "Ricetta1"? | Richiesta di conferma posta del sistema prima di cancellare una versione ricetta nell´immagine Manager gruppi ricette durante il runtime.


Esempi

Manuale -> Manager gruppi di ricette -> Esempi

Qui trovate degli esempi di progettazione:

Ancora in questo capitolo

Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Cambio lingua del testo di visualizzazione nell´elemento Collega testo


Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Manuale -> Manager gruppi di ricette -> Esempi -> Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per scrivere durante il runtime la versione ricetta più grande con lo stato rilasciato sul PLC:

  1. impostare testi di stato per gli stati ricetta:
    1. aprite la proprietà Identificatore stato ricetta in Manager Gruppi di Ricette
    2. create nel dialogo lo stato:

      - 1 bozza

      - 2 controllato

      - 3 rilasciato

      - 4 bloccato

      - 5 cancellato

    Suggerimento: in questa sede potete definire i testi di stato anche come parole chiave per il cambio lingua mettendogli davanti il simbolo @ (per es.: @rilasciato).

  2. Impostazione di più versioni ricetta:
    1. impostate un nuovo gruppo ricetta facendo uso del menu contestuale
    2. collegate variabili con il gruppo ricette
    3. impostate una nuova ricetta
    4. impostate una nuova versione per la ricetta
    5. cambiate lo stato nella seconda versione della ricetta portandolo a 3 rilasciato
  3. Impostazione della funzione:
    1. selezionate la ricetta e scegliete nel menu contestuale o nella barra simboli Crea funzione standard
    2. Si apre la finestra di dialogo di configurazione.
    3. selezionate Setta ricetta
    4. settate Versione ricetta su >
    5. selezionate in corrispondenza di Stato ricetta statico l´inserimento 3 rilasciato

Quando viene eseguita la funzione nel runtime, viene scritta sul PLC la versione più grande esistente della ricetta con lo stato 3 - rilasciato. Se adesso, per esempio, si imposta una nuova versione ricetta ed essa riceve lo stato 3 - rilasciato, alla prossima apertura della funzione questa nuova versione viene scritta sul PLC.


Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Manuale -> Manager gruppi di ricette -> Esempi -> Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il cambio lingua per un elemento del tipo Collega testo, innanzitutto impostate quest´ultimo nell´editor e cambiatelo poi nel runtime.

Nell’Editor

Per impostare un elemento dinamico del tipo Collega testo e per configurarlo:

  1. cliccate nella barra dei simboli degli elementi sul simbolo Collega testo e impostate l´elemento all´interno dell´immagine.
  2. Selezionate una variabile stringa.
  3. Attivare la proprietà Tradurre testo (segno di spunta nella casella).

Nel runtime

Il valore proposto mostra un testo di default. Il testo è modificabile:

al momento di essere visualizzato, il testo viene modificato mediante il cambio lingua:


Menù

Manuale -> Menù

L'Editor dei menù consente di creare dei menù conformi a Windows. Ci sono due tipi di menù:

  • Menù principali
  • Menù contestuali

Nota: il sistema operativo non consente di avere menù propri per singole immagini o modelli.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Profilo editor | Apre il menù contestuale con i profili Editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Configurazione nell'Editor

Gestione a Runtime


Configurazione nell'Editor

Manuale -> Menù -> Configurazione nell'Editor

Per aprire l´Editor dei menù nella visualizzazione dettagli, selezionare la voce "Menù" nel Manager di progetto. Si può scegliere se creare menù principali o menù contestuali. Si possono creare nuovi menù utilizzando il menù contestuale (voce Nuovo menù principale o Nuovo menù contestuale). Questi vengono poi visualizzati nella parte destra della visualizzazione dettagli. È possibile esportare e importare menù. Ulteriori informazioni su questo tema si trovano nel capitolo "Importazione/esportazione /Menù".

attention Attenzione

Requisito perché i menù principali vengano visualizzati a Runtime: Nelle proprietà di progetto deve essere attivata la proprietà Attiva menu principali (nodo Aspetto grafico).

Creare un nuovo inserimento di menù

Per creare un nuovo inserimento di menù:

  1. Selezionare l´ultimo inserimento
  2. Confermar premendo il tasto "Invio"
  3. Verra creato un nuovo campo di inserimento vuoto

Creare un nuovo sottomenù

Per creare un nuovo sottomenù, attivare nelle proprietà della voce di menù superiore la proprietà Sottomenù. Si aprirà un nuovo campo di inserimento per il sottomenù.

Spostare una voce di menù

  1. Selezionare la voce desiderata (è possibile una selezione multipla).
  2. Trascinatela nella nuova posizione tenendo premuto il tasto sinistro del mouse
  3. Nota: se si spostano sottomenù su una voce non definita come sottomenù, verranno creati dei menù principali con il nome delle sottomenù.
    Se si sposta la voce di menù superiore, verrano spostati anche tutti i sottomenù.

Copiare un inserimento di menù

  1. Selezionare l´inserimento desiderato (è possibile una selezione multipla).
  2. Selezionare il comando "Copia" nel menù contestuale oppure nella barra dei simboli.
  3. Selezionare il luogo di salvataggio per la copia.

    Nota: quando si copiano dei sottomenù in una voce di menù non definita come sottomenù, gli inserimenti verranno creati come menù principali
    Se si copia la voce di menù superiore, verrano copiati anche tutti i sottomenù.

  4. Selezionare "Incolla" nel menù contestuale oppure nella barra dei simboli.
  5. Trascinare l´inserimento nella nuova posizione tenendo premuto il tasto sinistro del mouse.

Rinominare una voce di menù

  1. Selezionare la voce di menù e modificarla nel modo seguente:
    • Doppio clic o doppio clic ritardato sulla voce
      oppure
    • Premete il tasto F2 oppure il tasto Invio avendo selezionato una voce di menù
      oppure
    • Selezionare il comando Rinomina nel menù contestuale oppure nella barra dei simboli.
  2. La voce di menù esistente viene selezionata.
  3. Inserire il nuovo nome.
  4. Per confermare le modifiche:
    • Premere il tasto Invio.
    • Passare ad un´altra voce di menù.
  5. Oppure annullare la modifica premendo il tasto Esc.

Selezione multipla

Per modificare contemporaneamente più inserimenti:

  • Tenere premuto il tasto Ctrl e cliccare sugli inserimenti che si vuole selezionare.

    oppure

  • Tenere premuto il tasto Shift e cliccare sugli inserimenti che si vuole selezionare.

    oppure

  • Tenere premuto il tasto Shift e usare i tasti freccia della tastiera.

Per deselezionare una voce di menù, cliccare sull´inserimento tenendo premuto il tasto Ctrl oppure Shift.

Per attivare solo una voce di menù e deselezionare tutte e altre, cliccare sull´inserimento desiderato.

Ancora in questo capitolo

Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Definire inserimenti


Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Manuale -> Menù -> Configurazione nell'Editor -> Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Voce di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Crea funzione standard | Apre la finestra di dialogo per selezionare un´azione e crea una funzione adatta. L´azione creata viene visualizzata nella finestra di emissione.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia l´inserimento selezionato negli appunti.
Incolla | Aggiunge il contenuto degli appunti.
Elimina | Cancella l´inserimento selezionato senza richiesta di conferma.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Rinomina | Apre la voce di menù per consentire di rinominarlo.
Proprietà | Apre la finestra delle proprietà per la voce di menù selezionata.
Guida | Apre la guida online.

Menù contestuale - Menù Runtime

Voce di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Incolla | Aggiunge la voce di menù copiata nel ramo corrispondente (menù principali oppure menù contestuali) come copia x di; x è un numero progressivo.
Guida | Apre la guida online.

Menù contestuale - Menù principali

Voce di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Incolla | Aggiunge la voce di menù copiata di un menù principale come copia x di; x è un numero progressivo
Guida | Apre la guida online.

Menù contestuale - Menù contestuali

Voce di menù | Azione
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Incolla | Aggiunge la voce di menù copiata di un menù contestuale come copia x di; x è un numero progressivo
Guida | Apre la guida online.

Menù contestuale - Menù

Voce di menù | Azione
Crea funzione standard | Apre la finestra di dialogo per selezionare un´azione e crea una funzione adatta. L´azione creata viene visualizzata nella finestra di emissione.
Elemento collegato | Visualizza una lista degli elementi collegati. Se si clicca su un inserimento di questa lista, l´elemento collegato si apre nell`Editor.
Copia | Copia l´inserimento selezionato.
Incolla | Aggiunge la voce di menù copiata come copia x di; x è un numero progressivo
Elimina | Cancella l´inserimento selezionato senza richiesta di conferma.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa file XML | Importa inserimenti da un file XML.
Proprietà | Apre la finestra delle proprietà per la voce di menù selezionata.
Guida | Apre la guida online.

Menù contestuale - Dettagli

Voce di menù | Azione
Rinomina | Apre la voce di menù consentendo di assegnarle un nuovo nome.
Crea nuovo davanti alla selezione | Aggiunge una nuova voce di menù vuota davanti (a sinistra) di quella selezionata.
Copia | Copia la voce di menù selezionata negli appunti.
Incolla | Aggiunge il contenuto degli appunti.
Elimina | Cancella la voce di menù selezionata senza richiesta di conferma.
Proprietà | Apre la finestra delle proprietà per la voce di menù.
Guida | Apre la guida online.


Definire inserimenti

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In generale, ci sono tre tipi di voci di menù:

Parametri

Descrizione

Tipo di azione

Stabilisce quale tipo di azione deve essere eseguita a Runtime usando la voce di menù corrispondente. Non tutti i tipi di azione sono disponibili in un menù principale; alcuni sono configurabili solamente con un menù contestuale.

  • Ripristina allarmi (solo menù contestuale)
  • Comandi (solo menù contestuale)
  • Ripristina lampeggio (solo menù contestuale)
  • Funzione
  • Guida
  • Nessuna azione
  • Imposta valore
  • Macro VBA (solo menù contestuale)

Sottomenù

Apre un sottomenù a Runtime.

Separatore

Una linea orizzontale separa le voci di menù.

Sottolineare testo: se si inserisce un &, il carattere successivo sarà sottolineato.

Configurare inserimenti

Per configurare una voce del menù principale o contestuale:

  1. Attivare anzitutto la cella di menù corrispondente.
  2. Nelle proprietà, selezionare:
    • Tipo di azione: dipendente dal tipo di menù
      Si veda anche: Tipi di azioni - Menù principale e Tipi di azioni - Menù contestuale
    • ID menù: ID dell´inserimento
      Nota: Per le voci di menù del modulo Comandi vengono utilizzati per la progettazione tipi predefiniti per questo modulo con ID fissi.
      Ulteriori informazioni su questo tema e un elenco di questi ID predefiniti si trovano nel capitolo Attivazione dei “Comandi” tramite menù contestuale del manuale dedicato alla Energy Edition.
    • Testo: nome univoco della cella menù.

attention Attenzione

Il nome impostato nella proprietà Testo deve essere univoco. Se si assegna più volte lo stesso testo, ulteriori voci di menù con lo stesso nome non verranno visualizzate.

Ancora in questo capitolo

Tipi di azione - Menù principale

Tipi di azione Menù contestuale

Aspetti grafici

Sottomenù


Tipi di azione - Menù principale

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti -> Tipi di azione - Menù principale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametro | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita quando si selezionerà la voce di menù a Runtime.
Guida | Viene visualizzata una pagina della guida in linea da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Setta valore impostabile | Selezionando la voce di menù Setta valore impostabile, si può settare a Runtime un valore fisso, oppure si può incrementare o diminuire il valore di una variabile di un valore definito. L'inserimento viene eseguito usando la maschera standard di zenon per l´inserimento di valori impostabili. Se è stata configurata nel progetto una delle tre immagini keyboard (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), verrà utilizzata automaticamente quest´immagine per eseguire l´inserimento. Per questa azione si può definire una variabile direttamente; se si usa questa azione per la voce di un menù contestuale, è possibile anche riprendere la variabile dall´elemento su cui si clicca.


Tipi di azione Menù contestuale

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti -> Tipi di azione Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametro | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita tramite selezione della voce di menù nel runtime.
Guida | Visualizzazione di una pagina di help da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Imposta valore | Mediante la selezione della voce di menù Setta valore impostabile, si può settare durante il Runtime un valore fisso oppure si può aumentare o diminuire il valore di una variabile in una determinata misura. L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se esiste nel progetto una delle tre immagini keyboard (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), essa viene utilizzata automaticamente. Per questa azione una variabile può essere definita direttamente oppure può, nell'utilizzo come voce di menù contestuale, essere ripresa tramite clic su un elemento.
Macro VBA | Quando si seleziona questa voce di menù a Runtime, viene eseguita una macro VBA. È possibile selezionare solamente le macro VBA che sono dichiarate come Init-Event.
Ripristina allarmi | Vengono riconosciuti gli allarmi di tutte le variabili collegate all'elemento dinamico cui si riferisce il menù contestuale.
Ripristina lampeggio | Disattiva il lampeggio di tutti gli allarmi di quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. L'allarme, pero, non viene riconosciuto.
Comandi | Apre la finestra di comando definita (solo se si dispone di una licenza Energy).

Ancora in questo capitolo

Comandi


Comandi

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti -> Tipi di azione Menù contestuale -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea una nuova azione nel modulo "Comandi", viene generato un menù ID corrispondente al tipo di azione e alla direzione di switch per la proprietà Tipo di azione; questo ID viene poi visualizzato nel menù a tendina. Se il contenuto corrisponde a un ID definito come testo standard per il tipo di azione e la direzione di switch, questo cambierà quando cambia il tipo di azione o la direzione di switch.

Per creare un menù contestuale per i comandi:

  1. Creare le azioni desiderate nel modulo "Comandi".
  2. Nelle proprietà della voce di menù contestuale, selezionare Tipo di azione Comandi.
  3. Selezionare l´azione e la direzione di switch desiderate usando il menù a tendina della proprietà ID menù.
  4. Assegnare un nome univoco nella proprietà Testo
    Nota: se non si definisce nessun inserimento per la proprietà Testo, il campo di inserimento verrà riempito automaticamente con la denominazione "Comandi".

attention Attenzione

La configurazione della proprietà Testo deve essere univoca. Se si assegna più volte lo stesso testo, le altre voci di menù con lo stesso nome non verranno visualizzate.

Visto che le voci di menù create automaticamente con la stessa azione hanno lo stesso testo, il sistema offre delle macro per queste voci di menù.

La successione di caratteri ID_CMD_AUTO è riservata alle voci di menù generate automaticamente. Queste devono essere usate sempre con macro, perché altrimenti verrà inserita solamente la voce di menù.

Per la verifica dell´esistenza di inserimenti doppi, valgono le seguenti regole:

  • Le voci di menù manuali hanno priorità rispetto a quelle automatiche.
  • Se ci sono voci dello stesso tipo, l´ultimo inserimento ha priorità doppia.
  • Quando trova un inserimento doppio, il sistema genera un messaggio corrispondente nei file LOG. Questo avvertimento contiene l´ID e il nome del menù. Agli inserimenti estesi automaticamente viene aggiunto <auto> all'ID.

Azioni per il Tipo di azione "Comandi"

Azione | Direzione di switch | ID di menù
ID_CMD_AUTO |  | Questa voce di menù visualizza automaticamente tutte le azioni possibili per un elemento, a condizione che non venga già usata una voce di menù diretta della lista.
Comando impulsivo | ON (1) | ID_CMD_EBEF_ON
Comando impulsivo | OFF (1) | ID_CMD_EBEF_OFF
Comando impulsivo | NESSUNO | ID_CMD_EBEF_NONE
Comando persistente | ON (1) | ID_CMD_DBEF_ON
Comando persistente | OFF (2) | ID_CMD_DBEF_OFF
Comando persistente | NESSUNO | ID_CMD_DBEF_NONE
Impostazione valore | NESSUNO | ID_CMD_SVALUE
Impostazione valore | DIR | ID_CMD_SVALUE_DIR
Modifica di stato | NESSUNO | ID_CMD_STATE
Modifica di stato | ON (1) | ID_CMD_STATE_ON
Modifica di stato | OFF (0) | ID_CMD_STATE_OFF
Sostituisci | NESSUNO | ID_CMD_REPL_NONE
Sostituisci | ON (1) | ID_CMD_REPL_ON
Sostituisci | OFF (0) | ID_CMD_REPL_OFF
Sostituisci | DIST | ID_CMD_REPL_DEF
Sostituisci | DIFF | ID_CMD_REPL_DIFF
Correzione manuale | NESSUNO | ID_CMD_UPD_NONE
Correzione manuale | ON (1) | ID_CMD_UPD_ON
Correzione manuale | OFF (0) | ID_CMD_UPD_OFF
Correzione manuale | DIFF | ID_CMD_UPD_DIFF
Correzione manuale | DIST | ID_CMD_UPD_DEF
Correzione manuale | DIR | ID_CMD_UPD_DIR
Blocco | NESSUNO | ID_CMD_BLOCK
Rilascia | NESSUNO | ID_CMD_UNLOCK
Bloccare | NESSUNO | ID_CMD_LOCK
Revisione | OFF (0) | ID_CMD_REV_OFF
Revisione | ON (1) | ID_CMD_REV_ON
Comando forzato | ON (1) | ID_CMD_FORCE_ON
Comando forzato | OFF (0) | ID_CMD_FORCE_OFF
Comando forzato | NESSUNO | ID_CMD_FORCE_NONE
info Info
Ulteriori informazioni sull´uso di menù contestuali nei modulo "Comandi" si trovano nella parte della guida relativa alla Energy Edition, in particolare nella sezione Menù contestuale - Comandi.

Ancora in questo capitolo

Macro per menù contestuale


Aspetti grafici

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti -> Aspetti grafici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può intervenire sull´aspetto grafico dei menù con le seguenti proprietà.

Parametro

Descrizione

File grafico

Visualizza un file grafico nell´area all´estrema sinistra.

Immagine di sfondo

Imposta un file grafico per lo sfondo della voce di menù. L´orientamento della grafica può essere in Dimensione originale oppure Allungata.

Checkmark

Visualizza un segno di spunta nell´area all´estrema sinistra. Questo segno di spunta non ha nessun effetto sulla disponibilità della funzionalità collegata alla voce di menù; è solamente per la visualizzazione. La gestione della visualizzazione e della funzionalità a Runtime può avvenire solo tramite VBA/VSTA.

Visibile

Attivato: la voce di menù viene visualizzata a Runtime e la funzionalità collegata è disponibile. La gestione della visibilità a Runtime può avvenire solamente tramite VBA/VSTA.

Separatore attivo

Visualizza, invece che l´inserimento di menù, una linea di separazione orizzontale per una suddivisione logica del menù.

La larghezza della linea di separazione può variare da 0 a 50 pixel e se ne può definire liberamente il colore.


Sottomenù

Manuale -> Menù -> Configurazione nell'Editor -> Definire inserimenti -> Sottomenù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare dei sottomenù:

  1. Navigare in una cella di menù. Attivare la proprietà Sottomenù
  2. A destra della cella di menù selezionata verrà creato un nuovo campo di menù vuoto.
  3. Definire gli inserimenti per il sottomenù oppure configurare altri sottomenù.

I sottomenù sono indicati da una freccia a destra. I sottomenù possono essere realizzati anche in forma " annidata".


Gestione a Runtime

Manuale -> Menù -> Gestione a Runtime

La gestione dei menù dell´Editor dei menù corrisponde alla funzionalità cui si è abituati dalle applicazioni di Windows.

A Runtime, i menù vengono visualizzati in una posizione fissa: nell´angolo in alto a sinistra dello schermo.

Nota: se ci sono allarmi in attesa, la barra degli allarmi può coprire i menù. In questo caso si potrà tornare ad usare i menù solo dopo aver riconosciuto gli allarmi. Per evitare che questo si verifichi, definire una posizione diversa per la barra di stato degli allarmi, oppure attivare "Cornice" per il modello.

Ancora in questo capitolo

Visualizzare menù a Runtime


Visualizzare menù a Runtime

Manuale -> Menù -> Gestione a Runtime -> Visualizzare menù a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare i menù principali a Runtime, si deve configurare e collegare la funzione corrispondente Mostra menù.

I Menù contestuali vengono definiti nelle proprietà dei relativi elementi dinamici.

Gestione user

Se per il progetto è stata configurata una gestione user, la visualizzazione dei menù a Runtime può essere collegata a delle specifiche autorizzazioni operative.

info Info

Ulteriori informazioni sulla configurazione della gestione user si trovano nella parte della guida dedicata alla Gestione user.

Progettazione nell'Editor

  1. Cliccare sul nodo principale del progetto.
  2. Passare al gruppo proprietà Gestione user .
  3. Selezionare nella proprietà Voci di menù bloccate il comportamento desiderato.
  4. Assegnare un Livello di autorizzazione: :
    Per assegnare i rispettivi Livello di autorizzazione: :
    1. Passare al gruppo proprietà Autorizzazione .
    2. Impostare nella proprietà Livello di autorizzazione: il livello di autorizzazione.

Ancora in questo capitolo

Visualizzare menù principali

Visualizzare menù contestuali


Visualizzare menù principali

Manuale -> Menù -> Gestione a Runtime -> Visualizzare menù a Runtime -> Visualizzare menù principali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione gestisce la visualizzazione dei menù principali.

  1. Creare una nuova funzione con il comando Nuova funzione.
  2. Selezionare nel nodo Immagini la funzione Visualizza menù
  3. Definire l´azione da eseguire e un menù principale.

Parametro

Descrizione

Azione

Selezione dell´azione:

Visualizza menù

Il menù selezionato viene visualizzato.

Nascondi menù

Il menù selezionato viene nascosto.

Cambia menù

Il menù attuale viene nascosto ed il menù selezionato viene visualizzato.

Se menù non disponibile

Viene visualizzato il menù selezionato se al momento non è visualizzato nessun altro menù.

Menù

Selezione del menù.

Proponi dialogo a Runtime

Attivo: al momento dell´esecuzione della funzione a Runtime, verrà aperta questa finestra di dialogo.

info Info

Nel Web Client di zenon (Web Server e Web Server Pro di zenon) non vengono visualizzati i menù principali.

Con CE (zenon con Windows CE) i menù possono essere visualizzati solo negli standard supportati da Windows CE. Quando si lavora con CE, per i menù non è possibile selezionare esplicitamente colori e caratteri diversi da quelli Windows.

Se si crea la funzione standard usando il menù contestuale nella visualizzazione dettagli, zenon genera automaticamente una funzione "Visualizza menù" per il menù selezionato.


Visualizzare menù contestuali

Manuale -> Menù -> Gestione a Runtime -> Visualizzare menù a Runtime -> Visualizzare menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I menù contestuali possono essere utilizzati a Runtime per gli elementi dinamici. Per visualizzare un menù contestuale a Runtime, collegare il menù all´elemento dinamico desiderato.

Procedura:

  1. Navigare nelle proprietà dell´elemento dinamico e passare al nodo Runtime
  2. Selezionare la proprietà Menu
  3. Selezionare il menù contestuale desiderato fra quelli del menù a tendina.

attention Attenzione

I menù contestuali vengono referenziati tramite il loro nome. Questo significa: se si assegna un nuovo nome ad un menù contestuale, andrà perso il collegamento con l´elemento dinamico; questo collegamento dovrà essere creato di nuovo.


Message Control

Manuale -> Message Control

Il modulo opzionale "Message Control" consente l´invio automatico di messaggi e il loro ripristino. L´invio di un messaggio viene inizializzato da una funzione che può essere collegata ad un evento. Le modalità a disposizione per eseguire l´invio di messaggi sono le seguenti:

  • E-Mail via Microsoft Outlook o via SMTP
  • SMS tramite Modem GSM, oppure tramite un gateway SMS
  • Messaggio vocale da file audio tramite Modem o via "Voice over IP"
  • Messaggio vocale "Text-to-Speech" tramite Modem o via "Voice over IP"

Lo stato della trasmissione può essere protocollato nella Lista eventi cronologica (CEL):

La configurazione avviene in due fasi:

  • Impostazioni generali per l´invio: si configurano nelle proprietà del gruppo Message-Control del workspace.
  • Impostazioni specifiche di progetto: si configurano nelle proprietà del nodo Message Control nel progetto in questione.

tutorial Informazioni sulla licenza

Per poter utilizzare il modulo, è necessario avere una licenza per l´Editor e il Runtime (stand-alone, server, standby). Non è disponibile per i client.

Menù contestuale per le "Impostazioni specifiche di progetto" nel Manager di progetto

Voce di menù | Azione
Guida | Apre la guida online.

Ancora in questo capitolo

Compatibilità con la versione 6.xx

Requisiti

Limitazioni

Comandi AT supportati

Configurare il Message Control

Message Control a Runtime

Messaggi e gestione degli errori


Compatibilità con la versione 6.xx

Manuale -> Message Control -> Compatibilità con la versione 6.xx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Differenze della versione 7 rispetto alle versioni precedenti.

A partire dalla versione 7.00 SP0 di zenon, il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti, sia per quello che riguarda la configurazione, che per quello che riguarda la tecnica d´invio.

Importanti modifiche tecniche:

  • Non viene più utilizzato un server COM
  • Non viene più utilizzato il componente aggiuntivo della ditta DerDack
  • La ZenMsgQueue è stata sostituita da un´immagine specifica di tipo Message Control
  • La configurazione viene eseguita nelle proprietà Message-Control del workspace (invio), e nelle proprietà Proprietà specifiche di progetto del modulo Message Control nel progetto (impostazioni specifiche di progetto)
  • Non esiste più una visualizzazione dettagli.
  • Sono stati eliminati il modello turni e la funzionalità calendario.
  • Non ci sono più "File Runtime modificabili"
  • L´invio di E-Mail è possibile sia via Outlook che con un server SMTP; in quest´ultimo è possibile inviare allegati.
  • La configurazione delle modalità di invio non viene più salvata nel file messag32.ini, ma nel file zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo "Message Control" era differente da quella di testi di valore limite standard. A partire dalla versione 7.00, sono entrambi analizzati nello stesso modo. @StringTabelle+%var1

I dettagli riguardanti la configurazione si trovano nel capitolo Configurare il Message Control.

attention Attenzione

Solo i progetti realizzati con versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate, non è possibile garantire una compatibilità al 100% quando si converte un progetto nella nuova versione. Questo vale anche per la compilazione dei file Runtime per versioni precedenti. Quando si esegue una conversione di progetto, bisogna tenere presente soprattutto quanto segue:

  • Utenti:
    • Esiste un utente con lo stesso nome (nome e cognome): viene usato questo utente e le informazioni vengono intergrate.
    • Non esiste nessun utente corrispondente: il sistema crea un nuovo utente; il collegamento con il sostituto e con il gruppo utenti viene cancellato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • Esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono integrate le informazioni.
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    La funzione Esegui Database destinatari è stata eliminata:
    Questa funzione non può più essere creata con l´Editor. Non viene però cancellata quando si effettua una conversione di progetto. La sua esecuzione a Runtime non ha alcun effetto e genera un inserimento nei file LOG.

  • Paging:
    Il paging non è più disponibile come modalità di invio. Alle funzioni esistenti per cui è stata configurata la modalità d´invio Paging, il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • RT file modificabili:
    Dato che la gestione utenti è stata modificata, non sono più necessari i file RT modificabili per il Message Control. Nella versione 7 non è prevista nemmeno la possibilità di importare vecchi dati Runtime. Se si ha bisogno di file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima rileggere in un Editor precedente alla versione 7 di zenon e poi li si deve convertire.
  • Turni e calendario:
    La funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Turni il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • SMS-Gateway:
    Visto che l´interfaccia semplice non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Quando si esegue la conversione del progetto, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.

Import e Export

Le versioni precedenti del Message Control e quelle a partire da zenon 7.00 SP0 salvano le loro impostazioni in file diversi:

  • Fino alla versione 6.51 SPO inclusa: message32.ini
  • Dalla versione 7:00 SP0: zenon6.ini

Importare impostazioni

Se si apre un progetto realizzato con una versione precedente di zenon nella versione 7, oppure in una versione più recente, vengono applicate le impostazioni del file message32.ini e, nel limite del possibile, adattate. La progettazione deve essere sempre controllata manualmente, perché non tutte le impostazioni possono essere convertite al 100% in modo corretto. Per esempio, la pianificazione dei turni verrà assegnata a gruppi la cui configurazione non è completa.

Esportare impostazioni

La configurazione impostata nella versione 7 può essere scritta nel file message32.ini di versioni precedenti. Procedura: nelle proprietà del workspace, cliccare su Message-Control/Esportazione impostazioni su Messag32.ini (v6.XX) e confermare (cliccando su "Sì") la richiesta di conferma della selezione.

Attenzione: quando si esegue la proprietà Esportazione impostazioni su Messag32.ini (v6.XX), verranno sovrascritti tutti gli inserimenti corrispondenti del file message32.ini. Il file INI, dunque, può contenere degli inserimenti che non possono essere eseguiti nel modulo Message Control così come era finora, oppure degli inserimenti che rendono inefficaci delle configurazioni.

Ancora in questo capitolo

Compatibilità con la versione 5.50


Compatibilità con la versione 5.50

Manuale -> Message Control -> Compatibilità con la versione 6.xx -> Compatibilità con la versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non è possibile un trasferimento diretto di contenuti dalla versione 5.50 alla versione 7.60. Per convertire le configurazioni del modulo Message Control dalla versione 5.50 nella versione attuale, bisogna seguire la procedura seguente:

  1. Prima di tutto bisogna convertire i progetti nella versione 6.51 di zenon.
    Tutti gli utenti e i gruppi verranno aggiornati.
    Nota: questo passaggio intermedio è assolutamente necessario. Non è possibile una conversione diretta di una configurazione di progetto dalla versione 5.50 a quella attuale!
  2. Poi convertire il progetto dalla versione 6.51 a quella attuale di zenon.
  3. Una volta che sarà stata eseguita la conversione nella versione attuale, verificare le impostazioni relative a utenti e gruppi utenti.
    Se necessario, eseguire le correzioni necessarie nella versione attuale.

attention Attenzione

Tenere presente le indicazioni relative alla compatibilità contenute nel capitolo Compatibilità con la versione 6.xx.


Requisiti

Manuale -> Message Control -> Requisiti

I requisiti per utilizzare il modulo Message Control dipendono dalle modalità di invio che si intende utilizzare:

Modalità

Requisito

E-Mail via Microsoft Outlook:

Istanza di Microsoft Outlook in esecuzione.

E-Mail via SMTP:

Il server Runtime che esegue l´operazione di invio, deve essere connesso ad una rete.

Deve esistere un E-Mail account. Deve essere possibile raggiungere i server con accesso all´account.

SMS via GSM:

Un modem GSM deve essere connesso al computer e deve essere raggiungibile tramite un´interfaccia seriale (porta COM). Quando vengono installati, i modem USB creano di regola una porta COM virtuale, attraverso cui li si può raggiungere.

SMS via SMS-Gateway:

Server SMS dell´azienda DIALOGS Software GmbH

Messaggio vocale:

Modem voice con funzionalità DTMF, oppure server "Voice over IP".

Text to speech Engine. (In parte contenuto nel sistema operativo. Estendibile con un pacchetto separato "Text-To-Speech" di COPA-DATA.)

Telefono:

Modem voice con funzionalità DTMF.

Se si usa un adattatore ISDN, questo deve supportare le seguenti funzioni:

  • Supporto di messaggi vocali (LINEMEDIAMODE_AUTOMATEDVOICE)
  • Supporto di segnali DTMF (per accettare il codice PIN al momento del ripristino di un messaggio)
  • Supporto del Telephony Application Programming Interface (TAPI)

Voice over IP:

Accesso a Voice over IP.

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Porte per il VoIP

Per il VoIP si usano 2 protocolli:

  • SIP: usa questa porta per il SIP.
    Nota: SIP-TLS non è supportato al momento. La tecnologia VoIP, perciò, non dovrebbe essere utilizzata in contesti critici che richiedono la crittografia.
  • RTP: usa porte per RTP e RTCP.
    Il numero di porta RTCP deve essere sempre maggiore di 1 rispetto al numero della porta RTP.

I numeri di porta per la modalità di invio Voice over IP possono essere configurati liberamente usando le proprietà del gruppo Voice over IP.

Aree:

  • SIP: 0 - 65535
  • RTP: 0 - 65534

Valori di default:

  • Porta SIP: 5060
  • Porta RTP: 4000
  • Porta RTCP: 4001
    Questo numero di porta non può essere modificato. E' sempre maggiore di 1 rispetto al numero della porta Porta RTP.


Limitazioni

Manuale -> Message Control -> Limitazioni

In determinate circostanze, la funzionalità del Message Control può essere limitata, o non essere del tutto disponibile.

Segnali DTMF con telefoni cellulari e Voice over IP

I segnali DTMF di alcuni telefoni cellulari possono talvolta essere interpretati in modo erroneo da alcuni provider VoIP.

Causa: alcuni telefoni cellulari inviano segnali DTMF molto lunghi. Può accadere sporadicamente che il provider Voice over IP li interpreti erroneamente come due brevi pressioni di tasti.

Soluzione: provare una combinazione differente di telefono cellulare e provider VoIP.

Rilevamento di segnali

I segnali di alcuni telefoni cellulari non vengono interpretati correttamente da alcuni provider VoIP.

Soluzione: provare una combinazione differente di telefono cellulare e provider VoIP.

Windows CE

Il modulo Message Control non è disponibile con Windows CE.


Comandi AT supportati

Manuale -> Message Control -> Comandi AT supportati

Il Message Control supporta i seguenti comandi AT:

Compito | Comando | Risposta | Commento sulla risposta
Test di connessione: | AT\r | \r\nOK\r\n | Alla fine
Query dello stato PIN: | AT+CPIN?\r | +CPIN: | In qualsiasi punto nella risposta più \r\n alla fine.
Inserire il PIN: | AT+CPIN="[PIN-Code]"\r | \r\nOK\r\n | Alla fine
Impostare il modem in modalità SMS-PDU: | AT+CMGF=0\r | \r\nOK\r\n | Alla fine
Settare il numero di telefono della centrale SMS: Nota: con numeri SMSC, inserire anche il codice del paese (00xy oppure +xy; xy sono le due cifre del prefisso internazionale di un paese). | AT+CSCA="[numero di telefono - SMSC]"\r | \r\nOK\r\n | Alla fine
Verificare se il modem è passato alla modalità SMS-PDU: | AT+CMGF?\r | \r\nOK\r\n | Alla fine
Verificare se il modem ha settato la centrale SMS definita: | AT+CSCA?\r | \r\nOK\r\n | Alla fine
Inviare il messaggio a questo numero. Il modem segnala Pronto per PDU se il comando è stato accettato: | AT+CMGS="[Lunghezza-PDU]"\r | \r\n>[Spazio vuoto] |
PDU per SMS da inviare al numero specificato in precedenza con flag di completamento: | [SMS-PDU][0x1A] | \r\nOK\r\n | Alla fine
Elencare gli SMS della memoria con stato contrassegnato da flag: | AT+CMGL=[Flag]\r | \r\nOK\r\n | Alla fine
Cancellare dalla memoria tutti gli SMS con stato contrassegnato da flag (indipendentemente dall´indice): | AT+CMGD=0,[Flag]\r | \r\nOK\r\n | Alla fine
Cancellare dalla memoria gli SMS con l´indice definito: | AT+CMGD=[Index]\r | \r\nOK\r\n | Alla fine

Nota: per il comando AT+CMGD è sufficiente che venga supportata una delle due versioni.

Argomenti:

  • \r --> Carriage Return --> 0x0D
  • \n --> Line Feed --> 0x0A

Ricerca errori

I messaggi di errore contengono la dicitura ERROR nella risposta. I dettagli riguardanti la ricerca degli errori e i test di connessione si trovano nel capitolo Messaggi e risoluzione dei problemi di questa documentazione.


Configurare il Message Control

Manuale -> Message Control -> Configurare il Message Control

Il Message Control si configura mediante:

  • Le proprietà globali delle modalità di invio dei messaggi.
  • Le proprietà specifiche di progetto per il messaggio.
  • Le funzioni che vengono eseguite a Runtime per l´invio e la gestione dei messaggi

I messaggi possono essere inviati e riconsciuti tramite:

  • E‑Mail
  • SMS
  • Messaggio vocale

Configurare l'invio di messaggi

Per configurare l´invio di un messaggio:

  1. Selezionare la modalità di invio nel gruppo corrispondente del nodo Message-Control (proprietà del workspace).
  2. Attivare per questo gruppo la proprietà Attivo (segno di spunta nella casella corrispondente).
  3. Configurare la modalità
  4. Configurare le proprietà specifiche di progetto
  5. Configurare gli utenti o i gruppi utenti che devono essere contattati con questa modalità di invio dei messaggi.
  6. Creare una funzione Invia messaggio e

    Collegarla

    1. Ad un pulsante o
    2. Alla proprietà Funzione di quei valori limite che, se violati, devono causare l´invio di questo messaggio.

      Quando si collega la funzione con un valore limite, possono essere inviati contenuti generati a Runtime in modo dinamico. Per usare più funzioni Invia messaggio per uno stesso valore limite, usare uno script che contenga queste funzioni e collegarlo al valore limite.

Configurazione del messaggio

Un messaggio si compone di diverse parti:

  • Oggetto: per le E-Mail, definito usando:
    • Oggetto (ID) nelle impostazioni globali per Outlook.
    • Soggetto per E-Mail nelle impostazioni globali per E-‑Mail via SMTP.
    • La proprietà Parte dinamica dell'oggetto nelle impostazioni specifiche di progetto per E-‑Mail via SMTP o Outlook.
  • Descrizione e inserimento errato: definiti per i messaggi vocali usando:
    • Messaggio vocale via Text-to-Speech

      oppure

    • Messaggio vocale da file audio
  • Testo del messaggio: definito per E-Mail, SMS e messaggi vocali:
    • Nella opzione Testo costante

Configurare la gestione della coda messaggi (Message Queue)

Per gestire i messaggi a Runtime:

  1. Creare un´immagine di tipo Message Control
  2. Creare e configurare una funzione di "Cambio immagine" per questa immagine.
  3. Collegare la funzione ad un pulsante

In questo modo, sarà possibile verificare a Runtime lo stato dei messaggi e monitorare la coda messaggi.

Message Control a Runtime

Per usare il Message Control a Runtime:

  1. Attivare anzitutto il modulo Message Control usando:
    • La proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si attiva automaticamente all'avvio del Runtime.
    • La funzione Attiva invio messaggio: quando viene eseguita questa funzione, si avvia il Message Control. I messaggi verranno elaborati solo a partire da questo momento.

Quando si chiude il Runtime normalmente, viene salvata un´immagine della corrente coda messaggi. Quest´immagine può essere creata in qualsiasi momento anche a Runtime usando la funzione Salva coda d'attesa corrente. Il Message Control può essere disattivato a Runtime usando la funzione Disattiva invio messaggio.

Sopprimi messaggio

Il Message Control ha una lista contenente gli elementi disattivati. Disattivato significa che gli allarmi dell´elemento non provocano nessun messaggio.

Se a una violazione di valore limite è collegata una funzione Invia messaggio, i messaggi vengono creati e inviati solo se né la variabile, né l´allarme sono soppressi/disattivati.

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati sono contenuti nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi sono contenuti nella lista degli elementi soppressi.

Questa lista può essere modificata a Runtime usando la funzione Sopprimi Gruppi/Classi/Aree/Strutture. Possono essere attivati e disattivati sia allarmi che impianti. Gli inserimenti soppressi verranno salvati nella CEL, a patto che per la proprietà Salva nella CEL (proprietà specifiche di progetto) si sia selezionata l'opzione Tutte le conferme o Solo le conferme negative.

In rete, l´attivazione o disattivazione di inserimenti avviene in modo ritentivo. Se, per esempio, si disattivano gli allarmi di una parte d´impianto per eseguire dei lavori di manutenzione, questa impostazione rimane attiva anche dopo la chiusura del Runtime e viene applicata di nuovo al riavvio del sistema.

Ancora in questo capitolo

Impostazioni generali per l´invio

Proprietà specifiche di progetto

Crea immagine di tipo Message Control

Gestione user

Funzioni

Parametri per messaggi


Impostazioni generali per l´invio

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modalità utilizzate per l´invio di messaggi vengono definite a livello globale e possono essere poi usate da ogni progetto e ogni workspace.

Le modalità disponibili per l´invio sono le seguenti:

  • Messaggio E-Mail tramite Outlook
  • Messaggio E-Mail tramite SMTP
  • Messaggio SMS via modem GSM
  • Messaggio SMS via server SMS
  • Messaggio vocale da file audio via modem
  • Messaggio vocale Text-to-Speech via modem
  • Voice over IP come file Audio
  • Voice over IP come Text-to-Speech

Per configurare le proprietà:

  1. Selezionare il workspace.
  2. Selezionare il gruppo Message-Control nelle proprietà.
  3. Attivare e configurare le modalità di invio desiderate.

Le impostazioni vengono salvate nel file zenon6.ini, nella sezione [Message Control].

attention Attenzione

Le proprietà del gruppo Message-Control nel workspace non sono specifiche per il progetto. Le modifiche effettuate in questa sezione, dunque, saranno applicate a Runtime solo dopo il riavvio.

Ancora in questo capitolo

Messaggio E-Mail tramite Outlook

Messaggio E-Mail via SMTP

Messaggio SMS tramite modem GSM

Messaggio SMS via SMS-Gateway

Messaggi vocali

Inserimenti nel file zenon6.ini


Messaggio E-Mail tramite Outlook

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio E-Mail tramite Outlook

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come E-Mail usando Microsoft Outlook, si deve:

  • Attivare la modalità di invio usando la proprietà Versandart aktiv del nodo "Message Control" delle proprietà del workspace.
  • Verificare che sul PC che esegue la funzionalità ci sia un´istanza funzionante di Microsoft Outlook, con un account configurato e con connessione alla rete/Internet

Per i messaggi impostati con obbligo di ripristino, si deve fare attenzione che la query della mail box venga eseguita nel periodo di tempo a disposizione per il ripristino. Questo intervallo di tempo viene definito usando la funzione Invia messaggio (scheda Avviso di ricezione).

attention Attenzione

Per l'uso di Outlook con il modulo Message Control, vale quanto segue:

  • Outlook a 32-Bit richiede la versione a 32-Bit di zenon.
  • Outlook a 64-Bit richiede la versione a 64-Bit di zenon.

Una combinazione delle due diverse versioni non è possibile.

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Definire il nome del profilo Outlook che deve essere utilizzato mediante la proprietà Profilo
  3. Definire un oggetto univoco usando la proprietà Oggetto (ID).
    Questo oggetto serve da criterio per inoltrare i messaggi in arrivo al modulo Message Control. Le E-Mail che non contengono questo ID, non verranno inoltrate al Message Control. L´oggetto deve:
    • Avere una lunghezza di almeno quattro caratteri.
    • Rimanere immutato in caso di risposta.
  4. Configurare le proprietà per Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono creati e inviati in base alle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta verrà letta quando i messaggi vengono caricati e verrà inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.


Messaggio E-Mail via SMTP

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio E-Mail via SMTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come E-Mail tramite un server SMTP, si deve:

  • Attivare la modalità di invio usando la proprietà Attivo del nodo "Message Control" delle proprietà del workspace.
  • Verificare che il PC che esegue il processo sia connesso al server E-Mail.
  • Verificare che sia definito un account E-Mail.
  • Verificare che il server Mail sia configurato con i suoi dati di accesso.

Per i messaggi impostati con obbligo di ripristino, si deve fare attenzione che la query della mail box venga eseguita nel periodo di tempo a disposizione per il ripristino. Questo intervallo di tempo viene definito usando la funzione Invia messaggio (scheda Avviso di ricezione).

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Configurare le proprietà per:
    • Server di posta in arrivo
    • Server posta in uscita
  3. Configurare le proprietà per le impostazioni specifiche di progetto.
  4. Configurare gli utenti e i gruppi utenti.
  5. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono creati e inviati in base alle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta verrà letta quando i messaggi vengono caricati e verrà inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.

Solo un thread alla volta può aprire connessioni. Una connessione viene aperta sempre per il thread che ne ha bisogno e viene chiusa subito dopo il completamento dello scambio dei dati. Durante l'invio di un messaggio, nessun altro thread può effettuare una query della posta in entrata, né inviare un messaggio. Quando è in corso una query dei messaggi in entrata, nessun altro thread può avviare una query, né inviare messaggi.

Se si verifica un errore nell´esecuzione di una di questa procedure (come autenticazione fallita, oppure comando non supportato), tutte le connessioni attive vengono chiuse.

Le impostazioni corrette per la configurazione possono essere richieste al provider dell´account di posta elettronica utilizzato.

Procedura

Acquisizione delle E-Mail in entrata

  1. Viene stabilita una connessione con il server di posta in arrivo configurato sulla porta corrispondente.
    Se la connessione è protetta o meno da un meccanismo di sicurezza, dipende dalle impostazioni della proprietà Codifica (nodo Message Control delle proprietà del Workspace).
  2. Tutte le E-Mail che si trovano nella casella della posta in arrivo vengono acquisite attraverso i comandi STAT e RETR. Il sistema decide se una E-‑Mail è rilevante in base all´oggetto. I messaggi non rilevanti vengono ignorati. I messaggi rilevanti vengono inoltrati al Message Control e - finché la proprietà Lascia sul server le E-Mail già lette è disattivata - cancellati dal server con il comando DELE.
    Nota per E-Mail HTML: tutti i caratteri di controllo HTML vengono cancellati al momento della ricezione.
  3. La connessione viene chiusa con l´invio del comando QUIT e con la successiva chiusura della connessione stessa.

Invio di una E-Mail

  1. Il sistema stabilisce una connessione protetta o non protetta con il server SMTP a seconda delle impostazioni eseguite.
  2. Se definito in fase di configurazione, viene eseguita un´autenticazione SMTP tramite il comando AUTH.
  3. Il messaggio da inviare viene trasmesso in formato MIME con i comandi-SMTP MAIL, RCPT e DATA
  4. La connessione viene chiusa con l´invio del comando QUIT e con la successiva chiusura della connessione stessa.
  5. Se c'è una connessione POP3, verrà chiusa anche questa.


Messaggio SMS tramite modem GSM

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio SMS tramite modem GSM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come SMS tramite un modem GSM:

  • Attivare la modalità di invio usando la proprietà Attivo
  • Un modem GSM deve essere connesso al computer che esegue l´invio e deve essere raggiungibile mediante un´interfaccia seriale (porta COM)
    Nota: quando vengono installati, i modem USB creano di regola una porta COM virtuale, attraverso cui li si può raggiungere.
  • E' possibile che sia necessario usare il software del produttore per inizializzare il modem GSM, perché quest'ultimo possa collegarsi alla rete GSM.

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Selezionare la porta COM del modem fra quelle proposte dal menù a tendina della proprietà Porta modem (seriale).
    La porta corretta è visualizzata nelle proprietà di sistema del modem.
    Nota: dopo una riconnessione del modem o un riavvio del computer, è possibile che sia necessario inizializzare il modem un´altra volta usando il software del produttore, prima di poterlo usare con il Message Control. Il numero di porta COM può cambiare con una riconnessione del modem o un riavvio del computer.
  3. Se necessario, inserire nella proprietà Codice PIN il PIN per il modem.
  4. Controllare la connessione cliccando su Verifica connessione.
  5. Inserire il numero di telefono dello Short Message Service Center nel campo proprietà Numero centro messaggi.
  6. Configurare le proprietà per Proprietà specifiche di progetto.
  7. Configurare gli utenti e i gruppi utenti.
  8. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena si avvia il Runtime, il sistema stabilisce e configura la connessione con il modem.
  2. Vengono caricati i messaggi.
  3. I messaggi vengono creati e inviati in base alle impostazioni e non appena viene eseguita una funzione corrispondente.
  4. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  5. Questo modulo esegue il ripristino.
  6. Se dopo l´acquisizione dei messaggi non esistono più messaggi con più parti incompleti, i messaggi già letti vengono cancellati dal modem.
  7. Quando si chiude il Runtime, la connessione con il modem viene chiusa.

info Info

Se si ricollega il modem oppure si riavvia il computer, è consigliabile:

  • Eseguire il software di configurazione fornito dal provider GSM, in modo tale che il modem venga inizializzato e si connetta alla rete.
  • Verificare nel pannello di controllo se il modem, dopo essere stato ricollegato, continua ad usare la stessa porta COM.

Costanti, timeout e parametri

Inserimento

Valore

Descrizione

Timeout per comandi AT

10000 ms

Il modem ha 10 secondi di tempo per rispondere all'invio di un comando AT.

SMS intervallo Polling

20000 ms

Ogni 20 secondi il sistema controlla se sono arrivati nuovi SMS e se questi sono stati letti. Se non esistono più messaggi con più parti incompleti, tutti i messaggi già letti vengono cancellati.

Timeout COM

Scrittura: 5 secondi

Lettura: lettura immediata

Ci sono 5 secondi a disposizione per scrivere i byte sulla porta COM (al massimo 400 in caso di SMS-PDU della massima grandezza).

Durante la lettura della porta COM, il contenuto attuale del buffer ricevente viene letto e restituito immediatamente.

Configurazione "COM-State"
  • Baud: 9600
  • Modalità binaria
  • Controllo di parità: non abilitato
  • Clear-to-Send e Data-Set-Ready: non verificato
  • Data-Terminal-Ready e Request-To-Send Flow Control: attivo
  • Bit per Byte: 8
  • Parità: nessuna
  • Stop Bit:1

Configurazione standard di un´interfaccia seriale.

Buffer

Limite

Valore max.

Descrizione

Dimensione del buffer di invio e grandezza del buffer di ricezione per l´interfaccia seriale in byte

4096

Le singole PDU hanno una grandezza massima di 400 byte. Quando si invia un SMS, le PDU vengono trasmesse singolarmente una dopo l´altra.

Al momento della ricezione, il sistema acquisisce in blocco tutti gli SMS arrivati dall´ultimo intervallo di polling. Il modem può cosi inviare almeno 10 PDU alla volta nel buffer di ricezione della porta seriale.

Dimensione del buffer totale per conversioni e SMS in entrata in byte

12288

Visto che una SMS-PDU occupa al massimo 400 byte nel buffer di ricezione, in un intervallo di polling di 20 secondi si possono ricevere con questo buffer al massimo 30 parti di SMS di grandezza massima.

La grandezza massima di un SMS da inviare è pari a 6144 caratteri Unicode.


Messaggio SMS via SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio SMS via SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come SMS tramite un SMS-Gateway :

  • Attivare la modalità di invio usando la proprietà Attivo
  • Deve essere disponibile e configurato un server SMS della ditta DIALOGS srl.

Procedura

Configurazione del server SMS.

Per la corretta configurazione del server SMS, si prega di rivolgersi al produttore, DIALOGS srl.

Per un utilizzo con zenon, devono essere soddisfatte le seguenti condizioni:

  • Devono esistere le seguenti cartelle:
    • Cartella in entrata
    • Cartella in uscita
    • Cartella di stato
  • zenon sposta i messaggi in queste cartelle.
  • Il Gateway SMS legge e popola queste cartelle.
  • zenon monitora queste cartelle:
    Non appena in esse si trovano nuovi messaggi o informazioni, questi contenuti vengono inolatrati al Message Control.

Configurazione in zenon

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Configurare Cartella in uscita, Cartella in entrata e Cartella di stato.
  3. Configurare il Carattere iniziale del file messaggi.
    Questa prima lettera è un riferimento univoco per il progetto. Se il Gateway SMS viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.
  4. Configurare la proprietà Prima lettera del file di blocco/semaforo: Definisce la prima lettera per i file di blocco/semaforo. Questa prima lettera è univoca per il progetto. Se il SMS-Gateway viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.
  5. Configurare le proprietà Allarmi intelligenti.
    Se la proprietà viene attivata, gli SMS vengono trattati nel modo seguente:
    • Vengono controllati tutti i messaggi in uscita. Se un messaggio inizia con il testo ALARM!, non viene inviato nel formato normale (ID; messaggio), ma nel formato seguente: ALARM! ID; message.
    • Quando viene inviato un messaggio che inizia con ALARM!, il cellulare del ricevente passa automaticamente alla modalità "molto forte", sempre che questa modalità sia supportata dal telefono stesso.
    • Anche i messaggi in entrata vengono controllati per verificare la presenza di questa stringa di caratteri.
      Se in sesta posizione si trova un punto esclamativo (!), vengono eliminati i primi 6 caratteri e il messaggio viene inoltrato tramite il modulo Message Control.
  6. Configurare le proprietà per Proprietà specifiche di progetto.
  7. Configurare gli utenti e i gruppi utenti.
  8. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono creati e inviati in base alle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta verrà letta quando i messaggi vengono caricati e verrà inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.


Messaggi vocali

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi vocali possono essere inviati come:

  • File audio via modem
  • Text-to-Speech via modem
  • Voice over IP come file audio
  • Voice over IP come Text-to-Speech

Le informazioni relative alla procedura a Runtime si trovano nei sottocapitoli e nel capitolo Messaggi vocali a Runtime.

Modem

Per poter inviare messaggi via modem, devono essere soddisfatte le seguenti condizioni:

  • Un modem deve essere collegato al computer che invia il messaggio e deve essere configurato.
  • Il telefono del destinatario deve supportare DTMF.

Voice over IP

Per poter inviare messaggi via Voice over IP, devono essere soddisfatte le seguenti condizioni:

  • Voice over IP deve essere configurato:
    • Indirizzo server
    • Nome utente
    • Password
  • Il telefono del destinatario deve supportare DTMF
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Nel firewall devono essere aperte le porte corrispondenti:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

File audio

Per poter inviare messaggi come file audio, devono essere soddisfatte le seguenti condizioni:

  • Si deve salvare nel nodo File/Multimedia dell´Editor un file audio per ognuna delle seguenti voci:
    • Descrizione
    • Conferma
    • Codice errato

Text-to-Speech

Per poter inviare messaggi come Text-to-Speech, devono essere soddisfatte le seguenti condizioni:

  • Il telefono del destinatario deve supportare DTMF.
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto.

Ancora in questo capitolo

Messaggio vocale da file audio via modem

Messaggio vocale Text-to-Speech via modem

Voice over IP come file audio

Voice over IP come Text-to-Speech


Messaggio vocale da file audio via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Messaggio vocale da file audio via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale come file audio via modem, devono essere soddisfatte le seguenti condizioni

  • Attivare la modalità di invio usando la proprietà Voice Modem (File Audio)
  • Si deve salvare nel nodo File/Multimedia dell´Editor un file audio per ognuna delle seguenti voci:
    • Descrizione
    • Conferma
    • Codice errato
  • Un modem deve essere collegato al computer che invia il messaggio e configurato.
  • Il telefono del destinatario deve supportare DTMF

Attenzione: il valore della proprietà specifica del progetto Tempo di attesa tra tentativi e timeout deve essere maggiore a quello impostato per l´opzione Tempo di attesa nelle funzioni Invia messaggio (scheda Avviso di ricezione).

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice Modem (File Audio).
  2. Configurare le impostazioni per Timeout [min] e Ripeti testo di benvenuto.
  3. Selezionare il modem per eseguire l'invio usando la proprietà Nome linea.
    La selezione avviene tramite un menù a tendina contenente una lista di tutti i modem configurati nel pannello di controllo.
  4. Configurare le proprietà per Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  7. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione attiva la modalità di invio.
  2. Viene iniziata una chiamata via modem.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene segnalata alla controparte. Da questo momento viene riprodotto il testo di benvenuto. Si può riprodurlo di nuovo premendo il tasto #.
    Poi si deve inserire il PIN. Solo in seguito verrà riprodotto il messaggio.
  4. Il messaggio deve essere ripristinato dal destinatario con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono.
    • Annullare un inserimento premendo il tasto asterisco (*);
      In questo caso verrà ripetuto il testo di benvenuto.

Nota: il sistema analizza lo stato del messaggio (confermato, rifiutato e mancante) solo dopo che la linea è stata chiusa. Finché la linea è aperta è possibile ricominciare dall'inizio premendo il tasto * e inserire di nuovo il codice. In questo modo si può - ad esempio - modificare il codice e inserire anziché il PIN il NA.


Messaggio vocale Text-to-Speech via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Messaggio vocale Text-to-Speech via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale via Text-to-Speech:

  • Attivare la modalità di invio usando la proprietà Voice Modem (Text-to-Speech).
  • Un modem deve essere collegato al computer che invia il messaggio e deve essere configurato.
  • Il telefono del destinatario deve supportare DTMF.
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto.

Attenzione: il valore della proprietà specifica del progetto Tempo di attesa tra tentativi e timeout deve essere maggiore a quello impostato per l´opzione Tempo di attesa nelle funzioni Invia messaggio (scheda Avviso di ricezione).

File di lingua

A seconda della versione dell´Editor (a 32-Bit o a 64-Bit), si deve installare e configurare nel sistema operativo la voce adatta (compatibile con 32-Bit o 64-Bit)

Procedura:

  1. Chiudere l´Editor.
  2. Selezionare la voce adatta alla versione dell´Editor usata (sapi.cpl):
    • Voce compatibile a 32-Bit per l`Editor a 32-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
    • Voce compatibile a 64-Bit per l`Editor a 64-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  3. Avviare l´Editor e selezionare nella proprietà Voce del Message Control la voce configurata.

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice Modem (Text-to-Speech).
  2. Configurare le impostazioni per Timeout [min] e Ripeti testo di benvenuto
  3. Selezionare il modem per effettuare l'invio usando la proprietà Nome linea.
    La selezione avviene tramite un menù a tendina contenente una lista di tutti i modem configurati nel pannello di controllo.
  4. Configurare le proprietà per il Text-to-Speech.
    • Voce
    • Velocità riproduzione voce
    • Volume
  5. Configurare le proprietà per Proprietà specifiche di progetto.
  6. Configurare gli utenti e i gruppi utenti.
  7. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  8. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione attiva la modalità di invio.
  2. Viene iniziata una chiamata via modem.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene segnalata alla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
    Poi si deve inserire il PIN. Solo dopo viene riprodotto il testo per la conferma.
  4. Il messaggio deve essere ripristinato oppure rifiutato dal destinatario con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono.
    • Annullare un inserimento premendo il tasto asterisco (*); in questo caso verrà ripetuto il saluto

info Info

A seconda del sistema operativo e del software installato, sono già disponibili delle voci e delle lingue che zenon può utilizzare. Per utilizzare altre voci e lingue, rivolgersi al distributore di COPA-DATA. Attualmente sono disponibili: tedesco, inglese (US, UK e indiano), francese e spagnolo.


Voice over IP come file audio

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Voice over IP come file audio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter inviare un messaggio come file audio via Voice over IP, devono essere soddisfatte le seguenti condizioni:

  • La modalità di invio deve essere stata attivata con la proprietà Voice over IP (File Audio)
  • Deve essere stata configurata l'opzione Voice over IP nell´Editor.
  • Si deve salvare nel nodo File/Multimedia dell´Editor un file audio per ognuna delle seguenti voci:
    • Descrizione
    • Conferma
    • Codice errato
  • Il telefono del destinatario deve supportare DTMF
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Nel firewall devono essere aperte le porte corrispondenti:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice over IP (File Audio).
  2. Configurare le impostazioni del gruppo Voice over IP:
    • Indirizzo server
    • Nome utente
    • Password
  3. Configurare le proprietà per Proprietà specifiche di progetto.
  4. Configurare gli utenti e i gruppi utenti.
  5. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  6. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione attiva la modalità di invio.
  2. La chiamata viene avviata via server VoIP.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene accettata dalla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
  4. La descrizione deve essere ripristinata dal destinatario mediante il codice valido per rispettivamente:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*)

    La chiamata non viene terminata automaticamente. Deve essere terminata dal destinatario.

    Solo alla chiusura della linea viene analizzato lo stato del messaggio (confermato, rifiutato e mancante). Finché la linea è aperta è possibile ricominciare dall'inizio premendo il tasto * e inserire di nuovo il codice. In questo modo si può - ad esempio - modificare il codice e inserire anziché il PIN il NA.

Nota:

  • se la chiamata non viene accettata, il sistema provvede a chiamare la persona di riserva, se configurata. In caso contrario la chiamata viene interrotta.
  • Il nome del file audio verrà visualizzato nella colonna Messaggi della lista dei messaggi.


Voice over IP come Text-to-Speech

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Voice over IP come Text-to-Speech

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale via Text-to-Speech, devono essere soddisfatte le seguenti condizioni:

  • La modalità di invio deve essere stata attivata usando la proprietà Voice over IP (Text-to-Speech).
  • Deve essere stato configurato Voice over IP.
  • Il telefono del destinatario deve supportare DTMF.
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto.
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Nel firewall devono essere aperte le porte corrispondenti:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

File di lingua

A seconda della versione dell´Editor (a 32-Bit o a 64-Bit), si deve installare e configurare nel sistema operativo la voce adatta (compatibile con 32-Bit o 64-Bit)

Procedura:

  1. Chiudere l´Editor.
  2. Selezionare la voce adatta alla versione dell´Editor usata (sapi.cpl):
    • Voce compatibile a 32-Bit per l`Editor a 32-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
    • Voce compatibile a 64-Bit per l`Editor a 64-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  3. Avviare l´Editor e selezionare nella proprietà Voce del Message Control la voce configurata.

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice over IP (Text-to-Speech).
  2. Configurare le proprietà del gruppo Voice over IP:
    • Indirizzo server
    • Nome utente
    • Password
  3. Configurare le proprietà per Text-to-Speech.
    • Voce
    • Velocità riproduzione voce
    • Volume
  4. Configurare le proprietà per Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  7. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione attiva la modalità di invio.
  2. La chiamata viene avviata via server VoIP.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene accettata dalla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
  4. La descrizione deve essere ripristinata oppure rifiutata dal ricevente con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*); in questo caso verrà ripetuto il saluto

Nota:

  • se la chiamata non viene accettata, il sistema provvede a chiamare la persona di riserva, se configurata. In caso contrario la chiamata viene interrotta.
  • Il testo del messaggio verrà visualizzato nella colonna Messaggi della lista dei messaggi.

info Info

A seconda del sistema operativo e del software installato, sono già disponibili delle voci e delle lingue che zenon può utilizzare. Per utilizzare altre voci e lingue, rivolgersi al distributore di COPA-DATA. Attualmente sono disponibili: tedesco, inglese (US, UK e indiano), francese e spagnolo.


Inserimenti nel file zenon6.ini

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Inserimenti nel file zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Message Control viene configurato soprattutto usando le proprietà globali e quelle specifiche del progetto. Nel file zenon6.ini, le proprietà globali delle modalità di invio vengono visualizzate nella sezione [Message Control]:

Nota: le modifiche devono essere effettuate sempre usando le proprietà dell'interfaccia di zenon.

Significato degli inserimenti INI:

Inserimento

Descrizione

[MESSAGE CONTROL]

Impostazioni per il modulo Message Control.

Consigli: eseguire la configurazione usando le proprietà del gruppo Message-Control del workspace (inclusi sottogruppi) e le proprietà del gruppo Proprietà specifiche di progetto nel nodo Message Control dell´albero di progetto.

GSM_SMS=

Attivazione di SMS tramite GMS come tipo di invio.

  • 0: attivo
  • non 0: non attivo.

Default: 0

L´inserimento corrisponde nel Message32.ini all´inserimento [GSM]
On

Il sistema ne tiene conto quando esegue l´importazione o esportazione delle impostazioni INI.

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Modem GSM) dell´Editor.

GSM_SMS_COM=

La porta COM usata per la connessione con il modem.

Default: vuoto

Corrisponde alla proprietà Porta modem (seriale) dell´Editor.

GSM_SMS_PIN=

Codice PIN usato per l´autenticazione nei confronti del modem.

Default: vuoto

Corrisponde alla proprietà Codice PIN dell´Editor.

GSM_SMS_SMSC=

Numero di telefono del centro messaggi del provider GSM.

Default: vuoto

Corrisponde alla proprietà Numero centro messaggi dell´Editor.

GSM_BULK_DELETE=

Comportamento per la cancellazione di un SMS:

  • 0: i messaggi vengono cancellati con il metodo Index. Gli SMS letti vengono cancellati singolarmente.
  • 1: i messaggi vengono cancellati con il metodo Statusflag. Tutti gli SMS letti vengono cancellati contemporaneamente.
    Nota: questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da tutti i modem.

Default: 0

Corrisponde alla proprietà Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD dell´Editor.

Outlook=

Notifica tramite E-Mail via Outlook:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Outlook_Profile=

Nome del profilo Outlook che deve essere utilizzato per l´invio.

Default: vuoto

Corrisponde alla proprietà Profilo dell´Editor.

POP_APOP=

Gestisce l´autenticazione sul server della posta in arrivo in caso di notifica via SMTP/POP.

  • 0: per l´autenticazione si usano utente (USER) e password (PASS).
  • 1: per l´autenticazione si usa il comando APOP invece di utente e password.

Default: 0

Corrisponde alla proprietà Utilizzare un commando APOP per l'autenticazione nel gruppo Messaggio E-Mail (SMTP) dell´Editor.

POP_KEEP_MAILS=

Definisce se le E-Mail lette devono rimanere sul server:

  • 0: le E-Mail vengono cancellate dopo essere state caricate dal server.
  • 1: le E-Mail vengono mantenute dopo essere state caricate dal server.

Default: 0

Nota: visto che POP3 non offre la possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in arrivo. Se questa proprietà è attiva, aumenta l´utilizzo dello spazio di memoria sul server e possono diminuire le prestazioni nell´eseguire l´operazione di acquisizione dei messaggi.

Corrisponde alla proprietà Lascia sul server le E-Mail già lette dell´Editor.

POP_PASSWORD=

Password per il login sul server della posta in arrivo (POP3). La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione.

Deve essere modificato solamente nell`Editor.

Default: vuoto

Corrisponde alla proprietà Password nel gruppo Server di posta in arrivo dell´Editor.

POP_POLL_INTERVALL=

Intervallo minimo in secondi fra due richieste POP3. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Corrisponde alla proprietà Periodo minimo tra due richieste (s) dell´Editor.

POP_PORT=

Porta attraverso cui viene raggiunto il server POP3.

  • Valore massimo: 6553

Default per:

  • Connessione non sicura: 110
  • Connessione protetta: 995

Corrisponde alla proprietà Porta nel gruppo Server di posta in arrivo dell´Editor.

POP_SECURITY=

Il tipo di protezione della connessione con il server POP3.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server di posta in arrivo dell´Editor.

POP_SERVER=

Indirizzo del server POP3.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server di posta in arrivo dell´Editor.

POP_USER=

Nome user per il server posta in arrivo.

Default: vuoto

Corrisponde alla proprietà Nome utente nel gruppo Server di posta in arrivo dell´Editor.

SMSGateway=

Notifica tramite SMS via SMS-Gateway:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Gateway SMS) dell´Editor.

SMSGateway_Inbox=

Cartella della posta in entrata del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in entrata dell´Editor.

SMSGateway_OriginId=

Identificazione mittente per invio di SMS.

Default: vuoto

Corrisponde alla proprietà Identificazione chiamante dell´Editor.

SMSGateway_Outbox=

Cartella della posta in uscita del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in uscita dell´Editor.

SMSGateway_Prefix=

Prima lettera dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 carattere

Default: F

Corrisponde alla proprietà Carattere iniziale del file messaggi dell´Editor.

SMSGateway_SemaphorPrefix=

Prima lettera del file di blocco.

Lunghezza: 1 carattere

Default: S

Corrisponde alla proprietà Prima lettera del file di blocco/semaforo dell´Editor.

SMSGateway_SmartAlarm=

Viene usato "Allarmi intelligenti". Deve essere univoco per ogni singolo progetto.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Allarmi intelligenti dell´Editor.

SMSGateway_Statusbox=

Cartella per il messaggio di stato in caso di invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella di stato dell´Editor.

SMSGateway_TimeOut=

Tempo di timeout in minuti per messaggi in uscita. Stabilisce alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Default: 60

Corrisponde alla proprietà Timeout dell´Editor.

SMTP_AUTH=

Autenticazione sul server della posta in uscita.

  • 0: nessun protezione.
  • 1: registrare sul server POP3 prima dell´invio.
  • 2: SMTP AUTH con registrazione sul server SMTP prima dell´invio.

Default: 0

Corrisponde alla proprietà Autenticazione sul server di posta in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_OTHER_CREDS=

Stabilisce se il server della posta in uscita utilizza altri dati di registrazione rispetto a quelli del server posta in arrivo.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà nel gruppo Server posta in uscita dell´Editor.

SMTP_PASSWORD=

Dump esadecimale della password crittografata per l´autenticazione sul server della posta in uscita.

Default: vuoto

Corrisponde alla proprietà nel gruppo Server posta in uscita nell´Editor.

SMTP_OTHER_CREDS=

Dati di accesso per il server SMTP.

  • 0: i dati di accesso per il server di posta in arrivo vengono utilizzati anche per il server della posta in uscita.
  • 1: per l´autenticazione sul server della posta in uscita vengono utilizzati altri dati di accesso che sul server di posta in arrivo.

Default: 0

Corrisponde alla proprietà Utilizza altre credenziali di accesso del server di posta in entrata nel gruppo Server posta in uscita dell´Editor.

SMTP_OUT_ADDR=

Indirizzo per le E-Mail in uscita.

Default: vuoto

Corrisponde alla proprietà Indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_POP_MAIL=

Notifica tramite E-Mail via SMTP/POP:

  • 1: attivo
  • 0: non attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Server posta in uscita dell´Editor.

SMTP_PORT=

Definisce la porta usata dal server SMTP.

Massimo: 65535

Default: 25

Corrisponde alla proprietà Porta nel gruppo Server posta in uscita dell´Editor.

SMTP_SECURITY=

Tipo di crittografia per la connessione con il server SMTP.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server posta in uscita dell´Editor.

SMTP_SERVER=

Il server SMTP inserito dall´utente.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server posta in uscita dell´Editor.

SMTP_SRV_IS_POP=

Questo inserimento stabilisce se il server POP3 viene usato come server SMTP.

  • 1: POP 3 è SMTP
  • 0: POP3 e SMTP sono server differenti

Default: 0

Corrisponde alla proprietà Utilizza server di posta in arrivo per le E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_SUBJECT=

Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Soggetto per E-Mail nel gruppo Server posta in uscita dell´Editor.

SMTP_USER=

Nome user per il server della posta in uscita salvato.

Default: vuoto

Corrisponde alla proprietà Nome utente nel gruppo Server posta in uscita dell´Editor.

SMTP_USER_IS_ADDR=

Stabilisce se il nome utente per l´autenticazione nei confronti del server di posta in uscita viene usato come indirizzo mittente per i messaggi in uscita. Viene usato solamente se l´inserimento SMTP_AUTH= non è 0.

  • 1: attivo
  • 0: non attivo

Default: 0

Corrisponde alla proprietà Nome utente come indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

Speech=

Notifica Text-to-Speech (via Modem)

  • 0: non attivo
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Speech_Name=

Selezione della voce e della lingua per il Text-to-Speech.

Assicurarsi di scegliere la lingua corretta per l Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: vuoto

Corrisponde alla proprietà Voce nel gruppo Text-to-Speech dell´Editor.

Speech_Rate=

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Corrisponde alla proprietà Velocità riproduzione voce nel gruppo Text-to-Speech dell´Editor.

Speech_Volume=

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0: si applica il valore dal sistema operativo senza alcuna modifica.

Default: 0

Corrisponde alla proprietà Volume nel gruppo Text-to-Speech dell´Editor.

Subject=

ID univoco che le Mail in entrata devono contenere per poter essere elaborate nel modulo Message Control.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Oggetto (ID) nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Telephone=

Notifica mediante file audio via Modem:

  • 0: non attivo
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (File Audio) nel gruppo Messaggio vocale dell´Editor.

Telephone_IgnoreDisconnect=

Comportamento in caso di interruzione della connessione:

  • 1: una disconnessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.
  • 0: il messaggio viene terminato quando si interrompe la comunicazione.

Default: 0

Corrisponde alla proprietà Ignora disconnessioni nel gruppo Messaggio vocale dell´Editor.

Telephone_Line=

Inserimento del modem da usare. Questo deve essere già configurato sul computer.

Corrisponde alla proprietà Nome linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_LineId=

ID-dispositivo generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi dispositivi quando si hanno più modem con lo stesso nome.

Attenzione: solo a scopo informativo. Non ne è consentita la modifica qui!

Corrisponde alla proprietà Id linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_Timeout=

Tempo in minuti al cui scadere una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Default: 1

Corrisponde alla proprietà Timeout [min] nel gruppo Messaggio vocale dell´Editor.

Telephone_WelcomeMessageCount=

Numero delle ripetizioni del testo di benvenuto.

Default: 5

Corrisponde alla proprietà Ripeti testo di benvenuto nel gruppo Messaggio vocale dell´Editor.

VOIP_AUDIO=

Messaggio vocale come file audio via Voice over IP:

  • 0: non attivo
  • 1: Voice over IP (File Audio)

Default: 0

Corrisponde alla proprietà Voice over IP (File Audio) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

indirizzo server del provider VoIP.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Voice over IP dell´Editor.

VOIP_PASSWORD=

Password per l´accesso VoIP.

È salvata in forma criptata e deve essere modificata solamente nell´interfaccia utente.

Default: (vuoto)

Corrisponde alla proprietà Password nel gruppo Voice over IP dell´Editor.

VOIP_RTP=

Numero della porta RTP per VoIP.

Default: 4000

Corrisponde alla proprietà Porta RTP nel gruppo Voice over IP dell´Editor.

VOIP_SIP=

Numero della porta SIP per VoIP.

Default: 5060

Corrisponde alla proprietà Porta SIP nel gruppo Voice over IP dell´Editor.

VOIP_TTS=

Messaggio vocale per Voice over IP come Text-to-Speech:

  • 0: non attivo
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Corrisponde alla proprietà Voice over IP (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Nome utente per l´accesso VoIP.

Default: (vuoto)

Corrisponde alla proprietà Nome utente nel gruppo Voice over IP dell´Editor.

info Info

Alcune proprietà possono applicare i valori di altre proprietà. Si salva sempre il valore inserito per ultimo. Perciò non è detto che i valori degli inserimenti INI corrispondano sempre ai valori delle proprietà visualizzati nell´Editor. La cosa interessa le seguenti proprietà:

  • SMTP_SERVER= -> Indirizzo server
  • SMTP_USER= -> Nome utente
  • SMTP_PASSWORD= -> Password
  • SMTP_OUT_ADDR= -> Indirizzo delle E-Mail in uscita


Proprietà specifiche di progetto

Manuale -> Message Control -> Configurare il Message Control -> Proprietà specifiche di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà specifiche di progetto si trovano nel nodo "Message Control" della struttura ad albero progetto in questione. Qui si trovano delle proprietà per configurare i messaggio e il loro invio. Le proprietà generali relative ai metodi di invio si configurano nelle proprietà Message-Control del workspace.

Attivare il modulo Message Control per il progetto

Si attiva il Message Control a Runtime mediante:

  • La proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si attiva automaticamente all´avvio del Runtime.
  • La funzione Attiva invio messaggio: il Message Control si avvia quando viene eseguita questa funzione. I messaggi vengono elaborati solo a partire da questo momento.

Il Message Control può essere chiuso a Runtime con la funzione Disattiva invio messaggio.

Proprietà specifiche di progetto

Nelle proprietà specifiche di progetto si può definire:

  • La parte dinamica dell´oggetto usando la proprietà Parte dinamica dell'oggetto: i messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.
  • Registrazione del messaggio usando la proprietà Salva nella CEL: nella Lista eventi cronologica, i messaggi possono essere protocollati sulla base di diversi criteri:
  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
    • Solo conferme positive:
      solo messaggi che sono stati già ripristinati.
  • Contrassegno dello stato del messaggio tramite colore e grafica: la colonna Stato dell´immagine di tipo "Message Control" può visualizzare lo stato di un messaggio per mezzo di una grafica e di un colore.
  • Regole per la ripetizione di chiamate interrotte.

info Info

Regole per chiamate interrotte:

  • se una chiamata viene interrotta senza conferma o rifiuto, e l´interruzione non viene classificata come errore hardware, accade quanto segue:
    • Non si chiama di nuovo lo stesso destinatario.
    • Si trasmette il messaggio a persone di riserva oppure a membri del gruppo non ancora avvertiti.
  • Se una chiamata viene interrotta a causa di un errore hardware, si richiamerà lo stesso destinatario per il numero di volte impostato nella proprietà Massimo numero tentativi.

Configurazione del messaggio

Un messaggio è composto da:

  1. Una parte statica: oggetto non modificabile, che viene definito nelle impostazioni globali per le E-Mail.
  2. Una parte dinamica: parte dell´oggetto specifica per un progetto. Viene definita usando la proprietà Parte dinamica dell'oggetto.

Struttura della parte dinamica dell´oggetto:

  • Le parti del testo sono separate da punto e virgola (;).
  • $: identifica un testo che contiene parametri.
  • Un parametro può:
    • Essere una chiave della tabella lingua: per es. @MyText;
    • Riferirsi ad una variabile, quando si esegue la funzione via AML, oppure una violazione di valore limite: per es. %Var1;
    • Essere un inserimento composto nella tabella lingua: per es. %@Var2+MultipleText
  • @ contrassegna il cambio lingua
  • % contrassegna le variabili
  • %% contrassegna parametri Testo valore limite per le variabili

    Si può indicare una variabile fra i due simboli di percentuale.
    Se non se ne indica nessuna, il valore si riferirà alla variabile principale.

    • I messaggi terminano con un punto e virgola (;).

Parametro

A Runtime

Azione

Chiave:

@MyText

Il sistema verifica se per la lingua corrente c'è un inserimento per @MyText nella tabella lingua.
  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Variabile:

%Var1%

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste un inserimento nella tabella lingua.
  • Variabile e testo esistenti:
    il testo viene aggiunto al messaggio.
    Esempio: il valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: a seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Esempio: $@Warning;%Var1;


Crea immagine di tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Crea immagine di tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Message Control serve a gestire la coda di messaggi (Message-Queue) di un progetto a Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare Message Control nella proprietà Tipo di immagine.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Inserisci template

Elementi di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Liste e campi che possono essere visualizzati a Runtime.

Elementi di controllo | Descrizione
Coda messaggi | Lista dei messaggi. Contiene i messaggi inviati, confermati o cancellati, oppure quelli che sono ancora da inviare. I messaggi vengono solamente visualizzati e non possono essere più modificati. Le intestazioni colonna possono essere configurate individualmente e, se si utilizza come prefisso il carattere @, sono traducibili.
Quantità notizie | Numero dei messaggi esistenti al momento.
Ultimo aggiornamento | Time stamp dell´ultimo update.
Gruppi allarme/evento soppressi | Gruppi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Classi allarme/evento soppresse | Classi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Aree allarme/evento soppresse | Aree allarme/evento per le quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Gruppi d'impianto soppressi | Impianti per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda messaggi (Message Queue).

Funzioni lista

Elementi di controllo per la gestione delle liste.

Elementi di controllo

Descrizione

Filtro

Apre la finestra di dialogo per configurare il filtro per la visualizzazione.

Elimina

Cancella l´inserimento selezionato dalla lista. Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.

Aggiorna

Aggiorna la visualizzazione. Dalla coda di messaggi (Message Queue) vengono caricati i dati correnti nell´immagine.

Il momento in cui è avvenuto l´ultimo update può essere visualizzato usando il campo Ultimo aggiornamento.

Stop/Avanti

Avvia e termina l´update ciclico della lista.

Profili filtro

Gestione profili.

Elementi di controllo | Descrizione
Selezione profili | Apre la finestra di dialogo che consente di selezionare un profilo.
Salva | Salva le impostazioni correnti come profilo.
Elimina | Cancella il profilo.
Importa | Apre la finestra di dialogo per importare dei profili da un file.
Esporta | Apre la finestra di dialogo per esportare dei profili in un file.

info Info

Le colonne della lista possono essere configurate nell´Editor usando il filtro della funzione di "Cambio immagine", e a Runtime tramite l´elemento di controllo Filtro. Si possono definire delle didascalie per le singole colonne della lista, traducibili nelle diverse lingue.


Gestione user

Manuale -> Message Control -> Configurare il Message Control -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti ed i gruppi utenti per il Message Control vengono creati e gestiti nella "Gestione user" di zenon. Per poter usare un utente nel modulo Message Control, si deve attivare nella "Gestione user" la proprietà Utente Message Control, o la proprietà Gruppo Message Control.

Gli utenti ed i gruppi utenti vengono referenziati tramite il nome.

attention Attenzione

Assicurarsi che i dati richiesti per l'invio di messaggi siano stati configurati per ogni utente.

Se un utente o un gruppo utenti deve ricevere un messaggio a Runtime e i dati necessari per la modalità di invio selezionata non sono disponibili, l'invio verrà cancellato. Non ci sarà un altro tentativo di invio.

Per i gruppi utenti, questo significa: se, ad esempio, i dati del quarto utente di una lista non sono stati configurati in modo corretto, la notifica sarà eseguita solamente per i primi tre user. Il processo di invio verrà cancellato quando si arriverà al quarto utente. Quest'ultimo e tutti gli user successivi della lista non riceveranno nessuna notifica. Non ci sarà neanche un tentativo di inviare il messaggio nuovamente ai primi tre utenti.

Utente

Parametro

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi vocali. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il prefisso (+) come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD, sono consentiti anche i seguenti separatori: meno (-), barra (/) e spazio
    Nota: nella comunicazione fra AD e Message Control, vengono rimossi i separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ... Si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN usato dall´utente per confermare il messaggio.

Codice-NA

Codice PIN usato dall´utente per rifiutare il messaggio. (not available). Il messaggio verrà poi inviato al prossimo utente della lista.

Se non ci sono altri utenti nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa eventualità. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: ulteriori informazioni riguardanti l´assegnazione di funzioni si trovano nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

I codici di riconoscimento per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili fra di loro.

Se i codici sono identici, il codice verrà interpretato come PIN e, dunque, come conferma del messaggio.

Se il sistema riceve un codice sconosciuto e il messaggio è un SMS o una E-‑Mail, il messaggio stesso sarà inviato al sostituto; in caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.

Successione all´interno di un gruppo utenti.

Gli utenti possono essere ordinati all´interno di un gruppo usando la proprietà Ordinamento utenti.

Parametro | Descrizione
Utente | Lista di tutti gli utenti disponibili.
In su | Sposta l´utente selezionato di una posizione verso l´alto.
In giù | Sposta l´utente selezionato di una posizione verso il basso.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

A Runtime, la successione degli utenti presa dalla gestione utenti globale viene aggiunta a quella definita in questa proprietà. Di conseguenza, gli utenti locali verranno visualizzati sempre prima di quelli globali.

info Info

I dettagli sulla gestione user in zenon si trovano nella parte della guida riguardante la Gestione user.


Funzioni

Manuale -> Message Control -> Configurare il Message Control -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Message Control viene gestito a Runtime tramite funzioni.

Con queste ultime:

  • Il Message Control attivato e disattivato.
  • Vengono inviati i messaggi.
  • Viene aperta l´immagine di tipo Message Control per gestire la coda di messaggi.
  • Viene salvata la coda di messaggi.
  • Vengono disabilitati determinati elementi per l´invio di messaggi.

Ancora in questo capitolo

Cambio ad un´immagine di tipo Message Control

Salva coda d'attesa corrente

Sopprimi Gruppi/Classi/Aree/Strutture

Invia messaggio

Attivazione di "Attiva invio messaggio"

Disattiva invio messaggio


Cambio ad un´immagine di tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo la funzione di cambio all´immagine di tipo Message Control, si apre a Runtime quell´immagine che serve a monitorare la coda di messaggi (Message Queue). Per configurare il cambio immagine:

  1. Creare una nuova funzione.
  2. Selezionare Cambio immagine
  3. Si apre la finestra di dialogo che consente di selezionare un´immagine a cui collegare la funzione.
  4. Selezionare l´immagine desiderata, in questo caso quella di tipo Message Control
  5. Si apre la finestra di dialogo che consente di configurare le impostazioni colonne
  6. Configurare le colonne
  7. Chiudere la configurazione cliccando su OK.
  8. Collegare la funzione ad un pulsante in modo tale da poterla eseguire a Runtime.

Ancora in questo capitolo

Impostazioni colonne


Impostazioni colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per filtrare i messaggi.

Parametro | Descrizione
Campo elenco | Visualizzazione delle colonne configurate.
Selezione colonne | Apre la finestra di dialogo che consente di selezionare delle colonne.
Formato colonne | Apre la finestra di dialogo che consente di formattare le colonne.
OK | Applica tutte le modifiche e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Definizione delle colonne da visualizzare a Runtime.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Formattazione delle colonne.

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Salva coda d'attesa corrente

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Salva coda d'attesa corrente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione salva un´immagine della coda messaggi corrente. Quando si chiude il Runtime normalmente, questa immagine viene sostituita da un´immagine valida della message queue al momento della chiusura del Runtime. Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Message Control la funzione Salva coda d'attesa corrente
  3. Collegare la funzione ad un pulsante in modo tale da poterla eseguire a Runtime.

Questa funzione viene eseguita sempre sul computer che esegue il processo.


Sopprimi Gruppi/Classi/Aree/Strutture

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Message Control ha una lista nella quale si possono indicare gli elementi che devono essere disattivati. Disattivati significa che i loro allarmi non causano l´invio di nessun messaggio. Questa lista può essere modificata con questa funzione. Si possono attivare e disattivare sia allarmi che impianti. La configurazione viene eseguita nell´Editor, ma si può fare in modo che si possano apportare delle modifiche anche a Runtime.

Se a un Valori limiti è collegata la funzione Invia messaggio, i messaggi vengono creati ed inviati solo se né la variabile, né l´allarme sono soppressi.

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati, sono contenuti nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi sono contenuti nella lista degli elementi soppressi.

Gli inserimenti soppressi vengono documentati nella CEL se per la proprietà Salva nella CEL è stata selezionata l'opzione Tutte le conferme o Solo le conferme negative.

Configurare la funzione

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Message Control la funzione Sopprimi Gruppi/Classi/Aree/Strutture
  3. Si apre la finestra di dialogo che consente di configurare gli elementi da sopprimere o da attivare.
  4. Configurare gli elementi.
  5. Chiudere la finestra di dialogo cliccando su OK.
  6. Collegare la funzione ad un pulsante per poterla eseguire a Runtime.

Ancora in questo capitolo

Generale

Definizione di impianto


Generale

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Gruppi di allarmi/eventi

Lista dei gruppi allarmi/eventi configurati.

Aree allarmi

Lista delle aree allarmi configurate.

Classi di allarme/evento

Lista delle classi di allarmi/eventi configurate.

Attiva

Attivo: al momento della chiamata della funzione, gli elementi selezionati vengono inseriti nella lista degli elementi soppressi.

Disattiva

Attivo: al momento della chiamata della funzione, gli elementi selezionati vengono cancellati dalla lista degli elementi soppressi.

Visualizza questa finestra di dialogo a Runtime

Checkbox che consente di stabilire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva:
    questa finestra di dialogo verrà aperta a Runtime sul computer attuale. In rete verrà visualizzata sul computer che esegue la funzione. L´utente potrà poi utilizzare questa finestra di dialogo per eseguire delle modifiche alla configurazione.
  • Non attiva:
    questa finestra di dialogo non verrà visualizzata a Runtime. La funzione o il comando verranno eseguiti immediatamente, con le impostazioni configurate nell´Editor.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La selezione degli elementi di una delle liste avviene cliccando con il mouse sui relativi inserimenti. È possibile selezionare più inserimenti contemporaneamente. Per farlo, basta cliccare con il mouse su un altro inserimento; non è necessario premere altri tasti. Cliccando un´altra volta su un elemento selezionato, lo si deseleziona.


Definizione di impianto

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture -> Definizione di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chiudi finestra di dialogo

Opzioni | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Elimina | Annulla la selezione e chiude il dialogo. Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.
Guida | Apre la guida online.

Stati

Für das aktive Projekt können neue Modelle und Gruppen erzeugt und bestehende gelöscht werden.

Modell zum Projekt hinzufügen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo

Modell entfernen

Per creare un nuovo modello:

  1. Cliccate sul simbolo dell´allarme.
  2. Wählen Sie in der Symbolleiste Entfernen.

Gruppen zum Modell hinzufügen

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  2. Selezionare un gruppo di impianti oppure un livello.
  3. Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.

    Note:

    • I sottogruppi non vengono aggiunti automaticamente.
    • Può essere collegato un numero qualsiasi di gruppi.

Gruppen aus dem Modell löschen

Per cancellare un colore da tutte le tavolozze:

  1. Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  2. Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

A Runtime

Quando si esegue la funzione, l´impostazione configurata nella finestra di dialogo viene inviata come request al computer che esegue il processo, dove verrà analizzata.


Invia messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente l´invio di messaggi a Runtime. A questo scopo, collegare la funzione a:

  • Un allarme (funzione per gruppo, classe o area)
  • Un valore limite (proprietà Valori limiti/Funzione),
  • Una matrice di reazione (funzione)
  • Un temporizzatore (usando il pulsante o PFS)

attention Attenzione

Assicurarsi che i dati richiesti per l'invio di messaggi siano stati configurati per ogni utente.

Se un utente o un gruppo utenti deve ricevere un messaggio a Runtime e i dati necessari per la modalità di invio selezionata non sono disponibili, l'invio verrà cancellato. Non ci sarà un altro tentativo di invio.

Per i gruppi utenti, questo significa: se, ad esempio, i dati del quarto utente di una lista non sono stati configurati in modo corretto, la notifica sarà eseguita solamente per i primi tre user. Il processo di invio verrà cancellato quando si arriverà al quarto utente. Quest'ultimo e tutti gli user successivi della lista non riceveranno nessuna notifica. Non ci sarà neanche un tentativo di inviare il messaggio nuovamente ai primi tre utenti.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Message Control la funzione Invia messaggio
  3. Si apre la finestra di dialogo di configurazione:

  4. Configurare
    • Invio
    • Notizia
    • Avviso di ricezione
  5. Chiudere la finestra di dialogo cliccando su OK.
    Nota: quando si clicca su OK, le configurazioni eseguite nelle diverse schede verranno verificate dal sistema. Se il sistema rileva delle impostazioni sbagliate, l'utente ne viene informato per mezzo di una finestra di messaggio. L'utente, poi, potrà modificare la configurazione, oppure continuare salvando la configurazione errata.
  6. Collegare la funzione

    Se si collega la funzione ad un valore limite o ad una matrice di reazione, si possono inviare contenuti generati in modo dinamico a Runtime. Per usare più funzioni Invia messaggio per uno stesso valore limite, utilizzare uno script che contiene queste funzioni ed è collegato al valore limite.

info Info

A Runtime, la funzione Invia messaggio viene sempre eseguita sul computer che esegue il processo.

Ancora in questo capitolo

Invio

Messaggio

Avviso di ricezione


Invio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si configurano servizio, destinatario e stile.

Parametro

Descrizione

Servizio

Selezione del tipo di invio fra quelli disponibile nel menù a tendina. A seconda di quanto impostato in fase di configurazione, sono a disposizione:

  • Messaggio E-Mail tramite Outlook
  • Messaggio E-Mail tramite SMTP
  • Messaggio vocale da file audio tramite modem
  • Messaggio vocale Text-to-Speech via modem
  • Messaggio SMS tramite server SMS
  • Messaggio SMS tramite modem GSM
  • Voice over IP (file audio)
  • Voice over IP come Text-to-Speech

Nota: nel menù a tendina sono visualizzati solamente i servizi per i quali la proprietà Versandart aktiv è stata attivata nelle Proprietà Message Control del workspace.

Destinatario

Impostazioni riguardanti il destinatario.

Tipo

Selezione del tipo di destinatario fra quelli disponibili nel menù a tendina. Quando si seleziona un tipo di destinatario, si apre una finestra di dialogo che consente di scegliere un utente o un gruppo utenti.
Sono disponibili:

  • Gruppo utenti:
    invio ad un gruppo.
    Con l´opzione Stile si stabilisce la modalità in cui avviene la notifica per i membri del gruppo utenti.
  • Utente:
    invio ad un utente singolo.
  • Gruppo utenti con filtro turni:
    selezione di un gruppo utenti per la Gestione turni. È possibile inviare messaggi agli utenti collegati ad un determinato turno.
    Suggerimento: si consiglia di selezionare Richiamata continua come stile

Se si vuole modificare un utente o un gruppo utenti già configurato, lo si può fare utilizzando l´opzione Nome destinatario.

Stile

Disponibile solo se per l´opzione Tipo si è selezionato Gruppo utenti e Gruppo utenti con filtro turni.

Selezione del metodo d'invio fra quelli disponibili nel menù a tendina. Stili possibili:

  • Chiamata di gruppo:
    tutti gli utenti del gruppo ricevono il messaggio contemporaneamente.
    (Nota: nelle versioni precedenti a zenon 7.00, questo stile corrisponde al tipo di invio Invio-gruppo.)
  • Richiamata:
    il messaggio viene inviato agli utenti nella successione definita nel gruppo, finché uno di loro non lo ripristina positivamente. Il sistema scorre la lista degli utenti del gruppo e li chiama in successione per una sola volta. Se nessuno degli utenti del gruppo ripristina il messaggio in modo positivo, l´operazione di invio termina.
  • Richiamata continua:
    in linea di principio, questa opzione corrisponde a Richiamata, ma con la possibilità di ripetere l´operazione di invio: dopo l´ultimo destinatario, il sistema riprende a scorrere il gruppo partendo dal primo nome della lista. Il messaggio viene inviato finché non viene ripristinato positivamente da un destinatario.

Nota: questa impostazione è indipendente dalla proprietà Massimo numero tentativi.

Nome destinatario

Disponibile solamente se l´opzione Nome da variabile è disattivata.

Cliccando su ..., si apre la finestra di dialogo che consente di selezionare un destinatario o un gruppo di destinatari - a seconda dell´opzione configurata per la proprietà Tipo.

Nome da variabile

Attivo: la variabile viene letta a Runtime e, in base al suo valore, viene letto un utente o un gruppo utenti della gestione user. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

È possibile chiudere la finestra di dialogo solo quando tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Ancora in questo capitolo

Inviare messaggio ad un gruppo utenti con filtro turni


Inviare messaggio ad un gruppo utenti con filtro turni

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Invio -> Inviare messaggio ad un gruppo utenti con filtro turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inviare messaggio ad un gruppo utenti con filtro turni

Gli utenti assegnati ad un determinato turno possono ricevere automaticamente una notifica tramite il modulo Message Control in caso del verificarsi di allarmi ed eventi.
Il messaggio da inviare viene configurato utilizzando i due moduli Gestione turni e Message Control.

Nota: la notifica può essere utilizzata solamente per turni configurati. Non è possibile collegare modelli di turno.

Configurazione

Per inviare messaggi a utenti:

  1. Collegare anzitutto l´utente desiderato ad un turno.
  2. Collegare poi l´utente ad un gruppo utenti.
    Assicurarsi che per gli utenti cui va inviata la notifica, sia stata attivata la proprietà Utente Message Control.
    e che sia stata attivata la proprietà Gruppo Message Control per il gruppo utenti.
  3. Impostare per il gruppo utenti la successione nella quale dovranno essere contattati gli utenti. Per farlo, utilizzare la proprietà Ordinamento utenti. Gli utenti riceveranno il messaggio nell´ordine configurato in questa sede.
  4. Configurare per il modulo Message Control il destinatario nella funzione Invia messaggio:
    1. Aprire il dialogo di configurazione della funzione e passare alla scheda Invio.
    2. Per la proprietà Tipo, selezionare l´opzione Gruppo utenti con filtro turni.
    3. Selezionare il gruppo utenti configurato per la gestione turni come destinatario del messaggio.
      Nota: se si vuole modificare il gruppo in un secondo momento, lo si può fare utilizzando l´opzione Nome destinatario.
    4. Selezionare uno Stile.
      Nota: se si seleziona Chiamata di gruppo, tutti gli utenti riceveranno il messaggio contemporaneamente; se si sceglie invece l´opzione Richiamata o Richiamata continua verranno contattati uno dopo l´altro.
  5. Configurare le altre opzioni.

Procedura a Runtime

Procedura in caso di esecuzione della funzione Invia messaggio:

  1. La funzione cerca nel gruppo utenti impostato per il filtro turno il primo utente configurato per il Message Control.
  2. Il sistema verifica se questo utente è contenuto nel turno attivo al momento.
  3. Se questa condizione è soddisfatta, gli verrà inviato il messaggio.
  4. Se l´utente non è contenuto in un turno attivo, se non è possibile raggiungerlo e se rifiuta il messaggio, il sistema cerca nel gruppo utenti il prossimo user e controlla se è contenuto nel turno attivo.
  5. Questa procedura prosegue finché un utente non conferma il messaggio, oppure finché il sistema non ha preso in considerazione tutti gli user del gruppo.
    Se per la proprietà Stile è stata configurata l´opzione Richiamata continua, la ricerca andrà avanti finché un utente non avrà confermato il messaggio. Questo anche se nel frattempo è cambiato il turno, o se sono stati già controllati tutti gli utenti del gruppo.

Esempio con l´opzione "Richiamata":

Un messaggio viene inviato a un gruppo.

  • Il gruppo contiene gli utenti User 1, User 2, User 3, User 4, User 5 e User 6, esattamente in questa successione.
  • Per la funzione Invia messaggio, è stata configurata l´opzione Richiamata per la proprietà Stile .
  • Al momento del primo invio del messaggio, è attivo un turno con User 4, User 5 e User 6.
  • La funzione confronta gli utenti del gruppo con quelli del turno.
  • Il primo utente ad essere contattato è User 4.
    Se questo non reagisce, si passa a User 5 e poi a User 6.
  • A questo punto, però, il turno in questione è già finito ed è iniziato il prossimo che ha i seguenti utenti: User 1, User 2 e User 3.
  • Visto che tutti gli utenti di questo turno precedono User 6 nella lista del gruppo, non verrà inviato nessun altro messaggio.

Consigli: si consiglia di selezionare Richiamata continua come stile In questo caso, infatti, vengono contattati tutti gli utenti finché uno di loro non reagisce. Nel nostro esempio, dopo il cambio di turno verrebbe contattato l´utente User 1 del nuovo turno.


Messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce il contenuto del messaggio. Le opzioni disponibili e la configurazione dipendono dal tipo di invio scelto nell´opzione Servizio della scheda Invio.

I messaggi vengono configurati in modo specifico per:

  • E-Mail via Outlook e SMS via GMS o SMS-Gateway
  • E-Mail via SMTP
  • Messaggio vocale da file audio
  • Messaggio vocale Text-to-Speech

I dettagli sulla configurazione dei parametri per i messaggi si trovano nel capitolo Parametri per messaggi.

info Info

Se dei parametri o valori di ulteriori variabili sono inclusi in un messaggio, queste variabili non sono registrate automaticamente sul driver. Se una variabile non è registrata nel momento in cui viene eseguita la funzione, la registrazione deve avvenire durante l´esecuzione della stessa. In alcuni casi (per esempio nel caso di comunicazione seriale lenta con l´hardware) ciò può provocare dei ritardi e rallentamenti, dato che il sistema deve attendere finché non arriva il primo valore dal driver per poter essere analizzato dalla funzione.

Ancora in questo capitolo

E-Mail via Outlook e SMS via GSM o SMS-Gateway

E-Mail via SMTP

Messaggio vocale da file audio

Messaggio vocale Text-to-Speech


E-Mail via Outlook e SMS via GSM o SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Messaggio -> E-Mail via Outlook e SMS via GSM o SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
E-Mail via Outlook e SMS via GSM o SMS-Gateway

Configurazione del testo di messaggio per:

  • E-Mail tramite Outlook
  • SMS tramite modem GSM
  • SMS tramite SMS-Gateway

Parametro

Descrizione

Messaggio di testo costante

Componente fissa del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene analizzato per verificare la presenza di parametri.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo da un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla lista dei Parametri testo dinamico valore limite. Ulteriori dettagli sul tema parametri si trovano nel capitolo Parametri per messaggi.

Testo da valore limite

Proprietà per ulteriori parametri da valori limite.

attivo

Attivo: aggiunge al testo costante ulteriori parametri dal valore limite. La configurazione avviene tramite le opzioni:

  • Da variabile
  • Da variabile modificata
  • Parametro testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere attivata solamente da violazioni di valori limite.

Da variabile

I parametri vengono acquisiti dalla variabile definita. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Da variabile modificata

I parametri vengono acquisiti dalla variabile il cui valore limite è stato violato.

Parametro testo dinamico valore limite

La selezione dei parametri della lista viene eseguita attivando la checkbox relativa (segno di spunta). La successione viene definita via Drag&Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna "Caratteri jolly":
visualizza i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si cambia l´opzione Da variabile o Da variabile modificata, oppure si seleziona un´altra variabile, cambiano di conseguenza anche gli esempi di inserimento della colonna "Caratteri jolly". I caratteri jolly possono essere copiati.

Struttura: %Variabile%Parametro;(Origine)

  • %: segno di percentuale come prefisso per variabili e parametri.
  • Variabile: variabile. Se non si indica nessuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametro: parametro
  • ;: Un punto e virgola conclude la successione di caratteri.
  • Origine: solo informazione, non viene utilizzata per il testo libero. Visualizza con quali variabili può essere usato il parametro :
    Variabile principale via valore limite
    Variabile principale via AML
    Variabile aggiuntiva via valore limite o AML

Per i dettagli, si veda il capitolo Parametri per messaggi e Testo valore limite Parametri.

Se si usano parametri non validi, nel messaggio verrà emesso un messaggio di errore corrispondente.
<Parametro non valido: 'Parametro'>.

Sposta in alto

Sposta l´elemento selezionato di una posizione verso l'alto.

Sposta in basso

Sposta l´elemento selezionato di una posizione verso il basso.

Proponi dialogo a Runtime

Attivo: a Runtime, prima dell´esecuzione della funzione viene aperta questa finestra di dialogo.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, il sistema visualizzerà la finestra di dialogo sul computer che esegue il processo (appunto questo client).
  • Se non viene eseguito nessun inserimento, la finestra di dialogo sarà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si effettuano delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti vengono applicati e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionata per la proprietà Salva nella CEL l'opzione Tutte le conferme, oppure Solo le conferme negative.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

È possibile chiudere la finestra di dialogo solo quando tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


E-Mail via SMTP

E-Mail via SMTP

E-Mail via SMTP

Configurazione del testo del messaggio per:

  • E-Mail via SMTP

Parametro

Descrizione

Messaggio di testo costante

Componente fissa del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene analizzato per verificare la presenza di parametri.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo da un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla lista dei Parametri testo dinamico valore limite. Ulteriori dettagli sul tema parametri si trovano nel capitolo Parametri per messaggi.

Allegato

Configurazione di un allegato per l`E-Mail. Possono essere inviati in allegato file d´immagine (screenshot). Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un file. Quest'ultimo deve essere stato salvato nel nodo File/Grafica.

Quando si invia il messaggio, il file selezionato viene aggiunto all'E-Mail come allegato.

Nota: per inviare file di altre cartelle o con qualsiasi tipo di formato, selezionare l´opzione da variabile.

Da variabile

Attivo: selezione di una variabile stringa. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

A Runtime, il sistema legge il valore della variabile stringa e ne analizza il contenuto. Il percorso per l´allegato viene settato secondo l´esito di questa analisi:

  • Percorso assoluto: viene usato senza modifiche.
  • Non percorso assoluto: il valore della variabile stringa viene aggiunto al percorso per la cartella grafica di zenon.

Quando viene settato il percorso, il sistema non verifica quale estensione abbia il file. Usando il percorso allegato da variabile, si possono inviare file di qualsiasi formato da qualsiasi percorso. Si possono inviare come allegato, per esempio, anche file PDF e documenti Office.

Testo da valore limite

Proprietà per ulteriori parametri acquisiti da valori limite.

attivo

Attivo: aggiunge al testo costante ulteriori parametri acquisiti dal valore limite. La configurazione viene eseguita tramite le opzioni:

  • Da variabile
  • Da variabile modificata
  • Parametro testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere attivata solamente da violazioni di valori limite.

Da variabile

I parametri vengono acquisiti dalla variabile definita. Cliccando sul pulsante ..., si apre la finestra di dialogo per la selezione di una variabile.

Da variabile modificata

I parametri vengono acquisiti dalla variabile il cui valore limite è stato violato.

Parametro testo dinamico valore limite

La selezione dei parametri della lista viene eseguita attivando la checkbox relativa (segno di spunta). La successione viene definita via Drag&Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna "Caratteri jolly":
visualizza i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si cambia l´opzione Da variabile o Da variabile modificata, oppure si seleziona un´altra variabile, cambiano di conseguenza anche gli esempi di inserimento della colonna "Caratteri jolly". I caratteri jolly possono essere copiati.

Struttura: %Variabile%Parametro;(Origine)

  • %: segno di percentuale come prefisso per variabili e parametri.
  • Variabile: variabile. Se non si indica nessuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametro: parametro
  • ;: Un punto e virgola conclude la successione di caratteri.
  • Origine: solo informazione, non viene utilizzata per il testo libero. Visualizza con quali variabili può essere usato il parametro :
    Variabile principale via valore limite
    Variabile principale via AML
    Variabile aggiuntiva via valore limite o AML

Per i dettagli, si veda il capitolo Parametri per messaggi e Testo valore limite Parametri.

Se si usano parametri non validi, nel messaggio verrà emesso un messaggio di errore corrispondente.
<Parametro non valido: 'Parametro'>.

Sposta in alto

Sposta l´elemento selezionato di una posizione verso l'alto.

Sposta in basso

Sposta l´elemento selezionato di una posizione verso il basso.

Proponi dialogo a Runtime

Attivo: a Runtime, prima dell´esecuzione della funzione viene aperta questa finestra di dialogo.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, la finestra di dialogo verrà visualizzata sul computer che esegue il processo.
  • Se non viene eseguito nessun inserimento, la finestra di dialogo verrà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si eseguono delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti verranno applicati e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non verrà inviato nessun messaggio. Questo processo viene documentato nella CEL, a condizione che sia stata selezionata per la proprietà "Salva nella CEL" l´opzione Tutte le conferme oppure Solo le conferme negative.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

È possibile chiudere la finestra di dialogo solo quando tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Messaggio vocale da file audio

Messaggio vocale da file audio

Configurazione del testo del messaggio per i messaggi vocali da file audio via:

  • Modem
    o
  • VoIP

Parametro

Descrizione

Descrizione

Selezione del file che contiene il testo per la descrizione del messaggio.

Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di file. Quest'ultimo deve trovarsi già nel nodo File/Multimedia.

Si può eseguire un test e ascoltare il testo salvato sul file cliccando sul pulsante Esegui.

Conferma

Selezione del file che contiene il testo del messaggio se la Descrizione viene confermata positivamente.

Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di file. Quest'ultimo deve trovarsi già nel nodo File/Multimedia.

Si può eseguire un test e ascoltare il testo salvato sul file cliccando sul pulsante Esegui.

Codice errato

Selezione del file che contiene il testo da usare in caso di inserimento sbagliato da parte del destinatario.

Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di file. Quest'ultimo deve trovarsi già nel nodo File/Multimedia.

Si può eseguire un test e ascoltare il testo salvato sul file cliccando sul pulsante Esegui.

Proponi dialogo a Runtime

Attivo: a Runtime, prima dell´esecuzione della funzione viene aperta questa finestra di dialogo.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, la finestra di dialogo verrà visualizzata sul computer che funge da server primario.
  • Se non viene eseguito nessun inserimento, la finestra di dialogo verrà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si eseguono delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti verranno applicati e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non verrà inviato nessun messaggio. Questo processo viene documentato nella CEL, a condizione che sia stata selezionata per la proprietà "Salva nella CEL" l´opzione Tutte le conferme oppure Solo le conferme negative.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Nota: cliccando su OK, le configurazioni eseguite nelle diverse schede verranno verificate dal sistema. Se il sistema rileva delle impostazioni sbagliate, l'utente ne viene informato per mezzo di una finestra di messaggio. L'utente, poi, potrà modificare la configurazione, oppure continuare salvando la configurazione errata.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Messaggio vocale Text-to-Speech

Messaggio vocale Text-to-Speech

Configurazione del testo del messaggio per i messaggi vocali Text-to-Speech usando:

  • Modem
    o
  • VoIP

Parametro

Descrizione

Descrizione

Inserimento del testo che deve essere riprodotto come descrizione tramite il Text-to-Speech Engine.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può eseguire un test e ascoltare il testo cliccando sul pulsante Esegui.

Conferma

Inserimento del testo che deve essere riprodotto in caso di conferma positiva della descrizione tramite il Text-to-Speech Engine.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può eseguire un test e ascoltare il testo cliccando sul pulsante Esegui.

Codice errato

Inserimento del testo che deve essere riprodotto tramite il Text-to-Speech Engine nel caso di inserimento sbagliato da parte del destinatario.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può eseguire un test e ascoltare il testo cliccando sul pulsante Esegui.

Proponi dialogo a Runtime
  • Attivo: a Runtime, prima dell´esecuzione della funzione viene aperta questa finestra di dialogo.

Attenzione: Comportamento durante il Runtime

Quando si apre questa finestra di dialogo a Runtime, bisogna tenere conto di quanto segue:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, la finestra di dialogo verrà visualizzata sul computer che funge da server primario.
  • Se non viene eseguito nessun inserimento, la finestra di dialogo verrà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si eseguono delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti verranno applicati e la funzione viene eseguita
  • Se si chiude il dialogo cliccando su Annulla, non verrà inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionata per la proprietà Salva nella CEL (gruppo Proprietà specifiche di progetto) l'opzione Tutte le conferme, oppure Solo le conferme negative.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Nota: cliccando su OK, le configurazioni eseguite nelle diverse schede verranno verificate dal sistema. Se il sistema rileva delle impostazioni sbagliate, l'utente ne viene informato per mezzo di una finestra di messaggio. L'utente, poi, potrà modificare la configurazione, oppure continuare salvando la configurazione errata.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Avviso di ricezione

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Avviso di ricezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono le conferme necessarie e le relative reazioni.

attention Attenzione

I messaggi trasmessi in sincrono (messaggio vocale Text-To-Speech e messaggio vocale da file audio) possono essere confermati solo in modo sincrono usando lo stesso metodo d´invio. L´uso di altri metodi di invio per la conferma (come E-Mail o SMS) non è possibile. Il messaggio deve essere confermato subito dopo l´invio tramite la stessa connessione ancora aperta.

Impostazioni per la conferma di ricezione

Parametro

Descrizione

Avviso di ricezione

Impostazioni per la conferma.

Conferma di ricezione necessaria

Attivo: il messaggio viene cancellata dalla coda messaggi (Message-Queue) solo quando arriva un avviso di ricezione prima dello scadere del tempo di attesa, oppure quando il tempo di attesa è scaduto.

Per i messaggi vocali, questa opzione è sempre attiva e non può essere disattivata.

Tempo di attesa

Tempo in minuti entro il quale deve giungere un avviso di ricezione prima che il messaggio venga inoltrato ad una persona di riserva (sostituto).

Default: 5 minuti

Codici di conferma

Impostazioni per i codici di conferma.

Utilizza codice specifico per il messaggio

Non attivo: vengono utilizzati i codici definiti nelle proprietà della "Gestione user" per Utente Message Control/Codice PIN e Utente Message Control/Codice-NA.

Attivo: per la conferma vengono usati i codici definiti nelle opzioni della finestra di dialogo codice PIN e codice NA.

Codice PIN

Codice individuale usato per confermare il messaggio.

Codice-NA

Codice individuale usato per rifiutare il messaggio.

Esecuzione funzioni

Selezione delle funzioni che devono essere eseguite dopo che un messaggio è stato confermato, rifiutato o non riconosciuto.

Con conferma

Funzioni eseguite quando un messaggio viene confermato.

Cliccando su Selezionare, si apre la finestra di dialogo per la selezione delle funzioni.

In assenza di conferma

Funzioni eseguite se non c´è nessuna reazione al messaggio.

Cliccando su Selezionare, si apre la finestra di dialogo per la selezione delle funzioni.

Con conferma negativa

Funzioni eseguite in caso di rifiuto di ricezione del messaggio.

Cliccando su Selezionare, si apre la finestra di dialogo per la selezione delle funzioni.

OK

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

È possibile chiudere la finestra di dialogo solo quando tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Configurazione della conferma di ricezione via E‑Mail

Nell´interpretazione della conferma di ricezione via E‑Mail, i primi 3 caratteri della riga "Oggetto" vengono ignorati.

Background: le conferme di ricezione hanno di regola i prefissi RE:, AW: ecc. Se i messaggi in uscita vengono raccolti nella stessa cartella di quelli in entrata, si deve evitare che i messaggi in uscita vengano interpretati come conferme di ricezione in entrata. A questo scopo, il sistema parte dal presupposto che le conferme di ricezione si differenzino dai messaggi in uscita a causa dei 3 caratteri iniziali.

Configurazione: l´oggetto di una conferma di ricezione deve essere introdotto da tre caratteri qualsiasi.


Attivazione di "Attiva invio messaggio"

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Attivazione di "Attiva invio messaggio"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione attiva il Message Control per il progetto in cui la funzione si trova. Al momento della chiamata funzione, il progetto viene registrato nel Message Control. A partire da questo momento, vengono creati e trasmessi messaggi.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo "Message Control" la funzione Attiva invio messaggio
  3. La funzione viene creata.

Nota: per essere sicuri che il progetto venga registrato all´avvio del Runtime, abilitare la proprietà Attivo all'avvio del Runtime nel gruppo Proprietà specifiche di progetto per il modulo "Message Control".


Disattiva invio messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Disattiva invio messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva il Message Control per il progetto in cui essa si trova. Al momento della chiamata funzione, tutti i messaggi del progetto vengono eliminati dalla coda di messaggi (Message-Queue) e il progetto viene deregistrato nel modulo "Message Control". Poi il sistema vuota la coda di messaggi del progetto. Finché il Message Control è disattivato per un progetto, nessun nuovo messaggio potrà essere creato o inviato.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo "Message Control" la funzione Disattiva invio messaggio.
  3. La funzione viene creata.


Parametri per messaggi

Manuale -> Message Control -> Configurare il Message Control -> Parametri per messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo di messaggi può essere configurato in modo dinamico. Prima dell´invio, il sistema verifica la presenza di caratteri jolly nei messaggi e li analizza. Durante questo processo, vengono presi in considerazione i caratteri di controllo. Questo vale per:

  • E-Mail via Outlook e SMS via GSM o SMS-Gateway
  • E-Mail via SMTP
  • Messaggio vocale Text-To-Speech via Modem o VoIP
  • La proprietà Parte dinamica dell'oggetto.

Struttura di un messaggio

  • Le parti del testo sono separate da punto e virgola (;).
  • $: identifica un testo che contiene parametri.
  • Un parametro può:
    • Essere una chiave della tabella lingua: per es. @MyText;
    • Riferirsi ad una variabile, quando si esegue la funzione via AML, oppure una violazione di valore limite: per es. %Var1;
    • Essere un inserimento composto nella tabella lingua: per es. %@Var2+MultipleText
  • @ contrassegna il cambio lingua
  • % contrassegna le variabili
  • %% contrassegna parametri Testo valore limite per le variabili

    Si può indicare una variabile fra i due simboli di percentuale.
    Se non se ne indica nessuna, il valore si riferirà alla variabile principale.

    • I messaggi terminano con un punto e virgola (;).

Sono a disposizione parametri in parte diversi per le variabili principali, le variabili aggiuntive e a seconda del modo in cui avviene la chiamata funzione.

Attenzione: se si aggiungono ulteriori variabili usando un carattere jolly, queste devono essere prima registrate (se non lo sono ancora al momento dell´esecuzione della funzione) e poi lette. Per questa ragione, l´invio del messaggio viene ritardato. Perciò si dovrebbe fare uso con cautela di variabili aggiuntive.

Lista parametri testo

Parametro

A Runtime

Azione

Chiave:

@MyText

Il sistema verifica se per la lingua corrente c'è un inserimento per @MyText nella tabella lingua.
  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Variabile:

%Var1%

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste un inserimento nella tabella lingua.
  • Variabile e testo esistenti:
    il testo viene aggiunto al messaggio.
    Esempio: il valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: a seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Esempio: $@Warning ;%Var1%Name;

Ancora in questo capitolo

Testo da valore limite e testo costante


Testo da valore limite e testo costante

Manuale -> Message Control -> Configurare il Message Control -> Parametri per messaggi -> Testo da valore limite e testo costante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può configurare un testo definito liberamente per i messaggi. Questo testo può contenere anche testi presi da valori limite ed elementi di testo dinamici. Non tutti i tipi di invio nel modulo Message Control supportano testi da valori limite. Tuttavia, tutti i testi possono essere integrati con l'aggiunta di elementi dinamici.

Configurazione di testo da valore limite

Per collegare valori limite:

  1. Nella scheda Notizia, abilitare l´opzione Testo da valore limite facendo il segno sulla casella attivo (Message Control, funzione Invia messaggio).
    Nota: questa opzione non è disponibile per tutte le tipologie di invio. In questo caso, configurare l'opzione Messaggio di testo costante con elementi di testo dinamici. (Vedi capitolo Configurazione del messaggio di testo costante.)
  2. Attivare l'opzione Da variabile modificata.
  3. Attivare le checkbox per i valori desiderati.
    Per i parametri, si veda la Lista di parametri testo dinamico valore limite.
  4. Ordinare i parametri selezionati via Drag&Drop, oppure usando i pulsanti "Sposta in alto", "Sposta in basso".
  5. Assicurarsi che la violazione di valore limite attivi la funzione.

Configurazione del messaggio di testo costante

Struttura

$Testo libero;%Variabile%Testo;

Simbolo di partenza-> testo costante fra punto e virgola -> contiene parametri con %% come prefisso

  • Simbolo di partenza: $
    In questo modo si tiene conto dei parametri nel testo costante.
  • Testo costante: viene inserito fra segni di punto e virgola (;).
  • Prefisso per Parametro testo dinamico valore limite: 2 segni di percentuale (%% oppure % nome variabile %)

    Se non si indica nessuna variabile, il seguente parametro si riferisce alla variabile principale.

  • Fine della successione di caratteri: punto e virgola (;)

Esempio

$Text Message Control ;%%Name; Text ;%%LimitText; Text ;%Master%VariableStatus ;Text;

  • $: inizio del messaggio con il primo testo di messaggio.
  • %%Name: nome della variabile violata più testo.
  • %%LimitText: testo di valore limite della variabile violata più testo.
  • %Master%VariableStatus: stato della variabile` Master più testo.

Nota: inserire spazi vuoti davanti ai segni di separazione. In questo modo, i singoli blocchi sono separati correttamente da spazi vuoti.

Lista di parametri testo dinamico valore limite

Parametro | Variabile principale - Chiamata via valore limite | Variabile principale - Chiamata via AML | Variabile aggiuntiva AML/Valore limite
%%Name (Nome variabile:) | Nome della variabile, corrisponde alla proprietà Nome. | Nome della variabile, corrisponde alla proprietà Nome. | Nome della variabile, corrisponde alla proprietà Nome.
%%Identification (Descrizione) | Descrizione della variabile, corrisponde alla proprietà Identificazione. | Descrizione della variabile, corrisponde alla proprietà Identificazione. | Descrizione della variabile, corrisponde alla proprietà Identificazione.
%%LimitText (Testo valore limite) | Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico. | Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico. | Testo dello stato come definito nella proprietà Testo valore limite.
%%MessageCreateTimeStamp (Time stamp del messaggio) | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio). | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio). | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio).
%%ResourceLabel (Descrizione apparecchiatura) | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio. | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio. | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio.
%%LimitTimeReceived (Orario di arrivo allarme) | Time stamp dell´oggetto allarme. | Time stamp dell´oggetto allarme. | -
%% (Valore attuale) | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità). | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità). | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità).
%%VariableStatus (Stato) | Stato della variabile come stringa (al momento della chiamata funzione). | Stato della variabile come stringa (al momento della chiamata funzione). | Stato della variabile come stringa (al momento della chiamata funzione).
%%VariableTimeStamp (Time stamp della variabile) | Time stamp della variabile (al momento della chiamata funzione). | Time stamp della variabile (al momento della chiamata funzione). | Time stamp della variabile (al momento della chiamata funzione).
%%MessageTimeAcknowledge (Tempo per la conferma) | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata. | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata. | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata.
%%Address (Indirizzo) | Indirizzo. | Indirizzo. | Indirizzo.
%%Unit (Unità) | Unità tecnica corrispondente alla proprietà Unità di misura. | Unità tecnica corrispondente alla proprietà Unità di misura. | Unità tecnica corrispondente alla proprietà Unità di misura.
%%AlarmArea (Area allarmi) | Area allarmi della variabile principale. | Area allarmi della variabile principale. | Area allarmi della variabile aggiuntiva.
%%LimitTimeAcknowledged (Time stamp riconoscimento allarme) | -- | Time stamp dell´oggetto allarme. | --
%%UserId (Identificazione utente) | -- | Identificazione dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Nome utente. | --
%%UserName (Nome user) | -- | Nome completo dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Nome completo. | --
%%ComputerName (Nome computer) | -- | Il nome del computer sul quale è stata iniziata l´azione. | --
%%Comment (Commento) | -- | Commento dell´oggetto allarme. | --
%%AlarmGroup (Gruppo allarme/eventi) | Gruppo allarmi/eventi dell´oggetto allarme (come testo). | Gruppo allarmi/eventi dell´oggetto allarme (come testo). | Gruppo allarmi/eventi dell´oggetto allarme (come testo).
%%AlarmClass (Classe allarmi/eventi) | Classe allarmi/eventi dell´oggetto allarme (come testo). | Classe allarmi/eventi dell´oggetto allarme (come testo). | Classe allarmi/eventi dell´oggetto allarme (come testo).
%%AlarmTimeActive (Time stamp allarme in attesa) | -- | Tempo per il quale l´allarme è in attesa. | --

Gestione errori

Se si usano dei parametri non validi, nel messaggio verrà visualizzata la corrispondente segnalazione di errore.
<Parametro non valido: 'Parametro'>.

Questo testo può essere modificato e tradotto con il cambio lingua. A questo scopo devono essere create due parole chiave:

  • <Parametro non valido:
  • >

Se i parametri vengono usati nel contesto sbagliato, o se è impossibile leggere un parametro (per es. perché una variabile non esiste), viene inserita nel messaggio la stringa IDS_STRING2501 (---) invece che il valore. Questo testo può essere modificato anche usando il cambio lingua.


Message Control a Runtime

Manuale -> Message Control -> Message Control a Runtime

A Runtime, il Message Control viene avviato o automaticamente (proprietà Attivo all'avvio del Runtime attiva), oppure usando la funzione Attiva invio messaggio.

Se il Message Control è attivo e si verifica un evento per il quale è stato previsto l´invio di un messaggio:

  • Viene inviato un messaggio configurato per il caso in questione.
  • Si analizza il suo riconoscimento.
  • Vengono eseguite le funzioni usate per il ripristino.

attention Attenzione

Nell´analizzare i messaggi contenuti nella cartella E-Mail, il sistema prende in considerazione tutti i messaggi con oggetto corrispondente e setta per questi messaggi lo stato "letti". Se nella mail box del Message Control vengono recapitati anche altri messaggi, questi ultimi possono eventualmente essere settati sullo stato "letto".

Gestione a Runtime

La coda di messaggi (Message Queue) può essere gestita con una immagine di tipo Message Control.

Si chiude il Message Control chiudendo il Runtime, oppure usando la funzione Disattiva invio messaggio.

Time stamp nella Lista di informazione allarmi e nel Message Control

Quando si attiva la funzione Invia messaggio, una copia dell´oggetto allarme viene trasmessa alla funzione. Il testo del messaggio viene creato e tradotto al momento della chiamata funzione. Se si attiva la funzione via AML, questa userà una copia dell´oggetto allarme proveniente dalla AML. Così il contenuto corrisponderà sempre ad una combinazione corrente di processo e stato allarme.

Message Queue - Ritentività

Quando si chiude il Runtime in modo normale, viene salvata un´immagine della coda di messaggi corrente. Quando poi si riavvia il Runtime, il sistema carica questa immagine, che viene poi elaborata dal Message Control. I dati vengono salvati in un file che ha il nome seguente: MessageRT_Image.bin. Vengono salvati i seguenti dati:

  • Messaggi attuali nella coda
  • Gruppi allarmi soppressi
  • Classe allarmi soppressa
  • Aree soppresse
  • Impianti soppressi

Rete

Le informazioni relative al funzionamento in rete si trovano nel capitolo Rete.

Ripristino

Ogni messaggio può essere identificato in modo univoco grazie ad un GUID. A seconda del metodo di trasmissione e del tipo di invio configurati, i messaggi possono essere ripristinati anche tramite altri metodi di invio da quelli usati per inviarli. I dettagli relativi al ripristino dei messaggi si trovano nel capitolo Ripristino dei messaggi.

Cambio lingua

I testi contenuti in messaggi possono essere tradotti completamente. In questo caso, il sistema analizza:

  • L´area testo costante
  • Il parametro testo dinamico valore limite
  • Il testo di un valore limite nella AML/CEL

Le colonne selezionabili nell´immagine di tipo Message Control sono traducibili se configurate in modo corrispondente.

Ancora in questo capitolo

Apertura dell´immagine di tipo Message Control

Ripristino dei messaggi

Messaggi vocali a Runtime

Rete

Processo: messaggio vocale


Apertura dell´immagine di tipo Message Control

Manuale -> Message Control -> Message Control a Runtime -> Apertura dell´immagine di tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Message Control visualizza a Runtime la coda di messaggi (Message Queue) corrente e mette a disposizione degli elementi di controllo per eseguire l´analisi e il filtro. Il contenuto del campo lista Coda messaggi (Message Queue) corrisponde al contenuto della coda messaggi al momento dell´apertura dell´immagine e non viene aggiornato automaticamente. La visualizzazione può essere aggiornata in qualsiasi momento cliccando sul pulsante Aggiorna. Il pulsante Stop/Avanti consente di eseguire un aggiornamento ciclico. Un apposito campo di testo indica il momento in cui è stato effettuato l´ultimo aggiornamento.

La Coda messaggi (Message Queue) contiene i messaggi che

  • Attendono di essere inviati
  • Sono in fase di invio
  • Sono stati già inviati
  • Sono stati confermati
  • Sono stati eliminati

Gruppi, classi, aree e impianti soppressi, i cui allarmi, cioè, non vengono visualizzati nella lista, vengono visualizzati in campi lista separati.

Le colonne della Coda messaggi (Message Queue) possono essere configurate individualmente (si veda Filtri) e dotate di una propria didascalia. Queste didascalie sono traducibili.

Inserisci template

Elementi di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Liste e campi che possono essere visualizzati a Runtime.

Elementi di controllo | Descrizione
Coda messaggi | Lista dei messaggi. Contiene i messaggi inviati, confermati o cancellati, oppure quelli che sono ancora da inviare. I messaggi vengono solamente visualizzati e non possono essere più modificati. Le intestazioni colonna possono essere configurate individualmente e, se si utilizza come prefisso il carattere @, sono traducibili.
Quantità notizie | Numero dei messaggi esistenti al momento.
Ultimo aggiornamento | Time stamp dell´ultimo update.
Gruppi allarme/evento soppressi | Gruppi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Classi allarme/evento soppresse | Classi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Aree allarme/evento soppresse | Aree allarme/evento per le quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).
Gruppi d'impianto soppressi | Impianti per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda messaggi (Message Queue).

Funzioni lista

Elementi di controllo per la gestione delle liste.

Elementi di controllo

Descrizione

Filtro

Apre la finestra di dialogo per configurare il filtro per la visualizzazione.

Elimina

Cancella l´inserimento selezionato dalla lista. Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.

Aggiorna

Aggiorna la visualizzazione. Dalla coda di messaggi (Message Queue) vengono caricati i dati correnti nell´immagine.

Il momento in cui è avvenuto l´ultimo update può essere visualizzato usando il campo Ultimo aggiornamento.

Stop/Avanti

Avvia e termina l´update ciclico della lista.

Profili filtro

Gestione profili.

Elementi di controllo | Descrizione
Selezione profili | Apre la finestra di dialogo che consente di selezionare un profilo.
Salva | Salva le impostazioni correnti come profilo.
Elimina | Cancella il profilo.
Importa | Apre la finestra di dialogo per importare dei profili da un file.
Esporta | Apre la finestra di dialogo per esportare dei profili in un file.


Ripristino dei messaggi

Manuale -> Message Control -> Message Control a Runtime -> Ripristino dei messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi possono essere confermati o rifiutati dal destinatario. A seconda della modalità di invio scelta, il ripristino dei messaggi è o sempre obbligatorio, oppure opzionale.

Modalità di trasmissione

Con ripristino

  • -: opzionale
  • +: obbligatorio

Messaggio E-Mail via Outlook

-

Messaggio E-Mail via SMTP

-

Messaggio SMS via modem GSM

-

Messaggio SMS via SMS-Gateway

-

Messaggio vocale da file audio

+

Messaggio vocale Text-to-Speech

+

Quando un messaggio non viene ripristinato, oppure lo si ripristina in modo sbagliato o rifiutandolo, viene inviato alla prima persona definita come sostituto. Se non è stato definito nessun sostituto, il messaggio non sarà inviato di nuovo. Lo stato viene protocollato nella CEL. Durante il ripristino di messaggi possono essere eseguite delle funzioni collegate.

info Info

Regole per chiamate interrotte:

  • se una chiamata viene interrotta senza conferma o rifiuto, e l´interruzione non viene classificata come errore hardware, accade quanto segue:
    • Non si chiama di nuovo lo stesso destinatario.
    • Si trasmette il messaggio a persone di riserva oppure a membri del gruppo non ancora avvertiti.
  • Se una chiamata viene interrotta a causa di un errore hardware, si richiamerà lo stesso destinatario per il numero di volte impostato nella proprietà Massimo numero tentativi.

Configurare la conferma

Per configurare la conferma o il rifiuto di messaggi:

  1. Aprire nella funzione Invia messaggio la scheda Avviso di ricezione.
  2. Attivare la checkbox Conferma di ricezione necessaria (sempre attiva in caso di messaggi vocali).
  3. Definire il tempo di attesa (Timeout) entro il quale il messaggio deve essere ripristinato.
    Dopo la scadenza del tempo di attesa, il messaggio viene inviato al prossimo utente definito come sostituto.
  4. Configurare i codici di conferma (PIN) e di rifiuto (codice NA) come segue:
    1. Usando le proprietà dell´utente:
      Utente Message Control -> Codice PIN e Codice-NA
      o
    2. Nella funzione stessa:
      attivando la checkbox Utilizza codice specifico per il messaggio -> Codice PIN e Codice NA

    Se si configurano codici sia nelle proprietà dell´utente (Gestione User/Utente/ nodo "Message Control), che tramite la funzione, valgono quelli definiti nel dialogo di configurazione della funzione.
    Suggerimento: quando si decide di configurare i codici tramite la funzione, è consigliabile farne cenno nel testo del messaggio in modo tale che il destinatario possa usare il codice giusto per l'attivazione o il rifiuto.

  5. Definire le funzioni che devono essere eseguite dopo la ricezione dei codici per:
    1. Messaggio è stato confermato
    2. Messaggio non è stato né confermato, né rifiutato
    3. Messaggio è stato rifiutato
  6. Chiudere il dialogo cliccando sul pulsante OK

Ripristino a Runtime

Quando viene inviato, ogni messaggio per cui è previsto il ripristino obbligatorio riceve un'identificazione propria e univoca (GUID). Tutte le azioni del messaggio vengono assegnate sulla base di questo identificatore. Se un messaggio è con ripristino obbligatorio, l'identificazione viene aggiunta al testo automaticamente.

Per ripristinare un messaggio, il destinatario deve inviare, a seconda della modalità di trasmissione usata, il numero del messaggio e il PIN in un formato definito.

È dunque possibile ripristinare i messaggi scritti anche attraverso mezzi di invio diversi da quelli progettati. In questo caso, devono essere soddisfatti i seguenti presupposti:

  • Il messaggio deve essere stato inviato come E-Mail o SMS.
  • La risposta deve essere una E-Mail o un SMS.
  • La risposta deve contenere il GUID.
  • La risposta deve contenere il codice per il ripristino.
  • La modalità di invio per la risposta deve essere configurata.

Ripristino di E-‑Mail

Una E-Mail viene ripristinata nel modo seguente:

  • L'utente spedisce la risposta usando la funzione "Rispondi" del suo programma di posta elettronica.
  • L´oggetto originario della E-Mail non deve essere modificato. Cioè: i contenuti definiti in Outlook in Oggetto (ID) e per SMTP in Soggetto per E-Mail, devono rimanere inalterati. In zenon, infatti, un messaggio viene identificato e assegnato tramite questi contenuti.
  • L´oggetto, però, deve essere contrassegnato come risposta da almeno tre caratteri che lo precedono. Ad esempio RE:, oppure AW:.
  • Il testo di risposta deve contenere:
    • GUID: all´inizio del messaggio. Non ci devono essere altri caratteri davanti, neanche degli spazi vuoti.
    • Punto e virgola (;): separatore
    • Testo: contiene codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control identifica le E-Mail da gestire in base all´oggetto.
    Attenzione: l'oggetto di una risposta deve essere contrassegnato come risposta. Quando arriva un messaggio, infatti, il sistema controlla se questo inizia con almeno tre caratteri come RE: oppure AW:.
  • Il Message Control analizza GUID e codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

Nota: se è stata configurata la modalità di trasmissione SMS, un messaggio inviato via E-Mail può essere ripristinato anche tramite SMS.

Ripristino di SMS

Un SMS viene ripristinato nel modo seguente:

  • L´utente spedisce la risposta usando la funzione "Rispondi" del suo cellulare.
  • Il testo di risposta deve contenere:
    • GUID: all´inizio del messaggio. Non ci devono essere altri caratteri davanti, neanche degli spazi vuoti.
    • Punto e virgola (;): separatore
    • Testo: contiene codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control analizza GUID e codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

info Info

Gli SMS inviati a Smartphones possono essere ricevuti e ripristinati anche via Notifier App by zenon. L´App invia la risposta come SMS in formato Alarm-ID;PIN oppure Alarm-ID;NA.

Se è stata configurata la modalità di trasmissione E-Mail, un messaggio inviato via SMS può essere ripristinato anche con un´E-Mail.

Messaggi vocali

I messaggi vocali devono essere ripristinati sempre. Si ripristina un messaggio vocale nel modo seguente:

  • L´apparecchio telefonico del destinatario deve supportare DTMF.
  • Il modem ricevente dell'impianto deve supportare DTMF.
  • Il messaggio viene letto al destinatario con il testo della Descrizione.
  • Il destinatario ripristina il messaggio inserendo il Codice PIN o il Codice NA con i tasti numerici del suo telefono.
  • Il destinatario può:
    • Farsi ripetere i messaggi.
      Per farlo, deve premere il tasto # del telefono. Il messaggio inviato (descrizione, messaggio o messaggio di errore) verrà ripetuto.
    • Resettare il codice inviato:
      Per farlo, deve premere il tasto *del telefono. Il codice precedentemente inviato (PIN o NA) dal destinatario viene annullato. La riproduzione del messaggio inizia di nuovo con la descrizione.
  • Il Message Control analizza il codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

Nota: i messaggi vocali devono essere sempre ripristinati via telefono.


Messaggi vocali a Runtime

Manuale -> Message Control -> Message Control a Runtime -> Messaggi vocali a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La procedura di invio di messaggi vocali è la seguente:

  1. Una funzione attiva la modalità di invio desiderata.
  2. La chiamata viene iniziata via VoIP-Server, oppure via modem.

    Nota: se l´invio avviene via file audio, nella colonna Messaggi della lista messaggi viene visualizzato il nome del file audio, oppure il testo del messaggio in caso di invio via Text-to-Speech.

  3. Stabilire una connessione: il sistema considera la connessione come stabilita non appena la chiamata viene segnalata alla controparte.
    Quando una chiamata viene accettata, non è possibile distinguere se viene accettata da una persona o da una segreteria telefonica.

    Se non è possibile stabilire una comunicazione, il sistema fa un altro tentativo.
    Il numero dei tentativi corrisponde al valore configurato nella proprietà Proprietà specifiche di progetto/Massimo numero tentativi. Il tempo intercorrente fra i tentativi corrisponde al valore configurato nella proprietà Proprietà specifiche di progetto/Tempo di attesa tra tentativi e timeout.
    Nota: un messaggio che viene inoltrato ad un altro utente, è considerato un nuovo messaggio. Il contatore viene resettato su 1.

    Attenzione: il valore della proprietà specifica del progetto Tempo di attesa tra tentativi e timeout deve essere maggiore a quello impostato per l´opzione Tempo di attesa nelle funzioni Invia messaggio (scheda Avviso di ricezione).

  4. Se non è possibile instaurare la connessione, se il messaggio viene rifiutato, oppure se si risponde con un PIN errato, il sistema provvede ad avvertire la persona di riserva (sostituto).
    Se non è stata configurata nessuna persona di riserva, la chiamata viene interrotta.
  5. Non appena la chiamata è accettata, viene riprodotto un testo di benvenuto.

    Il destinatario può ripetere la riproduzione di questo messaggio premendo il tasto #.

  6. Il destinatario reagisce al messaggio confermandolo o rifiutandolo. Per farlo, si deve inserire il codice corrispondente:
    • Conferma: Codice PIN
    • Rifiuto: Codice-NA
  7. Se per il messaggio sono state configurate delle funzioni da eseguire in caso di conferma di ricezione, queste verranno eseguite in base al codice inserito.

Inserimento del codice

L'inserimento del codice avviene via DTFM. Vengono interpretati i seguenti segnali:

  • #: Ripetere il messaggio corrente.
  • *: cancellare i caratteri inseriti e avviare di nuovo il processo con il testo di benvenuto.
  • Cifre da 0 - 9: Inserimento del codice di 4 cifre.

Quando si inserisce il codice, vengono interpretati solamente i primi quattro segnali sonori. Tutti gli altri segnali sonori DTMF vengono ignorati per il PIN e il NA, ma causano la ripetizione del messaggio.

L' inserimento può essere corretto in qualsiasi momento usando il tasto *. In questo caso, tutti i caratteri inseriti vengono cancellati e il processo ricomincia con la riproduzione del messaggio di benvenuto.


Rete

Manuale -> Message Control -> Message Control a Runtime -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In rete, la coda di messaggi (Message Queue) viene sincronizzata in modo permanente fra server e Server-Standby. I nuovi messaggi generati sul server vengono trasmessi al Server-Standby. All'avvio del server o del Server-Standby, la coda di messaggi viene sincronizzata con il server primario o il Server-Standby. Visto che server e Server-Standby usano differenti risorse, i messaggi possono essere ripristinati solamente sul dispositivo che li invia.

Allo stesso modo, la lista degli elementi soppressi viene sincronizzata e salvata in modo ritentivo.

La funzione Invia messaggio viene eseguita solamente sul PC che esegue la funzione stessa. L´invio dal client non viene supportato.

Utenti

Si amministrano gli utenti tramite la "Gestione user" di zenon. Gli utenti, dunque, possono essere gestiti e modificati sul server, Server-Standby e Client. È possibile modificare gli utenti anche sullo zenon Web Client.

Nessuna condivisione di risorse

Server e Server-Standby non possono condividere nessuna risorsa. Non è neppure consentito usare delle risorse identiche per diverse modalità di trasmissione sullo stesso calcolatore. Questo significa:

  • E-Mail (SMTP): server e Server-Standby usano diversi E-Mail-account.
  • E-Mail (Outlook): server e Server-Standby usano diversi profili Outlook.
  • GSM: server e Server-Standby usano diversi modem e schede SIM con differenti numeri di telefono.
  • SMS (SMS-Gateway): server e Server-Standby usano diversi file e cartelle.
  • Messaggi vocali: server e Server-Standby usano diversi modem e differenti numeri di telefono.
  • Ogni calcolatore:

    Usa un modem proprio e un numero di telefono proprio per:

    • SMS via GSM
    • SMS via SMS-Gateway
    • Messaggio vocale da file audio
    • Messaggio vocale Text-to-Speech

    Usa diversi account per:

    • Outlook
    • E-Mail via SMTP

Comportamento in caso di interruzione di funzionamento del server

Se il server smette di funzionare, il Server-Standby, dopo essere passato al ruolo di server primario, invia di nuovo tutti i messaggi con obbligo di ripristino che si trovano nella coda di messaggi. Questo può provocare un doppio invio di messaggi, ma è garanzia del fatto che questi ultimi vengano ripristinati correttamente, dato che il ripristino può avvenire solamente su PC che invia i messaggi.

Dopo un´interruzione di funzionamento e un riavvio del computer, è possibile che sia necessario inizializzare di nuovo i modem GMS e controllare le loro porte COM.


Processo: messaggio vocale

Manuale -> Message Control -> Message Control a Runtime -> Processo: messaggio vocale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il processo di invio del messaggio vocale e di ricezione della conferma corrisponde al seguente diagramma:

Legenda:

  • Y: Sì
  • N: No

Procedura

La procedura della funzione può essere suddivisa in processi principali e sotto-processi.

Processi principali:

  • Chiamata della funzione Invia messaggio
  • Testo Descrizione
  • Fine della chiamata

Sotto-processi:

  • Sostituto
  • Codice errato
  • Conferma

Processi principali:

Chiamata della funzione "Invia messaggio":

  1. Funzione Invia messaggio eseguita
  2. Validazione: è stato raggiunto il valore configurato nella proprietà Massimo numero tentativi per la funzione?

    Nota: un messaggio che viene inoltrato ad un altro utente, è considerato un nuovo messaggio. Il contatore viene resettato su 1.

    • Y: la funzione Invia messaggio viene terminata.
    • N: la chiamata viene eseguita.
  3. Validazione: la chiamata è annunciata alla controparte?
    • N: il sistema attende per il tempo configurato nella proprietà Tempo di attesa tra tentativi e timeout. Poi la funzione Invia messaggio viene eseguita di nuovo.
    • Y: si attende una risposta.

    Attenzione: il valore della proprietà specifica del progetto Tempo di attesa tra tentativi e timeout deve essere maggiore a quello impostato per l´opzione Tempo di attesa nelle funzioni Invia messaggio (scheda Avviso di ricezione).

  4. Validazione: è stato superato il tempo di attesa configurato nella proprietà Timeout [min] per la funzione?
    • Y: si prosegue con il processo Sostituto.
    • N: si attende l'accettazione della chiamata.
  5. Validazione: la chiamata viene accettata?
    • N: si prosegue con il processo Sostituto.
    • Y: si prosegue con il processo Testo Descrizione.

Testo Descrizione:

  1. La descrizione viene inviata.
  2. Validazione: viene inviato # o * dalla controparte?
    • Y: la descrizione viene inviata.
    • N: verifica del tempo di attesa.
  3. E' stato superato il tempo di attesa configurato nell'opzione Tempo di attesa della funzione Invia messaggio?
    • Y: si prosegue con il processo Fine della chiamata.
    • N: si attende l'inserimento del codice PIN o NA.
  4. Validazione: è stato inserito un codice PIN o NA corretto?
    • Y si prosegue con il processo Conferma.
    • N: si prosegue con il processo Codice errato.
  5. Validazione: codice ricevuto *?
    • Y: si prosegue con il processo Descrizione testo.
    • N: si prosegue con il processo Fine della chiamata.

Fine della chiamata

  1. Validazione: è stato ricevuto il PIN?
    • Y: eseguire la funzione collegata a PIN ricevuto, se esistente.
    • N: si prosegue con il processo NA.
  2. Validazione: è stato ricevuto il NA?
    • Y: eseguire la funzione collegata a NA ricevuto, se esistente.
    • N: si prosegue con il punto successivo Nessuna conferma.
  3. Nessuna conferma ricevuta: eseguire la funzione collegata, se esistente.
  4. Terminare la funzione Invia messaggio.

Sotto-processi:

Sostituto:

  • Validazione: è stato definito un sostituto?
    • Y: eseguita di nuovo la funzione per il sostituto.
      Si prosegue con la validazione: è stato raggiunto il valore configurato nella proprietà Massimo numero tentativi per la funzione?
    • N: si prosegue con il processo Fine della chiamata, punto 3: Nessuna conferma ricevuta.

Codice errato:

  • Validazione: inserimento di # oppure di cifra fra 0 e 9?
    • N: Validazione: codice ricevuto *?
    • Y: Indietro alla validazione: inserimento di # oppure di cifra fra 0 e 9?

Conferma:

  • Validazione: inserimento di # oppure di cifra fra 0 e 9?
  • N: Validazione: codice ricevuto *?
  • Y: Indietro alla validazione: inserimento di # oppure di cifra fra 0 e 9?


Messaggi e gestione degli errori

Manuale -> Message Control -> Messaggi e gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messaggi, note ed errori possono essere loggati e visualizzati con il Diagnosis Viewer in un modulo apposito [Message Control]. I dettagli relativi ai messaggi si trovano nella sezione Inserimenti LOG.

Rete

Il traffico di rete può essere analizzato tramite software Wireshark. Se la trasmissione avviene in modo non criptato, tutti i comandi inviati al server e le sue risposte saranno visibili in chiaro, come testo normale, durante la cattura (Capture). In caso di connessioni cifrate, potrà essere analizzato l'SSL / TLS Handshake, non lo scambio di dati utente.

Server

Per verificare se un server supporta determinati comandi, si può instaurare una sessione Telnet con il server.

In Windows 7, si installa il client Telnet nel modo seguente:

  1. Aprire il pannello di controllo.
  2. Aprire Programmi e funzioni.
  3. Aprire Attiva o disattiva funzionalità Windows.
  4. Selezionare la checkbox Client Telnet.
  5. Chiudere il dialogo cliccando su OK .
  6. Il client Telnet verrà installato.

Adesso la connessione può essere instaurata nella riga di comandi usando il comando telnet [Nome server o indirizzo IP] [Port p.es. 25 o 110].

Server di posta elettronica

La connessione con il server di posta elettronica può essere monitorata mediante un client di posta elettronica (per es. Outlook). Se si usa una connessione non crittografata, l'analisi con Wireshark può visualizzare i comandi SMTP e POP3 supportati.

DNS

La risoluzione nomi può essere analizzata con un programma come nslookup. nslookup consente di effettuare delle query (interrogazioni) ad un server DNS per la risoluzione di indirizzi IP o nome host, per poter ottenere da un dominio il relativo indirizzo IP o nome host e viceversa. Come prerequisito è necessario che nella configurazione IP del PC sia inserito un server DNS valido.

GSM

Per analizzare problemi con i modem GSM (Global System for Mobile Communication) è possibile usare, ad esempio:

  • Serial Port Monitoring:
    può monitorare la comunicazione fra zenon e il modem GSM.
  • HyperTerminal:
    consente di inviare dei comandi AT al modem.
    Per esempio: Microsoft Hyperterminal o Putty (Open Source).
    Nota: Hyperterminal è stato fornito da Microsoft solamente fino a Windows XP. Può essere copiato manualmente per altri sistemi operativi.

Comandi AT

Per la risoluzione dei problemi con comandi AT:

  1. Assicurarsi che sia istallato il driver adeguato per ii sistema operativo utilizzato. Si consiglia di usare il driver del produttore del modem.
  2. Verificare che il driver sia istallato nel modo corretto e che sia pronto all´uso.
  3. Usare Hyperterminal per instaurare la connessione con la porta COM del modem. Per esempio: Microsoft Hyperterminal o Putty (Open Source).
  4. Digitare nella finestra principale del terminal il comando AT AT.
    . Il modem dovrebbe rispondere OK.
  5. Testare i comandi AT che hanno generato una segnalazione di errore nel LOG file. Non dimenticare nessuna operazione preparatoria eventualmente necessaria per il modem, come, ad esempio, la creazione di un messaggio nella coda.
  6. Verificare se le risposte del modem corrispondono a quelle nella lista dei comandi AT supportati.

Ancora in questo capitolo

Check list

Inserimenti nei LOG.


Check list

Manuale -> Message Control -> Messaggi e gestione degli errori -> Check list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di problemi, controllare:

Problema

Causa possibile

Soluzione

SMTP-Mail

Le E-Mail in uscita non vengono inviate, quelle in entrata non vengono ricevute.

La modalità di invio non è configurata in modo corretto. Un´indicazione in questo senso sono le segnalazioni nei LOG di tipo "Invio non attivo", "Server non raggiungibile", "Utente non trovato "autenticazione SMTP / POP3 fallita!".
  • La proprietà Versandart aktiv è attiva?
  • L´utente cui è destinata la E-Mail, è settato come "Utente Message Control" (proprietà Utente Message Control attivata)?
  • È stato configurato un indirizzo E-Mail per l´utente?
  • I dati utente vengono trasmessi al Runtime dopo ogni modifica (proprietà RT dati modificabili)?
  • La configurazione della modalità di invio è corretta? Confronta con i dati del provider E-Mail.

Il server è registrato in modo corretto, ma non è raggiungibile (messaggi di errore al momento dell´instaurazione della connessione).
  • Funziona la risoluzione nomi?
  • È possibile raggiungere il server (ping)?
  • Il firewall consente l´instaurazione di una connessione con la porta impostata? Sia il firewall del computer che quello del dominio possono bloccare l´instaurazione della connessione. Controllare con Telnet.

Il server non supporta un comando (messaggio di errore „Command not Supported", oppure qualcosa di simile nel file LOG).
  • Controllare se il server supporta il comando (per es. con Thunderbird o Telnet).

Se possibile, selezionare un´altra configurazione (per es. i comandi SMTP AUTH possono essere evitati mediante "Prima di inviare l' E-Mail accedere al server di posta in entrata"). L'APOP può essere disattivato e sostituito da utente e password.

Il server richiede una connessione crittografata. Dato che l´invio avviene in modalità non crittografata, il server interrompe la connessione.
  • In questo caso, l´analisi effettuata con Wireshark mostrerà che il server invia "STARTTLS". Visto che questo comando non viene supportato, la connessione dovrebbe essere assicurata via SSL o TLS.

Il server non supporta il meccanismo di protezione selezionato (messaggi di errore al momento di una connessione crittografata).
  • Selezionare un'altra configurazione di protezione oppure trasmissione in chiaro (non cifrata) del testo.

SMS-GMS

zenon non può stabilire una connessione con il modem.
  • Porta COM sbagliata (errore "File-Not-Found" quando ai prova ad aprire la porta COM).
  • La porta COM è occupata (per es. dal software di configurazione del produttore, errore "Access-Denied" quando ai prova ad aprire la porta COM).
  • Errore nella configurazione della porta COM/il modem non risponde.
  • Il modem non supporta il modo SMS-PDU (messaggio di errore "AT+CMGF", oppure messaggio di errore "PDU-Mode" nel Log)
  • Il modem richiede forse un PIN/questo PIN non è corretto? (messaggio di errore PIN in LOG)
  • Si tentato un inserimento di un PIN sbagliato per troppe volte? (messaggio di errore PUK nei LOG) In questo caso la connessione fra zenon e il modem torna ad essere possibile solo dopo aver inserito il PUK manualmente; in questo modo viene rimosso il blocco.
  • Controllare la porta COM e la configurazione del modem.
  • Controllare il PIN, eventualmente inserire manualmente il PUK.

La connessione viene instaurata, ma è impossibile inviare e ricevere messaggi
  • È stata prima stabilita una connessione con il software del produttore fra modem e rete GSM? La connessione con la rete viene stabilita per lo più solo dopo l´accesso al software del produttore!
  • Nonostante questo, il modem non è connesso con la rete (controllare con il software del produttore): Cercare un posto con una ricezione migliore.
  • Il numero di telefono SMSC inserito non è corretto. Prima di eseguire inserimenti in zenon o quando si chiama per la prima volta, controllare il numero. Questo controllo può essere eseguito anche con la proprietà Verifica connessione attivata. Caricare SMSC con HyperTerminal dal modem e notarlo.
  • Leggere i messaggi di errore nel LOG.
  • La prima volta, collegare il modem alla rete GSM usando il software del produttore
  • Spostare fisicamente il modem.
  • Controllare il numero di telefono.
    Il codice paese per il SMSC (00xy oppure +xy) è stato inserito correttamente?


Inserimenti nei LOG.

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti nel file LOG del Diagnosis Viewer.

  • Messaggi vari
  • E-Mail via SMTP/POP
  • Voice over IP
  • SMS
  • OpenSSL Library

Ancora in questo capitolo

Messaggi vari

E-Mail per SMTP/POP

Voice over IP

SMS

Inserimenti LOG - OpenSSL Library


Messaggi vari

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Messaggi vari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista di questi inserimenti LOG è organizzata in ordine alfabetico per livelli ed inserimenti.

  • Debug
  • Deep-Debug
  • MSG
  • Warnings

Ancora in questo capitolo

Debug

Deepdebug

MSG

Warnings


Debug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Messaggi vari -> Debug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Livello | Inserimento | Descrizione
DEBUG | Attaching to current call. | Aggancia alla chiamata attiva.
DEBUG | Connected | E' stata stabilita una connessione.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Il tentativo di inviare al computer che che gestisce il processo un Delete-Request-Telegramm è fallito.
DEBUG | Current Message %Nachricht Inhalt% | Il messaggio attuale (contenuto, impostazioni ecc.) verrà tracciato (registrato) nei Log.
DEBUG | File alignment request could not be send to mainstation. | Il tentativo di inviare una richiesta di sincronizzazione al computer che gestisce il processo è fallito.
DEBUG | Invalid code '%s' entered. | È stato inserito un codice non valido.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Il messaggio all´utente [nome] è stato trasferito con successo nell´outbox di Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | E' stata ricevuta una Delete-Response: [numero] messaggi sono stati cancellati dalla coda (Queue).
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | E' stata raggiunta la fine del gruppo utenti [nome], l´invio messaggio viene interrotto.
DEBUG | Requesting File alignment from mainstation. | Verrà inviata una richiesta di sincronizzazione al computer che gestisce il processo.
DEBUG | Send SMS to Benutzer %s. | È stato mandato un SMS all´utente [indirizzo].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Viene preparato un messaggio per l´utente [Nome] e [inviato] all´indirizzo.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Viene inviata una Delete-Request per [numero] messaggi al computer che gestisce il processo.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS all´utente [indirizzo] è stato trasferito nell´outbox.
DEBUG | The #-sign was entered: Repeating the last message. | E' stato inserito un #: verrà ripetuto l´ultimo messaggio.
DEBUG | The *-sign was entered: Clearing the current key. | È stato inserito un *, il codice attuale inserito verrà resettato.
DEBUG | The current call be terminated now. | La chiamata attiva verrà terminata.
DEBUG | The is no call in progress, nothing to terminate. | Non c´è nessuna chiamata attiva, perciò nulla da terminare.
DEBUG | The line %s has been closed. | La linea [] è stata chiusa con successo.
DEBUG | The line %s has been opened. | La linea [] è stata aperta con successo.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Il messaggio [ID] dovrebbe essere già stato confermato, elaborazione TimeOut.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Il messaggio [ID] dovrebbe essere già stato inviato, elaborazione TimeOut.
DEBUG | The Message %s was NOT successfully sent to %s! | Non è stato possibile inviare il messaggio [ID] a [destinatario].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Non è stato possibile inviare il messaggio [ID] a [destinatario]; il messaggio verrà inviato di nuovo.
DEBUG | The Message %s was successfully sent to %s! | Il messaggio [ID] è stato inviato con successo a [destinatario].
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | Il prossimo utente [nome] del gruppo [nome] verrà avvertito; il precedente era l´utente [nome].
DEBUG | The sending of message %s was completed. | Il processo di invio del messaggio [ID] è stato completato.
DEBUG | Valid Acknowlegde-code entered. | È stato inserito un codice PIN valido per confermare il messaggio.
DEBUG | Valid NegAcknowlegde-code entered. | È stato inserito un codice NA valido per rifiutare il messaggio.


Deepdebug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Messaggi vari -> Deepdebug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deep-Debug

Livello | Inserimento | Descrizione
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Il progetto ha ricevuto un telegramma di modifica per il messaggio con il GUID [numero]. L´oggetto locale (vecchio) viene aggiornato.
DEEPDEBUG | A delete message(s) request was received! | È stato ricevuto un telegramma Delete-Request.
DEEPDEBUG | A getqueue request was received, sending queue. | È stata ricevuta una richiesta di sincronizzazione. Vengono inviati la coda messaggi e lo stato attuali.
DEEPDEBUG | A file alignment request was received, sending alignment data. | Un computer che non gestisce il processo ha richiesto una sincronizzazione dei dati Runtime. Questi dati vengono inviati. Il messaggio contiene anche il nome progetto. L´inserimento viene creato sul computer che gestisce il processo.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con GUID [numero]. L´oggetto locale (vecchio) viene cancellato.
DEEPDEBUG | All messages for project %s will be removed. | Tutti i messaggi del progetto [Nome] vengono cancellati dal Message Control.
DEEPDEBUG | An added notification of message(%s) was received, the message object will be added to the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con il GUID [numero]. Viene inserito il nuovo oggetto.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | È stata ricevuta una richiesta di cambio soppressione. Lo stato di soppressione verrà aggiornato.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Il progetto ha ricevuto un telegramma MessageControl-StateChange per il messaggio con GUID [numero]. Viene inserito il nuovo oggetto.
DEEPDEBUG | Current message count is (%d) | Sono presenti [numero] messaggi nella coda. (L´inserimento viene generato al momento della creazione e della cancellazione di messaggi).
DEEPDEBUG | Firing MessageAcknowledged | Viene generato un evento MessageAcknowledged.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | Viene generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | Firing MessageCreated | Viene generato un evento MessageCreated.
DEEPDEBUG | Firing MessageDeleted | Viene generato un evento MessageDeleted.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | Viene generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | Firing MessageNegAcknowledged | Viene generato un evento MessageNegAcknowledged.
DEEPDEBUG | Firing MessageSendError | Viene generato un evento MessageSendError
DEEPDEBUG | Firing MessageSent | Viene generato un evento MessageSent.
DEEPDEBUG | Last index set to %d. | L´ultimo indice utilizzato è stato settato su [valore].
DEEPDEBUG | MessageAcknowledged fired | È stato generato un evento MessageAcknowledged.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | È stato generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Il progetto ha ricevuto dal Message Control una Changed notification per message con il GUID [numero], ma non è più l´istanza che ha avviato il processo.
DEEPDEBUG | MessageCreated fired | È stato generato un evento MessageCreated.
DEEPDEBUG | MessageDeleted fired | È stato generato un evento MessageDeleted.
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | È stato generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | MessageNegAcknowledged fired | È stato generato un evento MessageNegAcknowledged.
DEEPDEBUG | MessageSendError fired | È stato generato un evento MessageSendError.
DEEPDEBUG | MessageSent fired | È stato generato un evento MessageSent.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Per il progetto [nome] è stato avviato il watchdog Timeout.
DEEPDEBUG | Messaging-Queue is being saved. | Verrà salvata l´attuale coda messaggi (Message-Queue).
DEEPDEBUG | Project %s signed off. | Viene cancellata la registrazione presso il Message Control.
DEEPDEBUG | Project %s signed on. | Il progetto viene registrato presso il Message Control.
DEEPDEBUG | SB state: %s(%u) | Stato Server-Standby: %s (%d).
DEEPDEBUG | Sending added notification for message %s to SB. | È stato creato l´oggetto del messaggio con GUID [numero]. Il "nuovo" oggetto viene inviato anche al Server-Standby.
DEEPDEBUG | Sending changed notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è cambiato; il "nuovo" oggetto viene inviato al Server-Standby.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Viene inviato un telegramma MessageControl-StateChange al Server-Standby.
DEEPDEBUG | Sending remove notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è stato cancellato; un remove telegram viene inviato al Server-Standby.
DEEPDEBUG | Switch to server:%s | L´istanza attuale viene settata come server.
DEEPDEBUG | Switch to standby:%s | L´istanza attuale viene resettata come Server-Standby.
DEEPDEBUG | The message %s is added to the Queue. | Il messaggio con il Guid [numero] è stato inserito nella coda messaggi.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Il messaggio con Guid [numero] è stato eleminato dalla coda messaggi.


MSG

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Messaggi vari -> MSG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG-Level MSG & MSG

Livello | Inserimento | Descrizione
logLe_MSG | Logging on to default mapi profile %s | Quando non è stato selezionato nessun profilo, il tipo di invio individua il primo profilo e con esso effettua il loggin.
MSG | Logging off of MAPI profile %s. | Logout da profilo [Nome].
MSG | Logging on to mapi profile %s | Login su profilo [Nome].
MSG | MessageControl has been activated. | Il Message Control verrà attivato.
MSG | MessageControl has been deactivated. | Il Message Control è stato disattivato.
MSG | Selected dispatcher '%s' is busy->try again... | Il tipo di invio selezionato [tipo] è occupato: si tenterà di nuovo di inviare il messaggio più tardi.
MSG | The incoming message for %s contains the correct Ack-Code. | Il messaggio in arrivo [ID] contiene un codice PIN valido per la conferma del messaggio.
MSG | The incoming message for %s contains the correct NegAck-Code. | Il messaggio in arrivo [ID] contiene un codice NA valido per il rifiuto del messaggio.
MSG | The incoming message for %s does not contain a valid code. | Il messaggio in arrivo [ID] non contiene nessun codicen valido.


Warnings

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Messaggi vari -> Warnings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Warnings

Livello

Inserimento

Descrizione

WARNINGS

A Send-Message function was executed for a Group which does not contain any Message Control users!

È stata eseguita una funzione "invia messaggio" per un gruppo vuoto, oppure che non contiene nessun utente attivato per il Message Control.

WARNINGS

Index exceeded 99999, starting from 0.

Indice massimo per il nome file raggiunto, si ripartirà da 0.

WARNINGS

TAPI returned [numero] available devices.

Numero dei modem contattabili via TAPI.

Questo messaggio viene generato nei Log quando vengono individuati da zenon gli apparecchi disponibili. Questo indica quali apparecchi sono contattabili dall´OS via TAPI.

WARNINGS

Not all required modes are supported: LINEBEARERMODE_VOICE:[ModemID],LINEMEDIAMODE_AUTOMATEDVOICE:[Modem ID],LINEFEATURE_MAKECALL:[Modem ID]-> the device [Modemname] can't be used!

Dopo che il sistema ha determinato il numero degli apparecchi TAPI, questi ultimi vengono filtrati sulla base dei modes necessari.

Nota: se un dispositivo non supporta una delle modalità necessarie, questo modem non sarà visualizzato. Questo inserimento Log indica in modo chiaro quale modalità non è disponibile.


E-Mail per SMTP/POP

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> E-Mail per SMTP/POP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista di questi inserimenti LOG è organizzata in ordine alfabetico per livelli e inserimenti.

  • Debug
  • Error
  • Warning

Ancora in questo capitolo

Debug

Error

E-Mail per SMTP/POP - Warning


Debug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> E-Mail per SMTP/POP -> Debug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Livello | Inserimento | Descrizione
DEBUG | Attaching to current call. | Aggancia alla chiamata attiva.
DEBUG | Connected | E' stata stabilita una connessione.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Il tentativo di inviare al computer che che gestisce il processo un Delete-Request-Telegramm è fallito.
DEBUG | Current Message %Nachricht Inhalt% | Il messaggio attuale (contenuto, impostazioni ecc.) verrà tracciato (registrato) nei Log.
DEBUG | File alignment request could not be send to mainstation. | Il tentativo di inviare una richiesta di sincronizzazione al computer che gestisce il processo è fallito.
DEBUG | Invalid code '%s' entered. | È stato inserito un codice non valido.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Il messaggio all´utente [nome] è stato trasferito con successo nell´outbox di Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | E' stata ricevuta una Delete-Response: [numero] messaggi sono stati cancellati dalla coda (Queue).
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | E' stata raggiunta la fine del gruppo utenti [nome], l´invio messaggio viene interrotto.
DEBUG | Requesting File alignment from mainstation. | Verrà inviata una richiesta di sincronizzazione al computer che gestisce il processo.
DEBUG | Send SMS to Benutzer %s. | È stato mandato un SMS all´utente [indirizzo].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Viene preparato un messaggio per l´utente [Nome] e [inviato] all´indirizzo.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Viene inviata una Delete-Request per [numero] messaggi al computer che gestisce il processo.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS all´utente [indirizzo] è stato trasferito nell´outbox.
DEBUG | The #-sign was entered: Repeating the last message. | E' stato inserito un #: verrà ripetuto l´ultimo messaggio.
DEBUG | The *-sign was entered: Clearing the current key. | È stato inserito un *, il codice attuale inserito verrà resettato.
DEBUG | The current call be terminated now. | La chiamata attiva verrà terminata.
DEBUG | The is no call in progress, nothing to terminate. | Non c´è nessuna chiamata attiva, perciò nulla da terminare.
DEBUG | The line %s has been closed. | La linea [] è stata chiusa con successo.
DEBUG | The line %s has been opened. | La linea [] è stata aperta con successo.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Il messaggio [ID] dovrebbe essere già stato confermato, elaborazione TimeOut.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Il messaggio [ID] dovrebbe essere già stato inviato, elaborazione TimeOut.
DEBUG | The Message %s was NOT successfully sent to %s! | Non è stato possibile inviare il messaggio [ID] a [destinatario].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Non è stato possibile inviare il messaggio [ID] a [destinatario]; il messaggio verrà inviato di nuovo.
DEBUG | The Message %s was successfully sent to %s! | Il messaggio [ID] è stato inviato con successo a [destinatario].
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | Il prossimo utente [nome] del gruppo [nome] verrà avvertito; il precedente era l´utente [nome].
DEBUG | The sending of message %s was completed. | Il processo di invio del messaggio [ID] è stato completato.
DEBUG | Valid Acknowlegde-code entered. | È stato inserito un codice PIN valido per confermare il messaggio.
DEBUG | Valid NegAcknowlegde-code entered. | È stato inserito un codice NA valido per rifiutare il messaggio.


Error

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> E-Mail per SMTP/POP -> Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error

Livello | Inserimento | Descrizione
Error | [SMTP / POP3] not connected | Il sistema ha provato a inviare dei dati al server di posta in uscita, oppure ha tentato di acquisire dati dal server di posta in entrata, nonostante non ci sia una connessione funzionante con il server.
Error | Creating Connection failed. Errorcode: [Code] | Non è stato possibile creare l´oggetto per una connessione (sia criptata che non).
Error | Creating SSL/TLS Method failed. Errorcode: [Code] | Non è stato possibile creare il metodo SSL/TLS necessario per stabilire una connessione criptata.
Error | No Destination E-Mail-Address specified | Non è stato indicato nessun indirizzo per una E-Mail in uscita.
Error | Opening Connection failed. Errorcode: [Code] | Impossibile creare una connessione (sia criptata che non).
Error | Reading SSL Structure failed. Errorcode: [Code] | Impossibile leggere la struttura SSL/TLS di una connessione criptata.
Error | SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN | Deve essere usata l´autenticazione SMTP; il server, però, non ha inserito nella risposta EHLO i comandi necessari nella lista dei comandi di estensione supportati. (AUTH LOGIN e AUTH PLAIN, quest’ultimo è implementazione minima secondo l’RFC 2554.)
Error | The Server did not respond an OK Code to HELO. Response: [Risposta del server SMTP] | Il server di posta in uscita non ha risposto né al comando EHLO, né al comando HELO con un messaggio di OK. (La risposta verrà aggiunta al messaggio LOG.) Il server viene considerato non raggiungibile.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Risposta del server SMTP] | Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH LOGIN, oppure il nome utente corrispondente. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Risposta del server SMTP] | Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH PLAIN. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send an OK-Response to the AUTH LOGIN password data: [Risposta del server SMTP] | Il server SMTP non ha confermato i dati relativi alla password AUTH LOGIN con OK. Il Login non è riuscito.
Error | The Server did not send an OK-Response to the AUTH PLAIN data: [Risposta del server SMTP] | Il server SMTP non ha confermato i dati AUTH PLAIN con OK. Il Login è fallito. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send an OK-Response to the MAIL command: [Risposta del server SMTP] | Il server di posta in uscita non ha confermato con OK il comando MAIL (inviare una nuova E-Mail). (La risposta verrà aggiunta al messaggio LOG.)


E-Mail per SMTP/POP - Warning

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> E-Mail per SMTP/POP -> E-Mail per SMTP/POP - Warning

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Warning

Livello | Inserimento | Descrizione
WARNING | No Subject for the E-Mail specified | Non è stato indicato nessun oggetto per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza oggetto potrebbe essere bloccata da un filtro Spam.
WARNING | No Text for the E-Mail specified | Non è stato inserito nessun testo per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza testo potrebbe essere bloccata da un filtro Spam.
WARNING | The Server did not respond an OK Code to EHLO. Response: [Risposta del server SMTP] | Il server di posta in uscita ha risposto con un codice di errore al comando EHLO (la risposta è contenuta nel messaggio LOG). Il server SMTP non supporta nessuna estensione. Le estensioni vengono utlizzate nell´autenticazione SMTP. Non si tratta di un errore, dato che l´autenticazione SMTP non deve essere utilizzata e dato che le funzioni interessate eseguono a loro volta un procedimento di rilevamento degli errori.


Voice over IP

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Voice over IP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti LOG per VoIP:

Errors

Livello

Inserimento

Descrizione

ERRORS

VoIP:Error in VoIP connection '%s'

Messaggio di errore dalla libreria per la connessione.

  • % viene sostituito dal testo codice corrente per lo stato SIP, o da un testo di errore specifico.
    Ad esempio: VoIP:Error in VoIP connection 'User not found'.

ERRORS

VoIP:Error during hardware initialization

Si è verificato un errore al momento dell´inizializzazione dell´hardware.

ERRORS

VoIP:Error when trying to make a call

Si è verificato un errore mentre era in corso il tentativo di eseguire una chiamata Voice over IP.


SMS

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> SMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error

Livello

Inserimento

Descrizione

ERROR

[Numero di telefono] is not a valid SMSC telephone number!

Il numero di telefono della Short Message Service Center non è corretto. Il codice del paese (00xy oppure +xy) è stato inserito correttamente?

Il controllo riguarda solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso, oppure se è veramente quello di uno Short Message Service Center!

ERROR

[Numero di telefono] is not a valid telephone number!

Il numero di telefono del destinatario è errato. Il controllo riguarda solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso!

ERROR

Error on opening the port [COM-Port]: [Numero di errore in HEX]

Non è stato possibile aprire la porta seriale indicata. È possibile consultare la documentazione MSDN per trovare il numero di errore indicato e per avere delle indicazioni sulle possibili ragioni che hanno causato l´errore.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Numero di errore in HEX]

Non è stato possibile configurare la porta COM indicata. Vengono configurati state, timeout e buffer. Si può consultare la documentazione MSDN per trovare il numero di errore indicato.

ERROR

The total input buffer ([Numero] bytes) is too small for the [Numero] bytes received from the modem.

Il buffer di entrata è troppo piccolo per poter ricevere tutti i dati inviati dal modem. Il buffer di entrata viene impostato con una dimensione di 12 KB. Per ricevere un SMS della massima grandezza sono necessari circa 400 byte. Se all´interno di un intervallo di polling (vedi sotto) arrivano più di 12 KB di dati SMS, si verificherà l´errore menzionato.

ERROR

The modem returned an error to the [AT-Comando] command: [Segnalazione die errore]

Il modem ha risposto a un comando AT con un messaggio di errore. Questo verrà aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

Se è necessaria un´autenticazione mediante un codice PIN, quest´ultimo viene trasmesso con il comando AT+CPIN. Se si inserisce un codice errato, il modem risponderà a questa richiesta con un errore.

ERROR

The modem did not respond to the [Comandi AT] command.

Durante l´attesa alla risposta del modem a un comando AT si è verificato un timeout.

ERROR

The modem did not switch in SMS PDU mode.

Il modem ha confermato con OK il comando AT di attivazione della modalità SMS-PDU, ma non ha effettivamente attivato la modalità.

ERROR

The modem did not apply the SMSC telephone number.

Il modem ha confermato con OK il comando AT di impostazione del numero di telefono dello Short Message Service Center, ma non ha salvato il numero stesso come Short Message Service Center.

ERROR

Error: not connected

Si è tentato di inviare, ricevere o cancellare un SMS e non è stato possibile stabilire prima nessuna connessione con il modem.

ERROR

The modem returned an error to the transmission of the PDU: [Errore]

Il modem ha risposto alla trasmissione di un SMS-PDU con un messaggio di errore. Questo verrà aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

ERROR

The modem did not respond to transmission of the PDU.

Durante l´attesa alla risposta del modem alla trasmissione di un SMS-PDU si è verificato un timeout.

ERROR

Error on writing data: [Numero di errore in HEX]

Si è verificato un errore durante l´invio di dati attraverso una porta seriale. Si può consultare la documentazione MSDN per trovare il numero di errore.

ERROR

Not all bytes have been sent.

Nonostante la funzione di invio di dati tramite la porta seriale non abbia rilevato nessun errore, non sono stati inviati tutti i dati.

ERROR

Error on reading data: [Numero di errore in HEX]

Si è verificato un errore durante la ricezione di dati attraverso una porta seriale. Si può consultare la documentazione MSDN per trovare il numero di errore.

ERROR

The source SMSC telephone number [Numero di telefono] contains the not supported character [Carattere]

Il numero di telefono dello Short Message Service Center del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non supportato.

ERROR

The source telephone number [Numero di telefono] contains the not supported character [Carattere]

Il numero di telefono del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non supportato.

ERROR

The syntax of the timestamp [Data e ora] is incorrect.

L´ora/data della rete GSM ricevuta al momento della ricezione dell´SMS non corrisponde al formato previsto.

ERROR

The byte [Byte come HEX] could not be converted.

Non è stato possibile convertire un byte contenuto nel PDU, da una stringa HEX (esadecimale) in un numero.

ERROR

Insufficient buffer to convert SMS text [Testo]

Il buffer per la conversione di SMS in uscita (12 KB di 6144 caratteri) non è sufficiente.

ERROR

The format flag [Byte come HEX] is not supported.

La formattazione di un SMS in entrata non è supportata.

ERROR

Could not convert [Byte come HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Byte come HEX], Extensionlanguage [Byte come HEX]

Non è stato possibile convertire Byte come HEX dall´alfabeto GMS 7-bit. La tabella base alphabet e la tabella estesa vengono aggiunte come Language Identifier (vedi standard 3GPP TS 23.038 V10.0.0 (2011-03).

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Un SMS è arrivato in più parti; le singole parti usano diversi alfabeti. Le informazioni sugli alfabeti necessarie per la conversione, però, non sono complete.

ERROR

The input byte stream is not a valid unicode text.

Un messaggio Unicode ricevuto non contiene un testo valido (cioè con un numero pari di byte, visto che nel caso di Unicode sono necessari 2 byte per carattere).

ERROR

Insufficient Buffer to decode PDU

Durante la decodifica di una PDU, il buffer da 12 KB si è rivelato troppo piccolo.

ERROR

The PDU is not a valid byte stream.

Una PDU ricevuta non è un hexdump valido di un byte-stream.

ERROR

The PDU length does not match the SMS text length

Il numero di byte contenuti in una PDU ricevuta non corrisponde alla lunghezza specificata nei dati di controllo degli SMS.

ERROR

The Modem requests the PUK.

Il modem richiede per l´autenticazione il Personal Unlock Key (PUK). Quest´ultimo, però, non viene utilizzato dal Message Control; per questo motivo, il processo di connessione con il modem verrà interrotto a causa di un errore. Se si è inserito più volte il codice PIN sbagliato, la scheda SIM del modem richiede di effettuare l´autenticazione inserendo il codice PUK, dopodiché si dovrà procedere a definire un nuovo PIN.

Attenzione: inserimenti del PUK sbagliato possono rendere inutilizzabile la scheda SIM!

ERROR

The Modem responded with an unknown PIN Status: [Risposta del modem]

La richiesta dello stato PIN del modem ha avuto un risultato inatteso. La risposta del modem alla richiesta riguardante lo stato PIN verrà aggiunta al messaggio di LOG.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Il modem richiede un´autenticazione con un codice PIN, ma l´utente non ne ha inserito nessuno.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Nonostante la trasmissione del codice PIN sia stata confermata con OK dal modem, lo stato PIN del modem non è stato settato su "READY" (non è più necessario inserire il PIN ). La risposta del modem alla richiesta concernente lo stato PIN viene aggiunta al messaggio di LOG.

DEBUG

Port [COM-Port] opened successfully

La porta seriale del modem indicata è stata aperta con successo.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Numero di telefono]

Il modem è stato configurato con successo per la modalità SMS-PDU e il numero di telefono indicato dello Short Message Service Center .

DEBUG

Connection to modem closed.

Il collegamento con il modem e l´interfaccia seriale è stato chiuso.

DEBUG

SMS successfully sent to [Numero di telefono]

Un SMS è stato inviato con successo al numero di telefono indicato.

DEBUG

Successfully received SMS from [Numero di telefono]

Un SMS è stato ricevuto con successo dal numero di telefono indicato.

DEBUG

The Modem does not need a PIN.

Il modem non richiede un´autenticazione PIN.

DEBUG

Authentication with the PIN succeeded.

L´autenticazione con il codice PIN configurato ha avuto successo.


Inserimenti LOG - OpenSSL Library

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti nei LOG. -> Inserimenti LOG - OpenSSL Library

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errorcodes e gli errormessages dalla OpenSSL Library in formato „Errorcode: [Code]. Errormessage: [String]".

Le risposte del server hanno la seguente struttura:

  • le risposte del server POP3 iniziano con "OK" solamente se non ci sono degli errori.
  • le risposte del server SMTP iniziano con un codice di stato di tre cifre:
    • 2xx = OK
    • 3xx = attendo i dati
    • 4x e 5 xx = errore

Messaggi di errore nel Diagnosis Viewer.

Livello

Inserimento

Descrizione

ERROR

No Destination E-Mail-Address specified

Non è stato indicato nessun indirizzo per una E-Mail in uscita.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare il metodo SSL/TLS necessario per stabilire una connessione criptata.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare l´oggetto per una connessione (sia criptata che non).

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

Impossibile leggere la struttura SSL / TLS di una connessione criptata.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare una connessione (sia criptata che non).

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Il server di posta in uscita non ha risposto né al comando EHLO, né al comando HELO con un messaggio di OK (la risposta verrà aggiunta al messaggio di LOG). Il server viene considerato non raggiungibile.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH LOGIN, oppure il nome utente corrispondente. La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [Risposta del server SMTP]

Il server SMTP non ha confermato i dati relativi alla password AUTH LOGIN con OK. Il Login non è riuscito.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH PLAIN. La risposta verrà aggiunta al messaggio LOG.

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [Risposta del server SMTP]

Il server SMTP non ha confermato i dati AUTH PLAIN con OK. Il Login è fallito. La risposta verrà aggiunta al messaggio LOG.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

Deve essere usata l´autenticazione SMTP; il server, però, non ha inserito nella risposta EHLO i comandi necessari nella lista dei comandi di estensione supportati.

I comandi seguenti sono necessari: AUTH LOGIN e AUTH PLAIN, quest’ultimo è implementazione minima secondo l’RFC 2554.

ERROR

[SMTP / POP3] not connected

Il sistema ha provato a inviare dei dati al server di posta in uscita, oppure ha tentato di acquisire dei dati dal server di posta in entrata, nonostante non ci sia una connessione funzionante con il server.

ERROR

The Server did not send an OK-Response to the MAIL command: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK il comando MAIL (inviare una nuova E-Mail). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Response to the RCPT command: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK il comando RCPT (aggiungi un destinatario). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando DATA (dati Mail vengono trasmessi). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK i dati Mail inviati. La risposta verrà aggiunta al messaggio LOG.

ERROR

APOP Authentication is required but the Server did not send APOP Data

Per effettuare il Login sul server di posta in entrata deve essere usato il comando APOP; il server di posta in entrata, però, non ha fornita i dati necessari.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare il MD5-Hash per l´autenticazione APOP.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [Risposta del server POP3]

Il server di posta in entrata non ha confermato un comando con OK. La risposta verrà aggiunta al messaggio LOG.

Possono essere interessati i seguenti comandi: APOP, USER, PASS, STAT, RETR, DELE.

Nota: se nel comando DELE è contenuta ancora l´indicazione "Could not delete Mail", significa che è stata ricevuta una E-Mail, ma non è stato possibile cancellarla. Dato che la E-Mail è stata ricevuta con successo, verrà inoltrata al Message Control.

ERROR

The OK-Response to the STAT command did not have the expected Format: [Risposta del server POP3]

La risposta del server di posta in entrata al comando STAT non corrispondeva alla definizione formato secondo RFC 1939.

Formato: OK<spazio vuoto>[numero delle Mail nella casella di posta elettronica]<spazio vuoto>[dimensione complessiva di tutte le Mail nella casella di posta elettronica in bytes]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

Impossibile l´invio e la ricezione di dati tramite una connessione di rete OpenSSL.


MS Azure

Manuale -> MS Azure

MS Azure è il nome della piattaforma online su cui è possibile prendere a noleggio servizi cloud (Microsoft Azure Cloud). È possibile usarla anche per zenon e zenon Analyzer.

Tipi di memoria del bus di servizio MS Azure

La connessione può essere stabilita con una Queue, oppure un Event Hub:

  • MS Azure Queues:
    • Process Gateway: In una MS Azure Queue, i dati vengono scritti nella memoria nella successione del loro arrivo. La Queue viene poi vuotata al momento della lettura e in conformità delle impostazioni eseguite in fase di configurazione. I dati finiscono sempre in una determinata Queue, da cui potranno poi essere riletti.
      Se non c´è una connessione a Internet quando è in corso il processo di scrittura, non verrà scritto nessun dato. I dati non verranno neanche memorizzati in una cache, o inseriti in un secondo momento
      Se non c´è una connessione a Internet quando è in corso il processo di lettura dei dati, il sistema non lo segnalerà con un messaggio di avviso corrispondente. Non appena sarà ristabilita la connessione a Internet, verranno letti tutti i dati contenuti nella Queue e poi verrà aggiornata la visualizzazione.
    • SQL Export: I dati vengono scritti nella coda di archiviazione. Il servizio basato su cloud Archive Worker scrive i dati in un database-SQL basato su cloud. Se non c´è una connessione a Internet, i dati verranno salvati temporaneamente nella cartella Runtime locale; non appena sarà ristabilita la connessione, i dati verranno caricati nel primo ciclo di esportazione.
  • MS Azure Event Hub:
    Un MS Azure Event Hub scrive i dati ricevuti suddividendoli in partizioni (al massimo 16). Questo metodo è più veloce di quello consistente nello scrivere in una Queue. Tramite il Process Gateway, zenon può scrivere dati in un MS Azure Event Hub, ma non li può leggere.

Uso in zenon

In zenon, MS Azure serve:

  • Salvataggio dati in un database SQL:
    Gli archivi di zenon possono essere trasferiti anche a MS Azure tramite esportazione SQL .
  • Scambio dati fra diverse postazioni:
    Usando il Process Gateway, è possibile scrivere variabili in MS Azure Queues.
    Queste variabili potranno essere poi rilette usando il driver di zenon AzureDrv. E non è necessario configurare nel firewall nessuna porta extra per i dati in entrata.
  • Luogo di salvataggio di dati accessibili per applicazioni di terzi:
    Il Process Gateway di zenon può scrivere dati anche inMS Azure Event Hubs. Questi dati saranno così accessibili per altre applicazioni. Tuttavia, zenon non li potrà rileggere.

Uso in zenon Analyzer

Nello zenon Analyzer, un database-SQL MS Azure può essere usato come Linked Server.

Ancora in questo capitolo

Configurazione di MS Azure

Configurazione in zenon

Esportazione SQL di archivi

Salvare e rileggere dati

zenon Analyzer - Linked MS Azure Server


Configurazione di MS Azure

Manuale -> MS Azure -> Configurazione di MS Azure

La configurazione dipende dal tipo di uso che si fa di MS Azure in zenon.

MS Azure

In questa parte della guida sono contenute le informazioni relative ai passaggi del processo di configurazione in MS Azure quando lo si usa in combinazione con zenon. Per avere informazioni sulla configurazione generale di MS Azure e sulle banche dati in MS Azure, si prega di consultare la documentazione Microsoft relativa a MS Azure.

A seconda dell´uso che se ne vuole fare in combinazione con zenon, si ha bisogno in MS Azure di quanto segue:

  • MS Azure SQL Server
  • Una banca dati assegnata.
  • Il nome server e la Connection String del database.
  • Il Namespace con
    • Queues
      oppure
    • Event Hubs
  • il servizio cloud Archive Worker

Gli archivi di zenon possono essere esportati a MS Azure e poi riletti. Il processo di lettura può avvenire anche tramite lo zenon Analyzer.
Per spostare degli archivi e per rileggerli:

  1. Creare in MS Azure un server SQL e un corrispondente database nel quale devono essere salvati i dati esportati.

  2. Assicurarsi che il Public IP del computer che ha accesso al database sia contenuto nella lista degli Allowed IP Adresses del server.

  3. Nelle opzioni della banca dati appena creata si trova la possibilità di copiare la Connection String.
    Per farlo, cliccare su View SQL Database connection strings.

    Di questa Connection String si avrà bisogno più tardi per il file di configurazione ServiceConfiguration.Cloud.cscfg.
    zenon ha bisogno dellaADO.NET Connection String.

  4. Creare e configurare nel menù Service Bus un nuovo Namespace.
    Abbiamo bisogno del tipo Messaging. Questa impostazione non potrà più essere cambiata in seguito.
    Si possono creare poi ulteriori Shared Access Keys.
    Di questa Connection String si avrà bisogno più tardi per il file di configurazione ServiceConfiguration.Cloud.cscfg.

    Nota: Assicurarsi che ogni computer che scrive nella Queue disponga di diritti di scrittura.

  5. Configurare le Access Keys.
    Di questo Storage Account Name e della Access Key si avrà bisogno più tardi per il file di configurazione ServiceConfiguration.Cloud.cscfg.

  6. Creare un nuovo servizio cloud.
    Nel corso di questo processo viene creato l´Archive Worker.
    I file necessari si trovano nella cartella %ProgramData%\COPA-DATA\zenon7.60\CloudService.

  7. Creare la Queue desiderata o l´Event Hub desiderato.

    Se si vuole esportare un archivio di zenon, questa Queue deve avere il nome archivequeue. Questa viene creata automaticamente con l´Archive Worker.
    Raccomandazione: per configurare l´esportazione SQL di zenon si consiglia di usare l´apposito Package di zenon (vedi sezione Esportare archivi SQL).


Configurazione in zenon

Manuale -> MS Azure -> Configurazione in zenon

La configurazione in zenon oppure nello zenon Analyzer dipende dal compito che MS Azure deve svolgere:

  • Esportazione SQL di archivi: Gli archivi di zenon vengono esportati mediante SQL in MS Azure.
  • Salvare e rileggere dati: Usando il Process Gateway di zenon, le variabili sono salvate in MS Azure in una Queue, oppure in un Event Hub. I dati di una Queue vengono riletti in zenon usando il driver zenon AzureDrv.

In zenon, per configurare MS Azure si ha bisogno in linea generale delle seguenti informazioni:

  • Connection String (Nome connessione del server)
  • Nome di Queue o Event Hub
  • Password

Nota: assicurarsi che le porte necessarie siano accessibili nel firewall.
Standard: 1433


Esportazione SQL di archivi

Manuale -> MS Azure -> Esportazione SQL di archivi

Nel supporto di installazione di zenon è contenuto un pacchetto che aiuta nella configurazione dell`esportazione degli archivi.
Percorso: %ProgramData%\COPA-DATA\zenon7.60\CloudService

Questo contiene i file:

  • AzureArchiveCloudService.cspkg (pacchetto)
  • ServiceConfiguration.Cloud.cscfg (File di configurazione)

Configurazione:

  • Sul server MS Azure ci deve essere nel Namespace una Queue con il nome archivequeue.
  • Nel file di configurazione di zenon devono essere eseguiti i seguenti inserimenti:
    • Percorso per il Service Bus (Connection String) in cui viene creata automaticamente l´Archive Queue.
    • Connection String per il database-SQL in Azure
      Attenzione: si deve indicare una password.
    • ArchiveStorage e Diagnostics: Connection String per un Table Storage in MS Azure.
      Possono accedere allo stesso Table Storage.
  • Configurazione dell´esportazione SQL in zenon
    • Scheda Salva delle Proprietà archivio:

      Scrivere: la Connection Strings per il MS Azure Service Bus nel campo di inserimento dell´opzione Utilizza servizio MS Azure bus per la scrittura.

      Leggere: Creare la connessione con la banca dati MS Azure tramite l´opzione Database SQL.

Ancora in questo capitolo

Esportazione SQL in zenon


Esportazione SQL in zenon

Manuale -> MS Azure -> Esportazione SQL di archivi -> Esportazione SQL in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, per il dislocamento di un archivio, si attiva l´opzione Usa service bus MS Azure per scrivere, tutti i valori d´archivio verranno aggiunti alla Azure Service Bus Queue con il nome archivequeue. Ciò deve esistere in MS Azure-Namespace delle connessione configurata.. Il nome di connessione MS Azure va inserito nel campo che si trova sotto l´opzione.

Configurazione

In MS Azure deve essere attiva perlomeno un´istanza di un AzureZenonArchiveWorker cloud service, che riceva i valori d´archivio dalla coda con il nome archivequeue e li aggiunga nell' MS Azure SQL-Storage. Il formato tabelle corrisponde a quello del classico dislocamento SQL di un archivio.

Il servizio cloud deve essere creato manualmente con il deploymentpackage AzureArchiveCloudService.cspkg, tramite l´interfaccia di configurazione MS Azure. . Trovate il pacchetto nella cartella %ProgramData%\COPA-DATA\zenon7.60\CloudServices.

Impostazioni:

  • Zenon.ArchiveServiceBus.ConnectionString: Corrisponde al nome di connessione MS Azure inella configurazione archivio.
  • Zenon.ArchiveSQLServer.ConnectionString: Indica il nome di connessione per la destinazione MS Azure SQL-Storage.
  • Ambiente: Produzione
  • Distribuire anche se uno o più ruoli contengono una singola istanza: attivare.
  • Avvia distribuzione: attivare.

Procedura

La lettura dei dati d'archivio avviene via connessione OLEDB e SQL SELECT statement. Il nome connessione OLEDB mostra, di regola, la stessa banca dati MS Azure SQL di quella dell´output connection name (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


Salvare e rileggere dati

Manuale -> MS Azure -> Salvare e rileggere dati

I dati, per esempio, possono essere condivisi fra diverse postazioni usando il MS Service Bus. A questo scopo, vengono caricati usando il Process Gateway di zenon e poi scaricati con il driver AzureDRv. Un vantaggio di questa procedura è che, per scaricare i dati, non è necessario configurare nessuna eccezione nel firewall. È inoltre possibile rendere accessibili dati ad applicazioni di terzi.

Sono possibili due impostazioni per la destinazione nel Namespace:

  • Queue: i dati possono essere salvati nella Queue e riletti dalla stessa.
  • Event Hub: i dati vengono salvati a beneficio di applicazioni di terzi. Tuttavia non potranno più essere riletti da zenon o dallo zenon Analyzer.

Ancora in questo capitolo

Process Gateway: salvare dati in MS Azure

zenon AzureDrv Treiber: Leggere dati da MS Azure


Process Gateway: salvare dati in MS Azure

Manuale -> MS Azure -> Salvare e rileggere dati -> Process Gateway: salvare dati in MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando il modulo AccessAzure nel Process Gateway, si possono caricare dati a Runtime in MS Azure.

La AccessAzure.dll scrive valori di variabili del Runtime in una coda del bus di servizio di MS Azure (Queue) oppure in unEvent Hub. I dati della coda (Queue) possono essere poi acquisiti da MS Azure tramite il driver AzureDrv e integrati in processi di zenon. I dati di un Hub di eventi (Event Hub) servono per applicazioni di terzi e non possono più essere letti da zenon.

Il Process Gateway stabilisce ciclicamente una connessione con MS Azure e scrive messaggi nella coda (Queue) del bus di servizio, oppure nel´Hub di eventi (Event Hub).

Per leggere i valori dalla Servicebus Queue, il driver AzureDrv instaura una connessione con la coda (Queue) del bus di servizio con il nome configurato e acquisisce tutti i messaggi in essa contenuti. Questi messaggi vengono decompressi ed i valori online in essi contenuti vengono assegnati alle variabili. La chiave utilizzata è il Indirizzo simbolico.
Tutti i messaggi già presenti nella coda quando il primo tentativo di connessione viene portato a termine con successo, vengono caricati e ignorati. Vengono visualizzati sempre solo i valori attuali.

Questo significa: ogni istanza driver su ogni computer ha la propria Queue come canale di entrata.
Esempio: in MS Azure, la Queue del bus di servizio per il computer MYSERVER1 e per il prefisso configurato onlinedata si chiamerà: onlinedata_myserver1.

Sono supportati valori numerici (DOUBLE) e alfanumerici (STRING). Il time-stamp e i bit di stato di sistema vengono trasferiti alla variabile di destinazione.

info Info

I dettagli relativi alla configurazione e ai formati si trovano nel capitolo della guida dedicato al Process Gateway, nella sezione MS Azure.

Configurazione nel Process Gateway

Configuration dialog for MS Azure connection via Process Gateway.

Variables

In the Variables group, you configure the variables whose values are saved by zenon in an MS Azure Service Bus.

Parameter

Description

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

Projects

List of all available projects.
The standard project is marked with a *.

Variables

List of all variables of the selected project.

List can be sorted; multiple selection is possible.

Hint: Double clicking on the variable moves it.

Button >

Selected variables from the list of variables are moved to the Exported into MS Azure list.

Button <

Selected variables are removed from the Exported into MS Azure list.

Exported into MS Azure

List of the variables that are written to the MS Azure Service Bus by the Process Gateway.

Naming:

  • Project name
  • # (as separator)
  • Variable name.

The key for the values in MS Azure is always PROJECTNAME#VARIABLENAME.

Hint: Double clicking on the variable moves it.

MS Azure Connections

All target connections in which the current values of the selected variable are to be inserted in MS Azure are to be entered into the MS Azure Connections group.

In doing so, the current variable values are added to the connection created in All at the same time.

Parameter

Description

List of MS Azure connections

Lists all connections to MS Azure configured. Each connection consists of the connection name (MS Azure Connection) and the Service Bus Queue Namen.

  • Creation of a new connection with the button New...
  • A selected connection can be amended with the Edit... button.

MS Azure Connection

MS Azure Connection address

Service Bus Queue name

Name of the queue in the MS Azure service bus.

New...

Opens dialog to configure the MS Azure connection.

Edit...

Opens existing connections to configure the MS Azure connection.

Delete

Deletes the selected MS Azure connection from the list.

MS Azure settings

Parameter

Description

Integrity period

Time interval in which the current values of the selected variables are written as an image to the MS Azure Service Bus queue.

If the value of a variable changes during this this interval, the value change is immediately transferred to the MS Azure queue.
Default: 5 s

HTTP Proxy Domain

Address of the proxy server in the network.

HTTP Proxy User

Input field of the user name for login on the proxy server.

HTTP Proxy Password

Input field for password for login on the proxy server.
Note: Input is shown with dots - even during entry.

Confirm HTTP Proxy Password

Input field for the confirmation of the password for login on the proxy server.

Note: Input is shown with dots - even during entry.

Navigation

Parameter | Description
OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Dialog in the event of incorrect entries

Configurations of the proxy server are validated. A corresponding warning dialog is shown in the event of an incorrect configuration.

attention Attenzione

.NET 4.5 must be installed on the computer in order for the proxy settings to work.

Configurazione della connessione ad una Queue o ad un Event Hub

Nella finestra di dialogo di configurazione della connessione si stabilisce se la connessione stessa deve essere stabilita con unaQueue o con un Event Hub, e come avviene l´indirizzamento.

Configuration dialog for the connection to MS Azure:

Parameter

Description

MS Azure Connection

MS Azure Connection address

Note: You can read and copy this address in the Azure administration portal under Manage Connection Strings of the desired Servicebus Namespace.

Service Bus Queue / Event Hub Name

Name of the MS Azure Service Bus queue or the Event Hub. Selection by means of radio buttons.

Note: Only characters that appear in the name of an MS Azure Service Bus Queue or in an Event Hub are permitted. Use simple, short and meaningful names. Avoid special characters, language-specific letters and blank spaces.

Service Bus Queue

The name of the Service Bus Queue comprises:

  • A freely-configurable prefix
  • An underscore (_)
  • The NETBIOS computer name (without domain name suffix) in small lettering

If the name does not yet exist in the Namespace a Queue with this name is created.
Requirement: The corresponding rights are present.

Event Hub

  • Message format: Select in the drop-down list in the Format option.
  • Event Hub Name: Name of the Event Hubs in the MS Azure Service Bus
    The Event Hub must already be created with this name in the Namespace.

Queue
  • Active: The connection is established using the name of the Service Bus Queue.

Event Hub
  • Active: The connection is established using the name of the Event Hub . Selection of the message format using the Format option.

IoT Hub
  • Active: Sending of actual values and the receipt of messages via MS Azure.
    Entry of the device connection string in the MS Azure Connection input field.

Format

Message format for connection via Event Hub.
Select from drop-down list:

  • XML
  • JSON
  • BOND (compact binary)

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

The Service Bus Queue Name can be freely configured.
This queue is automatically created in MS Azure during the first communication to MS Azure.

For each computer that calls up data from MS Azure, use the AzureDrv driver to create a separate MS Azure Connection.

IoT Hub

Actual values are sent to the IoT Hub as a message. Messages received by the IoT Hub are decoded and written to the contained value as a set value.

Content of IoT configuration

VarName | string | Variable name
IsString | Bool | Value of actual string.
NumValue | Number | Numeric value
StrValue | String | String value
Time | ISO timestamp | Timestamp
Status | Number | Status

Example for MS Azure connection entry:

{"IsString":true,"NumValue":0,"Status":1078067200,"StrValue":"sunshine","Time":"2016-12-16T06:45:39.851Z","VarName":"AZURE_TEST#Weather"}]


zenon AzureDrv Treiber: Leggere dati da MS Azure

Manuale -> MS Azure -> Salvare e rileggere dati -> zenon AzureDrv Treiber: Leggere dati da MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il driver AzureDrv acquisisce valori dal MS Azure Service Bus per consentirne l´elaborazione in zenon.

Configurazione

Configurazione della connessione al bus di servizio MS Azure:

Parametro | Descrizione
MS Azure Service Bus Connection | Inserimento del nome della connessione con il bus di servizio MS Azure Si può leggere e copiare questo nome di connessione nel portale di amministrazione di MS Azure, alla voce Manage Connection Strings del Servicebus Namespace desiderato.
Queue Name Prefix | Inserimento del prefisso del nome della Queue per cui deve essere eseguita la query a Runtime. Nota: sono consentiti solamente i caratteri ammessi per il nome di una MS Azure-Servicebus Queue.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ulteriori dettagli si trovano nel capitolo dedicato all´AzureDrv.


zenon Analyzer - Linked MS Azure Server

Manuale -> MS Azure -> zenon Analyzer - Linked MS Azure Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello zenon Analyzer possono essere elaborati dati del Linked SQL Server. Questi dati possono trovarsi anche in MS Azure.

Configurazione di un "Linked Microsoft Azure-Server":

  1. Nella finestra di dialogo per la Amministrazione del Linked Server, cliccare sul pulsante Nuovo Microsoft Azure-Server.

    Si aprirà la finestra di dialogo per configurare un server.

  2. Assegnare un nome al server.
  3. Inserire il nome istanza.
    Nota: lo trovate in Microsoft Azure.
  4. Indicare il nome del database.
  5. Inserire il nome utente per l´accesso.
  6. Inserire la password di accesso.
  7. Cliccare su OK.

    Il Linked Server viene creato e la finestra di dialogo viene chiusa.
    Poi il nuovo Linked Server viene sottoposto ad un test di connessione.
    Se questo test non ha successo, il sistema chiede se le nuove impostazioni devono essere mantenute o meno:

    • Sì: le impostazioni vengono mantenute e visualizzate nella lista.
    • No: le impostazioni vengono rifiutate e il server viene cancellato dalla lista.

info Info

Per ragioni tecniche, ogni database su un´istanza SQL Azure deve essere aggiunta come proprio Linked Server.

Configurazione della finestra di dialogo

Parametro | Descrizione
Name Linked Server | Nome del Linked Server.
Microsoft SQL Azure instance name | Nome dell´istanza MS Azure. Può essere letta da Microsoft Azure. Sintassi: [Qualsiasi sequenza di caratteri].[Database].windows.net
Database on Microsoft SQL Azure instance | Inserimento del nome della banca dati. Può essere letto da Microsoft Azure.
User name | Inserimento del nome utente.
Password | Password. Non viene visualizzata in testo normale.
Ok | Applica le impostazioni e chiude la finestra di dialogo. Poi viene eseguito un test di connessione. Se non è possibile stabilire la connessione, il sistema offre la possibilità di eliminare la configurazione. .
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Ulteriori informazioni sulLinked Server nello zenon Analyzer si trovano nel capitolo zenon Analyzer, nella sezione Gestire il Linked Server.


Multi-Touch

Manuale -> Multi-Touch

zenon consente di lavorare con gli schermi che supportano la funzionalità multi-touch usando i gesti multi-touch. Si può ricevere
un esempio di progetto rivolgendosi al proprio consulente zenon.

attention Attenzione

La gestione a due mani in multi-touch può essere realizzata usando due pulsanti: uno causa il blocco, l´altro esegue l´azione.
Perché questo sia possibile:

  • I due punti di pressione devono essere progettati ognuno in un´immagine separata.
  • Le due immagini devono essere basate ognuna su di un proprio modello.

Requisiti

Per usare la funzionalità multi-touch si consiglia di:

  • Attivare DirectX Hardware per la proprietà Aspetto grafico/Qualità grafica di zenon. Tenere presenti i requisiti minimi consigliati indicati nel capitolo Requisiti del sistema in caso di uso di DirectX.

Configurare multi-touch

Per utilizzare multi-touch:

  1. Disattivare la proprietà di progetto Progetto WindowsCE
  2. Configurare il multi-touch in:
    1. Proprietà di progetto
    2. Proprietà delle immagini
    3. Proprietà degli elementi dinamici

Configurazione nelle proprietà di progetto

Per eseguire la configurazione nelle proprietà di progetto:

  1. Passare al gruppo Interazione delle proprietà di progetto.
  2. Selezionare nel gruppo Multi-Touch, per la proprietà Analisi:
    • Windows 7: attiva
      - i gesti supportati da Windows 7, e multi-touch in VSTA
      - Multi-Touch per le funzioni di zoom e scroll nella visualizzazione globale.
    • Windows 8: attiva
      - i gesti supportati da Windows 8, e multi-touch in VSTA
      - supporto nativo multi-touch Windows 8.
  3. Selezionare le proprietà desiderate negli altri sottogruppi:
    • Visualizzazione inserimento per penna
    • Visualizzazione inserimento per touch

attention Attenzione

A partire da Windows 8, la visualizzazione dell´inserimento per tocco e per penna può essere modificata globalmente nel pannello di controllo:

  • Se la visualizzazione viene disattivata, non ci sarà nessuna visualizzazione neppure in zenon, indipendentemente da quanto è stato impostato in fase di configurazione.
  • Se si usa "Ottimizza risposta visiva per proiezione su monitor esterno"", il feedback visivo verrà ottimizzato e visualizzato sempre anche in zenon, indipendentemente dalle impostazioni eseguite nelle proprietà di progetto.

Default: Risposta visiva è attiva, ma non ottimizzata. Questo comportamento può essere configurato anche con zenon.

Configurazione di immagini ed elementi dinamici nei progetti

Nel progetto, possibilità di configurazione multi-touch sono offerte dalle seguenti proprietà:

  • Per le immagini, nei gruppi:
    • Interazione
    • Programmazione
    • Analisi gesture VSTA
  • Per gli elementi dinamici, nei gruppi:
    • Analisi gesture VSTA
    • Runtime/Clicca e mantieni

Ancora in questo capitolo

Gesti

Configurare l´interazione

Disabilitare il feedback durante lo scrolling

Analizzare eventi

Riconoscimento gesture VSTA

Esempio di progetto per Windows 7

Navigazione con multitouch nella visualizzazione globale.


Gesti

Manuale -> Multi-Touch -> Gesti

Con zenon Multi-Touch sono disponibili tutti i gesti a base Windows. Per verificare il numero degli "input point" messi a disposizione dal proprio sistema touch, consultare l´area Sistema nelle Proprietà del sistema .

Gesti Windows 7

Selezione di gesti usati spesso in zenon:

Gesti | Descrizione | Windows-Standard
Seleziona | Toccare un oggetto, e poi eseguire un movimento del dito in una direzione. | Trascinare con il mouse o selezione.
Premere e toccare | Premere sull´oggetto e tap con un secondo dito. | Click destro.
Toccare e tenere premuto | Premere, attendere la comparsa della ring animation, rilasciare. | Click destro.
Movimenti | Rapido movimento di trazione in una direzione. | Spostare in su, in giù, in avanti o indietro.
Tocco singolo/Tocco doppio | Tocco con un dito, oppure doppio tocco in rapida successione. | Click/doppio click.
Slow moving | Muovere un dito o due dita in in su o in giù. | Scroll.
Zoom | Muovere due dita avvicinandole o allontanandole. | Zoom (Tasto Ctrl. più rotellina del mouse).
Tocco con due dita | Toccare contemporaneo con due dita. Il target si trova fra le due dita. | Nessuno.

Gesti Windows 8

Selezione di gesti usati spesso in zenon:

Gesti | Descrizione | Windows-Standard
Premere e toccare | Premere sull´oggetto e tocco con un secondo dito. | Click destro.
Toccare e tenere premuto | Premere, attendere la comparsa della ring animation, rilasciare. | Click destro.
Tocco singolo/Tocco doppio | Tocco con un dito, oppure doppio tocco in rapida successione. | Click/doppio click.
Gesto rapido (scorrimento) | Muovere rapidamente un dito nella direzione in cui si vuole che scorra lo schermo. Serve a scorrere rapidamente all´interno di menù o pagine, oppure a muoversi lateralmente in hub. | Scrolling.
Pan (scorrimento) | Toccare la pagina con un dito o due dita e spostare trascinando. | Scrolling.
Trascinare | Mettere un dito sull´oggetto e trascinare con il dito. | Per passare da una schermata all´altra o da un menù all´altro. Selezionare e muovere oggetti.
Zoom | Muovere due dita avvicinandole o allontanandole. | Zoom (Tasto Ctrl. più rotellina del mouse).

Comportamento di zenon con i gesti a due dita (Windows 8).

Se in Windows 8 si tocca lo schermo con due dita, l´azione dipende dagli elementi toccati.

Comportamento quando si tiene premuto un pulsante:

  • Il primo dito tocca e tiene premuto un pulsante cui è collegata una funzione:
    • Il pulsante viene premuto.
  • Il secondo dito tocca lo schermo in un punto che si trova al di fuori del pulsante:
    • L´azione collegata al pulsante viene interrotta, il pulsante viene visualizzato come se non fosse premuto.
      Attenzione: quanto detto non vale per l´ETM. In questo caso non è possibile interrompere l´azione del premere il pulsante.
    • Azioni multi-touch già iniziate vengono annullate.
    • Si ricerca una nuova azione multi-touch (per es. zoom).

Comportamento quando il secondo dito è sul pulsante:

  • Il primo dito tiene premuto un punto vuoto dello schermo:
    • Nessuna azione.
  • Il secondo dito tocca e tiene premuto il pulsante:
    • Non viene inizializzata nessuna azione per il pulsante. Quest´ultimo si comporta come se il anche il secondo dito si trovasse su un punto vuoto dello schermo. Sono possibili azioni multi-touch per l´immagine.


Configurare l´interazione

Manuale -> Multi-Touch -> Configurare l´interazione

Per i gesti Windows 8, l´interazione via multitouch può essere configurata in molti settori usando le proprietà, senza che sia necessario effettuare ulteriori operazioni di programmazione.

Requisito: nel nodo Interazione delle proprietà di progetto, si deve selezionare per la proprietà Analisi l´opzione Windows 8. zenon deve essere eseguito a Runtime su un computer su cui è installato Windows 8.

Configurazione

Le interazioni possono essere configurate per:

  • Alcuni tipi di immagini
  • Elementi d’immagine dinamici
  • Touchbox

Quali azioni possano essere assegnate a quali gesti, dipende dall´immagine o dall´elemento d´immagine che deve essere configurato.

Per configurare interazioni per immagini:

  1. Posizionare il focus sull´immagine desiderata.
  2. Passare al nodo Interazione delle proprietà
  3. Selezionare nei sottogruppi le proprietà desiderate

Per configurare interazioni per elementi d'immagine:

  1. Posizionare il focus sull´elemento d´immagine desiderato.
  2. Passare al nodo Runtime delle proprietà dell´elemento
  3. Selezionare nei sottogruppi le proprietà desiderate

info Info

I modelli possono essere spostati anche con il mouse, se l´immagine non è una visualizzazione globale. A questo scopo, si deve attivare la proprietà Muovi modello via mouse. A Runtime, quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si sposterà l´intera immagine.

Interazioni

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ancora in questo capitolo

Reazioni


Reazioni

Manuale -> Multi-Touch -> Configurare l´interazione -> Reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le reazioni ai gesti possono essere configurate individualmente per immagini ed elementi d'immagine:

  1. Per le immagini supportate, sono disponibili nel gruppo Interazione:
    • Reazioni a Clicca e mantieni
    • Reazioni a Doppio tocco
  2. Per gli elementi d'immagine dinamici, sono disponibili nel gruppo Runtime:
    • Reazioni a Clicca e mantieni
  3. A seconda del tipo di immagine, nel gruppo Runtime sono disponibili per diversi elementi:
    • Doppio tocco
    • Toccare

Le reazioni sono usate per definire ciò che deve accadere a Runtime quando il sistema riconosce che un determinato gesto viene eseguito sull´immagine o su un elemento d'immagine.

  • Reazione: selezione della reazione desiderata fra quelle contenute nel menù a tendina. Le reazioni disponibili dipendono dal tipo di immagine/tipo di elemento.
  • Funzione: selezione di una funzione configurata in zenon, quando per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Nota: c´è una differenza sostanziale fra immagini ed elementi d'immagine per quello che riguarda l´opzione Avvia funzione specifica: Per gli elementi d'immagine si possono configurare anche interblocchi e autorizzazioni utenti. Questo non è possibile per le le immagini, visto che l´immagine non supporta nessuna funzione-immagine.

Immagini

  • Possono essere usate anche in quegli ambienti Runtime che non supportano la funzionalità touch.
  • Sono compatibili con le versioni successive: nuovi gesti possono essere dunque supportati, e si possono definire nuove impostazioni per gesti già implementati.

Quando si copia un´immagine, vengono applicate le impostazioni che sono state settate.

Ancora in questo capitolo

Manipulation

Doppio tocco

Tocco in caso di elementi d'immagine

Clicca e mantieni


Manipulation

Manuale -> Multi-Touch -> Configurare l´interazione -> Reazioni -> Manipulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini e determinati elementi d'immagine possono essere manipolati con gesti touch. Nel gruppo Manipulation dell´Editor, è possibile definire la reazione desiderata ad un gesto per:

  • Muovi (solo finestra di diagramma nel Trend esteso)
  • Sposta orizzontalmente
  • Sposta verticalmente
  • Zoom

Se la manipolazione riguarda le immagini o gli elementi d'immagine, dipende dall´impostazione della configurazione della dimensione:

  • Se la proprietà Ricava dimensioni dal modello è attiva: viene manipolata l´immagine (spostamento, zoom).
  • Visualizzazione globale: viene manipolato l´elemento attivo nell´immagine, sempre che questo elemento supporti la manipolazione.
    Definizione di Visualizzazione globale: la proprietà Ricava dimensioni dal modello è disattivata e l´immagine è più grande del modello.

info Info

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Zoom

Lo zoom di un´immagine può avvenire solamente nell´ambito dei limiti che sono stati settati per le seguenti proprietà:

  • Larghezza (massima) [Pixel]
  • Altezza (massima) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Quando zoomando si raggiunge uno di questi limiti, il sistema cerca di continuare lo zoom nelle direzioni libere. In questo caso, il sistema tiene conto delle proporzioni laterali.

Le immagini di tipo Faceplate non possono essere zoomate.

Zoom in ETM.

Nel modulo Trend esteso, si può zoomare con un gesto a due dita non solo la finestra, ma anche la grafica a curve.

Per lo zoom nell´ETM, questo significa:

  • Zoom di grafiche: entrambe le dita devono trovarsi sulla grafica.
  • Zoom nell´immagine: entrambe le dita devono trovarsi sull´immagine. Nessun dito deve trovarsi sulla grafica.
  • Se due dita si trovano sulla grafica e due sull´immagine, verrà effettuato lo zoom sia della grafica, che dell´immagine.
  • Se un dito si trova sull´immagine e uno sulla grafica, l´immagine verrà spostata se ciò è previsto dalla configurazione.
  • Se, con un´azione in fase di esecuzione, si preme un Button, questa azione non potrà più essere interrotta.

Faceplates

Con le faceplates, sia l´immagine di tipo Faceplate, che ogni contenitore di immagini, hanno i loro gesti propri per la manipolazione. I gesti hanno effetto sui contenitori di immagini quando l´immagine di tipo Faceplate non è una visualizzazione globale.

Effetti dei gesti in dettaglio:


Doppio tocco

Manuale -> Multi-Touch -> Configurare l´interazione -> Reazioni -> Doppio tocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Doppio tocco su immagini.

Per le immagini, sono disponibili le seguenti reazioni al Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Visualizza finestra di stato

Doppio tocco su elementi in immagini

AML

La lista AML nell´immagine di tipo AML supporta come Reazione al Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Ripristina allarme: per allarmi selezionati
  • Esegui funzione allarme: per allarmi selezionati
  • Richiama help per l'allarme: per allarmi selezionati
  • Lista stop/avanza: indipendente da allarmi.

Quando si esegue un doppio tocco su un inserimento della lista, quest´ultimo viene sempre selezionato e viene eseguita la funzione corrispondente. Quando si effettua un doppio tocco in una zona al di fuori degli inserimenti della lista, vengono eseguite solamente delle funzioni indipendenti, e non quelle relative agli allarmi.

Trend esteso

La finestra di diagramma nell´immagine di tipo Trend esteso supporta come Reazione a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Zoom 100 %
  • Step back

Liste in altre immagini

Alcune liste all´interno di immagini supportano come Reazione a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica


Tocco in caso di elementi d'immagine

Manuale -> Multi-Touch -> Configurare l´interazione -> Reazioni -> Tocco in caso di elementi d'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli elementi d'immagine, sono disponibili come Reazione al Toccare:

  • Nessuna reazione
  • Avvia funzione specifica
  • Seleziona


Clicca e mantieni

Manuale -> Multi-Touch -> Configurare l´interazione -> Reazioni -> Clicca e mantieni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicca e mantieni con immagini

Per le immagini, sono disponibili le seguenti reazioni a Clicca e mantieni:

  • Nessuna reazione
  • Avvia funzione specifica
  • Visualizza finestra di stato

Clicca e mantieni con elementi d´immagine

Per gli elementi d´immagine, sono disponibili le seguenti reazioni a Clicca e mantieni:

  • Nessuna reazione
  • Avvia funzione specifica
  • Aprire menù contestuale


Disabilitare il feedback durante lo scrolling

Manuale -> Multi-Touch -> Disabilitare il feedback durante lo scrolling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si raggiunge il limite dell´area effettuando lo scrolling, Windows fornisce di default un feedback visuale muovendo l´elemento.
Per il Runtime di zenon ciò significa: se si scorre all´interno di un elemento di controllo, il Windows-Feedback muove tutta la finestra Runtime. Può dunque succedere che un utente esca dal Runtime eseguendo un´azione a due dita e passi al desktop, anche se non lo si desidera.

Soluzione: si può disabilitare questa azione di Windows. A questo scopo, è necessario avere perlomeno Windows Version 8.1, o una versione più recente.

Disabilitare il feedback visuale

Per disabilitare il feedback visuale:

  1. Aprire la Registry di Windows.
  2. Passare alla chiave HKEY_CURRENT_USER/Software/Microsoft/Wisp/Touch/
  3. Settare il valore per l´inserimento Bouncing su 0.

Nota: adesso il feedback di Windows è disattivato completamente e non funziona più anche in altre applicazioni.


Analizzare eventi

Manuale -> Multi-Touch -> Analizzare eventi

È possibile definire in dettaglio per le immagini gli eventi che devono essere analizzati tramite l´interfaccia di programmazione. L´analisi avviene via VSTA a livello d´immagine. Per configurare l´analisi di eventi, si deve anzitutto settare la proprietà Analisi nelle proprietà di progetto per Interazione, su Windows 8

  1. Passare al gruppo Programmazione
  2. Passare al sottogruppo Eventi Multi-Touch
  3. Selezionare l´opzione desiderata fra quelle della lista a cascata della proprietà Routing eventi Raw:
    • Tutti gli eventi: vengono analizzati tutti gli eventi.
    • Disattiva: l´analisi è disattivata.
    • Solo eventi selezionati: vengono analizzati soli gli eventi attivati tramite le Checkbox.

Sono disponibili i seguenti eventi:

  • PointerDown
  • PointerEnter
  • PointerLeave
  • PointerUp
  • PointerUpdate
  • PointerWheel
  • PointerHWheel
  • PointerDeviceChange
  • PointerDeviceInRange
  • PointerDeviceOutOfRange
  • NCPointerDown
  • NCPointerUp
  • NCPointerUpdate
  • PointerActivate
  • PointerCaptureChanged

I dettagli riguardanti gli eventi si trovano nella parte della guida Objectmodel, oppure nella guida Microsoft su MSDN (http://msdn.microsoft.com/en-us/library/hh454903(v=vs.85).aspx).


Riconoscimento gesture VSTA

Manuale -> Multi-Touch -> Riconoscimento gesture VSTA

Le proprietà per il riconoscimento gesture VSTA consentono di attivare e disattivare separatamente le flag dei contesti di interazione. Le proprietà per il riconoscimento gesture VSTA si trovano nelle proprietà delle:

  • Immagini: gesti che si riferiscono all´immagine.
  • Elementi dinamici gesti che si riferiscono ad un singolo elemento dinamico.

Queste proprietà sono a disposizione solamente se la proprietà Analisi del gruppo Interazione delle proprietà di progetto è stata settata su Windows 8.

La configurazione selezionata è a disposizione a Runtime e può essere modificata tramite VSTA.

I dettagli riguardanti gli eventi si trovano nella parte della guida Objectmodel, oppure nella guida Microsoft su MSDN (http://msdn.microsoft.com/en-us/library/windows/desktop/hh448838(v=vs.85).aspx).

Immagini

Le proprietà per il riconoscimento gesture VSTA per le immagini si trovano nel gruppo Analisi gesture VSTA delle proprietà dell´immagine stessa. Non appena si attiva la proprietà Riconoscimento gesture attivo, potranno essere selezionati i seguenti gesti:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide
  • Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold

Elementi dinamici

Le proprietà per il riconoscimento gesture VSTA per le gli elementi dinamici si trovano nel gruppo Analisi gesture VSTA delle proprietà dell´elemento. Non appena si attiva la proprietà Riconoscimento gesture attivo, potranno essere selezionati i seguenti gesti:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold


Esempio di progetto per Windows 7

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7

Questo esempio di progetto con funzionalità multi-touch con Windows 7 è concepito per una risoluzione di 1920x1080. Contiene:

  • Una pagina iniziale
  • Navigazione
  • Riga allarmi
  • Tipo d'immagine Login

Pagina iniziale

La pagina iniziale offre una visione generale dell´intera linea di produzione. Diverse Icons di macchinari sono visibili contemporaneamente. Si può passare ad altri macchinari scorrendo usando gesti. Eseguendo un Tap su una Icon, si passa al macchinario desiderato. Nell´immagine si trovano anche:

  • Una riga degli allarmi posta sul bordo superiore: visualizza l´ultimo allarme dell´intera linea di produzione. Potete espandere la riga allarmi e ottenere così la visualizzazione completa della Lista di informazione allarmi.
  • Pulsante di Login consente di effettuare il Login a più utenti.
  • Pulsante Exit: chiude il Runtime e ne è consentito l´uso solamente agli utenti che hanno i diritti di amministratore.

Navigazione

Nella parte inferiore dello schermo, la navigazione rappresenta l´intera linea di produzione con l´aiuto di Icons in un´area orizzontale di scrolling. C`è anche un´immagine globale Energy. La si seleziona tramite il pulsante posto in basso al centro. La selezione di un macchinario avviene mediante un Tap su una Icon visibile. In questo progetto può essere selezionato solamente il macchinario Filler. Se si tiene premuta l´Icon Filler abbastanza a lungo, viene visualizzato un effetto Glow. Si può scorrere la lista usando il gesto Swipe; un Tap sulla lista che sta scorrendo, interrompe lo scrolling.

La velocità di scorrimento è determinata sulla base dell´accelerazione del movimento di Drag:

  • Lento: segue il dito
  • Più veloce: lo segue molto più a vicino.

Al momento dell´apertura dell´immagine di partenza, la navigazione è centrata sull´Icon Filler..

Riga allarmi

Sul margine superiore dello schermo è posizionata una riga degli allarmi. Questa visualizza l´ultimo allarme dell´intera linea di produzione. La si può aprire per visualizzare l´intera Lista di informazione allarmi.
Gestione:

  • Aprire:
    • Un Tap sulla barra apre la AML che va a coprire la metà dello schermo.
    • Usando gesti, la AML può essere portata alla grandezza desiderata dall´utente.
  • Chiudere:
    • Un Tap al di fuori del modello chiude l´AML aperta.
    • L´AML può essere chiusa anche manualmente trascinandola di nuovo verso l´alto.

Immagine di Login

L´immagine di Login consente di eseguire un login basato su gesti, nello stile di Windows 8. Prima di inserire la password, si deve selezionare un utente mediante un Tap. Poi si può iniziare l´inserimento della password dell´utente selezionato via Hovering. Ad esempio:

Amministratore:

Manutenzione:

Operatore:

Inoltre c`è un pulsante di logout che deregistra l´utente registrato al momento e apre l´immagine di Login. L´immagine di Login è una finestra di dialogo modale che oscura il background.

Ancora in questo capitolo

Schermo macchinario

VSTA Code

Informazioni base su Multi-Touch con Windows 7

Domande frequenti


Schermo macchinario

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> Schermo macchinario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo schermo macchinario mette a disposizione dell´operatore la riga allarmi con la stessa funzionalità che ha sulla pagina di partenza, ma filtrata per il macchinario.

Inoltre, c´è il concetto Workspace con finestre posizionabili liberamente, che sono salvate in un Dock quando non vengono usate. Il Workspace si estende su più schermi ai quali potete passare via gesto Swipe, navigazione Tab, oppure pulsante di navigazione. Nella parte inferiore si trova un´area di attivazione per le operazioni a due mani e un pulsante home. In alto a destra si trova una visuale gestibile per il Workspace.

Dock

possono essere trascinate dal sul , dove vengono poi visualizzate come nella grandezza di base configurata. Ist ein Faceplate auf dem Workspace platziert, wird dessen Icon deaktiviert dargestellt. Quando si chiude un Faceplate, la sua Scha viene di nuovo visualizzata come attiva. Tap & hold su una Scha disattivata, localizza un Faceplate aperto e passa al Workspace da esso usato.

Workspace

Su ognuno dei quattro Workspaces configurabili individualmente, può essere posizionato e scalato un numero qualsiasi di Faceplates personalizzati.

  • Portare sul margine verticale dello schermo: Dopo un ritardo di 2 secondi, si passa al prossimo Workspace e il Faceplate può essere posizionato liberamente.
  • Spostare il sul margine verticale dello schermo (gesto ): Das Faceplate wird auf den nächsten Workspace befördert, der aktuelle Workspace bleibt geöffnet.
  • Chiudi/rimuovi : trascinare Faceplate sul dock, oppure verso il basso con un gesto Swipe verso il basso.
    In alternativa, ogni Faceplate può essere chiuso usando il pulsante X che si trova nell´angolo in alto a destra dello schermo.

I Faceplates aperti, la loro posizione, grandezza ecc, vengono salvati nel profilo utente. Ein Faceplate kann per Zoom/Pinch-Geste vergrößert oder verkleinert werden. Jedes Faceplate kann auch verschoben werden. Un Faceplate selezionato viene portato in primo piano tramite Z-Order-Manipulation, ma rimane sempre dietro la riga allarmi. Con il prossimo login, tutti i dati relativi alla posizione e alla grandezza dei singoli Faceplates vengono letti e questi ultimi vengono posizionati di conseguenza.

Comando a due mani

Nell´angolo in basso a sinistra si trova un´area di attivazione per le operazioni a due mani. Se si cerca di usare un elemento bloccato, quest´area di attivazione inizia a lampeggiare e l´elemento può essere sbloccato grazie ad essa.

Possibilità di gestione a due mani:

  • Pulsante: per es. Home
  • Inserimento di valore impostabile: viene aperta la keyboard e si può inserire il valore impostabile,
  • Jog operation

Una verifica della successione di attivazione (attivazione prima di azione) è configurata nel progetto demo. Nel caso di jog operation (Faceplate operation), l´attivazione attiva viene controllata continuamente.

Menù circolare

Per consentire una veloce navigazione fra i Workspaces abbiamo implementato un menù circolare. Esso viene attivato via TapHold in un punto qualsiasi dei Workspace e appare intorno al dito. La selezione del workspace avviene via Draggen del dito in una delle aree. Il cambio avviene quando il dito non è più a contatto con lo schermo. L´azione può essere interrotta via Draggen al di fuori o all´interno dell´area di menù.

Pulsante Home

Nell´angolo in basso a destra si trova un pulsante Home. Usando questo pulsante si può tornare alla schermata di partenza. Il pulsante Home è attivabile solamente con gestione a due mani.


VSTA Code

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> VSTA Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrizione delle classi

MultiTouchManagement

Handling completo di tutta l´applicazione multitouch. Quando si crea la classe MultitouchManagement-, vengono istanziate le classi LoginWindow, NaviationsWindow e WindowManagement.

LoginWindow

In questa classe sono incluse le componenti fondamentali dell´user login e della password pattern recognition.

NavigationWindow

Gestisce l´immagine di posizionamento faceplate "Icon" e gestisce l´intero processo di apertura del faceplate da aprire di volta in volta .

WindowManagement

È responsabile della gestione di tutti gli eventi touch di tutti i faceplate (spostare, scalare, ecc.). Questa classe, inoltre, gestisce il salvataggio e la lettura di tutte le informazioni Faceplate necessarie a Runtime.

WindowProperties

Per ogni Faceplate viene istanziata un´istanza ad hoc, che rende disponibili tutti i dati necessari del Faceplate . Tutte le istanze vengono salvate in un file XML quando si chiude il Runtime, in modo tale che siano disponibili le ultime impostazioni valide dei Faceplate quando si riavvia il Runtime.


Informazioni base su Multi-Touch con Windows 7

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> Informazioni base su Multi-Touch con Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Events

Se si attiva la proprietà di progetto Multi-Touch attivo, in presenza di una corrispondente "event handler declaration", si ottengono a Runtime gli eventi per TouchManipulationStartEvent, TouchManipulationDeltaEvent e TouchManipulationCompleteEvent. Con il metodo SetupTouchInertia si possono definire i parametri di inerzia per ogni immagine. La seguente immagine mostra un processo schematico degli eventi inizializzati:

In generale, il primo evento ad essere inizializzato è TouchManipulationStartEvent. Finché si esegue il gesto, vengono inizializzati TouchManipulationDeltaEvents e, alla fine del gesto, un TouchManipulationCompleteEvent conclusivo. Il parametro trasmesso lContacts restituisce il numero delle dita attualmente sullo schermo.

Dopo la conclusione del gesto touch, i valori di inerzia vengono calcolati dal processore a inerzia sulla base dei valori trasmessi nel metodo SetupTouchInertia e terminati via TouchManipulationDeltaEvents e i valori di inerzia calcolati con un singolo TouchManipulationCompleteEvent.

Siccome nessun dito si trova sullo schermo durante il calcolo dei valori di inerzia tramite il processore ad inerzia, il parametro lContacts trasmesso ha il valore 0. Il numero di TouchManipulationDeltaEvents necessari per il processore a inerzia, dipende dai parametri trasmessi dal metodo SetupTouchInertia . A seconda dell´inerzia, il processore a inerzia ha bisogno di più o meno eventi per concludere i gesti.

Se, mentre vengono inizializzati gli eventi inerzia calcolati, si inizia un nuovo gesto, non vengono più TouchManipulationDeltaEvents dal vecchio gesto. Dopo un TouchManipulationCompleteEvents conclusivo, gli eventi del nuovo gesto vengono avviati immediatamente mediante un TouchManipulationStartEvents.

Inoltre, anche gli eventi TouchEvent, ElementMouseOver, ElementLeftButtonDown e ElementLeftButtonUp vengono inizializzati in concomitanza con un gesto.

Multi-Touch nativo nella visualizzazione globale.

Per realizzare lo zoom e lo scrolling con eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling. Se si attiva questa proprietà, zenon gestisce i gesti di zoom e scroll nell´immagine globale progettata. Per ulteriori informazioni su questo tema, consultare la sezione: Navigazione con multitouch nella visualizzazione globale.


Domande frequenti

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> Domande frequenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Domande frequenti e risposte pratiche.

Nota: Le proprietà Nome f. lista oggetti e Capitolo guida possono essere usate in zenon come proprietà liberamente definibili.

Come aggiungere un nuovo Faceplate?

Nell´esempio di progetto ci sono13 faceplate che vengono visualizzati come "icon" nello schermo di navigazione Navigation_Bottom. Per creare un contesto fra le singole icone e le faceplate da usare, si deve rispettare la convenzione di denominazione. I nomi delle rispettive icone devono corrispondere esattamente esattamente a quelli delle immagini corrispondenti e dei loro modelli. Un collegamento fra le immagini può essere realizzato solamente se questa catena (Icon - modello - immagine) viene rispettata.

Per poter aprire le rispettive immagini, bisogna progettare anche una funzione di cambio immagine. Il nome di quest´ultima è costituito dal prefisso "scr" e dal nome del faceplate. Se questa convenzione di denominazione è rispettata, il completo handling viene poi gestito dal "multitouch management".

Come creare un feedback se il pulsante premuto oppure l´elemento visualizzazione valore richiede una gestione a due mani?

Per assicurare la gestione a due mani, entrambi i punti di pressione devono essere resi disponibili ognuno in una propria immagine con un proprio modello. Nel nostro esempio di progetto, questa immagine si chiama Enabler.

In fase di progettazione, l´interlocking deve essere collegato a enableArea per gli elementi gestibili a due mani. Questa impostazione fa sì che un feedback sia generato automaticamente non appena Enabler (gestione a due mani) non è premuto. Si può usare questo elemento solamente se Enabler è premuto.

Come creare un pulsante jog mode?

Per creare un pulsante con funzionalità jog operation:

  • Assicurarsi che il nome di questo pulsante contenga la parte "HOLD".
  • Nelle proprietà dell´elemento, passare al nodo Runtime.
  • Inserire nella proprietà Nome f. lista oggetti un riferimento secondo il seguente modello: Nome variabile|Cambio valore
    (Un esempio si trova nell´immagine Faceplate_Operation nel pulsante ^^^.)

Come creare un pulsante per il cambio del Workspace?

A questo scopo si può utilizzare il simbolo predefinito Tab. La variabile demoCurrentWorkspace rappresenta il valore del workspace attivo al momento nell´intero progetto. Le seguenti impostazioni manipolano la variabile e riaggiustano tutte le immagini aperte:

Gruppo tab_inactive::

La proprietà Capitolo guida deve contenere l´inserimento WorkspaceSwitch.

La proprietà Nome f. lista oggetti deve contenere un inserimento secondo il seguente modello: demoCurrentWorkspace|PAGE (per esempio: demoCurrentWorkspace|3)

Come creare un nuovo utente?

Nell´immagine Login, si deve disegnare sui 16 possibili quadrati un pattern specifico per l´utente da usare per il login. Non appena si tocca il primo quadrato, viene avviato il procedimento di inserimento della password. Questo processo si conclude non appena il dito non ha più il contatto con lo schermo. Subito dopo l'inserimento del pattern, viene verificata la password. In caso di conferma positiva, viene eseguito automaticamente il login.

Durante l´inserimento del password-pattern, viene creata in background una password tipografica (lettere), che può essere confrontata mediante una funzione con l´utente di progetto configurato. Il primo quadrato viene interpretato come 'A', il secondo come 'B' ecc.; questi caratteri sono combinati in una password coerente attraverso un "line-dependent hovering" dei quadrati.

Per aggiungere un nuovo utente:

  • Creare un nuovo utente nella Gestione user.
  • Creare una password personale
  • Assicurarsi che l´utente possa essere selezionato nell´immagine di Login, e configurare le stesse proprietà impostate per il pulsante appena configurato della selezione user.

Come aprire il menù circolare?

Il menù circolare si apre:

  • Intorno ad un dito che tocca il workspace
    e
  • Non si muove per più di 800 ms

Nel menù circolare, si ha la possibilità di passare al workspace desiderato semplicemente trascinando il dito (dragging).

Come filtrare la AML da aprire liberamente?

L´AML rimane sempre aperta e il filtro dei macchinari viene eseguito grazie alle opzioni di filtro della funzione di cambio all´immagine AML e AML-collapsed .

Come aprire un macchinario?

I macchinari vengono visualizzati tramite una successione fissa di processi, come adattamenti dei filtri, funzioni di cambio immagine, apertura di aree di navigazione relative ai macchinari, posizionamento delle Faceplate dipendenti dai macchinari, ecc. In questo esempio di progetto, la successione delle funzioni da aprire viene configurata in uno script di zenon, che viene aperto al momento dell´attivazione della Icons del macchinario nell´immagine di partenza.

Dove vengono salvate le informazioni dei Faceplate?

Grandezza, posizione, workspace, visibilità e fattore di scala vengono scritti in un file di configurazione. Esso si trova in una sottocartella della cartella %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigazione con multitouch nella visualizzazione globale.

Manuale -> Multi-Touch -> Navigazione con multitouch nella visualizzazione globale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche per navigare all´interno della visualizzazione globale. A questo scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: se un´immagine in un contenitore non è una visualizzazione globale, riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale nel contenitore di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Visualizzazione globale incorporata in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Muovere modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: viene spostato il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Conversione del progetto

Valori per Sposta orizzontalmente e Sposta verticalmente quando si converte in zenon 7.20 un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Ancora in questo capitolo

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Multi-Touch -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch con Windows 7 per navigare nella visualizzazione globale, li si deve:

  • attivare usando la proprietà Multi-Touch per Zoom e Scrolling
  • o implementare con VBA/VSTA

Zoom e scrolling mediante la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare multi-touch senza VBA/VSTA:

  1. Nel nodo Interazione delle proprietà di progetto, selezionare l´opzione Windows 7 per la proprietà Analisi.
  2. Disattivare la proprietà Ricava dimensioni dal modello nel nodo Modello delle proprietà dell´immagine.
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In questo modo sarà possibile scorrere e zoomare nell´immagine usando i gesti multi-touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicture sono a disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode)

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Multi-Touch -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivare nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


OPC-Server

Manuale -> OPC-Server

Il server OPC rende disponibili le variabili utilizzate nel progetto a tutti gli "OPC Client Tool" standard.

L´uso di OPC UA Server si presta allo svolgimento di molte operazioni. È parte di COPA-DATA Process Gateway.

tutorial Informazioni sulla licenza

È necessaria una licenza sia per l´Editor che per il Runtime.

Ancora in questo capitolo

Confronto fra OPC Server e OPC UA Server

Background tecnico

Installazione e registrazione del server OPC

Registrazione licenza del server OPC

Configurazione in zenon

Esplorazione del server OPC

Avvio e stop del server OPC

Logging

Richiesta di lettura asincrona

Accesso remoto


Confronto fra OPC Server e OPC UA Server

Manuale -> OPC-Server -> Confronto fra OPC Server e OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´OPC UA Server ha preso il posto dell´OPC Server. Si raccomanda l´uso dell´OPC UA server per la maggior parte delle applicazioni.

OPC Server

  • OPC Task Force dal 1995
  • Interfaccia universale per i sistemi di automazione.
  • Basato sulla tecnologia COM/DCOM di Microsoft.
  • OPC foundation dal 1996
  • Diverse specifiche per differenti applicazioni.

OPC UA Server

Confronto fra OPC Server e OPC UA Server

Parametro | OPC Server | OPC UA Server
Modello di dati | Limitato | Per tutte le applicazioni
Implementazione | Dipendente dal produttore | Indipendente dal produttore
Interoperabilità | -- | X
Configurazione | Complicata | Semplice
Più istanze | -- | X
Uso in rete | -- | X
Tecnologia di rete | -- | OPC UA TCP binary Protocol
Prestazioni | Basse | Alte
Piattaforme | Solo Windows | Indipendente
Fabbisogno di risorse | Alte | Più basso
Service-Oriented Architecture (SOA) | -- | X
Protezione | Obsoleta | Al passo con gli standard attuali
Protezione connessione | -- | X
Windows CE | -- | X

Legenda:

  • X: viene supportato
  • --: non è supportata.


Background tecnico

Manuale -> OPC-Server -> Background tecnico

OPC è concepito per l´uso a livello di campo e a livello di controllo. Il server OPC rende disponibili i dati di processo del livello di controllo.

OPC Client e OPC Server

OPC Server

OPC definisce oggetti che sono descritti mediante interfacce oggetti. Nel server OPC ci sono due tipi di interfacce oggetti che possono essere indirizzate da un client OPC:

  • COM-Custom-Interface
  • OLE-Automation-Interface

Interfacce oggetti del server OPC

L’interfaccia COM è utilizzata da linguaggi orientati a puntatori a funzioni, come C++. Tramite l´interfaccia Automation, invece, si può comunicare con linguaggi di scripting come Visual Basic.

Gerarchia degli oggetti del modello OPC

Un server OPC è costituito da tre oggetti ordinati gerarchicamente:

  • Il server
  • Gruppi e
  • Item

Un server OPC rappresenta gli oggetti reali su item (variabili). Questi item sono unici nell´ambito del server OPC. Il client organizza gli item in uno o più gruppi OPC.

Ancora in questo capitolo

Informazioni generali sul server OPC

Indirizzamento item

Informazione gruppi

Specifiche OPC supportate


Informazioni generali sul server OPC

Manuale -> OPC-Server -> Background tecnico -> Informazioni generali sul server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC:

  • È un server "Out of Prozess"
  • È eseguito in un Single Thread Apartment (STA)
  • è registrato come MULTIPLEUSE COM server.
    Ciò significa: il server è eseguito solamente una volta come istanza di processo. Più client OPC si registrano sullo stesso server.
  • Funziona solo localmente.


Indirizzamento item

Manuale -> OPC-Server -> Background tecnico -> Indirizzamento item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC deve poter distinguere da quale progetto provengono le variabili, visto che diversi progetti possono essere avviati contemporaneamente nel Runtime.
Perciò il server usa la seguente nomenclatura per le variabili di processo:
Nome progetto.Nome variabile

Esempio:

Project1.ActualValue

Project1 = nome del progetto attivo al momento nel Runtime

. (punto) = separatore

ActualValue = nome variabile di una determinata variabile.

attention Attenzione

Assicurarsi che un OPC Data Access Client acceda alle variabili di ogni progetto in un gruppo separato. L´accesso a variabili di diversi progetti Runtime di zenon in un solo gruppo, infatti, potrebbe causare messaggi di errore.


Informazione gruppi

Manuale -> OPC-Server -> Background tecnico -> Informazione gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome del gruppo può essere scelto a piacere. Per esempio: Test group 1.

Il ciclo di update nel gruppo non viene preso in considerazione dal server OPC , perché quest´ultimo ha una connessione dati spontanea con il Runtime. Perciò verrà trasmessa al server OPC ogni modifica di valore, e non ci sarà un´interrogazione ciclica dello stesso.

info Info

Per ogni progetto di zenon i client OPC devono creare propri gruppi.


Specifiche OPC supportate

Manuale -> OPC-Server -> Background tecnico -> Specifiche OPC supportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

OPC Data Access Servers Version 1.0

OPC Data Access Servers Version 2.0

Interfacce OPC supportate:

Interfacce | supportata
IOPCServer | Sì
IOPCBrowseServerAddressSpace | Sì
IOPCServerPublicGroups | No
IPersistFile | Sì
IOPCCommon (da 2.0) | Sì
IOPCSyncIO | No
IOPCItemProperties (da 2.0) | Sì
IConnectionPointContainer (da 2.0) | Sì


Installazione e registrazione del server OPC

Manuale -> OPC-Server -> Installazione e registrazione del server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare il server OPC, bisogna installare le componenti OPC Core della OPC Foundation. Su computer con un sistema operativo a 64 bit, è necessario installare sia la versione a 32 bit, che quella a 64 bit. I setup li trovate sul supporto di installazione fra i programmi addizionali. È possibile che il computer debba essere riavviato dopo l´installazione.

Per motivi di sicurezza, il server OPC non viene registrato automaticamente (di default). Dopo l´installazione, dunque, un client OPC non può ancora trovare il server OPC. Il server OPC deve essere registrato in modo esplicito.

Registrazione del server OPC:

  1. Installate le OPC-DA Core Components della OPC Foundation.
    Il setup si trova sul supporto di installazione nella cartella AdditionalSoftware.
  2. Aprite una riga di comando con diritti di amministratore (Elevated Command Prompt).
  3. Inserite il comando di registrazione con i parametri desiderati.
    Inserimenti possibili:
    • zenopcsrv.exe /RegSrv:
      Registra il server OPC. Se l´operazione non ha successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /RegSrvD:
      Registra il server OPC; anche se l´operazione viene portata a termine con successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /UnregSrv:
      Annulla la registrazione del server OPC. Se l´operazione non ha successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /UnregSrvD:
      Annulla la registrazione del server OPC; anche se l´operazione viene portata a termine con successo, viene visualizzato un messaggio

Nel caso si siano verificati errori, verificare se disponete delle autorizzazioni necessarie a compiere questa operazione.

Nota: cambi fatti mediante lo zenon Startup Tool, oppure l´installazione di una nuova versione di zenon, non modificano in alcun modo la registrazione del server OPC.


Registrazione licenza del server OPC

Manuale -> OPC-Server -> Registrazione licenza del server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC funziona solamente se se ne registra la licenza in modo corretto. In caso contrario, riceverete la seguente segnalazione di errore:

L´attivazione della licenza avviene seguendo la procedura standard. Al momento di ordinare il server OPC dovete indicare su quale computer intendete installarlo e quale numero di serie Runtime usate lì. A questo punto riceverete dal licencing office un nuovo numero di serie e un nuovo numero di attivazione per questo computer. Con essi il server OPC è pronto all´uso. Questi numeri devono essere inseriti nello zenon6.ini tramite il tool "licence order" (Start – Programmi – COPA-DATA – Licence order).


Configurazione in zenon

Manuale -> OPC-Server -> Configurazione in zenon

Perché il server OPC possa ricevere dati dal Runtime, VBA deve essere attivato. Assicuratevi che le seguenti impostazioni nello zenon6.ini siano settate nel modo corretto:

[VBA]

EVENT=1 (Attiva o disattiva il meccanismo event per l´interfaccia VBA – COM).

Default =0

Questa impostazione deve essere settata su EVENT=1.

attention Attenzione

Se il meccanismo event è disattivato nel Runtime, tramite il server OPC avrete un accesso di sola scrittura alla variabile, mentre la lettura non funzionerà!
In questo caso il server OPC non riceverà nessun evento DataChange dal Runtime. Tutti i client OPC collegati visualizzeranno la segnalazione "disturbed" per quello che riguarda la qualità della connessione!

Altrimenti non ci sono ulteriori impostazioni da effettuare in zenon.

Il server OPC legge i dati del Runtime attuale e rende disponibili tutte le variabili di tutti i progetti attivi per la connessione.

info Info

Non appena viene avviato il Runtime, potete leggere tutte le variabili di tutti i progetti disponibili nel Runtime stesso. Ciò indipendentemente dal fatto se i progetti contenuti siano del tipo standalone, progetti client o server.


Esplorazione del server OPC

Manuale -> OPC-Server -> Esplorazione del server OPC

I client OPC usano due metodi differenti per riconoscere il server OPC e per esplorare le sue informazioni di variabili. Il riconoscimento del server OPC installato sul PC può avvenire in due modi.

  • Lettura del registro di sistema.
  • Esplorazione mediante il programma addizionale OPCEnum.exe

Il programma addizionale OPCEnum non viene fornito automaticamente. Può dunque succedere che un client OPC non sia in grado di trovare il server OPC, perché usa questo metodo di esplorazione. Consultate la documentazione del client OPC per scoprire se il metodo di esplorazione può essere modificato in modo tale da consentire la lettura del registry. (Nel caso di Matrikon OPC Explorer, dovete cercare sotto la voce Opzioni). Se non dovesse esserci questa opportunità, non vi resta altro che installare il programma OPCEnum.

Suggerimento: Se installate il Matrikon OPC Simulator Server (disponibile per il download gratuito), verrà installato anche OPCEnum.

info Info

Il server OPC rende disponibili all´esplorazione tutte le variabile esistenti nel Runtime attualmente in esecuzione. Dovete dunque assicurarvi che il Runtime sia attivo prima di avviare l´esplorazione delle variabili.


Avvio e stop del server OPC

Manuale -> OPC-Server -> Avvio e stop del server OPC

Il server OPC viene avviato automaticamente dal primo client che si collega al esso; viene terminato quando l´ultimo client interrompe la connessione.


Logging

Manuale -> OPC-Server -> Logging

Per il monitoraggio e l´analisi delle attività dello zenon OPC Server si usa il Diagnosis Viewer.


Richiesta di lettura asincrona

Manuale -> OPC-Server -> Richiesta di lettura asincrona

La OPC interface IAsyncIO e la OPC interface IAsyncIO2 supportano richieste multiple di lettura asincrona.


Accesso remoto

Manuale -> OPC-Server -> Accesso remoto

Un accesso remoto tramite tecnologia DCOM non viene supportato. zenon supporta solamente un accesso a server OPC DA installati localmente.

attention Attenzione

Il server OPC è ottimizzato per l´uso locale; se ne sconsiglia espressamente l´uso in rete!
Background: Per la comunicazione via rete, OPC utilizza la tecnologia DCOM che sembra essere instabile e causa di errori. Inconvenienti, quali disconnessioni (che si verificano quando, per es. si scollega il cavo di rete) e periodi di time-out molto lunghi, sono causa di gravi problemi nell´ambito delle applicazioni industriali.

Soluzioni consigliate:

  • Uso di un server OPC_UA
    , oppure
  • Installazione locale:
    Sul computer su cui viene eseguito il OPC Client viene installato un Runtime di zenon, questo computer funge da Client per i progetti desiderati. Per questo client viene avviato lo zenon OPC Server. In questo modo si può ottenere una connessione locale fra zenon OPC Server e OPC Client.


PLC Diagnosis

Manuale -> PLC Diagnosis

Il "PLC Diagnosis” è uno strumento che consente di visualizzare i dettagli del programma di un PLC direttamente in un'immagine. A seconda del PLC utilizzato, sono a disposizione diverse funzionalità. Al momento esistono: l´analisi delle catene sequenziali Simatic Graph 7 per la visualizzazione di informazioni relative a catene sequenziali di PLC S7; ed zenon Logic Monitoring Viewer per la visualizzazione di tutti i programmi che vengono eseguiti in zenon Logic Runtime (Soft PLC).

I passi attivi al momento nel PLC vengono visualizzati graficamente a Runtime. Le informazioni relative agli allarmi possono essere trasmesse e visualizzate direttamente nella Lista di informazione allarmi.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. Disponibile come modulo con licenza obbligatoria per zenon Operator e con Windows CE.

Ancora in questo capitolo

S7-Graph

zenon Logic Monitoring Viewer


S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph

In zenon si ha la possibilità di creare un´immagine di tipo S7-Graph In quest´immagine possono essere visualizzate le seguenti informazioni relative ad un PLC S7 con programmazione S7-Graph: la catena sequenziale, il passo attivo, il nome della catena sequenziale, il numero della stessa ecc.

Ancora in questo capitolo

Passaggio da ActiveX CD_Graph7Diag.ocx all´immagine di tipo S7-Graph

Requisiti per l'importazione automatica

Importa dati dal progetto S7-Graph

Immagine del tipo S7-Graph

Filtro per cambio immagine

Funzione "Valutazione euristica S7-Graph"

Descrizione analisi degli operandi


Passaggio da ActiveX CD_Graph7Diag.ocx all´immagine di tipo S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Passaggio da ActiveX CD_Graph7Diag.ocx all´immagine di tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità di ActiveX CD_Graph7Diag.ocx è stata sostituita dall´immagine di tipo S7-Graph e dalla funzione S7-Graph Euristica. Per passare da ActiveX all´immagine e alla funzione, oppure per visualizzare S7-Graph in zenon, procedere come segue:

  1. Se non è stato già fatto in precedenza, importare S7-Graph in modo tale che vengano creati i necessari file e le necessarie variabili.
  2. Creare un´immagine di tipo S7-Graph.
  3. Creare una funzione di "Cambio immagine" per l´immagine di tipo S7-Graph. Nel dialogo di filtro che si aprirà, indicare i file e le variabili corrispondenti (si veda Filtro per cambio immagine).
  4. Se si ha bisogno anche della funzionalità dell´euristica, creare la funzione "Valutazione euristica S7-Graph" e inserire anche nel dialogo di configurazione della funzione i file e le variabili corrispondenti (si veda Funzione Valutazione euristica S7-Graph).

Modifiche rispetto ad ActiveX

  • I pulsanti KOP e FUP sono adesso elementi di controllo autonomi.
  • L´euristica è slegata dalla visualizzazione vera e propria; perciò si ha bisogno di una propria funzione.
  • I pulsanti "Successivo" e "Precedente" consentono adesso una navigazione step-by-step nella visione dettagliata degli step.


Requisiti per l'importazione automatica

Manuale -> PLC Diagnosis -> S7-Graph -> Requisiti per l'importazione automatica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sebbene l'importazione avvenga per lo più in modo automatico, si devono comunque eseguire alcune impostazioni preparatorie nel progetto S7-Graph per far sì che sia possibile importare dei comandi sequenziali in zenon. Devono essere soddisfatti i seguenti requisiti:

1. Impostazioni dei blocchi dati

Ci si deve assicurare che la configurazione dei blocchi dati sia corretta.

Eseguire le seguenti impostazioni nella scheda Salva e compila:

Parametro | Inserimento
Parametri FB | Definiti dall´utente
Descrizione interfaccia | Strutture individuali / carica in AS
Esecuzione | Necessario "Con FC standard"
Proprietà delle catene | Dati di analisi criteri in DB

Eseguire la seguente impostazione nella scheda Messaggi:

Parametro | Inserimento
Trattamento messaggi | Messaggio con ALARM_SQ / ALARM_S

2. Generare sorgenti

Per ogni catena sequenziale da importare deve essere creata una sorgente attuale. Ciò avviene nell'editor Graph7 mediante il comando File -> Genera sorgente. Bisogna fare attenzione che il nome della sorgente corrisponda al nome FB della catena sequenziale. Per una catena sequenziale nel blocco funzione 12, quindi, la denominazione della sorgente deve essere FB12 (oppure fb12).

3. Numero del blocco dati di istanza

Per consentire l'assegnazione di un FB della catena sequenziale al corrispondente DB di istanza (blocco dati di istanza), non si deve modificare l'impostazione standard (Numero DB = numero FB).


Importa dati dal progetto S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Importa dati dal progetto S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate con il tasto destro del mouse sull´inserimento Variabili del Manager di progetto. Nel menù contestuale che comparirà, selezionate la voce Import/Export esteso e poi Importa da progetto S7-Graph.... Se avete già selezionato il nodo Variabili nella struttura ad albero del manager di progetto, potete aprire questo menù contestuale anche cliccando con il tasto destro del mouse nella visualizzazione dettagli del manager di progetto.

Nella finestra di dialogo che si aprirà, selezionate il driver utilizzato per la comunicazione con il PLC; poi confermate la selezione cliccando su OK.

attention Attenzione

Prima di effettuare l´import, tutto deve essere stato compilato in Step 7 o PC S7; solo così tutti gli oggetti potranno essere ripresi in zenon.

Importazione S7-Graph

info Info

Le impostazioni che effettuate in questo dialogo, vengono salvate. Quando riaprirete il dialogo, quindi, verranno visualizzate le vostre ultime impostazioni.

Potete impostare i seguenti parametri:

Parametro | Descrizione
Scelta progetto |
File di progetto S7 | Selezionate il file progetto desiderato (*.s7p).
Driver di destinazione | In questo campo verrà visualizzato il driver che avete selezionato in precedenza. Non avete la possibilità di modificare questa impostazione in questa finestra di dialogo.
Creazione elementi per S7-Graph |
Blocco dati | Crea variabili di tipo USINT che rappresentano il blocco dati di istanza della catena sequenziale. Tutte le informazioni di stato vengono comunicate tramite questa variabile. Mediante questa istanza blocco dati vengono comunicate tutte le informazioni di stato.
Variabile di segnalazione | Crea una variabile interna del tipo STRING, che mostra il testo di stato dell´euristica.
Matrice di reazione | Crea una matrice di reazione di tipo numerico. La matrice di reazione serve al collegamento con le variabili Allarme-S. In tal modo, essa provoca l´attivazione di un allarme in zenon. L´importazione di allarmi per S7-Graph avviene tramite il PDIAG Import Wizard.
Allarmi con obbligo di ripristino | Se attivate questa checkbox, tutti gli allarmi creati tramite la matrice di reazione sono con obbligo di ripristino.
Definizione nomenclatura variabili |
Separatore | Qui stabilite quale segno sarà inserito fra la nomenclatura e il nome della catena sequenziale.
Nomenclatura interna | Usa la nomenclatura interna per gli oggetti creati. Esempio: S0 (per indirizzo di rete = 0)
Nomenclatura WinCC | Usa la nomenclatura WinCC per gli oggetti creati. Esempio: Programma S7
Combinato | Usa per i nomi degli oggetti creati sia la nomenclatura interna che quella di WinCC. Un punto è usato da separatore.

Confermate la finestra di dialogo cliccando su Esegui.

Nella finestra di dialogo successiva, selezionate le stazioni desiderate (CPU). Questa finestra di dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più catene sequenziali tenendo premuto durante la selezione il tasto Ctrl, oppure quello shift. In questa finestra potete settarel´indirizzo di rete. Confermare la finestra di dialogo cliccando su OK. Verrà eseguita un´analisi del progetto S7. Il tempo richiesto da quest´operazione dipende dalle dimensioni del progetto stesso.

Nella finestra di dialogo successiva selezionate le catene sequenziali che volete importare. Questa finestra di dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più catene sequenziali tenendo premuto durante la selezione il tasto Ctrl, oppure quello shift. Se per una catena sequenziale non è stato possibile trovare una sorgente, nel campo Commento apparirà l´inserimento !! Sorgente mancante !!. Queste catene sequenziali non potranno essere importate. Confermare la finestra di dialogo cliccando su OK. Adesso viene eseguito l´import e vengono creati gli oggetti corrispondenti in zenon. Vengono importati anche la sorgente della catena sequenziale (*.gr7) ed i suoi simboli (*.seq). Vengono salvati nell´Editor di zenon alla voce File -> Altri -> S7-Graph.

Ancora in questo capitolo

Cambio lingua


Cambio lingua

Manuale -> PLC Diagnosis -> S7-Graph -> Importa dati dal progetto S7-Graph -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di progettazione si può stabilire che i testi della catena sequenziale S7 siano traducibili. Di regola, in zenon i testi traducibili sono contrassegnati da un @ che li precede. Nel SIMATIC-Manager, tuttavia, non è possibile creare parole chiave anteponendole il segno @. Perciò il cambio lingua avviene mediante un confronto tra testi:

  1. Nella tabella lingua gli elementi corrispondenti vengono inseriti senza @.
  2. Vengono esplorati tutti i campi dinamici dell´immagine alla ricerca di una traduzione per:
    • Informazioni: Nome della sequenza concatenata attiva
    • Informazioni: Nome del passo attivo
    • tutti i testi della Visualizzazione grafica: Passi attivi
    • tutti i testi della Visualizzazione grafica: Catena intera
    • tutti i testi di Informazioni: Tabella simboli
  3. Ai campi statici si deve anteporre il prefisso @ e si deve creare un inserimento nella tabella lingua per:
    • Sequenza precedente
    • Sequenza successiva
    • Scambio KOP/FUP

La visualizzazione dei testi di passi e transizioni, nonché di quelli nella tabella simboli, avviene in modo automatico, sempreché esistano gli inserimenti corrispondenti nei file .GR7 oppure in quelli .SEQ.

I dettagli concernenti il cambio lingua li trovate nella capitolo Cambio lingua della guida.


Immagine del tipo S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Immagine del tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo S7-Graph sostituisce la funzionalità dell'ActiveX CD_Graph7Diag.ocx.

Create un´immagine del tipo S7-Graph

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine selezionate S7-Graph.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

L´immagine di tipo “S7-Graph ” può contenere i seguenti elementi di controllo e visualizzazione.

Inserisci modello

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali. Modelli

Finestra

Elementi per la visualizzazione grafica.

Elemento di controllo | Descrizione
Sequenza attiva | Visualizzazione del passo o dei passi attivi della catena sequenziale progettata.
Catena intera | Visione generale di una catena sequenziale. Rappresenta tutte le sequenze progettate. Si gestisce usando i pulsanti SFC successivo e SFC precedente.
Tabella simboli | Mostra in due colonne rispettivamente l´indirizzo e il nome simbolo corrispondente.

Informazione

Elementi di controllo per la visualizzazione di informazioni.

Elemento di controllo

Descrizione

Nome delle sequenze concatenate attive

Visualizza il nome della catena sequenziale attiva.

Nome delle sequenza attive

Visualizza il nome del passo attivo.

Numero delle sequenze attive

Visualizza il numero del passo attivo.

Elementi compatibili

Elementi di controllo sostituiti o cancellati da nuove versioni, ma che, per ragioni di compatibilità, sono ancora disponibili.

Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

I seguenti elementi di controllo Win32 sono stati sostituiti da elementi di tipo Testo dinamico.

  • Nome della sequenza di comando attiva.
  • Nome delle sequenza attive
  • Numero della sequenza attiva

Hardware

Elementi di controllo per la navigazione e il tipo di visualizzazione.

Elemento di controllo | Descrizione
Scambio KOP/FUP | Usando questo pulsante potete passare dal tipo di visualizzazione KOP a quello FUP e viceversa.
Sequenza successiva | Passa nel Runtime al passo successivo.
Sequenza precedente | Passa nel Runtime al passo precedente.
SFC successivo | Nel Runtime, passa alla sequenza successiva nella visuale del tipo Intera catena, sempreché ci siano più sequenze nel blocco funzionale.
SFC precedente | Nel Runtime, passa alla sequenza precedente nella visuale del tipo Intera catena, sempreché ci siano più sequenze nel blocco funzionale.


Filtro per cambio immagine

Manuale -> PLC Diagnosis -> S7-Graph -> Filtro per cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se usate la funzione "Cambio immagine" per aprire un´immagine del tipo S7-Graph, verrà visualizzato il seguente dialogo.

Parametro | Descrizione
S7-Graph File |
Sorgente S7-Graph | Selezionate il file (*.gr7) generato dall´import S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della catena sequenziale.
Posizione mappa simboli | Selezionate il file (*.seq) generato con dall´import S7-Graph. Questo file contiene l´assegnazione di operandi assoluti (cioè indirizzi fisici) a operandi simbolici oppure simboli (cioè identificatore logici). Per esempio: Ingresso "E 1.0 = Pulsante 1"
Variabile |
Variabile Istanza-DB. | Variabile di zenon di tipo USINT come block-array, che visualizza il blocco dati di istanza della catena sequenziale. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Rappresentazione |
Rappresentazione | Scegliete la modalità di rappresentazione desiderata: Ladder diagram (KOP) o Function plan(FUP). Se configurate nella vostra immagine il pulsante Scambio KOP/FUP, potete passare da una modalità all´altra durante il Runtime.
Larghezza linea [Pixel] | Definite lo spessore in pixel delle linee di collegamento fra gli elementi.
Carattere | Selezionate il carattere desiderato per tutti i testi nell´immagine del tipo S7-Graph fra quelli contenuti nel menù a tendina.
Colori | Definite i colori per gli stati "Basso livello" e "Alto livello" nonché per i "Simboli". Cliccate sul rettangolo colorato corrispondente per modificare il colore.


Funzione "Valutazione euristica S7-Graph"

Manuale -> PLC Diagnosis -> S7-Graph -> Funzione "Valutazione euristica S7-Graph"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di eseguire un´analisi euristica S7-Graph senza che l´immagine di tipo S7-Graph debba essere attiva. Così, per esempio, il sistema può eseguire un´analisi anche in caso di un messaggio di errore S7-PDiag via una variabile d´allarme S. L´euristica analizza il passo momentaneamente interessato da un problema, al fine di determinarne la causa.

La funzione ha le seguenti proprietà:

Parametro | Descrizione
S7-Graph File |
Sorgente S7-Graph | Selezionate il file (*.gr7) generato dall´import S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della catena sequenziale.
Posizione mappa simboli | Selezionate il file (*.seq) generato con dall´import S7-Graph. Questo file contiene l´assegnazione di operandi assoluti (cioè indirizzi fisici) a operandi simbolici oppure simboli (cioè identificatore logici). Per esempio: Ingresso "E 1.0 = Pulsante 1"
Variabili |
Variabile Istanza-DB. | Variabile di zenon di tipo USINT come block-array, che visualizza il blocco dati di istanza della catena sequenziale. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Variabile di segnalazione | Variabile interna di tipo STRING, che mostra il testo di stato dell´euristica.


Descrizione analisi degli operandi

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter individuare rapidamente quale passo è disturbato e quale operando nelle transizioni ne è responsabile, la variabile informativa verrà valorizzata con un messaggio indicativo. Esso viene generato nelle seguenti fasi:

Ancora in questo capitolo

1. Ricerca del passo disturbato

2. Selezione della transizione modificata

3. Trova gli operandi mancanti


1. Ricerca del passo disturbato

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 1. Ricerca del passo disturbato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la variabile di allarme inviata è di tipo UDINT, questa conterrà il numero del passaggio disturbato in caso di errore. Questo numero potrà servire per ulteriori analisi. Se viene inviata solamente una variabile BOOL, verrà utilizzato il primo passo attivo che al momento risulta disturbato.


2. Selezione della transizione modificata

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 2. Selezione della transizione modificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nel passo disturbato sono presenti più transizioni ai passi successivi, verrà valutata solamente la transizione con numero di transizione minore.


3. Trova gli operandi mancanti

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 3. Trova gli operandi mancanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La possibile causa di disturbo individuata nel modo sopra descritto, viene visualizzata nella variabile di segnalazione. Il contenuto di questa variabile viene attualizzato quando eseguite la funzione "Valutazione euristica S7-Graph".

Per trovare gli operandi mancanti nella transizione definita, viene analizzato "l'albero delle condizioni" in modo gerarchico. Ciò può essere illustrato nel modo più semplice nella visualizzazione FUP (vedi esempio sottostante). Quando viene trovato un operando, sono possibili i seguenti diversi casi:

AND

Si seguono tutti i percorsi non soddisfatti al momento dell´analisi (nell'immagine sono di color rosso).

OR

Per ogni percorso si calcola il grado di soddisfazione, cioè il rapporto di input soddisfatti in relazione al numero complessivo degli input in entrata. Poi si segue solo quel percorso che vanta il più elevato grado di soddisfazione. Nel caso ci siano più percorsi con lo stesso livello di soddisfazione, viene usato il primo.

Con questo procedimento sistematico si trova una numero più piccola, ma tuttavia significativa, di operandi che può essere importante per il passaggio al passo successivo.

Nell'esempio seguente, l´algoritmo troverebbe solo l'operando M102.2, visto che esso rappresenta la quantità minore possibile di operandi necessaria per commutare la transizione da disturbata a non disturbata.


zenon Logic Monitoring Viewer

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer

info Info

Questo tool visualizza e analizza programmi zenon Logic. Con il Monitoring Viewer, i processi nel Runtime di zenon Logic possono essere visualizzati direttamente nell´immagine di zenon.

Ancora in questo capitolo

Requisiti

Integrazione di ActiveX in un´immagine zenon

Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.


Requisiti

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 SP3 di zenon, l'ActiveX X5Monitoring.ocx (che esegue la rappresentazione di programma zenon Logic) viene installato nella cartella di programma di zenon e registrato nel sistema operativo. In precedenti versioni di zenon l´installazione e la registrazione devono essere effettuate manualmente.

Questo programma è disponibile al momento solo per la versione PC di zenon.

Per poter usare il Monitoring Viewer di zenon Logic è necessaria una licenza per PLC Diagnosis.

Il wizard zenon Logic Monitoring Builder deve essere eseguito nel workbench di zenon Logic prima che lo zenon Logic Monitoring Viewer possa visualizzare l´attuale codice di programma, Il wizard si lancia nel workbench di zenon Logic, alla voce Tools > crea applicazione Monitoring... viene aperto il Wizard.

Bisogna disporre di una licenza per questo wizard.

Diverse proprietà possono essere modificate nel wizard. Per es. può essere definita l'autorizzazione all'osservazione di programmi e a forzare dei valori di variabili (completamente bloccato, protetto da password, aperto).

Il Wizard crea un file <ProjektName>.K5m e lo salva nella cartella di progetto di zenon.


Integrazione di ActiveX in un´immagine zenon

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Integrazione di ActiveX in un´immagine zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'Editor di zenon selezionate l'elemento dinamico ActiveX e, con l´aiuto del mouse, disegnatelo nell´immagine di zenon con la dimensione che desiderate. Si aprirà la finestra di dialogo per la selezione di un 'ActiveX Control. Selezionate X5Monitoring Control e cliccate sul pulsante "Proprietà ...."

Nella seguente finestra di dialogo indicate il percorso del file che è stato creato con il Monitoring Builder ed impostate i parametri di comunicazione:

info Info

Se non sono stati modificati dei percorsi mentre il Monitoring Builder Wizard era in esecuzione, il file Monitoring si trova nel percorso SQL del progetto di zenon. Trovare il GUID (per es. nelle proprietà del progetto di zenon Logic in zenon) e cercare il file *.K5m. Questo file si trova nel percorso standard.

%ProgramData%\COPA-DATA\SQL\<GIUID>\FILES/straton\<zenon Logic Projectname>\[zenon Logic Projectname.K5m].

info Info

Nelle "Connection settings" usate solo indirizzi IP e non nomi calcolatori! Se 'applicazione zenon Logic è in esecuzione sullo stesso calcolatore di zenon, inserite 127.0.0.1 come indirizzo di local host.

Separato da due punti (:), inserite la Runtime port del Runtime di zenon Logic dopo l´indirizzo IP. Per lo più esso è 1200.


Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Confermate entrambe le finestre di dialogo cliccando su “OK“. Dopo la generazione dei file Runtime di zenon e l'avvio del Runtime di zenon e zenon Logic, il codice PLC verrà visualizzato nella corrispondente immagine di zenon:

A seconda delle autorizzazioni impostate nel Monitoring Builder Wizard, possono essere osservati programmi oppure possono essere forzati.valori


Process Gateway

Manuale -> Process Gateway

The Process Gateway serves as a coupling to higher-level systems, such as a Control Center. This means that parts of the zenon process image are provided for other applications and updated by these.

  • Process data from zenon Runtime can be forwarded to superordinate systems.
  • Superordinate systems can write values or commands to zenon Runtime.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

info Info

The Process Gateway user interface is only available in English.

Ancora in questo capitolo

General

Requirements

Start

DEC

DNP3 slave

ICCP-TASE.2

IEC870 Slave

MODBUS Slave

MS Azure

OPC UA Server

SNMP agent

SQL


General

Manuale -> Process Gateway -> General

The following is applicable for the Process Gateway:

  • It is thought as an add-on to the Runtime of the control system and only works in combination with it.
    That means: If zenon Runtime has not been started, the Process Gateway does not start!
  • Several Process Gateways can be started on one computer.
    You can find further information on this in the Start with command line chapter.
  • The Process Gateway can be started on both a standalone computer as well as in the zenon network (server/standby/client). All Process Gateways that are started in the network provide the same process image.
  • The module to be started is selected and configured in its own INI file of the Process Gateway, not in the zenon6.ini file as is otherwise the case for zenon!
    The INI file for the Process Gateway is called zenProcGateway.INI and is in the %CD_SYSTEM% folder. With a standard installation, the storage folder is C:\ProgramData\COPA-DATA\System by default.

Project selection

If no special project name is defined in the configuration file (zenProcGateway.ini), all configurations of the Process Gateway are applicable to the first project loaded by Runtime.

In a multi-project system, it is possible to access any desired project in the hierarchy. To do this, enter the project name in the Project= entry in the [GENERAL] section in the INI file. If this entry is empty, the integration project is applicable.

Ancora in questo capitolo

Variable assignment using names


Variable assignment using names

Manuale -> Process Gateway -> General -> Variable assignment using names

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Process Gateway, the respective assignment is carried out using the variable name.

This is important if:

  • Variable names in the project configuration are changed in zenon Editor.
  • Variables in the project configuration in the Editor are deleted.
  • zenon calls up a new start project.

In this case, module-independent error dialogs appear when Process Gateway is started.

attention Attenzione

If a variable assignment is erroneous, the Process Gateway is not started! The Process Gateway only starts if the incorrect variable assignment has been corrected.

The first error dialog lists the unknown variables.

  • In this case, amend the variable assignment again.
  • To do this, remove all incorrectly-assigned variables from the respective export area and re-add the corresponding variables.

The dialog that follows contains module-dependent error messages.

LOG entry

The following LOG entry is created in the event of incorrect variable assignment:

LOG entry | Description
Failed to update value for variable %s. | No COM connection to zenon could be established, or the variable is not (or no longer) available in zenon or has been renamed.


Requirements

Manuale -> Process Gateway -> Requirements

On the computer on which the Process Gateway should run, the Runtime with the corresponding release version and a loaded project that corresponds to the configuration has to be started before it is started. If Runtime is stopped, the Process Gateway is also stopped automatically.

If zenon Runtime is not loaded when Process Gateway is started, a corresponding warning dialog is shown:

info Info

The Process Gateway uses the COM interface to access zenon data. The COM interface is used by VBA and is only available if zenon6.ini is present in the file under under [VBA] the entry EVENT=1.


Start

Manuale -> Process Gateway -> Start

The Process Gateway consists of the zenProcGateway.exe file. This is copied to the zenon program folder during installation. However, it can also be used in a different folder.
Attention: The module (Accesss*.dll) to be used with the Process Gateway has to be in the same folder as zenProcGateway.exe.
Exception: SNMP.

The zenProcGateway.ini configuration file is in the %CD_SYSTEM% system folder.
In this INI file, the DLL= entry (in the [GENERAL] section) determines the module with which the Process Gateway starts.

Process Gateway - Start

The Process Gateway can be started:

  • via Startup Tool
  • via zenon function

In both start methods, the Process Gateway can be started with parameters in the command line interface. Different INI files of the Process Gateway can thus be determined.

Configuration

The configuration consists of two parts.

  • Module selection
    In the first stage of configuration, select the module that communicates with the Process Gateway.
    You can find further information on this in the module selection chapter.
  • Module-specific configuration
    Depending on the selected module, connection parameters and variable assignments can be configured.
    You can find details on this from the module configuration chapter in the respective section in this handbook.

All configurations of the Process Gateway are saved in an INI file. Please note that not all entries of the corresponding INI file can be configured via a corresponding user interface.

The module is determined with the DLL= entry (in the [GENERAL] section).

Possible entries:

Module | Entry
DEC | DLL=AccessDEC.dll
SQL | DLL=AccessSQL.dll
MODBUS | DLL=AccessMODBUS.dll
DNP3 | DLL=AccessDNP3.dll
IEC870Sl | DLL=AccessIEC870Sl.dll
SNMP | DLL=AccessSNMP.dll
OPCUA | DLL=AccessOPCUA.dll
ICCP/TASE.2 | DLL=AccessICCP.dll
MS Azure | DLL=AccessAzure.dll

Security configuration

The Process Gateway can be executed hidden to protect it from unauthorized access. If the Process Gateway is started in the command line with the parameter /hide (or -hide), it starts invisible and cannot be configured or stopped. The Process Gateway closes automatically when the zenon Runtime is closed.

Ancora in questo capitolo

Start via Startup Tool

Start via zenon function

Start with command line

Module selection

INI file


Start via Startup Tool

Manuale -> Process Gateway -> Start -> Start via Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Gateway can be started via the zenon Startup Tool.

To do this, carry out the following steps:

  1. Open the zenon Startup Tool.
  2. Click Tools.

    The dialog for configuring the zenon Tools is opened.

  3. Select Process Gateway.
  4. Click the Start button to start the Process Gateway with the configuration from the current zenProcGateway.INI file.

    Or:
    Enter the name of the EXE and the name of the INI file as a start parameter into the Command line parameters:
    zenProcGateway.EXE /ini:MyConfig.INI

    You can find further information on this in the Start with command line chapter.
    Note: The parameters alone are not sufficient. The zenProcGateway.EXE call must be entered.

  5. Click on Start.


Start via zenon function

Manuale -> Process Gateway -> Start -> Start via zenon function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Gateway can - like any other Windows application - be started with the Esegui programma function.

Engineering

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Navigate to the node Windows.
  3. Select the Esegui programma function.
    The dialog to select the program and enter start parameters is opened.
  4. Select the desired program.
    1. Click on the button ...
      The file selection dialog is opened.
    2. Go to the zenon Installation directory:
      Program Files (x86) - 64-bit operating system

      Program Files - 32-bit operating system

    3. Select the file zenProcGateway.exe
    4. Confirm the selection by clicking on the Open button
  5. Optional: Configure the parameters hat are executed when the function is executed.
    You can find further information on this in the Start with cammand line chapter.
    If this parameter is empty, the Process Gateway starts with the zenProcGateway.INI file.
  6. Close the dialog by clicking on the OK button.
  7. Assegnare un nome alla funzione nella proprietà Nome.

Tipp Suggerimento

If this function is linked in the AUTOSTART* script, Process Gateway automatically starts with Runtime.


Start with command line

Manuale -> Process Gateway -> Start -> Start with command line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several Process Gateways can be started on one computer. To do this, a separate INI file must be present for each Process Gateway to be started. The INI file must be in the system folder (%CD_SYSTEM%).

Examples of use:

  • Simultaneous start of several Process Gateways with different modules
  • Start several instances of Process Gateway with the same module (not applicable for all modules).
    Requirement: separate communication parameters for each instance, for example no conflicts in IP ports.

In this case, the zenProcGateway.EXE must be started with the command line parameter /ini:[file].

Syntax of command line:

  • In the Startup Tool:
    zenProcGateway.EXE /ini:[FileName].INI
  • In the zenon Esegui programma function
    Parameter input field: /ini:[file name].INI

[FileName].ini must be replaced by the correct name of the INI file.


Module selection

Manuale -> Process Gateway -> Start -> Module selection

The following possibilities are available for the selection of a module for the Process Gateway:

  • First start
    When the Process Gateway is started for the first time, a dialog to select the module is shown.
    This selection dialog is also offered when the Process Gateway is started if there is no INI file or if no module is configured in the selected INI file.
    The zenProcGateway.INI file is used by default.
  • Module already configured
    If a module has already been configured for Process Gateway, Process Gateway starts with the communication dialog of the configured module.
    When the Process Gateway starts, communication already starts if all necessary connection parameters for the module have been configured and are valid.

Ancora in questo capitolo

First start

Change existing module selection

Start with configured module


First start

Manuale -> Process Gateway -> Start -> Module selection -> First start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The module must be configured when it is started for the first time.

To start Process Gateway with a selectable module:

  1. Start Process Gateway with an INI file that does not exist (there must be no other module configured in the INI file).
    Process Gateway uses the file zenProcGateway.INI by default. You can define another file in the command line (/ini:[FileName].INI).
    You can find more information in the Start with command line.
  2. The dialog to select the module is opened.
  3. Select the desired module.
  4. Confirm your selection by clicking on the OK button.
    The Process Gateway then creates your INI file.
  5. The Process Gateway starts with the communication dialog of the selected module.


Change existing module selection

Manuale -> Process Gateway -> Start -> Module selection -> Change existing module selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Process Gateway starts with a module that has already been configured for a different communication protocol, without offering the dialog to select a module, then:

  1. Close the Process Gateway.
  2. Edit the existing zenProcGateway.INI file.
    1. To do this, go to the %CD_SYSTEM% directory.
    2. Open the file in any desired text editor and add comments for the module in the file; or rename the INI file.
  3. Restart the Process Gateway:
    If the INI file has been removed, the dialog to select a module is offered again when Process Gateway starts.


Start with configured module

Manuale -> Process Gateway -> Start -> Module selection -> Start with configured module

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start the Process Gateway with a module that has already been configured; a dialog with static communication data is opened.

Parameter | Description
Statistic information | Information on communication with the counterparty:
Exit | Closes process gateway.
Configuration | Opens the module's configuration dialog.
Help | Opens online help.

attention Attenzione

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


INI file

Manuale -> Process Gateway -> Start -> INI file

The Process Gateway saves the both the module selection and the module-specific configurations in the INI file.

The module-specific configurations between the modules are very different. Please note the detailed documentation in the module-dependent INI entries in this manual.

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

Module-independent content

[GENERAL]

Inserimento

Descrizione

[GENERAL]

Impostazioni generali per il Process Gateway, indipendentemente dal modulo prescelto.

DLL=

Selezione del file DLL da usare per il Process Gateway. Il file DLL selezionato determina la scelta del modulo.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll

[DATABASE]

Entry | Description
PROJECT= | Name of the zenon project with which Process Gateway communicates with Runtime. In a multi-project system, it is possible to access any desired project in the hierarchy. If this entry is empty, the integration project is applicable. Default: Empty (project currently loaded in Runtime)


DEC

Manuale -> Process Gateway -> DEC

Ancora in questo capitolo

Module configuration

Logging

Configuration file: specific entries for AccessDEC


Module configuration

Manuale -> Process Gateway -> DEC -> Module configuration

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. In the list on the left-hand side all variables which are available in zenon are displayed. These can be selected and moved to the DEC export list with the '>' button. With the button '<' they can be removed again. If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to the DEC variable opens:

The assignment is defined with a four digit press number and the four digit parameter name. Entered characters are automatically changed to upper case. The variables selected in this way then are continuously synchronized in zenon or in the connected DEC system.

In the lower part of the configuration dialog the TCP/IP connection to the DEC system can be configured.

The port number indicates the port where the Process Gateway waits for incoming connections.

The timeout is the time without response, after that the connection is closed.


Logging

Manuale -> Process Gateway -> DEC -> Logging

All telegrams received by the DEC system and the responds from the Process Gateway can be logged.

To do this an entry LOGFILE in the section [DEC] of the configuration file with the name of the log file has to exist. This file then is created in the same folder as zenProcGateway.exe.

Example for this entry:
[DEC]
LOGFILE=zenProcGateway.log


Configuration file: specific entries for AccessDEC

Manuale -> Process Gateway -> DEC -> Configuration file: specific entries for AccessDEC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Nota: Il file di configurazione deve trovarsi nella cartella di sistema.

[DEC]

Inserimento | Descrizione
LOGFILE= | Nome del file LOG (se lo si desidera, per es. zenProcGateway.log)
PORT= | Numero di porta dove il Process Gateway attende tentativi di connessione.
TCPTIMEOUT= | Intervallo di timeout alla cui scadenza viene interrotta la connessione
REFRESHRATE= | Intervallo in millisecondi in cui il sistema verifica se ci sono modifiche dell'immagine di processo di zenon.


DNP3 slave

Manuale -> Process Gateway -> DNP3 slave

Ancora in questo capitolo

Module configuration

Communication - procedure

Select before Operate

Command processing - Command Routing

Device Profile

Configuration file: specific entries for Access DNP3

LATCH_ON and LATCH_OFF

INI file


Module configuration

Manuale -> Process Gateway -> DNP3 slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears in the Process Gateway after the Settings button is clicked:

Variables

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the DNP3 export list with the button >. With the button < they can be removed again.
As a result of the fact that variables are selected from a list, it is ensured that each variable is only used once.

The point list (Exported into DNP3) also contains the project reference of a variable. If a variable belongs to the default project, it is displayed with "[Project]#[Variable Name]" in the point list. If it belongs to the default project (marked with *), it is only listed in the point list with the variable name.

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens.

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Allocation of object groups to event classes

The allocation of object groups to event classes is defined and fixed and is as follows:

Event Class 1: Binary inputs

Event Class 2: Analog inputs

Event Class 3: Binary Outputs, Analog Outputs, Running Counters, Octet Strings

Variables

Parameter | Description
Variables | Area for variable selection, depending on the selected project.
Available in SCADA | Area for the display of the available projects and the variables assigned to the selected project.
Projects | List of the projects available in the DNP3 module of the Process Gateway. The default project is marked with a * in front of the project name. This is generally the configured start project. Exception: A different file is configured in the INI file. Please also note the information on naming the variables for DNP3 in the Process Gateway.
Variables | List of all variables of the selected project available in zenon. These are also displayed by selecting a project by clicking in the Projects area. The variables are selected in this area and applied using the > button in the Exported into DNP3 area. Note: Multiple selection (Shift or ALT key) is possible.
Button > | Selected variables from the Variables list are moved to Exported into DNP3. Clicking on the > button opens the object settings dialog.
Button < | Selected variables are removed from the Exported into DNP3 list.
Exported into DNP3 | Export list of the assigned variables. Double clicking on the entry opens the object settings dialog. The variables selected in this way are available on the DNP3 slave. These variables are continually synchronized between zenon and the DNP3 object database. Please also note the information on naming the variables for DNP3 in the Process Gateway.

DNP3 connection

In the lower part of the configuration dialog the serial or TCP/IP connection for the DNP3 slave can be configured.

Parameter

Description

Unsolicited Responses

Button for the configuration of responses that that are not requested (Unsolicited Responses), which the Process Gateway sends to the DNP3 master.

Attention: The DNP3-Master can also request Unsolicited Responses from the Process Gateway. However to do this, the functionality must be activated in the Process Gateway.

The number of events and the maximum time delay can be configured for each event class.

Timeout and Retry are given for all event classes together.

Clicking on the button opens the configuration dialog.

Note: Entries are remanent.

Event Handling

Button for the configuration of event handling

Clicking on the button opens the configuration dialog.

Variations

Button for the configuration of the Variations per object group.

Clicking on the button opens the configuration dialog.

SELECT Timeout [ms]

Timeout for Select before Operate.
An Operate from the master is expected within the configured time.

Default: 5000 ms

Input range: 1000 to 65000

Local Session Link Adress

Link address of the slave.

Default: 3

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Remote Link Address (Master)

Link address of the master.

Default: 4

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Time Zone

Button to select the time format:

  • Local Time
  • UTC

Serial

Serial

Configurations of the serial interface for communication on the DNP3 slave

Port

Drop-down list for the configuration of the communication interface:

Value range: COM 1 to COM 64

Default: COM 1

Note: Only active if Serial is activated as the communication method.

Stop Bits

Drop-down list for the configuration of the number of stopbits transferred:

  • 1
  • 1,5
  • 2

Default: 1

Note: Only active if Serial is activated as the communication method.

Parity

Drop-down list for the configuration of the parity:

  • No
  • Odd
  • Even

Default: No (= no parity)

Note: Only active if Serial is activated as the communication method.

Data Bits

Drop-down list for the configuration of the number of data bits transferred:

  • 5
  • 6
  • 7
  • 8

Default: 8

Note: Only active if Serial is activated as the communication method.

Baudrate

Drop-down list to select the Baud rate for serial interface communication.

Selection options: 110, 300, 600, 1200, 2400, 4800, 9600, 19200, 38400, 56000, 57600, 115200, 128000, 256000

Default: 9600

Note: Only active if Serial is activated as the communication method.

TCP/IP

TCP/IP | Configurations for communication in a network via TCP/IP.
Port | Input field for the configuration of the "Listener-/Horch-" protocol port Default: 20000 Note: Only active if TCP/IP is activated as the communication method.

Close dialog

OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Ancora in questo capitolo

Naming of the variables for DNP3 in the Process Gateway.

Variable selection - object settings

Unsolicited Responses

Event Handling

Variations per object group - variations


Naming of the variables for DNP3 in the Process Gateway.

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Naming of the variables for DNP3 in the Process Gateway.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable name of the DNP3 slave for communication to the DNP3 master comprises the following components:

  • Project name
  • #
    A # character is inserted after the project name as a separator
    Attention: There is no project name and separator with start projects!
    If a variable name in the DNP3 module of the Process Gateway is not preceded by a project, the project defined in the INI file is automatically placed in front for communication to the DNP3 master.
    If there is no project defined in the INI file, this corresponds to the start project in Runtime.
    The start project is marked with a * in the module configuration, in the Available in SCADA group, in the Projects .
  • Variable name
    As configured in zenon.
  • Object type
    As configured in the Object Settings dialog.
  • Point index
    As configured in the Object Settings dialog.
  • Event handling
    As configured in the Object Settings dialog.


Variable selection - object settings

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Variable selection - object settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens:

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Settings

Parameter

Description

Name

Name of the variable for which the configurations can be carried out.

Note: For information only and grayed out, because it cannot be changed.

Object

Drop-down list to select the driver data type to the driver

  • Analog Inputs
  • Analog Output Status
    (written value is mirrored as a response after successful writing)
  • Binary Inputs
  • Binary Output Status
  • Running Counters
  • String Data

Default: Binary inputs

Event Handling

Denotes which events can be processed:

  • Default
    Events are handled as defined in the object group.
    For this, please note the configuration in the Event handling dialog.
  • SOE
    Events are treated as a Serie of Events.
  • Most recent
    Only the last change of a binary change event is retained.

Note: Inactive if the data type is string data.

Default: Default

Point

Pointindex for the event.

Default: 0

Note: Ensure that the point index is unique for each variable. It is recommended that that the point index is started at 0 and numbered incrementally.

Enable SBO routing

Checkbox for the activation of command processing (command routing). The Command Routing can be configured individually for each variable.

  • Active:
    Communication includes Command Routing
  • Inactive:
    Communication is carried out without Command Routing.

Note: only active if, in the Object drop-down list, the Binary Output _Status entry has been selected.

Close dialog

OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo. Note: The variable is in this case not available on the DNP3 slave.

info Info

If several variables have been selected during module configuration, a switch to the configuration dialog of the next variable is made by clicking on the OK or Cancel buttons. A separate configuration dialog is thus called up step by step for each selected variable.


Unsolicited Responses

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Unsolicited Responses

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for the configuration of the Unsolicited Responses in the object settings:

Parameter

Description

Enable unsolicited response

Check box to activate the use of Unsollicited responses. If this check box is not activated, no unsolicited responses are generated.

Default: Inactive

Note: If this property is not active, all of the following entries are grayed out.

Attention: If this option is not active, no unsolicited responses are sent to the master. Even if these are requested by the master.

Timeout

Time in seconds for communication to the master. A time exceedance is triggered once this time has expired.

Input range: 1 to 60 s

Default: 5 s

Note: This setting depends on the type and speed of its communication to the master. In principle, the slower the communication, the higher the Timeout time.

Number of retries

Number of retries for communication to the master.

Input range: 0 - 65535
(0 = an infinite amount of attempts)

Default: 3

Example: If an unsolicited response is sent to the master, this is confirmed by the master. If this confirmation from the master remains outstanding, a confirmation is sent as many times as configured in Number of retries. A new unsolicited response is then created.

Event Class 1

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Intervallo di input: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Intervallo di input: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Maximum Number of Events and Maximum Delay work together. The value that is reached first triggers communication to the master.
Note: You can also prioritize the three event classes with these entries.

Event Class 2

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Intervallo di input: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Intervallo di input: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Event Class 3

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Intervallo di input: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Intervallo di input: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Close dialog

OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.


Event Handling

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Event Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for event groups and their behavior when the value of variable is changed.

Possible options are:

  • Behavior on deletion
  • Behavior on value change
  • Buffer size

Parameter

Description

Delete on buffer overflow

Global setting for which event is deleted when the buffer is full:

  • Oldest
    Oldest entries are deleted.
  • Newest
    Most recent entries are deleted.

Default: Oldest

Binary Change Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Binary Output Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Analog Change Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Analog Output Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Counter Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

String Events

Parameter | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Variations per object group - variations

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Variations per object group - variations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, (Variations) can be configured for the following object groups:

  • 1 Binary Input
  • 2 Binary Input Event
  • 10 Binary Output
  • 11 Binary Output Event
  • 20 Counter
  • 22 Counter Event
  • 30 Analog Input
  • 32 Analog Input Event
  • 40 Analog Output Status
  • 42 Analog Output Event

Different variations are supported depending on the object group:

Parameter | Description
Binary Input | Menù a tendina con le Variations supportate per il gruppo oggetti.Binary Input: 1: packet format 2: with flags Default: 1: packet format
Binary Input Event | Menù a tendina con le Variations supportate per il gruppo oggetti.Binary Input Event: 1: without time 2: with absolute time 3: with relative time Default: 3: with relative time
Binary Output | Menù a tendina con le Variations supportate per il gruppo oggetti.Binary Output: 1: packet format 2: with flags Default: 1: with flags
Binary Output Event | Menù a tendina con le Variations supportate per il gruppo oggetti.Binary Output Event: 1: status without time 2: status with time Default: 1: status without time
Counter | Menù a tendina con le Variations supportate per il gruppo oggetti.Counter: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit without flag 6: 16 bit without flag Default: 5: 32 bit without flag
Counter Event | Menù a tendina con le Variations supportate per il gruppo oggetti.Counter Event: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit flag and time 6: 16 bit flag and time Default: 1: 32 bit with flag
Analog Input | Menù a tendina con le Variations supportate per il gruppo oggetti.Analog Input: 1: 32 bit with flag 2: 16 bit with flag 3: 32 bit without flag 4: 16 bit without flag 5: single precision, floating-point with flag 6: double precision, floating-point with flag Default: 6: double precision, floating-point with flag
Analog Input Event | Menù a tendina con le Variations supportate per il gruppo oggetti.Analog Input Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 6: double precision, floating-point without time
Analog Output | Menù a tendina con le Variations supportate per il gruppo oggetti.Binary Input: 1: 32 bit with flag 2: 16 bit with flag 3: single precision, floating-point with flags 4: double precision, floating-point with flags Default: 2: 16 bit with flag
Analog Output Event | Menù a tendina con le Variations supportate per il gruppo oggetti.Analog Output Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 2: 16 bit without time

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Communication - procedure

Manuale -> Process Gateway -> DNP3 slave -> Communication - procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Value changes are executed via COM. An update in stack direction only occurs if:

  • It is the first value for the object (initial value).
  • The value changes (value change).
  • The status bits Invalid or Not current change (value change of the status bit).

The time stamp of the change is applied in the event of a change. This time stamp is applied from the COM event and transferred to the stack event. The Time Zone setting determines the type of time stamp:

  • Local time or
  • UTC time

The stack no longer checks for a value change, but the gateway cyclically takes the value changes from the queue of the COM threads and forwards them to the stack for entry into the event buffer of the corresponding object group. Event values and static vales (with poll in the stack) are read from the shadow of the item and no longer from the shared memory. The time stamp is applied from the COM event and transferred to the stack event as a local time with millisecond precision.

Binary and analog output variables are written from the master to the Process Gateway.

In addition, these variables send the value back to the master, the same thing that binary and analog input variables do if the assigned variables are changed in zenon Runtime.

As a result of the fact that variables are selected from a list, it is ensured that double selection is prevented.


Select before Operate

Manuale -> Process Gateway -> DNP3 slave -> Select before Operate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Analog Outputs and Binary Outputs have SBO (Select before Operate) functionality. For this, the following applies:

  • The DNP3 master sends a Select command to the outstation.
  • When the Binary Output object type is requested, the following requirements must be met in order for the request to be answered in the positive:
    • The variable exists and is signed in or can be signed in.
    • The data type of the variable is IEC_BOOL or IEC_USINT
    • The value of the command is valid:
      NUL, PulseOn, PulseOff, LatchOn, LatchOff, PulseOn + Close, PulseOn + Trip
  • Requests of the Analog Output object type are always answered in the positive
  • The configured Select timeout is activated automatically.
    If, within this timeout, there is no Operate command received for the respective variable, the processing of the variable is ended automatically.
    Note: If, instead of an Operate Request, a different Request is received for the respective variable, the sequence number is incorrect or the Operate Request does not correspond to the Select Request. Processing is ended automatically.
  • An Operate Request without a previous Select Request is acknowledged with an error.

Tipp Suggerimento

You can find further general information on Select before Operate in the Energy Edition manual, Command Processing in the Execution of a command chapter.


Command processing - Command Routing

Manuale -> Process Gateway -> DNP3 slave -> Command processing - Command Routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Basic requirements for the positive execution of the Select or Operate command are:

  • The variable type is Binary Output
  • The variable exists, is signed in or can be signed in, and is valid (no I-Bit).
  • The data type of the variable is IEC_REAL, IEC_BOOL or IEC_USINT.
  • The control code is valid and can be converted to a Boolean value-
    The following values are valid (the corresponding Boolean value is stated in brackets):
    • NUL (false)
    • PulseOn (true)
    • PulseOff (false)
    • LatchOn (true)
    • LatchOff (false)
    • PulseOn + Close (true)
    • PulseOn + Trip (false)

Procedure

In general, the following applies: Command routing is only activated for exported Binary Output variables for which the Command Routing option has been activated.

  • If a Select command is received for a Binary Output for which the Command Routing option has been deactivated, a positive Response is returned to the master, provided the basic requirements have been met.
  • If, for Binary Output, the Command Routing option has been set, the COT_act command with the control code is sent to the command variable (configured with Binary Output), in the Runtime.
    Note: COT_act is coded in the status value with the help of the COT_act, S_SE_BIT and S_SELECT bits.
  • There is then a wait for the execution of the Select command by the auto-remote command action, before the Response is sent to the master.
    Only once there is a positive response to the Select command sent to the master does the Select Timeout Timer start.
  • The processing of the following Operate command is carried out in the same way as for the Select command.In addition, for an Operate command, there is a check to see whether a Select- command has been received before the command is forwarded to the command processing in Runtime.
  • If, for the Operate command, the Command Routing option is not active or no Select command has been received beforehand, an Operate Request is answered directly.
  • After the Operate command has been processed successfully by the command processing in Runtime, a positive Operate Response is sent to the master. In the event of an error, an Operate Response is sent to the master with an error.

Status of command routing

The following status codes are sent to the master from the outstation:

  • Status Code 0 - SUCCESS
    The command processing was successful.
  • Status Code 1 - TIMEOUT
    A timeout has occurred during command processing.
    The command processing could not be successfully completed within 2 minutes.
  • Status Code 2 - NO_SELECT
    The Select command has been sent by the command processing with an invalid status.
    Invalid statuses are:
    • S_PN_BIT (negative confirmation) received
    • The S_SE_BIT is no longer set
    • None of the COT bits are set
  • Status Code 6 - HARDWARE_ERROR
    This error occurs under the following circumstances:
    • The variable is not signed in and cannot be signed in.
    • The variable has the INVALID bit
    • The value cannot be written or the command cannot be sent.
  • Status Code 10 - AUTOMATION_INHIBIT
    The Operate command has been sent by the command processing with an invalid status.
    Invalid statuses are:
    • S_PN_BIT (negative confirmation) received
    • The S_SE_BIT is no longer set
    • None of the COT bits are set
  • Status Code 12 - OUT_OF_RANGE
    The control code contained in the Request is invalid.

Ancora in questo capitolo

LOG - command routing


LOG - command routing

Manuale -> Process Gateway -> DNP3 slave -> Command processing - Command Routing -> LOG - command routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG entry

Level

Description

processing command %1

MSG

Start of processing a command.

  • %1
    Command:
    Select, Cancel Select or Operate.

command %1 terminates with %2

MSG

The processing of the command has been completed.

  • %1
    Command:
    Select or Operate
  • %2
    DNP3 status code

command CANCEL SELECT finished

MSG

The processing of the Cancel Select command is complete.

command timeout - command failed

ERROR

The timeout status bit S_LAUFZEIT was received when waiting for the command confirmation.

invalid - command failed

ERROR

The I-Bit was received when waiting for the command confirmation.

negative confirmation - command failed (%1)

ERROR

The PN-Bit negative confirmation was received when waiting for the command confirmation.

  • %1:
    Status value, coded in hexadecimal.

no more COT status bits - command failed

ERROR

A status without COT or PN Bit(s) was received when waiting for the command confirmation.

%1 positive (COT_actcon) - command successful

MSG

A positive command confirmation with the code COT_actcon was received.

  • %1
    Command:
    Select or Operate

execution termination positive (COT_actterm) - command succeeds

MSG

A positive command confirmation (COT_actterm) was received.

timeout while waiting for confirmation

ERROR

Waiting for the command confirmation was canceled with a Timeout. No known cancel condition was received during the fixed, defined waiting time of 2 minutes.

timeout while waiting for status change after command launch

ERROR

Waiting for the first status changes after sending the command was canceled with a TIMEOUT. No known cancel condition was received during the fixed, defined waiting time of 2 minutes.

Called SetValueWithStatusEx(%1, %2, %3, ...) returned: %4

DEBUG

Shows the call to send a command. The following information is logged:

  • 1
    Value (0 or 1)
  • 2
    Lowest-value DWORD of the status
  • 3
    Highest-value DWORD of the status
    (contains COT and SE)
  • 4
    true (execution OK) or
    false (execution error)

status request: %1

DEBUG

Shows changes for %1 when the status information is accessed.

status request: %1

DEEPDEBUG

Shows all access to the status information.

converted control code %d to set value %d - result: %u

DEBUG

The command control from Placeholder 1 has been converted to the Boolean value in Placehoder 2.

Note: Placeholder 3 is 0 if the conversion was valid, otherwise it shows the status code 12.


Device Profile

Manuale -> Process Gateway -> DNP3 slave -> Device Profile

The template for the Device Profile is installed together with the DNP3 Process Gateway by the setup. You can find the file DNP3_ProcessGateway.xml in the following folder: %ProgramData%\COPA-DATA\zenon[Version]\CommunicationProfiles\Dnp3\ProcessGateway\


Configuration file: specific entries for Access DNP3

Manuale -> Process Gateway -> DNP3 slave -> Configuration file: specific entries for Access DNP3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder. This INI file is called zenProcGateway.INI and is located in the following folder: C:\ProgramData\COPA-DATA\System.

[DNP3]

Inserimento

Descrizione

SERIAL=

comunicazione seriale (1) o comunicazione via TCP/IP (0)

COMPORT=

interfaccia seriale (COM1 = 0, COM2 = 1,...)

BAUD=

Baud rate dell'interfaccia seriale.

BYTESIZE=

Quantità dei bit di dato dell'interfaccia seriale.

PARITY=

Impostazioni di parità dell´interfaccia seriale
(0=nessuna,1=dispari,2=pari)

STOPBITS=

Numero dei bit di stop dell'interfaccia seriale
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

Indirizzo di collegamento per la sessione locale.

LINKADDRREM=

Indirizzo di collegamento per la sessione remota.

SELECTTIMEOUT=

Timeout in ms per Select before Operate.

Se non si riceve un comando OPERATE per la variabile corrispondente prima che scada questo timeout, viene interrotta automaticamente l´elaborazione della variabile stessa con un comando CANCEL.

Default: 50000 ms

PORT=

Porta per la comunicazione via TCP/IP

Default: 20000

TIME_USE_UTC=

Formato del time stamp:

  • 0= Ora locale
  • 1 = UTC

Default: 0

Obj1BinInput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags

Default: 1: packet format

Obj2BinInputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: without time

2: with absolute time

3: with relative time

Default: 3: with relative time

Obj10BinOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags
Default: 1: with flags

Obj11BinOutputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: status without time
2: status with time

Default: 1: status without time

Obj20Counter=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Default: 5: 32 bit without flag

Obj22CounterEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Default: 1: 32 bit with flag

Obj30AnalogInp=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Default: 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Default: 2: 16 bit with flag

Obj41AnalogOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Attiva o disattiva Unsolicited Responses:

  • 0 = non attiva
  • 1 = attiva

Default: non attiva (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Tempo in secondi per la comunicazione con il Master. Dopo lo scadere di questo intervallo di tempo, viene inizializzato il conteggio di un timeout.

Intervallo di input: da 1 a 60 s

Default: 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Numero di tentativi di stabilire la comunicazione con il Master.

Intervallo di input: 0 - 65535
(0 = numero infinito di tentativi).

Default: 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

[VARIABLES]

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

EVENT_%d

Gestione degli eventi: Gestione degli eventi per ogni variabile.
Appartiene sempre a una variabile: p.es. EVENT_0 appartiene a NAME_0

Valori:

  • DEFAULT
    La gestione degli eventi avviene come nel gruppo oggetti.
  • MOST_RECENT
    Mantiene solamente l´ultimo cambio di un evento di modifica binario.
  • SOE
    Crea una serie di eventi.

Default: Default

NAME_n

Nome della variabile con il numero n (0<=n<COUNT)

OBJECT_n

Tipo oggetto DNP3 della variabile con il numero n (0<=n<COUNT)

POINT_n

Numero del dato DNP3 della variabile con il numero n (0<=n<COUNT)

ROUTING_n

Command Routing per variabili di tipo Binary Output con il numero n(0<=n<COUNT)

  • 1:
    Command Routing per variabile è attivato.
  • 0:
    Command Routing per variabile è disattivato.


LATCH_ON and LATCH_OFF

Manuale -> Process Gateway -> DNP3 slave -> LATCH_ON and LATCH_OFF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Control Code from the PLC is written to USINT variables as an 8-bit value via Process Gateway. The following applies for transfer to zenon variables:

Destination variable of the command | Result
BOOL: | Set value LATCH_ON: 1 Set value LATCH_OFF: 0
USINT: | Set value corresponds to control code.
all other variables: | Command failed.

Only direct control is supported. Select, SBO and Operate are not supported.

Master, control mode direct | Process Gateway | Value zenon USINT
LATCH_ON | Binary Output Statuses | 3
LATCH_OFF | Binary Output Statuses | 4
Pulse On | Binary Output Statuses | 1
Pulse Off | Binary Output Statuses | 2
Trip | Binary Output Statuses | 129
Close | Binary Output Statuses | 65

For zenon binary output statuses BOOL, only LATCH_ON/LATCH_OFF is supported.


INI file

Manuale -> Process Gateway -> DNP3 slave -> INI file

[DNP3]

Inserimento

Descrizione

SERIAL=

comunicazione seriale (1) o comunicazione via TCP/IP (0)

COMPORT=

interfaccia seriale (COM1 = 0, COM2 = 1,...)

BAUD=

Baud rate dell'interfaccia seriale.

BYTESIZE=

Quantità dei bit di dato dell'interfaccia seriale.

PARITY=

Impostazioni di parità dell´interfaccia seriale
(0=nessuna,1=dispari,2=pari)

STOPBITS=

Numero dei bit di stop dell'interfaccia seriale
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

Indirizzo di collegamento per la sessione locale.

LINKADDRREM=

Indirizzo di collegamento per la sessione remota.

SELECTTIMEOUT=

Timeout in ms per Select before Operate.

Se non si riceve un comando OPERATE per la variabile corrispondente prima che scada questo timeout, viene interrotta automaticamente l´elaborazione della variabile stessa con un comando CANCEL.

Default: 50000 ms

PORT=

Porta per la comunicazione via TCP/IP

Default: 20000

TIME_USE_UTC=

Formato del time stamp:

  • 0= Ora locale
  • 1 = UTC

Default: 0

Obj1BinInput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags

Default: 1: packet format

Obj2BinInputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: without time

2: with absolute time

3: with relative time

Default: 3: with relative time

Obj10BinOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags
Default: 1: with flags

Obj11BinOutputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: status without time
2: status with time

Default: 1: status without time

Obj20Counter=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Default: 5: 32 bit without flag

Obj22CounterEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Default: 1: 32 bit with flag

Obj30AnalogInp=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Default: 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Default: 2: 16 bit with flag

Obj41AnalogOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Attiva o disattiva Unsolicited Responses:

  • 0 = non attiva
  • 1 = attiva

Default: non attiva (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Tempo in secondi per la comunicazione con il Master. Dopo lo scadere di questo intervallo di tempo, viene inizializzato il conteggio di un timeout.

Intervallo di input: da 1 a 60 s

Default: 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Numero di tentativi di stabilire la comunicazione con il Master.

Intervallo di input: 0 - 65535
(0 = numero infinito di tentativi).

Default: 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Intervallo di input: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Intervallo di input: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

[VARIABLES]

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

EVENT_%d

Gestione degli eventi: Gestione degli eventi per ogni variabile.
Appartiene sempre a una variabile: p.es. EVENT_0 appartiene a NAME_0

Valori:

  • DEFAULT
    La gestione degli eventi avviene come nel gruppo oggetti.
  • MOST_RECENT
    Mantiene solamente l´ultimo cambio di un evento di modifica binario.
  • SOE
    Crea una serie di eventi.

Default: Default

NAME_n

Nome della variabile con il numero n (0<=n<COUNT)

OBJECT_n

Tipo oggetto DNP3 della variabile con il numero n (0<=n<COUNT)

POINT_n

Numero del dato DNP3 della variabile con il numero n (0<=n<COUNT)

ROUTING_n

Command Routing per variabili di tipo Binary Output con il numero n(0<=n<COUNT)

  • 1:
    Command Routing per variabile è attivato.
  • 0:
    Command Routing per variabile è disattivato.


ICCP-TASE.2

Manuale -> Process Gateway -> ICCP-TASE.2

The IEC 60870-6 TASE.2 ICCP protocol can be used with the AccessICCP.dll module via the zenon Process Gateway. ICCP-TASE.2 supports Conformance Blocks 1 and 2 as client and server. Process Gateway acts like a server by default when communication is established.

Communication in the ICCP protocol is spontaneous. An ICCP server reports the value changes to its communication partner, the remote client. However, an ICCP server cannot actively read the value changes from the remote client. In order to guarantee two-way exchange of data, both communication partners should have a client and a server.

Possible system configurations

  • Server only

    Communication with several remote ICCP communication partners possible.
    This is the case if the Available from ICCP variable list is empty.
    Note: Client Variables tab in the configuration dialog of the Process Gateway.

  • Server and passive client

    The client will not initialize the communication with the remote ICCP server itself.
    Communication with several remote ICCP communication partners is possible.
    This is the case if the Initalise communication property is not active.
    Note: General tab in the configuration dialog of the Process Gateway.

  • Server and active client

    The client can initialize communication with remote ICCP servers itself.
    A communication is only possible with a remote ICCP communication partner.

Establishing communication

After the initialization of the communication with the zenon ICCP server or initialization by its own client, the verification of the bilateral table ID is carried out. If the verification was successful, the zenon ICCP client registers the variables to be communicated on the remote server as a DataSet and activates spontaneous communication of the DSTransferSet (MMS.InformationReport).

Note: The ICCP client also communicates with the server if, in the configuration of the Client variables tab, no variables are contained in the Available from ICCP list. In this case, the client only checks the bilateral table.

ICCP data exchange

  • ICCP Server
    • The ICCP server sends value changes of variables to DSTransferSets (MMS.InformationReport) spontaneously. If the values of variables in zenon Runtime change, a DSTransferSet is sent to the remote client.
    • The ICCP server can also receive write requests from the remote client (MMS.write request). These are transferred to zenon Runtime and Runtime forwards this request to the corresponding zenon driver. If the writing is confirmed by the PLC, the zenon variable changes its value.
  • ICCP Client
    • In the event that a variable in zenon Runtime sends the ICCP client a corresponding write request (MMS.write request) to the remote server.
    • If a DSTransferSet (MMS.InformationReport) is received by the ICCP client (from the remote server) the received values are sent to zenon Runtime. Runtime forwards these requests to the zenon driver. If the writing is confirmed by the PLC, the zenon variables do not change their value.

Ancora in questo capitolo

Module configuration

Status variables of the connection

Show non-present variables in Runtime

Configuration file: INI entries for ICCP-Tase.2

LOG entries

Interoperability


Module configuration

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration is carried out using three tabs. It can be confirmed and closed by clicking on OK if all three tabs have been configured.

Parameter | Description
General | General settings.
Server variables | Configuration of the server variables. Selection of the variables that the ICCP server provides.
Client variables | Configuration of the client variables. Selection of the variables that are received by the ICCP client.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

General

Server variables

Client variables


General

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the connection settings.

Connection

The Connection settings are any desired strings that are coordinated on all devices in the system.

The unique bilateral table ID must be the same on all devices that communicate with the ICCP Process Gateway. It is queried when a connection is established by both communication partners. The connection is disconnected if they do not correspond.

The domain names provide the references used at MMS protocol level to ICCP data points. It must be set as the same mirror image for the communication partners.

These comparison rules are prescribed by the ICCP standard.

Parameter | Description
Bilateral Table ID | The bilateral table identification is synced when the communication partner establishes a connection. Access to the data is only permitted for authorized remote clients. Note: The ID must be configured as exactly the same on both sides of the communication. Note: Missing or incorrect entries are visualized as an error message in the dialog.
Local Domain Name | Name of the local ICCP-domain that is used for all server variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote client). Note: Missing or incorrect entries are visualized as an error message in the dialog.
Remote Domain Name | Name of the remote ICCP-domain that is used for all client variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote server). Note: Missing or incorrect entries are visualized as an error message in the dialog.
Error message | Display of missing configuration data.

Connection Status

Connection status variables allow the display of the current connection status of Process Gateway to the remote ICCP communication partner in Runtime. The zenon variable names are given in the Process Gateway. The variables should be a numeric data type; recommendation: Internal variables.

You can find detailed information on this in the Status variables chapter.

Parameter | Description
Server state variable | Input field for the entry of a variable name for the display of the current connection status of the server. If this field is empty, no status information can be displayed in zenon. Default: empty
Client state variable | Input field for the entry of a variable name for the display of the current connection status of the client. If this field is empty, no status information can be displayed in zenon. Default: empty

Client

Parameter

Description

Initialise communication

Checkbox for the activation of the automatic establishment of a connection to the remote ICCP server when the Process Gateway is started.

  • active:
    When Process Gateways is started, the client automatically attempts to establish a connection to the configured remote ICCP server.
    If the connection attempt is unsuccessful, another attempt to establish a connection is made after 20 seconds. During this waiting time, a connection attempt can be accepted from a remote ICCP communication partner if this corresponds to the configured IP address or host name.
  • inactive:
    No automatic attempt to establish a connection to the ICCP server when the Process Gateway is started.

Default: Inactive

If this option is activated, the following limitation applies:

  • The connection is only possible with a remote ICCP communication partner.
  • Connection attempts from remote clients with an unknown address are not accepted.

IP Address/Hostname

Input field for IP address or host name for the automatic connection to the remote ICCP server.

Note: Only active if Initialise communication is inactive.

Note: Missing or incorrect entries are visualized as an error message in the dialog.

Port

Input field for port number that is used for communication to the remote ICCP server.

Default: 102

Note: Only active if Initialise communication is inactive.

Note: Missing or incorrect entries are visualized as an error message in the dialog.

Check presence of remote items

Checkbox for the activation of the checking of the variable names of the current client connection to the variable name of the remote ICCP server.

  • active:
    Activates the checking and allows the configuration of the Set result in status bit and Variable for result names properties. For the connection, the client on the remote server creates a DataSet that only contains existing variables.
  • inactive:
    It is assumed that the configured ICCP variables are available on the remote server.
    If one or more configured ICCP variables are not on the remote server, no successful connection to the remote server can be established.

Default: Inactive

Set result in status bit

Status bit for zenon variables of the client that are not on the remote ICCP server.
Selection of the corresponding user status bit from drop-down list:

  • None
    No user status bit is set for the variable if the variable is not present on the remote server.
    ICCP variables that are not present can be evaluated with Variable for result names.
  • M1 bis M8
    The configured status bit is set for the variable if the variable is not present on the remote server.

Default: None

This user status bit is set for configured zenon variables if they are not found during checking on the remote server.

Note: Only active if Check presence of remote Items is inactive.

You can find further information on status processing in the Status processing manual in the User status chapter.

Variable for result names

Input field to configure a variable name for the display of the names of the missing ICCP variables.
In the variable, variable names that are not present on the remote server are visualized.

Is this field is empty, the evaluation is carried out with the configured user status bit.

Default: empty

Note: Only active if Check presence of remote Items is inactive.

You can find further information on the display of variables that do not exist in the Show variables that are not present in Runtime chapter.

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.

Error messages - example

Error messages are displayed in red font:


Server variables

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Server variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway provides as an ICCP server. The value changes of the variables are sent to the remote ICCP client spontaneously.

Parameter

Description

SCADA variables

List of all numeric variables available in the zenon project. The list can be sorted and filtered.

The list shows:

  • Name:
    Name in zenon
  • Type:
    Data type of the zenon variable

Arrow keys

Selected variables are exchanged between the two lists by means of the arrow key.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Available for ICCP

Variables from the list are provided by the server for the remote ICCP client.

The list shows:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in the ICCP protocol
  • Type:
    ICCP Type

ICCP name and type can be changed using the settings ICCP name, Data type and Extended type options.

ICCP Name

Name of the ICCP data point selected from the top list.

Change to the ICCP Name by entering the new name.
Empty if no entry is selected in the Available for ICCP list.

Note: The ICCP name can usually be named as desired in accordance with the standard. However, it must be ensured that both communication partners use the same name.

Data type

ICCP data type of the variable selected from the top list.

Change of the data type by clicking on the options field:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INTEGER on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

ICCP suffix of the variable selected from the top list.

Change to the Extended type by clicking on the option field:

  • None:
    No ICCP suffix (only value of the variable)
  • Quality flags:
    Quality
  • Timestamp:
    Quality + time stamp
  • Extended:
    Quality + time stamp + change counter
  • Timestamp Extended:
    Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

attention Attenzione

Data type and Extended type must be correctly assigned for both communication partners. Incorrect amendments lead to the received data sets not being interpreted 100% correctly. All other information in the data set is lost!

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.


Client variables

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Client variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway uses as an ICCP client. The client transmits the value changes that it receives from the remote ICCP server to the zenon variables.

Parameter

Description

SCADA variables

List of all numeric variables available in the zenon project. The list can be sorted and filtered.

The list shows:

  • Name:
    Name in zenon
  • Type:
    Data type of the zenon variable

Arrow keys

Selected variables are exchanged between the two lists by means of the arrow key.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Available from ICCP

Variables from the list are expected from the remote ICCP server.

The list shows:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in the ICCP protocol
  • Type:
    ICCP Type

The ICCP name and type can be modified using the ICCP Name, Data type and Extended type settings.

ICCP Name

Name of the ICCP data point selected from the top list.

Change to the ICCP Name by entering the new name.
Empty if no entry is selected in the Available for ICCP list.

Note: The ICCP name can usually be named as desired in accordance with the standard. However, it must be ensured that both communication partners use the same name.

Data type

ICCP data type of the variable selected from the top list.

Change of the data type by clicking on the options field:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INTEGER on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

ICCP suffix of the variable selected from the top list.

Change to the Extended type by clicking on the option field:

  • None:
    No ICCP suffix (only value of the variable)
  • Quality flags:
    Quality
  • Timestamp:
    Quality + time stamp
  • Extended:
    Quality + time stamp + change counter
  • Timestamp Extended:
    Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

attention Attenzione

Data type and Extended type must be correctly assigned for both communication partners. Incorrect amendments lead to the received data sets not being interpreted 100% correctly. All other information in the data set is lost!

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.


Status variables of the connection

Manuale -> Process Gateway -> ICCP-TASE.2 -> Status variables of the connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Status variables of communication are used for the display of the connection status between the Process Gateway and the remote ICCP communication partner. A separate variable each is configured for the ICCP server and ICCP client. The Process Gateway only communicates this status to zenon Runtime. There is no communication of values of these variables to remote ICCP communication partners.

Engineering

To show the connection status in Runtime, carry out the following project configuration steps:

  1. In your zenon Editor, create two numeric variables.
    It is recommended that these are configured for the internal driver.
    • The variable cannot be a STRING variable.
  2. Configuration in the Process Gateway:
    • Status variable for server connection:
      Enter the name of the variable in the Server state variable input field in the General tab in the Process Gateway module configuration.
    • Status variable for client connection:
      Enter the name of the variable in the Client state variable input field in the General tab in the Process Gateway module configuration.

Assigned states

The connection status variables have the following values:

Parameter

Description

0

IDLE
  • Communication inactive:
    Directly after the start of Process Gateway or reloading the zenon project.
  • Connection disconnected again:
    Once Process Gateway has been closed or after the settings in Process Gateway have been edited, and before the establishing of a new connection.

1

CONNECTING

Communication via TCP/IP and MMS is being established.

This status is shown if an incoming CR (Connection Request) has been received or a CR (Connection Request) has been sent successfully. This depends on which page has established the TCP/IP connection.
This status is the same for server and client.

2

CONNECTED

ICCP communication has been established successfully.

This status is set to a logical connection if a dataset (DSTransferSet) has been agreed for the transfer of data and the first MMS.write request (logical server connection) or the first MMS.write response (logical client connection) has been received.

If the ICCP client does not request any data from the remote server, the status of the logical connection remains CONNECTED.

Note: The client does not request any data if:

  • The list of variables is empty Available from ICCP.
  • None of the variables from the Available from ICCP list are available and the Check presence of remote items check has been activated.

3

ERROR

This status is shown if the TCP/IP connection as been interrupted.
This status is the same for both logical connections.


Show non-present variables in Runtime

Manuale -> Process Gateway -> ICCP-TASE.2 -> Show non-present variables in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of this project configuration, you can evaluate in zenon Runtime which of the variables configured on the ICCP client are not present on the remote server.

This evaluation can be carried out with two project configurations:

  1. Display of the missing variable names in an additional string variable.
  2. Display of a user status bit when there are variables that do not exist.

Requirement

  • The checking of the variable names of the current client connection must be activated:
    Checkbox Check presence of remote items in the General tab in the Process Gateway module configuration.

Display of the missing variables in a string variable

To display the missing variables in Runtime in one variable:

  1. In the zenon Editor, create a STRING variable.
    It is recommended that these are configured for the internal driver.
  2. Configuration in Process Gateway:
    Enter the name of the variable in the input fieldVariable for result names in the General tab in the Process Gateway module configuration.

info Info

The value of the variable in Runtime contains the name of the non-present variables, separated by a comma ( ; ).

Display of a user status bit when there are variables that do not exist.

To mark the zenon variables in Runtime with a user status bit if they are not present on a remote ICCP server:

  • Select the desired user status bit from the drop-down list of the Set result in status bit property in the General tab in the Process Gateway module configuration.

Note: This user status bit can be evaluated in <CD_RUNTIME> with a reaction matrix or a combined element.


Configuration file: INI entries for ICCP-Tase.2

Manuale -> Process Gateway -> ICCP-TASE.2 -> Configuration file: INI entries for ICCP-Tase.2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for ICCP-Tase.2.

[ICCP]

Inserimento

Descrizione

SERVER_PORT=

Numero della porta IP del server; la porta consente la connessione di client remoti

La porta viene aperta al momento dello start e rimane aperta.

Default: 102

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MAX_CONNECTIONS=

Numero massimo di connessioni di client ICCP remoti con il server. Viene ignorato se è stato configurato CLIENT_AUTO_CONNECT=1.

Default: 0 (= illimitato)

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MAJOR_VERSION_NUMBER=

Numero di versione principale del protocollo ICCP, per es.: 1996, 2000.

Default: 2000

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

MINOR_VERSION_NUMBER=

Numero di sotto-versione del protocollo ICCP.

Default: 8

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

BILATERAL_TABLE_ID=

Identificazione tabella bilaterale. Viene analizzata e confrontata quando viene stabilita una connessione fra tutti i partner coinvolti nella comunicazione ICCP.

Nota: l´identificazione bilaterale univoca della tabella deve essere la stessa su tutti i dispositivi che comunicano con ICCP-TASE.2 Process Gateway .

LOCAL_DOMAIN_NAME=

Nome di dominio ICCP locale; impostazione per il server; deve essere impostata in modo speculare rispetto al partner della comunicazione.

REMOTE_DOMAIN_NAME=

Nome di dominio ICCP remoto; impostazione per il client; deve essere impostata in modo speculare rispetto al partner della comunicazione.

CLIENT_AUTO_CONNECT=

Configurazione che stabilisce se il client inizializza automaticamente una connessione con il server ICCP al momento dell´avvio del Process Gateway.

0: non inizializzare - solo attendere.

1: inizializzare.

CLIENT_IP_NAME=

Indirizzo IP o nome host del server remoto se questo client deve inizializzare la comunicazione.

CLIENT_PORT=

Numero di porta del server remoto se questo client deve inizializzare la comunicazione.

CHECK_SERVER_Variables=

Verifica se tutte le variabili configurate sono disponibili sul server remoto.

0: nessuna verifica dei nomi variabile configurati.

1: verifica dei nomi variabile configurati.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Bit di stato per variabili client non esistenti sul server (con verifica attiva delle variabili configurate´).

0: nessun bit di stato per variabili client mancanti.

Da 1 a 8: bit di stato utente da M1 a M8.

SERVER_STATE_VARIABLE=

Nome della variabile per la visualizzazione dello stato della connessione fra server ICCP e client remoto.

CLIENT_STATE_VARIABLE=

Nome della variabile per la visualizzazione dello stato della connessione fra client ICCP e server remoto.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Nome della variabile per la visualizzazione dei nomi variabili (nel Runtime di zenon) che non sono disponibili sul server remoto per la corrente connessione client.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

Parametri di comunicazione OSI

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il ICCP-TASE.2 Process Gateway.

[VARIABLES]

Gruppo dei riferimenti configurati fra variabili di zenon e variabili ICCP. È elencato quanto segue:

  • Parametri di ogni variabile ICCP
  • Numero delle variabili.
  • Nomi della variabili.
Inserimento | Descrizione
PARAM_0= | Parametri per nome ICCP. La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del nome variabile. PARAM_0 corrisponde a NAME_0. Esempio: PARAM_0=1,0,0,ICCP_Name
COUNT= | Numero dei riferimenti configurati
NAME_0= | Nome delle variabili di zenon. La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del parametro. PARAM_0 corrisponde a NAME_0. Esempio: NAME_0=MyName


LOG entries

Manuale -> Process Gateway -> ICCP-TASE.2 -> LOG entries

General

Parameter

Level

Note

Failed to get %s application object.

ERROR

Start zenon Runtime before you start Process Gateway.

Failed to start ICCP server.

ERROR

Correct the settings of Process Gateway.

When starting several Process Gateways, configure a different IP port for each one.
  • Failed to interpret report for data set %s.%s. Bad message structure.
  • Failed to interpret report for %s. Bad message structure.
  • Failed to interpret write request for %s.%s. Bad message structure.
  • Failed to interpret received data for %s.

ERROR

Match the ICCP 'data type' and 'extended type' between Process Gateway and remote ICCP communication partner.

Failed to write '%s', error code: %u.

ERROR

The remote ICCP server responds to the write request in the negative, with MMS error code %u.

Correct the settings on the remote server and/or move the variable from the client configuration to the server variables in Process Gateway.

Automatic establishment of a connection

Parameter

Level

Description

Could not resolve host name %s. Errorcode: %d

ERROR

The pre-set host name or the IP address could not be resolved.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    Windows socket error code

Autoconnection is not possible because no hostname (or IP address) is defined

ERROR

The pre-set host name or the IP address are resolved to the address 0.0.0.0 and are thus invalid.

Maximum number of %1 connections reached. Declining new connection from %2.

MSG

Rejection of an incoming connection that has already achieved the maximum number of possible connections:

  • %1
    Maximum number of connections could be established.
  • %2
    IPv4 address of the counterparty.

Cannot verify selected host name %1. Declining new connection from %2.

MSG

The configured host name cannot be resolved to the IP address.

  • %1
    Configured host name
  • %2
    IPv4 address of the counterparty.

Only connection from %1 allowed. Declining new connection from %2.

MSG

An incoming connection is rejected because the source address does not correspond to the IP address of the configured host for automatic establishment of a connection.

  • %1
    configured IP address of the set host.
  • %2
    IPv4 address of the counterparty.

Only one active connection allowed. Declining new connection from %2.

MSG

An incoming connection is rejected because a connection has been established automatically.

  • %2
    IPv4 address of the counterparty.

Creating a socket connection to the ICCP server %s [%2:%3].

DEBUG

A TCP socket connection to the configured counterparty is established.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    IPv4 address of the counterparty.
  • %3
    Port number of the counterparty.

Could not create the socket connection to the ICCP server %1. Errorcode: %2.

DEBUG

A TCP socket connection to the set counterparty could not be established within the socket timeout.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    Windows socket error code.

Status variables of the connection

Parameter

Level

Description

Server state variable with name '%s' does not exist or has an invalid type.

ERROR

The configured status variable to display the status of the server connection does not exist in the project or has an invalid data type (required data type: numeric).

  • %s
    Configured name of the status variable.

Client state variable with name '%s' does not exist or has an invalid type.

ERROR

The configured status variable to display the status of the client connection does not exist in the project or has an invalid data type (required data type: numeric).

  • %s
    Configured name of the status variable.

set server state: %1(%2)

MSG

New status of a pre-existing server connection.

  • %1
    Numeric value of the current status of the server connection
  • %2
    Current status of the server connection as a text (IDLE, CONNECTING, CONNECTED, ERROR)

set client state: %1(%2)

MSG

New status of a pre-existing client connection.

  • %1
    Numeric value of the current status of the client connection
  • %2
    Current status of the client connection as a text (IDLE, CONNECTING, CONNECTED, ERROR)

Display of variables not present

Parameter

Level

Description

Unavailable server items variable with name '%1' does not exist or has an invalid type.

ERROR

The configured status variable to display the name of the variable that does not exist does not exist in the project or has an invalid data type (required data type: STRING).

  • %1
    Configured name of the status variable.

Error configured client variable '%1' is not available on the remote device.

ERROR

A variable configured in Process Gateway for the client is not available on the remote ICCP server.

  • %1
    ICCP name of the variable that is not present on the remote server


Interoperability

Manuale -> Process Gateway -> ICCP-TASE.2 -> Interoperability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Process Gateway for ICCP-TASE.2 based on the IEC 60870-6 TASE.2 ICCP protocol.

ICCP-TASE.2 supports Conformance Blocks 1 and 2 as client and server. Process Gateway acts like a server by default when communication is established.

Supported protocol version: 2000.8 and 1996.8


IEC870 Slave

Manuale -> Process Gateway -> IEC870 Slave

Language

The IEC870Sl Process Gateway and its dialogs for configuration are only available in English.

Structure

You can configure several virtual controllers (devices) in the IEC870 slave gateway. According to the used protocol, they are associated directly to a Master (870-104) or polled by a Master (870-101). The devices can contain several sectors. These sectors contain IOs (information objects) representing the actual variables. IOs refer to a variable of the process control system.

Identification and addressing

  • 870-101: The PLC is identified by the link address of the Slave.
  • 870-104: The PLC is identified by the IP address of the Master.
  • Sector: Addressed by COA.
  • IO: Addressed by type identification and IOA.

In the following chapters, you will read how to configure the IEC870SI Gateway, how communication takes place and you will read about compatibility issues.

info Info

For variables that are configured in the IEC870Sl Process Gateway as command variables, each command is logged as Send value via the COM interface in the CEL if the Impostazione valori tramite VBA property is active (Registrazione nella CEL group).

Ancora in questo capitolo

Module configuration

Communication

Error analysis

Interoperability


Module configuration

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You have many settings options available in the IEC870 slave process gateway. All lists in the configuration dialogs can be sorted. To change the sorting sequence, simply click on the column title.

870-101 protocol vs 104 protocol

The gateway supports both protocol IEC60870-5-101 (abbreviated to: 870-101, serial communication) as well as IED60870-5-104 (abbreviated to: 870-104, TCP/IP communication). The settings for protocols -101 and -104 differ.

In the main window, you can choose the protocol you want to use and define general settings:

  • (Protocol) 870-101
    Unlocks the settings for protocol 101 and locks other, irrelevant input fields.
  • (Protocol) 870-104
    Unlocks the settings for protocol 104 and locks other, irrelevant input fields.

Devices section

Devices (connections) are created and deleted in the Devices section of the main window. A device defines how the Process Gateway, as an IEC870 slave, should work for a certain 870 master. These devices are configured in the tabs. Several devices (connections) can be set up - for several masters.

The following tabs are available in the process gateway:

  • Device - general settings and master IP address (-104) or link address of the slave (-101).
  • Sector - settings valid for a Common Address of ASDU (COA). A device should contain at least one sector; and one sector should contain at least one Information Object (IO):
    • Information Objects - the list of the Information Object Address (IOA), their Type Identifications (TID) and the assignment to zenon variables.
  • Sequence of Events (SOE)
  • 104 settings

info Info

Only the general properties are documented in this section. You can find the protocol-dependent configurations in the section for the respective protocol (101) or in the description of the respective device settings (101 and 104).

Parameter

Description

Settings

Configuration file

Name of the configuration file. This is where all active settings are stored and also loaded from. The name you enter must be a valid file name. Otherwise, no data can be stored. In this case, you will get an error message.

Only enter the file name without path. You do not have to add the file extension XML, as it will be added automatically during saving. The current INI directory will be used as path.

The file name will automatically be entered in the INI file of the process gateway as configuration.
You can find the INI file in the system folder of the process control system. It is called '<SCADA>ProcGateway.ini' - <SCADA>is the placeholder for the name of the process control system.

Import...

Loads configuration data from an XML configuration file. The current settings are replaced by the ones stored in the file. The current setting for the 'configuration file' remains the same.

Export...

Stores the current settings in a file.

Attention: Device that still have the default ID '????' (defined during creation) will not be exported. To export them, you must first configure the device in the configuration window "Device".

870-104

Activates protocol 104 (data layer via TCP), unlocks all input fields for 104 and locks settings only relevant to 101.

Port

Slave TCP/IP port; the port to which the masters connect.

Default: 2404

Note: Inactive if 870-101 is selected as a protocol.

It is possible to have several instances of the Process Gateway running at the same time. That is why you can change this port:
Allowed port numbers: 1200 to 65535

870-101

Activates protocol 101 (serial data layer), unlocks all input fields for 101 and locks settings only relevant for 104.

Deactivate standard DPI/DCS mapping and use internal mapping (not recommended).

Deactivates the standard communication via DPI/DCS and uses internal mapping in communication.
Default: Inactive

Inactive: The transfer (between the Process Gateway and an 870 master) in accordance with the protocol. It is also guaranteed that the values of the zenon variables assigned to the DPI/DPC are suitable for command processing and ALC:

  • zenon value 0 = DPI/DCS value 1 (= OFF)
  • zenon value 1 = DPI/DCS value 2 (= ON)
  • zenon value 2 = DPI value 0
  • zenon value 3 = DPI value 3

Note: It is not recommend to activate the setting.

Devices

List of configured devices.

Add

Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.

Delete

Deletes the selected device. This button is not active if no device has been selected.

Device

Tab for the configuration of the devices

Sector

Tab for the configuration of the sectors

SOE

Tab for the configuration of the sequence of events

104 settings

Tab for 870-104 protocol-specific configurationot the timeout.
Note: Not active if 870-101 is selected as a protocol.

OK

Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in the Configuration file).
Attention: By clicking on 'OK', all existing connections to 870 masters are closed and communication is restarted. There may be communication errors during that.

Cancel

Discards all changed settings. Nothing is saved, the pre-existing communication is not interrupted.

Help

Apre la guida online.

Ancora in questo capitolo

Communication settings for 870-101

Devices

Mapping of double point values

XML-File


Communication settings for 870-101

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Communication settings for 870-101

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Info

Only the general properties of the 870-101 protocol are documented in this section. You can find further information in the general description of the respective device settings.

Parameter | Description
Settings |
870-104 | activates protocol 104, unlocks all input fields for 104 and locks settings for 101.
870-101 | activates protocol 101, unlocks all input fields for 101 and locks settings for 104.
Link Address Size | Size, in bytes, of the slave's link address. Default: 1 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.
COM Port | Serial interface of the computer with zenon Runtime. Default: COM 1 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.
Baud Rate | Data transfer rate. Default: 9600 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.


Devices

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter | Description
Device | ID of the device: IP address of the master (104) or link address of the slave (101). Default: ???? (Not defined) Attention: Before you can use or export the device, you must configure it.
Name | Name of the device/connection - desired text for easier identification.
Add | Adds a new device with standard settings. By default, it gets the invalid ID "????" and invalid IP/link addresses. Attention: Before you can use or export the device, you must configure it.
Delete | Deletes the selected device. This button is not active if no device has been selected.

Devices are created or deleted on the left-hand side of the dialog.

Clicking on the Add button adds a device, which is configured in the Device, Sector, SOE and 104settings tabs. Several devices can be created. A simple click on the respective device in the list opens the attendant configuration.

Ancora in questo capitolo

Device

Sector

104 settings


Device

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Device

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the part of the main window called 'Device' you can define the settings of the device. Certain areas are grayed out depending on the protocol selected. A precise definition of which input fields are available for which protocol is in the list below.

Parameter | Protocol | Description
Common Settings |  |
Name | 101 104 | Name of the device for easy identification
File transfer directory | 101 104 | Defines the directory for transfer of files and directories. Note: The files are sent to the master.
File Transfer in Control Direction Directory | 101 104 | Defines the directory in which the files for transfer of files and directories are stored. Note: These files are received by the master. All files with the NOF 255 (the temporary NOF for reverse file transfer) are ignored for the directory query.
Short pulse | 101 104 | Defines the size of the pulse for the Qualifier of Command with the value 'short pulse duration' (QOC = 1) in milliseconds. Valid values: 0 bis 4294967295 Default: 1000 ms
Long pulse | 101 104 | Defines the size of the pulse for the Qualifier of Command with the value 'long pulse duration' (QOC = 2) in milliseconds. Valid values: 0 to 4294967295. Default: 2000 ms
Max APDU size | 104 | Maximum length of APDU data as defined in the standard 870-5-104. Valid values: between 25 and 253. Default: 253
Max. user data | 101 | Maximum length of User Data as defined in TF1.2 870-5-2 3.2. Valid values: between (19 + LAF size + COA size + COT size + IOA size) and (255). Default: 253
Commands active | 101 104 | This option allows commands from the master to be prevented on a lasting basis. If the setting is deactivated, the commands are not accepted and error entries are made in the log. Note: The commands can be dynamically activated or deactivated using a variable in zenon (T00, IOA 2). Default: active

870-101 specific

870-101 specific

COA size

101

Defines the length of the COA (Common Object Address/Common Address of ASDU).
Selection of address size from drop-down list:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

COT size

101

Defines the length of the COT (cause of transmission).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

IOA size

101

Defines the length of the IOA (Information Object Address).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • 3 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 3 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 3

Link address

101

Link address Via the link address contained in the TF 1.2 frame, the master specifies the device that the command is intended for. With link addresses, a Master can communicate with multiple devices. The allowed range of the address depends on the Link Address Size setting in the main settings.
Link address size = 1 allows a range of 0 to 254
Link address size = 2 allows a range of 0 to 65534

Default: -1 (invalid)

Note: The current value is lost if the protocol is changed.

Master polling timeout

101

Shows the time in seconds in which the master must execute a query to the slave.

If there is no query within this time, the connection is ended.

Default: 0

Note: 0 deactivates the monitoring.

870-104 specific

IP-Adress

104

IP address of the Master. This allows to identify the device that the Master communicates with. All IP addresses except 255.255.255.255 are allowed.

Note: The current value is lost if the protocol is changed.


Sector

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Sector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Sector tab lists all sectors defined in the device. If you select a sector, its Information Objects (IOs) will be displayed.

Parameter | Description
Sectors |
New | Activates the dialog for creating a new sector. You close this subsequent dialog and create a new sector by clicking on OK.
Edit | Activates the dialog for editing the selected sector. You can also launch the editor by double-clicking on the sector in the list. This button is inactive if no sector was selected.
Delete | Deletes the selected sector. This button is inactive if no sector was selected.
Information Objects |
New | Activates the dialog for creating new IOs. This subsequent dialog is closed and a new IO is created by clicking on 'OK'. This button is inactive if no sector was selected.
Edit | Activates the dialog for editing the selected IO. You can also launch the editor by double-clicking on the IO in the list. This button is inactive if no IO was selected.
Delete | Deletes the selected information object. This button is inactive if no IO was selected.

Ancora in questo capitolo

Sector Settings

Information Objects

Data point selection

Mapping of the data types

Sector


Sector Settings

Sector Settings

Parameter

Description

Name

Any name. For easy identification of a sector.

COA

The COMMON ADDRESS OF ASDUs (IEC 60870-5-101 7.2.4) by which the sector is addressed.
This number must be unique for each device (1..254).

Time for Background scan [min]

The "Background scan" cycle in accordance with the requirements of the IEC 60870-5-101 standard, chapter 7.4.13 "Background scan". The values are sent with COT = 2. The time is shown in minutes.

Values are transferred cyclically in the time grid set up for all IOs with the "Background Scan" option activated.

Values are only transferred cyclically if no spontaneous value is transferred within the time set.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Default: 0

Time for periodic transfer [s]

Support of cyclical data transfer corresponding to the norm (IEC 60870-5-5 6.3). The values are sent with COT = 1. The time is configured in seconds.

Values are transferred cyclically for all IOs with the "Periodic data transfer" option activated. IOs are transferred cyclically and not spontaneously.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Default: 0

Select routing

If active, a prior select is necessary for an Execute when the command is executed. The switching commands from the master are forwarded using the command processing - via the auto/remote actions - to the respective Energy driver in zenon Runtime.

SBE Timeout [s]

Timeout in seconds within which the select process must be completed and an Execute is triggered. If there is no confirmation of the select from zenon Runtime or the select has been confirmed but the master does not send an execute - the Process Gateway cancels the process.
Note: Inactive if select routing is not active.
Default: 30 s
Input range: 1 bis 65535

Transmition of integrated totals

Selection of the transfer mode (see IEC 60870-5-101 7.4.8) for the integrated totals - the IOs of type ID:

  • 15 (M_IT_NA_1)
  • 16 (M_IT_TA_1)
  • 37 (M_IT_TB_1)

No reset is supported. An FRZ with a reset triggers a warning in the LOG.

For modes A to D, IOs are requested immediately after connecting to the master of zenon. Value changes to integrated totals IOs are administered in their own buffer. This can buffer the larger value of (ITs IO number) * 4, or 2048 value changes.

With general interrogation

Integrated Totals are also transferred during a general interrogation (C_IC_NA_1).

Mode A: Local freeze with spontaneous transmission

Integrated totals are transferred when a value is changed.

Mode B: Local freeze with counter interrogation

Integrated totals are only transferred with a counter interrogation command (C_CI_NA_1). To do this, a maximum of five seconds is waited after the interrogation is activated until all ITs have been supplied with values. ITs without a value are transferred with an invalid qualifier. The value changes are buffered until the interrogation is completed (freeze active). All ITs thus transfer the value of the point in time, when the last IT was supplied with a value.

Mode C: freeze and transmit by counter interrogation Transmition of integrated totalscommands

As with mode B.

Mode D: freeze by counter interrogation command, frozen values spontaneous

Transfer as with mode C, mode A is activated after conclusion of the interrogation.

OK

By pressing the button OK, you can check whether the COA is available in the device. If it is already in use you will receive an error message. If it is available, the setting is accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.


Information Objects

Information Objects

Settings

Parameter

Description

Information Object

Defines the address (IOA) under which the IO is addressed (IEC 60870-5-101 7.2.5). In combination with the type ID (Type identifications), it must be unique for each sector.

Default: 1

Type identification

Drop-down list with the supported Type identifications (IEC 60870-5-101 7.2.1).

Default: <0> Internal status

This setting is also called type ID.

It also determines the variables of the process control system that can be associated to the IO based on their data type.

Note: You can also find more detailed information on type ID in the chapters Assignment of data types and Interoperability.

SCADA variable

Defines the variable from the process control system associated with the IO.
Syntax: <Project name>#<variable name> define the project connection.
If there is no project reference for a variable, it is assumed that this variable is present in the start project.
While entering, the system checks if the specified variable exists in the according project and if it has a data type compatible with the type identification.
The Button '...' opens the dialog for variable selection.
Read more about this in the section 'Variable selection'.
(Scada stands for the name of the process control system.)

Data Transfer

Determines the type of data transfer for IOs

Default: Spontaneous

Spontaneous

IO data transfer is spontaneous.

Background Scan

IOs are transferred as a background scan in accordance with the IEC 60870 norm. A data point that does not receive a new spontaneous value within the set background scan time is automatically sent by the gateway after the time has expired. Values are only transferred if no spontaneous value has yet been transferred within the time set.

The setting is inactive if the background scan is locked in the sector (Time=0) or if the type ID used is not suitable for a background scan in accordance with the protocol. Permitted type IDs:

  • M_SP_NA_1 and M_SP_TA_1, M_SP_TB_1 - for T01,
  • M_DP_NA_1 and M_DP_TA_1, M_DP_TB_1 - for T03,
  • M_ST_NA_1 and M_ST_TA_1, M_ST_TB_1 - for T05,
  • M_BO_NA_1 and M_BO_TA_1, M_BO_TB_1 - for T07,
  • M_ME_NA_1 and M_ME_TA_1, M_ME_TD_1 - for T09,
  • M_ME_NB_1 and M_ME_TB_1, M_ME_TE_1 - for T11,
  • M_ME_NC_1 and M_ME_TC_1, M_ME_TF_1 - for T13

Note: The type IDs with time stamp (for example M_ME_TA_1) is mapped to the corresponding TID without time stamp (for example M_ME_NA_1) in the process of sending the background scan.

The setting is not available for any other type ID.

Periodic Data Transfer

Periodic data transfer in accordance with IEC 60870-5-5-6.3 norm.

IOs are transferred cyclically and not spontaneously.

The setting is inactive if periodic data transfer is locked for the sector (Time=0) or if the type ID used does not support periodic data transfer.

Only the type ID=9, 11 and 13 support a periodic transfer - M_ME_NA_1, M_ME_NB_1, M_ME_NC_1 - "measured values" without time stamp.

The setting is not available for any other type ID.

Off

Changes in value are not transferred. No value is sent for the IO during a general interrogation (GI).

Spontaneous, buffered when master is offline

When a connection fails, the data is buffered until the master connects again. All buffered data is sent with the status COT_spont (3). The last buffered value is sent with the status COT_inrogen (20) again.

Buffering can be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Note: Only type IDs that have a time stamp with a date are permitted as Events ("time tag CP56Time2a").

The setting is not available for any other type ID.

Sequences of events

These settings define the IO-specific behavior for SOE. The SOE transfer (see IEC norm 60870-5-101 7.4.11.3.1) can also be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Note: Only type IDs that have a time stamp with a date are permitted as Events ("time tag CP56Time2a").

Default: Inactive

Inactive

Data point is not used for SOE description.

Is automatically used for all type IDs that do not support SOE.

All events

Each value or status change triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising Edge

If the value changes from 0 to <> 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Falling Edge

If the value changes from <> 0 to 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising + Falling Edge

A change of value from 0 to <> 0 or from <> 0 to 0 triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

File trigger

If a value is to be written due to the settings previously described, a new file is created and opened for the activated file, provided this has not yet been opened. The trigger event itself is also written to the SOE file.

The setting is blocked if the type ID if not planned for the SOE function.

Default: Inactive

Hysteresis

Value changes that are within the the hysteresis are ignored - not transferred to the master.

Hysteresis is applicable for the permitted TID ("measured values") and only if these have been configured for spontaneous data transfer.

A transfer is therefore triggered:

  • If Type Identification allows hysteresis.
    The Type Identifications <9> to <14> and <34> to <36> are permitted.
  • If Data Transfer = spontaneous
  • With a value change that acts >= the hysteresis (according to the direction).

And notwithstanding the hysteresis:

  • Change of the quality (status bits of the variable) always triggers the transfer;
  • The response to a GI (C_IC_NA_1) and a read (C_RD_NA_1) command is always the current value.

Negative

Negative hysteresis, starting from measuring range of the variable.

Default: 0

Note: not active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be corrected by the engineer of the project.

Positive

Positive hysteresis, starting from measuring range of the variable.

Default: 0

Note: not active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be corrected by the engineer of the project.

OK

Your settings are verified after pressing the button "OK". If they are valid, they are accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.

info Info

The communication for Spontaneous data transfer, Background Scan and Periodic Data Transfer starts once the first general request has been received (C_IC_NA_1). For background scan and periodic data transfer, the start of the transfer cycle is calculated per IO from the time of the answer to the general query.


Data point selection

Data point selection

This dialog lists all available projects and their variables.

Parameter

Description

Projekte

An asterisk (*) marks the default project.

Variablen

The list of variables is filtered. You only see the variables that can be used with the 'type identification' selected for the IO. Selecting a project updates the list of variables.

OK

Assumes the selected variable. Alternatively, the variable can be assumed by double clicking. When loading, the currently configured project and the variable will be selected.

The same variable can be used several times:
for several IOs in the same sector or other sectors,
for the same device or another one.

If the dialog remains open and there is a reload in the Runtime, all lists will be emptied and refilled after the reload is finished.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.


Mapping of the data types

Mapping of the data types

The zenon data types are compared to the IEC60870 data types in the following table.

Process Gateway |  | zenon
IEC 60870-5-101 ASDU | Type identification | Data type | Comment
M_SP_NA_1 | 1 | BOOL |
M_SP_TA_1 | 2 | BOOL |
M_SP_TB_1 | 30 | BOOL |
M_DP_NA_1 | 3 | USINT |
M_DP_TA_1 | 4 | USINT |
M_DP_TB_1 | 31 | USINT |
M_ST_NA_1 | 5 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TA_1 | 6 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TB_1 | 32 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_BO_NA_1 | 7 | UDINT |
M_BO_TA_1 | 8 | UDINT |
M_BO_TB_1 | 33 | UDINT |
M_ME_NA_1 | 9 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_TA_1 | 10 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_TD_1 | 34 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_NB_1 | 11 | INT |
M_ME_TB_1 | 12 | INT |
M_ME_TE_1 | 35 | INT |
M_ME_NC_1 | 13 | REAL |
M_ME_TC_1 | 14 | REAL |
M_ME_TF_1 | 36 | REAL |
M_IT_NA_1 | 15 | DINT |
M_IT_TA_1 | 16 | DINT |
M_IT_TB_1 | 37 | DINT |
M_EI_NA_1 | 70 | USINT | A value change from 126 to 127 causes End of initialization to be sent to the master
C_SC_NA_1 | 45 | BOOL |
C_SC_TA_1 | 58 | BOOL | mirrors the command direction during execution
C_DC_NA_1 | 46 | USINT | mirrors the command direction during execution
C_DC_TA_1 | 59 | USINT | mirrors the command direction during execution
C_RC_NA_1 | 47 | USINT | mirrors the command direction during execution
C_RC_TA_1 | 60 | USINT | mirrors the command direction during execution
C_SE_NA_1 | 48 | REAL | mirrors the command direction during execution
C_SE_TA_1 | 61 | REAL | mirrors the command direction during execution
C_SE_NB_1 | 49 | INT | mirrors the command direction during execution
C_SE_TB_1 | 62 | INT | mirrors the command direction during execution
C_SE_NC_1 | 50 | REAL | mirrors the command direction during execution
C_SE_TC_1 | 63 | REAL | mirrors the command direction during execution
C_BO_NA_1 | 51 | UDINT | mirrors the command direction during execution
C_BO_TA_1 | 64 | UDINT | mirrors the command direction during execution
C_IC_NA_1 | 100 | - | Is executed automatically and the execution is not reflected in zenon
C_CI_NA_1 | 101 | - | Is executed automatically and the execution is not reflected in zenon
C_RD_NA_1 | 102 | - | Is executed automatically and the execution is not reflected in zenon
C_CS_NA_1 | 103 | BOOL | The enable variable of the time synchronization
C_TS_NA_1 | 104 | - | Is executed automatically and the execution is not reflected in zenon
C_TS_TA_1 | 107 | - | Is executed automatically and the execution is not reflected in zenon
C_RP_NA_1 | 105 | USINT | QRP during execution
F_DR_TA_1 | 126 | USINT | For spontaneous directory transfer


Sector

Sector

XML fields

Parameter

Description

Version

The CNT_MODE field is expected from version 3 onwards.

CNT_MODE

Configured mode of integrated totals IOs.

Sector

The new items ToSBe and ob SBE are added for the sector:

  • ToSBe:
    Timeout [ms] for Select before execute: 1000 - 65535000
  • SBE:
    0 => not required 1 => necessary for execute

Configured mode

Parameter | Description
0 | With general interrogation. (Default)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Error codes

Code | Description
13 | Advise for integrated totals fail.
14 | Queue overrun. Integrated totals values lost.
16 | Advise failed for command variable
17 | List of value changes for command variables with SBE too long. Value change has been lost. 2048 value changes are buffered as a minimum, or four times the number of active Select Before Execute (SBE) - depending on which value is greater.
572 | Counter interrogation. Unsupported QCC.
573 | Counter interrogation. Unexpected IOA.
574 | Counter interrogation. Unsupported COT.
575 | Buffer for integrated totals interrogation data too small.

Warnings

Code | Description
1011 | QCC FRZ is only partly supported.
1012 | Counter interrogation already active.
1014 | Activation confirmation already confirmed.

Error message

Message | Description
Unsupported qualifier of counter interrogation. <command> | Unknown QCC. RQT is only supported with 5.
Counter interrogation processed without reset. < command> | Warning. Reset is not supported.
Can't advise IT data point. Device:(<device>)<device> Sector:(<COA>)<Sektorname> adv:0x<Advise-ID> | Data points for integrated totals could not be requested.
IT Values lost, queue full! Device:(<device>)<device> Sector:(<COA>)<Sektorname> <Wertänderung> | The buffer for the value changes of IT IOs is full. The value change is lost.


104 settings

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> 104 settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the 104 settings tab, you set the timeout times and the number of APDUs . The settings should be the same for slave and master. If a master overwrites a timeout or the number of frames to be confirmed, the slave closes the connection.

Note: The input fields of this tab are only available if 870-104 has been selected as a protocol.

Parameter | Description
Timeouts | Timeout settings of the connection
T0: time-out of connection establishment | Timeout for establishing connection. Value range 0 - 4294967295 Default: 30000 There should also be at least one u-frame from the master in that time.
T1: Time-out send or test APDUs | Timeout for frame confirmation by the master. Value range: 0 - 4294967295 Default: 15000
T2: Time-out for ack. in case of no data msg | Timeout, within which the master should confirm if no data is exchanged. Value range: 0 - 4294967295 Default: 10000
T3: Time-out for sending test frames | Time after which a U-frame is sent to the master if no data is to be transferred. Value range: 0 - 4294967295 Default: 20000
APDUs | Settings for the ISO 7816 standard: Application Protocol Data Unit (APDU).
k: Maximum difference receive sequence nr to send state | Number of maximum I-frames not yet confirmed by the master. Value range: 0 - 4294967295 Default: 12
w: Latest acknowledge after receiving w I-Format APDUs | Number of I-frames received after a confirmation is sent. Value range: 0 - 4294967295. Default: 8

info Info

The Reset to default button resets all input to the values prescribed by the standard.


Mapping of double point values

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Mapping of double point values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double Point Value Mapping Is a standard function of the zenon Energy driver. It only influences zenon Runtime and has no effect on the driver communication with a device. Configuration is carried out in the driver settings in the Basic Settings tab.

Note: It is recommended that you leave the Deactivate standard double point value mapping option in the driver configuration as the default, inactive.

The driver uses Double Point Value Mapping to convert values so that they are displayed in a user-friendly manner. However this only applies to the HMI.

The driver always communicates with one device with values for Double Points with 2-bit information. This corresponds to the definitions of the energy standard. That means:

Parameter | Double Point | Value | Meaning
Intermediate | 00b | 0 | Switches are neither open nor closed, for example the End-Position has not yet been reached
Off | 01b | 1 | Switch open
On | 10b | 2 | Close switch/switch closed
Fault | 11b | 3 | Error

Double Points are coded with 2-bits in the energy sector for historical reasons: The transmission of a telegram to a serial connection (RS232) with a series of values that only contain 0 was not safeguarded against transmission errors. In order to increase the certainty, it was decided in the first standards that the value for OFF is not to be sent as 0 but as 01b, which corresponds to decimal 1. These Double Point Values also precisely reflect the type of how two sensors record the physical position of a switch.

However, the values sent this way may be confusing for people:

  • OFF = 1
  • ON = 2

Humans are used to all other devices and systems:

  • OFF = 0
  • ON = 1

At the same time, Single Point Values are also defined with OFF = 0 in the same standard.

The user must always be aware of the technical level on which they are acting and receiving or sending information. In stressful situations, this can very easily lead to serious mistakes. For example, if ON is sent instead of OFF.

In order to avoid this dangerous error, the zenon Energy driver offers its own Double Point Value Mapping.

Mapping vor HMI

With the Double Point Value Mapping, all Double Points in zenon have the following values:

  • Intermediate = 2
  • Off = 0
  • On = 1
  • Fault = 3

info Info

This function can be deactivated in the driver settings. However some features such as Command Processing or ALC can no longer be used then.

Recommendation: Do not use numerical elements and numerical values to display OFF/ON or OPEN/CLOSE. Use combined elements with graphic symbols or text elements instead.

DPI mapping in IEC61850 client driver

In accordance with the IEC61850-7-3 standard, in Common Data Classes, Double Point Status (DPS) and Controllable Double Point (DPC), the stVal attribute has the data type CODED ENUM with the value range: intermediate-state (00) | off (01) | on (10) | bad-state (11). The driver therefore waits until a Double Point attribute of the data type CODED ENUM is mapped to the communication protocol as an MMS of the bit string data type. The stVal data attribute can thus have the following values: 0x00, 0x40, 0x80 and 0xC0. This basic data type is permitted in the SCL language with the name Dbpos (IEC61850-6). In zenon, this corresponds to a variable with data type UDINT (default) or STRING (if changed manually) - see assignment of datatypes.

In the driver configuration, the Deactivate standard double point value mapping option should remain inactive by default in order to use the modules from the zenon Energy Edition, for example the functions of Command Processing and ALC.

With the default settings, the driver assigns values of the stVal data attributes of DPS and DPC in accordance with the following table:

Position value in the end device | zenon Dbpos value - STRING | zenon Dbpos value - UDINT unmapped | zenon Wert - value mapped
Intermediate (00b) | '00' | 0 | 2
Off (01b) | '01' | 64 (0x40) | 0
On (10b) | '10' | 128 (0x80) | 1
Fault (11b) | '11' | 192 (0xC0) | 3

The driver only converts values for variables with the names */stVal and numerical data type that corresponds to bType 'Dbpos' in the SCL language (IEC61850-6). This means that the values of the */stVal variable with a data type set to STRING manually are excluded from mapping.

This means in Runtime (for example):

Position of the switch | UDINT mapped | UDINT unmapped | STRING
off | 0 | 64 | '01'
on | 1 | 128 | '10'


XML-File

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> XML-File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration of the IEC870SI is stored in an XML file. You can import and export different configurations with the buttons 'Export' and 'Import' in the main window.

The active configuration is stored in the INI file, for example:
[IEC 870]
SETTINGS=IEC870SLAVE.XML

You can choose any name. The path is the same as in the INI file.

Structure of the XML file

The names of most fields intuitively indicate their meaning. The settings correspond to those that are permitted in the dialog.

The values and structure of the XML file are verified when the file is read. Erroneous entries trigger an error message that is also logged.

attention Attenzione

XML entries are case sensitive. Pay attention to use correct upper and lower cases.

Name | Property
process_gateway_IEC870Slave | The root node must have this name. Otherwise, the reading process will stop with an error.
VERSION | Contains the current version of attributes and nodes.
Device_x | Nodes for the device configuration. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. A device is created for every node.
LinkAdr | In protocol 101, the link address is set here. It must be unique for all devices. For protocol 104, this entry has no meaning.
IpAdr | In protocol 104, the IP address of the Master is entered here. It must be unique for all devices. For protocol 101, this entry has no meaning.
Sector_x | Number of nodes per configured sector. X is replaced by the COA. This way of naming nodes is not obligatory. A sector is created for every node.
IO_x | Number of nodes per information object. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. An IO is created for every node.
ScadaVar | When the document is loaded, the existence of the specified variable in the project is verified. Variables without project reference are looked for in the default project. [ScadaProjectName#]ScadaVariableName. (Scada stands for the name of the process control system.)
TypeId | Type identification When the document is loaded, the system will check if the type ID with the specified variable data type is possible.
COA | Common object address Must be unique for every device per sector.
IOA | Information object address In combination with the type ID, it must be unique per sector.
Is101active | With the value '1', the protocol 101 is activated, otherwise 104 will be active.
BSTime | Time for background scan Unit of measurement: ms. 0 deactivates the background scan. Default: 0
CYTime | time for cyclical data transfer Unit of measurement: ms. 0 deactivates the cyclical transfer. Default: 0 Available in version 2 and above
KindOfTransfer | States the type of data transfer. 0 Spontaneous. Is also the default value. 1 backscan 2 Cyclic 3 off 4 Spontaneous transfer with buffering Default: 0 Available in version 3 and above
DeActDPIStd | DPI /DCS compliant (IEC60870 compliant) data transfer or internal control system format
Version | 6: describes an XML file with the following fields for SOE support
EnableSOE | 0 = inactive 1 = SOE active
MaxBufferedFilesSOE | Maximum number of buffered SOE files.
AutodeleteFilesSOE | 0 = no Autodelete 1 = Autodelete if maximum file number reached
MaxEventsPerFileSOE | Maximum number of ASDU per file
PostTrgToSOE | Post trigger timeout in [ms]
FileToSOE | File timeout in [ms]
Information Object Einstellung für die SOE Unterstützung | Additional settings that must be made at the Information Object for SOE support.
Version | 4: describes an XML file with the following fields for SOE support
KindOfTransfer | Defines when an update triggers a transfer. 0 Spontaneous 1 Background scan 2 periodic 3 no transfer
TrgSOE | 0 = inactive 1 = IO acts as trigger
EvDetectionSOE | Determines when a change to an IO value or status can trigger a write in the SOE file. 0 SOE active 1 Saves all changes. 2 Raising edges 3 Falling edges 4 Raising and falling edges
HysteresisNegative | Value of the negative hysteresis. Note: from zenon 7.11, the entry must exist for each IO.
HysteresisPositive | Value of the positive hysteresis. Note: from zenon 7.11, the entry must exist for each IO.

Example configuration for protocol 101:

Example configuration for protocol 104:


Communication

Manuale -> Process Gateway -> IEC870 Slave -> Communication

This chapter explains details on communication in the Process Gateway:

  • Start
  • General query
  • Reset
  • Value changes
  • Priority
  • Read
  • Process Initialized
  • File transfer
    • Storage and naming of files for transfer
    • Spontaneous directory transfer
  • Sequence of Events (SOE)
    • Warnings
    • Error message
  • Time synchronization
  • DPI / DCS mapping
  • Select Before Operate
  • Qualifier of command
  • Invalid Bit Handling
  • Normalized Values
  • Monitoring command
  • Internal type T00
  • Pulse generation
  • Reload project
  • Broadcasts
  • Realtime invalid - Statusbit T_INVAL
  • Test commands

Ancora in questo capitolo

Start

General query

End of connection and resets

Transfer of the value changes

Reload

Data priorities

Internal type T00 (status variable)

Time synchronization

Broadcasts

Mapping of status bits in message direction

Commands

File transfer

Sequence of Events (SOE)

Read - T102 - request

Test - T104 and T107 - requests


Start

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When the process gateway is started, it loads the configured driver.

The driver then attempts to read its active configuration from the file entered in the INI file. If this is not possible, an error message is displayed and the configuration dialog is opened.

If the dialog is not left with OK, the application closes.

attention Attenzione

If the application is launched as invisible, there will be no configuration dialog. The Process Gateway will automatically quit if its configuration is invalid or missing.


General query

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> General query

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The general query (GI) triggers an establishment of the connection to zenon Runtime in the IEC870 slave. The receipt of the GI - C_IC_NA_1 - from a master is a requirement for spontaneous communication, Background scan or Periodic data transfer. This connection is built up in sectors (COA).

If the connection cannot be established in Runtime, there is a negative confirmation of the general query (COT_actcon + PN). The query that is already active for the sector is ended and a warning is logged.

A GI for a sector that does not exist in the slave (unknown COA) is confirmed in the negative (COT=46 + PN) and the connection to the master is disconnected. This is an indicator for a configuration error in the system.

For general queries, the slave supports the global address COA=0xFF(FF). You can find detailed information on this in the Broadcast chapter. A master can thus query several sectors with just one GI. This is an alternative envisaged by the standard, which the master can use. Otherwise a master must query the sectors consecutively (one after the other).

If the master sends a further GI whilst the current one has not yet been concluded, the ongoing GI is canceled and the new one is started. Overlapping GIs are logged as a warning. This is an indication of non-standard-compliant behavior with a master.

Value changes for IOs whose value has already been reported to the master as part of the current GI are buffered as long as the GI - due to other IOs is still running in the same sector (COA). If the buffer is overfilled, the current connection is disconnected. You can find further information on this in the Transfer of the value changes chapter.

During a project reload, it is not possible to connect to the Runtime. The general request will fail in this case.

attention Attention

In accordance with the IEC60870 standard, a master must start communication with a general query. For this reason, the slave closes the connection if the master has not sent a GI in the envisaged time ((T0)).

The GI and buffers of the value changes are independent for different Devices (for different masters). A master can deactivate the ongoing general query by ASDU<100> with COT_deact(8).


End of connection and resets

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The reset in the slave is triggered if a master connects:

  • 870-101: All commands will be rejected until the function code for reset (0) has been received. The code causes a reset in the link layer and the application layer.
  • 870-104: As a result of the connection being disconnected, a master can detect the interruption immediately and starts the initialization process again.

Ending communication

In general, communication is ended if:

  • The Process Gateway application is ended
  • Changes to the configuration of the slave are activated
  • Runtime reloads
  • the master has established the connection but no general query was sent
  • The list of the value changes that have not been sent for the sector has overflowed
  • A non-supported command has been received (command is answered in the negative and the connection is ended for security reasons).
  • A command with a non-supported address is received (command is answered in the negative and the connection is ended for security reasons).

Ancora in questo capitolo

'Reset process command' - T105 - request

'End of Initialization' - T70 - send


'Reset process command' - T105 - request

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'Reset process command' - T105 - request

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The slave can inform zenon Runtime of the receipt of a C_RP_NA_1 command. To do this:

  • create an IO of type T105with IOA 0.

If a master sends the command C_RP_NA_1, the value of the variable is first set to 0 and then to the value of QRP.

The slave confirms receipt of the command to the master and changes the value of the corresponding T105 variable for Runtime but otherwise the command has no effect in the slave. The optional sending of the 'End of initialization' (T70) is not executed automatically.


'End of Initialization' - T70 - send

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'End of Initialization' - T70 - send

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

From the process control system, it is possible to instigate an ASDU<70> - M_EI_NA_1 ('End of initialization') being sent to the master. To do this:

  • create an IO of type T70 with IOA 0.

The transfer is triggered if the current value of the variable is 126 and this is amended to 127. As COI (Cause of initialization), 2 (remote reset) is used.


Transfer of the value changes

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Transfer of the value changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave receives, from zenon Runtime, all value changes of the requested variables. Because, as a result of this, the list of process information that has not yet been transferred to the master can become very large, the list of outstanding value changes is limited.

Limit: at least 2048 values or 4 x number of IOs per sector.

If a master receives the values more slowly than they are generated in the process control system, the list can exceed this maximum. The slave can then no longer buffer the value changes that have not yet been transferred. The slave therefore terminates the connection to the master. The master is thus requested to obtain the next connection with a general query, so that it gets current, only recent variable values.

attention Attention

The Master must be able to recognize a communication interrupt, so he can react with a new general request. This is why no process commands will be executed until the Master has caused a reset.

Every time there is a chance of data loss (value changes were lost), a reset will be triggered.


Reload

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If one of the projects is reloaded in the zenon Runtime, the connection to all projects using the IOs in the sector will be closed. The device (Device) with the according sector (COA) must be reset. That means: The connection to the master is closed.

While the reload is active, you cannot establish a connection to the Runtime. This means that general requests are also not possible.


Data priorities

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Data priorities

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports class 1 and class 2 files.

Spontaneous communication, background scan and periodic data transfer belong to class 1.

The whole file transfer is treated as class 2. This makes sure that value changes will be transferred to the Master even during a file transfer.


Internal type T00 (status variable)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Internal type T00 (status variable)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The internal type T00 is used for communication between the Slave and the process control system.

For the status variables, each numeric zenon variable can be assigned, for example internal drivers.

IOA 1

The variable provides the status information as to whether there is already a connection to the master. Create an IO of type T00 with IOA 1. If a connection is established, the value will change from 0 to 1.

IOA 2

A decision as to whether commands are carried out in control direction can be made for each sector by means of a zenon variable for each sector. For rejected commands, a master receives COT_actcon (7) + PN as confirmation. Rejected commands create a warning in the log.

The zenon variable must be of UINT or DWORD type and is assigned with T00 at IOA . If the value of the variable is = 1, the commands are approved. The variable must not have the status INVALID. The commands are always approved if no IO is configured.

This setting can be set globally using the Commands active property.

The enhanced meaning of the IOA 2 variable:

Value | Description
0 | Commands are rejected; sets PN bit
1 | Commands are approved
2 | Silent mode: accept without execution or error message
3.... | Reserved for future versions

info Info

Attendant warning message:

Commands for sector deactivated, execution prohibited. <Command text>

Warning: 1009 command in control direction was received, but rejected due to a missing enable.

IOA 3

Status variable is set to 1 if the number of SOE files in the transfer directory exceeds the maximum number of buffered files.

IOA 4

Variable provides status information on the current or most recently processed SOE file:

0 - initialization. As long as no SOE file was written.

1 - SOE file is opened

2 - file was closed

3 - too many SOE files in the directory

4 - error when writing the SOE file

5 - errors when creating the SOE file

IOA 5

Variable provides status information by means of file transfer in Monitoring Direction ("Standard Direction" - from the master to the slave).

0 - no transfer active

1 - section is selected

2 - section is requested

3 - waiting on section confirmation

4 - waiting on confirmation of file transfer

255 - error when transferring

IOA 6

Variable provides the number of SOE files present in the transfer directory.

IOA 7

Variable provides status information by means of file transfer in Control Direction ("Reverse Direction" - from the slave to the master).

The information is integrated in a DWORD as follows: [IOA of the transferred files] * 256 + [status information].

Possible status information:

1 = transfer is ongoing

2 - Transfer is ongoing - the transfer that had not been completed beforehand is terminated by the transfer that has currently been started.
Status 3 is also written for the transfer that has been terminated. However because the new status is immediately written afterwards, it cannot be guaranteed in the case of zenon that this is visible in Runtime.

3 - Transfer was terminated due to an error.

4 - File transfer was completed and file is available.


Time synchronization

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Time synchronization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for time synchronization to be carried out - on receipt of C_CS_NA_1 , there must be, at any desired Device/Sektor a type T103 IO connected to a process variable. The first IO that uses type T103 is used as an enable.

This variable must have a value of <> 0 and must not have any of the following status bits set:

  • INVALID (Bit 18)
  • OFF (Bit 20)
  • ALT_VAL (Bit 27)
  • BL_870 (Bit 44)

Non execution of the command due to a missing enable (value 0 or status) does not lead to the connection being terminated, the command is only confirmed negatively - COT_actcon + PN.

If the Enable variable has not been configured or the value for this variable is missing, the connection is disconnected if a C_Cs_NA_1 is received.

The missing configuration of the enable variable or the missing value of the enable variable leads to the connection being lost when the C_CS_NA_1 command is received.


Broadcasts

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Broadcasts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Global address 0xFF(FF) in the Common Address of ASDU (COA) is supported for the following Typ IDs:

  • C_IC_NA_1 - General query - ASDU<100>
  • C_CS_NA_1 - Time synchronization - ASDU<103>

No additional project configuration steps are necessary for this.

attention Attenzione

For Data Link Layer, the Broadcast Adress 0xFF(FF) - "all outstations" is not supported in 60870-4-101 communication.

The Broadcast Adress 0xFF(FF) - "all outstations" - in Data Link Layer in 60870-4-101 communication is not supported.


Mapping of status bits in message direction

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Mapping of status bits in message direction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports the sending of quality bits for the information objects. The quality bits of the IO are set - in ASDUs in 'monitor direction' - using certain status bits of the linked zenon variable.

The quality bits are assigned to the status bits of the variables as follows:

Status bit in zenon | IEC60870 quality descriptor bits | Notes
INVALID | IV (invalid) NT (not topical) | The slave forwards the INVALID status bit in message direction as two quality bits.
OFF | IV (invalid) |
OV_870 | OV (overflow) | OV_870 status bits that already have the variables in zenon are sent to the master. If values for Normalized Values (T09) go below or exceed the norm range <-1 .. 1-2-15>, the OV quality bit is set, even if the variable does not have the status bit in zenon.
BL_870 | BL (blocked) |
SB_870 | SB (substituted) |
ALT_VAL | SB (substituted) | Up to zenon version 7.10, it is mapped the same as the OFF bit.
NT_870 | NT (not topical) |
T_INVAL (time invalid) | Only in "Binary Time 2a" (CP24Time2a/CP56Time2a) BS[24]- IV (invalid) | The slave forwards the T_INVAL status bit in the time stamp of the IOs with "time tag" only.


Commands

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command received - T45..T64 - is set as the value for the zenon variables. In sectors without Select routing, a confirmation, which is always positive, is always sent to the master immediately - COT_actcon (7) and COT_actterm (10).

In such sectors, a Select is also immediately also confirmed automatically - COT_actcon + SE and the zenon variable change neither the value nor the status bit.

Note: For variables that are configured in the IEC870Sl Process Gateway as command variables, if the Write set value via VBA property is active (Logging in group), each command is logged as a write set value via the API interface in the CEL.

Ancora in questo capitolo

Select routing

Pulse generation - 'Qualifier of Command'


Select routing

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Select routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select routing can only be used together with Command Processing module - auto/remote actions.

If Select routing was configured for the sector being addressed, there is a wait in receipt of a Select until, via the command variable of zenon, the status SE_870 is acknowledged with COT_actcon (7) and possibly with N_CONF (corresponds to PN).

Only once this has happened is a confirmation to the master (for example a Control Center) triggered. All others for this IO are rejected as long as a selection is taking place.

Timeout, cancel and missing select

The following rules apply for the different possibilities for responding to a Select routing :

  • If Select routing is configured on a sector, one Select Timeout per IO is started for each Select.
  • The slave checks whether the Timeout has expired and then sets the variable to SE, COT_actterm (10) and PN.
  • If a Cancel - COT_deact (8) is received by the master for an ongoing Select , confirmation is provided with COT_deactcon (9) and the Select is deleted.
  • If an Execute or Cancel is received without a Select beforehand, it is responded to with PN - negative.


Pulse generation - 'Qualifier of Command'

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Pulse generation - 'Qualifier of Command'

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports pulse generation for commands received. The Qualifier of Command (QoC) is supported for all commands envisaged in the IEC60870 standard (T45,T46,T47 and T58,T59,T60).

For example, an pulse command received - an ASDU of type T45 - with QoC has the following effect on a zenon variable:

  • QoC 0: Undefined in accordance with IEC standard. Behaves in slave as in QoC 3 persistent output.
  • QoC 1: Short pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 2: Long pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 3: Persistent output. The zenon variable assumes the value 'ON' (or 'OFF') and retains the value. This must be reset to receive further commands.

As soon as communication is ended, the pulse for all other active pulse variables will be stopped (i.e. an OFF will be written). If a pulse is triggered for a running pulse generation, the active pulse generation will be stopped. The variable contains the value 'OFF'.

Note: For SCS (single command state), the value 'OFF' is always 0, for DCS (double command state) an 'OFF' is 00b at protocol level, then 2 or 0 in zenon, depending on the "DPI/DCS mapping" setting.

Note: In sectors with Select routing , pulse generation cannot be carried out because 'OFF' after Select is in conflict with Execute .


File transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following applies for file transfer:

  • The values 1-4 are supported in the AFQ UI4
  • The values 0-6 are supported in the SCQ UI4;
    0 and 1 are both 'select file'

If a new transfer is started while another one is still active, the currently active transfer will be interrupted and the new one will be started.

Ancora in questo capitolo

Storage and naming

Spontaneous directory transfer


Storage and naming

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Storage and naming

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the following scheme for storage and naming:

<Configured folder>\<COA>\<IOA>.<NOF>

Only 1 = 'Name of file' is supported as NOF (transparent file).
The maximum size of files for transfer is 16.711.680 Bytes.

Example

Folder in the module configuration: C:\TEMP\IEC870

File 1100.1: for IO of sector COA=151 and IOA 1100

Save location: C:\TEMP\IEC870\151\1100.1


Spontaneous directory transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Spontaneous directory transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Spontaneous transfer of files in the folder for file transfer can be triggered by the process control system. To do this:

  • create an IO of type F_DR_NA_1 (T126) with IOA '0'.
Value | Meaning
Change from 1 to 2 | Starting transfer
3 | Transfer active
4 | Transfer finished
5 | Transfer failure

Nested activation is prevented.


Sequence of Events (SOE)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Settings in the main SOE window:

Parameter | Description
Use sequences of events | If active, the SOE for the selected device is activated. If inactive, all SOE settings to the IOs are ignored. Default: inactive

File settings per sector

Parameter | Description
Buffered SOE Files | If the number set for SOE files in the folder is reached for the sector, a spontaneous directory transfer (type ID "F_DT_TA_1") is triggered. If the number of files in the folder is doubled, the oldest file will start to be deleted (ring buffer function). Value range 1 to 1024. Default: 1024
Events per File | Number of value changes that are written in a file before it is closed. Value range: 1 to 4096. Default: 512
Automatically delete SOE file | If active, the reaction is that this is then automatically closed for type ID "F_AF_NA_1" (confirmation for file) for an SOE file.

Timeouts

Parameter | Description
Post trigger timeout | If no ASDU is written to the file within this period of time, this is then closed. The time period starts over with each ASDU written. Value range: 100ms to 120000ms Default: 1000ms
File timeout | Maximum time for which the file remains open (regardless of the number of events). Value range: 100ms to 120000ms Default: 5000ms

First value

The exchange of data for SOE starts immediately once the Gateway has been initialized. The exchange of data for data in monitoring direction only starts when a master has connected and triggered a general interrogation (GI). The first value that is initialized does not trigger an event and is thus also not entered into the file. The same applies if Runtime is ready again to exchange data after reloading.

File transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Files are not transferred automatically if the maximum number of SOE files to be buffered is exceeded.

The IEC 60870 norm describes this with "may be activated". The Gateway does not support any file transfers activated by the Slave in the current version.

Directory Transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Automatic directory transfer:

In accordance with the IEC 60870 norm, an automatic spontaneous directory transfer is activated for the following reasons with existing SOE files:

  • 24 hours after the last automatic directory transfer.
  • if the master connects
  • if the maximum number of files to be buffered is exceeded

Ancora in questo capitolo

Warnings

Error message

LOG entries


Warnings

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Warnings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Warning message | Meaning
Sequences of events for device <Devicename> sector <Sectorname> are activated but no trigger defined | The device has SOE activated, on the server there is an IO with SOE active but the trigger was not activated for any IO. No file is created without a trigger. At least one IO must have the trigger activated for the sector.
SOE value change without trigger and file is closed. Value lost! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | A value change was not written because the SOE file is not open. Code:1010


Error message

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Error message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Error message | Meaning
Sequence of events active but no directory for the file transfer defined! | SOE files are archived in the file transfer folder. Therefore a folder for file transfer must be present.
SOE values lost, queue full! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | for IOs that have a SOE activated, data is exchanged to the stack via a queue. This can assume a value of 2048 or 4 * the number of SOE IO’s in sector entries. If this number is exceeded, this error message is created and the value change is lost. Error code: 6
Can't create subdirectory for file transfer. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> system error:<System error code> | The subfolder for the sector is automatically created for SOE in the folder for file transfers. This error shows that this folder could not be created. SOE then indicates that this sector is NOT available. Error code: 10
System error code | Contains the error code returned from the operating system.
Can't advise SOE data point. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> adv:0x<Advise ID> | Data point request for SOE IOs failed. SOE then indicates that this sector is NOT available. Error code: 11
Write asdu to file <Filename> fail! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> <Value> system error: <System error code> | ASDU write to SOE file failed. Error code: 8
Illegal file name <Filename> detected! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> | Filenames for the file transfer have a defined format <IOA>.<NOF>. The file does not adhere to this convention. Error code: 12
Auto delete for file failed! System error: <System error code> <File transfer information> | Error code: 9
File transfer information | Contains the information that identifies the file transfer.


LOG entries

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> LOG entries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The sequence of events writes the following entries to the LOG file

Parameter | Description
deviceIp: | IP address from the device
devicename: | Name of device
COA: | Care of Address -> according to standard
SecName: | Sector description
TypeyId: | Command number
TypeIdAsTxt: | Command as text
IOA: | According to standard
AdviseID: | ID via which value changes are requested and assigned
Value: | Value transferred
TimeStamp: | Time of value change. From the driver or command
QUALDESC: | According to standard
SBEValue: | COT, select and pn mapped to unique enums: 0: Not select relevant 1: actcon+pn+select 2: actcon+select 3: deactcon+pn+select, 4: deactcon+select 5: actterm+pn+select, 6: actterm+select,
Confirmed: | 1 if select already confirmed
COT: | According to standard
CotTxt: | Cot asText
Qualifier: | According to standard and command
Originator: | According to standard
QU: | Qualifier of command QU 7.2.6.26
DCS: | 7.2.6.16 Double command (IEV 371-03-03)
ControlCommand: | Depending on control command

Example for 45:

<TypeId> <TypeIdAsTxt> Device:(<deviceip>)<devicename> Sector:(<IOA>)< SecName > ioa:<IOA> cot:(<COT>)<CotTxt> ori:<Originator> sel:<QOC S/E> qu:<QU> dcs:<DCS>

ValueChange cmd(<TypeyId>)<<TypeId>> <TypeIdAsTxt> ioa:<IOA> id:<AdviseID> value:<Wert> time:<TimeStamp> state:< QUALDESC > sir:<SBEValue>

LOG entry | Module/Level | Description
SBE IED processing. Device:(<deviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> SBE command: advise:<AdviseID> conf:<confirmed> <ControlCommand> | OSI7/Debug | Each value change that is processed for SBE creates this log message
Wrn:1014 SBE activation already confirmed! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | OSI7/Warnung | Renewed conformation for Select received and ignored
Error:16 Advise for SBE data point fail. SBE command: advise:<AdviseId> conf:<confirmed> <ControlCommand> | Scada/error | Variable could not be requested.
Error:17 SBE value lost, queue full! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | Scada/Error | Value change for SBE lost because the source is full.


Read - T102 - request

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Read - T102 - request

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Maximum 2048 read requests - C_RD_NA_1 - can be active at the same time. Once this limit has been reached, further read requests are rejected.

A read request is executed for each IO with the requested IOA .
Several requests for one IO can be active at the same time.
Read requests will be processed even if the general request is not finished yet.

The response to the read command does not need to be configured and automatically runs in the background.


Test - T104 and T107 - requests

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Test - T104 and T107 - requests

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave responds to the master automatically with the two test commands C_TS_NA_1 (ASDU<104>) and C_TS_TA_1 (ASDU<107>).

This response does not need to be engineerd and runs in the background.

info Info

You can find further information on command IDs the Interoperability chapter.


Error analysis

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.

Ancora in questo capitolo

Analysis tool

Error codes

Check list


Analysis tool

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Process Gateway behaves like a zenon driver and writes messages to a common log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.60 -> Diagviewer. In general, the following applies:

zenon driver log all errors in the LOG files.I file LOG sono file di testo con una struttura speciale: La cartella standard per i file Log è la sottocartella LOG della directory ProgramData, per es.:

%ProgramData%\COPA-DATA\LOG.

Attention: With the default settings, a driver only logs error information. With the Diagnosis Viewer you can enhance the diagnosis level for most of the drivers to "Debug" and "Deep Debug". With this the driver also logs all other important tasks and events.

Nel Diagnosis Viewer si può anche:

  • Seguire nuovi inserimenti in tempo reale
  • Individualizzare le impostazioni di registrazione
  • Modificare la cartella in cui vengono salvati i file LOG

Note:

  1. The Diagnosis Viewer displays all entries in UTC (coordinated world time) and not in local time.
  2. The Diagnosis Viewer does not display all columns of a LOG file per default. To display more columns activate property Add all columns with entry in the context menu of the column header.
  3. If you only use Error-Logging, the problem description is in the column Error text. For other diagnosis level the description is in the column General text.
  4. For communication problems many drivers also log error numbers which the PLC assigns to them. They are displayed in Error text or Error code or Driver error parameter (1 and 2). Hints on the meaning of error codes can be found in the driver documentation and the protocol/PLC description.
  5. At the end of your test set back the diagnosis level from Debug or Deep Debug. At Debug and Deep Debug there are a great deal of data for logging which are saved to the hard drive and which can influence your system performance. They are still logged even after you close the Diagnosis Viewer.

attention Attenzione

In Windows CE errors are not logged per default due to performance reasons.

Note: Process Gateway is not available under Windows CE.

info Info

You can find further information on the Diagnosis Viewer in the Diagnosis Viewer chapter.

Ancora in questo capitolo

Logging


Logging

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool -> Logging

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports a comprehensive logging function for:

  • Client name
  • zenProcGateway_IEC870Slave
  • Modules

Client name

The way the name of the client is displayed in the Diagnosis Viewer depends on the configuration. That is why the name changes if you change the TCP port, the COM port or the protocol. In this case, the logging settings may also change.

If the Process Gateway is started several times with the same settings, the same client name will be used. The error messages of the different instances can be distinguished by the process ID.

Example Esempio

zenProcGateway_IEC870Slave

  • 104 protocol with standard port 2404
  • 101 if COM1 selected.
  • If the configuration has not been loaded yet, error messages during startup will always be visible under this client.

zenProcGateway_IEC870Slave:COM4

  • 101 with COM4.
    The name contains the used COM port.

zenProcGateway_IEC870Slave:Port:12345

  • 104 with port 12345.
    The name contains the port for the Master connection.

Modules

Error messages are shown for all modules:

  • IEC870 Slave
  • OSI2
  • OSI7
  • SCADA Runtime (ScadaRT)

IEC870 Slave

Concerns the connection to the Process Gateway and its configuration.

Information about:

  • Errors during engineering

OSI2

Concerns the protocol level. This where framing with its according functions is implemented.

Information about:

  • Received data as byte dump
  • Sent data as byte dump
  • Function codes for 101
  • Errors on this level, e.g. in the framing
  • APCI for 104 (870-5-104 5)

Levels

  • Msg: Frame interpreting
  • Debug:
    Received and sent data
    Frame analysis.
    New Master connection.
  • Deep Debug: Every request about existence of characters. Produces a large number of logging entries!

OSI7

Concerns the application layer.
This is where commands are interpreted and executed.

Information about:

  • Logging 'process and system information'
  • Errors in the ASDUs

Levels:

  • Warning: Recursive interrogation
  • Msg: Process information, System information
  • Debug: Confirmed I-frames
  • Deep Debug: Interrogation runs. Produces a large number of logging entries!

SCADA Runtime (ScadaRT)

Messages for connection to the Runtime:

Information about:

  • advised and unadvised variables
  • updated variables
  • Deactivating the project

Levels

  • Debug:
    changed values
    project inactive


Error codes

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Error codes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following error codes can be displayed in the Diagnosis Viewer:

Error code | Meaning
570 | Value change for unknown cyclical IO
571 | Transfer buffer too small to transfer a cyclical IO

Error messages for file transfer in reverse direction

Error number | Error level | Description
20 | Error message | Creation of the temporary file for the file transfer in reverse direction was unsuccessful.
1017 | Warning | File transfer in reverse direction is already active, the ongoing one will be ended and a new one started.
21 | Error message | Segment data write error occurred
22 | Error message | Length of the data exceeds the expected file length
23 | Error message | Checksum of the transferred segments incorrect for the sector.
24 | Error message | Checksum for file incorrect.
25 | Error message | Segment data transferred for sector exceeds the data length defined at the start
26 | Error message | Sector data transfer is reported as finished but the amount of segment data transferred does not correspond to that stated at the start.
27 | Error message | File data is reported as completed but the given file length does not correspond.
581 | Error message | Unexpected IOA with SG
582 | Error message | Unexpected NOF with SG
583 | Error message | Unexpected NOS with SG
584 | Error message | Unexpected NOS with LS
585 | Error message | Unexpected NOS with LS
586 | Error message | Unexpected NOS with LS
587 | Error message | FR with non-supported NOF. We only support 1 == transparent


Check list

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Check list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Is the COM port in use by another application or are the settings incorrect?
  • Is the device (PLC) that you are trying to communicate with connected to the power supply?
  • Is the cable between PLC and PC/IPC connected correctly?
  • Have you analyzed the error file (which errors did occur)?
  • For additional error analyses, please send a project backup and the LOG file of the DiagViewer to the support team responsible for you.


Interoperability

Manuale -> Process Gateway -> IEC870 Slave -> Interoperability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This companion standard presents sets of parameters and alternatives from which subsets must be selected to implement particular telecontrol systems. Certain parameter values, such as the choice of 'structured' or'unstructured' fields of the informationobject address of ASDUs represent mutually exclusive alternatives. This means that only one value of the defined parameters is admitted per system. Other parameters, such as the listed set of different process information incommand and in monitor direction allow the specification of the complete set orsubsets, as appropriate for given applications. This clause summarizes theparameters of the previous clauses to facilitate a suitable selection for aspecific application. If a system is composed of equipment stemming from different manufacturers, it is necessary that all partners agree on the selected parameters.

The interoperability list is defined as in IEC 60870-5-101 and extended with parameters used in this standard. The text descriptions of parameters which are not applicable to this companion standard are strike-through (corresponding check box is marked black).

NOTE In addition, the full specification of a system may require individual selection of certain parameters for certain parts of the system, such as the individual selection of scaling factors for individually addressable measured values.

The selected parameters should bemarked in the white boxes as follows:

[ ] Function or ASDU is not used
[ X ] Function or ASDU is used as standardized (default)
[ R ] Function or ASDU is used in reverse mode
[ B ] Function or ASDU is used in standard and reverse mode

The possible selection (blank, X , R , or B ) is specified for each specific clause or parameter.

A black check box indicates that the option cannot be selected in this companion standard.

1. System or device

(system-specific parameter, indicate definition of a system or a device by marking one of the following with ' X ')

[ ] System definition
[ ] Controlling station definition (Master)
[ X ] Controlled station definition (Slave)

2. Network Configuration: 101 only

(network-specific parameter, all configurations that are used are to be marked ' X ')

[ X ] Point-to-point | [ X ] Multipoint
[ X ] Multiple point to point | [ ] Multipoint-star

3. Physical Layer: 101 only

(network-specific parameter, all interfaces and data rates that are used are to be marked ' X ')

Transmission speed (control direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

Transmission speed (monitor direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

4. Link layer: 101 only

(network-specific parameter, all options that are used are to be marked ' X '. Specify the maximum frame length. If a non-standard assignment of class 2 messages is implemented for unbalanced transmission, indicate the Type ID and COT of all messages assigned to class 2.)

Frame format FT 1.2, single character 1 and the fixed time out interval are used exclusively in this companion standard.

Link transmission | Frame length [octets] | Address field of the link
[ ] Balanced transmission | [255] Maximum length L (both directions)* | [ ] not present (balanced transmission only)
[ X ] Unbalanced transmission |  | [ X ] One octet
 |  | [ X ] Two octets
 |  | [ X ] Structured
 |  | [ X ] Unstructured

*may be reduced by the system

Link Address 0xFF(FF) - broadcast to all outstations - is not supported.

The structure of Link Address is not interpreted.

When using an unbalanced link layer, the following ASDU types are returned in class 2 messages (low priority) with the indicated causes of transmission:

[ ] The standard assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
9, 11, 13, 21 | <1>

[ X ] A special assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
120 - 126 | All (as specified in the standard)

Note: (In response to a class 2 poll, a controlled station may respond with class 1 data when there is no class 2 data available).

5. Application Layer

Transmission mode for application data

Mode 1 (Least significant octet first), as defined in 4.10 of IEC 60870-5-4, is used exclusively in this companion standard.

Common address of ASDU

(system-specific parameter, all configurations that are used are to be marked ' X ')

ASDU adress
101 only [ X ] One octet | [ X ] Two octets

The ASDU address 0xFF(FF) - global address - is supported only for C_IC_NA_1 and C_CS_NA_1

Information object address

(system-specific parameter, all configurations that are used are to be marked ' X ')

Object adress
101 only [ X ] One octet | [ X ] Structured
101 only [ X ] Two octets | [ X ] Unstructured
[ X ] Three octets |

Cause of transmission

(system-specific parameter, all configurations that are used are to be marked ' X ')

Cause of transmission
101 only [ X ] One octet | [ X ] Two octets (with originator address) Originator address is set to zero if not used.

Length of APDU: 104 only

(system-specific parameter, specify the maximum length of the APDU per system)
The maximum length of APDU for both directions is 253. The maximum length may be reduced by the system.

[ 253 ] Maximum length of APDU per system

Selection of standard ASDUs

Process information in monitor direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <1>: = Single-point information | M_SP_NA_1
[ B ] | <2>: = Single-point information with time TAG | M_SP_TA_1
[ B ] | <3>: = Double-point information | M_DP_NA_1
[ B ] | <4>: = Double-point information with time TAG | M_DP_TA_1
[ B ] | <5>: = Step position information | M_ST_NA_1
[ B ] | <6>: = Step position information with time TAG | M_ST_TA_1
[ B ] | <7>: = Bitstring of 32 bit | M_BO_NA_1
[ B ] | <8>: = Bitstring of 32 bit with time TAG | M_BO_TA_1
[ B ] | <9>: = Measured value, normalized value | M_ME_NA_1
[ B ] | <10>: = Measured value, normalized value with time TAG | M_ME_TA_1
[ B ] | <11>: = Measured value, scaled value | M_ME_NB_1
[ B ] | <12>: = Measured value, scaled value with time TAG | M_ME_TB_1
[ B ] | <13>: = Measured value, short floating point value | M_ME_NC_1
[ B ] | <14>: = Measured value, short floating point value with time TAG | M_ME_TC_1
[ B ] | <15>: = Integrated totals | M_IT_NA_1
[ B ] | <16>: = Integrated totals with time TAG | M_IT_TA_1
[ ] | <17>: = Event of protection equipment with time TAG | M_EP_TA_1
[ ] | <18>: = Packed start events of protection equipment with time TAG | M_EP_TB_1
[ ] | <19>: = Packed output circuit information of protection equipment with time TAG | M_EP_TC_1
[ ] | <20>: = Packed single-point information with status change detection | M_SP_NA_1
[ ] | <21>: = Measured value, normalized value without quality descriptor | M_ME_ND_1
[ B ] | <30>: = Single-point information with time TAG CP56Time2a | M_SP_TB_1
[ B ] | <31>: = Double-point information with time TAG CP56Time2a | M_DP_TB_1
[ B ] | <32>: = Step position information with time TAG CP56Time2a | M_ST_TB_1
[ B ] | <33>: = Bitstring of 32 bit with time TAG CP56Time2a | M_BO_TB_1
[ B ] | <34>: = Measured value, normalized value with time TAG CP56Time2a | M_ME_TD_1
[ B ] | <35>: = Measured value, scaled value with time TAG CP56Time2a | M_ME_TE_1
[ B ] | <36>: = Measured value, short floating point value with time TAG CP56Time2a | M_ME_TF_1
[ B ] | <37>: = Integrated totals with time TAG CP56Time2a | M_IT_TB_1
[ ] | <38>: = Event of protection equipment with time TAG CP56Time2a | M_EP_TD_1
[ ] | <39>: = Packed start events of protection equipment with time TAG CP56Time2a | M_EP_TE_1
[ ] | <40>:= Packed output circuit information of protection equipment with time TAG CP56Time2a | M_EP_TF_1

Either the ASDUs of the set <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> or of the set <30> – <40> are used.

Process information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <45>: = Single command | C_SC_NA_1
[ X ] | <46>: = Double command | C_DC_NA_1
[ X ] | <47>: = Regulating step command | C_RC_NA_1
[ X ] | <48>: = Set point command, normalized value | C_SE_NA_1
[ X ] | <49>: = Set point command, scaled value | C_SE_NB_1
[ X ] | <50>: = Set point command, short floating point value | C_SE_NC_1
[ X ] | <51>: = Bitstring of 32 bit | C_BO_NA_1
[ X ] | <58>: = Single command with time TAG CP56Time2a | C_SC_TA_1
[ X ] | <59>: = Double command with time TAG CP56Time2a | C_DC_TA_1
[ X ] | <60>: = Regulating step command with time TAG CP56Time2a | C_RC_TA_1
[ X ] | <61>: = Set point command, normalized value with time TAG CP56Time2a | C_SE_TA_1
[ X ] | <62>: = Set point command, scaled value with time TAG CP56Time2a | C_SE_TB_1
[ X ] | <63>: = Set point command, short floating point value with time TAG CP56Time2a | C_SE_TC_1
[ X ] | <64>:= Bitstring of 32 bit with time TAG CP56Time2a | C_BO_TA_1

Either the ASDUs of the set <45> – <51> or of the set <58> – <64> are used.

System information in monitor direction

(station-specific parameter, mark ' X ' if used)

Mark | Parameter | Type
[ X ] | <70> : = End of initialization | M_EI_NA_1

System information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <100>: = Interrogation command* | C_IC_NA_1
[ X ] | <101>: = Counter interrogation command | C_CI_NA_1
[ X ] | <102>: = Read command | C_RD_NA_1
[ X ] | <103>: = Clock synchronization command (option see 7.6)* | C_CS_NA_1
[ X ] | <104>: = Test command | C_TS_NA_1
[ X ] | <105>: = Reset process command | C_RP_NA_1
[ ] | <106>: = Delay acquisition command | C_CD_NA_1
[ X ] | <107>: = Test command with time TAG CP56Time2a | C_TS_TA_1

*also with global address - with Common Address of ASDU = 0xFF(FF)

Parameter in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ ] | <110>: = Parameter of measured value, normalized value | P_ME_NA_1
[ ] | <111>: = Parameter of measured value, scaled value | P_ME_NB_1
[ ] | <112>: = Parameter of measured value, short floating point value | P_ME_NC_1
[ ] | <113>: = Parameter activation | P_AC_NA_1

File transfer

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <120>: = File ready | F_FR_NA_1
[ B ] | <121>: = Section ready | F_SR_NA_1
[ B ] | <122>: = Call directory, select file, call file, call section | F_SC_NA_1
[ B ] | <123>: = Last section, last segment | F_LS_NA_1
[ B ] | <124>: = Ack file, ack section | F_AF_NA_1
[ B ] | <125>: = Segment | F_SG_NA_1
[ X ] | <126>: = Directory {blank or X, only available in monitor (standard) direction} | F_DR_TA_1

Type identifier and Cause of transmission assignments

(station-specific parameters)

Shaded boxes: option not required.
Blank: functions or ASDU not used.

Mark Type Identification/Cause of transmission combinations:
' X ' if only used in the standard direction;
' R ' if only used in the reverse direction;
' B ' if used in both directions.

Type identification |  | Cause of transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 to 36 | 37 to 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  |  | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Blank or X only

1 Optional.

2 Slave confirms deactivations of write command (TI <45> ... <64>) but by deactivated 'Select routing' the corresponding activation is already transferred to execution; COT_actcon and COT_actterm were already sent.

COT | Cause of Transmission |
<0> | not used |
<1> | periodic, cyclic | per/cyc
<2> | background scan | back
<3> | spontaneous | spont
<4> | initialized | init
<5> | request or requested | req
<6> | activation | act
<7> | activation confirmation | actcon
<8> | deactivation | deact
<9> | deactivation confirmation | deactcon
<10> | activation termination | actterm
<11> | return information caused by a remote command | retrem
<12> | return information caused by a local command | retloc
<13> | file transfer | file
<14...19> | reserved |
<20> | interrogated by station interrogation | inrogen
<21...36> | interrogated by interrogation of the group 1..16 | inro1..16
<37> | requested by general counter request | reqcogen
<38...41> | requested by counter interrogation of the group 1 ... 4 | reqco1..4
<42, 43> | reserved |
<44> | unknown type identification |
<45> | unknown cause of transmission |
<46> | unknown common address of ASDU |
<47> | unknown information object address |
<48, 63> | for special use (private range) |

6. Basic application functions

Station initialization

(station-specific parameter, mark 'X' if function is used)

[ ] Remote initialization

Cyclic data transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Cyclic data transmission

Read procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Read procedure

Spontaneous transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ B ] Spontaneous transmission

Double transmission of information objects with cause of transmission spontaneous

(station-specific parameter, mark each information type ' X ' where both a Type ID without time and corresponding Type ID with time are issued in response to a single spontaneous change of a monitored object)

The following type identifications may be transmitted in succession caused by a single status change of an information object. The particular information object addresses for which double transmission is enabled are defined in a project-specific list.

[ ] Single-point information M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 and M_PS_NA_1
[ ] Double-point information M_DP_NA_1, M_DP_TA_1 and M_DP_TB_1
[ ] Step position information M_ST_NA_1, M_ST_TA_1 and M_ST_TB_1
[ ] Bitstring of 32 bit M_BO_NA_1, M_BO_TA_1 and M_BO_TB_1 (if defined for a specific project)
[ ] Measured value, normalized value M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 and M_ME_TD_1
[ ] Measured value, scaled value M_ME_NB_1, M_ME_TB_1 and M_ME_TE_1
[ ] Measured value, short floating point number M_ME_NC_1, M_ME_TC_1 and M_ME_TF_1

Station interrogation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] global |  |
[ ] group 1 | [ ] group 7 | [ ] group 13
[ ] group 2 | [ ] group 8 | [ ] group 14
[ ] group 3 | [ ] group 9 | [ ] group 15
[ ] group 4 | [ ] group 10 | [ ] group 16
[ ] group 5 | [ ] group 11 | Information object addresses assigned to each group must be shown in a separate table.
[ ] group 6 | [ ] group 12

Clock synchronization

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Clock synchronization

[ ] Day of week used
[ ] RES1, GEN (time tag substituted/ not substituted) used
[ B ] SU-bit (summertime) used

optional, see 7.6

Command transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Direct command transmission
[ X ] Direct set point command transmission
[ X ] Select and execute command
[ X ] Select and execute set point command
[ X ] C_SE ACTTERM used

[ X ] No additional definition
[ X ] Short-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Long-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Persistent output

[ setting ] Supervision of maximum delay in command direction of commands and set point commands
[ no limit ] Maximum allowable delay of commands and set point commands

Transmission of integrated totals

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Mode A: Local freeze with spontaneous transmission
[ X ] Mode B: Local freeze with counter interrogation
[ X ] Mode C: Freeze and transmit by counter-interrogation commands
[ X ] Mode D: Freeze by counter-interrogation command, frozen values reported spontaneously

[ X ] Counter read
[ X ] Counter freeze without reset
[ ] Counter freeze with reset
[ ] Counter reset

[ X ] General request counter
[ ] Request counter group 1
[ ] Request counter group 2
[ ] Request counter group 3
[ ] Request counter group 4

Parameter loading

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Threshold value
[ ] Smoothing factor
[ ] Low limit for transmission of measured values
[ ] High limit for transmission of measured values

Parameter activation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Act/deact of persistent cyclic or periodic transmission of the addressed object

Test procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Test procedure

File transfer

(station-specific parameter, mark 'X' if function is used).
File transfer in monitor direction

[ X*] Transparent file
[ ] Transmission of disturbance data of protection equipment
[ X ] Transmission of sequences of events
[ ] Transmission of sequences of recorded analogue values

* a data can be transparently transported by the system but not generated or evaluated. Maximum file size is 16711680 bytes.

File transfer in control direction

[ X ] Transparent file

Background scan

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Background scan

Acquisition of transmission delay

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Acquisition of transmission delay

Definition of time outs: 104 only

Parameter | Default value | Remarks | Selected value
t0 | 30 s | Time-out of connection establishment | setting
t1 | 15 s | Time-out of send or test APDUs | setting
t2 | 10 s | Time-out for acknowledges in case of no data messages; t2 < t1 | setting
t3 | 20 s | Time-out for sending test frames in case of a long idle state; t3 > t1 | setting

Recommended range for timeouts t0 - t2 : 1s to 255s, accuracy 1s

Recommended range for timeout t3 : 0s to 48hrs, accuracy 1s
Long timeouts for t3 may be needed in special cases where satellite links or dialup connections are used (e.g. to establish connection and collect values only once per day or week). For dialup connections it may be necessary to give up the connection supervision completely. This is achievable by setting the timeout t3 to zero.

Maximum number of outstanding I format APDUs k and latest acknowledge APDUs (w): 104 only

Parameter | Default value | Remarks | Selected value
k | 12 APDUs | Maximum difference receive sequence number to send state variable | setting
w | 8 APDUs | Latest acknowledge after receiving w I format APDUs | setting

Recommended range of values k: 1 to 32767 APDUs, accuracy 1 APDU

Recommended range of values w: 1 to 32767 APDUs, accuracy 1 APDU (Recommendation: w should not exceed two-thirds of k)

Portnumber: 104 only

Parameter | Default value | Remarks
Portnumber | 2404 | setting

Redundant connections

[ ] Number N of redundancy group connections used

RFC 2200 suite

RFC 2200 is an official Internet Standard which describes the state of standardization of protocols used in the Internet as determined by the Internet Architecture Board (IAB). It offers a broad spectrum of actual standards used in the Internet. The suitable selection of documents from RFC 2200 defined in this standard for given projects has to be chosen by the user of this standard.

[ ] Ethernet 802.3
[ ] Serial X.21 interface
[ ] Other selection from RFC 2200:

List of valid documents from RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


MODBUS Slave

Manuale -> Process Gateway -> MODBUS Slave

Process Gateway for Modbus Slave supports:

  • Function Code 3:
    Read Multiple Registers
  • Function Code 16:
    Write Multiple Registers

Ancora in questo capitolo

Module configuration

Hardware address of the MODBUS system

Configuration file: specific entries for AccessMODBUS


Module configuration

Manuale -> Process Gateway -> MODBUS Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Settings button in the start dialog for the Process Gateway opens the dialog for selecting the variables. The variables selected in this way are continuously synchronized in zenon or in the MODBUS system.

Variables

Parameter

Description

Variables

Selection of variables that are exported to MODBUS and synchronized with zenon.

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

  • Projects: shows all available projects; the standard project is marker with a *
  • Variables: offers all variables from the selected project to be transferred

Exported into MODBUS

Lists all variables exported to MODBUS and their offset. List can be sorted by clicking on headings.

  • Variables:
    List of all SCADA variables that are exported to the MODBUS.

    Variables that do not come from the standard project receive the project name as a prefix, separated by a # in front of the variable name.
  • Offset:
    Offset of the variable (MODBUS holding register offset)

Pfeiltasten

Allocation of the variables to MODBUS:

  • Clicking on the > button adds variables from the Available in Scada list to the Exported into MODBUS list. A dialog to allocate the address is opened (see Allocation dialog section).
  • Clicking on the < button removes variables from the Exported into MODBUS list and inserts them back into the Available in Scada list.

MODBUS Connection

MODBUS Connection

MODBUS connection settings.

Slave Adress

Modbus hardware address.

Default: 1

Serial

Active: Serial connection is used.

  • Port: Serial interface that is used for access to the MODBUS system.
  • Stop bits: number of stop bits.
    Default: 1
  • Parity: Parity setting:
    No (default)
    Odd
    Even
  • Data bit: number of data bits.
    Default: 8
  • Baud rate: baud rate of the serial interface.
    Default: 9600

TCP/IP

Active: TCP/IP connection is used.

  • Port: Port address for the connection.
  • Timeout: Waiting period.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Note:

  • Change of name of project or variables in the Editor:
    If a project name or a variable name is changed in the Editor, this change must subsequently be carried out in the configuration file, so that the name in the INI file and in the prefix of the Exported into MODBUS are amended accordingly.
  • Change to standard project:
    If the standard project is changed in multi-project administration, the variables must be amended.
    Variables of the standard project must not have a prefix. All other variables need a Projectname# prefix.

Allocation dialog

If a variable is moved to the Exported into MODBUS list via clicking the button >, a dialog for the name assignment of the zenon variable to an offset in MODBUS opens:

Parameter | Description
Name | Name of the variable. Note: The name of the variable is grayed out, because it can no longer be changed.
Offset | Offset: MODBUS holding register offset. Offset of the variable in MODBUS Attention: 0 is always entered as the offset by default.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.


Hardware address of the MODBUS system

Manuale -> Process Gateway -> MODBUS Slave -> Hardware address of the MODBUS system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The MODBUS system of the Process Gateway has a MODBUS hardware address that can be defined. This is set in the configuration dialog with the Slave Adress property. The address 1 is given as standard.


Configuration file: specific entries for AccessMODBUS

Manuale -> Process Gateway -> MODBUS Slave -> Configuration file: specific entries for AccessMODBUS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains specific entries for MODBUS. The file must be in the system folder.

[MODBUS]

Inserimento | Descrizione
COMPORT= | Interfaccia seriale (COM1 = 0, COM2 = 1,...). Può essere impostata usando il dialogo di configurazione.
BAUD= | Baud rate della porta seriale Può essere impostata usando il dialogo di configurazione.
BYTESIZE= | Quantità dei bit di dati dell'interfaccia seriale
PARITY= | Impostazioni di parità dell'interfaccia seriale: 0=No 1=Odd 2=Even Può essere impostata usando il dialogo di configurazione.
STOPBITS= | Quantità dei bit di stop dell'interfaccia seriale 0=1 1=1.5 2=2 Può essere impostata usando il dialogo di configurazione.
TIMEOUT= | Intervallo di timeout in millisecondi per la comunicazione seriale.
HWADDRESS= | Indirizzo hardware del sistema MODBUS. Default: 1 Può essere impostata usando il dialogo di configurazione.
REFRESHRATE= | Tempo di update in millisecondi.
SERIELL= | Comunicazione seriale o TCP/IP: 1 = seriale 0 = TCP/IP Può essere impostata usando il dialogo di configurazione.
PORT= | Porta TCP/IP
TCPTIMEOUT= | Intervallo di timeout TCP/IP in secondi.

[MODBUS VARIABLES]

Variabili che devono essere sostituite in AccessMODBUS.

Nota: a partire da zenon 7.11, questo inserimento sostituisce quello originario [VARIABLES]. Questo impedisce che per le variabili del progetto standard venga eseguita una sostituzione inutile tramite l´opzione Logicper connessione SCADA.

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

OFFSET_n

Indirizzo Modbus assegnato al numero corrispondente (n). La numerazione inizia da 0.

NAME_n

Nome della variabile assegnata al numero corrispondente (n). La numerazione inizia da 0.

Esempi:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variabile dal progetto di partenza.
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variabile dal progetto "BASISTUTORIAL"


MS Azure

Manuale -> Process Gateway -> MS Azure

La AccessAzure.dll scrive valori di variabili del Runtime in una coda del bus di servizio di MS Azure (Queue) oppure in unEvent Hub. I dati della coda (Queue) possono essere poi acquisiti da MS Azure tramite il driver AzureDrv e integrati in processi di zenon. I dati di un Hub di eventi (Event Hub) servono per applicazioni di terzi e non possono più essere letti da zenon.

Il Process Gateway stabilisce ciclicamente una connessione con MS Azure e scrive messaggi nella coda (Queue) del bus di servizio, oppure nel´Hub di eventi (Event Hub).

Per leggere i valori dalla Servicebus Queue, il driver AzureDrv instaura una connessione con la coda (Queue) del bus di servizio con il nome configurato e acquisisce tutti i messaggi in essa contenuti. Questi messaggi vengono decompressi ed i valori online in essi contenuti vengono assegnati alle variabili. La chiave utilizzata è il Indirizzo simbolico.
Tutti i messaggi già presenti nella coda quando il primo tentativo di connessione viene portato a termine con successo, vengono caricati e ignorati. Vengono visualizzati sempre solo i valori attuali.

Questo significa: ogni istanza driver su ogni computer ha la propria Queue come canale di entrata.
Esempio: in MS Azure, la Queue del bus di servizio per il computer MYSERVER1 e per il prefisso configurato onlinedata si chiamerà: onlinedata_myserver1.

Sono supportati valori numerici (DOUBLE) e alfanumerici (STRING). Il time-stamp e i bit di stato di sistema vengono trasferiti alla variabile di destinazione.

You can also find general information on MS Azure in the MS Azure manual.

Ancora in questo capitolo

Module configuration

Message formats

Error message

Configuration file: specific entries for MS Azure


Module configuration

Manuale -> Process Gateway -> MS Azure -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for MS Azure connection via Process Gateway.

Variables

In the Variables group, you configure the variables whose values are saved by zenon in an MS Azure Service Bus.

Parameter

Description

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

Projects

List of all available projects.
The standard project is marked with a *.

Variables

List of all variables of the selected project.

List can be sorted; multiple selection is possible.

Hint: Double clicking on the variable moves it.

Button >

Selected variables from the list of variables are moved to the Exported into MS Azure list.

Button <

Selected variables are removed from the Exported into MS Azure list.

Exported into MS Azure

List of the variables that are written to the MS Azure Service Bus by the Process Gateway.

Naming:

  • Project name
  • # (as separator)
  • Variable name.

The key for the values in MS Azure is always PROJECTNAME#VARIABLENAME.

Hint: Double clicking on the variable moves it.

MS Azure Connections

All target connections in which the current values of the selected variable are to be inserted in MS Azure are to be entered into the MS Azure Connections group.

In doing so, the current variable values are added to the connection created in All at the same time.

Parameter

Description

List of MS Azure connections

Lists all connections to MS Azure configured. Each connection consists of the connection name (MS Azure Connection) and the Service Bus Queue Namen.

  • Creation of a new connection with the button New...
  • A selected connection can be amended with the Edit... button.

MS Azure Connection

MS Azure Connection address

Service Bus Queue name

Name of the queue in the MS Azure service bus.

New...

Opens dialog to configure the MS Azure connection.

Edit...

Opens existing connections to configure the MS Azure connection.

Delete

Deletes the selected MS Azure connection from the list.

MS Azure settings

Parameter

Description

Integrity period

Time interval in which the current values of the selected variables are written as an image to the MS Azure Service Bus queue.

If the value of a variable changes during this this interval, the value change is immediately transferred to the MS Azure queue.
Default: 5 s

HTTP Proxy Domain

Address of the proxy server in the network.

HTTP Proxy User

Input field of the user name for login on the proxy server.

HTTP Proxy Password

Input field for password for login on the proxy server.
Note: Input is shown with dots - even during entry.

Confirm HTTP Proxy Password

Input field for the confirmation of the password for login on the proxy server.

Note: Input is shown with dots - even during entry.

Navigation

Parameter | Description
OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Dialog in the event of incorrect entries

Configurations of the proxy server are validated. A corresponding warning dialog is shown in the event of an incorrect configuration.

attention Attenzione

.NET 4.5 must be installed on the computer in order for the proxy settings to work.

Ancora in questo capitolo

MS Azure Connection Settings


MS Azure Connection Settings

Manuale -> Process Gateway -> MS Azure -> Module configuration -> MS Azure Connection Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for the connection to MS Azure:

Parameter

Description

MS Azure Connection

MS Azure Connection address

Note: You can read and copy this address in the Azure administration portal under Manage Connection Strings of the desired Servicebus Namespace.

Service Bus Queue / Event Hub Name

Name of the MS Azure Service Bus queue or the Event Hub. Selection by means of radio buttons.

Note: Only characters that appear in the name of an MS Azure Service Bus Queue or in an Event Hub are permitted. Use simple, short and meaningful names. Avoid special characters, language-specific letters and blank spaces.

Service Bus Queue

The name of the Service Bus Queue comprises:

  • A freely-configurable prefix
  • An underscore (_)
  • The NETBIOS computer name (without domain name suffix) in small lettering

If the name does not yet exist in the Namespace a Queue with this name is created.
Requirement: The corresponding rights are present.

Event Hub

  • Message format: Select in the drop-down list in the Format option.
  • Event Hub Name: Name of the Event Hubs in the MS Azure Service Bus
    The Event Hub must already be created with this name in the Namespace.

Queue
  • Active: The connection is established using the name of the Service Bus Queue.

Event Hub
  • Active: The connection is established using the name of the Event Hub . Selection of the message format using the Format option.

IoT Hub
  • Active: Sending of actual values and the receipt of messages via MS Azure.
    Entry of the device connection string in the MS Azure Connection input field.

Format

Message format for connection via Event Hub.
Select from drop-down list:

  • XML
  • JSON
  • BOND (compact binary)

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

The Service Bus Queue Name can be freely configured.
This queue is automatically created in MS Azure during the first communication to MS Azure.

For each computer that calls up data from MS Azure, use the AzureDrv driver to create a separate MS Azure Connection.

IoT Hub

Actual values are sent to the IoT Hub as a message. Messages received by the IoT Hub are decoded and written to the contained value as a set value.

Content of IoT configuration

VarName | string | Variable name
IsString | Bool | Value of actual string.
NumValue | Number | Numeric value
StrValue | String | String value
Time | ISO timestamp | Timestamp
Status | Number | Status

Example for MS Azure connection entry:

{"IsString":true,"NumValue":0,"Status":1078067200,"StrValue":"sunshine","Time":"2016-12-16T06:45:39.851Z","VarName":"AZURE_TEST#Weather"}]


Message formats

Manuale -> Process Gateway -> MS Azure -> Message formats

Service Bus Queue

The messages in the Queue must have a serialized .NET class OnlineValueMessage.

Format:

public class OnlineValueMessage

{

public string strVarProject { get; set; }

public string strVarName { get; set; }

public long nVarID { get; set; }

public double fValue { get; set; }

public string strValue { get; set; }

public bool bValueIsString { get; set; }

public long nTime_s { get; set; }

public short nTime_milli { get; set; }

public long nStatus { get; set; }

}

Event Hub

When using the Event Hub as a connection, it is possible to choose between XML, JSON and BOND (compact binary) as a message format. Partition-Key is the zenon variable name.

Format BOND

namespace AzureServiceBusShared

struct ArchiveMessage

{

0: string strArvProject;

1: string strArvName;

2: string strVarProject;

3: string strVarName;

4: int64 nVarID;

5: int16 nCalc;

6: double fValue;

7: string strValue;

8: bool bValueIsString;

9: int64 nTime_s;

10: int16 nTime_milli;

11: int64 nStatus;

}

struct OnlineValueMessage

{

0: string strVarProject;

1: string strVarName;

2: int64 nVarID;

3: double fValue;

4: string strValue;

5: bool bValueIsString;

6: int64 nTime_s;

7: int16 nTime_milli;

8: int64 nStatus;

}


Error message

Manuale -> Process Gateway -> MS Azure -> Error message

Error message in the LOG file:

Error message | Debug Level | Description
Project %s inactive fail! | Error | The project-inactive event could not be processed by the Gateway in the given time.
Project %s active fail! | Error | The project-active event could not be processed by the Gateway in the given time.
Value change queue full: Value change for id:%u of project:%s lost! | Error | The queue for the value changes from Runtime is full. Additional values are discarded. The connection to Azure is probably too slow in order to forward all value changes.
Adding of %d Online Rows failed for '%s' Queue '%s | Error | The insertion of value changes into the service bus queue was unsuccessful.
Adding of %d Online Rows succeeded for '%s' Queue '%s' | Deep Debug | The insertion of value changes into the service bus queue was successful.
Starting to add Online Rows failed for '%s' Queue '%s' | Error | The establishment of the a connection to the service bus queue was unsuccessful.
Creating Azure Wrapper failed | Error | The ManagedAzureWrapper.dll could not be loaded.

IoT

Parameter | Description | Description
Sending value to '%s' failed | Error | The writing of the set value has failed
IoTHubMessage_GetByteArray() failed | Error | The SDK API call has failed.
Received message from IoT Hub | Deep Debug | Message from IoT hub received.
Exception when deserializing payload: %s | Error | Received message is in the wrong format
IoTHubClient_CreateFromConnectionString() failed | Error | The SDK API call has failed.
IoTHubClient_SetMessageCallback() failed | Error | The SDK API call has failed.
IoTHubMessage_CreateFromByteArray() failed | Error | The SDK API call has failed.
Sent message to IoT Hub | Deep Debug | The message was sent.


Configuration file: specific entries for MS Azure

Manuale -> Process Gateway -> MS Azure -> Configuration file: specific entries for MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for MS Azure.

[Azure]

Inserimento | Descrizione
INTEGRITYPERIOD= | Intervallo in secondi del ciclo di scrittura.
PROXY_DOMAIN= | Indirizzo del server proxy.
PROXY_USER= | Nome utente da usare per la registrazione sul server proxy.
PROXY_PWD= | Password da usare per la registrazione sul server proxy. Nota: la password viene visualizzata anche nel file .INI in forma crittografata.

Nota: Una condizione perché le impostazioni proxy funzionino, è che sul computer sia installato .NET 4.5.

[VARIABLES]

Inserimento

Descrizione

Name_n=

Nome della variabile per il Process Gateway.
Formato: SOURCEPROJECT#SOURCEVARIABLE..

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 variabile dà come risultato n = 0
  • Con 3 variabili si ha, per il terzo inserimento, n = 2

Count=

Numero delle variabili.

Nota: in questo caso la numerazione inizia da 1. Otto connessioni danno come risultato Count=8.

[CONNECTIONS]

Inserimento

Descrizione

CONN_n=

Nome della connessione MS Azure.

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 connessione dà come risultato n = 0
  • Con 3 connessioni si ha, per il terzo inserimento, n = 2

QUEUE_n=

Nome della coda MS Azure.

Per la numerazione (_n) valgono le stesse regole che si applicano a CONN

COUNT=

Numero delle connessioni MS Azure configurate.

Nota: in questo caso la numerazione inizia da 1. Due connessioni danno come risultato Count=2.


OPC UA Server

Manuale -> Process Gateway -> OPC UA Server

The OPC UA Server provides the variables used in the project to all standard-compliant OPC UA Client tools.

info Info

The OPC UA server can be used for all zenon versions from 5.50.

The predecessor to the OPC UA servers is the OPC DA server. This is not part of the Process Gateway.

The OPC UA driver and all dialogs are only available in English.

Multi-Project capability

The OPC UA server is multi-project compatible from zenon 7.11 onwards. Variable from the Runtime project and all its subprojects can be selected. In doing so, the object name from the variable name and the project name are combined. Configurations for OPC UA clients that were created before zenon 7.11 are thus not compatible. These must be amended when using zenon 7.11 or higher.

From version 7.60, the NodeIDs change if variables are not explicitly defined in the configuration. The data type of the NodeID is string. The NodeID always consists of the project GUID and the variable ID. If variables have been explicitly configured, this change has no effect.

Example Esempio

NodeID: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd-38d"; the following is applicable in the process: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd" is the ID progetto and "38d" corresponds to the variable ID 909.

From version 7.60, the NameSpace Index is "2" by default, instead of "80", for new configurations. The NameSpace Index can no longer be configured in the user interface. This change has no effect for existing configurations.

The earlier action can be activated again by means of the "configuration_version=1" entry in the INI file. This can, for example, make sense for a NameSpace Index with 80 or for a configurable NameSpace Index.

Ancora in questo capitolo

Confronto fra OPC Server e OPC UA Server

Module configuration

Start

Connection

Security

Alarms and Conditions

Service Sets

Communication

Configuration file: INI entries for OPC UA

Error message

Status mapping


Confronto fra OPC Server e OPC UA Server

Manuale -> Process Gateway -> OPC UA Server -> Confronto fra OPC Server e OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´OPC UA Server ha preso il posto dell´OPC Server. Si raccomanda l´uso dell´OPC UA server per la maggior parte delle applicazioni.

OPC Server

  • OPC Task Force dal 1995
  • Interfaccia universale per i sistemi di automazione.
  • Basato sulla tecnologia COM/DCOM di Microsoft.
  • OPC foundation dal 1996
  • Diverse specifiche per differenti applicazioni.

OPC UA Server

Confronto fra OPC Server e OPC UA Server

Parametro | OPC Server | OPC UA Server
Modello di dati | Limitato | Per tutte le applicazioni
Implementazione | Dipendente dal produttore | Indipendente dal produttore
Interoperabilità | -- | X
Configurazione | Complicata | Semplice
Più istanze | -- | X
Uso in rete | -- | X
Tecnologia di rete | -- | OPC UA TCP binary Protocol
Prestazioni | Basse | Alte
Piattaforme | Solo Windows | Indipendente
Fabbisogno di risorse | Alte | Più basso
Service-Oriented Architecture (SOA) | -- | X
Protezione | Obsoleta | Al passo con gli standard attuali
Protezione connessione | -- | X
Windows CE | -- | X

Legenda:

  • X: viene supportato
  • --: non è supportata.


Module configuration

Manuale -> Process Gateway -> OPC UA Server -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure the server and variables for OPC UA:

  1. In the Process Gateway statistics dialog, click the Configuration button.
    The dialog for the configuration of the OPC UA module is opened.
  2. In the module configuration dialog, you configure:
    • Server
      Connection parameters to the OPC UA server
    • Variables
      Variable assignment

Ancora in questo capitolo

Server

Variables


Server

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure connection parameters to an OPC UA server in the Server tab.

Connection

Communication parameters to the OPC/OPC UA server.

Parameter | Description
Name | Name of the server as it is shown on the client. Default: zenon OPC UA Process Gateway
Port | TCP port via which the client establishes the connection to the OPC UA server. Default: 4841

Security

Settings and assignment of certificates for secure and encrypted communication.

Parameter

Description

Certificates path

Path for the root folder with the certificate files and the respective subfolders.

Click on the ... button to open the file selection dialog

Default: %ProgramData%\PKI\CA\

Note: If this root folder is changed, the paths for Server certificate path and Server private key path must also be amended.

Server certificate path

File with the public key of the server. This public key is used by the client for the encryption of messages.

Click on the ... button to open the file selection dialog Files with the following file type are shown for selection:

  • Format: DER
  • Suffix: .der

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Note: This path must be a subfolder of the configured Certificates path. In the event of an error, a warning dialog is visualized and the OK button is grayed out.

Server private key path

File with the private key of the server. This private key is used by the server to decrypt the messages from the client.

Click on the ... button to open the file selection dialog Files with the following file type are shown for selection:

  • Format: PEM
  • No password

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Note: This path must be a subfolder of the configured Certificates path. In the event of an error, a warning dialog is visualized and the OK button is grayed out.

Accept secure connections only

Checkbox to be ticked if only one secure connection can be used to establish the connection.

  • Active:
    Establishment of a connection is only accepted with a secure connection. Securing is carried out each time with a signature or with a signature and encryption.
  • Inactive:
    Establishment of a connection is only accepted with a secure connection.

The following are considered a secure connection:

  • Basic128Rsa15:
    RSA15 as key wrap algorithm and
    128-bit basic as algorithm for the message encryption
  • Basic256:
    256-bit basic as algorithm for message encryption

Default: Inactive

Note: for connections with a signature, the packages are secured against tampering, but the contents of the package are not encrypted.

Trust all client certificates

Checkbox to select whether all client certificates are accepted for the establishment of a connection or only client certificates known on the server.

  • Active:
    All client certificates are accepted and the connection is made.
  • Inactive:
    All clients that want to connect with the server must send a valid certificate. This certificate is also checked to see if it is in the list of known client certificates Certificate trust list path.

Default: active

Note: An OPC UA client without a secure connection does not send a certificate. For an OPC UA client with a secure connection, the certificate must always be stored in the Trust List folder.

Use SCADA user authentication

Checkbox to configure the connection.
If there is no user administration configured in the zenon project, this checkbox is grayed out.

  • Active:
    Clients can only log on to the server with a valid user ID and password.
    Note: To do this, the user administration must be activated and configured in zenon Editor.
  • Inactive:
    Anonymous login is possible.

Attention: The user name and password are not transferred in encrypted form in the OPC UA telegram. If necessary, use your own users in the project without assigned authorization levels.

Historical data

Archive for historical data

Archive for historical data. Selection of the archive from a drop-down list. Only one individual archive from one of the projects can be selected in Runtime.

The archive must have already been configured in the zenon project.

Close dialog

OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo. Attention: All active connections are ended and the server is restarted with the new settings. Connection errors may occur in the process.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.

Error message

Error messages are displayed in red font. In doing so, not all errors are shown together. The first error of the configuration is shown each time. It is therefore possible that a new error message is shown after a correction has been made.

Ancora in questo capitolo

Certificates

Generate new certificate


Certificates

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Certificates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All certificates must correspond to the format X509.

Certificate store

The OPC UA server in the process gateway uses an OpenSSL Directory certificate store.

Server certificate

The server certificate created on initial startup is a self-signed certificate. The certificate contains a public key. In addition, a suitable private RSA key (1024 bit) is generated.

Although the OPC UA can in principle run with the self-created certificate, it is recommended that a corresponding certificate is created for productive operation. To do this, the self-created certificate can serve as a template for applications that allows creation of the certificates according to user criteria.

Attention: The file name zenopcua.der is used by both the OPC UA server as well as the OPCUA32 client driver. If encrypted communication between the OPCUA32 client driver and OPC UA server in the Process Gateway is configured for tests on the same computer, it is best that the certificate for the OPCUA32 client driver is renamed before the certificate is copied to the trust list by the OPCUA server.

As a URI in the SubjectAltName field, the certificate gets the Full Qualitfied Domainname (FQN) of the computer, the default port number 4841 from the OPC UA server and a DNS entry with the computer name. The URI of the OPCUA servers is compiled dynamically and changes if, for example, the port number is changed. The server certificate is not changed in this case. A client that carries out a strict check of the server certificate can then reject the server certificate. It can also be necessary to create your own certificate where SubjectAltname also contains an entry for the IP address in addition to the DNS entry.

Certificate Trust List/Certificate Trust Chain

All certificates with the suffix .der are checked by the OPC UA server and classed as a trustworthy certificate. As an alternative to the self-designated Application Instance certificate of an OPC UA clients, the public root certificate of the Certificate Authority that was used to sign an Application Instance certificate of an OPC UA client can also be stored. The Application Instance certificate of the client does not need to be present on the server in this case.

Certificate Revocation List

If an OPC UA client uses an Application Instance certificate that is signed by a Certificate Authority, the Certificate Revocation List is also checked by the server in addition to the certificate. The OPC UA server checks all files with the suffix .crl in the Crl subfolder.
Attention: The .crl file must be stored in PEM format. Only one single .crl file can be present per Certificate Authority.

The connection is denied if:

  • The client certificate is included in the Revocationlist BadCertificateRevoked
  • The CRL is no longer current (BadCertificateTimeInvalid)

If, for a certificate that was signed by a Certificate Authority, there is no Certificate Revocation List present, it is assumed that there is no such Revocation List. In this case, the certificate is treated as trustworthy.


Generate new certificate

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Generate new certificate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If necessary, new certificates can be generated when the OPC UA server is started.
To do this:

  1. Remove the existing certificates.
    There are two possibilities for doing so:
    1. Delete the following folder: %programdata%\COPA-DATA\system\PKI.
      In doing so, all trusted certificates and certificate revocation lists are removed.
      Or:
    2. Delete the following files in order to get all other certificates and lists:

      zenopcua.der in the folder %programdata%\COPA-DATA\system\PKI\CA\certs

      zenopcua.pem in the folder %programdata%\COPA-DATA\system\PKI\CA\private

      zenopcua.crl in the folder %programdata%\COPA-DATA\system\PKI\CA\crl

  2. Open the zenprocgateway.ini configuration file.
  3. Go to the section [OPCUA].
  4. Remove the following entries:
    • CERTIFICATES_PATH=
    • SERVER_CERTIFICATE_LOCATION=
    • SERVER_PRIVATE_KEY_LOCATION=
  5. Start the OPC UA Process Gateway.
  6. Confirm the message box by clicking on the Yes button to create new certificates.

attention Attenzione

If server certificates need to be renewed, each OPC UA client that needs a valid server certificate must receive the renewed certificate.

The following situations can make it necessary to create the server certificate from scratch:

- several instances of Process Gateway on the same system with different port numbers

- a change to the port number

- a change to the computer name

- the certificate has expired


Variables

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables for the OPC UA Process Gateway can be selected automatically or individually.

Variables from the current project and its subprojects can be selected. The name on the server consists of the variable names and the project names.

attention Attenzione

Variables that do not have the Imposta valore attivo property activated in the zenon Editor cannot be written by an OPC UA client.

Defining variables

If no variables are defined in the OPC UA server configuration, all variables from the zenon projects are added to the OPC UA Address Space. All variables (including system driver variables) are visible for the clients.

with manual configuration (at least one configured variable), the values defined by the user are used. The Namespace Index 2 is used by default and a String Identifier with the variable names is entered.

You configure the variables that are to be provided as a node in the OPC UA data model in the Variables tab.

Parameter

Description

Available in SCADA

List of the configured variables available in the zenon Runtime.

  • Project
    zenon project name
  • Name
    zenon variable name

The list can be sorted and filtered.

  • Sort by clicking on the column heading. Another click changes the sorting order.
  • Filter by entering the filter text in the input field. The characters * or ? are possible as placeholders.

Exported to OPC UA

List of exported variables.

The variables can be sorted according to:

  • Identifier
  • SCADA Project
  • SCADA name

Node Id

The input field for Node ID is only available if an entry in the Exported to OPC UA list is selected.

Namespace index
  • Field can only be configured with an old configuration; otherwise not available. For a new configuration, the namespace index is always Default 2.

Identifier

Defines the Node Identifier for the selected OPC UA variable. The node identifier type is automatically defined through the entry:

  • A numerical Identifier is automatically created with numerical input.
  • If a GUID is entered, a GUID Identifier is created automatically, otherwise the Identifier is treated as a string.
    GUID form: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

The field must not be empty.

The node identifier must be unique in the complete address range.

To export variables to OPC UA:

  1. Select the desired variables and aggregation archives in Available in SCADA with a mouse click. Multiple selection is possible.
  2. Click on the arrow direction Exported to OPC UA

    To export all variables, click on the double arrow

The zenon variable name is used as Browsename and Displayname.

info Info

For zenon variables with a slash (/) in the names, the / is replaced by a dot (.). The parts of the name separated by a slash are saved in their own subfolders.

Example: The zenon variable "Static/Scalar/Int32" is divided into:

  • An OPC UA variable "Int32"
  • In a folder called "Scalar",
  • which is a subfolder of the "Static" folder

This works with all data types, multi-dimensional arrays, umlauts in names and slashes at the end.


Start

Manuale -> Process Gateway -> OPC UA Server -> Start

When starting, Process Gateway loads the configured module.

When first starting or if no variables have been explicitly configured, the OPC UA server automatically creates the data model for all projects in Runtime. With many variables, or with many variables configured with alarms, the start can take a corresponding length of time. It is, in principle, to be recommended that only the variables that are actually needed by the OPC UA client are provided through the OPC UA server. Several instances of the OPC UA Process Gateway can also be started, with a different TCP port and a different configuration in terms of variables.

The driver tries to read the active configuration from the given INI file. If the configuration contains error, or an error occurs on starting, the configuration dialog is opened and an error message is shown with an error text. If the configuration is not confirmed with OK, the Process Gateway is closed.

attention Attenzione

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


Connection

Manuale -> Process Gateway -> OPC UA Server -> Connection

The OPC UA Process Gateway only supports the OPC UA TCP binary Protocol and does not contain a Discovery Server. The client must also connect directly to the server. The connection address corresponds to the scheme: opc.tcp://hostname.of.server:port

The connection can be secured.


Security

Manuale -> Process Gateway -> OPC UA Server -> Security

The module uses the security procedures that correspond to OPC UA (signing and encrypting messages) as defined in the standard. Certificates can be checked or all accepted, depending on the setting.

Secure connections

If the Accept secure connections only option is activated, the server only accepts connections that use the Security Mode Sign or Sign & Encrypt. In addition, the Security Policy used by the client must be Basic128Rsa15 or Basic256. If this option is deactivated, any desired combination of Security Mode and Security Policy is accepted.

User Administration

If user administration is activated in the zenon project and at least one user is created, the option Use SCADA user authentication is available. If this option is activated only clients that send a valid combination of user and password have access to the OPC UA server data. There is no check if this option is inactive. In this case, both anonymous connections and also all user/password combinations are accepted.


Alarms and Conditions

Manuale -> Process Gateway -> OPC UA Server -> Alarms and Conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The OPC UA Process Gateway also supports OPC UA Alarms and Conditions. When starting, the OPC UA server automatically checks the configured variables for existing limit values or a reaction matrix, with statuses that are defined as an alarm.

An OPC UA client can create a subscription for event notifications and add the server object. The OPC UA client can thus be informed of limit value breaches of a variable with an alarm active. The client is also in a position to confirm the alarm, as in the zenon Runtime.

Attention: The comments for alarms for the OPC UA method call for acknowledgment is no longer submitted to zenon Runtime. If an alarm is configured in zenon with "Comment required", an OPC UA client cannot confirm this alarm with a comment.

Attention: If an alarm is configured so that an alarm cause is required, the alarm cannot be acknowledged on the OPC UA side.

The standard-compliant OPC weighting is shown on the index of the alarm/event classes linked to the limit value. The index of an alarm/event class is automatically incremented by the zenon Editor with each new alarm/event class and can be checked in the properties. Up to 20 classes with the following allocation are supported:

OPC UA range | zenon alarm/event class | OPC weighting
HIGH | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MEDIUM HIGH | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MEDIUM | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MEDIUM LOW | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
LOW | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

If a variable with no alarm/event class is linked, the lowest possible classification 1 (LOW) is used.

Illustration zenon alarm as object

zenon variables and related alarms are illustrated in the OPC UA server as objects.

The illustration shows the inclusion of the zenon project (TEST651) and the zenon variables (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) as objects in the upper area. Below this are the alarms that have been generated when the limit values are reached (Limit 750 reached! etc.).

Alarm condition note identifier

The node identifier type of the alarm condition is a string type node ID.

The following structure is used:

<project GUID>-<variable ID hexadecimal>@<variable name>:_<limit value description or "Rema">

About the INI entry: USE_LIMIT_TEXT_FOR_ALARM_NODES=TRUE in the OPCUA section in the ini file for the OPC UA process gateway, an alternative structure can be activated where the limit value text is used. This alternative structure is only available for limit values and not for alarms via a reaction matrix. A dynamic limit value text is not supported in doing so. It must be ensured that the same limit value text is not used for several limit value texts for the same variable, because otherwise there is no uniqueness:

<project GUID>-<variable ID hexadecimal>@<static limit value text>

Logging

The driver supports a comprehensive LOG function. These LOG entries can be evaluated with the Diagnosis Viewer tool.


Service Sets

Manuale -> Process Gateway -> OPC UA Server -> Service Sets

Service Set | Is supported
Discovery Service Set |
FindServers | yes
GetEndpoints | yes
RegisterServer | no
SecureChannel Service Set |
OpenSecureChannel | Yes
CloseSecureChannel | Yes
Session Service Set |
CreateSession | yes
ActivateSession | yes
CloseSession | yes
Cancel | yes
NodeManagement Service Set |
AddNodes | no
AddReferences | no
DeleteNodes | no
DeleteReferences | no
View Service Set |
Browse | yes
BrowseNext | yes
TranslateBrowsePathsToNodeIds | yes
RegisterNodes | yes
UnregisterNodes | yes
Query Service Set |
QueryFirst | no
QueryNext | no
Attribute Service Set |
Read | yes
HistoryRead | yes
Write | yes
HistoryUpdate | no
Method Service Set |
Call | yes
MonitoredItem Service Set |
CreateMonitoredItems | yes
ModifyMonitoredItems | yes
SetMonitoringMode | yes
SetTriggering | yes
DeleteMonitoredItems | yes
Subscription Service Set |
CreateSubscription | yes
ModifySubscription | yes
SetPublishingMode | yes
Publish | yes
Republish | yes
TransferSubscriptions | yes
DeleteSubscriptions | yes


Communication

Manuale -> Process Gateway -> OPC UA Server -> Communication

Subscriptions

The OPC UA server supports communication by means of Subscriptions. Several Subscriptions with different settings can be created per session by a client. The maximum number of Subscriptions per Session is limited to 10 by default. The "MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION" ini entry in the "OPCUA" section can be used to configure the maximum number between "1" and "100".

PublishRequests

A maximum of 10 PublishRequests for the queue are permitted by the OPC UA server per session. This depends on the number of Subscriptions.

  • Sequence for publish requests (first in, first out):
    When sending, the incoming sequence of the PublishRequest is taken into account. If a subscription is executed and a PublishResponse must be sent for a DataChangeNotification or a KeepAlive, the oldest PublishRequest from the queue is always taken.
  • BadNoSubscription for all publish requests if the last Subscription has been deleted or the session has been closed:
    If the last Subscription has been logged off from the server, for PublishRequests that are still logged onto the server, PublishResponse with the value OpcUa_BadNoSubscription is created and sent to the client. The open PublishResponses are then deleted on the server.
  • timeoutHint for PublishRequests:
    Before the PublishResponses for the Subscriptions are sent, it is ensured that only valid - i.e. not expired PublishRequests are present. The validity is checked using the time stamp of the PublishRequests as well as the timeoutHint stated in the Request. The resulting end time must be less than the current time of the server. If this is not the case, a Response with OpcUa_BadTimeout is sent back to the client. The Request is deleted in this case.
  • SubscriptionAcknowledgement that is included in the PublishRequest processes the OPC UA server if the PublishRequest is taken from the queue

RepublishRequests

The OPC UA server also supports the RepublishRequests in the event that the TCP connection between OPC UA client and OPC UA server is interrupted.

Synchronous time

For PublishRequests, the OPC UA server takes the "timeoutHint" field into account.

If the OPC UA server has to send a PublishResponse, all existing PublishRequests in the queue (max. 10) are checked. This check validates whether the time stamp is more recent that the current time. If this is the case, the oldest PublishRequest from the queue is used.

If the queue contains PublishRequests whereby the time stamp in the PublishRequest + timeoutHint in the PublishReuest is the same or older then the current time in the OPC UA server, the PublishRequests are removed from the queue and for each PublishRequest, a ServiceFault with "Bad_Timeout" is sent.

It is therefore important that the system time of the OPC UA server and the system time of the OPC UA client is synchronized accordingly. For this time synchronization, it is recommended that, for both the OPC UA server and the OPC UA client, a common synchronization source is used. A common source can, for example, be the same NTP server for server and client. Otherwise it is possible that the OPC UA server immediately rejects all PublishRequests from the OPC UA client and no value changes can be transferred.

info Info

The time stamp name consists of: PublishRequest + timeoutHint from the PublishRequest.

Monitored Items

The OPC UA server supports the adding, removal and modification of MonitoredItems.

If a queue of greater than 1 is requested from a OPC UA client, this request is supported. As a result, several value changes for the same variable are buffered between two publish intervals by the OPC UA server. A PublishResponse is used to send the value changes to the OPC UA client.

DataChangeFilter - deadband

The OPC UA server supports the absolute deadband.

Read Requests

The OPC UA server also supports, in addition to communication by means of Subscriptions, Read Requests. In principle, communication by means of Subscriptions is preferred to communication by means of read requests. If an OPC UA client does not support subscriptions and sends read requests cyclically in order to get the current value, it is strongly recommended that the client uses the RegisterNodes call once for such nodes that are read cyclically.

This allows the OPC UA server to optimize communication with Runtime for cyclical Read Requests.

Write requests

The OPC UA server supports write requests. The set value limits of the variable are taken into account.

Attention: If a variable in the Energy Edition is linked to a command group and this variable is written by an OPC UA client, the command interlocking is not taken into account but the command variable is written directly.


Configuration file: INI entries for OPC UA

Manuale -> Process Gateway -> OPC UA Server -> Configuration file: INI entries for OPC UA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for OPC UA:

[OPCUA]

Inserimento

Descrizione

SERVER_NAME=

Nome del server OPC UA con il quale il Gateway stabilisce una connessione.

SERVER_PORT=

Porta per la comunicazione con il server OPC UA.

Default: 4841

CERTIFICATES_PATH=

percorso della cartella radice con i file di certificato e le relative sotto-cartelle.

Default: %ProgramData%\PKI\CA\

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_CERTIFICATE_LOCATION=

URI del file con la chiave pubblica del server. Il percorso è sempre indicato come percorso assoluto. Questa chiave pubblica viene usata dal client per crittografare i messaggi.

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_PRIVATE_KEY_LOCATION=

URI del file con la chiave privata del server. Il percorso è sempre indicato come percorso assoluto. Questa chiave privata viene usata dal server per decifrare i messaggi del client.

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

ARCHIVE_NAME=

nome di un archivio per dati storici configurato in zenon. Solo un archivio di uno dei progetti può essere selezionato a Runtime.

ONLY_SECURE_CONNECTIONS=

Selezione del tipo di connessione (protetta o non protetta) consentito quando si stabilisce una determinata connessione.

  • TRUE
    Una connessione con il server deve essere sempre protetta.
  • FALSE
    È possibile anche una connessione non protetta con il server.

Default: TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Selezione del tipo di certificati (certificati client o server) consentito per una determinata connessione.

  • TRUE
    Tutti i certificati client vengono accettati, la connessione viene stabilita.
  • FALSE
    Tutti i client che si vogliono connettere al server devono trasmettere un certificato valido. Il sistema verifica anche se questo certificato si trova nella lista dei certificati digitali conosciuti (Certificate trust list path).

Default: TRUE

USE_USER_AUTHENTICATION=

Definizione se, al momento della registrazione sul server, deve essere utilizzata la gestione user del progetto attuale di zenon per l´identificazione.

  • TRUE
    I client possono registrarsi sul server solo con identificazione utente e password valide.
    Nota: a questo scopo, deve essere progettata e attivata la Gestione user nell´Editor di zenon.
  • FALSE
    È possibile un Login anonimo.

Default: FALSE

CONFIGURATION_VERSION=2

Nota relativa al versionamento.

Nota: questo inserimento INI non può essere configurato nell´interfaccia grafica utente per il OPC UA Gateway.

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Numero delle Subscriptions pro Session. Si può impostare questo numero che deve essere compreso fra un minimo di 1 e un massimo di 100 Subscriptions.

Default: 10

[Variables]

Inserimento | Descrizione
PROJECT_x= | Nome del progetto da cui derivano le variabili. x rappresenta qui la numerazione all´interno di un progetto, a cominciare da 0. Esempio: PROJECT_0=TEST
PARAM_x= | Parametri per il progetto x. La numerazione parte da 0 ed è crescente. Esempio: PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Numero delle variabili configurate.
NAME_x= | nome della variabile. x rappresenta qui il numero del progetto, a cominciare da 0. Esempio: NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = costante per Namespace Index

viene predefinito/attribuito in modo fisso dal sistema e non deve essere cambiato.


Error message

Manuale -> Process Gateway -> OPC UA Server -> Error message

Error messages in the log file:

Error message

Debug Level

Description

Failed to validate client certificate

Error

The client certificate could not be validated.

It is either invalid (the date of validity may have been overwritten) or it was not found in the list of known client certificates.

Additional information including an error number describes the error in more detail.

Wrong user/password supplied while trying to activate session (User: %s)

Error

User authentication failed.

  • %s:
    Name of the user to be authenticated.

Login of user '%s' succeeded.

Deep Debug

User authentication successful.

  • %s:
    Name of the user to be authenticated.

Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists

Error

A variable defined by the user could not be created, because another variable with the same Identifier already exists.

Failed to initialize server architecture: An internal error occurred as a result of a programming or configuration error. (0x80020000)

Error

The file format for one or more of the following files is not present in a valid format:

  • Certificate
  • Private Key
  • Certificate Revocation List

%1 PublishResponse with OpcUa_BadNoScubscriptions sent because no subscriptions are created in session %2

Error

There is no valid Subscription for a publish request or the session was deleted. The OPC UA server sends a messages to the OPC UA client for all active PublishRequests if the last subscription was deleted by the server or the client.

  • %1
    Number of PublishResponses that have been sent to a client with the result value OpcUa_BadNoSubscription.
  • %2
    Name of the session from which the PublishResponse has been sent.

%1 PublishResponse with OpcUa_BadTimeout sent in session %2

Error

The time stamp + timeout hint in the PublishRequest that is provided by the client is older than the current time on the OPC UA server. Possible causes: the timeoutHint in the PublishRequest is too short, the OPC UA client provides more PublishRequests than are needed and the PublishRequests expire or the time of the computer with the OPC UA server and the time of the computer with the OPC UA client are not synchronous.

  • %1
    Number of the PublishResponses that have beens sent to a client with the result value OpcUa_BadTimeout.
  • %2
    Name of the session from which the PublishResponses are sent.

Note: The PublishRequest is deleted.


Status mapping

Manuale -> Process Gateway -> OPC UA Server -> Status mapping

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In certain situations, the OPC UA server communicates a different StatusCode for the value (Value Attribute). This concerns each node that represents the variable.

The table below lists the zenon status with the corresponding UA status code.

Status of the variable in the Runtime | StatusCode Value Attribute OPC UA Node
INVALID | 0x80050000 BadCommunicationError
ALT_VAL | 0x40910000 UncertainSubstituteValue
OFF | 0x808C0000 BadSensorFailure
OV_870 | 0x803C0000 BadOutOfRange
N_UPDATE | 0x80310000 BadNoCommunication


SNMP agent

Manuale -> Process Gateway -> SNMP agent

Ancora in questo capitolo

SNMP architecture

Management Information Base (MIB)

MIB structure

Module configuration

Configuration file: specific entries for Access SNMP

Configuration of the Windows SNMP agent


SNMP architecture

Manuale -> Process Gateway -> SNMP agent -> SNMP architecture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Windows SNMP agent supports SNMP version 2 (SNMPv2c). It also supports the SNMP functions (GET, GETNEXT, GETBULK, SET, TRAP).

More details about Microsoft's implementation of the SNMP can be found on the Microsoft TechNet Website: “How SNMP Works” http://technet2.microsoft.com/windowsserver/en/library/bf555774-2d63-4e96-b432-c4b7bcac6b531033.mspx

Windows operating system components with a connection to the Process Gateway and the Runtime:


Management Information Base (MIB)

Manuale -> Process Gateway -> SNMP agent -> Management Information Base (MIB)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Management Information Base (MIB) is organized in the form of a tree structure, in which the SNMP agent provides the variables = (OID – Object Identifier). See below: the MIB structure, with additional variables provided via the Process Gateway.


MIB structure

Manuale -> Process Gateway -> SNMP agent -> MIB structure

Info block structure is always present |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, Runtime is (Online, Offline) | string | read | yes
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, Runtime is 1=Online 0=Offline | integer | read | yes
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | integer | read | no
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, name of project which the Process Gateway reads variables from | string | read | no

Variable structure (table) is dynamically adjusted, according to the configuration of the Process Gateway |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, number of configured variables=OID | integer | read | yes
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, configured OID index from the Process Gateway configuration | integer | read | no
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, variable name | string | read | no
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, variable value as Integer. All numerical data types are formatted to an SNMP Integer data type. ATTENTION: the decimal places of REAL and DOUBLE are lost. | integer | according to configuration in Process Gateway | no
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, variable value as String. All numerical data types are formatted to an SNMP String data type. | string | according to configuration in Process Gateway | yes
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, variable status value | integer | read | yes
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, variable time stamp | integer | read | yes


Module configuration

Manuale -> Process Gateway -> SNMP agent -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the SNMP export list with the button > With the button < they can be removed again. If you move a variable to the export list, a dialog for the name assignment of the zenon variable to an OID address in the SNMP structure appears:

The variables selected in this way are then available on the SNMP server and are continuously synchronized between zenon and the SNMP OID structure. For every OID address you can define whether it can be write-accessed via SNMP SET. The exact structure of every OID address is described in the chapter "MIB structure.


Configuration file: specific entries for Access SNMP

Manuale -> Process Gateway -> SNMP agent -> Configuration file: specific entries for Access SNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameter | Description
[SNMP] |
REFRESHRATE | Update time in milliseconds

Parameter | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of the variable with the number n (0<=<COUNT)
PARAM_n | Parameter SNMP OID table offset and the information R=read only / RW=read and write with the number n (0<=n<COUNT)

Export of variables

For the successful export the project name in zenProcgateway.ini in folder %CD_SYSTEM% must be entered correctly. Enter it here:

[DEFAULT]
PROJECT=

Attention: If the entry is wrong or missing the gateway is closed without any error messages. Thus the variable is not available.


Configuration of the Windows SNMP agent

Manuale -> Process Gateway -> SNMP agent -> Configuration of the Windows SNMP agent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To make sure that the Windows SNMP Agent (SNMP.exe) provides the zenon MIB partial structure, the Process Gateway file AccessSNMP.dll in the registry must be configured accordingly:

  1. Installation of the Windows SNMP service via the control panel:
    • Via module: Programs and functions - >Activate or deactivate Windows functions.

    Note: With Windows 8, the computer must be restarted once the SNMP service has been added.

  2. Installation of Process Gateway with the file AccessSNMP.dll in the folder
    %Program Files (x86)%\COPA-DATA\zenon 7.60
  3. Add the following keys and character strings using the registry editor. The paths and content are sometimes different for 32-bit systems and 64-bit systems:

    32-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files\COPA-DATA\zenon 7.60 SP0\AccessSNMP.dll

    64-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files (x86)\COPA-DATA\zenon 7.60 SP0\AccessSNMP.dll
  4. Start the SNMP service.
    This loads the process gateway file AccessSNMP.dll via the registry configuration.
    Further configuration settings for the Windows SNMP service: Control panel -> Administration-> Services-> SNMP service-> Properties
    1. Traps: tab Defines the IP address in the network to which traps are sent:

    • Communityname: Must be identical on manager and agent
    • Trap destinations: Addresses of the destinations as host names, IP addresses or IPX addresses
    1. Security: tab Defines the rights with which an SNMP client can access the SNMP agent:

    • Rights: Must be set to "READ WRITE"
    • Community: Must be identical on manager and agent


SQL

Manuale -> Process Gateway -> SQL

Ancora in questo capitolo

Module configuration

Variable selection

Creating tables

Operation in a redundant system

Configuration file: specific entries for AccessSQL

Table format


Module configuration

Manuale -> Process Gateway -> SQL -> Module configuration

The configuration of the database connection consists of two parts.

  1. OLE-DB connection: This OLE-DB connection can be defined in the configuration dialog using the selection button for the connect string. Then the standard dialog for data connection properties is opened.
  2. Additionally the name of the table can be defined, if the standard name ONLINE_VALUES should not be used.
    This can be set with the TABLE entry in the [DATABASE] section of the configuration file (zenProcGateway.ini). The settings are taken over by the add-on when starting it.

attention Attenzione

If table names are defined manually in the configuration file (zenProcGateway.ini), these table names must also be amended or created in the database by hand.

Oracle databases

Use of the Process Gateway and AccessSQL.dll in conjunction with Oracle databases can cause errors: It it possible, with some ODBC drivers, that no online values are written to the database. The advanced ODBC logging then issues the error message "1843".

The problem can be solved by changing the ODBC driver. Example: ODBC driver 9.02.00.05 for Oracle 9.2.


Variable selection

Manuale -> Process Gateway -> SQL -> Variable selection

In the configuration dialog the zenon variables that should be written to the SQL process image can be defined. In order to do this the variables available in the zenon project - listed in the left part - have to be added to the image - listed in the right part.


Creating tables

Manuale -> Process Gateway -> SQL -> Creating tables

After closing the configuration dialog with OK, the table structure of the SQL database is automatically generated. For the case, that it is created by hand:


Operation in a redundant system

Manuale -> Process Gateway -> SQL -> Operation in a redundant system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In redundant operation two alternatives are available. In the first variation the SQL database runs locally on both servers and the Process Gateway also runs on both servers. As only online values are handled no further alignment between the databases is necessary. The big disadvantage of this version is the high network load that is a result from the additional reading of online values on the Standby Server.

In the second version the Process Gateway only runs on the Runtime server and writes data to a local or a remote SQL database. In this alternative no additional network load between the Runtime Server and the Standby Server occurs and in the case of the remote SQL database the Server is not strained by external requests to that database.


Configuration file: specific entries for AccessSQL

Manuale -> Process Gateway -> SQL -> Configuration file: specific entries for AccessSQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameter | Description
[DATABASE] |
INITSTRING | OLE-DB connect-string to the SQL database
TABLE_ONL | name of the table that receives the process image
TABLE_VAR | name of the table that receives the variable IDs
REFRESHRATE | maximum refresh rate in milliseconds

Parameter | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0


Table format

Manuale -> Process Gateway -> SQL -> Table format

Ancora in questo capitolo

Table for process image

Table for variable IDs


Table for process image

Manuale -> Process Gateway -> SQL -> Table format -> Table for process image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
VALUE | varchar[64] | current value as string
VALUE_NUM | float | current value as float
TIMESTAMP | int[4] | time stamp of the current value (as UNIX time)
TIMESTAMP2 | datetime | time stamp of the current value (as datetime)
STATUS | int[4] | status word of the current value


Table for variable IDs

Manuale -> Process Gateway -> SQL -> Table format -> Table for variable IDs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
NAME | varchar[128] | name of the control system variable


Process Recorder

Manuale -> Process Recorder

The Process Recorder module offers you the possibility to record process data in the productive Runtime. At a later point in time, this recorded data can be visualized in Runtime in a project simulation client.

Generally:

  • Selected variables are recorded during the course of the productive process.
  • Recording is carried out in the event of value changes.
  • These recordings can be played back in zenon Runtime in simulation mode.
  • Time and time period of this playback can be freely selected.
  • Existing zenon screens can be used.
  • If playback is not started in a Runtime with several projects, all recorded values from all projects are loaded, correctly sorted in chronological order and played back.
  • The module is integrated into the zenon network and also supports redundancy.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

The Process Recorder module requires a license for the server (Server, Standby, and Editor). The client is automatically licensed via the server.

The project simulation is included in the license of the process recorder.

Ancora in questo capitolo

Introduction

Engineering in the Editor

Process Recorder in the Runtime

Process Recorder in the zenon network

LOG entries


Introduction

Manuale -> Process Recorder -> Introduction

The module Process Recorder consists of two parts:

  1. When configuring a project in zenon, variables for logging are activated.

    These variables are logged in Runtime during the course of the productive process.

  2. The recorded data is played back again in Runtime by means of project simulation.
    • This recorded data can be called up at any time and played back. This playback is carried out in simulation mode of Runtime outside of the productive process.
    • With this playback, recorded processes can be visualized or analyzed.
    • Existing zenon screens can be used for this playback. Because each desired zenon screen is used for playback, processes from the past can be traced in the working environment.
    • Screens that have only been configured by the person configuring the project for playback can also be used for the analysis.

Ancora in questo capitolo

Recording

Replay


Recording

Manuale -> Process Recorder -> Introduction -> Recording

Data from the ongoing process is continually recorded and saved.

Recording is activated for each configured variable by means of the Attivazione registrazione variable property.


Replay

Manuale -> Process Recorder -> Introduction -> Replay

Recorded data from the productive environment can be played back at a later time:

  • The recorded data can be played back for each recorded point in time.
  • This playback is carried out in simulation mode of Runtime outside of the productive process.
  • With this playback, recorded processes can be visualized or analyzed.
  • Existing zenon screens can be used for this playback. Because each desired zenon screen is used for playback, processes from the past can be traced in the working environment.
  • Playback is controlled with a zenon Process Recorder screen.
  • Screens that have only been configured by the person configuring the project for playback can also be used for the analysis.

The following is applicable for playback:

  • Display in playback is carried out solely on the basis of the recorded values. Current process data is not visualized during playback.
  • Only screens with recorded values are supplied. All other zenon modules do not receive any data.

Exceptions

  • Internal driver

    The values of the internal values that have not been activated for recording in the process recorder are (in addition to the recorded values) supplied with current values, even in playback.

  • System driver

    The values of the system driver variables that have not been activated for recording in the Process Recorder are also supplied with current values during playback.
    This is applicable for variables of the following themes:

    • Batch Control
    • Command Processing
    • User-defined
    • User Administration
    • Printer
    • Folder
    • Project information
    • Command Sequencer
    • System information

Requirement

The appropriate file for the given start time is selected on starting. A corresponding LOG message is created and can be displayed in the Diagnosis Viewer tool.

The appropriate file:

  • Ends with *.rec
  • Is in the simulation directory in the computer data directory in the ProcessRecorder folder
  • Is the file whose time stamp corresponds most closely to the selected start time of playback.
  • and whose time stamp + 5 minutes still contains the selected point in time.

If no file meets these criteria, no file is loaded and a LOG message is also written.


Engineering in the Editor

Manuale -> Process Recorder -> Engineering in the Editor

Configuration steps for the Process Recorder module:

  1. Activate the Attiva Process Recorder project property to activate the module.
    1. In zenon, activate the project in the tree view of the Workspace.
    2. Activate, in the Process Recorder project properties group, the Attiva Process Recorder property.
  2. Activate the Attivazione registrazione property for the variables that you want to record.
    1. Highlight the variable(s) that you want to record.
      Note: Multiple selection is possible.
    2. Activate, in the Process Recorder properties group, the Attivazione registrazione.
      Note: This property can also be configured for data types. This setting can be passed on to all variables of this data type.

    You can find further information on this in the Variables and data types chapter.

  3. Configure a zenon Process Recorder screen.
    You can find further information on this in the Process Recorder screen chapter.
  4. Configure a screen switch function or the Attiva/Disattiva progetto di simulazione functions.
    You can find further information on this in the Activate/deactivate project simulation chapter.
    You can find additional information in the project simulation manual.

Ancora in questo capitolo

Variables and data types

Process Recorder data - recording

Process Recorder screen

zenon functions


Variables and data types

Manuale -> Process Recorder -> Engineering in the Editor -> Variables and data types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To record variables for subsequent playback, this must be activated with the Attivazione registrazione property for recording. You can find this property in the Process Recorder properties group of the variable or the data type.

Apply variables when creating new parameters for the data type property.

The variables with parameters set as such are advised when Runtime starts. The variables are unadvised again when Runtime is ended.

Inheritance

Variables and data types take on an existing parameter setting from the higher-level data type.

Please note:

  • Data types take on the parameters of the property at the time the data type is newly created.
    Changes to the original data type are not applied.
  • Variables take on the parameters of the property from the assigned data type.
    Changes to the data type are applied for the variable:
    • If the Attivazione registrazione property has been applied by the data type and not amended, all changes to the data type are applied for the variable.
    • If the Attivazione registrazione property has been amended for the variable, changes to the data type are no longer applied for the corresponding variable.
      Attention: This is also applicable if the property corresponds to the parameter settings of the data type again after several changes. A change to the data type is not applied to the variable in this case.
  • If a variable is assigned a new data type, the current parameter setting of the variable remains. This is then independent of the parameter settings of the (newly-assigned) data type.
  • Arrays:
    The behavior of arrays is the same as that for variables.
  • Structure data types:
    Are supported. The behavior is the same as for data types.

Tipp Suggerimento

If the properties of a variable have been amended, the parameter setting can be transferred from the data type again with the Link all properties with data type context menu entry.

Apply changes for the recording

If the existing configuration of one or more variables is subsequently changed, the recording is amended accordingly after the project is reloaded into Runtime. Newly-activated variables are only available for use in the Process recorder from the time of activation and reloading. The same apples for amendments to a data type.


Process Recorder data - recording

Manuale -> Process Recorder -> Engineering in the Editor -> Process Recorder data - recording

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To have process data available for subsequent playback or evaluation in the Process Recorder module, all variables are saved in files with the Attivazione registrazione property activated.

Recording occurs:

  • Each time there is a value change
  • Each time the status bit of the variable is changed
  • Each time a time stamp is changed

The respective new value is written to the file. If there is still no value when Runtime is started, no entry is written.

Process Recorder file

Process Recorder files have a .rec file suffix.
The following are saved in this file:

  • Current value of the variable
    Signal values of the variable are always saved, not the values calculated by the value amendment.
    This corresponds to the zenon Editor properties Campo valori PLC for the signal value and Adattamento valore lineare for the value amendment.
  • Status bits of the variable
  • Time stamp of the variable
    The time stamp of the variables are saved as UTC and have a precision of milliseconds.
    • External time stamp
    • Internal internal time stamp
    • Process Recorder time stamp
      This time stamp is only used for playback in the Process Recorder module. It is issued automatically and cannot be actively configured or modified.

The following is applicable for the REC file:

  • Recording is carried out in an REC file in the data directory of the computer. The file is named automatically. As a name, the time when the file was created is used, with the given name PRYYMMDDHHMMSS.rec.
  • Save location of the Process Recorder files:
    The data for subsequent playback in the Process Recorder is saved in the data directory of the local computer.
    Save location of the logging files: ../[project name]/[computer name]/[project name]/ProcessRecorder/PRJJJJ.
    The PRYYYY folder is created automatically by zenon and contains all Recorder files from a year.
    You can find further information on the save location in the Runtime manual in the File structure chapter.
    Note: You can open the local save location of the Runtime files in the zenon Editor with the Ctrl+Alt+R keyboard shortcut.
  • A new file is saved automatically every five minutes. This cycle is fixed and cannot be configured.
  • The current recording file is only opened if required and closed again after writing.
    As a result, the file sync between server and standby is not blocked, because the file is only blocked for a short time.

Please note that the requirements for storage space grow. The longer the recording runs, the more memory intensive the required storage space on the drive becomes.

attention Attenzione

Ensure that you have sufficient storage space. Also note the quality of the storage location: Removable media or USB sticks are expressly not recommended.


Process Recorder screen

Manuale -> Process Recorder -> Engineering in the Editor -> Process Recorder screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Recorder screen is for controlling playback of recorded process data in Runtime. The recorded data is played back in zenon in simulation mode.

Tipp Suggerimento

Configure the Process Recorder screen in its own template.

Ancora in questo capitolo

Create Process Recorder screen

Control elements for Process Recorder screens


Create Process Recorder screen

Manuale -> Process Recorder -> Engineering in the Editor -> Process Recorder screen -> Create Process Recorder screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Recorder screen is for control when playing back recorded process data in zenon Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Select Process Recorder in the Tipo di immagine property.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.
    Configure this screen switching function.
    You can find further information in relation to this in the Process Recorder screen switching chapter.


Control elements for Process Recorder screens

Manuale -> Process Recorder -> Engineering in the Editor -> Process Recorder screen -> Control elements for Process Recorder screens

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Replay

Parameter | Description
Playback position | Shows the point in time of playback in local time. Empty if Runtime is not in playback mode. Format: DD.MM.YYYY HH:MM:SS.MMM Note: The value is N/A if no recorder file is loaded.
Cancel | Cancels the reloading of recorded data. Playback is continued at the current point in time.

Start/pause

The button is named Start/Pause.

The display of this button in Runtime depends on whether playback is currently running or not.

  • Pause:
    In playback mode, with playback running
  • Start:
    Playback mode has not been started yet
Parameter | Description
Start | Starts playback mode. Not visible in playback mode.
Pause | Pauses playback mode. Not visible with playback mode paused.

Single step

Clicking on the button jumps to playback of the next or previous value change. The next or previous value change is listed in the event preview.

Control element | Description
Step forward | Switches to the next value change for playback. Not active in playback mode.
Step backward | Switches to the previous value change for playback. Not active in playback mode.

Interval step

Clicking on the button jumps forwards or backwards by the configured interval.
Note: This interval step is always executed, regardless of whether these value changes are present or not after this interval jump.

Control element | Description
Interval forward | Jumps forward by the configured interval during playback. The interval is configured in the screen switching function. Not active in playback mode.
Interval backward | Jumps back by the configured interval during playback. The interval is configured in the screen switching function. Not active in playback mode.

List of events

List of the next or previous value changes of the recording. The events within the current interval are displayed.
Playback jumps to the time of the selected event by selecting an event in the list and clicking on the Jump to event button.

Note: With playback active, these lists are blocked and are not updated.
List window in Runtime:

  • The columns can be sorted and filtered in Runtime.
  • Filtering and sorting can be saved in the filter profiles.
  • The column width can be amended by holding down the right mouse button.
  • Columns can be rearranged by means of drag&drop.
Control element | Description
Next event | Display of the next event for playback.
Previous event | Display of the previous event for playback.
List of next events | List of the next value changes in playback. The display of the list is configured in the screen switch function. Note: The display of this list is empty in Runtime if the recording file is empty. The entries in this list are filtered for the duration of the interval.
List of previous events | List of the previous value changes of the playback. The display of the list is configured in the screen switching function. Note: The display of this list is empty in Runtime if the recording file is empty. The entries in this list are filtered for the duration of the interval.

Jump to event

Skips through playback to the time of an event selected in a preview list. If there are several events or no event from a preview list is selected, the button is grayed out in Runtime.

Time line

The time list visualizes the time period of playback. Positioning in the zenon screen is possible horizontally or vertically.

The position of playback can be moved forwards and backwards in Runtime with the mouse pointer. To do this, move the slide control in the scroll bar with the mouse button held down. This positioning is possible in each mode of the Process Recorder. Playback is then continued at the position of the time line. To stop moving, move the mouse out to the to the display area. The slide control is then placed in the initial position again.

The following keyboard shortcuts are supported:

Key | Description
End | Jumps to the end of the playback time period.
Pos1 | Jumps to the start of the playback time period.
Page Down | Jumps, during playback, forward to the configured time of an interval.
Page Up | Jumps, during playback, backward to the configured time of an interval.

Note: The start and end of a playback period can also be shown in Runtime with the system driver variables [Process Recorder] start of playback period and [Process Recorder] end of playback period in Runtime.

Ancora in questo capitolo

Operation in Runtime


Operation in Runtime

Manuale -> Process Recorder -> Engineering in the Editor -> Process Recorder screen -> Control elements for Process Recorder screens -> Operation in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for display in Runtime:

  • If zenon Runtime is not running in Process Recorder playback mode, all screen elements of the Process Recorder screen type are grayed out or empty.
  • The lists of the event preview are updated dynamically.
  • The recorded values of all loaded projects are taken into account for playback.
    These values are shown compiled in the lists.
  • When calling up a screen in playback mode, the recorded values are loaded from the Recorder files into the memory and buffered. The Process Recorder module detects if a further Recorder file needs to be loaded and loads this into the buffer in the background.
    • It is thus ensured that in Runtime, jumping forwards or backwards to events or by an interval (by means of buttons on Process Recorder screens) is possible without delay.
    • However, if the loading of a Recorder file takes longer, this is visualized in Runtime by a dialog. The updating of the values is delayed briefly as a result.
  • If, during ongoing playback, the Attiva/disattiva riproduzione Process-Recorder function is called up with a new point in time, playback is paused.
  • If a step is executed, a corresponding LOG entry is created.


zenon functions

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Activate/deactivate project simulation

Screen switch Process Recorder

Process Recorder: Activate/deactivate playback


Activate/deactivate project simulation

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Activate/deactivate project simulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You start the project simulation with the Attiva/Disattiva progetto di simulazione function. In this chapter, you get information about this function that is relevant for the Process Recorder module.

You can find further information on this function in the project simulation manual, in the Activate/deactivate project simulation chapter.

Initialize with process image and Runtime files

Parameter

Description

Process Recorder files

When starting the project simulation, the pre-existing logging files are used for the simulation.

Note: Not active if Initialize with process image and Runtime files is not active.

Start the Process Recorder in playback mode

The project simulation starts in the playback mode of the Process Recorder. Existing recordings can thus be visualized in Runtime.

Note: Only available if Process Recorder files is active.

As an alternative to this property, the Process Recorder: activate/deactivate playback function can also be used at the start of playback.

Note: The current playback mode is also shown in the system driver variable [Process Recorder] Recorder mode.

For visualization

Engineering

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Navigate to the node Applicazione.
  3. Select the Attiva/Disattiva progetto di simulazione function.

    The dialog to set parameters for project simulation is opened.

  4. Select:
    1. Initialize with process image and Runtime files
    2. Activate the Process Recorder files
    3. Optional: To start the simulation in Runtime directly after calling up the function in playback mode, configure the settings in the Playback tab.
  5. In addition, you can configure the Options and Runtime properties.
  6. Assegnare un nome alla funzione nella proprietà Nome.

info Info

In simulation, the Process Recorder does not record any further data.

Ancora in questo capitolo

Riproduzione


Riproduzione

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Activate/deactivate project simulation -> Riproduzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella cartella Riproduzione del dialogo di configurazione della funzione “Attiva/Disattiva progetto di simulazione” si configurano i parametri per la modalità di riproduzione del modulo Process Recorder. Se questa finestra di dialogo viene visualizzata a Runtime, si possono modificare solamente le impostazioni relative al tempo.

Le impostazioni di questa scheda sono facoltative.

Ha senso configurarle solamente se si vuole passare direttamente da un ambiente Runtime produttivo alla modalità di riproduzione per processi registrati.

Parametro

Descrizione

Avvia Process-Recorder in modalità di riproduzione

Checkbox che consente di selezionare il comportamento del Runtime dopo l´esecuzione della funzione.

  • Attiva:
    Il Runtime si avvia in modalità di riproduzione.
  • Non attiva:
    Il Runtime viene avviato in modalità di simulazione.

Default: non attiva.

Filtro

In questa area della scheda si configura il punto di avvio della riproduzione a Runtime.

Parametro

Descrizione

Filtro tempo assoluto

Inizio e fine dell´intervallo di tempo di riproduzione vengono inseriti manualmente.

Inserimento di tempo di inizio e di fine negli appositi campi di inserimento.
Formato:

  • Data: GG.MM.AAAA
    Default: data odierna.
  • Tempo: hh:mm:ss
    Default: 00:00:00

Default: attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo relativo.

Filtro Tempo relativo

Inizio dell´intervallo di riproduzione, relativo al tempo di avvio. al punto di avvio. Quest´ultimo viene configurato nell´area Tempo di avvio.

Si indica la differenza negli appositi campi di inserimento.

  • Sottrai orario:
    G hh:mm:ss
  • Aggiungi orario:
    G hh:mm:ss

Default: non attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo assoluto.

Tempo di avvio

Le opzioni di questa proprietà sono disponibili solamente se il tipo di filtro configurato è Filtro tempo relativo. In caso contrario, queste opzioni saranno visualizzate in color grigio e non potranno essere configurate. Il tempo di avvio si seleziona utilizzando gli appositi campi di inserimento.

Parametro

Descrizione

Manuale

Il tempo di avvio della riproduzione per il modulo Process Recorder viene inserito manualmente.

Configurazione del tempo di avvio tramite inserimento nei campi per data e ora.

Default: data odierna/ ore 00:00:00.

Da variabile

Il tempo di avvio della riproduzione per il modulo Process Recorder viene acquisito dal valore della variabile configurata.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

Si consiglia di selezionare e collegare una variabile con il tipo di dato DINT.

Se la variabile collegata non ha un valore valido, oppure se il suo valore è 0, la funzione non verrà eseguita! In questo caso, viene generato un inserimento corrispondente nei LOG.

Ricava da finestra chiamante

Il tempo di avvio della riproduzione a Runtime per il modulo Process Recorder viene acquisito dall´immagine chiamante.

Si prega di tenere presente quanto segue:

  • La funzione Attiva/Disattiva progetto di simulazione può essere attivata solamente da un´immagine di zenon di tipo Lista di informazione allarmi, oppure di tipo Lista Eventi Cronologica.
  • Quando si attiva la funzione, deve essere selezionato solamente un inserimento (allarme o evento) delle liste allarmi o eventi.
    Come tempo di avvio della riproduzione nel modulo “Process recorder” si utilizza il tempo di entrata.

Se la chiamata della funzione via Ricava da finestra chiamante non riesce, un corrispondente inserimento viene scritto nei LOG.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Screen switch Process Recorder

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Screen switch Process Recorder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To open a Process Recorder screen in Runtime:

  1. Configure a Process Recorder screen.
  2. Create a function Screen switch for this screen.
  3. Define the desired filter properties

Create a screen switch function

A screen switching function is for calling up screens in Runtime. For screen switching to a Process Recorder screen, you can also configure the step size of the interval as well as the graphical appearance of the lists in the event preview.

Engineering

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Navigate to node Screens
  3. Select the Screen switching function

    The dialog for selecting a screen is opened.

  4. Select the desired screen.
    Note: If you select a screen from another project, ensure that the project is running in Runtime.
  5. Confirm your selection by clicking on the OK button.
    The Filter dialog to configure the playback settings and for the graphical appearance of the interval and event list is opened.
  6. Assegnare un nome alla funzione nella proprietà Nome.

Ancora in questo capitolo

Process Recorder screen switching filter

Column selection

Column format


Process Recorder screen switching filter

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Screen switch Process Recorder -> Process Recorder screen switching filter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure:

  • The step size (in seconds) of an interval step
  • The graphical appearance of the list in the event preview

Replay settings

Parameter | Description
Interval size | Entry of the interval size. Entry in seconds. Default: 30

Column settings interval events

Configuration of the display in Runtime for event list forwards and event list backwards.

Parameter

Description

Preview

Preview of the configured display.

Note: Configuration by means of mouse click, context menu or the Column selection... and Column format... buttons

Column selection...

Opens the dialog for selecting the columns which should be displayed.

Column format…

Opens the dialog for configuring the column formats.

Use user-defined colors for next event

For the next and previous result in the event preview list and in the interval list, text and background color can - in contrast to configuration for the complete list - be configured separately.

If this option is activated, only specially-configured appearances configured are used for the next or previous entry in the list. All other entries in the list use the settings as configured in Column format.

Activation by means of checkbox.

Textfarbe

Color for the text display for the next event in the event preview list. Clicking on the color opens the color palette to select a color.

Note: not active if Use user-defined colors for next event is inactive.

Hintergrundfarbe

Color for the background color of the next event in the preview list.

Note: not active if Use user-defined colors for next event is inactive.

Column settings events

Configuration of the display in Runtime for previous event list and next event.

Parameter | Description
Preview | Note: initial amendments can already be configured in this preview by clicking the mouse or by means of the context menu.
Column selection... | Opens the dialog for selecting the columns which should be displayed.
Column format… | Opens the dialog for configuring the column display.

Close dialog

Option | Description
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Column selection

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Screen switch Process Recorder -> Column selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure the columns to be displayed in Runtime here.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Column format

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Screen switch Process Recorder -> Column format

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Graphical appearance of the selected columns.

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Process Recorder: Activate/deactivate playback

Manuale -> Process Recorder -> Engineering in the Editor -> zenon functions -> Process Recorder: Activate/deactivate playback

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You start or stop the playback of recording in Runtime with the Attiva/Disattiva progetto di simulazione function.

Parameter

Description

Simulation mode

Type of simulation in zenon Runtime.
Selection of the mode from an option field:

  • Process Recorder playback
    Starts Runtime in playback mode of the project simulation for the Process Recorder module.
  • Simulation
    Switches Runtime from playback mode back to project simulation.

Default: Simulation

Playback start

Start time of playback.
Entry of the point in time at which playback is started in Runtime.

Selection of date and time from a combobox.
Display format: DD.MM.YYYY or HH:MM:SS
Click on the desired area to highlight this for the change. Change the area with an entry or by clicking on the arrow keys.

Default: Date of the call, 00:00:00

Note: Not active if simulation mode is simulation.

Show this dialog in the Runtime

Checkbox che consente di stabilire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva:
    questa finestra di dialogo verrà aperta a Runtime sul computer attuale. In rete verrà visualizzata sul computer che esegue la funzione. L´utente potrà poi utilizzare questa finestra di dialogo per eseguire delle modifiche alla configurazione.
  • Non attiva:
    questa finestra di dialogo non verrà visualizzata a Runtime. La funzione o il comando verranno eseguiti immediatamente, con le impostazioni configurate nell´Editor.

Default: Inactive

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.
Tipp Suggerimento
In order to have the greatest flexibility during playback in Runtime, configure the function with Show this dialog in Runtime activated. Link this function to a button in a template that can be reached by the screens used in playback. As a result, the start time can be selected flexibly during ongoing playback.


Process Recorder in the Runtime

Manuale -> Process Recorder -> Process Recorder in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for the Process Recorder in zenon Runtime:

  • Loading files in playback mode:
    Data from the playback runs in its own thread. This allows the continuous playback of the recorded data without time-consuming reload pauses.
  • Record files:
    The data recording of the Process Recorder module runs in its own thread. This allows continuous data recording without a loss of performance.
  • Display of values:
    If a time range during which Runtime was not active is replayed in the playback, no values are shown during the playback. The elements in the process screens remain empty.
  • Cross-project:
    Data that overlaps several projects in terms of time is compiled into a time bar and played back after being sorted chronologically.
  • Variables that have not been recorded are marked with the PR_NR status bit.
    If the status bit is active, this status is shown in a yellow square in a screen element during playback.

Playback mode

If Runtime is in playback mode, it continues to act as in project simulation.

Examples:

  • No recording of Process Recorder data.
  • Files are created or read in the simulation directory (for example: batch, command sequences).
  • The AUTOEND_Simul script also works in playback mode when Runtime is closed.
  • When closing Runtime, the Variable image remanent property is taken into account for each driver.
  • Archives cannot be exported.
  • The import of command sequences that have been created during simulation is not carried out.
  • The Shift Management module does not access the database.

No data that is created by the playback is saved during playback. This is applicable for the following modules:

  • CEL
  • Alarm Message List
  • Historian
  • Process Recorder
  • HD saving

info Info

Il processo di teaching per il modulo Sequenze di comando è disponibile anche se il Runtime viene eseguito in modalità di riproduzione del modulo Process Recorder.


Process Recorder in the zenon network

Manuale -> Process Recorder -> Process Recorder in the zenon network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following rules are applicable for the behavior of the Process Recorder module in the network:

  • Server and Standby create an initial file on startup.
  • Behavior on the server:
    • A new entry is saved in the file on the server in the event of a value change.
    • The entry is also sent to the Standby Server.
  • Behavior on the standby server:
    • The standby server gets the existing Process Recorder files from the server on starting.
    • After transferring the files:
      The standby writes the entry received from the server to the file on the standby.
    • If the file does not exist, the standby writes a corresponding LOG message.
    • To design the file sync as efficiently as possible, it is ensured that the Recorder files on the standby server have the file properties as on the server.
  • For redundancy switching and reloading the project:
    • The current recorder file is closed.
    • A new Recorder file is created.

attention Attenzione

Please note:

  • On the Standby Server, the values of the primary server are recorded in the Process Recorder. It is not the values that have been received by the standby server's own driver that are used.
  • Seamless redundancy is not supported for the Process Recorder. The variables are advised to the standby server but are not buffered. Recording is thus not guaranteed during redundancy switching.


LOG entries

Manuale -> Process Recorder -> LOG entries

The Process Recorder writes the following LOG entries.

Recording

Entry

Level

Description

Unable to Create File: [File name]

ERROR

The new file could not be created.

Unable to Create Filefolder: [Folder name]

ERROR

The target directory could not be created.
Possible reasons:

  • Inadequate user rights
  • Insufficient free storage space
  • Target directory cannot be reached

Could not write to file!

ERROR

Access to the file failed or the file has not yet been created.

This message can occur the first time a variable is advised, because the required file is not yet present and is only now created automatically.

Filehandler not initialized

ERROR

Functionalities for the writing of the Process Recorder file have not been started.

This LOG entry can only be made on starting.

Network

Entry | Level | Description
Send Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time> | Debug | LOG entry on the server. Sends a message to the standby that new file <filename> with the size <size> and time <time> has been written.
Receive Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time> | Debug | LOG entry on the standby. Received message that new file <filename> with size <size> and time <time> has been written on the server.
Unable to start new file correctly: <filename> | ERROR | LOG entry on the standby. New file <filename> could not be created.
Data is missing. File is smaller in size on SB<filename> | ERROR | LOG entry on the standby. In the event of a value change if the file <filename> is too small. This is the case if the file on the server has more entries than on the standby.
Receive Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length> | DEBUG | LOG entry on the standby. Notification from the server that new value changes have been recorded on the server. Value changes from the server to write to the file <filename> from position <start> with time stamp <time> received. Dump has a length of <length>
Send Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length> | DEBUG | LOG entry on the server. Send value changes to the standby server to write to the <filename> file from <start> position with time stamp <time>. Dump has a length of <length>
Unable to write value changes to file: <filename> | ERROR | LOG entry on the standby. Value changes could not be written to the file <filename>.
Unable to set modify time correctly: <filename> | ERROR | LOG entry on the standby. Value changes could be written but the time stamp of the <filename> file could not be amended. This is the case if the time stamp of the file is different to the to the time stamp of the file from the server. The file is synchronized during the next file sync.

Runtime

Entry

Level

Description

Reload PR with process recorder now enabled / disabled

DEBUG

Reloading in the event of a change of the activation of the Process Recorder:

  • No change to the variable property.
  • Process Recorder has been activated or deactivated.

Reload <n> variables with process recorder enabled

DEBUG

Reloading of the configuration for Process Recorder:

The variable administration (with <n> new or amended values) was reloaded.

The Process Recorder is now also used for this variable(s)

Runtime switch to Simulationmode

DEBUG

Runtime switches from playback mode to simulation mode.

Runtime switch to Playbackmode

DEBUG

Runtime switches from simulation mode to playback mode.

RT started in playback mode

DEBUG

Runtime was started in playback mode.

RT started in simulation mode

DEBUG

Runtime was started in simulation mode.

Start time for playback from Abs: | Rel: %source% is invalid

ERROR

No valid value or no variable for execution of the function found.
source:

  • User input
  • Variable name (with start time from variable)
  • Screen name (with start time from calling screen)

Replay

Entry

Level

Description

No file loaded

DEBUG

When playback was started, no file that contains recorded data for the selected time point could be found.

Load file for replay <filename>

DEBUG

Notification of success on starting playback: The file <filename> was loaded and contains valid recording data for the selected time point.

No replay buffer filled

DEBUG

No values were found in the file.

Filled buffer for replay with <count> variables and <number> entries

DEBUG

Values for variables were found in the file.

  • <count>:
    Number of variables with entries
  • <number>:
    Number of value changes

Intervallstep forward

DEBUG

Successful jump forwards by an interval step during playback.

Intervallstep back

DEBUG

Successful jump backwards by an interval step during playback.

Cancel action

DEBUG

Successful cancellation of a jump command

singlestep forward

DEBUG

Successful switch to the next value change.

singlestep back

DEBUG

Successful switch to the previous value change.

playback status change

DEBUG

Playback was started or paused:

Status:

  • started
  • paused

replay timer waiting nn ms

DEEPDEBUG

Search for value changes during playback.

Unload File: <filename>

DEBUG

The file <filename> is removed from the memory in playback mode.


Production and Facility Scheduler (PFS)

Manuale -> Production and Facility Scheduler (PFS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo "Production & Facility Scheduler" (PFS) consente l´esecuzione di azioni (per es. la modifica del valore impostabile di una variabile, l´esecuzione di una funzione) in relazione ad un certo periodo di tempo, o sulla base di un determinato schema temporale.

tutorial Informazioni sulla licenza

È necessaria una licenza sia per l´Editor che per il Runtime.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo gruppo modello orario | Apre l´assistente per creare un nuovo gruppo modello orario.
Nuovo evento | Crea un nuovo evento.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Generale

Barra degli strumenti e menù contestuale PFS

Schermate del Production and Facility Scheduler

Progettare con il Production Facility Scheduler

Configurazione avanzata nel Production and Facility Scheduler

Tipi di oggetto

Proprietà

Finestre di dialogo

Funzione "Attiva evento PFS"

Tipo d'immagine "Production and Facility Scheduler"

Cambio immagine - PFS


Generale

Manuale -> Production and Facility Scheduler (PFS) -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modello opzionale "Production & Facility Scheduler" (PFS) consente l´esecuzione in relazione ad un certo periodo di tempo, o sulla base di un determinato schema temporale.

Il PFS può essere configurato sia nell´Editor che nel Runtime. La possibilità di configurare questo modulo a Runtime può essere limitata mediante l´attribuzione di diritti utenti. Tutte le operazioni di configurazione eseguite a Runtime possono essere rilette nell´Editor; altrimenti rimangono specifiche.

Tutte le indicazioni di orari sono indipendenti da fuso orario, ora legale e ora solare.

info Info

Nel caso in cui il progetto non dovesse essere visualizzato dopo l´avvio dell´Editor:

  • Aprire il menù Opzioni.
  • Selezionare il comando Manager di progetto.


Barra degli strumenti e menù contestuale PFS

Manuale -> Production and Facility Scheduler (PFS) -> Barra degli strumenti e menù contestuale PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simbolo | Descrizione
Crea | Crea un nuovo elemento (del tipo di quello selezionato) e apre la corrispondente finestra di dialogo di configurazione.
Taglia | Taglia un elemento selezionato
Copia | Copia l'elemento selezionato
Incolla | Inserisce un elemento preso dagli appunti.
Elimina | Elimina un elemento selezionato
Guida | Apre la guida online.

Menù contestuale

Voce di menù

Azione

Salva

Salva le modifiche apportate alla configurazione del PFS.

Elimina

Rifiuta tutte le modifiche apportate dal momento dell´ultimo salvataggio.

Proprietà

Apre la finestra di dialogo per la configurazione di:

  • Cambio ora estiva/invernale
  • Giorni festivi
  • Colori tabelle
  • Turni da registrare

Anteprima punti di Switch

Apre la finestra di dialogo per impostare i punti di switch.

Criteri di filtro

Apre la finestra di dialogo per la selezione dei filtri.

Guida

Apre la guida online.

info Info

Ulteriori informazioni relative ai menù contestuali dei singoli elementi della struttura ad albero e delle tabelle si trovano nei rispettivi capitoli, soprattutto nel capitolo Tipi di oggetto.


Schermate del Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Schermate del Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione del PFS si suddivide in due aree: La Struttura ad albero gerarchica, visualizzata nella parte sinistra dello schermo, e la Visualizzazione tabella nella parte destra dello schermo.

Ancora in questo capitolo

Visualizzazione albero

Visualizzazione tabella


Visualizzazione albero

Manuale -> Production and Facility Scheduler (PFS) -> Schermate del Production and Facility Scheduler -> Visualizzazione albero

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione albero permette all´utente di riconoscere con facilità a quale livello si trova un oggetto e a quale elemento si riferisce. L´appartenenza ad un livello viene visualizzata tramite linee. Questo è molto importante perché il comportamento degli oggetti dipende dalle relazioni reciproche fra gli stessi.
Un menù contestuale specifico per ogni tipo di oggetto, può essere aperto cliccando con il tasto destro del mouse sul relativo oggetto.

In questa zona (se consentito) gli oggetti possono anche essere copiati, spostati e cancellati.


Visualizzazione tabella

Manuale -> Production and Facility Scheduler (PFS) -> Schermate del Production and Facility Scheduler -> Visualizzazione tabella

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel settore destro dell´area del PFS vengono visualizzati i dati dell´oggetto a seconda di quello che è stato selezionato nella visione ad albero. Alcuni oggetti (p.e. gli orari) possono essere configurati in modo più dettagliato in questo settore, mentre per altri viene visualizzato solo lo stato attuale della progettazione che non può essere modificato direttamente. Per esempio: gli eventi.

Nei casi in cui è possibile modificare la configurazione degli oggetti nella visualizzazione tabella, i cambi vengono eseguiti mediante un menù contestuale, che mette a disposizione i comandi necessari per effettuare le modifiche desiderate.

Con alcuni oggetti è possibile anche inserire dei dati direttamente nelle celle della tabella (per esempio, orari in modelli orario).


Progettare con il Production Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa parte della guida creeremo, passo per passo, un primo progetto PFS, seguendo questa procedura:

  • Creazione di gruppi di modello orario, modelli orari e orari.
  • Creazioni di tempi assoluti e relativi con collegamento a variabili o funzioni.
  • Creazione ed esecuzione di eventi definiti dall´utente.
  • Utilizzo di possibilità di modifica come copiare, spostare e cancellare
  • Collegamento degli orari e dei modelli nel calendario
  • Verifica della progettazione usando lo strumento dell´anteprima dei punti di switch.
  • Esecuzione degli orari a Runtime

Presupposto di tutto questo è la conoscenza di come si creano progetti, variabili, funzioni, modelli e immagini. In questa parte della guida si affronterà solo il tema delle impostazioni riguardanti direttamente il modulo PFS. Se si ha bisogno di informazioni su queste funzionalità di base, si prega di consultare i relativi capitoli della documentazione.

info Info

Le denominazioni nelle tabelle come, ad esempio, calendario, orari, eventi ecc., sono visualizzate sempre nella lingua in cui è stato realizzato il progetto.

Ancora in questo capitolo

Descrizione attività

Passaggio 1: lavoro preparatorio

Passaggio 2: impostazioni per il Production and Facility Scheduler.

Passaggio 3: creazione di gruppi di modello orario.

Passaggio 4: creazione di modelli orari.

Passaggio 5: creare turni e pause.

Passaggio 6: definire modello per i giorni festivi.

Passaggio 7: evento definito dall´utente: durata sirena.

Passaggio 8: considerazioni relative alla struttura dell´orario.

Passaggio 9: orario per il capannone.

Passaggio 10: considerazioni relative ai tempi.

Passaggio 11: tempi per l´orario "Capannone".

Passaggio 12: punti di switch dell´orario "Capannone".

Passaggio 13: orario linea I

Passaggio 14: orario linea II.

Passaggio 15: considerazioni relative all´assegnazione calendario.

Passaggio 16: eseguire un´assegnazione calendario.

Passaggio 17: Controllo della progettazione

Passaggio 18: il PFS a Runtime.

Passaggio 19: esecuzione a Runtime.

Passaggio 20: considerazioni riassuntive.


Descrizione attività

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Descrizione attività

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il compito da svolgere è il seguente: gestire il sistema di riscaldamento e di illuminazione di un capannone industriale (capannone I) con due linee di produzione (linea I e linea II) in funzione in un turno che va dalle 06:00 alle 18:00. Per il riscaldamento è necessario un tempo di preriscaldamento, di 2 ore per la linea 1 e di 1 ora per la linea 2; la temperatura da raggiungere è di 83° per la linea 1 e di 45° per la linea 2. Nei tempi in cui la produzione è ferma, la temperatura deve essere ridotta a 20°. L´impianto di illuminazione deve essere acceso 10 minuti prima e spento dieci minuti dopo l´interruzione del processo produttivo. L´inizio e la fine del turno oppure l´inizio e la fine delle pause, devono essere segnalati da un segnale acustico della durata di 6 secondi. Le pause sono: alle ore 9 per 15 minuti, alle ore 12 per un ora e alle 15 per 15 minuti. Si produce 5 giorni alla settimana; non c`è produzione nei giorni di festa e durante il fine settimana. L´impianto si trova in Austria. Ogni 6 ore deve entrare in azione per 30 secondi la pompa per le acque reflue.


Passaggio 1: lavoro preparatorio

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 1: lavoro preparatorio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa prima fase verranno illustrati i preparativi per la progettazione del PFS. Per prima cosa si creerà un progetto, si implementerà un driver e si creeranno le variabili necessarie.

  1. Creare un nuovo progetto dal nome PfsSample in un nuovo workspace
  2. Nel menù contestuale del progetto, passare alla voce File Runtime-> Runtime dati modificabili ......
  3. Disabilitare (togliendo il segno di spunta) la checkbox Non rigenerare e trasmettere per lo Schedulatore. In questo modo le modifiche del PFS fatte nell'Editor verranno ricompilate, mentre quelle effettuate a Runtime andranno perse.
  4. Disabilitare (togliendo il segno di spunta) la checkbox non decompilare per lo Schedulatore. Le modifiche eseguite a Runtime saranno trasferite nell´Editor tramite decompilazione.
  5. Implementare il driver di simulazione nel progetto. Tutte le impostazioni vengono accettate senza modifica.
  6. Creare le seguenti variabili:
    • HD-Bit; Offset 10; Bit 0; Nome: Sirena
    • HD-Bit; Offset 10; Bit 1; Nome: Luce I
    • HD-Bit; Offset 10; Bit 2; Nome: Luce II
    • HD-Bit; Offset 10; Bit 3; Nome: Pompa acque reflue
    • HD-Word; Offset 11; Nome: Riscaldamento P I
    • HD-Word; Offset 12; Nome: Riscaldamento P II
  7. Attivare il PFS cliccando sul nodo corrispondente del Manager di progetto. Si dovrebbe aprire una finestra PFS vuota.
  8. Ingrandire la finestra di progetto disattivando nel menù contestuale l'opzione Docking permesso o attivando Sposta nella finestra principale. Un'area di visualizzazione ingrandita all´interno della finestra di progettazione può rivelarsi utile per la configurazione del PFS.


Passaggio 2: impostazioni per il Production and Facility Scheduler.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 2: impostazioni per il Production and Facility Scheduler.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa seconda fase configureremo i parametri validi per il modulo PFS nel suo complesso. Per poter definire correttamente i giorni festivi, si deve specificare in quale paese il progetto PFS dovrà essere eseguito.

  1. Cliccare con il tasto destro del mouse sull´inserimento Production & Facility Scheduler nella visualizzazione dettagli.
  2. Selezionare Proprietà.

    Si apre la finestra di dialogo che consente di configurare le proprietà.

  3. Passare alla scheda "Giorni festivi".
  4. Selezionare il paese desiderato nella lista “Paesi”.
    Nel nostro esempio: Austria.
  5. Cliccare su OK.

La finestra di dialogo viene chiusa e i giorni festivi vengono applicati.


Passaggio 3: creazione di gruppi di modello orario.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 3: creazione di gruppi di modello orario.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio vedremo come creare e configurare un nuovo gruppo modelli di tempo.

Nel nostro caso, il capannone I sarà designato come gruppo modelli di tempo, perché si ha bisogno di modelli di tempo pensati specialmente per questo capannone (vedi anche la sezione relativa all´oggetto "Modello di tempo"). Ogni volta che sono necessari più modelli per uno stesso giorno del calendario, è necessaria anche una suddivisione in più gruppi modelli di tempo.

Espandere il nodo principale Production & Facility Scheduler . Vengono visualizzati 3 sottonodi. Gruppi di modello orario, Eventi e Calendario.

Aprire il menù contestuale dell´inserimento Gruppi di modello orario e cliccare su "Crea...". Si apre la finestra di dialogo di configurazione del Gruppo modello orario; viene visualizzata la scheda Proprietà . Il campo di inserimento Nome è ancora vuoto perché si vuole creare un nuovo gruppo modelli di tempo.

Digitare nel campo Nome Capannone I; questo è il nome del nostro gruppo modelli di tempo. Il nome del gruppo modelli di tempo deve essere univoco all´interno del modulo PFS. Nel nostro caso è sicuramente così.

Si possono lasciare inalterati i valori di default per l´inizio giornata (00:00:00) e la fine giornata (23:59:59). Queste impostazioni definiscono un ciclo di un giorno intero per il gruppo modelli di tempo.

Se la denominazione scelta per il gruppo modelli di tempo è valida, si può procedere a confermare la impostazioni cliccando su OK ; verrà creato un nuovo gruppo modelli di tempo.

Sotto la voce Gruppi di modello orario verrà visualizzato un nuovo inserimento dal nome Capannone I, che, a sua volta, avrà due altri inserimenti: Modelli orario e Orari.


Passaggio 4: creazione di modelli orari.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 4: creazione di modelli orari.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli sono necessari per definire tempi relativi e contengono i turni e le pause.

Selezionare Nuovo modello tempo nel menù contestuale Modello orario.

Verrà creato un nuovo modello orario con il nome Modello orario 0. L´inserimento si trova automaticamente nella modalità di rinomina, visibile dal campo di inserimento. Inserire il nome Giorno feriale. Confermare il nuovo nome premendo il tasto Ins, oppure cliccando con il mouse al di fuori del campo di inserimento. Cliccando due volte separatamente (non un doppio clic rapido) sulla voce Giorno feriale, il modello orario passerà di nuovo in modalità di modifica e se ne potrà modificare il nome. Si può rinominare il modello tempo anche usando la voce Rinomina del menù contestuale. Il nome deve essere univoco all´interno del gruppo modelli di tempo.


Passaggio 5: creare turni e pause.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 5: creare turni e pause.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I turni sono di importanza fondamentale per la definizione dei tempi di switch relativi. Questo non riguarda solamente gli eventi relativi Inizio turno e Fine turno, ma anche la determinazione dell´inizio e della fine della produzione.

Selezionare la cella in cima alla colonna Turni/Pause. Usando la voce del menù contestuale Crea turno , creare un nuovo turno. Dare un nome univoco al turno. In questo caso, assegnare al turno la denominazione 1. Con il tasto TAB o il mouse, passare alla colonna Ora di inizio. Il turno in questione deve iniziare alle 06:00:00 e durare fino alle 18:00:00. Alla voce Ora di inizio digitare 06:00:00, e alla voce Ora di fine 18:00:00.

I turni sono visualizzati su uno sfondo grigio, le pause su uno sfondo bianco.

Gli operai del nostro impianto hanno meritato una pausa, che adesso dobbiamo definire. Selezionare una delle celle della riga del turno appena creato e aprire il menù contestuale usando il tasto destro del mouse. Usando la voce Crea pausa, creare una pausa. Attribuirle il nome Mattina. Questa prima pausa deve durare dalle 09:00:00 alle 09:15:00.

Adesso creare la pausa di mezzogiorno. Nome: pausa di mezzogiorno; inizio: 12:00:00; fine: 13:00:00.

Rimane solamente da definire la pausa pomeridiana: Nome: pomeriggio; inizio: 15:00:00; fine: 15:15:00

La configurazione del modello Giorno feriale dovrebbe essere la seguente:


Passaggio 6: definire modello per i giorni festivi.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 6: definire modello per i giorni festivi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che la produzione del nostro impianto è ferma nei giorni festivi e che una festa può cadere anche in un giorno compreso fra lunedì e venerdì, si ha bisogno anche di un modello specifico per i giorni di festa. Questo modello è molto semplice perché non contiene nessun turno. In questo contesto bisogna tenere presente che un modello per un giorno speciale ha sempre priorità rispetto a quelli standard per i periodi "lunedì-domenica". L´accento è su "modelli standard". In poche parole: le assegnazioni a giorni specifici hanno la priorità rispetto ai giorni speciali. Un modello senza turni ha lo stesso livello di priorità di un giorno al quale non è collegato nessun modello.

Creare un modello con il nome "Giorno festivo" seguendo la procedura illustrata nel passaggio 4. Nessun tipo di turni viene definito per questo modello.


Passaggio 7: evento definito dall´utente: durata sirena.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 7: evento definito dall´utente: durata sirena.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adesso si deve configurare una sirena che suoni per 6 secondi all´inizio e alla fine dei turni e delle pause. Questo segnale di sirena può essere creato in modo molto efficiente tramite un evento definito dall´utente.

Che cosa è un evento definito dall´utente ? Gli eventi definiti dall´utente non sono altro che punti di switch relativi; la loro particolarità è che possono essere creati dal progettista. Un evento definito dall´utente viene inizializzato tramite l´esecuzione della funzione Attiva evento PFS. Il momento della chiamata della funzione funziona da trigger per l´evento definito dall´utente. L´effettiva esecuzione dell´evento sarà ritardata sulla base dell´offset configurato.

Dopo aver illustrato i principi, passiamo alla creazione dell´evento. Cliccando con il tasto destro del mouse, aprire il menù contestuale del nodo Eventi e creare un nuovo evento tramite la voce Crea... L´evento riceve automaticamente il nome standard Nuovo evento utente 0 e si trova in modalità di rinomina. La stessa cosa l´avevamo vista parlando del modello orario. Rinominare l´evento dandogli il nome "Durata sirena". Il nome deve essere univoco all´interno del modulo PFS.

Passare al nodo "Funzioni" del Manager di progetto e aggiungere la funzione Attiva evento PFS per l´evento definito dall´utente Durata sirena.


Passaggio 8: considerazioni relative alla struttura dell´orario.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 8: considerazioni relative alla struttura dell´orario.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il progetto da realizzare prevede due linee di produzione per ognuna delle quali si creerà un proprio orario. Tuttavia, ci sono alcune operazioni che sono uguali per entrambe queste linee. Per entrambe, infatti, l´impianto di illuminazione deve essere acceso 10 minuti prima dell´inizio del turno e rimanere acceso per 10 minuti dopo la fine dello stesso. Per questa operazione si creerà un orario a parte, di livello superiore. In questo contesto ricorreremo alla possibilità offerta dal programma di trasmettere tempi in via ereditaria da orari definiti prima ad orari definiti poi. L´unica cosa in comune, però, è il punto di switch, dato che ogni linea ha la sua propria illuminazione. Si deve anche provvedere alla gestione della pompa per le acque reflue; anche per questa si utilizzerà l´orario di livello superiore.

Poi si deve configurare anche la sirena. La sirena è la stessa per tutte e due le linee, visto che entrambe si trovano nello stesso capannone; dunque anche per questa si utilizzerà l´orario di livello superiore.

Orario del capannone. Nome del capannone. Si deve progettare la sirena, la pompa e i tempi di accensione e spegnimento dell´illuminazione.

Orario per la linea I: orario subordinato di capannone. Nome linea I; luci devono essere accese e spente. Setta temperatura.

Orario per la linea II: orario subordinato di capannone. Nome linea II; luci devono essere accese e spente. Setta temperatura.

Sulla base di queste considerazioni, si può procedere a creare gli orari.


Passaggio 9: orario per il capannone.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 9: orario per il capannone.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il primo orario da impostare contiene i punti di switch per il capannone I. Contiene inoltre tutti i punti di switch che devono essere uguali negli orari subordinati.

Iniziamo a creare il nostro primo orario. Nella visualizzazione albero, espandere i nodi Production & Facility Scheduler , Gruppi di modello orario e Capannone I in modo tale che diventi visibile l´inserimento Orari del gruppo modelli di tempo Capannone I . Attivare il menù contestuale della voce Orari usando il tasto destro del mouse e cliccare su Crea... Viene visualizzata la finestra di dialogo con le impostazioni dell´orario. Nel campo Nome, inserire il nome "Capannone". L´orario deve essere attivo (segno di spunta nella checkbox Orario attivo), e non deve essere un orario di struttura (la checkbox corrispondente deve essere disattiva).

Deve essere possibile eseguire l´evento definito dall´utente Durata sirena. A questo scopo si dovrà aggiungere questa funzione alla lista delle funzioni dell´orario. Aprire il menù contestuale della voce Lista funzioni usando il tasto destro del mouse e cliccare su Aggiungere funzione... Si aprirà la finestra di dialogo "Scelta funzioni"; selezionare la funzione PFS - Attiva evento PFS [Durata sirena] definita in precedenza e cliccare su "Aggiungi" (in basso a sinistra). Confermare la selezione cliccando su "OK". La funzione verrà aggiunta alla lista delle funzioni dell´orario e potrà essere utilizzata da quest´ultimo.

Adesso vogliamo creare e salvare le variabili Sirena ePompa acque reflue che serviranno ad attivare rispettivamente la sirena e la pompa. Per farlo, dobbiamo aggiungere queste variabili alla lista delle variabili dell´orario. Cliccare con il tasto destro del mouse su "Lista variabili" e poi selezionare la voce Aggiungi variabile.... Si aprirà la finestra di dialogo "Scelta variabili"; per selezionare le variabili desiderate, cliccarci sopra due volte, oppure selezionarle e poi cliccare su Aggiungi (in basso a sinistra).

Dopo aver eseguito le operazioni sopra descritte, l´orario dovrebbe essere configurato nel modo seguente:


Passaggio 10: considerazioni relative ai tempi.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 10: considerazioni relative ai tempi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli orari servono a fissare i tempi di esecuzione di un punto di switch. Ci sono due tipi di tempi:

Tempo assoluto: in questo caso viene indicato un determinato orario. Il punto di switch viene eseguito in questo momento, oppure non viene eseguito. Il tempo di esecuzione non cambia. L´esecuzione non avviene solamente se viene disattivato l´orario, il punto di switch, oppure l´orario non è collegato al giorno in questione. Questa variante è ideale in quei casi in cui il tempo di esecuzione è certo e fisso.

Tempo relativo: In questo caso, il momento dell´effettiva esecuzione del punto di switch dipende da diversi fattori: il tipo di evento, la posizione dei modelli nel calendario, se il giorno è festivo o meno, e da molto altro. Le condizioni di esecuzione sono descritte in modo dettagliato nella sezione "Tipo di tempo". In poche parole, il momento dell´esecuzione di un punto di switch dipende da molti fattori; per questo si usa il termine "tempo relativo", Il vantaggio di questa variante è che, quando cambia il riferimento, cambia automaticamente anche il tempo di esecuzione. C´è però anche uno svantaggio che deve essere preso in considerazione. Dato che il tempo di esecuzione non è indicato in modo diretto, il meccanismo dei “tempi relativi” è meno chiaro di quello dei “tempi assoluti”. Questo problema, tuttavia, può essere risolto ricorrendo all´anteprima dei punti di switch.

Adesso vediamo di quali tipi di tempi abbiamo bisogno per risolvere il compito che ci siamo prefissi. Per rispondere a questa domanda dobbiamo anzitutto analizzare brevemente quali azioni devono essere eseguite e quali elementi devono essere accesi e spenti nel nostro impianto produttivo.

La sirena. La sirena deve suonare per 6 secondi all´inizio e alla fine delle pause e dei turni. Questo significa che l´inizio del segnale acustico è legato direttamente al turno o alla pausa. L´inizio e la fine dei turni o delle pause sono noti. Sarebbe dunque possibile utilizzare direttamente gli orari corrispondenti (tempi assoluti). Se cambia il turno, però, anche questi orari devono essere modificati e adeguati. Non solo, ma anche orari dipendenti da quelli del turno (come lo spegnimento di una sirena) dovrebbero essere modificati e adeguati. Questo può causare errori! Se si usano i tempi relativi Inizio turno, Fine turno, Inizio pausa e Fine pausa, invece, tutte le modifiche necessarie avvengono automaticamente. Per fare in modo che il segnale acustico della sirena duri 6 secondi, non si deve fare altro che fissare un offset di 6 secondi per l´evento definito dall´utente che regola la disattivazione della sirena.

Anche l´illuminazione delle linee di produzione dipende direttamente dal turno. Viene dunque eseguita come Inizio turno e Fine turno.

Anche le temperature delle linee di produzione dipendono direttamente dal turno.

La pompa deve essere attivata ad intervalli definiti, ogni 6 ore, e per la durata di 30 secondi. In questo caso non esiste un collegamento diretto con il turno o la pausa. Per questo motivo si possono usare tempi assoluti

Dopo aver analizzato i diversi tempi di esecuzione, si può passare alla progettazione.


Passaggio 11: tempi per l´orario "Capannone".

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 11: tempi per l´orario "Capannone".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Innanzitutto creiamo i tempi di accensione della pompa per la acque reflue. A questo scopo, selezionare la cella nella prima riga della colonna Tipo di tempo. Aprire il menù contestuale e selezionare la voce Crea calendario...; si aprirà la finestra di dialogo per la creazione di una griglia di tempo. Dopo che è stata attivata la checkbox Tempo ciclico, vengono attivati anche gli altri campi di inserimento.

Inserire in questi campi i valori indicati nell´immagine di cui sopra. Con queste impostazioni verranno creati quattro tempi assoluti. Mezzanotte, le 6, mezzogiorno e le 18.

La pompa deve spegnersi dopo 30 secondi. Per ottenere questo risultato, si devono definire altri quattro tempi di switch con una differenza di 30 secondi rispetto a quelli appena creati. A questo scopo non si deve far altro che inserire 00:00:30 come tempo di partenza.

Adesso passiamo alla configurazione della sirena. Aprire il menù contestuale della visualizzazione tabella con il tasto destro del mouse e selezionare la voce Crea orario.... Sarà creato un nuovo tempo assoluto. Adesso abbiamo bisogno però di un tempo relativo. Passare alla colonna "Tipo di tempo" nella stessa riga, e cambiare il tipo di tempo in "tempo relativo". Se si passa alla colonna Ora, il valore precedentemente visualizzato sparisce e viene aperta una lista contenente gli eventi relativi disponibili. Selezionare inizio turno. L´offset rimane 0, perché la sirena attivarsi al momento dell´inizio del turno. La sirena, però, non deve solo segnalare l´inizio del turno, ma anche la fine del turno, l´inizio e la fine della pausa. Creare 3 altri tempi relativi con gli eventi relativi corrispondenti. La sirena deve spegnersi 6 secondi dopo la sua attivazione. A questo scopo si deve aggiungere un tempo relativo con l´evento relativo Durata sirena. Durata sirena è l´evento definito da utente impostato in precedenza. Definire un offset di 0,1 minuti (corrisponde a 6 secondi). Questo valore definisce la durata del segnale acustico della sirena.

Adesso è il turno del riscaldamento. Creare 2 tempi relativi, per inizio turno, definendo rispettivamente un offset di -120 e di -60.

Adesso non manca altro che definire i tempi di accensione e spegnimento dell´illuminazione. Creare 2 tempi relativi, per inizio turno, con un offset di -10, e per fine turno con un offset di 10.


Passaggio 12: punti di switch dell´orario "Capannone".

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 12: punti di switch dell´orario "Capannone".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tempi definiscono il momento di esecuzione di un´operazione; adesso bisogna definire che cosa deve essere eseguito in corrispondenza di un determinato tempo. Questa è la funzione dei punti di switch.

Iniziamo con la pompa per le acque reflue. Selezionare il tempo assoluto 00:00:00. Aprire il menù contestuale e cliccare sulla voce Crea punto di Switch. Immediatamente accanto al tempo selezionato verrà aggiunta una nuova riga che rappresenta il punto di switch. Questa riga contiene le seguenti colonne: attivo, tipo di collegamento, collegamenti, azione e password. Vediamo brevemente le singole colonne.

Attiva: consente di disattivare un punto di switch. In questo modo si può impedire che un punto di switch venga eseguito.

Tipo di collegamento: stabilisce se una variabile deve essere modificata, oppure, per esempio, deve essere eseguita una funzione. Gli altri tipi di collegamento sono descritti nella sezione "Oggetto: punto di switch".

Collegamenti: a seconda del tipo di collegamento selezionato, questo campo consente all´utente di scegliere la variabile o la funzione.

Azione: in caso sia stato selezionato il tipo di collegamento "Variabile", questo campo contiene il valore impostabile che deve essere scritto. Per quello che riguarda le funzioni, invece, questo campo ha lo stesso significato di "Attivo".

Password: consente di definire un´autorizzazione richiesta per eseguire delle modifiche alla progettazione a Runtime.

Adesso definiamo il punto di switch. La colonna selezionata al momento è Tipo di collegamento. Selezionare nel menù a tendina Variabile. Passare alla colonna Collegamenti. Selezionare nel menù a tendina Pompa acque reflue. Passare alla colonna Azione . Digitare il valore 1. Questo significa che alle ore 00:00:00 verrà settato il valore impostabile 1 per la variabile "Pompa acque reflue".

Adesso creare i seguenti punti di switch seguendo la procedura sopra descritta:

  • 00:00:30; Variabile "Pompa acque reflue"; valore impostabile: 0
  • 06:00:00; Variabile "Pompa acque reflue"; valore impostabile: 1
  • 06:00:30; Variabile "Pompa acque reflue"; valore impostabile: 0
  • 12:00:00; Variabile "Pompa acque reflue"; valore impostabile: 1
  • 12:00:30; Variabile "Pompa acque reflue"; valore impostabile: 0
  • 18:00:30; Variabile "Pompa acque reflue"; valore impostabile: 1
  • 18:00:30; Variabile "Pompa acque reflue"; valore impostabile: 0

Adesso è il turno della sirena. Per la sirena sono stati definiti più tempi relativi.
Inizio turno Offset 0, Fine turno Offset 0, Inizio pausa Offset 0, Fine pausa Offset 0 e Durata sirena Offset 0,1.
Per inizio e fine devono essere eseguiti rispettivamente 2 punti di switch. Il primo per attivare la sirena. Il secondo deve inizializzare l´evento definito dall´utente Durata sirena.
Il tempo relativo Durata sirena deve poi disattivare la sirena. Adesso procediamo alla creazione dei punti di switch necessari. A differenza di quanto visto sopra per la configurazione della "Pompa acque reflue", in questo caso abbiamo 4 tempi per i quali abbiamo bisogno di più punti di switch. Per esempio, si può eseguire due volte consecutivamente "Crea punti di switch" per il tempo Inizio turno Offset 0 . Esiste però una soluzione più semplice. Selezionare il tempo Inizio turno Offset 0. Aprire il menù contestuale e selezionare la voce Crea punto di switch. Verrà aperta la finestra di dialogo "Punti di switch". Selezionare la funzione Evento PFS [Durata sirena] e la variabile Sirena. Aggiungere funzione e variabile alla lista cliccando su Aggiungi. Dopo che la selezione sarà stata confermata cliccando su OK , verranno creati 2 punti di switch corrispondenti al tipo e al collegamento. Per il punto di switch "Variabile Sirena", il valore impostabile dovrà essere settato su 1. Seguendo la stessa procedura, definire i punti di switch per i tempi relativi " Fine turno", "Inizio pausa" e "Fine pausa". Non resta che creare un ultimo punto di switch per la sirena: per il tempo relativo Durata sirena creare un punto di switch che setti il valore della variabile Sirena a 0.

info Info

Per inserire un valore decimale si può utilizzare sia la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.


Passaggio 13: orario linea I

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 13: orario linea I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle considerazioni preliminari relative alla struttura dell´impianto, abbiamo deciso di utilizzare per temperatura e illuminazione degli orari di livello subordinato.

Creiamo adesso l´orario per la linea I. A questo scopo, selezionare l´orario Capannone nella visuale ad albero. Aprire con il tasto destro del mouse il menù contestuale e selezionare l´opzione Crea; si aprirà la finestra di dialogo delle proprietà dell´orario. Nel campo Nome digitare "Linea I"; non aggiungere nessuna variabile. In questo modo avremo la possibilità di vedere come modificare in un secondo tempo il collegamento a variabili e funzioni.

Nel nuovo orario Linea I selezionare nella struttura ad albero Lista variabili. Cliccare con il tasto destro del mouse per aprire il menù contestuale; mediante la voce Aggiungi variabile collegare le variabili Luce I e Temperatura P I all´orario.

Se è selezionato l´orario Linea I , tutti i tempi definiti nell´orario precedentemente configurato saranno visualizzati nella tabella su uno sfondo grigio. I tempi visualizzati su uno sfondo grigio sono appunto quelli ereditati da orari definiti in precedenza. Quando si modifica la definizione nell´orario, per così dire, di "partenza", i tempi verranno modificati automaticamente anche in quello di livello inferiore.

Definiamo adesso i punti di switch per la temperatura e l´illuminazione. La procedura è quella applicata per l´orario Capannone.


Passaggio 14: orario linea II.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 14: orario linea II.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un nuovo orario dal nome "Linea II", con i corrispondenti punti di switch.


Passaggio 15: considerazioni relative all´assegnazione calendario.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 15: considerazioni relative all´assegnazione calendario.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tempi definiti negli orari non sono collegati ad una determinata data; questa relazione viene creata tramite l´assegnazione ad un giorno del calendario. Questa assegnazione deve essere eseguita separatamente per tempi assoluti e relativi. Può essere inoltre eseguita per ogni gruppo modelli di tempo.

Ancora in questo capitolo

Tempi assoluti

Tempi relativi.


Tempi assoluti

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 15: considerazioni relative all´assegnazione calendario. -> Tempi assoluti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda i tempi assoluti, il collegamento dell´orario ad un determinato giorno del calendario è di importanza fondamentale. Sono supportati i seguenti tipi di collegamento:

Usa orario in questo giorno.

Non usare orario in questo giorno.

Usa orario nei giorni festivi.

Usa orario per il giorno feriale.


Tempi relativi.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 15: considerazioni relative all´assegnazione calendario. -> Tempi relativi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda i tempi relativi, sono rilevanti sia l´assegnazione di un modello ad un giorno, che i turni definiti nel modello. Sono supportati i seguenti tipi di collegamento:

  • Usa modello per questo giorno.
  • Modello giorno festivo se il giorno è festivo.
  • Usa modello per il giorno feriale.

Nota: il sistema non esegue un´analisi dei tempi relativi in caso di conflitti di orari.


Passaggio 16: eseguire un´assegnazione calendario.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 16: eseguire un´assegnazione calendario.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare l´inserimento Calendario nella struttura ad albero. La tabella visualizza solamente il corrente mese. Ogni settimana ha le righe Modelli - Capannone I e Orari - Capannone I. Selezionare la cella Orari - Capannone I di lunedì. Aprire il menù contestuale con il tasto destro del mouse e selezionare la voce "Selezionare orari.."; si aprirà la finestra di dialogo "Collegare orari", mediante la quale si possono selezionare degli orari. Selezionare l´orario Capannone e aggiungerlo alla lista cliccando su Aggiungi. Verrà visualizzata l´identificazione completa Capannone I.Capannone ripresa dall´orario. Se si clicca su OK , verrà visualizzata la finestra di dialogo per definire il periodo di attivazione. Il nostro orario deve essere eseguito ogni settimana, senza una data di fine, dal lunedì alla domenica. L`assegnazione ad un giorno speciale viene eseguita nelle Proprietà dell´orario Capannone Impostazione calendario. In questa sezione sarebbe possibile anche definire l´assegnazione a giorni della settimana. Non è necessario eseguire nessuna assegnazione calendario per gli orari Linea I e Linea II perché questi orario non usano punti di switch con tempi assoluti.

Per i tempi relativi si deve definire un´assegnazione a modelli, che viene eseguita nel modo seguente: Selezionare la cella Modelli Capannone I Lunedì. Aprire il menù contestuale con il tasto destro del mouse e selezionare la voce Selezionare modello... ; si aprirà la finestra di dialogo "Collegare modelli". Selezionare il modello Giorno feriale a aggiungerlo alla lista cliccando su "Aggiungi". Se si conferma la finestra di dialogo cliccando su "OK", il sistema chiede se il modello deve essere definito come default. Se si clicca su "Sì", questo modello verrà collegato ad ogni lunedì, altrimenti solo a questo specifico lunedì. Noi attiviamo il nostro modello per ogni lunedì. Si può ripetere questa procedura per gli altri giorni della settimana, da martedì a venerdì. Esiste però una possibilità più semplice: aprire la pagina Proprietà- Impostazione calendario del gruppo modelli orario Capannone I ed eseguire l´assegnazione qui. Selezionare per i giorni da martedì a venerdì il modello Giorno feriale e per giorno speciale Giorno festivo. Se adesso si torna alla visualizzazione calendario, si può vedere quali modelli sono assegnati a quali giorni.


Passaggio 17: Controllo della progettazione

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 17: Controllo della progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esiste già nell´Editor una possibilità di controllare la configurazione degli orari e l´assegnazione calendario. Questa possibilità è rappresentata dall´anteprima dei punti di switch; in questa anteprima si può prendere visione di qualsiasi periodo di tempo, anche di quelli già passati.


Passaggio 18: il PFS a Runtime.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 18: il PFS a Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, i punti di switch attivati vengono elaborati ed eseguiti ogni secondo. Questo processo inizia con l´avvio del Runtime e rimane attivo fino alla chiusura di quest´ultimo.

Il modulo PFS prevede anche la possibilità di eseguire tutta la configurazione a Runtime; le differenze fra progettazione nell´Editor e a Runtime sono modeste.

Le diversità principali sono:

  • Le autorizzazioni operative per visualizzazione, modifica, aggiunta e cancellazione di inserimenti sono attive.
  • Le funzione dei menù contestuali possono essere attivate nel tipo di immagine usando interruttori.
  • L´anteprima dei punti di switch visualizza eventi definiti dall´utente sulla base dei punti trigger esistenti per l´evento.
  • Il salvataggio della progettazione modifica li attiva immediatamente.

Per i nostri test a Runtime, configureremo quanto segue:

  • Un´immagine di partenza di tipo Standard.
  • Un´immagine PFS di tipo Production & Facility Scheduler.
  • Nell´immagine PFS, gli oggetti standard.
  • Nell´immagine di partenza, un pulsante che attiva la funzione di cambio immagine per poter passare a Runtime all´immagine PFS. Non si eseguirà nessuna impostazione di filtro.
  • Nell´immagine di partenza, progetteremo diversi campi di visualizzazione per visualizzare gli stati delle variabili.


Passaggio 19: esecuzione a Runtime.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 19: esecuzione a Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data e tempo sono decisivi per l´esecuzione di un punto di switch assoluto. Tempi relativi e assoluti che non hanno una relazione ad una data precisa, vengono definiti in relazione a punti di switch assoluti usando l´assegnazione calendario. Per eseguire i test si deve anzitutto modificare l'orario di sistema, a meno che non si abbia a disposizione molto tempo e si sia disposti ad aspettare che il giorno sia trascorso.

Le modifiche dell´orario di sistema, però, hanno conseguenze sul modulo PFS, differenti a seconda del tipo di progettazione e del tipo di modifiche effettuate. A questo proposito, vediamo le Proprietà del Production & Facility Scheduler . La pagina Modifica orario definisce il modo in cui il PFS reagisce ad un cambio di orario.

Ancora in questo capitolo

Cambio ora positivo

Cambio ora negativo


Cambio ora positivo

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 19: esecuzione a Runtime. -> Cambio ora positivo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recuperare punti di switch: tutti i punti di switch compresi fra il tempo di inizio e il tempo corretto saranno eseguiti allo scadere del tempo corretto.

Ricalcolare i punti di switch: causa un ricalcolo dei punti di switch a partire dal tempo corretto. Tutti i punti di switch che si trovano nel periodo compreso fra il tempo di inizio e quello corretto non verranno eseguiti.


Cambio ora negativo

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 19: esecuzione a Runtime. -> Cambio ora negativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eliminare i punti di switch : non esegue un ricalcolo; la conseguenza è che il sistema riprenderà ad eseguire i punti di switch solo quando si arriverà al tempo di inizio.

Ricalcolare i punti di switch: ridefinisce i punti di switch assoluti a partire dal tempo corretto. Per questo motivo i punti di switch verranno eseguiti un´altra volta.

Tutte le precedenti affermazioni relative alla correzione dell´orario valgono solamente se Runtime non viene chiuso. In caso di un riavvio del Runtime, il calcolo dei punti di switch avviene sempre sulla base dell´orario di sistema corrente. Inoltre, ogni correzione effettuata all´orario di sistema non deve superare la tolleranza orari.

Tenendo presente come reagisce il modulo PFS alle modifiche di orario, è consigliabile spostare in avanti ("cambio d´ora positivo") l´orario quando si vuole testare la progettazione realizzata. Se è necessario riportare indietro il tempo, chiudere il Runtime, modificare l´orario e riavviare il Runtime.

Avviare il Runtime e modificare l´orario. Le 12, ad esempio, sono un momento di particolare interesse per vedere se il sistema configurato funziona effettivamente: alle 12, infatti, la sirena dovrebbe attivarsi e suonare per 6 secondi. Testiamo questa funzione.

Dato che abbiamo un trigger per l´evento definito dall´utente Durata sirena, il tempo di esecuzione è visibile nell´anteprima dei punti di switch. Tempo di esecuzione: 12:00:06.


Passaggio 20: considerazioni riassuntive.

Manuale -> Production and Facility Scheduler (PFS) -> Progettare con il Production Facility Scheduler -> Passaggio 20: considerazioni riassuntive.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questi 20 passaggi abbiamo imparato a conoscere le parti fondamentali del PFS. Adesso dovreste essere in grado di creare autonomamente un progetto PFS.

La divisione dei tempi di switch in tre orari non è obbligatoria; noi l´abbiamo adottata per mostrare la possibilità di usare tempi "ereditati" (cioè definiti in precedenza). Con un solo orario, il processo di configurazione sarebbe più semplice e veloce.

Una breve ricapitolazione dei passaggi necessari:

  1. Creazione degli eventi definiti dall´utente.
  2. Creazione del gruppo modelli di tempo.
  3. Creazione dei modelli tempo.
  4. Creazione dell´orario.
  5. Creazione dei tempi assoluti.
  6. Creazione dei tempi relativi.
  7. Creazione dei punti di switch.
  8. Collegamento dell´orario al calendario per i tempi assoluti.
  9. Collegamento dei modelli tempo al calendario per i tempi relativi.


Configurazione avanzata nel Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Drag&Drop:

Filtro della progettazione PFS

Elaborazione multipla

Orari di struttura

Configurazione della funzione di cambio immagine per l´immagine di tipo PFS

Autorizzazioni a Runtime

Usare il Production and Facility Scheduler nella rete

Conversione di progetti

Interfaccia VBA


Drag&Drop:

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Drag&Drop:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via Drag&Drop è possibile spostare velocemente e facilmente gli oggetti l´uno sull´altro. In linea di principio, questo processo corrisponde all´operazione "copia-incolla". Bisogna tenere presente che è possibile spostare degli oggetti solamente su degli altri dello stesso tipo. L´aspetto visivo del cursore del mouse mostra se lo spostamento è consentito o meno. Se si tenta di spostare un oggetto su una destinazione non consentita, il processo verrà interrotto. Questo aspetto è utile quando si prende per sbaglio un oggetto e si tenta di spostarlo in una parte non corretta della struttura ad albero.


Filtro della progettazione PFS

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Filtro della progettazione PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aumentare del numero dei gruppi modelli di tempo, dei modelli, degli orari e dei tempi di switch, diventa sempre più difficile trovare determinati oggetti e mantenere una visione generale chiara dell´intero progetto PFS. Per circoscrivere il problema, è stata implementata una funzione di filtro. Nella struttura ad albero, si può attivare una finestra di dialogo di filtro cliccando sulla voce "Criteri di filtro..." del menù contestuale del Production & Facility Scheduler. Informazioni più precise relative a questo dialogo di filtro si trovano nella sezione Dialogo filtro PFS di questo manuale; per adesso, vogliamo concentrarci sull´uso di questa possibilità di filtro.

L´operazione di filtro viene eseguita a livello di visualizzazione dell´oggetto. Un oggetto che non corrisponde ai criteri di filtro, non viene visualizzato. Continua però ad esistere. Questo può essere causa di confusione, per esempio, quando si crea un nuovo orario e si setta il nome su quello di un orario filtrato. In questo caso, viene visualizzato un messaggio di errore che informa che il nome è già usato per un altro oggetto.

Quando si creano nuovi oggetti che non corrispondono ai criteri di filtro, questi sono visibili fino al prossimo aggiornamento della visualizzazione. Per esempio la creazione di un tempo che si trova al di fuori del filtro. Il tempo sarà visibile finché non si uscirà dall´orario. Al prossimo aggiornamento, questo tempo non sarà più visibile, pur continuando ad esistere. Il filtro viene applicato di nuovo quando viene riaperta la visualizzazione.

Gli orari e i modelli collegati in un calendario vengono filtrati allo stesso modo.


Elaborazione multipla

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Elaborazione multipla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chi non conosce questo problema: tutti i tempi assoluti compresi fra le 06:00:00 e le 20:00:00 devono essere spostati di 00:43:25. E allora si inizia a fare i calcoli, a correggere i singoli tempi, forse per dozzine di volte. Proprio per risolvere questo tipo di problema è stata implementata nel modulo PFS la funzionalità "Elaborazione multipla". Questa funzionalità consente di eseguire (a livello di orario) delle modifiche alle celle selezionate in modo corrispondente al tipo di colonna. Grazie alla "Elaborazione multipla", il problema sopra descritto può essere risolto con pochi clic del mouse e inserimenti dati.

Usando questa funzionalità in combinazione con il filtro, inoltre, si può ridurre ulteriormente la quantità di elementi da modificare.

Le seguenti colonne supportano l´elaborazione multipla.

Parametro | Descrizione
Tipo di tempo | Consente il cambio del tipo di tempo.
Ora | Per i tempi assoluti si può cambiare il tempo. Per farlo si deve aprire la finestra di dialogo "Modifica tempo".
Offset | Per i tempi relativi si può cambiare l´offset. Per farlo si deve aprire la finestra di dialogo "Modifica offset".
Attivo | Consente di modificare lo stato di attivazione.
Azione | A seconda del tipo di collegamento, si può modificare il valore, l´attivazione o la macro da eseguire. Per farlo si deve aprire la finestra di dialogo "Modifica valore".


Orari di struttura

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Orari di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli orari di struttura servono a creare una struttura visiva degli orari nella visualizzazione ad albero. Un orario viene contrassegnato come un orario di struttura quando si attiva la checkbox Orario di struttura nella finestra di dialogo Proprietà orario.

Gli orari di struttura non hanno né variabili e funzioni assegnate, né tempi e punti di switch assegnati. L´orario di struttura può contenere orari subordinati. In questo modo è possibile mettere in evidenza l´interdipendenza logica di questi orari subordinati.


Configurazione della funzione di cambio immagine per l´immagine di tipo PFS

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Configurazione della funzione di cambio immagine per l´immagine di tipo PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il dialogo di filtro della funzione "Cambio immagine" per l´immagine PFS consente di specificare quali dati devono essere visualizzati e di adattare la visualizzazione della tabella.

Parametro | Descrizione
Filtro della visualizzazione albero | Selezionare l´oggetto da attivare nel cambio immagine. L´oggetto deve corrispondere ai criteri di filtro definiti, oppure si deve disattivare i filtro. A questo proposito, vedi anche "Filtro visualizzazione albero per cambio immagine".
Filtro visualizzazione tabella | Stabilisce il formato della visualizzazione tabella. A questo proposito, vedi anche "Filtro visualizzazione tabella per cambio immagine".


Autorizzazioni a Runtime

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Autorizzazioni a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile assegnare delle autorizzazioni ad ogni oggetto della visualizzazione albero dipendenti dalla funzionalità dell´oggetto in questione. A Runtime, l´utente loggato potrà poi eseguire la funzione solamente se ha il livello di autorizzazione corrispondente (password). L´autorizzazione si riferisce sempre all´oggetto.

Se l´utente non ha il diritto di vedere un oggetto, quest´ultimo e gli oggetti subordinati saranno nascosti e dunque invisibili per l´operatore. Questo accadrà anche se questo utente ha il diritto di vedere uno degli oggetti subordinati.

Per modificare un livello di autorizzazione si deve naturalmente avere l´autorizzazione necessaria a modificare i livelli di autorizzazione.


Usare il Production and Facility Scheduler nella rete

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Usare il Production and Facility Scheduler nella rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Production and Facility Scheduler può essere utilizzato in rete; bisogna però precisare che l´esecuzione dei punti di switch avverrà solamente sul server. Se nella rete c´è un Server-Standby, anche questo elaborerà la lista dei punti di switch, ma non eseguirà nessuno di questi ultimi. La sincronizzazione dell´elaborazione viene eseguita sulla base del tempo di sistema.

Si può configurare il modo in cui il modulo PFS reagisce quando il Server-Standby passa a svolgere la funzione di server primario. Il problema di questo cambio di ruolo è che il Server-Standby non può determinare con certezza quando il server primario (precedente) ha eseguito l´ultimo processo di switch. Per questo motivo è stata implementata l´opzione Spegnimento Server Standby - Eliminare i punti di Switch che si trova nella scheda Cambio ora estiva/invernale delle Proprietà del Production & Facility Scheduler .

Parametro | Descrizione
Eliminare i punti di Switch | L´elaborazione dei punti di switch sul Server Standby comincia in corrispondenza della posizione corrente. Una possibile conseguenza di questo è che dei punti di switch potrebbero non essere eseguiti.
Ricalcolare i punti di Switch | I punti di switch vengono ricalcolati a partire dall'orario attuale - 30 secondi ed eseguiti immediatamente. Una possibile conseguenza di questo è che dei punti di switch potrebbero essere eseguiti due volte.

Quando il server è di nuovo disponibile nella rete e il Server-Standby torna a svolgere il ruolo di standby, il server viene aggiornato con i dati PFS attuali. Questo garantisce che l´esecuzione di punti di switch continui senza soluzione di continuità.

Parametro

Descrizione

Server

Esegue i punti di switch.
Salva la configurazione del PFS.

Le progettazioni non salvate sul server vengono rifiutate se nel frattempo è stata salvata una configurazione corrente su un client.

Client
  • Nessuna esecuzione di punti di switch.
  • I dati di progetto possono essere modificati.
  • Se i dati di un progetto vengono modificati perché si lavora a questo progetto su altri client o sul server, viene visualizzato un messaggio sul client che ne informa l´utente.
  • Il tempo di trigger degli eventi utente corrisponde al tempo di sistema sul client.

Standby
  • Il Server-Standby si comporta come un client.
    Nota: Se il Server-Standby passa a svolgere le funzioni di server primario, si comporta come un server.
  • È possibile configurare le modalità con le quali viene eseguito questo cambio di ruoli server in un sistema ridondante.
  • Salva la configurazione del PFS.


Conversione di progetti

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Conversione di progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si attiva un progetto realizzato con una versione precedente alla 5.50, i profili vengono convertiti in orari struttura. I profili non vengono più supportati a partire dalla versione 5.50 . Per ogni profilo viene creato un orario di struttura che contiene gli orari collegati. Questi ultimi contengono tutti i tempi che si trovavano fra i tempi di attivazione/disattivazione del profilo.

L´informazione del giorno contenuta negli orari profilo viene ripresa nel calendario.

Il processo di configurazione viene visualizzato nella finestra di emissione dell´Editor.


Interfaccia VBA

Manuale -> Production and Facility Scheduler (PFS) -> Configurazione avanzata nel Production and Facility Scheduler -> Interfaccia VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il PFS contiene un´interfaccia VBA integrata nell´oggetto VBA Project . Inoltre è possibile collegare punti di switch ad una macro VBA di tipo Execute_Value. In questo caso, il punto di switch viene trasferito come parametro alla macro VBA.

Sarà poi la macro VBA ad eseguire il processo di switch.


Tipi di oggetto

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti contengono la configurazione per essi definita. Si distinguono due tipi di oggetti:

Tipi di oggetto modificabili e Tipi di oggetto predefiniti

Ancora in questo capitolo

Tipi di oggetto predefiniti

Tipi di oggetto modificabili

Oggetto "Production Facility Scheduler"

Oggetto Gruppi modello di tempo

Oggetto Gruppi modello di tempo modificabili

Oggetto Orari

Oggetto Orari modificabili

Oggetto: Lista funzioni

Oggetto: tempi

Oggetto: punto di switch

Oggetto: Modello orario

Oggetto "Turno"

Oggetto "Pausa"

Oggetto "Eventi"

Oggetto "Evento definito dall´utente"

Oggetto Calendario

Oggetto "Lista variabili"

Oggetto "Funzione"


Tipi di oggetto predefiniti

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Tipi di oggetto predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questi oggetti sono sempre a disposizione a condizione che il loro oggetto precedente ("oggetto padre") sia stato creato e che l´autorizzazione di visualizzazione relativa sia stata assegnata agli utenti. Non li si può spostare, rinominare, né cancellare. Se questi oggetti vengono nascosti, anche gli "oggetti figli" non saranno accessibili.
Per es.: i gruppi modelli di tempo contengono sempre i tipi di oggetto predefiniti Orari e Modello tempo.


Tipi di oggetto modificabili

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Tipi di oggetto modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questi tipi di oggetto vengono creati durante il processo di configurazione nel numero necessario per il progetto che si vuole creare.


Oggetto "Production Facility Scheduler"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Production Facility Scheduler"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È l'oggetto radice per l´intero PFS. In questo oggetto vengono eseguite le impostazioni valide per tutto il modulo PFS. Si tratta di un oggetto predefinito.

Parametro | Descrizione
Save | Salva le modifiche effettuate. A Runtime, le impostazioni vengono salvate nei dati Runtime; viene inoltre eseguito un ricalcolo dei punti di switch sulla base della configurazione modificata.
Eliminare | Tutte le modifiche effettuate vengono cancellate definitivamente dopo una richiesta di conferma.
Proprietà | Apre la pagine delle impostazioni per configurare le proprietà del PFS.
Anteprima punti di Switch | Attiva l´anteprima dei punti di switch.
Criteri di filtro | Apre la finestra di dialogo per la configurazione dei criteri di filtro.
Guida | Apre la guida in linea.


Oggetto Gruppi modello di tempo

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Gruppi modello di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene tutti i gruppi modelli di tempo definiti nel modulo PFS. Si tratta di un oggetto predefinito.

Parametro | Descrizione
Crea | Crea un nuovo gruppo modelli di tempo e apre la finestra di dialogo per configurarne le proprietà.
Incolla | Con questo comando è possibile inserire una copia di un gruppo modelli di tempo, a patto che ce ne sia uno negli appunti. Alle copie viene assegnato un numero progressivo per garantire la univocità della denominazione.
Autorizzazione | Apre la finestra di dialogo che visualizza i livelli di autorizzazione dell´oggetto.
Guida | Apre la guida in linea.


Oggetto Gruppi modello di tempo modificabili

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Gruppi modello di tempo modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi modelli di tempo contengono i relativi orari e modelli tempo. Inoltre, a livello di gruppo modelli tempo vengono eseguite impostazioni di base per i tempi di switch relativi.

Nel calendario è possibile assegnare orari e modelli giorno per giorno ad ogni gruppo modelli di tempo.

Ogni gruppo modelli di tempo contiene gli oggetti predefiniti Orari e Modello orario.

Parametro | Descrizione
Copia | Copia il gruppo selezionato o i gruppi selezionati negli appunti.
Rinomina | Cliccando su questo comando si passa alla modalità di modifica e si può modificare il nome del gruppo modelli di tempo. Si può cambiare solo il nome. Il nuovo nome deve essere univoco all´interno del modulo PFS.
Elimina | Cancella tutti i gruppi modelli di tempo selezionati dopo una richiesta di conferma.
Proprietà | Apre la finestra di dialogo contenente le impostazioni del gruppo modelli orario.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto Orari

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Orari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene tutti gli orari di livello superiore. Si tratta di un oggetto predefinito.

Menù contestuale

Voce di menù | Azione
Crea | Crea un nuovo orario.
Incolla | Inserisce un orario preso dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida un linea.

Ancora in questo capitolo

Nuovo orario - Menù contestuale

Menù contestuale - Visuale tempo: nuovo orario.


Nuovo orario - Menù contestuale

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Orari -> Nuovo orario - Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Crea | Crea un nuovo orario.
Copia | Copia gli orari selezionati.
Taglia | Taglia gli orari selezionati.
Incolla | Inserisce orari presi dagli appunti.
Attivo/Inattivo | Modifica lo stato degli orari selezionati da attivo a inattivo e viceversa.
Rinomina | Consente di modificare il nome dell´orario.
Elimina | Elimina gli orari selezionati dopo una richiesta di conferma.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.


Menù contestuale - Visuale tempo: nuovo orario.

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Orari -> Menù contestuale - Visuale tempo: nuovo orario.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le voci contenute nel menù contestuale dipendono dal settore in cui si clicca con il tasto destro del mouse. Gli inserimenti che non vengono visualizzati sempre, sono contrassegnati dal suffisso (facoltativo)

Voce di menù | Azione
Creazione calendario | Apre la finestra di dialogo per la creazione di un calendario.
Crea orario | Aggiunge un nuovo orario alla lista.
Crea punto di Switch | Crea un nuovo punto di switch.
Crea punti di Switch | Apre la finestra di dialogo per la creazione di più punti di switch.
Cancella orario | Cancella l´orario selezionato.
Cancellare punti di Switch | Cancella il punto di switch selezionato.
Cambiare tempo alle (facoltativo) | Apre la finestra di dialogo per modificare l´orario.
Tempo assoluto(facoltativo) | Modifica il tipo di tempo in tempo assoluto.
Tempo relativo(facoltativo) | Modifica il tipo di tempo in tempo relativo.
Imposta tutti i valori come attivi(facoltativo) | Setta tutti i valori attivi.
Imposta tutti i valori come non attivi (facoltativo) | Setta tutti i valori non attivi.
Guida | Apre la guida online.


Oggetto Orari modificabili

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Orari modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli orari sono il cuore del modulo PFS. Gli orari contengono gli oggetti importanti per l´esecuzione: tempi e punti di switch.

Gli orari, a loro volta, possono riprendere altri orari; in questo caso gli orari "figli" ereditano tutti i tempi definiti negli orari "genitori". Non c´é nessun limite al livello di nidificazione.

Parametro | Descrizione
Crea | Crea un nuovo orario "figlio" e apre la finestra di dialogo delle impostazioni.
Copia | Gli orari selezionati vengono copiati negli appunti.
Taglia | Gli orari selezionati vengono tagliati. Gli orari tagliati sono contrassegnati in modo speciale; tuttavia vengono esclusi dalla visualizzazione solo quando vengono aggiunti in un altro orario esistente. Non è possibile inserire un orario tagliato nello stesso orario, oppure nel suo predecessore immediato.
Incolla | Aggiunge gli orari presi dagli appunti. Il nome dell´orario inserito viene modificato, in modo tale da garantire che la denominazione sia univoca.
Attivo/Inattivo | Attiva o disattiva l´orario. I punti di commutazione degli orari disattivati non vengono eseguiti.
Rinomina | Consente di modificare il nome dell´orario. Il nuovo nome deve essere univoco, vale a dire non ancora assegnato ad un altro oggetto dello stesso livello.
Elimina | Cancella gli orari selezionati, con i loro orari "figli", dopo una richiesta di conferma.
Proprietà | Apre la pagina delle impostazioni per la definizione delle proprietà dell´orario.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto: Lista funzioni

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: Lista funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene le funzioni assegnate all´orario selezionato. Solo le variabili assegnate ad un orario possono essere utilizzate dall´orario stesso. Si tratta di un oggetto predefinito.

Menù contestuale

Voce di menù | Azione
Aggiungere funzione... | Consente di aggiungere una nuova funzione all´orario. Cliccando su questa voce di menù, si apre la finestra di dialogo per la selezione delle funzioni definite nel progetto; selezionare la funzione desiderata e aggiungerla alla lista o cliccando due volte sulla funzione stessa, oppure cliccando sul comando "Aggiungi" in basso a sinistra; per accettare la funzione nella lista dell´orario, cliccare su OK .
Inserire funzione | Inserisce le funzioni prese dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.

Menù contestuale: Funzione

Voce di menù | Azione
Copia | Copia le funzioni selezionate.
Taglia | Taglia le funzioni selezionate.
Sostituire funzione | Apre la finestra di dialogo per eseguire la sostituzione delle funzioni selezionate.
Elimina funzione | Cancella le funzioni selezionate dalla lista dopo una richiesta di conferma.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto: tempi

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: tempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il "tempo" definisce il momento in cui deve essere eseguito il punto di switch a questo collegato.

Ce ne sono di due tipi:

  • assoluto
  • relativo

I tempi definiti vengono trasmessi in via "ereditaria" agli orari "figli"; in questi ultimi, questi tempi saranno visualizzati su uno sfondo grigio.

Ancora in questo capitolo

Tempo assoluto

Tempo relativo

Offset

Menù contestuale "Proprietà orario"


Tempo assoluto

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: tempi -> Tempo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tempo viene definito direttamente nel campo "Tipo di tempo". Se l´orario è collegato ad un giorno, verranno eseguiti i punti di switch attivi assegnati al tempo in questione. Il campo di inserimento "Offset" non ha nessuna importanza in questo caso.

Anche il ciclo del gruppo di modello orario, o l´assegnazione dei modelli tempo non hanno nessuna importanza in questo caso.


Tempo relativo

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: tempi -> Tempo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, si deve selezionare un evento con il tempo. Questo evento viene convertito in un punto di switch assoluto nell´anteprima o a Runtime. I criteri sulla base dei quali viene creato il punto di switch assoluto dipendono dall´evento e dalla relativa progettazione. Per ogni evento si può indicare anche un offset: l´esecuzione verrà posticipata per un tempo pari al valore dell´offset impostato.

Parametro

Descrizione

Inizio ciclo

Viene eseguito ogni giorno a mezzanotte.

Inizio ciclo senza produzione

Viene attivato nei giorni che non sono collegati a nessun turno. Il tempo è l´inizio del giorno del gruppo modelli di tempo.

Un giorno viene considerato "senza produzione" anche nel caso in cui, per es., l´ultimo turno finisca solo alle 02:00:00 del giorno stesso.

Inizio ciclo con produzione

Viene attivato nei giorni per i quali sono definiti dei turni. Il tempo è l´inizio del giorno del gruppo modelli di tempo.

Inizio produzione

Viene eseguito all´inizio del primo turno, a condizione che questo turno sia il primo dopo un giorno senza produzione.

Fine produzione

Viene eseguito alla fine dell´ultimo turno, a condizione che a questo turno segua un giorno senza produzione. Questo significa che il turno alla fine di un giorno non è considerato "Fine produzione" se la produzione prosegue il giorno successivo.

Inizio turno

Viene eseguito all´inizio di ogni turno.

Fine del turno

Viene eseguito alla fine di ogni turno.

Inizio pausa

Viene eseguito all´inizio di ogni pausa.

Fine pausa

Viene eseguito alla fine di ogni pausa.

Evento definito da utente

Si possono assegnare tutti i tipi di eventi definiti da utente. Il punto di switch verrà inizializzato quando si verificherà l´evento trigger impostato per l´evento definito dall´utente

Inizio primo turno

Viene eseguito all´inizio del primo turno nel ciclo del gruppo di modello orario.

Fine ultimo turno

Viene eseguito alla fine dell´ultimo turno nel ciclo del gruppo di modello orario.

Inizio turno libero

Viene attivato alla fine del turno se fra la fine di questo turno e l´inizio di quello successivo c´è un intervallo di più di 1 secondo.

Fine turno libero

Viene attivato all´inizio del turno che segue un periodo di tempo senza turno.

Inizio turno libero senza fine produzione

Viene attivato all´inizio di un periodo senza turno se questo non coincide con la fine della produzione.

Inizio turno libero senza inizio produzione

Viene attivato alla fine di un periodo senza turno se questa non coincide con l´inizio della produzione.

Inizio primo turno senza inizio produzione

Viene attivato all´inizio del primo turno se questo non coincide con l´inizio della produzione.

Fine turno ultimo turno senza fine produzione

Viene attivato alla fine dell´ultimo turno se questa non coincide con la fine della produzione.

Inizio turno senza inizio produzione

Viene attivato all´inizio del turno se questo non coincide con l´inizio della produzione.

Fine turno senza fine produzione

Viene attivato alla fine del turno se questa non coincide con la fine della produzione.


Offset

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: tempi -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso dei tempo relativi con l´offset si può modificare il momento di esecuzione. L´Offset non può essere maggiore di +/- 1 giorno -1 secondo. Per gli eventi definiti dall´utente, si può indicare solamente un offset positivo. L´offset viene specificato in minuti, anche se è possibile indicare i secondi dopo il separatore decimale (in 1/100 di minuto).

Parametro | Descrizione
Creazione calendario | Apre la finestra di dialogo "Proprietà tempo" per la creazione ciclica di un periodo assoluto.
Crea orario | Crea un nuovo orario.
Crea punto di Switch | Crea un nuovo punto di switch per l´orario in questione.
Crea punti di Switch | Consente di definire con una sola operazione punti di switch per più variabili o funzioni, a condizione che prima non ne sia stato ancora creato nessuno.
Cancella orario | Cancella gli orari selezionati, con tutti i relativi punti di switch.
Cancellare punti di Switch | Cancella i punti di switch selezionati.
Periodo assoluto | Modifica il tipo di tempo e lo imposta su "tempo assoluto".
Tempo relativo | Modifica il tipo di tempo e lo imposta su "tempo relativo".
Guida | Apre la guida in linea.


Menù contestuale "Proprietà orario"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: tempi -> Menù contestuale "Proprietà orario"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le voci di menù non documentate, corrispondono a quelle del menù contestuale "Tipo di tempo".

  • Modifica tempo Questa voce di menù apre la finestra di dialogo per modificare il tempo.


Oggetto: punto di switch

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il punto di switch definisce l´azione che deve essere eseguita quando viene raggiunto il tempo di esecuzione.

Ancora in questo capitolo

Attivo

Tipo di collegamento

Collegamenti

Azione

Diritti di accesso


Attivo

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch -> Attivo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa impostazione consente di autorizzare o bloccare l´esecuzione di un punto di switch.


Tipo di collegamento

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch -> Tipo di collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tipo di collegamento definisce che cosa deve essere eseguito. Sono possibili i seguenti tipi di collegamento:

Parametro | Descrizione
Variabile | Viene eseguito il "settare valore impostabile" usando il valore impostato per l´azione.
Funzione | Viene eseguita la funzione impostata per l´azione.
Macro VBA con variabile | Viene eseguita la macro definita alla voce Macro -> Browser -> ModuleScheduler -> ExecuteValue con un riferimento alla variabile indicata.
Macro VBA con funzione | Viene eseguita la macro definita alla voce Macro -> Browser > ModuleScheduler > ExecuteValue con un riferimento alla funzione indicata.


Collegamenti

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch -> Collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contiene la lista delle variabili e delle funzioni collegate all´orario.


Azione

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch -> Azione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seconda del tipo di collegamento, questa cella ha il seguente significato:

Parametro | Descrizione
Variabile | Valore impostabile che deve essere settato sulla variabile.
Funzione | Contiene lo stato del parametro "Attivo".
Macro VBA con variabile | Nome della macro che deve essere eseguita.
Macro VBA con funzione | Nome della macro che deve essere eseguita.


Diritti di accesso

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: punto di switch -> Diritti di accesso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I livelli di autorizzazione richiesti per l´elaborazione a Runtime.


Oggetto: Modello orario

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: Modello orario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene tutti modelli tempo definiti nel gruppo modelli di tempo. Si tratta di un oggetto predefinito.

Un modello tempo contiene la definizione dei turni e delle pause che sono necessari per i corrispondenti eventi relativi.

Menù contestuale

Voce di menù | Azione
Nuovo modello-tempo | Crea un nuovo modello orario.
Incolla | Inserisce i modelli tempo presi dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.

Menù contestuale Modello orario

Voce di menù | Azione
Copia | Copia i modelli selezionati negli appunti.
Taglia | Taglia i modelli selezionati.
Rinomina | Consente di modificare il nome del modello tempo.
Elimina | Cancella i modelli selezionati.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.

Ancora in questo capitolo

Menù contestuale Gruppi di modello orario


Menù contestuale Gruppi di modello orario

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto: Modello orario -> Menù contestuale Gruppi di modello orario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Gruppi di modello orario

Voce di menù | Azione
Crea | Crea un nuovo modello orario. Si può attribuire subito un nome univoco al nuovo modello tempo.
Incolla | Aggiunge i modelli tempo presi dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.

Menù contestuale Modello orario

Voce di menù | Azione
Salva | Salva le modifiche apportate alla configurazione del PFS.
Eliminare | Rifiuta tutte le modifiche apportate dal momento dell´ultimo salvataggio.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Anteprima punti di Switch | Apre la finestra di dialogo per impostare i punti di switch.
Criteri di filtro | Apre la finestra di dialogo per la selezione dei filtri.
Guida | Apre la guida online.


Oggetto "Turno"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Turno"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un modello tempo contiene i turni. Questi ultimi sono necessari per l´esecuzione degli eventi relativi. I turni non devono sovrapporsi e devono rientrare all´interno del ciclo del gruppo modelli orario.

Nella visualizzazione tabella i turni sono visualizzati su uno sfondo grigio.

Parametro | Descrizione
Crea turno | Crea un nuovo turno.
Crea pausa | Crea una nuova pausa all'interno di un turno.
Eliminare turno | Elimina un turno con tutte le sue pause.
Guida | Apre la guida online.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.


Oggetto "Pausa"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Pausa"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per un turno possono essere definite più pause. Le pause non devono sovrapporsi e devono rientrare nell'ambito del turno di lavoro.

Parametro | Descrizione
Crea pausa | Crea una nuova pausa all'interno di un turno.
Elimina pausa | Elimina la pausa all'interno di un turno.
Guida | Apre la guida in linea.


Oggetto "Eventi"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Eventi"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene tutti gli eventi definiti dall'utente del PFS. Si tratta di un oggetto predefinito.

Parametro | Descrizione
Crea | Crea un nuovo evento definito dall´utente. A questo nuovo evento deve essere attribuito un nome unico.
Incolla | Aggiunge gli eventi definiti dll´utente presi dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto "Evento definito dall´utente"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Evento definito dall´utente"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi user sono quelli che possono essere creati dall'utente. Valgono per l´intero modulo PFS. Vengono inizializzati con un tempo di trigger definito usando la funzione Attiva evento PFS. Il numero degli eventi user è limitato solamente dallo spazio di memoria a disposizione.

A causa della mancanza dei trigger, nell´Editor gli eventi definiti dall´utente non vengono visualizzati nell´anteprima dei punti di commutazione. A Runtime, i trigger vengono mantenuti in memoria per un massimo di 14 giorni per consentire l´analisi dei punti di switch precedenti. Alla chiusura del Runtime, tutti i trigger vengono cancellati.

La visuale tabella contiene una lista di tutti gli eventi user definiti (su sfondo grigio) e gli orari collegati a questi eventi.

Menù contestuale Eventi

Voce di menù | Azione
Crea | Crea un nuovo evento definito dall´utente.
Incolla | Aggiunge un evento definito da utente preso dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.

Menù contestuale Nuovo evento definito da utente

Voce di menù | Azione
Copia | Copia l´evento definito dall´utente selezionato negli appunti.
Rinomina | Consente di assegnare un nuovo nome all´evento.
Elimina | Cancella gli eventi definiti da utente selezionati.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto Calendario

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tempi di switch assoluti e relativi definiti in un orario non hanno nessun riferimento ad un giorno specifico; l´unica cosa definita è il tempo di esecuzione. Il calendario consente di definire in quali giorni deve essere eseguito un determinato orario. A questo scopo, per ogni gruppo modelli di tempo si può definire quale modello e quali orari devono essere attivi giorno per giorno.

Ci sono diverse modalità di visualizzazione del calendario che differiscono a seconda di quanto devono essere dettagliate le informazioni desiderate.

Menù contestuale Calendario

Voce di menù | Azione
Crea | Crea un nuovo calendario.
Incolla | Inserisce un calendario preso dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.

info Info

Il calendario offre la possibilità di definire giorni singoli come giorni speciali. In questi giorni vengono eseguiti gli orari definiti per i giorni speciali. Ogni giorno compreso fra lunedì e domenica può essere definito come giorno speciale.

Ancora in questo capitolo

Tempo assoluto

Tempo relativo

Visualizzazione mensile

Vista settimanale

Visualizzazione giorno

Tipi di attribuzione dei modelli

Tipi di attribuzione degli orari

Assegnazione modelli nella visualizzazione calendario

Menù contestuale "Modello"

Menù contestuale "Orario"


Tempo assoluto

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Tempo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire i punti di switch assoluti in un giorno determinato, bisogna collegare l´orario corrispondente al giorno in questione. A questo scopo, selezionare la cella Orari del giorno desiderato. Usando il menù contestuale, aprire la finestra di dialogo di selezione degli orari e creare il collegamento. L´identificazione degli orari collegati verrà inserita nella cella. Nella visualizzazione giorno, la si può visualizzare in forma dettagliata.


Tempo relativo

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Tempo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si eseguono dei tempi relativi in combinazione con un punto di switch assoluto, è di fondamentale importanza se c´è un collegamento di un modello con un giorno oppure no. Il giorno del calendario inizia sempre con l´inizio del giorno definito per il gruppo modelli di tempo. Se il ciclo del gruppo modelli di tempo va al di là del giorno, i tempi che si trovano prima dell´inizio del giorno stesso appartengono a quello precedente.

Per esempio: inizio giornata, 02:00:00; fine giornata, 01:59:59. Se l´evento trigger per un evento definito dall´utente si verifica il lunedì 15/10/2001 alle 00:30:00, il sistema userà il modello di domenica 14. Se invece l´evento trigger si verifica alle 02:00:00, verrà utilizzato il modello di lunedì.

Ad esempio: inizio giornata, 06:00:00; fine giornata, 21:59:59. Se l´evento trigger per un evento definito dall´utente si verifica il lunedì 15/10/2001 alle 00:30:00, il sistema userà il modello di lunedì 15.


Visualizzazione mensile

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Visualizzazione mensile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione mensile cerca di visualizzare l´intero mese nella finestra del calendario. Se lo spazio a disposizione non basta, si cerca di visualizzare il giorno attuale nella parte visibile della finestra. L´ampio periodo di tempo visualizzato intende consentire una visione generale chiara e veloce.

Cliccando due volte su una delle celle orario, si apre l´orario corrispondente nella visualizzazione tabella, consentendo di effettuare delle modifiche.

Menù contestuale Visualizzazione mensile

Voce di menù | Azione
Selezionare modello ... | Apre la finestra di dialogo per selezionare un modello.
Selezionare orari ... | Apre la finestra di dialogo per selezionare degli orari.
Visualizzazione giorno | Passa alla visualizzazione giorno.
Vista settimanale | Passa alla visualizzazione settimanale.
Visualizzazione mensile | Passa alla visualizzazione mensile.
Vai a oggi | Passa alla data attuale
Commutare sulla data | Apre la finestra di dialogo per selezionare una data.
Visualizza l'elemento precedente | Passa all´elemento precedente.
Visualizzare l'elemento successivo | Passa all´elemento successivo.
Guida | Apre la guida in linea.


Vista settimanale

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Vista settimanale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella vista settimanale, le assegnazioni configurate vengono visualizzate su base settimanale.

Menù contestuale Vista settimanale

Voce di menù | Azione
Selezionare modello ... | Apre la finestra di dialogo per selezionare un modello.
Selezionare orari ... | Apre la finestra di dialogo per selezionare degli orari.
Visualizzazione giorno | Passa alla visualizzazione giorno.
Vista settimanale | Passa alla visualizzazione settimanale.
Visualizzazione mensile | Passa alla visualizzazione mensile.
Vai a oggi | Passa alla data attuale
Commutare sulla data | Apre la finestra di dialogo per selezionare una data.
Visualizza l'elemento precedente | Passa all´elemento precedente.
Visualizzare l'elemento successivo | Passa all´elemento successivo.
Guida | Apre la guida in linea.


Visualizzazione giorno

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Visualizzazione giorno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione giorno fornisce informazioni dettagliate sul collegamento degli orari ad un giorno specifico.

Menù contestuale Visualizzazione giorno

Voce di menù | Azione
Selezionare orari ... | Apre la finestra di dialogo per selezionare degli orari.
Visualizzare orario | Apre l´orario selezionato in una finestra esterna.
Visualizzazione giorno | Passa alla visualizzazione giorno.
Vista settimanale | Passa alla visualizzazione settimanale.
Visualizzazione mensile | Passa alla visualizzazione mensile.
Vai a oggi | Passa alla data attuale
Commutare sulla data | Apre la finestra di dialogo per selezionare una data.
Visualizza l'elemento precedente | Passa all´elemento precedente.
Visualizzare l'elemento successivo | Passa all´elemento successivo.
Come default | L'orario deve essere eseguito sistematicamente in un determinato giorno della settimana
Come giorno singolo | L'orario viene eseguito solamente in questo determinato giorno.
Elimina | Se l'orario è definito "come default", il sistema farà un´eccezione per questo giorno specifico, nel quale l´orario non verrà eseguito. Se invece è stata selezionata l´opzione "Come giorno singolo", verrà annullata la modalità di esecuzione a giorno singolo.
Guida | Apre la guida in linea.


Tipi di attribuzione dei modelli

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Tipi di attribuzione dei modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda i modelli, sono supportati i seguenti tipi di attribuzione:

Usa modello per questo giorno.

Modello giorno festivo se il giorno è festivo.

Usa modello per il giorno feriale.


Tipi di attribuzione degli orari

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Tipi di attribuzione degli orari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda gli orari, sono supportati i seguenti tipi di attribuzione ad un giorno:

Usa orario in questo giorno.

Non usare orario in questo giorno.

Orario giorno festivo se il giorno è festivo.

Usa orario per il giorno feriale.


Assegnazione modelli nella visualizzazione calendario

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Assegnazione modelli nella visualizzazione calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile assegnare i modelli anche direttamente nella visualizzazione calendario. Quando si seleziona la cella per i modelli di un gruppo modelli di tempo di un giorno, il sistema elenca tutti i modelli disponibili del gruppo modelli di tempo. È possibile selezionare un modello che verrà poi assegnato al giorno in questione. Quando si lascia la cella, il sistema chiede se il modello deve essere utilizzato come modello di default per quel giorno.


Menù contestuale "Modello"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Menù contestuale "Modello"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare questo menù contestuale nella visuale calendario mensile-settimanale, selezionare il campo "modello" con il mouse e cliccare poi con il tasto destro del mouse.

Parametro | Descrizione
Selezionare modello ... | Apre la finestra di dialogo per la selezione dei modelli.
Visualizzare il modello | Apre la visualizzazione tabella "Modifica modello".
Visualizzazione giorno | Passa alla visualizzazione giorno.
Vista settimanale | Passa alla visualizzazione settimana.
Vai a oggi | Passa alla visualizzazione giorno relativa alla data odierna.
Commutare sulla data | Passa alla visualizzazione giorno relativa alla data selezionata.
Elemento precedente | Passa all´elemento precedente.
Elemento successivo | Passa all´elemento successivo.
Come default | Definisce il modello attuale come modello standard per il giorno della settimana, nell´ambito del gruppo modelli di tempo in questione.
Elimina | Elimina l'attribuzione di un modello ad un giorno. Quando l´attribuzione riguarda il modello standard selezionato per il giorno, viene cancellata l´attribuzione settimanale per il gruppo modelli di tempo in questione.
Guida | Apre la guida in linea.


Menù contestuale "Orario"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto Calendario -> Menù contestuale "Orario"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire questo menù contestuale, selezionare la cella "Orari" per un giorno specifico, e poi cliccare con il tasto destro del mouse. Le funzioni di menù non documentate in questa sezione della guida, corrispondono a quelle del menù contestuale "Modelli".

Parametro

Descrizione

Selezionare orari ...

Apre la finestra di dialogo per selezione gli orari.

Visualizzare orario

Apre la visualizzazione tabella Modifica dell'orario.

Come default

L´orario viene definito come standard per il giorno della settimana selezionato.

Come giorno singolo

L'orario viene eseguito solamente in questo determinato giorno.

Elimina

Apre una finestra di dialogo che serve a selezionare quello che si desidera cancellare:

  • Cancellare tutti elementi: verranno cancellati tutti gli orari di questo tipo.
  • Cancellare solo questo elemento per questo elemento verrà fatta un´eccezione che riguarderà il giorno selezionato.


Oggetto "Lista variabili"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Lista variabili"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo oggetto contiene le variabili assegnate all'orario. Solo le variabili assegnate ad un orario possono essere utilizzate per i punti di commutazione. Si tratta di un oggetto predefinito.

Menù contestuale - Lista variabili

Voce di menù | Azione
Aggiungi variabile | Inserisce una nuova variabile all´orario. Questa operazione è possibile anche a Runtime.
Inserire variabile | Inserisce le variabili prese dagli appunti.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida online.

Menù contestuale - Variabile

Voce di menù | Azione
Copia | Copia le variabili selezionate.
Taglia | Taglia le variabili selezionate.
Sostituire la variabile | Apre la finestra di dialogo per sostituire le variabili selezionate.
Rimuovi variabile | Cancella le variabili selezionate dalla lista dopo una richiesta di conferma.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.

Ancora in questo capitolo

Oggetto "Variabili"


Oggetto "Variabili"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Lista variabili" -> Oggetto "Variabili"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile modificare il valore impostabile delle variabili collegate ad un orario usando i punti di switch.

Parametro | Descrizione
Copia | Copia le variabili selezionate negli appunti.
Taglia | Copia le variabili selezionate negli appunti e le contrassegna per la cancellazione. Le variabili non sono ancora eliminate; verranno cancellate solo essere state inserite in un altro orario. I punti di switch che utilizzano questa variabile, verranno cancellati.
Sostituire la variabile | Consente di sostituire una variabile con un'altra. Se la nuova variabile esiste già nell´orario, la variabile sorgente verrà cancellata. Tutti i punti di commutazione che usavano la variabile sorgente, vengono trasmessi alla nuova variabile.
Elimina variabile | Cancella l´attribuzione della variabile all'orario. I punti di switch che utilizzano questa variabile, verranno cancellati.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Oggetto "Funzione"

Manuale -> Production and Facility Scheduler (PFS) -> Tipi di oggetto -> Oggetto "Funzione"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni collegate all'orario possono essere assegnate a livello di punti di commutazione ed eseguite in questo modo.

Parametro | Descrizione
Copia | Copia le funzioni selezionate negli appunti.
Taglia | Le funzioni selezionate vengono copiate negli appunti e contrassegnate per la cancellazione. Le funzioni non sono ancora eliminate; verranno effettivamente cancellate solo dopo essere state inserite in un altro orario. I punti di switch che utilizzano questa funzione, verranno cancellati.
Sostituire funzione | Consente di sostituire la funzione selezionata con un'altra funzione. Tutti i punti di switch che usano la funzione sorgente, verranno modificati per adeguarli alla funzione di destinazione. Se quest´ultima è già collegata all'orario, verrà cancellata l'attribuzione della funzione sorgente.
Elimina funzione | Cancella l’attribuzione della funzione all'orario. I punti di switch che utilizzano questa funzione, verranno cancellati.
Diritti di accesso | Apre la finestra di dialogo per configurare i livelli di autorizzazione.
Guida | Apre la guida in linea.


Proprietà

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare le proprietà del modulo Production&Facility Schedulers:

  • Cliccare con il tasto destro del mouse su Production & Facility Scheduler nella visualizzazione dettagli del manager di progetto
  • Selezionare la voce Proprietà del menù contestuale.
  • Selezionare la scheda in cui si vogliono eseguire delle operazioni di configurazione.
    • Cambio ora estiva/invernale: offre delle impostazioni da utilizzare per il cambio dall´ora legale a quella solare.
    • Giorni festivi: i giorni festivi del paese selezionato verranno inseriti automaticamente nel calendario.
    • Colori tabelle: definisce i colori dei punti di switch.
    • Turni da registrare: consente di registrare i dati dei turni.

Ancora in questo capitolo

Cambio ora estiva/invernale

Giorni festivi

Colori tabelle

Collegamento di un modello di impianto

Gruppi modello di tempo modificabili

Orari modificabili


Cambio ora estiva/invernale

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Cambio ora estiva/invernale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce il comportamento del modulo PFS in caso di cambio del tempo di sistema (per es. in caso di passaggio da ora solare a ora legale e viceversa).

Le impostazioni possibili sono:

Parametro | Descrizione
Cambio ora positivo | L’orario viene spostato in avanti, il tempo di sistema viene settato nel futuro (per esempio nel caso dell'ora legale)
Recuperare punto di switch | Le azioni previste per il tempo compreso fra quello attuale e il nuovo tempo impostato, vengono eseguite immediatamente dopo il cambio di orario.
Ricalcolare i punti di switch | Le azioni previste tra il tempo attuale e il nuovo tempo impostato, vengono ignorate e non eseguite. I punti di switch vengono ricalcolati.
Cambio ora negativo | L’orario viene spostato indietro, il tempo di sistema viene settato nel passato (per esempio nel caso dell'ora solare).
Eliminare i punti di switch | I punti di switch non vengono ricalcolati. Si riprende ad eseguire i punti di switch quando viene raggiunto il tempo originario.
Ricalcolare i punti di switch | Le azioni previste tra l’orario attuale e il nuovo orario impostato, vengono ricalcolate (questo significa che vengono eseguite nuovamente quando si raggiunge l'orario definito). Conseguenza di ciò è una doppia esecuzione dei punti di switch nell'intervallo di tempo interessato dalla correzione.
Cambio SB | Passaggio al Server-Standby; l´impostazione è valida per il timeout durante un cambio di ridondanza.
Eliminare i punti di switch | L’esecuzione dei punti di switch comincia in corrispondenza della posizione attuale sullo Standby. È possibile che dei punti di switch nell’intervallo di tempo in cui avviene il cambio non vengano eseguiti.
Ricalcolare i punti di switch | I punti di switch vengono ricalcolati ed eseguiti a partire dall'orario attuale -30 secondi. Conseguenza di ciò può essere una doppia esecuzione dei punti di switch.
Fascia di tolleranza per sfasamento temporale | Il margine di tolleranza entro il quale il tempo di sistema può cambiare senza provocare un ricalcolo dei punti di switch secondo i criteri descritti sopra.

attention Attenzione

Eseguire sempre il cambio ora legale/solare usando il meccanismo di cambio orario automatico di Windows. Non modificare mai il tempo di sistema manualmente, perché questo potrebbe causare errori riguardanti indicazioni temporali rilevanti per il funzionamento di zenon.


Giorni festivi

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Giorni festivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa scheda serve alla selezione di un paese le cui festività saranno inserite automaticamente nel calendario.

I dati base relativi ai giorni festivi sono presi dal file Feiertage.txt che si trova nella cartella %programdata%\COPA-DATA\zenon[Version]. Si possono eseguire delle modifiche a questo file usando un editor di testo.

Gli inserimenti relativi ad un determinato paese iniziano con il nome del paese stesso (tra parentesi quadre), seguito da un numero chiave, come in Microsoft Office. La descrizione dei diversi giorni festivi si trova nelle righe sottostanti, dove sono riportati il nome e la data del giorno festivo.

Per esempio:

[Austria] 45

Ognissanti,2006/11/1

Ognissanti,2007/11/1

Ognissanti,2008/11/1

Ognissanti,2009/11/1

Ognissanti,2010/11/1

Ognissanti,2011/11/1

Ognissanti,2012/11/1

Ascensione,2006/5/25

Ascensione,2007/5/17

Ascensione,2008/5/1

Ascensione,2009/5/21

Ascensione,2010/5/13

Ascensione,2011/6/2

Ascensione,2012/5/17

Assunzione,2006/8/15

Assunzione,2007/8/15

Assunzione,2008/8/15

Assunzione,2009/8/15

Assunzione,2010/8/15

Assunzione,2011/8/15

Assunzione,2012/8/15

...


Colori tabelle

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Colori tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono i colori che saranno poi utilizzati per la visualizzazione dei punti di switch nel calendario.

Le possibili impostazioni sono:

Parametro | Descrizione
Days |
Default | Giorno del calendario senza particolarità.
Giorno speciale | Questa data è un giorno festivo
Passaggio ora estiva > invernale | Data del passaggio dall'ora legale all'ora solare
Passaggio ora invernale > estiva | Data del passaggio dall'ora solare all'ora legale
Modello orario |
Default | Modello orario attivo per questo giorno della settimana.
Eccezione | Modello orario solo per questo determinato giorno
Giorno speciale | Modello orario per i giorni festivi
Orari |
Default | L´orario è attivo in un determinato giorno della settimana
Giorno speciale | L'orario è attivo in questo giorno speciale
Tralasciare | L'orario non è attivo solo in questo giorno particolare.
Giorno singolo | L'orario è attivo solo in questo determinato giorno.
Inserimento multiplo | Per questo giorno valgono più impostazioni.


Collegamento di un modello di impianto

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Collegamento di un modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare dei gruppi di impianti ad un gruppo modelli di tempo:

  1. Selezionare il gruppo modelli di tempo
  2. Selezionate nel menù contestuale il comando Proprietà
  3. Si apre la finestra di dialogo di configurazione del gruppo modelli orario.
  4. Passare alla scheda Progettazione impianto

  5. Selezionare i gruppi di impianti desiderati.
  6. Per aggiungerli, cliccare sul pulsante Aggiungi.
  7. Confermare poi la selezione cliccando su OK dopo aver aggiunto tutti i gruppi di impianti desiderati.

Nota: il collegamento di modelli impianti ad un gruppo modelli di tempo è il presupposto perché i tempi dei turni vengano registrati in una banca dati SQL. Se si collegano più modelli impianti, i dati storici relativi ai turni verranno salvati in un numero corrispondente di tabelle. Quando si modifica il collegamento di un modello impianti ad un gruppo modelli di tempo, verrà creata una nuova tabella con il GUID del nuovo modello impianti. Tenere presente quanto segue:

  • I dati della tabella esistenti fino a quel momento non vengono accettati nella nuova tabella.
  • La tabella esistente non viene cancellata.


Gruppi modello di tempo modificabili

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Gruppi modello di tempo modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie alle proprietà dei gruppi modelli di tempo si possono modificare i tempi del ciclo del gruppo modelli di tempo e le assegnazioni dei modelli tempo. Per aprire la finestra di dialogo delle proprietà di un gruppo modelli orario già esistente, cliccare sul comando Proprietà... del menù contestuale del gruppo in questione.

Ancora in questo capitolo

Proprietà del gruppo modelli orario

Assegnazione di default dei modelli


Proprietà del gruppo modelli orario

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Gruppi modello di tempo modificabili -> Proprietà del gruppo modelli orario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa scheda contiene il nome del gruppo modelli tempo e il suo ciclo.

Sono previste le seguenti possibilità di impostazione:

Impostazione | Descrizione
Nome | Definisce la denominazione del gruppo modelli orario. Questo campo non può essere vuoto e l'identificazione dell'impianto deve essere univoca in tutto il modulo PFS.
Giorno iniziale | Definisce l'inizio della giornata per questo gruppo modelli orario.
Giorno finale | Definisce la fine della giornata questo gruppo modelli orario.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.


Assegnazione di default dei modelli

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Gruppi modello di tempo modificabili -> Assegnazione di default dei modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa scheda consente di definire un modello standard per ogni giorno della settimana, e per i giorni festivi.


Orari modificabili

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Orari modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Queste pagine di impostazione consentono all´utente di configurare l´orario e di eseguire la sua attribuzione all´interno del calendario. Per aprire questa finestra di dialogo, aprire il menù contestuale di un orario esistente e cliccare sul comando "Proprietà...".

Ancora in questo capitolo

Menù contestuale "Proprietà orario"

Disponibilità calendario


Menù contestuale "Proprietà orario"

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Orari modificabili -> Menù contestuale "Proprietà orario"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura l´orario e gli si assegnano delle variabili e delle funzioni selezionate fra quelle disponibili.

Parametro | Descrizione
Nome | Visualizza il nome dell'orario. Questo nome deve essere univoco nell´ambito di determinato livello.
Orario attivo | Attiva o disattiva l'orario. I punti di switch degli orari non attivi non vengono eseguiti.
Orario di struttura | Un orario di struttura non ha delle funzioni o delle variabili assegnate. Questo tipo di orario viene usato solamente per dare una struttura logica agli orari.
Lista funzioni | Contiene le funzioni che sono state collegata all´orario in questione. La modifica avviene come usuale per l´oggetto funzioni.
Lista delle variabili | Contiene le variabili che sono state collegata all´orario in questione. La modifica avviene come usuale per l´oggetto variabili.


Disponibilità calendario

Manuale -> Production and Facility Scheduler (PFS) -> Proprietà -> Orari modificabili -> Disponibilità calendario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa pagina di impostazioni si esegue l´assegnazione di un orario ad un determinato giorno della settimana.

Disponibilità calendario

Attiva l'orario per il giorno della settimana che viene selezionato. A questo proposito si veda anche la sezione di questo manuale riguardante il calendario.


Finestre di dialogo

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Anteprima punti di switch del modulo PFS

Finestra di dialogo di filtro del modulo PFS

Diritti di accesso

Creazione ciclica di punti di switch

Selezione orari

Orari: periodo di attivazione

Selezione modelli

Visualizzazione tabella Modifica orario

Visualizzazione tabella Modifica modello

Modifica tempo

Adattare offset

Modifica valore

Crea punti di Switch

Duplica


Anteprima punti di switch del modulo PFS

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Anteprima punti di switch del modulo PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire l'anteprima dei punti di switch del modulo Production & Facility Schedulers si deve usare il menù contestuale.

L'anteprima dei punti di switch è un efficace strumento di diagnosi con cui si può controllare la progettazione eseguita per il modulo PFS. A questo scopo, il sistema determina e visualizza il tempo di esecuzione assoluto per i punti di switch assoluti e relativi che corrispondono ai criteri di filtro impostati. In questo modo si può vedere quale effetto avranno le modifiche effettuate prima che esse vengano effettivamente applicate. Questa anteprima può essere utilizzata anche per i tempi storici. La determinazione dei tempi, però, avviene sempre sulla base della progettazione attuale.

Gli eventi definiti dall´utente non possono essere visualizzati nell'Editor. A Runtime, i punti di trigger degli eventi user vengono mantenuti in memoria per al massimo per 14 giorni; per questo motivo esiste la possibilità di ricostruire i tempi di esecuzione solo per questo arco di tempo.

C'è la possibilità di filtrare gli oggetti progettati, per analizzare, per esempio, uno specifico orario.

Quando si chiude la finestra di dialogo cliccando su OK , le impostazioni effettuate vengono salvate e sono di nuovo a disposizione alla prossima apertura.

Finestra di dialogo di ricerca nei campi di testo

I campi Gruppo modello orario, Orario, Variabile e Funzione supportano l´uso di wildcard per eseguire l´operazione di filtro:

Caratteri jolly | Significato
Testo | Il nome deve essere un testo.
*Testo | Il nome deve terminare con un testo.
Text* | Il nome deve cominciare con un testo.
T??t | Il nome può avere qualsiasi carattere in seconda o terza posizione.

Proprietà

Descrizione

Scelta dei criteri di filtro

Gruppo modello di tempo

Definisce il filtro da applicare per gli impianti da esaminare. Solo i punti di switch degli impianti corrispondenti verranno presi in considerazione per la visualizzazione nell´anteprima.
Attenzione: si tiene in considerazione la scrittura in lettere minuscole/maiuscole!

Orario

Definisce il filtro da applicare per gli orari da esaminare. Solo i punti di switch degli orari corrispondenti verranno presi in considerazione per la visualizzazione nell´anteprima.
Attenzione: si tiene in considerazione la scrittura in lettere minuscole/maiuscole!

Variabile

Definisce il filtro da applicare per le variabili da prendere in considerazione. Solo i punti di switch che sono collegati alle variabili corrispondenti e che corrispondono ai criteri di ricerca definiti nella maschera, verranno presi in considerazione per la visualizzazione nell´anteprima.
Attenzione: si tiene in considerazione la scrittura in lettere minuscole/maiuscole!

Funzione

Definisce il filtro da applicare per le funzioni da prendere in considerazione. Solo i punti di switch che sono collegati a funzioni e che corrispondono ai criteri di ricerca definiti nella maschera, verranno presi in considerazione per la visualizzazione nell´anteprima.
Attenzione: si tiene in considerazione la scrittura in lettere minuscole/maiuscole!

Filtro di

Selezione dei dati che verranno utilizzati per creare l´anteprima dei punti di switch; questa selezione viene fatta mediante un menù a tendina:

  • Dati modificati
    Per determinare il contenuto dell´anteprima vengono presi in considerazione i dati modificati. In questo modo, l´anteprima consente di verificare la progettazione prima di salvarla.
  • Dati salvati
    L'anteprima viene creata sulla base della configurazione usata per l'esecuzione dei punti di switch.

Criteri per lo Switch:

Qui si definisce il periodo di tempo per il quale deve essere creata l'anteprima.

Anteprima

Inizia la definizione dei tempi di esecuzione sulla base dei criteri impostati.

Contiene la tabella con i punti di switch eseguiti nel periodo di tempo specificato e corrispondenti ai criteri di filtro. I punti di switch disattivati, oppure quelli di orari disattivati, vengono evidenziati nella visualizzazione.


Finestra di dialogo di filtro del modulo PFS

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Finestra di dialogo di filtro del modulo PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La finestra di dialogo di filtro consente di limitare il numero degli oggetti visibili nel modulo PFS; solo gli oggetti che corrispondono ai criteri di filtro definiti verranno visualizzati.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Questa finestra di dialogo ha diversi campi di inserimento in modo da consentire di filtrare solo certi tipi di oggetto. Quando un filtro è attivo, nella struttura ad albero del PFS viene visualizzato un imbuto sul simbolo del ramo (gruppi modello orari, orari, variabili, funzioni, ecc.) per cui è stato attivato il filtro. Nell´eseguire la funzione di filtro, il sistema tiene conto della scrittura in lettere maiuscole e/o minuscole.

I campi Gruppo modello orario, Orario, Variabile e Funzione supportano l´uso di wildcard per eseguire l´operazione di filtro:

Caratteri jolly | Significato
Testo | Il nome deve essere un testo.
*Testo | Il nome deve terminare con un testo.
Text* | Il nome deve cominciare con un testo.
T??t | Il nome può avere qualsiasi carattere in seconda o terza posizione.

Se gli oggetti "figli" corrispondono ai criteri di filtro, anche gli oggetti "genitori" saranno visibili, anche quando non corrispondono a questi criteri. L'eccezione a questa regola è rappresentata dal gruppo modelli di tempo. Se non c'è corrispondenza al filtro, tutto il gruppo modelli di tempo non verrà visualizzato, anche se degli oggetti subordinati dovessero corrispondere ai criteri di filtro.


Diritti di accesso

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Diritti di accesso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consente di definire il livello della password utente richiesto per poter eseguire le azioni corrispondenti sull'oggetto. Se l'oggetto non supporta una funzionalità, questa proprietà è bloccata.

A Runtime, l´utente loggato può modificare le autorizzazioni solamente per quei livelli per cui egli stesso possiede l´autorizzazione.

Le autorizzazioni vengono analizzate solo a Runtime.

Parametro | Descrizione
Visualizza | Livello di autorizzazione richiesto per visualizzare un oggetto e tutti i suoi rami subordinati.
Crea | Livello di autorizzazione richiesto per consentire o bloccare la creazione di sotto-oggetti.
Modifica | Livello di autorizzazione richiesto per modificare le proprietà oppure le autorizzazioni dell'oggetto.
Rinomina | Livello di autorizzazione richiesto per poter rinominare un oggetto.
Elimina | Livello di autorizzazione richiesto per poter eliminare l´oggetto con tutti i suoi sotto-oggetti.


Creazione ciclica di punti di switch

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Creazione ciclica di punti di switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo consente di creare in una sola volta più tempi assoluti di switch all´interno di un periodo di tempo definito, per uno specifico settore configurabile.

Per aprire questa finestra di dialogo, cliccare su un orario esistente nella struttura ad albero del PFS; nella visualizzazione a tabella dell´orario, aprire il menù contestuale con il tasto destro del mouse e cliccare sul comando "Creazione calendario".

Parametro | Descrizione
Ciclo/Ora | Definisce il tempo oppure la griglia temporale di creazione.
Tempo ciclico | Se si attiva questa opzione (segno di spunta nella checkbox), verranno creati più punti di switch.
Livello di autorizzazione | Al momento questa opzione non viene supportata. Dovrebbe essere 0.
Orario iniziale | Momento in cui comincia la creazione dei punti di switch.
Tempo di fine | Momento in cui finisce la creazione dei punti di switch.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.


Selezione orari

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Selezione orari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo vengono selezionati gli orari per cui deve essere creato un collegamento con un giorno. Per inserirli nella lista degli orari collegati, selezionare anzitutto gli orari desiderati nella struttura ad albero e inserirli nella lista cliccando sul comando "Aggiungi".

Per aprire questa finestra di dialogo, passare alla visualizzazione giorno del calendario, aprire il menù contestuale con il tasto destro del mouse e cliccare sul comando "Selezionare orari...".


Orari: periodo di attivazione

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Orari: periodo di attivazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo consente di inserire nel calendario gli orari da eseguire per un periodo di tempo definito o sulla base di un modello.

Per aprire questa finestra di dialogo:

  1. Cliccare con il tasto destro del mouse nella visualizzazione calendario sulla linea o cella con orario.
  2. Selezionare nel menù contestuale Selezionare orari...
  3. Si aprirà la finestra di dialogo che consente la selezione di orari.

  4. Selezionare gli orari desiderati nella struttura ad albero e confermare la selezione cliccando su OK
  5. Si aprirà la finestra di dialogo che consente di definire la durata della serie.

Durata della serie

Parametro | Descrizione
Durata serie | Impostazioni che definiscono la durata della serie.
Nessuna data di fine | L´esecuzione comincia con la creazione della serie e non ha una data di fine. (Impostazione di default). La serie viene eseguita settimanalmente.
Inizia il | Data definita per l´inizio.
Termina il | Data definita per la fine.

Schema di ricorrenza

Parametro

Descrizione

Schema di ricorrenza

Tipo di esecuzione.

Campo dettaglio

Opzioni per la grafica della seria, dipendenti dalla selezione di:

  • Giornaliero
  • Settimanale
  • Mensile
  • Annuale

Giornaliero

L´esecuzione può essere definita nel campo dettaglio usando le seguenti opzioni:

  • Tutti [numero] giorni: Inserire un numero per definire il ritmo di esecuzione.
    Default: 1
  • Ogni giornata lavorativa: la serie verrà eseguita ogni giorno lavorativo (i giorni lavorativi vengono determinati sulla base del calendario delle festività che è stato impostato).

Settimanale

L´esecuzione può essere impostata per determinati giorni della settimana nel campo dettaglio.

Mensile

L´esecuzione può essere definita nel campo dettaglio usando le seguenti opzioni:

  • il: scelta della data
  • ogni mese: Inserire un numero per definire il ritmo di esecuzione.

Annuale

L´esecuzione può essere impostata per una data determinata nel campo dettaglio.

Orari selezionati

Parametro | Descrizione
Orari selezionati | Lista degli orari selezionati.
Seleziona.. | Se si clicca su questo pulsante si apre la finestra di dialogo che serve a selezionare gli orari.
OK | Applica gli inserimenti e chiude la finestra di dialogo.
Annulla | Annulla tutti gli inserimenti e chiude la finestra di dialogo.
Guida | Apre la guida in linea.


Selezione modelli

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Selezione modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo consente l´attribuzione ad un certo giorno di un modello per ogni gruppo modelli di tempo.

  1. Cliccare sulla cella Modelli nella visualizzazione calendario.

  2. Aprire il menù contestuale con il tasto destro del mouse e cliccare sul comando Selezionare modello ...
  3. Selezionare il modello desiderato.
  4. Cliccare sul pulsante Aggiungi
  5. Confermare la finestra di dialogo cliccando su OK.


Visualizzazione tabella Modifica orario

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Visualizzazione tabella Modifica orario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca con il tasto destro del mouse su un orario nella visualizzazione calendario, si apre il menù contestuale. Cliccando sul comando Visualizzare orario... si apre la finestra di dialogo di configurazione.

Questa finestra di dialogo consente di modificare gli orari collegati al calendario. Lo spettro di funzionalità a disposizione corrisponde a quello della tabella "Tempo" o "Punto di switch".


Visualizzazione tabella Modifica modello

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Visualizzazione tabella Modifica modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca con il tasto destro del mouse su un modello tempo nella visualizzazione calendario, si apre il menù contestuale. Cliccando sul comando Visualizzare il modello... si apre la finestra di dialogo di configurazione.

Questa finestra di dialogo consente di modificare i modelli collegati al calendario. Le possibilità di modifica corrispondono a quelle dei turni e delle pause.


Modifica tempo

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Modifica tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo consente di spostare i tempi selezionati dell´offset definito.

Per aprire questa finestra di dialogo, selezionare un inserimento di tempo e aprire il menù contestuale con il tasto destro del mouse; cliccare poi sul comando Modifica tempo.


Adattare offset

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Adattare offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consente di modificare gli offset selezionati.

Per aprire questa finestra di dialogo, selezionare un offset e aprire il menù contestuale con il tasto destro del mouse; cliccare poi sul comando Adattare offset .


Modifica valore

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Modifica valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consente di modificare le celle selezionate della colonna Azione.

Per aprire questa finestra di dialogo, selezionare un valore della colonna "Azione" e aprire il menù contestuale con il tasto destro del mouse; cliccare poi sul comando Modifica valore.

Parametro

Descrizione

Variabile

Modifica valore di

Cambia il contenuto delle celle attualmente selezionate per un valore pari a quello impostato.

Imposta valore a

Cambia il contenuto delle celle attualmente selezionate portandolo al valore impostato.

Aumento lineare iniziando da

Cambia il contenuto delle celle attualmente selezionate per un valore pari a quello impostato. Il valore viene aumentato di una unità per ogni cella modificata.

Diminuzione lineare iniziando da

Cambia il contenuto delle celle attualmente selezionate per un valore pari a quello impostato. Il valore viene diminuito di una unità per ogni cella modificata.

Funzione

Modificare stato in

Modifica l'attivazione dei punti di switch selezionati settandola sullo stato impostato:

  • attivo
  • Inattivo

Macro

Modificare macro in

Modifica la macro in quella selezionata.


Crea punti di Switch

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Crea punti di Switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire questa finestra di dialogo, selezionare un inserimento di tempo e aprire il menù contestuale con il tasto destro del mouse; cliccare poi sul comando Crea punti di Switch.

Selezionare nella lista in alto gli inserimenti per cui devono essere creati dei punti di switch e inserirli nella lista della parte bassa della finestra di dialogo cliccando sul pulsante Aggiungi.

info Info

Di default, a Runtime i punti di switch sono sempre impostati come non attivi (per motivi di sicurezza) e devono essere dunque esplicitamente attivati perché funzionino. Nell´Editor, invece, i punti di switch vengono impostati di default come attivi.


Duplica

Manuale -> Production and Facility Scheduler (PFS) -> Finestre di dialogo -> Duplica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La finestra di dialogo può essere aperta durante l´operazione di copia di un orario per definire:

  • se devono essere copiati anche gli orari "figli" quando viene inserito l´orario.
  • se deve essere visualizzata la finestra di dialogo di sostituzione delle variabili quando si incolla l´orario copiato.

Parametro

Descrizione

Duplica solo l'orario attuale

Inserisce solo l'orario del livello superiore.

Duplica gli orari attuali e i sotto-orari

Viene inserito l´orario con tutti i suoi sotto-orari. Questa è la modalità standard quando questa finestra di dialogo è disattivata.

Visualizza dialogo di sostituzione

La finestra di dialogo di sostituzione verrà visualizzata. In questo modo sarà possibile sostituire le variabili mentre si esegue l´operazione di inserimento degli orari copiati.

Visualizza il dialogo solo tenendo premuto il tasto Ctrl

Impedisce la visualizzazione della finestra di dialogo. Se si attiva questa opzione, l´orario verrà sempre copiato con tutti gli orari "figli" senza che vengano eseguite delle sostituzioni. Se si preme il tasto Ctrl mentre è in corso l'operazione di inserimento, verrà visualizzato la finestra di dialogo di sostituzione.

Nota: questa funzione può essere gestita anche mediante un inserimento corrispondente nel file project.ini:

[PFM]

AnzeigenMitStrg = [Valore]

Valori:

1: la finestra di dialogo viene visualizzata solamente se si preme il tasto Ctrl quando si incolla l´orario.

0: la finestra di dialogo viene visualizzata sempre.

OK

Applica gli inserimenti e chiude la finestra di dialogo.

Annulla

Annulla tutti gli inserimenti e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Funzione "Attiva evento PFS"

Manuale -> Production and Facility Scheduler (PFS) -> Funzione "Attiva evento PFS"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di inizializzare a Runtime l´esecuzione di un evento PFS definito, a cui si riferiscono dei tempi relativi nel modulo PFS.


Tipo d'immagine "Production and Facility Scheduler"

Manuale -> Production and Facility Scheduler (PFS) -> Tipo d'immagine "Production and Facility Scheduler"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter gestire orari e profili a Runtime è necessaria un´immagine di tipo Production & Facility Scheduler. Questo tipo d'immagine è disponibile solo se si ha una licenza per il modulo PFS; altrimenti si può selezionare solo un'immagine del tipo Schedulatore.

Creare un'immagine di tipo Production & Facility Scheduler

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Production & Facility Scheduler.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Inserisci template

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Elemento di controllo | Descrizione
Finestra orario | Visualizzazione dell´orario.

Generale

Elementi di controllo generali.

Elemento di controllo | Descrizione
Criteri di filtro... | Apre la finestra di dialogo che consente di selezionare il filtro.
Impostazioni.. | Apre la finestra di dialogo che consente di configurare le impostazioni di colore per giorni, modelli tempo e orari nella tabella.
Proprietà... | Apre la finestra di dialogo delle proprietà per i gruppi di modello orario.
Anteprima punti di Switch... | Apre la finestra di dialogo per l´anteprima dei punti di switch.
Salva | Salva le modifiche eseguite nell´orario.
Annulla | Elimina le modifiche eseguite.
Copia... | Copia un elemento selezionato nell´orario.
Taglia | Taglia un elemento selezionato nell´orario.
Incolla... | Aggiunge nell´orario un elemento preso dagli appunti.
Rinomina | Rinomina l´elemento selezionato.
Elimina | Elimina gli elementi selezionati.
Ordinamento crescente | Ordina gli elementi dell´orario in ordine crescente.
Ordinamento decrescente | Ordina gli elementi dell´orario in ordine decrescente.

Orario

Elementi di controllo per orari.

Nuovo gruppo modello di tempo..

Nuovo gruppo modello orario...

Modello tempo
  • Nuovo modello tempo...
  • Crea turno...
  • Eliminare turno
  • Nuova pausa...
  • Elimina pausa

Orario
  • Nuovo orario...
  • Attiva orario
  • Aggiungi variabile...
  • Rimuovi variabile
  • Elimina funzione
  • Sostituisci collegamenti...
  • Nuova griglia tempo...
  • Nuovo orario...
  • Cancella orario
  • Nuovo punto di switch...
  • Nuovi punti di switch...
  • Cancellare punti di Switch

Nuovo evento

Crea un evento.

Calendario
  • Selezionare modello...
  • Selezionare orari...
  • Visualizza giorno odierno
  • Vai a oggi
  • Commutare sulla data...
  • Come default
  • Come giorno singolo
  • In avanti
  • Indietro
  • Visualizzazione giorno
  • Vista settimanale
  • Visualizzazione mensile

Elaborazione multipla
  • Imposta tutti i valori come attivi
  • Imposta tutti i valori come non attivi
  • Tempo assoluto
  • Tempo relativo
  • Modifica tempo...
  • Modifica valore...
  • Seleziona l'evento...
  • Adatta turno...

Ulteriori informazioni sui file Runtime modificati si trovano nel capitolo File Runtime modificabili


Cambio immagine - PFS

Manuale -> Production and Facility Scheduler (PFS) -> Cambio immagine - PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Filtro "Visualizzazione ad albero" per cambio immagine

Filtro "Visualizzazione tabelle" per cambio immagine


Filtro "Visualizzazione ad albero" per cambio immagine

Manuale -> Production and Facility Scheduler (PFS) -> Cambio immagine - PFS -> Filtro "Visualizzazione ad albero" per cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le possibilità di configurazione in questa finestra di dialogo sono le stesse a disposizione nel dialogo di filtro PFS. C´è la possibilità di configurare un´altra opzione: se la finestra di dialogo del filtro deve essere aperta prima dell´attivazione dell´immagine. L´oggetto selezionato nella struttura ad albero verrà selezionato al momento del cambio immagine.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.


Filtro "Visualizzazione tabelle" per cambio immagine

Manuale -> Production and Facility Scheduler (PFS) -> Cambio immagine - PFS -> Filtro "Visualizzazione tabelle" per cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa pagina di impostazione consente di definire le colonne e le denominazioni che verranno utilizzate nelle diverse finestre di dialogo del PFS.

Parametro | Descrizione
Colonne disponibili | In questa lista vengono visualizzati i tipi di colonne disponibili per i diversi tipi di visualizzazione; i differenti tipi di oggetto (calendario, eventi definiti da utente, schedulatore, ecc.) possono essere selezionati nel menù a tendina della voce "Oggetto" che si trova in questa finestra di dialogo in basso a sinistra. Solo le colonne attivate in questa finestra di dialogo (segno di spunta nella checkbox corrispondente) verranno poi effettivamente visualizzate.
Legenda | Contiene il titolo della colonna. Se questo testo è contrassegnato da un @, significa che deve essere tradotto.
Larghezza | Larghezza della colonna.
Orientamento | Orientamento del titolo della colonna.
Oggetto | Contiene i diversi oggetti la cui visualizzazione viene configurata in questa scheda.
Visualizzazione desiderata | Contiene le possibili visualizzazioni per l'oggetto.

Visuali disponibili per l´oggetto

Parametro

Descrizione

Oggetto

Selezione dal menù a tendina:

Eventi definiti da utente.

  • Orario
  • Calendario
  • Modello tempo
  • Gruppi modelli orario

Visualizzazione desiderata


Reporting

Manuale -> Reporting

Il reporting integrato in zenon serve alla documentazione, analisi e presentazione dei dati del processo basate sui dati online e di archivio attinti da zenon. Il reporting si articola in:

  • Generatore Report
  • Report Viewer

Entrambe queste varianti di reporting non sono disponibili con Windows CE.

tutorial Informazioni sulla licenza
  • Nell’Editor: devono essere entrambe provviste di una licenza.
  • A Runtime:
    Report Viewer: Fa sempre parte del pacchetto standard.
    Report Generator: è integrato nel pacchetto standard del software, ma solo limitatamente alla pura e semplice visualizzazione dei report. Se si vuole usare il Report Generator per scrivere valori di archivio o valori impostabili, bisogna acquistare una licenza anche per il Runtime.

Per realizzare un reporting più ampio e indipendente dalle piattaforme, un reporting che vada dal livello del processo a quello dei sistemi ERP, avete a disposizione zenon Analyzer. il distributore di COPA-DATA è a vostra disposizione per fornirvi le informazioni desiderate.

Ancora in questo capitolo

Generatore Report

Report Viewer


Generatore Report

Manuale -> Reporting -> Generatore Report

Il Generatore di rapporti serve alla documentazione, all'analisi e alla presentazione di dati di processo effettuata sulla base di dati online e di archivio. Il Generatore Report lavora con orientamento alle celle. Si possono assegnare determinate funzioni e formati ad ogni cella.

La progettazione dei report avviene mediante il tipo di immagine Report. Il filtro, il calcolo, l´emissione e la visualizzazione dei dati avviene tramite le Funzioni Report. Queste ultime vengono inserite usando i dialoghi, oppure manualmente. I valori possono essere letti e - se consentito nell´immagine - anche modificati. Il Generatore di report soddisfa i requisiti di Regelblatt 13 e ATV H260

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo Report | Imposta un nuovo report nella lista della visuale dettagliata.
Aggiungi Report esistente.. | Apre il Manager file che serve alla selezione di un file report esistente.
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

info Info

I bit di stato NORM e N_NORM non vengono visualizzati nel report, o il bit di stato NORM non può essere modificato usando il report.

Ancora in questo capitolo

Configurazione nell'Editor

Gestione a Runtime

Esempio Dati archivio nei report


Configurazione nell'Editor

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare i report nel Runtime, nell´Editor si deve:

  • impostare una Immagine del tipo Report
  • creare un Report e configurarlo
  • progettare una Funzione di cambio nel Runtime

Procedura consigliata per la progettazione del report:

  • Crea report
  • Formatta report
  • Imposta filtro archivio
  • Progettare funzioni report

Ancora in questo capitolo

Crea tipo d'immagine Report Generator

Imposta nuovo report

Impostazioni stampante

Info File

Cerca e sostituisci nel report

Formattazioni

Impostare un filtro archivi

Funzioni di report

Le funzioni di zenon per il Generatore Report.


Crea tipo d'immagine Report Generator

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Crea tipo d'immagine Report Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea tipo d'immagine Report Generator

Nell´immagine del tipo Report vengono visualizzati a Runtime i report realizzati con il generatore Report, che possono poi essere configurati, ammesso che si disponga delle autorizzazioni necessarie. La grandezza della visualizzazione dipende da quella del modello prescelto. Quale report deve essere visualizzato, può essere definito nel cambio immagine oppure durante il Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine generatore Report.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Parametri | Descrizione
Inserisci modello... | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Elementi di controllo per visualizzazione finestre.

Parametri

Descrizione

Finestra report

Visualizza il report.

Filtro inserito

Visualizza a Runtime il filtro tempo configurato correntemente.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

  • Filtro inserito

Funzioni

Elementi di controllo per la gestione a Runtime.

Parametri

Descrizione

Filtro

Selezionare file di report e modificare i criteri di filtro.

Aggiorna

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report a Runtime.

Esporta

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato a Runtime (*.xrs).

Attenzione: quando viene salvato il report, le formule e le funzioni vengono sostituite dai valori correnti. Le funzioni non sono più disponibili in questi report (file .xrs). Non sarà più neanche possibile modificare questi report nell´Editor.

Raccomandazione: impostare i file originali di report in modalità "protetta da scrittura" e salvare le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome...

Il report viene salvato a Runtime con un nuovo nome (*.xrs); nel corso di questo processo, formule e funzioni vengono sostituite dai valori attuali.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati.

Scrivi valori selezionati

I valori selezionati vengono scritti sul driver.

Leggi tutti i valori

Il driver legge di nuovo tutti i valori.

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Navigazione

Elementi di controllo per la navigazione.

Parametri | Descrizione
Riga in su | Passare una riga più in alto
Riga in giù | Passare una riga più in basso
Colonna a destra | Spostarsi di una colonna a destra
Colonna a sinistra | Spostarsi di una colonna a sinistra
Pagina in su | Passare alla pagina precedente
Pagina in giù | Passare alla pagina successiva
Pagina a destra | Spostarsi di una pagina a destra
Pagina a sinistra | Spostarsi di una pagina a sinistra

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Parametri | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.


Imposta nuovo report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di impostare un nuovo report, bisognerebbe definire la stampante report, perché la formattazione pagine di un report dipende dalla stampante impostata. Una successiva modifica delle impostazioni stampante potrebbero rendere necessaria la riformattazione del report esistente.

Per creare un nuovo report:

  • navigate all´interno del manager di progetto fino a giungere al nodo Generatore Report
  • selezionate nel menù contestuale il comando Nuovo report
  • viene generato un nuovo report nella lista dettagliata
  • si apre un foglio elettronico vuoto nella finestra principale

Funzionalità del foglio elettronico:

  • Attribuzione di informazioni di processo tramite Funzioni Report
  • visualizzazione formattata di contenuti di celle, colonne e righe
  • Somme parziali
  • Attribuzione dei blocchi di editing

info Info

Nel caso di inserimento nelle celle vale la regola: Un valore decimale può essere separato sia tramite una virgola che mediante un punto. Il separatore decimale viene trasformato automaticamente in un punto .

Informazioni più dettagliate sull'argomento si trovano nei capitoli:

  • Imposta pagina
  • Impostazioni stampante
  • Formattazioni
  • Funzioni di report

Ancora in questo capitolo

Menù Report

Menù "Modifica".

Menù Formato

Barra degli strumenti "Generatore report"

Menù contestuale e barra degli strumenti della “Visualizzazione dettagli”

Struttura della finestra tabelle

Menù contestuale datasheet


Menù Report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Menù Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un Report, nella barra dei menù appare il menù Report:

Parametri

Descrizione

Salva report

Salva tutte le modifiche nel report attivo. I cambiamenti effettuati in altri report non verranno salvati.

Esporta funzioni Report

Esporta tutte le funzioni del report attivo in un file di testo.

Struttura: colonna / riga = funzione(parametro)

Ridisegna Report

Ridisegna Report

Ricalcola report

Ricalcola il report.

Imposta pagina

Apre il dialogo che serve all´impostazione della pagina.

Stampa report

Stampa il report sulla stampante definita per il progetto nelle impostazioni standard.

Area Stampa

Imposta oppure reimposta le aree di stampa:

  • Imposta area di stampa: definisce l´area evidenziata del report come area di stampa.
  • Reimposta area di stampa: cancella l´impostazione dell´area di stampa

Anteprima pagina report

Passa dalla visuale di layout all´anteprima di stampa. Con il tasto sinistro del mouse si può zoomare nella visuale.

Uscire dall´anteprima di stampa: premere il tasto Esc.

Informazioni file report

Apre il dialogo che serve a gestire le informazioni del file report.


Menù "Modifica".

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Menù "Modifica".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un report, il menù Modifica mette a disposizione dell´utente funzioni speciali per report:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copia

Copia l´area evidenziata negli appunti.

Incolla

Aggiunge il contenuto degli appunti.

Incolla speciale

Offre delle opzioni di inserimento estese per operazioni cella:
  • Tutto

Inserisce tutto il contenuto degli appunti.

  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Il collegamento alle formule va perso.

  • Formato

Applica solamente il formato.

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle selezionate.

  • In giù

Le celle vengono popolate dall´alto in basso.
  • A destra

Le celle vengono popolate verso destra.

Elimina

Cancella dalle celle selezionate:
  • Tutto

Tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Elimina colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Trova/Sostituisci...

Apre la finestra di dialogo per la ricerca e la sostituzione nel foglio elettronico.


Menù Formato

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Menù Formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù "Formato" mette a disposizione delle proprietà e delle funzioni per la formattazione della tabella di report:

Parametri

Descrizione

Celle

Opzioni di formattazione per le celle:

  • Carattere
  • Tipo di cella
  • Cornice
  • Orientamento
  • Numeri
  • Liste

Riga

Opzioni di formattazione per le righe:

  • Altezza riga: apre la finestra di dialogo che consente di definire l´altezza della riga.
  • Formato riga: apre la finestra di dialogo per tutte le proprietà della riga.

Colonna

Opzioni di formattazione per le colonne:

  • Larghezza colonna: apre la finestra di dialogo che consente di definire la larghezza della colonna.
  • Formato colonne: apre la finestra di dialogo per tutte le proprietà della colonna.

Report

Apre la finestra di dialogo che consente di formattare il report.

Assistente alle funzioni

Apre l´assistente che consente di creare funzioni di report.

Filtro

Apre il filtro report per consentire la selezione di archivi.


Barra degli strumenti "Generatore report"

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Barra degli strumenti "Generatore report"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il "Generatore Report" è disponibile nell´Editor una barra degli strumenti.
Procedura per visualizzare questa barra degli strumenti (se non dovesse essere già visibile):

  1. Aprire il menù Extras -> Impostazioni -> Scheda: Barra degli strumenti
  2. Attivare con un segno di spunta la checkbox accanto a Generatore report.
  3. Confermare la selezione cliccando su OK.

Simbolo

(da sinistra a destra)

Funzione

Stampa report

Stampa il report con la stampante impostata come standard.

Anteprima report

Apre il report in un´anteprima. Nell´anteprima, il report può essere ingrandito oppure ridotto (zoom); lo si può sfogliare e stampare.

Ridisegna report

Attualizza la visualizzazione.

Ricalcola le funzioni

Ricalcola le formule nel report

Assistente funzioni

Apre la finestra di dialogo che aiuta a configurare le funzioni.

Carattere

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Carattere.

Allineamento paragrafo

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Allineamento.

Cornice

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Cornice.

Aspetto cella

Apre la finestra di dialogo per formattare le celle con focus sulla scheda Aspetto cella.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Menù contestuale e barra degli strumenti della “Visualizzazione dettagli”

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Menù contestuale e barra degli strumenti della “Visualizzazione dettagli”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù | Azione
Nuovo Report | Crea un nuovo report nella lista della visualizzazione dettagli.
Apri report | Apre il report selezionato, oppure mette il focus su questo report se è già aperto.
Crea funzione standard | Crea una funzione di zenon per il generatore di rapporti. L´azione viene documentata nella finestra di emissione.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Aggiungi Report esistente.. | Apre il File manager che consente di selezionare di un file report esistente.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Struttura della finestra tabelle

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Struttura della finestra tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando li si modifica nell´Editor, i report vengono visualizzati nella finestra principale divisi in due parti:

  • La parte di sinistra visualizza la tabella per la bozza.
  • La parte di destra mostra un´anteprima di visualizzazione.

La grandezza di queste due aree può essere personalizzata. Per farlo, portare il puntatore del mouse sul bordo destro della barra di scorrimento della tabella finché il puntatore non assume l´aspetto dello strumento di spostamento. Trascinare poi la barra di scorrimento nella posizione desiderata.

Campo di inserimento

Sul margine superiore della tabella si trova una riga per digitare inserimenti. Se è stata attivata la proprietà Modifica celle in fase di progettazione del report, questa riga non verrà visualizzata. In questo caso, gli inserimenti dovranno essere digitati direttamente nella cella.


Menù contestuale datasheet

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Imposta nuovo report -> Menù contestuale datasheet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù

Azione

Taglia

Cancella gli inserimenti evidenziati e li sposta negli appunti.

Copia

Copia gli inserimenti selezionati negli appunti.

Incolla

Inserisce il contenuto degli appunti.

Incolla speciale

Consente di selezionare negli appunti il contenuto da inserire:

  • Tutto: verrà inserito tutto il contenuto.
  • Formule: verranno applicate solamente le formule.
  • Valore: applica solamente il valore.
  • Formato: applica solamente il formato.

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle selezionate. Si può stabilire che le celle vengano popolate procedendo dall´alto al basso o da sinistra a destra.

Elimina

Consente di selezionare il contenuto di un cella che deve essere cancellato:

  • Tutto: cancella l´intero contenuto con il formato.
  • Contenuto: cancella il contenuto, ma mantiene il formato.
  • Formato: cancella solamente il formato e mantiene il contenuto.

Inserisci colonna/riga

Inserisce una nuova cella al di sopra di un´altra cella selezionata, oppure una nuova colonna a sinistra di un´altra colonna selezionata. Se sono state selezionate più righe/colonne, viene inserito un numero corrispondente di nuove righe/colonne.

Cancella colonna/riga

Cancella le righe o colonne selezionate.

Report...

Apre la finestra di dialogo che consente di formattare il report.

Cella...

Apre la finestra di dialogo che consente di formattare una cella.

Colonna...

Apre la finestra di dialogo che consente di formattare le colonne.

Riga...

Apre la finestra di dialogo che consente di formattare le righe.

Funzioni...

Apre l´assistente che serve a creare funzioni di report.

Nota: l´assistente consente di scegliere fra più di 150 funzioni. Altre funzioni possono essere inserite manualmente nella riga inserimenti del datasheet.


Impostazioni stampante

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Impostazioni stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il layout del report (margini della pagina, grandezza della pagina) dipende dalla stampante configurata. Per accedere alle impostazioni per la stampante dei report, cliccare su File -> Configurazione generale-> Standard -> Stampante per protocolli e valori.

In questa finestra di dialogo si definiscono:

  • La stampante e
    • Il formato della carta per la stampa.
    • L´alimentazione della carta per la stampante.
    • Orientamento della stampa.

attention Attenzione

La stampante da utilizzare deve essere selezionata prima della creazione del report, perché la formattazione delle pagine di un report dipende dalla stampante impostata. Una successiva modifica della stampante, potrebbe rendere necessaria la riformattazione del report esistente.

Configurazione della stampante

Stampante

Parametri | Descrizione
Stampante | Impostazioni per la stampante.
Nome | Selezione della stampante fra quelle del menù a tendina. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre la finestra di dialogo che consente di configurare la stampante selezionata.
Stato | Visualizzazione dello stato della stampante. Solo informazione.
Tipo | Visualizzazione del tipo di stampante. Solo informazione
Luogo | Visualizzazione del luogo di collocazione della stampante, se configurato. Solo informazione.
Commento | Visualizzazione del commento sulla stampante, se configurato. Solo informazione.

Carta

Parametri | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli contenuti nel menù a tendina.
Sorgente | Scelta dell´alimentazione carta fra le opzioni del menù a tendina.

Orientamento

Parametri

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre la finestra di dialogo che consente di selezionare una stampante in rete.

Ok

Applica la configurazione e chiude la finestra di dialogo. In questo modo si avvia l´operazione di stampa a Runtime.

Annulla

Rifiuta la configurazione e chiude la finestra di dialogo. In questo caso viene interrotta l´operazione di stampa a Runtime.


Info File

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Info File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Report ->File info possono essere salvate informazioni sul file report in questione.

Parametri | Descrizione
Nome file | Nome del file di report. A titolo informativo; il nome non può essere modificato in questa finestra di dialogo. Può essere modificato nella visualizzazione dettagli.
Cartella | Luogo di salvataggio del file di report. A titolo informativo; la cartella non può essere modificata in questa finestra di dialogo.
Titolo | Testo configurabile a piacere.
Tema | Testo configurabile a piacere.
Autore | Testo configurabile a piacere.
Commento | Testo configurabile a piacere.


Cerca e sostituisci nel report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Cerca e sostituisci nel report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cercare nella tabella formule, sequenze di caratteri o valori e per sostituirli:

  1. Selezionare il report desiderato.
  2. Nel menù Modifica, selezionare il comando Trova / Sostituisci.
  3. Si apre la finestra di dialogo per eseguire ricerca e sostituzione.

Parametri

Descrizione

Introduzione espressione

Inserimento delle sequenze di caratteri per eseguire ricerca e sostituzione.

Cerca

Sequenza di caratteri da ricercare.

Sostituisci con

Sequenza di caratteri che deve sostituire quella trovata.

Sostituisci

Sostituisce la corrispondenza visualizzata con la sequenza di caratteri inserita in Sostituisci con.

Sostituisci tutti

Sostituisce tutte le corrispondenze con la sequenza di caratteri inserita in Sostituisci con.

Trova successivo

Cerca la prossima corrispondenza con il criterio di ricerca.

Opzioni ricerca

Opzioni di ricerca

Cerca in

Selezione dal menù a tendina:

  • Formule: cerca nelle formule.
  • Stringa: cerca nelle stringhe.
  • Valore: cerca nei valori.

Trova stringa parziale

Cerca anche in parti delle celle.

Rispetta minuscolo/maiuscolo

Tiene presente la scrittura in lettere minuscole/maiuscole.

Chiudi

Chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Formattazioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Formattazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di creare un report, si dovrebbe provvedere a definire le impostazioni di formattazione:

  • Pagina: impostare le proprietà della stampa per la pagina.
  • Report: impostare le proprietà del report.
  • Cella: definire la formattazione delle celle (orientamento, cornice, carattere, modello, tipo, liste)
  • Colonne e righe: formattazione per le colonne o le righe selezionate.

Si accede alle impostazioni mediante le liste a cascata Report e Formato nella barra di menù, oppure tramite il menù contestuale del foglio tabella.

Suggerimento: impostare un numero sufficiente di righe/colonne per la visualizzazione di report con grandi quantità di dati.

Ancora in questo capitolo

Imposta pagina

Formattare un report

Formattare una cella

Formattare colonne e righe


Imposta pagina

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Formattazioni -> Imposta pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il comando Imposta pagina... del menù Report apre la finestra di dialogo che consente di configurare la pagina del report. Questa finestra di dialogo si articola nelle due schede:

  • Margini
  • Intestazione/piè di pagina

Ancora in questo capitolo

Margini

Intestazione/piè di pagina


Margini

Margini

Parametri

Descrizione

Imposta margini

Imposta i margini indipendentemente dalle impostazioni della stampante .

Sopra

Distanza del report dal margine superiore.

In giù

Distanza del report dal margine inferiore.

Sinistra

Distanza del report dal margine sinistro.

Destra

Distanza del report dal margine destro.

Intestazione

Distanza dell´intestazione dal testo.

Valori possibili: da 0 a 20; 0 = nascosta.

Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.

Piè di pagina

Distanza del piè di pagina dal testo.

Valori possibili: da 0 a 20; 0 = nascosto.

Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.

Generale

Area Stampa

Stabilisce l´area di stampa a partire dalla cella A1. Inserimento nel campo testo: Coordinate del Final value dell´area.

Esempio: D5 stabilisce che l´area di stampa va dalla cella A1 a D5.

Nota: l´area di stampa deve contenere perlomeno 2 righe e 2 colonne Tutte le istruzioni con A o 1, dunque, non sono valide e non verranno eseguite.
Esempi: A7: non valida; D1: non valida; B2: non valida.

Stampante

Selezione della stampante per il report. Cliccando sulla lista a cascata, si apre la lista di tutte le stampanti definite nelle impostazioni stampante di zenon.

Default: Valori e report

Adatta area di stampa alla stampante

Attiva: l´area di stampa viene adattata alle impostazioni della stampante selezionata.

Nota: l´area di stampa deve contenere perlomeno 2 righe e 2 colonne Tutte le istruzioni con A o 1, dunque, non sono valide e non verranno eseguite.
Esempi: A7: non valida; D1: non valida; B2: non valida.

Stampa righe/colonne statiche

Attiva: stampa righe/colonne statiche.

Centratura

Orientamento del report sulla pagina da stampare.

Verticale

Centra il report verticalmente.

Orizzontale

Centra il report orizzontalmente.

Orientamento

Impostazione del formato pagina

Verticale

Stampa in formato verticale.

Orizzontale

Stampa in formato orizzontale.

Direzione di stampa

Ordine delle pagine stampate in caso di più pagine

Da sinistra a destra

Stampa più pagine da sinistra a destra.

Dall'alto in basso

Stampa di più pagine dall’alto verso il basso.


Intestazione/piè di pagina

Intestazione/piè di pagina

Parametri

Descrizione

Intestazione

Definizione della zona d´intestazione

Sezione di sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra dell´intestazione.

Sezione centrale

Orientamento centrato per il centro l´intestazione

Sezione di destra

Testo con orientamento a destra per la parte (1/3) destra dell´intestazione.

Carattere

Apre il dialogo che consente di selezionare il carattere, la dimensione del carattere e degli effetti del testo del piè di pagina.

Piè di pagina

Definizione della zona di piè di pagina

Sezione di sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra del piè di pagina

Sezione centrale

Orientamento centrato per il centro del piè di pagina.

Sezione di destra

Testo con orientamento a destra per la parte (1/3) destra del piè di pagina.

Carattere

Apre la finestra di dialogo che consente di selezionare il carattere, la dimensione del carattere e effetti del testo del piè di pagina.

Quando si definiscono le impostazioni relative a intestazione/piè di pagina nella scheda Margini si deve fare in modo che la grandezza del carattere possa essere visualizzato nella sua interezza.

Parole chiave

Parole chiave per l´intestazione e il piè di pagina.

&[Page]

Numero di pagina.

&[Pages]

Numero totale di pagine.

&[Date]

Data corrente della stampa.

&[Time]

Ora corrente della stampa.

&[File]

Nome del file.


Formattare un report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Formattazioni -> Formattare un report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

C´è una serie di impostazioni che riguardano la formattazione dell´intero report:

  • Generale: impostazioni generali per il report.
  • Colonne: impostazioni generali per le colonne, come numero ecc.
  • Righe: impostazioni generali per le righe, come numero ecc.

Per definire le impostazioni per la formattazione, selezionare il comando Report nel menù Formato, oppure il comando Formattazione report del menù contestuale del foglio di report.

Ancora in questo capitolo

Generale

Colonne

Righe


Generale

Generale

Parametri | Descrizione
Titolo | Titolo del report.
Selezione | Definisce come avviene la selezione quando si clicca.
Tutta la riga | Attivo: viene selezionata tutta la riga.
Cella singola | Attivo: viene selezionata solamente la cella su cui si clicca; non è possibile una selezione multipla.
Opzioni |
Calcolo automatico | Attivo: aggiorna automaticamente i calcoli se i valori di input vengono modificati.
Mostra griglia | Attivo: visualizza la griglia nell´Editor.
Modifica celle | Attivo: gli inserimenti saranno eseguiti direttamente nella cella; la riga di inserimento in cima alla finestra di report non verrà visualizzata.
Referenza clic | Attivo: la cella su cui si è cliccato viene applicata come coordinata report nella riga di inserimento quando si inseriscono formule. Per esempio: invece di inserire A12, si clicca sulla cella A12.


Colonne

Colonne

Parametri | Descrizione
Impostazioni colonne |
Numero colonne | Definisce il numero massimo di colonne. Valore consentito: da 0 a 31000.
Colonne statiche | Numero delle colonne che vengono sempre visualizzate. Lo scrolling è possibile solo dopo le colonne statiche.
Visualizza pulsante nella prima colonna | Attivo: visualizza i numeri delle righe.
Attiva formattazione colonne | Attivo: la larghezza delle colonne può essere modificata trascinando i bordi dell´intestazione con il mouse.


Righe

Righe

Le proprietà delle righe configurabili sono:

Parametri | Descrizione
Numero righe | Definisce il numero massimo di righe. Valore consentito: da 0 a 31000.
Righe statiche | Numero delle righe che vengono sempre visualizzate. Lo scrolling è possibile solo dopo le righe statiche.
Mostra pulsante nella prima riga | Attivo: visualizza l´intestazione colonna >(A, B, C, ...).
Attiva la formattazione righe | Attivo: la larghezza delle righe può essere modificata trascinando con il mouse i bordi delle celle contenenti i numeri delle righe.


Formattare una cella

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Formattazioni -> Formattare una cella

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la formattazione delle celle sono disponibili le seguenti impostazioni:

Orientamento

Cornice

Carattere

Disegno

Tipo di cella

Elenchi a discesa

Per formattare le celle selezionare:

  • Nel menù contestuale del foglio di report il comando Formattazione cella; si aprirà la finestra di dialogo di formattazione.
  • Oppure il sottomenù desiderato in Report ->Formattazione cella per aprire la finestra di dialogo con le schede corrispondenti.

Ancora in questo capitolo

Orientamento

Cornice

Carattere

Disegno

Tipo di cella

Elenchi a discesa


Orientamento

Orientamento

Nella scheda Orientamento si definisce la visualizzazione dei contenuti della cella.

Per il posizionamento verticale sono a disposizione:

  • Generale
  • In su
  • Al centro
  • In giù
  • Cambio riga

Per il posizionamento orizzontale sono a disposizione:

  • Generale
  • Sinistra
  • Centrato
  • Destra

info Info

Se il testo deve essere visualizzato verticalmente, selezionare nella scheda Carattere la proprietà Verticale.


Cornice

Cornice

La scheda “Cornice” serve a stabilire se ed in quale forma deve essere visualizzata una cornice intorno ad una cella. Per ogni lato della cornice (sopra, sotto, sinistra, destra) si può definire un tipo di linea e un colore:

  1. Definire tipo e colore.
  2. Cliccando con il mouse, si possono assegnare tipo e colore scelti o all´intera cornice, o ai singoli lati della stessa.

Parametri | Descrizione
Selezione cornice | Cliccando al centro, si attivano tutti e quattro i lati della cornice. Cliccando su un lato della cornice, si attiverà solamente quest´ultimo.
Tipo di linea | Selezione del tipo di linea fra quelli offerti dal menù a tendina.
Colore di linea | Selezione del colore di linea fra quelli offerti dal menù a tendina.


Carattere

Carattere

Per quello che riguarda i caratteri, sono a disposizione le impostazioni standard di Windows.

Parametri

Descrizione

Carattere

Selezione del carattere.

Stile carattere

Scelta dello stile da applicare al carattere.

Dimensione carattere

Selezione della dimensione del carattere in punti.

Effetti

Selezione degli effetti per il carattere; la selezione avviene attivando le checkbox:

  • Barrato: il testo nella cella viene visualizzato barrato.
  • Sottolineato: il testo nella cella viene visualizzato sottolineato.
  • Verticale: il testo nella cella viene visualizzato con orientamento verticale, dall´alto verso il basso.

Colore

Un´eventuale configurazione in questa finestra di dialogo non viene presa in considerazione!!
Il colore per i caratteri deve essere impostato, per esempio, in un elemento dinamico.

Script

Un´eventuale configurazione in questa finestra di dialogo non viene presa in considerazione!!
Viene usata universalmente la visualizzazione Unicode.

Esempio

In questa finestra viene visualizzato il risultato delle impostazioni eseguite relative al testo della cella.


Disegno

Disegno

Nella scheda “Disegno” si definiscono colore e disegno della cella.

Parametri | Descrizione
Disegno | Selezione del disegno da applicare alla cella fra quelli contenuti nel menù a tendina.
Primo piano | Selezione del colore di primo piano fra quelli contenuti nel menù a tendina.
Sfondo | Selezione del colore di sfondo fra quelli contenuti nel menù a tendina.


Tipo di cella

Tipo di cella

Nella scheda Tipo cella si stabilisce il formato di emissione. Si può scegliere fra:

  • Generale: emissione di valori, dati e dati binari.
  • Menù a tendina: Creazione di menù a tendina.
  • Tipo di dati: definizione di tipi di dato.
  • File grafico: inserisce un file grafico.

Le chiavi di formattazione corrispondenti vengono descritte nel capitolo Chiavi di formattazione.

Generale

Opzione

Descrizione

Formato stringa

Selezione del formato di emissione per il tipo di cella corrispondente, oppure selezione dal menù a tendina.

  • Valore: valori numerici. Per i dettagli, si veda il capitolo Tipi di dato numerici.
  • Data: indicazione della data. Per i dettagli, si veda il capitolo Tipi di dato per data e ora.
  • Ora: indicazioni di orario. Per i dettagli, si veda il capitolo Tipi di dato per data e ora.
  • Valore binario: valori binari. Per i dettagli, si veda il capitolo Tipi di dato logici.

Bloccato

Attivo: blocca la cella per modifiche nell´Editor e per inserimenti nel report online.

Example Esempio

Formato stringa per un´emissione valore:
*0.00 = valore qualsiasi con 2 cifre decimali

dd/mm/yy hh:mm = 01/01/10 12:30 (corrispondente alle impostazioni del sistema operativo)

Elenchi a discesa

Il tipo di cella “Elenco a discesa” mette a disposizione menù a tendina che consentono la selezione di inserimenti predefiniti. Prima di poter usare questo tipo di cella, bisogna aver creato una lista nella scheda Elenchi a discesa.

Opzione

Descrizione

Elenco a discesa

Nome del menù a tendina. Questo nome deve essere già definito nella scheda Elenchi a discesa.

Altezza drop

Altezza di visualizzazione

Larghezza drop

Larghezza di visualizzazione.

Bloccato

Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Modalità di selezione

Tipo di visualizzazione. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Con testo: in ordine alfabetico secondo il testo.
  • Con indice di ordinamento: ordinato secondo il numero di indice di ordinamento (crescente).
  • Con indice: ordina secondo la successione di immissione degli inserimenti nella lista.

Tipi di dato

Con “tipo di dato” viene creato un modello di inserimento nel report. Eventuali funzioni esistenti vengono cancellate da questa cella. All´utente riceve viene indicato il modo in cui i dati devono essere inseriti nella cella.

Opzione

Descrizione

Formato stringa

Inserimento del formato, dipendente dal tipo di dato, oppure selezione dal menù a tendina.

Tipo di dato

Selezione del tipo di dato fra quelli proposti dal menù a tendina:

  • Data/Tempo: inserimento di un valore data/valore tempo.
    I dettagli sul formato stringa si trovano nel capitolo Tipi di dato per data e ora.
  • Float: inserimento di un valore float.
    I dettagli sul formato stringa si trovano nel capitolo Tipi di dato numerici.
  • Integer: inserimento di un valore integer.
    I dettagli sul formato stringa si trovano nel capitolo Tipi di dato numerici.
  • Logico: inserimento di un valore binario.
    Per i dettagli sul formato stringa, si veda il capitolo Tipi di dato logici.
    Configurabile: sì/no; vero/falso.
  • Testo: inserimento di testo.
  • Non definito: nessun tipo di dato è definito.

Bloccato

Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Grafica

Per poter essere selezionati, i file grafici devono essere già stati creati nel Manager di progetto: Nodo File -> Grafica -> [Menù contestuale] Aggiungi file.

Parametri

Descrizione

File grafico

Selezione del file grafico. I formati supportati sono BMP, JPG, GIF, PNG e WMF.

Dimensioni originali

Visualizzazione del file grafico:

  • Attivo: la grafica viene visualizzata nella dimensione originale.
  • Non attivo: la grafica viene adattata alla grandezza della cella.

Default: non attivo

Bloccato
  • Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.


Elenchi a discesa

Elenchi a discesa

Nella scheda Elenchi a discesa si definiscono liste per il tipo di cella Elenco a discesa.

Parametri

Descrizione

Elenchi a discesa

Menù a tendina che consente di selezionare le liste esistenti.

Nuovo

Apre la finestra di dialogo che consente di creare una nuova lista.

Elimina

Cancella la lista selezionata.

Contenuto della lista selezionata

Visualizza i contenuti della lista selezionata.

Inserimento attuale:

Configurazione dell´inserimento.

Testo

Inserimento del testo nella forma in cui deve essere visualizzato nella lista a Runtime.

Numero indice

Inserimento di un numero di indice per ordinare la lista:

  • Valore minimo: 0
    Nessun ordinamento sulla base dell´indice. La lista può essere ordinata a Runtime in ordine alfabetico, oppure sulla base della successione dell´inserimento.

Valore massimo: 9999999999

Aggiungi

Il nuovo inserimento viene aggiunto nella finestra Contenuto della lista selezionata sulla base delle impostazioni eseguite al momento della creazione della lista.

  • Non ordinato: l´inserimento viene aggiunto alla fine della lista.
  • Per testo: ordine alfabetico.
  • Per codici: il numero di codice determina la successione (crescente) nella lista.

Inserisci

Il nuovo inserimento viene aggiunto al di sopra dell'inserimento selezionato nella Contenuto della lista selezionata.

Elimina

Cancella l'inserimento selezionato in Contenuto della lista selezionata.

Crea nuova lista

Parametri

Descrizione

Nome lista

Nome della lista.

Ordinamento

Criteri di ordinamento per la visualizzazione nella finestra Contenuto della lista selezionata e a Runtime La selezione viene eseguita tramite i seguenti pulsanti di opzione:

  • Non ordinato: l´inserimento viene aggiunto alla fine della lista.
  • Per testo: ordine alfabetico.
  • Per indice di ordinamento: il numero di indice determina la successione (crescente) nella lista.


Formattare colonne e righe

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Formattazioni -> Formattare colonne e righe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un'intera riga o un'intera colonna, il menù contestuale rende disponibile il comando Formattazione colonna, oppure Formattazione riga.

Come nel caso di Formattazione cella, le finestre di dialogo hanno le seguenti schede:

Orientamento

Cornice

Carattere

Disegno

Nota: queste impostazioni riguardano sempre solo il titolo della colonna o il titolo della riga. Non hanno alcun effetto sulle altre celle di una colonna o riga. Queste ultime devono essere sempre formattate usando la finestra di dialogo Formattazione cella.

In questa finestra di dialogo c`è anche un'altra scheda Colonna o Riga.

Ancora in questo capitolo

Colonna

Riga


Colonna

Colonna

Nella scheda “Colonna” di definiscono le proprietà che riguardano l´intera colonna:

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della colonna.

$C: lettere del numero di colonna in ordine crescente.

E: estende la colonna automaticamente al numero corretto di colonne, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report.
Default: $C

Larghezza in pixel

Larghezza della colonna in pixel.

Opzioni

Escludi

Attivo: la colonna viene esclusa dalla visualizzazione.
Non attivo: la colonna viene visualizzata.

Per visualizzare di nuovo una colonna esclusa dalla visualizzazione: selezionare le due colonne vicine e settare la proprietà Escludi su non attiva.

Attenzione: le funzioni che si trovano in celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settare l´altezza della riga oppure la larghezza della colonna su 0.

Inibizione

Attivo: le celle della colonna vengono protette contro eventuali tentativi di modifica della formattazione.
Non attivo: è possibile formattare le celle di questa colonna.


Riga

Riga

In questa finestra di dialogo possono essere definite proprietà valide per tutta la riga selezionata.

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della riga.

$R: numeri in ordine crescente del numero delle righe.

E: estende la riga automaticamente al numero corretto di righe, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report.

Default: $R

Altezza in pixel

Altezza della riga in pixel.

Opzioni

Escludi

Attivo: la riga viene esclusa dalla visualizzazione.
Non attivo: la riga viene visualizzata.

Per visualizzare di nuovo una riga esclusa dalla visualizzazione: selezionare le due righe vicine e settare la proprietà Escludi su Non attiva.

Attenzione: le funzioni che si trovano nelle celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settare l´altezza riga oppure la larghezza colonna su 0.

Inibizione

Attivo: le celle della riga vengono protette contro eventuali tentativi di modifica della formattazione.
Non attivo: è possibile formattare le celle di questa riga.


Impostare un filtro archivi

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Impostare un filtro archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si intende utilizzare valori di archivio nel report, bisogna definire questi valori prima dell’attivazione delle funzioni di report. Per impostare il filtro archivi:

  • Nel menù Formato, selezionare il comando Filtro.

Parametri | Descrizione
Parametri | Lista delle variabili selezionate da archivi. I numeri che precedono le variabili vengono usati nelle Funzioni di archivio e protocollo per ordinare le variabili stesse.
Nuovo | Apre la finestra di dialogo che consente di selezionare variabili.
Modifica | Apre la finestra di dialogo che consente di selezionare variabili.
Elimina | Cancella la variabile selezionata dalla lista Parametri.
Archivi | Definizione di un filtro variabili. Wildcards * e ? sono caratteri consentiti all´inizio o alla fine di un´espressione.
Sostituisci con | Inserimento dell´espressione che deve sostituire la stringa cercata.
Sostituisci | Esegue l´operazione "cerca e sostituisci". Il risultato viene visualizzato in un box di segnalazione.

Filtro "Nuovo" oppure "Modifica"

Quando si clicca su Nuovo oppure Modifica, si apre la finestra di dialogo che consente di selezionare variabili:

Parametri

Descrizione

Parametri

Visualizzazione degli archivi esistenti. È possibile selezionare interi archivi oppure singole variabili.

Ogni variabile ottiene automaticamente un numero progressivo, che viene utilizzato nelle Funzioni report per archivi per richiamare le variabili. In questo modo è possibile usare lo stesso report anche per diversi progetti.

Salva

Mette a disposizione del report gli archivi/le variabili selezionati.

Annulla

Chiude la finestra di dialogo senza applicare la selezione.

Ogni variabile ottiene automaticamente un numero progressivo che viene utilizzato nelle funzioni di report per archivi per richiamare le variabili.


Funzioni di report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il software mette a disposizione funzioni di formattazione e di calcolo da utilizzare per organizzare i report.

  • Funzioni di elaborazione:

    Accesso definito a dati selezionati di zenon (valori online e di archivio, user, nome calcolatore ecc).

  • Funzioni di report:
    • Funzioni di formattazione.
    • Funzioni di calcolo.

Sono a disposizione i seguenti gruppi di funzioni:

  • Funzioni banca dati
  • Data e funzioni di tempo
  • Funzioni logiche
  • Funzioni di archivio e protocollo
  • Funzioni statistiche
  • Funzioni matematiche e trigonometriche
  • Funzioni di testo
  • Funzioni del Manager dei gruppi di ricette
  • Altre funzioni

Le funzioni di uso più frequente possono essere progettate con l´aiuto dell´assistente alle funzioni.

Inserimento

Le funzioni vengono inserite nel campo di inserimento del report.

Se si vuole che più celle ricevano lo stesso inserimento/la stessa funzione:

  1. Selezionare anzitutto la cella sorgente e quella di destinazione.
  2. Nel menù contestuale, poi, selezionare il comando Riempi e la direzione desiderata (a destra oppure in giù)

    I riferimenti alle coordinate delle celle nella funzione verranno poi adeguati automaticamente.

Esempio di inserimenti

Parametri | Descrizione
=archiv(1,Valore,in giù) | Tutti i valori della variabile di archivio 1 vengono visualizzati a partire dalla cella procedendo verso il basso.
=sum(A4:D4) | I contenuti delle celle da A4 fino a D4 verranno sommati. La cella deve essere formattata come valore.
=now() | Restituisce la data attuale/l´ora corrente.

info Info

Le funzioni di report possono causare delle segnalazioni di errore nell´Editor se non sono stati inseriti correttamente tutti i dati necessari per il calcolo. Per controllare se la progettazione è corretta, testare il report a Runtime.

Direzione

Opzioni

Significato

Destra

Il valore verrà inserito a destra (riga).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si crea una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).

Sotto

Il valore verrà inserito in basso (colonna).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si crea una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

info Info

Per usare il modulo “Generatore di report” sia nell´Editor che a Runtime (standalone, Server/Standby, Client), è necessario acquistare una licenza.

Se non viene registrata la licenza per il modulo a Runtime, non saranno disponibili le seguenti funzioni:

  • Salva archivi (per inserimenti manuali)
  • E imposta valore.

È possibile l´accesso in lettura.

Ancora in questo capitolo

Convenzioni

Assistente alle funzioni

Funzioni di archiviazione e di protocollo

Funzioni banca dati

Data e funzioni di tempo

Funzioni logiche

Funzioni matematiche e trigonometriche

Funzioni del manager dei gruppi di ricette

Funzioni statistiche

Funzioni di testo

Altre funzioni

Chiavi di formattazione


Convenzioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Convenzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Valgono le seguenti convenzioni:

Parametri | Descrizione
Numero: | (num); Il separatore usato per le cifre decimali dipende dalle impostazioni del sistema operativo (1,0 oppure 1.0).
Area: | (A1:A10)
Stringa: | Le successioni di caratteri vengono separate mediante virgolette ("), p.es. "ABC"..
Radianti: | Le funzioni goniometriche vengono inserite in radianti.

Conversione gradi in radianti

Gradi | Misura arco | Radianti
0,00 | 0 | 0
45,00 | p/4 | 0,78539816339744828
90,00 | p/2 | 1,5707963267948966
135,00 | 3p/4 | 2,3561944901923448
180,00 | p | 3,1415926535897931
225,00 | 5p/4 | 3,9269908169872414
270,00 | 3p/2 | 4,7123889803846897
315,00 | 7p/4 | 5,497787143782138
360,00 | 2p | 6,2831853071795862


Assistente alle funzioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Assistente alle funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assistente alle funzioni è uno strumento che aiuta a progettare funzioni di report. L´assistente offre all´utente le funzioni di uso più frequente. Tutte le altre funzioni vengono inserite manualmente nella riga di inserimento del report.

Per aprire l´assistente alle funzioni:

  1. Cliccare nella cella desiderata.
  2. Nel menù contestuale, selezionare il comando Funzioni report
  3. Si apre l´assistente.
  4. La selezione eseguita nell´assistente viene ripresa nella riga di inserimento;
    le parentesi eventualmente aperte devono essere chiuse manualmente.

Parametri | Descrizione
Sintassi | Risultato della selezione di funzione e parametro.
Funzione | Selezione della funzione.
Parametri | Selezione dei parametri che sono a disposizione per la funzione scelta.


Funzioni di archiviazione e di protocollo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nozioni di base

Tutte le funzioni d´archiviazione si basano sulla funzione base archive (FILTERINDEX,PARAMETER,RICHTUNG).

Le estensioni sono contrassegnate tramite l´aggiunta di ulteriori lettere nel nome della funzione.

Abbreviazione | Significato | Commento
r | read only | L´archivio può essere solamente letto. I valori modificati non possono essere salvati.
sp | Colonne | Mette a disposizione una speciale formattazione per la definizione delle celle da utilizzare.
m | Matematica | Ha effetto solamente su Valore e Tempo.
ex | extended | Offre trattamenti speciali.
w | write | Scrittura possibile.

Indice filtro

L´indice filtro crea una relazione fra i numeri del filtro archivi usati nelle funzioni di report e le variabili degli archivi.

Example Esempio

=archive (5,"valore","giù")

FILTERINDEX = 5

L´inserimento riportato come numero 5 nel filtro viene usato per la funzione di report.

Parametri

Opzioni | Possibile valore
valore | [1-n]
stato | [1-n]
tempo | [1-n]
quantità | [1]

Direzione

Opzioni | Significato
Destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
Sotto | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Tutte le funzioni d´archiviazione possono essere create con l´Assistente alle funzioni.

Quando vengono emesse informazioni di stato, vengono utilizzate le impostazioni della sezione [STATUS] del file project.ini, o quelle dall´assegnazione definita internamente. Se è stata modificata la descrizione dello stato nel file project.ini, verrà utilizzato il nome cambiato. (Suggerimento: consente di garantire la compatibilità del progetto con vecchi nomi di stato).

Nel funzionamento online, il tempo della query può essere definito o nella chiamata funzione , oppure a Runtime all’apertura di un file report.

Modificare inserimenti archivi

I valori di archivio possono essere modificati a Runtime, a condizione che l´utente sia in possesso delle autorizzazioni operative necessarie. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

info Info

Modificare campi stringa in un report: se un testo è costituito solamente di numeri, quando lo si salva, gli spazi vuoti vengono eliminati automaticamente. Se tuttavia si desidera avere degli spazi vuoti, questi ultimi dovranno essere rappresentati usando il carattere ASCII 255 (Alt+255).

Ancora in questo capitolo

Trattamento di inserimenti archivio

Progettazione con assistente alle funzioni

archive

archiveex

archiveexr

archivem

archivemr

archivemsp

archivemspr

archiver

archivesp

archivespr

archivespw

archivew

archivetime

batch

batchnr

wmz

wmzz


Trattamento di inserimenti archivio

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> Trattamento di inserimenti archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Trattamento di inserimenti archivio

Gli inserimenti di archivio possono essere visualizzati in un report e modificati a patto che si sia in possesso delle autorizzazioni necessarie; dopo averli modificati, si può salvare gli inserimenti nell´archivio. Per facilitare il processo di creazione di funzioni di report, è stato messo a disposizione dell´utente l´assistente alle funzioni.

Lettura e scrittura di inserimenti di archivio

I seguenti contenuti di un inserimento di archivio possono essere letti per essere visualizzati in un report.

  • Valore
  • Stato
  • Ora

I seguenti inserimenti di archivio possono essere modificati nel report mediante calcoli o inserendoli di nuovo; i cambiamenti potranno poi essere salvati:

  • Valore
  • Stato

Gli inserimenti di archivio modificati vengono salvati a Runtime facendo uso del pulsante Salva archivio. Si può impedire che le modifiche vengano salvate::

  • Attivando l´opzione Sola lettura nella funzione di zenon di cambio all´immagine di report.
  • Attivando l´opzione Bloccato nella finestra di dialogo Formattazione cella.

Se il valore di un inserimento di archivio viene modificato, al momento del salvataggio lo stato nell´archivio viene settato su MAN_VAL.

Eccezione: se si modifica anche lo stato dell´inserimento di archivio, verrà inserito solamente lo stato cambiato. In quei casi in cui è necessario soddisfare anche le norme FDA, in fase di progettazione bisogna stabilire che non è consentita nessuna modifica dello stato via report. Gli inserimenti di archivio con lo stato MAN_VAL vengono visualizzati in color blu al momento della lettura in un report.

Rappresentazione

Gli inserimenti archivio si possono rappresentare come successione valori di archivio o come successione valori di archivio formattata. Partendo dalla cella nella quale la funzione archivio è progettata, si visualizzavano gli inserimenti archivio dell’arco di tempo del protocollo aperto a destra oppure in giù. In assenza di inserimenti archivio, si emette nella cella, nella quale la funzione archivio è definita, un -.

Successione valori di archivio

Gli inserimenti archivio letti vengono visualizzati di seguito senza celle vuote.

Successione valori di archivio formattata

Gli inserimenti archivio sono visualizzati con un definito numero di

  • inserimenti archivio per riga
  • celle vuote tra 2 inserimenti
  • righe vuote tra le righe

.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori


Progettazione con assistente alle funzioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> Progettazione con assistente alle funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione con assistente alle funzioni

Potete progettare le funzioni di report per gli archivi usando l´assistente alle funzioni:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni.
  2. Si apre l´assistente.
  3. Selezionate la funzione archivio desiderata.

  4. La funzione archivio viene inserita nella sintassi.
  5. Cliccando su archivi, si apre il Filtro archivio.

  6. Selezionate l´inserimento desiderato.

  7. Il numero di referenza dell´inserimento (per es. 4) viene ripreso nella stringa della sintassi.
  8. Selezionate il parametro desiderato, per es. valore).

  9. Il parametro viene ripreso nella stringa.
  10. Selezionate la direzione desiderata dell´inserimento nella tabella:
    • giù: la funzione riempe la colonna
    • a destra: la funzione riempe la riga
      Attenzione: se usate la funzione archivesp, dovete prevedere un numero adeguato di colonne/righe! Se si sceglie, per es., " a destra", ma c`è solo una colonna disponibile, i valori verranno inseriti dall´alto in basso (in quest´unica colonna esistente).

  11. La direzione viene ripresa nella stringa.
  12. Viene chiusa la parentesi.

  13. Cliccando su OK, la funzione viene ripresa nella cella.


archive

archive

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archive(INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto e visualizzato il parametro desiderato dall'archivio.
DIREZIONE | giù, destra | Definisce la direzione in cui si procede per riempire le celle, a partire dalla cella in cui è stata creata la funzione.

Example Esempio

In un report, tutti i valori di archivio della variabile d’archivio 1 devono essere visualizzati verso il basso.

=archive(1,"valore","giù")


archiveex

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archiveex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archiveex

Sintassi: =archiveex(INDICE FILTRO,PARAMETRO,DIREZIONE,STATO,TESTO DI SOSTITUZIONE,NN_TESTO,NN_VALORE DI SOSTITUZIONE,OFFSETCICLO)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATUS

SPONT, MAN_VAL, INVALID

Stato dei valori da visualizzare

TESTO DI SOSTITUZIONE

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATO.

NN_TESTO

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_VALORE DI SOSTITUZIONE

Riferimento cella o valore fisso Se viene inserito nella cella TESTO DI SOSTITUZIONE e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_VALORE DI SOSTITUZIONE.

OFFSET CICLO

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min

Example Esempio

=archiveex(1,"tempo","giù",SPONT,MAN_VAL,-,NN,G2,-2)


archiveexr

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archiveexr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archiveexr

Sintassi: =archiveexr(INDICE FILTRO,PARAMETRO,DIREZIONE,STATO,TESTO DI SOSTITUZIONE,NN_TESTO,NN_VALORE DI SOSTITUZIONE,OFFSETCICLO)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATUS

SPONT,MAN_VAL, INVALID

Stato dei valori da visualizzare

TESTO DI SOSTITUZIONE

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATO.

NN_TESTO

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_VALORE DI SOSTITUZIONE

Riferimento cella o valore fisso Se viene inserito nella cella TESTO DI SOSTITUZIONE e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_VALORE DI SOSTITUZIONE.

OFFSET CICLO

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min


archivem

archivem

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivem(INDICE FILTRO,PARAMETRO,DIREZIONE,MATH)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • Costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Nota relativa al simbolo numeri negativi:
Nelle versioni 7.10, 7.11, 7.20 e 7.50 di zenon, i numeri con segno negativo devono essere inseriti fra virgole alte. In tutte le altre versioni l´uso di virgole alte (virgolette) è consentito, ma non obbligatorio.
Per esempio: =archivem(2,"tempo","in giù","-10")

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I valori corretti possono essere salvati usando il pulsante Salva archivio.

attention Attenzione

Ogni volta che si salva l´archivio, vengono corretti i valori per un valore corrispondente alla costante impostata!


archivemr

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivemr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore.

Sintassi: =archivemr(INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • Costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Nota relativa al simbolo numeri negativi:
Nelle versioni 7.10, 7.11, 7.20 e 7.50 di zenon, i numeri con segno negativo devono essere inseriti fra virgole alte. In tutte le altre versioni l´uso di virgole alte (virgolette) è consentito, ma non obbligatorio.
Per esempio: =archivemr(2,"tempo","in giù","-10")

attention Attenzione

I valori modificati non possono essere salvati nell´archivio!

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I possibili parametri sono solamente tempo e valore.=archivemr (4,valore,destra,6.5)

Tutti i valori archivio letti vengono aumentati di 6,50 per la loro rappresentazione nel report. .

=archivemr(4,Tempo,a4,tempo,a destra,-1)

I tempi degli inserimenti di archivio vengono portati di 1 minuto indietro per la loro rappresentazione nel report.

Possibilità d´uso: per esempio per valori mensili che sono a disposizione solamente dopo la fine del mese (data/ora per es. 00:01:00).


archivemsp

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivemsp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemsp

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore; essa permette anche di fissare le celle per gli inserimenti. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivemsp((INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante: con segno, costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

attention Attenzione

Ogni volta che si esegue Salva archivio, vengono corretti i valori della costante impostata!

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con una colonna vuota e nessuna riga vuota.


archivemspr

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivemspr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemspr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio per la rappresentazione nel report mediante l´addizione di una costante al valore. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I parametri impostabili sono solo Tempo e Valore.

attention Attenzione

I valori modificati non possono essere salvati nell´archivio!

Sintassi: =archivemspr((INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante: con segno, costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con 1 colonna vuota e 0 righe vuote.


archiver

archiver

Questa funzione consente di leggere valore, stato e tempo di un inserimento di archivio. Non sono possibili delle modifiche.

Sintassi: =archiver((INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.

A differenza della funzione archive, in questo caso non è possibile effettuare degli inserimenti manuali nel Runtime.

Campo di applicazione: per esempio quando un inserimento deve essere visualizzato più volte in un report, ma deve essere editabile solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.


archivesp

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivesp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivesp

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivesp(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella sezione [STATUS], o quelle dall´attribuzione definita internamente. Se è stata modificata la descrizione dello stato nel file project.ini, verrà utilizzato il nome cambiato. (Suggerimento: consente di garantire la compatibilità del progetto con vecchi nomi di stato).


archivespr

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivespr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivespr

Con questa funzione si possono leggere solamente il valore, lo stato e il tempo dell’inserimento archivio.

Sintassi: =archivespr(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

A differenza della funzione archivesp, in questo caso non possono essere inseriti valori manualmente nelle celle. Queste funzioni vengono utilitzzate quando un inserimento deve essere visualizzato più volte in un report, ma emesso solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.

Example Esempio

=archivespr(1,"valore","giù",12,1,3)

Tutti i valori dell´inserimento archivio con il numero di filtro 1 vengono scritti verso il basso; sono previsti 12 inserimenti con 1 spazio vuoto 3 colonne vuote.


archivespw

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivespw

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivespw

Questa funzione sopprime la visualizzazione in Repor degli inserimenti archivio letti e consente la definizione delle celle da utilizzare. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni.

Sintassi: =archivespw(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3,SZ_VALORE,SZ_STATO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
P1 |  | Numero dei valori di archivio da emettere nella prima riga.
P2 |  | Numero delle celle vuote tra due valori.
P3 |  | Numero delle celle vuote tra due successioni valori.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. Vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Questo vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato commuta su “Valore manuale” (MAN_VAL).


archivew

archivew

Questa funzione sopprime la visualizzazione degli inserimenti archivio nel report. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni. Questa funzione può essere usata per comprimere, per esempio, dei valori mensili in valori annuali.

Sintassi: =archivew(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3,SZ_VALORE,SZ_STATO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. Vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Questo vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato commuta su “Valore manuale” (MAN_VAL).

Example Esempio

Compressione di valori mensili in valori annuali:

in un protocollo mensile con valori giornalieri si calcola in quanti giorni si è superato il limite di un valore x. La somma delle violazioni del limite è visualizzata in una cella del report.

  • In un archivio è definito un valore che presenta un inserimento al mese.
  • Questo inserimento viene letto nel report tramite archivew.
  • =archivew(4,"valore","giù",B12,C12)
    • 4: Variabile da filtro archivio
    • valore: parametro della variabile che deve essere visualizzata
    • giù: direzione nella quale deve avvenire la lettura dei valori
    • B12: cella di partenza, corrisponde alla cella calcolata
    • C12: definisce il valore di stato da emettere
  • Al salvataggio del valore di archivio, la somma viene scritta sul valore di archivio.


archivetime

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di archiviazione e di protocollo -> archivetime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivetime

La funzione archivetime fornisce, in dipendenza dal filtro di tempo impostato, l’informazione di tempo per l'avvio e la fine dell’interrogazione archivio nello stato online.

Sintassi: =archivetime(INDICE FILTRO,PARAMETRO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | absolutzeitvon, absolutzeitbis | Tempo d´inizio e tempo della fine dell´interrogazione archivio


batch

batch

Questa funzione emette il primo nome Lotto per l´archivio selezionato nell´area filtro del report.

Sintassi: =batch(INDICE FILTRO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.

Example Esempio

=batch(1)

Primo nome lotto per l´archivio della variabile che occupa il primo posto nel filtro archivio.


batchnr

batchnr

Questa funzione emette diverse informazioni concernenti i lotti. L´emissione avviene in una lista che viene analizzata dall´alto in basso, oppure da sinistra a destra. Vengono visualizzati:

  • nomi dei lotti
  • Ora partenza
  • ora fine

Sintassi: =batchnr((INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | namen, vonzeit, biszeit | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, sinistra | Riempimento nella rispettiva direzione.


wmz

wmz

La funzione =wmz restituisce il risultato dell´archivio del contatore calore. Sovraffollamento contatore non viene tenuto in considerazione automaticamente.

Sintassi: =wmz(INDICE FILTRO, ARCHIVIATO, SOVRAFFOLLAMENTO, VALORE INIZIALE, VALORE FINALE,INFO CONTATORE,ERRORCOUNTER)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

ATTIVATO

0 = disattivato
>0 = attivato

Con 0 la funzione non viene eseguita.

SOVRAFFOLLAMENTO

valore o riferimento cella

Con un sovraffollamento di 1000, il sistema rivela un errore in corrispondenza di una valore archivio a partire da 1000 e più alto.

VALORE INIZIALE

Riferimento cella

Primo valore valido dell´archivio.

VALORE TERMINALE

Riferimento cella

Ultimo valore valido dell´archivio.

INFO CONTATORE

Riferimento cella

Inizio del cambio contatore. Direzione a destra dal riferimento cella.

Consiste di quattro inserimenti cella:

  • Data e tempo del primo valore dopo il cambio contatore.
  • Valore primo del cambio contatore.
  • Valore dopo il cambio contatore.
  • Cella vuota.

ERRORCOUNTER

Riferimento cella

Emette il numero degli errori rilevati in una cella.

Cause errori:

  • valori >= come definito in SOVRAFFOLLAMENTO.
  • valori <= 0
  • Nel caso di due valori archivio successivi, il primo valore è maggiore a quello successivo.

La somma di tutti i valori validi viene scritta nella cella della funzione.


wmzz

wmzz

La funzione wmzz(Indice filtro, direzione,P1,P2,P3,attivato, Sovraffollamento) restituisce il risultato dell´archivio del contatore calore a coppie, vale a dire viene restituita la differenza di due valori archivio successivi.

Il valore 0 viene restituito quando:

  • il primo valore è >= il valore successivo.
  • uno dei due valori è >= SOVRAFFOLLAMENTO.
  • uno dei due valori è = 0.

Sintassi: =wmzz(Indice filtro, direzione,P1,P2,P3,attivato, Sovraffollamento)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori
ATTIVATO | 0 = disattivato 1 = attivato | Con 0 la funzione non viene eseguita.
SOVRAFFOLLAMENTO | valore o riferimento cella | Con un sovraffollamento di 1000, il sistema rivela un errore in corrispondenza di una valore archivio a partire da 1000 e più alto.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori


Funzioni banca dati

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione permette di leggere banche dati di Access o SQL.

Sintassi: =sqldao (BANCA DATI,SQL-INTERROGAZIONE,PARA1,PARA2)

Parametro di trasferimento

Commento

BANCA DATI

Nome del database *.mdb o del provider OLEDB.

Interrogazione SQL

Possono essere utilizzate le seguenti database-query standard:

  • SELECT
  • INSERT
  • UPDATE
  • DELETE
  • EXECUTE

Trasferimento di parametri.
A scelta:

  • Due Integer: %d %d
  • Due stringhe: %s %s

PARA1

parametro per l´interrogazione SQL

PARA2

parametro per l´interrogazione SQL

Tipi di dati supportati

La funzione sqldao supporta i seguenti tipi di dato database:

  • DBTYPE_I1
  • DBTYPE_UI1
  • DBTYPE_I2
  • DBTYPE_UI2
  • DBTYPE_I4
  • DBTYPE_UI4
  • DBTYPE_I8
  • DBTYPE_UI8
  • DBTYPE_R4
  • DBTYPE_R8
  • DBTYPE_STR
  • DBTYPE_WSTR
  • DBTYPE_BSTR

Progettazione con assistente alle funzioni

Avete accesso alle banche dati MS Access e a quello con provider OLEDB. A tal scopo usate la seguente sintassi:

Database

Sintassi

Banca dati MS Access

=sqldao (Banca dati,SQL-interrogazione,PARA1,PARA2)

2. Banche dati con provider OLEDB

Sostituite il riferimento alla banca dati con una stringa di inizializzazione OLEDB. Potete

  • inserire questa stringa manualmente oppure
  • crearla cliccando sul pulsante Provider OLEDB.

Banca dati con provider OLEDB

Quando si clicca sul pulsanteProvider OLEDB si apre il dialogo Proprietà di Data Link:

Qui definite la connessione con la banca dati desiderata:

  • Tipo del provider OLEDB.
  • Origine dati
  • Informazioni di autenticazione
  • ecc.

Se si conferma il dialogo cliccando su OK, viene generata la stringa di inizializzazione, che viene inserita nel campo Sintassi .

Sintassi: =sqldao (Provider,SQL-interrogazione,Para1,Para2)

attention Attenzione

La stringa di inizializzazione deve cominciare sempre con la successione di caratteri Provider=. Fare attenzione alla scrittura in lettere maiuscole e minuscole, dato che la stringa è case sensitive!

Impostazioni per MS Access e OLEDB

Parametro di trasferimento

Descrizione

Database

Nome del database *.mdb :
Luogo di salvataggio: cartella di progetto che è sovraordinata alla cartella Runtime.
Per es.:
Percorso Runtime: sottocartella di C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

Luogo di salvataggio *.mdb: direttamente nella cartella C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

La cartella di progetto viene definita nelle proprietà di progetto.

Provider

Provider OLEDB; la stringa di inizializzazione deve sempre iniziare con il segno Provider= (case sensitive).

Interrogazione SQL

Qui possono essere usate interrogazioni di banca dati standard "Select".

Con %d %d possono essere attribuiti 2 parametri integer oppure con %s %s 2 parametri stringa.

Para1, Para2

Parametro per l´interrogazione SQL.

Ancora in questo capitolo

Esempio Access

Esempio SQL


Esempio Access

Esempio Access

Esempi per MS Access

Esempio di banca dati: Adress.mdb

Nome | Nome di battesimo | Strada | Residenza | Telefono | CanAdresse
Müllner | Egon | Am Rheinberg 22 | 5020 Salzburg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzburg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzburg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Esempio 1

Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome.

Funzione: =sqldao("Adress.mdb","SELECT Adressen.name FROM Adressen ;",1,1)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Adressen.name | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella

Risultato:

Müllner

Roider

Leitner

Müller

Weinberger

Esempio 2

  • Limite inferiore Contenuto di cella E1
  • Limite superiore: Contenuto di cella E2
  • Nome del campo per l´analisi: CanAdresse
  • Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome e Nome di battesimo.
  • La condizionemCanAdresse deve essere maggiore del contenuto della cella E1 e minore del contenuto della cella E2.

Funzione: =sqldao(Adress.mdb,SELECT Address.name,Address.first name FROM Address WHERE (((Adressen.CanAdresse)>%d) AND ((Adressen.CanAdresse)<%d)) ;,E1,E2)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Indirizzi.nome | Tabella.nome di campo
, | separatore SQL
Indirizzi.nome | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella
WHERE | Indica quali blocchi dati delle tabelle elencate nella sezione FROM sono interessati da un comando SELECT-, UPDATE- o DELETE.
(((Adressen.CanAdresse)>%d) | Condizione: Tabella.nome di campo
AND | Collegamento
(((Adressen.CanAdresse)<%d) | Condizione: Tabella.nome di campo
; | SQL Statement Conclusione
E1, E2: | Riferimenti cella (integer)

Risultato per E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

info Info

Per ulteriori informazioni al riguardo di commenti SQL vedi help online di access.


Esempio SQL

Esempio SQL

Esempio di banca dati con provider OLEDB

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Parametro di trasferimento | Commento
DATENBANK | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
Interrogazione SQL | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Valori per esempio

Database: "AdventureWorks"

Installation: AdventureWorksDB.msi

Sorgente: http://msftdbprodsamples.codeplex.com/releases/view/4004

Nome del PC: "PC1"

Autenticazione: "Windows NT"

Istanza SQL Server: "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT con parametro stringa (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT con parametro numerico (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

DELETE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE con parametro numerico (cella J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Data e funzioni di tempo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Data e funzioni di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione fornisce i valori data e tempo.

Per le chiavi di formattazione generali, consultare il capitolo Tipi di dato per data e ora. Tenere presente i requisiti delle singole funzioni.
Nota: a partire dal 2000, gli inserimenti relativi agli anni devono essere eseguiti sempre con quattro cifre. Per esempio: se si digita 19, il sistema interpreterà questo inserimento come 1919. Se si vuole inserire l´anno 2019, si dovranno digitare tutte e quattro le cifre.

Ancora in questo capitolo

date

datevalue

day

hour

minute

month

=now

second

time

today

weekday

year


date

date

La funzione date (iYear, iMonth, iDay) restituisce la data a partire dai valori numerici per anno (iYear), mese (iMonth) e giorno (iDay).

Sintassi: =date(iYear,iMonth,iDay)

Parametro di trasferimento | Ambito | Commento
iYear | [0100-2200] |
iMonth | [1-12] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iDay | [1-(28,29,30,31)] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.

Formato risultante: date

Formattazione standard: dddd dd/mm/yyyy

Example Esempio

=date(2010,5,12) restituisce 12.05.2010

Cella A1=2010, Cella A2=5, Cella A3=12, Cella A4=date(A1,A2,A3) dà 12.05.2010


datevalue

datevalue

La funzione datevalue (date_text) restituisce la data dal testo data (date_text).

  • Sintassi: =datevalue(date_text)
  • Formato di inserimento per date_text: dd.mm.yyyy hh:mm:ss


day

day

La funzione day(date) determina il giorno dal valore data.

Sintassi: =day(date)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=day(A1) dà 5


hour

hour

La funzione hour(time) determina l’ora dal valore di tempo..

Sintassi: =hour(time)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=hour(A1) dà 12


minute

minute

La funzione minute(time) restituisce i minuti di un valore di tempo.

Sintassi: =minute(time)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=minute(A1) restituisce 46


month

month

La funzione month(date) determina il mese dal valore data.

Sintassi: =month(date)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=month(A1) dà 6


=now

=now

La funzione now() fornisce la data e il tempo attuale.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: =now()

Example Esempio

=now() dà 05.06.2001
=now()dà con stringa formato "hh:mm:ss dd/mm/yy" 12:46:24 05.06.10


second

second

La funzione second(time) restituisce i secondi di un valore di ora.

Sintassi: =second(time)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=second(A1) dà 24


time

time

La funzione time(iHour, iMinute, iSecond) restituisce il tempo a partire dai valori numerici per l´ora (iHour), minuto (iMinute) e secondo (iSecond).

La cella viene automaticamente dotata con il string di formato "hh:mm:ss"

Sintassi: =time(iHour,iMinute,iSecond)

Parametro di trasferimento | Ambito | Commento
iHour | [0-23] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iMinute | [0-59] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iSecond | [0-59] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.

Formato di risultato: time

Example Esempio

=time(12,24,48) restituisce 12:24:48.

Cella A1=12, Cella A2=24, Cella A3=48 , Cella A4=time(A1,A2,A3) dà 12:24:48


today

today

La funzione today() restituisce la data attuale.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: =today()

Example Esempio

=today() dà 05.06.2001
=today()dà con stringa formato "hh:mm:ss dd/mm/yy" 00:00:00 05.06.10


weekday

weekday

La funzione weekday(date) restituisce il giorno dal valore di data..

Sintassi: =weekday(date)

valore d´emissione | Giorni settimanali
1 | Domenica
2 | Lunedì
3 | Martedì
4 | Mercoledì
5 | Giovedì
6 | Venerdì
7 | Sabato

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=weekday(A1) dà 3


year

year

La funzione year(date) determina l’anno dal valore di data.

Sintassi: =year(date)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=year(A1) restituisce 2010.


Funzioni logiche

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni logiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa sezione riassume tutte le funzioni logiche del Report Generator.

Ancora in questo capitolo

and

exact

false

if

isblank

iserror

islogical

isnontext

isnumber

isref

istext

not

or

true


and

and

La funzione and(logical,logical) fornisce il valore VERO, se i due argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =and(logical,logical)

Esempio

Cella A1 | Cella A2 | Cella A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

exact

La funzione exact(string1,string2), fornisce il valore WAHR, se le due stringhe di testo sono identiche, tenendo in considerazione la scrittura maiuscola e minuscola.

Sintassi: =exact(string1,string2)


false

false

La funzione false() fornisce il valore logico FALSO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =false()

Example Esempio

L´inserimento in cella A1=false() dà False


if

if

La funzione if(exprTest,valTrue,valFalse) restituisce il contenuto di valTrue (valore o stringa), se l´argomento exprTest è VERO, in caso contrario il contenuto di valFalse. È possibile l´annidamento di funzioni if, per realizzare, per es., collegamenti and.

Sintassi: =if(exprTest,valTrue,valFalse)


isblank

isblank

La funzione isblank(ref) fornisce il valore logicoWAHR, se la cella di riferimento è vuota.

Sintassi: =isblank(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuota |  | True
numero: | 123.00 | False
Error | #ARG! | False


iserror

iserror

La funzione iserror(ref) fornisce il valore logico WAHR, se nella cella di riferimento viene individuato un errore.

Sintassi: =iserror(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuota |  | False
numero: | 123.00 | False
Error | #ARG! | True


islogical

islogical

La funzione islogical(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore logico.

Sintassi: =islogical(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
vuota |  | False
numero: | 123.00 | False
Error | #ARG! | False


isnontext

isnontext

La funzione isnontext(ref) fornisce il valore logico VERO, se la cella di riferimento non contiene una stringa di testo.

Sintassi: =isnontext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
vuota |  | True
numero: | 123.00 | True
Error | #ARG! | False


isnumber

isnumber

La funzione isnumber(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore numerico.

Sintassi: =isnumber(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | False
vuota |  | False
numero: | 123.00 | True
Error | #ARG! | False


isref

isref

La funzione isref(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un riferimento a un’altra cella.

Sintassi: =isref(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuota |  | False
numero: | 123.00 | False
Error | #ARG! | False
Referenza | =B1 | True


istext

istext

La funzione istext(ref) fornisce il valore logico VERO, se la cella di riferimento non contiene una stringa di testo.

Sintassi: =istext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | True
vuota |  | False
numero: | 123.00 | False
Error | #ARG! | False


not

not

La funzione not(logical) restituisce l’opposto logico dell’argomento.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =not(logical)

Esempio

cella A1 | Cella A2=not(A1)
false | True
true | False


or

or

La funzione or(logical,logical) restituisce il valore logico VERO, se uno o entrambi gli argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =or(logical,logical)

Esempio

cella A1 | cella A2 | Cella A3 =or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

true

La funzione true() restituisce il valore logicoVERO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =true()

Example Esempio

L´inserimento in cella A1=true() dà True


Funzioni matematiche e trigonometriche

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni matematiche e trigonometriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report sono a disposizione delle funzioni matematiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.

Ancora in questo capitolo

abs

acos

acosh

asin

asinh

atan

atanh

atan2

ceil

column

columns

cos

cosh

degree

even

exp

fact

factdouble

floor

int

ln

log10

mod

odd

pi

product

quotient

radiante

rand

randbetween

round

row

rows

sign

sin

sinh

sqrt

sqrtpi

tan

tanh

trunc


abs

abs

La funzione abs (num fornisce come risultato il valore assoluto di un numero. Il valore assoluto di un numero è il numero senza segno.

Sintassi: =abs(num)

num: è il numero reale, di cui intende richiedere il valore assoluto.

Example Esempio

=abs(2,2) restituisce 2

=abs(-2,2) restituisce 2


acos

acos

La funzione acos (num) fornisce l’arcocoseno di un numero.

Sintassi: =acos(num)


acosh

acosh

La funzione acosh (num fornisce l’inverso del coseno iperbolico di un numero.

Sintassi: =acosh(num)


asin

asin

La funzione asin (num) fornisce l’arcoseno di un numero.

Sintassi: =asin(num)


asinh

asinh

La funzione asinh (num) fornisce l’inverso del seno iperbolico di un numero.

Sintassi: =asinh(num)


atan

atan

La funzione atan (num) fornisce l’arcotangente di un numero.

Sintassi: =atan(num)


atanh

atanh

La funzione atanh (num) fornisce l’inverso della tangente iperbolica di un numero.

Sintassi: =atanh(num)


atan2

atan2

La funzione atan2 (x,y) fornisce l’arcotangente partendo da una coordinata x e y.

Sintassi: =atan2(x, y)


ceil

ceil

La funzione ceil (num) fornisce il valore arrotondato per eccesso sull’intero maggiore di un numero.

Sintassi: =ceil(num)

Example Esempio

=ceil(2,2) restituisce 3

=cei(-2,2) restituisce -3


column

column

La funzione column (ref) fornisce il numero di colonna di un rifermento (per es. C3=2) nel campo valori da 0 a n.

Sintassi: =column(ref)


columns

columns

La funzione columns (range) fornisce il numero delle colonne nel campo indicato.

Sintassi: =columns(range)


cos

cos

La funzione cos(num) restituisce il coseno di un numero.

Sintassi: =cos(num)

Esempio

=cos(inserimento)

 | Invio | Risultato
grado | radiante: | coseno
0,00 | 0 | 1,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 0,000
135,00 | 2,3561944901923448 | -0,707
180,00 | 3,1415926535897931 | -1,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -0,000
315,00 | 5,497787143782138 | 0,707
360,00 | 6,2831853071795862 | 1,000


cosh

cosh

La funzione cosh(num) fornisce il coseno iperbolico di un numero.

Sintassi: =cosh(num)


degree

degree

La funzione degree(num) converte il valore radiante in gradi..

Sintassi: =degree(num)

Esempio

=degree(inserimento)

Invio | Risultato
Radians() | Degree()
0 | 0
0,78539816339744828 | 45
1,5707963267948966 | 90
2,3561944901923448 | 135
3,1415926535897931 | 180
3,9269908169872414 | 225
4,7123889803846897 | 270
5,497787143782138 | 315
6,2831853071795862 | 360


even

even

La funzione even(num) fornisce il prossimo valore intero pari maggiore. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =even(num)

Example Esempio

=even(2,2) restituisce 4

=even(-2,2) restituisce -4


exp

exp

La funzione exp(num) potenzia la base e col numero indicato come argomento.

Sintassi: =exp(num)

Example Esempio

=exp(0) restituisce 1

=exp(1) restituisce 2,718282

=exp(10) restituisce 22026,465795


fact

fact

La funzione fact(int) fornisce il fattoriale di un numero.

Sintassi: =fact(int)

Example Esempio

=fact(0) restituisce 1 (1)

=fact(1) restituisce 1 (1)

=fact(2) restituisce 2 (1*2)

=fact(3) restituisce 6 (1*2*3)

=fact(4) restituisce 24 (1*2*3*4)

=fact(5) restituisce 120 (1*2*3*4*5)


factdouble

factdouble

La funzione factdouble(num) restituisce il doppio fattoriale di un numero. In questo modo viene definito il prodotto di ogni secondo numero.

Sintassi: =factdouble(num)

Example Esempio

=factdouble(0) restituisce 0 (0)

=factdouble(1) restituisce 1 (1)

=factdouble(2) restituisce 2 (2)

=factdouble(3) restituisce 3 (1*3)

=factdouble(4) restituisce 8 (2*4)

=factdouble(5) restituisce 15 (1*3*5)


floor

floor

La funzione floor(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Numeri negativi si arrotondano verso lo zero.

Sintassi: =floor(num)

Example Esempio

=floor(2,2) restituisce 2

=floor(-2,2) restituisce -2


int

int

La funzione int(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =int(num)

Example Esempio

=int(2,2) restituisce 2

=int(-2,2) restituisce -3


ln

ln

La funzione ln(num) restituisce il logaritmo naturale di un numero..

Sintassi: =ln(num)

Example Esempio

=ln(1) restituisce 0

=ln(2,718282) restituisce 1

=ln(22026,465795) restituisce 10


log10

log10

La funzione log10(num) dà il logaritmo in base 10 di un numero.

Sintassi: =log10(num)

Example Esempio

=log10(1) restituisce 0

=log10(10) restituisce 1

=log10(100) restituisce 2

=log10(1000) restituisce 3


mod

mod

La funzione mod (num, divisor) restituisce il resto della divisione di un valore (num) attraverso il divisore (divisor).

Sintassi: =mod(num,divisor)

Example Esempio

=mod(0,3) restituisce 0

=mod(1,3) restituisce 1

=mod(2,3) restituisce 2

=mod(3,3) restituisce 0

=mod(4,3) restituisce 1


odd

odd

La funzione odd (num) fornisce il maggior numero dispari intero. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =odd(num)

Example Esempio

=odd(2,2) restituisce 3

=odd(-2,2) restituisce -3


pi

pi

La funzione pi() fornisce il valore per pi: 3,1415926535897931

Sintassi: =pi()

Formattazione standard: *0.######

Example Esempio

=pi() restituisce con formattazione standard 3,141593


product

product

La funzione product (range) fornisce il prodotto dei valori nel campo definito.

Sintassi: =product(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=product(A1:A10)

Cella/colonna | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il risultato per l´area da A1 a A10 è pari a 3628800.


quotient

quotient

La funzione quotient (num,divisor) restituisce il quoziente di una divisione.

Sintassi: =quotient(num,divisor)

Example Esempio

=quotient(0,3) restituisce 0

=quotient(1,3) restituisce 0

=quotient(2,3) restituisce 0

=quotient(3,3) restituisce 1

=quotient(4,3) restituisce 1


radiante

radiante

La funzione radians (num) converte i gradi in radianti..

Sintassi: =radians(num)

num: Inserimento in gradi

Esempio

=radians(inserimento)

Invio | Risultato
0,00 | 0
45,00 | 0,78539816339744828
90,00 | 1,5707963267948966
135,00 | 2,3561944901923448
180,00 | 3,1415926535897931
225,00 | 3,9269908169872414
270,00 | 4,7123889803846897
315,00 | 5,497787143782138
360,00 | 6,2831853071795862


rand

rand

La funzione rand() restituisce ad ogni ricalcolo della tabella un numero a caso nell’area tra 0.000 und 1.000

Sintassi: =rand()


randbetween

randbetween

La funzione randbetween(min,max) fornisce ad ogni ricalcolo della tabella un numero a caso nell’intervallo tra min e max.

Sintassi: =randbetween(min,max)


round

round

La funzione round(num,digits) restituisce un numero arrotondato (num) al numero di decimali specificato (digits).

Sintassi: =round(num,digits)


row

row

La funzione row(ref) restituisce il numero di riga della cella di riferimento nell’intervallo da 0 a n.

Sintassi: =row(ref)


rows

rows

La funzione rows(range) restituisce il numero delle righe all´interno del campo indicato.

Sintassi: =rows(range)


sign

sign

La funzione sign(num)() fornisce il valore

  • 1 se il numero (num) è positivo,
  • -1 se il numero è negativo
  • 0 se il numero è 0

Sintassi: =sign(num)

Example Esempio

=sign(2,2) restituisce 1

=sign(-2,2) restituisce -1

=sign(0,0) restituisce 0


sin

sin

La funzione sin(num) restituisce il seno di un numero. .

Sintassi: =sin(num)

num: Impostazione in radians

Esempio

=sin(inserimento)

 | Invio | Risultato
grado | radiante: | seno
0,00 | 0 | 0,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 1,000
135,00 | 2,3561944901923448 | 0,707
180,00 | 3,1415926535897931 | 0,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -1,000
315,00 | 5,497787143782138 | -0,707
360,00 | 6,2831853071795862 | -0,000


sinh

sinh

La funzione sinh(num) restituisce il seno iperbolico di un numero.

Sintassi: =sinh(num)


sqrt

sqrt

La funzione sqrt(num) restituisce la radice quadrata di un numero.

Sintassi: =sqrt(num)

Example Esempio

=sqrt(1) restituisce 1

=sqrt(2) restituisce 1,414214

=sqrt(3) restituisce 1,732051

=sqrt(4) restituisce 2


sqrtpi

sqrtpi

La funzione sqrtpi(num) restituisce la radice quadrata di un valore pi.

Sintassi: =sqrtpi()

Example Esempio

=sqrtpi(1) restituisce 3,141593 = 1*pi

=sqrtpi(2) restituisce 4,442883 = sqrt(2)*pi

=sqrtpi(3) restituisce 5,441398 = sqrt(3)*pi

=sqrtpi(4) restituisce 6,283185 = sqrt(4)*pi


tan

tan

La funzione tan(num) restituisce la tangente del numero.

Sintassi: =tan(num)


tanh

tanh

La funzione tanh(num) restituisce la tangente iperbolica di un numero.

Sintassi: =tanh(num)


trunc

trunc

La funzione trunc(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Numeri negativi si arrotondano verso lo zero.

Sintassi: =trunc(num)

Example Esempio

=trunc(2,2) restituisce 2

=trunc(-2,2) restituisce -2


Funzioni del manager dei gruppi di ricette

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con le seguenti funzioni report del Manager di gruppi ricette possono essere visualizzate anche le variabili di altri progetti caricati che vengono utilizzati nelle ricette. Queste funzioni possono essere usate solo con immagini del tipo Manager gruppi ricette.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.

Ancora in questo capitolo

recipea

recipef

recipew


recipea

recipea

La funzione =recipeaInhalt) mostra dei dati generali di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipea(Inhalt)

Contenuto | Descrizione
muser | Utente che ha modificato la ricetta per ultimo.
mzeit | Tempo dell´ultima modifica.
rez | Nome della ricetta.
rezg | Nome del gruppo ricette al quale appartiene la ricetta.
reznum | Numero della ricetta
text1 A text 8 | Commenti degli utenti dalla ricetta 1 alla 8.
text2 | Commento utente 2 della ricetta.
version | Numero di versione della ricetta.
status | Stato della ricetta come testo. Per es.: 1 - Mustertext

Example Esempio

=recipea(reznum)


recipef

recipef

La funzione =recipef Contenuto, Variabile mostra dei dati orientati alle variabili di una ricetta del manager dei gruppi di ricette. Questi dati possono essere posizionati liberamente nel report.

Sintassi: =recipef(Contenuto,Variabile)

Contenuto | Descrizione
nome | Nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità di misura tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di testi di valori limite dalla matrice di reazione o valore limite come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
Variabile ricetta grafica | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Example Esempio

=recipef("valore","temperature")


recipew

recipew

La funzione =recipew(contenuto, direzione) mette a disposizione in forma tabellare dei dati orientati alla variabile di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipew(contenuto, direzione)

Contenuto | Descrizione
nome | Nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità di misura tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di valori come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
Variabile ricetta grafica | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Example Esempio

=recipew(nome,giù)


Funzioni statistiche

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni statistiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report sono a disposizione delle funzioni statistiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.

Ancora in questo capitolo

avg

count

counta

countblank

max

min

percentile

stdev

stdevp

sum

sumsq

var

varp


avg

avg

La funzione avg (range) fornisce il valore medio dei valori in un campo.

Sintassi: =avg(range)

Esempio

Cella A4= avg(A1:A3)

Colonna/riga | A
1 | 1
2 | 3
3 | 5
4 | 3

Il valore medio delle celle A1 fino a A3 restituisce 3


count

count

La funzione count (range) fornisce il numero dei valori numerici nel campo indicato.

Sintassi: =count(range)

Esempio

Cella A5 = count (A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 2

Il numero dei valori numerici delle celle A1 a A4 restituisce 2.


counta

counta

La funzione counta (range) fornisce il numero delle celle non vuote nel campo indicato

Sintassi: =counta(range)

Esempio

Cella A5=counta(A1:A4)

Colonna/riga | A
1 | 1
2 | testo
3 |
4 | 3
5 | 3

Il numero delle celle non vuote nei campi restituisce A1 a A4 dà 3.


countblank

countblank

La funzione countblank (range) fornisce il numero delle celle vuote nel campo indicato.

Sintassi: =countblank(range)

Esempio

Cella A5 = countblank(A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 1

Il numero delle celle non vuote nei campi da A1 a A4 restituisce 1.


max

max

La funzione max (range) fornisce il valore massimo del campo indicato.

Sintassi: =max(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=max(A1:A10)

Colonna/riga | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore massimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 10.


min

min

La funzione min (range) fornisce il valore minimo del campo indicato.

Sintassi: =min(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=min(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore minimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 1.


percentile

percentile

La funzione percentile (range,num) fornisce come risultato un valore soglia, a partire dal quale sono accettate delle osservazioni.

Sintassi: =percentile(range,num)

Range: rappresenta una matrice o un area dati, che descrive la posizione relativa dei dati.

Num: Integer von 0-100

Esempio

Celle A1 a A10: numeri qualsiasi

cella B1=percentile(A1:A10,90)

Colonna/riga | A | B
1 | 1 | 9,1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore soglia per l´area da A1 a A10 è pari a 9,1.


stdev

stdev

La funzione stdev (range) fornisce una stima della deviazione standard partendo da una prova di valori nel campo definito.

Formula:

Sintassi: =stdev(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=stdev(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 18,785633

La deviazione standard per l´area che va dalla cella A1 alla cella A10 viene stimata sulla base del campione 18,785633.


stdevp

stdevp

La funzione stdevp (range) fornisce una stima della deviazione standard partendo dalla totalità di valori nel campo definito.

Formula:

Sintassi: =stdevp(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11= stdevp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 17,821616

La deviazione standard per il campo che va dalla cella A1 alla cella A10 viene stimata 17,821616.


sum

sum

La funzione sum (range) fornisce la somma dei valori nel campo definito.

Sintassi: =sum(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=sum(A1:A10)

Colonna/riga | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La somma di tutti i valori nel campo da A1 a A10 è pari a 55.


sumsq

sumsq

La funzione sumsq (range) fornisce la somma dei quadrati dei valori nel campo definito.

Sintassi: =sumsq(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=sumsq(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Controllo:

Celle B1 a B 10: quadrati da A1 a A10

Cella B11= sum(B1:B10)


var

var

La funzione var (range) fornisce una stima della varianza di un saggio di valori nell’intervallo definito.

Formula:

Sintassi: =var(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=var(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 352,9

Sulla base del campione, la varianza per l´area che va dalla cella A1 alla cella A10 viene stimata 352,9.


varp

varp

La funzione varp (range) fornisce una stima della varianza della totalità dei valori nell’intervallo definito.

Formula:

Sintassi: =varp(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=varp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 317,61

La varianza stimata per il campo che va dalla cella A1 alla cella A10 è pari a 317,61.


Funzioni di testo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Funzioni di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report, sono disponibili diverse funzioni testo. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento. Eccezione: paint

Ancora in questo capitolo

char

clean

code

find

fixed

left

len

lower

mid

paint

proper

replace

rept

right

search

substitute

trim

upper


char

char

La funzione char(code) fornisce il simbolo ASCII attribuito al numero definito alla voce code.

Sintassi: =char(code)

code: numero compreso fra 1 e 255.

Example Esempio

=char(88) restituisce X

Se la cella A1 contiene il valore 35, la funzione =char (A1) fornisce come risultato il carattere #.

Usate la funzione code per determinare il codice ASCII per il carattere.


clean

clean

La funzione clean(string) cancella tutti i simboli di controllo di una sequenza di caratteri-testo.

Sintassi: =clean(string)


code

code

La funzione code(string) fornisce il code ASCII del primo simbolo in una sequenza di caratteri-testo.

Se la stringa fra parentesi corrisponde al testo che deve essere codificato, essa viene messa fra virgolette. Se essa rimanda ad un´altra cella, viene inserita quest´ultima.

Sintassi: =code(string)

Example Esempio

=code("z") restituisce 122.

La cella A1 contiene il testo zoom:

=code(A1) restituisce 122.

Per determinare il carattere corrispondente al codice ASCII, usate la funzione char.

attention Attenzione

La funzione code(string) fornisce il code ASCII del primo simbolo in una stringa testo.


find

find

La funzione find(keystring,string,start) restituisce la posizione di una successione caratteri (keystring) all´interno du una stringa di testo (string). Si determina la posizione dal simbolo di partenza start nella stringa testo considerando la scrittura maiuscola e minuscola.

Sintassi: =find(keystring,string,start)

Example Esempio

cella A1 cd

cella A2 ABCDabcd

Cella A3: 1

cella A4 =find(A1,A2,A3): Risultato =7


fixed

fixed

La funzione fixed(num,decimals) formatta un numero e lo trasforma in una determinata sequenza di caratteri.

Sintassi: =fixed(num,decimals)

  • num: valore numerico o riferimento cella
  • decimals: Numero delle cifre decimali

Example Esempio

Cella A1 = 12345.672

=fixed(A1,2) restituisce 12345,67

=fixed(A1,1) restituisce 12345,6

Il separatore e la visualizzazione dipendono anche dalle impostazioni regionali e da quelle di formattazione nella Cella.

Nota: la funzione fixed() non può essere combinata con un formato stringa come l´indicazione di unità di misura.

Differenza nei confronti di zenon 5.50 e delle versioni precedenti

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argument è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Sintassi: =fixed(num,decimals,no_seps)

  • no-seps:
    • 0: Viene inserito un separatore delle migliaia
    • 1: Non viene utilizzato un separatore delle migliaia

Nelle versioni successive, i numeri vengono generalmente visualizzati senza separatori delle migliaia.


left

left

La funzione left(string,num) fornisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dal primo carattere.

Sintassi: =left(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dal primo

Example Esempio

Cella A1 = abcdefgh

=left(A1,3) restituisce abc

=left(A1,5) restituisce abcde

Per leggere dei caratteri cominciando con l´ultimo di una sequenza, usate la funzione right.


len

len

La funzione len(string) fornisce il numero dei simboli di una sequenza di caratteri testo.

Sintassi: =len(string)

Example Esempio

Cella A1 = abc
=len(A1) dà 3

CellaA1 = abcdefgh
=len(A1) dà 8


lower

lower

La funzione lower(string) converte in minuscolo tutte le lettere maiuscole contenute in una stringa di testo.

Sintassi: =lower(string)

Example Esempio

CellaA1 = AbCdEf
=lower(A1) dà abcdef

Per convertire le lettere minuscole in maiuscole, usate la funzione upper.


mid

mid

La funzione mid(string,numStart,numLen) estrae

  • da una sequenza caratteri defintita string
  • una nuova sequenza
  • con un numero di caratteri definito tramite l´argomento numLen
  • e a partire dalla posizione definita mediante numStart.

Sintassi: =mid(string,numStart,numLen)

Example Esempio

Cella A1 = abcdefgh
=mid(A1,2,4) dà bcde


paint

paint

La funzione =paint(referenz) prosegue la sequenza di caratteri indicata nella cella referenziata, nel caso in cui essa non ci dovesse essere abbastanza spazio nella cella referenziata. In questo modo è possibile visualizzare delle lunghe sequenze caratteri in diverse celle, e facilitarne così la lettura.

Sintassi: =paint(referenz)

Example Esempio

La cella A1 contiene i caratteri: abcdefghijklmn

A causa della sua larghezza, nella cella A1 viene visualizzato solo: abcdefg

=paint(A1) nella cella A2 causa la seguente visualizzazione:

A1: abcdefg

A2: hijklmn

Questa funzione può essere progettata con l´assistente alle funzioni.


proper

proper

La funzione proper(string) converte in maiuscolo la prima lettera di una parola. Le rimanenti lettere nella stringa di testo vengono convertite in minuscolo. L´inizio della parola è il primo carattere alfabetico della sequenza. Se una sequenza di caratteri contiene più caratteri non alfabetici, una nuova parola inizia dopo ogni carattere non alfabetico.

Sintassi: = proper (string)

Example Esempio

Cella A1 = AbCdEf
=proper(A1) dà Abcdef

Cella A1 = aBcDeF
=proper(A1) dà Abcdef

Cella A1 = 1aBcD2eF
=proper(A1) dà 1Abcd2Ef


replace

replace

La Funzione replace(string,numStart,numLen,stringNew)

  • sostituisce nella sequenza caratteri string
  • a partire dalla posizione definita mediante numStart
  • un numero di caratteri definito mediante numLen
  • con caratteri di altra stringa, stringNew

Sintassi: =replace(string,numStart,numLen,stringNew)

Example Esempio

Cella A1 = abcdefgh
Cella A2 = xyz
=replace(A1,3,2,A2) dà abxyzefgh

In questo esempio, nella stringa abcdefgh i caratteri cd (3° posto nella stringa, quantità 2 caratteri) vengono sostituiti da xyz.


rept

rept

La funzione rept(string,num) ripete la successione di caratteri string per il numero di volte definito in num.

Sintassi: =rept(string,num)

Example Esempio

Cella A1 = abc
cella A2 = 3
=rept(A1,A2) dà abcabcabc


right

right

La funzione right(string,num) restituisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dall´ultimo carattere.

Sintassi: =right(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dall´ultimo

Example Esempio

Cella A1 = abcdefgh

=right(A1,3) restituisce fgh

=right(A1,5) restituisce defgh

Per leggere dei caratteri cominciando dal primo di una sequenza, usate la funzione left.


search

search

La funzione search(keystring,string,start) fornisce

  • la posizione di un testo cercato keystring
  • all´interno di una sequenza di caratteri string
  • a partire dalla posizione start start

Sintassi: =search(string,keystring,start)

Esempio

Cella A4=search(A1,A2,A3)

Cella/colonna | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

La funzione nella cella A4 trova il testo cercato cd nella cella A1 nella posizione 3.


substitute

substitute

La Funzione substitute(string,oldstring,newstring,instance)

  • sostituisce nella sequenza caratteri string
  • una sequenzaoldstring
  • con una nuova sequenza caratteri. newstring
  • ;instance stabilisce la posizione di oldstring
    • instance=0 sostituisce tutte le sequenze trovate

La funzione considera le lettere maiuscole e minuscole.

Sintassi: =substitute(string, oldstring, newstring, instance)

Example Esempio

Cella A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Cella A2 = XYZ

Esempio 1:

=substitute(A1,"ABCDEF",A2,0) restituisce abcdef XYZ abcdef XYZ abcdef XYZ

In questo esempio la sequenza di caratteri ABCDEF viene sostituita nell'intera stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF con XYZ.

Esempio 2:

=substitute(A1,"abcdef",A2,2) restituisce abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

In questo esempio, abcdef, la seconda sequenza di caratteri trovata nella stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF, viene sostituita con XYZ.

Nota: le sequenze all´interno della funzione vengono messe fra virgolette ("Zeichenkette").


trim

trim

La funzione trim(string) consente al massimo uno spazio vuoto fra due caratteri. Tutti gli altri spazi vuoti verranno eliminati.

Sintassi: =trim(string)

Example Esempio

Cella A1 = Troppi spazi vuoti vengono ridotti a uno.
=trim(A1) dà: troppi spazi vuoti vengono ridotti a uno


upper

upper

La funzione upper(string) converte in maiuscolo tutte le lettere minuscole contenute in una stringa di testo.

Sintassi: =upper(string)

Example Esempio

Cella A1 = AbCdEf
=upper(A1) dà ABCDEF

Per convertire le lettere maiuscole in minuscole, usate la funzione lower.


Altre funzioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Altre funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni di report riunisce altre funzioni che non sono state assegnate a nessun sottogruppo.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.

Ancora in questo capitolo

alarm

cel

progetta alarm e cel con assistente funzioni

compare

comparesp

comparespsum

comparesum

computername

maxsp

minsp

Parametri

select

selectmode

Username

variabler

variablerw


alarm

alarm

Questa funzione mostra delle informazioni provenienti dalla gestione allarmi in forma di una lista formattata in un Report.

Sintassi: =alarm(FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

FILTRO

Configurazione mediante Filtro AML.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • esce
  • riconosciuto
  • tempo riattivazione
  • stato riattivazione
  • numero riattivazioni
  • attesa
  • quantità_h
  • quantità_t
  • quantità_m
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Note:

  • progetto: esistente nel fltro AML solamente nel caso di progetti multiuser.
  • numero: solo per un progetto
  • quantità_h solo per un progetto
  • quantità_t: solo per un progetto
  • quantità_m: solo per un progetto

DIREZIONE
  • In giù
  • Sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Significato
Destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
Sotto | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
info Info
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


cel

cel

Questa funzione mostra delle informazioni provenienti dalla Lista eventi cronologica (CEL) in forma di una lista formattata in un Report. La progettazione con l´assistente funzioni funziona in modo analogo a quella con la funzione aml.

Sintassi: =cel(FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

FILTRO

Configurazione mediante Filtro CEL.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Note:

  • progetto: esistente nel fltro CEL solamente nel caso di progetti multiuser.
  • numero: solo per un progetto

DIREZIONE

giù, sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Significato
Destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
Sotto | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
info Info
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


progetta alarm e cel con assistente funzioni

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Altre funzioni -> progetta alarm e cel con assistente funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
progetta alarm e cel con assistente funzioni

Potete progettare delle funzioni per AML e CEL con l´assistente funzioni Questo esempio concerne aml, ma vale anche per cel:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni Report.
  2. Si apre l´assistente.
  3. Scegliete alarm..

  4. La funzione report alarm viene inserita nella sintassi.
  5. Cliccando su Variabile apre il Filtro per AML. (Con la cel si aprirà il Filtro per CEL.)
  6. Configurate il filtro.
  7. Selezionate il parametro desiderato cliccando due volte, per esempio identificazione).

  8. Il parametro viene ripreso nella stringa.
  9. Selezionate la direzione desiderata dell´inserimento nella tabella mediante un doppio clic:
    • giù: la funzione riempe la colonna
    • a destra: la funzione riempe la riga

  10. La direzione viene ripresa nella stringa.
  11. Viene chiusa la parentesi.
  12. Cliccando su OK, la funzione viene ripresa nella cella.


compare

compare

La funzione compare (area,"Condizione") permette di cercare tutti i numeri avendo la stessa condizione in una zona definita e emette il numero delle cellule corrispondenti.

Sintassi: =compare(area,"Condizione”)

Campo: celle che vengono prese in considerazione per effettuare il confronto

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Example Esempio

=compare(A1:A10,6>"=5")

Confronta nella colonna A le celle da 1 a 10 e fornisce il numero dei valori che sono maggiori o uguali a 5.


comparesp

comparesp

Questa funzione comparesp (cella di partenza,direzione,P1,P2,P3,P4,"Condizione") confronta i valori in una determinata area in un formato speciale con una condizione e restituisce il numero di celle corrispondenti.

Sintassi: =comparesp(cella di partenza,direzione,P1,P2,P3,P4,"Condizione”)

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=comparesp(A1,giù ,12,0,0,12,"=5”)


comparespsum

comparespsum

Questa funzione comparespsum(cella di partenza,direzione,P1,P2,P3,P4,condizione) confronta i valori in una determinata area in un formato speciale con una condizione e restituisce la somma di celle corrispondenti.

Sintassi: =comparespsum(cella di partenza,direzione,P1,P2,P3,P4,condizione)

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=comparespsum(A1,giù ,12,0,0,12,"=5”)


comparesum

comparesum

La funzione comparesum (area di confronto, reference per la somma, "condizione") confronta i valori di un range definito con una condizione e restituisce la somma dei valori ricavati da una zona di riferimento.

Sintassi: =comparesum(area di confronto, reference per la somma, "condizione”)

  • Campo: celle che vengono prese in considerazione per effettuare il confronto
  • Reference per la somma: valore che viene emesso quando la condizione è soddisfatta

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Example Esempio

=comparesum(B2:B11,A2,"=5")

Le celle B2 a B11 vengono analizzate sulla base del criterio =5. Nelle righe per cui vale quanto sopra, vengono sommati i valori delle celle corrispondenti nella colonna A.


computername

computername

La fuzione computername() fornisce il nome del computer sul quale viene eseguito il report.

Sintassi: =computername()

Non è necessario nessun parametro di trasferimento.


maxsp

maxsp

La funzione maxsp richiede il valore massimo da una zona e lo visualizza. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: =maxsp(range,num)

Parametro di trasferimento | Ambito | Commento
range | A1-ATWH31000 | Numero massimo di colonne: 31000 Numero massimo di righe: 31000
num | -1 0-15 | -1: sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows.

Nota: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per maxsp.

Esempio

Il valore maggiore nelle tabelle da A1 a B4 deve essere visualizzato sottolineato.

Inserimento nell'Editor:

Colonna/riga | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

Risultato a Runtime.


minsp

minsp

La funzione minsp(range,num) richiede il valore minimo da una zona e lo visualizza. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: =minsp(range,num)

Parametro di trasferimento | Ambito | Commento
range | A1-ATWH31000 |
num | -1 0-15 | -1: sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows.

Nota: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per minsp.

Example Esempio

Cella C1=minsp(A1:B4,-1)


Parametri

Parametri

I parametri consentono la definizione di un report che, attraverso la funzione di zenon Esegui report e i diversi parametri con essa utilizzati, esegue diversi compiti. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che rappresenti dei valori in diverse unità di misura. Sintassi: =parameter(Numero)

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Configurazione

  1. assegnate nel report i parametri desiderati alle celle adatte

  2. completate i parametri con eventuali operazioni di calcolo o riferimenti necessari
  3. a Runtime, poi, selezionate i valori per i parametri usando una funzione Esegui report, oppure il pulsante Apri file e la scheda Parametri

Suggerimento: se volete visualizzare in un report dati di diversi archivi (per es. B 5 PLC), definite un rapporto comune. Gestite la visualizzazione mediante le funzioni 5 zenon, che mettono a disposizione i valori per i parametri. E’ possibile semplicemente copiare queste funzioni, dovete solamente modificare i valori impostati nella scheda Parametri.

Esempi di parametri

  • =parameter(1):assegna alla cella il parametro (1)
  • =parameter(6)*A1/100: assegna alla cella il parametro (6), moltiplica il valore che è stato fissato nella tab Parametro per il valore dalla cella A1 e lo divide per 100


select

select

La funzione =select (indirizzo cella) definisce la cella da selezionare all´apertura dei report. Come parametro è da indicare l´indirizzo della cella.

Sintassi: =select(indirizzo cella)

Example Esempio

=select(B3) seleziona la cella B3.

Nota: può essere combinata con selectmode().


selectmode

selectmode

La funzione selectmode(modalità di selezione) setta il modo di selezione.
La cella esatta viene determinata tramite la funzione select. Le funzioni selectmode() e select(), dunque, vengono combinate.

Sintassi: =selectmodeParametro:

Parametri:

  • (1): Può essere selezionata una cella.
  • (2): Selezionare celle in un´area rettangolare.
  • (3): Selezionare una o più celle coerenti.

Esempi

Cella

Funzione | Significato
=selectmode(1) | Viene selezionata una singola cella.
=select(B6) | La cella B6 viene selezionata e evidenziata.

Celle in riga

Funzione | Significato
=selectmode(3) | Viene evidenziata un´intera riga.
=select(A5) | La cella A5 viene selezionata e la riga di questa cella viene evidenziata.


Username

Username

La funzione username offre il nome dell'utente attualmente registrato in zenon.

Sintassi: =username()

Non è necessario nessun parametro di trasferimento.


variabler

variabler

La funzione =variabler (Nome variabile,proprietà) restituisce informazioni su una variabile.

Sintassi: =variabler(Nome variabile,proprietà)

Parametri | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità di misura della variabile.
identificazione | Identificazione della variabile.
mmin | Area di misurazione minima della variabile.
mmax | Area di misurazione massima della variabile.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

info Info

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menù contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare

Example Esempio

=variabler("WIZ_VAR_10","name")


variablerw

variablerw

La funzione variablerw(Nome variabile,Proprietà,Azione) restituisce informazioni sulla variabile e scrive valori in variabili.

Sintassi: =variablerw(Nome variabile,Proprietà,Azione)

Proprietà | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità di misura della variabile. Nota: non può essere usata con Cambio unità di misura. Da usare solamente con vecchi progetti. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.
identificazione | Identificazione della variabile
mmin | Area di misurazione minima della variabile. Nota: non può essere usata con cambio unità.
mmax | Area di misurazione massima della variabile. Nota: non può essere usata con cambio unità.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

info Info

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menù contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare
  6. inserite l´azione desiderata

Example Esempio

=variablerw("WIZ_VAR_10","valore","leggere")

Scrivi valore sulla variabile

Per scrivere un valore proveniente dal generatore Report su una variabile, indicate il nome della variabile, la proprietà "valore" e la cella che contiene il valore stesso.

=variablerw(Nome variabile,"valore",cella)

Esempio: =variablerw("variabile interna","valore",A2)


Chiavi di formattazione

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Chiavi di formattazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le chiavi di formattazione definiscono l’emissione formattata delle informazioni di celle in dipendenza del contenuto di celle (tipi di dati).

La definizione avviene:

  • nella lista a cascata Formato -> Celle -> Numeri -> Tab Tipo di cella -> Generale/Formato stringa

    oppure

  • nel menù contestuale Tabella di report -> Cella -> Tab Tipo di cella -> Generale/Formato stringa

Ancora in questo capitolo

Tipi di dati numerici

Tipi di dati logici

Tipi di dati per la data ed il tempo


Tipi di dati numerici

Tipi di dati numerici

Le chiavi di formattazione per i tipi di dato numerici sono caratteri jolly simbolici, che vengono sostituiti dal valore formattato.

  • Come separatore delle migliaia si usa la virgola, come separatore decimale il punto.
  • Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.
  • Se non si indica nessuna chiave di formattazione, il formato *0.* viene utilizzato come impostazione standard.

    Nota: per l´impostazione standard sono consentite al massimo 15 cifre decimali.

Chiave di formattazione | Descrizione
, (virgola) | Inserisce il separatore delle migliaia tre posizioni prima del separatore decimale
. (punto) | Inserisce il separatore decimale.
; (punto e virgola) | Separa le chiavi di formattazione per ambiti di valori positivi e negativi.
# | Si sostituisce solamente se la rispettiva posizione esiste.
* | Si visualizzano tutte le cifre prima e dopo la virgola
0 (zero) | Se la posizione nel valore non è presente, essa viene riempita con lo zero.
/ | Il simbolo successivo viene trattato da stringa testo.

Esempi

Dati | Chiave di formattazione | Testo formattato | Descrizione
-0.2 | *0.00 | -0.20 | Vengono emesse sempre due cifre decimali.
123 | *00000 | 00123 | Le prime 5 posizioni vengono emesse con zeri in testa..
104 | ->*<- | ->104<- | In linea generale, i numeri vengono emessi tra i due simboli ->...<-.
0.2500 | *0.* | 00:25 | Nel caso di valori tra -1.0 e 1.0, all´inizio viene posto sempre uno zero.
12 | +*0.00;-*0.00 | +12.00 | I valori positivi sono caratterizzati da un + e quelli negativi da -.


Tipi di dati logici

Tipi di dati logici

Con i tipi di dati logici si possono visualizzare in modo informazioni del tipo SI/NO. in modo molteplice. Il testo di emissione viene fissato mediante la chiave di formattazione.

  • Formato: Testo;Testo2
  • Emissione
    • valori positivi incluso zero = Testo 1
    • valori negativi = Testo 2

Con la funzione if (exprTest,valTrue,valFalse) si possono descrivere le informazioni di emissione indipendentemente dalla formattazione delle celle.

Esempio

Dati | Chiave di formattazione | Testo formattato | Descrizione
1 |  | Sì | Se non si indica una chiave di formattazione, il sistema usa True/False come Default.
-1 | Si;No | No |


Tipi di dati per la data ed il tempo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Funzioni di report -> Chiavi di formattazione -> Tipi di dati per la data ed il tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipi di dati per la data ed il tempo

Für die Ausgabe von Datums- und Zeitinformationen stehen eine Vielzahl von Formatierungsschlüssel zur Verfügung. Si utilizzano il formato emissione definito nelle impostazioni internazionali Windows per il modo di inserimento e per l’emissione senza chiave di formattazione.

info Info

Le denominazioni di giorni e mesi possono essere progettate nel Runtime in modo tale da essere traducibili.

Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.

Chiave di formattazione | Valore | Descrizione
m | 1 - 12 | Mese numero breve
mm | 01 - 12 | Mese numero lungo
mmm | Gen - Dic | Mese breve
mmmm | Gennaio - Dicembre | Mese lungo
d | 1 - 31 | Giorno breve
dd | 01 - 31 | Giorno lungo
ddd | Do - Sa | Giorno della settimana breve
dddd | Domenica - Sabato | Giorno della settimana lungo
yy | 00 - 99 | Anno breve
yyyy | 1700 - 2900 | Anno lungo (0x viene interpretato come 190x)
/ |  | separatore data internazionale
h | 0 - 23 o 1 - 12 | Ora breve, o 24 h oppure 12 h con ap
hh | 00 - 23 o 01 - 12 | Ora lungo, o 24 h oppure 12 h con ap
mm | 00-59 | Minuti, solamente dopo h oppure hh
ss | 00-59 | Secondi
ff | 000-999 | Millisec.
ap | am, pm (oppure equivalente internazionale) | am oppure pm
: (due punti) |  | separatore tempo internazionale

Esempio

Dati | Chiave di formattazione | Testo formattato
22.09.95 14:05 | dddd dd/mm/yyyy | venerdì 22.09.1995
22.09.95 14:05 | dd/mmmm yyyy | 22 settembre 1995
22.09.95 14:05 | dd/mm/yy hh:mm | 22.09.95 14:05
22.09.95 14:05 | hh:mm:ff | 14:05:000


Le funzioni di zenon per il Generatore Report.

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione delle funzioni per la gestione del Generatore Report nel Runtime.

La funzione Cambio immagine passa all´immagine Report e consente la definizione di filtri.

Delle funzioni speciali consentono la stampa, l´esportazione oppure l´esecuzione di un report nel Runtime. Per creare una funzione di zenon per il Generatore Report:

  1. navigate nel menu contestuale delle funzioni e passate a: Nuova Funzione. -> Generatore Report
  2. selezionate la funzione desiderata:
    • Report Generator: stampa
    • Report Generator: esporta
    • Report Generator: esegui report

Ancora in questo capitolo

Cambio lingua Report

Filtro report

Report Generator: esegui report

Report Generator: stampa

Report Generator: esporta


Cambio lingua Report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Cambio lingua Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il Report nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report:

  1. create una nuova immagine del tipo Report
  2. Selezionare nel nodo Funzioni del menù contestuale, la voce Nuova Funzione
  3. Selezionare la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report
  5. viene visualizzato il Filtro report
  6. Selezionate le proprietà desiderate
  7. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime


Filtro report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si creano delle funzioni di zenon, viene visualizzato il filtro report per la configurazione del report:

  • File: selezione del file report e delle condizioni nel Runtime
  • Parametro: Parametro di trasferimento
  • Ora: Intervallo di tempo
  • Lotti: filtro su lotti
  • Collegamenti: Sostituisci funzioni
  • Indici: Sostituisci indici

Ancora in questo capitolo

File

Parametri

Ora

Lotto

Sostituisci collegamenti

Sostituisci indici


File

File

Nella scheda File, stabilite quale report viene chiamato al momento del cambio immagine, oppure se questa decisione deve essere presa a Runtime.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attiva: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: se nella scheda Lotto del dialogo di configurazione del filtro, si seleziona anche l´opzione Visualizza dialogo di selezione lotto, quest´ultimo verrà aperto a Runtime. Questo dialogo non verrà più visualizzato in caso di un reload.

Note sul filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso attivo:
    si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo:
    si usa l´intervallo di tempo corrente.

Sola lettura

Attivo: gli inserimenti possono essere solamente letti. Non è possibile modificarli e salvarli.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

La configurazione file è differente per:

  • Stampa report
  • Report Generator: esporta
  • Report Generator: esegui report


Parametri

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametri

I parametri consentono di usare un report per differenti archivi. A questo scopo vengono definiti nel report usando la funzione report parameter ( Numero ) i campi da usare in modo flessibile. Quali parametri usare di volta in volta, si stabilisce nella scheda Parametri della funzione Cambio immagine. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che metta a disposizione valori in diverse unità di misura.

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Se per esempio è necessario visualizzare dei dati d’archivio di 5 PLC, è possibile creare un singolo report e passare 5 diversi parametri con 5 funzioni di ‘cambio immagine’.


Ora

Ora

I filtri tempo consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´Editor, ma possono essere anche adattati a Runtime.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

I filtri tempo possono essere predefiniti nell´Editor, ma anche modificati a Runtime, per:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo di tempo

In linea di principio, il filtro tempo può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Si configura un intervallo di tempo nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo modificabile a Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere a Runtime.

Filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: Nel passaggio ad un´immagine del tipo generatore Report deve essere configurato un filtro tempo. L´opzione Nessun filtro tempo non è a disposizione.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Da

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo di tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostare intervallo di tempo nell´Editor

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Ora -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo configurabile a Runtime

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Lotto

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Il filtro lotti corrisponde a quello negli archivi:

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Sostituisci collegamenti

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sostituisci collegamenti

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile/funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora.

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menù contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti

    si apre il dialogo che serve a sostituire i collegamenti

Proprietà

Descrizione

Sorgente

Inserimento della parte di stringa da ricercare.

Possono essere usati i placeholder * e ?. I placeholder sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.

Se si usano placeholder, tenere presente cosa accade quando si usa un carattere più volte:

  • Esempio di successione caratteri: 01{SU(00,Test1)}
    Test1 deve essere sostituito da Test 2.
  • Se si inserisce *1 per "Sorgente” e 2 per "Destinazione”, il sistema trova e sostituisce 1 in 01, ma non in t1 successivi.
    Risultato: 02{SU(00,Test1)}
  • Se si inserisce *t1 per "Sorgente” e t2 per "Destinazione”, il sistema trova e sostituisce t1.
    Risultato: 01{SU(00,Test2)}

Destinazione

Inserimento della nuova parte di stringa

Nota: sorgente e destinazione devono trovarsi nello stesso progetto.

Applica

Sostituzione delle stringhe cercate della sorgente con quelle definite in Destinazione.

Rispetta minuscolo/maiuscolo

Nell´eseguire la sostituzione, il sistema tiene presente della esatta corrispondenza di scrittura maiuscola e minuscola.

Nome

Scambia informazioni nel nome delle variabili.

Descrizione

Scambia informazioni nell’ identificazione.

Variabile/funzione

Apre la lista per selezionare variabili/funzioni con riferimento alla riga selezionata nella lista. Cliccando su una variabile o una funzione della lista, si definisce una nuova variabile o funzione di destinazione.
Alternativa: cliccare due volte su una variabile sorgente o una funzione sorgente.

Sostituzione

Sostituzione con selezione manuale.

Per sostituire elementi manualmente:

  • Selezionare l´elemento della lista che si vuole sostituire, come sorgente.
  • Selezionare un elemento di destinazione usando il pulsante Variabile/Funzione.

    L´elemento corrente viene sostituito dal nuovo.

Sostituzione automatica con regole.

Procedura per sostituire elementi automaticamente, sulla base di determinate regole:

  • Definire nel campo di inserimento Sorgente i parametri dell´elemento che si intende sostituire:
  • Usando il campo di inserimento Destinazione , definire il parametro per la nuova variabile/funzione.
  • Mediante le opzioni Nome/Identificazione, stabilire che cosa dovrà essere sostituito.
  • Cliccare su Applica.

info Info

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

info Info

Sostituire per Drag&Drop Gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag&Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.

Esempio

Tutte le variabili il cui nome contiene WIZ_VAR_1 devono essere sostituite con variabili con WIZ_VAR_2.

  1. Indicate nel campo di testo Fonte WIZ_VAR_1. Mettere il segno * alla fine di ogni variabile che inizia con WIZ_VAR_1.
  2. Indicare nel campo di testo DestinazioneWIZ_VAR_2.
  3. Cliccare su Applica.
  4. Le variabili WIZ_VAR_10, WIZ_VAR_11 e WIZ_VAR_12 vengono sostituite con quelle WIZ_VAR_20, WIZ_VAR_21 e WIZ_VAR_22.


Sostituisci indici

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sostituisci indici

Con il cambio immagine a Runtime, le variabili e le funzioni possono essere sostituite in modo dinamico usando regole di indicizzazione, o parametri specifici per l´elemento.

Possibilità di sostituzione:

  • Mediante variabili di indicizzazione: per es. {X01}
  • Usando parametro specifici per l´elemento: {PARAM}
  • Senza variabile di indicizzazione o parametri

attention Attenzione

Visto che i nomi vengono sostituiti, alle variabili e alle funzioni dovrebbero essere sempre dati nomi differenti. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio: esistono una variabile test e una funzione test, e la variabile test deve essere sostituita, in questo caso lo sarebbe anche la funzione test.

Suggerimento: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

attention Attenzione

Al contrario di quanto succede con l´opzione Sostituisci collegamenti, la sostituzione via indici è basata puramente sui nomi e non su ID di variabili interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.

Sostituisci dialogo indici

Regole di indicizzazione

Parametri

Descrizione

Regole di indicizzazione

Configurazione delle regole per la sostituzione di variabili e funzioni.

Origine

Inserimento della sorgente che deve essere usata

Destinazione

Inserimento della destinazione. Possono essere usati anche parametri per valori da variabili di indicizzazione, come ad es. ({X01} e parametri {PARAM} per funzioni.

Rispetta minuscolo/maiuscolo
  • Attivo: nell´effettuare l´operazione di sostituzione, il sistema distingue fra lettere maiuscole e minuscole.

Lista delle regole

Lista delle regole definite

Aggiungi regola

Cliccando su questo pulsante, si aggiunge alla lista la regola definita via sorgente e destinazione.

Info: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.

Rimuovi regola

Cliccando su questo pulsante, si cancella la regola selezionata dalla lista.

Freccia in su

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in alto nella lista.

Freccia in giù

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in basso nella lista.

Nota: Il metodo Sostituisci indici può essere usato anche senza variabili di indicizzazione. Si indicano le variabili nella lista delle regole.
Vantaggio: Se si aggiungono dei sub-elementi alla struttura, la funzione non deve essere modificata e adeguata una seconda volta, come avverrebbe con il metodo Sostituisci collegamenti.

Variabile di indice

Parametri

Descrizione

Variabile di indice

Configurazione delle variabili di indicizzazione.

Lista delle regole

Mostra le variabili di indicizzazione selezionate.

Aggiungi

Quando si clicca su questo pulsante, si apre la finestra di dialogo che serve ad aggiungere o cancellare variabili di indicizzazione.

Le variabili selezionate vengono aggiunte una dopo l´altra e dotate di un parametro. Quest´ultimo può essere usato nelle regole di sostituzione per la corrispondente variabile di indicizzazione. Il valore di queste variabili viene usato di regola durante la sostituzione.

Replacement preview

Parametri | Descrizione
Replacement preview | Elenca tutte le sostituzioni configurate. Quando si clicca su un inserimento, il sistema riempie anche le opzioni sorgente e destinazione nella sezione "regole di indicizzazione".

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.
attention Attenzione
Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi con scarsa prestazione hardware, ciò può causare ritardi nel cambio immagine. Suggerimento: attivate le variabili indice in un progetto di rete sempre con l´opzione HD attivo.


Report Generator: esegui report

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: esegui report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Report Generator: esegui report esegui report consente di eseguire automaticamente nel Runtime un report in background. Se una funzione di scrittura è progettata nel report, dei valori calcolati nel report possono essere automaticamente scritti negli Archivi oppure nell´immagine di processo.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Esegui report
  3. verrà aperto il dialogo Filtro report

    Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esegui report; tutte le altre impostazioni le trovate nel capitolo Filtro report.

    • Parametri
    • Ora
    • Lotto
  4. Selezionate le proprietà desiderate
  5. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Configurazione della scheda File.

La configurazione del scheda File è molto simile a quella del cambio lingua.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

info Info

Con questa funzione vengono eseguite nel report anche tutte le azioni di scrittura.


Report Generator: stampa

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: stampa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Report Generator: esegui report Stampa report consente di stampare un report senza che sia necessario prima aprirlo. Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Stampa report
  3. verrà aperto il dialogo Filtro report
  4. Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Stampa report; tutte le altre impostazioni le trovate nel capitolo Filtro report:
    • Parametri
    • Ora
    • Lotto
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Configurazione della scheda File.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Con dialogo per annullare

Attivo: durante la preparazione del report per la stampa, appare un pulsante per annulare la stampa.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

info Info

Con la funzione Stampa report si possono leggere degli inserimenti archivio. Non sono possibili delle azioni di scrittura.


Report Generator: esporta

Manuale -> Reporting -> Generatore Report -> Configurazione nell'Editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel funzionamento online con questa funzione un report può essere scritto nello sfondo su un file. Il file di esportazione viene salvato nella sottocartella \Export della cartella di progetto. (aprire da zenon: seleziona progetto, Ctrl+Alt+D stampa.) Si indicano come parametri di trasferimento i parametri file, il filtro ed il tempo.

La funzione Esporta report consente di esportare un report in un file senza che sia necessario prima aprirlo. Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Esporta report
  3. verrà aperto il dialogo Filtro report
  4. Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esporta report; tutte le altre impostazioni le trovate nel capitolo Filtro report.
    • Parametri
    • Ora
    • Lotto
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

info Info

Quando si esporta un report usando la funzione Esporta report, vengono esportate per le Unità di misura le unità cambiate. Le unità di base non sono interessate dall´export.

Configurazione della scheda File.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

File di esportazione.

Proprietà del file nel quale viene esportato il report.

Nome

Nome del file.
Al massimo 8 caratteri alfanumerici. Se non si indica nessun nome ed è disattivata la funzione "Assegna nome automaticamente", il sistema usa automaticamente il nome dummy.

Attenzione: l´uso di caratteri speciali può causare la perdita di dati.

Formato

Formato del file di esportazione.
  • TXT

File testo
  • XRS

file report di zenon
  • XML

File XML

Assegna nome automaticamente

Attivo: Il nome file viene generato automaticamente. Esso consta dell´identificazione breve, della data codificata e dell´estensione file selezionato.

Codifica nome per assegnazione nome automatica

Codice | Significato
xx | Identificazione breve: 2 caratteri I due primi caratteri del nome assegnato alla voce "Nome", oppure quelli attribuiti dal sistema du.
AA | anno: a due cifre
MM | mese: a due cifre
GG | giorno: a due cifre
HH | ora: a due cifre
MM | minuti: a due cifre
SS | secondo: a due cifre

Esempio

  • Il file report Report viene esportato il 9/ 6. 2010 alle 11:52 in formato XRS
  • Nome file automatico: re100506091152.xrs

info Info

Con la funzione Esporta report potete solamente leggere gli inserimenti di archivio. Non sono possibili delle azioni di scrittura.


Gestione a Runtime

Manuale -> Reporting -> Generatore Report -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime i report vengono visualizzati, configurati e gestiti medianti i pulsanti progettati allo scopo. Durante il Runtime sono a disposizione i seguenti elementi di gestione:

Parametri | Descrizione
Inserisci modello... | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Elementi di controllo per visualizzazione finestre.

Parametri

Descrizione

Finestra report

Visualizza il report.

Filtro inserito

Visualizza a Runtime il filtro tempo configurato correntemente.

Elementi compatibili

Elementi di controllo Win32 standard, che sono stati sostituiti o rimossi da elementi di zenon (Collega testo, Interruttore) e continuano ad essere disponibili per ragioni di compatibilità. Questi elementi non vengono presi in considerazione nel processo di inserimento automatico di template.

Per la descrizione, si vedano gli elementi attuali.

  • Filtro inserito

Funzioni

Elementi di controllo per la gestione a Runtime.

Parametri

Descrizione

Filtro

Selezionare file di report e modificare i criteri di filtro.

Aggiorna

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report a Runtime.

Esporta

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato a Runtime (*.xrs).

Attenzione: quando viene salvato il report, le formule e le funzioni vengono sostituite dai valori correnti. Le funzioni non sono più disponibili in questi report (file .xrs). Non sarà più neanche possibile modificare questi report nell´Editor.

Raccomandazione: impostare i file originali di report in modalità "protetta da scrittura" e salvare le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome...

Il report viene salvato a Runtime con un nuovo nome (*.xrs); nel corso di questo processo, formule e funzioni vengono sostituite dai valori attuali.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati.

Scrivi valori selezionati

I valori selezionati vengono scritti sul driver.

Leggi tutti i valori

Il driver legge di nuovo tutti i valori.

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Navigazione

Elementi di controllo per la navigazione.

Parametri | Descrizione
Riga in su | Passare una riga più in alto
Riga in giù | Passare una riga più in basso
Colonna a destra | Spostarsi di una colonna a destra
Colonna a sinistra | Spostarsi di una colonna a sinistra
Pagina in su | Passare alla pagina precedente
Pagina in giù | Passare alla pagina successiva
Pagina a destra | Spostarsi di una pagina a destra
Pagina a sinistra | Spostarsi di una pagina a sinistra

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Parametri | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.
info Info
come separatore decimale viene utilizzato un punto. Quando si inserisce un valore, si può usare sia il punto che la virgola. In caso si usi una virgola, sarà il sistema a modificare il separatore automaticamente. Esempio: Se si digita 10,5, il risultato sarà 10.5

Ancora in questo capitolo

Filtro lotti in caso di cambio immagine


Filtro lotti in caso di cambio immagine

Manuale -> Reporting -> Generatore Report -> Gestione a Runtime -> Filtro lotti in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se aprite un´immagine del tipo Report, che viene filtrata su base lotti, viene visualizzato il seguente filtro:

Parametro

Descrizione

Filtro Lotto

Selezione del lotto da utilizzare per eseguire il filtro. Il filtro consiste delle due liste seguenti:

  • Lista archivi: lista degli archivi.
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Selezione dell’archivio desiderato.

Nodo *:

  • Riunisce tutti i lotti di tutti gli archivi visualizzati.
  • La chiave è il nome lotto.
  • L´ora d´inizio è quella del lotto che comincia prima.
  • L´ora di termine è quella del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Per filtrare, digitare un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti della lista possono essere ordinati cliccando sull´intestazione di colonna.

Nome lotti

Visualizza i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Verranno visualizzati solamente quei lotti il cui nome contiene la successione inserita.

Data inizio

Visualizza la data di inizio di tutti i lotti disponibili.

Filtro: inserimento di una data di inizio o selezione di una data dal calendario.

Ora d´avvio

Disponibile solamente se è stata indicata una data di inizio.

Visualizzazione dell´ora di avvio di tutti i lotti disponibili.

Filtro: inserimento di un´ora di avvio. * sta per l´orario 0:00:00.

Data termine

Visualizza la data di termine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Ora termine

Disponibile solamente se è stata indicata una data di termine.

Visualizzazione dell´ora di termine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di termine. * sta per l´orario 23:59:59.

Durata

Questa colonna visualizza la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Info

Vengono visualizzati anche i lotti non ancora portate a termine, a patto che corrispondano ai criteri di filtro.

info Info

Il valore della variabile lotto viene scritto all´inizio del lotto sia nel file di indice, che nell´Header del file ARX. Ogni volta che la variabile cambia, questi inserimenti vengono adeguati. Quando si chiude il lotto, il valore corrente della variabile lotto viene scritto definitivamente nel file di indice e nell´Header.

Solo quando un lotto è concluso, il nome lotto è scritto in modo definitivo.


Esempio Dati archivio nei report

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio, create dei dati di archivio in un report. Procedura:

  1. aprite anzitutto un nuovo report utilizzando il menù contestuale e la voce Nuovo report.
  2. definite l´area titolo
  3. riempite il Settore dati
  4. impostate una Immagine del tipo Report e create una funzione

Ancora in questo capitolo

Area titolo

Area dati

Visualizza report nel Runtime.


Area titolo

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´area titolo contiene nelle due prime righe:

  • testi come titoli per i dati
  • Data e ora
  • Logo delle ditta

L´area titolo viene formattata in modo tale da rimanere fissa nel caso di lunghi report e da non sparire dalla visuale quando si fa lo scrolling nel documento.

Ancora in questo capitolo

Testi

Date and Time (Data e ora)

Immagini come logo dell´azienda

Settore titolo fisso nel caso di report di più pagine.


Testi

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Testi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserite i seguenti testi come titoli per il report:

  • Time
  • Hall 1
    • Tank 1
    • Tank 2
  • Hall 2
    • Tank 1
    • Tank 2


Date and Time (Data e ora)

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Date and Time (Data e ora)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data e ora del report vengono progettati per le celle A1 e E1 con funzioni di report. Procedura:

  1. inserite in A1 e E1 la funzione =now().
  2. in entrambe le celle verrà adesso visualizzata la data attuale
  3. per far in modo che in E1 appaia l'ora anziché la data, dobbiamo modificare la formattazione delle celle
    1. selezionate la cella E1
    2. aprite il dialogo di formattazione usando il menù Formato/Celle/Numeri
    3. selezionate adesso la stringa di formattazione come mostra la seguente immagine

  4. il risultato:


Immagini come logo dell´azienda

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Immagini come logo dell´azienda

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le immagini nelle celle vengono trattate dal Report Generato non come contenuto della cella, ma come formattazione. Per questo motivo, la progettazione avviene anche attraverso la formattazione celle:

  1. importate l´immagine desiderata nel manager di progetto nel nodo File/Grafiche
  2. selezionate la cella E2 usando il tasto sinistro del mouse.
  3. aprite adesso con il tasto destro del mouse il menu contestuale del report e selezionate il comando Formattazione cella.
  4. nel box di dialogo passate alla pagina Tipo di cella.
  5. cambiate il tipo di cella in File grafico.
  6. selezionate l´immagine desiderata dalla lista a cascata di destra

  7. il risultato:


Settore titolo fisso nel caso di report di più pagine.

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Settore titolo fisso nel caso di report di più pagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avere sempre sotto controllo i titoli di riga e di colonna in report che comprendono più pagine, bisogna evitare che questi si muovano quando viene eseguito lo scroll all´interno del report. A questo scopo, definite delle aree di titolo fisse.

Per fissare i titoli riga:

  1. selezionate nel menù Formato il comando Report
  2. Si aprirà la finestra di dialogo di configurazione.
  3. aprite la scheda Colonne

    Oltre al numero complessivo delle colonne, potete indicare in questa sede anche il numero delle Colonne statiche . Il numero fissato di colonne statiche non viene più considerato nell´operazione di scrolling.

  4. inserite adesso alla voce Colonne staticheun 1.
  5. poi passate alla scheda Righe:.

    I nostri titoli si trovano nelle righe da 1 a 4.

  6. inserite adesso alla voce Colonne statiche un 4.
  7. confermate tutte le modifiche cliccando sul pulsante OK


Area dati

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area dati:

  • progettate la visualizzazione di Tempo e Valori
  • fate in modo che vengano visualizzati Somma e Media valori

Ancora in questo capitolo

Ora

valori

Somma e media valori


Ora

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella colonna A viene rappresentato il tempo dei valori di archivio visualizzati.

info Info

Come base prendiamo un archivio ciclico. In questo modo, gli inserimenti di tutte le variabili avvengono contemporaneamente ed è sufficiente una colonna tempo per tutti gli inserimenti.

Per progettare il tempo:

  1. selezionate la cella A5.
  2. scegliere nel menù Formato il comando Assistente alle funzioni.
  3. si apre l´assistente alle funzioni

  4. selezionate adesso la funzione archive cliccando due volte.
  5. il pulsante Archivio viene visualizzata nella parte inferiore del dialogo

  6. cliccate su Archivio
  7. si apre il dialogo che serve alla selezione di un archivio:

  8. cliccate su Nuovo.
  9. verranno visualizzati gli archivi impostati nel nodo Server archivi
  10. scegliete le variabili come mostrato nello screenshot

  11. cliccate su Salva
  12. scegliete la variabile H1_Tank1

  13. confermate la Vostra selezione cliccando su OK.
  14. riapparirà l`assistente alle funzioni
  15. selezionate adesso il parametro tempo cliccando due volte

  16. selezionate adesso il parametro giù cliccando due volte
  17. la funzione è adesso pronta all´uso (=archive(1,"tempo","giù")

  18. chiudete l´assistente cliccando sul pulsante OK

Nella colonna A verrà inserito il tempo dell´archiviazione variabili a partire dalla riga 5 procedendo verso il basso.

info Info

I parametri devono essere selezionati sempre cliccando due volte. Solo dopo che la funzione è stata terminata con l´aggiunta di una grappetta nell´anteprima e non vengono più proposti degli ulteriori parametri, è completato il processo di parametrizzazione della funzione stessa. Se si clicca sul pulsante OK prima che tutti i parametri siano stati selezionati, l´assistente si chiude prima che la funzione sia stata configurata per intero!


valori

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori per i serbatoi (Tanks) nei padiglioni (Halle) 1 e 2, li progetterete in modo analogo alla confogurazione del tempo. Tenete presente le seguenti differenze:

  • Le variabili archivio non devono più essere create. Esistono già e le si può selezionare immediatamente. Assegnate a ogni serbatoio (Tank) la variabile corrispondente.
  • Al posto del parametro tempo, selezionate valore.

Copia funzione

Non appena avete impostato una funzione, potete copiarla in un´altra cella e poi editarla nel modo desiderato:

Procedura:

  1. selezionate la cella da modificare
  2. cliccate poi nella riga di modifica
  3. nella funzione che adesso viene visualizzata, i numeri di referenza rimandano alle corrispondenti variabili di archivio, così come esse vengono assegnate automaticamente nella selezione archivio al momento in cui viene creata una funzione.
  4. sostituite, perciò, l´1 come primo parametro nella colonna C con un 2
    , nella colonna D con un 3
    e nella colonna E con un 4


Somma e media valori

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> Somma e media valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per questo report, progettate adesso la visualizzazione di somma e valore medio.

A questo scopo dovete stabilire quante righe sono necessarie per gli inserimenti archivio. Ciò lo impostate già nel Generatore di report. Il numero degli inserimenti nella lista dipende dalle impostazioni di filtro con cui il report verrà aperto in seguito (funzioni Esegui Report, Stampa Report, Esporta Report) .

Nel nostro esempio sceglieremo un intervallo di due minuti. Visto che il nostro archivio registra i valori in un ciclo di cinque secondi, nel nostro report ci saranno 24 inserimenti. Perciò:

  1. inserite nella cella A29 il testo somma:
  2. inserite nella cella A30 il testo Medio:
  3. Nella cella B29 inserite la funzione =sum(B5:B25)
  4. nella cella B30 inserite la funzione =avg(B5:B25)
  5. copiate la cella B29 dopo C29, D29 e E29
  6. copiate la cella B30 dopo C30, D30 e E30
  7. salvate il report con il nome Archiv.xrs

info Info

Quando inserite le funzioni, potete digitare la denominazione della cella, oppure cliccare sulla cella in questione con il mouse.

Se copiate nel Generatore di report delle funzioni con riferimenti celle, questi ultimi vengono adattati automaticamente.


Visualizza report nel Runtime.

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Visualizza report nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter vedere il report nel Runtime, avete bisogno di quanto segue:

  • un´immagine del tipo Report
  • una funzione di cambio immagine

Crea tipo d'immagine Report

Per creare un tipo di immagine Report:

  1. create una nuova immagine dal nome Report
  2. selezionate Report come tipo di immagine
  3. selezionate il modello MAIN
  4. cliccate nella nuova immagine
  5. scegliere nel menù Elementi di controllo il comando Default
  6. integrate, eventualmente, l´immagine inserendo altri elementi di controllo di cui avete bisogno

Creare una funzione

Create una funzione Cambio immagine, per aprire l´immagine nel Runtime Procedura:

  1. inserite nell´immagine di start un nuovo pulsante
  2. denominatelo Report
  3. navigate per raggiungere il nodoFunzioni

    Creare una nuova funzione.

  4. selezionate Cambio immagine
  5. selezionate l´immagine Report
  6. si apre il filtro report

  7. cliccate sul pulsante Formato-File
  8. scegliete Archiv.xrs
  9. aprite la scheda Tempo

  10. Per il nostro esempio, settate
    1. il formato tempo su Tempo relativo e
    2. il tempo sul valore 2 minuti.

    Ulteriori informazioni sul filtro tempo le trovate nella parte della guida concernente la Lista di informazione allarmi, nel capitolo Filtro tempo

  11. chiudete il filtro cliccando su OK
  12. assegnate la funzione al pulsante progettato
  13. avviate la funzione nel Runtime


Report Viewer

Manuale -> Reporting -> Report Viewer

Il Report Viewer serve a visualizzare i report RDL, i dati archivio, quelli AML e quelli CEL, nonché i valori online. Mediante due intervalli tempo configurabili, si possono confrontare anche due intervalli storici.

I file RDL che rappresentano il modello di report per il Runtime, vengono creati e modificati nell´Editor. I report standard forniti con il software, mettono a disposizione degli utenti 7 dataset predefiniti. Altri dataset possono essere creati liberamente; solamente lo schema tabelle per le quattro categorie di dati è predefinito.

Nella funzione di cambio all´immagine del tipo Report Viewer vengono definite le sorgenti dati che riforniscono nel Runtime i dataset fissati nel file RDL. Per ognuno dei dataset usati nel file RDL deve essere creato nella funzione Cambio immagine un dataset con lo stesso nome e la stessa sorgente dati. A seconda del tipo di dataset, si possono definire le variabili sorgente e i criteri di filtro.

attention Attenzione

La visualizzazione dei report visualizzati con lo zenon Report Viewer dipende dalle impostazioni relative alle dimensioni del carattere Windows.
Questo significa che, in caso caso di modifica della dimensione, i report non vengono scalati tramite il meccanismo di zenon di adeguamento automatico dello schermo. Il contenuto non viene adeguato.

Tipiche fasi di progettazione:

  1. creare un nuovo File di definizione Report o importarne uno già esistente
  2. creare un´immagine del tipo Report Viewer
  3. creare una Funzione di cambio immagine e configurare i Dataset
  4. Configura Pubblicazione come PDF oppure sulla stampante
  5. configurare il file RDL
  6. richiamare nel Runtime la funzione mediante pulsante o menu

Limitazioni

I report non possono avere un dimensione qualsiasi, visto che l´elaborazione di grandi quantità di dati in un dataset può influenzare in modo negativo le prestazioni del Runtime. La dimensione di un report è limitata all´emissione di 5000 valori/righe per dataset.

Nota: Nel caso di dataset con file d'archivio, vengono emessi 5000 valori per ogni variabile contenuta nell´archivio.

attention Attenzione

L´esecuzione in parallelo di più funzioni di Report Viewer (stampa, esporta) può provocare un sovraccarico del Runtime.

Ancora in questo capitolo

Configurazione nell'Editor

File definizione Report

Gestione a Runtime

Gestione errori


Configurazione nell'Editor

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare il Report Viewer nel Runtime, dovete fare quanto segue nell`Editor:

  1. creare un tipo d'immagine Report Viewer
  2. creare un file RDL o importarlo se non ce n´è nessuno
  3. impostare una funzione di cambio all´immagine del tipo Report Viewer
  4. configurare un dataset nel cambio lingua
  5. adattare il File di definizione Report (RDL) al dataset definito in zenon
  6. inserire un pulsante nell´immagine di partenza o nell´immagine menu per il richiamo del Report Viewer nel Runtime

Cartella per il file di definizione Report (RDL)

I file RDL vengono salvati nel nodo della struttura ad albero del progetto File/Report Viewer. I file RDL esistenti possono essere importati in questo nodo, dove potranno essere poi modificati. In alternativa, si può procedere alla creazione di nuovi file.

Menù contestuale "File definizione Report"

Voce di menù | Azione
Nuovo file definizione Report | Apre la finestra di dialogo che consente di creare un nuovo file RDL sulla base di dataset già definiti.
Apri file definizione di Report | Apre il programma collegato ai file RDL per consentire la modifica di un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Crea funzione standard | Questo comando è disponibile solamente nella barra degli strumenti. Crea una funzione di cambio immagine per passare ad un´immagine di tipo Report Viewer da selezionare, ed inserisce il file RDL selezionato nell´opzione file definizione Report.
Torna all'elemento di partenza | Quando ci sono elementi collegati, si ritorna a quello partendo dal quale si era passati al file di definizione report. Questo comando è disponibile nel menù contestuale solamente se ci sono degli elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Importa file di definizione Report esistente | Apre la finestra di dialogo che consente di importare un file di definizione Report già esistente. Questi file devono essere di tipo RDL 2.0.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.

Ancora in questo capitolo

creare un´immagine del tipo Report Viewer

Cambio ad immagine del tipo Report Viewer

Funzione esporta o stampa report:


creare un´immagine del tipo Report Viewer

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> creare un´immagine del tipo Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

creare un´immagine del tipo Report Viewer

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Report Viewer.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Parametri | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra Report | Funzioni e profili per il report.
Filtro inserito | Mostra durante il Runtime i filtri tempo configurati attualmente. Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Aggiorna | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati.
Stampa | Stampa il report sulla stampante definita per valori e protocolli.
Crea PDF | Salva il report attualmente visualizzato come file PDF nella cartella definita per l´export.
Genera file Excel | Salva il report attualmente visualizzato come file Excel nella cartella definita per l´export.
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.


Cambio ad immagine del tipo Report Viewer

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il Report Viewer nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report Viewer:

  1. create una nuova immagine del tipo Report Viewer
  2. Selezionare nel nodo Funzioni del menù contestuale, la voce Nuova Funzione
  3. Selezionare la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report Viewer
  5. viene visualizzato il Filtro report
  6. configurate, se lo desiderate, la sostituzione del filtro tempo nella Tab Runtime
  7. passate alla scheda Definizione report
  8. selezionate il file RDL
  9. definite il Filtro modulo e/o il Filtro tempo
  10. definite i Datasets desiderati
  11. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime
  12. modificate i Datasets nel file RDL in modo corrispondente alle Vostre impostazioni nel cambio immagine

Ancora in questo capitolo

Definizione Report

Runtime

Filtro ricette Batch Control

Filtro tempo.

Lotto

Dialogo Nuovo Dataset

Datasets nel Report Viewer


Definizione Report

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Definizione Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate i data set e i filtri che devono essere visualizzati.

Parametri

Descrizione

File di definizione Report

File RDL che viene usato per la definizione report. Questo file deve essere nel nodo File/Modelli di report. Un clic sul comando ... apre il dialogo che serve alla selezione del file.

Leggi record dal file

Se si clicca su questo pulsante, il sistema legge i record dal File RDL definito nell´opzione File di definizione Report e li inserisce nella lista Datasets.

Vale quanto segue:

  • Tutti i dataset che, per quantità di colonne e denominazione possono essere assegnati ad un tipo di Dataset esistente in zenon, vengono creati automaticamente.
  • I dataset sconosciuti, invece, verranno ignorati.
  • Nel caso in cui ci fosse bisogno di un filtro tempo, verrà collegato il primo (Filtro tempo 1).
    Se non dovesse esistere ancora nessun filtro tempo, ne viene creato e collegato automaticamente uno con impostazioni standard (relativo, ultima ora).

Nota: la lista Datasets deve essere vuota per far sì che i dataset di un file RDL possano essere aggiunti automaticamente, I dataset già esistenti dovranno dunque essere cancellati prima di utilizzare la funzione.

Filtro

Lista dei filtri disponibili con visualizzazione del nome e del tipo di filtro. Sono a disposizione:

  • Filtro specifico per modulo:
    Filtro ricette Batch Control
  • Filtro tempo
    I filtri tempo vengono nominati automaticamente mediante una numerazione progressiva.

Configurazione:

  • Cliccando su Filtro specifico per modulo si apre la finestra di dialogo per la configurazione di un filtro Batch.
  • Cliccando sul pulsante Nuovo filtro tempo... si apre la finestra di dialogo la configurazione di un filtro tempo.

Cliccando due volte sul titolo del gruppo, si apre il primo filtro configurato per il gruppo in questione.

Nuovo filtro tempo

Apre il dialogo che serve alla configurazione di un nuovo server.

Modifica

Apre il filtro tempo evidenziato nella lista per consentirne la modifica.

Elimina

Cancella il filtro tempo selezionato nella lista.
I seguenti filtri tempo vengono rinominati automaticamente.

Attenzione: Quando si cancella un filtro tempo, si deve configurare nuovamente l´assegnazione dei data set allo stesso filtro tempo. In caso contrario, verranno visualizzati nel runtime intervalli di tempo errati.

Datasets

Visualizzazione dei Datasets configurati. La lista contiene:

  • Nome Dataset
  • Sorgente dati
  • Filtro tempo.

Nuovo

Apre il dialogo per la creazione di una nuova variabile.

Modifica

Apre il Dialogo per la modifica della definizione dell´elemento selezionato.

Elimina

Cancella l´elemento selezionato e la sua definizione dalla lista.

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Info

Se nel file RDL è impostata una sorgente dati che non è stata progettata nel filtro di una funzione Report Viewer, il sistema provvederà a sostituire i record mancanti con inserimenti vuoti. In tal modo, il report verrà visualizzato anche in questo caso in modo corretto.


Runtime

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la sostituzione del primo filtro tempo con un´immagine del tipo filtro tempo/lotto. In tal modo, per esempio, potete aprire e usare un´immagine con filtri tempo propri, anziché con il filtro tempo configurato nel cambio immagine.

Parametri

Descrizione

Impostazioni Runtime

Impostazioni per azioni durante il Runtime.

Sostituire filtro 1 a runtime con un´immagine

Sostituisce nel Runtime il primo filtro tempo configurato con un´immagine del tipo filtro tempo/lotto. Viene visualizzata l´immagine collegata attualmente.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine. Vengono proposte solamente immagini del progetto da aprire e solo quelle del tipo Filtro tempo/lotto.

Se si seleziona un´immagine filtro, nella visualizzazione dettagli della funzione viene visualizzata nella colonna Parametri anche l´informazione BOX SCREEN: senza un´immagine collegata viene visualizzato solo BOX .

Ok

Riprende le modifiche in tutte le Tab e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Filtro ricette Batch Control

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Filtro ricette Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel configurare il cambio ad un´immagine di tipo Report Viewer, si può settare un filtro per le ricette del modulo BatchControl. Per filtrare per ricette:

  1. Durante il cambio immagine, aprire la scheda Definizione report
  2. Passare all´area Filtro
  3. Nell´area Filtro specifico per modulo, cliccare su Batch Control: filtro ricetta:
  4. Si aprirà la finestra di dialogo che consente di configurare il filtro.

Applica filtro ricette a

Parametri

Descrizione

Applica filtro ricette a

Selezione del tipo di ricetta a cui deve essere applicato il filtro:

  • Ricetta master
  • Ricetta di controllo

Ricetta master

Attivo: si filtra per ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Impostazioni filtro ricetta

Parametri

Descrizione

Impostazioni filtro ricetta

Opzioni per il filtro ricette

Selezione della lista ricette dall'immagine di controllo Batch richiamata
  • Attivo: durante il Runtime, viene usata la prima ricetta selezionata dell´immagine Batch, da cui viene aperta l´immagine report viewer. Impostazioni individuali in questa finestra di dialogo non sono disponibili.
  • Non attiva: le impostazioni di filtro vengono modificate individualmente facendo uso di questa finestra di dialogo.

Ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito a Runtime da una variabile Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    La versione della ricetta master viene definita a Runtime da una variabile. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta. Selezione dal menù a tendina, dipendente dal tipo di filtro:

Filtro per ricette master:

  • Tutti
  • Modalità di modifica
  • Rilasciata
  • Modalità di test
  • Verifica in esecuzione
  • Terminato con errore
  • Imposta come obsoleta

Filtro per ricette di controllo:

  • Rilasciata o obsoleta
  • Rilasciata
  • Imposta come obsoleta

Filtra risultati per

Definizione di quale ID fra quelli contenuti nella lista a cascata deve essere selezionato quando si filtra per nomi.

  • Solo ID più vecchio
  • Solo ID più recente

Visto che si può usare un report solamente per una ricetta, non è possibile effettuare un filtro per "tutte le ricette".

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con un placeholder. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile a Runtime. Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • Job ID dalla variabile:
    Trova le ricette di controllo che hanno il Job ID indicato in questa sede. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.
    Nota: se la variabile non contiene nessun valore, nessun report verrà inviato al Report Viewer.

Stato ricetta di controllo

Selezione dello stato ricetta fra quelli della lista a cascata:

  • Tutti
  • Preparata
  • In esecuzione.
  • Completata
  • Terminato con errore
  • Obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi o job ID.

  • Solo ID più vecchio
  • Solo ID più recenti

OK

Riprende tutte le modifiche, crea filtri e chiude il dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Filtro tempo.

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´Editor, ma possono essere anche adattati a Runtime.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Cliccando sul pulsante Nuovo oppure Modifica nel settore Filtro tempo della Tab Definizione report, si apre la finestra di dialogo che serve alla configurazione di un filtro tempo. Può essere collegato un numero qualsiasi di filtri tempo.

I filtri tempo possono essere predefiniti nell´Editor, ma anche modificati a Runtime, per:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo di tempo

In linea di principio, il filtro tempo può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Si configura un intervallo di tempo nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere a Runtime.

Filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: se si setta l´opzione Nessun filtro tempo come tipo di filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti da 1. 1. 2000.

attention Attenzione

Un´immagine del tipo Report Viewer può disporre di più filtri tempo. Se nella scheda Runtime, facendo uso di un´immagine del tipo Filtro tempo, si setta un filtro su un´immagine del tipo Report Viewer, verrà scambiato solamente il primo filtro tempo con le impostazioni dell´immagine filtro. Gli altri tipi di filtro del filtro tempo saranno settati automaticamente su Nessun filtro tempo.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Intervallo di tempo

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo. -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo di tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo. -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostare intervallo di tempo nell´Editor

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo. -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo configurabile a Runtime

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Se il filtro lotti è attivo, nel Runtime il sistema va a prendere dal server archivi una lista di tutti i lotti progettati in questa sede che corrispondono all´intervallo configurato.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Dialogo Nuovo Dataset

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Dialogo Nuovo Dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare un nuovo dataset:

  1. definite nel Cambio ad un´immagine del tipo Report Viewer il file RDL che ne è alla base
  2. cliccate nel settore Datasets sul pulsante Nuovo
  3. si apre il dialogo per la creazione del dataset
  4. selezionate la sorgente dati desiderata
  5. confermate la Vostra selezione cliccando su OK
  6. si apre il Dialogo per la configurazione del tipo definito

Parametri

Descrizione

Origine dati

Selezione della sorgente dati:

Generale

  • Lista informazioni d'allarme
  • Lista eventi cronologica
  • Valore del archivio
  • Valori Online
  • Impostazioni di filtro

Manager gruppi di ricette

  • RGM dati ricetta
  • RGM valori ricetta

Batch Control

  • Ricetta master
  • Ricetta di controllo
  • Immagini di ricetta
  • Struttura matrice
  • Struttura PFC
  • Fasi
  • Parametri
  • Transizioni
  • Assegnazioni unità
  • Istanze di ricette parziali

Ok

Conferma la selezione e apre il Dialogo per la configurazione del tipo.

Annulla

Chiude il dialogo senza nuova configurazione.

Guida

Apre la guida in linea.


Datasets nel Report Viewer

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni per i diversi dataset dipendono dal tipo della sorgente dati da configurare.

  • Generale
    • Dati AML
    • Dati CEL
    • Dati Archiv
    • Valori Online
    • Impostazioni di filtro
  • RGM
    • RGM dati ricetta
    • RGM valori ricetta
  • Batch Control
    • Ricetta master
    • Ricetta di controllo
    • Immagini di ricetta
    • Struttura matrice
    • Struttura PFC
    • Fasi
    • Parametri
    • Transizioni
    • Assegnazioni unità
    • Istanze di ricette parziali

Ancora in questo capitolo

Dati AML

Dati CEL

Valore del archivio

Valori Online

Impostazioni di filtro

RGM dati ricetta

RGM valori ricetta

Data set per Batch Control

Ricetta master

Ricetta di controllo

Immagini di ricetta

Struttura matrice

Struttura PFC

Fasi

Parametri

Transizioni

Assegnazione unit

Istanze di ricette parziali


Dati AML

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dati AML

Configurazione dei dati AML:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Filtro tempo.

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella scheda definizione report.

Scheda Generale

Impostazioni per:

  • Filtro variabili
  • Tipo di allarme
  • Sorgente dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Gestione allarmi, capitolo Generale.

Scheda Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Scheda Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

Scheda Definizione di impianto

selezione del modello di impianto.

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Dati CEL

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dati CEL

Configurazione dei dati CEL:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Filtro tempo.

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella scheda definizione report.

Scheda Generale

Impostazioni per:

  • Filtro variabili
  • Sorgente dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Lista eventi cronologica, capitolo Generale.

Scheda Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Scheda Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

Scheda Definizione di impianto

selezione del modello di impianto.

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Valore del archivio

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valore del archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valore del archivio

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Compressione

Tipo di compressione:

  • Limita: emette solo i primi n valori per ogni archivio nel caso in cui i criteri di filtro dovessero fornire un numero di inserimenti che supera questa quantità.
  • Somma: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono addizionati. I valori di stato vanno persi.
  • Media valori: l´intervallo di tempo è diviso in n intervalli equidistanti e viene calcolata una media dei valori di archivio che si trovano all´interno. I valori di stato vanno persi.
  • Minimo: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono minimizzati.
  • Massimo: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono massimizzati.

Il timestamp corrisponde al rispettivo inizio dell´intervallo di tempo.

Filtro tempo.

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella scheda definizione report.

Archivio - Nome variabile

Lista delle variabili selezionate.

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Elimina

Cancella una variabile selezionata dalla lista.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Valori Online

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valori Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valori Online

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Variabili

Lista delle variabili selezionate con:

  • Nome
  • Identificazione
  • Indirizzo
  • Progetto

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Elimina

Cancella una variabile selezionata dalla lista.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Impostazioni di filtro

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Impostazioni di filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni di filtro

Il Dataset rappresenta i filtri tempo definiti e il loro uso da parte di altri dataset. Nel report verrano visualizzati:

  • Dataset
  • filtri tempo impostati
  • condizioni di filtro

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


RGM dati ricetta

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> RGM dati ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
RGM dati ricetta

Configurazione dei RGM dati ricetta:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Filtro di ricetta

Configurazione dei filtri ricette

Parametri

Descrizione

Scelta progetto

Selezione del progetto per i dati ricetta fra quelli proposti dalla lista a cascata

Gruppo di ricette

Selezione del gruppo ricette.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Gruppo ricette statico)
  • in modo dinamico, tramite variabili (Nome gruppo di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta del gruppo:

  • dal menù a tendina
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome gruppo, o testo filtro con wildcard.

Ricetta

Selezione della ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Ricetta statica)
  • in modo dinamico, tramite variabile (Nome ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta del nome:

  • dalla lista a cascata
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome ricetta, o testo filtro con wildcard.

Versione di ricetta statica

Selezione della versione ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Versione di ricetta statica)
  • in modo dinamico, tramite variabile (Versione di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta della versione:

  • Inserimento dal menù a tendina:
    - versione più grande
    - versione più piccola
    - tutte
    - versioni ricette (disponibile solamente se la selezione del gruppo e della ricetta ha come risultato una sola ricetta; selezione senza wildcard)
  • Inserimento di una lista di versioni ricetta, con le versioni separate da virgole (,), per es. „1, 3, 5".
  • Una variabile stringa che fornisce una lista di numeri di versione separati da una virgola (,).
  • Una variabile numerica con un numero di versione (1 - 89999), oppure i valori:
    - 90000 per„versione più piccola"
    - 90001 per„versione più grande"
    - 90002 per„tutte le versioni"

Stato ricetta statico

Selezione dello stato ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Stato ricetta statico)
  • in modo dinamico, tramite variabile (Stato di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Selezione dello stato:

  • Inserimento della lista a cascata:
    - tutti
    - stato ricetta individuale.
  • Lista di stati ricetta separati da virgole (,). per es. „1, 2, 7"
  • Una variabile stringa che fornisce come testo una lista di numeri di stato separati da una virgola (,).
  • una variabile numerica con un numero di stato (1 - 4294967294; 0xFFFFFFFE), oppure il valore
  • 0 per tutti

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Possibili combinazioni di versione ricetta e stato ricetta:

Filtro versione | Filtro stato | Risultato
Versione più bassa | Tutti | Di tutte le ricette vengono visualizzate solamente le versioni più piccole.
Versione più bassa | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più piccole versioni.
Versione più alta | Tutti | Di tutte le ricette vengono visualizzate solamente le versioni più grandi.
Versione più alta | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più grandi versioni.
Tutti | Tutti | Vengono visualizzate tutte le versioni ricette.
Tutti | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Tutti | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se questa ha lo stato 1 oppure 2.

Per ulteriori informazioni sul RGM, vi preghiamo di consultare la guida concernente il Manager di gruppi ricette.

Progettazione impianto

Selezione di un modello di impianto.

Selezionate il modello di impianto desiderato fra quelli della lista, oppure createne uno nuovo.

Nota: i modelli di impianto vengono gestiti nel progetto globale. Per poter creare un nuovo modello di impianto, dunque, deve esistere un progetto globale.


RGM valori ricetta

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> RGM valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
RGM valori ricetta

Configurazione dei valori ricetta RGM. Le variabili di visibilità vengono analizzate per l´emissione dei valori di ricetta. Nel Report Viewer vengono visualizzati solamente i valori di ricetta che hanno lo stato visibile:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.

Filtro di ricetta

Configurazione dei filtri ricette

Parametri

Descrizione

Scelta progetto

Selezione del progetto per i dati ricetta fra quelli proposti dalla lista a cascata

Gruppo di ricette

Selezione del gruppo ricette.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Gruppo ricette statico)
  • in modo dinamico, tramite variabili (Nome gruppo di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta del gruppo:

  • dal menù a tendina
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome gruppo, o testo filtro con wildcard.

Ricetta

Selezione della ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Ricetta statica)
  • in modo dinamico, tramite variabile (Nome ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta del nome:

  • dalla lista a cascata
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome ricetta, o testo filtro con wildcard.

Versione di ricetta statica

Selezione della versione ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Versione di ricetta statica)
  • in modo dinamico, tramite variabile (Versione di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Scelta della versione:

  • Inserimento dal menù a tendina:
    - versione più grande
    - versione più piccola
    - tutte
    - versioni ricette (disponibile solamente se la selezione del gruppo e della ricetta ha come risultato una sola ricetta; selezione senza wildcard)
  • Inserimento di una lista di versioni ricetta, con le versioni separate da virgole (,), per es. „1, 3, 5".
  • Una variabile stringa che fornisce una lista di numeri di versione separati da una virgola (,).
  • Una variabile numerica con un numero di versione (1 - 89999), oppure i valori:
    - 90000 per„versione più piccola"
    - 90001 per„versione più grande"
    - 90002 per„tutte le versioni"

Stato ricetta statico

Selezione dello stato ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Stato ricetta statico)
  • in modo dinamico, tramite variabile (Stato di ricetta da variabile)

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Selezione dello stato:

  • Inserimento della lista a cascata:
    - tutti
    - stato ricetta individuale.
  • Lista di stati ricetta separati da virgole (,). per es. „1, 2, 7"
  • Una variabile stringa che fornisce come testo una lista di numeri di stato separati da una virgola (,).
  • una variabile numerica con un numero di stato (1 - 4294967294; 0xFFFFFFFE), oppure il valore
  • 0 per tutti

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Possibili combinazioni di versione ricetta e stato ricetta:

Filtro versione | Filtro stato | Risultato
Versione più bassa | Tutti | Di tutte le ricette vengono visualizzate solamente le versioni più piccole.
Versione più bassa | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più piccole versioni.
Versione più alta | Tutti | Di tutte le ricette vengono visualizzate solamente le versioni più grandi.
Versione più alta | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più grandi versioni.
Tutti | Tutti | Vengono visualizzate tutte le versioni ricette.
Tutti | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Tutti | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se questa ha lo stato 1 oppure 2.

Per ulteriori informazioni sul RGM, vi preghiamo di consultare la guida concernente il Manager di gruppi ricette.

Progettazione impianto

Selezione di un modello di impianto.

Selezionate il modello di impianto desiderato fra quelli della lista, oppure createne uno nuovo.

Nota: i modelli di impianto vengono gestiti nel progetto globale. Per poter creare un nuovo modello di impianto, dunque, deve esistere un progetto globale.


Data set per Batch Control

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Data set per Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Data set per Batch Control

Per il modulo Batch Control sono disponibili i seguenti data set:

  • Ricetta master
  • Ricetta di controllo
  • Immagini di ricetta
  • Struttura matrice
  • Struttura PFC
  • Fasi
  • Parametri
  • Transizioni
  • Assegnazioni unità
  • Istanze di ricette parziali


Ricetta master

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta master

Configurazione di un data set per una ricetta master nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Ricetta di controllo

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta di controllo

Configurazione di un data set per una ricetta di controllo nel modulo Batch.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Immagini di ricetta

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Immagini di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Immagini di ricetta

Configurazione di un data set per immagini ricette nel modulo Batch Control. Si può indicare per le immagini non solo il dettaglio pubblicazione, ma anche il tipo di visualizzazione nel Runtime.

Generale

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.

Rappresentazione

Parametri | Descrizione
Aspetto PFC | Visualizzazione per ricette PFC
Colore sfondo | Definizione del colore di sfondo. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Opacità | Impostazione del grado di copertura tramite slider.
Mostra griglia | Attivo: Viene visualizzata la griglia
Colore griglia | Definizione del colore griglia. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Aspetto matrice | Visualizzazione di ricette matrice.
Colore sfondo | Definizione del colore di sfondo. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Opacità | Impostazione del grado di copertura tramite slider.
Colore griglia | Definizione del colore griglia. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Rifiuta le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida in linea.


Struttura matrice

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Struttura matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura matrice

Configurazione di un data set per la struttura di una ricetta matrix nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Struttura PFC

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Struttura PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura PFC

Configurazione di un data set per la struttura di una ricetta PFC nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Fasi

Fasi

Configurazione di un data set per fasi nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Parametri

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametri

Configurazione di un data set per parametro nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Transizioni

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Transizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transizioni

Configurazione di un data set per transizioni nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Assegnazione unit

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Assegnazione unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione unit

Configurazione di un data set per allocazione aggregati nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Istanze di ricette parziali

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Istanze di ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Istanze di ricette parziali

Configurazione di un data set per istanze ricetta parziale nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • Non deve essere lasciato vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.


Funzione esporta o stampa report:

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Funzione esporta o stampa report:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Report Viewer: esporta/stampa si possono emettere report durante il Runtime in formato PDF, come file Excel,oppure come stampa online in un thread proprio. Visto che il rendering del file è asincrono, il Runtime può essere gestito anche durante il rendering. L´esecuzione di funzioni di livello prioritario inferiore, però, viene bloccata finché il Report Viewer non ha completato il rendering. Si può effettuare l´emissione in formato PDF o come stampa report anche usando elementi di controllo nell´immagine; in questo caso, però, la gestibilità Runtime può risultare limitata fino al termine dell´operazione di emissione

Per creare la funzione :

  1. selezionate nel nodo Funzioni il comando Nuova Funzione...
  2. si aprirà la selezione funzioni

  3. Passare al nodo Generatore Report/Report Viewer/Analyzer
  4. Selezionare la funzione Report Viewer: esporta/stampa.
  5. Si apre la finestra di dialogo di configurazione.
  6. Dettagli sulla configurazione della finestra di dialogo:
    • come PDF: vedi capitolo Emissione in formato PDF
    • sulla stampante: vedi capitolo Configurazione dell´emissione su stampante
    • come documento Excel: vedi capitolo Emissione in formato Excel.
    • Definizione report: vedi capitolo Definizione report in Cambio ad un´immagine del tipo Report Viewer

info Info

La rappresentazione grafica del report può variare leggermente fra i diversi formati di output.

Ancora in questo capitolo

Emissione in formato PDF

Configurazione dell´emissione su stampante

Configurare output in Excel


Emissione in formato PDF

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Funzione esporta o stampa report: -> Emissione in formato PDF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report in formato PDF:

  1. come opzione per Pubblica report selezionate Pubblica in PDF
  2. assegnate un nome file fisso, oppure selezionate una variabile che definisca il nome file nel Runtime.
  3. decidete se i dati già esistenti devono essere sovrascritti.
  4. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.

Salva PDF in

Selezione dell´assegnazione di un nome file fra quelli di una lista a cascata:

  • Nome file statico: il nome viene inserito nel campo di testo, oppure viene selezionato dal file explorer dopo aver cliccato sul pulsante ....
  • Nome file da variabile: cliccando sul pulsante ... si apre la finestra di dialogo che serve a selezionare una variabile, che invia durante Il Runtime il nome file per il report.

Composizione del nome file statico:

nel caso dei nomi file statici, gli elementi che li compongono sono costituiti da caratteri jolly:

  • <ProjectName>: Nome del progetto
  • <DateTime>: data e ora corrispondenti alle impostazioni di sistema
  • <Date>: data corrispondente alle impostazioni di sistema
  • <Time>: tempo corrispondente alle impostazioni di sistema

I caratteri jolly possono essere inseriti anche cliccando con il tasto destro del mouse sul campo di testo che si trova sopra il menù contestuale corrispondente all´attuale posizione del cursore.

Il nome file può essere assegnato come percorso assoluto, oppure come percorso relativo (relativo alla cartella di export del progetto).

Percorso di salvataggio per PDF:

Come nella cartella definita per l´export.
Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Sovrascrivi file esistente

Attivo: i dati esistenti nel percorso di salvataggio vengono sovrascritti.

Ok

Riprende le modifiche di tutte le schede e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Configurazione dell´emissione su stampante

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Funzione esporta o stampa report: -> Configurazione dell´emissione su stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report su una stampante:

  1. per l´opzione Pubblica report selezionate Pubblica su stampante
  2. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.

Ok

Riprende le modifiche di tutte le schede e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Configurare output in Excel

Manuale -> Reporting -> Report Viewer -> Configurazione nell'Editor -> Funzione esporta o stampa report: -> Configurare output in Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report come file Excel:

  1. Selezionate nel menù a tendina Pubblica report, la voce Incarico come Excel.
  2. Selezionate nel menù a tendina Esporta report su il tipo della denominazione file.
    I nomi file possono essere progettati liberamente, o li si può ricavare da variabili.
  3. Decidete se i dati già esistenti devono essere sovrascritti.
  4. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.
  • Incarico come Excel: crea un file Excel del report.

Esporta report su

Selezione dell´assegnazione di un nome file fra quelli di una lista a cascata:

  • Nome file statico: il nome viene inserito nel campo di testo, oppure viene selezionato dal file explorer dopo aver cliccato sul pulsante ....
  • Nome file da variabile: cliccando sul pulsante ... si apre la finestra di dialogo che serve a selezionare una variabile, che invia durante Il Runtime il nome file per il report.

Composizione del nome file statico:

per i nomi file statici (Nome file statico), le componenti del nome vengono compilate usando caratteri jolly:

  • <ProjectName>: Nome del progetto
  • <DateTime>: data e ora corrispondenti alle impostazioni di sistema
  • <Date>: data corrispondente alle impostazioni di sistema
  • <Time>: tempo corrispondente alle impostazioni di sistema

I caratteri jolly possono essere inseriti anche cliccando con il tasto destro del mouse sul campo di testo che si trova sopra il menù contestuale corrispondente all´attuale posizione del cursore.

Il nome file può essere assegnato come percorso assoluto, oppure come percorso relativo (relativo alla cartella di export del progetto).

Percorso salvataggio file:

Come nella cartella definita per l´export.
Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Sovrascrivi file esistente

Attivo: i dati esistenti nel percorso di salvataggio vengono sovrascritti.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


File definizione Report

Manuale -> Reporting -> Report Viewer -> File definizione Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file definizione Report (RDL) devono essere del tipo 2 per poter essere usati nel Report Viewer di zenon. I file RDL del tipo 3 possono essere solamente visualizzati, ma le features non disponibili nella versione 2, appariranno vuote.

Per creare dei propri dataset o per modificare quelli esistenti, è necessario un software specifico per gestire i file RDL. A questo scopo, avete a disposizione le seguenti opzioni:

  • SQL Server Data Tool (SSDT):

    Viene fornito da COPA-DATA a partire dalla versione zenon 7.10, e viene installato automaticamente con l´installazione zenon.

    SSDT consiste di Microsoft Visual Studio 2010 con altri tipi di progetto che sono disponibili solamente per SQL Server Business Intelligence, ed è l´ambiente primario per progetti businessservices, come il reporting. Vengono messi a disposizione dei modelli per la creazione degli oggetti necessari per le soluzioni Business Intelligence, nonché designer, tool e assistenti per modificare questi oggetti.

    Quando si apre un file RDL per editarlo con SSDT, può essere che venga visualizzata una finestra di dialogo che serve a settare le impostazioni per Visual Studio 2010:

    selezionate l´opzioneBusiness Intelligence Settings e cliccate sul pulsante Start Visual Studio.

  • Microsoft Report Builder 2.0:

    Lo si può scaricare dal sito dei downloads di Microsoft. Mette a disposizione un wizard per la configurazione dei dataset; lo consigliamo a quegli utenti che non dispongono di conoscenze specifiche concernenti la configurazione di file RDL
    Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
    Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

  • Software di altri produttori:

    Per modificare i file di definizione Report, si può usare anche un software di altri produttori.

Se sono installati sia il MS Report Builder che il Microsoft SQL Server Data Tools, si può scegliere in un dialogo quale tool si desidera usare.

attention Attenzione

Tenere presente quanto segue:

  • i file RDL dovrebbero essere creati e modificati sempre usando lo stesso tool.
  • Si deve evitare di mescolare le versioni 2 e 3 dei file RDL.
  • Se si è salvato un file RDL con SSDT, non lo si potrà modificare con il MS Report Builder 2.0.

DataSource

Le proprietà del datasource (sovraordinato ai dataset) non possono essere modificate.

Le proprietà standard sono:

Parametri | Descrizione
Nome | DataSource1
Connection | Use a connection embedded in my report
Select connection type | XML

Modifica di file RDL in progetti con progettazione distribuita

Quando editate file RDL nell´ambito di un sistema a progettazione distribuita, tenete presente che i file non sono settati automaticamente su"Consenti modifiche" (Checkout) quando vengono aperti.

  • È possibile aprire file RDL con il SSDT o il MS Report Builder per modificarli e salvare i cambiamenti localmente, senza che il file sia stato settato su"Consenti modifiche" (Checkout). Queste modifiche, però, possono essere riprese sul server e e andranno dunque perse in caso di sincronizzazione o con Consenti modifiche (Checkout). Viene ripresa automaticamente la versione più vecchia del server.
  • Si può anche aprire su un computer un file RDL che su un altro computer è stato settato su Consenti modifiche" (checkout), in modo tale da poterlo modificare e da poter salvare i cambiamenti localmente. Il file non è protetto per la scrittura quando si attiva l´opzione "Consenti modifiche" (checkout). Anche le modifiche apportate a livello locale verranno sovrascritte al momento della sincronizzazione.

Per salvare le modifiche apportate a lungo termine, bisogna settare il file RDL su "Consenti modifiche" (Checkout) prima di aprirlo.

attention Attenzione

I file RDL possono essere rinominati solamente nell´Editor di zenon.

Quando i file RDL sono stati rinominati in SSDT o MS Report Builder, il nuovo nome non viene ripreso in progetti con progettazione distribuita e le modifiche andranno perdute.

Ancora in questo capitolo

Configurare dataset per un nuovo report.

Creare e modificare file RD con MS Report Builder 2.0

Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Definizione dei data set


Configurare dataset per un nuovo report.

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Configurare dataset per un nuovo report.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo file RDL con i dataset già definiti:

  1. passate al nodo File/Report Viewer.
  2. selezionate nel menù contestuale oppure nella barra dei simboli della visualizzazione dettagli il comando Report; Nuovo file di definizione.
  3. Verrà aperto il dialogo per la selezione e la configurazione dei dataset per il report.
  4. Configurate i dataset desiderati
  5. Cliccando sul pulsante OK chiudete il dialogo e avviate il MS Report Builder.
  6. Configurate il file RDL nel Report Builder e salvatelo.

Dialogo: selezionare dataset per report

Parametri | Descrizione
Dataset disponibili | Visualizza in una lista tutti i dataset disponibili. Cliccando sul pulsante > oppure cliccando due volte su un dataset, aggiungete alla lista Dataset selezionati un nuovo dataset del tipo scelto.
Pulsante > | Aggiunge alla lista Dataset selezionati un nuovo dataset del tipo scelto
Dataset selezionati | Ordina in una lista tutti i dataset progettati. Con la tastiera: F2 … rinomina il dataset selezionato. Canc… cancella il dataset selezionato.
Rinomina | Consente di rinominare il dataset selezionato (se si usa la tastiera: F2). Il nome del dataset deve essere univoco. Una modifica verrà accettata solamente se il nome rimane univoco.
Elimina | Il dataset selezionato viene cancellato (se si usa la tastiera: Canc
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Creare e modificare file RD con MS Report Builder 2.0

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il MS Report Builder può essere scaricato gratuitamente dal sito di download di Microsoft.
Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

Installate il Report Builder e controllate se è collegato correttamente a zenon.

Crea file RDL

Per creare un nuovo file RDL:

  1. selezionate nell´Editor di zenon nel nodo File/Report Viewer del menu contestuale o nella barra simboli, il comando Nuovo file definizione Report. Si apre il dialogo per la configurazione del Dataset desiderato.
  2. Non appena confermate il dialogo cliccando su OK, verrà avviato il MS Report Builder:

  3. Adattate i dataset alla configurazione nella funzione di cambio lingua nel modo seguente:
    • rinominandoli: i nomi dei dataset devono coincidere esattamente con quelli dei dataset nel cambio immagine
    • cancellandoli: i dataset che non hanno un´esatta corrispondenza nel cambio immagine e, perciò, non possono essere riforniti di dati, causano l´emissione di messaggi di errore nel Runtime
    • crearne dei nuovi: i dataset che sono stati configurati nel cambio immagine, ma che non hanno una corrispondenza nel file RDL, causano l´emissione di messaggi di errore nel Runtime.
  4. Scegliete nel menu Insert il comando Table -> Table Wizard.
  5. Viene avviato il Wizard.
  6. Selezionate il dataset desiderato

  7. Piazzate i campi come desiderate.

  8. Cliccate su Next e selezionate il layout.

  9. Cliccate su Next e selezionate lo stile della visualizzazione.

  10. Cliccate su Finish.
    Il dataset viene visualizzato con la tabella pronta.

  11. Cancellate la tabella-esempio.
  12. Piazzate la nuova tabella nel punto desiderato
  13. Cambiate il titolo a piacere.

  14. Ripetete l´operazione con tutti i dataset da configurare.
  15. Salvate il file RDL.

Risultato nel Runtime:

Modifica file RDL

Per modificare un file RDL, cliccate due volte sul file in questione, oppure scegliete il comando Apri file definizione Report. Per modificare un file RDL, seguirete una procedura analoga a quella che avete usato per crearne uno.

Ancora in questo capitolo

Gestire dataset


Gestire dataset

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0 -> Gestire dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Report Builder potete fare quanto segue con i dataset:

  • li potete rinominare
  • Elimina
  • crearne dei nuovi

Il numero e il nome dei dataset di un file RDL devono sempre corrispondere con i dataset definiti nel cambio immagine.

attention Attenzione

Tenere presente quanto segue:

  • la datasource non può essere editata.
  • I dataset non possono essere editati.

Rinomina dataset

Per rinominare un dataset:

  1. c poi con il tasto destro del mouse sul dataset
  2. selezionate nel menù contestuale il comando Dataset Properties
  3. si apre il dialogo per l´impostazione delle proprietà del dataset
  4. assegnate il nome desiderato nella proprietà Nome

    Indicazioni: il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. lasciate immutate tutte le altre impostazioni
  6. Chiudere la finestra di dialogo cliccando su OK.

Cancellare dataset

Per cancellare un dataset:

  1. selezionate il dataset da cancellare nella finestra Report Data al di sotto della DataSource

  2. selezionate nel menù contestuale il comando Delete
  3. il dataset viene cancellato dopo una richiesta di conferma

Crea un nuovo dataset

Per impostare un nuovo dataset:

  1. cliccate con il tasto destro del mouse sulla DataSource
  2. selezionate nel menù contestuale Add Dataset

  3. viene creato un nuovo dataset e si apre la finestra delle proprietà

  4. Assegnate il nome desiderato.

    Indicazioni: il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. aggiungete la query adeguata; avete tre possibilità di farlo:
    1. Query Designer: apre il dialogo che consente di inserire la query manualmente
    2. Importa: importa da un file RDL esistente
    3. copia manuale da un dataset esistente: aprite il Quell-Dataset corrispondente, copiate il contenuto della query, inseritelo nel campo Query nel nuovo Dataset
  6. Chiudere la finestra di dialogo cliccando su OK.

Importa query

Per importare una query da un file RDL esistente:

  1. cliccate nel dialogo delle proprietà del dataset sul pulsante Import
  2. si apre l´assistente per la selezione file
  3. cercate e aprite il file RDL desiderato
  4. il dialogo di import viene visualizzato

  5. selezionate il dataset desiderato

  6. cliccate su Import
  7. la query del Quell-Dataset viene inserita nel dataset attualmente aperto


Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Microsoft Business Intelligence Development Studio viene fornito e installato con zenon.

Per creare e modificare file RDL con Microsoft Business Intelligence Development Studio, dovete procedere il linea di massima come nel caso di Report Builder 2.0.

Ci sono soprattutto le seguenti differenze:

  • per far in modo che sia possibile modificare il report, bisogna anzitutto creare un nuovo progetto del tipo Report Server Project e una nuova cosiddetta Solution in Microsoft Business Intelligence Development Studio.
    Essi vengono creati automaticamente quando si apre il file RDL con un doppio clic. Quando si chiude il Business Intelligence Development Studio, potete salvare il progetto e la solution nella cartella temporanea; poi il sistema non vi inviterà più a farlo.
    I dataset e il report possono essere adesso modificati in Microsoft Business Intelligence Development Studio.
  • Nel Microsoft Business Intelligence Development Studio non esiste un wizard per le tabelle, il che significa che le tabelle dei dataset devono essere configurate manualmente.
  • Non viene eseguito nessun controllo della versione:
    così è possibile aggiungere delle features della versione 3 a file RDL della versione 2. Esse, però, non verranno visualizzate nel Runtime.
  • Nel Microsoft Business Intelligence Development Studio, i dataset sono separati dalle datatsources. La datasource non deve essere modificata.

Istruzione

Un´ampia introduzione all´uso del Microsoft Business Intelligence Development Studio la trovate online sulla website di Microsoft.

Lingua | Link
Inglese: | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Tedesco: | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Francese: | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italiano: | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Cancella dataset

Nel Microsoft Business Intelligence Development Studio i dataset non necessari devono essere cancellati, perché essi possono causare problemi durante il Runtime.

Per cancellare dei dataset:

  1. cliccate su View.
  2. selezionate Report Data
  3. passate a Datasets
  4. cancellate tutti i dataset non necessari

Visualizza finestra data set

Se la finestra Dataset non viene visualizzata, può essere aperta con i passaggi seguenti:

  • selezionare report
  • cliccare sul menù View nel menù principale
  • scorrere fino alla fine della lista
  • selezionare Report Data
    Nota: se questo inserimento di menù non viene visualizzato, significa che non si è selezionato nessun report.

Dopo la selezione del report, si può anche premere la combinazione di tasti Ctrl+ALt+D.


Definizione dei data set

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le colonne dei tipi di data set sono definite in modo fisso.

Definizione dei data set per:

  • AML
  • CEL
  • Archivio
  • Online
  • Impostazioni di filtro
  • RGM
    • RGM dati ricetta
    • RGM valori ricetta
  • Batch Control
    • Ricetta master
    • Ricetta di controllo
    • Immagini di ricetta
    • Struttura matrice
    • Struttura PFC
    • Fasi
    • Parametri
    • Transizioni
    • Assegnazioni unità
    • Istanze di ricette parziali

Nota: se report zenon Analyzer devono essere riutilizzati nel Report Viewer, vale quanto segue:

  • i testi suscettibili di cambio lingua sono già tradotti
  • valori con unità intercambiabile sono espressi in unità di calcolo
  • i data/ora corrispondono all´ora locale del computer che gestisce il processo

info Info

Quando si crea un report, il sistema provvede a controllare la successione dei campi dati con riferimento alla loro denominazione. In tal modo si stabilisce di quale dataset potrebbe trattarsi. Il numero dei campi dati, tuttavia, può variare. Ciò può far sì che un dataset venga mal interpretato.

Esempio: Un dataset con un solo campo dal nome PROJECT può essere interpretato dal sistema come dataset per AML, CEL, archivio, oppure dati-online, visto che tutti questi dataset iniziano con un campo dal nome PROJECT.

Ancora in questo capitolo

AML

CEL

Archivio

Online

Impostazioni di filtro

RGM dati ricetta

RGM valori ricetta

Ricetta master

Ricetta di controllo

Immagini di ricetta

Struttura matrice

Struttura PFC

Fasi

Parametri

Transizioni

Assegnazione unit

Istanze di ricette parziali


AML

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABLE | STRING | Nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TEXT | STRING | Testo dell´inserimento.
TIMECOMES | DATE | Momento della comparsa dell´allarme.
TIMEGOES | DATE | Momento.
TIMEACKN | DATE | Momento del ripristino.
TIMEREACT | DATE | Momento della riattivazione.
COUNTREACT | INTEGER | Numero di riattivazioni.
STATEREACT | INTEGER | Stato della riattivazione.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore delle variabili.
UNIT | STRING | Unità di misura.
COMMENT | STRING | Commento dell´utente.
CLASS | STRING | Classe allarme/evento.
GROUP | STRING | Gruppo allarme/evento.
USER | STRING | nome dell’utente.
COMPUTER | STRING | Nome del computer.
RESSOURCESLABEL | STRING | Identificazione servizio
AREA | STRING | Aree allarmi, se più, divisi da virgola.
ALARMCAUSELEVEL1 | STRING | Causa allarme livello 1.
ALARMCAUSELEVEL2 | STRING | Causa allarme livello 2.
ALARMCAUSELEVEL3 | STRING | Causa allarme livello 3.
ALARMCAUSELEVEL4 | STRING | Causa allarme livello 4.
ALARMCAUSELEVEL5 | STRING | Causa allarme livello 5.


CEL

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABLE | STRING | Nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TEXT | STRING | Testo dell´inserimento.
TIMECOMES | STRING | Momento della comparsa dell´evento.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore delle variabili.
UNIT | STRING | Unità di misura.
COMMENT | STRING | Commento dell´utente.
CLASS | STRING | Classe allarme/evento.
GROUP | STRING | Gruppo allarme/evento.
USER | STRING | nome dell’utente.
COMPUTER | STRING | Nome del computer.
RESSOURCESLABEL | STRING | Identificazione servizio
AREA | STRING | Aree allarmi, se più, divisi da virgola.


Archivio

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
ARCHIVE | STRING | Nome dell'archivio.
VARIABLE | STRING | Nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
CHANNELSPEC | STRING | Variabile compreso tipo di compressione.
TIMESTAMP | STRING | Time stamp.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore delle variabili.
UNIT | STRING | Unità di misura.
STRVALUE | STRING | Valore come stringa.
RESSOURCESLABEL | STRING | Identificazione servizio


Online

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABLE | STRING | Nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TIMESTAMP | STRING | Time stamp.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore delle variabili.
UNIT | STRING | Unità di misura.
STRVALUE | STRING | Valore come stringa.
RESSOURCESLABEL | STRING | Identificazione servizio


Impostazioni di filtro

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Impostazioni di filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
DataSet | STRING | Dataset usato, per es. AML.
FilterType | STRING | Tipo di filtro, per es. Time.
FilterData | STRING | Impostazioni del filtro, per es. T:. Rel:0d, 1h, 0m, 0s;


RGM dati ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> RGM dati ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECTNAME | STRING | Nome del progetto.
GROUPNAME | STRING | Nome del gruppo ricette.
NAME | STRING | Nome ricetta.
NUMBER | UINT | Numero ricetta.
STATUSNUMBER | UINT | Numero di stato.
STATUSTEXT | STRING | Testo di stato.
VERSION | UINT | Versione.
COMMENT1 | STRING | Commento 1
COMMENT2 | STRING | Commento 2
COMMENT3 | STRING | Commento 3
COMMENT4 | STRING | Commento 4
COMMENT5 | STRING | Commento 5
COMMENT6 | STRING | Commento 6
COMMENT7 | STRING | Commento 7
COMMENT8 | STRING | Commento 8
USERLEVEL | UINT | Autorizzazione utente.
CHANGETIME | DATETIME | Data della modifica.
CHANGEUSER | STRING | User registrato al momento dell´effettuazione della modifica.


RGM valori ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> RGM valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECTNAME | STRING | Nome del progetto.
GROUPNAME | STRING | Nome del gruppo ricette.
NAME | STRING | Nome ricetta.
VERSION | UINT | Versione.
RESSOURCESLABEL | STRING | Identificazione servizio
VARIABLENAME | STRING | Nome variabile.
VARIABLETAG | STRING | Identificazione variabile.
SYMBOLVALUE | STRING | Indirizzo simbolico per variabile.
VALUE | STRING | Valore.
UNIT | STRING | Unità.
MIN | DOUBLEWORD | Valore minimo.
MAX | DOUBELWORD | Valore massimo.
ACTION | STRING | Azione ricetta RGM da eseguire.
FILTER | STRING | Filtro di variabili ricetta.


Ricetta master

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
MrId | INTEGER | ID della ricetta
MrName | STRING | Nome della ricetta.
MrDescription | STRING | Descrizione della ricetta
MrStatus | STRING | Stato della ricetta.
RecipeType | STRING | Tipo della ricetta.
ReeStatus | STRING | Stato del REE.
ReeModus | STRING | Modo del REE.
ApprovalTime | DATE | Data in corrispondenza del quale la ricetta è stata approvata.
ApprovalUserID | STRING | ID dell´utente da cui la ricetta è stata approvata.
ApprovalUserName | STRING | Nome dell´utente da cui la ricetta è stata approvata.
OutdatedTime | DATE | Data in corrispondenza del quale la ricetta è stata settata su "obsoleta".
OutdatedUserID | STRING | ID dell´utente da cui la ricetta è stata settata su "obsoleta".
OutdatedUserName | STRING | Nome dell´utente da cui la ricetta è stata settata su "obsoleta".
MrVersion | STRING | Versione della ricetta master.
MrSourceVersion | STRING | Versione della ricetta d'origine del modello.


Ricetta di controllo

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
CrId | INTEGER | ID della ricetta di controllo.
CrName | STRING | Nome della ricetta di controllo.
CrDescription | STRING | Descrizione della ricetta di controllo
CrStatus | STRING | Stato della ricetta di controllo.
MrId | INTEGER | ID della ricetta master.
MrName | STRING | Nome della ricetta master.
MrDescription | STRING | Descrizione della ricetta master.
MrStatus | STRING | Stato della ricetta master.
RecipeType | STRING | Tipo della ricetta.
ReeStatus | STRING | Stato del REE.
ReeModus | STRING | Modo del REE.
CrJobID | STRING | Job ID della ricetta di controllo.
ApprovalTime | DATE | Data in corrispondenza della quale la ricetta master è stata approvata.
ApprovalUserID | STRING | ID dell´utente da cui la ricetta master è stata approvata.
ApprovalUserName | STRING | Nome dell´utente da cui la ricetta master è stata approvata.
CreationTime | DATE | Data della creazione della ricetta di controllo.
CreationUserID | STRING | ID dell´utente da cui la ricetta è stata creata.
CreationUserName | STRING | Nome dell´utente da cui la ricetta è stata creata.
StartingTime | DATE | Data in cui la ricetta è stata avviata.
StartingUserID | STRING | ID dell´utente da cui la ricetta è stata avviata.
StartingUserName | STRING | Nome dell´utente da cui la ricetta è stata avviata.
OutdatedTime | DATE | Data in cui la ricetta master è stata settata su "obsoleta".
OutdatedUserID | STRING | ID dell´utente da cui la ricetta master è stata settata su "obsoleta".
OutdatedUserName | STRING | Nome dell´utente da cui la ricetta master è stata settata su "obsoleta".
MrVersion | STRING | Versione della ricetta master.
MrSourceVersion | STRING | Versione della ricetta d'origine del modello.


Immagini di ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Immagini di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
Name | STRING | Nome della ricetta.
Description | STRING | Descrizione della ricetta
RecipePart | STRING | Ricette master, ricette di controllo o istanza ricetta parziale.
OperationTemplateID | INTEGER | ID del modello di ricetta parziale.
Type | STRING | Tipo della ricetta: ricetta PFC o ricetta matrice.
ImagePNG | STRING | Screenshot della ricetta. Deve essere impostato appositamente.

Crea immagine

  1. Inserite nel Report Builder una nuova immagine.
  2. Settate la sorgente su Database.
  3. Inserire per la proprietà Use this field: ImagePNG .
  4. Inserire per la proprietà MIME type: image/png .
  5. Inserite l´immagine tramite l´apposita opzione-inserimento, oppure per Drag & Drop nella tabella.
  6. Adattate nell´area proprietà denominata Size la dimensione adottando l´opzione Orginal Size .
  7. Modificate, se necessario, anche la proprietà Padding per definire la distanza dell´immagine dai margini della cella.


Struttura matrice

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Struttura matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
StepNr | INTEGER | Numero del passo.
StepDescr | STRING | Descrizione del passo.
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ObjectName | STRING | Nome dell´oggetto nella ricetta.
ObjectDescr | STRING | Descrizione dell´oggetto nella ricetta.
ObjectType | STRING | Tipo dell´oggetto nella ricetta. (fase, transizione,...)
ObjectUnit | STRING | Aggregato dell´oggetto.
OperationTemplateID | INTEGER | ID del modello di ricetta parziale. 0 = ricetta principale.
OperationTemplateName | STRING | Nome del modello di ricetta parziale. Vuoto = ricetta principale


Struttura PFC

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Struttura PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ChartRow | INTEGER | Riga nella ricetta.
ChartCol | INTEGER | Colonna nella ricetta.
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ObjectName | STRING | Nome dell´oggetto nella ricetta.
ObjectDescr | STRING | Descrizione dell´oggetto nella ricetta.
ObjectType | STRING | Tipo dell´oggetto nella ricetta. (fase, transizione,...)
ObjectUnit | STRING | Aggregato dell´oggetto.
PrevIds | STRING | ID degli oggetti precedenti.
NextIds | STRING | ID degli oggetti successivi.
PrevNames | STRING | Nomi degli oggetti precedenti.
NextNames | STRING | Nomi degli oggetti successivi.
PrevTypes | STRING | Tipi degli oggetti precedenti.
NextTypes | STRING | Tipi degli oggetti successivi.
CellsSpan | STRING | Numero delle colonne usate (larghezza dell´oggetto).
OperationTemplateID | INTEGER | ID del modello di ricetta parziale. 0 = ricetta principale.
OperationTemplateName | STRING | Nome del modello di ricetta parziale. Vuoto = ricetta principale


Fasi

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Fasi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ChartRow | INTEGER | Riga nella quale si trova la fase nella ricetta.
ChartCol | INTEGER | Colonna nella quale si trova la fase nella ricetta.
PhaseName | STRING | Nome della fase.
PhaseDescr | STRING | Descrizione della fase.
UnitID | INTEGER | ID dell´aggregato.
UnitName | STRING | Nome dell´aggregato.
UnitDescr | INTEGERSTRING | Descrizione dell´aggregato.
OperationInstID | INTEGER | ID dell´istanza della ricetta parziale in cui si trova la fase nella ricetta.
OperationInstName | STRING | Nome dell´istanza della ricetta parziale in cui si trova la fase nella ricetta.
TOAllocation | STRING | Tempo di attesa per assegnazione aggregato
TOInterlocking | STRING | Tempo di attesa interblocco.
MinExecTime | STRING | Tempo minimo di esecuzione.
ExplanationMinExecTimeNeeded | BOOL | Necessario indicare una ragione per la modifica del tempo di minimo esecuzione.
MaxExecTime | STRING | Tempo massimo di esecuzione.
TOFollowingCond | STRING | Tempo di attesa per condizione successiva
CondInterlocking | STRING | Condizione di blocco
CondDone | STRING | Condizione per conclusione.
CondFailure | STRING | Condizione per disturbo della comunicazione.
CondPausing | STRING | Condizione per pausing.
CondHolding | STRING | Condizione per "holding".
CondStopping | STRING | Condizione per stop.
CondAborting | STRING | Condizione per interruzione.
CondRestarting | STRING | Condizione per restarting.
CondEscaping | STRING | Condizione di uscita.
CondConnReconnect | STRING | Condizione per ripristino della comunicazione.
CondPlcError | STRING | Condizione per errore PLC.
CSName | STRING | Nome della strategia di controllo.
CSDescription | STRING | Descrizione della strategia di controllo.
CSTag | STRING | Parametro della strategia di controllo.
ActiveCSNumber | INTEGER | Numero della strategia di controllo attiva.


Parametri

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
TagName | STRING | Nome del parametro.
TagDescr | STRING | Descrizione del parametro.
TagType | STRING | Tipo di parametro.
TagValue | STRING | Valore del parametro.
MeasUnit | STRING | Unità di misura
ValueMin | STRING | Valore minimo.
ValueMax | STRING | Valore massimo.
EditableInRecipe | BOOL | Indica se editabile nella ricetta.
EditableInCr | BOOL | Indica se editabile nella ricetta di controllo.
ExplanationNeeded | BOOL | Indica se è necessario fornire una ragione per la modifica.
TagModified | BOOL | Indica se il parametro è stato modificato.
Variable | STRING | Variabile del parametro.
DataType | STRING | Tipo di data della variabile.
PhaseID | INTEGER | ID della fase.
PhaseName | STRING | Nome della fase.
OperationInstID | INTEGER | ID dell´istanza di ricetta parziale.
OperationInstName | STRING | Nome dell´istanza di ricetta parziale.


Transizioni

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Transizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID della transizione nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
Condition | STRING | Condizione per la transizione.
OperationInstID | INTEGER | ID dell´istanza ricetta parziale nella quale si trova la transizione.
OperationInstName | STRING | Nome dell´istanza ricetta parziale nella quale si trova la transizione.


Assegnazione unit

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Assegnazione unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´allocazione aggregati nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
AllocationData | STRING | Allocazione aggregati e numero degli aggregati allegati.
OperationInstID | INTEGER | ID dell´istanza di ricetta parziale in cui si trova l´allocazione aggregati.
OperationInstName | STRING | Nome dell´istanza di ricetta parziale in cui si trova l´allocazione aggregati.


Istanze di ricette parziali

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Istanze di ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´istanza ricetta parziale nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
OperationName | STRING | Nome della ricetta parziale.
OperationDescr | STRING | Descrizione della ricetta parziale.
OperationType | STRING | Tipo ricetta: ricetta PFC o ricetta matrice.
OperationTemplateID | INTEGER | ID del modello di ricetta parziale.


Gestione a Runtime

Manuale -> Reporting -> Report Viewer -> Gestione a Runtime

A Runtime, l´immagine del tipo Report Viewer viene aperta tramite una funzione di cambio immagine. A seconda di quanto fissato in fase di configurazione, possono essere visualizzati report per AML, CEL e valori online. Se avete progettato le funzioni corrispondenti, questi report:

  • aggiorna: Carica di nuovo definizione report e dati e visualizza report
  • stampa: stampa sulla stampante definita per valori e protocolli
  • esporta: esporta come file PDF nella cartella di export definita

Parametri | Descrizione
Aggiorna | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati. Dopo la modifica del file di report nell´Editor, l´immagine deve essere aperta di nuovo, un reload non è sufficiente.
Stampa | Stampa il report sulla stampante definita per valori e protocolli. Nota: La stampa può essere anche dislocata in un proprio thread . Ciò assicura che il Runtime possa essere gestito anche a stampa in corso.
Crea PDF | Salva il report attualmente visualizzato come file PDF nella Cartella definita per l´export. Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export Nota: La creazione di un documento PDF può essere anche disclocata in un proprio thread . Ciò assicura che il Runtime possa essere gestito anche durante la creazione del documento e la sua esportazione.
Lista report | Visualizza i report definiti nella Funzione di cambio lingua. Si può effettuare una ricerca all´interno di questa lista. Le liste particolarmente lunghe vengono suddivise in più pagine.

Navigazione, zoom e ricerca

La barra superiore del report mette a disposizione degli elementi che consentono di:

  • Navigazione
  • Zoom
  • Ricerca

Parametri

Descrizione

Navigazione pagine

Mostra il numero di pagine e quella attuale. Consenta la navigazione all´interno del documento tramite

  • Tasti freccia
  • selezione di una determinata pagina

Zoom

Selezione di un livello zooom fra quelli proposti dalla lista a cascata:

  • Page Width (larghezza della pagina)
  • Whole Page (pagina intera)
  • 500%
  • 200%
  • 150%
  • 100% (default)
  • 75 %
  • 50 %
  • 25%

Ricerca

Inserimento di una chiave di ricerca nell´apposito campo.

  • Find: mostra la prima corrispondenza di testo
  • Next: passa alla prossima corrispondenza di testo

Non possono essere usate delle wildcard.


Gestione errori

Manuale -> Reporting -> Report Viewer -> Gestione errori

Segnalazioni di errore in popup

Messaggio di errore | Significato
DataTable missing for DataSet: <Nome dataset> | Un dataset viene usato nella definizione report, ma nella configurazione non c´è nessuna tabella con questo nome. Il report non può essere visualizzato.
DataSet not used for DataTable: <TableName> | È stata definita una tabella, ma la definizione report non usa questo nome per un dataset. Questo messaggio appare quando il sistema constata che manca una tabella.


Rete

Manuale -> Rete

Le reti di zenon possono essere impostate e configurate in modo veloce e sicuro.

zenon in rete consente, fra l´altro, quanto segue:

  • Accesso completo al Runtime da diversi terminali.
    In questo modo, operazioni, come il riconoscimento di allarmi da una postazione, saranno visibili su tutti gli altri computer della rete.
  • Protocolli centralizzati
  • Creazione di sistemi ridondanti (vedi Ridondanza, Ridondanza circolare)
  • Cambio ridondanza con metodi di analisi integrati.
  • Creazione di sistemi distribuiti (vedi Gestione multi-progetto)
  • Uso di zenon Web Server e zenon Web Client per l´accesso via Web Browser.
  • Uso di zenon in un ambiente Terminal Server
  • Uso di crittografia avanzata
  • Lavoro simultaneo allo stesso progetto da diverse postazioni (vedi progettazione distribuita)

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Semplice gestione della rete di zenon

La funzionalità di rete di zenon consente di utilizzare progetti in modo distribuito su diversi calcolatori. Con essa si possono creare strutture di rete molto efficienti e complesse. Si possono configurare strutture in modo tale che determinati contenuti di progetto siano visibili solamente su quella postazione destinata a svolgere un determinato compito (uno specifico terminale). L´Editor di zenon aiuta gli utenti nella configurazione di queste strutture.

La gestione integrata della topologia visualizza graficamente le relazioni fra i singoli progetti, sui rispettivi computer e i ruoli che questi svolgono nella rete. Una routine di controllo verifica la struttura configurata per testarne la completezza e rilevare eventuali errori di configurazione.

Con le funzioni dei nodi di rete, zenon controlla anche se la topologia di rete scelta può funzionare.

info Info

Per i progetti di rete, tenere presente in quali ruoli (server primario, Server-Standby, client) moduli e funzioni devono essere gestiti ed eseguiti.

zenon Web Server

zenon Web Server consente di accedere al Runtime via Intranet o Internet. Questo non richiede nessun adattamento o modifica del progetto. L´accesso avviene tramite zenon Web Client. Questo offre la stessa funzionalità e visualizzazione del progetto come il Runtime di zenon. zenon Web Server è disponibile come:

  • zenon Web Server: semplice funzionalità di monitoraggio.
  • zenon Web Server Pro: completa funzionalità di monitoraggio e gestione. È possibile interagire direttamente col processo tramite il WEB.
  • zenon Web Server Pro Light: limitata funzionalità dello zenon Webserver Pro per l'uso dello zenon Operator.

info Info

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata all´Everywhere Server by zenon.

Comportamento con una licenza Data Concentrator

Con una licenza Data Concentrator non è possibile un collegamento di un client con un server primario, o un Server-Standby! Questo tipo di licenza è soprattutto usata per lo zenon Analyzer. Un´eventuale richiesta di connessione inviata da un client ad un server viene sempre rifiutata da quest´ultimo. I valori sul client non vengono aggiornati. Il Server-Standby configurato può connettersi al server. In questo modo si garantisce che la ridondanza funzioni anche con una licenza Data Concentrator.

Ancora in questo capitolo

Ruoli dei computer

Requisiti

Impostare la rete di zenon

Crittografia forte della comunicazione di rete

zenon sul Terminal Server

Gestire e controllare la topologia di rete

Ridondanza

COPA-DATA PRP

Routing

Autorizzazione di rete

Funzioni di zenon per la rete

Comportamento dei moduli di zenon in rete.

Messaggi di rete del driver di sistema


Ruoli dei computer

Manuale -> Rete -> Ruoli dei computer

Con zenon è possibile creare diverse topologie di rete. A partire dal semplice modello client-server, per arrivare a modelli complessi e multi-gerarchici.

Anche in zenon vengono usati termini specifici del settore IT, come, ad es., server e client. Tuttavia, al fine di consentire un´identificazione chiara di tutti i componenti individuali anche nel caso di complesse strutture multi-gerarchiche con diversi computer e progetti, in zenon si parla sempre di ruoli. I ruoli sono da considerare sempre dal punto di vista del progetto.

A seconda di quanto definito in fase di configurazione, il Runtime di zenon può avviare su uno stesso calcolatore uno o più progetti (vedi anche la gestione multi-progetto). In questo caso, il computer su cui viene avviato il Runtime assume uno dei seguenti ruoli per il progetto corrispondente:

  • Server primario
  • Server-Standby
  • Client

Questi ruoli vengono illustrati negli esempi seguenti che prendono in considerazione diversi tipi di topologie.

info Info

Quando, in questa documentazione, si parla di server primario, server-standby oppure client, si intende sempre il ruolo che il computer in questione svolge nell´ambito del progetto.

Ancora in questo capitolo

Terminologia

Modello Client-Server

Modello ridondante

Modelli multi-gerarchici


Terminologia

Manuale -> Rete -> Ruoli dei computer -> Terminologia

Nella rete di zenon si usano i seguenti termini per la descrizione dei ruoli dei computer:

Parametri

Descrizione

Server:

Calcolatore con connessione con il PLC. Il server assume la gestione esclusiva del processo e dei dati di progetto. La comunicazione viene monitorata mediante un watchdog.

Nel caso in cui il server dovesse smettere di funzionare, il Server-Standby ne assume le funzioni, sempre che si sia stato definito un Server-Standby. Non appena il server è pronto a riprendere le sue funzioni, lo fa in modo automatico e sincronizza tutti i dati.

Server-Standby:

In sistemi ridondanti, il Server-Standby assume il ruolo di server quando quest´ultimo smette di funzionare. Si comporta come un client nelle rete, ma salva tutti i dati, esattamente come il server. Nel caso della ridondanza hardware, il Server-Standby comunica indipendentemente in modo bidirezionale con il PLC ridondante.

Il Server-Standby lavora con un buffer interno. In questo modo si evita una perdita di dati nel tempo di inattività che intercorre fra il momento in cui il server smette di funzionare e quello in cui il Server-Standby ne assume i compiti.

Client:

Ogni computer su cui viene avviato il Runtime è un client. I client si connettono al server in modo tale da poter ricevere o inviare i dati del processo.

info Info

Server e client non sono definiti in relazione ad un calcolatore, ma in relazione al progetto.

Se il nome del server o quello del Server-Standby vengono modificati, non possono essere ricaricati. Per aggiornarli, si dovrà chiudere e riavviare il Runtime.


Modello Client-Server

Manuale -> Rete -> Ruoli dei computer -> Modello Client-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello Client-Server, un computer è il server primario; tutti gli altri computer sono client.

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il client per il progetto A.

info Info

Ulteriori informazioni si trovano nella parte della guida dedicata all`EW_SERV_BY.


Modello ridondante

Manuale -> Rete -> Ruoli dei computer -> Modello ridondante

Nel modello ridondante, un computer è il server primario e un altro è il Server-Standby. Tutti gli altri computer sono client.
Se il server primario smette di funzionare, il Server-Standby ne assume il ruolo. Tutti i client si connettono al nuovo server primario.

Ridondanza senza client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il Server-Standby per il progetto A.
  • Se il computer 1 smette di funzionare, il computer 2 diventa il nuovo server primario per il progetto A.

Ridondanza con client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il Server-Standby per il progetto A.
  • Se il computer 1 smette di funzionare, il computer 2 diventa il nuovo server primario per il progetto A. Tutti i client si connettono automaticamente al computer 2.

info Info

Ulteriori informazioni si trovano nella parte della guida dedicata alla EW_SERV_BY.


Modelli multi-gerarchici

Manuale -> Rete -> Ruoli dei computer -> Modelli multi-gerarchici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile creare diverse topologie multi-gerarchiche con l'aiuto della gestione multi-progetto. In questo caso, è possibile avviare più progetti su uno stesso calcolatore. Il computer assumerà un determinato ruolo per il progetto.

info Info

I progetti multi-gerarchici possono essere eseguiti anche senza rete, su un computer standalone.

Esempi

Modello Multi-Client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il server primario per il progetto B.
  • Il progetto I (progetto di integrazione) viene eseguito sul computer 3 come progetto standalone e avvia i progetti A e B.
    • Il computer 3 è client per entrambi questi progetti.

Modello Multi-Server

  • Il progetto I (progetto di integrazione) viene eseguito sul computer 1 come progetto standalone e avvia i progetti A e B.
    • Il computer 1 è il server primario per entrambi questi progetti.
  • Il progetto I (progetto di integrazione) viene eseguito sul computer 2 come progetto standalone e avvia i progetti A e B.
    • Il computer 2 è client per entrambi questi progetti.
  • Il computer 3 è il client per il progetto A.
  • Il computer 4 è il client per il progetto B.

Modello multi-server multi-client

  • Il progetto I (progetto di integrazione) viene eseguito sul computer 1 come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 1 è il server primario per i progetti A e B.
    • Il computer 1 è client per i progetti C e D.
  • Il progetto I (progetto di integrazione) viene eseguito sul computer 2 come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 2 è client per i progetti A e B.
    • Il computer 2 è il server primario per i progetti C e D.
  • Il progetto I (progetto di integrazione) viene eseguito sul computer 3 come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 3 è client per i progetti A, B, C e D.

info Info

Ulteriori informazioni si trovano nella parte della guida dedicata all`EW_SERV_BY.


Requisiti

Manuale -> Rete -> Requisiti

Il requisito basilare per usare la rete di zenon è disporre di una rete Windows funzionante.

Generale

Devono essere soddisfatti i seguenti prerequisiti:

  • TCP/IP come protocollo di rete.
  • Risoluzione nome funzionante, a scelta via DNS, WINS o file HOST locali.
  • TCP Port 1100 libera:
    Quando viene caricato un progetto di rete, il Runtime di zenon avvia automaticamente il servizio di rete zenNetSrv. Questo servizio apre la porta 1100. Per questo motivo essa deve essere raggiungibile da un apparecchio remoto e non deve essere bloccata da un firewall.

info Info

Le reti di zenon funzionano con tutti i sistemi operativi supportati.

IPv4 e IPv6

La rete di zenon consente di scegliere se usare IPv4 o IPv6. Non è possibile un funzionamento simultaneo dei due protocolli. L´impostazione viene definita:

  • Network configuration Nello Startup Tool
    , oppure
  • Nel file zenon6.ini.

Se questa impostazione viene modificata, tutti i processi di zenon in corso devono essere riavviati.
I servizi interessati sono:

  • zenAdminSrv
  • zenSysSrv
  • zenLogSrv
  • zenDBSrv

I seguenti componenti non sono interessati da quest´impostazione; usano sempre il protocollo IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo via ProcessGateways
  • Comunicazione Workbench e Runtime in zenon Logic

attention Attenzione

IPv6 funziona solamente a partire dalla versione 7.00 di zenon. Se si usa IPv6, non si può avviare nessuna versione precedente a zenon 7.00.

Porte utilizzate

Per la comunicazione in zenon, vengono utilizzate esclusivamente porte TCP, e non porte UDP.

Le porte seguenti sono necessarie per usare zenon in rete:

Servizi | File | Compito | Porta TCP
Servizio di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100
Servizio di trasporto | zenSysSrv.exe | Trasferimento dati via Trasporto Remoto (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Gateway fra zenon Web Client e Runtime | 1102

I numeri di porta possono essere modificati singolarmente nella scheda Listening ports dello Startup Tool. Bisogna tenere presente che, in questo caso, la modifica andrà eseguita in tutti i dispositivi interessati.

info Info

Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa ai Tools, nel capitolo Startup Tool.

Porte standard

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Controllare i requisiti

Risoluzione dei nomi

Per controllare la risoluzione dei nomi:

  1. Avviare il prompt dei comandi di Windows
    cmd.exe
  2. Eseguire il seguente comando:
    ping [NOMECOMPUTER]
  3. Se la risoluzione nomi è corretta, riceverete l´indirizzo IP del dispositivo come risposta, altrimenti verrà visualizzata una segnalazione di errore

Porte TCP

Per verificare se la porta TCP 1100 è raggiungibile:

  1. Avviare il Runtime di zenon con un progetto di rete su un calcolatore remoto.
    In questo modo verrà avviato il programma zenNetSrv.exe e verrà aperta la porta TCP 1100.
  2. Avviare il prompt dei comandi di Windows
    cmd.exe
  3. Eseguire il seguente comando:
    telnet RECHNERNAME 1100
  4. Non appena si stabilisce una connessione, il contenuto del prompt dei comandi sparisce. In caso contrario appare una segnalazione di errore.

attention Attenzione

Il comando Telnet non è parte del sistema operativo Windows e deve essere installato separatamente. Informazioni aggiuntive su questo argomento si possono trovare nella guida riguardante il sistema operativo (criterio di ricerca Telnet).

Ancora in questo capitolo

Sincronizzazione ora


Sincronizzazione ora

Manuale -> Rete -> Requisiti -> Sincronizzazione ora

Con i progetti di rete, tutti i computer devono lavorare in rete in modo sincrono. zenon esegue automaticamente la sincronizzazione necessaria.

In una topologia che prevede diversi server primari (come, per es., nel caso della ridondanza circolare), si raccomanda di realizzare la sincronizzazione tramite un servizio ora esterno (per es. DCF77), oppure mediante le risorse di Windows. In questo caso si deve disattivare la sincronizzazione ora automatica di zenon.

attention Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, non viene più sincronizzato nessun file.

Disattiva sincronizzazione automatica dell´ora in zenon.

Se si vuole attivare o disattivare manualmente la sincronizzazione automatica dell´ora, si deve modificare il seguente inserimento nel file zenon6.ini:

[Netz]

TIMESYNCH=1 -> sincronizzazione automatica dell´ora attiva (default)

TIMESYNCH=0 -> sincronizzazione automatica dell´ora disattivata

Sincronizzazione dell´ora esterna usando il sistema operativo

Se la sincronizzazione automatica dell´ora è stata disattivata in zenon, la sincronizzazione può avvenire tramite il sistema operativo. A questo scopo bisogna definire un server di riferimento ora (con o senza un servizio ora esterno come DCF77) che gestisce la sincronizzazione dell´ora degli altri calcolatori.

Nella topologia classica Client-Server/Standby (senza gestione multi-progetto), il server primario è il master orario attivo. Questo dovrebbe aggiornare il proprio orario se possibile da solo, tramite un servizio ora esterno. I rispettivi client riceveranno l'ora attuale da questo server (a seconda dei tempi di timeout configurati) e sincronizzeranno di conseguenza il proprio orario. La comunicazione avviene via SNTP (Simple Network Time Protokoll). Il ritardo del trasferimento viene preso in considerazione nel processo.

info Info

Watchdog

La sincronizzazione dell´ora avviene periodicamente in corrispondenza del timeout impostato.

Se si usa l´impostazione standard di 30 secondi per la proprietà Network communication timeout nello Startup Tool, il servizio di rete (zenNetSrv.exe) di ogni client invia un watchdog al servizio di rete (zenNetSrv.exe) del server primario ogni 10 secondi durante il funzionamento online. Se il server primario risponde entro 30 secondi almeno ad uno dei tre watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente.

Configurazione nello Startup Tool:

Application -> Options...> Scheda Network configuration -> General Settings Network communication timeout.

Configurazione nello zenon6.ini:

In alternativa, l'impostazione può essere effettuata direttamente nel file zenon6.ini:

[Netz]

NET_TIMEOUT_MSEC=30000

(Timeout in millisecondi, default: 30000.)

Non dimenticare la configurazione aggiuntiva necessaria in WAN.

Attenzione: il tempo di timeout minimo è di 5 secondi. Se si imposta un valore inferiore, il sistema lo interpreta come l'inserimento un timeout di 5 secondi.

Comandi in Windows

Per la sincronizzazione dell´ora esterna tramite Windows, inserire il seguente comando con i relativi argomenti necessari nella console dell'elaborazione dei comandi: NET TIME [\\nome computer | /DOMAIN[:nome dominio] : /RTSDOMAIN[:nome dominio]] [/SET] [/YES]

Argomento

Descrizione

NET TIME
  • Sincronizza l´orologio del computer con quello di un altro computer o quello di un altro dominio
    oppure
  • Visualizza l´orario per un computer o un dominio

Se questo comando viene eseguito senza ulteriori argomenti, verranno visualizzati la data corrente e l´ora corrente del computer che è stato definito come server di riferimento ora per il dominio.

Nome Computer

Il nome del computer che deve essere controllato o sincronizzato.

DOMAIN[:Nome dominio]

L´ora viene sincronizzata con il controller di dominio primario del dominio Nome dominio.

RTSDOMAIN[:Nome dominio]

L´ora del computer viene sincronizzata con un server di riferimento orario affidabile, del dominio Nome dominio.

/SET

Sincronizza l’orologio del calcolatore con l’orologio del computer indicato oppure del dominio indicato. Dopo aver impostato il comando, verranno visualizzati l´ora del server e la richiesta se deve essere settato questo orario.

/YES

Visualizza l'ora attuale del server e la sincronizza con il calcolatore locale senza una richiesta di conferma.

Example Esempio

NET TIME \\Server /SET /YES

Ancora in questo capitolo

Sincronizzazione dell´ora in WAN


Sincronizzazione dell´ora in WAN

Manuale -> Rete -> Requisiti -> Sincronizzazione ora -> Sincronizzazione dell´ora in WAN

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In una WAN e per connessioni dial-up, il valore standard di 30 secondi per il timeout significa che la connessione viene mantenuta probabilmente in modo permanente.

Selezionare dunque in una WAN un tempo di timeout che instauri una connessione solo ad intervalli desiderati.

Tenere presente, però, che: tanto più lungo è il timeout, tanto più tardi il sistema riconosce che il server ha smesso di funzionare. Se, ad esempio, viene impostato come timeout il valore 64800, il tempo di timeout sarà di 18 ore. Il sistema stabilisce una connessione e invia un watchdog ogni 6 ore. Di conseguenza il sistema si accorgerà che il server ha smesso di funzionare solo dopo 18 ore.

info Info

Se nel file zenon6.ini non c´è nessun inserimento di definizione del timeout, il sistema usa automaticamente quello standard di 30 secondi quando viene avviato Runtime.

Funzione "Cambio immagine"

Quando c'è un cambio immagine, il sistema richiede dati in modo attivo. Procedura:

  • Il sistema controlla se negli ultimi 30 secondi è stato inviato un watchdog al server primario.
  • In caso contrario viene inviato immediatamente un watchdog al server primario. Il tempo di attesa per la risposta è di 40 secondi.
  • Se il sistema riconosce che il server ha smesso di funzionare, il servizio di rete di zenon cerca automaticamente di riconnettersi ogni 30 secondi.

Nella rete WAN, questo provocherebbe un tentativo permanente di stabilire la connessione. Questo comportamento può essere modificato mediante inserimenti nel file zenon6.ini:

  1. Aprire il file zenon6.in.
  2. Passare alla sezione
    [NETZ]
  3. Creare o modificare l´inserimento.

    NET_CONNECTWAIT_MSEC=30000
    Questo definisce il valore in millisecondi per la riconnessione.

    Valore massimo: tempo di timeout.

  4. Creare o modificare l´inserimento.

    NET_CONNECTCOUNT=

    Questo definisce il numero delle ripetizioni per ogni Reconnect pro ciclo.

    Il valore di default è 0 ripetizioni, che significa un solo tentativo di riconnessione.


Impostare la rete di zenon

Manuale -> Rete -> Impostare la rete di zenon

Topologie

zenon supporta numerose topologie di rete:

  • Rete Client-Server:
    Lo stesso progetto viene eseguito sul server e su tutti i client.
  • Rete multi-server:
    Un client può accedere a diversi server e dunque visualizzare i dati di diversi progetti contemporaneamente.
  • Modello multi-server multi-client:
    Tutti i client e server comunicano fra di loro. Si può accedere da ogni progetto anche ad altri progetti.

Configurazione di rete

Per rendere un progetto capace di funzionare in rete:

  1. Nelle proprietà di progetto, passare al nodo Rete.
  2. Navigare in una cella di menù. Attivare la proprietà Rete attiva
  3. Usare la proprietà Server 1 per definire il computer che deve assumere il ruolo di server nell´ambito del progetto.
    Nota: l'indirizzo IP non è sufficiente; bisogna inserire il nome del PC.

Se necessario, configurare in questa sezione anche

  • Server-Standby: proprietà Server 2:
  • Ridondanza: proprietà Tipo di ridondanza:
  • Messaggio di chiusura: definisce se, quando si termina il Runtime su un server, i client vengono informati con 70 secondi di anticipo.
  • Autorizzazione: se azioni di gestione devono essere eseguite contemporaneamente solamente su una postazione.

attention Attenzione

Assegnazione di un nome a Server 1 e Server 2:

  • Si deve inserire il nome calcolatore.
    Non è consentito l'inserimento di un indirizzo IP.
  • localhost non può essere usato.

Ancora in questo capitolo

Modello Client-Server

Gestione multi-progetto

Trasparenza orizzontale.

Ottimizzazione di progetti con un gran numero di client


Modello Client-Server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel classico modello Client-Server si usa solamente un progetto che viene avviato su tutti i computer coinvolti. Uno di essi sarà il server primario per questo progetto. Tutti gli altri computer collegati sono client.

Per poter impostare un modello client-server, nel progetto deve verificarsi quanto segue:

  • La proprietà Rete attiva deve essere attivata.
  • Nella proprietà Server 1 deve essere inserito il nome del computer che deve svolgere il ruolo di server primario.

Raccomandazione: scegliere come server primario il calcolatore più potente della rete.

Nel modello client-server di zenon:

  • Solo il server primario ha una connessione diretta con il PLC
  • Il server primario gestisce tutti i dati di processo (per es. dati online, dati di archivio, allarmi, ricette, ecc.)
  • Il server primario gestisce tutti i dati di progetto (per es. immagini, funzioni, variabili definite, ecc.)
  • Ogni altro calcolatore della rete si avvia come client
  • Ogni client instaura una connessione con il server primario quando viene avviato il Runtime,
    • sincronizza i dati di progetto e
    • visualizza i dati di processo attuali

info Info

Il modello client-server viene supportato completamente da Windows CE. I dispositivi Windows CE possono essere usati sia come server primari che come client.

Ancora in questo capitolo

Ridondanza

Configurare il server

Configurazione dei client.


Ridondanza

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I server SCADA ridondanti vengono utilizzati quando è necessario avere un controllo completo sul processo e salvaguardare al 100% la sicurezza dei dati, anche nel caso in cui un server dovesse smettere di funzionare.

Questo obiettivo di un salvataggio sicuro di tutti i dati si può conseguire affiancando ad un server di progetto un altro server, il cosiddetto Server-Standby. Quest´ultimo riconosce automaticamente l´eventuale disfunzione del server. Se il server primario smette di funzionare per qualsiasi ragione, il Server-Standby ne assume la completa funzionalità.

Per evitare che vadano perduti dei dati nell´intervallo di tempo tra l'emergere del problema di funzionamento del server e il riconoscimento del problema stesso, il Server-Standby immagazzina in un buffer i dati generati in questo periodo. Questa memorizzazione nel buffer avviene anche quando il Server-Standby non è il server primario. Dopo che il server ha smesso di funzionare,si ricorre a questo buffer in modo tale che non ci sia nessuna perdita di dati. In questo modo il sistema di controllo garantisce la ridondanza senza perdita di dati.

A seconda di come è stata configurata la proprietà Tipo di ridondanza, dopo il restart il server originario viene avviato o come server, o come Server-Standby.

Tipo di ridondanza | Descrizione
Non dominante | Il server originario (Server 1) viene avviato come Server-Standby Server 2 mantiene il ruolo di server.
Dominante | Il server originario (Server 1) riassume il ruolo di server dopo che sono stati sincronizzati tutti i dati. Server 2 viene retrocesso al ruolo di Server-Standby.
Ponderata | A seconda della valutazione configurata, il server originario viene avviato o come server o come Server-Standby.

Informazioni dettagliate su questo argomento si trovano nel capitolo Modalità di ridondanza.

info Info

Se il Server-Standby funziona e poi viene avviato il server, quest´ultimo si procura tutti i dati Runtime dallo standby. Nel caso in cui siano state apportate delle modifiche al progetto mentre il server non era in funzione, e nel caso che abbiate effettuato l´update solo sul server (non funzionante), questi cambiamenti vengono sovrascritti nel momento in cui il server riceverà i dati dallo standby.

In questo caso bisognerà effettuare l´update dei dati prima dell´avvio del server anche sullo standby, oppure spegnere lo standby prima di avviare il server. Quando poi lo standby verrà riavviato con il server attivo, lo standby si procurerà automaticamente i nuovi dati dal server.

Configurare lo Standby.

  • Nelle proprietà della rete (proprietà di progetto), inserire oltre al Server (proprietà: Server 1) anche il nome dello Standby Server (proprietà: Server 2).
  • Per trasferire i file Runtime, procedere come nel caso del client.

Il sistema di controllo supporta due diverse forme di ridondanza:

Ridondanza software | Il PLC non è ridondante. Solo il sistema di controllo è eseguito in modo ridondante. (Caso standard)
Ridondanza hardware | Sia il PLC che il sistema di controllo sono ridondanti.

Informazioni dettagliate su questo argomento si trovano nel capitolo Ridondanza di questa guida.


Configurare il server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurare il server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server primario instaura la connessione con il PLC e gestisce tutti i dati, sia quelli online, che quelli di progettazione. I client sincronizzano i loro dati con il server primario.

Per configurare il server primario.

  1. Attivare la proprietà Rete attiva (segno di spunta nella casella).
  2. Definire il PC che deve funzionare da server primario per il progetto in questione usando la proprietà Server 1.
    Nota: Non è consentito usare l´indirizzo IP; bisogna inserire il nome del calcolatore.
  3. Fare attenzione a configurare correttamente le variabili del driver interno
  4. Passaggio facoltativo: se necessario, creare gli script AUTOSTART e AUTOEND per i client

attention Attenzione

Assegnazione di un nome a Server 1 e Server 2:

  • Si deve inserire il nome calcolatore.
    Non è consentito l'inserimento di un indirizzo IP.
  • localhost non può essere usato.
  • Se il computer di sviluppo, quello cioè con cui avete creato il progetto, è allo stesso tempo il server primario, la configurazione è terminata.

Se il computer di sviluppo non è il server desiderato, trasferire la configurazione del progetto in questione al computer desiderato. I dati possono essere trasferiti via Trasporto Remoto o tramite la topologia di rete.

info Info

Ulteriori informazioni su questo argomento si trovano nel capitolo Gestire e controllare la topologia di rete, oppure nella parte della guida dedicata al Trasporto Remoto.


Configurazione dei client.

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I client possono essere impostati via Trasporto Remoto, tramite la topologia di rete, oppure manualmente. E' raccomandata la configurazione via Trasporto Remoto, oppure tramite topologia di rete.

Vale quanto segue:

  • Se il computer di sviluppo dovesse essere anche un client, avviare il Runtime localmente su questo calcolatore.
  • Configurare tutti gli altri client o con il Trasporto Remoto, con la Topologia di rete, oppure manualmente.
  • Se sui client devono essere eseguiti processi particolari, si deve creare sul server uno script che definisce il comportamento al momento dello start (script AUTOSTART_CLIENT) e a quello della chiusura (script AUTOEND_CLIENT).

info Info

Ulteriori informazioni su questo argomento si trovano nel capitolo Gestire e controllare la topologia di rete, oppure nella parte della guida dedicata al Trasporto Remoto.

Ancora in questo capitolo

Impostare client con il Trasporto Remoto

Impostare client via topologia di rete

Impostare client manualmente

Comportamento a Runtime


Impostare client con il Trasporto Remoto

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client con il Trasporto Remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il Trasporto Remoto trasferisce i file Runtime sempre al computer definito come server nel gruppo Rete delle proprietà di progetto. Per impostare dei client dal computer di sviluppo via Trasporto Remoto, si deve anzitutto configurare nuovamente la destinazione della trasmissione del Trasporto Remoto prima di passare ad impostare il client.

Per impostare dei client usando il Trasporto Remoto:

  1. Aprire il nodo Generale delle proprietà di progetto.
  2. Cliccare sulla proprietà Trasporto remoto
    Si apre la finestra di dialogo Trasporto Remoto.
  3. Nel settore Connetti, inserire il nome del client in rete nella proprietà Nome.
  4. Confermare la configurazione cliccando sul pulsante OK
  5. Instaurare una connessione via Trasporto remoto con il client.
    Per continuare ad usare il Trasporto Remoto, la cosa migliore è usare il simboli della barra degli strumenti.
  6. Trasferire al client tutti i file Runtime con il Trasporto Remoto.
  7. Impostare il progetto di partenza per il client con il Trasporto Remoto.
  8. Avviare il Runtime sul client con il Trasporto Remoto.
  9. Terminare la connessione instaurata via Trasporto Remoto.

info Info

Ulteriori informazioni sull'argomento si trovano nella parte della guida dedicata all´EW_SERV_BY.


Impostare client via topologia di rete

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client via topologia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia di rete è uno strumento che si presta molto bene ad impostare più client contemporaneamente. I file Runtime possono essere trasferiti a più computer contemporaneamente usando la selezione multipla.

info Info

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata all´EW_SERV_BY.


Impostare client manualmente

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare dei client per l´avvio del Runtime:

  1. Chiudere il zenon Editor e il zenon Runtime.
  2. Aprire il file zenon6.ini con un editor dei testi.
    Il file si trova nella cartella %ProgramData%\COPA-DATA\System\
  3. Cancellare la rigaVBF30 =.... oppure commentare questa riga.

    (Nota: questo inserimento definisce quale progetto deve essere caricato quando viene avviato il Runtime).

  4. Lasciare chiuso l´Editor e avviare il Runtime.
  5. Si apre una finestra di dialogo che chiede quale progetto debba essere caricato.

  6. Attivare la checkbox dell'opzione Carica progetto dal Runtime Server.

  7. Configurare i campi di inserimento:
    1. Server Runtime:
      computer impostato come server primario. Il nome può essere inserito direttamente, oppure essere selezionato da una lista usando il pulsante ....
      Ulteriori informazioni relative alla progettazione in caso di rete ridondante si trovano subito dopo queste istruzioni step-by-step.
    2. Nome progetto:
      Nome del progetto in esecuzione sul server primario.
      Nota: assicurarsi di aver inserito il nome progetto corretto. Se il nome della cartella non corrisponde a quello di progetto, quest'ultimo deve essere modificato qui!
    3. Cartella di destinazione progetto:
      Cartella per il Runtime sul disco fisso locale del client. Si può selezionare una cartella esistente usando il pulsante ..., oppure si può inserire manualmente un percorso usando la tastiera. Se si inserisce una cartella non ancora esistente, questa viene generata automaticamente.
    4. Confermare l´inserimento cliccando su OK.
  8. Queste configurazioni hanno il seguente effetto nel Runtime di zenon.
    Il Runtime:
    1. Stabilisce una connessone con il server primario
    2. Copia i suoi file Runtime nella cartella di destinazione del progetto
    3. Avvia il Runtime.
    4. Richiede (se necessario) un riavvio del Runtime
  9. L´inserimento VBF30=... nel file zenon6.ini viene settato nella cartella di destinazione del progetto.

    Così il Runtime avvia automaticamente il progetto di rete sul client ad ogni nuovo start.

attention Attenzione

Ripetere questa operazione per ogni client.

Configurazione del server Runtime in una rete ridondante.

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal Tipo di ridondanza impostato. È possibile che i ruoli svolti dai computer configurati nell´Editor come Server 1 e Server 2 cambi a Runtime, in modalità che dipendono dalla configurazione del Tipo di ridondanza, e dall´analisi corrente (nel caso sia stata impostata la modalità Tipo di ridondanza ponderata).

'Per la configurazione nella finestra di dialogo Runtime Server, quindi, indicate sempre entrambi i server. I nomi server sono separati l'uno dall'altro da un punto e virgola (;). E' consentito l'uso di spazi vuoti per i nomi server.

Assicurarsi che la successione dei server indicati corrisponda alla sequenza definita nella configurazione del progetto. Il client Runtime non si avvia se i nomi computer non corrispondono.

Se si cambia la configurazione di Server 1 o Server 2, questa modifica viene rilevata durante il reload su client. A Runtime verrà visualizzata una finestra di dialogo che informa dell'avvenuta modifica della configurazione server e obbliga un riavvio del client.

Assicurarsi che, se necessario, i nuovi file Runtime siano trasferiti di nuovo al client.


Comportamento a Runtime

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Comportamento a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, i progetti di rete possono essere gestiti nello stesso modo da tutti i calcolatori della rete e vengono visualizzati in modo uguale. Se, al momento dell´avvio del Runtime, non è definito nessun progetto valido, si aprirà la finestra di dialogo che serve a stabilire il progetto Runtime. Per i dettagli al proposito vedere sezione Impostare client manualmente .

Differenze fra il server primario e i client:

  • Solamente il server primario del progetto ha una connessione con l´hardware e gestisce i dati di processo.
  • Gli altri calcolatori (client) ricevono da questo:
    • I valori attuali delle variabili
    • I messaggi di sistema della Lista eventi cronologica
    • Le informazioni relative agli allarmi
    • Ricette
    • Dati d'archivio
    • ecc.

Il trasferimento dal server primario ai client avviene in modo spontaneo (per es. modifica valore di un driver) e gestito dagli eventi (per es. apertura di un'immagine zenon di tipo Trend esteso, che ha bisogno di dati archivio del server primario).

Monitoraggio della connessione

Se si usa l´impostazione standard di 30 secondi per la proprietà Network communication timeout nello Startup Tool, il servizio di rete (zenNetSrv.exe) di ogni client invia un watchdog al servizio di rete (zenNetSrv.exe) del server primario ogni 10 secondi durante il funzionamento online. Se il server primario risponde entro 30 secondi almeno ad uno dei tre watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente.


Gestione multi-progetto

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multi-progetto consente di realizzare delle soluzioni decentralizzate. I sotto-progetti possono essere distribuiti a diversi calcolatori. I singoli calcolatori, a loro volta, possono essere server primario, Server-Standby o client per i corrispettivi sotto-progetti.

Per mezzo della gestione multi-progetto è possibile:

  • Modificare contemporaneamente nell'Editor diversi progetti di un workspace.
  • Avviare a Runtime diversi progetti simultaneamente e accedere dunque direttamente a variabili, funzioni, archivi anche da altri progetti.

info Info

La gestione multi-progetto non è disponibile con lo zenon Operator. In questo caso è possibile creare e amministrare nell´Editor solamente un progetto e un progetto globale per workspace. Il Runtime può avviare solamente un progetto.

Struttura

Requisito è l´esistenza di un progetto di integrazione che viene caricato a Runtime come progetto di partenza.

zenon crea una struttura ad albero multi-gerarchica in cima alla quale si trova il progetto di integrazione. La gestione multi-progetto consente di mettere i progetti in una relazione logica gli uni con gli altri.

info Info

Configurare e controllare la topologia usando la topologia di rete di zenon .

Lavorare in modo efficiente con la gestione multi-progetto e la gerarchia dei progetti

zenon consente di riutilizzare in modo coerente i dati e le immagini dei progetti esistenti. La gestione multi-progetto di zenon crea una relazione logica fra i singoli progetti e li mette in relazione gerarchica gli uni nei confronti degli altri. L´utente può visualizzare questa gerarchia di progetti in modo grafico nell´Editor di zenon trascinando i progetti con il mouse alla posizione desiderata e creando così una struttura ad albero multi-gerarchica.

Il progetto che si trova in cima a questa struttura gerarchica è il progetto di integrazione. Tutti gli altri sono subordinati al progetto di integrazione. Nella struttura di progetto, i dati dei singoli progetti sono disponibili e accessibili anche dagli altri.

La struttura multi-progetto di zenon è comparabile ad un raccoglitore:

  • In qualsiasi momento è possibile aggiungere degli altri fogli – cioè progetti zenon. Il raccoglitore contiene sempre automaticamente tutte le informazioni dei fogli in esso contenuti. Si può sfogliare le pagine di questo raccoglitore in qualsiasi momento e vedere le informazioni in esse contenute, senza dover estrarre i singoli fogli. Nella struttura multi-progetto di zenon, gli utenti possono passare da un´immagine all´altra e da un progetto all´altro senza dover estrarli dalla struttura.
  • Il progetto di integrazione può essere paragonato all´indice di un raccoglitore. Serve da progetto di navigazione centrale e consente di visualizzare immagini o dati appartenenti ai progetti subordinati. I singoli progetti sono autarchici e possono continuare ad essere gestiti in modo autonomo. L´accesso da un progetto ai dati o alle immagine di un altro, avviene attraverso le interfacce standard di zenon. Le estensioni o le modifiche vengono fatte direttamente nei singoli progetti. Gli eventuali lavori di manutenzione hanno effetto solamente sul progetto in questione, mentre il sistema complessivo non ne viene interessato.

Nota: al momento di eseguire la configurazione, tenere presenti le raccomandazioni relative alla configurazione monitor.

Gestione multi-progetto significa

  • Strutture piccole e semplici.
  • Manutenzione semplice, veloce e chiara dei singoli progetti.
    È possibile, ad esempio, disattivare singoli progetti senza che questo abbia influenza sugli altri. Allo stesso modo è possibile distribuire i progetti su differenti PC.
  • Distribuzione del carico.
  • Possibilità di gestione di più progetti contemporaneamente, perché tutti i progetti che si trovano su un PC sono attivi simultaneamente.
  • La struttura di rete multi-gerarchica permette la raccolta di dati (valori di misurazione, allarmi, segnalazioni di sistema, dati di archivio, ecc.) in un progetto di livello superiore.
  • Nessun limite al numero di progetti attivi per ogni PC.
  • Riunione di progetti in grandi stazioni di controllo
  • Struttura a nodi – separazione rete fisica

Ancora in questo capitolo

Definizione della struttura nell´Editor

Trasferire e avviare progetti

Gestione progetti


Definizione della struttura nell´Editor

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Definizione della struttura nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La struttura viene creata nell´Editor con il semplice Drag&Drop. È necessario, oltre ai progetti produttivi, anche un progetto di integrazione che gestisca tutti i progetti subordinati. Dato che i progetti standalone non inviano dati ad altri computer, in ogni (sotto)progetto deve essere definito un server primario. Lo stesso progetto di integrazione può essere anche un progetto produttivo con capacità di rete.

Esempio

In questo esempio useremo tre progetti:

  • Progetto di integrazione IPRO
  • Progetto produttivo PRO1
  • Progetto produttivo PRO2

Per creare la struttura:

  1. Creare tre progetti:
    • IPRO
    • PRO1
    • PRO2
  2. Definire per ogni computer un server primario.
    (Il progetto di integrazione può essere eseguito anche come progetto standalone).
  3. Tenendo premuto il tasto sinistro del mouse, trascinare all'interno del manager di progetto PRO1 su IPRO
  4. Fare la stessa cosa con PRO2.
  5. PRO1 e PRO2 verranno adesso visualizzati come rami del progetto IPRO nel manager di progetto.

Così è stata creata la struttura gerarchica.

info Info

Affinché sia possibile selezionare gli elementi di sotto-progetti (come immagini, variabili o funzioni), deve essere attivata l´opzione Mantieni progetto in memoria nel menù contestuale del progetto.


Trasferire e avviare progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Trasferire e avviare progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo della topologia di rete, il progetto di integrazione può essere trasferito automaticamente insieme a tutti i sotto-progetti al rispettivo computer di destinazione. Se il progetto di integrazione è anche progetto di partenza, vengono trasferiti automaticamente anche tutti i sotto-progetti.

Trasferire e avviare progetti manualmente

Per trasferire e avviare dei progetti manualmente, si può usare il Trasporto Remoto.
In questo caso, ogni progetto viene trasferito singolarmente ai computer corrispondenti.

  • Trasferire con il Trasporto Remoto tutti i file Runtime di PRO1 al suo server primario.
  • Impostare con il Trasporto Remoto il progetto di partenza.
  • Avviare il Runtime con il Trasporto Remoto.
  • Chiudere la connessione online.
  • Fare lo stesso con PRO2

info Info

Per trasferire in questo esempio il progetto di integrazione e i due sotto-progetti ad un client via Trasporto Remoto, sono necessarie 3 operazioni Trasporto remoto (per ogni progetto un´operazione).

In questo caso è preferibile usare lo strumento della topologia di rete, visto che tutti i progetti possono essere trasferiti contemporaneamente anche a diversi computer.

Ulteriori informazioni

  • I dettagli relativi alla topologia di rete si trovano nel capitolo Gestire e monitorare la topologia di rete.
  • La configurazione del calcolatore con un esempio di trasferimento automatico dei sotto-progetti, si trova nella sezione Configurazione del calcolatore in rete.
  • I dettagli relativi al trasferimento dati si trovano nel manuale sul Trasporto Remoto.


Gestione progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di accedere ai dati di sotto-progetti; fra le altre:

  • Progetto di integrazione
  • Navigazione fra i progetti
  • Usare variabili o funzioni di un altro progetto
  • Depositare delle ricette in diverse variabili di diversi progetti
  • Creare archivi per usarli in più progetti
  • Creare AML o CEL condivise da più progetti

attention Attenzione

Nell´effettuare la configurazione, si deve tener presente in quali ruoli (server primario, Server-Standby, client) vengono eseguiti moduli e funzioni. Una lista delle possibili configurazioni si trova in: Comportamento dei moduli in rete.

Ancora in questo capitolo

Il progetto di integrazione


Il progetto di integrazione

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Il progetto di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il progetto di integrazione gestisce sotto-progetti a cui si può accedere a Runtime. Il progetto di integrazione può essere utilizzato nella gestione multi-progetto sia come semplice progetto di gestione (per es. per navigare ai sotto-progetti), che come vero e proprio progetto produttivo (con una propria connessione PLC, archiviazione, ecc.). Se il progetto di integrazione viene impostato come quello di partenza, a Runtime tutti i sotto-progetti vengono automaticamente avviati allo start di quello di integrazione.

In un progetto di integrazione, ad esempio, si possono creare con pochi clic del mouse delle Liste di informazione allarmi, o Liste Eventi Cronologiche centrali, per tutti i progetti subordinati. Così gli allarmi di tutti i sotto-progetti possono essere visualizzati in ordine cronologico nella Lista di informazione allarmi del progetto di integrazione.

attention Attenzione

Quando si imposta la gestione multi-progetto, bisogna assicurarsi che la navigazione funzioni.

info Info

Per avere la possibilità di cancellare sotto-progetti, questi ultimi devono essere modificabili. Un sotto-progetto creato con una versione precedente dell´Editor rispetto a quella con cui è stato realizzato il progetto di integrazione, ad esempio, può essere cancellato solo dopo la conversione.

Ancora in questo capitolo

Navigazione fra i progetti

Variabili e funzioni

Archivi

Ricette

Allarmi e CEL


Navigazione fra i progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Il progetto di integrazione -> Navigazione fra i progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Navigazione fra i progetti

Quando si lavora con diversi sotto-progetti in un progetto di integrazione, è assolutamente necessario far sì che si possa passare a Runtime in qualsiasi momento da un sotto-progetto ad un altro, oppure al progetto di integrazione.
Suggerimento: creare un modello che si trova sempre in primo piano. Creare poi un´immagine con pulsanti di navigazione basata su questo modello.

Cambio immagine a sottoprogetti

Per passare fra immagini di singoli progetti, usare la funzione Cambio immagine di zenon. Per far in modo che la possibilità di navigare fra le immagini sia sempre disponibile, creare in primo luogo un modello che si trova sempre in primo piano:

  1. Creare un nuovo modello che offra posto agli elementi di navigazione.
  2. Assegnarli la proprietà Sempre in primo piano
  3. Attivare le proprietà Tipo di cornice e Titolo (così si potrà spostare il modello a Runtime).
    Naturalmente si può usare anche un modello senza cornice e titolo che si trova in una posizione fissa.
  4. Creare un´immagine con pulsanti per la navigazione basata su questo modello.

Esempio: cambio fra PRO1 e PRO2

  1. Creare una nuova funzione di Cambio immagine.
  2. Se nel workspace attuale c'è più di un progetto, la finestra di dialogo di selezione immagini verrà estesa alla selezione di un progetto.

  3. Selezionare PRO1.
  4. Selezionare l´immagine di partenza del PRO1 e chiudere la finestra di dialogo cliccando su OK.
  5. Ripetere i punti da 1 a 4 per PRO2.
  6. Aggiungere all´immagine di navigazione due pulsanti testo con la didascalia PRO1 e PRO2.
  7. Collegare i due pulsanti alle due funzioni appena create.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto/immagine selezionato.

Per esempio, nell´Editor si può creare nel progetto PRO1 un cambio ad un´immagine del progetto di integrazione. Questo cambio, però, funzionerà a Runtime solo se anche il progetto di integrazione è stato avviato. Questo cambio immagine non funzionerà su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza).


Variabili e funzioni

Variabili e funzioni

Si può accedere direttamente a variabili e funzioni di altri progetti dello stesso workspace usando gli Elementi dinamici.

Esempio: variabile

  1. Aprire l´immagine di partenza di IPRO.
  2. Aggiungere un nuovo elemento dinamico Valore numerico.
  3. Si apre la finestra di dialogo per la selezione delle variabili.

  4. Qui non si possono selezionare solamente variabili del progetto IPRO. Per selezionare una variabile di un altro progetto:
    1. Cliccare su un progetto della lista a sinistra.
    2. Verranno visualizzate le variabili del progetto in questione.
    3. Selezionare la variabile desiderata (selezione multipla possibile).
  5. Selezionare una variabile appartenente al PRO1 o PRO2.

Per le funzioni, procedere in modo analogo.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili/funzioni!

Per esempio, nell´Editor si può selezionare nel progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Questo collegamento non funzionerà. su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza).


Archivi

Archivi

In un archivio possono essere registrati i valori di variabili di diversi progetti di un workspace. I valori archiviati possono poi essere filtrati, visualizzati in forma di lista o come trend, stampati o esportati come avviene per i dati di normali archivi.

Esempio archivio

  1. Nel progetto IPRO aprire il nodo Server di archiviazione.
  2. Creare un uovo archivio con il nome BA - BASIS.
  3. Aprire il menù contestuale della lista variabili e selezionare Aggiungi variabili.
  4. Si aprirà la finestra di dialogo che consente la selezione di variabili.

  5. In questa finestra di dialogo si potranno selezionare non solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccare su un progetto nella parte sinistra della finestra di dialogo (struttura ad albero con tutti i progetti del workspace):
      Nella parte destra della finestra di dialogo verranno visualizzate tutte le variabili configurate nel progetto selezionato.
    2. Selezionare la variabile desiderata (selezione multipla possibile).
  6. Selezionare variabili dei progetti PRO1 e PRO2.
  7. Nella lista variabili dell´archivio, prima del nome della variabile verrà indicato il nome del progetto da cui è stata presa.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete consente effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare per un archivio del progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questo collegamento non funzionerà!

Dopo che la la selezione delle variabili è stata completata e la finestra di selezione è stata chiusa, verrà visualizzata una finestra di dialogo che informa l´utente che nei sistemi ridondanti la registrazione senza perdita di dati (“bumpless”) non è garantita.

Esempio

  • Il progetto PRO1 viene eseguito in modo ridondante; un computer è il server primario, un secondo il Server-Standby.
  • Lo stesso vale anche per il progetto PRO2.
  • Il progetto di integrazione con i progetti subordinati PRO1 e PRO2 viene avviato su un terzo computer. Questo è client per i sottoprogetti.

Se vengono archiviate variabili dei progetti PRO1 e PRO2 nel progetto di integrazione, il computer ottiene i dati tramite la rete dal rispettivo server primario di PRO1 e PRO2.
Se, ad esempio, il server primario di PRO1 smette di funzionare, per l´intervallo di tempo che passa fino a che il Server-Standby di PRO1 non assume il ruolo di server, si troverebbero nell´archivio delle variabili di PRO1valori di sostituzione.

Nota: il buffer Standby della ridondanza senza perdita di dati, salva solo le variabili del progetto in cui il computer è stato configurato come uno dei due server.
Soluzione: per garantire una registrazione senza perdita di dati, l´archiviazione deve essere eseguita localmente nel sottoprogetto eseguito in modalità ridondante.


Ricette

Ricette

In una ricetta si possono scrivere valori su variabili di diversi progetti del workspace.

Esempio: ricetta

  1. Nel progetto IPRO aprire il nodo Ricette.
  2. Creare alla voce Ricette - Ricette standard una nuova ricetta con il nome Ricetta 1.
  3. Aprire il menù contestuale della Ricetta 1 e selezionare Aggiungi variabile
  4. Si aprirà la finestra di dialogo che consente la selezione di variabili.

  5. In questa finestra di dialogo si potranno selezionare non solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccare su un progetto della lista a sinistra.
    2. Verranno visualizzate le variabili del progetto in questione.
    3. Selezionare variabili dei progetti PRO1 e PRO2.
    4. Nella lista variabili della ricetta viene indicato poi, prima del nome della variabile, anche il nome del progetto di provenienza.

Per il Manager di gruppi ricette, procedere in modo analogo.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete consente effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare per un archivio del progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questo collegamento non funzionerà.


Allarmi e CEL

Allarmi e CEL

In zenon, i messaggi di sistema e gli allarmi dei diversi progetti di un workspace possono essere visualizzati in una sola lista. Questi inserimenti possono essere filtrati, visualizzati, stampati oppure esportati come i dati di normali Liste di informazione allarmi o Liste Eventi Cronologiche.

Esempio: AML

  1. Creare un' immagine di tipo AML
  2. Inserire gli elementi di controllo nell´immagine usando il comando Elementi di controllo -> Inserisci template...
  3. Creare una funzione di Cambio immagine per questa immagine.
  4. Si aprirà il dialogo di filtro per le liste allarmi.
  5. Aprire la scheda Progetto
  6. Selezionare i progetti che devono essere visualizzati nella AML di IPRO.
    (Scelta multipla: tasto Ctrl più clic del mouse.)

  7. Aprire la scheda Impostazioni colonne.
  8. Selezionare per la visualizzazione a Runtime anche la proprietà Nome progetto.
    Così si avrà la possibilità di sapere a Runtime da quale progetto proviene un allarme.

Per la Lista Eventi Cronologica, procedere in modo analogo.


Trasparenza orizzontale.

Manuale -> Rete -> Impostare la rete di zenon -> Trasparenza orizzontale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multi-progetto consente anche di realizzare la cosiddetta trasparenza orizzontale.

Trasparenza orizzontale significa che tutti i progetti che si trovano allo stesso livello, possono essere aperti su un PC. Il presupposto di ciò è un progetto di integrazione con relativi strumenti di navigazione, che avvii questi progetti.

Esempio

Diversi terminal appartengono allo stesso macchinario Ogni terminale ha il proprio progetto di visualizzazione. Per mezzo della trasparenza orizzontale è possibile aprire e gestire su ogni terminale non solo il proprio progetto, ma anche tutti gli altri. In questo modo, l’intero macchinario può essere monitorato e gestito da ogni terminale.


Ottimizzazione di progetti con un gran numero di client

Manuale -> Rete -> Impostare la rete di zenon -> Ottimizzazione di progetti con un gran numero di client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grandi progetti di rete, in certe circostanze con impostazioni standard, possono sovraccaricare il server primario effettuando il reload contemporaneo di più client per un lungo lasso di tempo. La dimensione del carico dipende da diversi fattori (risorse del server primario, banda disponibile ecc.).
Valori di riferimento:

  • File Runtime di 10 MB oppure di dimensioni maggiori
  • Più di 50 client

In questo caso si può ottimizzare l´operazione di reload in modo tale da impedire una sincronizzazione contemporanea di tutti i client. La configurazione si effettua nel file project.ini.

Possibili inserimenti INI per l'ottimizzazione del processo di reload di client nella rete di zenon:

  • RELOADDELAY_SEC
  • CLIENT

Ritardo di reload casuale (RELOADDELAY_SEC)

Con l'inserimento INI RELOADDELAY_SEC , il reload viene ritardato da un valore casuale.
Procedura:

  1. Aprire il file project.ini nella cartella \Projekt_SQL_Ordner\FILES\zenon\system\.
    Suggerimento: Selezionare il progetto nel manager di progetto e premere la combinazione di tasti Ctrl+Alt+E Windows Explorer aprirà la cartella \Projekt_SQL_Ordner\FILES\
  2. Passare al settore [NETZ].
  3. Creare l´inserimento RELOADDELAY_SEC=[valore].
  4. Selezionare per Valore un valore per il ritardo.

Nel corso del processo di reload, il sistema calcola per ogni client un ritardo casuale in secondi che si trova fra 0 e il valore selezionato. 0 significa nessun ritardo (comportamento standard). Il valore selezionato non ha alcun effetto sui progetti standalone, sul server primario o sul Server-Standby.

Nota: questo inserimento dovrebbe essere impostato solamente in caso di progetti molto grandi e di notevoli ritardi nell´esecuzione del processo di reload. Nei progetti normali, invece, le impostazioni standard sono più efficaci.

Ritardo di reload definito (CLIENTx)

Con l' inserimento INI CLIENTx , si possono definire tempi di reload differenti per i client.

  1. Aprire il file project.ini nella cartella \Projekt_SQL_Ordner\FILES\zenon\system\.
    Suggerimento: Selezionare il progetto nel manager di progetto e premere la combinazione di tasti Ctrl+Alt+E Windows Explorer aprirà la cartella \Projekt_SQL_Ordner\FILES\
  2. Passare al settore [NETZ].
  3. Creare per ogni client un inserimento CLIENTx=[Valore].
    x = numerazione progressiva per i client.
    CLIENT[numero progressivo]=Nome client,[Ritardo di reload in secondi]
  4. Selezionare per valore un valore per il ritardo.
    Per esempio:
    • CLIENT0=VM-CDSBG104,5
    • CLIENT1=WKS001,10

Attenzione: la numerazione dei client deve essere progressiva e senza soluzioni di continuità. Se, per es., ci sono inserimenti per CLIENT0, CLIENT1, CLIENT2, CLIENT3 e CLIENT5, il sistema considera solo quelli relativi ai seguenti client: Client0, Client1, Client2 e Client3. Il ritardo di reload configurato per Client5 viene ignorato.

info Info

Per i client senza un inserimento CLIENTx vale il ritardo di reload casuale configurato nell'inserimento RELOADDELAY_SEC.

Se anche questo inserimento è vuoto, il reload viene effettuato immediatamente.


Crittografia forte della comunicazione di rete

Manuale -> Rete -> Crittografia forte della comunicazione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon consente di proteggere per mezzo di una crittografia forte la comunicazione nella rete di zenon. A partire dalla versione 7.0 di zenon, la crittografia forte funziona per tutti i sistemi operativi supportati e per zenon Web Client.

Quando la crittografia è attiva, la comunicazione fra server primario, Server-Standby, client e zenon Web Client avviene in modo cifrato; zenon Webserver si limita ad inoltrare i pacchetti dati e non è interessato dalla crittografia.

info Info

La comunicazione di rete era crittografata anche in precedenti versioni di zenon. Con la versione 7, però, è cambiato il metodo. Il termine "crittografia" in relazione a zenon 7 (e versioni successive) comporta una cifratura sempre maggiore.

Ancora in questo capitolo

Nozioni di base

Attivare la crittografia

Password - Crittografia di rete

Checklist in caso di errori

Messaggi d'errore


Nozioni di base

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia per il Runtime di zenon è a disposizione a partire dalla versione 7.00. Quando la crittografia è attiva, la comunicazione con le versioni precedenti di zenon non è possibile. La crittografia non pregiudica nessuna delle funzionalità di zenon.

Basi della crittografia a partire dalla versione 7.00 di zenon

Per usare la crittografia forte della rete di zenon bisogna tenere presente quanto segue:

  • La password viene cifrata specificatamente su ogni calcolatore e salvata nel file zenon6.ini. Questo significa:
    • La password non può essere trasferita ad un altro calcolatore copiando il file zenon6.ini.
    • Quando cambiano i componenti hardware, soprattutto a livello di adattatore di rete, la password può perdere la sua validità e deve essere inserita di nuovo.
  • La crittografia deve sempre essere attivata o disattivata per tutti i componenti che fanno parte della rete di zenon. La comunicazione fra sistemi crittografati e non crittografati non è possibile. zenon Web Server fungono solamente da computer proxy e non sono interessati dalla crittografia.
  • Se la crittografia viene attivata su un calcolatore, viene applicata sempre a tutti i progetti di questo computer per i quali è stata attivata la proprietà Rete attiva.

info Info

AES 192 di Microsoft viene usato come algoritmo di crittografia per la comunicazione di rete.

SHA 256 di Microsoft viene usato per generare la chiave dalla password inserita.

Compatibilità:

La crittografia non è compatibile con le versioni precedenti alla zenon 7.00 SP0. Questo significa:

Sistema 1 | Sistema 2 | Comunicazione.
zenon 7 crittografata | zenon 7 crittografata | Si
zenon 7 non crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | Si
zenon 7 crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | No

Gli errori vengono protocollati nel file LOG del Diagnosis Viewer.

Esempio

La seguente immagine mostra un esempio di una rete con server primario, Server-Standby, due client, uno zenon e due Web Client. Su tutti i dispositivi è eseguita la versione 7.00 SP0 di zenon. I dispositivi sono stati configurati nel modo seguente:

  • La crittografia è stata attivata sul server primario usando lo Startup Tool.
  • La crittografia viene attivata anche sul Server-Standby e sul client A via Trasporto Remoto al momento del trasferimento dei file Runtime.
  • Il Client B e il Web Client B comunicano ancora in modalità non crittografata.
  • Sul Web Client A, la crittografia è attivata usando lo Startup Tool.
  • Visto che lo zenon Web Server non analizza i pacchetti dati, ma si limita a inoltrarli, non è necessaria alcuna forma di crittografia. Teoricamente, sul Web Server potrebbe essere installata anche una versione precedente, e, ciò nonostante, i Web Client sarebbero in grado di instaurare delle connessioni crittografate.

Questa configurazione porta al risultato seguente:

  • Il Server-Standby comunica con successo con il server primario.
  • Il client A può registrarsi sul server primario e scambiare dei dati.
  • Visto che il client B invia dei messaggi non crittografati e questi vengono rifiutati dal server primario a causa della crittografia attiva, il client B non può comunicare con il server primario e, perciò, è offline.
  • Il Web Client A si registra sul server via zenon Web Server ed è in grado di scambiare dati.
  • I messaggi non crittografati del Web Client B vengono inoltrati dallo zenon Web Server al server primario, ma vengono rifiutati da quest'ultimo. Il Web Client B non può comunicare con il server primario e, perciò, è offline.

Non appena la crittografia viene attivata via Trasporto Remoto o tramite Startup Tool sul client B e per Encrypt network communication sul Web Client B, anche questi possono instaurare delle connessioni con il server primario.


Attivare la crittografia

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata in modi diversi:

  • Con lo Startup Tool per il computer locale e lo zenon Web Client.
  • Via Trasporto Remoto

Tipp Suggerimento

Per attivare la crittografia in rete in modo semplice e veloce, raccomandiamo di effettuare la configurazione su un calcolatore usando il Trasporto Remoto.

Ancora in questo capitolo

Localmente tramite lo Startup Tool

Via Trasporto Remoto


Localmente tramite lo Startup Tool

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia -> Localmente tramite lo Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per attivare la crittografia sul computer locale o per lo zenon:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Application -> Options

    Si aprirà la finestra di dialogo delle impostazioni.

  3. Selezionare la scheda Network configuration.

  4. Attivare la checkbox Encrypt network communication.
  5. Digitare la password e verificarla.
  6. Confermare cliccando su OK.

Crittografia Connector

Per attivare la crittografia per lo SCADA Runtime Connector zenon, oppure lo zenon Analyzer, l´ HTML Web Engine, o per il Runtime Remote driver, configurare il gruppo di proprietà “Encrypt Runtime Connector communication”.


Via Trasporto Remoto

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia -> Via Trasporto Remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata su computer remoti via Trasporto Remoto. Questo, tuttavia, è possibile solamente se la connessione Trasporto remoto è protetta da una password.

Per attivare la crittografia via Trasporto remoto:

  1. Cliccare sul pulsante corrispondente che si trova nella barra degli strumenti del Trasporto Remoto

    Oppure selezionare nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

    Verrà aperta la finestra di dialogo per stabilire un collegamento

  2. Inserire la password di connessione, oppure crearne una nel caso non ne sia stata definita ancora nessuna.
  3. Attivare la checkbox Configurazione codifica di comunicazione di rete
  4. Cliccare su OK.

    Si apre la finestra di dialogo per la crittografia della comunicazione di rete

  5. Attivare la checkbox Codifica comunicazione di rete
  6. Assegnare una password (per i criteri, vedi capitolo Password - Crittografia di rete.)
    Per trasferire velocemente la configurazione locale ad altri computer, la password locale può essere acquisita usando l´opzione Acquisisci configurazione locale.
  7. Confermare la finestra di dialogo cliccando sul pulsante OK


Password - Crittografia di rete

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Password - Crittografia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la password per la crittografia della comunicazione in rete vale quanto segue:

  • Lunghezza minima: 8 caratteri
  • Lunghezza massima: 20 caratteri
    La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.
  • Caratteri consentiti:
    • Lettere: A - Z; a - z
    • Cifre: 0 - 9
    • Caratteri speciali
  • Caratteri proibiti:
    • Spazio vuoto
    • Tasto INV (Tasto Return)
  • Composizione: una password deve contenere almeno 1 cifra e 1 lettera

Se la password impostata non corrisponde a questi criteri, verrà visualizzata una finestra di dialogo che informa dell´errore:

Verrà visualizzata una finestra di dialogo di errore anche se si inserisce in modo errato la password di conferma:


Checklist in caso di errori

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Checklist in caso di errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di errori, verificare se:

  • Tutti i calcolatori hanno accesso alla rete e funziona la risoluzione dei nomi fra i calcolatori?
  • La proprietà Rete attiva è stata attivata nell´Editor per questo progetto?
  • Il Runtime di zenon viene usato nella versione 7.00 SP0, oppure in una versione successiva (rilevante in caso di crittografia attiva)?
  • Per i progetti con crittografia, è corretta la configurazione su tutti i calcolatori?
    (L'impostazione USE_ENCRYPTION nel file zenon6.ini: la stessa su tutti i calcolatori, o 0, o 1 oppure non esistente.)
  • La password è stata configurata in modo corretto?
  • Su uno dei calcolatori coinvolti è stato cambiato l´hardware dopo la configurazione della crittografia?
  • Funziona un ping sul calcolatore?
    • Sì: connessione di rete esistente, l´errore riguarda la comunicazione.
    • No: controllare la rete.
  • È possibile instaurare una connessione con Telnet?
    • La connessione viene instaurata: entrambi i calcolatori comunicano allo stesso livello. Controllare la password.
    • La connessione viene instaurata e poi va persa: un calcolatore comunica in modo cifrato, un altro in modo non cifrato.
    • La connessione è difettosa: il Runtime di zenon non viene eseguito sul calcolatore di destinazione.

    Nota: Telnet deve essere installato apposta sui sistemi operativi di Windows più recenti. La connessione avviene di regola tramite la porta 1100.
    Il comando Telnet è dunque open [IPAdresse] 1100

  • Sono disponibili le funzioni (di sistema operativo) necessarie (soprattutto sui terminali CE)?
    • La mancanza di funzioni necessarie fa sì che non sia possibile avviare il Runtime.
  • Se il Service-Provider oppure uno degli algoritmi non è disponibile, viene scritto un Messaggio di errore nel file Log al momento dello start del Runtime.

Gli errori vengono protocollati nel file Log del Diagnosis Viewer.


Messaggi d'errore

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono visualizzati o nella finestra di emissione dell´Editor di zenon, oppure in pop-up e/o vengono protocollati nei file Log del Diagnosis Viewer.

Nessuna connessione

Se un client è stato configurato con una password di crittografia errata (diversa da quella sul server primario), è possibile verificarlo dagli eventi seguenti:

  • Il client è offline, nonostante il server primario sia raggiungibile via ping.
  • Il server primario scrive dei messaggi di errore nel file LOG:

    SysMod Error: Serialize in Object Project: [Nome progetto] Modul: [Numero modulo]

    oppure:

    NET Error During Decryption [Numero errore]

Pop-up e messaggi di errore

Il sistema indica il verificarsi di errori di crittografia mediante delle finestre d'avviso (pop-up) e inserimenti nei file di LOG, oppure nella Finestra di emissione di zenon .

Ancora in questo capitolo

Messaggi di errore in pop-up

Messaggi di errore nella finestra di emissione

Messaggi di errore nei file LOG.


Messaggi di errore in pop-up

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore in pop-up

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Startup Tool e Web Client

I seguenti messaggi di errore vengono emessi dallo zenon Startup Tool come pop-up per la crittografia locale, oppure dall´Encrypt Network Communication Tool per la configurazione dello zenon Web Client.

Questi messaggi sono sempre in lingua inglese. I messaggi del Runtime stesso, invece, sono nella lingua che è stata impostata.

Messaggio di errore | Descrizione
The password has to be entered in both text boxes! | Configurando la crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Conferma password).
The passwords you typed do not match. Please retype the password in both boxes. | Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.
The network password does not fullfill the password criterias! Password criterias: - Minimum length = 8 - Maximum length = 20 - At least one character of the latin charset - At least one number - No spaces | La password inserita non soddisfa i criteri. I criteri di validità della password vengono visualizzati nel messaggio di errore.
The network password could not be encrypted! | Si è verificato un errore nella cifratura della password di rete
The network encryption configuration in the file zenon6.ini is invalid. Please enter a new configuration. | Quando è stata aperta la scheda Network configuration, il sistema ha constatato che il file zenon6.ini non contiene una configurazione valida per la crittografia di rete. Si deve inserite una nuova configurazione.
The network encryption password in zenon6.ini is invalid. | La password che il sistema legge dal file zenon6.ini non è valida e deve essere inserita nuovamente.
La password per la crittografia di rete non è valida e deve essere inserita nuovamente! | Messaggio che compare al momento dello start del Runtime se la password non può essere verificata.

Trasporto remoto

I seguenti messaggi di errore vengono visualizzati come pop-up dal Trasporto Remoto quando viene crittografata la comunicazione con il computer remoto.

Messaggio di errore | Descrizione
Per la configurazione della crittografia di rete la connessione tramite trasporto remoto deve essere protetta da password! | Il sistema ha cercato di configurare la crittografia remota senza proteggere la connessione del Trasporto Remoto con una password.
La password dev'essere inserita in entrambi campi! | Configurando la crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Conferma password).
Le due password non corrispondono! | Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.
La password inserita non soddisfa i criteri! Criteri per la validità della password: perlomeno 8 caratteri al massimo 20 caratteri perlomeno una lettera perlomeno un numero nessuno spazio vuoto | La password inserita non soddisfa i criteri. I criteri di validità della password vengono visualizzati nel messaggio di errore.
E' avvenuto un errore durante la cifratura della password! | Durante la cifratura della password di rete si è verificato un errore. Se questo errore si verifica durante la configurazione via Trasporto Remoto, viene scritta una segnalazione di errore più dettagliata nel Log.
Nella decifrazione della crittografia della password di rete dallo zenon6.ini si è verificato un errore! | Non è stato possibile decifrare la password salvata nello zenon6.ini. Se questo errore si verifica durante la configurazione via Trasporto Remoto, viene scritta una segnalazione di errore più dettagliata nel Log.
La configurazione della crittografia nello zenon6.ini non è valida e deve essere reinserita! | La password letta dallo zenon6.ini non è valida. È necessario procedere all´inserimento di una nuova password.


Messaggi di errore nella finestra di emissione

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore nella finestra di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono visualizzati nella finestra di emissione in forma di messaggi:

Messaggio | Livello | Descrizione
Il server segnala un errore nel mettere insieme i dati per la configurazione della crittografia! | ERRORE | Lo zenSysSrv remoto segnala un errore nella compilazione delle informazioni per la crittografia della password per la crittografia di rete. Non è stato possibile leggere le informazioni adapter.
*** Configura la crittografica della comunicazione di rete sul sistema di destinazione: |  | Questa segnalazione si trova all´inizio del messaggio finale che appare dopo la realizzazione della configurazione della crittografia di un apparecchio remoto tramite Trasporto Remoto. Segue poi una segnalazione concernente il successo della configurazione remota.
Il server segnala un errore nel salvataggio della configurazione della crittografia! | ERRORE | Il Remote zenSysSrv segnala un errore nel salvataggio della configurazione della crittografia sull´apparecchio remoto. La configurazione non è stata salvata.
La configurazione è stata salvata con successo sul server. | SEGNALAZIONE | Il Remote zenSysSrv segnala che la configurazione della crittografia è stata salvata con successo.
La versione del Remote zenSysSrv è troppo bassa! La crittografia non può essere configurata! | ERRORE | Il sistema ha cercato di configurare la crittografia su un apparecchio remoto che ha una versione di zenSysSrv precedente a 7.00 SP0. La crittografia è disponibile solo a partire dalla versione zenon 7.00 SP0; per questo motivo un zenSysSrv precedente non è in grado di configurarla.


Messaggi di errore nei file LOG.

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore nei file LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori nella comunicazione crittografata in rete vengono documentati come inserimenti di LOG. Gli Error-ID dei messaggi di errore nella seguente tabella sono System-Error-Codes oppure COM-Error-Codes. Informazioni più dettagliate sull'argomento si trovano nella documentazione MSDN.

Inserimento nei LOG.

Livello

Descrizione

NET Error During Acquiring Cryptography Context [Error-ID]

ERRORS

La creazione di un service provider per la crittografia non è riuscita.

NET Error During Creating Hash [Error-ID]

ERRORS

La creazione di un valore Hash non è riuscita.

NET Error During Using Hash [Error-ID]

ERRORS

La modifica di un valore Hash non è riuscita.

NET Error During Destroying Hash [Error-ID]

ERRORS

Il rilascio di un valore Hash non più necessario non è riuscito.

NET Error During Deriving Key [Error-ID]

ERRORS

La creazione della chiave per la crittografia simmetrica non è riuscita.

NET Error During Configuring Key [Error-ID]

ERRORS

L´impostazione del parametro per la crittografia simmetrica non è riuscita.

NET Error Cryptography Not Initialized!

ERRORS

Una funzione di crittografia o decifrazione è stata richiamata, ma l´inizializzazione dei parametri necessari (service provider, chiave) non è riuscita.

NET Error Invalid Pointer passed!

ERRORS

Ad una funzione di crittografia o decifrazione sono stati assegnati dei parametri non validi.

NET Error Message Length Must Not Be 0!

ERRORS

La chiamata della funzione di crittografia o decifrazione è avvenuta con un messaggio vuoto.

NET Error During Buffer Length Calaulation [Error-ID]

ERRORS

Il calcolo della grandezza necessaria del buffer per la crittografia non è riuscito.

NET Error Buffer Length Must Not Be 0!

ERRORS

Il buffer per la crittografia o decifrazione non è stato creato.

NET Error During Decryption 0x%x

ERRORS

Nel corso della decifrazione si è verificato un errore.

NET Error During Encryption 0x%x

ERRORS

Nel corso della crittografia si è verificato un errore.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERRORS

La crittografia è attiva ed è arrivato un messaggio non crittografato. In questo caso il messaggio viene rifiutato.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERRORS

La crittografia non è attiva ed è arrivato un messaggio crittografato. In questo caso il messaggio viene rifiutato.

NET Cryptography Successfully Initialized

DEBUG

I parametri necessari per la crittografia e la decifrazione sono stati inizializzati con successo. I parametri vengono inizializzati all´avvio del Runtime.

NET Uninitializing Cryptography

DEBUG

I parametri necessari per la crittografia e la decifrazione vengono rilasciati. Questo accade quando viene chiuso il Runtime. Se la connessione Log viene interrotta prima che il sistema rilasci parametri, il messaggio non viene visualizzato nel Diagnosis Viewer

NET Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nel calcolo della grandezza necessaria del buffer per compilare le informazioni necessarie per crittografia e decifrazione della password di rete.

NET Error During Buffer Size Calculation: No Adapters

ERRORS

Il computer non ha un adattatore di rete. Per questa ragione la password di rete non può essere crittografata e decifrata.

NET Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore quando durante la lettura delle informazioni dell´adattatore per la crittografia e decifrazione della password di rete.

NET Error Passwort Not Properly Formatted

ERRORS

L'HexDump della password di rete cifrata ha un formato non valido.

NET Error During Decrypting Password [Error ID]

ERRORS

Si è verificato un errore nella decifrazione della password di rete

NET Error During Encrypting Password [Error ID]

ERRORS

Si è verificato un errore nella crittografia della password di rete

NET Cryptography Is Disabled

DEBUG

La crittografia della comunicazione in rete è disattivata.

NET Error No Password

ERRORS

La crittografia è attiva, ma non è stata inserita nessuna password.

NET Error Password Could Not Be Decrypted

ERRORS

Non è stato possibile decifrare la password per la crittografia di rete.

NET Password successfully loaded

DEBUG

La password per la crittografia di rete è stata caricata con successo.

Network Cryptography Disabled By Remote Configuration

DEBUG

Lo zenSysSrv segnala che la crittografia della traffico di rete è stata disattivata sul calcolatore dalla configurazione del Trasporto Remoto.

Network Cryptography Enabled By Remote Configuration

DEBUG

Lo zenSysSrv segnala che la crittografia del traffico di rete è stata attivata sul calcolatore dalla configurazione del Trasporto Remoto.

Network Cryptography Remote Configuration Error

ERRORS

Una configurazione inviata dal Trasporto Remoto per la crittografia di rete è errata.

Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nel calcolo della grandezza necessaria del buffer per compilare le informazioni necessarie per crittografia e decifrazione della password di rete per la configurazione tramite Trasporto Remoto.

Error During Buffer Size Calculation: No Adapters

ERRORS

Il computer non ha un adattatore di rete. Per questa ragione la password di rete non può essere cifrata o decifrata e, quindi, non può essere settata via Trasporto Remoto (deve essere connessa via COM). L´uso della crittografia di rete su un calcolatore senza adattatore di rete, però, non ha senso.

Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore durante la lettura delle informazioni dell´adattatore per la crittografia e decifrazione della password di rete per la configurazione via Trasporto Remoto.

NET Error During Decrypting Password: The Password is Invalid!

ERRORS

La password non è più valida visto che i

dati iniziali per la crittografia in relazione al dispositivo sono cambiati.

Questo errore può essere corretto configurando di nuovo la password.

Tuttavia il processo di decifrazione viene interrotto già prima del controllo di validità della password, perché la vecchia password non può essere decifrata con i nuovi dati di decifrazione.

Questo causa l'errore „NET Error During Decrypting Password 0x80090005", che viene normalmente visualizzato invece di „NET Error During Decrypting Password: The Password is Invalid!". Un'altra conseguenza è che la password, che ha perso la sua validità sul computer in questione, causa la visualizzazione di messaggi di errore quando i pacchetti di rete vengono inviati o ricevuti. Il messaggio di errore „NET Error Cryptography Not Initialized!" verrà scritto nel file di LOG.

Connector-Container: Decryption failed. Perhaps wrong encryption key.

ERRORS

Decrittografia del pacchetto dati ricevuto dal Connector Client non riuscita.


zenon sul Terminal Server

Manuale -> Rete -> zenon sul Terminal Server

Il Runtime di zenon può essere utilizzato anche in combinazione con una soluzione terminal-server.

Limitazioni:

  • L´Editor non può essere eseguito su un Terminal Server.
  • La simulazione progetto non è disponibile per i client sul Terminal Server.

info Info

Bisogna tenere presente che il nome del Terminal Client venga risolto correttamente. Questo significa: il nome del dispositivo che avvia la connessione terminal-server, è il nome del client per la rete di zenon.

Attenzione: assicurarsi di aver aperto tutte le porte necessarie quando si usa un firewall.

Ci sono diversi produttori che offrono soluzioni terminal-server. Tutti i test con zenon sono stati effettuati con Windows Terminal Server (Windows Remote Desktop Services).

attention Attenzione

Per poter usare zenon con un Terminal Server, la registrazione della licenza deve avvenire con un dongle di rete.

Più istanze del Runtime

Su un computer può essere lanciata sempre solo un'istanza del Runtime di zenon alla volta. Questo indipendentemente dal fatto se il Runtime viene avviato come file EXE, come zenon Web Client, oppure come Runtime Control (OCX).

Eccezione: Sul Terminal Server o sul Terminal Client può essere avviata un´istanza Runtime pro utente, come file EXE, come zenon Web Client, oppure come Runtime Control (OCX). All´interno di un contesto utente, può essere eseguita sempre solo 1 istanza alla volta.

Ancora in questo capitolo

Come funziona il terminal server

Vantaggi e svantaggi

Modalità di funzionamento di zenon sul Terminal Server

Impostazioni obbligatorie

Confronto fra zenon Remote Desktop e Terminal Server


Come funziona il terminal server

Manuale -> Rete -> zenon sul Terminal Server -> Come funziona il terminal server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i Terminal Server è possibile rendere disponibili dati e applicazioni centralizzate, indipendentemente dal dispositivo finale. Le soluzioni Terminal Server consentono di avviare diverse istanze shell (desktop) separate le une dalle altre sul Terminal Server. Se un client si connette al Terminal Server, viene creata una nuova istanza shell, e al client viene assegnata una propria interfaccia grafica. Le applicazioni vengono eseguite sul Terminal Server stesso e i dati sono salvati sul Terminal Server. Sul client avviene semplicemente l´immissione (tramite tastiera, mouse ecc,) e l'emissione (visualizzazione, audio, ecc.).

info Info

Non tutti i software sono compatibili con Terminal Server.


Vantaggi e svantaggi

Manuale -> Rete -> zenon sul Terminal Server -> Vantaggi e svantaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'uso di zenon su un Terminal Server ha i seguenti vantaggi e svantaggi:

Vantaggi

  • Si deve effettuare la manutenzione di un solo computer (il Terminal Server).
  • I client non devono fornire delle performance particolarmente alte (Thin Clients).
  • I client possono avere dei sistemi operativi differenti (Windows, Windows CE, Linux, Unix, MacOS, iOS, Android ecc.)
  • Elevato grado di sicurezza dei dati, visto che nessun dato viene salvato sul client.

Svantaggi

  • Tutti i programmi avviati di tutte le istanze sono eseguiti su un computer (il Terminal Server).
    Questo:
    • Deve avere una capacità tale da poter eseguire tutti i programmi lanciati.
    • Deve avere una RAM sufficiente per tutti i programmi lanciati.
  • Tutte le interfacce devono essere condivise. Ad esempio, adattatore di rete, porte COM, porte parallele.
  • Il carico della rete può essere considerevole se c´è un numero elevato di client (per es. in caso di trasferimento di dati grafici).
  • La risoluzione dell´immagine viene definita dal primo client che è stato avviato. L'uso di più risoluzioni può essere implementato sul Terminal Server usando un inserimento nello zenon6.ini (SERIALIZE=1). In questo modo, tutte le immagini vengono ricalcolate per ogni client, il che fa aumentare ancora di più la prestazione richieste al Terminal Server.


Modalità di funzionamento di zenon sul Terminal Server

Manuale -> Rete -> zenon sul Terminal Server -> Modalità di funzionamento di zenon sul Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su un Terminal Server, il funzionamento come:

  • zenon Client è possibile senza limitazioni.
  • Sistemi standalone di zenon ha senso ed è possibile solo:
    • come progetto di integrazione sovraordinato per avviare più sotto-progetti client.
    • senza driver, connessioni a banche dati ecc.
  • zenon server primario non è possibile

Rappresentazione schematica

Esempio di topologia di una rete Terminal Server con zenon:

PC | Descrizione
Runtime Server | zenon Runtime Server primario
Terminal Server | Terminal Server e un numero x di Runtime Client
Terminal RDP Client A - D | Terminal Client (solo immissione ed emissione)


Impostazioni obbligatorie

Manuale -> Rete -> zenon sul Terminal Server -> Impostazioni obbligatorie

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per far sì che il Runtime di zenon possa essere avviato più volte sul Terminal Server, si devono effettuare alcune impostazioni. Le impostazioni per la registrazione, la risoluzione dello schermo e il servizio di trasmissione, possono essere effettuate usando lo zenon Startup Tool.

info Info

I seguenti parametri vengono settati automaticamente quando si effettua la registrazione via Startup Tool:

  • Inserimenti INI:
    • [TERMINAL]
      CLIENT=1
    • [DEFAULT]
      SERIALIZE=1
  • Registrazione di ZenSysSrv.exe come servizio.
  • Annullamento della registrazione ZenDBSrv.exe

Impostazioni generali

  1. Registrazione

    Registrare l´uso sul Terminal Server via zenon Startup Tool.
    In alternativa, si possono configurare manualmente i corrispondenti inserimenti INI.

    Inserimento nel file zenon6.ini:
    Il seguente inserimento deve essere aggiunto nel file zenon6.ini sul Terminal Server. Non è necessaria nessuna impostazione sul Runtime Server primario.

    [TERMINAL]
    CLIENT=1

    1: Il Runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono eseguire automaticamente dal Runtime.
    0: Il Runtime può essere avviato solo una volta per sessione Terminal Server. L'uso sul Terminal Server non è possibile (impostazione standard).

  2. Adattamento automatico della risoluzione immagine

    L´impostazione standard prevede che sia il primo client sul Terminal Server a definire la risoluzione dell´immagine. Questa impostazione può essere modificata sul Terminal Server con il seguente inserimento nel file zenon6.ini:

    [DEFAULT]
    SERIALIZE=1

    • 0: risoluzione immagine individuale, tutte le immagini vengono ricalcolate per ogni client.
    • 1: il primo client avviato detta la risoluzione immagine.
  3. Trasferimento

    Il servizio di trasporto (ZenSysSrv.exe) deve essere registrato a avviato come servizio Windows e non come file Standard-Exe. Questa impostazione viene effettuata automaticamente in caso della registrazione via Startup Tool; ma può essere settata anche manualmente.

    Impostazione manuale:

    1. Avviare il programma dalla riga di comando mediante l'opzione-service.

      Esempio: C:\Programme (x86)\COPA-DATA\zenon760\zenSysSrv.exe -service

    2. Poi avviare il Windows Service Manager. Il servizio verrà avviato automaticamente ad ogni riavvio del computer.

    Nota: il setup registra il servizio di trasporto sempre come Standard-EXE. Per questo motivo, il servizio di trasporto deve essere registrato nuovamente come servizio Windows dopo ogni nuova installazione.

  4. Cartella Runtime

    Tutti gli utenti devono avere un accesso di scrittura alla cartella Runtime. Tutti gli utenti Windows (Utenti Windows: tutti) nel Windows Explorer devono avere un accesso completo alla cartella Runtime e a tutte le sottocartelle.

attention Attenzione

Se è settato TERMINAL=1, la simulazione progetto non è più disponibile.

Reload selettivo di singoli progetti

I progetti possono essere sincronizzati anche in modo selettivo. In questo caso, i client sincronizzano i progetti solamente se sono state fatte delle modifiche. Per attivare il meccanismo di reload selettivo:

  1. Aprire il file zenon6.ini con un Editor di testi.
  2. Passare all´area [TERMINAL].
  3. Modificare o creare l´inserimento: CLIENT_NO_FILE_ALIGN=.

    Valori possibili:

    • 0: i progetti vengono sempre ricaricati da tutti i client
    • 1: Allineamento selettivo attivo. Solo il client di zenon che viene avviato nella sessione console del Terminal Server, sincronizza i file Runtime con il server di zenon

Dopo la sincronizzazione dei file Runtime, il "console client" scrive il file reloadindicator.tmp nella cartella che contiene il file project.ini del progetto. I "session client" sul Terminal Server verificano ogni 10 secondi se questo file è disponibile. Se il file c´è e il suo timestamp è più recente della data dell'ultimo reload, viene avviata automaticamente una session-client.

Inserimento zenon6.ini per il reload selettivo

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

[DEFAULT]

SERIALIZE=1

info Info

Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa ai file di configurazione, nel capitolo Terminal Server [TERMINAL].


Confronto fra zenon Remote Desktop e Terminal Server

Manuale -> Rete -> zenon sul Terminal Server -> Confronto fra zenon Remote Desktop e Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le principali differenze fra la soluzione Terminal Server e il Remote Desktop di zenon sono le seguenti:

Connessione zenon Remote Desktop | Connessione Terminal Server
Tutte le stazioni connesse vedono sempre lo stesso desktop. Se, per esempio, un utente lancia un programma, tutti vedono lo stesso programma, lo stesso puntatore del mouse, gli stessi inserimenti effettuati con la tastiera, ecc. | Ogni stazione connessa ha un proprio desktop - una propria istanza. Solo questa vede cosa accade. Le azioni del mouse e gli inserimenti effettuati con la tastiera riguardano solamente questa istanza.
 | Questo significa anche che: In ogni istanza può essere avviato separatamente un programma, per es. un Editor di testi. Il programma sarà poi eseguito sul Terminal Server più volte e consumerà anche più risorse.

info Info

Ulteriori informazioni sull'argomento si trovano nella parte della guida dedicata allo zenon Remote Desktop


Gestire e controllare la topologia di rete

Manuale -> Rete -> Gestire e controllare la topologia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia di rete viene visualizzata in una scheda propria del manager di progetto.

La visualizzazione è divisa in tre settori:

  • Albero topologico (in alto a sinistra):
    mostra i progetti attivi; il progetto globale non viene visualizzato.
  • Albero risultati (in alto a destra):
    solo una visualizzazione di risultati; rappresenta l´albero della topologia di un computer selezionato.
  • Lista computer (sotto):
    lista e configurazione dei computer in rete.

Ancora in questo capitolo

Albero topologico

Albero risultati

Lista computer

Messaggi di errore della verifica della topologia


Albero topologico

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero topologico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´albero topologico mostra i progetti attivi in forma gerarchica.

Parametri

Descrizione

Nome progetto

Viene definito nella scheda "Albero di progetto" e non può essere modificato in questa sede.

Rete attiva

Mostra se l´opzione “rete” è attiva per questo progetto. L´impostazione può essere modificata usando la proprietà Rete attiva.

  • Sì
    Il progetto è un progetto di rete.
  • No
    Il progetto non è un progetto di rete.

Server 1

Visualizza il server primario definito per questo progetto. L´impostazione può essere modificata con il menù contestuale, il simbolo nella barra degli strumenti oppure la proprietà Server 1.

Server 2

Visualizza il Server-Standby definito per questo progetto. L´impostazione può essere modificata con il menù contestuale, il simbolo nella barra degli strumenti oppure la proprietà Server 2.

Ancora in questo capitolo

Barra degli strumenti e menù contestuale


Barra degli strumenti e menù contestuale

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero topologico -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà | Descrizione
Imposta PC come Server primario | Definisce il computer evidenziato nella Lista computer come server primario per il progetto selezionato nell´albero topologico.
Imposta PC come Server standby | Definisce il computer evidenziato nella Lista computer come Server-Standby per il progetto selezionato nell´albero topologico.
Elimina Server primario | Cancella il server primario definito per il progetto evidenziato. Nota: il computer configurato viene cancellato dalla proprietà Server 1.
Elimina Server Standby | Cancella il Server-Standby definito per il progetto evidenziato. Nota: il computer configurato viene cancellato dalla proprietà Server 2.
Help (Simbolo ?) | Apre la guida online.


Albero risultati

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´albero risultati visualizza l´albero di progetto del computer selezionato nella Lista computer a partire dal progetto che è impostato come progetto di partenza per il computer selezionato; l´albero risultati visualizza le impostazioni di questo progetto.

L´albero risultati è vuoto se:

  • Il progetto di partenza del computer selezionato non è stato trovato.
  • E' stato selezionato più di un computer della lista.

Parametri

Descrizione

Nome progetto

I progetti che sono assegnati al computer selezionato.

Ruolo

Ruolo del computer:

  • Server primario
  • Server-Standby
  • Client

Server primario

Nome del computer che funge da server primario a Runtime.

Server-Standby

Nome del computer che funge da Server Standby a Runtime.

Verifica del risultato

Visualizza in forma dettagliata i messaggi di errore relativi alla verifica topologica.


Lista computer

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista computer mostra i calcolatori configurati e ne permette la configurazione. La lista si riferisce al workspace ed è salvata nel file workspace (*.wsp6).

E' possibile ordinare e filtrare le colonne di questa lista. La larghezza delle colonne può essere modificata cliccando con il tasto destro del mouse.

Parametri

Descrizione

Nome PC

Nome del computer. Può essere modificato:

  • Cliccando nella cella:
    Cliccando su pulsante ... si apre il menù a tendina con i computer attualmente disponibili in rete.
    Nota: questa possibilità esiste solamente per gli inserimenti già esistenti.
  • Inserimento Modifica PC nel menù contestuale o nella barra degli strumenti.
    Apre la finestra di dialogo per configurare i computer nella rete.
  • Proprietà Nome PC.

Progetto di partenza

Progetto di partenza assegnato al computer. Può essere modificato:

  • Cliccando nella cella:
    Selezione dal menù a tendina.
    Nota: questa possibilità esiste solamente per gli inserimenti già esistenti.
  • Inserimento Progetto di partenza nel menù contestuale oppure nella barra degli strumenti. Imposta come progetto di partenza quello selezionato nell'albero topologico.
  • Proprietà Progetto di partenza.

Cartella Runtime del progetto di partenza

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono salvati in questa cartella. Tutti gli altri progetti in relazione ad esso, corrispondono alla struttura della Cartella Runtime impostata sul computer locale.

Ad esempio:
Cartella runtime del progetto di partenza: C:\Projekte\Top = luogo di salvataggio del progetto di partenza.
I sotto-progetti sono salvati in C:\\Projekte .

Suggerimento: usare il nome del progetto come nome della cartella per creare automaticamente la stessa struttura esistente sul computer di progettazione.

Il Cartella runtime del progetto di partenza può essere modificato:

  • Cliccando due volte sul computer:
    Apre la finestra di dialogo per la configurazione dei computer nella rete.
  • Cliccando nella cella: possibile un inserimento manuale.
  • Proprietà Cartella runtime del progetto di partenza.

Verifica del risultato

Mostra il risultato del controllo topologico.

  • OK:
    Tutti i progetti sono privi di errori.
  • Errore rilevato - Per i dettagli vedere la visuale dettagli:
    Uno o più progetti presentano un errore.
  • Grave errore rilevato - Per i dettagli vedere la visuale dettagli:
    Un progetto presenta un errore grave. Errori gravi causano il termine del processo di verifica.
  • Non controllato a causa di un grave errore presente nella topologia.
    Il computer non è stato controllato per intero perché la verifica è stata interrotta a causa di un errore grave.

I messaggi di errore dettagliati vengono visualizzate nell´albero risultati.

Ancora in questo capitolo

Barra degli strumenti e menù contestuale

Finestra di dialogo di configurazione computer in rete


Barra degli strumenti e menù contestuale

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

Aggiungi PC...

Apre la finestra di dialogo per la configurazione dei computer nella rete.

Modifica PC...

Apre la finestra di dialogo per la configurazione dei computer in rete con i dati inseriti per questo computer.

Elimina PC

Elimina il computer dalla topologia dopo una richiesta di conferma.
È possibile selezionare più inserimenti contemporaneamente.

Attenzione: la cancellazione di server primario o Server-Standby porta al verificarsi di gravi errori nella topologia.

Imposta il progetto di partenza

Imposta come progetto di partenza quello selezionato nell'albero topologico.

Trasferire i file Runtime di tutti i progetti del terminale.

Trasferisce tutti i progetti validi per il computer selezionato al calcolatore di destinazione. Il risultato viene visualizzato nella finestra di emissione.

Guida

(Simbolo ?)

Apre la guida online.


Finestra di dialogo di configurazione computer in rete

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer -> Finestra di dialogo di configurazione computer in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti impostazioni sono necessarie per configurare i computer:

Parametri

Descrizione

Nome PC

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un computer fra quelli della lista dei calcolatori disponibili attualmente nella rete.

Nota: se ci sono molti computer disponibili in rete, l'apertura di questa finestra di dialogo può durare un po' di tempo.

Progetto di partenza

Selezione del progetto di partenza fra quelli del menù a tendina.

Vengono visualizzati tutti i progetti esistenti nel workspace caricato attualmente.

Cartella Runtime del progetto di partenza

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono salvati in questa cartella. Tutti gli altri progetti in relazione ad esso, corrispondono alla struttura della Cartella Runtime impostata sul computer locale.

Suggerimento: usare il nome del progetto come nome della cartella per creare automaticamente la stessa struttura esistente sul computer di progettazione.

Per esempio:
Nome progetto= I_Project
Alla voce Cartella runtime del progetto di partenza inserire: C:\Projects\I_Project
I sotto-progetti vengono salvati in relazione a questo percorso in C:\Projects\Projektname, per es.:
il nome progetto è SubProject1; in questo caso la cartella Runtime si trova in C:\Projects\SubProject1.

Requisito:
Le cartelle Runtime sono state lasciate con le impostazioni standard e i progetti sono stati creati a livello file.

In caso contrario può accadere che i sotto-progetti non possano essere trasferiti, perché la cartella relativa non è generabile da parte del progetto di partenza.

Esempio:
Il progetto di integrazione ha la seguente directory impostata come cartella Runtime: C:\Workspace\Projects\I_Project. La cartella Runtime impostata per il sotto-progetto è: C:\Subproject. La cartella Runtime del progetto di partenza viene impostata su C:\Project. Il sotto-progetto non può essere trasferito perché la cartella relativa sarebbe ..\..\Project. Questo non può funzionare perché la cartella Runtime per il sotto-progetto si troverebbe "sotto" C:\.
Soluzione: impostare la proprietà di progetto Cartella Runtime in modo corretto. Il modo migliore di farlo è quello di fare in modo che le cartelle Runtime si trovino allo stesso livello.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Messaggi di errore della verifica della topologia

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Messaggi di errore della verifica della topologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La verifica topologica viene effettuata ogni volta che si modificano le impostazioni della topologia. Così si può vedere subito l´effetto di ogni modifica. La topologia viene controllata anche quando si passa alla visuale topologica.

Test implementati

  • Nella struttura ad albero esiste il progetto definito nella topologia?
  • E´stato definito un server primario?
  • Sono stati impostati come server primario e Server-Standby dei computer diversi?
  • Il client può raggiungere il suo Server primario/Server-Standby?
  • Il server primario può raggiungere i suoi client?
  • Il Server-Standby può raggiungere i suoi client?
  • Esiste nella topologia il server primario per un progetto?
  • Esiste nella topologia il Server-Standby per un progetto?
  • Un computer compare più di una volta nel percorso dal client al server primario?

Non si verifica se:

  • Un client viene aggiornato dal server primario solamente su un percorso, oppure esistono diversi percorsi?

Da client a server

  • Il client raggiunge il suo server primario attraverso la catena dei server primari?
  • Si è passati da un computer che esegue il routing al suo Server-Standby?

    Info: Il server deve essere raggiungibile per il client anche tramite il Server standby del progetto che è interessato dal ruoting.

Messaggi di errore

Gli errori rilevati nel corso della verifica topologica vengono visualizzati nell´albero risultati, più precisamente nella colonna "Verifica del risultato".

Errori

Causa

Soluzione

Progetto di partenza sconosciuto!

Il progetto di partenza non è stato trovato.

Correggere la configurazione di progetto, oppure includere nel workspace il progetto mancante.

Il computer è configurato come Server e come Server Standby!

Server e Server-Standby devono essere computer diversi.

Definire dei computer diversi come Server e Server-Standby.

Non è stato configurato nessun computer come server primario!

Il progetto è un progetto di rete, ma non è stato configurato nessun server.

Definire un computer che deve fungere da server.

Il progetto non è stato avviato sul terminale [nome]! Tuttavia è necessario perché livelli di gerarchia maggiori ne richiedono l'accesso!

Il progetto non è caricato sul computer in questione. Il routing per il progetto viene però effettuato mediante questo computer.

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Riferimento circolare sul Server: il computer [nome] è collegato a sua volta al Client [nome]!

Il percorso di routing dal client al server funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Riferimento circolare sul Server Standby: il PC [nome] è collegato a sua volta al Client [nome]!

Il percorso di routing dal client al Server-Standby funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Il computer [nome] non è contenuto nella lista computer!

Il computer manca nella lista dei calcolatori per la topologia.

Aggiungere il computer alla topologia.

Non controllato a causa di un grave errore presente nella topologia

Non è stato possibile effettuare un controllo per questo calcolatore a causa di un altro grave errore.

Eliminare altri errori in modo che sia possibile effettuare il controllo anche di questo calcolatore.

Percorso di accesso circolare: [Nome del PC]

Il percorso di routing dal client ad un Server-Standby funziona in circolo.

Il campo "Nome computer" contiene i nomi dei calcolatori interessati.

Struttura:
Il primo computer è sempre il client. Il separatore fra i nomi calcolatori indica se il computer successivo è server o Server-Standby.

  • > indica che il computer successivo è il server.
  • "+" indica che il computer successivo è il Server-Standby.

Esempio: PC 1 +PC 2>PC 3

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Esiste un riferimento circolare del server verso il client!

Il server viene trovato sulla base dei nodi nel corso della ricerca del computer client.

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Il server [nome] non riesce a raggiungere questo client!

Il percorso del server indicato verso il client non è chiuso. Il client è contenuto nella lista client sul server, ma non viene sincronizzato. (Sul client non spariscono i punti blu)

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.


Ridondanza

Manuale -> Rete -> Ridondanza

La ridondanza in zenon garantisce che, anche nel caso in cui il server primario dovesse smettere di funzionare, non ci sia un´interruzione dei processi e una perdita di dati. In zenon si parla in questo caso di ridondanza senza perdita di dati.

Ridondanza senza perdita di dati significa che, anche nell'intervallo di tempo che passa fra il momento in cui server primario smette di funzionare e quello in cui il sistema rileva il problema, nessun dato va perso. Tutto questo è possibile nel modo seguente:

  1. Il Server-Standby registra in un buffer tutti i dati generati in questo periodo.
  2. Il Server-Standby riconosce che il server primario ha smesso di funzionare e ne assume automaticamente la piena funzionalità.
  3. Il Server-Standby riporta i dati del buffer nei moduli corrispondenti (AML, CEL, archivi).

info Info

Le modifiche al progetto devono essere effettuate solamente sul server primario; il Server-Standby e i client collegati eseguono automaticamente la sincronizzazione online dei dati. Questo garantisce che lo stato del progetto sia lo stesso su tutti i computer della rete.

Ridondanza software e hardware

All'interno dei sistemi ridondanti in zenon, si differenzia fra ridondanza software e ridondanza hardware.

Ridondanza circolare

Una particolare forma di ridondanza è rappresentata dalla cosiddetta ridondanza circolare di zenon, un meccanismo che consente una semplice configurazione di una ridondanza senza perdita di dati per molti progetti con l´uso di modeste risorse hardware.

Ridondanza di zenon e ridondanza di zenon Logic

I dettagli relativi alla combinazione della ridondanza di zenon e della ridondanza di zenon Logic si trovano nella guida dedicata a zenon Logic Runtime.

info Info

Se c´è solamente un controller a disposizione che offre solo un canale di comunicazione, si può attivare nelle Impostazioni generali della configurazione driver l´opzione Stop al server standby. In questo modo verrà fermato il driver sul Server-Standby e riavviato solamente quando verrà settato come server.

Ridondanza con lo zenon Operator a seconda del ruolo di quest´ultimo

Per lo zenon Operator (a seconda del suo ruolo) vale quanto segue in caso di connessioni co un server con licenza Supervisor:

Come Client

  • La connessione a Server 1 e Server 2 è possibile.
  • Il client si collega al Server-Standby quando il server primario smette di funzionare.
  • Vengono supportate più istanze di un driver (perché viene avviato sul server primario e/o sul Server-Standby).
  • Tutte le variabili di tutti i driver vengono visualizzate e possono essere scritte.
  • È possibile leggere gli archivi.
  • Il cambio di ridondanza può essere eseguito.

Come Server-Standby

  • La ridondanza con lo zenon Operator (con licenza su Server 1 e Server 2) non viene supportata.
  • Se il Runtime viene avviato come Server-Standby con una licenza Operator, si verifica uno stato indefinito.

Come server di dati

  • Si può avviare più di un´istanza di un driver. Ma solamente una delle istanze può inviare valori al Runtime. Pertanto lo zenon Operator si comporta in modo analogo ad un pannello CE, su cui, per ragioni tecniche, può essere avviato solamente un driver.

Ancora in questo capitolo

Tipi di ridondanza

Modalità di ridondanza

Configurazione della ridondanza senza perdita di dati

Impostare il Server Standby

Configurazioni particolari della comunicazione fra server primario e Server-Standby

Metodo di analisi integrato per cambio di ridondanza

La ridondanza circolare di zenon

Redundancy Management Tool


Tipi di ridondanza

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza

Nei sistemi ridondanti realizzati con zenon si distingue fra:

  • Ridondanza software
    Il server primario comunica con il PLC in modo bidirezionale, il Server-Standby solo in lettura.
  • Ridondanza hardware
    Entrambi i server comunicano in modo bidirezionale con il PLC ad essi connesso. Questa tipologia di ridondanza viene utilizzata per lo più in caso di PLC con connessione seriale.

Ancora in questo capitolo

Ridondanza software

Ridondanza hardware


Ridondanza software

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il sistema consiste per lo più di un PLC e due computer ridondanti (server primario e Server-Standby). Entrambi i PC devono essere connessi al PLC.

Ridondanza software con un PLC

Funzionamento

Di regola, entrambi i computer comunicano con il PLC; in questo processo:

  • Il server primario comunica in modo bidirezionale (scrittura e lettura) con il PLC.
  • Il Server-Standby ha accesso di sola lettura al PLC.
  • Entrambi i computer mantengono aggiornati e sincronizzano i dati del PLC.

Comportamento in caso di malfunzione del server primario

Se il server primario smette di funzionare:

  • Il Server-Standby diventa il nuovo server primario.
  • La ridondanza senza perdita di dati garantisce la completezza dei dati anche durante il tempo che passa fra il momento in cui il server primario smette di funzionare e il passaggio al Server-Standby.
  • Il nuovo server primario comunica in modo bidirezionale con il PLC.

Ridondanza software con due PLC via TCP-IP

È possibile realizzare arche un sistema di ridondanza software anche con due PLC.

Requisiti:

  • Il driver deve supportare questa soluzione.
  • C´è un file di configurazione che può essere modificato manualmente (usando un Editor di testi).

Procedura di configurazione:

  1. Nell´Editor, configurare il driver per la comunicazione con il PLC primario usando l´indirizzo IP di quest´ultimo.
  2. Trasferire i file Runtime inizialmente al Server 2.
  3. Sul Server 2, inserire l´indirizzo IP del PLC secondario nel file di configurazione del driver al posto dell´indirizzo IP del PLC primario.
  4. Nelle impostazioni di progetto per il Trasporto remoto, disattivare il trasferimento dei file driver.

    In questo modo si evita che la configurazione sul Server 2 venga sovrascritta dalla configurazione del Server 1.

Funzionamento

Funzionamento normale:

  • Il server primario comunica in modo bidirezionale con il primo PLC.
  • Il Server-Standby comunica per sola lettura con il secondo PLC.
  • La completezza dei dati è garantita mediante il meccanismo di sincronizzazione in zenon.

Comportamento in caso di malfunzione del server primario

Quando il server primario smette di funzionare, il Server-Standby ne assume il ruolo e comincia a comunicare in modo bidirezionale con il PLC secondario.

Quando il server che aveva smesso di funzionare viene riavviato, assume di nuovo il ruolo di server primario, oppure quello di Server Standby, a seconda della modalità di ridondanza configurata.

Comportamento se smette di funzionare il primo PLC

Se smette di funzionare il primo PLC, non viene eseguito automaticamente un cambio di ridondanza.

Perché si verifichi un cambio automatico di ridondanza, è necessario configurare in modo corrispondente la modalità di ridondanza - ponderata.


Ridondanza hardware

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A differenza della ridondanza software, la ridondanza hardware può essere realizzata solo con due PLC e due PC. Si usa la ridondanza hardware soprattutto quando si utilizzano PLC con connessione seriale.

Funzionamento normale:

  • Il server primario comunica in modo bidirezionale con il primo PLC.
  • Il Server-Standby comunica in modo bidirezionale con il secondo PLC.

Comportamento in caso di malfunzione del server primario

Se il server primario smette di funzionare:

  • Il Server-Standby diventa il nuovo server primario.
  • La ridondanza senza perdita di dati garantisce la completezza dei dati anche durante il tempo che passa fra il momento in cui il server primario smette di funzionare e il passaggio al Server-Standby.

Comportamento se smette di funzionare il primo PLC

Se il PLC connesso al server primario (inizialmente Server 1) smette di funzionare, non viene eseguito automaticamente un cambio di ridondanza.

Perché venga eseguito automaticamente un cambio di ridondanza:

  1. Creare 2 variabili:
    1. Una variabile A che viene letta dal PLC del server primario.
    2. Una variabile B che viene letta dal PLC del Server-Standby.

      Attenzione: attivare per la variabile B l´opzione: Richiedere solo da Server standby.

  2. Creare due funzioni:
    1. Una funzione di “Cambio ridondanza” per passare al Server 2.
    2. Una funzione di “Cambio ridondanza” per passare al Server 1.
  3. Creare due matrici di reazione binarie che analizzino lo stato INVALID per rilevare il valore 1.
    1. Collegare alla prima matrice di reazione la funzione di “Cambio ridondanza” che determina il passaggio al Server 2
    2. Collegare alla seconda matrice di reazione la funzione di “Cambio ridondanza” che determina il passaggio al Server 1

      Info: informazioni dettagliate sulla creazione e la configurazione delle matrici di reazione si trovano nel capitolo: Matrici di reazione

  4. Collegare:
    1. La prima matrice di reazione alla variabile A.
    2. La seconda matrice di reazione alla variabile B.

Se il PLC del server primario smette di funzionare (la variabile A riceve lo stato INVALID), il sistema esegue un cambio di ridondanza e si passa al Server 2.

Se invece smette di funzionare il PLC collegato a quello che era originariamente lo Standby Server (Server 2), il sistema esegue un cambio di ridondanza e si passa al Server 1.

Perché venga eseguito un cambio di ridondanza quando il PLC torna a funzionare e ripristina la connessione:

  1. Estendere le matrici di reazione aggiungendo un altro inserimento che analizzi lo stato INVALID per rilevare il valore 0.
  2. Collegare le funzioni di “Cambio ridondanza” corrispondenti.


Modalità di ridondanza

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza

Se è stata selezionata ridondanza software come tipo di ridondanza, si hanno a disposizione tre modalità di ridondanza. La distribuzione dei ruoli (server primario o Server Standby) durante il processo e dopo che un server che aveva smesso di funzionare torna ad essere disponibile, dipende dalla modalità di ridondanza impostata.

Esistono tre modalità di ridondanza:

  • Dominante
  • Non dominante
  • Ponderata

Funzionamento in dettaglio:

Dominante

  1. Il server primario smette di funzionare
  2. Il server primario originario torna online.
    Così facendo:
    1. si collega al PC che al momento svolge il ruolo di server primario.
    2. Sincronizza tutti i dati.
    3. Riprende a svolgere il ruolo di server primario.
  3. Il PC che nell´originale configurazione svolgeva il ruolo di Server-Standby, torna a ricoprire il suo ruolo originario.
  4. Tutti i client si connettono al nuovo server primario.

Non dominante

  1. Il server primario smette di funzionare
  2. Il server primario originario torna online.
    Così facendo:
    1. si collega al PC che al momento svolge il ruolo di server primario.
    2. Sincronizza tutti i dati.
    3. Diventa Server-Standby.
  3. Il server primario attuale rimane server primario.
  4. Tutti i client mantengono il collegamento con quest'ultimo.

Ponderata

Nel caso della modalità di ridondanza ponderata, i ruoli di server primario e Server-Standby vengono assegnati sulla base di una matrice di analisi.
In questo caso:

  1. Entrambi i computer eseguono un calcolo sulla base dei criteri di analisi configurati.
  2. Diventa server primario quel computer per cui l´analisi restituisce un valore maggiore.
  3. Se l´analisi restituisce lo stesso risultato per tutti e due i computer, non viene eseguito nessun cambio di ruoli.
  4. Allarmi e inserimenti CEL vengono scritti dal server primario.
  5. I client si collegano al server primario.

info Info

Se è stata selezionata l´opzione “ridondanza hardware” per la proprietà “Tipo di ridondanza”, le ulteriori impostazioni sono disponibili solo per la modalità di ridondanza “ponderata”. In questo caso, infatti, la modalità di ridondanza è sempre ponderata.

Ancora in questo capitolo

Ridondanza in una rete ponderata


Ridondanza in una rete ponderata

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la ridondanza hardware in una rete ponderata, sono criteri di analisi a decidere quale computer debba svolgere il ruolo di Server primario e quale quello di Server-Standby.

Quest´analisi è liberamente configurabile e può includere criteri diversi. Ad ogni criterio sono assegnati dei punti di analisi (la cosiddetta ponderazione). La somma di questi punti è decisiva nell´assegnazione dei diversi ruoli server.

info Info

Se uno dei due server (indipendentemente dal ruolo che sta svolgendo al momento) perde la connessione con l´altro server (per es. a causa di una malfunzione dell´hardware, oppure per problemi della rete), passa automaticamente a svolgere il ruolo di server primario.

Cause di ritardo del cambio di ruolo server

Queste cause possono determinare un ritardo nel cambio di ridondanza:

  • I moduli interni non sono ancora inizializzati in modo completo. Questo è possibile se un driver ritarda il procedimento di cambio ruolo server.
  • Il cambio di ruolo server è già attivo, ma non è ancora completato.
  • La sincronizzazione file è ancora attiva.
  • È in corso un reload.

attention Attenzione

Se, in una rete ponderata, l'esito dell'analisi avvia il processo di cambio server, non c´è nessuna garanzia che le funzioni in attesa nella coda del vecchio server primario possano essere portate a termine con successo prima che dell´esecuzione del cambio.

Causa

Questo perché, durante il cambio di ridondanza in una rete ponderata, per poco tempo entrambi i server assumono il ruolo di server primario. In questo lasso di tempo, Server 1 e Server 2 sincronizzano i loro dati. La durata di questo lasso di tempo dipende dal carico della rete e può essere compresa tra 200 e 500 millisecondi.

Sincronizzazione tempo

Raccomandazione: se è stata configurata una rete ponderata, disattivare sempre la sincronizzazione tempo di Server 1 e Server 2 via rete di zenon.

Procedura:

  • Disattivare la sincronizzazione tempo automatica in zenon.
  • Attivare su Server 1 e Server 2 la sincronizzazione tempo esterna via sistema operativo.

info Info

Informazioni dettagliate su questo argomento si trovano nel capitolo Sincronizzazione tempo in rete.

Ancora in questo capitolo

Ridondanza in una rete ponderata

Configurazione dell´analisi della ridondanza

Ritardo di commutazione, banda morta e isteresi

Esempio: Configurazione in caso di ridondanza software con due PLC

Inserimenti LOG in una rete ponderata


Ridondanza in una rete ponderata

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l'impostazione di una rete ponderata devono essere configurate le seguenti proprietà del gruppo Rete:

  1. L´opzione Rete attiva deve essere attiva.
  2. Server 1 e Server 2.
  3. Il Tipo di ridondanza deve essere ridondanza software.
  4. Tipo di ridondanza deve essere ponderata
  5. Analisi della ridondanza nel campo Valutazioni
    I dettagli sull´analisi si trovano nel capitolo "Configurazione dell´analisi della ridondanza".
  6. Ritardo di commutazione[s]
  7. Banda morta post-commutazione[s]
  8. Isteresi (dei punti di analisi)


Configurazione dell´analisi della ridondanza

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Configurazione dell´analisi della ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La finestra di dialogo per configurare l´analisi della ridondanza (“Review ridondanza”) si apre cliccando su "..." nel campo Valutazioni del gruppo delle proprietà Rete.

Il risultato di quest´analisi viene notificato con le variabili del driver di sistema [Rete] Risultato valutazione Server 1 e [Rete] Risultato valutazione Server 2.
Nota: Ulteriori informazioni sulle variabili del driver di sistema relative alla rete si trovano nella guida in linea riguardante il driver di sistema, nel capitolo Tema - Rete.

I campi di questa finestra di dialogo possono essere filtrati ed ordinati.

Opzione

Descrizione

Nomi delle variabili

Lista delle variabili usate per l´analisi.

Nota: possono essere usate al massimo 200 variabili per l´analisi della ridondanza.

Carico

Valore del criterio di controllo.
Indica il valore del singolo criterio di controllo nel complesso di tutti i risultati di controllo.

Viene sommato il peso (valore di analisi) di tutte le variabili che corrispondono ai criteri di analisi (si veda la descrizione dell´opzione Comparazione).

  • Intervallo di input: 0 - 1000

Default: 100

Comparazione

Indica il tipo di comparazione al verificarsi del quale il valore del peso viene preso in considerazione per l´analisi complessiva.

Menù a tendina:

  • Non utilizzato
    Non viene eseguita nessuna comparazione per il peso.
  • Solo stato OK /Valore OK
    Il sistema controlla solamente se c´è un valore. Non appena viene rilevato un valore valido, il valore del carico viene usato per la valutazione complessiva.
  • Valori superiori al limite sono OK
    I valori superiori o uguali al limite indicato usano il valore del carico nella valutazione complessiva.
  • Valori inferiori al limite sono OK
    I valori minori o uguali al limite indicato usano il valore del carico nella valutazione complessiva

Default: non utilizzato

Valore limite

Limite per la comparazione nel caso siano state selezionate le opzioni "Valori superiori al limite sono OK" oppure "Valori inferiori al limite sono OK"

Default: 0

Nota: se l'opzione selezionata per la comparazione è "non utilizzato" oppure "Solo stato OK /Valore OK", gli inserimenti di questo campo non hanno alcuna influenza sulla valutazione.

Aggiungi...

Apre la finestra di dialogo che consente di selezionare delle variabili.

Elimina

Cancella le variabili selezionate dalla lista
Nota: è possibile una selezione multipla.

Rimuovi filtro

Elimina i criteri di filtro

Chiudere la finestra di dialogo.

Opzione

Descrizione

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Example Esempio

Una variabile viene configurata nella finestra "Review ridondanza" con le seguenti impostazioni:

  • Carico: 50
  • Comparazione: Valori superiori al limite sono OK
  • Valore limite: 50

Settare il valore della variabile su 55. La condizione diventa vera e il carico di 50 viene sommato al risultato della variabile del driver di sistema [Rete] Risultato valutazione Server 1.

Un´altra variabile viene configurata con le seguenti impostazioni:

  • Carico: 30
  • Comparazione: Valori inferiori al limite sono OK
  • Valore limite: 10

Finché il valore di questa seconda variabile è =< 10, il carico viene aggiunto alla variabile del driver di sistema.

Se il valore della seconda variabile è, per esempio, 5, il valore della variabile [Rete] Risultato valutazione Server 1 sarà 80. Ciò vale anche se la variabile descritta precedentemente è vera.


Ritardo di commutazione, banda morta e isteresi

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Ritardo di commutazione, banda morta e isteresi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ritardo di commutazione

Il Ritardo di commutazione[s] è quel lasso di tempo (tempo di tolleranza) nel corso del quale le modifiche di valore nei risultati dell´analisi non provocano un cambio nei ruoli server. Così, piccoli problemi passeggeri, come per es. una breve interruzione di funzionamento, non provocano un immediato cambio del server.

Nota: un ulteriore miglioramento del risultato di analisi durante il ritardo di commutazione configurato, non resetta il timer.

Example Esempio

Se si configura un Ritardo di commutazione[s] di 30 secondi, per almeno 30 secondi l´analisi sull´attuale Server-Standby deve dare un risultato migliore di quello del server primario perché ci sia un cambio nella gerarchia dei server.

Dopo un cambio nella gerarchia server, i timer di Banda morta post-commutazione[s] e Ritardo di commutazione[s] possono procedere parallelamente; devono cioè essere entrambi scaduti per provocare un cambiamento di ruoli server.

Banda morta post-commutazione

Questa impostazione impedisce un reset provocato dall'analisi del server primario durante il tempo configurato.

Nota: la funzione Cambio ridondanza può essere eseguita.

Example Esempio

Se l´analisi del Server-Standby attuale - dopo l´ultimo cambio avvenuto nell´ambito della banda morta configurata - restituisce un risultato superiore a quello dell´attuale server, non si verifica un nuovo cambio di ruoli finché non sarà scaduto questo lasso di tempo. Il "tempo di misurazione" inizia nel momento in cui è eseguito il cambio di ruoli fra i server.

Se il risultato dell´analisi aumenta nel corso della banda morta dello Standby, diventando maggiore a quello del server, per poi però diminuire prima dello scadere di questo lasso di tempo a valori inferiori o uguali a quelli del server, non avviene alcun cambio di ruoli server.

Isteresi (in punti di analisi)

Se è stata configurata un´Isteresi, prima di un cambio di ridondanza il sistema verifica se il valore assoluto della differenza delle analisi dei due calcolatori (Server 1 e Server 2) è maggiore o uguale al valore impostato nell´isteresi. Il cambio viene inizializzato nel momento in cui viene raggiunto il valore impostato.

Example Esempio

Server 1 è server primario.

Il risultato dell' analisi di Server 1 e Server 2 è 0.

L'Isteresi è stata configurata con un valore pari a 100 .

Se cambia l´esito dell´analisi di Server 2 a 99 non accade nulla; ma se il valore raggiunge 100, il sistema esegue un cambio di ruoli server.

Ancora in questo capitolo

Ritardo di commutazione - Esempio


Ritardo di commutazione - Esempio

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Ritardo di commutazione, banda morta e isteresi -> Ritardo di commutazione - Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ritardo di commutazione - Esempio

In questo esempio, il cambio dei due server viene provocato da un risultato superiore dell'analisi di Server 2.

  • Quando la causa che provoca il cambio si è verificata, deve passare il tempo impostato come tempo di ritardo.
    Poi il Server 2diventa server primario.
  • Anche quando il Server 1 potrebbe assumere nuovamente il ruolo di server primario, deve trascorrere il tempo di ritardo di commutazione impostato prima che il Server 1 torni ad essere il server primario.
  • Server 2 assume il ruolo di server primario solo dopo che la differenza fra le variabili di analisi del sistema è diventata maggiore all'isteresi del ritardo di commutazione.. Dopo il cambio di ruoli server, viene attivato il conteggio della Banda morta post-commutazione[s] configurata.
  • Server 2 assume il ruolo di Server-Standby nel momento in cui la differenza ritorna ad essere maggiore all'isteresi, dopo che è trascorso il tempo del ritardo di commutazione.

Nota: il cambio di ruoli dei due server viene visualizzato nel grafico tramite la linea tratteggiata verticale.


Esempio: Configurazione in caso di ridondanza software con due PLC

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Esempio: Configurazione in caso di ridondanza software con due PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione nell´Editor.

Per ottenere un cambio di ridondanza automatico causato dai risultati dell´analisi dopo che un PLC ha smesso di funzionare:

  1. Creare una configurazione come descritto nel capitolo Ridondanza software - “Ridondanza software con due PLC via TCP-IP”.
  2. Creare una variabile del driver corrispondente.
  3. Aggiungere questa variabile nella finestra di dialogo Review ridondanza.

  4. Per l´opzione Comparazione impostare Solo stato OK / Valore OK con un carico corrispondente.

Comportamento a Runtime

  1. Se a Runtime smette di funzionare il PLC del server primario, oppure se la connessione con il PLC viene interrotta, la variabile riceve lo stato INVALID e il risultato dell´analisi diminuisce di un valore corrispondente a quello configurato.
  2. Al momento in cui il PLC smette di funzionare, sul Server Standby viene visualizzato lo stato INVALID della variabile, ma per l´analisi continua ad essere utilizzato internamente il valore preso dal buffer Standby. Questo valore ha uno stato valido perché il Server Standby legge i valori dal secondo PLC.
  3. Una volta trascorso il ritardo di commutazione impostato, il Server-Standby assume il ruolo di server primario e inserisce i valori validi presi dal buffer Standby.

info Info

Per l´analisi rilevante per la ridondanza viene preso in considerazione lo stato dei valori presi dal buffer del Server-Standby. Si tratta di un´eccezione, perché per altre analisi viene preso in considerazione sempre lo stato del server primario.


Inserimenti LOG in una rete ponderata

Manuale -> Rete -> Ridondanza -> Modalità di ridondanza -> Ridondanza in una rete ponderata -> Inserimenti LOG in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti inserimenti LOG vengono scritti nel Diagnosis Viewer per la rete ponderata:

Inserimento nei LOG.

Debug Level

Descrizione

LOG SendData Project:RATED_NET To:CDSBG079.COPA-DATA.INTERNAL Modul:10 Prior:0 Class:CD_CSystemDaten

Debug

Dati della classe CD_CSystemDaten vengono trasportati via connessione 0 (watchdog) al computer cdsbg079 .

Il modulo indica il modulo di zenon che riceve i dati.

Modulo 10: Modulo di rete Esecuzione sincrona

LOG SendData Project:RATED_NET To:W7X64 Modul:10 Prior:0 Class:CD_CSrv1SystemDaten

Debug

Come sopra, la destinazione è Server2 e la sorgente Server1

LOG ReceiveData Project:RATED_NET To:S Modul:10 Class:CD_CSrv2SystemDaten

Debug

Come sopra, la destinazione è Server e la sorgente Server1

<Beschreibung> Prj:<ProjektName> client:<ClientRechner> Cmd:<CommandTxt>(<CommandNum>) Timeout:<Timeout>, ReqId:<ReqId> reload:<Reload> stat1:<SubCommand> stat2:<Stat2> string:<AddText> list:<ItemCnt>

Descrizione della funzione per la quale viene creato il messaggio. Per esempio: Server received system data.; Client send watchdog; ecc.

ClientRechner: sorgente o destinazione a seconda della direzione

CommandTxt: comando come testo normale. Ad esempio: Server_REQ_DateiListe

CommandNum: identificazione numerica del comando.

  • 0 = Server_REQ_LifeMsg,
  • 1 = Server_REQ_DateiListe,
  • 2 = Server_REQ_GetDatei,
  • 3 = Client_REQ_UpdateProjekt,
  • 4 = Server_REQ_RedundanzUmschaltung,
  • 5 = NETSRV_ConnectionClosed,
  • Timeout: Timeout in ms

ReqId: Request Id

Reload: 1 se il server è in reload, altrimenti 0

SubCommand: Numero del sotto-comando Significato dipendente da CommandNum

Per Command 0 ServerReqLifeMsg:

  • 1 = STAT_CLIENT_ABGEWIESEN,
  • 2 = STAT_CLIENT_ANGENOMMEN
  • 3 = STAT_CLIENT_SERVERCLOSE
  • 4 = STAT_CLIENT_SERVERSWITCH
  • 5 = STAT_CLIENT_SB_ANGENOMMEN
  • 6 = STAT_SB_SERVER_TO_SB
  • 7 = STAT_PEER_ALIVE

Per comando 4 cambio della ridondanza:

  • 0 = IdleChangeOfDominance
  • 1 = AdviseChangeOfDominance
  • 2 = ConfirmChangeOfDominance

Stat2: Comando addizionale - informazione specifica. Per esempio: Nel caso del comando Server_Req_LifeMsg, subcommand:: STAT_CLIENT_ANGENOMMEN, risposta per la registrazione di un client sul server è il numero di versione progetto in HiWORD.

AddText: Testo addizionale.

ItemCnt: Numero degli oggetti della lista.

Client send watchdog. Prj:RATED_NET client:ATSZG-WKS053.COPA-DATA.INTERNAL Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 quantifier:<Quant> role:<RoleTxt>(<RoleNum>)

Messaggio dal Server Server 1 al Server 2

Quant: Valutazione attuale.

RoleTxt: Ruolo attuale come testo

RoleNum: Ruolo attuale come numero

Server received system data. Prj:RATED_NET client:WKS053-W7X64 Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 expSrv1role:<ExpRoleTxt>(<ExpRoleNum>)

ExpRoleTxt: Ruolo atteso da Server2 per Server 1 come testo.

ExpRoleNum: Ruolo atteso come numero

Manual role switch for project %s denied.

WARNINGS

Un cambio manuale della ridondanza non può essere effettuato perché c´è un cambio di ruoli server già attivo.

Current evaluated server1 role: %s(%i) Performing manual role switch.

DEBUG

Viene eseguito un cambio manuale della ridondanza. Server 1 deve cambiare il suo ruolo in corrispondenza di questo messaggio. .

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Il messaggio viene loggato quando un client si registra come Standby Server, ma il nome client non corrisponde a quello di Server 1 oppure Server 2. L'identificazione avviene mediante l´host name.

PrjName: progetto presso il quale si registra il Server-Standby.

PC: nome con cui si registra il Server-Standby.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Il messaggio viene loggato quando un client si registra come Standby Server, ma il nome client non corrisponde a quello di Server 1 oppure Server 2. L'identificazione avviene mediante l´host name.

PrjName: progetto presso il quale si registra il Server-Standby.

PC: nome con cui si registra il Server-Standby.


Configurazione della ridondanza senza perdita di dati

Manuale -> Rete -> Ridondanza -> Configurazione della ridondanza senza perdita di dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la ridondanza senza perdita di dati per un progetto di zenon servono due calcolatori.

Definire nelle proprietà di progetto:

  1. Il computer che deve svolgere il ruolo di Server primario per il progetto
  2. Il computer che deve svolgere il ruolo di Server-Standby per il progetto

Funzionamento della ridondanza senza interruzioni

Procedura per realizzare una ridondanza senza perdita di dati:

  • Un computer è il server primario e l´altro il Server-Standby del progetto.
  • Come in un normale modello client/server, il server primario ha il controllo di tutti i dati.
  • Il Server-Standby si comporta verso l´esterno (nei confronti dell´utente) come ogni altro computer della rete nel quale è eseguito il progetto in questione.
  • Il Server-Standby salva autonomamente tutti i dati storici, come allarmi, eventi e archivi e sincronizza altri dati (ricette, utenti ecc.) con il server primario.
  • Se il server primario smette di funzionare per qualsiasi ragione, il Server Server-Standby passa al ruolo di server e ne assume tutti i compiti.

    Per evitare che vadano persi dei dati nell´intervallo di tempo intercorrente fra il verificarsi del problema di funzionamento del server primario e il rilevamento del problema stesso, il Server-Standby bufferizza sempre tutti i dati generati.
    Dopo che il server primario ha smesso di funzionare, si ricorre a questo buffer, il che permette di evitare che si perdano dati.

  • Tutti i client si connettono al nuovo server primario.
  • Quando il server primario originario torna online, il sistema si comporta diversamente a seconda del tipo di modalità di ridondanza che è stata configurata.

    Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata alle Modalità della ridondanza.

info Info

Le modifiche al progetto devono essere effettuate solamente sul server primario; il Server-Standby e i client collegati eseguono automaticamente la sincronizzazione online dei dati. Questo garantisce che lo stato del progetto sia lo stesso su tutti i computer della rete.

Ridondanza di zenon e ridondanza di zenon Logic

I dettagli relativi alla combinazione della ridondanza di zenon e della ridondanza di zenon Logic si trovano nella guida dedicata a zenon Logic Runtime.


Impostare il Server Standby

Manuale -> Rete -> Ridondanza -> Impostare il Server Standby

Per impostare il Server Standby:

  1. Nell'Editor di zenon, passare al gruppo Rete delle proprietà di progetto.
  2. Inserire nella proprietà Server 2 il nome del computer che deve fungere da Server-Standby nell´ambito del progetto.
    Nota: il computer deve avere una connessione con il PLC.

    Si può inserire il nome del computer:

    1. Selezionandolo nel menù a tendina che si apre cliccando sul pulsante ...
      Si apre la finestra di dialogo Select the desired computer che contiene tutti i computer disponibili in rete.
      Nota: questo processo può durare molto tempo, a seconda del numero di computer disponibili in rete.
    2. Digitando il nome del server nel relativo campo di inserimento.
  3. Selezionare nella proprietà Tipo di ridondanza il tipo di ridondanza desiderato scegliendola fra quelli proposti dal menù a tendina.

info Info

Sono consentiti server di differenti domini!
In questo caso, configurare il nome server includendo il nome del dominio.

Per esempio: terminal_01.mydomain.net


Configurazioni particolari della comunicazione fra server primario e Server-Standby

Manuale -> Rete -> Ridondanza -> Configurazioni particolari della comunicazione fra server primario e Server-Standby

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tenere presenti queste regole nella seguente situazione:

  • Il server primario ha smesso di funzionare
  • Il Server-Standby ne ha assunto il ruolo
  • Il server primario originario viene riavviato
  • Il server primario originario va a prendersi i dati Runtime dal server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

In casi eccezionali si possono verificare dei conflitti, se:

  1. Sono state effettuate delle modifiche solamente al progetto del server primario originario che si è bloccato
  2. A causa di problemi insorti in rete, non è chiaro quale calcolatore è il server primario

1. Modifiche di progetto effettuate con il server primario bloccato

Se si effettuano delle modifiche ad un progetto nel periodo di tempo nel quale il Runtime è bloccato sul server primario originario, e se le si carica prima della sincronizzazione solamente su questo calcolatore (bloccato), questi cambiamenti saranno sovrascritti non appena il server primario originario andrà a prendersi i dati dal server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

Per evitare questo: prima di riavviare il server primario originario (quello definito come tale in fase di configurazione della rete), caricare i dati modificati anche sul server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

2. Modifiche di progetto in modalità di ridondanza e/o nei server utilizzati

Le seguenti modifiche vengono accettate solamente dopo il riavvio del server primario:

  • Modifica del Tipo di ridondanza.
  • Modifica delle proprietà Server 1 e/o Server 2 nel gruppo Rete delle proprietà di progetto.

attention Attenzione

In questo caso non è sufficiente effettuare un reload del progetto nel Runtime perché i cambi necessari siano applicati! Per accettare tutte le modifiche, riavviate il server primario.

3. Non è chiaro chi svolge il ruolo di server a causa di problemi di funzionamento della rete

In casi eccezionali può succedere che entrambi i calcolatori siano server primari. Una causa può essere, per esempio, la perdita della connessione di rete per mancato switch, cavi disconnessi ecc. In questo caso la comunicazione fra server primario, Server-Standby e client è falsata.

Se questo problema viene risolto e i due calcolatori (che sono in un certo momento contemporaneamente server primari) riprendono a comunicare l´uno con l´altro, quello configurato originariamente come server primario riassume il rango primario nella gestione dei dati. Questo significa: i dati più attuali del Server-Standby potrebbero essere sovrascritti.

Per evitare questo:

  1. Controllare sempre la distribuzione dei ruoli in rete con la variabile di sistema [Rete] Server primario attuale:
    in questo modo si può verificare quale ruolo ha il Runtime, e si possono scoprire doppi server.
  2. Chiudere il Runtime di zenon sul server primario che ha perso la connessione di rete.
  3. Ripristinare poi la connessione di rete.
  4. Riavviare il Runtime di zenon su questo computer.
  5. Il Runtime avvia poi il progetto con il computer come Server-Standby, aggiorna i propri dati e solo dopo torna a svolgere il ruolo originario di server primario.

Suggerimento: monitorare la connessione di rete con il Redundancy Management Tool.

attention Attenzione

I file immagine di tipo PNG non possono essere sovrascritti mentre sono visualizzati a Runtime.

Background: il Runtime blocca i file .png aperti. In questo modo evita che possano venire sovrascritti.

Soluzione: prima di inizializzare il Trasporto Remoto, bisogna assicurarsi che immagini con file *.png:

  • Non siano aperte a Runtime:
  • Non vengano utilizzate da un altro programma.

Questo vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).


Metodo di analisi integrato per cambio di ridondanza

Manuale -> Rete -> Ridondanza -> Metodo di analisi integrato per cambio di ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete dominante, il computer configurato come Server 2 invia regolarmente un telegramma al Server 1 (dominante), in modo tale che quest´ultimo (non appena dispone di una connessione), possa riassumere il proprio ruolo. In una rete ponderata, invece, non viene più inviato nessun telegramma in questo caso.

Se ci sono due server, è la valutazione a deciderne il ruolo.

Uso del comportamento dominante in zenon Logic

  • Un driver può ritardare il passaggio al ruolo di server sul server dominante. Questa funzione non esiste più in una rete ponderata con server che hanno eguali diritti.
  • Gli archivi ricevono un byte extra per inserimento sia sul Server-Standby, che sul Server 2. Questo garantisce che gli archivi siano differenti e siano coinvolti nel processo di sincronizzazione.
  • Inoltre, la topologia di rete per i driver continua ad usare i termini dominante e Standby, nonché i ruoli di server o Standby. Tuttavia, viene valutato solamente il ruolo, perciò non è necessaria nessuna modifica.
  • A zenon Logic vengono fornite informazioni su definizione e ruolo tramite CStratonVM::UpdatePrjSTates.. L´unica cosa ad essere analizzata è se un calcolatore è stato configurato come Server-Standby e non come server primario. In questo caso, zenon Logic non è attivo.


La ridondanza circolare di zenon

Manuale -> Rete -> Ridondanza -> La ridondanza circolare di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ridondanza circolare di zenon consente di realizzare un meccanismo di ridondanza senza perdita di dati, che coinvolge diversi progetti; questo meccanismo ha l´ulteriore vantaggio di non richiedere un grande utilizzo di risorse hardware.

Per ogni progetto ridondante si ha bisogno normalmente di 2 computer: uno che funge da server primario e uno che svolge il ruolo di Server-Standby. 3 progetti, dunque, richiederebbero 6 PC. Con la ridondanza circolare di zenon bastano 3 computer per gestire in modo ridondante tre progetti. Per ogni ulteriore progetto si ha bisogno di un altro computer. zenon unisce i vantaggi della gestione multi-progetto a quelli della ridondanza senza perdita di dati.

Concetto della ridondanza circolare

La ridondanza circolare utilizza le possibilità dalla gestione multiprogetto. Più progetti possono essere attivi contemporaneamente su un computer. Ogni computer è server primario per un progetto e Server-Standby per un secondo "progetto vicino", e può essere client per altri progetti. Ne risulta una struttura circolare. Invece che, per esempio, di 4 computer e licenze per 2 progetti, di 6 per 3 o di 8 per 4, si ha bisogno della metà delle risorse.

Topologia con 3 progetti

  • Il computer 1 è server primario per il progetto A e Standby Server per il progetto B.
  • Il computer 2 è server primario per il progetto B e Standby Server per il progetto C.
  • Il computer 3 è server primario per il progetto C e Standby Server per il progetto A.

    Il cerchio si chiude.

  • Ogni computer può fungere allo stesso tempo da client per gli altri progetti.
  • Risorse necessarie: 3 PC e 3 licenze Runtime

info Info

Si ha bisogno di un progetto di integrazione per avviare un progetto su più di un computer.

Normalmente si avrebbe bisogno di ben 6 PC e 6 licenze Runtime per realizzare un sistema come quello dell' esempio. La ridondanza circolare di zenon, ovviamente, non è limitata a tre progetti; la si può usare per connettere in circolo quanti progetti si vuole. Siccome i computer possono essere anche i client di altri progetti, è semplice realizzare una linea di produzione sicura, a basso costo, e il cui potenziale può essere sfruttato al massimo.

Sincronizzazione tempo con la ridondanza circolare di zenon

Se la Sincronizzazione tempo di zenon è attiva, il Server-Standby e i client ricevono il tempo attuale sempre dal server primario. Questo non ha senso se si usa la ridondanza circolare di zenon, perché i singoli PC sono contemporaneamente server prioritari e Server-Standby (per diversi progetti). In questo caso, per esempio, il computer 1 riceverebbe il tempo dal 2, il 2 dal 3 e così via.

Raccomandazione: in questo caso, si consiglia di disattivare il meccanismo di sincronizzazione tempo di zenon e di attivare una sincronizzazione esterna. La procedura da seguire in questo caso è illustrata nel capitolo Sincronizzazione tempo in rete.


Redundancy Management Tool

Manuale -> Rete -> Ridondanza -> Redundancy Management Tool

Il Redundancy Management Tool monitora l´adattatore di rete e la sua connessione alla rete. Se il dispositivo non è più connesso alla rete (per es. perché viene staccato il cavo di rete), il Redundancy Management Tool ferma il Runtime. L´utente può interrompere questo processo entro un intervallo di tempo configurabile. Se la connessione alla rete viene ristabilita, il Redundancy Management Tool riavvia il Runtime.

Start e configurazione

Il Redundancy Management Tool può essere configurato tramite apposito dialogo o mediante riga di comando.

Per aprire questa finestra di dialogo:

  • Usandola cartella di avvio di Windows:
    Start -> Tutti i programmi -> COPA-DATA -> Tools 7.60 -> Redundancy Management Tool
  • Usando lo Startup Tool:
    Tools -> Redundancy Management Tool
  • Lanciare direttamente il file zenon_redman.exe della cartella di programma di zenon.

Dopo che è stato avviato il Redundancy Management Tool, il simbolo corrispondente appare nella parte destra della barra delle applicazioni di Windows. Cliccando due volte sul simbolo, si apre la finestra di dialogo per la configurazione del tool.

Stato (Status):

Informazioni relative allo stato dell'adattatore di rete.

Parametri

Descrizione

Network Adapter Connection State

Informazione sullo stato:

  • Connected:
    Esiste una connessione alla rete.
  • Disconnected:
    La connessione alla rete è stata interrotta.

Runtime State

Stato del Runtime di zenon.

  • Running:
    il Runtime è attivo.
  • Stopped by Redundancy Management Tool:
    Il Runtime è stato chiuso dal tool.
  • Stopped:
    il Runtime non è attivo.

Settings

Configurazione dell'adattatore di rete da monitorare.

Parametri | Descrizione
Monitoring Network Adapter | Selezione dell´adattatore di rete da monitorare fra quelli del menù a tendina. La lista visualizza tutti gli adattatori di rete disponibili sul computer.
Runtime Shutdown Delay | Impostazione del tempo di ritardo in secondi prima della chiusura del Runtime. In questo intervallo di tempo l´operatore può cancellare il processo di chiusura del Runtime. Default: 10 s Valore massimo: 2147483647 s I valori maggiori vengono interpretati come 0.
OK | Applica le impostazioni e chiude la finestra di dialogo. Le impostazioni vengono riprese nel file INI.

File INI

Se si sceglie di configurare usando la finestra di dialogo, nel percorso %ProgramData%\COPA-DATA\System viene creato il file RedMan.ini.
Questo file contiene i seguenti inserimenti:

Parametri | Descrizione
[DEFAULT] | Gruppo nel file INI.
ADAPTER= | Connessione LAN selezionata.
DELAY= | Valore impostato per il tempo di ritardo.

Riga di comando

Il Redundancy Management Tool può essere avviato anche mediante la riga di comando.

Possibili parametri:

  • ADAPTER=[Nome]
    Definisce l´adattatore di rete da monitorare.
  • DELAY=[secondi]
    Indica il tempo di attesa dopo un'interruzione della connessione.
    Valore massimo: 2147483647. I valori maggiori vengono interpretati come 0.
  • HELP,?
    Visualizza l´help relativo ai parametri della riga comandi.

info Info

Nel caso di una configurazione mediante la riga di comando:

  • Queste impostazioni sono applicate direttamente.
  • La configurazione è disattivata nella finestra di dialogo.

Non viene scritto nessun file INI.

A Runtime

A Runtime, il Redundancy Management Tool monitora continuamente la connessione di rete. Se la connessione si interrompe, il Redundancy Management Tool visualizza un avvertimento. Il Runtime viene chiuso allo scadere del tempo configurato come tempo di ritardo.

Non appena la connessione viene ripristinata, il Redundancy Management Tool riavvia il Runtime.

Cliccando sul pulsante Cancel, si interrompe il conto alla rovescia e si impedisce che il Runtime venga chiuso. Dopo il ripristino della connessione, la finestra di dialogo verrà visualizzata di nuovo quando si verificherà un´altra interruzione. L´utente può decidere di interrompere il processo di chiusura del Runtime, oppure di consentire che il tool chiuda il Runtime.

info Info

Lo stato attuale della connessione e del Runtime viene sempre visualizzato anche nel dialogo di configurazione.

Gestione errori

Messaggi di errore

Gli errori vengono visualizzati con dei messaggi pop-up.

Messaggio | Significato
GetAdapterAddresses not supported on this platform! Error code '%u'! | La versione del sistema operativo non viene supportata.
GetAdapterAddresses did not return information about network adapters. Error code '%u'! | Nessun adattatore di rete trovato.

File LOG del Diagnosis Viewer

Nei file LOG del Diagnosis Viewer sono documentati:

Inserimento | Debug Level | Significato
Network link '%s' down for '%u' seconds. zenon Runtime will be terminated. | Errori | Connessione non riuscita: il Runtime viene chiuso.
Network link '%s' is up. Restarting zenon Runtime now. | Informazioni | La connessione di rete è di nuovo disponibile: il Runtime viene riavviato.


COPA-DATA PRP

Manuale -> Rete -> COPA-DATA PRP

zenon supporta il Parallel Redundancy Protokoll (PRP) per la comunicazione hardware ridondante in una rete Ethernet. Questo protocollo è standardizzato nella norma IEC 62439-3.

La comunicazione PRP avviene direttamente a livello OSI Layer 2, indipendentemente dall'Editor di zenon e dal Runtime di zenon. Non è necessario effettuare configurazioni speciali in zenon. Per usare questo protocollo, il computer deve avere due schede di rete ed essere configurato in modo corrispondente.

Per poter usare PRP, si ha bisogno di:

  • Servizio di rete COPA-DATA PRP driver
  • PRP Configuration and Diagnostics Tool

Lo trovate sul supporto di installazione. Una descrizione dettagliata dei passaggi di configurazione necessari si trova nel capitolo Installazione e configurazione di questo manuale.

Nota: Il confronto pacchetti del servizio di rete supporta reti fino a100 Mbit.

tutorial Informazioni sulla licenza

Il servizio di rete è fornito con il prodotto.
Per usarlo, è richiesta una licenza valida di zenon sul computer.

Ancora in questo capitolo

Requisiti di sistema

Requisiti hardware

Installazione e configurazione

PRP Configuration and Diagnostics Tool


Requisiti di sistema

Manuale -> Rete -> COPA-DATA PRP -> Requisiti di sistema

La comunicazione PRP è supportata per 100-Mbit/s-Ethernet nei seguenti sistemi operativi:

  • Windows 7
  • Windows 8
  • Windows 10, a partire dalla versione 1607
    Attenzione: le versioni precedenti di Windows 10 non sono supportate.


Requisiti hardware

Manuale -> Rete -> COPA-DATA PRP -> Requisiti hardware

Per la comunicazione PRP valgono i seguenti requisiti hardware:

  • Entrambe le schede di rete utilizzate devono supportare Jumboframes.
  • Una configurazione dell´indirizzo MAC amministrato localmente è possibile per entrambe le schede di rete.

attention Attenzione

La comunicazione PRP è supportata solamente in una rete ridondante. Via PRP possono essere connesse due reti fisiche.

Un´ulteriore connessione in un´altra rete PRP, però, non è supportata.


Installazione e configurazione

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per preparare il computer all´installazione di PRP:

  1. Spegnere il computer e scollegarlo dall´alimentazione di corrente (reset fisico).
  2. Riavviare il computer.

Poi eseguire i seguenti passi di configurazione nel sistema operativo:

  1. Configurare i due adattatori di rete a disposizione.
  2. Creare un bridge di rete (= Bridge) utilizzando gli adattatori.
  3. Installare il COPA-DATA PRP driver per il bridge di rete.
  4. Configurare la connessione PRP.

Una descrizione dettagliata dei passaggi di configurazione si trova nei capitoli seguenti.

Note

Attenzione:

  • Per eseguire l'installazione bisogna avere i diritti di amministratore sul computer.
  • Il sistema deve essere riavviato per completare l'installazione.
  • Seguire le istruzioni per i singoli passaggi.
  • Il confronto pacchetti del servizio di rete supporta reti fino a100 Mbit.
  • Un update dei file PRP può essere eseguito solamente con una versione principale di zenon, oppure con un Service Pack.
    Versioni Build non consento di eseguire quest´operazione.

attention Attenzione

Fare attenzione ad eseguire i passaggi della configurazione nella successione indicata.

Ancora in questo capitolo

Installazione e configurazione

Installazione e configurazione

Installazione e configurazione

Configurazione della connessione PRP (quarto di quattro passaggi)


Installazione e configurazione

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel primo passaggio, modificare la configurazione del sistema operativo per entrambi gli adattatori di rete. La finestra di dialogo di configurazione e la denominazione delle proprietà estese dipendono dalla scheda di rete usata.

Adattatore di rete 1

Nel sistema operativo, configurare il primo adattatore di rete.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare l'adattatore di rete desiderato.
  3. Con il tasto destro del mouse selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà dell'adattatore di rete.
  4. Cliccare sul pulsante Configura...
    Si apre la finestra delle proprietà dell'adattatore di rete.
  5. Passare alla scheda Avanzate.
  6. Nella lista Settings, selezionare l'inserimento Jumbo Packet.
    Nota: il nome di questo inserimento può essere diverso a seconda della scheda di rete.
  7. Selezionare un valore nel menù a tendina Value.
    Scegliere il valore più piccolo fra quelli disponibili che sia maggiore di 1530 Byte.
    Attenzione: l´impostazione disabilitato non deve essere selezionata.
  8. Nella scheda Avanzate selezionare l'impostazione Locally-administered address.
  9. Digitare nel campo di inserimento Value: un indirizzo MAC univoco. Il formato dell'indirizzo MAC dipende dall'hardware utilizzato.
    Esempi:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Assicurarsi che entrambe le connessioni usino lo stesso indirizzo MAC.
    Modificare questo indirizzo nel campo di inserimento Value:
    • L'indirizzo MAC deve cominciare con 0A!
    • L'indirizzo MAC nella rete locale deve essere univoco.
  11. Terminare la configurazione della scheda di rete cliccando sul pulsante OK

Adattatore di rete 2

Ripetere i passaggi per il secondo adattatore di rete.
Fare attenzione ad inserire lo stesso indirizzo MAC indicato nella configurazione precedente.

attention Attenzione

Assicurarsi che:

  • L'indirizzo MAC usato sia lo stesso per entrambi gli adattatori di rete.
  • Non sia utilizzato da un altro computer in rete.


Installazione e configurazione

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si combinano i due adattatori di rete con un bridge di rete. A questo scopo, adattare la configurazione di entrambi gli adattatori di rete usati.

Creare un bridge di rete nelle impostazioni di sistema.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare i due adattatori di rete che si vuole usare per la comunicazione PRP.
    Nota: assicurarsi che entrambi gli adattatori siano già stati configurati in modo corrispondente. Una modifica della configurazione di un adattatore di rete diventa effettiva solo dopo che si è creato un nuovo bridge.
    Attenzione: entrambi gli adattatori di rete devono essere stati configurati con lo stesso indirizzo MAC!
  3. Con il tasto destro del mouse, selezionare il comando Connessioni con bridging.
    Verrà realizzato un bridge di rete per lì adattatore selezionato. Questo processo viene visualizzato per mezzo di una apposita finestra di dialogo.
  4. Il bridge creato viene visualizzato nel Pannello di controllo.

    Attenzione: il bridge deve contenere solamente due adattatori.


Installazione e configurazione

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si installa il servizio di sistema necessario per la comunicazione PRP.

Installare il COPA-DATA PRP driver

  1. Selezionare il bridge appena creato (Bridge).
  2. Con il tasto destro del mouse, selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà del bridge.
  3. Cliccare sul pulsante Installa....
    Si apre la finestra di dialogo per installare un tipo di funzionalità di rete.
  4. Selezionare Servizio come funzionalità di rete da installare.
  5. Cliccare sul pulsante Aggiungi...
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  6. Cliccare sul pulsante Supporto dati...
    Si apre la finestra di dialogo per la selezione del luogo dove è salvato il programma di installazione del servizio di rete.
  7. Cliccare sul pulsante Sfoglia.
  8. Passare alla seguente cartella del computer locale:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 32-Bit.
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 64-Bit.
  9. Scegliere il file CDPrpFlt.inf.
    Attenzione: assicurarsi di selezionare l'installer corretto per il sistema operativo utilizzato (32-Bit o 64-Bit).
  10. Confermare la selezione cliccando su OK.
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  11. Selezionare il servizio di rete COPA-DATA PRP driver.
  12. Confermare la selezione cliccando su OK
    • Confermare la richiesta di conferma di Windows cliccando sul pulsante "Installa".
      Attenzione: a questo punto potrebbe essere necessario riavviare il computer.

      Nota: questa richiesta di conferma non verrà visualizzata se è stato già abilitato il box "... Considera sempre attendibile" in occasione di precedenti installazioni di componenti di programma di zenon
  13. Dopo che l'installazione è stata portata a termine con successo (e dopo il riavvio del computer), il servizio è visibile nella finestra delle proprietà dell'adattatore di rete, nella lista degli elementi utilizzati.
  14. Assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano abilitati (segno di spunta nei checkbox corrispondenti).

attention Attenzione

Assicurarsi che l'uso nel sistema produttivo non sia pregiudicato dal necessario riavvio del computer.


Configurazione della connessione PRP (quarto di quattro passaggi)

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione della connessione PRP (quarto di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di eseguire la configurazione, assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano attivi.

Configurazione PRP

  1. Avviare il programma PRPCfgDiag.exe.
    Questo software si trova nella cartella C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    Si apre la finestra di dialogo PRP Configuration and Diagnostics.

    Nota: Il PRP Configuration and Diagnostics Tool è disponibile solo in lingua inglese.
  2. Cliccare sul pulsante Configuration.
    Si apre la finestra di dialogo per la selezione degli adattatori di rete.

    Nota: Il contenuto del menù a tendina si basa sulle impostazioni di sistema.
  3. Selezionare nel menù a tendina l'adattatore di rete per LAN_A e LAN_B.
    Nota: assicurarsi che le relazioni fra rete fisica e LAN_A o LAN_B siano state configurate nello stesso modo per tutti i dispositivi di rete compatibili con PRP.
  4. Confermare l'assegnazione cliccando su OK.
  5. Concludere la configurazione cliccando sul pulsante Exit.

info Info

Una descrizione dettagliata del PRP Configuration and Diagnostics Tools si trova nel capitolo PRP Configuration and Diagnostics Tool .


PRP Configuration and Diagnostics Tool

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IlPRP Configuration and Diagnostics Tool svolge due compiti:

  • Visualizzazione
    Visualizzazione del traffico dati inviati via PRP. La visualizzazione avviene separatamente per i due adattatori di rete utilizzati.
  • Configurazione
    Assegnazione degli adattatori di rete configurati.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Il programma PRPCfgDiag.exe è incluso nel pacchetto d zenon.
Trovate questo software sul vostro computer nella cartella C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP.

Requisiti

Per configurare ilPRP Konfigurations- und Diagnose Tool e per usarlo, si ha bisogno di quanto segue:

  • Due adattatori di rete combinati in bridge nelle impostazioni di sistema.
    Nota: In questo bridge possono essere configurati solamente i due adattatori che sono usati per la comunicazione PRP. Non devono essere contenuti altri adattatori di rete in questo bridge.
  • Il driver CDPrpFlt deve essere installato.

info Info

Le informazioni relative all'installazione e alle necessarie preparazioni da effettuare nelle impostazioni di sistema si trovano nel capitolo Installazione e configurazione.

Ancora in questo capitolo

Statistica

Configurazione


Statistica

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool -> Statistica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il flusso di dati viene visualizzato nella finestra di dialogo Statistics. La visualizzazione avviene separatamente per i due adattatori LAN.

Il flusso di dati viene sempre registrato, anche quando il tool non è aperto.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Send count

Visualizzazione del frame Ethernet inviato.

Receive count

Visualizzazione del frame Ethernet ricevuto.

Error count

Visualizzazione dei frame PRP con errori.

Mismatch count

Visualizzazione dei frame PRP ricevuti/inviati differentemente quando il traffico di dati via rete dei due adattatori LAN presenta delle divergenze.

Link status

Stato della scheda di rete:

  • Active
    PRP-Supervision frames vengono ricevute in modo corretto per la relativa rete LAN (LAN_A o LAN_B).
  • Inactive
    Nei due secondi appena trascorsi non è pervenuta nessuna PRP-Supervision frames. Non c'è nessuna stazione PRP nella rete, oppure si è verificato un errore.

Configuration

Apre la finestra di dialogo per la configurazione.

Exit

Chiude il programma.
Nota: i dati continuano ad essere registrati.


Configurazione

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Configuration:

  • Si può assegnare l'adattatore usando il menù a tendina.
    Il contenuto del menù a tendina si basa sulle impostazioni del bridge di rete.
    Ulteriori informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.
  • Viene visualizzato l'indirizzo MAC multicast.
  • Vengono visualizzati i messaggi di errore relativi alla configurazione degli adattatori di rete in una finestra di emissione.

attention Attenzione

Il computer deve essere riavviato dopo che sono state fatte delle modifiche alla configurazione.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Primary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN primario.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

Secondary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN secondario/ridondante.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

LAN_A/LAN_B Multicast MAC

Indirizzo MAC multicast per PRP-Supervision frames.
Questo indirizzo per la comunicazione in rete è predefinito e non può essere modificato.

Nota: assicurarsi che questo indirizzo non venga usato da nessun altro adattatore nella rete!

L'ultimo byte può essere configurato nel campo di inserimento. Il formato di input di questo inserimento è HEX.

Error message

Finestra di emissione per i messaggi di errore.

OK

Accetta tutte le modifiche e passa alla finestra di dialogo Statistic.

Cancel

Rifiuta tutte le modifiche e passa alla finestra di dialogo Statistic.


Routing

Manuale -> Rete -> Routing

Si raccomanda vivamente di non usare più la proprietà Attiva routing per la configurazione di un progetto. Di default, questa proprietà è disattivata di per la rete di zenon.

Procedura

Nel routing, i pacchetti dei progetti subordinati vengono inviati attraverso il server dal primo progetto Client (ECP) del ramo. il computer funge da computer nodo e può inoltrare pacchetti. Tutti i pacchetti di rete provenienti dall´esterno usano questo PC. Questa impostazione, però, può provocare dei "colli di bottiglia" ed influenza le possibili topologie di rete. Ha senso utilizzarla solo in strutture di rete particolari, come, ad esempio, in reti WAN lente, oppure in reti con routing.

  • Esempio:
    Se, in una struttura di rete composta da diversi calcolatori, non tutti i computer possono raggiungere gli altri, uno di questi deve agire da router.
  • Implementazione:
    Il Server 1 e il Server 2 dei progetti subordinati vengono modificati su quello di ECP; questo è il Server 1/Server 2 attivo a Runtime.

Ancora in questo capitolo

Considerazioni generali sul routing

Compatibilità:


Considerazioni generali sul routing

Manuale -> Rete -> Routing -> Considerazioni generali sul routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si devono tenere presenti due regole fondamentali configurando strutture di rete con routing, Se una di queste due regole non viene rispettata, potrebbero verificarsi dei problemi di comunicazione o altri effetti indesiderati dipendenti dalla rispettiva struttura.

  • Regola 1: Server e livelli
    Un PC che agisce da server, può essere usato solo in un livello (ricordanza circolare) più volte da server o da Standby. Non può più essere definito come server in un livello superiore o inferiore!
  • Regola 2: Progetti Standalone

    Se il progetto di partenza è un progetto standalone, si può usare al di sotto un solo livello di progetti di rete!

Client invia al suo server

  • Il client manda il pacchetto al server attivo nel progetto a Runtime.
  • Se il progetto su questo computer non è server, il pacchetto continua ad essere inviato finché non arriva al server.
  • Questa funzionalità non viene influenzata da un progetto di integrazione.

Server invia ad un client con routing.

  1. Se il server ha una connessione diretta con il client, il pacchetto viene inviato lì.
  2. Se non esiste una connessione con il computer di destinazione, il server invia il pacchetto a tutti i computer su cui il progetto è attivo e per i quali funge da server.
  3. Se il nodo ha una connessione diretta con il client, il pacchetto viene inviato lì.
  4. Se il computer funge da nodo, il pacchetto viene inviato a tutti i computer che si sono connessi al computer nodo. Se il computer di destinazione è anche il computer sorgente, il pacchetto non viene inoltrato.
  5. La procedura riprende dal punto 3.

Nota: i punti 2 e 4 vengono eseguiti solo se il routing è attivo su quei computer.

info Info

Il server e il Server-Standby non devono corrispondere a quelli configurati sui computer client, ma possono variare a seconda della topologia di rete sui singoli computer.

Che cosa è una connessione client?

Per connessione client si intende una connessione servizio di rete che viene instaurata da un client con il server primario o il Server-Standby. La si riconosce dal fatto che esiste la connessione con la porta 1100 sul computer di destinazione.

attention Attenzione

Non è garantito che un client aggiunto ad una topologia funzionante possa funzionare. Soprattutto su computer solo client, il routing può determinare il fatto che alcuni progetti non possano essere raggiunti dal server.

Controlla routing

Per controllare le impostazioni relative al routing, usate la procedura descritta in "Gestire topologia di rete".


Compatibilità:

Manuale -> Rete -> Routing -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Regole per il routing prima della versione 6.50 di zenon:

  1. Il primo progetto client di rete di un ramo su un PC definisce il server e il Server-Standby per tutti i progetti subordinati nel ramo. Questo vale anche:
    • Se un progetto subordinato su questo PC è server o Server-Standby.
    • Per progetti che in verità non hanno un Server Standby.
  2. Se il progetto superiore non è un progetto di rete o non è un server, i rami dei sotto-progetti del progetto di partenza vengono considerati in parallelo. In questo modo diversi computer possono essere server per i progetti subordinati. Per i rami valgono le regole a partire del punto 1.
  3. I progetti standalone non vengono presi in considerazione per la topologia, fatta eccezione per il progetto di partenza.
  4. Se il progetto di partenza non è server (dunque standalone, client oppure standby che non gestisce il processo), il routing non è attivato nel servizio di rete. Questo riguarda solamente la direzione dal server al client.

Regole per il routing a partire dalla versione 6.50 di zenon:

Di default, la proprietà Attiva routing è disattivata a partire dalla versione 6.50.

Senza routing

Se nel progetto di partenza sul computer non è attiva la proprietà Attiva routing, il routing non viene eseguito. In questo caso, ogni progetto si collega direttamente al computer che funge da server. Il computer non è un nodo ed i pacchetti non vengono inoltrati da questo calcolatore.

Con routing

Le regole sono quelle valide per le versioni precedenti alla 6.50.

Eccezione:

  • Un progetto che si trova sul computer che agisce da server o da standby, rimane server o standby anche se il progetto superiore usa un altro server o standby.


Autorizzazione di rete

Manuale -> Rete -> Autorizzazione di rete

Un progetto di rete può essere gestito da tutte le stazioni nello stesso modo se sono state eseguite le impostazioni di base.

Gestire significa in questo caso intervenire attivamente nel processo, cioè:

  • Settare valori
  • Eseguire le ricette
  • Ripristina allarmi
  • ecc.

C'è dunque la possibilità che due utenti vogliano impostare contemporaneamente da due stazioni diverse un valore differente per la stessa variabile.

In questo caso:

  • Entrambe le azioni vengono eseguite.
  • Il valore inserito per ultimo sovrascrive tutti i precedenti

Blocco di azioni su client tramite autorizzazione operativa

Tuttavia zenon offre la possibilità di gestire il progetto solamente da una stazione alla volta. In questo caso, l´operatore deve ottenere l'autorizzazione operativa in rete sulla sua stazione, prima di poter gestire il progetto. L´apertura di immagini e l'accesso in lettura a liste come AML, CEL, ricette, ecc., è sempre possibile in qualsiasi momento da ogni stazione.

info Info

Le autorizzazioni operative per progetti senza rete possono essere implementate usando l´analisi di una variabile binaria per la proprietà di progetto Blocco utente. Per i dettagli a questo proposito si rimanda al capitolo Autorizzazioni operative della guida dedicata alla Gestione di progetto e workspace.

Elementi di zenon supportati

I seguenti elementi di zenon supportano l´Autorizzazione di rete, sia l´autorizzazione utenti globale che l´autorizzazione utente su modello di impianto:

  • Orologio
  • Slider universale
  • Collega testo
  • Bargraf
  • Strumento analogico
  • Valore numerico
  • Interruttore

L´autorizzazione utenti globale, inoltre, richiede per ogni accesso in scrittura a Runtime una corrispondente autorizzazione operativa.

Procedura

Se la proprietà Autorizzazione di rete è stata configurata, vale quanto segue:

  • Se si vuole eseguire un'azione, bisogna anzitutto ottenere la relativa autorizzazione.
  • Se la gestione è bloccata da un altro computer, si apre una finestra di dialogo sul calcolatore che in quel momento ha l´autorizzazione.
  • L´utente che in quel momento ha l´autorizzazione, può renderla disponibile oppure no.
  • Se non c´è nessuna risposta, l´autorizzazione viene resa di nuovo disponibile allo scadere di un timeout predefinito.
  • Se il sistema rileva un´interruzione della connessione di rete, l´autorizzazione per questo calcolatore viene resettata.

Per i dettagli vedere i capitoli:

  • Configurare le autorizzazioni operative
  • Autorizzazione operativa a Runtime

info Info

Le procedure di autorizzazione operativa generano inserimenti corrispondenti nella CEL.

Variabili di sistema per l'autorizzazione operativa

Le variabili di sistema forniscono informazioni relative alle autorizzazioni operative:

  • [Rete] Autorizzazione di rete: Computer in possesso:
    Nome del calcolatore che ha l'autorizzazione operativa (tipo di dato Stringa)
  • [Rete] Autorizzazione rete: disponibile su questo PC:
    Il computer ha l'autorizzazione operativa (tipo di dato: Bool)
  • [Rete] Autorizzazione negata:
    Il computer richiede l'autorizzazione operativa, ma non la riceve (tipo di dato: Bool)

info Info

Si prega di tenere presene che le variabile del driver di sistema valgono solamente per l´autorizzazione utenti globale. Nel caso di autorizzazione utente su modello di impianto, la visualizzazione a Runtime viene eseguita con variabili direttamente collegate al gruppo di impianti.
Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa alla definizione di impianto, nel capitolo Configurazione nell'Editor.

Ancora in questo capitolo

Tipi di autorizzazione operativa

Configurazione nell'Editor

Autorizzazione operativa a Runtime

Modifiche di progetto - Reload a Runtime

Autorizzazione operativa - Inserimenti nei LOG.


Tipi di autorizzazione operativa

Manuale -> Rete -> Autorizzazione di rete -> Tipi di autorizzazione operativa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon esistono i seguenti tipi di autorizzazione operativa:

  • Autorizzazione utenti globale
    • Può essere attivata o disattivata solo per l´intero progetto.
    • L´autorizzazione operativa viene bloccata o resa disponibile per tutti gli elementi.
  • Autorizzazione utente su modello di impianto
    • Può essere attivata o disattivata per parti del progetto, sulla base di un modello di impianto.
    • L´autorizzazione operativa viene bloccata o resa disponibile per gruppi di impianti.

attention Attenzione

Per il modulo Batch Control non esiste il tipo di autorizzazione operativa autorizzazione utente su modello di impianto.


Configurazione nell'Editor

Manuale -> Rete -> Autorizzazione di rete -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire l´uso di autorizzazioni operative in rete:

  • Attivare la proprietà Autorizzazione di rete (gruppo “Rete” delle proprietà di progetto).
  • Configurare le proprietà del gruppo “Autorizzazione”.
  • Creare una o più funzioni che consentiranno di acquisire e rendere disponibile l´autorizzazione operativa a Runtime

Autorizzazione utente su modello di impianto

Se l´autorizzazione operativa viene gestita via modello di impianto, si deve anzitutto procedere a collegare variabili con il gruppo di impianti corrispondente.
Ulteriori informazioni a questo proposito si trovano nel capitolo Autorizzazione utente su modello di impianto della parte della guida dedicata alla Definizione di impianto.

Ancora in questo capitolo

Attivare le autorizzazioni operative

Configurazione nell'Editor


Attivare le autorizzazioni operative

Manuale -> Rete -> Autorizzazione di rete -> Configurazione nell'Editor -> Attivare le autorizzazioni operative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per attivare autorizzazioni operative, eseguire i seguenti passi di configurazione:

  1. Nelle proprietà di progetto, passare al gruppo Rete
  2. Selezionare il tipo desiderato fra quelli proposti dal menù a tendina Autorizzazione di rete.
  3. Definire il Timeout per la richiesta [s]:
  4. definisce l´intervallo di tempo entro il quale il computer può rispondere alla richiesta di rilascio dell'autorizzazione. Allo scadere di questo tempo, l´autorizzazione operativa viene rilasciata automaticamente.
  5. Default: 60 secondi.
  6. Definire il Timeout per autorizzazione utenti [s]:

    definisce l´intervallo di tempo entro il quale il computer che ha l´autorizzazione operativa, deve contattare il server primario. Allo scadere di questo tempo, l´autorizzazione operativa viene rilasciata automaticamente. Così il sistema rileva il verificarsi di interruzioni nella connessione di rete. Non è dunque possibile che un computer non raggiungibile blocchi l'autorizzazione operativa.

    Default: 60 secondi.

    Attenzione: selezionare un intervallo di tempo inferiore al Timeout di rete.


Configurazione nell'Editor

Manuale -> Rete -> Autorizzazione di rete -> Configurazione nell'Editor -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ottenere le autorizzazioni operative oppure per renderle disponibili, devono esistere a Runtime le relative funzioni. A questo scopo, creare due pulsanti cui verranno poi assegnate le funzioni corrispondenti:

  • Richiedi autorizzazione:
    Ottiene l´autorizzazione per il terminale dell'utente.
  • Rilascia autorizzazione:
    Rende di nuovo disponibile l´autorizzazione senza una richiesta esplicita.

Richiedi autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.

  4. Selezionare Richiedi.

Quando si esegue questa funzione nel Runtime, si ottiene l'autorizzazione di rete per la propria stazione.

Rilascia autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.
  4. Selezionare Rilascia.

Quando si esegue questa funzione nel Runtime, si rende di nuovo disponibile l'autorizzazione di rete.

info Info

Ulteriori informazioni a questo proposito si trovano nel capitolo Creare una funzione di tipo “Autorizzazione di rete”.


Autorizzazione operativa a Runtime

Manuale -> Rete -> Autorizzazione di rete -> Autorizzazione operativa a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà di progetto Autorizzazione di rete è stata configurata, le operazioni di gestione attive vengono eseguite a Runtime solamente se la stazione in questione ha un´autorizzazione operativa.

Se non esiste l´autorizzazione operativa, la si può richiedere eseguendo la funzione corrispondente.

Esempio

Si vuole scrivere un valore impostabile su una una variabile e non si dispone dell'autorizzazione operativa corrispondente:

  1. Il valore impostabile non viene inviato all´hardware quando si clicca sul pulsante.
  2. Si apre invece una finestra di dialogo contenente l'informazione che l'utente non è in possesso dell´autorizzazione operativa per questo progetto.
  3. Cliccare sul pulsante Ottieni autorizzazione operativa configurato in fase di progettazione.

Nessun altro computer blocca l´autorizzazione operativa:

L'autorizzazione è disponibile:

  • Si ottiene l´autorizzazione.
  • Si può scrivere il valore impostabile.
  • Dopo aver eseguito l'operazione, si può rendere di nuovo disponibile l'autorizzazione agli altri utenti usando la funzione Autorizzazione di rete con l´opzione Rilasciare attivata.

Un altro computer blocca l´autorizzazione operativa:

L´autorizzazione è bloccata:

  • Si apre una finestra di dialogo sul computer che causa il blocco; tramite questa finestra di dialogo si potrà rilasciare l´autorizzazione in questione.
  • Opzioni di rilascio a disposizione dell´utente del computer che causa il blocco:
    • Sì:
      L´autorizzazione viene trasferita all´altro computer.
    • No:
      L´autorizzazione rimane bloccata.
    • Nessuna reazione:
      Incomincia a scorrere un timeout che corrisponde a quello definito nella proprietà Timeout per autorizzazione utenti [s]. Scaduto il timeout, l´autorizzazione viene rilasciata automaticamente.


Modifiche di progetto - Reload a Runtime

Manuale -> Rete -> Autorizzazione di rete -> Modifiche di progetto - Reload a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apportano modifiche a parti del progetto che hanno rilevanza in relazione ad una autorizzazione operativa (proprietà di progetto, modello di impianto, variabili), l´autorizzazione operativa attuale verrà applicata e sarà effettiva dopo un reload o un riavvio del Runtime.

In questo caso, valgono le seguenti regole:

  • Sul client, la vecchia configurazione ha validità finché non è stato eseguito il reload.
  • Se token già assegnati non sono più necessari già a Runtime dopo il reload, questi verranno rilasciati dopo l´esecuzione dl reload stesso. Per questa ragione, il client non invierà nessun messaggio al server riguardanti token occupati. Il server, da parte sua, terminerà il monitoraggio dei token sul client.
    Verrà generato un inserimento corrispondente nei LOG.
  • Quando viene eseguito il reload del Runtime, c`è un reload automatico anche dei tempi impostati per le proprietà Timeout per autorizzazione utenti [s] e Timeout per la richiesta [s]. Le richieste di ottenimento di un´autorizzazione operativa inoltrate prima del reload che sono ancora aperte, verranno rifiutate e non più modificate.
    Nota: Se si diminuisce il valore impostato per la proprietà “Timeout per autorizzazione utenti”, i client che non hanno ancora eseguito il reload, perderanno i loro token in modo relativamente veloce perché si registreranno troppo tardi sul server.


Autorizzazione operativa - Inserimenti nei LOG.

Manuale -> Rete -> Autorizzazione di rete -> Autorizzazione operativa - Inserimenti nei LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Testo

Livello

Descrizione

Token no longer relevant for group <group>

Project
DEBUG

Dopo il reload, il gruppo <group> non è più attuale e non ha più nessuna rilevanza per l´autorizzazione operativa.

Token no longer exists for group guid <guid>

Project
DEBUG

Il gruppo con il Guid <guid> è stato rimosso con il reload.

Token reserved for group <group> for host <host> with id <id>

Project
DEBUG

Messaggio sul server o sul Server-Standby relativo all´assegnazione di un token:
Il token per il gruppo <group> per il PC <host> con id <id> è stato riservato.

Token denied for host <host>

Project
DEBUG

Messaggio sul server che informa che la richiesta token per Host <host> viene rifiutata.

Background: uno dei gruppi richiesti è già riservato per un altro PC.

LOG SendData Project:<project> To:<hostname> Modul:8 Prior:1 Class:CEqTokenReservationMsg

NET
DEBUG

Informazione relativa ad una prenotazione nel progetto <project>. Inviata dal server al Server-Standby. <hostname>

LOG ReceiveData Project:<project> From:<server> To:<hostname> Modul:8 Class:CEqTokenReservationMsg

NET
DEBUG

Informazione di prenotazione inviata dal server e ricevuta dal Server-Standby.

Token reservation lifted for <group> for id <id>

Project
DEBUG

La prenotazione per il gruppo <group> con l´ID <id> è stata revocata.

Background: la prenotazione non è più necessaria perché il token può essere assegnato direttamente.

LOG SendData Project:<project> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Messaggio di rete del server al Server-Standby per la sincronizzazione della prenotazione.

LOG ReceiveData Project:<project> From:<server> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Messaggio di rete sul Server-Standby per la sincronizzazione della prenotazione.

Token reservation lifted due to timeout

Project
Debug

La prenotazione è stata revocata perché c´è da troppo tempo.

Standby received 1 token reservations

Project
DEBUG

Prenotazione/i esistente/i è/sono stata/e trasmessa/e dal server allo Standby in avvio.

Background: la prenotazione deve essere nota per un eventuale cambio server.

Token reservation <id=1> for host WKS086-W7X64 with 1 groups: <relevant.screen.batch>

Project
DEEPDEBUG

Ogni prenotazione viene registrata in una riga apposita:

  • ID prenotazione
  • Nome dell´host che prenota.
  • Numero del gruppo
  • Nome del gruppo:

Token acquired for Group: <voller Gruppenname>

Project
DEBUG

Messaggio di acquisizione di un´autorizzazione operativa per il gruppo <Nome gruppo completo>. (Server/Client)

Token released for Group: <voller Gruppenname>

Project
DEBUG

Messaggio di rilascio di un´autorizzazione operativa per il gruppo <Nome gruppo completo>. (Server/Client)

SendData Project:<Projekt> To:C Modul:8 Prior:1 Class:CEqReleaseTokenMsg

Net
DEBUG

Indica che il server ha inviato un ReleaseMessage a tutti i client.

ReceiveData Project:<Projekt> From:<Client> To:S Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

Il server ha ricevuto un Release Token Message dal client <Client>.

ReceiveData Project:<Projekt> From:<Client> To:C Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

Il client ha ricevuto un Release Token Message dal server <Client>.

ReceiveData Project:<Projekt> From:<Server> To:<Client> Modul:8 Class:CEQTokenInfoAnswer

Net
DEBUG

Il client ha ricevuto un´informazione in modo tale che il client stesso conosca l´attuale distribuzione dei token.

SendData Project:<Projekt> To:<Client> Modul:8 Prior:1 Class:CEQTokenInfoAnswer

Net
DEBUG

Il server invia al client <Client> una Token Info.

ReceiveData Project:MANYMODULS From:<Client> To:S Modul:8 Class:CD_CNetTokenQuit

Net
DEBUG

Il server ha ricevuto una conferma del client <Client> che non esiste.

SendData Project:MANYMODULS To:S Modul:8 Prior:1 Class:CD_CNetTokenQuit

Net
DEBUG

Sul client è stata inviata la conferma al server che esso (il client) non esiste.


Funzioni di zenon per la rete

Manuale -> Rete -> Funzioni di zenon per la rete

Funzioni speciali di zenon per la rete:

  • Autorizzazione di rete
  • Cambio ridondanza
    1. Nella modalità di ridondanza: Dominante
    2. Nella modalità di ridondanza: Non dominante
    3. Nella modalità di ridondanza: Ponderata

In generale, quando si usano delle funzioni in rete, bisogna tener presente la postazione di esecuzione. Per alcune funzioni, la postazione di esecuzione può essere configurata liberamente, per altre è fissa.

Ancora in questo capitolo

Autorizzazione di rete

Cambio ridondanza in una rete ponderata


Autorizzazione di rete

Manuale -> Rete -> Funzioni di zenon per la rete -> Autorizzazione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo la funzione Autorizzazione di rete a Runtime, si possono richiedere o trasferire autorizzazioni operative, e le si può filtrare per gruppi di impianti.

Parametri

Descrizione

Prendere

Richiede l´autorizzazione operativa per il PC sul quale è stata eseguita la chiamata funzione.

Rilasciare

Trasferisce l´autorizzazione operativa al PC che ne fa richiesta.

Nota: si prega di tener presente che ogni client può rilasciare solamente i suoi token. Non c´è un rilascio generale.

Gruppi d'impianto

L´autorizzazione operativa viene richiesta o rilasciata per le variabili del gruppo di impianti selezionato.

Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare un modello di impianti. È possibile una selezione multipla e un filtro gerarchico.

Se non si seleziona nessun gruppo di impianti, la richiesta o il rilascio interesserà tutto il progetto.

Nota: nella finestra di selezione vengono visualizzati solamente quei gruppi di impianti per i quali è attivata la proprietà Modello impianto rilevante per le autorizzazioni utenti. Questa proprietà deve essere attivata nel modello di impianti sovraordinato.

Se nella finestra di dialogo di configurazione della funzione è stato impostato un gruppo di impianti non più rilevante per l´autorizzazione operativa, non verrà assegnata nessuna autorizzazione operativa. In questo caso verrà generato un messaggio nei LOG.

Proponi dialogo a Runtime

Checkbox che consente di definire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva: la finestra di dialogo verrà visualizzata a Runtime.
    In questo caso, sarà possibile modificare le impostazioni prima dell´esecuzione della funzione.
  • Non attiva: la finestra di dialogo non verrà visualizzata a Runtime.
    In questo caso verranno applicate le impostazioni eseguite nell´Editor in questa finestra di dialogo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Creare una funzione di tipo “Autorizzazione di rete”


Creare una funzione di tipo “Autorizzazione di rete”

Manuale -> Rete -> Funzioni di zenon per la rete -> Autorizzazione di rete -> Creare una funzione di tipo “Autorizzazione di rete”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Autorizzazione di rete serve a richiedere o rilasciare a Runtime un´autorizzazione operativa per un´azione.

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Rete.
  3. Selezionare la funzione Autorizzazione di rete.

    Si aprirà la finestra di dialogo per configurare la funzione.

  4. Selezionare l´opzione desiderata:
    1. Prendere
      Richieder la autorizzazione operativa per elementi bloccati in rete.
    2. Rilasciare
      Trasferisce la autorizzazione operativa.
  5. Facoltativo - in caso di “Autorizzazione utente su modello di impianto”:
    Collegare i gruppi di impianti corrispondenti cliccando sul pulsante ...
    Nota: nella finestra di selezione vengono visualizzati solamente quei gruppi di impianti per i quali è attivata la proprietà Modello impianto rilevante per le autorizzazioni utenti.
    Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa alla definizione di impianto, nel capitolo Configurazione nell'Editor.
  6. Assegnare un nome alla funzione nella proprietà Nome.
  7. Collegare la funzione ad un pulsante.


Cambio ridondanza in una rete ponderata

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può passare manualmente dal server primario al Server-Standby a Runtime. Il server primario attuale diventerà Server-Standby e viceversa.

Questa funzione è disponibile per tutte le modalità di ridondanza (proprietà Tipo di ridondanza dell'Editor di zenon):

  • Non dominante
  • Dominante
  • Ponderata

Nota: la funzione "Cambio ridondanza" è disponibile solamente se è attiva la proprietà Rete attiva.

Esempi di applicazione:

Possibili applicazioni pratiche sono:

  • Manutenzione del server primario.
  • Migliore collegamento hardware del Server-Standby.
  • Nella rete ponderata:
    Disattivare temporaneamente l'analisi.

attention Attenzione

Questa funzione non si presta a testare la ridondanza, visto che il comportamento è diverso da quello in caso di malfunzionamento del server.

Ritardo di commutazione

Alcuni moduli di zenon possono ritardare il cambio di ridondanza. Per es., un comando in esecuzione ritarda il cambio di ridondanza.

Rimandiamo alle descrizioni dei moduli che si trovano nel capitolo Comportamento dei moduli di zenon di questo manuale.

Ancora in questo capitolo

Configurazione in zenon

Finestra di dialogo di configurazione del cambio ridondanza


Configurazione in zenon

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata -> Configurazione in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare una funzione di tipo "Cambio ridondanza"

La funzione di tipo Cambio ridondanza serve a controllare i ruoli di Server primario e Server-Standby in una rete di zenon.

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Rete.
  3. Selezionare la funzione Cambio ridondanza.
    Si apre la finestra di dialogo per la configurazione del cambio ridondanza.
  4. Configurare il comportamento del cambio ridondanza.
  5. Assegnare un nome alla funzione nella proprietà Nome.

Tipp Suggerimento

Configurare una funzione di cambio ridondanza separata per ogni direzione di switch.


Finestra di dialogo di configurazione del cambio ridondanza

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata -> Finestra di dialogo di configurazione del cambio ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Cambio ridondanza si configura il comportamento di un Cambio ridondanza previsto.

Direzione di switch

Parametri | Descrizione
Toggle: | Server primario e Server-Standby si scambiano i ruoli.
Server 1 | Il Server 1 diventa (o rimane) Server primario.
Server 2 | Il Server 2 diventa (o rimane) Server primario.
Nessuna (riattiva valutazione) | Non avviene nessun cambio. Si impedisce, invece, che si verifichi un cambio per l'intervallo di tempo configurato nel campo proprietà Tempo di soppressione. Se il Tempo di soppressione è 0 , il cambio ridiventa immediatamente possibile. Nota: questa opzione è disponibile solo in una rete ponderata.

Tempo di soppressione

Parametri

Descrizione

Tempo di soppressione

Il tempo, espresso in minuti, nel corso del quale non avviene nessun cambio automatico di ridondanza dovuto ad una modifica nell'analisi.
Se il valore impostato è 0, il cambio automatico viene eseguito nel modo configurato nelle regole di valutazione.

Intervallo di valori: da 0 a 10080 minuti (= una settimana)

Si prega di tener presente: il server primario attuale (Server 1 o Server 2) rimane server primario durante questo intervallo di tempo, indipendentemente dal risultato dell'analisi.

Se Banda morta post-commutazione[s] e Tempo di soppressione sono stati configurati diversamente in una rete ponderata, prevale il valore maggiore.

Nota: questa opzione è disponibile solo in una rete ponderata.

Navigazione

Parametri | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla (Cancel) | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.
info Info
Ulteriori informazioni si trovano nel capitolo Ritardo di commutazione, banda morta e isteresi di questo manuale.


Comportamento dei moduli di zenon in rete.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i progetti di rete si deve tener presente come si comportano i singoli moduli e le singole funzioni in rete.

Ancora in questo capitolo

AML e CEL

Server di archiviazione

Batch Control

Gestione utenti

File

Trend esteso

Funzioni

Message Control

Interfacce di programmazione

Lista incrociata

Generatore Report & Report Viewer

Ricette

Sequenze di comando

Script

Elenco contestuale

Driver nella rete di zenon

zenon Web Client nella rete ridondante

Temporizzatori

Attribuzioni


AML e CEL

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gestione allarmi

Gli allarmi vengono gestiti sul server primario. Il server primario risponde alle richieste dei client riguardanti gli allarmi. Le modifiche vengono sincronizzate fra server primario e Server-Standby.

info Info

Quando il Server-Standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, vengono integrati e aggiunti i dati mancanti in AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del Server-Standby Questo buffer viene rifornito di valori dai driver.

Lista eventi cronologica (CEL)

La CEL viene gestita sul server primario. Le modifiche vengono sincronizzate fra server primario e Server-Standby.

Nella rete ponderata, non vengono creati nuovi inserimenti CEL per un cambio di ruolo server avvenuto sulla base dell'analisi.

Tipp Suggerimento

Se si vuole protocollare i risultati delle analisi nella CEL, creare una variabile del driver di sistema "[Rete] Risultato valutazione Server 1", oppure "[Rete ] Risultato valutazione Server 2":

  • Selezionare nel Workspace, nel nodo Variabili, l´inserimento Nuova variabile ...
  • Selezionare come driverSYSDRV - Driver per variabili del driver di sistema.
  • Nella finestra di dialogo Variabile del driver di sistema, selezionare nel menù a tendina Tema l´inserimento Rete.
  • Selezionare [Rete] Risultato valutazione Server 1 e [Rete] Risultato valutazione Server 2, e aggiungerle alla lista di quelle da creare cliccando sul pulsante Aggiungi.
  • Creare una matrice di reazione numerica, abilitare l'opzione "Interpreta ogni cambio valore come nuova violazione" e settare l'opzione "Nella CEL"
  • Collegare la matrice di reazione appena creata alle due variabili.


Server di archiviazione

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Server di archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione viene eseguita sul server primario.

Il server primario sincronizza i dati d'archivio con il Server Standby e risponde alle richieste dei client (per es. apertura di un´immagine di tipo Trend esteso).

info Info

Quando il Server-Standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, vengono integrati e aggiunti i dati mancanti in AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del Server-Standby Questo buffer viene rifornito di valori dai driver.

Cambio ridondanza

Il cambio di ridondanza può subire un ritardo causato dal modulo Archiviazione di zenon.

Se delle variabili di un altro progetto vengono salvate in un archivio, cambia la procedura di start del Runtime nella rete di zenon. In questo caso, infatti, gli archivi vengono avviati solo dopo il caricamento di tutti i progetti.

In questo modo si garantisce che vengano riconosciute tutte le variabili da archiviare prima che inizi il processo di archiviazione ed il calcolatore assuma il ruolo di server primario.

Example Esempio

Il Runtime di zenon viene avviato su quel computer configurato in fase di progettazione come Server 1, oppure Server 2.

  • Il Runtime parte assumendo il ruolo di Server-Standby.
  • Vengono caricati tutti i progetti.
  • L´archiviazione viene sincronizzata.

I passaggi sopra descritti avvengono indipendentemente dal ruolo attuale o dall´analisi del PC.

Solo dopo la conclusione di tutti questi passaggi, viene effettuato - se necessario - un cambio di ridondanza.


Batch Control

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Batch Control è perfettamente compatibile per un uso in rete con tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. Per il resto tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby!

Quando si usa il modulo Batch Control in rete, vale quanto segue:

Funzioni

Le funzioni vengono eseguite sempre sul server.

Fasi

  • Modifica di fasi in ricette master:
    • Modalità di modifica: le modifiche vengono eseguite localmente sul client.
      Se, durante la modifica, la ricetta viene salvata su un altro computer in rete, la configurazione attuale va persa. In questo caso verrà visualizzato un messaggio corrispondente e la finestra di dialogo di modifica verrà chiusa. I nuovi dati saranno visualizzati dal server.
    • Modalità test: le modifiche vengono eseguite sul server.
  • Ricetta di controllo: le modifiche vengono eseguite sul server.
  • Se una ricetta viene salvata in rete, tutti i client che la usano vengono aggiornati.
  • Se una ricetta viene aperta su un client, viene visualizzata sempre la versione attuale del server, anche se lì non è stata ancora salvata.
  • Se una ricetta viene cancellata su un computer, viene visualizzato un messaggio su tutti i computer che hanno aperto questa ricetta; questo messaggio informa che la ricetta è stata cancellata.

Modalità

  • Il cambio della modalità (automatica, semi-automatica, manuale) può essere eseguito dal server e dal client.
  • Jumps e avanzamenti step by step in una ricetta possono essere eseguiti sia dal server che dal client

Ricette

  • Le ricette possono essere avviate e gestite dal server zenon o dai client zenon.
  • Se in una ricetta vengono modificati i parametri mentre la ricetta stessa viene salvata su un altro client zenon, la modifica verrà rifiutata e non eseguita.
  • Una ricetta master può essere modificata sul client zenon mentre sul server zenon passa in modalità test e viene inviata al client zenon. In questo caso vengono applicate le modifiche salvate per ultime. Cioè: se il client zenon salva per ultimo, la ricetta passa di nuovo alla modalità di modifica. Se è lo zenon server a salvare per ultimo, la modifica eseguita dallo zenon client viene rifiutata e la ricetta si trova in modalità test.
  • Se si verifica un errore di comunicazione durante la cancellazione di una ricetta o di un modello ricetta parziale, la cancellazione verrà rifiutata e verrà visualizzato un relativo messaggio di errore.

Web Client

Con un Web Client standard:

  • Le impostazioni per griglia e colori possono essere modificate.
  • Non si possono creare o modificare ricette.
  • La dimensione dell'area di modifica non può essere cambiata.
  • Nella barra degli strumenti vengono disattivati tutti i simboli non consentiti; non sarà dunque possibile selezionare gli oggetti corrispondenti.

Queste limitazioni non valgono per il Web Client PRO.


Gestione utenti

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Gestione utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione utenti avviene sul server primario. Procedura di login:

  1. La richiesta di login viene inviata al server primario.
  2. Quest'ultimo risponde con la lista degli utenti autorizzati.
  3. Il client verifica i dati.

Se si fanno su un client delle modifiche alla gestione utenti a Runtime, la lista user completa viene inviata dal client al server primario.

info Info

Utenti Active Directory, ADAM, ADLDS

Se si usano utenti Active Directory, ADAM oppure ADLDS, tutti i computer comunicano (indipendentemente se sono server primario, Server-Standby oppure Client) direttamente con il server Active Directory, ADAM oppure ADLDS.

Il che significa che tutti i computer devono essere nell´infrastruttura corrispondente (per es. dominio Active Directory nel caso di uso di utenti Active Directory); non basta che solo il server primario sia nel dominio Active Directory con i relativi utenti.


File

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando server primario e Server-Standby scambiano dei dati, vengono create delle liste per i file di tutti i moduli. Il server primario monitora queste liste per verificare la presenza di modifiche. Le modifiche rilevate vengono poi trasferite al Server-Standby.

attention Attenzione

Il server primario non reagisce a watchdog inviati dal Server-Standby durante la creazione di queste liste. Tenere presente questo fatto quando si definisce il tempo per il timeout di rete.

Con il Trasporto Remoto vengono trasmessi tutti i file necessari per il progetto al sistema di destinazione.

Vengono sempre trasmessi tutti i file delle cartelle:

Standard

  • Tutti i file che si trovano nella cartella Runtime (...\RT\FILES\zenon\system\) del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

info Info

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re

Optional

In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Trasporto Remoto. Questi file si trovano nei seguenti sotto percorsi della cartella di progetto:

  • \zenon\custom\graphics: per grafiche
  • \zenon\custom\lists: per tabelle lingua
  • \zenon\custom\media: per tutti i file media
  • \zenon\custom\reports: per le tabelle del generatore Report.
  • \zenon\custom\help: per i file dell´help
  • \zenon\custom\additional: per ulteriori file
  • \zenon\custom\rdlc: per file Report Viewer
  • \zenon\custom\drivers: per driver
  • \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene trasmesso automaticamente. Non deve essere effettuata nessun´altra impostazione. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiché inclusi nel progetto specifico!

attention Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, non viene più sincronizzato nessun file.


Trend esteso

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Trend esteso visualizza informazioni di archivi e dati online. Questi dati vengono salvati sul server primario e, se necessario (apertura di un´immagine di trend sul client), vengono richiesti dal server primario.


Funzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda le funzioni che vengono usate in rete:

  • In alcuni casi, il luogo in cui vengono eseguite può essere configurato liberamente.
  • In altri casi. invece, questo luogo è definito in modo fisso.

info Info

Gli script combinano più funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singole funzioni.

Configurare luogo di esecuzione

Per quello che riguarda le funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente può configurarne i parametri nelle proprietà della funzione.

Per definire il luogo di esecuzione:

  1. Nelle proprietà della funzione, passare al gruppo Esecuzione:.
  2. Selezionare il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione verrà eseguita sul PC attuale.
    • Server primario: la funzione verrà eseguita sul server primario.
    • Server Standby: la funzione verrà eseguita sul Server-Standby.
    • Client: la funzione verrà eseguita su tutti i client.

Funzioni in rete - Panoramica

La seguente tabella mostra dove vengono eseguite le varie funzioni.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Sì

    -- no

    O: Default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Computer attivo
    • Server primario
    • Server-Standby
    • Client

Funzione | Configurabile | PC attuale | Server primario | Server Standby | Client
Allarmi ed eventi |  |  |  |  |
Ripristina lampeggio allarmi | - | O |  |  |
Conferma il riconoscimento d'allarme | - |  | O | O |
Ripristina allarmi | - |  | O | O |
Collegare/scollegare gruppo allarmi/eventi | - | O |  |  |
Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione | - |  | O | O |
Attiva allarmi | - |  | O |  |
Attiva/disattiva allarmi | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta allarmi | + | O |  |  |
Salva buffer AML-CEL | - |  | O | O |
Esporta: lista CEL | + | O |  |  |
Stampa lista allarmi o CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia una nuova pagina per la stampa online | + | O |  |  |
Cambio stampante online | - |  | O |  |
Applicazione |  |  |  |  |
Selezionare stampante | + | O |  |  |
Avvio Load Management | - |  | O |  |
Termine Load Management | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Gestione funzioni ON | - |  | O | O |
Funzioni: Disattiva/Attiva | - |  | O | O |
Gestione funzioni OFF | - |  | O | O |
Apri guida | + | O |  |  |
Aggiorna progetto Runtime | + | O |  |  |
Determinazione manutenzioni in corso | - |  | O |  |
Attiva evento PFS | + | O |  |  |
Attiva/Disattiva progetto di simulazione | - | O |  |  |
Simula right click | + | O |  |  |
Salvataggio dati ritentivi | + | O |  |  |
Esci dal programma | + | O |  |  |
Valutazione euristica S7-Graph | + | O |  |  |
Esegui funzione SAP | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca cortocircuito | - |  | O |  |
Topologia - LoadShedding | - |  | O |  |
Archiviazione |  |  |  |  |
Termina archivio | - |  | O | O |
Indicizza file d'archivio | - |  | O |  |
Avvio archivio | - |  | O | O |
Esporta archivio | - | O |  |  |
Mostra archivi attivi | - |  | O | O |
Gestione user (password) |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Esegui logout | + | O |  |  |
Modifica password | - | O |  |  |
Immagini |  |  |  |  |
Modifica colore sorgente ALC | + | O |  |  |
Cambio immagine con variabile | - | O |  |  |
Chiudi immagine | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Focus: esegui funzione elemento | + | O |  |  |
Attiva focus sul modello | + | O |  |  |
Imposta focus | - | O |  |  |
Elimina focus dal modello | + | O |  |  |
Visualizza menù | + | O |  |  |
Assegna monitor | + | O |  |  |
Profilo Runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Localizzazione errore nelle reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control |  |  |  |  |
Salva coda d'attesa corrente | - |  | O |
Sopprimi Gruppi/Classi/Aree/Strutture | - |  | O |  |
Invia messaggio | - |  | O |  |
Attiva invio messaggio | - |  | O |  |
Disattiva invio messaggio | - |  | O |  |
Rete |  |  |  |  |
Autorizzazione di rete | + | O |  |  |
Cambio ridondanza | - |  |  | O |
Generatore Report |  |  |  |  |
Report Generator: stampa | + |  |  |  |
Report Generator: esegui report | + |  |  |  |
Report Generator: esporta | + |  |  |  |
Ricette |  |  |  |  |
Manager gruppi di ricette | - | O |  |  |
Ricetta Standard | - | O |  |  |
Richiamo ricetta singola | + | O |  |  |
Richiamo ricetta singola con selezione | - | O |  |  |
Richiamo ricetta singola con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esporta dati | - |  | O |  |
Leggi file dBase | + | O |  |  |
Stampa dei valori attuali | + | O |  |  |
Cambio unità di misura | + | O |  |  |
Attiva gestione HD | - |  | O | O |
Disattiva gestione HD | - |  | O | O |
Attiva/disattiva gestione HD | - |  | O | O |
Imposta valore | - |  | O |  |
Esegui comandi driver | - | O |  |  |
Simulazione per immagine di processo del driver acquisita dal Server Standby | - |  |  | O |
Scrivi data/ora nella variabile | + | O |  |  |
Acquisisci ora dalla variabile | + | O |  |  |
VBA |  |  |  |  |
Apri Editor PCE | - |  | O |  |
VBA-Visualizza Editor | + | O |  |  |
Lanciare Macro-VBA | + | O |  |  |
VBA-Visualizza dialogo Macro | + | O |  |  |
VSTA |  |  |  |  |
Apri Editor VSTA | + | O |  |  |
Lanciare Macro-VSTA | + | O |  |  |
VSTA-Visualizza il dialogo delle Macro | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Esegui file audio continuo | + | O |  |  |
Termina file audio continuo | + | O |  |  |
Porta sullo sfondo | - | O |  |  |
Porta in primo piano | - | O |  |  |
Stampa screenshot | + | O |  |  |
Esegui programma | + | O |  |  |


Message Control

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Message Control viene eseguito sul server primario.

Il server primario sincronizza i dati con il Server-Standby.


Interfacce di programmazione

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Interfacce di programmazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA e VSTA

Di default, il codice in VBA o VSTA viene sempre eseguito localmente, sul sistema su cui viene avviato, oppure dove si verificano eventi.

Il luogo di esecuzione, però, può essere sempre definito in modo differente eseguendo il codice con una funzione.

PCE

In rete, il PCE viene eseguito sempre sul server. Nel caso di progetti standalone, sul computer standalone.


Lista incrociata

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Lista incrociata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si tiene anche conto dell´uso di variabili nella rete ponderata. Il nome proprietà del luogo di utilizzo è dichiarato come nome elemento. Questo è o "Variabile d'evento" o "Valutazioni".

info Info

Ulteriori informazioni si trovano nella parte della guida dedicata alla Lista incrociata.


Generatore Report & Report Viewer

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Generatore Report & Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file *.xrs del Generatore Report e i file *.rdl del Report Viewer vengono sincronizzati su tutti i sistemi della rete (Client, Server-Standby, Server primario).

Editor

Quando il file viene modificato nell´Editor di zenon, trasferito e caricato sul server primario, viene inoltrato automaticamente agli altri computer in rete.

Runtime

Se il file viene modificato a Runtime, le modifiche vengono salvate solo temporaneamente e sostituite al successivo reload o al riavvio del Runtime.


Ricette

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´esecuzione di ricette è differente a seconda che si tratti di ricette standard o RGM.

Ricette standard

Le ricette standard vengono gestite sul server primario e sul Server-Standby.

Se un utente vuole modificare una ricetta standard a Runtime, il client richiede al server primario la lista completa delle ricette. Quando si effettua la modifica, la lista delle ricette viene rimandata al server primario.

info Info

Questa lista non è identica al file rezepturen.cmp.

Se una ricetta viene modificata ed eseguita a Runtime sul client, viene eseguita con i nuovi valori. Quando si chiude la ricetta standard, il sistema offre la possibilità di salvare le modifiche.

Manager gruppi di ricette

Quando l'immagine "Manager gruppi ricette" viene caricata sul client, viene richiesta una lista di tutti i nomi ricetta dal server primario. Non appena viene selezionata una ricetta, questa viene caricata dal server primario.


Sequenze di comando

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando funziona in rete secondo il seguente principio:

  • Le sequenze di comando possono essere configurate sia sul client, che sul Server o sul Server-Standby.
  • Le sequenze di comando configurate vengono gestite sul Server primario e inoltrate ai client.
  • Le sequenze di comando possono essere amministrate sia sul client, che sul Server.
  • Le sequenze di comando vengono eseguite sul Server primario.
  • Quando si verifica un cambio di ridondanza, le sequenze di comando in esecuzione vengono terminate.
    Possono essere riavviate manualmente sul Server primario.

Cambio di ruoli fra Server 1 e Server 2

  • Il cambio di ridondanza viene ritardato finché tutte le sequenze di comando attive non sono state portate a termine.
  • Durante un cambio di ridondanza viene bloccato lo start di sequenze di comando. I pulsanti sul client sono visualizzati in grigio (disabilitati).
    • Questo cambio di ridondanza può essere progettato un una rete ponderata.
    • In una rete dominante oppure in una rete non dominante, il cambio di ridondanza viene eseguito quando il Server primario smette di funzionare.
  • E' possibile riavviare l'esecuzione di sequenze di comando solo dopo che il cambio è stato portato a termine, oppure se il cambio stesso è stato cancellato.
    In questo caso viene scritto un inserimento nella CEL.
  • Messaggi CEL vengono scritti per gli eventi seguenti:
    • Start di una sequenza di comando è bloccato sul server.
    • Se una sequenza di comando deve essere avviata in una rete dominante sul Server 2 .
    • La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso
    • Nota: non viene creato un messaggio CEL, invece, se viene avviata una sequenza di comando errata.

Inserimento nei LOG.

Inserimento | Livello | Descrizione
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso.

Eccezione: due server nella rete.

Se, quando si ha un cambio di Server primario, ci sono ancora sequenze di comando in esecuzione sul "nuovo" Server-Standby, queste vengono interrotte sullo Standby. Questo può accadere solo se i due server (per es. a causa di un errore di rete) non erano più collegati, e adesso sono di nuovo connessi. In questo caso, la modifica alla sequenza di comando non verrà applicata sul server primario.

Questo significa che, se c´è connessione e sequenze di comando nel frattempo cancellate sullo Standby sono state già aperte sul server primario, queste verranno considerate come ancora in esecuzione. Potranno essere riavviate solo dopo essere state terminate sul Server 1 e sul Server 2.

Nessuna connessione fra server e standby

Se si apre l'immagine delle sequenze di comando sul client quando né Server 1 né Server 2 sono raggiungibili, l'Editor delle sequenze di comando non è disponibile sul client. Verrà visualizzato vuoto. Nel Runtime di zenon verrà visualizzato, invece dell'immagine, un messaggio di errore.

Finestra di dialogo di errore

Se una sequenza di comando non può essere avviata, viene visualizzata la seguente finestra di dialogo di errore:


Script

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli script combinano più funzioni. La postazione di esecuzione dipende dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singole funzioni.

L´esecuzione di script in rete viene gestita da script predefiniti.

Script

Descrizione

Postazione di esecuzione

AUTOSTART

Lo script viene eseguito automaticamente all´avvio del Runtime, prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono lanciati dei progetti subordinati.
  • Progetto di rete:
    Server primario
  • Progetto standalone:
    Computer attivo

AUTOEND

Lo script viene eseguito automaticamente alla chiusura del Runtime se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono chiusi dei progetti subordinati.
  • Progetto di rete:
    Server primario
  • Progetto standalone:
    Computer attivo

AUTOSTART_CLIENT

Lo script viene eseguito automaticamente su un client all'avvio del Runtime, prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono lanciati dei progetti subordinati.

Progetto standalone:
Computer attivo

AUTOEND_CLIENT

Lo script viene eseguito automaticamente su un client alla chiusura del Runtime se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono chiusi dei progetti subordinati.

Progetto standalone:
Computer attivo

AUTOSTART_SRVPRJ

Lo script viene eseguito automaticamente all'avvio del Runtime di un progetto qualsiasi sul server prioritario, prima del caricamento della schermata di partenza.

Progetto di rete:
Server primario

AUTOEND_SRVPRJ

Lo script viene eseguito automaticamente alla chiusura del Runtime di un progetto qualsiasi sul server primario.

Progetto di rete:
Server primario


Elenco contestuale

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Elenco contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa un Lista contestuale in un progetto di rete, il salvataggio viene eseguito sul server. I client vengono sincronizzati automaticamente.
Se un elenco viene modificato contemporaneamente su diversi client, il server riprende la versione salvata per ultima e la inoltra a tutti i client.

Se il client perde la connessione con il server, l´Lista contestuale viene vuotato sul client e gli elementi d´immagine che servono alla modifica vengono visualizzati in color grigio (disabilitati). Gli inserimenti della lista di informazioni allarmi collegati vengono visualizzati con il testo <Causa d'allarme non esistente>.
Non appena viene ristabilita la connessione con il server, l´Lista contestuale viene visualizzato e gli elementi d´immagine che servono alla modifica tornano ad essere disponibili all´uso.


Driver nella rete di zenon

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete di zenon, il server primario comunica di norma via driver con il PLC. Le richieste del client vengono inoltrate tramite il server primario. Quest´ultimo acquisisce le informazioni dal PLC e le invia al client. I valori limite vengono monitorati dal server primario.

Driver

I driver vengono eseguiti sul server primario e sul Server-Standby.

Ancora in questo capitolo

Driver per variabili interne

Driver - Valori limite e matrici di reazione.

Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.


Driver per variabili interne

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver per variabili interne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le variabili interne, in zenon si può definire per ogni variabile se il suo valore è solo locale (sul calcolatore), oppure lo stesso nell'intera rete.

info Info

Le variabili del tipo di oggetto del driver variabili interne sono disponibili solamente per il driver per variabili interne (INTERN).

Per configurare il calcolo di variabili interne:

  1. Passare al nodo Variabili Interne delle proprietà delle variabili interne.

  2. Definite la postazione di esecuzione usando la proprietà Funzionamento:
    Questa proprietà può essere definita in modo differente per ogni singola variabile. Anche gli array sono supportati.
    1. Locale: nei progetti di rete, la variabile interna viene gestita e analizzata localmente, cioè anche sul Server-Standby e sui client. I valori non vengono sincronizzati con gli altri computer della rete.
    2. Rete: nei progetti di rete, la variabile interna viene analizzata e gestita sul server primario. Ha lo stesso valore sul server primario e su tutti client.

Nota: non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata a zenon Operator, nel capitolo CE Terminal come data server.


Driver - Valori limite e matrici di reazione.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver - Valori limite e matrici di reazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, i valori limite e le matrici di reazione vengono monitorati sul server primario (dove viene gestita anche la AML).

Per le variabili interne locali vale anche quanto segue:

  • I valori limite e le matrici di reazione vengono monitorati localmente su tutti i computer (server primario, Server-Standby e client).
  • Le funzioni di valore limite collegate vengono eseguite solo dove il valore limite della variabile interna locale è stato violato.
  • Le violazioni di valore limite di queste variabili sul Server-Standby oppure sul client non sono un allarme.


Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando un server configurato viene avviato o riavviato, è possibile che il passaggio al ruolo di server primario venga ritardato da un driver.

Questo garantisce che il cambio dei ruoli avvenga solamente quando tutte le variabili di processo hanno un valore valido.

info Info

Il ritardo del cambio di ruoli è supportato solamente da pochi driver, come, per es., ilSiemens AK-Treiber.

Per verificare se questo meccanismo è supportato no, consultare la documentazione del driver.

Messaggi nei LOG

Parametri

Livello

Descrizione

Redundancy Switch confirmation requested for project <Nome progetto> module:VAR sequenceNo:<SequenceNo>

Debug

Richiesta conferma che può essere eseguito il cambio di server primario

  • Nome progetto
    Il nome del progetto.
  • SequenceNo
    Numero progressivo per l'assegnazione di request e response.

Redundancy Switch confirmed for project <Nome progetto.> module:VAR sequenceNo: <SequenceNo>

Debug

Conferma che può essere eseguito il cambio di server primario

Redundancy Switch delayed for project <Nome progetto.> module:VAR sequence id: <SequenceNo>

Debug

Ritardo del cambio di ruoli server attivato.

Sample driver gave startup okay

Debug

Tempo di ritardo scaduto sul driver.

me:<Transport class> mod:<NetzwerkModuleId>(<Network module name>) msg:<network module command> SeqId:<SequenceId> dest:<Targetcomputer> prj:<projectname>

Debug

Inserimento nei LOG quando è necessaria una conferma fra diversi computer.

  • Transport class:
    Nome classe per il trasporto del comando. Varia a seconda del modulo.
  • Network module ID:
    ID del modulo di rete.
  • Network module name:
    Nome del modulo di rete.
  • SequenceId:
    Numero progressivo usato per assegnare request e response.
  • Target computer:
    Computer a cui sono trasferiti i dati.
    Optional. S indica il server attivo.
  • Project name:
    Nome del progetto per cui viene eseguito il trasporto.


zenon Web Client nella rete ridondante

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> zenon Web Client nella rete ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal Tipo di ridondanza impostato. È possibile che i ruoli svolti dai computer configurati nell´Editor come Server 1 e Server 2 cambi a Runtime, in modalità che dipendono dalla configurazione del Tipo di ridondanza, e dall´analisi corrente (nel caso sia stata impostata la modalità Tipo di ridondanza ponderata).

Si raccomanda, perciò, di configurare tutti e due i server per lo zenon Web Server. Per farlo, modificare nel file di configurazione global_vars.js la riga con l´inserimento RUNTIMESERVER= e inserire qui entrambi i computer.

La successione dovrebbe corrispondere a quella della progettazione nell´Editor di zenon:

I dettagli relativi alla configurazione si trovano nel capitolo Configurazione del global_vars.js.

Configurazione server modificata

Se il nome server configurato nell´Editor non corrisponde a quello impostato nel file global_vars.js, lo zenon Web Client non si avvia.

Se la configurazione del server viene modificata in zenon per un sistema in esecuzione, nello zenon Web Client verrà visualizzata la finestra di dialogo "Il Runtime è occupato".

Dopo una sincronizzazione di progetto, verranno visualizzate in un´altra finestra di dialogo la configurazione attiva al momento e quella configurata. In questo caso, la finestra browser deve essere chiusa dall´utente e lo zenon Web Client deve essere riavviato.

attention Attenzione

Se si cambia la configurazione di Server 1 e Server 2 nell´Editor di zenon, anche il file global_vars.js deve essere modificato in modo corrispondente.

Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata allo zenon Webserver nel capitolo Configurazione di global_vars.js.


Temporizzatori

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Temporizzatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I temporizzatori vengono eseguiti sul server primario. La funzione attivata viene eseguita sul sistema che nelle impostazioni è stato impostato per l'esecuzione della funzione.


Attribuzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Attribuzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le attribuzioni vengono eseguite sempre solo sul server primario.

attention Attenzione

Questo è di particolare importanza per le variabili interne locali. Le attribuzioni non verranno eseguite sul Server-Standby o sui client!


Messaggi di rete del driver di sistema

Manuale -> Rete -> Messaggi di rete del driver di sistema

Su questo tema sono disponibili le seguenti variabili di sistema:

Nome (Name)

Tipo di dato

Commento

[Rete] Server primario attuale

STRING

lokal

Nome computer del server primario attuale.
Se il nome viene acquisito dal file host, sarà il nome che vi è stato inserito. Con il DNS, questo nome è il nome di dominio completo (Fully Qualified Domain Name).

Nota: se la rete è disattivata, la variabile invia lo stato INVALID. La variabile [Rete] Server Standby attuale, invece, rimane vuota.

[Rete] Server Standby attuale

STRING

lokal

Nome computer del server che attualmente non è quello primario.
Se il nome viene acquisito dal file host, sarà il nome che vi è stato inserito. Con il DNS, questo nome è il nome di dominio completo (Fully Qualified Domain Name).

[Rete] Quantità clients collegati

UDINT

Restituisce il numero dei client attualmente connessi al server. Questo numero include anche il Server-Standby, se presente.

[Rete] Autorizzazione negata

BOOL

Mostra se un´autorizzazione operativa richiesta in rete viene rifiutata. In questo caso, il valore della variabile viene modificato solo per poco tempo, per poi essere resettato sullo stato originario.

  • 0 = richiesta di autorizzazione operativa accettata
  • 1 = richiesta di autorizzazione operativa negata

[Rete] Autorizzazione rete: disponibile su questo PC

BOOL

Mostra se sul calcolatore locale è disponibile l´autorizzazione operativa per il progetto attuale.

  • 0 = No
  • 1 = Si

[Rete] Autorizzazione di rete: Computer in possesso

STRING

Mostra il nome del calcolatore che possiede l´autorizzazione operativa per il progetto attualmente in esecuzione.

[Rete] Risultato valutazione Server 1

UDINT

Quando si effettuano dei cambiamenti ad una variabile della matrice di analisi, dopo il calcolo del nuovo esito dell´analisi, questo valore viene scritto sulla variabile di sistema corrispondente per Server 1 o Server 2. I valori si sincronizzano reciprocamente (Server <-> Standby), in modo tale che su entrambi i server ci sia sempre il valore attuale. Dopo che un terminale ha smesso di funzionare, il valore rimane ancora sulla relativa variabile e la sincronizzazione avviene solo dopo una nuova connessione.

Nota: ulteriori informazioni sull´analisi si trovano nella parte della guida dedicata alla Rete, e più precisamente nel capitolo Configurazione dell´analisi della ridondanza.

[Rete] Risultato valutazione Server 2

UDINT

Quando si effettuano dei cambiamenti ad una variabile della matrice di analisi, dopo il calcolo del nuovo esito dell´analisi, questo valore viene scritto sulla variabile di sistema corrispondente per Server 1 o Server 2. I valori si sincronizzano reciprocamente (Server <-> Standby), in modo tale che su entrambi i server ci sia sempre il valore attuale. Dopo che un terminale ha smesso di funzionare, il valore rimane ancora sulla relativa variabile e la sincronizzazione avviene solo dopo una nuova connessione.

Nota: ulteriori informazioni sull´analisi si trovano nella parte della guida dedicata alla Rete, e più precisamente nel capitolo Configurazione dell´analisi della ridondanza.

[Rete] Nomi dei clients collegati

STRING

xxx Mostra i nomi dei client attualmente connessi al server. Compreso anche quello di un eventuale Server-Standby.

[Rete] Server primario <-> server standby in sincronizzazione dati

BOOL

Una variabile binaria che riceve per breve tempo il valore 1 se dal sistema viene eseguito un cambio di ridondanza fra server e Server-Standby.

  • 0 = nessuna sincronizzazione
  • 1 = sincronizzazione dati attiva

[Rete] Server primario fuori servizio

BOOL

lokal

Indica che la connessione con il server primario è andata persa.
A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: nel periodo di tempo in cui questo non è ancora server primario, il valore passa a TRUE se la connessione con il server primario si è interrotta. Dopo la sincronizzazione sempre FALSE.
  • Server non dominante: passa a TRUE quando la connessione al server dominante (che era primario) si è interrotta. Ritorna a FALSE quando il Server-Standby è passato a svolgere il ruolo di server primario.
    VALUTAZIONE: preferibilmente tramite una matrice di reazione (REMA), visto che anche la gestione allarmi a questo punto passa da un calcolatore all´altro e viene ripresa dal SB. Anche il contenitore online non è adatto allo scopo visto che le variabili vengono inizializzate di nuovo nel caso di un cambio di ridondanza.

Client: Passa a TRUE quando la connessione al server primario si è interrotta. Ritorna a FALSE quando il client si connette al computer SB che ha assunto adesso il ruolo di server primario.

[Rete] Server primario terminato

BOOL

lokal

Indica che il server primario è stato terminato in modo corretto.
Il valore passa a TRUE quando il server primario è stato terminato in modo regolare. È FALSE quando c'è un server primario in rete.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: Nel periodo di tempo in cui questo non è ancora server primario, il valore passa a TRUE quando il server primario si è fermato.
  • Server non dominante: Passa a TRUE quando il server dominante (che è primario), si è fermato. Ritorna a FALSE quando lo SB è passato a svolgere il ruolo di server primario.
  • VALUTAZIONE: preferibilmente tramite una matrice di reazione (REMA), visto che anche la gestione allarmi a questo punto passa da un calcolatore all´altro e viene ripresa dal SB. Anche il contenitore online non è adatto allo scopo visto che le variabili vengono inizializzate di nuovo nel caso di un cambio di ridondanza.
  • Client: passa a TRUE quando il server dominante si è fermato. Ritorna a FALSE quando il client si connette al computer SB che ha assunto adesso il ruolo di server primario.
    È TRUE anche nel periodo di tempo in cui il server non dominante primario torna ad essere server non primario.

[Rete] Stand-alone/Server primario/Server Standby/Client

DINT

Mostra di che tipo è il computer locale nella rete.

  • -1 = Standalone
  • 0 = Client
  • 1 = server primario
  • 2 = Server Standby

[Rete] Server Standby fuori servizio

BOOL

Passa a TRUE quando la connessione al server attualmente non primario è stata interrotta in modo inaspettato. Se la connessione esiste e funziona, il valore è FALSE.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta nel modo descritto solo a partire dal momento in cui il Server-Standby diventa server primario.
  • Server non dominante: se, al momento della sincronizzazione file con il server dominante, ma non primario, la connessione si interrompe, il valore passa a TRUE. Sempre FALSE se non server primario.
  • Client: Come server primario

[Rete] Server Standby terminato

BOOL

È TRUE sul server primario se il server non primario è stato terminato in modo corretto e non c'è più una connessione. Ritorna a FALSE quando il server non primario si è registrato sul server primario.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta come descritto solo a partire dal momento in cui il Server-Standby diventa server primario.
  • Server non dominante: Se, al momento della sincronizzazione file con il server dominante, ma non primario, questo è stato terminato, il valore passa a TRUE. Sempre FALSE se non server primario.
  • Client: Come server primario

[Rete] Server Standby attivato

BOOL

È TRUE se il server non primario si è registrato sul server primario, la sincronizzazione file è stata eseguita e la connessione fra i computer è attiva.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta come descritto solo a partire dal momento in cui il Server-Standby diventa server primario.
  • Server non dominante: diventa TRUE quando si avvia il server dominante, ma non primario Passa a FALSE quando il computer diventa server primario.
  • Client: Come server primario

[Rete] Timeout [ms]

UDINT

Mostra il tempo di timeout in millisecondi configurato per la rete di zenon.

[Rete] Imposta da Server primario a Server Standby

BOOL

Una variabile binaria che riceve il valore 1 quando, durante un cambio ridondanza, il server diventa Server-Standby.

  • 0 = il server inserito è disponibile in rete nel ruolo di server.
  • 1 = il server inserito è disponibile in rete nel ruolo di Server-Standby.

[Rete] Imposta da Server Standby a Server primario

BOOL

Una variabile binaria che riceve il valore 1 quando, durante un cambio ridondanza il Server-Standby diventa server.

  • 0 = il Server-Standby inserito è disponibile in rete nel ruolo di Server-Standby.
  • 1 = il Server-Standby inserito è disponibile in rete nel ruolo di server.


Ricette standard

Manuale -> Ricette standard

Le ricette raccolgono valori impostabili e comandi in una lista che viene aperte nel runtime con l´apertura di funzione.

Le ricette possono essere configurate sia nell´editor, che durante il runtime (per mezzo di un´immagine del tipo Ricetta standard).

Una raccolta di più ricette viene creata e gestita nel Manager gruppi ricette.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Configurazione nell'Editor

Funzione di cambio immagine - Ricetta standard

Gestione a Runtime


Configurazione nell'Editor

Manuale -> Ricette standard -> Configurazione nell'Editor

Ancora in questo capitolo

Menù contestuale - Manager di progetto

Menù contestuale Visualizzazione dettagliata:

Imposta tipo di immagine "ricetta standard"

Creare una nuova ricetta

Aggiungere delle variabili alla ricetta

Modifica valore impostabile

Eseguire le ricette


Menù contestuale - Manager di progetto

Manuale -> Ricette standard -> Configurazione nell'Editor -> Menù contestuale - Manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa da un file XML.
Importa ASCII | Importa da file ASCII.
Profilo Editor | Apre la lista a cascata per l´attribuzione di un Profilo editor.
Guida | Apre la guida online.


Menù contestuale Visualizzazione dettagliata:

Manuale -> Ricette standard -> Configurazione nell'Editor -> Menù contestuale Visualizzazione dettagliata:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Crea funzione standard | Apre il dialogo che serve alla selezione di una ricetta e di un´azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare variabili.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti.
Incolla | Inserisce il contenuto degli appunti. Se esiste già un inserimento con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Sposta in su | Sposta l´inserimento all´interno della lista ricette di una posizione verso l´alto.
Sposta in giù | Sposta l´inserimento all´interno della lista ricette di una posizione verso il basso.
Modifica valore impostabile | Attiva la cella Valore impostabile per inserire un valore.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa file XML | Importa da un file XML.
Esporta selezione in ASCII... | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare della ricetta selezionata. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.
Proprietà | Apre la finestra delle proprietà.
Guida | Apre la guida online.

Mene contestuale albero nella visualizzazione dettagliata.

Voce di menù | Azione
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare variabili.
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Crea funzione standard | Apre il dialogo per la selezione di una ricetta e per la definizione dell´azione desiderata.
Copia | Copia gli inserimenti selezionati negli appunti.
Inserisci | Inserisce il contenuto degli appunti. Se esiste già un inserimento con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
_Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa file XML | Importa da un file XML.
Esporta selezione in ASCII... | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare della ricetta selezionata. Possibile anche cliccando con il mouse nel campo corrispondente della visualizzazione dettagli, oppure usando il tasto F2.
Proprietà | Apre la finestra delle proprietà.
Guida | Apre la guida online.

Menù contestuale - Dettagli

Voce di menù | Azione
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare variabili.
Cancella variabile | Elimina le variabili selezionate dopo una richiesta di conferma per ragioni di sicurezza.
Sposta in su | Sposta la variabile selezionata di una posizione verso l´alto.
Sposta in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Apre la cella con il valore impostabile che si vuole modificare.
Elimina filtro | Elimina tutte le impostazioni di filtro attive
Guida | Apre la guida online.


Imposta tipo di immagine "ricetta standard"

Manuale -> Ricette standard -> Configurazione nell'Editor -> Imposta tipo di immagine "ricetta standard"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione delle ricette durante il runtime avviene mediante un'immagine del tipo Ricetta standard. Quest'immagine deve essere anzitutto definita nell'editor.

Crea immagine del tipo "ricetta standard"

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Ricetta standard.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Finestra a Runtime.

Elemento di controllo

Descrizione

Nome ricetta

Nome della ricetta attualmente selezionata

Finestra ricetta

Rappresentazione della ricetta selezionata in forma tabellare.

Scrittura in corso

Si tratta di una bargraf che indica lo stato di avanzamento della dichiarazine delle ricette.

L´elemento di controllo mostra la barra di avanzamento a seconda del posizionamento e delle caratteritiche dell´elemento o dal basso verso l´alto, oppure da sinistra a destra.

L´elemento di controllo è nascosto durante il Runtime e viene visualizzato solamente durante la scrittura di una ricetta.

Nota: l´elemento di controllo viene visualizzato solamente se la proprietà Scrittura sincrona è attiva.

Funzioni ricetta

Azioni per ricette a Runtime.

Elemento di controllo

Descrizione

Nuova ricetta

Creare una nuova ricetta

Modifica Ricetta

Modificare la ricetta attuale.

Duplica ricetta

Copia la ricetta attuale

Salva ricetta

Salvare la ricetta attuale con lo stesso nome

Ricetta eliminata

Cancellare la ricetta attuale

Esporta ricetta

Esporta la ricetta attuale in un file TXT.

Importare Ricetta

Importa la ricetta attuale da un file TXT.

Leggi valori dall'Hardware

I valori di tutte le variabili selezionate nella ricetta sono letti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Modifica valore impostabile

Modifica il valore di una variabile selezionata nella ricetta Un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: Se questo elemento non esiste nell’ immagine, le ricette vengono visualizzate all’ interno della lista con l’ impossibilità di essere modificate.

Tutti i valori ++

Tutti valori della ricetta selezionata vengono aumentati di 1.

Tutti i valori --

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

Esegui ricetta

I valori di tutte le variabili che si trovano nella ricetta selezionata sono scritti nel PLC nella stessa maniera di come sono rappresentati nella tabella.

aggiungi variabile

Aggiunge una variabile alla ricetta selezionata E' possibile usare anche variabili di altri progetti caricati.

Cancella variabile

Separa la variabile selezionata dalla ricetta

Navigazione

Elementi di controllo per la navigazione nelle ricette.

Elemento di controllo | Descrizione
Ricetta precedente | Passa alla ricetta precedente.
Prima ricetta | Passa alla prima ricetta
Ricetta successiva | Passa alla ricetta seguente.
Ultima ricetta | Passa all´ultima ricetta.

Scrivere simultaneamente:

se la proprietà Scrittura sincrona è attiva, l´elemento di controllo Stato di avanzamento viene visualizzato quando una ricetta viene scritta nel PLC e finché non giunge la conferma di scrittura al modulo ricette, indipendentemente dal fatto, se essa è positiva o negativa. Nel caso in cui si voglia che il sistema reagisca ad una conferma di scrittura negativa, si può raggiungere tale obiettivo facendo uso delle Matrici di reazione.

info Info

I pulsanti possono essere protetti per mezzo di una password e di un livello di autorizzazione. Per i dettagli si veda la sezione Gestione durante il runtime.


Creare una nuova ricetta

Manuale -> Ricette standard -> Configurazione nell'Editor -> Creare una nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova ricetta, si deve selezionare nel Manager di progetto la voce Nuova ricetta nel menù contestuale del punto Ricette/ Ricette standard. La nuova ricetta viene poi visualizzata nella sezione lista del Manager di progetto. Nella visualizzazione dettagli si effettua poi anche l'ulteriore lavoro di progettazione.


Aggiungere delle variabili alla ricetta

Manuale -> Ricette standard -> Configurazione nell'Editor -> Aggiungere delle variabili alla ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver creato una nuova ricetta, potete aggiungervi delle variabili.

attention Attenzione

Variabili stringa non possono essere scritte con una ricetta standard sul PLC. Per le variabili stringa usate il manager di gruppi ricette.

Variabili vengono selezionate nel dialogo 'Filtro: Selezione variabili'. Le variabili vengono riprese o cliccando due volte, oppure usando il pulsante Aggiungi. E' possibile una selezione multipla. Possono essere utilizzate anche variabili provenienti da sotto-progetti caricati. Tutte le variabile che vengono aggiunte ad una ricetta non devono essere protette da scrittura. Se si eseguono delle modifiche relative alle variabili (se ne cambia la configurazione standard), anche il valore impostabile da settare viene adeguato nella ricetta in modo proporzionale.

info Info

Un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Smista variabili

Potete smistare le variabili a piacimento:

Selezionate la variabile la cui posizione nella successione deve essere modificata e scegliete una delle seguenti azioni:

  • Spostare usando i tasti delle frecce che si trovano sulla tastiera in basso a destra
  • Selezionare nel menù contestuale "su" o "giù".

Menù contestuale Visuale dettagliata variabili

Parametri | Descrizione
Aggiungi variabile | Apre la finestra di dialogo che consente di selezionare delle variabili.
Cancella variabile | Cancella le variabili selezionate dalla lista dopo una richiesta di conferma.
Sposta in su | Sposta la variabile selezionata di una posizione verso l´alto.
Sposta in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Fa passare la cella Imposta valore in modalità di modifica ed evidenzia il corrente valore impostabile.
Rimuovi tutti i filtri | Elimina tutti i filtri impostati.
Guida | Apre la guida online.


Modifica valore impostabile

Manuale -> Ricette standard -> Configurazione nell'Editor -> Modifica valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter modificare il valore impostabile di una variabile, esistono le seguenti possibilità: cliccare sulla voce Modifica valore impostabile del menù contestuale, oppure inserire direttamente la modifica desiderata nella colonna "Imposta valore". Per la verifica del valore impostabile, vengono visualizzati per ogni variabile il valore tecnico minimo e massimo. È possibile selezionare più inserimenti quando si cancellano delle variabili; una selezione multipla non è possibile in caso di modifica delle variabili.

La variabile _LASTRECIPE contiene il nome dell'ultima ricetta standard eseguita.

Questo Le permette di effettuare un management di ricette ed avrà in ogni momento l'informazione su quale ricetta viene attualmente modificata.

La variabile _LASTNEWRECIPE contiene il nome dell'ultima ricetta standard creata.

Le variabili _LASTRECIPE e _LASTNEWRECIPE possono essere basate su qualsiasi driver e deve esserne autorizzata la scrittura.

attention Attenzione

Eccezioni:

La variabile _LASTRECIPE non è realizzabile con il driver di sistema standard.

La variabile _LASTNEWRECIPE non è realizzabile con il driver di sistema standard.

Ancora in questo capitolo

Controllo di impostazione valori


Controllo di impostazione valori

Manuale -> Ricette standard -> Configurazione nell'Editor -> Modifica valore impostabile -> Controllo di impostazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene scritto un valore, questo riceve un bit di stato. Se il processo di scrittura riesce, viene settato il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: scrittura riuscita.

    Valore 0: scrittura non riuscita. Non è stato possibile settare il valore.

info Info

In caso di reload del progetto o di passaggio al Server-Standby in un sistema ridondante, i messaggi di feedback e le conferme di scrittura in attesa vengono rifiutate!

Questa combinazione di stati permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati passano a 0, finché il procedimento di scrittura non è concluso. Per analizzare questo processo, nella REMA si deve eseguire una query di questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: operazione di scrittura riuscita.
  • WR-ACK 1, WR-SUC 0: operazione di scrittura non riuscita.

attention Attenzione

Questo meccanismo verifica solamente se il processo di scrittura su PLC è riuscito o meno. Questo non significa, però, che il valore sia stato effettivamente modificato sul PLC, poiché il PLC può resettare/sovrascrivere il valore immediatamente. (Per esempio, nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Imposta valore: attivare l´opzione Attendi conferma scrittura nella finestra di dialogo di configurazione della funzione.
  • Ricette standard: attivare la proprietà Scrittura sincrona .
  • Manager gruppi di ricette: attivare la proprietà Scrittura sincrona.

Inserimento nella CEL

  • Funzione “Imposta valore”

    Per l´inserimento nella CEL, si deve attivare nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto la proprietà Funzioni impostazione valore. Poi, ogni volta che si esegue la funzione, la risposta positiva o negativa verrà scritta nella CEL.

  • Ricette standard e Manager di gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa al valore 1 quando la scrittura della ricetta è riuscito. Per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita, viene analizzata una variabile globale sul server, una locale sul client.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le matrici di reazione. La query avviene con una matrice di reazione multianalogica o una multibinaria.


Eseguire le ricette

Manuale -> Ricette standard -> Configurazione nell'Editor -> Eseguire le ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´esecuzione di ricette può avvenire:

  • durante il runtime per mezzo di pulsante nell´immagine ricetta standard,
  • tramite l´apertura progettata nell´Editor di una funzione per l´esecuzione della ricetta mediante:
    • Script (p.e. AUTOSTART-script)
    • Stato variabili
    • Elemento ad immagine dinamico, per es. Pulsante


Funzione di cambio immagine - Ricetta standard

Manuale -> Ricette standard -> Funzione di cambio immagine - Ricetta standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione di cambio immagine per l´immagine di tipo “Ricetta standard” consente di aprire un´immagine con una ricetta standard a Runtime.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Selezionare "Cambio immagine".
  3. Selezionare l´immagine desiderata di tipo Ricetta standard.
  4. Si apre la finestra di dialogo filtro per:
    • Selezione ricette
    • Impostazioni colonne
  5. Definire la ricetta e le impostazioni delle colonne
  6. Chiudere la finestra di dialogo cliccando su OK.

Ancora in questo capitolo

Cartella “Selezione ricette”

Scheda “Impostazioni colonne”


Cartella “Selezione ricette”

Manuale -> Ricette standard -> Funzione di cambio immagine - Ricetta standard -> Cartella “Selezione ricette”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Ricette

Selezione della ricetta che deve essere visualizzata con l´esecuzione della funzione di cambio immagine.

Proponi dialogo a Runtime

Attivo: quando si esegue la funzione di cambio immagine a Runtime, verrà visualizzata questa finestra di dialogo. La ricetta selezionata potrà poi essere modificata.

Non attivo: l´immagine viene aperta con la ricetta definita nell´Editor. Non ci sarà nessuna possibilità di modifica a Runtime.


Scheda “Impostazioni colonne”

Manuale -> Ricette standard -> Funzione di cambio immagine - Ricetta standard -> Scheda “Impostazioni colonne”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce quali colonne dovranno essere visualizzate nel campo lista e in che modo.

Parametri | Descrizione
Colonne | Definizione delle colonne visualizzate a Runtime.
Parametri | Definizione delle proprietà per la colonna evidenziata.
Descrizione | Didascalia della colonna a Runtime.
Larghezza | Larghezza della colonna in pixel.
Orientamento | Orientamento del testo nella colonna.


Gestione a Runtime

Manuale -> Ricette standard -> Gestione a Runtime

A Runtime sono disponibili le seguenti funzioni per la gestione delle ricette:

Parametri | Descrizione
Richiamo ricetta singola | Settaggio diretto della ricetta attivata.
Richiamo ricetta singola con selezione | Modifica dei parametri della ricetta attivata.
Richiamo ricetta singola con selezione online | Selezione di una ricetta e modifica dei relativi parametri.

Quando si utilizza la funzione Richiamo ricetta singola con selezione, viene aperta la maschera ricette.

I pulsanti di questa finestra di dialogo sono:

Parametri

Descrizione

Salva

Salva le modifiche nella ricetta.

Chiudi

Chiude le impostazioni della ricetta.

Imposta

Setta la ricetta con i parametri correnti.

Aggiungi variabile

Aggiunge alla ricetta una nuova variabile selezionata dalla lista delle variabili.

Rilascia variabile

Cancellazione temporanea della variabile selezionata dalla ricetta (se la ricetta viene salvata, la cancellazione è definitiva).

Modifica valore impostabile

Modifica del valore della variabile selezionata.

Per inserire un valore decimale si può utilizzare sia la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: se questo elemento non esiste nell’immagine, le ricette vengono visualizzate nella lista protette da scrittura.

Quando si utilizza la funzione Richiamo ricetta singola con selezione online, possono essere selezionati e modificati la ricetta ed i suoi parametri . Viene aperta la finestra di dialogo che consente di selezionare una ricetta. La procedura è uguale a quella di configurazione nell´Editor, solo che non è possibile cancellare nessuna ricetta.

info Info

Se viene avviato un reload, oppure viene eseguito un cambio server/Server-Standby, i feedback in attesa o le conferme di scrittura verranno rifiutate!

Ulteriori informazioni sui file Runtime modificati si trovano nel capitolo File Runtime modificabili

Autorizzazione operativa a Runtime

Le azioni eseguite a Runtime possono essere protette con una password e livelli di autorizzazione:

  • Per cancellare, salvare e modificare ricette, l'utente registrato deve avere assegnato il livello di autorizzazione impostato nella ricetta. Se manca l'autorizzazione necessaria, l'operazione non verrà eseguita.
  • Se il pulsante Modifica valore impostabile è protetto da una password, il valore nella tabella può essere modificato solo se l´utente dispone del livello di autorizzazione corrispondente. Altrimenti, in caso di Login temporaneo attivo, viene visualizzata la finestra di dialogo per eseguire il Login non appena si clicca su una colonna per modificare un valore.
  • Se il pulsante Salva modifiche è protetto da una password e l´utente non dispone del livello di autorizzazione necessario, quando si chiude l´immagine, viene aperta la finestra di dialogo di Login temporaneo per consentire di salvare le modifiche eseguite.

Ancora in questo capitolo

Funzioni - ricetta

Informazioni di stato per ricette e Manager di gruppi ricette


Funzioni - ricetta

Manuale -> Ricette standard -> Gestione a Runtime -> Funzioni - ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire la gestione delle ricette a Runtime, si deve procedere a creare le funzioni ricetta desiderate.

Se si crea una funzione standard usando la corrispondente voce del menù contestuale della visualizzazione dettagli, zenon crea automaticamente una funzione Ricette standard per la ricetta selezionata.

Ancora in questo capitolo

Ricetta singola

Ricetta Standard


Ricetta singola

Manuale -> Ricette standard -> Gestione a Runtime -> Funzioni - ricetta -> Ricetta singola

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili tre tipi di funzione "Ricetta singola”:

  • Richiamo ricetta singola.
  • Richiamo ricetta singola con selezione.
  • Richiamo ricetta singola con selezione online.

Richiamo ricetta singola.

Eseguendo questa funzione a Runtime, si setta direttamente una ricetta definita. In una ricetta possono essere selezionate solo le variabili di processo di un driver.

Come parametro di trasferimento si deve indicare la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo.

Richiamo ricetta singola con selezione.

Eseguendo questa funzione a Runtime, si può modificare (modifica del valore impostabile) una determinata ricetta prima che la stessa venga settata.

Come parametro di trasferimento si deve indicare la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo.

Dopo aver selezionato la ricetta, la funzione viene inserita nella lista delle funzioni.

A Runtime verrà aperta la finestra di dialogo che consente di settare il valore impostabile della ricetta.

Le possibili impostazioni nell'Editor e nel Runtime sono:

Parametri | Descrizione
Aggiungi variabile | Aggiunge una variabile nuova alla ricetta.
Rilascia variabile | Cancella la variabile selezionata dalla ricetta.
Modifica valore impostabile | Modifica il valore della variabile selezionata.

Richiamo ricetta singola con selezione online.

Eseguendo questa funzione a Runtime, si può selezionare e modificare (modifica del valore impostabile) una ricetta prima che la stessa venga settata.

Come parametro di trasferimento deve essere indicata una ricetta predefinita. La configurazione della funzione viene eseguita tramite una apposita finestra di dialogo.

A Runtime viene aperta la finestra di dialogo di selezione ricette.

Le opzioni configurabili sono:

Parametri | Descrizione
Nuova | Crea una nuova ricetta.
Copia | Copia la ricetta selezionata e la salva con un altro nome.
Modifica | Modifica il nome della ricetta selezionata.
Elimina | Cancella la ricetta selezionata.

Dopo aver selezionato la ricetta, la funzione viene inserita nella lista delle funzioni.

Le proprietà configurabili sono:

Aggiungi variabile | Aggiunge una variabile nuova alla ricetta.
Rilascia variabile | Cancella la variabile selezionata dalla ricetta.
Modifica valore impostabile | Modifica il valore della variabile selezionata.

Se si vuole impedire la modifica delle ricette a Runtime, ma consentire una selezione delle singole ricette, si deve eseguire un inserimento corrispondente nel file zenon6.ini.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0: nessuna modifica consentita. 1: modifica consentita (default).


Ricetta Standard

Manuale -> Ricette standard -> Gestione a Runtime -> Funzioni - ricetta -> Ricetta Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, si può eseguire una ricetta salvata, oppure la si può leggere e esportare dall'hardware. E' possibile, inoltre, importare nuove ricette, oppure crearne delle nuove sulla base dei valori correnti acquisiti dall'hardware.

Procedura per creare la funzione:

  1. Creare una nuova funzione.
  2. Nel nodo Ricetta, selezionare la funzione Ricetta standard.
  3. Si apre la finestra di dialogo di selezione ricette.
  4. Nella scheda Selezione ricette, selezionare la ricetta da aprire.
  5. Nella scheda Azione da eseguire, definire l´azione che deve essere eseguita a Runtime.

Selezione ricette

Parametri

Descrizione

Scegli ricetta

Selezione della ricetta che deve essere letta o scritta.

Nome ricetta da variabile

Il nome della ricetta che deve essere scritta o letta, viene definito tramite la variabile impostata.

Attenzione: prima della esecuzione della funzione, la variabile stringa deve contenere un nome ricetta valido, per es. Rezept_4. Altrimenti la funzione non potrà essere eseguita.

Azione da eseguire

Parametri | Descrizione
Imposta valori | I valori delle variabili della ricetta selezionata vengono scritti sul PLC.
Leggi valori | I valori delle variabili della ricetta selezionata vengono acquisiti dal PLC e sovrascrivono i valori correnti nella ricetta stessa.
Duplica ricetta | La ricetta sorgente crea una copia di se stessa con il nome della ricetta di destinazione. Il nome della ricetta duplicata non viene salvato nella variabile _LASTNEWRECIPE. I dettagli sulla configurazione si trovano nella sezione Duplica ricetta.
Esporta ricetta | Esporta la ricetta. I dettagli sulla configurazione si trovano nella sezione Esporta ricetta.
Importare ricetta | Importa la ricetta da file o da da variabile. I dettagli sulla configurazione si trovano nella sezione Importare ricetta.
Proponi dialogo a Runtime | Visualizza a Runtime la finestra di dialogo che consente di modificare le impostazioni.

Duplica ricetta

Parametri

Descrizione

Scegli ricetta di destinazione

Selezione di una ricetta esistente, che deve essere sovrascritta con i dati della ricetta sorgente.

Attenzione: i dati della ricetta di destinazione vengono sovrascritti.

Ricetta nuova

(generare nome)

Viene creata una nuova ricetta corrispondente alla sintassi standard. Gli spazi vuoti nella successione delle ricette vengono riempiti automaticamente.

Esempio: esistono già Ricetta_0 e Ricetta_2. Con la prima operazione “duplica”, viene creata una nuova ricetta con il nome Ricetta_1. Con la seconda operazione “duplica”, viene creata una ricetta con il nome Ricetta_3.

Ricetta di destinazione da variabile

Il nome della ricetta di destinazione viene definito mediante il contenuto di una variabile stringa.

Nota: se la variabile stringa della ricetta di destinazione non contiene nessun testo, il sistema assegna automaticamente un nome ricetta.

Esporta ricetta

Parametri | Descrizione
Genera automaticamente nome file | Il nome file viene generato automaticamente.
Assegna nome file | Cliccando sul pulsante ... si apre l´Explorer che consente di selezionare una cartella di salvataggio e di assegnare un nome file.
Nome file da variabile | Il nome del file viene definito sulla base del contenuto di una variabile stringa.

Importare ricetta

Parametri | Descrizione
Assegna nome file | Cliccando sul pulsante ... si apre l´Explorer che consente di selezionare una cartella di salvataggio e un file.
Nome file da variabile | Viene importata una ricetta da una variabile collegata.


Informazioni di stato per ricette e Manager di gruppi ricette

Manuale -> Ricette standard -> Gestione a Runtime -> Informazioni di stato per ricette e Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni di stato vengono fornite a Runtime per:

  • Lettura / Scrittura.
  • Esportazione/importazione.
  • Salvataggio.

Quando si scrive una ricetta, la variabile riceve il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente

Valore | Risultato
0 | Valore di inizializzazione prima del settaggio della ricetta.
1 | Operazione di scrittura riuscita.
2 | Operazione di scrittura non eseguita perché esiste un errore di parametro
3 | Operazione di scrittura non riuscita.
5 | Operazione di scrittura interrotta perché viene chiuso il Runtime.
6 | Intervenuto Timeout.

Nota: se è stata attivata la funzionalità di rete nel progetto, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale.

info Info

Quando si parla di "scrittura", si intende la scrittura sul driver. Il driver invia poi la ricetta al PLC. Questo significa:

  • Proprietà Scrittura sincrona disattivata: se Ricetta standard/RGM-Ricetta scritta completamente ha il valore 1, questo non significa che i valori siano sul PLC. Significa solamente che sono stati scritti sul driver.
  • Proprietà Scrittura sincrona è attiva: la modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Nota: la visualizzazione dello stato di avanzamento dell´operazione di scrittura avviene solamente se la proprietà Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

In esecuzione

0

Lettura del valore di inizializzazione riuscita.

1

L'utente non ha l'autorizzazione operativa.

2

Nessuna autorizzazione in rete.

3

Annullamento da parte dell'utente.

4

Errore - non è stato possibile leggere tutto, per es. per:

  • Interruzione della comunicazione con l'hardware prima dell'inizio dell´operazione di lettura.
  • Un blocco dati non esiste sul PLC.
  • Errore verificatosi durante il trasferimento.

5

Errore di salvataggio del file ricetta.

6

Funzione terminata via VBA.

Funzioni specifiche per tipo di immagine

Per le operazioni di:

  • Lettura (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportazione/importazione e
  • Salvataggio

di una ricetta per mezzo di una funzione specifica per tipo di immagine, sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

Operazione di lettura riuscita.

2

Errore di lettura, esportazione/importazione oppure salvataggio per:

  • Interruzione della comunicazione con l'hardware prima dell'inizio dell´operazione di lettura.
  • Un blocco dati non esiste sul PLC.
  • Errore verificatosi durante il trasferimento.


Riferimenti incrociati

Manuale -> Riferimenti incrociati

I riferimenti incrociati offrono una panoramica su quali moduli e funzioni sono collegati e in che modo.
zenon mette a disposizione due strumenti per realizzare questa analisi:

  • Lista incrociata: visualizza i collegamenti esistenti nel progetto in una tabella. La lista incrociata si riferisce sempre al progetto attivo al momento.
  • Analisi di progetto: analizza l´uso di funzioni e variabili e trova quelle non usate.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Lista incrociata

Analisi di progetto


Lista incrociata

Manuale -> Riferimenti incrociati -> Lista incrociata

La Lista incrociata è una tabella che offre una panoramica relativa al progetto attivo al momento.
In questa tabella vengono visualizzate tutte le relazioni esistenti fra variabili, funzioni, immagini, ricette, ecc. ai fini della documentazione e della tracciabilità. La Lista incrociata, ad esempio, permette di vedere quali variabili sono usate in quali immagini.

Ancora in questo capitolo

Generale

Menù contestuale


Generale

Manuale -> Riferimenti incrociati -> Lista incrociata -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare la lista incrociata, cliccare nel menù Visuale sull´inserimento Lista incrociata. La Lista incrociata verrà aperta.

Per ottenere informazioni su determinati moduli, basterà estendere il nodo corrispondente nella struttura ad albero della Lista incrociata. Sono a disposizione:

Modulo

Elementi visualizzabili

Archiviazione
  • Funzioni
  • Variabili

Immagini
  • Elementi
  • Menù
  • Simboli: in zenon ci sono tre diverse librerie di simboli. (Per i dettagli, si veda il capitolo Librerie simboli).
  • Variabili

Elementi
  • Immagini
  • Variabili

Trend esteso
  • Funzioni

Funzioni

  • Archiviazione
  • Esecuzione funzione automatica
  • Immagini
  • Pulsante Bitmap
  • Pulsante
  • Menù
  • PFS
  • Matrice di reazione
  • Script
  • Pulsante invisibile
  • Valori limiti dinamici
  • Temporizzatori

Menù
  • Immagini
  • Funzioni
  • Variabili

PFS
  • Funzioni
  • Variabili

Matrice di reazione
  • Funzioni
  • Variabili

Manager gruppi ricette
  • Gruppi ricette
  • Variabili

Script
  • Funzioni

Ricette standard
  • Variabili

Simboli
  • Immagini
  • Simboli. Simboli: in zenon ci sono tre diverse librerie di simboli. (Per i dettagli, si veda capitolo Librerie simboli).

Variabili
  • Archiviazione
  • Immagini
  • Elementi
  • Trend esteso
  • Matematica
  • Menù
  • PFS
  • Matrici di reazione
  • Manager gruppi ricette
  • Ricette standard
  • Attribuzioni

Temporizzatori
  • Funzioni

Attribuzioni
  • Variabili

Quando si clicca su uno degli oggetti della lista, le informazioni relative vengono visualizzate nella parte destra della lista stessa.

Le informazioni sull'oggetto selezionato vengono elencate nella lista. Il contenuto di quest´ultima può essere ordinato e filtrato.

  • Ordinamento: quando si clicca sull´intestazione di una colonna, gli inserimenti verranno ordinati; cliccando una seconda volta, si inverte l´ordinamento.
  • Filtro: digitare un criterio di ricerca nel campo di inserimento del filtro che si trova nell´intestazione della colonna. Si possono concatenare diversi filtri.
    Per resettare il filtro: cancellare il contenuto del campo di inserimento del filtro.

Ancora in questo capitolo

Librerie simboli


Librerie simboli

Manuale -> Riferimenti incrociati -> Lista incrociata -> Generale -> Librerie simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si lavora con le librerie di simboli, bisogna tenere presente che zenon distingue fra tre diverse librerie di simboli:

Libreria simboli

Proprietà

Libreria simboli generale

I simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione quando si esegue un collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili elenca tutti i progetti del workspace da cui selezionare una variabile per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati solo al momento dell´avvio dell´Editor. Questi simboli non vengono salvati quando si esegue un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione per tutti i progetti del workspace.

Denominazione quando si esegue un collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • I simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti a variabili senza modifiche.
  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome della Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati quando si crea un backup di progetto.
  • Non possono essere configurati interblocchi e alias per l´ALC.
    Attenzione: se si aggiungono simboli che contengono interblocchi o alias, queste impostazioni verranno rimosse.

Libreria simboli nel progetto

I simboli sono disponibili solo nel progetto corrente.

Denominazione quando si esegue un collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel nodo Immagini del Manager del progetto e viene salvata quando si crea un backup di progetto.
  • Interblocchi e alias per l´ALC possono essere configurati. Queste proprietà vengono mantenute anche quando i simboli vengono aggiunti in immagini.

Copiare simboli fra librerie

I simboli possono essere copiati via Drag&Drop .
In questo caso, vale quanto segue:

  • Possono essere copiati solamente i simboli del primo livello della struttura ad albero.
  • Gruppi e cartelle non possono essere copiati.
  • Se i nomi dei simboli che si desidera copiare esistono già nella libreria di destinazione, i simboli inseriti verranno rinominati automaticamente.
    La modifica del nome avviene tramite l´inserimento di un carattere di sottolineatura e di un numero ordinale, per es.: Calibrator_1.
  • La possibilità di copiare simboli da una libreria all´altra è limitata.

Di seguito una panoramica delle possibilità di copiare simboli via Drag&Drop da una libreria all´altra:

Copiare via Drag&Drop possibile | Libreria simboli generale | Libreria simboli nel progetto globale | Libreria simboli nel progetto
Libreria simboli generale | -- | + | --
Libreria simboli nel progetto globale | -- | -- | +
Libreria simboli nel progetto | -- | + | --

Legenda:

  • +: possibile copiare.
  • --: non è possibile copiare.


Menù contestuale

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista incrociata mette a disposizione una sere di funzionalità:

  • Stampa lista: stampa l´area della lista incrociata contenente le informazioni selezionate (parte destra della finestra della lista incrociata).
  • Trova elemento nella lista: apre una finestra di dialogo che consente di cercare un determinato oggetto.
  • Chiamata funzioni: apre una finestra di dialogo contenente la lista delle funzioni configurate.
  • Variabili utilizzate: apre una finestra di dialogo con una lista delle variabili configurate.
  • Variabili non utilizzate: visualizza nella parte destra della finestra della lista incrociata tutte le variabili che non sono utilizzate.
  • Funzioni non utilizzate: visualizza nella parte destra della finestra della lista incrociata tutte le funzioni che non sono utilizzate.
  • Caratteri non utilizzati: visualizza nella parte destra della finestra della lista incrociata tutti i caratteri che non sono utilizzati.
  • Testi utilizzati in immagini: visualizza i testi utilizzati in immagini.
  • Seleziona elementi in lista: apre a finestra di dialogo che consente di selezionare uno o più elementi della lista.
  • Guida: Apre la guida online.
  • Elimina: elimina elementi non utilizzati (variabili, funzioni e caratteri)
    Questa opzione viene visualizzata nel menù contestuale solo se ci sono elementi che possono essere cancellati.

Per eseguire una delle funzionalità sopra descritte:

  1. Posizionare il focus sulla finestra lista (parte destra della lista incrociata).
  2. Cliccare con il tasto destro del mouse in quest´area.
  3. Selezionare il comando desiderato fra quelli offerti dal menù contestuale.

Ancora in questo capitolo

Stampa lista

Trova elemento nella lista

Chiamata funzioni

Variabili utilizzate

Variabili/Funzioni/Caratteri non utilizzati

Seleziona elementi in lista


Stampa lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Stampa lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Stampa lista del menù contestuale, viene visualizzata la finestra di dialogo standard che consente di selezionare una stampante e di configurare le opzioni di stampa.


Trova elemento nella lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Trova elemento nella lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Trova elemento nella lista del menù contestuale, viene visualizzata la seguente finestra di dialogo:

Parametro

Descrizione

Cerca

Inserimento di una successione di caratteri.

OK

Applica il criterio di ricerca e chiude la finestra di dialogo. Il primo elemento della lista che corrisponde al criterio di ricerca viene evidenziato. Il sistema ricerca corrispondenze a partire dal primo carattere del criterio di ricerca.

Esempio:
Nome elemento: se si digita W come criterio, la ricerca troverà Wizard_10. se si digita Z come criterio, l´elemento non verrà trovato e evidenziato.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Chiamata funzioni

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Chiamata funzioni del menù contestuale, viene visualizzata la seguente finestra di dialogo, nella quale sono elencate tutte le funzioni del progetto corrente:

Si può selezionare un elemento di questa lista. Se si clicca su OK, il sistema visualizzerà nella lista incrociata l´elemento con tutti i suoi usi.


Variabili utilizzate

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Variabili utilizzate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Variabili utilizzate del menù contestuale, si apre una finestra di dialogo che contiene tutte le variabili utilizzate.

Si può selezionare un elemento di questa lista. Se si clicca su OK, il sistema visualizzerà nella lista incrociata l´elemento con tutti i suoi usi.


Variabili/Funzioni/Caratteri non utilizzati

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Variabili/Funzioni/Caratteri non utilizzati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sono visualizzati elementi che al momento non vengono utilizzati nel progetto, al menù contestuale verrà aggiunto una ulteriore voce: Elimina. Con questo comando si possono eliminare dalla lista inserimenti selezionati. Questo è possibile per variabili, funzioni e caratteri.

attention Attenzione

La visualizzazione di oggetti non utilizzati si riferisce alle relazioni interne. Non si tiene conto dell´uso in simboli, via interfaccia di programmazione, nel Process Gateway, in zenon Logic, oppure in altre componenti esterne.

Prima di cancellarli, controllare sempre che gli elementi non siano usati da qualche altra parte e farne sempre una copia di sicurezza!

Nota: variabili e funzioni non utilizzate possono essere visualizzate in una lista e gestite usando l´analisi di progetto.


Seleziona elementi in lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Seleziona elementi in lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il comando Seleziona elementi in lista del menù contestuale, si apre una finestra che consente di eseguire una ricerca all´interno della lista.

Parametro

Descrizione

da - a

Attivo: il sistema cerca gli elementi che iniziano con determinate lettere. Si possono selezionare delle lettere per circoscrivere l´ambito della ricerca.

  • Da: prima lettera da prendere in considerazione per eseguire la ricerca.
  • A: ultima lettera da prendere in considerazione per eseguire la ricerca.

Il sistema troverà tutti gli elementi la cui lettera iniziale si trova nell´ambito definito. La direzione di ricerca è sempre A->Z.

Tutti elementi che iniziano con...

Attivo: il sistema cerca quegli elementi che iniziano con una certa successione di caratteri.

OK

Applica i criteri di ricerca impostati, chiude la finestra di dialogo e evidenzia gli elementi trovati nella lista.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Analisi di progetto

Manuale -> Riferimenti incrociati -> Analisi di progetto

L´analisi di progetto analizza l´uso di elementi in un progetto.

È possibile:

  • Analizzare il collegamento con altri elementi.
  • Cercare elementi non utilizzati.

Al momento, l´analisi di progetto è disponibile per:

  • Funzioni
  • Script
  • Variabili

Analizzare l´uso di un elemento

Per analizzare un elemento:

  1. Evidenziare la variabile o la funzione desiderata, oppure il relativo script nella visualizzazione dettagli.
  2. Selezionare nel menù contestuale il comando Utilizzo variabile o Utilizzo funzioni, oppure Utilizzo script

    Verrà aperta la lista risultati in una propria finestra

  3. Usando il menù contestuale, si può passare ad un elemento collegato.

Trovare elementi non utilizzati

Per trovare elementi non utilizzati:

  1. Selezionare il nodo “Variabili” o “Funzioni”, oppure il sottonodo “Script” nella struttura ad albero del progetto. Nota: il sottonodo “Script” si trova nel nodo “Funzioni”.
  2. Nel menù contestuale, selezionare il comando Visualizza funzioni non utilizzate o Visualizza variabili non utilizzate, oppureVisualizza script non utilizzati

    Verrà aperta la lista risultati in una propria finestra.

  3. Usando il menù contestuale, si può passare direttamente ad un elemento. Un elemento selezionato può essere eliminato anche tramite il menù contestuale.

attention Attenzione

I seguenti elementi non possono essere trovati dall´analisi di progetto:

  • Variabili che vengono usate esclusivamente in VBA o VSTA.
  • Variabili usate in immagini di tipo Generatore Report (funzioni report)

Prima di cancellare elementi, bisogna controllare se le variabili da eliminare vengono usate in VBA/VSTA oppure in funzioni report.

Ancora in questo capitolo

Lista risultati


Lista risultati

Manuale -> Riferimenti incrociati -> Analisi di progetto -> Lista risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I risultati dei singoli processi di analisi vengono visualizzati come lista aperta in una finestra propria chiamata Analisi del progetto. Questa finestra si apre automaticamente (nel caso in cui non sia già attiva) dopo la conclusione del processo di analisi. I risultati possono essere utilizzati in due modi:

  • Per analizzare l´uso nel progetto: vai all'elemento collegato.
  • Per trovare elementi non utilizzati: passa ad elemento visualizzato o elimina elemento visualizzato.

Analisi dell´uso degli elementi

I risultati dell´analisi di progetto vengono visualizzati in una lista.

Quest´ultima contiene:

  • Il nome del progetto.
  • Il modulo.
  • Il nome dell´elemento collegato.

Per passare ad un elemento visualizzato:

  1. Selezionare l´elemento desiderato.
  2. Nel menù contestuale, selezionare il comando Vai all'elemento collegato.
  3. L´elemento collegato verrà evidenziato nella visualizzazione dettagli del nodo del modulo cui appartiene.

Trovare elementi non utilizzati

I risultati della ricerca di elementi non utilizzati vengono visualizzati in una lista.

Quest´ultima contiene:

  • Il nome del progetto.
  • Il modulo.
  • Il nome dell´elemento non utilizzato.

Passare all´elemento

Per passare ad un elemento visualizzato:

  1. Selezionare l´elemento desiderato.
  2. Nel menù contestuale, selezionare il comando Vai all'elemento collegato.
  3. L´elemento collegato verrà evidenziato nella visualizzazione dettagli del nodo del modulo cui appartiene.

Cancellare elementi

Per cancellare uno o più elementi:

  1. Selezionare gli elementi desiderati (possibile selezione multipla).
  2. Nel menù contestuale, selezionare il comando Elimina elementi selezionati.
  3. Gli elementi verrano cancellati dal progetto dopo una richiesta di conferma.


Schedulatore

Manuale -> Schedulatore

Lo schedulatore consente di eseguire azioni automaticamente in un momento preciso, oppure sulla base di un modello temporale.
Esempi: la modifica del valore impostabile di una variabile in un determinato momento, oppure l´esecuzione di una funzione in un determinato intervallo di tempo.

Schedulatore e PFS (Production and Facility Scheduler) mettono a disposizione funzionalità simili. Questi due moduli non possono essere utilizzati contemporaneamente nello stesso progetto. Se è stata registrata la licenza per il PFS, lo Schedulatore non sarà disponibile.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Utilizzo

Lo Schedulatore viene configurato di regola a Runtime. Nell´Editor, però, si possono già creare gruppi orario con punto di switch e periodi di commutazione. Quando vengono creati i file Runtime, le configurazioni eseguite nell´Editor non vengono trasferite di default. Quando si importano i file Runtime, invece, le configurazioni eseguite a Runtime vengono riprese e applicate di default nell´Editor.
Attenzione: non viene eseguito il merging dei dati nel corso del processo di trasferimento, ma i dati trasferiti sovrascrivono la configurazione esistente.

Schedulatore e PFS

Schedulatore e PFS hanno lo stesso campo di applicazione. Le funzionalità dello Schedulatore, però, è limitata rispetto a quella dal PFS.

Importante differenza: nell´ambito degli orari, lo Schedulatore utilizza tempi assoluti.
Questa è la ragione per cui le seguenti funzionalità non sono a disposizione nello Schedulatore:

  • Tempi relativi: per esempio inizio turno, fine turno, …
  • Eventi definiti da utente.

Passaggio dallo Schedulatore al PFS

  • In qualsiasi momento è possibile passare dallo Schedulatore al PFS; l´unica cosa da fare è registrare la licenza per il Production and Facility Scheduler. I dati relativi agli orari sono compatibili e possono essere mantenuti e utilizzati nel PFS.

Passaggio dal PFS allo Schedulatore:

  • I dati creati nel PFS non possono essere utilizzati nello Schedulatore!

Ancora in questo capitolo

Configurazione nell'Editor

Configurazione e uso a Runtime

Creare e amministrare orari


Configurazione nell'Editor

Manuale -> Schedulatore -> Configurazione nell'Editor

Per utilizzare lo Schedulatore a Runtime, bisogna eseguire le seguenti configurazione nell´Editor:

  • Creare un´immagine di tipo Schedulatore.
  • Creare una funzione di cambio immagine per aprire questa immagine a Runtime.

È possibile (ma non necessario) anche preconfigurare gruppi orario e orari già nell´Editor.

La progettazione di gruppi orario e orari avviene nello stesso modo sia nell´Editor che a Runtime. Le configurazioni possono anche essere trasferite dall´Editor al Runtime e viceversa. La procedura di configurazione è descritta per entrambi i casi nel capitolo Creare e amministrare orari di questo manuale.

Ancora in questo capitolo

Barra degli strumenti e menù contestuale

Impostazioni dello Schedulatore

Importare i file Runtime nell´Editor

Creare un'immagine di tipo Schedulatore

Configurare la funzione di cambio immagine


Barra degli strumenti e menù contestuale

Manuale -> Schedulatore -> Configurazione nell'Editor -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo Schedulatore può essere configurato usando i comandi della barra degli strumenti o del menù contestuale della visualizzazione dettagli.

Barra degli strumenti

Parametro | Descrizione
Nuovo gruppo orario | Crea un nuovo elemento (del tipo di quello selezionato) e apre la corrispondente finestra di dialogo di configurazione.
Taglia | Taglia un elemento selezionato
Copia | Copia l'elemento selezionato
Incolla | Inserisce un elemento preso dagli appunti.
Elimina | Elimina un elemento selezionato
Guida | Apre la guida online.

Menù contestuale - Schedulatore

Voce di menù | Azione
Nuovo gruppo orario | Crea un nuovo elemento (del tipo di quello selezionato) e apre la corrispondente finestra di dialogo di configurazione.
Incolla | Inserisce un elemento preso dagli appunti.
Salva | Salva le modifiche eseguite nello Schedulatore.
Elimina | Termina l'azione in esecuzione e rifiuta le modifiche.
Impostazioni... | Apre la finestra di dialogo con le opzioni di impostazione.
Guida | Apre la guida online.

Menù contestuale - Gruppo orario

Parametro | Descrizione
Copia | Copia negli appunti il gruppo orario selezionato.
Rinomina | Consente di modificare il nome del gruppo orario.
Elimina | Elimina il gruppo orario selezionato.
Guida | Apre la guida online.


Impostazioni dello Schedulatore

Manuale -> Schedulatore -> Configurazione nell'Editor -> Impostazioni dello Schedulatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono eseguire diverse impostazioni preliminari per lo Schedulatore.
Per configurare le impostazioni:

  1. Nella visualizzazione dettagli, cliccare con il tasto destro del mouse su Schedulatore.
  2. Nel menù contestuale, selezionare la voce Impostazioni.

    Si apre la finestra di dialogo che consente di configurare le impostazioni. Questa finestra di dialogo è articolata nelle seguenti schede:

    • Cambio ora estiva/invernale: comportamento quando si passa dall´ora solare a quella legale e viceversa.
    • Giorni festivi selezione dei giorni festivi speciali dei diversi paesi del mondo
    • Visualizzazione: selezione del tipo di visualizzazione del calendario.

Ancora in questo capitolo

Cambio ora estiva/invernale

Giorni festivi

Visualizzazione


Cambio ora estiva/invernale

Manuale -> Schedulatore -> Configurazione nell'Editor -> Impostazioni dello Schedulatore -> Cambio ora estiva/invernale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce come devono essere trattate quelle scadenze che ricorrono nel periodo del cambio da ora solare a ora legale e viceversa.

Parametro | Descrizione
Cambio ora positivo | L’orario viene spostato in avanti, il tempo di sistema viene settato nel futuro (per esempio nel caso dell'ora legale).
Recuperare punto di Switch | Le azioni previste per il tempo compreso fra quello attuale e il nuovo tempo impostato, vengono eseguite immediatamente dopo il cambio di orario.
Ricalcolare i punti di switch | Le azioni previste tra il tempo attuale e il nuovo tempo impostato, vengono ignorate e non eseguite. I punto di switch vengono ricalcolati.
Cambio ora negativo | L’orario viene spostato indietro, il tempo di sistema viene settato nel passato (per esempio nel caso dell'ora solare).
Eliminare i punti di Switch | I punti di switch non vengono ricalcolati. Si riprende ad eseguire i punti di switch quando viene raggiunto il tempo originario.
Ricalcolare i punti di switch | Le azioni previste tra l’orario attuale e il nuovo orario impostato, vengono ricalcolate (questo significa che vengono eseguite nuovamente quando si raggiunge l'orario definito). Conseguenza di ciò è una doppia esecuzione dei punti di switch nell'intervallo di tempo interessato dalla correzione.
Spegnimento Server Standby | Passaggio al Server-Standby; l´impostazione è valida per il timeout durante un cambio di ridondanza.
Eliminare i punti di switch | L’esecuzione dei punti di switch comincia in corrispondenza della posizione attuale sullo Standby. È possibile che dei punti di switch nell’intervallo di tempo in cui avviene il cambio non vengano eseguiti.
Ricalcolare i punti di switch | I punti di switch vengono ricalcolati ed eseguiti a partire dall'orario attuale meno 30 secondi. In questo modo si garantisce che non venga saltata l´esecuzione di nessun punto di switch; è però possibile che punti di switch vengano eseguiti due volte.
Fascia di tolleranza per sfasamento temporale | Il margine di tolleranza entro il quale il tempo di sistema può cambiare senza provocare un ricalcolo dei punti di switch secondo i criteri descritti sopra.

attention Attenzione

Eseguire sempre il cambio ora legale/solare usando il meccanismo di cambio orario automatico di Windows. Non modificare mai il tempo di sistema manualmente, perché questo potrebbe causare errori riguardanti indicazioni temporali rilevanti per il funzionamento di zenon.


Giorni festivi

Manuale -> Schedulatore -> Configurazione nell'Editor -> Impostazioni dello Schedulatore -> Giorni festivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I giorni festivi specifici per i diversi paesi possono essere tenuti in considerazione automaticamente.
Per preconfigurare giorni festivi:

  1. Aprire le Impostazioni.
  2. Aprire la scheda Giorni festivi.

  3. Selezionare il paese desiderato nel menù a tendina.
  4. Cliccare su OK.

    I giorni festivi specifici del paese selezionato saranno presi in considerazione automaticamente a Runtime.
    Gli inserimenti possono essere modificati a Runtime cliccando due volte sul piano.

Modifica manuale

È possibile modificare i giorni festivi o integrarli con l´aggiunta di altri. Per farlo, si deve modificare il file Feiertage.txt.
Questo file di testo si trova nella cartella: %ProgramData%\COPA-DATA\zenon7.60

Per creare o modificare giorni festivi per un determinato paese:

  1. Aprire il fileFeiertage.txt con un Editor di testi.
  2. Selezionare l´inserimento desiderato, oppure crearne uno nuovo.
  3. Modificare l´inserimento rispettando la sintassi.
  4. Salvare il file.

Attenzione: la definizione corretta è fondamentale per l´identificazione del modello da usare.

Sintassi

Ogni inserimento per un paese:

  • Inizia con il nome del paese che si trova fra parentesi quadre.
  • In ogni riga seguente, contiene un giorno festivo visualizzato nel modo seguente:
    • Nome
    • Virgola
    • Data, nel formato AAAA/MM/GG

Nota: per i paesi già contenuti nel file, accanto al nome c´è anche un numero. Al momento, però, quest´ultimo non viene analizzato e perciò non deve essere necessariamente inserito.

Esempio

Per esempio l´Austria:

[Austria] 45

Allerheiligen,2017/11/1

Allerheiligen,2018/11/1

Allerheiligen,2019/11/1

Allerheiligen,2020/11/1

Allerheiligen,2021/11/1

Allerheiligen,2022/11/1

Allerheiligen,2023/11/1

Allerheiligen,2024/11/1

Allerheiligen,2025/11/1

Allerheiligen,2026/11/1

Allerheiligen,2027/11/1

Allerheiligen,2028/11/1

Christi Himmelfahrt,2017/5/25

Christi Himmelfahrt,2018/5/10

...


Visualizzazione

Manuale -> Schedulatore -> Configurazione nell'Editor -> Impostazioni dello Schedulatore -> Visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella visualizzazione dettagli dello schedulatore nell´Editor si ha la possibilità di scegliere fra il nuovo e il vecchio tipo di visualizzazione.

Per passare da uno all´altro:

  1. Nella visualizzazione dettagli, cliccare sulla voce Impostazioni del menù contestuale.

    Si apre una nuova finestra di dialogo.

  2. Cliccare sulla scheda Visualizzazione

  3. Abilitare l'opzione Visualizza calendario con vecchio stile, se si vuole lavorare con questo tipo di visualizzazione.

    Disabilitare l'opzione Visualizza calendario con vecchio stile, se si vuole lavorare con il tipo di visualizzazione nuova

Nota: questa opzione non è attiva di default nei progetti nuovi. Questo significa che il calendario viene visualizzato con il nuovo tipo di visualizzazione.

Visualizzazione con vecchio stile:

Visualizzazione con nuovo stile:

Nota: questa opzione non è attiva di default per i nuovi progetti creati nella versione 7.50 di zenon. La visualizzazione calendario di default è dunque quella nuova.


Importare i file Runtime nell´Editor

Manuale -> Schedulatore -> Configurazione nell'Editor -> Importare i file Runtime nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli orari creati a Runtime possono essere importati nell´Editor. Nel corso del processo di importazione, tutti gli orari esistenti vengono cancellati e sostituiti da quelli importati. Non viene eseguito il merging di dati diversi.

Per importare dati dal Runtime:

  1. Assicurarsi che nella proprietà di progetto RT dati modificabili l´opzione Schedulatore sia disattivata nella colonna Non decompilare. (Nessun segno di spunta nella checkbox.)
  2. Nella barra degli strumenti File Runtime, cliccare sull´opzione Importa file Runtime.

    La configurazione nell´Editor verrà sostituita da quella eseguita a Runtime.


Creare un'immagine di tipo Schedulatore

Manuale -> Schedulatore -> Configurazione nell'Editor -> Creare un'immagine di tipo Schedulatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Schedulatore visualizza un calendario a Runtime. Questo calendario può essere configurato con eventi che devono essere eseguiti in modo automatico.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Schedulatore.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Inserisci modello

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra e pulsanti

Elemento di controllo | Descrizione
Finestra schedulatore | Visualizza a Runtime il piano temporale per i gruppi di orario.
Generale | Menù a tendina con pulsanti generali.
Salva | Salva la configurazione.
Annulla | Rigetta le modifiche e termina il procedimento di configurazione.
Gruppo orario | Elementi di controllo per il gruppo orario.
Nuovo gruppo orario | Crea un nuovo gruppo orario.
Copia | Copia l´elemento selezionato negli appunti
Incolla | Aggiunge un elemento salvato negli appunti come copia.
Rinomina | Consente di rinominare l´elemento selezionato.
Elimina | Elimina l´elemento selezionato dopo una richiesta di conferma.
Nuovo orario speciale | Crea un nuovo orario speciale.
Nuovo periodo di commutazione (on/off) | Crea un nuovo periodo di commutazione.
Creare punti di Switch (numerico) | Crea un nuovo punto di switch.


Configurare la funzione di cambio immagine

Manuale -> Schedulatore -> Configurazione nell'Editor -> Configurare la funzione di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento dell´esecuzione del cambio immagine per aprire l´immagine di tipo Schedulatore, l´utente ha la possibilità di configurare e gestire lo Schedulatore a Runtime.

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Immagini.
  3. Selezionare la funzione Cambio immagine.

    Si apre la finestra di dialogo che consente di selezionare un´immagine.

  4. Scegliere l´immagine di tipo Schedulatore.
  5. Assegnare un nome alla funzione nella proprietà Nome.
  6. Assegnare la funzione ad un pulsante per poter eseguire il cambio immagine a Runtime


Configurazione e uso a Runtime

Manuale -> Schedulatore -> Configurazione e uso a Runtime

Nello Schedulatore si possono creare nuovi orari a Runtime, mentre orari già esistenti oppure importati possono essere modificati.

La progettazione di gruppi orario e orari avviene nello stesso modo sia nell´Editor che a Runtime. Le configurazioni possono anche essere trasferite dall´Editor al Runtime e viceversa. La procedura di configurazione è descritta per entrambi i casi nel capitolo Creare e amministrare orari di questo manuale.

Ancora in questo capitolo

Trasferire i file Runtime


Trasferire i file Runtime

Manuale -> Schedulatore -> Configurazione e uso a Runtime -> Trasferire i file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli orari creati nell´Editor possono essere trasferiti al Runtime. Nel corso del processo di importazione, tutti gli orari esistenti vengono cancellati e sostituiti da quelli importati. Non viene eseguito il merging di dati diversi.

Per trasferire dati dall´Editor al Runtime:

  1. Assicurarsi che nella proprietà di progetto RT dati modificabili l´opzione Schedulatore sia disattivata nella colonna Non rigenerare e trasmettere. (Nessun segno di spunta nella checkbox.)
  2. Nella barra degli strumenti File Runtime, cliccare sul simbolo Compila file modificati, oppure su Crea tutti i file Runtime.

    La configurazione eseguita nell´Editor verrà trasferita a Runtime.
    Gli orari già esistenti verranno cancellati.


Creare e amministrare orari

Manuale -> Schedulatore -> Creare e amministrare orari

La procedura di creazione di orari nell´Editor è analoga a quella descritta per il Runtime. La progettazione nell´Editor segue lo stesso schema, anche se ci possono essere delle divergenze.

Ancora in questo capitolo

Menù contestuali

Gruppi orario e orari

Punti di switch e periodi di commutazione

Orari speciali (pianificazioni speciali)

Orari in progetti di integrazione


Menù contestuali

Manuale -> Schedulatore -> Creare e amministrare orari -> Menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor e a Runtime sono a disposizione i seguenti menù contestuali:

  • Modulo Schedulatore nell´albero di progetto.
  • Gruppo orario
  • Cella vuota nel calendario.
  • Inserimento nel calendario.

Menù contestuale - Editor

Modulo Schedulatore nell´albero di progetto:

Parametro | Descrizione
Nuovo gruppo orario | Crea un nuovo gruppo orario.
Profili Editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Menù contestuale - Editor e Runtime

Schedulatore - Visualizzazione dettagli:

Parametro | Descrizione
Nuovo gruppo orario | Crea un nuovo gruppo orario.
Incolla | Aggiunge un gruppo orario salvato negli appunti.
Salva | Salva tutte le modifiche.
Elimina | Una volta confermata la richiesta di conferma, tutte le modifiche vengono irrimediabilmente cancellate.
Impostazioni | Apre la pagina delle impostazioni per le proprietà dello Schedulatore.
Guida | Apre la guida online. Disponibile solo nell´Editor.

Gruppo orario:

Parametro | Descrizione
Copia | Copia negli appunti il gruppo orario selezionato.
Rinomina | Consente di inserire un nuovo nome per il gruppo orario selezionato.
Elimina | Elimina i gruppi orario selezionati dopo una richiesta di conferma.
Guida | Apre la guida online. Disponibile solo nell´Editor.

Cella vuota nel calendario:

Parametro | Descrizione
Crea periodo di commutazione (on/off) | Apre la finestra di dialogo che consente di creare un periodo di commutazione.
Crea punto di commutazione (numerico) | Apre la finestra di dialogo che consente di creare un nuovo punto di switch.
Incolla | Aggiunge un inserimento salvato negli appunti.
Crea un orario speciale | Apre la finestra di dialogo che consente di creare un orario speciale.
Elimina orario speciale | Cancella l´orario speciale selezionato.
Guida | Apre la guida online. Disponibile solo nell´Editor.

Inserimento nel calendario:

Parametro | Descrizione
Copia | Copia l´inserimento selezionato negli appunti.
Modifica punto/periodo di commutazione | Apre la finestra di dialogo che consente di modificare un punto di switch o un periodo di commutazione.
Elimina punto/periodo di commutazione | Cancella l´inserimento selezionato dopo una richiesta di conferma.
Guida | Apre la guida online. Disponibile solo nell´Editor.


Gruppi orario e orari

Manuale -> Schedulatore -> Creare e amministrare orari -> Gruppi orario e orari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi orario contengono orari per giorni della settimana e giorni speciali, ma anche orari speciali. Nello schedulatore si può creare un numero qualsiasi di gruppi orari. Così è possibile creare orari diversi per singoli macchinari o singoli dipartimenti.

Runtime

Per creare un nuovo gruppo orario a Runtime:

  1. Cliccare sul pulsante Gruppo orario.

    Viene creato un nuovo gruppo orario con il nome standard.

  2. Cliccare con il tasto destro del mouse sul nuovo gruppo e selezionare la voce Rinomina del menù contestuale.
    Assegnare il nome desiderato.
  3. Creare poi orari per il gruppo.

Per creare un nuovo orario a Runtime:

  1. Nel calendario, cliccare sul gruppo orario desiderato.
  2. Selezionare il giorno e l´ora desiderati.
  3. Nel menù contestuale o via pulsante, selezionare l´azione desiderata.
  4. Configurare l´azione.
  5. Terminare la configurazione cliccando su OK.

Editor

Per creare un nuovo gruppo orario nell´Editor:

  1. Nel menù contestuale per lo schedulatore nella visualizzazione dettagli, selezionare Nuovo gruppo orario.

    Viene creato un nuovo gruppo orario con il nome standard.

  2. Cliccare con il tasto destro del mouse sul nuovo gruppo e selezionare “Rinomina” menù contestuale.
  3. Creare poi orari per il gruppo.

Per creare un nuovo orario nell´Editor:

  1. Nel calendario, cliccare sul gruppo orario desiderato.
  2. Selezionare il giorno e l´ora desiderati.
  3. Nel menù contestuale, selezionare l´azione desiderata.
  4. Configurare l´azione.
  5. Terminare la configurazione cliccando su OK.


Punti di switch e periodi di commutazione

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I punti di switch consentono di scrivere un valore impostabile su una variabile numerica in un determinato momento. Nei periodi di commutazione si usano funzioni per settare il valore 1 o 0 per una variabile binaria per un certo intervallo di tempo.

info Info

Di default, a Runtime i punti di switch sono sempre impostati come non attivi (per motivi di sicurezza) e devono essere dunque esplicitamente attivati perché funzionino. Nell´Editor, invece, i punti di switch vengono impostati di default come attivi.

Ancora in questo capitolo

Punti di switch (numerici)

Periodi di commutazione (on/off)

Modificare punti di switch e periodi di commutazione

Tooltip


Punti di switch (numerici)

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione -> Punti di switch (numerici)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un punto di switch numerico consente di scrivere solo una volta un valore impostabile su una variabile numerica.

Per creare un punto di switch numerico:

  1. Cliccare con il tasto destro del mouse su una cella vuota del calendario.
  2. Selezionare Crea punto di Switch (numerico).
    (A Runtime si può anche selezionare la cella e cliccare sul pulsante Punto di switch (analogico).)

    Nota: l´ora deve essere univoca e può essere usata solamente per un periodo di commutazione o per un punto di switch.

    Si apre la finestra di dialogo che consente di configurare il punto di switch.

  3. Configurare il punto di switch con:
    • Selezione dell´ora.
    • Selezione delle variabili e/o delle funzioni necessarie.
    • Configurazione dei valori impostabili per le variabili.
    • Attivazione delle variabili e delle funzioni.
  4. Chiudere la finestra di dialogo cliccando su OK.
    A Runtime, nel calendario viene visualizzato il punto di switch con l´ora. Se si muove il mouse sul punto di switch vengono visualizzate informazioni dettagliate sulle variabili e le funzioni collegate.

attention Attenzione

Quando si crea un punto di switch, bisogna tenere presente quanto segue:

  • Intervallo di tempo consentito: 00:00:00 - 23:59:59.
  • Ogni punto di switch deve essere univoco.

Finestra di dialogo - Crea punto di Switch

Opzione

Descrizione

Orario iniziale

Tempo in cui deve essere eseguito il punto di switch (numerico).

Lista di variabili e funzioni

Lista di tutte le variabili e le funzioni collegate.

Aggiungi variabile

Apre la finestra di dialogo che consente di aggiungere una variabile.

Aggiungere funzione...

Apre la finestra di dialogo che consente di aggiungere una funzione.

Le funzioni possono essere collegate anche a più progetti. In questo caso, però, ci si deve assicurare che i progetti sorgente siano disponibili a Runtime.

Con la funzione Lanciare Macro-VBA si possono anche eseguire macro VBA in corrispondenza di punti di switch.

Valore impostabile

Apre la finestra di dialogo che consente di indicare il valore impostabile della variabile selezionata nella lista.

Elimina

Cancella le variabili o funzioni selezionate dalla lista senza richiesta di conferma.


Periodi di commutazione (on/off)

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione -> Periodi di commutazione (on/off)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un periodo di commutazione consente di settare il valore 1 o 0 su una variabile binaria per un certo intervallo di tempo.
All'inizio di questo periodo di commutazione, la variabile viene settata automaticamente su True (1), e alla fine su False (0). Questa successione può essere modificata usando l´opzione Valore impostabile.

Per creare un periodo di commutazione:

  1. Cliccare con il tasto destro del mouse su una cella vuota del calendario.
  2. Selezionare Crea periodo di commutazione (on/off).
    (A Runtime si può anche selezionare la cella e cliccare sul pulsante Nuovo periodo di commutazione (on/off).)

    Nota: l´ora deve essere univoca e può essere usata solamente per un periodo di commutazione o per un punto di switch.

    Si aprirà la finestra di dialogo che consente di configurare il periodo di commutazione.

  3. Configurare il periodo di commutazione con:
    • Selezione dell´ora di inizio e di fine.
    • Selezione delle variabili e/o delle funzioni necessarie.
    • Configurazione dei valori impostabili per le variabili.
    • Attivazione delle variabili e delle funzioni.
  4. Chiudere la finestra di dialogo cliccando su OK.
    A Runtime, nel calendario viene visualizzato il periodo di commutazione con l´ora. Se si muove il mouse sul periodo di commutazione vengono visualizzate informazioni dettagliate sulle variabili e le funzioni collegate.

attention Attenzione

Quando si crea un periodo di commutazione, bisogna tenere presente quanto segue:

  • L'orario di partenza e quello di termine non possono coincidere
  • L'orario di fine deve essere successivo a quello d´inizio.
  • Intervallo di tempo consentito: 00:00:00 - 23:59:59.
  • Ogni periodo di commutazione deve essere univoco.

Finestra di dialogo - Periodo di commutazione

Opzione

Descrizione

Orario iniziale

Momento in cui deve essere commutata la variabile o eseguita la funzione per la prima volta.

Lista di variabili e funzioni

Lista di tutte le variabili e le funzioni collegate.

Aggiungi variabile

Apre la finestra di dialogo che consente di aggiungere una variabile.

Nota: Possono essere selezionate solamente variabili binarie.

Aggiungere funzione...

Apre la finestra di dialogo che consente di aggiungere una funzione.

Le funzioni possono essere collegate anche a più progetti. In questo caso, però, ci si deve assicurare che i progetti sorgente siano disponibili a Runtime.

Con la funzione Lanciare Macro-VBA si possono anche eseguire macro VBA in corrispondenza di punti di switch.

Valore impostabile

Apre la finestra di dialogo che consente di indicare il valore impostabile della variabile selezionata nella lista.

Rimuovi

Cancella le variabili o funzioni selezionate dalla lista senza richiesta di conferma.

Orario finale

Momento in cui deve essere commutata la variabile o eseguita la funzione per la seconda volta.

Lista di variabili e funzioni

Lista di tutte le variabili e le funzioni collegate.

Aggiungere funzione...

Apre la finestra di dialogo che consente di aggiungere una funzione.

Le funzioni possono essere collegate anche a più progetti. In questo caso, però, ci si deve assicurare che i progetti sorgente siano disponibili a Runtime.

Con la funzione Lanciare Macro-VBA si possono anche eseguire macro VBA in corrispondenza di punti di switch.

Valore impostabile

Apre la finestra di dialogo che consente di indicare il valore impostabile della variabile selezionata nella lista.

Rimuovi

Cancella le variabili o funzioni selezionate dalla lista senza richiesta di conferma.

Ancora in questo capitolo

Indicare il valore impostabile


Indicare il valore impostabile

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione -> Periodi di commutazione (on/off) -> Indicare il valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore impostabile per la variabile può essere definito a piacimento, a patto che sia compreso fra i limiti impostati per la variabile.

Opzione | Descrizione
Valore impostabile | Definizione del valore impostabile che deve essere scritto sulla variabile. Questo valore deve essere compreso fra i valori impostati per le opzioni Min. e Max..
Min. | Indica il valore minimo possibile.
Max | Indica il valore massimo possibile.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modificare punti di switch e periodi di commutazione

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione -> Modificare punti di switch e periodi di commutazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i punti di switch e i periodi di commutazione inseriti nel calendario possono essere:

  • Modificati
  • Eliminati
  • Riutilizzati.

Modifica

Per modificare un punto di switch o un periodo di commutazione:

  • Cliccare due volte sul punto di switch o periodo di commutazione
    oppure
  • Nel menù contestuale, cliccare su Modifica punto/periodo di commutazione

Si aprirà la finestra di dialogo corrispondente all´elemento selezionato.

Elimina

Per cancellare un punto di switch o un periodo di commutazione:

  1. Cliccare sul punto di switch o sul periodo di commutazione esistente.
  2. Nel menù contestuale, cliccare su Elimina punto/periodo di commutazione
  3. Quando viene visualizzata la richiesta di conferma, cliccare su “Sì”.

Riutilizzare

Punti di switch e periodi di commutazione possono essere eseguiti in più giorni.

Procedura:

  1. Nel menù contestuale dell´elemento da copiare, selezionare Copia.
  2. Selezionare una cella del giorno in cui l´elemento deve essere aggiunto.
    La cella con l´orario di partenza deve essere vuota.
  3. Nel menù contestuale, selezionare la voce Incolla.

    L´elemento viene inserito nel giorno di destinazione con lo stesso tempo di inizio e lo stesso tempo di conclusione del giorno originale. L'elemento non può essere inserito, però, se nel giorno in questione uno di questi orari è già occupato.


Tooltip

Manuale -> Schedulatore -> Creare e amministrare orari -> Punti di switch e periodi di commutazione -> Tooltip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello schedulatore i tooltip visualizzano lo stato di un inserimento del calendario e danno ulteriori informazioni sul rispettivo stato.

Visualizzazione dei tooltip:

Per far apparire un tooltip, portare il puntatore del mouse su un punto di switch o un periodo di commutazione nella visualizzazione calendario. Il tooltip appare automaticamente quando il mouse viene posizionato sopra il punto di switch o il periodo di commutazione.

Struttura:

Il tooltip consiste di:

Periodo di commutazione

  • Tempo di avvio
    • Variabili collegate
    • Valori
    • Funzioni
  • Ora finale
    • Variabili collegate
    • Valori
    • Funzioni

Punto di switch

  • Tempo di avvio
    • Variabili collegate
    • Valori
    • Funzioni


Orari speciali (pianificazioni speciali)

Manuale -> Schedulatore -> Creare e amministrare orari -> Orari speciali (pianificazioni speciali)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può creare un numero qualsiasi di orari speciali definiti dall'utente (per es. quelli relativi ai giorni di chiusura della ditta). Un orario speciale sostituisce sempre i punti di switch dell´orario standard.

Per creare un orario speciale:

  1. Cliccare su una cella qualsiasi dell´orario.
  2. Nel menù contestuale, selezionare Crea un orario speciale.

    Si aprirà la finestra di dialogo che consente di configurare un orario speciale.

  3. Configurare l´intervallo di tempo per l´orario speciale.
  4. Terminare la configurazione cliccando su OK.

    L´orario speciale viene inserito nel calendario come ulteriore colonna in aggiunta ai giorni della settimana.

attention Attenzione

Non è possibile eseguire più orari speciali contemporaneamente.
Questo significa che: non è possibile progettare un orario speciale per un intervallo di tempo per il quale ne è stato già configurato uno.

Finestra di dialogo - Orario speciale

Opzione | Descrizione
Inizia il | Selezione della data di inizio.
Termina il | Selezione della data finale.
Schema di ricorrenza | Non è disponibile per lo Schedulatore. Per le serie, utilizzare il modulo Production & Facility Scheduler.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Eliminare un orario speciale

Per cancellare un orario speciale:

  1. Cliccare sull´orario speciale esistente.
  2. Nel menù contestuale, selezionare la voce Elimina orario speciale.
  3. Quando viene visualizzata la richiesta di conferma, cliccare su “Sì”.


Orari in progetti di integrazione

Manuale -> Schedulatore -> Creare e amministrare orari -> Orari in progetti di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vuole attivare uno schedulatore con dati di un sottoprogetto, si deve attivare la funzione corrispondente di questo sottoprogetto.
I dati dello schedulatore provengono sempre dal progetto in cui si trova la funzione di cambio immagine.


Sequenze di comando

Manuale -> Sequenze di comando

Il modulo Sequenze di comando consente di compilare i comandi del modulo Comandi in processi nel Runtime di zenon, visualizzarli e eseguire (se necessario) delle interazioni utente.

Ancora in questo capitolo

Introduzione

Terminologia

Procedura

Registrazione della licenza

Configurazione nell'Editor

Variabili del driver di sistema per il modulo "Sequenze di comando".

Backup di progetto per le sequenze di comando

Autorizzazioni funzioni

Sequenze di comando a Runtime

Sequenze di comando e modalità di simulazione.

Sequenze di comando nella rete di zenon

Sequenze di comando nel Web Client

Autorizzazione operativa

Struttura del file XML per le sequenze di comando


Introduzione

Manuale -> Sequenze di comando -> Introduzione

Il modulo Sequenze di comando consta di due parti:

  1. L´ambiente di progettazione nell´Editor di zenon:
    Qui i dati per le sequenze di comando vengono acquisiti automaticamente dalla progettazione eseguita nel modulo Comandi.
  2. L´Editor delle sequenze di comando nel Runtime di zenon :
    Con questo Editor si creano le sequenze di comando nel Runtime di zenon. La base delle sequenze di comandi è la configurazione del modulo "Comandi". Durante il processo, viene visualizzato nell´Editor delle "Sequenze di comando" lo stato attuale dei "Comandi" e l´operatore ha la possibilità di intervenire nel processo delle sequenze di comando ed effettuare delle modifiche.

Particolarità del modulo "Sequenze di comando"

A differenza della maggior parte degli altri moduli di zenon, una grande parte del processo di configurazione, come, per es., la creazione di una sequenza di comando, avviene a Runtime e non nell`Editor di zenon. Questo comporta tutta un serie di particolarità che saranno illustrate nei capitoli di questa documentazione.

Il modulo è concepito in modo tale da essere completamente indipendente dal tipo di PLC. Questo significa in concreto che la comunicazione dei dati avviene tramite tutti i driver Energy disponibili di zenon con qualsiasi PLC, o anche IED. Questi ultimi si limitano ad eseguire le funzioni tecnologiche. L´intera elaborazione e modifica di una sequenza di comando avviene sul computer, nell´Editor della "Sequenza di comando". Non è quindi necessario effettuare nessuna modifica del codice del PLC quando si cambia qualcosa in una sequenza di comandi.

Struttura di base della comunicazione

  • Variabile di comando:
    La variabile di comando è la variabile che viene collegata all´azione di comando corrispondente durante la configurazione eseguita nel modulo Comandi.
    Con questa variabile vengono inviati al PLC valori impostabili quando viene eseguito un passo del processo.
  • Variabile di feedback
    Con questa variabile vengono letti i valori dal PLC per analizzarli.

Schema

Il PLC comunica con il driver Energy di zenon, che, a sua volta, comunica con il modulo "Comandi" nel Runtime di zenon. Il modulo "Comandi" inoltra i valori ricevuti all´Editor della "Sequenza di comando", in cui questi vengono elaborati. Durante l´esecuzione di una sequenza di comando, l´Editor della "Sequenza di comando" lavora in modo sincrono con il Runtime di zenon in un ciclo di 100 ms.

Ancora in questo capitolo

"Comandi" - tipi di azione supportati

Variabili per sequenze di comando

Visualizzazione del nome dell´azione a Runtime


"Comandi" - tipi di azione supportati

Manuale -> Sequenze di comando -> Introduzione -> "Comandi" - tipi di azione supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare la configurazione del modulo Comandi nel modulo Sequenze di comando, deve essere progettata almeno un´azione nel modulo Comandi.

Nel modulo Sequenze di comando sono supportati i seguenti tipi di azione del modulo "Comandi":

  • Comando
  • Comando forzato
  • Impostazione valore diretta
    • Il valore impostabile configurato nel modulo "Comandi" può essere trasferito al modulo Sequenze di comando.
  • Modifica di stato diretta
  • Sostituisci
  • Revisione
  • Correzione manuale diretta
  • Blocco
  • Rilascia
  • Richiedi valore di feedback
  • Blocco accesso

info Info

Ulteriori informazioni si trovano nella documentazione dedicata alla "Energy-Edition", nel capitolo Tipi di azione.


Variabili per sequenze di comando

Manuale -> Sequenze di comando -> Introduzione -> Variabili per sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante la compilazione dei "Comandi" viene creato anche il modello di dati per il modulo Sequenze di comando.

Procedura:

  • Per ogni variabile di feedback viene creato un dispositivo di comando cui viene dato il nome variabile, oppure l´identificazione variabile della variabile di feedback.
    A questo dispositivo di comando viene assegnata la variabile di feedback. Come tipo si usa "Return TAG". Il tipo di dato è: numerico.
    La denominazione del dispositivo di comando può essere configurata nel gruppo Sequenze di comando delle proprietà di progetto, alla voce Nome visualizzato nella griglia di sequenza comandi.
  • Un passo viene creato per ogni azione che è stata configurata nel modulo Comandi e per cui è disponibile anche una variabile di feedback. Il passo riceve un nome corrispondente a quello con cui l´azione viene visualizzata nella struttura ad albero dei "Comandi".
  • Ad ogni passo creato viene collegata la variabile di feedback come parametro. Questi parametri sono importanti, per esempio, per la creazione di Transizioni.

Nome visualizzato nella griglia della sequenza comandi

Il testo visualizzato per una variabile a Runtime viene configurato mediante la proprietà Nome visualizzato nella griglia di sequenza comandi del gruppo di proprietà di progetto Sequenze di comando.

La variabile verrà visualizzata nella griglia della sequenza di comando a Runtime sulla base di quanto viene impostato in questo gruppo delle proprietà di progetto.

Possibili nomi di visualizzazione:

  • Nome variabile
  • Identificazione variabile
  • Indirizzo simbolico

Verifica:

Il sistema esegue una verifica al momento della compilazione dei file Runtime nell´Editor di zenon.

Si controlla se la denominazione dei dispositivi di comando creati è univoca. Se non lo è, viene visualizzato un messaggio di errore nella finestra di emissione dell´Editor. Per la variabile di feedback non viene creato nessun oggetto disponibile per le Sequenze di comando.

Messaggi di errore:

Variabile '<Nome variabileX>' ignorata per il modello di dati sequenze di comando, perché la variabile '<Nome variabileY>' ha già creato un inserimento '<Denominazione in sequenze di comando>'! Possibile causa: identificazione o indirizzo simbolico non univoci.

Il sistema verifica anche se la variabile può restituire un nome oggetto non valido per l´oggetto sequenza di comando.
Variabile'<Nome variabile>' ignorata per il modello di dati sequenze di comando, perché restituisce un nome oggetto non valido '<Nome oggetto sequenza di comando>'! Causa Causa: identificazione Identificazione oppure indirizzo simbolico Indirizzo.

Ancora in questo capitolo

Esempi di visualizzazione - Nome visualizzato nella griglia di sequenza comandi


Esempi di visualizzazione - Nome visualizzato nella griglia di sequenza comandi

Manuale -> Sequenze di comando -> Introduzione -> Variabili per sequenze di comando -> Esempi di visualizzazione - Nome visualizzato nella griglia di sequenza comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempi di visualizzazione per le configurazioni possibili dei nomi variabile.

Nome visualizzato nella griglia di sequenza comandi

Nome variabile

Identificazione variabile

Indirizzo simbolico


Visualizzazione del nome dell´azione a Runtime

Manuale -> Sequenze di comando -> Introduzione -> Visualizzazione del nome dell´azione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo visualizzato per un´azione di comando a Runtime viene configurato mediante la proprietà Nome attività nella griglia sequenze di comando del gruppo di proprietà di progetto Nome attività nella griglia sequenze di comando.

Il passo verrà visualizzato nella griglia della sequenza di comando a Runtime sulla base di quanto viene impostato in questo gruppo delle proprietà di progetto.

Possibili nomi di visualizzazione:

  • Testo standard
    Formato: Nome azione: RV[DIR]
  • Nome azione
    Nome dell´azione di comando così come configurato nella proprietà Nome comando del modulo "Comandi".

Verifica:

Il sistema esegue una verifica al momento della compilazione dei file Runtime nell´Editor di zenon.

Si controlla se la denominazione delle azioni create è univoca. Se non è univoca ed esistono due azioni con lo stesso nome, viene visualizzato un messaggio di errore nella finestra di emissione dell´Editor.

L'attività '%s' per il dispositivo di comando %s' verrà ignorata per il modello sequenze di comando perché il nome dell'azione non è univoco.

attention Attenzione

Questo messaggio di errore significa che il secondo passo dello stesso nome non è disponibile a Runtime per le sequenze di comando.


Terminologia

Manuale -> Sequenze di comando -> Terminologia

Nel modulo Sequenze di comando si utilizzano i seguenti termini:

Parametro

Descrizione

Dispositivo di comando

Dispositivo fisico attivo disponibile, per es.: contatore o separatore.

Editor sequenza comandi

Parte del modulo "Sequenze di comando”Sequenze di comando per gestire il processo dell´esecuzione dei comandi. L´Editor sequenza comandi esegue una sequenza in modalità di esecuzione. Nella modalità di modifica, invece, si può configurare l´intero processo della sequenza e amministrare la sequenza stessa.

Sequenza di switch

I passi dei comandi vengono salvati in forma riassuntiva in sequenze comandi. Questi passaggi vengono poi inviati dal sistema di controllo di processo al PLC.

Inizio sequenza parallela

Elemento che consente la suddivisione del processo della sequenza in uno o più rami.

Transizione

Elemento del modulo Sequenze di comando che contiene una condizione. L´elemento viene usato dopo un passo per assicurare una transizione definita fra un passo e quello successivo.

Passo

Esecuzione di un´azione del modulo "Comandi", come per es.: Comando persistente: OFF.

Fine sequenza parallela

Elemento che termina la suddivisione del processo della sequenza in due o più rami e lo riunisce in un solo ramo.

Diramazione

Parte del modulo Sequenze di comando che consente una suddivisione in due o più rami, di cui solo uno può essere attivo durante il processo di esecuzione di una sequenza. Si tratta di una ramificazione aut/aut. Una diramazione comincia sempre con un elemento inizio sequenza e termina con un elemento fine sequenza.

Assegnazione del dispositivo di comando

Elemento del modulo Sequenze di comando che causa l´assegnazione di un dispositivo di comando a Runtime:

  • Con questo elemento si possono riservare (assegnare) in anticipo più (o tutte) le variabili di feedback. Per questa prenotazione viene settato il bit di stato NET_SEL.
  • Anche lo sblocco avviene usando l´elemento "Assegnazione del dispositivo di comando".
  • Dopo la fine della sequenza di comando, il bit di stato NET_SEL verrà cancellato automaticamente.

Ulteriori informazioni relative a questo bit di stato si trovano nella documentazione relativa all´Elaborazione stato, nel capitolo Select in rete (NET_SEL).

Ramo

Un´area di esecuzione nel modulo Sequenze di comando. Su di un ramo si possono mettere passi, transizioni e jump target.

Fine elemento

Elemento del modulo Sequenze di comando. Questo “Fine elemento” è necessario per completare in modo corretto la configurazione di una sequenza di comando.

Jump target

Elemento del modulo Sequenze di comando che permette di passare direttamente ad un posto determinato di un ramo.

Elemento Teaching

Elemento grafico del modulo Sequenze di comando. Visualizza la posizione nella griglia sequenze di comando in cui viene collocato l´elemento disegnato durante il processo di teaching.

Griglia sequenze di comando

L´area di lavoro nell´Editor “Sequenze di comando” del modulo Sequenze di comando. A Runtime, in questa sede più azioni vengono riunite graficamente in sequenze di comando.
Il diagramma è suddiviso a forma di griglia e ogni parte della griglia ospita un elemento.

Simulazione progetto

Modalità di funzionamento del Runtime in cui vengono simulati processi (slegati dal processo produttivo vero e proprio).

In questo caso, non passa in modalità di simulazione un singolo driver, ma l´intero progetto. A seconda di quanto impostato in fase di configurazione, vengono copiati anche tutti i dati Runtime in un´immagine di simulazione per far sì che tutte le azioni di switch eseguite in modalità di simulazione possano essere registrate e analizzate.

Modalità simulazione

A differenza di quanto accade in modalità hardware, in questo caso non si ha una comunicazione con il PLC. I valori delle variabili vengono calcolati sulla base della modalità di simulazione impostata (statica, conta o programmata).

Immagine di simulazione

Area di memoria in cui vengono salvati tutti i valori della simulazione.


Procedura

Manuale -> Sequenze di comando -> Procedura

La configurazione e l´uso del modulo Sequenze di comando sono articolati in tre fasi principali:

  1. Configurazione del modulo Comandi nell´Editor di zenon.
  2. Creazione delle sequenze nell´Editor Sequenze di comando a Runtime.
  3. Esecuzione della sequenza a Runtime.

Creazione di una sequenza di comando

L´utente crea una sequenza di comando nel Runtime di zenon. La base di questa progettazione è costituita dai passi selezionabili che corrispondono alle azioni del modulo "Comandi". La sequenza si deve trovare a Runtime in modalità di modifica.

Esecuzione di una sequenza di comando

L´utente esegue la sequenza di comando a Runtime. Per prima cosa, cambia la modalità in cui si trova la sequenza di comando in Modalità di modifica. Poi la sequenza di comando viene avviata.

L´utente non ha più la possibilità di modificare le sequenze di comando che si trovano in modalità di esecuzione. Se si vuole modificarle, le si dovrà riportare in modalità di modifica.


Registrazione della licenza

Manuale -> Sequenze di comando -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando offre la possibilità di creare, eseguire e configurare a Runtime i processi dei comandi in un diagramma grafico di flusso.

La licenza di questo modulo può essere attivata solo in combinazione con la Energy Edition.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Se si ha una licenza sia per il modulo Batch Control che per le Sequenze di comando, si seleziona quale modulo utilizzare a Runtime nelle proprietà di progetto.

Procedura per selezionare il modulo preferito a Runtime:

  • Nell´Editor, cliccare sul nodo del progetto in questione.
  • Passare al gruppo di proprietà di progetto Impostazioni Runtime.
  • Alla voce Modulo di licenza a Runtime, selezionare nel menù a tendina della proprietà Modulo preferito Sequenze di comando (default) o Batch Control.

Il modulo selezionato sarà poi disponibile a Runtime per ulteriori configurazioni.

Simulazione progetto

Il modulo Simulazione progetto (per cui è necessaria una licenza) è incluso nel modulo Sequenze di comando.


Configurazione nell'Editor

Manuale -> Sequenze di comando -> Configurazione nell'Editor

Per poter usare il modulo Sequenze di comando a Runtime, si devono prima eseguire i seguenti passi nell´Editor di zenon:

  • Configurare i Comandi.
  • Configurare delle variabili.
  • Creare un´immagine di tipo Sequenze di comando.
  • Inserire nell´immagine di tipo Sequenze di comando l´elemento di controllo Editor Sequenze di comando.
  • Creare una funzione di cambio immagine per aprire a Runtime l´immagine di tipo Sequenze di comando.

Quando si cambia la configurazione nell´Editor di zenon, le modifiche vengono applicate nel modulo Sequenze di comando dopo la compilazione dei file Runtime e dopo che si è eseguito un reload del progetto nel Runtime di zenon.

Ancora in questo capitolo

Creare un'immagine di tipo "Sequenze di comando".

Funzioni di zenon

Funzione di cambio immagine - Sequenze di comando

Azioni del modulo "Comandi " nel modulo "Sequenze di comando"


Creare un'immagine di tipo "Sequenze di comando".

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Creare un'immagine di tipo "Sequenze di comando".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine di tipo "Sequenze di comando".

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Sequenze di comando.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.


Funzioni di zenon

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzioni di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il modulo Sequenze di comando sono disponibili le seguenti funzioni:

  • Esegui sequenza di comando/cambio modalità
    invia comandi di gestione per l´esecuzione della sequenza di comando.
  • Esporta sequenze di comando
    esporta sequenze di comando in un file XML. È possibile filtrare i contenuti del file XML.
  • Importa sequenze di comando
    Importa sequenze di comando da un file XML.
  • Teaching sequenza comandi
    Avvia o termina il processo di teaching.

Ancora in questo capitolo

Esegui sequenza di comando/cambio modalità

Esporta sequenze di comando

Importa sequenze di comando

Teaching sequenza comandi


Esegui sequenza di comando/cambio modalità

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzioni di zenon -> Esegui sequenza di comando/cambio modalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si possono inviare comandi di gestione all´esecuzione sequenze di comando.

Procedura per creare la funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni del Manager di progetto.
  2. Selezionare Nuova funzione nel menù contestuale del nodo.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Sequenze di comando
  4. Selezionare Esegui comando sequenza comandi/cambio modalità.
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Azione

Parametro

Descrizione

Azione

Selezione dell´azione da eseguire:

  • Comando
  • Modalità

Comando

Selezione del comando da eseguire fra quelli del menù a tendina:

  • Ignora
    Non esegue nessun comando della sequenza (Start o Annulla).
    Nota: se per la proprietà "Modalità" è stata selezionata l´opzione "Automatico" o "Semiautomatico", verrà eseguito solamente un cambio di modalità.
  • Avvia sequenza di comando
    Avvia una o più sequenze di comando identificate.
  • Termina sequenza di comando
    Termina una o più sequenze di comando identificate.

Modalità

Selezione della modalità in cui deve essere eseguita la sequenza di comando. Selezione della modalità fra quelle proposte dal menù a tendina:

  • Ignorare
    La (le) sequenza (e) di comando identificata (e) tramite la funzione viene eseguita nella modalità esistente della Sequenza di comando.
  • Automatico
    La (le) sequenza (e) di comando identificata (e) tramite la funzione viene eseguita nella modalità Automatico.
  • Semiautomatico
    La (le) sequenza (e) di comando identificata (e) tramite la funzione viene eseguita nella modalità Semiautomatico.

Filtro sequenza di comandi

Parametro

Descrizione

Filtro sequenza di comandi

Configurazione del "Filtro sequenza di comandi". Questo filtro determina a quali sequenze di comando debba essere applicata la funzione.

Considera caratteri maiuscoli/minuscoli per il nome

Nell´eseguire l´operazione di filtro dei comandi per le sequenze di comando, il sistema tiene conto dell´uso di lettere maiuscole e minuscole nel nome delle sequenze.

Default: non attivo.

Sequenza di Switch

Parametri per la selezione delle sequenze di comando. Selezione dal menù a tendina:

  • Nome con Wildcards:
    Nel campo di inserimento si può digitare un nome con un placeholder. Il filtro viene eseguito sulla base di questo nome.
    Le wildcard sono:
    * numero qualsiasi di caratteri. * può essere utilizzato all´inizio, alla fine, oppure sia all´inizio che alla fine del campo di inserimento.
    Nota: il campo di inserimento è attivo (abilitato all´inserimento) solo con questa opzione.
  • Nome da variabile:
    A Runtime, il nome della sequenza di comando viene preso da una variabile.
    Cliccando sul pulsante ..., si apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile:
    L´ID della sequenza di comando viene acquisito da una variabile.
    Cliccando sul pulsante ... si apre il dialogo che serve alla scelta di una variabile.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.
info Info
Informazioni dettagliate relative alla configurazione della funzione si trovano nel capitolo Configurazione del Filtro sequenza di comandi.

Finestra di dialogo di errore

Se la proprietà Ignora è stata selezionata sia per Comando che per Modalità, la funzione non avrà nessun effetto a Runtime. In questo caso verrà visualizzato un messaggio di errore.


Esporta sequenze di comando

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzioni di zenon -> Esporta sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si esportano le sequenze di comando in un file XML. Il contenuto dell´esportazione può essere filtrato.

Procedura per creare la funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni.
  2. Selezionare il comando Nuova funzione.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Sequenze di comando.
  4. Selezionare Esporta sequenze di comando
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Filtro sequenza di comandi

Parametro

Descrizione

Considera maiuscole/minuscole per la sequenza comandi

Nel selezionare le sequenze di comando da esportare, il sistema tiene conto dell´uso di lettere maiuscole e minuscole nel nome delle sequenze.

Sequenza di commando
  • Nome con Wildcards
    La selezione delle sequenze di comando da esportare avviene tramite il nome delle sequenze stesse. Digitare il criterio di ricerca nel campo di inserimento.
    Le wildcard sono:
    * numero qualsiasi di caratteri. * può essere utilizzato all´inizio, alla fine, oppure sia all´inizio che alla fine del campo di inserimento.
    Nota: il campo di inserimento è attivo (abilitato all´inserimento) solo con questa opzione.
  • Nome dalla variabile
    Il nome delle sequenze di comando da esportare viene ripreso a Runtime da una variabile.
    Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.
  • ID dalla variabile
    L´ID delle sequenze di comando da esportare viene ripresa dall´ID di una variabile.
    Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Stato sequenza di comando

Selezione dello stato della sequenza di comando da esportare:

  • Tutti
    Verranno esportate tutte le sequenza di comando.
  • Modalità di modifica
    Verranno esportate solo le sequenza di comando che in quel momento si trovano in Modalità di modifica.
  • Modalità di esecuzione
    Verranno esportate solo le sequenza di comando che in quel momento si trovano in Modalità di esecuzione.

File di emissione

Parametro

Descrizione

Denominazione

Menù a tendina per la selezione del modo in cui verrà definito il nome del file di emissione:

  • Nome file:
    Il nome del file di destinazione può essere definito liberamente. Inserimento del nome file nel campo di inserimento.
  • Nome file da variabile:
    II nome del file di destinazione viene ripreso da una variabile configurabile.
    Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile..
  • Crea nome file da nome della Sequenza comandi:
    II nome del file di destinazione è identico a quello della sequenza di comandi da esportare.
  • Crea nome file da ID della Sequenza comandi
    Il file viene denominato con l´ID della sequenze di comando.

Sovrascrivi file esistenti

Questo parametro definisce il comportamento nel caso in cui un file di esportazione esista già. Se la checkbox è attiva (segno di spunta), il file esistente verrà sovrascritto automaticamente (senza che venga visualizzata una richiesta di conferma).

Default: attiva

Proponi dialogo a Runtime

Attiva: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione.

Default: non attivo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Finestra di dialogo di errore

Se la funzione di esportazione è stata configurata in modo erroneo, verrà visualizzato un messaggio di avviso:

  • Il valore di ricerca per la versione è vuoto:
    Impossibile trovare una sequenza di comando per l´esportazione. In questo caso, controllare la configurazione nel settore Filtro sequenza di comandi.
  • Il valore per la denominazione del file sorgente è vuoto:
    Impossibile trovare una sequenza di comando per l´esportazione. In questo caso, controllare la configurazione nel settore File di emissione.

Nota: lo screenshot mostra entrambe le possibili cause di errore. A seconda dell´errore, può essere visualizzato solo uno degli errori indicati.

Parametro | Descrizione
Sì | Verrà chiusa la finestra di dialogo della funzione. Verrà chiusa anche la finestra di dialogo di configurazione della funzione.
No | Verrà chiuso il messaggio di avviso. La finestra di dialogo di configurazione della funzione rimarrà aperta per consentire di modificare la configurazione stessa.
info Info
Ulteriori informazioni sulla struttura del file XML si trovano nel capitolo Struttura del file XML per le sequenze di comando.


Importa sequenze di comando

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzioni di zenon -> Importa sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si importano sequenze di comando in un file XML.

Procedura per creare la funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni.
  2. Scegliere il comando Nuova funzione.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Sequenze di comando.
  4. Selezionare Importa sequenze di comando.
  5. Si aprirà la finestra di dialogo per configurare la funzione.

info Info

Le sequenze di comando esistenti possono essere sovrascritte in caso di importazione solo se si trovano in modalità di modifica nell´Editor Sequenze di comando.

Informazioni più precise relative all´importazione possono essere visualizzate usando le due variabili del driver di sistema [Sequenze comandi] Risultato import numerico e [Sequenze comandi] Stringa Risultato Export.

Origine di importazione

Selezione dell´origine dell´importazione di una sequenza di comando:

  • Nome file
  • Variabile
Parametro | Descrizione
Nome file | Selezione del file XML per l´importazione. Cliccando sul pulsante ... si aprirà la finestra di dialogo per la selezione del file.
Da variabile | Il nome del file di importazione viene ripreso dalla variabile selezionata. Cliccando sul pulsante ... si aprirà la finestra di dialogo per la selezione della variabile.

Opzioni di importazione

Parametro

Descrizione

Operazione per conflitti di nome nelle sequenze di comando

Comportamento in caso di conflitti di nome:

  • Crea nuova sequenza di comando
    Verrà creata una nuova sequenza di comando.
    Assegnazione di un nome alla nuova sequenza di comando:
    [Nome della sequenza di comando da file XML] + [numero progressivo].
  • Sovrascrivi sequenze di comando esistenti
    La sequenza di comando esistente viene sovrascritta/sostituita dal contenuto dell´importazione XML.
  • Ignora
    Non verrà eseguita l´importazione per le sequenza di comando già esistenti.

Proponi dialogo a Runtime

Attivo: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione.

Default: non attivo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Finestra di dialogo di errore

Se la funzione di importazione è stata configurata in modo erroneo, verrà visualizzato un messaggio di avviso:

  • Il valore di ricerca per il nome file di origine è vuoto:
    Impossibile trovare una sequenza di comando per l´importazione. In questo caso, controllare la configurazione nel settore Filtro sequenza di comandi.

Parametro | Descrizione
Sì | Verrà chiusa la finestra di dialogo della funzione. Verrà chiusa anche la finestra di dialogo di configurazione della funzione.
No | Verrà chiuso il messaggio di avviso. La finestra di dialogo di configurazione della funzione rimarrà aperta per consentire di modificare la configurazione stessa.
info Info
Ulteriori informazioni sulla struttura del file XML si trovano nel capitolo Struttura del file XML per le sequenze di comando.


Teaching sequenza comandi

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzioni di zenon -> Teaching sequenza comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si avvia o si arresta il processo di teaching a Runtime.
Questa funzione è particolarmente adatta per avviare il teaching a Runtime in un´immagine di processo senza dover passare all´Editor sequenze di comando.

Procedura per creare la funzione:

  1. Nell´Editor di zenon, passare al nodo Funzioni.
  2. Selezionare il comando Nuova funzione.
  3. Si aprirà una finestra di dialogo per selezionare una funzione. In questa lista, passare al nodo Sequenze di comando.
  4. Selezionare Teaching sequenza comandi
  5. Si aprirà la finestra di dialogo per configurare la funzione.

Parametro | Descrizione
Avvia Teaching | Avvia un nuovo processo di teaching. Il sistema genererà una nuova sequenza comandi cui sarà assegnato un nome standard. L´elemento teaching verrà inizialmente posizionato in questa sequenza di comando nella griglia sequenze di comando, sotto l´elemento iniziale. Nota: in questo caso il Runtime deve trovarsi in modalità di simulazione! Ulteriori informazioni relative al teaching si trovano nel capitolo Teaching.
Termina Teaching | Termina il processo di teaching.
Proponi dialogo a Runtime | Attiva: questa finestra di dialogo verrà aperta a Runtime prima dell´esecuzione della funzione. Sarà possibile selezionare Avvia Teaching o Termina Teaching a Runtime. Default: non attivo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzione di cambio immagine - Sequenze di comando

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Funzione di cambio immagine - Sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il modulo Sequenze di comando a Runtime, bisogna anzitutto configurare una funzione di cambio immagine per aprire l´immagine Sequenze di comando:

  1. Selezionare nel menù contestuale del nodo Funzioni la voce Nuova Funzione
  2. Selezionare la funzione Cambio immagine
  3. Scegliere l´immagine di tipo Sequenze di comando.

Collegare la funzione ad un pulsante nell´immagine, per poter passare a questa immagine a Runtime.

info Info

La configurazione adottata nel modulo "Comandi" rappresenta la base della gestione nell´immagine di tipo Sequenze di comando.


Azioni del modulo "Comandi " nel modulo "Sequenze di comando"

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Azioni del modulo "Comandi " nel modulo "Sequenze di comando"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo contiene ulteriori informazioni relative al comportamento delle azioni comandi configurate nel modulo Sequenze di comando.

Ancora in questo capitolo

Comportamento del tipo di azione "Richiedi valore di feedback"

Azione di comando "Impostazione di valore"

Ignora operazione per valori identici da impostare e attuali


Comportamento del tipo di azione "Richiedi valore di feedback"

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Azioni del modulo "Comandi " nel modulo "Sequenze di comando" -> Comportamento del tipo di azione "Richiedi valore di feedback"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tipo di azione "Richiedi valore di feedback" viene usato nelle sequenze di comando per verificare il valore della variabile di feedback.

Per poterlo usare nel modulo Sequenze di comando, il tipo di azione "Richiedi valore di feedback" deve essere stato configurato nel modulo Comandi dell´Editor di zenon come azione all´interno di un gruppo comando.

attention Attenzione

Questo tipo di azione non viene di regola usato nel modulo Comandi. È stato concepito espressamente per essere usato nel modulo Sequenze di comando.

Per quello che riguarda il modulo "Comandi", è possibile configurare questa query tramite pulsanti di azione e ricevere i valori di risposta a Runtime.

L'azione Richiedi valore di feedback serve ad analizzare le variabili per rilevare lo stato ON o OFF.

Mentre viene eseguita l'azione Richiedi valore di feedback, viene sbloccato il tasto standard Annullanell'immagine di tipo Comandi.

Il sistema attende (a seconda dell'impostazione del watchdog timer) finché il valore della variabile di feedback non corrisponde a quello impostato per la proprietà dell'azione direzione di switch. Se il risultato dalla verifica è ON, questo valore è 1; se il risultato è OFF, il valore è 0.

Se non è stato configurato un watchdog timer (Watchdog timer = "Nessuno"), il sistema attende al massimo finché non scade il tempo di attesa configurato (~24 ore). In caso contrario, l'azione viene interrotta e viene settato il bit di stato TIMEOUT per la variabile di feedback.

Se, dopo l'esecuzione dell'azione nell'immagine “Comandi”, le altre azioni non sono disponibili, le ragioni sono le seguenti:

  • Il Timeout per il watchdog timer non è ancora scaduto.
  • La variabile di feedback non ha ancora il valore atteso (il cambio di valore non è stato ancora ricevuto).
  • L'azione non è stata ancora interrotta premendo il tasto Annulla.

info Info

Il tipo di azione Richiedi valore di feedback serve solamente a leggere il valore della variabile di feedback, senza eseguire nessuna operazione.

Quest´azione è pensata per l´uso nel modulo Sequenze di comando.

Se la variabile di feedback ha già il valore della direzione di switch, l'esecuzione dell'azione viene considerata subito come conclusa. Gli altri pulsanti dell'immagine “Comandi” tornano subito ad essere disponibili all'uso.

Nota: anche se la variabile di feedback viene settata sullo stato OFF o Revision , il sistema può verificare il valore di feedback.


Azione di comando "Impostazione di valore"

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Azioni del modulo "Comandi " nel modulo "Sequenze di comando" -> Azione di comando "Impostazione di valore"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se è stata configurata un´azione Impostazione di valore nel modulo Comandi, un valore impostato dei comandi può essere applicato sia nel modulo "Comandi", che in quello Sequenze di comando.

Impostazione di valore con inserimento

Procedura per l´impostazione di un valore tramite inserimento manuale nel modulo Sequenze di comando:

  • Durante l´elaborazione di una sequenza di comando, viene aperta la finestra comandi in corrispondenza del passo Imposta valore con inserimento: L´elemento Valore delle variabili di comando è a disposizione, e viene popolato con il valore attuale. Il pulsante Esegui è attivo. I pulsanti di azione non sono attivi.
  • La barra di scorrimento è disponibile e viene popolata con il valore attuale.
  • Il valore viene applicato quando si clicca su Esegui.
  • L´esecuzione della sequenza di comando riprenderà con il nuovo valore.

Impostazione di valore con valore predefinito

Questo valore viene configurato nel modulo "Comandi", per la precisione tramite la proprietà Imposta valore del gruppo Impostazioni azioni. Se si vuole che un valore venga proposto a Runtime, nell´Editor di zenon si deve selezionare nel menù a tendina della proprietà Stato-Feedback/Direzione Switch dell´azione di comando l´opzione DIR. In questo caso, infatti, un valore è predefinito nell´Editor nella proprietà Imposta valore.

Esecuzione in due livelli

  • In caso di esecuzione in due livelli, il valore viene scritto dopo essere stato confermato e dopo una verifica degli interblocchi.
  • Mentre il sistema attende la conferma o lo sblocco, continua ad essere visibile il vecchio valore nel campo di inserimento che viene visualizzato in color grigio (disabilitato).

info Info

L´azione di comando Impostazione di valore con inserimento del valore è possibile solamente a partire dal zenon 7.50.

info Info

Ulteriori informazioni a questo proposito si trovano nella documentazione relativa alla Energy Edition, nei capitoli Comandi e Tipo di azione "Impostazione di valore".


Ignora operazione per valori identici da impostare e attuali

Manuale -> Sequenze di comando -> Configurazione nell'Editor -> Azioni del modulo "Comandi " nel modulo "Sequenze di comando" -> Ignora operazione per valori identici da impostare e attuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà Ignora operazione per valori identici da impostare e attuali è stata attivata nell´Editor di zenon (proprietà delle azioni di comando), durante l´elaborazione della sequenza di comando a Runtime, il sistema verifica i valori della variabile di feedback confrontandoli con quelli impostati.

Se questi due valori sono identici, il passo verrà ignorato. La cosa è visibile anche nel Tooltip del passo stesso (= Ignorato).


Variabili del driver di sistema per il modulo "Sequenze di comando".

Manuale -> Sequenze di comando -> Variabili del driver di sistema per il modulo "Sequenze di comando".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su questo tema sono disponibili le seguenti variabili di sistema:

Nota: questo gruppo è visibile solo se si ha una licenza valida per il modulo Sequenze di comando.

Nome

Tipo di dato

Commento

[Sequenze comandi] Quantità delle interazioni utente esistenti

DINT

Numero delle sequenze di comando attualmente in esecuzione con interazioni utente in attesa.

Dopo che un´azione utente è stata eseguita o che la sequenza di comando è stata terminata, questa variabile numerica verrà ridotta di 1 unità.

Se in una sequenza di comando ci sono diversi passi che attendono un´azione dell´utente, la variabile numerica verrà incrementata di una unità per ogni passo.

[Sequenze comandi] Quantità sequenze comandi in esecuzione

DINT

Numero delle sequenze di comando in esecuzione al momento.

Questa variabile del driver di sistema viene aggiornata allo start e al termine di una sequenza di comando.

[Sequenze comandi] Risultato Export numerico

DINT

Risultato dell´esportazione XML:

  • -1:
    In esecuzione
  • 0:
    lettura del valore di inizializzazione riuscita
  • A partire da 1
    numero degli errori che si sono verificati.

[Sequenze comandi] Stringa Risultato Export

STRING

Risultato dell´esportazione XML come testo.

  • Non si sono verificati errori.
  • Errore esportazione XML: Il file di esportazione [Percorso di salvataggio]\[Nome file] esiste già e non può essere sovrascritto.
    Nota: si verifica solo se nella finestra di dialogo dell´export la proprietà Sovrascrivi file esistenti non è attiva, e se esiste già un file dello stesso nome nella cartella di esportazione.

[Sequenze comandi] Risultato Export XML

STRING

Contenuto dell´esportazione XML in dettaglio.

Questa variabile visualizza il contenuto dell´esportazione XML.
Vengono visualizzati:

  • Nome
  • Versione
  • Tipo
  • ID

Nota: se il contenuto supera la lunghezza massima della variabile del driver di sistema, il risultato viene accorciato.

[Sequenze comandi] Risultato import numerico

DINT

Risultato dell´importazione XML.

  • -1:
    In esecuzione
  • 0:
    lettura del valore di inizializzazione riuscita
  • A partire da 1
    numero degli errori che si sono verificati.

[Sequenze comandi] Stringa Risultato Export

STRING

Risultato dell´importazione XML come testo.

  • La sequenza di comando non è stata trovata. Di conseguenza la sequenza di comando non può essere importata.
  • La sequenza di comando non può essere sovrascritta, perché non ha lo stato corretto.
  • La sequenza di comando non può essere importata come nuova versione perché il versionamento non è attivo.
  • La sequenza di comando non può essere importata perché non corrisponde al tipo selezionato.
  • Impossibile importare la sequenza di comando perché ha un nome non consentito.

[Sequenze comandi] Risultato Import XML

STRING

Contenuto dell´importazione XML in dettaglio.

Questa variabile visualizza il contenuto dell´importazione XML.
Vengono visualizzati:

  • Nome
  • Versione
  • Tipo
  • ID

Nota: se il contenuto supera la lunghezza massima della variabile del driver di sistema, il risultato viene accorciato.

[Sequenze comandi] Name der aktive geteachten Schaltfolge

STRING

Nome della sequenza di comando al momento soggetta a processo teaching. Il nome della sequenza di comando viene usato dopo che il processo teaching è stato avviato.

Quando poi questo processo è terminato, il valore di questa variabile passa a "vuoto".

[Sequenze comandi] Nomi sequenze comandi in esecuzione

STRING

Nomi delle sequenze di comando in esecuzione al momento:
Se ci sono più sequenze di comando, i loro nomi sono separati da un punto e virgola (;).

[Sequenze comandi] Nomi delle sequenze comando con interazioni utente esistenti

STRING

Nome delle sequenze di comando in esecuzione con interazioni utente in attesa.

Se in una sequenza di comando ci sono diversi passi che attendono un´azione dell´utente, il nome della sequenza di comandi verrà inserito una sola volta e rimarrà finché tutti i passi in attesa non saranno stati eseguiti.

Se ci sono più sequenze di comando, i loro nomi sono separati da un punto e virgola (;).

[Sequenze comandi] Stato teaching

DINT

Stato del processo teaching. Indica se il processo teaching è attivo al momento oppure no.

  • 0 - Teaching non è attivo.
  • 1 - L´elemento Teaching è in attesa di essere posizionato.
    (Questo stato è attivo finché l´elemento Teaching non viene posizionato all´interno dell´Editor sequenze di comando)
  • 2 - Teaching è attivo.

A processo teaching in corso, questa variabile ha il valore 2.

Quando poi questo processo è terminato, il valore di questa variabile passa a 0.

info Info

Un computer che in un sistema ridondante passa a svolgere il ruolo di server, setta il valore di questa variabile del driver di sistema a 0 (variabili numeriche) o stringa vuota (variabili stringa).

info Info

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata al Driver di sistema.


Backup di progetto per le sequenze di comando

Manuale -> Sequenze di comando -> Backup di progetto per le sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un backup di progetto eseguito nell´Editor di zenon non tiene conto delle sequenze di comando configurate a Runtime.

Eseguire perciò un backup manuale dei file Runtime corrispondenti.

Backup dei file Runtime delle sequenze di comando

Per eseguire un backup dei file Runtime delle sequenze di comando configurate:

  1. Passare alla cartella dei file Runtime.
    C:\Users\Public\Documents\zenon_Projects\[nome workspace]\[nome progetto]

    Nota: Questa cartella esiste solo se il progetto è stato compilato in zenon almeno una volta.
    Suggerimento: per aprire direttamente la cartella Runtime, selezionare il progetto desiderato nell`Editor di zenon e premere la combinazione di tasti Ctrl + Alt + R.
  2. Copiare la cartella Sequences.
  3. Aggiungere di nuovo la cartella Sequences alla cartella Runtime del backup di progetto.
    Nota: il Runtime dovrebbe essere chiuso mentre è in corso il processo di copia, oppure dovrebbe essere riavviato dopo la conclusione del processo stesso.


Autorizzazioni funzioni

Manuale -> Sequenze di comando -> Autorizzazioni funzioni

A partire dalla versione 7.50 di zenon, anche il modulo Sequenze di comando supporta le autorizzazioni funzione.

La configurazione delle autorizzazioni funzioni viene eseguita nel modulo Gestione user. Si distingue fra autorizzazioni Editor e autorizzazioni Runtime.
Per il modulo Sequenze di comando ci sono delle autorizzazioni Runtime specifiche:

  • Autorizzazioni funzioni per import e export XML
  • Autorizzazioni funzioni per il controllo del processo di una sequenza comandi

info Info

Ulteriori informazioni riguardanti la configurazione delle autorizzazioni funzioni si trovano nella parte della documentazione dedicata alla Gestione user.

La descrizione delle autorizzazioni funzioni specifiche per il modulo Sequenze di comando si trova nel capitolo Autorizzazioni funzioni Runtime.

attention Attenzione

In fase di esecuzione, le impostazioni configurate per il modulo Comandi hanno sempre la precedenza rispetto alle autorizzazioni funzioni progettate per il modulo Sequenze di comando.

In questo modo si garantisce che non si verifichi un blocco durante l´elaborazione di una sequenza di comando.


Sequenze di comando a Runtime

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La completa gestione, creazione e elaborazione delle sequenze di comando avviene a Runtime. Non è possibile eseguire delle modifiche nell´Editor di zenon.

Salvataggio delle sequenze di comando alla chiusura del Runtime

Se ci sono ancora delle sequenze di comando non salvate al momento della chiusura del Runtime, il sistema chiede all´utente se queste sequenze debbano essere salvate. Per evitare che questa richiesta impedisca la chiusura del Runtime, quest´ultimo verrà chiuso automaticamente dopo che sono trascorsi 15 secondi senza che ci sia stato un´inserimento da parte dell´utente. Le sequenze di comando non salvate, verranno ignorate.

  • Se si clicca sul pulsante "Sì", verranno salvate tutte le modifiche apportate alle sequenze di comando aperte nell´Editor sequenza comandi. Poi verrà chiuso il Runtime.
  • Se si clicca sul pulsante No, verrà chiuso il Runtime senza salvare le modifiche eseguite nelle sequenze di comando.

Ancora in questo capitolo

Editor sequenza comandi

Crea sequenza di comando

Tooltip

Stato di esecuzione

Simboli e colori

Convalida della sequenza di comando

Teaching

Regole di configurazione per sequenze di comando

Inserimenti CEL


Editor sequenza comandi

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor sequenza comandi è la superficie grafica nella quale si configurano le sequenze di comando a Runtime.

Per l´Editor sequenza comandi è disponibile quanto segue:

  • Barre degli strumenti.
    L´aspetto delle barra degli strumenti dipende dalla modalità in cui si trova l´Editor sequenza comandi.
  • Schede
  • Griglia sequenze di comando
    Area di configurazione.
  • Finestre ancorabili

Parametro

Descrizione

Header dell´Editor

Informazioni riguardanti:

  • Sequenza di comando corrente
  • Modalità

Barra dei menù - Editor sequenza comandi

Barra di menù con simboli per la configurazione di una sequenza di comando.

Schede con sequenze di comando aperte

La selezione delle sequenze di comando aperte avviene cliccando sulla relativa scheda.

In modalità di modifica, il colore della scheda corrisponde a quello dello stato di esecuzione della sequenza di comando.

Griglia sequenze di comando

Diagramma della configurazione.

La configurazione avviene mediante Drag&Drop degli elementi dalla barra di menù.

Suggerimento: per allargare o ridurre la griglia, posizionare il cursore del mouse sul bordo e trascinarlo nella direzione desiderata tenendo premuto il tasto destro del mouse.

Visualizzazione modalità

Visualizzazione dello stato della modalità selezionata:

  • Modalità di modifica:
    • Simbolo della modalità di modifica (matita)
    • Dimensione della griglia sequenze di comando.
    • Numero degli elementi configurati.
  • Modalità di esecuzione:
    • Simbolo della modalità di esecuzione:
      - Automatica
      - Manuale
    • Simbolo dello stato
      (pollice verde: pronto per lo start).
    • Passo (stadio) di esecuzione:
      - In esecuzione
      - Completata

Posizione cursore

Visualizza riga e colonna della selezione fatta nella griglia sequenze di comando.

Barre zoom

Impostazione del fattore di zoom della griglia sequenze di comando per mezzo di uno slider.

+

Aumenta il fattore di ingrandimento del 25 % per ogni clic del mouse.

-

Riduce il fattore di ingrandimento del 25 % per ogni clic del mouse.

Selezione delle finestre ancorabili

Apre il menù a tendina per la selezione delle finestre ancorabili.

  • Lista sequenze comandi

Le finestre ancorabili selezionate vengono visualizzate o nascoste.

Ancora in questo capitolo

Schede con sequenze di comando aperte - Menù contestuale

Finestre ancorabili - Lista sequenze comandi

Griglia sequenze di comando

Modalità

Barra degli strumenti - Editor sequenze di comando (Modalità di modifica)

Barra degli strumenti - Editor sequenze di comando (Modalità di esecuzione)


Schede con sequenze di comando aperte - Menù contestuale

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Schede con sequenze di comando aperte - Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se ci sono più sequenze di comando aperte nell´Editor sequenza comandi, ognuna di queste viene rappresentata graficamente da una scheda. In altre parole, le schede rappresentano le sequenze di comando aperte nell´Editor sequenza comandi. Quando si clicca su una scheda, la progettazione della corrispondente sequenza di comando viene visualizzata nella griglia sequenze di comando.

Menù contestuale - Scheda

Parametro

Descrizione

Salva

Salva la sequenza di comando corrente.

Chiudi

Chiude la sequenza di comando corrente.

Chiudi tutte.

Chiude tutte le schede/sequenze di comando aperte, meno quella selezionata al momento.

Ordina verticalmente

Visualizza tutte le schede aperte in una nuova visuale.
Quest´ultima si apre in una nuova finestra sotto la visualizzazione corrente:

  • Sposta visuale
    Apre la scheda in una nuova finestra.
  • Apri visuale parallela
    Apre la scheda selezionata in una nuova finestra e la lascia nell´elenco schede.

Affianca verticalmente

Visualizza tutte le schede aperte in una nuova visuale.
Quest´ultima si apre in una nuova finestra accanto alla visualizzazione corrente:

  • Sposta visuale
    Apre la scheda in una nuova finestra.
  • Apri visuale parallela
    Apre la scheda selezionata in una nuova finestra e la lascia nell´elenco schede.

Le sequenze di comando possono essere visualizzate e aperte in due gruppi, uno sopra l´altro, o uno accanto all´altro. Per aprire una sequenza di comando in un nuovo gruppo:

  1. Selezionare nel menù contestuale della sequenza il comando Ordina verticalmente, oppure il comando Ordina orizzontalmente
  • Selezionare il tipo di visualizzazione:
    • Sposta visuale
    • Apri visuale parallela

Gli elementi di controllo valgono sempre solo per la sequenza di comando attiva del gruppo attivo.

  • Il gruppo attivo viene evidenziato mediante un colore.
  • La scheda attiva è quella con i caratteri in grassetto. Le informazioni relative alla scheda attiva vengono visualizzate nell´barra del titolo dell´Editor.
  • Le schede possono essere spostate (anche fra un gruppo e l´altro) e ordinate via Drag&Drop.
    Suggerimento: usare questa possibilità di spostamento per tornare alla visuale con un solo gruppo quando ce ne sono due aperti.


Finestre ancorabili - Lista sequenze comandi

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista delle sequenze comandi contiene tutte le sequenze di comando configurate. In questa lista è possibile modificare e amministrare le sequenze di comando già configurate, e crearne delle nuove.

Lista sequenze comandi - Panoramica:

Nella Lista sequenze comandi si può:

  • Creare nuove sequenze di comando.
  • Caricare delle sequenze già configurate nell´"Editor sequenze di comando" per modificarle.
  • Rinominare sequenze di comando.
  • Duplicare sequenze di comando.
  • Cancellare sequenze di comando.
  • Impostare sequenze di comando nella modalità di esecuzione.
  • Impostare sequenze di comando nella modalità di modifica.
  • Selezionare e formattare le colonne.

Le colonne della Lista sequenze comandi possono essere filtrate e ordinate. È possibile spostarle via Drag&Drop. Si può visualizzare o nascondere le colonne usando il menù contestuale (che si apre con un clic del tasto destro del mouse).

Ancora in questo capitolo

Selezione e posizionamento

Barra degli strumenti - Lista sequenze comandi

Barra degli strumenti - Lista sequenze comandi


Selezione e posizionamento

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Selezione e posizionamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aiuti di posizionamento

Quando si sposta una finestra all´interno dell´interfaccia dell´Editor, il sistema visualizza degli aiuti che servono a facilitarne il posizionamento. Questi ultimi rappresentano una finestra, o i suoi bordi.

Questo elemento rappresenta un´area finestra nell´Editor.

Questo elemento rappresenta l´area al bordo dell´Editor.

Posizionare finestre

Per posizionare un elemento in modalità "ancorata":

  1. Trascinare l´elemento con il mouse nell´area desiderata.
  2. Verrà visualizzato l´aiuto di posizionamento.
  3. Quest´ultimo rappresenta una finestra e i suoi settori:
    1. Centro: intera finestra
    2. Freccia in alto: metà superiore
    3. Freccia in giù: metà inferiore
    4. Freccia a destra: metà di destra
    5. Freccia a sinistra: metà di sinistra

    Oppure il bordo dell´Editor.

  4. Spostare il mouse sull´aiuto di posizionamento centrale o su quello per il bordo dell´Editor; poi portare il puntatore sull´area desiderata.
  5. L´area dell´Editor sulla quale verrebbe posizionato l´elemento al momento del rilascio del tasto del mouse, viene colorata di blu.
  6. Spostare il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colorerà di blu.
  7. Rilasciare il tasto del mouse e l´elemento verrà posizionato.

Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione tramite schede.


Barra degli strumenti - Lista sequenze comandi

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Nuova sequenza comandi

Crea una nuova sequenza di comando vuota.

Apri sequenza comandi in Editor

Apre la sequenza di comando selezionata nell´Editor sequenze comandi.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Rinomina sequenza comandi

Apre la finestra di dialogo per la creazione/rinomina di una sequenza.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: non attivo se la sequenza di comando si trova in modalità di esecuzione.

Duplica sequenza comandi

Duplica la sequenza selezionata e apre la finestra di dialogo per crearne una nuova.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: la sequenza duplicata viene creata automaticamente nella modalità di modifica. Quando una sequenza viene duplicata, al nome esistente viene aggiunto il prefisso "Copia di". Se la lunghezza massima viene superata, il nome verrà ridotto alla lunghezza consentita partendo da dietro.

Cancella sequenza comandi

Cancella la (le) sequenza (e) selezionata (e). È possibile una selezione multipla.

Una sequenza in esecuzione non può essere cancellata. In questo caso verrà visualizzato una finestra di dialogo contenente ulteriori informazioni.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: prima della cancellazione definitiva, viene visualizzata una finestra di dialogo con la richiesta di confermare se la (le) sequenza (e) selezionata (e) deve (devono) essere veramente eliminata (e) definitivamente.

_Esporta selezione in XML

Esporta la (le) sequenza (e) selezionata (e) in un file XML. È possibile una selezione multipla.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Ulteriori informazioni su questo tema si trovano nel capitolo Esportare una o più sequenze di comando in un file XML.

Importa in XML

Importa una o più sequenze da un file XML.

Ulteriori informazioni su questo tema si trovano nel capitolo Importare una o più sequenze di comando da un file XML.

Nota: questo comando non è attivo se l´utente non dispone dell´autorizzazione operativa corrispondente.

L´autorizzazione funzione Sequenze di comando: importa sequenze di comando vale sia per l´importazione XML che per quella da immagini di simulazione.

Importa sequenza di comando da immagine di simulazione

Importa la sequenza di comando da immagini di simulazione esistenti.

Ulteriori informazioni su questo tema si trovano nel capitolo Importare una o più sequenze di comando da immagini di simulazione.

Nota: questo comando non è attivo se il progetto è in modalità di simulazione e l´utente non dispone dell´autorizzazione operativa corrispondente.

L´autorizzazione funzione Sequenze di comando: importa sequenze di comando vale sia per l´importazione XML che per quella da immagini di simulazione.

Imposta la sequenza comandi in modalità di esecuzione

Imposta la (le) sequenza (e) selezionata (e) in modalità di esecuzione.
Il sistema esegue automaticamente una convalida della sequenza configurata. La modalità di esecuzione si attiverà solamente dopo che il sistema avrà verificato che non ci sono errori nella configurazione della sequenza di comando.

In caso contrario, verrà visualizzata una finestra di dialogo che informa dell´esistenza di errori nella sequenza configurata. Impossibile avviare la sequenza comandi.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Apri la sequenza comandi in modalità di modifica

Riporta una sequenza di comandi che si trova in modalità di esecuzione, in modalità di modifica per consentire di eseguire delle modifiche.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Selezione colonne

Apre la finestra di dialogo per la selezione delle colonne che dovranno essere visualizzate.

Formati colonne

Apre la finestra di dialogo per la configurazione dei colori di testo e sfondo per la visualizzazione delle colonne nella visuale elenco.

Ancora in questo capitolo

Selezione colonne

Formato colonne

Esportare una o più sequenze di comando in un file XML

Importare una o più sequenze da un file XML.

Importa sequenza (e) di comando da immagine di simulazione


Selezione colonne

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Parametro

Descrizione

Colonne disponibili

Lista delle colonne disponibili nella scheda Scelta colonne. La colonna selezionata qui viene configurata tramite le proprietà della sezione Parametri.

Parametro

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna. Il titolo colonna è traducibile online. Per renderlo traducibile, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.

Orientamento

Orientamento.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutti gli inserimenti e chiude la finestra di dialogo.


Esportare una o più sequenze di comando in un file XML

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi -> Esportare una o più sequenze di comando in un file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esportare una o più sequenze di comando in un file XML

Per esportare le sequenze di comando selezionate in un file XML, usare il pulsante Esporta selezione in XML. Selezionare anzitutto nella lista delle sequenze configurate quelle desiderate (è possibile una selezione multipla). In caso di selezione multipla, verrà salvato un solo file XML per tutte le sequenze di comando selezionate.

Finestra di dialogo - Nota: Esporta sequenza comandi

Prima di eseguire l´esportazione, il sistema verifica se ci sono delle modifiche non ancora salvate nella configurazione di una sequenza di comando.

Tipp Suggerimento

Le sequenze di comando con modifiche non salvate verranno visualizzate nella scheda dell´Editor sequenze di comando con un * che precede il nome.

Parametro | Descrizione
[Nome della sequenza di comando] | Nome della sequenza di comando con modifiche non ancora salvate. Viene sempre visualizzato solo il nome attuale della sequenza. Dopo che si è cliccato sul pulsante Sì o No, viene visualizzata la prossima sequenza di comando contenente delle modifiche non salvate.
Sì | Prima di eseguire il salvataggio, il sistema salverà la sequenza di comando corrente. Subito dopo si aprirà la finestra di dialogo per eseguire il salvataggio.
No | Esporta la sequenza visualizzata con lo stato della configurazione salvato per ultimo. In questo caso, la finestra di dialogo per eseguire il salvataggio verrà aperta direttamente.
Sì tutte | Prima eseguire il salvataggio, il sistema salverà tutte le sequenze di comando aperte con modifiche non ancora salvate. Subito dopo si aprirà la finestra di dialogo per eseguire il salvataggio. Nota: non attivo se è stata selezionata per l´esportazione solo una sequenza di comandi.
No tutti | Esporta tutte le sequenze selezionate con lo stato della configurazione salvato per ultimo. In questo caso, la finestra di dialogo per eseguire il salvataggio verrà aperta direttamente. Nota: non attivo se è stata selezionata per l´esportazione solo una sequenza di comandi.
info Info
Ulteriori informazioni sulla struttura del file XML si trovano nel capitolo Struttura del file XML per le sequenze di comando.


Importare una o più sequenze da un file XML.

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi -> Importare una o più sequenze da un file XML.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Importare una o più sequenze da un file XML.

Il pulsante Importa XML apre la finestra di dialogo per importare sequenze di comando da un file XML nella lista.

Dopo che è stato selezionato il file XML, si verifica se esistono delle sequenze di comando già configurate che sono in conflitto con quelle del file XML. In questo caso verrà aperta la finestra di dialogo Opzioni di importazione.

info Info

Le sequenze di comando esistenti possono essere sovrascritte in caso di importazione solo se si trovano in modalità di modifica nell´Editor Sequenze di comando.

Parametro

Descrizione

[Nome della sequenza di comando]

Nome della sequenza di comando da importare già presente nella Lista sequenze comandi.

Viene visualizzato il nome della prima sequenza di comando. Dopo che si è cliccato sul pulsante Sì o No, viene visualizzata la prossima sequenza di comando interessata da un conflitto di denominazione.

[Operazione per conflitti di nomi]

Selezione dell´azione da eseguire per l´importazione di una sequenza di comando in caso di conflitto di denominazione con sequenze già esistenti nella progettazione Runtime:

  • Creare una nuova sequenza comandi
    Crea nella progettazione Runtime una nuova sequenza di comando per quella contenuta nel file XML.
    Al nome di questa sequenza importata viene aggiunto un numero progressivo:
    [Nome sequenza di comando] [Numero progressivo]
  • Sovrascrivere la sequenza comandi esistente
    Sovrascrive la sequenza di comando esistente a Runtime con i contenuti del file XML.
    Nota: questa opzione è visualizzata in color grigio (disabilitata) se la sequenza di comando da sovrascrivere si trova in modalità di esecuzione nell´Editor sequenze di comando.

Default: creare una nuova sequenza comandi.

Esegui questa operazione per tutti i conflitti successivi (Numero dei conflitti)

Importa tutte le successive sequenze di comando con conflitti di denominazione eseguendo l´operazione selezionata alla voce [Operazione per conflitti di nomi] .

Il numero che si trova fra parentesi indica quanti conflitti di denominazione ci sono nell´importazione attuale.
Non c´è una visualizzazione passo per passo delle sequenze di comando.

Default: non attivo.

Quantità sequenze di comando da importare da file XML:

Numero complessivo delle sequenze di comando per l´importazione.
Nota: Indica il numero complessivo delle sequenze di comando nel file XML, non solo quello dei conflitti.

Ignora

Non esegue l´importazione della sequenza di comando visualizzata.

In caso di più conflitti di nomi di un import, passa alla prossima sequenza di comando con conflitti.
Nota: se è attiva la proprietà Esegui questa operazione per tutti i conflitti successivi, non verrà esportata nessuna sequenza di comando dell´import con conflitti di nomi.

OK

Importa le sequenze di comando visualizzate eseguendo l´operazione selezionata alla voce [Operazione per conflitti di nomi] .

In caso di più conflitti di nomi di un import, passa alla prossima sequenza di comando con conflitti.
Nota: se è attiva la proprietà Esegui questa operazione per tutti i conflitti successivi, non verrà esportata nessuna sequenza di comando dell´import con conflitti di nomi.

Annulla

Interrompe l´importazione di tutte le successive sequenze di comando e chiude la finestra di dialogo.

info Info

Ulteriori informazioni sulla struttura del file XML si trovano nel capitolo Struttura del file XML per le sequenze di comando.


Importa sequenza (e) di comando da immagine di simulazione

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi -> Importa sequenza (e) di comando da immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Importa sequenza (e) di comando da immagine di simulazione

In questa finestra di dialogo si definisce quali sequenze di comando configurate prese da una o più immagine di simulazione debbano essere importate nel Runtime di zenon.

Parametro

Descrizione

Simulazione di progetto

Lista di tutte le immagini di simulazione di progetto esistenti.

Si può selezionare sempre solo un´immagine di simulazione alla volta.

Sequenze di comando nel progetto di simulazione

Lista di tutte le sequenze di comando configurate della simulazione di progetto selezionata.

È possibile una selezione multipla.

Sequenze di comando esistenti

Sequenze di comando già esistenti nel progetto di zenon attivo al momento.

Aggiungi

Aggiunge le sequenze di comando selezionate nella lista Sequenze di comando nel progetto di simulazione alla Lista delle sequenze di comando da applicare.

Questo comando è attivo solo se è stata selezionata almeno una sequenza di comando di un´immagine di simulazione.

Sovrascrivi

Aggiunge una sequenza di comando selezionate nella lista Sequenze di comando nel progetto di simulazione alla Lista delle sequenze di comando da applicare. Questa sequenza di comando sovrascrive quella esistente nell´Editor sequenze di comando a Runtime!

Questo pulsante è attivo solo se è stata selezionata solamente una sequenza di comando e se questa sequenza esiste già nella lista Sequenze di comando esistenti. In questo caso, infatti, la sequenza esiste già nell´Editor sequenze di comando e verrà sovrascritta.

Quando invece sono state selezionate più sequenze di comando di una simulazione di progetto, questo pulsante sarà visualizzato in color grigio (disabilitato) se la selezione contiene una sequenza che non esiste ancora nella lista Sequenze di comando esistenti. Al momento del trasferimento della selezione nel Runtime, verrà creata una nuova sequenza di comando. Al nome di questa nuova configurazione verrà aggiunto un numero progressivo.

Lista delle sequenze di comando da applicare

Sequenze di comando assegnate che vengono accettate nell´ambiente Runtime attivo al momento.

  • Immagine di simulazione:
    Nome dell´immagine di simulazione da cui proviene la sequenza di comando.
  • Nome sequenza di comando:
    Nome della sequenza di comando corrispondente a quello salvato nell´immagine di simulazione.
  • Gestione conflitto:
    Il tipo di gestione del conflitto dipende dal modo in cui la sequenza di comando corrispondente è stata applicata nella lista. È predefinito e diverso a seconda del pulsante usato (Aggiungi o Sovrascrivi) e non può essere modificato.

Nota: questa lista può essere ordinata e filtrata.

Rimuovi

Cancella la sequenza di comando selezionata dalla Lista delle sequenze di comando da applicare.

È possibile una selezione multipla. È possibile assegnare di nuovo la sequenza di comando dalla Sequenze di comando nel progetto di simulazione.

OK

Chiude la finestra di dialogo e applica la configurazione della Lista delle sequenze di comando da applicare nell´Editor Sequenze di comando.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Se si utilizza il modulo Sequenze di comando nella rete dizenon, valgono le seguenti regole:

  • Al momento dell´apertura della finestra di dialogo, la lista Simulazione di progetto viene popolata dal server con le immagini di simulazione.
    In caso di perdita dei connessione con il server, allo scadere del timeout la finestra di dialogo verrà aperta con la lista Simulazione di progetto vuota.
  • La lista Sequenze di comando nel progetto di simulazione verrà popolata anche sul client con dati del server. In caso di perdita dei connessione con il server, la lista sarà vuota.


Barra degli strumenti - Lista sequenze comandi

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Finestre ancorabili - Lista sequenze comandi -> Barra degli strumenti - Lista sequenze comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Nuova sequenza comandi..

Crea una nuova sequenza di comando vuota, e apre la finestra di dialogo per la creazione di una sequenza di comando.

Apri nell'Editor sequenze comandi

Apre la sequenza di comando selezionata nell´Editor sequenze comandi.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Rinomina

Apre la finestra di dialogo per la creazione/rinomina di una sequenza di comando.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: non attivo se la sequenza di comando si trova in modalità di esecuzione.

Duplica

Duplica la sequenza selezionata e apre la finestra di dialogo per crearne una nuova.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: la sequenza duplicata viene creata automaticamente nella modalità di modifica. Quando una sequenza viene duplicata, al nome esistente viene aggiunto il prefisso "Copia di". Se la lunghezza massima viene superata, il nome verrà ridotto alla lunghezza consentita partendo da dietro.

Elimina

Cancella la (le) sequenza (e) selezionata (e). È possibile una selezione multipla.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Nota: prima della cancellazione definitiva, viene visualizzata un´ulteriore finestra di dialogo con la richiesta di confermare se la (le) sequenza (e) selezionata (e) deve (devono) essere veramente eliminata (e) definitivamente.

_Esporta selezione in XML

Esporta la (le) sequenza (e) selezionata (e) in un file XML.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Importa file XML...

Importa una o più sequenze da un file XML.

Importa da progetto di simulazione...

Importa la sequenza di comando da immagini di simulazione esistenti.

Ulteriori informazioni su questo tema si trovano nel capitolo Importare una o più sequenze di comando da immagini di simulazione.

Nota: questo comando non è attivo se il progetto è in modalità di simulazione e l´utente non dispone dell´autorizzazione operativa corrispondente.

Modifica in modalità esecuzione

Imposta la (le) sequenza (e) selezionata (e) in modalità di esecuzione.
Il sistema esegue automaticamente una convalida della sequenza configurata. La modalità di esecuzione si attiverà solamente dopo che il sistema avrà verificato che non ci sono errori nella configurazione della sequenza di comando.

In caso contrario, verrà visualizzata una finestra di dialogo che informa dell´esistenza di errori nella sequenza configurata. Impossibile avviare la sequenza comandi.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.

Passa alla modalità di modifica

Riporta una sequenza di comandi che si trova in modalità di esecuzione, in modalità di modifica per consentire di eseguire delle modifiche.

Nota: non attivo se non è stata selezionata nessuna sequenza di comando.


Griglia sequenze di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Griglia sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La griglia sequenze di comando è l´area di lavoro dell´Editor sequenze comandi. È l´interfaccia grafica con cui l´utente può creare le sue sequenze di comando.

Il diagramma è suddiviso in una griglia, in cui ogni sezione ospita un solo elemento.

Dettagli tecnici

  • Dimensioni foglio
    • Default: 11 x 11 celle
    • Minimo: 5 x 5 celle
    • Massimo: 500 x 1000 celle
  • Dimensioni celle:
    • Default: 155 x 111 pixel
  • Limiti esterni: 100 Pixel
  • Griglia: viene visualizzata di default; la si può nascondere.
  • Barra di scorrimento: Viene visualizzata quando il documento è più grande del modello.
  • Scorrere usando la rotellina del mouse: verso l´alto e verso il basso, oppure a destra e a sinstra tenendo premuto il tasto Shift.
  • Zoomare: Tasto Ctrl + rotellina del mouse
  • Selezione di elementi: Clic con il tasto sinistro del mouse
  • Scelta multipla: Tasto Ctrl + clic del mouse
  • Spostare il simbolo: cliccare sull´elemento e muoverlo all´interno del diagramma tenendo premuto il tasto sinistro del mouse. Il contenuto può essere collocato sulle celle colorate di verde. Se una cella si colora di rosso quando ci si passa sopra, non sarà possibile depositarci nulla.

Modificare la dimensione della griglia

La dimensione della griglia è modificabile. Procedura:

  • Portare il cursore del mouse al bordo superiore, inferiore o destro della griglia.
    L´aspetto del cursore cambia quando si trova sul bordo della griglia: <=>
  • Tenere premuto il tasto destro del mouse e trascinare i bordi della griglia:
    La griglia diventerà più grande o più piccola.

Attenzione:

  • la dimensione minima della griglia è 5 x 5 celle.
  • La riduzione della griglia può arrivare al massimo fino a quella colonna o riga in cui è stato collocato un elemento.
    In questo modo si garantisce che non vada perduta nessuna parte delle progettazione configurata.
  • Se necessario, la dimensione della griglia aumenta automaticamente durante il processo di teaching.
  • Durante questo processo di ingrandimento, il numero delle nuove celle viene visualizzato nel piè di pagina:

Ancora in questo capitolo

Piè di pagina - Griglia sequenze di comando

Simboli del piè di pagina.


Piè di pagina - Griglia sequenze di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Griglia sequenze di comando -> Piè di pagina - Griglia sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il piè di pagina della griglia sequenze di comando visualizza informazioni relative alla configurazione della sequenza di comando selezionata. A seconda delle modalità in cui si trova la sequenza di comando, sono disponibili diversi elementi nel piè di pagina.

Visuale Modalità di modifica

Piè di pagina della griglia sequenze di comando in modalità di modifica e con modalità di teaching attiva:

Visuale Modalità di esecuzione

Piè di pagina della griglia sequenze di comando in modalità di esecuzione:

Parametro

Descrizione

Modalità della sequenza di comando

Visualizzazione della modalità attiva:

  • Modalità di modifica
    (simbolo: matita)
    Disponibile solamente in modalità di modifica.
  • Modalità Teaching
    (simbolo: quadrato rosso)
    Disponibile solamente in modalità di simulazione.
  • Modalità di esecuzione:
    • Modalità automatica
      (simbolo: computer)
    • Modalità semiautomatica
      (simbolo: computer con il simbolo di una mano)

Una panoramica grafica con esempi di Icon si trova nel capitolo Simboli del piè di pagina.

Stato di sequenza della progettazione

Stato della sequenza di comando:

  • Pronta per l'avvio
    (simbolo: mano verde con pollice in su)
  • Avviso
    (simbolo: simbolo di avviso esagonale di color rosso con punto esclamativo)

Stato del processo

Visualizzazione grafica per una sequenza priva di errori ed eseguibile.

  • Completata
    (simbolo: segno di spunta verde)
  • Interrotta
    (simbolo: X rossa)
  • In esecuzione
    (simbolo: triangolo verde)
  • Idle
    (simbolo: meno rosso)
  • In pausa
    (simbolo: due I di color rosso)

Nota: visibile solamente in modalità di esecuzione.
Una panoramica grafica con esempi di Icon si trova nel capitolo Simboli del piè di pagina.

Dimensioni dell´elemento e numero di elementi

Ulteriori informazioni relative alla griglia sequenze di comando:

  • Dimensione complessiva dell´area di lavoro della griglia sequenze di comando.
    [Numero delle celle orizzontali] x [Numero delle celle verticali]
  • Numero complessivo degli elementi posizionati.
    Nota: le linee non sono contano come elemento.

Stato della sequenza di comando attiva

Visualizza lo stato attuale della sequenza di comando attiva.

  • In esecuzione.
  • In pausa
  • Interrotta

Nota: visibile solamente in modalità di esecuzione.

Posizione attuale del cursore

Posizione attuale del cursore del mouse nella griglia sequenze di comando.

[Posizione celle Celle orizzontali] x [Posizione celle Celle verticali]

Posizione Teaching

Posizione attuale dell´elemento Teaching nella griglia sequenze di comando.

Nota: visibile solamente quando è in corso il processo di Teaching.

Numero di elementi selezionati

Visualizzazione degli elementi selezionati nella griglia sequenze di comando.

n elementi selezionati

Nota: visibile solamente in modalità di modifica e Teaching.

Livello di zoom impostato

Menù a tendina per la selezione del fattore di zoom per la visualizzazione della griglia sequenze di comando. Selezionare il livello desiderato in percentuale fra le alternative proposte dal menù a tendina.

Default: 100 %.

Barra di scorrimento per zoom

Menù a tendina per la selezione del fattore di zoom per la visualizzazione della griglia sequenze di comando.

Il fattore di zoom può essere selezionato sia tramite lo slider, che usando i pulsanti - e +.

I livelli di zoom sono gli stessi di quelli proposti dal menù a tendina dell´opzione Livello di zoom impostato.

Selezione delle finestre ancorabili

Menù a tendina Lista sequenze comandi.

Si può stabilire se la finestra Lista sequenze comandi viene visualizzata o nascosta.

Se la lista delle sequenze di comando è già visualizzata, nel menù a tendina ci sarà un segno di spunta.


Simboli del piè di pagina.

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Griglia sequenze di comando -> Simboli del piè di pagina.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il piè di pagina della griglia sequenze di comando utilizza i seguenti simboli di visualizzazione:

Interrotta

Completata

Pronto per l'avvio

In esecuzione

Modalità automatica

Modalità di modifica

Modalità semiautomatica

Idle

In pausa/Pausa

Teaching

Avviso


Modalità

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Modalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor sequenze di comando ha diverse modalità:

  • Modalità di modifica
    In questa modalità le sequenze di comando vengono configurate e modificate.
  • Modalità di esecuzione
    Modalità che consente di eseguire le sequenze di comando configurate.
    La modalità di esecuzione ha due diverse modalità:
    • Modalità automatica
    • Modalità semiautomatica

Ancora in questo capitolo

Sequenza di comando - Modalità di esecuzione

Modalità automatica

Modalità semiautomatica


Sequenza di comando - Modalità di esecuzione

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Modalità -> Sequenza di comando - Modalità di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor delle sequenze di comando esegue le sequenze a Runtime. Si può avviare un numero qualsiasi di sequenze di comando. La modalità di esecuzione serve a testare una sequenza di comando, ma anche ad eseguirla. Questa modalità consente anche di applicare direttamente modifiche effettuate nell´Editor eseguendo un reload del Runtime.

Eccezione: il reload viene ritardato per quella sequenza di comando che si trova in fase di esecuzione. Solo dopo che quest´ultima è stata completata, messa in pausa o interrotta, verrà eseguito il reload.

Le seguenti modalità sono a disposizione nella modalità di esecuzione:

  • Modalità automatica
    In modalità automatica viene eseguita la sequenza di comando configurata. La sequenza viene messa in pausa solo in caso di un´interazione utente in attesa.
  • Modalità semiautomatica
    In modalità semiautomatica c´è una pausa dopo ogni passo della sequenza di comando. Si passa al passaggio successivo solo dopo che l´operatore avrà cliccato. Questo consente di testare la progettazione passo per passo.

info Info

Non è possibile modificare il processo fondamentale di elaborazione della sequenza di comando quando questa è in modalità di esecuzione. Si possono modificare solamente i valori dei parametri di comando.


Modalità automatica

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Modalità -> Modalità automatica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una sequenza di comando configurata viene eseguita in modalità automatica. Questa modalità viene utilizzata anche per visualizzare e gestire il processo di esecuzione di una configurazione a Runtime.

Se si rende necessaria un´interazione dell´utente, si apre l´immagine comandi progettata. Dopo che l´operatore ha effettuato il suo inserimento nell´immagine comandi, la sequenza di comando riprende il suo corso.


Modalità semiautomatica

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Modalità -> Modalità semiautomatica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In modalità automatica viene eseguita la sequenza di comando configurata. La sequenza viene messa in pausa solo in caso di un´interazione utente in attesa.

Solo dopo la corrispondente interazione dell´utente mediante l´uso del pulsante Continuare la sequenza da tutte le posizioni di esecuzione , o del pulsante Continua sequenza comandi solo da posizioni di esecuzione selezionate, si attiverà il prossimo passo. Proprio per questa ragione, questa modalità è particolarmente adatta per eseguire una sequenza di comando step by step.


Barra degli strumenti - Editor sequenze di comando (Modalità di modifica)

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella modalità di modifica dell´Editor sequenze di comando si può progettare una sequenza di comando direttamente a Runtime usando semplicemente lo strumento del Drag&Drop.

Parametro

Descrizione

Nuova sequenza comandi..

Crea una nuova sequenza di comando.

Salva sequenza comandi

Salva la sequenza di comandi configurata

Aspetto grafico

Apre la finestra di dialogo per la selezione dell´aspetto grafico.

Si può scegliere quanto segue:

  • Colore di sfondo
  • Griglia On/Off
  • Colore griglia
  • Visualizza ID degli elementi

Elimina

Elimina un elemento selezionato

Nota: attivo solo se è stato selezionato un elemento nella griglia di sequenza comandi.

Verifica errori di sequenza comandi

Controlla la configurazione di una sequenza comandi per verificare la sua correttezza logica e la sua coerenza.

Il risultato viene visualizzato in una finestra di dialogo.

  • La sequenza comandi è priva di errori.
  • La verifica della sequenza comandi ha restituito il seguente avviso/errore:
    {Dettagli errore}

Modifica elemento

Apre una finestra di dialogo per modificare la proprietà dell´elemento per Assegnazione del dispositivo di comando e Transizione.

Nota: non disponibile per passo.

Inverti passaggi

Apre la finestra di dialogo per selezionare un´azione di comando. In questo modo è possibile assegnare delle nuove azioni a passi già configurati.

Nota: attivo solo se è stato selezionato un elemento nella griglia di sequenza comandi.

Modalità di modifica

Fa ritornare il cursore del mouse in modalità di modifica dopo l´aggiunta di un elemento. Il ritorno alla modalità di modifica può avvenire anche premendo il tasto Esc.

Inserisci passo

Occupa il cursore del mouse con un passo. Quest´ultimo potrà essere inserito con un clic del mouse in ogni posizione consentita che sia libera.

Apre la finestra di dialogo per selezionare un´azione di comando.

Inserisci transizione

Occupa il cursore del mouse con una transizione. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.

Inserisci inizio ramo parallelo

Occupa il cursore del mouse con l´inizio di un ramo parallelo. Quest´ultimo potrà essere inserito con un clic del mouse in ogni posizione consentita che sia libera.

Fine sequenza parallela

Occupa il cursore del mouse con la fine di un ramo parallelo. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.

Inserisci inizio ramo

Occupa il cursore del mouse con l´inizio di un ramo. Quest´ultimo potrà essere inserito con un clic del mouse in ogni posizione consentita che sia libera.

Inserisci fine sequenza

Occupa il cursore del mouse con la fine di un ramo. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.

Inserisci allocazione dispositivo di comando

Occupa il cursore del mouse con una allocazione dispositivo di comando. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.

Inserisci jump

Occupa il cursore del mouse con una jump target. Quest´ultima potrà essere inserita con un clic del mouse in ogni posizione consentita che sia libera.

Avvia Teaching

Avvia la modalità Teaching per la sequenza di comando attualmente selezionata.

Non attivo se:

  • la modalità Teaching è attiva per un´altra sequenza di comando.
  • Il progetto non viene eseguito in modalità di simulazione.

Termina Teaching

Chiude la modalità Teaching.

Non attivo se non è attiva la modalità Teaching.

Imposta la sequenza comandi in modalità esecuzione

Imposta la sequenza nella modalità esecuzione.

Ancora in questo capitolo

Aspetto grafico

Elementi

Editor delle formule


Aspetto grafico

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Aspetto grafico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul simbolo per Aspetto grafico nella barra degli strumenti, si apre la finestra di dialogo per la configurazione dei colori, delle impostazioni griglia e della visualizzazione dell´ID dell´elemento.

Parametro

Descrizione

Colore di sfondo

Definisce il colore di sfondo della griglia sequenze di comando. Quando si clicca sul colore, si apre la tavolozza per la selezione di un colore.

Mostra griglia
  • Attivo: la griglia viene visualizzata.
  • Non attiva: la griglia viene nascosta.

Colore griglia

Definisce il colore delle linee della griglia. Cliccando sul colore, si apre la tavolozza che consente di selezionare uin colore.

Visualizza ID degli elementi

Visualizza o nasconde l´ID dell´elemento. Questa impostazione deve essere definita per ogni sequenza di comando.

Non attiva: non verrà visualizzata nessun ID dell´elemento nella sequenza di comando.
Nota: questa è l´impostazione consigliata per il funzionamento normale.

Attivo: gli ID degli elementi verranno visualizzati nella sequenza di comando; ad eccezione delle linee. L`ID verrà visualizzato nell´angolo in alto a sinistra dell´elemento.

Suggerimento: questa è l´impostazione consigliata per la risoluzione dei problemi.

OK

Accetta tutte le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Esempi

Visualizza ID degli elementi - attivo

Visualizza ID degli elementi - non attivo


Elementi

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la progettazione di una sequenza di comando nell´Editor sequenze di comando si possono utilizzare i seguenti elementi:

  • Passo
  • Transizione
  • Sequenza parallela
  • Diramazione
  • Assegnazione dispositivi di comando
  • Jump target
  • Linee
  • Elemento Teaching

Elemento iniziale e finale

Ogni sequenza di comando deve avere necessariamente un elemento iniziale ed un elemento finale.

Questi due elementi vengono creati automaticamente al momento della creazione di una sequenza di comando e non possono essere eliminati dalla configurazione. Anche se si seleziona e cancella l´intera configurazione di progetto, la cancellazione non interessa l´elemento iniziale e finale.

Configurazione di un elemento:

  • Impostare l´Editor sequenze di comando in modalità di modifica.
  • Con un clic del mouse, selezionare un elemento nell´Editor sequenze di comando.
  • Posizionare questo elemento nella griglia sequenze di comando tramite Drag&Drop.
    Nota: Si può posizionare l´elemento più volte.
  • Cliccando sul tasto Esc si disattiva la funzionalità Drag&Drop.

Ancora in questo capitolo

Passo

Transizioni - Condizioni

Rami paralleli

Diramazione

Modificare rami paralleli e rami.

Assegnazione dispositivi di comando

Jump target

Elemento Teaching

Linee


Passo

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Passo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Passo

Nel modulo Sequenze di comando, un passo viene collegato sempre ad un´azione configurata nel modulo "Comandi". Le azioni vengono configurate nell´Editor di zenon, nel modulo "Comandi".

Dopo che un passo è stato posizionato nella griglia sequenze di comando, si apre automaticamente la finestra di dialogo Selezione operazione. In questa finestra di dialogo viene visualizzata la lista di tutte le azioni configurate nell´Editor di zenon per tutti i gruppi comando; selezionare un´azione di questa lista.

Selezione operazione

Selezionare un´azione e confermare la selezione cliccando su OK. In questo modo l´azione di comando verrà assegnata al passo.

Nota: il pulsante OK non è attivo se non è stata selezionata nessuna azione. È consentito collegare una sola azione ad un passo.

info Info

Ulteriori informazioni sulla configurazione nel modulo "Comandi", si trovano nella parte della documentazione dedicata alla "Energy-Edition", più precisamente nel capitolo Comandi.


Transizioni - Condizioni

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Transizioni - Condizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transizioni - Condizioni

Le transizioni vengono usate dopo i passi per garantire una transizione definita fra un passo e quello successivo. Le transizioni visualizzano il loro stato interno durante il processo e informano per mezzo di un tooltip su stato e durata del processo stesso.

Dopo che una transizione è stata posizionata nella griglia sequenze di comando, si apre automaticamente la finestra di dialogo Condizione.

Selezionare una variabile di feedback nella lista dei parametri. Questa lista viene visualizzata quando si clicca sul pulsante Aggiungi.

Essa contiene le variabili di feedback di tutti i passi già aggiunti nella griglia sequenze di comando.

info Info

Ulteriori informazioni sulle condizioni si trovano nel capitolo Editor delle formule. di questa documentazione.


Rami paralleli

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Rami paralleli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Rami paralleli

Si parla di "rami paralleli" quando il percorso di esecuzione si suddivide in più percorsi che vengono eseguiti contemporaneamente. Non si può definire una determinata successione per l´attivazione dei diversi elementi all´interno di un ramo parallelo.

La configurazione consiste sempre di un Inizio ramo parallelo e di una Fine ramo parallelo.

Inizio sequenza parallela

Fine sequenza parallela

Nel corso del processo, viene colorata anche la rispettiva area intermedia della Fine ramo parallelo. Il colore utilizzato corrisponde a quello impostato per la colorazione della sequenza di comando.

Un ramo parallelo termina quando il processo è stato completato in tutti i percorsi di esecuzione. "Completato" significa che il prossimo passo è attivo, oppure che la prossima transizione non è attiva.

Inserire rami paralleli

Per creare una ramificazione parallela:

  1. Selezionare il simbolo Inserisci inizio ramo parallelo
  2. Trascinare la ramificazione nella posizione desiderata.
  3. Unire il punto di connessione iniziale ad un punto di connessione finale dell´oggetto precedente.
  4. Collegare tutti e due i punti di connessione finali agli oggetti successivi desiderati.
  5. Chiudere la ramificazione parallela con l´oggetto Inserisci fine ramo parallelo


Diramazione

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Diramazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Diramazione

Una ramificazione consente di eseguire uno di più percorsi possibili. A questo scopo, è necessario che l´elemento posto all´inizio di un percorso di esecuzione sia una transizione.

Nota: l´unico tipo di oggetto che può seguire un Inizio ramo è una transizione.

Selezione di inizio sequenza

Fine sequenza

Procedura:

  • Viene scelto il percorso in cui per primo la transizione restituisce il valore TRUE.
  • Poi si attende che tutte le transizioni abbiano un valore.
  • Se più transizioni dovessero avere il valore TRUE contemporaneamente, verrà scelto sempre il percorso più a sinistra nel quale la transizione è TRUE.

Per inizio e fine vale quanto segue: se prima dell´elemento si trova un passo e dopo l´elemento si trova una transizione, il passo rimarrà attivo finché non sarà completata anche la transizione.

In un percorso, gli oggetti vengono elaborato in sequenza. Ogni percorso elabora i propri oggetti, in modo indipendente dagli altri percorsi.

Le sequenze di comando possono suddividersi in rami ed essere eseguite in rami paralleli.

Ramificazioni e rami paralleli consistono di:

  • Linee orizzontali semplici o doppie.
  • Tratti di connessione (consistenti di linea e punto di connessione).

Creare una ramificazione:

Per creare una ramificazione:

  1. Selezionare il simbolo Inserisci inizio ramo.
  2. Posizionare il ramo nella posizione desiderata.
  3. Unire il punto di connessione iniziale ad un punto di connessione finale dell´oggetto precedente.
  4. Collegare tutti e due i punti di connessione finali agli oggetti successivi desiderati.
  5. Concludere il ramo con l´oggetto Inserisci fine ramo


Modificare rami paralleli e rami.

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Modificare rami paralleli e rami.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modificare rami paralleli e rami.

Modificare e spostare

È possibile spostare e modificare le dimensioni di rami e rami paralleli.

Spostare

Per spostare un oggetto:

  1. Cliccare sull´oggetto con il mouse.
  2. Tenere premuto il tasto del mouse.
  3. Trascinare l´oggetto nella posizione desiderata.

Modificare la grandezza

Così è possibile allungare e accorciare gli oggetti Inizio/Fine ramo/ramo parallelo. Per modificarne le dimensioni:

  1. Muovere il mouse sull´oggetto finché il cursore non diventa una doppia freccia.
  2. Tenere premuto il tasto sinistro del mouse e muovere il mouse stesso nella direzione desiderata:
    • Per allungare l´oggetto, allontanare il mouse dall´oggetto.
    • Per accorciare l´oggetto, muovere il mouse verso l´interno dell´oggetto.
    • La linea di continuazione della sequenza di comando, rimarrà immutata in entrambi i casi.
  3. Quando si allunga l´oggetto, viene aggiunto un nuovo tratto di connessione;
    • Tutti i campi in cui è possibile un´estensione, si colorano di verde.
    • Per inserire più tratti di connessione, si deve ripetere la procedura.
  4. Quando si accorcia l´oggetto, tutti i tratti di connessione interessati verranno cancellati.


Assegnazione dispositivi di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Assegnazione dispositivi di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione dispositivi di comando

Ogni dispositivo di comando è rappresentato dalla sua variabile di feedback.

L´elemento Assegnazione dispositivi di comando del modulo Sequenze di comando consente di eseguire l´assegnazione di uno o più dispositivi di comando a Runtime:

  • Con questo elemento si possono riservare (assegnare) in anticipo più (o tutte) le variabili di feedback. Per questa prenotazione viene settato il bit di stato NET_SEL.
  • Anche lo sblocco avviene usando l´elemento "Assegnazione del dispositivo di comando".

Dopo la fine della sequenza di comando, il bit di stato NET_SEL verrà cancellato automaticamente.

Lista dei dispositivi di comando

Elenca tutti i dispositivi di comandi disponibili, la loro assegnazione e la modalità del loro sblocco. La lista può essere ordinata - È possibile una selezione multipla.

Parametro

Descrizione

Dispositivo di comando

Dispositivo di comando così come configurato nel modulo "Comandi" nell´Editor di zenon.

Assegnazione

Sì, se alla voce "Azione" è attiva l´opzione Disponibilità di dispositivi di comando.
Vuoto se è attivo Rilascio.

Rilasciare

Sì, se alla voce "Azione" è attiva l´opzione Rilascio dispositivi di comando. Inoltre, l´estensione del rilascio viene visualizzata in forma di testo:

  • selettivo
  • globale

Vuoto se l´opzione Assegnazione è attiva.

Azione

Parametro

Descrizione

Disponibilità di dispositivi di comando

Se il parametro è attivo, l´elemento è assegnato ai dispositivi di comando selezionati.

Rilascio dispositivi di comando

Se il parametro è attivo, l´elemento rilascia i dispositivi di comando selezionati.

Rilascia l'ultima assegnazione

Se il parametro è attivo, vengono rilasciati solamente quei dispositivi assegnati con l´ultima assegnazione.

Attivo solamente se è attivo "Rilascio dispositivo di comando".

Rilascia sequenza comandi globale

Se il parametro è attivo, vengono rilasciati tutti i dispositivi assegnati nella sequenza di comando corrente.

Attivo solamente se è attivo "Rilascio dispositivo di comando".

Nota: i dispositivi di comando assegnati vengono rilasciati automaticamente dopo che la sequenza di comando è stata completata con successo, oppure interrotta.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Jump target

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Jump target

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Jump target

L´elemento "jump target" consente di passare direttamente ad una posizione definita di un ramo.

I "jump target" consentono di:

  • Passare fra un percorso di esecuzione e un altro.
  • Uscire da rami.
  • Configurare loop.

Un jump target è costituito da tre entrate (input) e un´uscita (output). L´uscita si trova sempre in basso, mentre le entrate si trovano sempre sopra e ai lati. Si può collegare qualsiasi punto di connessione di input. Un percorso che termina in un "jump target", deve iniziare con un Inizio ramo. In caso contrario non si raggiunge la fine.

In fase di configurazione, tutti i punti di connessione sono visibili; in modalità di verifica, invece, sono visibili solamente quei punti di connessione che sono effettivamente collegati.

attention Attenzione

Non è consentito l´uso di "jump target" per i rami paralleli.


Elemento Teaching

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Elemento Teaching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elemento Teaching

L´elemento Teaching visualizza la posizione della griglia sequenze di comando dopo cui l´elemento registrato viene posizionato durante lo svolgimento del processo di Teaching.

L´elemento Teaching non viene selezionato come gli altri elementi Viene automaticamente messo a disposizione dal sistema quando si attiva la modalità di Teaching.

Nota: il processo di Teaching si avvia solo quando l´elemento Teaching è stato posizionato.
Se si interrompe la registrazione cliccando sul pulsante Termina Teaching, anche l´elemento teaching verrà nascosto.

Posizionamento

Per posizionare l`elemento Teaching nella griglia sequenze di comando:

  1. Cliccare (a modalità di simulazione attiva) sul pulsante Avvia Teaching.
  2. L´elemento Teaching verrà visualizzato e potrà essere posizionato all´interno della griglia sequenze di comando.

Riposizionamento

L´elemento Teaching può essere riposizionato mentre è in corso un processo di Teaching.

Nella griglia sequenze di comando, spostare l´elemento Teaching via Drag&Drop, e portarlo nella posizione desiderata della griglia. I passi applicati dal Teaching verranno aggiunti a questa nuova posizione dell´elemento.

Si può riposizionare l´elemento Teaching più volte. In questo modo è possibile, ad esempio, configurare differenti rami di una ramificazione parallela con il processo Teaching.


Linee

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Elementi -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Linee

Le linee collegano elementi utilizzando punti di connessione liberi. Per collegare punti di connessione fra di loro:

  1. Attivare anzitutto un punto con il mouse:
    Il punto di connessione si colorerà di verde. Se si colora invece di rosso, significa che il punto di connessione è già stato assegnato.

  2. Tracciare una linea di collegamento con un altro punto di connessione:
    Una freccia gialla indica la direzione della linea. È consentito attraversare i campi di color verde. Quelli rossi, invece, non possono essere attraversati dalla linea.

  3. Non appena la punta gialla della linea tocca il prossimo punto di connessione, la linea viene creata.

Gestione delle linee

Linee:

  • Vengono tracciate usando il mouse.
  • Possono essere spostate (tenendo premuto il tasto Ctrl).
    In questo caso, tutti i collegamenti esistenti verranno interrotti e si farà un tentativo di ricollegare la linea se alla destinazione ci sono degli oggetti con punti di connessione nella giusta direzione.
    Se sono evidenziate più linee, verrà spostata quella nella cui cella si trova il puntatore del mouse.
  • Possono essere cancellate evidenziandole e premendo il tasto Canc.
  • Vengono cancellate quando le si ridisegna dall´inizio alla fine.
  • Hanno un tooltip che visualizza il loro ID.

Quando una linea tocca un punto di connessione di un oggetto, questo punto verrà attivato. Se il collegamento è possibile, questo punto verrà visualizzato in color verde, altrimenti in rosso. Non è consentito collegare due punti di connessione dello stesso tipo, cioè due ingressi o due uscite. È possibile tracciare la linea in ogni caso. Ma le connessioni non consentite verranno visualizzate in color rosso, e, quando viene eseguito un test, causeranno la visualizzazione di un messaggio di errore.

In modalità di modifica, i punti di connessione degli elementi vengono sempre visualizzati, anche quando il punto in questione è collegato. Nello stato "Rilasciata", non viene visualizzato nessun punto di connessione.

Proprietà del punto di connessione:

  • Connesso: colorato di rosso; il collegamento viene interrotto quando viene tracciata la linea e si può cercare un altro punto di connessione.
  • Aperto: colorato di verde; trascinando il mouse viene creata una nuova linea.

Le linee collegano elementi

  • Le linee possono essere usate come collegamento fra tutti gli elementi. È consentito anche aggiungere un numero qualsiasi di linee una dopo l´altra.
  • Le linee, però, non possono essere utilizzate per collegare due punti di connessione dello stesso tipo.
    Esempi: i due ingressi di due passi non possono essere collegati direttamente da una linea. In fase di configurazione, il sistema consentirà che si tracci una connessione di questo tipo; ma questa verrà visualizzata in color rosso (perché erronea) e, in fase di convalida, il sistema emetterà un messaggio di errore.


Editor delle formule

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor delle formule si apre sempre automaticamente ogni volta che è necessario inserire o modificare una formula. Soprattutto i caso di:

Runtime:

  • Modifica di transizioni.

Nota: Se si cancella il passo referenziato nella formula e se ne aggiunge uno nuovo, nelle transizioni gli operandi verranno riassegnati. A questo scopo, si deve aggiungere lo stesso passo. I parametri di un´altra fase non vengono collegati automaticamente.

Inserire una formula

Sono consentiti i seguenti inserimenti:

  • Costante in cifre decimali.
  • Numeri esadecimali se sono introdotti da un x.
  • Punto come separatore decimale; bisogna tenere presente quanto segue:
    • La virgola viene sostituita automaticamente da un punto: se si digita 23,000, verrà inserito effettivamente 23.000.
    • Gli zeri come cifre decimali vengono rimossi: se si digita 23.000, verrà inserito effettivamente 23.

Parametro

Descrizione

Lista parametri

Lista dei parametri che possono essere usati per la formula.

Ogni inserimento di questa lista consiste di:

  • Un nodo principale per la denominazione.
  • Un valore.
  • Uno stato.
  • I bit del valore e dello stato.

Un simbolo collocato sul primo nodo indica se si tratta di un parametro di comando o di feedback.

La denominazione breve all´inizio del nome viene usata nella formula.

Aggiungi

Apre la finestra di dialogo per aggiungere un parametro. Tenere presente quanto segue:

  • Si possono aggiungere: parametri numerici e binari, nonché parametri di durata. I valori inseriti per la durata vengono ricalcolati in secondi.
  • Per le condizioni di un passo possono essere usati solamente i parametri creati per esse.
  • I parametri possono essere aggiunti più di una volta.

Sostituisci

Consente di sostituire un parametro. Se si clicca su questo pulsante, si apre la finestra di dialogo per aggiungere un parametro.

  • Il nuovo parametro selezionato sostituisce quello evidenziato.
  • Se si clicca sul pulsante Nessuna selezione, il parametro evidenziato verrà cancellato dalla lista.

In caso di sostituzione, la denominazione breve rimane la stessa.

Rimuovi

Cancella il parametro evidenziato. Per poter cancellare un parametro:

  • La formula deve essere corretta.
  • Il parametro selezionato non deve essere utilizzato nella formula.

Operatori logici

Tramite il pulsante "Operatori logici", si inseriscono operatori logici nella formula.

AND

'AND' logico

OR

'OR' logico

XOR

Or esclusivo logico

NOT

Negazione

Sintassi

Quando si clicca sui pulsanti degli operatori, la stringa visualizzata su questi verrà inserita nella formula.

(

Aperta parentesi.

)

Chiusa parentesi.

Operatori Bit a Bit e di confronto

&

AND

|

OR

>

Maggiore di

>=

Maggiore uguale

<

Minore di

<=

Minore uguale

=

Uguale

<>

Minore o maggiore

Condizione

Configurazione e visualizzazione delle formule.

Copia

Copia l´intera formula.

  • Tutti i parametri configurati dell´albero dei parametri.
  • Formula dal campo.

Incolla

Aggiunge una formula presa dagli appunti. In questo caso, tutti gli elementi configurati fino a quel momento vengono cancellati e sostituiti dalla formula copiata.

Quando si copiano formule fra diversi passi, il sistema tenta di risolvere gli operandi usando i loro nomi. Per i parametri non trovati, vengono creati degli inserimenti non validi nella lista degli operandi. Il punto in cui vengono usati nella formula rimane invariato.

OK

Accetta la formula e chiude la finestra di dialogo.

La formula deve essere corretta.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

In una formula si può inserire un massimo di 99 parametri. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametro | Descrizione
Bit di valore | Ci sono 32 bit di valore (da 0 a 31). Descrivono il parametro bit per bit. Per i parametri binari è rilevante solo il bit 0, per SINT e UNSINT i bit 0-7 ecc...
Bit di stato | Sono i bit di stato più comuni. La definizione esatta e spiegazioni sull´uso dei bit di stato si trovano nella Lista Bit di stato.
Valore e Stato | Nelle formule, tutti i valori (bit di valore e bit di stato) vengono trattati come valori binari e possono poi essere collegati logicamente tramite AND, oppure OR, e mediante altre espressioni logiche. Un´eccezione è costituita dal valore totale e dallo stato complessivo. Per poter giungere ad un'espressione booleana, deve essere anzitutto eseguita un´operazione OR bit a bit di confronto di questo valore totale con una costante. A questo scopo si usa l'operatore &. Se questa operazione di confronto OR restituisce il valore 0 (FALSE), si ottiene il valore binario 0 (FALSE), altrimenti 1 (TRUE). Esempio: si veda il capitolo Esempio collegamento OR a bit

info Info

I bit di stato NORM e N_NORM sono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.

info Info

Le formule con valori X binari e collegamento bit a bit possono essere usate con un massimo di 2 valori binari. Se sono necessari più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value -> non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona

Ancora in questo capitolo

Aggiungere parametri

Lista dei bit di stato

Operatori logici

Formule a bit

Operatori di confronto

Esempi di formule


Aggiungere parametri

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Aggiungere parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Aggiungere parametri

Quando si clicca sul pulsante Aggiungi nell´Editor delle formule, si apre la finestra di dialogo per selezionare i parametri che devono essere utilizzati per una formula.

Parametro | Descrizione
Lista progetti | Visualizzazione del progetto attivo. Si possono selezionare sempre solo quei parametri che sono stati creati nel progetto attivo per il passo da configurare.
Lista parametri | Lista dei parametri disponibili per il passo selezionato. È possibile una selezione multipla. Il parametro viene accettato quando lo si seleziona e si clicca sul pulsante OK , oppure quando si esegue un doppio clic sul parametro stesso.
Nessuna selezione | Cancella il parametro già impostato. Rilevante solamente in caso di sostituzione di parametri. Il parametro verrà cancellato dalla lista dell´Editor delle formule cliccando sul pulsante Nessuna selezione a condizione che il parametro sia evidenziato nell´Editor delle formule e si apra questa finestra di dialogo cliccando sul pulsante Sostituisci . In caso di sostituzione, la denominazione breve rimane la stessa.
OK | Aggiunge i parametri selezionati alla lista parametri della formula e chiude la finestra di dialogo.
Annulla | Rifiuta le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida in linea.


Lista dei bit di stato

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lista dei bit di stato
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Operatori logici

Collegamenti logici: l´analisi delle variabili viene eseguita solo per rilevare il valore logico '0'; se il valore non è uguale a '0', viene considerato '1'.

A differenza delle formule a bit, l'area tecnica può essere modificata da un fattore di estensione -> diverso da '0' o '1'.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | Or esclusivo logico

Questa è la priorità degli operatori nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per formule a bit)
2 | NOT
3 | AND
4 | XOR/OR

info Info

È possibile collegare fino ad un massimo di 99 variabili in una formula. Da X01 fino a X99.

info Info

I bit di stato NORM e N_NORMsono disponibili solo nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule a bit

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Formule a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formule a bit

Le formule bit hanno solamente uno stato logico low e high. A differenza delle formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR

Ancora in questo capitolo

Esempio: collegamento OR bit a bit


Esempio: collegamento OR bit a bit

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Formule a bit -> Esempio: collegamento OR bit a bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio: collegamento OR bit a bit

Si vuole verificare se è settato uno dei bit di stato utente 1-8 (M1 ... M8) della variabile X01.

Formula usuale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa query può essere semplificata tramite il collegamento OR bit a bit dello stato complessivo.

Collegamento OR bit a bit:

X01.Status & 0xFF

La costante può essere impostata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 255; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è settato su 1, il risultato del collegamento OR bit a bit è 1 (True), altrimenti 0 0 (False).

Se, per esempio, la query deve riguardare tutti i bit di stato utente fatta eccezione per l´M7, l'espressione binaria corrispondente sarebbe: 10111111. Il bit 7 non è interessante, per questo è settato su 0. Questo corrisponde all´esadecimale 0xBF. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di usare un collegamento OR bit a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto restituisce un risultato sbagliato, si avrà il valore binario 0 (False), altrimenti 1 (True).

Esempio:

Si vuole verificare se un valore è uguale alla costante 202. La formula corrispondente è la seguente:

X01.value = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Nota: il collegamento OR bit a bit funziona con il carattere OR (|) in modo uguale a questo esempio.


Operatori di confronto

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Operatori di confronto

Gli operatori di confronto servono a confrontare direttamente due valori numerici. Il risultato di questo confronto è uno stato binario. "0" se la condizione non è soddisfatta, e "1“ se la condizione è soddisfatta.

Operatore | Descrizione
< | Minore
> | Maggiore:
<= | Minore uguale
>= | Maggiore uguale
= | Uguale a
<> | Diverso da

A sinistra e a destra di un operatore di confronto devono esserci un valore (totale) o uno stato (totale); non si possono usare bit singoli con questi operatori di confronto.

A destra dell'operatore di confronto ci può essere anche una costante.
Nell´elemento combinato, queste costanti vengono inserite come valori esadecimali o valori decimali. Quando si clicca sul pulsante OK, i numeri esadecimali vengono convertiti automaticamente in numeri decimali. Esempio: 0x64 corrisponde al valore numerico 100.

Nota: l´elemento combinato non è disponibile nel modulo Batch Control.

Example Esempio

X01.valore >= X02.valore
Il risultato è "1" se il valore di X01 è maggiore o uguale al valore di X02

X01.valore = 0x64
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico100 (= hex 0x64)

(X01.valore = 0x64) OR (X01.valore = 0x65)
Il risultato è "1" se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= hex 0x64 e hex 0x65)


Esempi di formule

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di modifica) -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi di formule

Semplice collegamento logico AND di due valori bit.

Example Esempio

Formula: X01.03 AND X02.03

Questa formula restituisce il risultato “TRUE” quando il Bit 3 della variabile 1 e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confrontare valore o stato di una variabile

Example Esempio

(X01.valore> X02.valore)

Comparare confronti fra di loro su base logica

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore)

Confronti con bit di valore e bit di stato

Example Esempio

(X01.valore> X02.valore) AND (X01.valore = X02.valore ) OR (X01.03 = X02.03)

Confrontare un valore con un valore decimale o esadecimale

Example Esempio

Formula: (X01.valore = 111)

Formula: (X01.valore = 0x6F)

Se si usa un valore esadecimale, quest´ultimo viene convertito poi in un numero decimale quando si clicca su OK. Se si inserisce un valore decimale e si conferma l´inserimento, questo sarà visualizzato come valore decimale anche al momento della riapertura.

info Info

Non è possibile usare una virgola o un punto quando si inseriscono i numeri.


Barra degli strumenti - Editor sequenze di comando (Modalità di esecuzione)

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Editor sequenza comandi -> Barra degli strumenti - Editor sequenze di comando (Modalità di esecuzione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Avvia sequenza comandi

Avvia una sequenza di comando.

Nota: non a disposizione durante un cambio di ridondanza.

Sospendi sequenza comandi

Sospende la sequenza di comando corrente e la mette in pausa.

Riprendi sequenza comandi

Riprende una sequenza di comando messa in pausa.
Attivo solamente se la sequenza di comando è stata messa in pausa tramite il comando Sospendi sequenza comandi.

Interrompi sequenza comandi

Interrompe la sequenza di comando in esecuzione.

Interazione utente

Passa all´immagine Comandi. A questo scopo, nella sequenza di comando deve essere attivo un passo. Questo passo deve essere selezionato con un clic del mouse.

Verrà aperta l´immagine che è stata collegata all´azione di comando. Se non c´è nessuna immagine collegata all´azione, verrà aperta quella collegata al gruppo comando.

Nota: attivo solo se l´azione è in esecuzione e se si attende un´interazione da parte dell´utente; per esempio, in caso di un´azione a due stadi, oppure un interblocco in attesa.

Verifica errori di sequenza comandi

Controlla la sequenza di comando configurata per verificarne la coerenza logica e rilevare l´eventuale presenza di errori.

Il risultato viene visualizzato in una finestra di dialogo:

  • La sequenza comandi è priva di errori.
  • La verifica della sequenza comandi ha restituito il seguente avviso/errore:
    {Dettagli errore}

Modifica elemento

Apre una finestra di dialogo con le proprietà dell´elemento per Assegnazione dispositivi di comando e Transizione.

In modalità di esecuzione non è possibile eseguire nessuna modifica. Per effettuare delle modifiche, tornare alla modalità modifica dell´Editor.

Nota: non disponibile per passo.

Aspetto grafico

Apre la finestra di dialogo per la selezione dell´aspetto grafico.

Si può scegliere quanto segue:

  • Colore di sfondo
  • Griglia On/Off
  • Colore griglia
  • Visualizza ID degli elementi

Passa alla modalità automatica

Fa passare l´esecuzione del passo in modalità automatica.

Passa alla modalità semiautomatica

Fa passare l´esecuzione del passo in modalità semiautomatica.

Riprendi esecuzione sequenza di comando solo da posizione di esecuzione selezionata

Prosegue una sequenza di comando solo a partire dall´elemento selezionato.

Nota: disponibile solamente in modalità semiautomatica.

Continuare la sequenza comandi da tutte le posizioni di esecuzione

Prosegue una sequenza di comando da tutte le posizioni a disposizione - indipendentemente da quella del cursore mouse.

Nota: disponibile solamente in modalità semiautomatica.

Impostare sequenza di comando nella modalità di modifica.

Passa in modalità di modifica - le sequenze di comando possono essere modificate e riposizionate.


Crea sequenza di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Crea sequenza di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le sequenze di comando vengono nominate e rinominate nella finestra di dialogo Configurazione sequenza comandi. È possibile configurare anche un testo descrittivo.

Una nuova sequenza di comando si crea nella Lista sequenze comandi.

Parametro

Descrizione

Nome

Nome della nuova sequenza di comando.

Il nome non deve contenere punti interrogativi (?), punti e virgola (;), il carattere @, né asterischi (*).

Lunghezza massima: 256 caratteri.

Nota: Quando una sequenza viene duplicata, al nome esistente viene aggiunto il prefisso "Copia di". Se la lunghezza massima viene superata, il nome verrà ridotto alla lunghezza consentita partendo da dietro.

Descrizione

Testo (facoltativo) di descrizione della sequenza di comando.

È possibile modificare la descrizione in un secondo momento. A questo scopo, selezionare il simbolo Rinomina sequenza comandi.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Tooltip

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Tooltip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor delle sequenze di comando, i tooltip visualizzano lo stato di un passo e forniscono ulteriori informazioni sullo stato in questione.

Visualizzazione dei tooltip:

Per ottenere la visualizzazione di un tooltip, passare al passo corrispondente all´interno della griglia sequenze di comando. Il tooltip viene visualizzato automaticamente quando il mouse viene posizionato sopra il passo.

Struttura:

Il tooltip consiste di:

  • comando del modulo "Comandi" (azione del gruppo comando)
    • ID interno:
    • Dispositivo di comando assegnato
  • Generale
    • Stato del passaggio
    • Stato interno
    • Numero di esecuzioni
  • Durata totale
    (durata)
    • Data e time stamp per inizio e fine.
  • Sequenza cronologica in dettaglio
    (Durata totale)
    • Assegnazione del dispositivo di comando
      Data e time stamp per inizio e fine.
    • Durata di esecuzione
      Data e time stamp per inizio e fine.
    • In attesa della condizione successiva
      Data e time stamp per inizio e fine.


Stato di esecuzione

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Stato di esecuzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono possibili i seguenti stati:

Stato

Descrizione

Idle

La sequenza di comando si trova nello stato "idle".

In esecuzione.

Al suo avvio, la sequenza di comando passa nello stato In esecuzione.

Ignorato

Un passo è stato ignorato a causa delle impostazioni effettuate in fase di configurazione.

Completata

Non appena la sua esecuzione è stata portata a termine, la sequenza di comando passa allo stato Completata. Non sarà più possibile eseguire una ricetta che ha questo stato.

Sospensione in corso

La sequenza di comando passa allo stato In pausa.

In pausa

Il processo si interrompe nell´ambito di una sequenza di comando nei seguenti casi:

  • In attesa di Completata
  • In attesa di Assegnazione
  • In attesa di Condizione di interblocco .
  • In attesa di Fine fase.
  • Verifica di esecuzione parallela

Annulla

Termina il processo di elaborazione e passa allo stato Annullato.

Annullato

Il processo della sequenze di comando è stato interrotto.

Se una sequenza di comando non può essere avviata una secondo volta, il suo stato passa automaticamente a Annullato.

Attivazione nuovo interblocco

La sequenza di comando viene sospesa. Adesso è possibile interrompere la sequenza di comando.

Questo stato si presenta nella situazione seguente:

  • Si attende la conferma di una condizione di interblocco (uno stadio o due stadi).
  • Mentre il sistema attende la conferma, la condizione di interblocco in attesa è cambiata nuovamente.

Posizione di esecuzione e jump target

Stato | Descrizione
Riprendi | Se un oggetto si trova in pausa e, dopo quest´oggetto, c´è una posizione di esecuzione, il comando Riprendi ha lo stesso effetto di un Prossimo passo. Questo vale anche per i jump. In caso di un comando step, il comando ha effetto solamente sul jump nello stesso ramo.
Pausa | Non ha effetto su jump target. Le destinazioni già definite vengono mantenute.
Altro | Causano sempre la cancellazione dei jump. In caso di un comando step, verrà cancellato solo il jump nell´area della sequenza di comando.


Simboli e colori

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Simboli e colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel corso dell´elaborazione di una sequenza di comando, gli stati vengono visualizzati tramite simboli diversi. Alcuni di questi simboli vengono utilizzati anche per transizioni e per fine sequenza parallela.

Simboli e loro significato:

Simbolo

Significato

La sequenza di comando inizia.

Viene stabilita la connessione.

Attesa di assegnazione dispositivo di comando. Il dispositivo di comando del passo è già usato in un´altra sequenza di comando, oppure ha già il bit di stato NET_SEL.

  • Durante l´esecuzione di un passo e l´attesa della reazione Completata.
  • In caso di transizioni: durante l´esecuzione e l´attesa di una condizione di transizione. .
  • In caso di "Fine ramo parallelo": attesa di "tutti i rami combinati".

Il passo è completato.

  • In caso di transizioni: in attesa di "Condizione di transizione soddisfatta".
  • In caso di "Fine ramo parallelo": in attesa di "tutti i rami paralleli completati" e in attesa di "condizione seguente".

I valori vengono scritti.

Necessaria interazione dell´utente.
Apre l´immagine comandi configurata.

Sequenza di comando in modalità semiautomatica e in attesa del prossimo passo.
A questo scopo, cliccare il pulsante "Continuare la sequenza comandi da tutte le posizioni di esecuzione". Si aprirà l´immagine comandi.

Esecuzioni multiple.

Si presenta quando c´è un tentativo di eseguire parallelamente passi identici.

Se si verifica un errore durante l´esecuzione di un passo, quest´ultimo viene contrassegnato come erroneo finché non viene riavviato.

Se una sequenza di comando è in pausa, lo stato attuale viene visualizzato come simbolo.

Stato

Lo stato di esecuzione di passi, transizioni e Fine ramo parallelo viene visualizzato tramite diversi colori:

Stato

Colore

Idle:

bianco.

In esecuzione:

verde

Ignorato:

petrolio

Completato:

Blu

Sospensione in corso:

Due colori:

  • Arancione
  • Colore originario

In pausa:

Arancione

Interrompi:

Due colori:

  • Rosso
  • Colore originario

Interrotto:

Rosso

Riavvia:

Due colori:

  • verde
  • Colore originario

Timeout:

Bordo rosso.

Attivazione nuovo interblocco

Bordo rosso.

Comportamento in caso di comando "Stop"

Dopo un comando "Stop", passi, transizioni e "Fine ramo parallelo" passano subito allo stato "Stoppato", anche se altri elementi sono ancora in attesa di una condizione per l´azione "Stop". Altri comandi successivi, come, ad es. Annulla, vengono ignorati. Continua ad essere visualizzato lo stato Stoppato.


Convalida della sequenza di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Convalida della sequenza di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile verificare la presenza di errori nelle sequenze di comando già in fase di configurazione:

  • La convalida di una sequenza di comando può essere eseguita solo in modalità di modifica.
  • La convalida viene eseguita automaticamente quando si passa dalla modalità di modifica a quella di esecuzione.

Per convalidare una sequenza di comando cliccare sul simbolo corrispondente nella barra degli strumenti dell´Editor sequenze di comando a Runtime (segno di spunta verde - Verifica errori di sequenza comandi). Verrà eseguita una verifica della funzionalità della sequenza di comando sulla base di regole interne; in particolare la verifica riguarderà:

  • La sintassi (tutte le linee connesse, percorribili dall´inizo alla fine, ecc.)
  • Variabili
  • Tipi di dato

Il risultato della verifica viene visualizzato come testo normale in una finestra di dialogo. Gli errori che sono stati rilevati, vengono salvati nel file LOG, che può essere analizzato tramite il Diagnosis Viewer.

Le regole da osservare in fase di progettazione sono descritte nel capitolo Regole di configurazione per sequenze di comando.

attention Attenzione

Le sequenze di comando non connesse al momento della convalida verranno ignorate nel processo di convalida stesso. I loro contenuti e processi non verranno controllati.

Dialogo: Convalida ok

Dialogo: Convalida con errori

Gli eventuali errori che si verificano durante il processo di convalida vengono visualizzati in una finestra di dialogo.

Questa informazione riguardante l´errore contiene:

  • Numero dell´errore
  • ID dell´elemento
  • Posizione nella griglia sequenze di comando
  • Testo dell'errore


Teaching

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Teaching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità "Teaching" consente di registrare processi di comando configurati nel corso di una simulazione nel Runtime di zenon. Mediante questo processo, delle sequenze di comando corrispondenti vengono configurate a Runtime nell´immagine di simulazione durante il processo teaching.

La configurazione delle sequenze di comando realizzata in questo modo può poi essere modificata manualmente e trasferita nel processo produttivo importando l´immagine di simulazione che ne risulta.

Tutti i passaggi vengono eseguiti nel Runtime di zenon. Per la funzionalità "Teaching" non è necessaria nessuna configurazione addizionale nell´Editor di zenon.

info Info

Il processo di teaching per il modulo Sequenze di comando è disponibile anche se il Runtime viene eseguito in modalità di riproduzione del modulo Process Recorder.

Ancora in questo capitolo

Processo Teaching

Finestre di dialogo in caso di cancellazione del processo teaching

Configurazione


Processo Teaching

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Teaching -> Processo Teaching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando è attivo un processo teaching, delle azioni di comando vengono elaborate in una simulazione di progetto e applicate nella sequenza di comando scelta per eseguire il teaching. L´azione di comando viene applicata nella griglia sequenze di comando come elemento "passo". Durante lo svolgimento del processo teaching è possibile anche inserire manualmente degli elementi nella griglia sequenze di comando. Questo non causerà l´interruzione del processo.

Il processo teaching rimane attivo anche quando l´Editor sequenze di comando è chiuso, in modo tale da consentire l´esecuzione di azioni di comando di diverse immagini di processo.

A Runtime è possibile passare da immagini comandi a qualsiasi altra immagine di zenon mentre è in corso questo processo. Questo consente di applicare in una sequenza di comando anche azioni di comando di diverse immagini di zenon. Presupposto di ciò è che nell´immagine di zenon in questione ci sia almeno un´azione di comando.

Il Teaching viene eseguito sempre nella simulazione di progetto. Questo è garanzia che non ci siano interferenze con il funzionamento real-time e che eventuali configurazioni erronee non causino danni. La sequenza di comando può essere modificata anche dopo il processo teaching. È possibile inserire manualmente degli elementi e riorganizzare processi.

Nell´ambiente Runtime di simulazione, il processo teaching può essere avviato e terminato più volte per la stessa sequenza di comando.

Le sequenze di comando elaborate nel modo descritto possono poi essere importate nel processo effettivo cliccando nella Lista sequenze comandi sul pulsante Importa sequenza di comando da immagine di simulazione.

Teaching nella griglia sequenze di comando

Via Drag&Drop si può posizionare il cursore teaching in qualsiasi posto libero della griglia sequenze di comando. È poi possibile riposizionare il cursore teaching in qualsiasi momento. Questo consente, per esempio, di sottoporre in successione a processo teaching i singoli rami di ramificazioni parallele.

Nel corso del processo teaching, per ogni azione di comando eseguita viene inserito un corrispondente passo in quella cella della griglia sequenze di comando in cui si trova al momento il cursore teaching. Il cursore teaching viene spostato una riga più in basso ogni volta che viene inserito un passo.

Se la nuova posizione del cursore teaching è già occupata da una configurazione di sequenze di comando esistente, tutti gli elementi che si trovano sotto nella griglia vengono spostati di una riga più in basso. Se ne dovesse risultare l´interruzione di linee esistenti, queste verranno riconnesse automaticamente. In questo modo si garantisce che una sequenza di comando già esistente e valida, rimanga priva di errori durante il processo teaching.

La griglia può essere estesa fino ad un massimo di 1.000 righe. Il processo teaching viene interrotto automaticamente quando si raggiunge questo limite. In questo caso viene visualizzata una finestra di dialogo che ne informa l´utente.


Finestre di dialogo in caso di cancellazione del processo teaching

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Teaching -> Finestre di dialogo in caso di cancellazione del processo teaching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Certi eventi che si verificano nel Runtime di zenon causano la cancellazione di un processo teaching in esecuzione. La cancellazione del processo viene visualizzata tramite apposite finestre di dialogo di avvertimento. Inoltre, vengono generati inserimenti nella CEL e inserimenti nei file LOG relativi agli eventi che hanno provocato la cancellazione stessa.

Il processo teaching viene interrotto nei seguenti casi:

  • Quando la simulazione di progetto viene interrotta a Runtime.
  • Quando si clicca sul pulsante Stop Teaching.
  • Quando, per la sequenza sottoposta a teaching, si passa dalla modalità di modifica alla modalità di esecuzione.
  • Quando si esegue un´esportazione XML della sequenza sottoposta a teaching.
    Nota: Attenzione, in questo caso non viene visualizzata nessuna finestra di dialogo di avvertimento. Il processo teaching viene interrotto automaticamente. Gli elementi sottoposti a teaching fino a quel momento, però, vengono mantenuti.
  • In caso di importazione XML, quando la sequenza di comando sottoposta a teaching esiste già nel file di importazione XLM e se è stata selezionata l´opzione sovrascrivere la sequenza comandi esistente nelle "Opzioni di importazione". In questo caso, gli elementi sottoposti a teaching fino a quel momento andranno persi!
  • Quando la sequenza di comando sottoposta a teaching viene modificata:
    • Salva
    • Elimina
    • Rinomina

Non ha importanza in che modo viene modificata la sequenza di comando: per es., tramite combinazione di tasti, o cliccando sul simbolo corrispondente, o tramite selezione dal menù contestuale, ecc.

Finestre di dialogo durante il Teaching

Quando il processo Teaching viene cancellato, viene visualizzata una finestra di dialogo che ne informa l´utente. Quale finestra di dialogo viene visualizzata dipende dalla causa che ha provocato la cancellazione del processo di teaching.

Chiusura del Runtime di zenon.

Se il Runtime viene chiuso mentre è attivo un processo di teaching, viene visualizzata una finestra di dialogo che ne informa l´utente:

Parametro | Descrizione
Sì | Le modifiche della sequenza di comando correntemente sottoposta a teaching vengono salvate. Il Runtime viene chiuso.
No | Il Runtime viene chiuso. I nuovi elementi della sequenza di comando non vengono salvati.

Il Runtime viene chiuso automaticamente dopo 15 secondi se no si clicca su nessun pulsante. In questo caso, la sequenza di comando corrente non verrà salvata.

Nessuna riga disponibile nella griglia sequenze di comando

Se necessario, la griglia sequenze di comando viene estesa di una riga durante il processo di teaching. Quando si raggiunge il numero massimo di 1.000 righe, il processo di teaching viene interrotto e viene visualizzata la seguente finestra di dialogo:

Parametro | Descrizione
Sì | Termina il processo di teaching attivo e salva la configurazione della sequenza di comando.
No | Termina il processo di teaching attivo. Attenzione: tutti i nuovi elementi (successivi all´ultimo salvataggio eseguito) andranno persi.

Rinomina di una sequenza di comando

Se si rinomina una sequenza di comando mentre un processo di teaching è attivo, quest´ultimo verrà interrotto. In questo caso verrà visualizzata la seguente finestra di dialogo:

Parametro | Descrizione
Sì | Termina il processo di teaching attivo. La sequenza di comando verrà salvata con i contenuti attuali. Sarà possibile avviare un nuovo processo di teaching.
No | La sequenza di comando non verrà rinominata. Riprenderà il processo di teaching che era in corso. Le modifiche effettuate fino a quel momento non verranno salvate.

Cancellazione di una sequenza di comando

Se si cancella una sequenza di comando mentre un processo di teaching è attivo, il sistema visualizzerà la seguente finestra di dialogo prima di eseguire la cancellazione:

Parametro | Descrizione
[Nome della sequenza di comando] | Nome della sequenza di comando che deve essere cancellata. Viene sempre visualizzato solo il nome corrente della sequenza. Cliccando sul pulsante Sì o No si passa alla prossima sequenza di comando da cancellare.
Sì | Termina il processo di teaching attivo. La sequenza di comando viene salvata con i contenuti attuali. Sarà possibile avviare un nuovo processo di teaching.
No | La sequenza di comando non verrà rinominata. Riprenderà il processo di teaching che era in corso. Le modifiche effettuate fino a quel momento non verranno salvate.
Si tutti | Cancella tutte le sequenze di comando selezionate senza un richiesta di conferma. Nota: non attivo se è stata selezionata solo una sequenza di comandi per essere cancellata.
No tutte | Non cancella nessuna delle sequenze di comando selezionate. Il processo di teaching continua ad essere attivo per la sequenza di comando che vi deve essere sottoposta. Nota: non attivo se è stata selezionata solo una sequenza di comandi per essere cancellata.


Configurazione

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Teaching -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Presupposto per poter utilizzare il teaching nel Runtime di zenon, è l´esistenza di immagini di processo con una configurazione (comandi) corrispondente nell´Editor di zenon.

Oltre a questo, è necessario eseguire i seguenti passaggi:

Configurazione nell'Editor

  • Creare un'immagine del tipo Sequenze di comando
  • Inserire nell´immagine appena creata l´elemento di controllo Editor sequenze comandi.
  • Creare una funzione di cambio immagine per aprire l´immagine configurata a Runtime.
  • Creare una funzione Attiva/Disattiva progetto di simulazione.
  • Collegare questa funzione nel progetto.

Runtime

  1. Avviare il Runtime di zenon.
  2. Avviare la simulazione di progetto.
  3. Passare all´immagine "Sequenze di comando":
    1. Creare una nuova sequenza di comando, oppure selezionare una di quelle già esistenti per modificarla.
    2. Cliccare sul pulsante Avvia Teaching nell´Editor sequenze di comando.
    3. Posizionare l´elemento Cursore Teaching all´interno della griglia sequenze di comando.
  4. Passare ad una qualsiasi immagine di processo.
  5. Eseguire le azioni di comando.
    Nella griglia sequenze di comando verrà aggiunto il passo corrispondente alla sequenza di comando. Questo succede anche se l´immagine della sequenza di comando non viene visualizzata a Runtime.
  6. Se necessario, modificare la configurazione della sequenze di comando. Per farlo, passare all´immagine "Sequenze di comando":
    1. I passi sottoposti a teaching possono essere riposizionati nella griglia sequenze di comando via Drag&Drop.
    2. Sempre via Drag&Drop si può riposizionare il cursore teaching all´interno della griglia sequenze di comando per eseguire un nuovo processo di teaching.
    3. Proseguire il processo di teaching con il punto 4.
  7. Concludere il processo di teaching cliccando sul pulsante Stop Teaching.
  8. Correggere l´elemento finale collocato alla fine della progettazione della sequenza di comando.
    Nota: dopo la conclusione del processo di teaching, rimane sempre una riga vuota prima dell´elemento finale.
    Spostare l´elemento finale di una posizione verso l´alto, oppure tracciare una linea attraverso la riga vuota per completare in modo corretto la configurazione della sequenza di comando.
  9. Controllare la configurazione della sequenza di comando cliccando sul pulsante Verifica errori di sequenza comandi.
  10. Terminare la simulazione Runtime.
  11. Tornare all´immagine "Editor Sequenze di comando".
  12. Cliccare nella finestra Lista sequenze comandi sul simbolo Importa sequenza di comando da immagine di simulazione.
  13. Selezionare la sequenza di comando desiderata nella finestra di dialogo Opzioni di importazione e aggiungerla alla Lista sequenze comandi cliccando sul pulsante OK.


Regole di configurazione per sequenze di comando

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Regole di configurazione per sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione delle sequenze di comando valgono le seguenti regole fondamentali:

Generale

  • Per tutti gli elementi devono essere sempre collegati tutti i punti di connessione.
    Eccezione: jump target. In questo caso devono essere collegati solamente due dei tre punti di connessione di ingresso.
  • C´è un solo elemento iniziale in ogni sequenza di comando; segna l´inizio del processo.
    Nota: un elemento iniziale non può essere cancellato.
  • C´è un solo elemento finale in ogni sequenza di comando; segna la fine del processo.
    Nota: un elemento finale non può essere cancellato.
  • I passi possono essere inseriti dovunque. È anche possibile che più passi siano collocati uno dietro all´altro.
  • Ci dovrebbe essere almeno un passo attivo all´interno di una sequenza di comando.

Transizioni

  • Due transizioni non possono trovarsi una dietro all´altra.

Rami

  • Il primo elemento dopo un Inizio ramo deve essere sempre una transizione.
  • I singoli rami che iniziano con un Inizio ramo devono sfociare tutti in una Fine ramo, mai in una Fine sequenza parallela. Fra l´inizio e la fine di un ramo si possono trovare tutti gli elementi, anche ramificazioni parallele, a patto che queste ultime siano concluse prima dell´elemento Fine ramo. Un elemento "Fine ramo" può essere sostituito in ogni posizione da jump target, anche all´interno di un ramo parallelo.
  • Non ci deve essere necessariamente per ogni Inizio ramo anche una propria Fine ramo. È infatti possibile che due elementi Inizio ramo sfocino nello stesso elemento Fine ramo, o viceversa.
  • Non ci deve essere necessariamente per ogni Inizio ramo una Fine ramo. Può anche terminare semplicemente in una linea. Se, per esempio, si ha un elemento Inizio ramo con due percorsi, uno dei quali termina in un jump target, non avrebbe senso avere una Fine ramo.

Rami paralleli

  • Ogni ramo parallelo deve contenere almeno un passo.
  • Il primo elemento dopo un Inizio sequenza parallela non può essere una transizione.
  • I singoli rami che iniziano con un Inizio sequenza parallela devono sfociare tutti in una Fine sequenza parallela, mai in una Fine ramo. Fra Inizio sequenza parallela e Fine sequenza parallela si può usare qualsiasi elemento, anche passi, a patto che questi ultimi siano conclusi prima dell´elemento Fine sequenza parallela.
  • Non tutti i rami avviati in un Inizio sequenza parallela devono necessariamente sfociare in un elemento Fine sequenza parallela. È sufficiente che tutti i rami convergano tramite oggetti Fine parallelo. Allo stesso modo è possibile che rami di diversi oggetti Inizio sequenza parallela convergano in un solo elemento Fine sequenza parallela.
  • Rami paralleli possono "incorporare" ulteriori rami paralleli.
    In questo caso vale quanto segue: ogni ramo parallelo "incorporato" deve riunirsi a quello superiore.

Linee nella griglia sequenze di comando

  • Le linee possono essere usate come collegamento fra tutti gli oggetti. È consentito anche aggiungere un numero qualsiasi di linee una dopo l´altra.
  • Le linee, però, non possono essere utilizzate per collegare due punti di connessione dello stesso tipo.
    Esempi: i due ingressi di due passi non possono essere collegati direttamente da una linea. In fase di configurazione, il sistema consentirà che si tracci una connessione di questo tipo; ma questa verrà visualizzata in color rosso (perché erronea) e, in fase di convalida, il sistema emetterà un messaggio di errore.

Jump target.

  • I jump target corrispondono ad una Fine ramo. Servono a:
    • Passare fra un ramo e l´altro.
    • Uscire da rami.
    • Progettare loop.

    Tenere presente quanto segue: Un percorso che termina in un jump target deve iniziare con un elemento selezione di inizio sequenza. Altrimenti non sarà possibile raggiungere la fine.

  • Un jump target è costituito da tre entrate (input) e un´uscita (output). Almeno due ingressi e l´uscita devono essere sempre connessi. Non fa alcuna differenza quale dei punti di connessione di ingresso sono collegati.
  • Si possono collocare jump target uno dopo l´altro, se almeno due punti di connessione di ingresso sono assegnati.
  • Jump sono proibiti:
    • Fra rami paralleli.
    • Per uscire da un ramo parallelo.
    • Per saltare in un ramo parallelo.


Inserimenti CEL

Manuale -> Sequenze di comando -> Sequenze di comando a Runtime -> Inserimenti CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I processi nel Runtime di zenon vengono supportati e visualizzati mediante inserimenti nella Lista Eventi Cronologica.

Nella CEL vengono scritti i seguenti inserimenti:

  • Generata sequenza comandi:
    Generata sequenza comandi [Nome sequenza comandi]
  • Sequenza comandi duplicata:
    Sequenza comandi duplicata. Nuovo: [Nome sequenza comandi] origine: [Nome sequenza comandi]
  • Sequenza comandi rinominata:
    Sequenza comandi rinominata. Nuovo: [Nome sequenza comandi] vecchia: [Nome sequenza comandi]
  • Sequenza comandi terminata:
    Sequenza comandi terminata [Nome sequenza comandi]
  • Sequenza comandi annullata:
    Sequenza comandi annullata [Nome sequenza comandi]
  • Eseguito passaggio manuale:
    Eseguito passaggio manuale. Sequenza comandi [Nome sequenza comandi]; ID elemento precedente: [ID elemento] (colonna [numero della colonna nella griglia sequenze di comando] – riga [numero della riga nella griglia sequenze di comando])
  • Eseguito jump manuale:
    Eseguito jump manuale. Sequenza comandi [Nome sequenza comandi]; Start: ID elemento successivo: [ID elemento] (colonna [numero della colonna nella griglia sequenze di comando] – riga [numero della riga nella griglia sequenze di comando]) - destinazione: ID elemento precedente: [ID elemento] (colonna [numero della colonna nella griglia sequenze di comando] – riga [numero della riga nella griglia sequenze di comando])
  • Passaggio ignorato:
    L´azione [nome azione] è stata ignorata.

info Info

Ulteriori informazioni sulla CEL si trovano nella parte della documentazione dedicata alla Lista Eventi Cronologica.


Sequenze di comando e modalità di simulazione.

Manuale -> Sequenze di comando -> Sequenze di comando e modalità di simulazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Importa sequenza (e) di comando da immagine di simulazione

Creare un´immagine di simulazione


Importa sequenza (e) di comando da immagine di simulazione

Manuale -> Sequenze di comando -> Sequenze di comando e modalità di simulazione. -> Importa sequenza (e) di comando da immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si definisce quali sequenze di comando configurate prese da una o più immagine di simulazione debbano essere importate nel Runtime di zenon.

Parametro

Descrizione

Simulazione di progetto

Lista di tutte le immagini di simulazione di progetto esistenti.

Si può selezionare sempre solo un´immagine di simulazione alla volta.

Sequenze di comando nel progetto di simulazione

Lista di tutte le sequenze di comando configurate della simulazione di progetto selezionata.

È possibile una selezione multipla.

Sequenze di comando esistenti

Sequenze di comando già esistenti nel progetto di zenon attivo al momento.

Aggiungi

Aggiunge le sequenze di comando selezionate nella lista Sequenze di comando nel progetto di simulazione alla Lista delle sequenze di comando da applicare.

Questo comando è attivo solo se è stata selezionata almeno una sequenza di comando di un´immagine di simulazione.

Sovrascrivi

Aggiunge una sequenza di comando selezionate nella lista Sequenze di comando nel progetto di simulazione alla Lista delle sequenze di comando da applicare. Questa sequenza di comando sovrascrive quella esistente nell´Editor sequenze di comando a Runtime!

Questo pulsante è attivo solo se è stata selezionata solamente una sequenza di comando e se questa sequenza esiste già nella lista Sequenze di comando esistenti. In questo caso, infatti, la sequenza esiste già nell´Editor sequenze di comando e verrà sovrascritta.

Quando invece sono state selezionate più sequenze di comando di una simulazione di progetto, questo pulsante sarà visualizzato in color grigio (disabilitato) se la selezione contiene una sequenza che non esiste ancora nella lista Sequenze di comando esistenti. Al momento del trasferimento della selezione nel Runtime, verrà creata una nuova sequenza di comando. Al nome di questa nuova configurazione verrà aggiunto un numero progressivo.

Lista delle sequenze di comando da applicare

Sequenze di comando assegnate che vengono accettate nell´ambiente Runtime attivo al momento.

  • Immagine di simulazione:
    Nome dell´immagine di simulazione da cui proviene la sequenza di comando.
  • Nome sequenza di comando:
    Nome della sequenza di comando corrispondente a quello salvato nell´immagine di simulazione.
  • Gestione conflitto:
    Il tipo di gestione del conflitto dipende dal modo in cui la sequenza di comando corrispondente è stata applicata nella lista. È predefinito e diverso a seconda del pulsante usato (Aggiungi o Sovrascrivi) e non può essere modificato.

Nota: questa lista può essere ordinata e filtrata.

Rimuovi

Cancella la sequenza di comando selezionata dalla Lista delle sequenze di comando da applicare.

È possibile una selezione multipla. È possibile assegnare di nuovo la sequenza di comando dalla Sequenze di comando nel progetto di simulazione.

OK

Chiude la finestra di dialogo e applica la configurazione della Lista delle sequenze di comando da applicare nell´Editor Sequenze di comando.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Se si utilizza il modulo Sequenze di comando nella rete dizenon, valgono le seguenti regole:

  • Al momento dell´apertura della finestra di dialogo, la lista Simulazione di progetto viene popolata dal server con le immagini di simulazione.
    In caso di perdita dei connessione con il server, allo scadere del timeout la finestra di dialogo verrà aperta con la lista Simulazione di progetto vuota.
  • La lista Sequenze di comando nel progetto di simulazione verrà popolata anche sul client con dati del server. In caso di perdita dei connessione con il server, la lista sarà vuota.


Creare un´immagine di simulazione

Manuale -> Sequenze di comando -> Sequenze di comando e modalità di simulazione. -> Creare un´immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter creare un´immagine di simulazione nel Runtime di zenon, bisogna eseguire i seguenti passaggi di configurazione nell´Editor di zenon:

  1. Creare una nuova funzione:

    Selezionare nella barra degli strumenti, oppure nel menù contestuale del nodo Funzioni il comando Nuova funzione.
    Si apre la finestra di dialogo per la selezione di una funzione.

  2. In questa finestra di dialogo, selezionare nel gruppo Applicazione la funzione Attiva/Disattiva progetto di simulazione.
    Si aprirà la finestra di dialogo per configurare la simulazione di progetto.
  3. Assegnare un nome alla funzione
  4. Collegare la funzione ad un pulsante.

Gestione a Runtime

Se la finestra di dialogo non viene offerta a Runtime, bisogna tenere presente che ogni riavvio di una simulazione sovrascrive l´immagine di simulazione precedente!

info Info

Ulteriori informazioni si trovano nella parte della guida dedicata alla Simulazione di progetto.

Lo stato attuale viene letto tramite la variabile del driver di sistema [Informazioni di sistema] Stato-Runtime (Simulazione).


Sequenze di comando nella rete di zenon

Manuale -> Sequenze di comando -> Sequenze di comando nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando è disponibile anche nella rete di zenon. Per quello che riguarda il funzionamento delle sequenze di comando in rete, valgono le seguenti regole: le sequenze di comando vengono sempre eseguite sul server. Ogni client può eseguire e gestire le sequenze di comando.

Per quei computer che svolgono in rete il ruolo di client, vale la seguente regola: tutte le modifiche effettuate alle sequenze di comando vengono trasferite al/dal server primario. Se nella topologia di rete c`è anche un Server-Standby, tutte le sequenze di comando vengono sincronizzate dal server primario. Il Server-Standby si sincronizza automaticamente.

Visualizzazione dei dialoghi

Se si avvia una sequenza di comando tramite funzione o pulsante nell´Editor sequenze di comando, le finestre di dialogo vengono visualizzate sempre su quel computer dal quale è stata avviata la sequenza di comando.

Queste finestre di dialogo sono:

  • Immagini comandi
  • Messaggi di errore

Ridondanza

A partire dalla versione 7.50 di zenon, il modulo Sequenze di comando supporta la rete ridondante di zenon.

Vengono supportati i seguenti tipi di ridondanza:

  • Rete ponderata
  • Rete non dominante
  • Rete dominante

Rete di zenon

Ulteriori informazioni relative alla configurazione della ridondanza si trovano nel manuale dedicato alla "Rete".

  • Tipi di ridondanza
    • Ridondanza in una rete ponderata
    • Ridondanza in una rete non dominante
  • Autorizzazione operativa in rete
  • Funzioni in rete

Ancora in questo capitolo

Aspetti particolari dell´immagine ´"Comandi"

Immagini di simulazione nei progetti di rete

Comportamento nella rete di zenon

Autorizzazione operativa


Aspetti particolari dell´immagine ´"Comandi"

Manuale -> Sequenze di comando -> Sequenze di comando nella rete di zenon -> Aspetti particolari dell´immagine ´"Comandi"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nel modulo "Comandi" è stata progettata un´interazione utente, vale quanto segue:

  • L´immagine "Comandi" si apre automaticamente sempre su quel computer dal quale è stata avviata la sequenza di comando.
  • Su tutti gli altri computer, l´immagine "Comandi" può essere aperta cliccando sul pulsante Azione utente.
  • Quando si esegue un passo a due stadi, viene aperta un´immagine "Comandi" quando non ci sono più interblocchi in attesa. L´immagine "Comandi” è quella dell´azione, o (se nelle proprietà dell´azione non è stata configurata nessuna immagine) quella del gruppo comando.


Immagini di simulazione nei progetti di rete

Manuale -> Sequenze di comando -> Sequenze di comando nella rete di zenon -> Immagini di simulazione nei progetti di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si utilizza il modulo Sequenze di comando nella rete dizenon, valgono le seguenti regole:

  • Al momento dell´apertura della finestra di dialogo, la lista Simulazione di progetto viene popolata dal server con le immagini di simulazione.
    In caso di perdita dei connessione con il server, allo scadere del timeout la finestra di dialogo verrà aperta con la lista Simulazione di progetto vuota.
  • La lista Sequenze di comando nel progetto di simulazione verrà popolata anche sul client con dati del server. In caso di perdita dei connessione con il server, la lista sarà vuota.


Comportamento nella rete di zenon

Manuale -> Sequenze di comando -> Sequenze di comando nella rete di zenon -> Comportamento nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando funziona in rete secondo il seguente principio:

  • Le sequenze di comando possono essere configurate sia sul client, che sul Server o sul Server-Standby.
  • Le sequenze di comando configurate vengono gestite sul Server primario e inoltrate ai client.
  • Le sequenze di comando possono essere amministrate sia sul client, che sul Server.
  • Le sequenze di comando vengono eseguite sul Server primario.
  • Quando si verifica un cambio di ridondanza, le sequenze di comando in esecuzione vengono terminate.
    Possono essere riavviate manualmente sul Server primario.

Cambio di ruoli fra Server 1 e Server 2

  • Il cambio di ridondanza viene ritardato finché tutte le sequenze di comando attive non sono state portate a termine.
  • Durante un cambio di ridondanza viene bloccato lo start di sequenze di comando. I pulsanti sul client sono visualizzati in grigio (disabilitati).
    • Questo cambio di ridondanza può essere progettato un una rete ponderata.
    • In una rete dominante oppure in una rete non dominante, il cambio di ridondanza viene eseguito quando il Server primario smette di funzionare.
  • E' possibile riavviare l'esecuzione di sequenze di comando solo dopo che il cambio è stato portato a termine, oppure se il cambio stesso è stato cancellato.
    In questo caso viene scritto un inserimento nella CEL.
  • Messaggi CEL vengono scritti per gli eventi seguenti:
    • Start di una sequenza di comando è bloccato sul server.
    • Se una sequenza di comando deve essere avviata in una rete dominante sul Server 2 .
    • La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso
    • Nota: non viene creato un messaggio CEL, invece, se viene avviata una sequenza di comando errata.

Inserimento nei LOG.

Inserimento | Livello | Descrizione
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso.

Eccezione: due server nella rete.

Se, quando si ha un cambio di Server primario, ci sono ancora sequenze di comando in esecuzione sul "nuovo" Server-Standby, queste vengono interrotte sullo Standby. Questo può accadere solo se i due server (per es. a causa di un errore di rete) non erano più collegati, e adesso sono di nuovo connessi. In questo caso, la modifica alla sequenza di comando non verrà applicata sul server primario.

Questo significa che, se c´è connessione e sequenze di comando nel frattempo cancellate sullo Standby sono state già aperte sul server primario, queste verranno considerate come ancora in esecuzione. Potranno essere riavviate solo dopo essere state terminate sul Server 1 e sul Server 2.

Nessuna connessione fra server e standby

Se si apre l'immagine delle sequenze di comando sul client quando né Server 1 né Server 2 sono raggiungibili, l'Editor delle sequenze di comando non è disponibile sul client. Verrà visualizzato vuoto. Nel Runtime di zenon verrà visualizzato, invece dell'immagine, un messaggio di errore.

Finestra di dialogo di errore

Se una sequenza di comando non può essere avviata, viene visualizzata la seguente finestra di dialogo di errore:


Autorizzazione operativa

Manuale -> Sequenze di comando -> Sequenze di comando nella rete di zenon -> Autorizzazione operativa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda le autorizzazioni operative, valgono per il modulo Sequenze di comando le seguenti regole:

  • Autorizzazione utente su modello di impianto
    • In linea di principio, nell´Editor delle sequenze di comando sono consentite tutte le interazioni.
    • Se una sequenza di comando viene avviata manualmente, il sistema verifica se per tutte le variabili della sequenza (variabile di feedback) Esiste l´autorizzazione operativa. Se l´autorizzazione esiste, la sequenza di comando viene eseguita.
    • Per poter eseguire un´interazione utente in attesa, è necessaria la stessa autorizzazione operativa richiesta all´avvio della sequenza di comando.
    • Per tutte le altre forme di interazione, come stoppare, rinominare ecc, non è necessaria nessuna autorizzazione operativa nel modello di impianto.
  • Autorizzazione utenti globale
    • Per ogni avvio di una sequenza di comando e ogni interazione è necessaria l´autorizzazione operativa corrispondente.
    • Senza un token valido, non viene eseguita nessuna azione.


Sequenze di comando nel Web Client

Manuale -> Sequenze di comando -> Sequenze di comando nel Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si utilizza un zenon Web Server con la licenza standard:

  • Si possono modificare le impostazioni per griglia e colore sul zenon Web Client.
  • Non si possono creare o modificare sequenze di comando sul zenon Web Client.
  • Non si può modificare la dimensione dell´area di lavoro sul zenon Web Client.
  • Sul zenon Web Client vengono disattivati nella barra degli strumenti tutti i simboli non consentiti.
    Non sarà dunque possibile selezionare gli oggetti corrispondenti.

Se si utilizza un zenon Web Server Pro, non ci sono le limitazioni sopra descritte.


Autorizzazione operativa

Manuale -> Sequenze di comando -> Autorizzazione operativa

Per quello che riguarda l´autorizzazione operativa, per il modulo Sequenze di comando vale quanto segue:

  • Autorizzazione utente globale
    Il PC di esecuzione deve essere in possesso della autorizzazione operativa corrispondente. Senza autorizzazione operativa non è consentita nessuna interazione.
    Questa autorizzazione vale in generale per tutte le interazioni. Il sistema non distingue fra i singoli contenuti.
  • Autorizzazione utente su modello di impianto
    • Per l´avvio di una sequenza di comando è necessaria un´autorizzazione corrispondente per tutte variabili di feedback utilizzate nella sequenza di comando stessa.
    • Per poter eseguire un´interazione utente in attesa, è necessaria la stessa autorizzazione operativa richiesta all´avvio della sequenza di comando.
    • Per tutte le altre forme di interazione, come stoppare, rinominare ecc, non è necessaria nessuna autorizzazione operativa nel modello di impianto.

info Info

Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa alla Rete, nel capitolo Autorizzazione operativa in rete.


Struttura del file XML per le sequenze di comando

Manuale -> Sequenze di comando -> Struttura del file XML per le sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attenzione:

  • Modifiche al file XML dovrebbero essere effettuate solamente da esperti; in generale si sconsiglia di cambiare i contenuti del file.
  • Un file XML con errori, infatti, può causare problemi in fase di importazione XML. L´importazione potrebbe non riuscire.
  • Dato che viene utilizzata una sola struttura per il file XML sia nel modulo Sequenze di comando che nel modulo Batch Control, i contenuti e le denominazioni sono uguali alla terminologia usata nel modulo Batch Control. Se mancano questi inserimenti nel file XML, anche i contenuti per il modulo Sequenze di comando saranno erronei.

info Info

Questa documentazione relativa al file XML descrive gli elementi "dall´alto in basso", nella successione in cui ricorrono nel file. Le sotto-strutture presenti nel file vengono descritte in modo dettagliato in settori ad esse dedicate.

Nodi principali

Il primo livello della struttura XML:

Parametro | Descrizione
xml | Dichiarazione XML con versione XML e codifica caratteri: version="1.0" encoding="utf-16"
Subject | Per i contenuti di questo nodo, si prega di tener presente la descrizione dettagliata.

Subject

Il nodo Subject contiene informazioni generali sul file XML.

Parametro | Descrizione
ShortName | (valore predeterminato) zenOn(R) exported project
MainVersion | Versione di zenon da cui è stata eseguita l´esportazione XML. (valore predeterminato) 7500
Apartment | Per i contenuti di questo nodo, si prega di tener presente la descrizione dettagliata.

Apartment

Il nodo Apartment rappresenta i contenuti per le configurazioni di sequenze di comando esportate.

Parametro | Descrizione
ShortName | (valore predeterminato) zenOn(R) command sequencer
Version | Versione di zenon da cui è stata eseguita l´esportazione XML. (valore predeterminato) 7500
CommandSequence | Nodo per i contenuti delle configurazione di una sequenza di comando. Ogni singola progettazione esportata viene rappresentata da un proprio nodo CommandSequence. Per i contenuti di questo nodo, si prega di tener presente la descrizione dettagliata.

CommandSequence

Questo nodo contiene informazioni di carattere generale sulla configurazione di una sequenza di comando.

Parametro

Descrizione

MrId

ID della sequenza di comando. Questo ID deve essere univoco per ogni sequenza di comando e non può essere assegnato due volte.

MrName

Nome della sequenza di comando.

Corrisponde al campo di inserimento Nome della finestra di dialogo Configurazione sequenza comandi.

MrDescription

Descrizione della sequenza di comando.
Corrisponde al campo di inserimento Descrizione della finestra di dialogo Configurazione sequenza comandi.

MrVersion

Versione della sequenza di comando.
1

(valore predeterminato)
Impostazione standard non modificabile.

MrSourceVersion

Versione originale della sequenza di comando.

0

(valore predeterminato)

Impostazione standard non modificabile.

MrStatus

Stato/modalità della sequenza di comando.

  • 0
    Non usata
  • 1
    Modalità di modifica
  • 2
    Non usata
  • 3
    Modalità di esecuzione

RecipeType

Tipo di sequenza di comando

Pfc

(valore predeterminato)

Impostazione standard non modificabile.

ApprovalTime

Time stamp per le sequenze di comando rilasciate.

Nessun inserimento
Non usato per il modulo Sequenze di comando.

ApprovalUserName

Nome dell´utente che ha rilasciato la sequenza di comando.

Nessun inserimento
Non usato per il modulo Sequenze di comando.

ApprovalUserID

ID dell´utente che ha rilasciato la sequenza di comando.

Nessun inserimento
Non usato per il modulo Sequenze di comando.

OutdatedTime

Tempo obsoleto per la sequenza di comando.

Nessun inserimento
Non usato per il modulo Sequenze di comando.

OutdatedUserName

Nome dell´utente da cui la sequenza di comando è stata settata su "obsoleta".

Nessun inserimento
Non usato per il modulo Sequenze di comando.

OutdatedUserID

ID dell´utente da cui la sequenza di comando è stata settata su "obsoleta".

Nessun inserimento
Non usato per il modulo Sequenze di comando.

Structure

Per i contenuti di questo nodo, si prega di tener presente la descrizione dettagliata.

Nodo "Structure"

Ogni sequenza di comando configurata viene rappresentata nel file XML dal nodo Structure_[numero progressivo].

Parametro | Descrizione
NODE | Testo predefinito: zenOn(R) embedded object
LastObjId | ID della sequenza di comando usato per ultimo.
ColCount | Numero totale delle colonne nella griglia sequenze di comando.
RowCount | Numero totale delle righe nella griglia sequenze di comando.
CenterColOffset | Coordinate di start delle celle con il primo elemento di una configurazione di sequenza di comando nella griglia sequenze di comando. 0 (valore predeterminato)
CenterRowOffset | Coordinate di start della riga con il primo elemento di una configurazione di sequenza di comando nella griglia sequenze di comando. 0 (valore predeterminato)
ChartObject | Per i contenuti di questo nodo, si prega di tener presente la descrizione dettagliata.

Nodo "ChartObject"

Ogni singolo elemento della griglia sequenze di comando viene rappresentato nel file XML dal nodo ChartObject_[numero progressivo].

A seconda dell´elemento, si distinguono i corrispondenti elementi XML.

Parametro

Descrizione

Nodi

Testo predefinito:
zenOn(R) embedded object

Type

Tipo di elemento:

  • 1
    Elemento iniziale
  • 2
    Elemento finale
  • 3
    Passo
  • 4
    Transizione
  • 5
    Inizio ramo
  • 6
    Fine ramo
  • 7
    Inizio sequenza parallela
  • 8
    Fine sequenza parallela
  • 9
    Assegnazione del dispositivo di comando
  • 10
    No usato per sequenze di comando
  • 11
    Linee
  • 12
    Jump target

Ancora in questo capitolo

Struttura XML per elementi - Panoramica


Struttura XML per elementi - Panoramica

Manuale -> Sequenze di comando -> Struttura del file XML per le sequenze di comando -> Struttura XML per elementi - Panoramica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa descrizione intende fornire una panoramica di tutti gli elementi possibili.

Una descrizione dettagliata dei singoli elementi si trova ....

Elemento iniziale

Parametro | Descrizione
NODE | Testo predefinito: zenOn(R) embedded object
TYPE | Tipo di elemento. Sempre 1 per l´elemento iniziale.
ChartId | ID dell´elemento nella sequenza di comando.
ChartCol | Coordinate della colonna dell´elemento nella griglia sequenze di comando. Il numero si riferisce alle colonne libere accanto all´elemento. Questo significa: ChartCol 3 = l´elemento è posizionato nella colonna 4.
ChartRow | Coordinate della riga dell´elemento nella griglia sequenze di comando. Il numero si riferisce alle righe libere sopra l´elemento. Questo significa: ChartRow 3 = l´elemento è posizionato nella riga 4.

Elemento finale

Parametro | Descrizione
NODE | Testo predefinito: zenOn(R) embedded object
TYPE | Tipo di elemento. Sempre 2 per l´elemento finale.
ChartId | ID dell´elemento nella sequenza di comando.
ChartCol | Coordinate della colonna dell´elemento nella griglia sequenze di comando. Il numero si riferisce alle colonne libere accanto all´elemento. Questo significa: ChartCol 3 = l´elemento è posizionato nella colonna 4.
ChartRow | Coordinate della riga dell´elemento nella griglia sequenze di comando. Il numero si riferisce alle righe libere sopra l´elemento. Questo significa: ChartRow 3 = l´elemento è posizionato nella riga 4.

Elemento linea

Parametro

Descrizione

NODE

Testo predefinito:
zenOn(R) embedded object

TYPE

Tipo di elemento.

Sempre 11 per l´elemento linea.

ChartId

ID dell´elemento nella sequenza di comando.

ChartCol

Coordinate della colonna dell´elemento nella griglia sequenze di comando.

Il numero si riferisce alle colonne libere accanto all´elemento.
Questo significa: ChartCol 3 = l´elemento è posizionato nella colonna 4.

ChartRow

Coordinate della riga dell´elemento nella griglia sequenze di comando.

Il numero si riferisce alle righe libere sopra l´elemento.
Questo significa: ChartRow 3 = l´elemento è posizionato nella riga 4.

FirstCol

Coordinate della colonna in cui inizia la linea.

FirstRow

Coordinate della riga in cui inizia la linea.

SecondCol

Coordinate della colonna in cui finisce la linea.

Il numero si riferisce alle colonne libere accanto all´elemento.
Questo significa: ChartCol 3 = l´elemento è posizionato nella colonna 4.

SecondRow

Coordinate della riga in cui finisce la linea.

Il numero si riferisce alle righe libere sopra l´elemento.
Questo significa: ChartRow 3 = l´elemento è posizionato nella riga 4.

LineSegments

Coordinate colonna, riga, tipo delle celle (separate da un #) in cui si sviluppa l´intera linea.

Tipo di linea:

  • 0: Linea dritta dall´alto in basso
  • 1: 90° dall´alto verso destra
  • 2: 90° dall´alto verso sinistra
  • 3: Linea dritta da sinistra a destra
  • 4: 90° da destra verso il basso
  • 5: 90° da sinistra verso il basso

Esempio:

1|3|0#1|2|5#0|1|0#0|2|1


Server di archiviazione

Manuale -> Server di archiviazione

In zenon, il server di archiviazione è lo strumento che serve al salvataggio di dati di processo, e all´esportazione di dati archiviati. Questi dati possono poi essere modificati e analizzati - anche al di fuori di zenon.

In zenon, il modulo "Server di archiviazione" è disponibile in due versioni:

  • Server di archiviazioneStarter Edition: versione con funzionalità limitate.
  • Versione del Server di archiviazione con licenza propria

tutorial Informazioni sulla licenza

Per utilizzare il modulo "Server di archiviazione" si deve avere una licenza sia per l´Editor, che per il Runtime (standalone, server, standby).

Nota: la Starter Edition del Server di archiviazione (con funzionalità limitate) è compresa nella licenza standard. Non è disponibile per le versioni con licenza I/O.

Il Server di archiviazione si trova nel Manager di progetto.

In zenon, c´è la possibilità di analizzare e modificare dati d'archivio con:

  • Un´immagine di tipo Post-elaborazione archivio
  • Trend esteso
  • Generatore Report
  • Report Viewer
  • zenon Analyzer

Ancora in questo capitolo

Informazioni generali

Tipi di archiviazione

Concetto di archiviazione

Configurazione nell'Editor

Funzioni

Gestione a Runtime

Uso di dati d'archivio in zenon:

Ulteriori informazioni


Informazioni generali

Manuale -> Server di archiviazione -> Informazioni generali

L´archiviazione viene eseguita con diversi metodi e con diversi tipi di registrazione.

Per usare l´archiviazione:

  • Creare archivi e archivi in cascata nell´Editor.
  • Visualizzare gli archivi a Runtime tramite un´immagine di tipo Post-elaborazione archivi.
  • Salvare i dati d'archivio in diversi formati.
  • Analizzare i dati d'archivio con altri moduli, come il Trend esteso, il Generatore Report, il Report Viewer e lo zenon Analyzer.

Orario

Gli archivi utilizzano il tempo UTC quando salvano i dati. L´ora locale visualizzata sul computer, si compone di: UTC + fuso orario + ora legale/ ora solare. Il Runtime di zenon prende in considerazione automaticamente l´ora locale quando interroga un archivio.

Informazioni dettagliate

Informazioni dettagliate su formati, orario e tipi di RDA, si trovano nel capitolo Ulteriori informazioni.

Ancora in questo capitolo

Versione del Server di archiviazione con licenza propria

Server di archiviazione - Starter Edition


Versione del Server di archiviazione con licenza propria

Manuale -> Server di archiviazione -> Informazioni generali -> Versione del Server di archiviazione con licenza propria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sul PC, è possibile eseguire un upgrade e passare dalla Starter Edition del Server di archiviazione alla versione completa del modulo, senza nessun problema di compatibilità (estensione della licenza).

  • Se si ha una licenza per il Server di archiviazione, potranno essere utilizzate tutte le funzionalità messe a disposizione dal modulo.
  • Per il Runtime Windows CE 6.0, la Starter Edition del Server di archiviazione è disponibile come opzione in combinazione alla Starter Edition del Trend Esteso (l´esportazione dati sotto CE viene eseguita solo in formato CSV).

Funzionalità incluse nella versione con licenza propria

La versione del Server di archiviazione con licenza propria, mette a disposizione le seguenti funzionalità:

  • Registrazione dati: ciclica, basata sugli eventi, spontanea (al cambio del valore).
  • Aggregazione dati a cascata (archivi in cascata)
  • Registrazione lotti
  • Archiviazione RDA
  • Dislocazione SQL
  • Start/stop della registrazione definiti dagli utenti
  • Esecuzione della funzione all´avvio e alla chiusura dell´archivio.
  • Esportazione dati automatica
  • Creazione automatica di archivi di sostituzione.
  • Esportazione dati tramite funzione (per es. in XML)
  • Post-elaborazione manuale dei dati d'archivio.

Disclocazione SQL

La versione del Server di archiviazione con licenza propria può essere estesa con l´aggiunta dello strumento dell´esportazione in SQL. Presupposto di ciò è che sia stata registrata la licenza per lo zenon SQL Server.


Server di archiviazione - Starter Edition

Manuale -> Server di archiviazione -> Informazioni generali -> Server di archiviazione - Starter Edition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel pacchetto standard della versione di <CD_PRODUCTNAME >a base TAG sul PC, è contenuta la versione ridotta del Server di archiviazione: la Starter Edition.

Limitazioni

La Starter Edition si basa sulla versione standard del Server di archiviazione, ma, rispetto a quest´ultima, presenta le seguenti limitazioni:

  • Nessun RDA.
  • Non è possibile la creazione di archivi definita dall´utente mediante le funzioni Avvio archivio e Termina archivio
  • Non sono disponibili la registrazione spontanea (al cambio di valore) e l´archiviazione basata sugli eventi, ma solo il tipo di registrazione ciclica.
  • Nessuna evacuazione dei dati.
  • Nessun archivio in cascata
  • Nessuna archiviazione lotti.
  • Nessuna possibilità di post-elaborazione manuale dei dati d'archivio.
  • L´esportazione con Windows CE è possibile solo in formato ASCII (su PC anche in formato XML e DFB).
  • I dati di archivio possono essere salvati solamente nel formato ARX.

attention Attenzione
  • Se per l'Editor si dispone solo della licenza per la Starter Edition del Server di archiviazione, non potranno essere configurate tutte quelle funzionalità che superano i limiti di questa versione.
  • Se per il Runtime si dispone solo della licenza per la Starter Edition del Server di archiviazione, non potranno essere avviati tutti quegli archivi che superano i limiti di questa versione. In questo caso, verrà generato un inserimento nel Diagnosis Server.
    Anche dal report e dalla post-elaborazione archivi non potranno essere salvati dati.
    Esempio: per un archivio è stato configurato il meccanismo della registrazione spontanea. Se si dispone solamente della "Starter Edition" del Server di archiviazione, questo archivio non verrà avviato a Runtime. Quindi non verranno neppure registrati dati per l'archivio.

Nota: per le versioni I/O con licenza, la Starter Edition non è disponibile.


Tipi di archiviazione

Manuale -> Server di archiviazione -> Tipi di archiviazione

Il Server di archiviazione si basa sul principio dell´archiviazione a cascata. Le variabili desiderate vengono registrate in un archivio di base e trasferite in un archivio in cascata tramite funzioni di compressione. Questo procedimento può essere ripetuto quante volte si vuole. Gli archivi possono essere creati in modi diversi. Per ognuno di questi modi, sono a disposizione da uno a tre metodi di registrazione.

Creazione

Un archivio può essere creato in diversi modi:

  • Al momento dell'avvio e della chiusura del Runtime:
    L´archivio è sempre attivo finché il Runtime è in esecuzione.
  • Definito dall´utente:
    L´intervallo di tempo in cui i dati possono essere scritti nell´archivio viene determinato tramite le funzioni Avvio archivio e Termina archivio.
  • RDA (Real Time Data Acquisition)
    Legge i valori archiviati nel PLC e li salva in un archivio di zenon.

Tipi di registrazione

La registrazione dei dati negli archivi può avvenire nei seguenti modi:

  • Ciclica:
    I valori delle variabili assegnate vengono scritti nell'archivio ciclicamente, sulla base di un intervallo di tempo definito. Il valore per millisecondi viene settato nel time-stamp automaticamente su 0.
  • Gestita da eventi:
    All´archivio viene assegnata una variabile-trigger. Ogni volta che il valore della variabile trigger diventa 1, vengono scritti nell´archivio i valori di quelle variabili che sono state assegnate all´archivio nella selezione variabili.
  • Spontanea:
    I valori delle variabili assegnate vengono scritti nell'archivio ogni volta che cambiano.
    Nota: se si sceglie questo tipo di registrazione, si consiglia di configurare un´Isteresi (specialmente Negativa per l'archivio e Positiva per l'archivio), in modo tale da contenere la quantità di dati scritti negli archivi. I dettagli a questo proposito si trovano nel capitolo Isteresi, nella parte della guida dedicata alle Variabili.

Quale tipo di registrazione è disponibile per un determinato archivio dipende dal metodo con il quale è stato creato l´archivio stesso.

attention Attenzione

In un archivio di tipo spontaneo, le variabili vengono salvate anche ad ogni modifica di stato.

Esempio: se si ferma un driver, tutte le sue variabili ricevono lo stato OFF. Uno stop e uno start di un driver, quindi, causano la scrittura di due inserimenti d´archivio:

  1. OFF
  2. SPONT oppure GI (in caso di riconnessione riuscita).

Questi inserimenti verranno scritti nell´archivio anche se il valore della variabile non cambia.

Compressione

La funzione di compressione viene inizializzata alla fine del ciclo di salvataggio dei dati. Sono a disposizione le seguenti funzioni di compressione:

  • Somma
  • Media valori
  • Minimo
  • Massimo

Si possono utilizzare anche più archivi in cascata parallelamente nello stesso progetto.

attention Attenzione

Variabili stringa non possono essere compresse.

Conservazione degli archivi

Per conservare un completo ciclo di memorizzazione, i dati d'archivio possono essere salvati, oppure esportati usando una funzione.

Conservazione degli archivi

Descrizione

Banca dati

Ogni archivio contiene file in cui viene bufferizzato il numero definito di cicli archivio. Se si supera il numero configurato di file, quelli in eccedenza possono essere o semplicemente rifiutati, oppure esportati.

Esportazione file

Dopo la chiusura di un ciclo d'archivio, quest´ultimo viene immediatamente esportato su un file.

Funzione di esportazione

L´esportazione archivi salva gli archivi con filtri tempo nei seguenti formati standard:

  • ASCII
  • dBase
  • SQL
  • XML

A questo proposito, vale quanto segue:

  • I file possono essere salvati localmente sul computer, oppure su unità rese disponibili all´interno di una rete.
  • I nomi dei file vengono assegnati indipendentemente dal sistema.
  • Il nome file contiene anno, mese, giorno, ora, minuto e secondo in cui è stata eseguita l´esportazione:
    JJMMTThhmmss.XML

Ancora in questo capitolo

In corrispondenza dell'avvio e della fine del Runtime

Start e stop dell´archiviazione mediante funzioni

RDA - Real Time Data Acquisition


In corrispondenza dell'avvio e della fine del Runtime

Manuale -> Server di archiviazione -> Tipi di archiviazione -> In corrispondenza dell'avvio e della fine del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo tipo di archiviazione, l´archivio viene avviato al momento dello start del Runtime e viene chiuso quando viene terminato il Runtime. La registrazione dei dati può avvenire come segue:

  • Ciclicamente
  • In modo gestito da eventi
  • Spontaneamente


Start e stop dell´archiviazione mediante funzioni

Manuale -> Server di archiviazione -> Tipi di archiviazione -> Start e stop dell´archiviazione mediante funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon, l´archiviazione dei dati a Runtime può essere gestita anche manualmente usando le funzioni Avvio archivio e Termina archivio .

I valori possono essere scritti in un archivio finché quest´ultimo è attivo. Quando si opta per l´archiviazione gestita mediante funzioni, la registrazione dei dati può avvenire come segue:

  • Ciclicamente
  • In modo gestito da eventi
  • Spontaneamente


RDA - Real Time Data Acquisition

Manuale -> Server di archiviazione -> Tipi di archiviazione -> RDA - Real Time Data Acquisition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità RDA viene utilizzata per leggere i valori salvati nel PLC e per salvarli in un archivio di zenon. La registrazione può avvenire come segue:

  • Spontaneamente

Un tipico campo di applicazione per questa funzionalità è rappresentato dai PLC che non comunicano permanentemente con zenon, oppure devono archiviare molti valori in un breve intervallo di tempo.
Esempio: per un PLC a comunicazione spontanea, si vuole che i valori vengano archiviati in un intervallo < di 100 ms. In zenon, però, il tempo d´interrogazione minimo consentito sono 100 ms. In un caso come quello appena descritto, i valori vengono raccolti nel PLC e letti come blocco tramite la funzionalità RDA.

La funzionalità RDA può essere usata anche per l´analisi post mortem in caso di errori sul PLC, a condizione che quest´ultimo lo supporti.

Nota: gli archivi possono essere dislocati. Il dislocamento viene eseguito subito dopo la chiusura dell´archivio.

Configurazione

Per configurare RDA:

  1. Definire le variabili nel PLC.
    • Nel PLC deve essere creata per ogni variabile RDA un´area lineare propria, continua.
    • Il tipo di dato per la variabile non può essere inferiore a quello in cui è organizzato il PLC.
    • La prima variabile dell´area riservata alla RDA nel PLC serve da trigger per attivare il processo di trasferimento.
      Cioè: se questa variabile viene settata dal PLC su 1 (o >0), i valori successivi (come definito nell´Header) vengono caricati e archiviati in zenon. Una volta archiviati questi valori, il driver setta la variabile automaticamente sul valore 0.
  2. Definire la variabile in zenon.

    I valori vengono visualizzati nell´archivio nel formato del tipo di dato della variabile RDA.
    Esempio: se nell´archivio i valori devono essere visualizzati come numero in virgola mobile (REAL), la variabile RDA deve avere il tipo di dato REAL.

    Attenzione: la proprietà della variabile Tipo di registrazione del gruppo Salvataggio dati su disco fisso deve essere impostata su Valori risorteggiati (RDA).

  3. Creare l´archivio in zenon e selezionate le variabili RDA.
    Per questo archivio si deve scegliere il tipo di registrazione spontanea.

Nota: informazioni dettagliate sull´archiviazione RDA si trovano nel capitolo RDA, nella sezione Ulteriori informazioni.

info Info

Consultando la documentazione del driver si può verificare se questo supporta RDA o meno.

I driver con comunicazione simbolica in genere non supportano RDA. Per alcuni di questi driver, però, esiste una soluzione alternativa. Le informazioni a questo proposito si trovano nella documentazione del driver in questione e nel capitolo Note.


Concetto di archiviazione

Manuale -> Server di archiviazione -> Concetto di archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, per ogni progetto possono essere configurati al massimo 1296 archivi. Questo limite massimo risulta dalla modalità di attribuzione del nome breve dell´archivio: dato che il nome breve di un archivio consiste almeno di due caratteri alfanumerici (A-Z, 0-9), le possibili combinazioni sono 362; questo spiega perché il numero di archivi sia limitato ad un massimo di 1296 a progetto. Il numero di variabili per un singolo archivio non è limitato. Il numero di archivi chiusi e salvati è limitato solamente dallo spazio di memoria a disposizione.

Già prima di creare degli archivi, si deve stabilire quali dati debbano essere archiviati e con quale granularità.

Consigli:

  • Assicurarsi che gli archivi siano facili da gestire ed evitare di salvare enormi quantità di dati, perché:
    • Archivi non necessari occupano prezioso spazio di memoria e rappresentano un carico inutile per il calcolatore.
    • Archivi troppo grandi richiedono un grande impiego di risorse e di tempo a Runtime per essere visualizzati.
  • Cercare di individuare i nessi fra i diversi dati e organizzare gli archivi anche sulla base di queste considerazioni.

Questioni preliminari

Prima di passare alla configurazione dei singoli archivi, si dovrebbe avere un concetto generale di come strutturare l´archiviazione dei dati. È importante stabilire in anticipo:

  • Quali dati devono essere archiviati,
    • in quali intervalli,
    • tramite quale driver/quale protocollo,
    • a quale scopo.
  • Quali dati devono essere usati,
    • in quali moduli di zenon o applicazioni esterne.

Origine dei dati

L´origine dei dati è uno dei punti più importanti da considerare quando si crea un archivio. Le cose da tenere presenti sono soprattutto:

  • Di che tipo sono i dati?
  • Come vengono trasferiti i dati a zenon?

Ulteriori informazioni importanti per la configurazione:

  • Driver:
    Quali driver stabiliscono la connessione con il PLC?
    I dati possono essere scritti in un archivio solo con la frequenza consentita dalla capacità del driver di fornirli.
  • Granularità:
    Quanto dettagliata deve essere la registrazione dei dati?
    Per esempio: in generale, per un contatore d´acqua è sufficiente archiviare un valore al giorno. Per una pressa impiegata in una fabbrica di automobili, invece, può essere necessario registrare variazioni di valore nel giro di pochi millisecondi.
  • Periodo di conservazione dell´archivio:
    Per quanto tempo devono essere disponibili i dati in zenon?
    Quanto più dati si archiviano in un certo periodo di tempo, tanto maggiore è lo spazio di memoria necessario
  • Granularità per archiviazione a lungo termine:
    Quando si ha a che fare con grandi quantità di dati, è molto importante sapere in anticipo per quanto tempo questi dati dovranno essere disponibili in una certa risoluzione. Per esempio: anche dopo anni è necessario avere a disposizione i dati nella risoluzione nella quale sono stati registrati? Oppure a lungo termine è sufficiente disporre di valori medi o somme? In quest´ultimo caso, zenon consente di creare archivi in cascata.

Uso dei dati

Non solamente l´origine dei dati gioca un ruolo importate nell´archiviazione, ma anche il loro uso futuro in zenon .

I dati d'archivio vengono usati soprattutto in trend e report. Per limitare il carico della memoria e i tempi di caricamento, i dati devono essere preparati nel modo più efficiente possibile.

Nota: incapsulate i dati sempre in modo coerente al loro uso. Questo significa: scegliere in modo oculato il ciclo di salvataggio degli archivi. L´intervallo di tempo dei dati un una capsula dovrebbe corrispondere a quello dei dati usati in zenon.

Esempio: si desidera che in trend vengano analizzati i dati degli ultimi dieci minuti. Se si salva ogni giorno solamente una capsula per ogni archivio, dovrà essere letto l´intero archivio di un giorno per visualizzare i dati di 10 minuti. Questo significa che la maggior parte dei dati dovrà essere caricata inutilmente. Se, invece, si salvano le capsule in intervalli di 1 minuto, bisognerà aprire solamente 10 capsule per avere i dati desiderati.

Nel formulare il concetto per l´uso dei dati, si dovrà trovare un equilibrio fra contenuto dell´informazione pro capsula a il numero di file richiesto. Metodi di uso frequente:

  • Creare differenti archivi per diversi scopi.
    Per esempio: archivi destinati al salvataggio dati a lungo termine e archivi per l´uso in trend, che vengono salvati solo per breve tempo.
  • Raccogliere in un archivio quei dati che vengono usati insieme.
    Per esempio: raccogliere tutti i dati destinati ad essere usati in un trend in un archivio cui accedere per la visualizzazione nel trend in questione. In questo modo si evita che debbano essere caricate per diverse curve in un trend più capsule che contengono eventualmente anche dei dati che non hanno nessun rilievo per il trend stesso.

Risoluzione di stampa e risoluzione dello schermo

Specialmente per quello che riguarda l´uso di dati nel modulo "Trend esteso", la risoluzione dello schermo, o quella della stampa giocano un ruolo decisivo. Questo perché la risoluzione limita di fatto il numero di valori per curva che possono essere rappresentati in modo significativo. Se la curva trend viene visualizzata in un elemento della larghezza di 1.000 pixel, non potranno essere visualizzati più di 1.000 valori a curva.

Ancora in questo capitolo

Procedura consigliata


Procedura consigliata

Manuale -> Server di archiviazione -> Concetto di archiviazione -> Procedura consigliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel configurare gli archivi bisogna tenere presenti soprattutto i seguenti fattori: di quali dati si ha bisogno? A quale intervallo di tempo devono riferirsi? A cosa devono servire? È molto importante cercare di ottimizzare dimensione e numero degli archivi. Degli archivi troppo grandi, infatti, possono rappresentare un carico troppo grande per il computer e richiedere uno spazio di memoria troppo grande, oppure possono rallentare o intralciare il funzionamento del Runtime. Quali tipi di registrazione e tempi di ciclo vengono supportati, dipende dal PLC e dal driver.

In questo capitolo si trovano dei consigli che possono essere utili nella configurazione degli archivi.

Configurazione per il tipo di registrazione "Spontanea"

Il tipo di registrazione spontanea salva ogni cambio di valore. Questo significa che, con un massimo di 10 valori al secondo, si può arrivare ad una somma di 36000 valori da salvare all´ora. Se si desidera visualizzare intervalli di tempo più lunghi, il sistema deve leggere a Runtime archivi di grandi dimensioni. Vengono sempre letti tutti i valori di tutte le variabili, anche se viene visualizzata solamente una variabile. È possibile stabilire il numero massimo di valori da leggere nella memoria per il "Trend esteso", la "Post-elaborazione archivi", l´AML, la CEL e le tabelle. Di Default, la grandezza è limitata a 1 GB. Si può però modificare questo valore nel file zenon6.ini, mediante l´inserimento SPEICHER=.

Consigli:

  • Prima di tutto, verificare quali variabili causano il numero maggiore di inserimenti.
  • Poi configurare un´isteresi per quei valori che cambiano spesso (per es. per valori fluttuanti). In questo modo si ridurrà il numero degli inserimenti da scrivere nell´archivio.
  • Modificare il valore dell´inserimento SPEICHER= nel sistema.
  • Verificare l´aumento della dimensione dei file d'archivio su un sistema di test, prima di implementare la configurazione nel processo produttivo.

Configurazione della visualizzazione in un trend.

I dati visualizzabili in un trend sono limitati anche dalle caratteristiche concrete di schermo e stampa. Se, ad esempio, un diagramma di trend si estende per 1440 pixel, in teoria potrà essere visualizzato un massimo di 1440 valori. Se per un valore devono essere a disposizione 5 pixel, potrà essere visualizzato un valore ogni 5 minuti nell´arco di 24 ore.

Consigli:

  • Verificare di quali dati ed intervalli di tempo si ha bisogno per la visualizzaizone a Runtime.
  • Raccogliere le variabili che vengono visualizzate insieme in un solo archivio, anziché dividere gli archivi in base alle variabili.
  • Usare gli archivi in cascata.
  • Adattare i cicli di memorizzazione degli archivi e degli archivi in cascata in base agli intervalli di tempo che si intende visualizzare.

    Quanto meno dati ridondanti devono essere letti e trasferiti in rete, tanto più modesto è il consumo di risorse a Runtime.

  • Per grandi intervalli di tempo, usare la funzione di zoom per visualizzare i dati da archivi in cascata, anziché tutti i dati di un archivio di base.
  • Indicizzare i file Runtime (proprietà Indicizza file Runtime, del gruppo "Impostazioni Runtime" delle proprietà di progetto).
  • Indicizzare le variabili lotto (configurazione degli archivi).
  • Quando si hanno grandi quantità di dati, disattivare la funzione di aggiornamento automatico della visualizzazione nel trend.

Configurazione del reporting

Consigli:

  • Usare il tipo di registrazione spontanea solo quando assolutamente necessario.
    Tenere presente che la registrazione di ogni cambio di valore può causare l´accumularsi di grandi quantità di dati.
  • Usare gli archivi con registrazione ciclica.
  • Adattare gli intervalli di registrazione e i cicli di memorizzazione ai periodi da visualizzare.


Configurazione nell'Editor

Manuale -> Server di archiviazione -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi vengono creati e gestiti nel modulo "Archiviazione" dell´Editor.

Ancora in questo capitolo

Visualizzazione dettagli

Barra degli strumenti e menù contestuali

Creare un nuovo archivio

Modifica archivio

Archivio in cascata

Aggiungere e cancellare delle variabili

Archiviazione lotti

Creare un'immagine di tipo Post-elaborazione archivio


Visualizzazione dettagli

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Visualizzazione dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi vengono visualizzati nella visualizzazione dettagli in una tabella. Le colonne di questa tabella sono impostate in modo fisso e la loro successione non può essere modificata dall´utente. La larghezza delle colonne può essere modificata usando il mouse. Nelle colonne può essere eseguita una ricerca incrementale.

Colonne della tabella

Per ogni archivio, vengono visualizzate le seguenti colonne:

  • Archivi
  • Start, stop
  • Inizio
  • Registrazione
  • Dislocazione
  • Variabile Lotto
  • Quantità
  • Dimensione stimata

Ricerca nella tabella.

Per eseguire una ricerca nella tabella:

  1. Cliccare sull´intestazione della colonna desiderata.
  2. Un simbolo (binocolo) segnala che la ricerca avviene in quella colonna.
  3. Digitare il criterio di ricerca.
  4. Il primo inserimento trovato che corrisponde al criterio di ricerca verrà selezionato.


Barra degli strumenti e menù contestuali

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Barra degli strumenti e menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Albero di progetto

Menù contestuale "Archiviazione"

Voce di menù | Azione
Nuovo archivio | Apre l´assistente che consente di creare un nuovo archivio.
Esporta tutti in XML... | Esporta tutti gli archivi in un file XML.
Importa file XML... | Importa file XML.
Profilo editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Visualizzazione dettagli

Barra degli strumenti - "Archiviazione" e singoli archivi

Parametro | Descrizione
Nuovo archivio | Apre l´assistente che consente di creare un nuovo archivio.
Nuovo archivio in cascata... | Apre l´assistente per creare un archivio in cascata.
Modifica archivio | Apre la finestra di dialogo che consente di modificare l´archivio selezionato.
Aggiungi variabile... | Apre la finestra di dialogo che consente di selezionare delle variabili.
Cancella variabile | Cancella la variabile selezionata dalla lista senza una richiesta di conferma.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Elimina | Cancella l´archivio selezionato.
_Esporta selezione in XML | Esporta gli archivi selezionati in un file XML.
Importa file XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale - "Archiviazione"

Voce di menù | Azione
Nuovo archivio | Apre l´assistente che consente di creare un nuovo archivio.
Salva | Salva la configurazione degli archivi nuovi e di quelli modificati. Nota: questo inserimento si trova solamente nel nodo “Archiviazione” della visualizzazione dettagli. Non è disponibile nel nodo del Manager di progetto.
Esporta tutti in XML... | Esporta tutti gli archivi in un file XML.
Importa file XML... | Importa file XML.
Guida | Apre la guida online.

Menù contestuale - Archivio

Voce di menù | Azione
Modifica archivio | Apre la finestra di dialogo che consente di modificare l´archivio selezionato.
Aggiungi variabile... | Apre la finestra di dialogo che consente di selezionare delle variabili.
Nuovo archivio in cascata | Apre l´assistente per creare un archivio in cascata.
Crea template | Apre la finestra di dialogo che consente di creare un modello per gli archivi in cascata.
Importa template | Apre la finestra di dialogo che consente di importare un modello per gli archivi in cascata.
Elimina | Cancella l´archivio selezionato.
_Esporta selezione in XML | Esporta gli archivi selezionati in un file XML.
Importa file XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale - Archivio in cascata

Voce di menù | Azione
Modifica archivio | Apre la finestra di dialogo che consente di modificare l´archivio selezionato.
Aggiungi variabile... | Apre la finestra di dialogo che consente di selezionare delle variabili.
Nuovo archivio in cascata | Apre l´assistente per creare un archivio in cascata.
Elimina | Cancella l´archivio selezionato.
_Esporta selezione in XML | Esporta gli archivi selezionati in un file XML.
Importa file XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale - Lista variabili

Voce di menù | Azione
Aggiungi variabile... | Apre la finestra di dialogo che consente di selezionare delle variabili.
Guida | Apre la guida online.

Menù contestuale - Variabile

Voce di menù | Azione
Cancella variabile | Cancella la variabile dalla lista. Attenzione: la cancellazione viene eseguita senza una richiesta di conferma.
Guida | Apre la guida online.


Creare un nuovo archivio

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Creare un nuovo archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può creare un archivio sia manualmente, che con l´aiuto di un assistente. Per poter avviare l´assistente, deve essere stata attivata l´opzione Utilizza assistenti di configurazione del menù dell´Editor Extras/Impostazioni (Scheda "Impostazioni", gruppo "Impostazioni Editor").

Per creare un nuovo archivio con l´aiuto dell´assistente:

  1. Assicurarsi anzitutto che l´opzione Utilizza assistenti di configurazione sia attiva.
  2. Passare al nodo Archiviazione del Manager di progetto.
  3. Selezionare il comando Nuovo archivio nel menù contestuale oppure nella barra degli strumenti.
  4. L´assistente viene avviato. Seguire le istruzioni dell´assistente.

Per creare un nuovo archivio in modo individuale:

  1. Passare al nodo Archiviazione del Manager di progetto.
  2. Selezionare il comando Nuovo archivio nel menù contestuale oppure nella barra degli strumenti.
  3. Si apre la finestra di dialogo Nuovo archivio.
    Se l´assistente viene avviato, chiuderlo usando il pulsante Annulla.
  4. Configurare l´archivio nel modo descritto per la finestra di dialogo Modifica archivio.

Ancora in questo capitolo

Assistente


Assistente

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Creare un nuovo archivio -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistente aiuta ad eseguire le operazioni di configurazione di base di un archivio. L´assistente aiuta a creare archivi e archivi in cascata. Consente di inserire un nome e un nome breve per l´archivio, di selezionare variabili e modelli, e di impostare il tipo di registrazione dei valori delle variabili.

Parametro

Descrizione

Avanti

Passa alla pagina successiva dell'assistente.

Indietro

Passa alla pagina precedente dell'assistente.

Annulla

Vengono rifiutate tutte le impostazioni eseguite. Non viene creato nessun nuovo archivio.

Termina

Il pulsante è abilitato all´uso solamente quando sono terminati tutti i passi necessari di configurazione previsti dall´assistente.

Chiude l'assistente. Il nuovo archivio viene inserito nella visuale ad albero degli archivi (Visualizzazione dettagli del Manager di progetto).

Se si vuole configurare l'archivio senza far ricorso all'aiuto dell'assistente, cliccare sul pulsante Annulla.

Se l´assistente non dovesse essere visualizzato:

  1. Nell´Editor, aprire il menù a tendina Extras.
  2. Selezionare la voce Impostazioni.
  3. Nella scheda Impostazioni, attivare l`opzione Utilizza assistenti di configurazione con un segno di spunta nella casella corrispondente.

Configurazione con assistente

  1. Dopo l´avvio del Wizard, verrà visualizzata la pagina "Home"; cliccare sul pulsante "Avanti". La configurazione inizia con l´assegnazione di nome e di un nome breve.
  2. Assegnare un nome breve (2 caratteri sono obbligatori) e un nome.

    • Nome breve: 2 caratteri. Il nome breve può constare solamente di caratteri alfanumerici: tutte le lettere dalla A alla Z e le cifre da 0 a 9. Non sono consentiti né caratteri di determinate lingue/paesi, né caratteri speciali.
      Nota: il nome breve non può essere modificato in seguito.
    • Nome: inserimento di un nome valido per l´archivio.
      I seguenti caratteri non sono consentiti: / \ : * ? < > ! | " ' # % @
      Il nome, invece, può essere cambiato in un secondo momento.
  3. Cliccare su Avanti.
  4. Nella pagina successiva del Wizard, si configura la selezione variabili.

    1. Cliccare sul pulsante Seleziona variabili.
    2. Si apre la finestra di dialogo che consente la selezione delle variabili i cui valori dovranno essere archiviati.
    3. Selezionare le variabili desiderate.
  5. Cliccare su Avanti.

    Nella pagina successiva del Wizard, si seleziona il modello da usare per la struttura di compressione desiderata.

    Cliccare sul pulsante Selezione template per aprire la finestra di dialogo per la selezione di un modello.

    • Si possono importare modelli solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere nessun archivio in cascata.
    • La finestra di dialogo verrà aperta solamente se esiste almeno un modello.

    Attenzione: il sistema non verifica se il modello contiene una struttura di compressione valida.

    Ulteriore procedura dell´assistente;

    • È stato selezionato un modello: a questo punto l´assistente può essere chiuso. Cliccare sul pulsante Termina.
    • Nessun modello è stato selezionato: cliccare su Avanti per configurare individualmente il tipo di registrazione.
  6. Configurare il tipo di registrazione se nel passaggio precedente non è stato selezionato nessun modello.

    Selezione del tipo di registrazione fra quelli offerti dal menù a tendina.

  7. Cliccare su Avanti.

    Configurare nuovi archivi in cascata, se lo si desidera.

    1. Cliccare su Nuovo per creare un nuovo archivio in cascata, o su "Modifica" per cambiare il nome di un archivio già esistente.
    2. Assegnare all´archivio in cascata le modalità di compressione desiderate. Queste ultime vengono applicate sempre a tutti gli archivi in cascata visualizzati in questa finestra di dialogo.
    3. Per cancellare un archivio in cascata, cliccare su Elimina.
  8. Chiudere l´assistente cliccando sul pulsante Termina.

Tipi di registrazione possibili

Parametro

Descrizione

Registrazione ciclica

Configurare il Ciclo di registrazione.

Registrazione spontanea

Configurare:

  • Eventuale salvataggio dell´immagine di processo.
  • Se necessario, il valore di inizializzazione.

Registrazione ad evento

Configurare:

  • Una variabile d´evento, cliccando sul pulsante ...
  • Il time stamp.
  • Se necessario, il valore di inizializzazione.

Per i dettagli si veda il capitolo Tipo di registrazione.

info Info

Se si tratta di un archivio nuovo, viene visualizzata la finestra di dialogo del tipo di registrazione. Non però nel caso di un archivio in cascata, visto che questo tipo di archivi esegue sempre una registrazione a cambio di valore.


Modifica archivio

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare gli archivi:

  1. Selezionate l´archivio desiderato.
  2. Selezionare nel menù contestuale oppure nella barra degli strumenti Modifica archivio, oppure premere il tasto INVIO.
  3. Si apre la finestra di dialogo per configurare un archivio

Nota: è la stessa finestra di dialogo che si apre quando viene creato un nuovo archivio e l´assistente è disattivato.

Ancora in questo capitolo

Proprietà

Runtime

Tipo di registrazione

Salva

Opzioni

Esempio


Proprietà

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si definisce il nome dell´archivio e si selezionano le variabili, i lotti e i modelli di impianto per l´archivio stesso.

Nota: Indicazioni sulla configurazione delle proprietà degli archivi in cascata si trovano nel capitolo Archivi in cascata.

Nome

Parametro

Descrizione

Nome

Nome e identificazione dell´archivio.

Identificazione

Identificazione univoca dell´archivio, consistente di due caratteri. Quest´identificazione viene aggiunta al nome del file ARX quando vengono salvati i dati d'archivio e viene usata per l´assegnazione automatica del nome al momento dell´esportazione. In questo modo si assicura la corretta attribuzione univoca dei dati all´archivio.

Attenzione: l´identificazione può essere assegnata all´archivio solo al momento della sua creazione. Non può essere più modificata in un secondo momento.
Nota: per l´identificazione di un archivio è consentito usare solamente caratteri alfanumerici (A-Z e 0-9). In questo modo si evitano eventuali problemi che potrebbero insorgere quando si esportano e dislocano gli archivi.

Nome archivio

Nome per l´archivio definibile liberamente da parte dell´utente.

Nota: I seguenti caratteri non sono consentiti: / \ : * ? < > ! | " ' # % @

Selezione variabili

Visualizzazione e configurazione delle variabili di cui si deve tener conto in questo archivio.

  • Aggiungere variabili:
    Selezionare nel menù contestuale Aggiungi variabile. È possibile aggiungere all´archivio le variabili di tutti i progetti che si trovano nello stesso workspace. Assicurarsi che le variabili di altri progetti siano effettivamente disponibili a Runtime.
  • Cancellare variabili:
    Selezionare la variabile e scegliere nel menù contestuale il comando Elimina variabile.

Nota: La ridondanza senza perdita di dati è supportata solamente per quelle variabili prese dallo stesso progetto in cui viene creato l´archivio che si sta configurando.

Lotti

Parametro

Descrizione

Lotti

Configurazione di lotti Si veda anche il capitolo Archiviazione lotti.

Variabile Lotto

Selezione di variabili lotto. Queste ultime devono essere di tipo stringa. Il valore della variabile viene usato come nome lotto. Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare una variabile.

Nota: il valore della variabile viene usato come nome lotto. Mentre l´archivio è aperto, il valore della variabile può cambiare, e, di conseguenza, anche il nome lotto. Si prega di tenere presente questo fatto quando si esegue un´operazione di filtro. Il valore della variabile al momento della chiusura dell´archivio viene usato come nome lotto definitivo.

Indicizza Lotto

Attiva: i valori dei lotti di questo archivio vengono indicizzati automaticamente. Questo consente un accesso rapido ai valori lotti.

A Runtime, i lotti possono essere indicizzati anche tramite la funzione Indicizza file d'archivio.

Progettazione impianto

Parametro | Descrizione
Progettazione impianto | Configurazione di modelli di impianto.
Gruppi d'impianto | Selezione di un gruppo di impianti per l´archivio. Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un gruppo di impianti.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Gli archivi possono contenere delle variabili di sotto-progetti. Le variabili prese da sotto-progetti sono riconoscibili dal loro nome. Quest´ultimo, infatti, contiene il nome del progetto da cui provengono.

Anche per l´opzione ”Variabile lotto” (Archiviazione lotti) e per i contenuti collegati nel settore “Variabile evento”, possono essere utilizzate variabili prese da sotto-progetti.


Runtime

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si definisce quando e come devono essere avviati e chiusi gli archivi, e quali altre funzioni devono essere eseguite al momento dell´avvio e del termine dell´archivio.

Start e stop

Parametro

Descrizione

Start e stop

Selezione della modalità in cui l´archivio viene avviato e chiuso a Runtime.

In corrispondenza dell'avvio e della fine del Runtime

L´archivio viene avviato e terminato automaticamente con il Runtime.

Nell´eseguire questa operazione, il sistema tiene conto anche del tempo impostato per la proprietà Inizio archiviazione. Se l´orario impostato si trova nel futuro,non ci sarà archiviazione di dati finché questo orario non sarà raggiunto.

Attenzione: se si attiva questa impostazione, l´archivio non dovrà essere chiuso o avviato tramite funzioni. Questo potrebbe infatti causare problemi a Runtime.

Definito da utente (per es. attraverso funzioni)

L´archivio viene avviato e chiuso sulla base delle impostazioni definite dall´utente. Per esempio, usando le funzioni Avvio archivio e Termina archivio

Queste funzioni possono essere attivate:

  • Manualmente dall´utente.
  • Tramite eventi.
  • Tramite temporizzatori.

Attenzione: queste funzioni non corrispondono a quelle delle impostazioni per la proprietà Esegui funzioni per.

RDA Archivio a blocchi

L´archivio viene gestito via RDA.

In questo caso, i valori archiviati nel PLC vengono letti e salvati in un archivio. Questo processo viene inizializzato tramite una variabile trigger.

Esegui funzioni per

Parametro

Descrizione

Esegui funzioni per

Selezione delle funzioni che devono essere eseguite al momento dello start e della chiusura dell´archivio.

Attenzione: queste funzioni vengono eseguite al momento dello start e della chiusura dell´archivio. Tuttavia, non causano lo start e la chiusura dell´archivio stesso. Le funzioni per l´avvio e la chiusura di un archivio devono essere configurate separatamente e collegate ad un pulsante o ad un evento.

Avvio archivio

Selezionare una funzione che deve essere eseguita al momento dell´apertura dell´archivio.

Arresto archivio

Parametro | Descrizione
Arresto archivio | Selezionare una funzione che deve essere eseguita al momento della chiusura dell´archivio.

Stato archivio

Parametro

Descrizione

Variabile di stato

Variabile per la visualizzazione dello stato dell´archivio:

  • true o 1:
    l´archivio è in esecuzione.
  • false o 0:
    l´archivio non è in esecuzione.

Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile. La variabile collegata deve avere il tipo di dato BOOL.

Per quello che riguarda il valore della variabile di stato, vale quanto segue:

  • Per gli archivi che vengono avviati con il Runtime, il valore iniziale è true (ánche all´inizio).
  • Gli archivi avviati tramite una funzione hanno il valore iniziale false; il loro stato passa a true dopo che sono stati avviati con successo.
  • Quando si verifica un cambio di server in un sistema ridondante, lo stato viene conservato sul Standby Server: questo significa che gli archivi in esecuzione avranno lo stato true , mentre quelli interrotti avranno lo stato false.
  • In caso di archiviazione ciclica, la variabile riceve per breve tempo il valore false al momento del cambio di ciclo.

Suggerimento: si consiglia di utilizzare come variabile di stato una variabile del driver interno.

Inizio archiviazione

Parametro

Descrizione

Inizio archiviazione

Definizione di data e ora di avvio dell´archiviazione.

Data/Ora

Definizione dell'orario di partenza per il ciclo di registrazione e memorizzazione.

L'orario impostato stabilisce il momento del primo salvataggio dei file che devono essere archiviati. Questi valore viene usato come base del calcolo dei cicli di memorizzazione impostati.

Esempio: Poniamo il caso che si voglia progettare un archivio che deve essere salvato ogni settimana. Questo ciclo di salvataggio inizierà con l´orario impostato alla voce "Inizio archiviazione". Se si imposta un martedì, l´archivio settimanale funzionerà da martedì a martedì.

Consigli:

  • Lasciare l´orario di partenza al 1/1 alle 00:00. In questo modo si avrà la garanzia che gli archivi mensili e quelli annuali inizino sempre con il primo giorno del mese e dell´anno.
  • Per l´inizio del ciclo di interrogazione e di salvataggio; si consiglia di impostare un´ora piena e una data del passato: in questo modo l´archiviazione dei dati inizierà subito al momento del prossimo avvio del Runtime.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Tipo di registrazione

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Tipo di registrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si definisce la modalità di registrazione dei dati negli archivi.

Ciclica

Parametro

Descrizione

Ciclica

Impostazioni per la registrazione ciclica.

Il ciclo può essere configurato liberamente. Non si deve dimenticare, però, che è in stretta connessione con il ciclo di salvataggio.

Suggerimento: il ciclo di salvataggio dovrebbe essere pari ad un multiplo di quello di interrogazione. Altrimenti si possono verificare delle sovrapposizioni fra interrogazione e salvataggio degli archivi. Questo causerebbe inesattezze negli archivi in cascata.

Nota: nel time stamp, il valore in millisecondi viene settato automaticamente su 0 .

Registrazione ciclica

Attiva: i dati d'archivio verranno registrati ciclicamente. Bisogna poi configurare il ciclo.

Ciclo

Definizione del ciclo (giorni, ore, minuti e secondi) sulla base del quale i valori devono essere scritti nell´archivio.

Mensile

I valori verranno letti ad ogni cambio del mese.

Offset

Definizione dell´intervallo di tempo in cui l´archivio deve attendere dopo aver richiesto i valori al driver. La definizione di un offset è necessaria soprattuto per driver lenti. Questa impostazione è importante quando un archivio viene chiuso direttamente dopo la lettura dell´ultimo valore.
Non ha nessun influsso sul time stamp dei valori.

Nota: l'offset deve essere sempre inferiore al tempo di ciclo.

Gestito da eventi

Parametro

Descrizione

Gestito da eventi

Impostazioni per l´archiviazione gestita dagli eventi.

Registrazione ad evento

Attiva: I dati d'archivio verranno registrati in modo gestito dagli eventi.

Variabile trigger

Selezione della variabile che deve inizializzare la lettura dei valori. La lettura viene inizializzata dal ritardo fronte di questa variabile trigger da 0 a 1. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

Time stamp acquisito da

Definizione del modo in cui viene settato il time stamp. Quest´ultimo può essere acquisito dalla:

  • Variabile trigger
  • Variabile archiviata

Spontanea

Parametro

Descrizione

Spontanea

Impostazioni per il tipo di registrazione spontanea.

Suggerimento: si sconsiglia di utilizzare questo metodo in presenza di forti oscillazioni dei valori, visto che questo potrebbe causare una quantità di inserimenti molto grande.

Registrazione spontanea

Attiva: le variabili verranno scritte nell'archivio solo in caso di modifica spontanea del valore.

Raccomandazione: impostare per l´area di misurazione un´Isteresi per evitare valori fluttuanti. Questi ultimi, infatti, possono causare velocemente l´accumularsi di una grande quantità di dati. I dettagli a questo proposito si trovano nel capitolo Isteresi nella parte della guida dedicata alle Variabili.

Salva valori all'avvio

Attiva: alla creazione di un nuovo file di archivio, vengono inseriti i valori attuali delle variabili.

Nota: questa opzione deve essere attivata se una curva Gantt deve visualizzare nel Trend esteso anche lo stato attuale.

Salva valori alla fine

Attiva: alla chiusura di un file di archivio, vengono inseriti i valori attuali delle variabili.

Ad evento/spontanea

Parametro

Descrizione

Ad evento/spontanea

Ignora valore di inizializzazione per registrazione ad evento/spontanea

Quando una variabile viene letta per la prima volta, può essere inserito nell´archivio un valore di inizializzazione. Questo succede, per esempio, all´avvio del Runtime, oppure quando uno Standby Server passa a a svolgere il ruolo di server primario in un sistema ridondante.

  • Attiva: nell´archivio non si terrà conto del valore di inizializzazione.
  • Non attiva: si terrà conto del valore di inizializzazione. Anche all´avvio del Runtime, o quando uno Standby Server passa a svolgere il ruolo di server primario in un sistema ridondante, viene richiesto un valore iniziale dal driver. Questo valore verrà scritto nell´archivio.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Salva

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Salva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si definisce la modalità di salvataggio degli archivi.

attention Attenzione

Quando cambia la modalità di salvataggio o il ciclo, il corrente archivio-alpha viene cancellato. Per archivio-alpha si intende quel file d'archivio che viene scritto correntemente da zenon.

Opzioni della scheda "Salva".

Formato di salvataggio

Selezione della modalità in cui devono essere salvati gli archivi.

Parametro | Descrizione
Database interno (*.arx) | Attiva: i dati sono a disposizione per la post-elaborazione e l´analisi in un buffer circolare (FIFO). I dati sono salvati nella seguente cartella: [Progetto Percorso]\[Nome computer]\[Nome progetto].. Poi vengono trasferiti nella cartella di esportazione man mano che vengono estratti dal buffer (FIFO).
dBase IV (*.dbf) | Attiva: quando si termina l´archivio, i dati vengono dislocati subito in un file dBase (*.dbf). Attenzione: per gli archivi dislocati non è più possibile né post-elaborazione archivio, né creazione protocollo, né grafica lineare.
CSV (*.txt) | Attiva: quando si termina l´archivio, i dati vengono dislocati subito in un file CSV (*.txt). Attenzione: per gli archivi dislocati non è più possibile né post-elaborazione archivio, né creazione protocollo, né grafica lineare.
Salva con formato Unicode | Attiva: il file TXT viene salvato come Unicode.
XML (*.xml) | Attiva: quando si termina l´archivio, i dati vengono dislocati subito in un file *.XML. Attenzione: per gli archivi dislocati non è più possibile né post-elaborazione archivio, né creazione protocollo, né grafica lineare.

Nota: nella Starter Edition del "Server di archiviazione" è disponile solo una modalità di salvataggio, quella nel database interno (ARX).

Ciclo di salvataggio

Definisce l´intervallo in cui vengono creati archivi. A Runtime, c´è un´influenza reciproca fra ciclo di salvataggio e ciclo di registrazione. Per i dettagli relativi a questo tema si veda il capitolo Cicli a Runtime.

Parametro

Descrizione

Ciclo

Attiva: si definisce la lunghezza degli archivi in giorni, ore, minuti e secondi.

Questa opzione influenza la dimensione e il numero dei file d'archivio e determina il ciclo per gli archivi in cascata.

Configurare i valori per:

  • Giorni
  • Ore
  • Minuti
  • Secondi

Nota: questi valori hanno effetto anche sugli archivi definiti dagli utenti. In questi ultimi, vengono usati per calcolare il numero degli archivi da archiviare.

Raccomandazione: valori più grandi di 30 secondi.

Cambio mese

Attiva: l´archivio viene salvato ad ogni cambio mese (archivio mensile).

Annualmente

Attiva: l´archivio viene salvato ad ogni cambio d´anno (archivio annuale).

Nota: questa opzione definisce già il ciclo per gli archivi in cascata.

attention Attenzione

Avvio e termine degli archivi definito dall'utente:

Se è vero che i valori impostati per l´opzione Ciclo non hanno effetti sullo start e lo stop degli archivi, essendo questi ultimi gestiti tramite funzioni, tuttavia essi influenzano il numero di file d´archivio che devono essere conservati. L'effettiva diversa dimensione dei file di archivio non viene presa in considerazione in questa sede

Il numero dei file d´archivio da conservare viene calcolato nel modo seguente:
Periodo di mantenimento/ciclo.
Poi il sistema inizia l´operazione di dislocamento. In questo modo si garantisce che, anche in caso di archivi definiti dall´utente, una dislocazione dei file d´archivio venga eseguita dopo che è stato raggiunto un certo numero di file. Il numero dei file da mantenere è limitato ad un massimo di 65535. La configurazione di ciclo di salvataggio e periodo di mantenimento tiene conto automaticamente di questo valore massimo.

Esempio:

  • Periodo di mantenimento: 5 ore (= 300 minuti)
  • Ciclo: 15 minuti

Risultato: 300/15 = 20 file d´archivio da conservare.

Dislocazione archivio

Configurazione della dislocazione degli archivi. Gli archivi vengono cancellati localmente dopo essere stati dislocati.

Parametro

Descrizione

Periodo mantenimento archivi

Definisce il periodo di tempo in cui un archivio viene conservato prima di essere dislocato.

Granularità:

  • Ore
  • Giorni
  • Mesi
  • Anni

Possono essere conservati al massimo 65535 file d'archivio.

Attenzione: il periodo di mantenimento è strettamente legato al ciclo di salvataggio. Quando si cambia quest´ultimo, i valori del periodo di mantenimento verrano modificati e portati al massimo possibile.

Esempi:

  • Ciclo: 1 secondo
    Massimo periodo di mantenimento 18 ore.
  • Ciclo 1 minuto
    Massimo periodo di mantenimento 1092 ore, o 45 giorni, oppure 1 mese.

Attenzione: se si imposta il valore 0, non verra salvato nessun archivio. Esisterà solo l'archivio correntemente attivo.

Dislocazione dopo periodo di mantenimento

Definizione del metodo di dislocazione.

Nota: La modalità di dislocazione scelta ha effetto anche sulla visualizzazione del Trend esteso.

Ulteriori informazioni su questo tema si trovano nella guida dedicata al Trend esteso, nel capitolo Differenze di visualizzazione dei metodi di dislocazione.

Non dislocare (Gli archivi saranno cancellati)

Attiva: gli archivi verranno cancellati definitivamente dopo lo scadere del periodo di mantenimento impostato.

Formato interno (*.arx)

Attiva: gli archivi verranno dislocati nel formato Database interno *.arx.

Quando è stato raggiunto il numero dei file d'archivio da conservare, gli archivi più vecchi verranno salvati in formato ARX. Questo file potrà poi essere reimportato in zenon e qui sarà possibile sia leggerlo e che scriverci nuovi dati.

Database SQL
  • Attiva: gli archivi verranno dislocati in un database-SQL, per es.: Microsoft SQL Server, Oracle, CRATE.IO e altri sistemi di database che dispongono di un´interfaccia ODBC.
    Selezione di un database: cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare e configurare un database.

Gli archivi dislocati in un database SQL vengono (contrariamente ai file dBase, ASCII o XML) automaticamente riletti se necessario (ad esempio Trend esteso).
Attenzione: gli archivi dislocati in un database SQL possono essere solo letti in zenon, ma non è possibile scriverci dati.

Nota: Le banche dati possono essere dislocate anche in un MS Azure service bus.

Informazioni dettagliate relative alla dislocazione in database-SQL si trovano nel capitolo Dislocazione di archivi in un database SQL, nella parte della guida dal titolo Ulteriori informazioni.

Crea tabelle

Cliccando su questo pulsante, si apre la finestra di dialogo che consente di creare o aggiornare le tabelle del database-SQL.

Utilizza servizio MS Azure bus per la scrittura

Attiva: la scrittura nella tabella SQL non avverrà direttamente via connessione OLEDB e SQL INSERT statement, ma tramite il bus di servizio MS Azure.

Il nome di connessione con il bus di servizio MS Azure deve essere digitato nel campo di inserimento sotto l´opzione.

Informazioni dettagliate a questo proposito si trovano nel capitolo MS Azure-service bus, nella parte della guida dal titolo Ulteriori informazioni.

Formato XML (*.xml)

Attiva: gli archivi verranno dislocati in formato XML.

CSV (*.txt)

Attiva: gli archivi verranno dislocati in formato CSV in un file di testo.

Esporta in Unicode

Attiva: attivare questa checkbox per salvare il file TXT dislocato come Unicode.

dBase IV (*.dbf)

Attiva: gli archivi verranno dislocati in formato DBF.

Colonne esportate per dislocazione in CSV/dBase:

Se si seleziona una delle due opzioni di dislocazione dBase e CSV, potranno essere dislocati anche certi parametri delle variabili archiviate.

Inserire i parametri desiderati nel campo di testo nell´ordine seguente:

  • V: Nome variabile
  • I: Identificazione variabile
  • W: Valore
  • S: Stato
  • D: Data
  • Z: Ora

Default: DZVWS

Il percorso del luogo di salvataggio dei file dislocati viene configurato mediante la proprietà di progetto Generale/Percorsi. Un´eccezione è rappresentata dal Dislocamento SQL. In questo caso, il percorso viene impostato nell´opzione Archivi dislocati della finestra di dialogo "Proprietà di progetto" (vedi anche capitolo Cartelle relative al progetto). Inoltre, tramite l´opzione Cartella rilettura archivi si può definire anche il percorso per la rilettura degli archivi. Questi percorsi possono rimandare anche allo stesso luogo di salvataggio. I file d´archivio esportati, dunque, possono essere riletti anche senza dover essere copiati manualmente. Impostare percorsi differenti ha senso soprattutto quando, per esempio, la rilettura avviene da un DVD e i dati esportati vengono masterizzati su nuovi DVD solo in corrispondenza di tempi definiti.

Nota: gli archivi possono essere dislocati. Il dislocamento viene eseguito subito dopo la chiusura dell´archivio.

Variabile per stato dislocazione

Parametro

Descrizione

Variabile per stato dislocazione

Variabile per la visualizzazione dello stato della dislocazione dell´archivio:

  • true o 1:
    Nella dislocazione dell´archivio si è verificato un problema.
  • false o 0:
    La dislocazione funziona senza problemi.

Cliccando sul comando ... si apre la finestra di dialogo che consente di selezionare una variabile. La variabile collegata deve avere il tipo di dato BOOL.

Se la dislocazione di un archivio non riesce, per es. perché il server SQL non è raggiungibile, oppure il supporto dati non è pronto per la scrittura, il valore di questa variabile diventa per breve tempo true. Questa modifica può essere analizzata mediante una matrice di reazione.

Suggerimento: si consiglia di utilizzare come variabile di stato una variabile del driver interno.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Parametri di esportazione

Il separatore di colonna per l´esportazione ASCII e le cifre decimali per TXT, DBF, XML e SQL possono essere modificati nel file project.ini:

Sezione [ARCHIV]

Inserimenti:

  • TRENNZEICHEN=
  • ARCHDIGITS=

Nome file

I nomi dei file degli archivi da esportare sono assegnati nel modo seguente:

Parametro | Descrizione
XXAAMMGGhhmmss.xxx | Nome file
XX | Nome breve dell´archivio.
AA | Anno (per es. 14 per 2014)
MM | Mese (per es. 03 per marzo)
GG | Giorno
hh | Ore in UTC.
mm | Minuti
ss | Secondi
xxx | Formato file


Opzioni

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Opzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda della finestra di dialogo si definiscono i criteri da usare per la creazione di archivi in cascata. È possibile settare a questo scopo filtri esclusivi e inclusivi su differenti bit di stato.

Calcolo per archivi a cascata

Parametro

Descrizione

Calcolo per archivi a cascata

Considera valori negli archivi in cascata solo in corrispondenza dei seguenti stati attivi.

Attiva: i bit di stato attivati verranno presi in considerazione per il calcolo dei valori di archivi in cascata.

Gli altri stati verranno

  • Visualizzati nell´Editor degli archivi
  • Visualizzati nel report e potranno anche essere settati in quella sede.

Per quello che riguarda la definizione degli stati, consultare il capitolo Elaborazione stati

Ogni bit può avere uno di cinque possibili stati:

  • Vuoto: non viene analizzato.
  • 0 verde: valore considerato nel calcolo se pari a 0.
  • 1 verde: valore considerato nel calcolo se pari a 1.
  • 0 rosso: valore non considerato nel calcolo se pari a 0.
  • 1 rosso: valore non considerato nel calcolo se pari a 1.

Nota: se si attiva la checkbox, deve essere attivato perlomeno un bit di stato.

Impostazioni time stamp per archivi in cascata

Parametro | Descrizione
Impostazioni time stamp per archivi in cascata |
Data e ora del valore minimo/massimo | Attiva: si usa come time stamp quello del valore massimo/valore minimo trovato.
Data e ora del calcolo | Attiva: si usa come time stamp quello del calcolo.

Archivio di riserva

Parametro

Descrizione

Archivio di riserva

Crea archivi di riserva

Comportamento se il Runtime non è attivo:

  • Attiva: i file di archivio mancanti sono creati in corrispondenza del prossimo avvio del Runtime.
    Nota: perché questo sia possibile, deve essere stata selezionata la registrazione ciclica.
  • Non attiva: viene popolato solamente il ciclo corrente.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Creare un filtro di stato

Cliccando sulla checkbox accanto ad ogni stato visualizzato, si può decidere per ogni valore dell´archivio se dovrà essere considerato per l´archivio in cascata.

Example Esempio

Si vuole che nell´archivio in cascata vengano presi in considerazione solo quei valori per i quali è settato il bit NORM e non è settato quello INVALID.

Per farlo, settare per NORM un 1 verde e per INVALID un 1 rosso. Le checkbox di tutti gli altri bit rimarranno grigie.

È possibile escludere o includere esplicitamente bit settati o non settati.

info Info

Non tutti i bit di stato settati durante la registrazione vengono anche visualizzati. I bit non visualizzati sono:

  • T_EXTERN (bit di stato 21)
  • T_INTERN (bit di stato 22)
  • INFO (bit di stato 26)
  • RES28 (bit di stato 28)
  • RES31 (bit di stato 31)
  • WR_ACK (bit di stato 40)
  • WR_SUC (bit di stato 41)
  • COT0 (bit di stato 32) fino a COT5 (bit di stato37)
  • T_STD (bit di stato 30)

I bit di stato non visualizzati:

  • Non vengono scritti al momento del salvataggio come file TXT o XML.
  • Non vengono stampati.
  • Non vengono visualizzati nel Manager di gruppi ricette.

Una panoramica di tutti i bit di stato si trova nel capitolo Bit di stato.


Esempio

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Modifica archivio -> Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tempo di avvio e chiusura di un file d'archivio e i tempi di inserimento dei valori delle variabili nel file d´archivio vengono calcolati sulla base delle impostazioni delle opzioni delle seguenti schede della finestra di dialogo di configurazione dell´archivio:

  • Runtime: Inizio archiviazione
  • Tipo di registrazione: Registrazione ciclica
  • Salva: Ciclo di salvataggio

Il calcolo del tempo d´inserimento dei valori delle variabili nel file d'archivio viene eseguito nuovamente per ogni singolo file d'archivio.

attention Attenzione

Tenere presente la differenza fra:

  • Ciclo di interrogazione e il ciclo di salvataggio (CICS) e
  • Tempo di ciclo (TC).

Si tratta di cose diverse, da non confondere per nessuna ragione.

Esempio

  • Identificazione: XX
  • Inizio archiviazione: 01.01.2013, 00:00:00
  • Registrazione ciclica: 13 secondi (00:00:13)
  • Ciclo di salvataggio 1 minuto (00:01:00)

Risultato:

Data | Ora | File d'archivio
07.12.2013 | 03:08:13 | xx80131207020900.arx
07.12.2013 | 03:08:26 | xx80131207020900.arx
07.12.2013 | 03:08:39 | xx80131207020900.arx
07.12.2013 | 03:08:52 | xx80131207020900.arx
07.12.2013 | 03:09:13 | xx80131207021000.arx
07.12.2013 | 03:09:26 | xx80131207021000.arx
07.12.2013 | 03:09:39 | xx80131207021000.arx
07.12.2013 | 03:09:52 | xx80131207021000.arx
  • Ogni file d'archivio contiene i dati di un minuto.
  • L´archiviazione inizia per ogni file d'archivio alle hh:mm:13.

Determinazione del tempo del primo valore (TPV)

La determinazione del tempo del primo valore (TPV) viene eseguita mediante un arrotondamento del ciclo di interrogazione e del ciclo di salvataggio sul tempo di ciclo. A questo proposito, tenere presente quanto segue:

  • L´arrotondamento del ciclo di interrogazione e di quello di salvataggio sul primo tempo di ciclo avviene sulla base del seguente modello:
    • Ore con ore.
    • Minuti con minuti.
    • Secondi con secondi.

    Cioè: se il valore da arrotondare (H:M:S) del ciclo di interrogazione e salvataggio è più piccolo di quello corrispondente del tempo di ciclo, questo sarà sempre 0!

  • Se il tempo di ciclo è pari a un giorno, il ciclo di interrogazione e salvataggio comincerà sempre alle ore 0:0:0. La registrazione comincerà alle 00:00.
  • Nel caso di tempi di ciclo della durata di un mese, l´archiviazione comincerà sempre il primo del mese alle ore 0:0:0.

Alcuni esempi:

  • CICS: ciclo di interrogazione e salvataggio.
  • CICSa: ciclo di interrogazione e salvataggio arrotondato.
  • TC: tempo di ciclo.
  • TPV: Tempo del primo valore
CICS | TC -> | TPV | CICSa + TC = | TPV
XX:XX:XX | 1G 00:00:00 | 00:00:00; | 00:00:00 + 00:00:00 | 00:00.00
00:01:00 | 0G 23:59:00 | 23:59:00; | 00:00:00 + 23:59:00 | 23:59:00
00:30:00 | 0G 00:30:00 | 01:00:00; | 00:30:00 + 00:30:00 | 01:00:00
00:30:00 | 0G 00:29:00 | 00:58:00; | 00:29:00 + 00:29:00 | 00:58:00
00:30:00 | 0G 00:05:00 | 00:35:00; | 00:30:00 + 00:05:00 | 00:35:00
00:29:00 | 0G 00:05:00 | 00:30:00; | 00:25:00 + 00:05:00 | 00:30:00
00:00:00 | 2G 00:00:00 | 00:30:00; | 00:00:00 + 2G 00:00:00 | 3. 00:00:00


Archivio in cascata

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi in cascata si riferiscono sempre ad un archivio di base i cui dati essi visualizzano in forma compressa. In zenon, gli archivi in cascata si comportano come ogni altro archivio. Gli archivi in cascata:

  • Possono essere modificati a Runtime mediante l´immagine di tipo Post-elaborazione archivio.
  • Possono essere implementarli in report e trend.
  • Possono essere dislocati.

Per eseguire la compressione di dati, sono a disposizione i seguenti metodi di calcolo:

  • Somma
  • Media valori
  • Minimo
  • Massimo

L´uso di archivi in cascata è consigliabile soprattutto quando si ha a che fare con grandi quantità di dati. Per confrontare periodi di tempo quali intere settimane, mesi o anni, spesso basta avere valori medi o somme. I dati non elaborati possono essere preparati in modo chiaro e la loro quantità può essere ridotta in modo sensibile.

Creare un archivio in cascata

Per creare un archivio in cascata:

  1. Selezionare nella visualizzazione dettagli del nodo "Archiviazione" l´archivio che deve essere compresso.
  2. Nella barra degli strumenti, oppure nel menù contestuale, selezionare il comando Nuovo archivio in cascata.
  3. Si aprirà l´assistente, a condizione che sia stato attivato nelle Impostazioni.
    (Perché l´assistente possa essere avviato, nell´Editor, e più precisamente nel menù Extras/Impostazioni, deve essere attivata l´opzione Utilizza assistenti di configurazione.)
  4. Assegnare un nome.

  5. Selezionare le variabili e il metodo di compressione.

    Cliccare sul pulsante Seleziona variabili e si aprirà la finestra di dialogo che consente di selezionare una variabile e il metodo di compressione.

    Negli archivi a cascata, la registrazione è sempre spontanea. Il ciclo di interrogazione degli archivi in cascata viene settato via ciclo di salvataggio del corrispondente archivio di base I valori selezionati per un archivio in cascata vengono calcolati sempre quando il corrispondente archivio di base è chiuso e salvato. zenon interpreta la chiusura dell`archivio di base come cambio valore e inizializza i calcoli per l´archivio in cascata.

Ancora in questo capitolo

Selezione variabili e metodi di compressione

Verdichtungsarchiv bearbeiten

Modelli per archivi in cascata


Selezione variabili e metodi di compressione

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Selezione variabili e metodi di compressione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo "Selezione variabili" si selezionano le variabili da comprimere e il metodo di compressione da utilizzare.

Archivi disponibili

Parametro | Descrizione
Archivi disponibili | Selezionare nella lista delle variabili quelle di cui si deve tener conto nell´archivio in cascata. Selezione multipla possibile usando i tasti Ctrl oppure Shift.
Somma | Attiva: i valori delle variabili selezionate vengono sommati in dipendenza dal ciclo di salvataggio.
Media valori | Attiva: il sistema determina la media dei valori delle variabili selezionate.
Minimo | Attiva: il sistema determina il valore minimo di ogni variabile selezionata.
Massimo | Attiva: il sistema determina il valore massimo di ogni variabile selezionata.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Adeguare il time stamp per valore medio

Il time stamp in un archivio in cascata corrisponde al momento in cui il file ARX viene chiuso.
La conseguenza di questo è:

  • In un archivio vengono salvati i valori di un giorno X. Il tempo di start sono le 00:00, l´orario in cui l´archivio viene salvato sono le 24:00.
  • L´archivio in cascata per questo giorno X ha un valore medio e riceve il time stamp 00:00:00 il giorno X + 1. (Minimo e massimo possono avere lo stesso time stamp, oppure quello originale; nel nostro caso prendiamo in considerazione quello originale).
  • Se si filtra nell´archivio in cascata dal giorno X ore 00:00:00, fino al giorno X + 1 ore 00:00:00, si ottengono i valori minimo e massimo con il time stamp originario per il giorno X.
  • Si ottiene il valore medio per il giorno X-1 (time stamp "giorno X, 00:00:00"). Ci si aspetterebbe il valore per il giorno X, che si trova nel file con il time stamp "giorno X + 1, 00:00:00".
  • Minimo e massimo, dunque, hanno un time stamp che si trova all´interno del periodo selezionato, mentre il valore medio ha un time stamp che si trova al di fuori di questo periodo.

Soluzione

Per ottenere un valore concordante, settare il time stamp per il valore medio un secondo indietro. Procedura: nel file project.ini, inserire nella sezione [ARCHIV] il valore 1 per ZEIT_AUTOMATISCH=.

In questo modo, il tempo per l´archivio in cascata verrà settato automaticamente un secondo prima di quello previsto per il salvataggio. "Giorno X+1, 00:00:00" diventa così "giorno X, 23:59:00".


Verdichtungsarchiv bearbeiten

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Verdichtungsarchiv bearbeiten

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Die Bearbeitung von Verdichtungsarchiven unterscheidet sich vor allem in den Eigenschaften von der Bearbeitung von Basisarchiven. Für Verdichtungsarchive werden den Berechnungsmethoden Variablen zugeordnet.

Bezeichnung

Parameter

Beschreibung

Bezeichnung

Name und Kennung des Archivs.

Kennung

Zweistellige eindeutige Kennung des Archives. Wird für die automatische Namensvergabe bei Exportfunktionen benutzt.

Achtung: Die Kennung kann nur beim Erstellen eines neuen Basisarchivs vergeben werden. Sie kann nachträglich nicht mehr geändert werden.

Archivname

Frei vergebbarer Name des Archivs.

Hinweis: I seguenti caratteri non sono consentiti: / \ : * ? < > ! | " ' # % @

Variablenauswahl

Parameter

Beschreibung

Variablenauswahl

Wählen Sie die Berechnungsmethode im Archiv und fügen Sie Variablen hinzu oder entfernen Sie Variablen, die im Verdichtungsarchiv berücksichtigt werden sollen. Mehrfachauswahl mit Strg oder Umschalt.

  • Summe: Werte der zugehörigen Variablen werden in Abhängigkeit vom Speicherzyklus addiert.
  • Mittelwert: Mittelwert der Werte der zugehörigen Variablen wird gebildet.
  • Minimum: Das Minimum pro zugehöriger Variable wird ermittelt.
  • Maximum: Das Maximum pro zugehöriger Variable wird ermittelt.

Variablen hinzufügen oder löschen:

  • Variablen hinzuzufügen:
    Wählen Sie im Kontextmenü Variable hinzufügen. Sie können Variablen aus dem Basisarchiv hinzufügen.
  • Variablen löschen:
    Markieren Sie die Variable und wählen Sie im Kontextmenü Variable löschen.

Chargen

Parameter

Beschreibung

Chargen

Konfiguration von Chargen. Siehe auch Kapitel Chargenauswahl.

Chargenvariable

Auswahl von Chargenvariablen. Diese müssen vom Typ String sein. Der Wert der Variablen wird als Chargenname verwendet. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl der Variablen.

Hinweis: Der Wert der Variable wird als Chargenname verwendet. Während das Archiv geöffnet ist, kann sich der Wert der Variablen und somit auch der Chargenname ändern. Beachten Sie dies bei der Filterung. Als endgültiger Chargenname wird der Wert der Variablen beim Beenden des Archivs verwendet.

Chargen indizieren

Aktiv: Die Chargenwerte dieses Archivs werden automatisch indiziert. Das ermöglicht den schnelleren Zugriff auf die Chargenwerte.

Anlagenmodelierung

Parameter | Beschreibung
Anlagenmodelierung | Konfiguration von Anlagenmodellen.
Anlagengruppen | Auswahl einer Anlagengruppe für das Archiv. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Anlagengruppe.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Hinweis: Weiter Registerkarten werden analog Archiv bearbeiten konfiguriert.

Einschränkungen

  • Verdichtungsarchive werden von zenon automatisch auf die Aufzeichnungsart Bei Wertänderung gesetzt. Die Aufzeichnungsart kann nicht geändert werden.
  • Der Speicherzyklus ergibt sich aus der Länge des zugehörigen Basisarchivs. Die Werte der Variablen werden immer dann ins Verdichtungsarchiv eingetragen, wenn das Basisarchiv beendet wird.
  • Alle Einträge des Basisarchivs werden standardmäßig zur Berechnung herangezogen (d.h. auch INVALID-Einträge und Handwerte).
    Ausnahme: Im Basisarchiv wurde unter Optionen die Eigenschaft Werte in Verdichtungsarchivberechnung nur übernehmen, wenn folgender Statusfilter zutrifft aktiviert und konfiguriert.


Modelli per archivi in cascata

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Modelli per archivi in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie ai modelli per gli archivi in cascata è possibile importare archivi in cascata già esistenti in archivi di base. In questo modo è possibile riutilizzare in modo semplice delle strutture già configurate.

Esistono dei modelli predefiniti, forniti con zenon. Oltre a questi, però, l´utente può salvare configurazioni individuali ed utilizzarle come modelli per archivi in cascata.

Si possono importare modelli solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere nessun archivio in cascata.

Percorsi dei modelli

I modelli vengono salvati in due percorsi:

  • Modelli predefiniti:
    Nella sottocartella della cartella di installazione: \Templates\Archivi\<Lingua>\<Nome file>.xml
  • Modelli definiti dall´utente:
    %programdata%\COPA-DATA\zenon7.60plates\Templates\Archivi\<Lingua>\<Nome file >.xml

    Nota: a seconda del tipo di registrazione selezionato per gli archivi, anche questo percorso si può trovare nella cartella di programma. zenon ne tiene conto automaticamente.

Formato file

I modelli vengono salvati in formato XML. Il modello contiene meta-dati con:

  • Descrizione del modello
  • Nome del modello
  • Per ogni archivio della gerarchia, le impostazioni fondamentali dell´archivio.

Ancora in questo capitolo

Importare modelli

Modelli predefiniti

Creare e modificare modelli


Importare modelli

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Modelli per archivi in cascata -> Importare modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare modelli per archivi in cascata:

  1. Selezionare l´archivio di base desiderato.
  2. Selezionare nel menù contestuale il comando Importa template
  3. Si apre la finestra di dialogo per selezionare uno modello.
  4. Selezionare il modello desiderato.
  5. Cliccare sul pulsante Applica.
  6. L´archivio in cascata viene importato.

info Info

Si possono importare modelli solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere nessun archivio in cascata.

Parametro | Descrizione
Finestra Modelli | Visualizzazione dei modelli esistenti.
Finestra Modello selezionato | Visualizzazione dell´archivio in cascata selezionato.
Applica | Importa l´archivio in cascata nell´archivio di base e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modelli predefiniti

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Modelli per archivi in cascata -> Modelli predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon vengono forniti i seguenti modelli predefiniti:

  • Contatori: archivio in cascata contatore, che a partire da un giorno comprime i dati di una settimana, un mese e un anno, fino ad un massimo di 2 anni e conserva i dati stessi fino a 10 anni.
  • Standard: archivio in cascata standard, che comprime 30 minuti per un’ora, e i giorni e mesi fino a un anno e conserva i dati fino a 16 anni.
  • Settore dell´energia: archivio in cascata per il settore Energy, che comprime 15 minuti per un’ora, e i giorni fino a un mese e conserva i dati fino a 1 anno.

I modelli forniti con il software sono protetti da scrittura e non possono essere modificati. Nella finestra di dialogo, questi modelli sono contrassegnati da simboli di color blu. I modelli definiti dall´utente e modificabili, sono contraddistinti da simboli rossi.

Archivio in cascata "Contatore"

Livello archivio | Attuale livello di compressione | Livello di compressione / Archivio in cascata | In memoria
1: CO-P_COU_30MIN | 30 minuti | 1 ora | 14 giorni
2: C2-P_COU_1HOUR | 1 ora | 1 giorno | 6 mesi
3: C3-P_COU_1DAY | 1 giorno | Al cambio di mese | 3 anni
4: C4-P_COU_1MONTH | 1 mese | Al cambio di anno | 10 anni

Archivio in cascata "Standard"

Livello archivio | Attuale archivio in cascata | Compressione Archivio in cascata | In memoria
1: DO-P_STD_1DAY | 1 giorno | 7 giorni | 1 anno
2: D2-P_STD_1WEEK | 1 settimana | Al cambio di mese | 3 anni
3: D3-P_STD_1MONTH | 1 mese | Al cambio di anno | 10 anni
4: D4-P_STD_1YEAR | 1 anno | 2 anni | 16 anni

Archivio in cascata "Energia"

Livello archivio | Attuale archivio in cascata | Compressione Archivio in cascata | In memoria
1: EO-P_ENE_15MIN | 15 minuti | 1 ora | 14 giorni
2: E1-P_ENE_1HOUR | 1 ora | 1 giorno | 6 mesi
3: E2-P_ENE_1DAY | 1 giorno | 30 giorni | 1 anno


Creare e modificare modelli

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archivio in cascata -> Modelli per archivi in cascata -> Creare e modificare modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente ha la possibilità di creare modelli individuali. I modelli possono essere creati solamente per archivi di base (primo livello), e solo per archivi ad interrogazione ciclica. Per tutti gli altri archivi, la corrispondente voce del menù contestuale sarà disabilitata; nel caso degli archivi in cascata essa non esiste proprio.

Per creare un modello individuale:

  1. Selezionare nella visualizzazione dettagli del nodo "Archiviazione" l´archivio di base dell´archivio in cascata desiderato.
  2. Selezionare nel menù contestuale il comando Crea template.
  3. Si aprirà la finestra di dialogo che consente di configurare i modelli.
  4. Selezionare la cartella desiderata, oppure crearne una nuova.
  5. Assegnare un nome univoco al modello.
  6. Applicare la configurazione del nuovo modello cliccando sul pulsante OK.

Quando si crea un modello, il sistema applica la completa gerarchia dell´archivio in cascata selezionato.

Nota: i modelli forniti con il software e la loro struttura di cartelle non possono essere né modificati, né cancellati.

Finestra di dialogo "Crea e modifica template"

Parametro | Descrizione
Lista template | Contiene una struttura di cartelle con tutti modelli già definiti. I modelli possono essere selezionati e se ne può modificare il Nome e la Descrizione. Gli elementi predefiniti non possono essere modificati.
Nome | Nome del modello. Suggerimento: selezionare un nome significativo che consenta di trovare velocemente il modello giusto quando lo si vuole importare.
Descrizione | Descrizione dettagliata del modello.
Nuova cartella | Crea una nuova cartella che verrà visualizzata al di sotto di quella selezionata. Con la tastiera: tasto Ins.
Rinomina | Apre l´elemento selezionato in modalità di modifica. Con la tastiera: tasto F2. Gli elementi predefiniti non possono essere rinominati.
Elimina | Cancella l´elemento selezionato. Se si vuole solamente cancellare modelli, e non crearne dei nuovi, dopo la cancellazione, la finestra di dialogo deve essere chiusa cliccando su Annulla. Con la tastiera: tasto Canc. Nota: gli elementi predefiniti non possono essere cancellati.

Chiudere la finestra di dialogo.

OK | Applica le impostazioni e chiude la finestra di dialogo. Il modello salva le impostazioni di tutti gli archivi in cascata dell´archivio selezionato.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Creare, modificare e cancellare elementi.

Creare una cartella

Per creare una nuova cartella:

  1. Selezionate una cartella esistente.
  2. Cliccare sul pulsante Nuova cartella
    oppure

    Premere il tasto Ins
    oppure

    Selezionare nel menù contestuale della cartella sovraordinata Nuova cartella

Modificare un elemento

Per modificare un elemento:

  1. Selezionare l´elemento desiderato.
  2. Modificare il nome e/o la descrizione
    oppure

    Selezionare nel menù contestuale dell´elemento il comando corrispondente.

Cancellare un elemento

Per cancellare un elemento:

  1. Selezionare l´elemento desiderato.
  2. Cliccare sul pulsante Elimina
    oppure

    Premete il tasto Canc
    oppure

    Selezionare nel menù contestuale dell´elemento Elimina.

  3. Chiudere la finestra di dialogo cliccando su Annulla.

Modificare la struttura

Per modificare la struttura:

  1. Selezionare l´elemento desiderato (cartella o modello).
  2. Trascinarlo con il mouse sulla cartella cui deve essere subordinato.

Modificare cartella e modello senza applicare le impostazioni archivio

È possibile modificare cartelle e modelli anche senza applicare al momento le impostazioni dell´archivio quando si chiude la finestra di dialogo.

Per farlo, modificare gli elementi nella finestra sinistra della finestra di dialogo, quella che contiene la lista dei modelli.


Aggiungere e cancellare delle variabili

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Aggiungere e cancellare delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili e le loro modalità di compressione dati sono visualizzate nella visualizzazione dettagli degli archivi.

Qui si possono aggiungere e cancellare variabili.

  • Aggiungere:
    Per aggiungere delle variabili, selezionare anzitutto nel menù contestuale, oppure nella barra degli strumenti il comando Aggiungi variabile..., oppure aggiungere la variabile via Drag&Drop.
  • Cancellare:
    Selezionare le variabili desiderate e premere il tasto Canc, oppure selezionare nel menù contestuale o nella barra degli strumenti il comando Cancella variabile.
    Attenzione: le variabili vengono cancellate dalla lista senza una richiesta di conferma.

Aggiungere variabili all´archivio di base.

Per aggiungere una variabile ad un archivio di base:

  1. Selezionare nel menù contestuale, oppure nella barra dei simboli dell´archivio di base o della lista delle variabili, il comando Aggiungi variabile
  2. Si aprirà la finestra di dialogo di selezione.

    Aggiungere le variabili desiderate.

  3. Chiudere la finestra di dialogo.
  4. Se l´archivio di base ha degli archivi in cascata, verrà visualizzata un´altra finestra di dialogo che consente di aggiungere le nuove variabili a questi archivi.

    Definire se e con quali tipi di compressione le variabili devono essere aggiunte a tutti gli archivi in cascata esistenti.

    • Applica a tutti gli archivi compressi: le variabili aggiunte verranno tenute in considerazione in tutti gli archivi in cascata esistenti. Se si attiva questa opzione, bisogna anche selezionare i tipi di compressione desiderati (somma, media valori, minimo, massimo).

Aggiungere variabili ad un archivio in cascata.

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionare il comando "Aggiungi variabile" nel menù contestuale o nella barra degli strumenti di un archivio in cascata progettato.
  2. Si apre la finestra di dialogo di selezione variabili; questa finestra di dialogo avrà un aspetto un po´ diverso a seconda del tipo di archivio:
    1. Se non esiste nessun archivio in cascata subordinato:

    Aggiungere le variabili desiderate.

    1. Se esiste un archivio in cascata subordinato:

      Selezionare le variabili desiderate e i tipi di compressione.

      Se si vuole che queste variabili vengano applicate in tutti gli archivi in cascata subordinati, si deve attivare l´opzione Applica a tutti gli archivi compressi.

  3. Chiudere la finestra di dialogo.

Inserire variabili in un archivio in cascata via Drag&Drop

Esiste anche la possibilità di inserire direttamente in un archivio in cascata ulteriori variabili via Drag&Drop. Ci sono due possibilità di farlo:

  • Variabile singola:
    Selezionare una singola variabile fra quelle della lista dell´archivio di base e trascinarla tenendo premuto il tasto sinistro del mouse sul tipo di compressione desiderato di un archivio in cascata subordinato.
  • Tutte le variabili:
    Trascinare l´intero archivio di base su uno dei tipi di compressione. Così facendo, verranno applicate tutte le variabili contenute in questo archivio di base.


Archiviazione lotti

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Archiviazione lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’archiviazione lotti consente una semplice assegnazione di denominazioni lotti a un archivio. Ricorrendo alle denominazioni lotti, è possibile eseguire qualsiasi operazione di filtro quando si vogliono modificare i dati d'archivio, per es. nel Trend esteso o nel Generatore Report.

Si usa un archivio lotti soprattutto quando non si devono registrare processi di carattere ciclico. Ad esempio, in un impianto di imbottigliamento di bibite, nel quale vengono prodotti diversi articoli in differenti quantità. In questo contesto, usando i nomi lotto liberamente definiti dall´utente è possibile stabilire in modo semplice una relazione fra archivio e lotto. Il nome lotto può essere usato anche per eseguire operazioni di filtro a Runtime.

Dato che gli archivi lotti non sono basati su intervalli di tempo definiti, oppure su di un numero di inserimenti di valore, ha senso indicizzarli. Così sarà poi possibile accedere più velocemente ai dati.

Differenze principali fra un archivio lotti e un archivio:

  • Start e stop dell´archivio (normalmente: non ciclico).
  • Nome lotto definito.

info Info

Il valore della variabile lotto viene scritto all´inizio del lotto sia nel file di indice, che nell´Header del file ARX. Ogni volta che la variabile cambia, questi inserimenti vengono adeguati. Quando si chiude il lotto, il valore corrente della variabile lotto viene scritto definitivamente nel file di indice e nell´Header.

Solo quando un lotto è concluso, il nome lotto è scritto in modo definitivo.

Indice

Per consentire un accesso più veloce ai valori nel filtro lotti, è possibile creare un indice per ogni archivio. L’indice viene salvato nel file [Identificazione breve].ARI. Ogni qualvolta si salva un archivio lotti, viene anche creato un inserimento nel file di indice. Questo inserimento contiene il nome archivio, la denominazione del lotto, il tempo di start e quello di stop. Quando l´archivio viene dislocato, anche l´indice viene attualizzato.

Gli archivi possono essere cancellati o spostati usando operazioni su file. In questo caso, il file di indice deve essere indicizzato nuovamente. Per farlo, eseguire la funzione Indicizza file d'archivio.

Indicizzazione automatica.

Quando si progetta l´archivio di base oppure l´archivio in cascata, attivare nella scheda "Proprietà" della finestra di dialogo di configurazione dell´archivio l´opzione Indicizza lotto (segno di spunta nella casella corrispondente). L’indice verrà creato solamente di file di archivio nella cartella Runtime. Se il sistema rilegge dalla cartella di rilettura archivi, viene letto un file di archivio alla volta.

Un nuovo indice lotti viene creato con la funzione Indicizza file d'archivio. Usare questa funzione se i dati sono stati salvati manualmente nella cartella Runtime, oppure sono stati letti manualmente da questa cartella. Il file indice non viene dislocato, e non viene letto neanche quando i dati sono ottenuti dalla cartella di rilettura archivi. Una nuova indicizzazione accede solamente ai file d'archivio della cartella Runtime. Se i dati d'archivio vengono riletti dalla cartella di rilettura archivi, non vengono spostati di nuovo nella cartella Runtime. I dati vengono caricati nella RAM. Una nuova indicizzazione, dunque, accede ai dati nella cartella Runtime, ma non a quelli della cartella di backup.

Funzione Indicizza file d'archivio

La durata del processo di creazione del file indice varia a seconda della quantità dei file d'archivio; a volte può essere un´operazione lunga. Per evitare il blocco del Runtime, questa operazione viene eseguita in background. Se i valori lotti vengono richiesti quando l´operazione di indicizzazione non è ancora terminata, la query dovrà attendere finché questo processo non sarà stata portato a termine. Se si attiva l’opzione Esecuzione sincrona (finestra di configurazione della funzione), il sistema attenderà il termine del processo di indicizzazione prima di eseguire la funzione.


Creare un'immagine di tipo Post-elaborazione archivio

Manuale -> Server di archiviazione -> Configurazione nell'Editor -> Creare un'immagine di tipo Post-elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine di tipo Post-elaborazione archivio

L´immagine di tipo Post-elaborazione archivio consente di visualizzare, configurare e modificare archivi a Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare nella proprietà Tipo di immagine l´opzione Post-elaborazione archivio.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Immagine di tipo Post-elaborazione archivio

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Elementi di controllo per finestre.

Elemento di controllo | Descrizione
Finestra dati d'archivio | Visualizzazione dei dati d'archivio a Runtime.
Filtro impostato (Lista) | Visualizzazione del filtro impostato.
Filtro impostato (Visualizzazione) | Visualizzazione del filtro impostato. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Stato archivio | Visualizzazione dello stato dell´archivio. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome breve | Visualizzazione del nome breve dell´archivio visualizzato. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Quantità valori | Visualizzazione del numero dei valori visualizzati. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
QuantitàINVALID | Visualizzazione del numero delle variabili con lo stato INVALID. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Funzioni lista

Pulsanti per la gestione delle funzioni lista a Runtime.

Elemento di controllo | Descrizione
Apri archivio | Apre la finestra di dialogo che consente di selezionare un archivio.
Chiudi archivio | Chiude l´archivio aperto al momento.
Salva archivio | Salva le modifiche nell´archivio modificato e attualizza archivi in cascata su richiesta.
Modifica record | Apre la finestra di dialogo che consente di modificare l´inserimento di archivio selezionato.
Incolla | Apre la finestra di dialogo che consente di aggiungere inserimenti archivio nei file d'archivio. Se per questo intervallo di tempo non esistono file di archivio, non potrà essere aggiunto nessun inserimento. Se si cerca di aggiungere un inserimento, verrà visualizzato un messaggio d´errore corrispondente.
Elimina | Elimina gli inserimenti d´archivio selezionati dopo una richiesta di conferma.
Seleziona | Cliccando su questo pulsante si apre la finestra di dialogo che consente di configurare il filtro.
Configurazione colonne | Apre la finestra di dialogo che consente di configurare la larghezza delle colonne e il carattere.
Stampa | Stampa la lista sulla stampante definita.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Filtro impostato (Visualizzazione) | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Stato archivio | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Nome breve | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Quantità valori | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
QuantitàINVALID | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Profili filtro

Pulsanti per impostazioni filtro a Runtime.

Elemento di controllo | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Import | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.


Funzioni

Manuale -> Server di archiviazione -> Funzioni

In zenon sono disponibili diverse funzioni di gestione dell´archiviazione:

  • Cambio immagine – Post elaborazione archivio: configurazione del cambio immagine incluso filtro.
  • Avvio archivio: avvio manuale di un archivio.
  • Termina archivio: chiusura manuale di un archivio.
  • Mostra archivi attivi: visualizzazione degli archivi attivi a Runtime.
  • Indicizza file d'archivio: indicizzazione per start/rinnova archivio.
  • Esporta archivio: esporta archivio.

Ancora in questo capitolo

Cambio immagine – Post elaborazione archivio

Avvio archivio

Termina archivio

Indicizzare file d'archivio

Mostra archivi attivi

Esporta archivio


Cambio immagine – Post elaborazione archivio

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter aprire e parametrizzare un´immagine di tipo Post-elaborazione archivio a Runtime:

  1. Creare un´immagine di tipo Post-elaborazione archivio
  2. Creare una funzione di cambio immagine per poter aprire quest´immagine a Runtime.
  3. Nel dialogo di configurazione della funzione di cambio lingua, definire le proprietà di filtro desiderate.

La parametrizzazione del contenuto visualizzato a Runtime viene eseguita tramite le condizioni di filtro del cambio immagine. Si può accedere alla stessa immagine con diverse funzioni e far sì che vengano visualizzate liste filtrate secondo diversi criteri.

È possibile modificare le proprietà di filtro a Runtime. Eccezione: nell´Editor sono stati definiti filtri tempo fissi.

Configurare il cambio immagine

Per creare una funzione di cambio immagine per aprire un´immagine di tipo Post-elaborazione archivio:

  1. Nel menù contestuale del nodo Funzioni del Manager di progetto, selezionare il comando Nuova funzione.
  2. Cliccare su Cambio immagine.
  3. Si aprirà la finestra di dialogo che consente di selezionare un´immagine.
  4. Selezionare l´immagine di tipo Post-elaborazione archivio creata in precedenza.
  5. Viene visualizzata la finestra di dialogo che consente di selezionare un archivio.
  6. Selezionare l´archivio che deve essere visualizzato a Runtime con il cambio immagine.
  7. Con l´opzione Formato, definire in che modo i dati devono essere ordinati per la visualizzazione.
  8. Configurare il filtro desiderato per variabili, bit di stato, ora e lotti.
    Per farlo, cliccare sul pulsante Filtro.
  9. Chiudere la finestra di dialogo "Filtro" e quella "Gestione archivio" cliccando in entrambi i casi su OK.

Finestra di dialogo "Selezione archivio"

Parametro

Descrizione

Nome filtro

Nome del filtro configurato.

Questo nome viene aggiunto ai parametri della funzione di cambio immagine e serve a differenziare diverse funzioni di cambio immagine con differenti configurazioni di filtro.

Archiviazione

Lista degli archivi disponibili.

Attenzione: deve essere selezionato un archivio. Quest´ultimo verrà visualizzato a Runtime. Se si vuole che venga visualizzato un archivio lotti, quest´ultimo deve corrispondere all´archivio configurato per la selezione a Runtime.

Formato

Formato di visualizzazione e ordinamento degli inserimenti d'archivio visualizzati:

  • Ora: filtro per data e ora.
  • Variabile: filtro per nome variabile.
  • Non filtrato: nessun ordinamento.

Lettura archivi dal percorso di backup

Attiva: vengono usati anche archivi della cartella di rilettura archivi.

Non attiva: vengono usati solamente archivi attuali.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

Attenzione: prima di poter accedere ad archivi dislocati tramite l´opzione Lettura archivi dal percorso di backup, questi archivi devono essere copiati nella cartella di rilettura archivi. Al momento della loro dislocazione, gli archivi vengono salvati nella cartella Archivi esportati. Questa cartella non corrisponde a quella di rilettura archivi. Si può definire queste cartelle nella scheda Cartelle della finestra di dialogo Impostazioni standard: Questa finestra di dialogo si trova alla voce File -> Configurazione generale -> Standard.

Suggerimento: si può configurare la stessa cartella sia per la voce Archivi esportati, che per la voce Cartella rilettura archivi; in questo modo si potrà evitare di dover copiare manualmente tutti i file da una cartella all´altra. Configurare differenti percorsi ha senso soprattutto nel caso in cui, per esempio, la rilettura avviene da un DVD e i dati esportati devono essere masterizzati su nuovi DVD solo in corrispondenza di tempi definiti.

Chiudere la finestra di dialogo.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Filtro

Apre la finestra di dialogo che consente di configurare i criteri di filtro.

  • Filtro archivio: variabili (disponibile solamente se è stato selezionato un archivio) e bit di stato.
  • Tempo: filtro tempo.
  • Lotto: filtro lotto.

Guida

Apre la guida online.

Ancora in questo capitolo

Filtro archivio

Ora

Lotto


Filtro archivio

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Filtro archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Lista stati

Selezione dei bit di stato sulla base dei quali deve essere eseguita l´operazione di filtro. Si seleziona o deseleziona un bit di stato cliccandoci sopra.

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Lista variabili

Variabili dell´archivio selezionato che devono essere visualizzate. Si selezione o deseleziona una variabile cliccando nella check box che si trova davanti alla nome della variabile.

Disponibile solamente se l´opzione Tutti inserimenti è stata disattivata.

Valore (in unità di base)

Attiva: il sistema filtra i valori d´archivio che si trovano fra un valore minimo e un valore massimo, oppure contengono come stringa una certa successione di caratteri.

Inserimento di:

  • Minimo: limite inferiore del valore.
  • Massimo: limite superiore del valore.
  • Maschera String: successione di caratteri sulla base della quale deve essere eseguita l´operazione di filtro.

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Cancellare selezione

Disponibile solamente se la finestra di dialogo viene aperta a Runtime usando il pulsante Seleziona.

A Runtime, quando la finestra di dialogo è aperta cliccando sul pulsante Seleziona, verranno selezionati quegli inserimenti della lista che corrispondono alle variabili e ai bit di stato scelti.

  • Attiva: cancella tutti gli inserimenti selezionati all´interno della lista quando viene chiusa la finestra di dialogo.

Proponi dialogo a Runtime

Attiva: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: se nella scheda Lotto del dialogo di configurazione del filtro, si seleziona anche l´opzione Visualizza dialogo di selezione lotto, quest´ultimo verrà aperto a Runtime. Questo dialogo non verrà più visualizzato in caso di un reload.

Note sul filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso attivo:
    si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo:
    si usa l´intervallo di tempo corrente.

Tutti inserimenti

Attiva: le impostazioni valgono per tutti gli stati e tutte le variabili. Se questa opzione è attivata, gli inserimenti della Lista stati, della Lista delle variabili e quelli della proprietà Valore non potranno essere selezionati individualmente.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Ora

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

I filtri tempo possono sia essere predefiniti nell´Editor, che modificati in un secondo momento a Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

In linea di principio, il filtro su base temporale può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Un intervallo di tempo viene configurato nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo configurabile a Runtime
    Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere nel Runtime.

Configurare il filtro tempo

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

Se il filtro lotto è attivo, a Runtime accade quanto segue:

  • Anzitutto il sistema acquisisce dal server di archiviazione una lista di tutti i lotti configurati che corrispondono all´intervallo di tempo progettato.
  • Questa lista viene poi utilizzata per filtrare la lista degli archivi.

    Attenzione: l´archivio lotti selezionato a Runtime deve corrispondere a quello scelto nella configurazione della funzione di cambio immagine.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Avvio archivio

Manuale -> Server di archiviazione -> Funzioni -> Avvio archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione avvia a Runtime un archivio che è stato già progettato.

attention Attenzione

Attenzione: se si definisce il tempo di start e di stop di un archivio usando l´opzione In corrispondenza dell´avvio e della fine del Runtime, non sarà più possibile avviare o chiudere l´archivio tramite funzioni. Queste funzioni, cioè, non avranno alcun effetto a Runtime.

Per configurare la funzione:

  1. Selezionare nella barra degli strumenti o nel menù contestuale del nodo Funzioni l´opzione Nuova funzione.
  2. Viene visualizzato il dialogo che consente di selezionare un tipo di funzione.
  3. Passare al nodo Archiviazione.
  4. Selezionare la funzione Avvio archivio.
  5. A questo punto, si apre la finestra di dialogo che consente di selezionare un archivio.
  6. Selezionare l´archivio desiderato.
  7. Chiudere il dialogo cliccando su OK.
    Nella lista delle funzioni, il nome dell´archivio selezionato verrà visualizzato nella colonna “Parametri”.
  8. Collegare la funzione ad un pulsante.

Quando viene eseguita a Runtime, la funzione avvia l´archivio selezionato in fase di configurazione.

Finestra di dialogo “Selezione archivio"

Parametro | Descrizione
Archivi disponibili | Lista di tutti gli archivi di base e degli archivi in cascata configurati. Si seleziona uno degli inserimenti della lista cliccandoci sopra.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Termina archivio

Manuale -> Server di archiviazione -> Funzioni -> Termina archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene eseguita a Runtime, questa funzione termina un archivio selezionato.

attention Attenzione

Attenzione: se si definisce il tempo di start e di stop di un archivio usando l´opzione In corrispondenza dell´avvio e della fine del Runtime, non sarà più possibile avviare o chiudere l´archivio tramite funzioni. Queste funzioni, cioè, non avranno alcun effetto a Runtime.

Per configurare la funzione:

  1. Nella barra degli strumenti o nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione.
  2. Viene visualizzato il dialogo che consente di selezionare un tipo di funzione.
  3. Passare al nodo Archiviazione.
  4. Selezionare la funzione Termina archivio.
  5. A questo punto, si apre la finestra di dialogo che consente di selezionare un archivio.
  6. Selezionare l´archivio desiderato.
  7. Chiudere la finestra di dialogo cliccando su OK.
    Nella lista delle funzioni, il nome dell´archivio selezionato verrà visualizzato nella colonna “Parametri”.
  8. Collegare la funzione ad un pulsante.

Quando la funzione viene eseguita a Runtime, termina l´archivio selezionato in fase di configurazione della funzione stessa.

Finestra di dialogo “Selezione archivio”

Parametro | Descrizione
Archivi disponibili | Lista di tutti gli archivi di base e degli archivi in cascata configurati. Si seleziona uno degli inserimenti della lista cliccandoci sopra.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicizzare file d'archivio

Manuale -> Server di archiviazione -> Funzioni -> Indicizzare file d'archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire un accesso più veloce ai valori nel filtro lotti, è possibile creare un indice per ogni archivio. L’indice viene salvato nel file [Identificazione breve].ARI. Ogni qualvolta si salva un archivio lotti, viene anche creato un inserimento nel file di indice. Questo inserimento contiene il nome archivio, la denominazione del lotto, il tempo di start e quello di stop. Quando l´archivio viene dislocato, anche l´indice viene attualizzato.

Gli archivi possono essere cancellati o spostati usando operazioni su file. In questo caso, il file di indice deve essere indicizzato nuovamente. Per farlo, eseguire la funzione Indicizza file d'archivio.
Nota: l´indicizzazione può essere eseguita anche in modo automatico. Per farlo, quando si configura l´archivio, si deve attivare nella scheda Proprietà l´opzione Indicizza lotto.

Informazioni dettagliate sul tema indicizzazione si trovano nel capitolo Archivi lotti.

info Info

La funzione Indicizza file d'archivio viene sempre eseguita sul server primario.

Per configurare la funzione:

  1. Nella barra degli strumenti o nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione.
  2. Viene visualizzato il dialogo che consente di selezionare un tipo di funzione.
  3. Passare al nodo Archiviazione.
  4. Selezionare la funzione Indicizza file d'archivio.
  5. A questo punto, si apre la finestra di dialogo che consente di selezionare un archivio.
    Vengono visualizzati solamente archivi lotti.
  6. Selezionare l´archivio desiderato.
  7. Chiudere la finestra di dialogo cliccando su OK.
    Nella lista delle funzioni, il nome dell´archivio selezionato verrà visualizzato nella colonna “Parametri”.
  8. Collegare la funzione ad un pulsante.

Quando viene eseguita a Runtime, la funzione indicizza l´archivio selezionato.

Finestra di dialogo “Selezione archivio”

Parametro | Descrizione
Archivi disponibili | Elenco di tutti gli archivi lotto configurati. Si seleziona uno degli inserimenti della lista cliccandoci sopra.
Esecuzione sincrona | Vale solamente per l´esecuzione della funzione in uno script. Attiva: la prossima funzione parte solamente dopo che questa è terminata.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Mostra archivi attivi

Manuale -> Server di archiviazione -> Funzioni -> Mostra archivi attivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene eseguita a Runtime, questa funzione apre una finestra che visualizza tutti gli archivi aperti al momento. La finestra è permanentemente aperta in primo piano.

Per configurare la funzione:

  1. Nella barra degli strumenti o nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione.
  2. Viene visualizzato il dialogo che consente di selezionare un tipo di funzione.
  3. Passare al nodo Archiviazione.
  4. Selezionare la funzione Mostra archivi attivi.
  5. Collegare la funzione ad un pulsante.


Esporta archivio

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene eseguita a Runtime, questa funzione esporta gli inserimenti registrati di un archivio in un file. Nell´esecuzione del processo di esportazione, identificazione e unità di misura sono traducibili. Verranno esportati nella lingua impostata al momento per il Runtime.

Per quello che riguarda invece la conversione delle unità di misura, vale quanto segue: i dati d'archivio vengono sempre esportati nella Unità di misura in cui sono stati creati. Questo significa che una conversione di unità di misura non verrà tenuta in considerazione nel processo di esportazione dei dati.

Per l´esportazione, si deve configurare quanto segue:

  • Le informazioni generali relativi a formati, contenuti e destinazione dell´esportazione.
  • L´archivio
  • Il filtro tempo
  • Il filtro lotti

attention Attenzione

Nel nome del file di esportazione non è consentito l´uso di segni speciali.
Sono proibiti: \ / : * ? " < > |

Per configurare l´esportazione degli archivi:

  1. Nella barra degli strumenti o nel menù contestuale del nodo Funzioni, selezionare il comando Nuova funzione.
  2. Viene visualizzato il dialogo che consente di selezionare un tipo di funzione.
  3. Passare al nodo Archiviazione.
  4. Selezionare la funzione Esporta archivio.
  5. Viene visualizzata la finestra di dialogo “Filtro..” che consente di configurare le impostazioni per l´esportazione.

info Info

Il numero delle cifre decimali per l´esportazione di archivi nei formati TXT, XML e DBF, e in caso di dislocamento su un server SQL, può essere modificato nel file project.ini tramite l´impostazione ARCHDIGITS=, che si trova nella sezione [ARCHIV].

Default: ARCHDIGITS=1

Finestra di dialogo - Filtro

Schede

Descrizione

Generale

Definizione di:

  • Formato di esportazione.
  • Colonne da esportare.
  • Opzioni.
  • File di esportazione.

Archivio

Selezione dell´archivio da esportare.

Ora

Definizione dell´intervallo di tempo.

Lotto

Selezione dei lotti desiderati.

info Info

Quando si esporta un archivio lotto attivo, vengono settati automaticamente i seguenti inserimenti:

  • Tempo di stop: il momento dell´esportazione.
  • Nome lotto: il valore corrente delle variabili lotto.

Attenzione: questi valori non corrispondono necessariamente a quelli dell´archivio lotto chiuso.

Struttura tabelle e comportamento nel processo di esportazione

Struttura della tabella

Statements:

  • Tabella _DATA:

    "CREATE TABLE [" + szDBTable "_DATA"] ([PRJ] varchar(128),[ARV] varchar(2),[VAR] varchar(128),[CALCULATION] int,[TIMESTAMP_S] int,[TIMESTAMP_MS] int,[VALUE] varchar(128),[STATUS] int)"

  • Tabella _BATCH per lotti:

    "CREATE TABLE [" + szDBTable + "_BATCH] ([PRJ] varchar(128),[ARV] varchar(2),[BATCH] varchar(128),[START_S] int,[END_S] int)"

Comportamento nel processo di esportazione

  1. Se non è dichiarato nessun nome tabella:

    Viene creata la tabella _DATA e i valori vengono inseriti.
    (Viene creata anche la tabella _BATCH, nonostante qui non ci sia nessun filtro attivo e non venga inserito nessun valore).

  2. Indicato XXX come nome tabella:

    Vengono create le tabelle XXX_DATA e XXX_BATCH e, vengono inseriti i valori secondo quanto impostato in fase di configurazione (lotti attivati/disattivati). .

Quando viene eseguita un´esportazione, in zenon o non viene inserito nessun nome, oppure un nome tabella senza _DATA. Se dei valori devono essere inseriti in una determinata tabella (per es. MYPROJECT_DATA), in zenon può essere inserito solamente MYPROJECT come nome tabella. Se si inserisce il nome MYPROJECT_DATA, verrà creata e popolata la tabella MYPROJECT_DATA_DATA.

Se si esporta una tabella già esistente (nessun nome, o nome senza _DATA), il sistema inserisce i valori nella tabella. Questo avviene indipendentemente dal fatto se gli stessi valori sono già presenti nella tabella stessa o meno.

Verifica della memoria in caso di rilettura di archivi

Quando vengono riletti archivi salvati, il sistema verifica lo spazio di memoria disponibile.

Tipo di salvataggio

Verifica della memoria

SQL

Se rimane meno del 10% dello spazio di memoria disponibile nel sistema, la lettura dei dati provenienti dal server SQL viene interrotta.

File ARX

Il sistema verifica lo spazio di memoria disponibile prima di leggere i file di archivio (*.arx), Si interrompe il processo di lettura dei dati se:

  • Rimane meno del 10% della memoria disponibile nel sistema.
  • Se viene superato il valore definito nel file project.ini per lo spazio di memoria riservato (SPEICHER=).

La cancellazione del processo di lettura dei dati viene documentata nel Diagnosis Viewer con una segnalazione d´errore corrispondente.

attention Attenzione

Se nell´archiviazione vengono generati file la cui dimensione supera lo spazio di memoria riservato nel file project.ini, oppure la regola citata del 10%, questi file non potranno più essere riletti.

Ancora in questo capitolo

Generale

Archivio

Ora

Lotto


Generale

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono:

  • Formato di esportazione
  • Contenuti
  • Opzioni file

Formato di esportazione

Selezione del formato in cui deve avvenire l´esportazione.

Formato

Descrizione

dBase

Attiva: esportazione in un file Base IV (*.dbf).
Attenzione: per i file DBF si deve tenere presente:

  • Il nome deve corrispondere al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri per l´estensione, nessuno spazio vuoto)
  • Devono essere salvati vicino alla cartella root.

CSV

Attiva: esportazione in un file di testo CSV (*.txt).

Struttura (-> sta per tabulazione):
Nome -> Identificazione- -> Valore -> Unità -> (Stato_HI_DWORD)(Stato_LO_DWORD) -> Secondi

XML

Attiva: esportazione in un file XML (*.xml).

SQL

Attiva: esportazione in un database SQL.

Nota: per poter esportare in un database SQL, si deve disporre della licenza corrispondente sia per l´Editor, che per il Runtime.

Colonne esportate

Selezione delle colonne della banca dati che devono essere esportate. Questa selezione può essere eseguita solamente per i formati di esportazione dBase e CSV. Per XML e SQL, invece, sono definite delle colonne fisse. Per questa ragione, la selezione colonne sarà disabilitata e visualizzata in color grigio quando è stato selezionato XML oppure SQL come formato di esportazione.

Nota: Quando si seleziona una colonna (segno di spunta nella casella davanti al nome della colonna), la denominazione breve corrispondente viene inserita in un campo che si trova sotto le caselle di selezione. Quando si selezionano più colonne, le denominazioni brevi verranno inserite nell´ordine in cui le colonne corrispondenti sono state selezionate. Le denominazioni brevi si trovano fra parentesi accanto al nome della colonna corrispondente.

dBase e CSV

Possono essere selezionate le seguenti colonne:

Colonna | Descrizione
Nome variabile (V) | Attiva: viene esportata la colonna Nome variabile. Contiene il nome delle variabili.
Valore (I) | Attiva: viene esportata la colonna Identificazione. Contiene l´identificazione delle variabili.
Valore (W) | Attiva: viene esportata la colonna Valore. Contiene il valore tecnico delle variabili.
Unità di misura (U) | Attiva: viene esportata la colonna Unità di misura. Contiene l´unita di misura attinente al valore.
Stato (S) | Attiva: viene esportata la colonna Stato. Contiene lo stato delle variabili.
Data (D) | Attiva: viene esportata la colonna Data. Contiene il date stamp delle variabili.
Tempo (Z) | Attiva: viene esportata la colonna Tempo. Contiene il time stamp delle variabili.

SQL

Le colonne per l´esportazione sono predefinite e non possono essere selezionate dall´utente. Vengono esportate:

Colonna | Descrizione
PRJ | Nome progetto
ARV | Identificazione archivio
VAR | Nome variabile
CALCULATION | Non zero per inserimenti da archivi in cascata.
TIMESTAMP_S | Time stamp delle variabili in formato Unix.
TIMESTAMP_MS | Millisecondi per il time stamp.
VALUE | Valore delle variabili.
STATUS | Stato delle variabili (valore decimale).

Opzioni

Ulteriori opzioni per l´esportazione.

Parametro | Descrizione
Proponi dialogo a Runtime | Attiva: questa finestra di dialogo verrà visualizzata quando si apre l´immagine a Runtime.
Lettura archivi dal percorso di backup. | Attiva: gli archivi da esportare vengono letti dalla “cartella rilettura archivi”. Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.
Esporta in Unicode | Attiva: i file esportato viene salvato in Unicode (UTF-16). Disponibile solamente per il formato di esportazione CSV.

Esporta su file

Definizione del file in cui vengono esportati gli archivi.

Parametro

Descrizione

Nome file

Nome file definito dall´utente che lo può configurare a piacere. Il file verrà salvato in ogni processo di esportazione con lo stesso nome.
Nota: nel nome non ci devono essere segni speciali. Sono proibiti: \ / : * ? " < > |

Disponibile solamente se l´opzione Genera nome file automaticamente è disattivata.

Genera automaticamente nome file

Attiva: i nomi file vengono generati automaticamente usando un´identificazione breve e una day key.

Formato della day key: AAMMGGHHMMSS.yyy

  • AA: anno (due cifre)
  • MM: mese (due cifre)
  • GG: giorno (due cifre)
  • HH: ora (due cifre)
  • MM: minuti (due cifre)
  • SS: secondi (due cifre)
  • yyy: tipo file (DBF, TXT, XML)

Nome file dal nome lotto

Attiva: il nome lotto viene utilizzato per generare il nome del file di esportazione.

Disponibile solo se è stata attivata l´opzione Genera automaticamente nome file.

Attenzione: nel nome lotto non ci devono essere segni speciali.

Suffisso

Identificazione liberamente configurabile dall´utente, che viene aggiunta automaticamente al nome file.

Al massimo 29 caratteri ASCII.
Nota: disponibile solo se è stata selezionata l´opzione Genera automaticamente nome file

Cartella di esportazione configurata

Visualizza la cartella impostata per l´esportazione.

La si può modificare nell´Editor, nel menù: File-> Configurazione generale -> Scheda “Standard” -> Cartella “Archivi esportati”.

Esporta su database SQL

Parametro | Descrizione
Connessione database | Se si opta per la dislocazione in un database-SQL: definizione della banca dati da usare. Nota: per esportare in un database-SQL, si deve disporre di una licenza sia per Editor, che per il Runtime.
Tabella | Se si opta per la dislocazione in un database-SQL: definizione della tabella da usare. Nota: per esportare in un database-SQL, si deve disporre di una licenza sia per Editor, che per il Runtime.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Archivio

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si seleziona l´archivio da esportare.

Selezione archivio

Parametro | Descrizione
Selezione archivio | Selezione di un archivio già creato fra quelli elencati nella struttura ad albero. Nella lista delle funzioni, il nome dell´archivio selezionato verrà visualizzato nella colonna “Parametri”.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Ora

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura il filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La configurazione del filtro tempo avviene in modo analogo a quella del Filtro tempo nella funzione di cambio immagine.


Lotto

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La configurazione del filtro lotti avviene in modo analogo a quella del Filtro nella funzione di cambio immagine.


Gestione a Runtime

Manuale -> Server di archiviazione -> Gestione a Runtime

A Runtime, gli archivi possono essere visualizzati e modificati mediante un´immagine di tipo Post-elaborazione archivio.

Gli archivi creati a Runtime vengono salvati come file *.arx nella cartella Runtime del computer:
%Public%\Documents\zenon_Projects\[workspace]\[project]\[computer name]\[project]

Il file d´archivio corrente ha il nome dell´identificazione. Quando l´archivio viene chiuso, questo file è salvato e rinominato, e viene creato un altro file con l´identificazione come nome. Per la rinomina del file, si usa UTC per la zona dell´orario. Per accedere a questi file a Runtime, si usano filtri. Non è necessario effettuare operazioni con i file nel browser file.

A seconda delle impostazioni eseguite in fase di configurazione, a Runtime sarà possibile modificare, cancellare e integrare i valori degli archivi.

Attenzione: Se nell´archiviazione vengono generati file la cui dimensione supera lo spazio di memoria riservato nel file project.ini, oppure la regola citata del 10%, questi file non potranno più essere riletti. Informazioni dettagliate sul tema si trovano nel capitolo Esporta archivi.

info Info

Per inserire un valore decimale, si può usare come separatore sia la virgola (,) che il punto (.). Il separatore verrà sempre convertito automaticamente in un punto.

Creare un'immagine del tipo Post-elaborazione archivio

Elemento di controllo | Descrizione
Finestra dati d'archivio | Visualizzazione dei dati d'archivio a Runtime.
Filtro impostato (Lista) | Visualizzazione del filtro impostato.
Filtro impostato (Visualizzazione) | Visualizzazione del filtro impostato.
Stato archivio | Visualizzazione dello stato dell´archivio.
Nome breve | Visualizzazione del nome breve dell´archivio visualizzato.
Quantità valori | Visualizzazione del numero dei valori visualizzati.
Quantità non valido | Visualizzazione del numero delle variabili con lo stato INVALID.
Apri archivio | Apre la finestra di dialogo che consente la selezione di un archivio.
Chiudi archivio | Chiude l´archivio aperto al momento.
Salva archivio | Salva i cambi nell´archivio modificato e aggiorna gli archivi in cascata su richiesta.
Modifica | Apre la finestra di dialogo che consente di modificare l´inserimento archivio selezionato.
Incolla | Apre la finestra di dialogo che consente di aggiungere inserimenti d´archivio nei file d'archivio. Se per questo intervallo di tempo non esiste nessun file di archivio, non potrà essere aggiunto nessun inserimento. In questo caso, se si cerca di aggiungere un inserimento, verrà visualizzato un messaggio d´errore corrispondente.
Elimina | Cancella gli inserimenti d´archivio selezionati dopo una richiesta di conferma.
Seleziona | Cliccando su questo pulsante, si apre la finestra di dialogo che consente di configurare il filtro.
Configurazione colonne | Apre la finestra di dialogo che consente di configurare la larghezza delle colone e il carattere.
Stampa | Stampa la lista su una stampante definita in anticipo.
Selezione profilo | Inserimento di un nome per un nuovo profilo filtro, oppure selezione di un profilo filtro tra quelli contenuti nel menù a tendina.
Salva | Salva il filtro corrente come profilo con il nome indicato nel campo di testo Profilo filtro.
Elimina | Cancella il profilo filtro selezionato al momento.
Importa | Apre la finestra di dialogo che consente di importare un profilo filtro.
Esporta | Apre la finestra di dialogo che consente di esportare un profilo filtro.

Profili filtro

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente a Runtime in relazione ad una determinata immagine.

Per poter utilizzare i profili filtro, devono essere configurati nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profili filtro | Gestione profili a Runtime.
Selezione profili | Selezione di un profilo salvato a Runtime fra quelli contenuti nel menù a tendina.
Salva | Cliccando sul pulsante a Runtime, si salvano le impostazione di filtro come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cliccando sul pulsante (Elimina) a Runtime, si cancella il profilo selezionato.

Usando questi elementi di controllo, a Runtime sarà possibile:

  • Salvare filtri.
  • Usare i filtri salvati.
  • Cancellare profili filtro.

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Funzioni

Ci sono delle funzioni che consentono di gestire e monitorare gli archivi a Runtime.

  • Avvio archivio: avvio manuale di un archivio selezionato nell´Editor.
  • Termina archivio: chiusura manuale dell´archivio selezionato nell´Editor.
  • Indicizza file d'archivio: Indicizzazione successiva di archivi lotti.
  • Mostra archivi attivi: visualizzazione degli archivi attivi al momento.
  • Esporta archivio: esporta gli archivi in diversi formati.

Modifica di archivi salvati in SQL

È possibile modificare valori in archivi salvati in SQL.
Tuttavia non è possibile:

  • Modificare il time stamp.
  • Cancellare valori.
  • Aggiungere valori.

Ancora in questo capitolo

Procedura

Selezione

Filtro lotti e filtro tempo

Definire il carattere e la larghezza delle colonne

Modifica valori

Aggiungi valori

Salvare valori nell’archivio

Stampare archivio

Cicli a Runtime


Procedura

Manuale -> Server di archiviazione -> Gestione a Runtime -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia un archivio a Runtime, viene creato un file xx.arx (xx = identificazione breve dell´archivio). Non appena si termina l´archivio, quest´ultimo viene chiuso e nominato secondo le regole della nomenclatura.

È possibile archiviare anche variabili stringa.

attention Attenzione

Non chiudere mai il Runtime quando ci sono archivi ancora attivi. Questo vale anche per i processi in corso che usano archivi (per es. il Batch Control).

Ragione: l´interruzione ad archivio attivo, non consente una chiusura corretta.

Il Runtime è stato chiuso ad archivio ancora attivo.

Problema: il Runtime è stato chiuso quando l´archivio era ancora attivo. Questo significa:

  • L´archivio non verrà chiuso.
  • Di conseguenza, il file non potrà essere rinominato.
  • Il file ARX esiste ancora.

Da queste premesse deriva quanto segue:

  • L´archivio non riprenderà ad essere eseguito quando viene riavviato il Runtime.

    Se l'archivio è stato configurato come archivio ciclico, al riavvio del Runtime verrà popolato con i valori di riserva per la parte mancante dell'intervallo corrente. Se non è stato ancora trasferito nessun valore, verrà utilizzato il valore di riserva definito; altrimenti, l´ultimo valore valido. Gli inserimenti esistenti non verranno sovrascritti.

  • L´esecuzione della funzione Termina archivio non chiuderà più l´archivio. Il file ARX, dunque, non potrà essere copiato in modo corretto.
  • Non si può esportare l´archivio finché esiste un file ARX.

Soluzione: Riavviare l´archivio e poi chiuderlo. Il questo modo, l´archivio verrà chiuso correttamente e poi rinominato.
È possibile che ci siano dei valori non validi nell´archivio stesso.
Suggerimento per la configurazione: negli script AUTOEND oppure AUTOEND_SERVPROJ, chiudere tutti gli archivi avviati manualmente. In questo modo, questi archivi verranno terminati e chiusi automaticamente al momento della chiusura del Runtime.

Valori ad archivio fermato

Se vengono generati valori mentre un archivio è fermato, accade quanto segue:

  • In caso di archivi ciclici: vengono usati valori di sostituzione per popolarli.
  • In caso di archivi senza punti di interrogazione definiti: viene scritto nell´archivio l´ultimo valore con lo stato I-Bit.

Reload e cambio server

Se si inizializza un reload a Runtime in esecuzione, oppure si verifica un cambio di ruoli fra Server 1 e Server 2, ci possono essere valori doppi o temporalmente sfasati.


Selezione

Manuale -> Server di archiviazione -> Gestione a Runtime -> Selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul pulsante Selezione, si apre una finestra di dialogo che consente di selezionare i valori che devono essere evidenziati nella visualizzazione.

Nella lista vengono evidenziati tutti gli inserimenti che corrispondono ai criteri selezionati. Se si attiva l´opzione Cancellare selezione, gli inserimenti verranno deselezionati e, dunque, non più evidenziati nella visualizzazione.

Finestra di dialogo - Filtro archivio

Parametro

Descrizione

Lista stati

Selezione dei bit di stato sulla base dei quali deve essere eseguito il filtro. I bit vengono selezionati e deselezionati cliccando sull´inserimento corrispondente.

Questa opzione è attiva solo se l´opzione Tutti inserimenti è disattivata (nessun segno di spunta nella casella corrispondente).

Lista delle variabili

Variabili dell´archivio selezionato che devono essere visualizzate. Le variabili vengono selezionate e deselezionate facendo o rimuovendo il segno di spunta nella casella corrispondente.

Questa opzione è attiva solo se l´opzione Tutti inserimenti è disattivata (nessun segno di spunta nella casella corrispondente).

Valore (in unità di base)

Attiva: il sistema filtra quei valori d´archivio che si trovano fra un minimo ed un massimo, oppure contengono una stringa costituita da una certa successione di caratteri.

Inserimento di:

  • Minimo: limite inferiore del valore.
  • Massimo: limite massimo del valore.
  • Maschera String: successione di caratteri da usare come criterio di filtro.

Questa opzione è attiva solo se l´opzione Tutti inserimenti è disattivata (nessun segno di spunta nella casella corrispondente).

Cancellare selezione
  • Attiva: alla chiusura della finestra di dialogo, tutti gli elementi che sono stati evidenziati nella lista non lo saranno più.
    Disattiva la possibilità di input per bit di stato e variabili.

Tutti inserimenti

Attiva: le impostazioni valgono per tutti gli stati e tutte le variabili. Se questa opzione è attiva (segno di spunta nella casella corrispondente), non sarà possibile configurare individualmente gli inserimenti di Lista di stati, Lista delle variabili e Valore (in unità di base).


Filtro lotti e filtro tempo

Manuale -> Server di archiviazione -> Gestione a Runtime -> Filtro lotti e filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni di filtro eseguite nella configurazione della funzione di cambio immagine possono essere modificate a Runtime. Procedura:

  1. Aprire nell´Editor la funzione di cambio immagine.
  2. Cliccare su Filtro.
  3. Nella scheda Filtro archivio, attivare l´opzione Proponi dialogo a Runtime (segno di spunta nella casella corrispondente).
  4. Se si desidera che sia possibile configurare a Runtime anche singole variabili, disattivare nell´Editor l´opzione Tutti inserimenti.

A Runtime, quando si apre l´immagine verrà visualizzato (a seconda della configurazione) o il filtro tempo o il filtro lotti:

  • Filtro lotti attivato: verrà visualizzato il filtro lotti.
  • Filtro lotti disattivato: verrà visualizzato il filtro tempo.

Configurazione del filtro lotti

Se in fase di progettazione si seleziona l´opzione Nessun filtro tempo come tipo di filtro tempo, a Runtime verranno visualizzati tutti gli inserimenti a partire dal 1/ 1/ 2000.

attention Attenzione

Nella lista degli archivi vengono elencati tutti gli archivi lotti progettati. In questa finestra di dialogo deve essere scelto lo stesso archivio selezionato nel cambio immagine. Solo in questo caso verranno visualizzati dei dati.

Parametro

Descrizione

Filtro Lotto

Selezione del lotto da utilizzare per eseguire il filtro. Il filtro consiste delle due liste seguenti:

  • Lista archivi: lista degli archivi.
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Selezione dell’archivio desiderato.

Nodo *:

  • Riunisce tutti i lotti di tutti gli archivi visualizzati.
  • La chiave è il nome lotto.
  • L´ora d´inizio è quella del lotto che comincia prima.
  • L´ora di termine è quella del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Per filtrare, digitare un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti della lista possono essere ordinati cliccando sull´intestazione di colonna.

Nome lotti

Visualizza i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Verranno visualizzati solamente quei lotti il cui nome contiene la successione inserita.

Data inizio

Visualizza la data di inizio di tutti i lotti disponibili.

Filtro: inserimento di una data di inizio o selezione di una data dal calendario.

Ora d´avvio

Disponibile solamente se è stata indicata una data di inizio.

Visualizzazione dell´ora di avvio di tutti i lotti disponibili.

Filtro: inserimento di un´ora di avvio. * sta per l´orario 0:00:00.

Data termine

Visualizza la data di termine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Ora termine

Disponibile solamente se è stata indicata una data di termine.

Visualizzazione dell´ora di termine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di termine. * sta per l´orario 23:59:59.

Durata

Questa colonna visualizza la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Info

Vengono visualizzati anche i lotti non ancora portate a termine, a patto che corrispondano ai criteri di filtro.

info Info

Il valore della variabile lotto viene scritto all´inizio del lotto sia nel file di indice, che nell´Header del file ARX. Ogni volta che la variabile cambia, questi inserimenti vengono adeguati. Quando si chiude il lotto, il valore corrente della variabile lotto viene scritto definitivamente nel file di indice e nell´Header.

Solo quando un lotto è concluso, il nome lotto è scritto in modo definitivo.

SQL

Il filtro lotti su valori dislocati in SQL viene eseguito tramite un filtro tempo. Questo filtro contiene tutti i valori dell´archivio compresi fra il tempo di avvio e quello di fine del lotto. Sono compresi anche il tempo di avvio e di fine del lotto. In questo filtro tempo non si tiene conto dei millisecondi.

Configurazione dell´intervallo di tempo

Si può far in modo che il dialogo per le impostazioni di filtro temporali sia visualizzata a Runtime in modo specifico per consentire la configurazione di un intervallo di tempo. Procedura:

  1. Aprire nell´Editor la funzione di cambio immagine.
  2. Cliccare su Filtro.
  3. Aprire la scheda “Ora”.
  4. Selezionare l´opzione Intervallo tempo.

A Runtime, al posto dell´intera finestra di dialogo visualizzata nell´Editor, verrà offerto solo un dialogo specifico che consentirà solamente la configurazione di un intervallo di tempo. Per esempio, per l´impostazione Un giorno:

Esempio

Con questa impostazione, anche intervalli di tempo individuali, come ad esempio i turni, possono essere aperti e configurati velocemente.

Ad esempio: turno dalle 06:00 alle 14:00.

  1. Selezionare come intervallo di tempo: Un giorno.

    Un giorno dura di default dalle 00:00 alle 24:00.

  2. Settare il valore dell´opzione “Spostamento intervallo avanti di” su 6 ore.

    Adesso il giorno comincerà alle 6:00 e terminerà alle 6:00 del giorno successivo.

  3. Settare adesso il valore dell´opzione “Modifica periodo di” su 16 ore.
  4. Mantenete invariata l´opzione Sottrai orario.

    Questo significa che, partendo dalle 6:00 del giorno successivo, si tornerà indietro di 16 ore. Di conseguenza, il giorno durerà dalle 6:00 alle 14:00, il che corrisponde esattamente al turno desiderato.

  5. Trasferire i nuovi file Runtime.
  6. Riavviare il Runtime.
  7. Selezionare il giorno desiderato nel cambio immagine.

Si otterranno i dati del giorno selezionato dalle 06:00 alle 14:00.


Definire il carattere e la larghezza delle colonne

Manuale -> Server di archiviazione -> Gestione a Runtime -> Definire il carattere e la larghezza delle colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le liste contenenti i dati d´archivio, è possibile modificare anche a Runtime carattere e larghezza delle colonne. Per poterlo fare, si deve anzitutto progettare nell´immagine l´elemento di controllo Finestra. Quando si clicca sul pulsante a Runtime, si apre la finestra di dialogo che consente di configurare larghezza delle colonne e carattere:

Parametro

Descrizione

Larghezza colonne

Larghezza colonne in cifre.

Per modificare la larghezza delle colonne, inserire il valore desiderato nel campo di testo che si trova accanto al nome della colonna.

Carattere

Selezione del carattere fra quelli del menù a tendina. Vengono offerti alla selezione tutti i caratteri progettati nell´Editor. Lo stesso carattere verrà poi utilizzato anche per la stampa.

Il carattere selezionato viene salvato nel file project.ini finché l´utente non riavvia il Runtime dall´Editor.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Standard

Setta tutti le impostazioni relative alla larghezza delle colonne sui valori standard. Il carattere selezionato non viene modificato.

Salvare il carattere in modo permanente

Quando l´utente avvia il Runtime dall´Editor, il file project.ini viene sovrascritto e il carattere impostato viene modificato.

Modifiche relative al carattere vengono eseguite nel file project.ini mediante l´inserimento ARCHEDITFONT=.

Per applicare in modo permanente inserimenti nel file project.ini , è consigliabile adottare la seguente procedura:

  1. Identificare il progetto.
    Per farlo, annotare la GUID del progetto nell´Editor. Bastano i primi 4/6 caratteri.

    Suggerimento: selezionare anzitutto il progetto nel Manager di progetto e premere la combinazione di tasti Ctrl+Alt+E.
    L´Explorer aprirà la cartella ...\<GUID>\Project_SQL_directory\FILES\
    Di questo percorso si avrà bisogno nel passo successivo.

    Chiudere poi il workspace, oppure chiudere l´Editor.

  2. Aprire il file project.ini: Questo file si trova nella cartella ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Modificare il file project.ini: effettuare i cambi desiderati nel file project.ini. salvate le modifiche e chiudete il file.
  4. Trasferire i file Runtime: aprire di nuovo l´Editor, o caricare il progetto. Creare i file Runtime modificati e trasferire i file Runtime.


Modifica valori

Manuale -> Server di archiviazione -> Gestione a Runtime -> Modifica valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori delle variabili negli archivi possono essere modificati a Runtime. Procedura:

  1. Selezionare l´inserimento nella lista dei dati d'archivio.

    Nota: si possono anche selezionare contemporaneamente più inserimenti.

  2. Cliccare sul pulsante Apri, oppure cliccare due volte sull´inserimento.
  3. Si apre la finestra di dialogo che consente di modificare il valore.
  4. Inserire il valore e il time stamp desiderato.

    Quando si modificano più archivi contemporaneamente, tutti ricevono il valore e il time stamp indicato in questa finestra di dialogo.

  5. Confermare la finestra di dialogo cliccando su OK.

    Se sono stati modificati uno o più valori, cliccando su OK:

    • Lo stato dell´inserimento viene settato su valore manuale (MAN_VAL)
    • La riga modificata viene colorata di blu.
    • Il titolo di colonna si colora di rosso.
    • Si attiva il pulsante Salva.
  6. Salvare la lista aggiornata cliccando sul pulsante Salva.
    Dopo aver salvato la lista modificata, il colore del titolo di colonna viene resettato.

Finestra di dialogo Modifica archivio

Parametro

Descrizione

Valore

Inserimento del nuovo valore.

Se sono stati selezionati più valori:

  • Il valore di default viene settato su 0.
  • Il nuovo valore viene applicato a tutti gli inserimenti evidenziati.

Tempo

Inserimento del nuovo time stamp.

Se sono stati selezionati più valori:

  • Il valore di default viene settato su 0.
  • Il nuovo valore viene applicato a tutti gli inserimenti evidenziati.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.


Aggiungi valori

Manuale -> Server di archiviazione -> Gestione a Runtime -> Aggiungi valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad un archivio esistente possono essere aggiunti anche nuovi valori.

Procedura:

  1. Cliccate sul pulsante “Incolla”.
  2. Si apre la finestra di dialogo che consente di creare nuovi valori.

  3. Selezionare una variabile.
  4. Inserire valore, quantità e time stamp.
  5. Confermare la selezione cliccando su OK.

    Con un clic su OK e inserimento nella lista:

    • Lo stato dell´inserimento viene settato su valore manuale (MAN_VAL).
    • La nuova riga viene colorata di blu.
    • Il titolo di colonna si colora di rosso.
    • Si attiva il pulsante Salva.
  6. Salvare la lista aggiornata cliccando sul pulsante Salva.
    Dopo aver salvato la lista modificata, il colore del titolo di colonna viene resettato.

Nota:

  • Se è stato selezionato un inserimento prima dell´apertura della finestra di dialogo:
    • Non si potranno modificare time stamp e ciclo.
    • Il nuovo valore verrà inserito al di sotto della variabile evidenziata.
  • Non si potranno aggiungere valori ad archivi salvati in SQL.
  • Dopo aver salvato la lista modificata, il colore del titolo di colonna viene resettato.

Finestra di dialogo Inserire valore

Parametro | Descrizione
Valore | Inserimento del nuovo valore.
Quantità | Inserimento del numero dei valori desiderati.
Ciclo | Inserimento del tempo ciclo in secondi.
Data | Inserimento di una data.
Tempo | Inserimento di un orario.
Variabili | Selezione di variabili dalla lista.
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Salvare valori nell’archivio

Manuale -> Server di archiviazione -> Gestione a Runtime -> Salvare valori nell’archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori nuovi e quelli modificati devono essere salvati per poter poi essere accettati nell´archivio. Per farlo, cliccare sul pulsante Salva. I valori modificati verranno così salvati nell´archivio. Se per l´archivio in questione esistono anche archivi in cascata, questi ultimi verranno aggiornati automaticamente.

Se nell´archivio ci sono valori non salvati, il sistema lo segnalerà colorando di rosso il titolo della colonna corrispondente.


Stampare archivio

Manuale -> Server di archiviazione -> Gestione a Runtime -> Stampare archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, gli archivi vengono stampati come lista quando si clicca sul pulsante Stampa. Si può stampare questa lista anche con una barra del titolo. Per farlo, deve esistere in zenon un file di formato con il nome ARV_G.FRM.

Per formattare la stampa:

  1. Creare un file di formato:
    • Nome: ARV_G.FRM
  2. Importare il file nell´Editor, nel sottonodo: File\Testi e formati.

    Corrisponde alla posizione di archiviazione: %PUBLIC%\Documents\zenon_Projects\[workspace]\[Progetto]\RT\FILES\zenon\custom\lists.

  3. Verificare quale stampante è impostata per liste e formati nel menù File-> Configurazione generale -> Standard -> Stampante- > per Notepad.

Configurazione del file ARV_G.FRM

Creare un file di testo con il nome ARV_G.FRM.

Questo file contiene le parole chiave per la formattazione della stampa a Runtime.

Attenzione: le parole chiave vengono inserite sempre in tedesco, indipendentemente dalla lingua usata dall´utente.

Parola chiave | Significato
@AMELDUNG | Testo valore limite dell´inserimento d´archivio.
@ARCHIVNAME | Nome dell'archivio.
@DATZEIT | Data stamp/time stamp dell´inserimento d´archivio.
@EINHEIT | Unità dell´inserimento archivio
@HEADZEIT | Data stamp/time stamp dell´archivio.
@KANALNAME | Nome della variabile dell'inserimento archivio
@SEITE | Numero di pagina per la stampa.
@STATUS | Testo di stato dell´inserimento archivio.
@TAGNR | Identificazione variabile dell´inserimento.
@WERT | Valore dell'inserimento archivio

Le parole chiave per la parte della lista degli inserimenti d´archivio ripetuti in forma ciclica sono comprese fra i caratteri %%.

Esempio

@HEADZEIT @ARCHIVNAME
Pagina: @SEITE -----------------

Data/Tempo Nome variabile Valore Unità Testo di stato Stato
----------------------------------------------------------------------------------------------------------------
%%
@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
%%


Cicli a Runtime

Manuale -> Server di archiviazione -> Gestione a Runtime -> Cicli a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione dell´tipo di registrazione e del salvataggio nell´Editor, ma anche dell´ora di avvio degli archivi, ha effetto sull´esecuzione degli archivi a Runtime:

L´ora di avvio impostata nell´archivio serve come base per il calcolo dei tempi di salvataggio. A partire da questo momento, vengono aggiunti i cicli di salvataggio. In questo modo, zenon sa ad ogni start del Runtime quando deve essere chiuso l´archivio alpha attualmente attivo, e deve essere creato e avviato un nuovo file.

info Info

Gli archivi alpha sono quelli aperti al momento e che dunque non hanno né un data stamp, né un time stamp.

Se si chiude il Runtime mentre è in corso la scrittura di dati in un file d'archivio, quest´ultimo rimane aperto. Quando viene riavviato, il Runtime verifica se il file adesso dovrebbe essere chiuso:

  • Sì: il file viene chiuso e ne viene subito iniziato un altro.
  • No: i nuovi dati vengono aggiunti al file esistente, che continua ad essere usato. I valori generati a Runtime chiuso, vengono inseriti da zenon con corrispondente valore di riempimento archivio; a questi valori viene assegnato lo stato INVALID.

info Info

Configurare il ciclo di interrogazione e quello di salvataggio sempre in modo tale che uno sia un multiplo intero dell´altro; in questo modo sarà possibile evitare sovrapposizioni e, di conseguenza, imprecisioni negli archivi in cascata.


Uso di dati d'archivio in zenon:

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati d´archivio possono essere riutilizzati in zenon per:

  • Generatore Report
  • Report Viewer
  • Trend esteso

Inoltre, i dati possono essere analizzati con lo zenon Analyzer di COPA-DATA.

Ancora in questo capitolo

Generatore Report

Report Viewer

Trend esteso


Generatore Report

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Generatore Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Generatore Report funziona secondo un meccanismo orientato alle celle.

Esempio di report:

Ad ognuna di queste celle possono essere assegnati determinati formati e funzioni. Un report viene configurato come immagine propria di tipo Generatore Report. Il calcolo, l´emissione e la visualizzazione dei dati avviene tramite funzioni report predefinite. Queste ultime possono essere inserite nelle celle corrispondenti usando una finestra di dialogo, oppure manualmente. Per poterli visualizzare a Runtime, i report devono essere anzitutto configurati nell´Editor.

attention Attenzione

La stampante da utilizzare deve essere selezionata prima della creazione del report, perché la formattazione delle pagine di un report dipende dalla stampante impostata. Una successiva modifica della stampante, potrebbe rendere necessaria la riformattazione del report esistente.

Ancora in questo capitolo

Funzioni di archiviazione e di protocollo


Funzioni di archiviazione e di protocollo

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Generatore Report -> Funzioni di archiviazione e di protocollo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nozioni di base

Tutte le funzioni d´archiviazione si basano sulla funzione base archive (FILTERINDEX,PARAMETER,RICHTUNG).

Le estensioni sono contrassegnate tramite l´aggiunta di ulteriori lettere nel nome della funzione.

Abbreviazione | Significato | Commento
r | read only | L´archivio può essere solamente letto. I valori modificati non possono essere salvati.
sp | Colonne | Mette a disposizione una speciale formattazione per la definizione delle celle da utilizzare.
m | Matematica | Ha effetto solamente su Valore e Tempo.
ex | extended | Offre trattamenti speciali.
w | write | Scrittura possibile.

Indice filtro

L´indice filtro crea una relazione fra i numeri del filtro archivi usati nelle funzioni di report e le variabili degli archivi.

Example Esempio

=archive (5,"valore","giù")

FILTERINDEX = 5

L´inserimento riportato come numero 5 nel filtro viene usato per la funzione di report.

Parametri

Opzioni | Possibile valore
valore | [1-n]
stato | [1-n]
tempo | [1-n]
quantità | [1]

Direzione

Opzioni | Significato
Destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
Sotto | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si crea una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Tutte le funzioni d´archiviazione possono essere create con l´Assistente alle funzioni.

Quando vengono emesse informazioni di stato, vengono utilizzate le impostazioni della sezione [STATUS] del file project.ini, o quelle dall´assegnazione definita internamente. Se è stata modificata la descrizione dello stato nel file project.ini, verrà utilizzato il nome cambiato. (Suggerimento: consente di garantire la compatibilità del progetto con vecchi nomi di stato).

Nel funzionamento online, il tempo della query può essere definito o nella chiamata funzione , oppure a Runtime all’apertura di un file report.

Modificare inserimenti archivi

I valori di archivio possono essere modificati a Runtime, a condizione che l´utente sia in possesso delle autorizzazioni operative necessarie. Le modifiche possono essere salvate o manualmente, cliccando sull´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

info Info

Modificare campi stringa in un report: se un testo è costituito solamente di numeri, quando lo si salva, gli spazi vuoti vengono eliminati automaticamente. Se tuttavia si desidera avere degli spazi vuoti, questi ultimi dovranno essere rappresentati usando il carattere ASCII 255 (Alt+255).


Report Viewer

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anche il Report Viewer consente di elaborare e preparare dati d'archivio per essere consultati dall´utente. A differenza di quanto accade nel caso del Generatore Report, in questo caso i dati non potranno più essere modificati. Il Report Viewer, però, offre possibilità grafiche molto ampie di visualizzazione dei dati, come ad esempio i diagrammi. Inoltre, è possibile confrontare due intervalli di tempo al fine di analizzarli in modo approfondito.

Per poter creare report con il Report Viewer, è necessario utilizzare anche software di terzi. Già al momento dell´installazione di zenon, dunque, viene installato anche il Microsoft Report Designer. Questo programma si apre non appena l´utente crea un nuovo report. Per la visualizzazione a Runtime, esiste un apposito tipo di immagine.

I dettagli relativi alla configurazione si trovano nella parte della guida dedicata al Report Viewer.


Trend esteso

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Trend esteso (per cui si deve avere una licenza a parte) visualizza i valori online e i valori d´archivio delle variabili in forma di curve. A differenza dell’elemento dinamico Curve trend, il Report Viewer offre la possibilità di zoomare, sfogliare, esaminare e scalare valori online e valori di archivi. Come per il Generatore Report e il Report Viewer, anche per il Trend esteso esiste un tipo di immagine proprio I dettagli relativi alla configurazione si trovano nella parte della guida dedicata al Trend esteso.

Trend esteso - Starter Edition

Nel pacchetto standard di zenon è contenuta una versione del Trend esteso dalle funzionalità ridotte, denominata Starter Edition.

La "Starter Edition" presenta le seguenti limitazioni:

  • Nessun trend XY.
  • Nessun secondo asse tempo.
  • Numero di curve limitato a 8.
  • Nessuna rappresentazione logaritmica.
  • Interrogazione con un cursore.


Ulteriori informazioni

Manuale -> Server di archiviazione -> Ulteriori informazioni

Questa sezione contiene alcune informazioni di base relative a archivi e archiviazione.

Ancora in questo capitolo

Formato dei file di archivio

Dislocazione archivi in un database SQL.

RDA

Archiviazione nella rete di zenon


Formato dei file di archivio

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Formato dei file di archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi hanno la seguente struttura dati:

  • Il file di archivio con l´identificazione ARX contiene le definizioni delle variabili e i dati numerici.
  • Il file ARS contiene i dati stringa.
  • L´Header d’archivio contiene le definizioni di archivio ed eventualmente il valore della variabile lotto.
  • Se la variabile lotto è una stringa, lo spazio di memoria riservato al valore della variabile dipende dalla lunghezza della stringa. Per le variabili numeriche, invece, è riservato uno spazio fisso pari a 32 caratteri. Variabili lotto stringa sono salvate in Unicode. Se non è definita alcuna Variabile charge, non è riservato nessuno spazio nella memoria.
  • L´inserimento nel file ARX ha una lunghezza di 24 Byte e offre anche la possibilità di salvare valori Double. Le informazioni di stato sono a 64 bit.
  • Gli archivi possono essere salvati ad intervalli di 1 secondo. Per gli archivi ciclici, si consiglia di scegliere e mantenere tempi di salvataggio maggiori di 30 secondi.

Conversione di progetti realizzati con versioni precedenti alla 6.20 SP0

A partire dalla versione 6.20 SP0, i file d'archivio vengono salvati in formato ARX; prima veniva utilizzato quello ARV. Quando si converte un progetto, il sistema verifica al momento dello start del Runtime se ci sono dei file d'archivio in formato ARV nella cartella Runtime. Dopo la conferma della conversione, i file vengono convertiti nel formato ARX. Questa conversione è eseguita per tutti i progetti prima del loro avvio. Nel corso del processo di conversione, vengono cancellati i file ARV. Per la dislocazione in SQL, alla tabella devono essere aggiunte altre colonne.

Raccomandazione: eseguire un backup dei file ARV prima della conversione.

Nome di un archivio

Il nome di un archivio è costituito da:

  • Nome breve
  • Tempo di salvataggio in UTC, nel formato AAMMTThhmmss
  • Estensione file .arx

Ad esempio: XX140403071200.arx

XX | Nome dell'archivio
14 | Anno
04 | Mese
03 | Giorno
07 | Ora (UTC)
12 | Minuti
00 | Secondi

Ora UTC e ora locale

Quando salvano i dati, gli archivi usano l´orario UTC. L´ora locale utilizzata sul computer, si compone di: UTC + fuso orario + ora legale/ora solare. Il Runtime di zenon considera automaticamente l´ora locale quando interroga gli archivi.

Esempio: Berlino in estate

  • Ora locale 14:00.
  • UTC: le 14:00, ora locale, meno 1 ora (ora legale), meno 1 ora (fuso orario) = ore 12:00 UTC
    Il valore generato alle ore 14:00 locali, viene salvato con l´orario: 12:00.

Si esegue una query di valori a Berlino fra le 13:00 e le 15:00, ora locale. In questo caso, il Runtime acquisirà dall´archivio i valori che hanno un time stamp compreso fra le 11:00 e le 13:00 e li visualizzerà con l´ora locale (dalle 13:00 alle 15:00).

Ancora in questo capitolo

Variabili stringa


Variabili stringa

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Formato dei file di archivio -> Variabili stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili stringa possono essere archiviate. Vengono salvate in un file con il nome [Nome breve][Ora].ARS. Questo file contiene solo i dati delle stringhe e forma un´unità logica con il file ARX. Nel file ARX è indicato se deve esistere un archivio stringa. Se non vengono salvate stringhe nell’archivio, non verrà creato nessun archivio ARS. Se ci sono stringhe, invece, deve esistere anche il file ARS.

attention Attenzione

Le operazioni file devono tener presenti entrambi il file. Se manca un file ARS necessario, infatti, non verranno caricati neanche i dati dal file ARX.

I dati stringa sono salvati in formato Unicode con lunghezza dati dinamica. Questo avviene per risparmiare spazio di memoria ed è indipendente dalla lunghezza stringa definita. Nel record dati del file ARX è salvata la posizione del record stringa nel file ARS.

attention Attenzione

Se si modificano stringhe nel file ARS, può variare la loro posizione. Quest´ultima verrà aggiornata nel file ARX per la stringa modificata. L´aggiornamento, però, riguarderà solamente la stringa modificata, non tutte le altre. Se si interviene mediante le API, o tramite tool nel file ARS, non ci sarà più la garanzia che una determinata stringa si trovi nel file ancora nella posizione in cui ci si aspetterebbe di trovarla.

Nella proprietà delle variabili di tipo stringa si può definire un valore di sostituzione; questo valore di riserva consente di garantire che l´archivio possa essere sempre popolato di valori. Il Valore di riempimneto arch. per tipo String viene usato se, per esempio per popolare archivi ciclici, zenon ha bisogno di un valore per la variabile stringa, ma non è disponibile nessun valore. Se non è stato ancora trasferito nessun valore, il sistema utilizzerà il valore di sostituzione definito; in caso contrario l´ultimo valore valido.

Nel calcolo della dimensione archivi nell´Editor, si parte sempre dal presupposto che la stringa venga archiviata con la lunghezza massima.

Grandezza del campo dati

In generale la dimensione del campo dati corrisponde alla variabile stringa più lunga dell´archivio. In questo contesto, tenere presente quanto segue:

  • Dislocazione archivi:
    Quando vengono create le tabelle per la dislocazione archivi con l´Editor di zenon, la larghezza delle colonne viene adeguata alla stringa più lunga.
  • Esportazione archivi
    La larghezza delle colonne è impostata in modo fisso a 128 caratteri. I caratteri in più verranno ignorati.

Nota riguardante le variabili del driver di sistema: la lunghezza stringa è limitata a 5 caratteri e non può essere modificata. I contenuti stringa delle variabile del driver di sistema, però, possono essere più lunghi di 5 caratteri. Per questa ragione, inserire nell´archivio anche una variabile stringa con (per es.) una lunghezza di 256 caratteri per evitare un´eventuale perdita di dati.

attention Attenzione

Se cambia la lunghezza di una variabile stringa da archiviare, bisognerà adeguare questo campo dati anche al momento della dislocazione in SQL, o dell´esportazione in SQL!

Nota: non dimenticare di eseguire queste modifiche prima che i cambi vengano applicati a Runtime. Altrimenti i valori stringa più lunghi verranno archiviati in modo incompleto!

Adattamento campo dati per SQL

La modifica e l´adeguamento può avvenire manualmente mediante un tool di gestione della banca dati (per esempio: Management Studio per MS-SQL Server), oppure tramite la configurazione degli archivi.

Per adeguare il campo dati nell´Editor di zenon, eseguire per ogni archivio i seguenti passaggi:

  1. Nel menù contestuale dell´archivio, selezionare Modifica archivio.
  2. Passare alla scheda Salva.
  3. Passare all´area Esportazione dopo periodo di salvataggio.
  4. Cliccare su Crea tabelle.


Dislocazione archivi in un database SQL.

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La dislocazione di archivi in un database-SQL consente di salvare dati in modo standardizzato per poterli poi usare in altre applicazioni. Vengono supportati, ad esempio: Microsoft SQL Server, Oracle, CRATE.IO e altri sistemi database che hanno un´interfaccia ODBC. Nello stesso tempo, si può continuare ad usare i dati anche nei trend e report di zenon. I database-SQL, inoltre, consentono l´ottimizzazione mirata della memorizzazione dei dati.

Per quello che riguarda la memorizzazione di dati di archivio in un database-SQL, si differenziano due stadi del salvataggio dei dati stessi:

  • Dati a breve termine: corrisponde all´impostazione Periodo mantenimento archivi nella finestra di dialogo Salva. Questi dati vengono salvati in formato ARX sul supporto dati locale.
  • Dati a lungo termine: raggiunta la durata impostata per il buffer circolare dei dati di archivio, il contenuto di questo file viene scritto come transazione nella banca dati SQL e cancellato a livello locale.

Nel caso in cui i dati di questo archivio siano necessari per trend o report, i dati a breve termine salvati localmente vengono combinati automaticamente con i dati a lungo termine salvati nel database-SQL in un flusso senza soluzione di continuità.

Questa proprietà può essere usata anche per utilizzare dati esterni in zenon. Dopo che sono state create le tabelle database necessarie, queste ultime possono essere popolate di dati anche usando tool esterni. Per farlo, non sarà necessario avviare l´archivio. I dati inseriti nella tabella saranno poi a disposizione per essere visualizzati in un trend o un report di zenon.

Nota: Gli archivi SQL possono essere dislocati anche su un bus di servizio MS Azur. Per far ciò, quando configurate l´archivio, dovete anzitutto attivare nella scheda Salva, l´opzione Usa service bus MS Azure per scrivere. I dettagli a questo proposito si trovano:

  • Nel capitolo MS Azur-Dienstbus di questa guida.
  • Nel manuale MS Azure

Formati delle tabelle.

Per ogni archivio viene creata una tabella nella banca dati, che conterrà i dati di archivio dislocati. Inoltre viene creata per l´intero progetto una tabella di lista incrociata che contiene un elenco delle attribuzioni fra i nomi delle variabile e l´ID delle variabili univoco e numerico.

info Info

Quando si creano le tabelle SQL per dati d'archivio, lotti e variabili con l´Editor, viene generata automaticamente una chiave primaria.

Attenzione: per ragioni di performance, la chiave primaria per archivi è ottimizzata per riferimenti variabili non riguardanti più progetti. Per questa ragione, non è incluso il GUID di progetto delle variabili. Se si vuole dislocare in SQL archivi con riferimenti variabili per più progetti, la chiave primaria deve essere cancellata manualmente, oppure essere integrata con l´aggiunta del GUID di progetto.

Formato della tabella dati

La tabella dati consiste delle seguenti colonne:

Colonna

Tipo

Significato

VARIABLE

int[4]

ID variabile numerica.

CALCULATION

int[4]

Tipo di compressione in archivi in cascata.

È possibile un massimo di 4 valori. Somma, media valori, minimo, massimo.
Quando si esporta l´archivio in cascata in un file (per es. .csv), i valori da 1 a 4 vengono scritti come stringa:

  • 1= somma
  • 2= media valori
  • 3= minimo
  • 4= massimo

In caso di dislocazione o esportazione in SQL, i valori vengono scritti in codice ASCII come integer:

  • 49= somma
  • 50= media valori
  • 51= minimo
  • 52= massimo

TIMESTAMP_S

int[4]

Time stamp in formato tempo UNIX.

TIMESTAMP_MS

int[4]

Millisecondi del time stamp.

VALUE

float[8]

Valore

STATUS

int[4]

Flag di stato per il valore (stato zenon).

GUID

varchar[36]

Registra il GUID di progetto della variabile. Non può essere ZERO.

STRVALUE

varchar

La lunghezza dipende da quella massima della variabile stringa da archiviare. Per le variabili numeriche questo campo ha il valore ZERO.

Primary key, clustered: TIMESTAMP_S e TIMESTAMP_MS e VARIABLE e CALCULATION e GUID.

Il nome della tabella della banca dati è costituito dal nome del progetto e dal nome breve dell'archivio. Le due parti sono collegate da un carattere di sottolineatura:
Nome progetto_Nome breve
Se il nome progetto è ARV_IN_DB e la denominazione breve archivio è A1, il nome della tabella sarà: ARV_IN_DB_A1.

attention Attenzione

Visto che il GUID è contenuto nell´indice, il valore NOT deve essere pari a zero. A partire dalla versione 7.20 di zenon, per il GUID di progetto viene inserita una stringa vuota al posto di ZERO per la dislocazione di variabili.

Se vengono compilati file Runtime per la versione 7.11 o per versioni precedenti, ne deriva un problema di compatibilità: siccome in questo caso viene scritto ZERO nella colonna GUID, il processo di dislocazione non riuscirà.

Soluzione: nel server SQL, la tabella deve essere creata manualmente senza GUID nella chiave primaria, oppure semplicemente senza chiave primaria.

Per esempio, con la seguente sintassi:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)

Formato della tabella per nome lotto.

La tabella contenente i nomi lotto per gli archivi dislocati in SQL:

  • Ha il nome [Nome progetto]_[Nome breve archivio]_BATCH
  • Consiste di tre colonne:
Colonna | Tipo | Significato
BATCH | VARCHAR (128) | Nome lotto
START_S | INT | Time stamp Unix dell´inizio lotto.
END_S | INT | Time stamp Unix della fine lotto.

Primary key, clustered: START_S e END_S.

Formato della tabella lista incrociata

Colonna | Tipo | Significato
VARIABLE | INT[4] | ID variabile numerica.
NAME | VARCHAR[128] | Nome della variabile.
GUID | VARCHAR[36] | Registra il GUID di progetto della variabile. Non può essere ZERO.

Primary key, clustered: VARIABILE e GUID.

Il nome della tabella lista incrociata è costituito dal nome del progetto e dalla desinenza VARIABLES. Queste due parti sono collegate da un carattere di sottolineatura. Se il nome del progetto, dunque, è ARV_IN_DB, il nome della tabella sarà ARV_IN_DB_VARIABLES.

Ancora in questo capitolo

Konfiguration

Bus di servizio MS Azure

CRATE.IO

Conversione

Risoluzione dei problemi


Konfiguration

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL. -> Konfiguration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Um die Daten eines Archivs in einer SQL-Datenbank abzulegen:

  1. Wählen Sie in der Registerkarte Speichern die Eigenschaft SQL-Datenbank.
  2. Klicken Sie auf die Schaltfläche ....
  3. Der Dialog zur Datenbankwahl wird geöffnet.
    1. Konfigurieren Sie den Provider.
      Z.B. SQL Server Native Client.
    2. Konfigurieren Sie die Verbindung.

      Zum Beispiel mit dem zenon 2012 Server, mit dem Standard zenon Datenbank User zenOnSrv, mit dem Passwort zen_$2012.

    3. Testen Sie die Verbindung.
    4. Schließen Sie den Dialog mit Klick auf OK.

    Nachdem Sie den Dialog bestätigt haben, legt zenon die Querverweis- und Datentabelle in der Datenbank an. Sobald nun zu evakuierenden Daten vorliegen, werden diese in der Datentabelle angefügt. Verliert zenon während des Betriebes die Verbindung zu der Datenbank, bleiben die Daten lokal gespeichert. Die Auslagerung wird fortgeführt sobald die Verbindung wieder erfolgreich hergestellt wurde.

  4. Klicken Sie bei Bedarf auf die Schaltfläche Tabellen anlegen.

    Über die Schaltfläche Tabellen anlegen können die Tabellen jederzeit neu erzeugt oder automatisch angepasst werden, wenn z. B. Variablen dem Archiv hinzugefügt oder entfernt werden oder der Providerstring händisch angepasst wird. Jedesmal wenn Sie bei Archiven, die für SQL Auslagerung konfiguriert sind, Variablen hinzufügen oder entfernen, müssen die Tabellen in SQL aktualisiert werden.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene applicata automaticamente nella stringa provider. Deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...

Hinweis: Wenn Sie ein Archiv für die Auslagerung nach SQL konfigurieren und das Archive zu einem späteren Zeitpunkt neu konfigurieren, müssen Sie auch die Tabellen in SQL entsprechende anpassen.
Zum Beispiel: Sie haben ein Archiv für die Auslagerung nach SQL konfiguriert, die Tabellen in SQL wurden bereits erstellt. Sie verknüpfen danach eine Variable zur Chargenarchivierung. In diesem Fall müssen die Tabellen in SQL neu erstellt werden. Anderenfalls kann die Auslagerung nach SQL nicht durchgeführt werden, da die Tabelle für die Chargeninformation nicht vorhanden ist.

attention Attenzione

Assicurarsi che il provider configurato nella connessione sia disponibile a Runtime sul computer Runtime.

Nota: con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente neanche un client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, assicurarsi di installare la versione corretta. Cioè quella adeguata alla versione di zenon usata. Cioè: se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Questo vale anche se viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.


Bus di servizio MS Azure

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL. -> Bus di servizio MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, per il dislocamento di un archivio, si attiva l´opzione Usa service bus MS Azure per scrivere, tutti i valori d´archivio verranno aggiunti alla Azure Service Bus Queue con il nome archivequeue. Ciò deve esistere in MS Azure-Namespace delle connessione configurata.. Il nome di connessione MS Azure va inserito nel campo che si trova sotto l´opzione.

Configurazione

In MS Azure deve essere attiva perlomeno un´istanza di un AzureZenonArchiveWorker cloud service, che riceva i valori d´archivio dalla coda con il nome archivequeue e li aggiunga nell' MS Azure SQL-Storage. Il formato tabelle corrisponde a quello del classico dislocamento SQL di un archivio.

Il servizio cloud deve essere creato manualmente con il deploymentpackage AzureArchiveCloudService.cspkg, tramite l´interfaccia di configurazione MS Azure. . Trovate il pacchetto nella cartella %ProgramData%\COPA-DATA\zenon7.60\CloudServices.

Impostazioni:

  • Zenon.ArchiveServiceBus.ConnectionString: Corrisponde al nome di connessione MS Azure inella configurazione archivio.
  • Zenon.ArchiveSQLServer.ConnectionString: Indica il nome di connessione per la destinazione MS Azure SQL-Storage.
  • Ambiente: Produzione
  • Distribuire anche se uno o più ruoli contengono una singola istanza: attivare.
  • Avvia distribuzione: attivare.

Procedura

La lettura dei dati d'archivio avviene via connessione OLEDB e SQL SELECT statement. Il nome connessione OLEDB mostra, di regola, la stessa banca dati MS Azure SQL di quella dell´output connection name (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


CRATE.IO

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL. -> CRATE.IO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire una dislocazione di dati archivio in SQL e un´esportazione di dati archivio in SQL si può selezionare un database Crate.

INSERT

Nell´INSERT dei valori, si usa il comando SQL specifico per Crate: UNNEST. I valori del file d'archivio verranno trasmessi a blocchi come stringa.

Requisiti:

  • La versione di Crate deve supportare UNNEST.
  • I dati di un blocco devono essere minori alla lunghezza massima di Query della banca dati.

Impostazione della grandezza blocco

La grandezza blocco (Rows) può essere impostata nel file project.ini:

  • Sezione [ARCHIV]
  • Inserimento: CRATE_BLOCKSIZE=
  • Default: 10000


Conversione

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL. -> Conversione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano archivi di versioni di zenon precedenti alla 6.20 SP0 in una nuova versione, è necessario aggiungere manualmente le seguenti colonne:

  • STRVALUE nella tabella dati.
  • GUID nella tabella lista incrociata.

Le colonne vengono aggiunte o direttamente nella banca dati, oppure tramite una finestra di dialogo nell´Editor di zenon.

Per aggiungere le colonne nell`Editor:

  1. Aprire per ogni archivio interessato la finestra di dialogo Modifica archivio.
  2. Aprire la scheda Salva.
  3. Aprire la finestra di dialogo dell´opzione Database-SQL.
  4. Chiudere la finestra di dialogo cliccando su OK.

Quando si chiude la finestra di dialogo, vengono eseguite automaticamente le modifiche nella banca dati.

attention Attenzione

Se non si eseguono queste modifiche, non verrà trasferito nessun dato di archivio nella banca dati SQL!


Risoluzione dei problemi

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione archivi in un database SQL. -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Duplicati

Non è possibile dislocare duplicati in un database-SQL a causa della chiave primaria!
Ci possono essere duplicati con quelle variabili i cui time stamp provengono da un altro dispositivo, e quando in caso di interruzione per la chiusura del Runtime.

Time stamp esterno

Duplicati ci possono essere con quelle variabili il cui time stamp proviene da un dispositivo esterno.
Per esempio: il PLC invia eventi poco prima che si verifichi un´interruzione della connessione e ripete l´invio dopo che il collegamento è stato ripristinato. In questo caso ci saranno due inserimenti con lo stesso valore e lo stesso time stamp.

Problema: quando il sistema cerca di dislocare dati con duplicati, il processo di esportazione in SQL si interrompe.

Soluzione: cancellare i duplicati prima della dislocazione nell´immagine post-elaborazione archivio.

Interruzione quando viene chiuso il Runtime

Quando si chiude il Runtime mentre è in corso un´esportazione nel database SQL, il Runtime sarà effettivamente terminato solo dopo che l´esportazione sarà stata portata a termine. Se, però, durante questo intervallo di tempo il Runtime viene chiuso in anticipo via process desk o la “Gestione attività”, succede quanto segue:

  • Una parte dei valori si trova già nel database SQL.
  • II file d'archivio, però, non è stato ancora cancellato.

Quando verrà riavviato il Runtime, il sistema cercherà di dislocare il file d'archivio ancora esistente nel database SQL.
Procedura:

  • Gli originali vengono dislocati.
  • Se ci sono duplicati, non verranno dislocati a causa della chiave primaria. L´esportazione verrà ripetuta al prossimo ciclo. I duplicati verranno cancellati nel corso del processo.

Messaggio d´errore ODBC 80004005

Nel corso del processo di dislocazione in SQL, viene visualizzato il seguente messaggio d´errore:
Execute INSERT statement failed 1, hr=80004005

Questo messaggio segnala un errore ODBC.

Soluzione:
Passare ad un provider SQL Server.


RDA

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni più precise sulla configurazione e la gestione dell´archiviazione RDA.

Ancora in questo capitolo

Formato dati PLC

Descrizione Header

Formato time stamp

Tipi

Note


Formato dati PLC

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Formato dati PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I possibili tipi di dato RDA sono:

  • BYTE
  • WORD
  • DWORD
  • FLOAT

Dipendono dal driver usato in zenon.

Nota: per sapere se il driver supporta RDA o meno, consultare la sua documentazione.

attention Attenzione

Non possono essere letti valori del futuro. I valori possono essere “futuri” se gli orari di sistema sul PLC e sul PC differiscono. Assicurarsi, dunque, che gli orari di sistema vengano sempre sincronizzati.


Descrizione Header

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Descrizione Header

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametro

Descrizione

Indice [0]

Variabile RDA che è stata aggiunta all´archivio. Decide il tipo di dato (per es. BYTE, WORD, DWORD, FLOAT).

  • La dimensione dipende dal tipo di dato in zenon.
  • Il trigger flag viene settato dal PLC su 1, quando i valori devono essere acquisiti. Dopo che zenon ha acquisito i dati, Il flag viene automaticamente resettato a 0.

Indice [1]

Numero dei valori che devono essere salvati.

32-Bit Intel Format. Settato dal PLC.

Indice [2]

Tempo di ciclo in millisecondi, viene usato per TYP 1 e 4 .

32-Bit Intel Format. Settato dal PLC.

Indice [3]

Tipo RDA:

  • Tipo 1: senza tempo (non viene più usato)
  • Tipo 2: con formato tempo 1 (non viene più usato)
  • Tipo 3: con formato tempo 2
  • Tipo 4: senza tempo

32-Bit Intel Format. Settato dal PLC.

Indice [4]

Numero del valore più recente. Dovrebbe corrispondere al valore in Index [1].

32-Bit Intel Format. Settato dal PLC.

Indice [5]

Contiene dati. Il contenuto dipende dal tipo:

  • Tipo 3: valori
  • Tipo 4: time stamp.

Indice [6]

Contiene dati. Il contenuto dipende dal tipo:

  • Tipo 3: time stamp.
  • Tipo 4: valori

Index [ecc.]


Formato time stamp

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Formato time stamp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il formato tempo viene visualizzato da un´espressione lunga 8 byte:

Byte: | Corrisponde a | Possibili valori
1 | Anno Nota: il formato tempo inizia con l´anno 1900, scritto a due cifre. 1900 = 00. A partire dall´anno 2000, le cife saranno 3 2000 = 100. | Per es. 99, 100, 114, ecc
2 | Mese | 1 - 12
3 | Giorno | 1 - 31
4 | Ora | 0 - 23
5 | Minuto | 0 - 59
6 | Secondo | 0 - 59
7 | Centesimo di secondo | 0 - 100
8 | riservato | -


Tipi

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diversi tipi disponibili per l´archiviazione RDA. Attualmente si usano i seguenti:

  • Tipo 3
  • Tipo 4

Attenzione: il tipo 1 e il tipo 2 possono essere ancora configurati per ragioni di compatibilità. Tuttavia non vengono più né usati, né documentati.
Il tipo 1 è stato sostituito dal tipo 4, mentre il tipo 2 è stato sostituito dal tipo 3.

Ancora in questo capitolo

Tipo 3

Tipo 4


Tipo 3

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi -> Tipo 3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indice | Descrizione
Indice [0] | Variabile RDA.
Indice [1] | Numero dei valori da salvare.
Indice [2] | Viene ignorato. (tempo di ciclo in millisecondi.)
Indice [3] | Tipo RDA.
Indice [4] | Numero del valore più recente.
Indice [5] | Primo valore salvato. Dimensione: dipende dal tipo di dato di zenon.
Indice [6] | Time stamp per il primo valore. (Per i dettagli, vedi Formato Time stamp).
Indice [7] | Secondo valore salvato. Dimensione: dipende dal tipo di dato di zenon.
Indice [8] | Time stamp per il secondo valore (Per i dettagli, vedi Formato time stamp).
Index [ecc..] | [n-mo valore]


Tipo 4

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi -> Tipo 4

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Indice

Descrizione

Indice [0]

Variabile RDA.

Indice [1]

Numero dei valori da salvare.

Indice [2]

Tempo di ciclo in millisecondi

Indice [3]

Tipo RDA.

Indice [4]

Numero del valore più recente.

Indice [5]

Time stamp.
(Per i dettagli, vedi Formato time stamp. Primo valore salvato.

Dimensione: dipende dal tipo di dato di zenon.

Indice [6]

Valori salvati.

  • Valore 1
  • Valore 2
  • Valore 3
  • Valore 4
  • ecc.


Note

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Note

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si lavora con l´archiviazione RDA, tenere presente quanto segue:

  • Il trasferimento dei dati richiede tempo. Con un evento trigger, il tempo di trasferimento (a seconda del numero dei valori) potrà essere di più secondi.
  • In un sistema ridondante, una lunga durata del processo di trasferimento può avere come conseguenza il fatto che un server che sta leggendo un archivio RDA, non riesca a sincronizzare completamente se smette di funzionare.. In questo caso, il server che ne prende il posto, leggerebbe ancora una volta l´archivio RDA, visto che il trigger non è ancora stato resettato sul valore 0.
  • Con il tipo 4, al contrario del tipo 3, è trasferito solo il tempo di avvio
  • Il meccanismo RDA di zenon richiede un blocco coerente nel PLC indirizzabile via offset. Per questo motivo, di regola non è possibile utilizzare RDA con i driver ad indirizzamento simbolico. Per alcuni driver ad indirizzamento simbolico, è a disposizione una soluzione alternativa. Un esempio si trova di seguito, alla voce Esempio di una dichiarazione di tipo di dato secondo IEC 61131-3. I dettagli a questo proposito si trovano nella documentazione del relativo driver.

Esempio di una dichiarazione di tipo di dato secondo IEC 61131-3

RDA-Typ 3:

TYPE RDA_DATA_3 : (* Structure for RDA type 3 payload *)

STRUCT

Value : DINT; (* valore

TimeStamp : ARRAY[0..7] OF BYTE; (* timestamp (anno, mese, giorno, ora, minuto, secondo, 1/100 di secondo, riserva) *)

END_STRUCT

END_TYPE

TYPE RDA_3 : (* Structure for RDA type 3 *)

STRUCT

Trigger : DINT; (* Variabile trigger *)

Count : UDINT; (* numero dei dataset *)

Cycle : UDINT; (* tempo di ciclo in [ms] (solo tipo per 1 e 4 rilevante) *)

RDA_Type : UDINT; (* tipo RDA, 1 - 4 *)

Oldest : UDINT; (* Indice del valore più vecchio (per ragioni di compatibilità, placeholder rilevante solo per tipo 1) *)

Data : ARRAY[0..19] OF RDA_DATA_3; (* Payload*)

END_STRUCT

END_TYPE

RDA-Typ 4:

TYPE RDA_4 : (* Structure for RDA type 4 *)

STRUCT

Trigger : DINT; (* Variabile trigger *)

Count : UDINT; (* numero dei dataset *)

Cycle : UDINT; (* tempo di ciclo in [ms] (solo tipo per 1 e 4 rilevante *)

RDA_Type : UDINT; (* tipo RDA, 1 - 4 *)

Oldest : UDINT; (* Indice del valore più vecchio (per ragioni di compatibilità, placeholder rilevante solo per tipo 1) *)

TimeStamp : ARRAY[0..7] OF BYTE; (* time stamp del primo valore (anno, mese, giorno, ora, minuto, secondo, 1/100 di secondo, riserva) *)

Data : ARRAY[0..19] OF DINT; (* Payload*)

END_STRUCT

END_TYPE


Archiviazione nella rete di zenon

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione è integrata nella rete di zenon.

La funzionalità di rete di zenon consente di usare progetti su diversi server e di creare in modo molto efficiente complesse strutture di rete. La struttura di progetto può essere configurata in modo tale che determinati contenuti siano visibili solamente su quella postazione che è destinata a svolgere un certo compito (un particolare calcolatore). L´Editor di zenon aiuta gli utenti a creare e configurare queste strutture.

Questa funzionalità di rete può essere eseguita anche in modalità ridondante. Questo è garanzia di sicurezza dei dati e mezzo per evitare le conseguenze negative di possibili malfunzioni nell´ambito del sistema.

info Info

Ulteriori informazioni a questo proposito si trovano nella parte della guida dedicata alla Rete.

Ancora in questo capitolo

Comportamento in rete

Gestione multi-progetto


Comportamento in rete

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon -> Comportamento in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione viene eseguita sul server primario.

Il server primario sincronizza i dati d'archivio con il Server Standby e risponde alle richieste dei client (per es. apertura di un´immagine di tipo Trend esteso).

info Info

Quando il Server-Standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, vengono integrati e aggiunti i dati mancanti in AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del Server-Standby Questo buffer viene rifornito di valori dai driver.

Cambio ridondanza

Il cambio di ridondanza può subire un ritardo causato dal modulo Archiviazione di zenon.

Se delle variabili di un altro progetto vengono salvate in un archivio, cambia la procedura di start del Runtime nella rete di zenon. In questo caso, infatti, gli archivi vengono avviati solo dopo il caricamento di tutti i progetti.

In questo modo si garantisce che vengano riconosciute tutte le variabili da archiviare prima che inizi il processo di archiviazione ed il calcolatore assuma il ruolo di server primario.

Example Esempio

Il Runtime di zenon viene avviato su quel computer configurato in fase di progettazione come Server 1, oppure Server 2.

  • Il Runtime parte assumendo il ruolo di Server-Standby.
  • Vengono caricati tutti i progetti.
  • L´archiviazione viene sincronizzata.

I passaggi sopra descritti avvengono indipendentemente dal ruolo attuale o dall´analisi del PC.

Solo dopo la conclusione di tutti questi passaggi, viene effettuato - se necessario - un cambio di ridondanza.


Gestione multi-progetto

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un archivio possono essere registrati i valori di variabili di diversi progetti di un workspace. I valori archiviati possono poi essere filtrati, visualizzati in forma di lista o come trend, stampati o esportati come avviene per i dati di normali archivi.

Esempio archivio

  1. Nel progetto IPRO aprire il nodo Server di archiviazione.
  2. Creare un uovo archivio con il nome BA - BASIS.
  3. Aprire il menù contestuale della lista variabili e selezionare Aggiungi variabili.
  4. Si aprirà la finestra di dialogo che consente la selezione di variabili.

  5. In questa finestra di dialogo si potranno selezionare non solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccare su un progetto nella parte sinistra della finestra di dialogo (struttura ad albero con tutti i progetti del workspace):
      Nella parte destra della finestra di dialogo verranno visualizzate tutte le variabili configurate nel progetto selezionato.
    2. Selezionare la variabile desiderata (selezione multipla possibile).
  6. Selezionare variabili dei progetti PRO1 e PRO2.
  7. Nella lista variabili dell´archivio, prima del nome della variabile verrà indicato il nome del progetto da cui è stata presa.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete consente effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare per un archivio del progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questo collegamento non funzionerà!

Dopo che la la selezione delle variabili è stata completata e la finestra di selezione è stata chiusa, verrà visualizzata una finestra di dialogo che informa l´utente che nei sistemi ridondanti la registrazione senza perdita di dati (“bumpless”) non è garantita.

Esempio

  • Il progetto PRO1 viene eseguito in modo ridondante; un computer è il server primario, un secondo il Server-Standby.
  • Lo stesso vale anche per il progetto PRO2.
  • Il progetto di integrazione con i progetti subordinati PRO1 e PRO2 viene avviato su un terzo computer. Questo è client per i sottoprogetti.

Se vengono archiviate variabili dei progetti PRO1 e PRO2 nel progetto di integrazione, il computer ottiene i dati tramite la rete dal rispettivo server primario di PRO1 e PRO2.
Se, ad esempio, il server primario di PRO1 smette di funzionare, per l´intervallo di tempo che passa fino a che il Server-Standby di PRO1 non assume il ruolo di server, si troverebbero nell´archivio delle variabili di PRO1valori di sostituzione.

Nota: il buffer Standby della ridondanza senza perdita di dati, salva solo le variabili del progetto in cui il computer è stato configurato come uno dei due server.
Soluzione: per garantire una registrazione senza perdita di dati, l´archiviazione deve essere eseguita localmente nel sottoprogetto eseguito in modalità ridondante.

info Info

Ulteriori informazioni relative agli archivi nel modello client-server della rete di zenon si trovano nella parte della guida dedicata alla Rete, nei capitoli “Modello client-server”, Gestione multi-progetto e gestione multi-progetto Archivi.


Simulazione di progetto

Manuale -> Simulazione di progetto

La simulazione di progetto è uno strumento che consente di passare dalla modalità di simulazione a quella hardware. La modalità di simulazione consente di simulare processi ed eseguire dei test. In questa modalità vengono eseguite operazioni di commutazione, scritte ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

Inoltre, nell´ambito della simulazione di progetto vengono eseguite progettazioni a Runtime per i moduli Sequenze di comando e Process Recorder. Questo non ha però nessun effetto sui processi produttivi.

Nella rete di zenon, è possibile eseguire la simulazione su un client. Per effetto della simulazione questo client verrà disconnesso dalla rete.

Informazioni relative alla licenza

A partire dalla versione 7.60 di zenon, non è più possibile acquisire e registrare una licenza per il modulo Simulazione di progetto come modulo singolo.

La simulazione di progetto è parte integrante dei seguenti moduli:

  • Sequenze di comando
  • Process Recorder

Per quello che riguarda la registrazione della licenza per la simulazione di progetto, vale quanto segue:

  • Tutti i progetti devono avere una licenza.
  • Per i progetti standalone è necessario avere una licenza per il client.
  • Per i progetti server, la licenza deve essere disponibile sul Server-Standby, oppure localmente.
  • Se si cambia la licenza sul server, i client devono essere riavviati perché la licenza venga applicata.

Modalità simulazione

In modalità di simulazione:

  • Tutti in driver vengono avviati nella modalità simulazione driver - programmata.
  • Non viene salvato nessun dato esternamente:
    • Non viene eseguita nessuna esportazione in SQL.
    • Non vengono generati inserimenti per la banca dati IPA.
    • Gli inserimenti IPA già esistenti non possono essere cancellati, modificati, né si può scrivere un commento.
  • I dati PFS relativi ai turni non vengono salvati nel database.
    (Questi dati verranno salvati non appena il Runtime sarà avviato in modalità hardware.)

info Info

La simulazione di progetto non è disponibile per i client sul Terminal Server.

Ancora in questo capitolo

Generale

Variabile del driver di sistema - Stato Runtime (simulazione)

Script

Particolarità della modalità di simulazione.

Traduzione online

Immagini di simulazione

File nell´immagine di simulazione

Runtime - Parametri della riga di comando

Limitazioni


Generale

Manuale -> Simulazione di progetto -> Generale

È possibile passare nella modalità di simulazione solamente se tutti i progetti nel Runtime sono progetti standalone o progetti client. La modalità di simulazione "separa" il calcolatore o il Runtime dalla rete. Inoltre tutti i driver vengono avviati nella modalità simulazione driver - programmata. Per questo motivo, nessun driver ha più una connessione diretta con il processo.

Dopo il passaggio alla modalità di simulazione, il Runtime viene riavviato e si comporta come se tutti i progetti fossero stati configurati come standalone.

Ancora in questo capitolo

Passaggio alla modalità di simulazione

Passaggio in modalità hardware

Creare l'immagine di simulazione

Riproduzione

Funzione "Attiva/Disattiva progetto di simulazione"


Passaggio alla modalità di simulazione

Manuale -> Simulazione di progetto -> Generale -> Passaggio alla modalità di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si passa in modalità di simulazione, vengono eseguiti i seguenti passaggi:

  1. Viene attivata la funzione che consente di passare in modalità di simulazione.
  2. Il sistema verifica se tutti i progetti possono passare in modalità di simulazione, oppure se si trovano già in questa modalità.
  3. Vengono eseguiti i passaggi dell'azione Crea immagine di simulazione.
  4. Per ogni progetto viene generato un inserimento nella Lista eventi cronologica che documenta il passaggio in modalità di simulazione.
  5. Il Runtime viene terminato e si avvia zenProcess con ulteriori parametri di avvio.
  6. zenProcess attende che il Runtime venga terminato e lo avvia poi in modalità di simulazione.
  7. Il Runtime riconosce il parametro della riga di comando e avvia tutti i progetti come progetti standalone.
  8. La cartella per i dati Runtime è adesso la cartella di simulazione. La cartella dati Runtime della modalità hardware non viene modificata.
  9. Vengono avviati i progetti. I driver si avviano in modalità "simulazione driver - programmata" e vengono caricati con l´immagine variabile della cartella di simulazione. Le variabili locali acquisiscono i valori dall´immagine locale. L´immagine variabile viene applicata alla simulazione programmata. Se il valore di una variabile viene modificato nel corso della procedura di avvio di un programma della simulazione driver programmata, la variabile avrà nel Runtime di zenon come primo valore non quello originale (come quanto il Runtime ha una connessione hardware), ma quello che è stato modificato nella simulazione.
  10. Viene caricata l'immagine per i driver interni.
  11. Per ogni progetto viene creato un inserimento nella rispettiva Lista eventi cronologica che documenta il passaggio in modalità di simulazione.
  12. La variabile del driver di sistema riceve il valore per la modalità di simulazione.

Questi passaggi vengono eseguiti per tutti i progetti attivi a Runtime, a meno che il progettista non abbia esplicitamente previsto una diversa procedura.


Passaggio in modalità hardware

Manuale -> Simulazione di progetto -> Generale -> Passaggio in modalità hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modalità hardware è disponibile ogni volta viene avviato il Runtime, anche quando non c´è stato un passaggio dalla modalità di simulazione a quella hardware. Vengono eseguiti i seguenti passaggi:

  1. Viene attivata la funzione che consente di passare in modalità hardware.
  2. L´immagine driver (driver di processo e driver interno) e quella della simulazione di zenon Logic vengono salvate.
  3. Il Runtime viene terminato e si avvia zenProcess con parametrizzazione ulteriore.
  4. zenProcess attende che il Runtime sia terminato e poi lo avvia con i parametri di avvio per la connessione di processo.
  5. Il Runtime si avvia e carica i progetti e i dati Runtime - dal server, se necessario.
  6. I driver vengono inizializzati con i dati delle variabili locali prima della simulazione.
  7. Se necessario, l´immagine di simulazione viene trasferita al server. Questa opzione può essere attivata con una corrispondente parametrizzazione della riga di comando.


Creare l'immagine di simulazione

Manuale -> Simulazione di progetto -> Generale -> Creare l'immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i file e le variabili modificabili dal Runtime vengono riassunti nell´immagine di simulazione. Quando si crea un´immagine di simulazione, vengono eseguiti i seguenti passaggi:

  1. Il sistema richiede tutte le variabili di tutti i progetti e vi vengono scritti i dati attuali.
  2. Nell´immagine di simulazione locale (a seconda della modalità selezionata) vengono cancellati i dati non necessari (Eccezione: Inizializza con l'immagine di processo esistente):
    1. Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio): la cartella di simulazione locale viene cancellata completamente.
    2. Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio): Vengono cancellati tutti i file d'archivio (*.ARX e *.ARS) nella cartella di simulazione locale.
  3. A seconda di quali impostazioni sono state configurate per la funzione Simulazione on/off, il sistema acquisisce da tutti i progetti i dati di progetto, i dati Runtime e i dati variabili corrispondenti. Per l'AML, la CEL e le HDD, viene salvato lo stato attuale, localmente per un progetto standalone, sul server per un progetto server (Eccezione: Inizializza con l'immagine di processo esistente):
  4. I file di progetto modificabili a Runtime (per es. quelli per il modulo PFS, gli utenti ecc.) saranno copiati dall´immagine di simulazione sul file corrispondente nella cartella di progetto (Eccezione: Inizializza con l'immagine di processo esistente):
  5. Il sistema attende finché tutte le variabili non hanno ricevuto un valore. Il nome di queste variabili viene visualizzato nella barra che mostra lo stato di avanzamento del processo. La visualizzazione è limitata a 60 caratteri e non mostra il valore corrispondente. Il tempo di attesa non è limitato.
    Nota: se nella funzione Attiva/disattiva progetto di simulazione è stata disattivata l´opzione Attendi per tutte le variabili, il tempo di attesa sarà quello configurato in Massimo tempo di attesa. Se il valore di Massimo tempo di attesa è pari a 0, non verrà visualizzata nessuna barra di avanzamento.
  6. Viene creata un´immagine variabili di tutti i driver e i driver interni salvano i loro dati. Queste immagini vengono salvate nella cartella del computer. Se si crea l´immagine nella simulazione, questa contiene anche l´immagine della simulazione driver programmata.
  7. Nuovo trasferimento dei file modificati come spiegato nei punti da 3 a 6.
  8. L´immagine variabili viene confrontata con la cartella di simulazione locale.
  9. Viene salvata l´immagine variabili per le variabili locali.
    Eccezione: quando si crea un´immagine di simulazione.

Questi passaggi vengono eseguiti per tutti i progetti attivi a Runtime, a meno che il progettista non abbia esplicitamente previsto una diversa procedura.


Riproduzione

Manuale -> Simulazione di progetto -> Generale -> Riproduzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella cartella Riproduzione del dialogo di configurazione della funzione “Attiva/Disattiva progetto di simulazione” si configurano i parametri per la modalità di riproduzione del modulo Process Recorder. Se questa finestra di dialogo viene visualizzata a Runtime, si possono modificare solamente le impostazioni relative al tempo.

Le impostazioni di questa scheda sono facoltative.

Ha senso configurarle solamente se si vuole passare direttamente da un ambiente Runtime produttivo alla modalità di riproduzione per processi registrati.

Parametro

Descrizione

Avvia Process-Recorder in modalità di riproduzione

Checkbox che consente di selezionare il comportamento del Runtime dopo l´esecuzione della funzione.

  • Attiva:
    Il Runtime si avvia in modalità di riproduzione.
  • Non attiva:
    Il Runtime viene avviato in modalità di simulazione.

Default: non attiva.

Filtro

In questa area della scheda si configura il punto di avvio della riproduzione a Runtime.

Parametro

Descrizione

Filtro tempo assoluto

Inizio e fine dell´intervallo di tempo di riproduzione vengono inseriti manualmente.

Inserimento di tempo di inizio e di fine negli appositi campi di inserimento.
Formato:

  • Data: GG.MM.AAAA
    Default: data odierna.
  • Tempo: hh:mm:ss
    Default: 00:00:00

Default: attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo relativo.

Filtro Tempo relativo

Inizio dell´intervallo di riproduzione, relativo al tempo di avvio. al punto di avvio. Quest´ultimo viene configurato nell´area Tempo di avvio.

Si indica la differenza negli appositi campi di inserimento.

  • Sottrai orario:
    G hh:mm:ss
  • Aggiungi orario:
    G hh:mm:ss

Default: non attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo assoluto.

Tempo di avvio

Le opzioni di questa proprietà sono disponibili solamente se il tipo di filtro configurato è Filtro tempo relativo. In caso contrario, queste opzioni saranno visualizzate in color grigio e non potranno essere configurate. Il tempo di avvio si seleziona utilizzando gli appositi campi di inserimento.

Parametro

Descrizione

Manuale

Il tempo di avvio della riproduzione per il modulo Process Recorder viene inserito manualmente.

Configurazione del tempo di avvio tramite inserimento nei campi per data e ora.

Default: data odierna/ ore 00:00:00.

Da variabile

Il tempo di avvio della riproduzione per il modulo Process Recorder viene acquisito dal valore della variabile configurata.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

Si consiglia di selezionare e collegare una variabile con il tipo di dato DINT.

Se la variabile collegata non ha un valore valido, oppure se il suo valore è 0, la funzione non verrà eseguita! In questo caso, viene generato un inserimento corrispondente nei LOG.

Ricava da finestra chiamante

Il tempo di avvio della riproduzione a Runtime per il modulo Process Recorder viene acquisito dall´immagine chiamante.

Si prega di tenere presente quanto segue:

  • La funzione Attiva/Disattiva progetto di simulazione può essere attivata solamente da un´immagine di zenon di tipo Lista di informazione allarmi, oppure di tipo Lista Eventi Cronologica.
  • Quando si attiva la funzione, deve essere selezionato solamente un inserimento (allarme o evento) delle liste allarmi o eventi.
    Come tempo di avvio della riproduzione nel modulo “Process recorder” si utilizza il tempo di entrata.

Se la chiamata della funzione via Ricava da finestra chiamante non riesce, un corrispondente inserimento viene scritto nei LOG.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzione "Attiva/Disattiva progetto di simulazione"

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Simulazione on/off consente di eseguire il passaggio dalla modalità di simulazione a quella hardware e viceversa.

Inoltre può avviare il Runtime di zenon per il modulo Process Recorder nella modalità di riproduzione.

Le due modalità di simulazione possono essere avviate con diversi presupposti.

info Info

Se a Runtime un progetto si trova, per esempio, nella fase di reload, o se deve essere aggiornato, oppure se in VBA è aperto un dialogo, la funzione Simulazione on/off non viene eseguita immediatamente. La funzione viene eseguita automaticamente non appena non sussiste più nessuna ragione di ritardo.

Se la modalità non è Attivazione connessione al processo e la checkbox "Attendi per tutte le variabili " non è attiva, il testo parametro viene integrato con l´aggiunta di {Tempo di attesa xxx secondi}.

Diagnosis Viewer

Se ci sono ancora una o più variabili senza valore(i) dopo lo scadere del timeout, il sistema provvede a generare un inserimento nei LOG per ogni connessione nel Diagnosis Viewer. Nel testo generale si legge la frase "simulation image has variables with missing values!", seguita da una lista di tutte le variabili che non hanno un valore valido.

Ancora in questo capitolo

Creare una funzione di tipo "Attiva/Disattiva progetto di simulazione”

Impostazioni

Riproduzione


Creare una funzione di tipo "Attiva/Disattiva progetto di simulazione”

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Creare una funzione di tipo "Attiva/Disattiva progetto di simulazione”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione di tipo Attiva/Disattiva progetto di simulazione consente di passare far passare il Runtime dalla modalità di simulazione a quella hardware e viceversa.

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Applicazione.
  3. Selezionare la funzione Attiva/Disattiva progetto di simulazione.
    Si apre la finestra di dialogo per la configurazione della simulazione di progetto.
  4. Configurare il comportamento desiderato della simulazione di progetto.
    Se si vuole che il Runtime torni dalla modalità di simulazione in modalità hardware, configurare anche le proprietà dell´area Attivazione modalità Hardware.
  5. Assegnare un nome alla funzione nella proprietà Nome.
  6. Per poter attivare questa funzione a Runtime, bisogna collegarla ad un pulsante in un´immagine di zenon.


Impostazioni

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Impostazioni della finestra di dialogo di configurazione della funzione si progettano le modalità di avvio della simulazione di progetto.

Le due modalità (Simulazione o Hardware) possono essere avviate con diversi presupposti:

Attiva Simulazione:

  • Inizializza con l'immagine di processo esistente
  • Inizializza con l'immagine di processo
  • Inizializza con l'immagine di processo e dati Runtime
    • Dati d'archivio
    • File Process recorder

Attivazione modalità Hardware

  • Attivazione connessione al processo
  • Attivazione connessione al processo e trasferimento simulazione di processo al server

Crea/trasmetti immagine di simulazione

  • Creazione simulazione di processo (Runtime in modalità simulata). Trasferimento simulazione di processo al server (Runtime in modalità hardware)

Opzioni

Parametro

Descrizione

Nome simulazione di processo (nome PC, se vuoto).

Nome del file in cui viene salvata l´immagine di simulazione.
Assegnare in questa sede il nome desiderato per l´immagine di simulazione.

Nota: viene salvato solamente il nome della cartella.

Se l´utente non indica un nome, viene usato quello del computer.

Attendi per tutte le variabili

Checkbox che consente di scegliere se, prima del passaggio del Runtime in modalità di simulazione, deve essere disponibile un valore (valido) per tutte le variabili. .

  • Attiva:
    Il Runtime passa in modalità di simulazione solo dopo che tutte le variabili hanno un valore valido. Il passaggio in modalità di simulazione viene ritardato.
  • Non attiva:
    Il Runtime passa subito in modalità di simulazione. Il passaggio in modalità di simulazione avviene anche se non tutte le variabili hanno un valore, oppure se non tutte hanno un valore valido.
    Si sconsiglia di adottare questa opzione!

La checkbox non è attiva se l'opzione Attivazione connessione al processo è attiva (Attivazione modalità Hardware).

Default: attiva.

Massimo tempo di attesa

Tempo massimo espresso in secondi in cui il sistema attende che le variabili ricevano un valore valido prima di eseguire il passaggio in modalità di simulazione.

Se questa opzione è attiva, un passaggio in modalità di simulazione è possibile anche quando non tutte le variabili hanno un valore, oppure non tutte hanno un valore valido.

Se questo timeout è stato attivato, il tempo di attesa impostato viene visualizzato a Runtime nel titolo della finestra di dialogo di stato. Viene visualizzato lo scorrere del tempo. Le variabili mancanti vengono sempre visualizzate. Quando il timeout è trascorso, si passa in modalità di simulazione anche se non tutte le variabili hanno ricevuto un valore, o un valore valido.

Se il Massimo tempo di attesa è stato impostato su 0 secondi, non verrà visualizzata la finestra di dialogo stato.

Default: 30 secondi
Spettro di valori consentiti: 0 - 3600

Nota: quest'opzione è attiva solo se è stato tolto il segno di spunta alla checkbox Attendi per tutte le variabili .

Visualizza errori durante il Runtime

Checkbox che consente di attivare l´emissione di un messaggio di errore in caso di esecuzione errata della funzione:

  • Attiva:
    Se la funzione non viene eseguita in modo corretto, a Runtime viene visualizzato un messaggio che ne informa l´utente.
  • Non attiva:
    Non viene visualizzato nessun messaggio di errore a Runtime quando la funzione non viene eseguita correttamente.

Default: non attiva.

Proponi dialogo a Runtime

Checkbox che consente di stabilire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva:
    questa finestra di dialogo verrà aperta a Runtime sul computer attuale. In rete verrà visualizzata sul computer che esegue la funzione. L´utente potrà poi utilizzare questa finestra di dialogo per eseguire delle modifiche alla configurazione.
  • Non attiva:
    questa finestra di dialogo non verrà visualizzata a Runtime. La funzione o il comando verranno eseguiti immediatamente, con le impostazioni configurate nell´Editor.

Default: non attiva.

Nota: a Runtime le impostazioni per la selezione della modalità sono bloccate e non configurabili. Se è stata selezionata l´opzione Attivazione connessione al processo, non sarà possibile inserire il nome dell´immagine di processo (il corrispondente campo di inserimento viene disabilitato).

Ancora in questo capitolo

Inizializza con l'immagine di processo esistente

Inizializza con l'immagine di processo

Inizializza con l'immagine di processo e dati Runtime

File d'archivio - Inizializza con l'immagine di processo e dati Runtime

File Process Recorder - Inizializza con l'immagine di processo e dati Runtime

Attivazione connessione al processo

Attivazione connessione al processo e trasferimento simulazione di processo al server

Creazione simulazione di processo (Runtime in modalità simulata). Trasferimento simulazione di processo al server (Runtime in modalità hardware)


Inizializza con l'immagine di processo esistente

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Inizializza con l'immagine di processo esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, un´immagine di simulazione esistente viene trasferita dal server al client. Non ha luogo nessun trasferimento se si lavora con un progetto standalone. Viene salvato lo stato delle variabili locali e il Runtime viene riavviato sulla base dell´immagine di simulazione. Il Runtime viene riavviato anche se si trova già in modalità di simulazione. In questo caso, però, non viene salvata nessuna immagine driver delle variabili locali per lo start in modalità hardware.

info Info

Grazie alla possibilità di creare un´immagine di simulazione (tramite l'opzione "Creazione simulazione di processo"), è possibile iniziare una simulazione sempre esattamente dallo stesso punto e con gli stessi presupposti. Nell´immagine non vengono salvati solamente i valori delle variabili, ma viene programmato anche il relativo stato della simulazione driver. Visto che l´immagine viene trasmessa dal server (se esiste), esiste anche la possibilità che più client utilizzino la stessa immagine di simulazione. Quest´immagine viene copiata dal server quando viene avviato il Runtime. In questo processo vengono trasferite solamente le modifiche.


Inizializza con l'immagine di processo

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Inizializza con l'immagine di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso viene creata un´immagine di tutte le variabili locali e vengono salvati tutti i dati di progetto modificabili a Runtime. Poi viene riavviato il Runtime in modalità di simulazione.

Questo passaggio viene eseguito solamente se il progetto non si trova già in modalità di simulazione.

info Info

Tutti i dati esistenti nell´immagine vengono cancellati. Al momento dell´inizializzazione vengono presi in considerazione solamente i valori correnti delle variabili.


Inizializza con l'immagine di processo e dati Runtime

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Inizializza con l'immagine di processo e dati Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso viene creata un´immagine di tutte le variabili locali e di tutti i file della cartella del computer (eccezione: dati di archivio) e vengono salvati i dati di progetto modificabili a Runtime. Poi viene riavviato il Runtime in modalità di simulazione.

Attenzione:

  • tutti i dati esistenti nell´immagine vengono cancellati.
    Al momento dell´inizializzazione vengono presi in considerazione solamente i valori correnti delle variabili
  • Tutti gli allarmi storici e i file CEL vengono copiati.
    Questa procedura può durare un po´di tempo (dipende dalla dimensione dei file in questione).


File d'archivio - Inizializza con l'immagine di processo e dati Runtime

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> File d'archivio - Inizializza con l'immagine di processo e dati Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso viene creata un´immagine di tutte le variabili locali e di tutti i file della cartella del computer - i dati di archivio eventualmente presenti localmente nell´immagine non vengono cancellati - e vengono salvati i dati di progetto modificabili a Runtime. Poi viene riavviato il Runtime in modalità di simulazione.

Attenzione:

  • tutti i dati esistenti nell´immagine vengono cancellati.
    Al momento dell´inizializzazione vengono presi in considerazione solamente i valori correnti delle variabili
  • Tutti gli allarmi storici e i file CEL vengono copiati.
    Questa procedura può durare un po´di tempo (dipende dalla dimensione dei file in questione).
  • Gli archivi esistenti vengono mantenuti.
    La funzione di archiviazione inizia a popolare gli archivi mancanti al momento dell´avvio del Runtime, sempre che il progettista lo abbia stabilito in fase di progettazione. Questa procedura può durare un po´di tempo.
    Nota: la configurazione di queste modalità di popolazione degli archivi si esegue nella proprietà xxx.


File Process Recorder - Inizializza con l'immagine di processo e dati Runtime

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> File Process Recorder - Inizializza con l'immagine di processo e dati Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avvia la simulazione di progetto e passa in modalità di riproduzione del modulo Process Recorder.

info Info

Per ulteriori informazioni su questo argomento, consultare la guida in linea relativa al Process Recorder, in particolare il capitolo Attiva/Disattiva progetto di simulazione.


Attivazione connessione al processo

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Attivazione connessione al processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, si passa dalla modalità di simulazione a quella hardware. A questo scopo viene usata l´immagine delle variabili locali.

Al momento della chiusura della modalità di simulazione, l´immagine di simulazione viene salvata; così lo stato finale della modalità di simulazione potrà essere ripristinato in caso di bisogno. Se esiste una connessione server, l´immagine di simulazione viene trasferita e salvata sul server.

attention Attenzione

Se più client trasferiscono la stessa immagine di simulazione contemporaneamente, non è garantito che l´immagine di simulazione salvata funzionerà.


Attivazione connessione al processo e trasferimento simulazione di processo al server

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Attivazione connessione al processo e trasferimento simulazione di processo al server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La simulazione di progetto è uno strumento che consente di passare dalla modalità di simulazione a quella hardware. La modalità di simulazione consente di simulare processi ed eseguire dei test. In questa modalità vengono eseguite operazioni di commutazione, scritte ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

Inoltre, nell´ambito della simulazione di progetto vengono eseguite progettazioni a Runtime per i moduli Sequenze di comando e Process Recorder. Questo non ha però nessun effetto sui processi produttivi.

Nella rete di zenon, è possibile eseguire la simulazione su un client. Per effetto della simulazione questo client verrà disconnesso dalla rete.

Informazioni relative alla licenza

A partire dalla versione 7.60 di zenon, non è più possibile acquisire e registrare una licenza per il modulo Simulazione di progetto come modulo singolo.

La simulazione di progetto è parte integrante dei seguenti moduli:

  • Sequenze di comando
  • Process Recorder

Per quello che riguarda la registrazione della licenza per la simulazione di progetto, vale quanto segue:

  • Tutti i progetti devono avere una licenza.
  • Per i progetti standalone è necessario avere una licenza per il client.
  • Per i progetti server, la licenza deve essere disponibile sul Server-Standby, oppure localmente.
  • Se si cambia la licenza sul server, i client devono essere riavviati perché la licenza venga applicata.

Modalità simulazione

In modalità di simulazione:

  • Tutti in driver vengono avviati nella modalità simulazione driver - programmata.
  • Non viene salvato nessun dato esternamente:
    • Non viene eseguita nessuna esportazione in SQL.
    • Non vengono generati inserimenti per la banca dati IPA.
    • Gli inserimenti IPA già esistenti non possono essere cancellati, modificati, né si può scrivere un commento.
  • I dati PFS relativi ai turni non vengono salvati nel database.
    (Questi dati verranno salvati non appena il Runtime sarà avviato in modalità hardware.)

info Info

La simulazione di progetto non è disponibile per i client sul Terminal Server.

L´immagine di simulazione viene trasmessa al server ed è a disposizione anche di altri client.


Creazione simulazione di processo (Runtime in modalità simulata). Trasferimento simulazione di processo al server (Runtime in modalità hardware)

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Impostazioni -> Creazione simulazione di processo (Runtime in modalità simulata). Trasferimento simulazione di processo al server (Runtime in modalità hardware)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si crea un´immagine di simulazione e la si salva localmente con il nome indicato, se si lavora in modalità di simulazione.

In modalità hardware, l´immagine di simulazione viene trasferita al server (se esistente) ed è salvata lì con il nome indicato.

info Info

In questo modo si può creare e salvare un´immagine degli stati momentanei. Poi sarà possibile ricominciare la procedura di simulazione in qualsiasi momento partendo esattamente da questo punto e con esattamente gli stessi presupposti.


Riproduzione

Manuale -> Simulazione di progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Riproduzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella cartella Riproduzione del dialogo di configurazione della funzione “Attiva/Disattiva progetto di simulazione” si configurano i parametri per la modalità di riproduzione del modulo Process Recorder. Se questa finestra di dialogo viene visualizzata a Runtime, si possono modificare solamente le impostazioni relative al tempo.

Le impostazioni di questa scheda sono facoltative.

Ha senso configurarle solamente se si vuole passare direttamente da un ambiente Runtime produttivo alla modalità di riproduzione per processi registrati.

Parametro

Descrizione

Avvia Process-Recorder in modalità di riproduzione

Checkbox che consente di selezionare il comportamento del Runtime dopo l´esecuzione della funzione.

  • Attiva:
    Il Runtime si avvia in modalità di riproduzione.
  • Non attiva:
    Il Runtime viene avviato in modalità di simulazione.

Default: non attiva.

Filtro

In questa area della scheda si configura il punto di avvio della riproduzione a Runtime.

Parametro

Descrizione

Filtro tempo assoluto

Inizio e fine dell´intervallo di tempo di riproduzione vengono inseriti manualmente.

Inserimento di tempo di inizio e di fine negli appositi campi di inserimento.
Formato:

  • Data: GG.MM.AAAA
    Default: data odierna.
  • Tempo: hh:mm:ss
    Default: 00:00:00

Default: attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo relativo.

Filtro Tempo relativo

Inizio dell´intervallo di riproduzione, relativo al tempo di avvio. al punto di avvio. Quest´ultimo viene configurato nell´area Tempo di avvio.

Si indica la differenza negli appositi campi di inserimento.

  • Sottrai orario:
    G hh:mm:ss
  • Aggiungi orario:
    G hh:mm:ss

Default: non attiva.

Nota: la checkbox non è attiva se il tipo di filtro impostato è Filtro tempo assoluto.

Tempo di avvio

Le opzioni di questa proprietà sono disponibili solamente se il tipo di filtro configurato è Filtro tempo relativo. In caso contrario, queste opzioni saranno visualizzate in color grigio e non potranno essere configurate. Il tempo di avvio si seleziona utilizzando gli appositi campi di inserimento.

Parametro

Descrizione

Manuale

Il tempo di avvio della riproduzione per il modulo Process Recorder viene inserito manualmente.

Configurazione del tempo di avvio tramite inserimento nei campi per data e ora.

Default: data odierna/ ore 00:00:00.

Da variabile

Il tempo di avvio della riproduzione per il modulo Process Recorder viene acquisito dal valore della variabile configurata.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che consente di selezionare una variabile.

Si consiglia di selezionare e collegare una variabile con il tipo di dato DINT.

Se la variabile collegata non ha un valore valido, oppure se il suo valore è 0, la funzione non verrà eseguita! In questo caso, viene generato un inserimento corrispondente nei LOG.

Ricava da finestra chiamante

Il tempo di avvio della riproduzione a Runtime per il modulo Process Recorder viene acquisito dall´immagine chiamante.

Si prega di tenere presente quanto segue:

  • La funzione Attiva/Disattiva progetto di simulazione può essere attivata solamente da un´immagine di zenon di tipo Lista di informazione allarmi, oppure di tipo Lista Eventi Cronologica.
  • Quando si attiva la funzione, deve essere selezionato solamente un inserimento (allarme o evento) delle liste allarmi o eventi.
    Come tempo di avvio della riproduzione nel modulo “Process recorder” si utilizza il tempo di entrata.

Se la chiamata della funzione via Ricava da finestra chiamante non riesce, un corrispondente inserimento viene scritto nei LOG.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Variabile del driver di sistema - Stato Runtime (simulazione)

Manuale -> Simulazione di progetto -> Variabile del driver di sistema - Stato Runtime (simulazione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile del driver di sistema [Informazioni di sistema] Stato-Runtime (simulazione) indica in quale stato si trova il Runtime attualmente. La variabile si trova fra le variabili del driver di sistema, nel tema Informazioni di sistema. Sono possibili i seguenti stati:

Stato | Descrizione
0 | Connessione di processo - il Runtime si trova nella modalità hardware.
1 | In simulazione, cambio a connessione di processo.
2 | Con connessione al processo, cambio a simulazione.
3 | In simulazione - il Runtime si trova in modalità di simulazione


Script

Manuale -> Simulazione di progetto -> Script

Per la modalità di simulazione, sono a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_SIMUL | Se il Runtime viene avviato in modalità di simulazione, viene eseguito automaticamente lo script AUTOSTART_SIMUL, se è stato configurato. Nota: questo vale anche per la modalità di riproduzione del modulo Process Recorder.
AUTOEND_SIMUL | Se il Runtime chiude la modalità di simulazione, viene eseguito automaticamente lo script AUTOEND_SIMUL, se è stato configurato. Nota: questo vale anche per la modalità di riproduzione del modulo Process Recorder.


Particolarità della modalità di simulazione.

Manuale -> Simulazione di progetto -> Particolarità della modalità di simulazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fra la modalità hardware e quella di simulazione ci sono le seguenti differenze:

  • Non viene utilizzata la directory di backup.
  • Gli archivi non vengono dislocati.
  • Gli archivi vengono salvati solamente in formato zenon
  • La funzione Esporta archivio non può essere eseguita.
  • La dislocazione SQL è disattivato per diversi moduli.
  • Il Message Control è disattivato.
  • Runtime di zenon Logic non vengono avviati.
  • Non c'è scambio di dati con un Runtime di zenon Logic mediante un driver di zenon.
  • Nessuna simulazione sul Web Client di zenon e con Windows CE.
  • Le variabili dello Standby rimangono senza valore.
  • Non viene eseguita la commutazione del driver fra hardware e modalità di simulazione.
  • Può succedere che uno script non venga eseguito per intero se viene eseguita nello script una funzione che richiede il riavvio del Runtime.
  • Il programma di simulazione contenuto in "Simulazione driver programmata" viene usato anche per la simulazione progetto.
  • In modalità di simulazione, la funzione Salvataggio dati ritentivi non salva nessun valore dei seguenti driver:
    • Driver Interno
    • Driver matematico
    • Driver di sistema


Traduzione online

Manuale -> Simulazione di progetto -> Traduzione online

Definire i testi da tradurre per tutti i progetti nel progetto di partenza (progetto di start). Definire nel progetto di start anche la funzione corrispondente. Questo è garanzia di avere poi il testo online nel progetto giusto. Anche gli eventuali messaggi di errore verranno inseriti nel progetto corrispondente.


Immagini di simulazione

Manuale -> Simulazione di progetto -> Immagini di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché possano essere ripristinati, i valori delle variabili dei driver devono essere salvati nei seguenti file:

Nome del file | Descrizione
Drv'Treiber-ID'.sim | In questi file, i valori di tutte le variabili vengono salvati sul driver rispettivo. I file sono necessari per ripristinare i valori correnti nella simulazione dopo il riavvio del Runtime. Se i file sono stati creati durante il funzionamento in modalità di simulazione, è contenuta anche un´immagine della simulazione programmabile.
Drv'Treiber-ID'.lsim | In questi file sono salvati i valori delle variabili locali per il driver corrispondente. Se il Runtime si avvia con connessione di processo e questi file vengono trovati, le variabili locali acquisiscono i valori da questi file. Poi i file vengono cancellati. Questo succede anche se il Runtime viene avviato manualmente.
Drv'Treiber-ID'.lssim | Salva l´immagine delle variabili locali che viene ripresa nell'immagine di simulazione.


File nell´immagine di simulazione

Manuale -> Simulazione di progetto -> File nell´immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene generata un´immagine di processo per la simulazione, vengono ripresi in essa file e cartelle da diverse sorgenti. Quando la simulazione è attiva, il sistema accede a questi file e non più a quelli originali, che, per esempio, si trovano nella directory del computer.

I seguenti file della cartella di sistema del progetto vengono copiati nella directory di sistema dell´immagine di processo:

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

E le seguenti cartelle:

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

Dalla directory del computer vengono acquisti tutti i file, ad eccezione di quelli con il suffisso *.lsim. Per la modalità Simulazione senza immagine, vengono ripresi i file *.sim, internvar.bin, sy_ma32.bin e uservar.bin. Per la modalità “Simulazione senza archivi”, vengono ripresi tutti i file, ad eccezione di quelli con il suffisso *.arx e *.ars.


Runtime - Parametri della riga di comando

Manuale -> Simulazione di progetto -> Runtime - Parametri della riga di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie ai parametri della riga di comando, il Runtime riconosce se deve avviarsi in modalità simulazione o in modalità hardware. Se non è stato indicato nessun parametro, il Runtime si avvia in modalità hardware. Questi parametri possono essere inseriti anche in caso di uno start manuale.

Parametri della riga di comando

zenProcess

L´applicazione zenProcess.exe viene usata per riavviare il Runtime di zenon al momento del passaggio fra le due modalità simulazione e hardware.

Sintassi

La chiamata di zenProcess.exe avviene con la seguente sintassi:

zenprocess.exe parameter1 parameter2 parameter3

  • Parametro 1: SIM oppure vuoto
  • Parametro 2: RESTART=
  • Parametro 3: RTPAR=

Parametro

Parametro

Descrizione

SIM

Visualizzazione nel titolo della finestra di dialogo.
Se questo parametro è:

  • settato: il titolo della finestra di dialogo visualizza quanto segue: "Switching to simulation mode".
  • non settato: il titolo della finestra di dialogo visualizza quanto segue: "Switching to online mode".

RESTART=

Riavvio del Runtime. Il percorso di zenrt32.exe deve essere indicato.

Procedura:

Il parametro causa il riavvio solo dopo che il Runtime è terminato. Il Runtime stesso dunque, non viene chiuso da questo parametro; a questo scopo si deve eseguire una funzione a Runtime. Il sistema attende finché tutti i processi non sono terminati in modo normale. Nel frattempo vengono visualizzati nella finestra di dialogo il numero e il nome (al massimo 5) dei processi in corso di cui si attende la conclusione. Subito dopo, il Runtime viene riavviato.

Esempio: RESTART="d:\zversionen\720_inst\zenrt32.exe"

RTPAR=

Riavvio in modalità simulazione o in modalità hardware.

  • SIMUL: il Runtime viene avviato in modalità simulazione con il nome d´immagine indicato. Se non si indica nessun nome d´immagine, il sistema userà il nome del calcolatore.
    Sintassi: SIMUL=“Nome d'immagine”
  • REALMODE: il Runtime viene avviato in modalità hardware con il nome d´immagine indicato. Se non si indica un nome d´immagine, non ci sarà nessun trasferimento.
    Sintassi: REALMODE="Abbildname"

Esempio:

RTPAR="SIMUL=TEST.SIM"

CANCEL

Con questo parametro cancellate l´operazione di commutazione. Il Runtime verrà chiuso, ma non riavviato.

Esempio

Avviare il Runtime in modalità simulazione con un´immagine esistente:

zenprocess.exe SIM RESTART="d:\zversionen\720_inst\zenrt32.exe" RTPAR="SIMUL=TEST.SIM"


Limitazioni

Manuale -> Simulazione di progetto -> Limitazioni

Sono conosciute le seguenti limitazioni:

  • il modulo Batch Control non viene supportato nella simulazione.


Simulazione driver

Manuale -> Simulazione driver

Se, al momento della progettazione, non è disponibile il processo di base, quest´ultimo può essere simulato e poi testato. A tal scopo, sono a disposizione tre modalità:

  • Simulazione - statica: valori constanti simulati dal driver.
  • Simulazione - conta: i valori simulati dal driver vengono calcolati
  • Simulazione - programmata: i valori vengono calcolati mediante un progetto di simulazione con zenon Logic

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.

Nota: Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

info Info

Le variabili di zenon che rappresentano , IO variabili zenon Logic, non sono disponibili nel progetto nello stato Simulazione driver - programmata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Simulazione statica

Simulazione – conta

Simulazione - programmata


Simulazione statica

Manuale -> Simulazione driver -> Simulazione statica

Nel caso di simulazione statica, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti. I valori possono essere modificati dal runtime oppure dall´utente. Al riavvio del runtime con Simulazione - statica, tuttavia, questi valori non verranno salvati e andranno dunque perduti.


Simulazione – conta

Manuale -> Simulazione driver -> Simulazione – conta

Nel caso di simulazione - conta, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità il driver incrementa i valori automaticamente all´interno di un intervallo valori cominciando da 0. Quando si raggiunge il valore massimo, il procedimento di conta riprende da 0.

info Info

Se si hanno valori di partenza negativi, il procedimento di conta inizia solamente da 0.

INT usa per contare il valore massimo di USINT.

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.


Simulazione - programmata

Manuale -> Simulazione driver -> Simulazione - programmata

Nel caso di simulazione programmata, non viene instaurata una comunicazione con il controller; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene creato con l´aiuto del workbench di zenon Logic ed eseguito nel runtime di zenon Logic. Ciò consente di modificare lo stato e il time stamp di variabili sul driver. I comandi di scrittura su variabili vengono trasmessi alla simulazione tramite zenon; il server ridondante e il server di standby vengono sincronizzati. In tal modo è possibile simulare anche procedimenti complessi.

Per avviare il programma di simulazione selezionate nella Configurazione driver la modalità Simulazione - programmata.

info Info

Windows CE

La simulazione-programmata non è disponibile sotto Windows CE.

Ancora in questo capitolo

Editor

Configurazione driver.

zenon Logic Workbench

Runtime

Indicazioni sulle variabili in progetti di simulazione

Messaggi d'errore


Editor

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Crea progetto

Elimina progetto

Engineering distribuito

Cambia driver

XML-Export/Import


Crea progetto

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Crea progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter creare un progetto per la simulazione - programmata, si deve procedere come segue:

  • si deve selezionare un solo driver di processo
  • il nome progetto deve essere valido.

attention Attenzione

Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

Per creare un progetto di simulazione:

  • cliccate all´interno del gruppo Progetto di simulazione del driver, in corrispondenza della proprietà Modifica su Clicca qui ->
  • viene creato un nuovo progetto zenon Logic
  • Nome e numero di porta per Porta eventi e Porta standard vengono attribuiti automaticamente; potete modificarli a piacere.
  • viene aperto il workbench di zenon Logic

Il workbench del progetto di simulazione viene chiuso automaticamente se:

  • si chiude l´editor di zenon
  • si cancella un driver il cui progetto di simulazione viene redatto al momento nel workbench
  • il progetto di simulazione per il driver viene chiuso usando la proprietà Elimina
  • il progetto di simulazione viene rinominato

info Info

Numeri di porta: Quando viene generato il progetto di simulazione, gli viene assegnato automaticamente un numero di porta univoco. Un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multi-gerarchici, ci si deve assicurare che un numero di porta sia usato una sola volta in tutti i progetti eseguiti nel Runtime. Se un numero di porta viene usato più di una volta, infatti, si possono verificare degli errori di comunicazione con il Workbench/Runtime di zenon Logic.

I numeri di porta possono essere modificati ed adeguati manualmente. Un numero di porta deve soddisfare le seguenti condizioni:

  • Deve essere libero nel progetto.
  • Deve essere univoco per tutti i progetti che sono eseguiti nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, si consiglia adeguamento manuale)
  • Massimo: 6999 (in caso di assegnazione automatica, si consiglia adeguamento manuale)

Luogo in cui salvare il progetto

Un progetto zenon Logic contiene molti file e cartelle. Per facilitare il lavoro, soprattutto nel caso di una progettazione distribuita, tutti i file vengono salvati in forma compatta nel file Simul_<Treiber-ID>.zip che si trova nella cartella <Sql Projekt Pfad>\FILES\zenon\custom\drivers. Nell´editor, questo file si trova con quelli del driver. Al momento dell´avvio del workbench di zenon Logic, i file vengono decompressi automaticamente e, al momento della chiusura del workbench, vengono di nuovo compressi.

Crea variabili

Quando si creano delle variabili in un progetto di simulazione, è importante procedere rispettando la seguente successione di passaggi:

  1. prima di tutto create la variabile
  2. selezionate poi il tipo di dato valido nel workbench di zenon Logic
  3. solo dopo attivate la proprietà embed symbol

Background: le variabili vengono create di default con il tipo di oggetto driver PLC marker. Questo tipo di oggetto non supporta per tutti i driver tutti i tipi di dato. Se una variabile viene copiata nel workbench di zenon Logic con la proprietà embed symbol attiva, quest´ultima dovrà essere disattivata per poter poi procedere al cambiamento del tipo di dato. In tal modo, la variabile viene cancellata in zenon.

info Info

Segnalazione di errore "Can not create variable"

Non è possibile creare una variabile nell´oggetto di simulazione se il driver non ha nessun tipo di oggetto driver (escluso

Variabile del driver) che supporta questo tipo di dato.

Quando si attiva embed symbol, verrà poi visualizzata la segnalazione di errore "can not create variable".

Tipo di dato strutturato

Quando si creano delle variabili con un tipo dato strutturato, avviene quanto segue:

  • le variabili vengono create, se possibile, con il tipo di oggetto driver PLC marker.
  • il sistema prova tutti i tipi di oggetto driver (fatta eccezione per Variabile del driver) finché non ne trova uno utilizzabile per tutti gli elementi.
  • se non è disponibile nessun tipo di oggetto driver adeguato, avviene quanto segue:
    • non viene creata nessuna variabile nel caso di non-variabili struttura
    • nel caso delle variabili struttura, si usa il tipo di oggetto driver PLC marker.

Esempio:

un tipo dato strutturato contiene elementi del tipo UINT e STRING. Viene creata una variabile per il driver S7TCP e embed symbol viene attivata.

  • La variabile non viene creata in PLC marker, ma come Ext. Datablock, in cui sono presenti tutti gli elementi di struttura.
  • Viene aggiunto un nuovo tipo LINT; esso non viene supportato da Ext. Datablock.
  • Quando si crea una nuova variabile, essa viene impostata come tipo PLC marker. Può essere attivata solamente la prima variabile complessa (UINT). Nel caso della variabile strutturata esistente, il tipo di oggetto rimana Ext. Datablock e l´ultimo elemento di struttura (LINT) non può essere attivato.

Compilazione dei file

Se un progetto di simulazione viene compilato nel workbench di zenon Logic, ciò comporta in zenon la creazione delle variabili e del file di programma nel runtime.
Nel compilare, nella cartella runtime \RT\FILES\zenon\custom\drivers viene generata una sottocartella con il nome del progetto di simulazione. In questa cartella viene poi depositato il file con il codice della simulazione in SIMULRT.COD.

Durante la compilazione, nella finestra di emissione viene visualizzata la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

attention Attenzione

Nel caso di Progetti multiutente, non si può creare nessun nuovo progetto di simulazione offline. Esso non può essere più cancellato.


Elimina progetto

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Elimina progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un progetto di simulazione:

  1. cliccate all´interno del gruppo- Progetto di simulazione del driver in corrispondenza della proprietà Elimina sul pulsante su Clicca qui >
  2. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza
  3. il file ZIP contenente i file di progetto viene cancellato subito
  4. il workbench di zenon Logic viene chiuso

Tenere presente quanto segue:

  • la cartella Runtime per il progetto di simulazione, invece, viene conservata
  • la funzione Annulla non è disponibile per questa azione,
  • cliccando su Modifica si crea un nuovo progetto di simulazione
  • nel caso di Progetti multiutente:
    • si deve configurare il driver su Consenti modifiche per consentire la cancellazione del programma di simulazione
    • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;

      se si cerca di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.

    • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Il progetto di simulazione viene rimosso già al momento della cancellazione dalla banca dati locale e da quella del server. Non sarà possibile annullare questa operazione!

Nota: Anche la cancellazione del file ZIP con i file del driver porta all´eliminazione del progetto di simulazione. Requisito il workbench di zenon Logic per questo driver non è aperto. Si sconsiglia di adottare questa procedura!


Engineering distribuito

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Engineering distribuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di progetti multiutente, tutte le funzionanti workbench zenon Logic appartenenti al progetto vengono chiuse per la simulazione driver in corrispondenza di:

  • Riprendi modifiche per moduli, che per Permetti modifiche vengono completamente bloccati per altri utenti, come variabili, driver e tipi di dato.
  • Cancella modifiche:
    • non vengono creati nuovi progetti sul server
    • le modifiche vanno perse nel programma di simulazione
    • i file driver non presenti nella banca dati del server vengono cancellati anche nelle banche dati locali
  • Sincronizza:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.
  • Attualizza la versione locale:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.

attention Attenzione

Lo stato del file ZIP del progetto di simulazione non deve essere in alcun modo modificato extra (, Permetti modifiche, Rifiuta modifiche Stato Multiuser), per salvare operazioni corrette Riprendi modifiche e Permetti modifichedel driver!

Elimina progetto

Nel caso di Progetti multiutente

  • si deve configurare il driver su Consenti modifiche per far sì che il programma di simulazione possa essere cancellato.
  • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;
    • se si cerca di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.
  • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Un progetto di simulazione con lo stato rendere possibili le modifiche, nella modalità Offline non può essere cancellato.

per questa ragione un progetto di simulazione generato in un progetto multiutente offline non può essere più cancellato.


Cambia driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Cambia driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di cambiamento di driver in zenon vale quanto segue:

  • Il progetto di simulazione rimane.
  • Tuttavia, tutte le porte vengono settate su 0. Per ottenere numeri di porta funzionanti, aprite il progetto nell´Editor. Il sistema provvederà automaticamente a inserire nuovi numeri di porta. Questi possono essere anche assegnati manualmente.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML-Export/Import

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> XML-Export/Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un progetto in modalità simulazione - programmata può essere esportato via XML. Non può essere importato però come nuovo progetto per un altro driver.

Workaround:

  1. Esportate i programmi zenon Logic.
  2. Importateli nel nuovo progetto per il nuovo driver.
  3. Sostituite le variabili mediante Cerca e Sostituisci.


Configurazione driver.

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando procedete alla configurazione del driver, sono a Vostra disposizione quattro modalità:

  • Hardware
  • Simulazione – conta
  • Simulazione statica
  • Simulazione - programmata

Selezionate la modalità Simulazione - programmata.

Ancora in questo capitolo

Stato Variabile driver

Sincronizzazione ciclica


Stato Variabile driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver. -> Stato Variabile driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato del runtime di zenon Logic viene visualizzato nella variabile driver SimulRTState su Offset 60. La variabile è numerica e non può essere scritta. Il valore fornisce informazioni sullo stato del runtime:

Bit | Significato | Descrizione
31 | senza applicazione | Runtime non ha caricato nessun programma; il programma è stato bloccato, oppure non è caricato nel runtime.
30 | non istanziato | Il runtime non è stato istanziato, per esempio perché non è stato possibile caricare DLL con il runtime, oppure perché non c`è abbastanza spazio di memoria, oppure perché DLL non è disponibile o lo è nella versione sbagliata.
18 | p-code available | p-Code è disponibile insieme a codice compilato; è possibile passare dall´uno all´altro.
17 | compiled code active | Il runtime è funzionante con code compilato (altrimenti: p-Code interpretato).
16 | compiled code available | compiled code di C-Compiler è disponibile.
15 | application is loaded | un´applicazione è presente, il runtime funziona.
14 | cant start - missing handlers | Mancano alcune funzioni "C".
13 | active breakpoints installed | E´stato settato dal debugger almeno un breakpoint.
12 | CT segment exists | L´applicazione è stata compilata con l´opzione "complex variables in separate segment".
11 | Riservato | (Interno, solo per il runtime.)
10 | sysinfo request is available | (Interno, solo per il runtime.)
9 | freeze event production | Binding non trasmette nessun evento.
8 | single cycle mode | (Interno, solo per il runtime e debugger)
7 | Riservato | (Interno, solo per il runtime.)
6 | locked variables | Perlomeno una variabile è bloccata.
5 | trigo functions are in degrees | Le funzioni trigonometriche vengono indicate in gradi.
4 | log message(s) in stack | (Interno, solo per il runtime.)
3 | application stopped between 2 progs | Il runtime é stato bloccato nell´effettuazione dell´operazione di debugging nel mezzo di due passaggi.
2 | application stopped on SFC breakpt | (Interno, solo per il runtime.)
1 | application stopped on error | Il runtime viene bloccato per errore grave. Necessario un nuovo start.
0 | application is running | TRUE = l´applicazione è nella modalità "run". FALSE = l´applicazione fa una pausa nella modalità "cycle to cycle".

info Info

La variabile driver SimulRTState con Offset 60 indica lo stato del runtime sul server. Ciò vale anche se viene visualizzata la variabile sul server in standby.


Sincronizzazione ciclica

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver. -> Sincronizzazione ciclica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le simulazioni funzionano in rete sul server e sul Server-Standby in modo autonomo. Al momento dello start del Server-Standby si verifica una sincronizzazione con il server, ma:

  • se questa prima sincronizzazione viene rimandata in modo corrispondente alla scadenza pacchetti
  • delle piccole differenze portano a crescenti divergenze nell´esecuzione.

Anche lo stato delle variabili simulate varia. Per limitare l´entità di queste differenze, sfruttate la funzione Trasmetti Immagine di simulazione driver allo standby per la sincronizzazione dell´immagine di simulazione:

  • Creare una nuova funzione.
  • selezionate Trasmetti driver-immagine di simulazione allo standby

  • Si apre il dialogo per la selezione dei driver.

  • nella lista sono indicati tutti i driver collegati al processo (escluso simulatore) disponibili (cliccate sulla cima della colonne per cambiare il criterio secondo il quale i driver sono ordinati nella lista).
  • selezionate adesso quel driver che devono essere sincronizzati
  • per ogni richiamo della funzione sul Server-Standby viene richiesta un´immagine dal server per il driver selezionato.

Mediante attivazione ciclica, possono essere ridotte al minimo le differenze nello stato di simulazione attuale. Adattate la griglia dell´esecuzione alla quantità dei dati da sincronizzare, visto che questa operazione significa un carico per rete e computer.

La Esecuzione: della funzione è impostata in modo fisso a Server Standby e non può essere modificata. Essa si verifica solamente se:

  • il calcolatore è il Server-Standby
  • il server online è
  • il progetto è un progetto di rete
  • sono stati selezionati driver per la sincronizzazione

Per modificare la selezione del driver

  • cliccate nelle proprietà del driver sul gruppo Generale e sulla proprietà Parametri
  • Si apre il dialogo per la selezione dei driver.


zenon Logic Workbench

Manuale -> Simulazione driver -> Simulazione - programmata -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Simulazione - programmata viene programmata nel workbench zenon Logic, che collabora in modo stretto con l´Editor di zenon. Per la simulazione (a differenza della soluzione integrata) vengono scambiate fra gli editor solamente le variabili di un driver.

Definizione delle variabili da scambiare

Al momento dell´avvio del workbench di zenon Logic, tutte le variabili del driver che non sono ancora esistenti in zenon Logic vengono impostate come variabili globali. Per queste ultime è sempre attiva automaticamente l´impostazione Rendere simbolo indipendente.

Visibilità

Se si definisce nel workbench una nuova variabile nell´area globale oppure ritentiva, essa è visibile solamente in zenon Logic. Per renderla visibile anche in zenon, deve essere attivata l´opzione Rendi indipendenti simboli. A partire da questo momento, la variabile viene attualizzata da entrambi gli editor.

Nel caso in cui si disattiva per la variabile l´opzione Rendere simbolo indipendente, la variabile viene cancellata nell´editor di zenon. Questo comportamento del sistema permette di definire in zenon Logic delle variabili globali e ritentive, che non sono visibili per zenon.

Per una variabile creata con il workbench di zenon Logic in zenon, il sistema prova l´assegnazione all´area SPSMERKER. Se però il zenon Drivernon supporta il tipo di dato configurato in essa, il sistema cerca la prima area dati che supporta questo tipo di dato. Se il sistema non trova nessun´area, la variabile non può essere impostata.

Una variabile è bloccata solamente se si ha un Progetto multiutente e quest´ultimo non possiede ancora lo stato Abilitare le modifiche.

Impostazioni di progetto

Alcune impostazioni sotto Progetto -> Parametri-progetto.... -> Altre opzioni -> Estese in zenon Logic hanno influenza sulla funzionalità della simulazione.

Impostazioni Estese

Descrizione

Runtime: Modalità di esecuzione

Consigli:

Modalità: con trigger

Tempo di ciclo: da 1/4 a 1/3 del tempo necessario all´attualizzazione del driver
Delle modifiche di valore troppo frequenti di variabili simulate portano a sottoporre il computer ad un carico elevato

Compiler/Opzioni: Rendere indipendenti simboli di tutte le variabili

Consigli: disattivare.
Attiva: i dati per una variabile vengono scambiati visto che l´assegnazione avviene nel runtime mediate i nomi simbolo.

Ma: le modifiche alla progettazione delle variabili non vengono attualizzate fra zenon e zenon Logic. non è più possibile l´online change.

Compiler/Opzioni: mantenere la scrittura in lettere maiuscole/minuscole dei simboli.

Senza conseguenza: nel runtime, i nomi variabili vengono sempre convertiti nella scrittura in lettere maiuscole.

Compiler/Opzioni: impostare bit di stato per variabili con profilo.

Attivo: Nel programma di simulazione lo stato delle variabili viene simulato o il sistema reagisce ad esso.

„C" Compiler

Nativer Code viene supportato.

Nome del DLL che deve contenere il codice compilato: t5app.dll.


Runtime

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Funzionalità

Array e simulazione

File Runtime

Scambio dati

Formato dati

Ridondanza

Stato

Start/Stop

Comandi driver

Assegnazione variabili

Data e ora


Funzionalità

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime di zenon Logic mette a disposizione le seguenti funzionalità.

  • Trasferimento file
  • Tipi di dato:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Array di zenon (vedi anche Array e simulazione)
  • Dato relativo alla data/ dato ora
  • Registrazione valori digitale
  • Blocchi funzione collegati in modo dinamico, reperibili in t5block*.dll
  • Hot restart
  • Logging:
    • Segnalazioni Trace del programma (printf)
    • Segnalazioni errore del Runtime
    • Tutte a Workbench a e Diagnosis Server
  • Codice macchina: Native compiled code con C-Postcompiler (non disponibile per Windows CE)
  • Online change
  • Linguaggi di programmazione: AWL, AS, FUP, KOP, ST
  • Dati Retain (dati ritentivi)
  • Blocchi funzioni e features speciali:
    • serializzazione dati
    • Occupazione di memoria dinamica
    • Ricette indipendenti
    • Lista variabile indipendente
    • File Management
    • Files
    • Mathe
    • Random
    • Segnali
    • Tabelle stringe
    • Trigonometria
    • Ora
  • Comunicazione spontanea:
    • Cambio valori come evento
    • 16 collegamenti
    • Isteresi
  • UDP & TCP/IP per linguaggi IEC
  • Variabili - Interblocco


Array e simulazione

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Array e simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per simulare array multidimensionali nel contesto di una simulazione driver, dovete attivare nel workbench di zenon Logic la proprietà "Salva variabili complesse in segmento proprio".

Array con indice di partenza 1

Se, nel corso di una simulazione, ci sono degli array con indice di partenza 1, questi vengono creati nel workbench di zenon Logic con un ulteriore indice.

Example Esempio

Un array dispone in zenon degli indici da 1 a 4. Questo tipo di array ha, invece, nel workbench di zenon Logic gli indizi da 0 a 4.

In tal modo si assicura che in zenon e in zenon Logic vengano usati gli stessi indici. L´indice 0 non viene trasmesso al driver.

Se cambiate degli array nel workbench di zenon Logic, dovete tener presente questo ulteriore indice.


File Runtime

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> File Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della creazione dei file runtime, viene generata nel Cartella Runtime del progetto nel percorso \RT\FILES\zenon\custom\drivers una sottocartella recante il nome del progetto di simulazione. In questa cartella viene depositato il file simulrt.cod con il codice della simulazione.

Nella caso che la compilazione nel workbench e la trasmissione nella cartella runtime abbiano avuto successo, nella finestra di emissione dell´editor apparirà la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

Trasporto remoto

I file runtime per la simulazione vengono generati come sottocartella dei file del driver. Nel caso del Trasporto Remoto, la sottocartella viene trasmessa con tutti i file in essa contenuti al computer di destinazione.


Scambio dati

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Scambio dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo scambio dati provenienti dal Runtime di zenon Logic verso il driver inizia con il secondo ciclo del Runtime di zenon Logic. In tal modo, il primo ciclo è a disposizione per inizializzare tutte le variabili nel runtime.

Uno scambio ha luogo solamente se:

  • la variabile viene richiesta e:
    • non ha ancora ricevuto nessun valore.
    • nel driver non ha lo stato Spento (OFF/_VSB_N_UPD) oppure Valore di riserva (ALT_VAL/_VSB_AVALUE)
    • è ancora usato dal driver.
    • sono cambiati valore o stato.

Lo scambio dati in direzione del driver avviene in modo asincrono rispetto al ciclo del runtime. Il driver passa in rassegna le modifiche dei valori una volta per ciclo di update. Tutti i valori modificati - fatta eccezione per quelli con lo stato Spento (OFF/_VSB_N_UPD) oppure valore di riserva (ALT_VAL/_VSB_AVALUE) - vengono inseriti nella lista delle variabili da attualizzare nel driver e vengono registrati durante il runtime.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Simulazione valore

Le modifiche di valore non vengono trasmesse subito, ma sono depositati un un buffer. La grandezza del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande. Il ritardo della trasmissione a causa del ciclo del driver può essere di al massimo 100 ms. Se cambia di nuovo il valore di una variabile mentre essa attende di essere trasmessa, tutti i valori non ancora trasmessi durante il runtime vengono depositati subito; solo dopo si prende nota dei nuovi valori. Ciò può provocare un carico più elevato per computer e rete, ma, nel contempo, è garanzia del fatto che tutti i valori vengano trasmessi durante il runtime.

Driver Comando di scrittura

Se è stata configurata Simulazione - programmata ed essa è attiva, i comandi di scrittura sullo standby vengono passati fino al runtime.

Le operazioni di scrittura vengono eseguite dal driver in modo asincrono rispetto al runtime. Lo scambio dati ha luogo tramite un buffer. La dimensione del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande.

I comandi di scrittura vengono passati attraverso il runtime dopo le modifiche di valore. Se un comando di scrittura non può essere eseguito in modo corretto, viene visualizzata la segnalazione di errore Write queue full! Write command for <DP-Name> lost!.

Se i bit di stato sono attivi, lo stato Scrittura avvenuta con successo indica che il driver è riuscito a scrivere il valore sulla variabile. Il programma Runtime dovrebbe cancellare questo stato dopo aver elaborato il comando di scrittura. Un bit di stato già attivo non ritarda una nuova operazione di scrittura del driver. I comandi di scrittura vengono eseguiti anche quando il programma Runtime è stato interrotto da un punto di interruzione (breakpoint).

Nota: non tutti i comandi di scrittura del driver devono essere visibili nel runtime. Se per una stessa variabile ci sono nel buffer più comandi di scrittura, è visibile nel programma runtime solamente l´ultimo.

Disattiva variabile, passa a valore sostitutivo.

Se la variabile viene disattivata, oppure se si passa al valore sostitutivo, ciò non è rilevabile per il runtime. Modifiche di valore effettuate con il runtime, non vengono assegnate alle variabili nel driver. Se la variabile passa di nuovo al valore spontaneo oppure viene attivata, anche il valore attuale proveniente dal runtime viene di nuovo trasmesso al driver. Alla disattivazione del valore spontaneo, viene settato il bit di stato OFF; quando si ritorna al valore spontaneo, viene resettato il bit OFF.


Formato dati

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Formato dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dati ritentivi

Dati ritentivi vengono depositati nel file SimulRt<TreiberID>.ret. Per ogni simulazione viene generato un file del genere, sempre che siano presenti delle variabili ritentive. Si tiene conto di questo file al momento del confronto in rete.

Driver ritentivo

L´impostazione Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentivamanente.


Ridondanza

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start sul Server-Standby

Se il driver è già attivo sul Server-Standby, dovrebbe essere disponibile anche l´immagine per la simulazione. In questo caso, la simulazione viene avviata "hot" con quest´immagine. In caso di mancanza dell´immagine si verifica un warm start.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Allineamento

Oltre ai file di programma della simulazione, vengono sincronizzati anche:

  • dati ritentivi (*.ret)
  • tutti i file *.simul
    Questa parte finale del nome file viene generata dal programma di simulazione per file specifici della simulazione stessa e collocata nella cartella con la denominazione computer sotto a Cartella Runtime.


Stato

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simulazione stato

Per quello che concerne la simulazione di stato, in zenon Logic alla voceProgetto -> Parametro di progetto -> Estese -> Compiler -> Opzioni -> deve essere attivo Imposta bit di stato per variabil con profilo. Nel caso in cui lo stato di una variabile venga modificato, si verifica la trasmissione della variabile al driver.

La modifica al seguente stato non causa un aggiornamento del valore nel driver e non viene neanche ripresa dalla simulazione:

  • External Real-Time (T_EXTERN/_VSB_RT_E)
  • Internal Real-Time (T_INTERN/_VSB_RT_I)
  • Ora solare (T_STD/_VSB_WINTER)
  • Conferma scrittura (WR_ACK/_VSB_WR_ACK)
  • Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC)
  • Stato normale (NORM/_VSB_NORM)
  • Normal deviation (N_NORM/_VSB_ABNORM)
  • Seleziona nella rete (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In costruzione (PROGRESS/_VSB_DIREC)
  • Spento (OFF/_VSB_N_UPD)
  • Valore di riserva (ALT_VAL/_VSB_AVALUE)

info Info

Il bit di stato Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC) è disponibile nel programma Runtime può essere resettato per visualizzare la scrittura avvenuta con successo.

Tuttavia, il reset non causa di per sé la trasmissione dal Runtime di zenon. Solo i cambiamenti di valore vengono inviati dal driver al Runtime.

Bit di stato trattati in modo particolare

I seguenti bit di stato si escludono a vicenda:

Bit

Descrizione

17: Spontaneo-
(SPONT/_VSB_SPONT)

Viene settato lo stato SPONTAN. Lo stato settato è lo stesso anche se il trattamento di stato è disattivato, oppure non è stato definito alcuno stato. Lo stato GI + INVALID viene cancellato.

18: Non valido-
(INVALID/_VSB_I_BIT)

Viene settato lo stato INVALID . Lo stato SPONTAN + GI viene cancellato.

16: General Interrogation
(GI/_VSB_GR)

Viene settato lo stato General Interrogation . Lo stato SPONTAN + INVALID viene cancellato.

8: Seleziona nella rete
(NET_SEL/_VSB_SELEC)

Se questo bit di stato è attivo (BSO attivazione/disattivazione), per il riconoscimento di una modifica i seguenti bit di stato devono essere pari a 0 e devono essere trasmessi come 0 al driver:

  • Seleziona nella rete (NET_SEL)
  • Causa di trasmissione (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Scrittura avvenuta con successo (WR_SUC)

Select before operate (SBO)

Perché il sistema reagisca a Select Before Operate, nel programma runtime deve essere disponibile la simulazione di stato. La procedura per Select Before Operate viene fissata nel programma runtime.

Attivazione

Se viene inviato al driver un SBO select, ciò provoca per il runtime una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_act).

Nel programma Runtime deve essere implementata una corrispondente procedura SBO che verrà avviata.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.

Disattivazione

La disattivazione causa una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_deact).

Nel programma runtime deve essere terminata la procedura SBO.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.


Start/Stop

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Start/Stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Partenza driver

L´aggiornamento dei valori inizia sul Server-Standby se il driver ha ricevuto dal suo server l'immagine di processo. L´immagine deve giungere prima della scadenza del timeout del modulo, altrimenti il driver si avvia senza di essa. Se il Server-Standby passa ad essere server prima della scadenza del tempo di attesa, l´attesa stessa termina. I driver che si avviano in un progetto server oppure senza rete, non hanno tempo di attesa. Questo comportamento si verifica sia nel caso di una simulazione che nella modalità hardware.

Lanciare runtime

Se il driver lancia la Simulazione - programmata, in un primo passo il sistema carica la DLL con il runtime di simulazione. In seguito viene parametrizzato il runtime e il programma runtime si avvia, sempre che sia stato possibile caricarlo con successo.

Se è disponibile un´immagine del runtime, quest´ultimo viene avviato con essa Hot. Altrimenti il sistema esegue un Warm start. Se anche quest´ultimo non risulta possibile, si cerca di lanciare il runtime in modalità Cold Start. Nel caso in cui non sia disponibile alcun programma valido, il runtime si avvia "fermato". Lo stato di tutte le variabili viene settato su INVALID.

Il programma di simulazione funziona in un proprio thread e, perciò, è completamente indipendente dal ciclo driver.

info Info

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

Arresta runtime

Se il runtime viene fermato, viene settato per tutte le variabili lo stato INVALID. Le variabili che vengono richieste mentre il runtime è bloccato, ricevono come inizializzazione lo stato INVALID. Il runtime salva tutti i dati per il warm start e l´online change:

  • SIMULRT.HOT: contiene i dati per il riavvio hot.
  • SIMULRT.UPD: contiene i dati per l´online change.

Questi due file vengono generati nella cartella del programma runtime. Il runtime deve possedere un´autorizzazione di scrittura relativa a questa cartella.

Aggiorna progetto Runtime

  • Nuova compilazione di un progetto di simulazione:
    fa sì che il driver corrispondente venga caricato di nuovo.
  • Modifica del timeout di modulo:
    il runtime non la riconosce come modifica e non determina il fatto che il driver venga caricato un´altra volta.

L´implementazione standard nel kit driver provoca un hot start del runtime nel momento in cui il progetto di simulazione viene aggiornato. Se ciò non risulta possibile (per esempio perché il programma è diverso), viene eseguito un cold start con retain.

Scarico del runtime

Se il runtime è aperto, esso viene arrestato. Prima di scaricare il runtime, il sistema trasmette tutti gli aggiornamenti di valori in attesa al driver. Solo in seguito il runtime viene reso disponibile e si scarica SimulRuntime.dll sul PC.


Comandi driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Comandi driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver.

Arresta/avvia driver

Se il driver viene terminato nella modalità Simulazione - programmata, ne consegue la chiusura del runtime. Tutte le variabili ricevono lo stato INVALID. Se so riavvia il driver, la simulazione viene ricaricata e il runtime viene avviato.

Driver Passaggio Hardware/Simulazione

Nel cambio fra le modalità Hardware e Simulazione, il driver si comporta secondo il seguente schema:

  1. se il driver è stato configurato nell´Editor per la modalità hardware:
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione il driver viene portato nella modalità simulazione - statica.
  2. Se il driver è stato configurato nell´Editor per una delle modalità di simulazione (statica, conta, programmata):
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità hardware il driver viene portato nella modalità hardware e comunica con il controllo.
    • il driver ritorna dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione alla modalità di simulazione configurata.


Assegnazione variabili

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Assegnazione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assegnazione del driver di zenon alle variabili di zenon Logic avviene mediante il nome convertito in lettere maiuscole. Se il runtime di zenon richiede una variabile dal driver, quest´ultimo la inoltra alla simulazione. Se non è caricata nessuna simulazione, la variabile riceve lo stato spento ( OFF/VSB_N_UPD) quando il driver è arrestato. Altrimenti quello non valido (INVALID/_VSB_I_BIT). Le variabili del tipo oggetto-driver Variabile del driver non vengono mai richieste dalla simulazione.


Data e ora

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Data e ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il time stamp, deve essere attivo in zenon Logic l´inserimento Progetto -> Parametri progetto -> Estesi -> Compilatore -> Opzioni -> Imposta bit di stato per variabili con profilo

Se nel programma runtime viene settata la data per una variabile, il valore di data e tempo viene usato come time stamp. Ogni volta che cambia la data o l´ora di una variabile durante l´ultimo ciclo, questa modifica attiva sempre una trasmissione dei valori al driver. Ciò vale anche nel caso in cui non siano cambiati né valore né stato.

La maggior parte dei driver trasmettono un nuovo time stamp al runtime solo quando cambiano contemporaneamente anche valore e/o stato. Un´eccezione, però, è rappresentata, per esempio, dai driver IEC870, che trasmettono nuovi time stamps al runtime dall´hardware (oppure Simulazione - programmata) con lo stesso valore o lo stesso stato.

info Info

Si deve far in modo che sia garantito il fatto che data e ora progrediscano. Se ciò non si verifica, si avranno dei problemi di archiviazione. La data deve avere un valore maggiore/minore a 0.

Alle variabili che hanno ricevuto uno stamp dal programma runtime viene attribuito lo stato Tempo reale esterno (T_EXTERN/_VSB_RT_E).

Tutte le variabili trasmesse al driver che non hanno ricevuto uno stamp dal runtime, ottengono durante il ciclo un time stamp comune. In tal modo si assicura che il tempo corrisponda a quello della modifica. Questi driver ottengono lo stato Tempo reale interno (T_INTERN/_VSB_RT_I).

Data & tempo

Per tutte le informazioni concernenti data e tempo vale quanto segue:

  • i tempi corrispondono a UTC.
  • Tutti i tempo devono essere compresi fra 02. 01. 1970 e 2038.
  • La conversione della data in una stringa avviene nel formato YYYY/MM/DD.
  • Il tempo viene convertito nel formato HH:MM:SS.


Indicazioni sulle variabili in progetti di simulazione

Manuale -> Simulazione driver -> Simulazione - programmata -> Indicazioni sulle variabili in progetti di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vogliono creare e modificare delle variabili in progetti di simulazione, vale quanto segue:

  1. zenon Logic

    Se le variabili per un progetto di simulazione vengono create nel workbench di zenon Logic, esse non dispongono ancora di un indirizzamento valido per la comunicazione. Se si passa alla comunicazione hardware, essa può essere interrotta se le nuove variabili vengono usate in immagini senza un indirizzamento adeguato in modo corretto.

  2. Rinomina

    Se una variabile di un progetto di simulazione viene rinominata, cambia in modo corrispondente anche il nome della variabile in zenon. Così, ad esempio, i nomi delle variabili che vengono usate in un progetto VBA, devono essere adeguate anche nel codice VBA.

  3. Soluzioni integrata

    Variabili di soluzioni integrate come zenon Logic, IEC 870 oppure IEC 850, non possono essere rinominate nel progetto di simulazione. In questo caso, la variabili perdono le loro informazioni di progetto.
    Ad esempio: se nel progetto di simulazione Project0/Global/NewVar viene rinominata in myNeVariablenwVar, essa diviene in zenon myNewVar. Dopo la rinomina, la comunicazione con il Runtime di zenon Logic è impossibile.

  4. La comunicazione si basa sul nome variabile

    Le variabili di un driver che comunica sulla base di nomi variabili, non possono essere rinominate nel progetto di simulazione.

  5. Cancella o importa variabili

    Quando si cancella o importa una variabile quando in zenon Logic è attivo online change, tutte le variabili vengono rimosse e poi inserite di nuovo in zenon Logic.

  6. Variabili con simbolo "embed" attivo

    Le variabili presenti in un programma e il cui simbolo "embed" è stato attivato, non sono accessibili tramite l´interfaccia Shared Memory in zenon. Se una variabile con simbolo"embed" attivo viene spostata dall´area globale in un programma, essa viene cancellata in zenon.


Messaggi d'errore

Manuale -> Simulazione driver -> Simulazione - programmata -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le segnalazioni di errore nell´Editor di zenon:

Messaggio di errore

Causa e soluzione

Il nome selezionato è già utilizzato da un altro driver o contiene caratteri non validi. Selezionare un altro nome.

Il nuovo nome del progetto di simulazione viene usato già nel progetto oppure non è valido.

  • Assegnate un nome valido.

Il progetto di simulazione del driver <Nome file>/<Denominazione> non è compilato e perciò non può essere usato! Compilare il progetto nel Workbench.

Per il driver in questione c`è un progetto di simulazione. Esso, però, non è stato compilato.

  • Avviate il workbench di zenon Logic con il progetto di simulazione di questo driver.
  • Compilate il progetto

Suggerimento: Non fa alcuna differenza se nelle impostazioni driver la simulazione è settata su Simulazione - programmata.

Write queue full! Write command for <Name Variable> lost!

Indica la perdita di un comando di scrittura.


Stili

Manuale -> Stili

Gli stili consentono di fare quanto segue con le proprietà grafiche di elementi d'immagine:

  • Estrarle nell´ambito di gruppi di stili.
  • Gestirle in gruppi di stili.
  • Assegnarle ad altri elementi.

Gli stili vengono gestiti nel progetto locale e nel progetto globale. Quando si estrae un gruppo stile da un elemento, si può scegliere se lo stile deve essere salvato nel progetto locale o nel progetto globale.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Gruppo di stile

Quando si estrae degli stili, tutte le proprietà grafiche supportate di un elemento vengono sempre estratte e salvate in un gruppo di stile.

Menù contestuale - Manager di progetto

Il nodo Stili del Manager di progetto ha un menù contestuale.
Questo menù contestuale offre i seguenti comandi:

  • Profilo editor: Consente l´assegnazione di profili Editor.
  • Guida: Apre la guida online.

Se si tratta di progetti multiutente, il menù contestuale contiene queste altre voci:

  • Aggiorna versione locale: Aggiorna la versione locale.
  • Rendi possibili le modifiche Consente di eseguire modifiche.
  • Accetta modifiche Applica le modifiche eseguite.
  • Cancella modifiche: Elimina le modifiche eseguite.

Ancora in questo capitolo

Tipi di stili

Creare stili

Amministrare gli stili

Collegare stili e gruppi di stile

Finestra di dialogo “Selezione stile”


Tipi di stili

Manuale -> Stili -> Tipi di stili

È possibile creare i seguenti stili e collegarli a elementi statici e elementi dinamici. Non tutte le proprietà sono disponibili per ogni elemento:

Proprietà | Elementi statici | Elementi dinamici
Arrotondamenti | X | Solo pulsante.
Cornice elemento | -- | X
Riempimento | X | X - con eccezione di Interruttore.
Glow | X | X
Bordo | X | Solo Slider universale.
Linea | X - con eccezione di Testo statico | Solo Elemento trend.
Bordi e ombre | X | X
Scala | -- | X
Testo | X | X
Rappresentazione valore | -- | X
Rappresentazione oraria | -- | Solo Orologio.

Legenda:

  • X: disponibile
  • --: non disponibile

Ancora in questo capitolo

Arrotondamento

Cornice elemento

Riempimento

Glow

Bordo

Linea

Bordi e ombre

Scala

Testo

Slider universale

Rappresentazione valore

Rappresentazione oraria


Arrotondamento

Manuale -> Stili -> Tipi di stili -> Arrotondamento

Il tipo di stile Arrotondamento è disponibile per tutti gli elementi che supportano arrotondamenti.

Il tipo di stile Arrotondamento comprende le seguenti proprietà:

  • Proporzionale
  • Tutte X [%]
  • Tutte Y [%]
  • Sinistra/Alto X [%]
  • Sinistra/Alto Y [%]
  • Destra/Alto X [%]
  • Destra/alto Y [%]
  • Destra/Basso X [%]
  • Destra/Basso Y [%]
  • Sinistra/Basso X [%]
  • Sinistra/Basso Y [%]


Cornice elemento

Manuale -> Stili -> Tipi di stili -> Cornice elemento

Il tipo di stile Cornice elemento è disponibile per tutti gli elementi che supportano cornici elemento.

Il tipo di stile Cornice elemento comprende le seguenti proprietà:

  • Cornice elemento
  • Colore cornice
  • Trasparenza del colore bordo [%]


Riempimento

Manuale -> Stili -> Tipi di stili -> Riempimento

Il tipo di stile Riempimento è disponibile per tutti gli elementi che supportano riempimenti.

Il tipo di stile Riempimento comprende le seguenti proprietà:

  • Gruppo di proprietà Riempimento:
    • Tipo di riempimento
    • Colore di sfondo
    • Trasparenza colore riempimento [%]
    • Sfumatura colore
    • Trasparenza colore di sfumatura [%]
  • Gruppo di proprietà Effetto riempimento 3-D:
    • Effetto riempimento 3-D
    • Inverti colori
    • Offset [%]
    • Angolo [°]
  • Gruppo di proprietà Grafikdatei:
    • Bitmap predefiniti
    • Grafikdatei
    • Dimensione bitmap
    • Animazione GIF continua
  • Gruppo di proprietà Riempimento barra:
    • Esplicito

Se nello “Stile di riempimento” è configurata una sfumatura di colore, per la colorazione di tutti gli elementi che non supportano la sfumatura di colore verrà utilizzato il colore di sfondo.

Limitazioni

Per i progetti in cui è stata attivata la proprietà Progetto WindowsCE, oppure in cui è stata selezionata l´opzione Windows standard per la proprietà Qualità grafica, vale quanto segue:

  • Solamente rettangoli, cerchi e archi di cerchio possono avere una sfumatura di colore.
  • La sfumatura di colore può essere definita solamente tramite le proprietà dei valori di luminosità.
  • Le proprietà del gruppo Effetto riempimento 3-D vengono disattivate per tutti gli elementi al momento della compilazione.
  • Le trasparenze sono disattivate.

Impostazioni colori

Per quello che riguarda le impostazioni colori, vale quanto segue:

  • Colori statici: sono sempre salvati direttamente nello stile.
  • Tavolozze di colori: possono essere utilizzati o colori di tavolozze del progetto locale, o di tavolozze del progetto globale. A questo proposito bisogna tenere presente quanto segue:
    • Le tavolozze di colori dovrebbero trovarsi nello stesso progetto in cui viene creato lo stile.
    • Se in entrambi i progetti ci sono tavolozze di colori, i colori del progetto globale vengono sovrascritti da quelli del progetto locale.

Tipp Suggerimento

Usare o solo le tavolozze di colori del progetto locale, o quelle del progetto globale, e creare gli stili nel progetto corrispondente.


Glow

Manuale -> Stili -> Tipi di stili -> Glow

Il tipo di stile Glow è disponibile per tutti gli elementi.

Il tipo di stile Glow comprende le seguenti proprietà:

  • Attiva
  • Trasparenza [%]
  • Estensione [Pixel]
  • Colorare
  • Colore


Bordo

Manuale -> Stili -> Tipi di stili -> Bordo

Il tipo di stile Bordo è disponibile per tutti gli elementi che supportano bordi.

Il tipo di stile Bordo comprende le seguenti proprietà:

  • Sinistra [Pixel]
  • Destra [Pixel]
  • Su [Pixel]
  • Giu [Pixel]


Linea

Manuale -> Stili -> Tipi di stili -> Linea

Il tipo di stile Linea è disponibile per tutti gli elementi statici che supportano linee.
Eccezione: Testo statico.

Il tipo di stile Linea comprende le seguenti proprietà:

  • Sottogruppo Visualizzazione
    • Larghezza linea
    • Tipo linea
  • Sottogruppo Riempimento
    • Colore di linea
    • Trasparenza del colore linea [%]
  • Sottogruppo Fine linea
    • Tipo di inizio
    • Tipo di fine
    • Dimensione

Impostazioni colori

Per quello che riguarda le impostazioni colori, vale quanto segue:

  • Colori statici: sono sempre salvati direttamente nello stile.
  • Tavolozze di colori: possono essere utilizzati o colori di tavolozze del progetto locale, o di tavolozze del progetto globale. A questo proposito bisogna tenere presente quanto segue:
    • Le tavolozze di colori dovrebbero trovarsi nello stesso progetto in cui viene creato lo stile.
    • Se in entrambi i progetti ci sono tavolozze di colori, i colori del progetto globale vengono sovrascritti da quelli del progetto locale.

Tipp Suggerimento

Usare o solo le tavolozze di colori del progetto locale, o quelle del progetto globale, e creare gli stili nel progetto corrispondente.

Ancora in questo capitolo

Curva trend


Curva trend

Manuale -> Stili -> Tipi di stili -> Linea -> Curva trend

Comportamento dell´Curva trend quando si collegano stili di linea:

  • Ogni curva può essere collegata ad un proprio stile di linea.
  • Se si collega un gruppo di stile, vale quanto segue:
    • Gli stili di linea vengono collegati nella stessa successione in cui sono ordinati nella visualizzazione lista.
    • Se esistono meno stili che curve, le curve in eccedenza non vengono collegate a nessun stile.
  • È possibile collegare anche singoli stili a singole curve.
    Singoli stili possono sostituire gruppi di stile.
  • In caso di cancellazione di una curva, vale quanto segue:
    • Nel caso dei gruppi di stile la curva successiva riprende lo stile da quella eliminata.
      Esempio: La curva 1 viene cancellata. La curva 2 diventa curva 1 e riprende il gruppo di stile della curva 1.
    • Nel caso degli stili singoli, invece, lo stile di linea della curva viene mantenuto.
      Esempio: La curva 1 viene cancellata. La curva 2 ha uno stile singolo. La curva 2 diventa curva 1, ma lo stile di linea collegato viene mantenuto.
  • In caso di collegamento di più stili via Drag&Drop, gli stili di linea vengono collegati nella successione in cui sono stati selezionati.


Bordi e ombre

Manuale -> Stili -> Tipi di stili -> Bordi e ombre

Il tipo di stile Bordi e ombre è disponibile per tutti gli elementi.

Comprende le seguenti proprietà:

  • Tipo di cornice
  • Colore cornice/ombra
  • Trasparenza [%]
  • Larghezza linea
  • Effetto Blur
  • Distanza [Pixel]
  • Angolo [°]
  • Dimensioni ombra [%]


Scala

Manuale -> Stili -> Tipi di stili -> Scala

Il tipo di stile Scala è disponibile per tutti gli elementi che supportano scale.

Il tipo di stile Scala comprende le seguenti proprietà:

  • Gruppo di proprietà Scala:
    • Visualizza scala
    • Logaritmica
    • Distanza [Pixel]
    • Altezza [Pixel]
    • Suddivisioni principali
    • Suddivisioni secondare
    • Colore divisioni principali
    • Colori divisioni secondarie
  • Gruppo di proprietà Legenda:
    • Visualizza legenda
    • Distanza [Pixel]
    • Colore legenda


Testo

Manuale -> Stili -> Tipi di stili -> Testo

Il tipo di stile Testo è disponibile per l´elemento testo statico, e per la maggior parte degli elementi dinamico.

Comprende le seguenti proprietà:

  • Gruppo di proprietà Testo:
    • Carattere
  • Gruppo di proprietà Riempimento:
    • Colore testo
  • Gruppo di proprietà Formattazione testo:
    • Orientamento orizzontale
    • Orientamento verticale
    • A capo automatico
  • Gruppo di proprietàProprietà per l'elemento testo dinamico , disponibile solo per l´elemento Collega testo
    • Input nascosto
    • Carattere per mascheratura

Tipi di carattere

Per gli stili è possibile utilizzare i tipi di carattere del progetto locale, o del progetto globale.

Lo stile di testo collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • Il progetto ha un´altra impostazione per la proprietà Lista tipi di carattere nell'Editor rispetto al progetto globale.
  • La lista caratteri del progetto globale viene sovrascritta dal progetto locale.

Tipp Suggerimento

Usare o solo le liste caratteri del progetto locale, o solo quelle del progetto globale, e creare gli stili nel progetto corrispondente.


Slider universale

Manuale -> Stili -> Tipi di stili -> Slider universale

Il tipo di stile Stile - Slider universale è disponibile per l´elemento Slider universale.

Comprende le seguenti proprietà:

  • Gruppo di proprietà Modo di rappresentazione:
    • Forma
    • Orientamento
    • Stile
    • Tipo di lancetta
    • Direzione invertita
  • Gruppo di proprietà Titolo:
    • Visualizza titolo
    • Distanza [Pixel]
  • Gruppo di proprietà Bottone:
    • Visualizza bottone
    • Colore bottone
    • Forma di bottone
  • Gruppo di proprietà Lancetta:
    • Visualizza lancetta
    • Rappresentazione
    • Colore valore min.
    • Colore valore max.
    • Reset automatico
    • Reset automatico dopo [min]


Rappresentazione valore

Manuale -> Stili -> Tipi di stili -> Rappresentazione valore

Il tipo di stile Rappresentazione valore è disponibile per tutti gli elementi che supportano la rappresentazione valore.

Il tipo di stile Rappresentazione valore comprende le seguenti proprietà:

  • Gruppo di proprietà Rappresentazione valore:
    • Visualizza valore in una percentuale
    • Valore assoluto
    • Posizione Unita di misura [%]
    • Visualizzare valori
    • Base numerica di visualizzazione
    • Visualizzazione base
    • Visualizza zeri iniziali
    • Visualizza unità
  • Gruppo di proprietà Rappresentazione strumento:
    • Tipo visualizzazione
    • Angolo di partenza
    • Angolo estremo


Rappresentazione oraria

Manuale -> Stili -> Tipi di stili -> Rappresentazione oraria

Il tipo di stile Rappresentazione oraria è disponibile per tutti gli elementi che supportano la rappresentazione oraria.

Il tipo di stile Rappresentazione oraria comprende le seguenti proprietà:

  • Tipo di visualizzazione
  • Formattazione
  • Separatore


Creare stili

Manuale -> Stili -> Creare stili

Per creare uno stile, estrarlo da un elemento già esistente. Questa opzione non è disponibile se vengono selezionati contemporaneamente più elementi.

Estrarre stili

Per estrarre uno stile:

  1. Nell´Editor., selezionare l´elemento da cui si vuole estrarre lo stile.
  2. Nel menù contestuale, selezionare il comando Crea gruppo di stile da elemento

    Si apre la finestra di dialogo Estrai stile da elemento.

  3. Le proprietà supportate dell´elemento vengono estratte ed impostate nel nodo Stili del progetto locale o del progetto globale come nuovo gruppo di stile con il nome indicato. Il sistema esegue una convalida dell´inserimento eseguito; se il nome non è valido, verrà visualizzato un tooltip.

    Tenere presente quanto segue:

    • Il gruppo di stile contiene tutte le proprietà supportate come stili singoli.
    • Le proprietà non disponibili nell´oggetto sorgente, vengono impostate utilizzando i corrispondenti valori di default.
    • Quali proprietà sono supportate dipende dal tipo di stile e dall´elemento sorgente.

Validazione non riuscita

info Info

Nomi:

  • devono essere univoci per i gruppi di stile e per i singoli stili all´interno di un gruppo.
  • non possono essere vuoti
  • non possono consistere solamente di spazi,
  • non possono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @


Amministrare gli stili

Manuale -> Stili -> Amministrare gli stili

Gli stili di zenon vengono gestiti nel nodo Stili del progetto locale e del progetto globale.

Nella visualizzazione dettagli del nodo Stili vengono visualizzati tutti i gruppi di stile. Questi ultimi hanno una struttura ad albero composta dai tutti i singoli stili.
Gli elementi possono essere ordinati e filtrati per le diverse colonne.
Nota: l´orario visualizzato nella colonna Data ultima modifica non si riferisce alla modifica dello stile, ma al momento in cui è stato salvato il file contenente lo stile.

Le proprietà dello stile selezionato vengono visualizzate nella "Finestra proprietà". Qui possono essere eseguite delle modifiche.

Modificare stili e gruppi di stile

Nella "Finestra proprietà” si possono modificare le proprietà di uno stile.
Per modificare uno stile, oppure un gruppo di stile:

  1. Selezionare l´elemento desiderato.

    È possibile una selezione multipla. Nel caso di selezione multipla, vengono abilitate alla modifica solamente quelle proprietà che possono essere cambiate congiuntamente per tutti gli elementi evidenziati. I campi delle proprietà configurate diversamente vengono colorati di rosso.

  2. Configurare le proprietà desiderate.

    Le modifiche vengono salvate non appena si lascia il campo di inserimento, oppure si confermano le configurazioni premendo il tasto Ins.
    Ogni modifica ha effetto su tutti gli elementi collegati a questo stile.

Proprietà per gruppi di stile e stili:

  • Gruppo Generale:
    • Name: nome dello stile o del gruppo di stile.
    • Typ: tipo di stile.
    • Beschreibung: descrizione liberamente configurabile dello stile o del gruppo di stile.
    • Categoria: testo liberamente configurabile per la categorizzazione dello stile o del gruppo di stile.

      Suggerimento: inserire in questo campo un testo significativo e utilizzare questa proprietà per ordinare e raggruppare la lista della visualizzazione dettagli sulla base di questa colonna.

    • ID: ID dello stile o del gruppo di stile.
    • Riferimento esterno: Identificazione univoca di componenti zenon.
  • A seconda dello stile, vengono offerti determinati gruppi di proprietà.Per ulteriori informazioni su questo tema, consultare il capitolo Tipi di stile.

info Info

Nomi:

  • devono essere univoci per i gruppi di stile e per i singoli stili all´interno di un gruppo.
  • non possono essere vuoti
  • non possono consistere solamente di spazi,
  • non possono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @

Copia e incolla gruppi di stile e stili

Nella visualizzazione dettagli è possibile copiare e inserire gruppi di stile e stili usando le combinazioni di tasti (Ctrl + C, Ctrl + V), oppure usando i comandi della barra degli strumenti o il menù contestuale.

Tenere presente quanto segue:

  • È supportata la funzionalità di “Copia/incolla” di gruppi di stile e di stili anche fra progetti diversi.
  • È supportata la funzionalità di “Copia/incolla” di stili di un gruppo di stile in altri gruppi di stile.
  • È supportata la selezione multipla.

Esportare e importare gruppi di stile e stili.

È possibile esportare stili in XML e importare stili da XML.Per ulteriori informazioni su questo tema, consultare il capitoloEsportazione e importazione XML.

Cancellare gruppi di stile e stili

Per cancellare uno stile o un gruppo di stile:

  1. Selezionare gli elementi desiderati.
    È possibile selezionare più inserimenti contemporaneamente.
  2. Selezionare il comando Elimina nella barra degli strumenti, oppure nel menù contestuale.

    Gli elementi selezionati vengono cancellati dopo una richiesta di conferma. Quando si cancellano gruppi di stile, vengono eliminati anche tutti gli stili in essi contenuti.

Nota: quando si cancellano stili, il sistema provvede a ripristinare i valori impostati in precedenza per le proprietà cui essi erano collegati. La proprietà dello stile mostra Nessuno stile collegato

Ancora in questo capitolo

Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Esportazione e importazione XML


Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Manuale -> Stili -> Amministrare gli stili -> Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli stili sono disponibili simboli ed un menù contestuale. I comandi contenuti del menù contestuale corrispondono ai simboli.

Simbolo/Comando

Descrizione

Copia

Copia gli inserimenti selezionati negli appunti

Incolla

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa file XML…

Importa degli inserimenti da un file XML.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Espandi tutto

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Esportazione e importazione XML

Manuale -> Stili -> Amministrare gli stili -> Esportazione e importazione XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stili vengono esportati in XML e importati da XML sempre in gruppi di stile completi. Non è possibile esportare o importare singoli stili.

Gli stili possono essere esportati mediante:

  • La voce Esporta tutti in XML... del menù contestuale nella struttura ad albero del progetto.
  • Il simbolo _Esporta selezione in XML della barra degli strumenti della visualizzazione dettagli.
  • La voce _Esporta selezione in XML del menù contestuale nella lista della visualizzazione dettagli.

Gli stili possono essere importati mediante:

  • La voce Importa file XML… del menù contestuale nella struttura ad albero del progetto.
  • Il simbolo Importa file XML… della barra degli strumenti della visualizzazione dettagli.
  • La voce Importa file XML… del menù contestuale nella lista della visualizzazione dettagli.

Comportamento in caso di conflitti di ID e di nomi

  • Se nel progetto esiste già un gruppo di stile che ha lo stesso ID di quello da importare, viene visualizzata una finestra di dialogo che offre la possibilità di sostituire il gruppo esistente, oppure di interrompere il processo di importazione.
  • Se nel progetto esiste già un gruppo di stile che ha lo stesso nome di quello da importare, quest´ultimo viene importato e viene aggiunto un suffisso (numero progressivo) al suo nome (per es Grupppo di stile 2).
  • Se nel progetto esiste già uno stile che ha lo stesso ID di uno stile da importare ed è un elemento di un altro gruppo di stile, non viene eseguita nessuna importazione e viene visualizzato un avviso che ne informa l´utente.


Collegare stili e gruppi di stile

Manuale -> Stili -> Collegare stili e gruppi di stile

Stili e gruppi di stile possono essere assegnati a elementi statici e elementi dinamici. Lo stile o il gruppo di stile viene collegato all´elemento. Eventuali modifiche apportate allo stile o al gruppo di stile nel modulo Stili, vengono adottate da tutti gli elementi collegati.

Nota: non tutti gli elementi supportano tutte le proprietà di uno stile. Vengono assegnate sempre solo proprietà supportate.

Per assegnare uno stile o un gruppo di stile ad un elemento, usare:

  • Drag&Drop
  • La finestra di dialogo nella proprietà corrispondente.
  • Il menù contestuale della proprietà corrispondente nella finestra delle proprietà.

Nota: gli stili collegati vengono visualizzati nella rispettiva proprietà con la seguente sintassi: Nome gruppo di stile.Nome stile.

Regole di collegamento

Per il collegamento di stili e gruppi di stile, vale quanto segue:

  • Vengono collegati solamente quegli stili che corrispondono alla proprietà di destinazione.
  • Quando si esegue il collegamento di gruppi di stile, vengono collegati solamente quegli stili che sono supportati dalle proprietà dell´elemento.

Drag&Drop sull´elemento.

Per collegare un gruppo di stile o uno stile ad un elemento via Drag&Drop:

  1. Nel progetto, passare al nodo Stili.
  2. Selezionare lo stile o il gruppo di stile desiderato.
  3. Trascinare con il mouse il gruppo di stile o lo stile sull´elemento nella finestra principale.

    Le proprietà dello stile o del gruppo di stile vengono applicate all´elemento.

Tipp Suggerimento

Selezionare più stili dello stesso gruppo per eseguire un collegamento multiplo ad un elemento.

Drag&Drop sulla proprietà.

Per collegare un gruppo di stile o uno stile alla proprietà di un elemento via Drag&Drop:

  1. Nel progetto, passare al nodo Stili.
  2. Selezionare l´elemento.
  3. Passare al gruppo di proprietà desiderato.
  4. Trascinare con il mouse il gruppo di stile o lo stile sulla proprietà che collega l´elemento ad uno stile.

    Le proprietà dello stile o del gruppo di stile vengono applicate all´elemento.

Finestra di dialogo per proprietà

Per collegare un gruppo di stile o uno stile ad un elemento mediante la finestra di dialogo Selezione stile:

  1. Selezionare l´elemento.
  2. Nel progetto, passare al nodo Stili.
  3. Passate al gruppo proprietà desiderato.
  4. Configurate il gruppo di stile desiderato,oppure il tipo di stile, come ad es. Linienstil, Stile riempimento, Stile effetto Glow ecc.

    Se alla proprietà è già collegato uno stile, esso verrà visualizzato.
    Se sono stati selezionati più elementi con stili differenti, lo stile dell´ultimo elemento selezionato sarà visualizzato in caratteri rossi. Se si cambia lo stile, questa modifica viene applicata a tutti gli elementi selezionati.

  5. Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di uno stile, oppure di un gruppo di stili.
    In questa finestra di dialogo si può anche rimuovere uno stile già collegato.

Menù contestuale

  1. Selezionate l´elemento.

    L'elemento deve essere già collegato ad un gruppo di stile.

  2. Nelle proprietà, passare al gruppo desiderato.
  3. Cliccare con il tasto destro del mouse sulla proprietà.
  4. Selezionare il comando Deriva tutte le proprietà dal gruppo di stile:
    Per questo elemento, tutte le proprietà disponibili nel gruppo di stili verranno collegate a quelle del gruppo stesso.

Tipp Suggerimento

È supportata la selezione multipla di elementi quando si collegano stili e gruppi di stile mediante la finestra di dialogo Selezione stile oppure il menù contestuale della proprietà.

Se si collega uno stile o un gruppo di stile del progetto globale, questo viene visualizzato con il prefisso g_.

Esempio: lo stile Gruppo di stile.Stile linea del progetto globale, viene visualizzato nell´elemento del progetto locale con il nome bei g_Gruppo di stile.Stile linea.

Non appena si modifica il collegamento digitando testo nel campo di inserimento della proprietà corrispondente, questo prefisso viene rimosso.

Suggerimento: collegare stile del progetto globale mediante

Ancora in questo capitolo

Stili e gruppi di stile del progetto globale

Menù contestuale - Elementi

Sostituire o eliminare collegamenti

Limitazioni


Stili e gruppi di stile del progetto globale

Manuale -> Stili -> Collegare stili e gruppi di stile -> Stili e gruppi di stile del progetto globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si collega uno stile o un gruppo di stile del progetto globale, questo viene visualizzato con il prefisso g_.

Esempio: lo stile Gruppo di stile.Stile linea del progetto globale, viene visualizzato nelle proprietà dell´elemento del progetto locale con il nome bei g_Gruppo di stile.Stile linea.

Non appena si modifica il collegamento digitando testo nel campo di inserimento della proprietà corrispondente, questo prefisso viene rimosso e il collegamento viene modificato, o va perso.

Tenere presente quanto segue:

  • Se nel progetto locale c´è uno stile o un gruppo di stile con il nome indicato, viene usato questo.
  • Se nel progetto locale non c´è uno stile o un gruppo di stile con il nome indicato, viene visualizzato il testo <Nessuno stile collegato> .

Tipp Suggerimento

Collegare stili del progetto globale mediante Drag&Drop o la finestra di dialogo per la Selezione stile.

attention Attenzione

Se nel progetto locale e nel progetto globale esistono stili o gruppi di stile con lo stesso nome o la stessa GUID (creati via Copy&Paste, esportazione XML/Importazione XML, API), vengono usati sempre quelli locali.


Menù contestuale - Elementi

Manuale -> Stili -> Collegare stili e gruppi di stile -> Menù contestuale - Elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nei menù contestuali della finestra delle proprietà degli elementi di zenon cui può essere collegato uno stile o un gruppo di stile, ci sono comandi rilevanti per il collegamento di gruppi di stile.
Per collegare stili o gruppi di stile, oppure per eliminare il loro collegamento mediante il menù contestuale:

  1. Selezionare l´elemento desiderato.
  2. Cliccare con il tasto destro del mouse sulla descrizione della proprietà desiderata, oppure sul pulsante ....
  3. Si apre un menù contestuale; selezionare il comando desiderato.

Comandi disponibili:

Comando

Azione

Nota

Ricavare [stile] dal gruppo di stile

Per la proprietà selezionata viene collegato lo stile del gruppo di stile collegato all´elemento.

Una freccia visualizzata a destra del campo di inserimento della proprietà segnala che esiste un collegamento.

Se all´elemento non è collegato nessun gruppo di stile, viene usata la configurazione originaria dell´elemento.

Separa [stile] dal gruppo di stile

Elimina il collegamento di questa proprietà ad un determinato stile di un gruppo di stili. Tutte le altre proprietà mantengono il loro collegamento.

Il simbolo freccia che indica il collegamento, viene rimosso.

La proprietà viene cancellata dal gruppo di stili. Si può collegare uno stile differente a questa proprietà. Finché non viene collegato un altro stile, continuano a venire utilizzati i valori configurati nel gruppo di stili originale.

Tutte le altre proprietà mantengono il collegamento con il gruppo di stili originario.

Deriva tutte le proprietà dal gruppo di stile

Per questo elemento verranno collegate tutte le proprietà disponibili nel gruppo di stili.

Un simbolo freccia posto a destra del campo di inserimento della proprietà mostra che c´è un collegamento.

Tutte le proprietà che vengono collegate, sovrascrivono i valori preesistenti. Quando essi vengono modificati nel gruppo di stili, cambiano anche qui.

Separa tutte le proprietà dal gruppo di stile

Vengono eliminati tutti i collegamenti derivati da questo gruppo di stile.

La freccia che segnala l´esistenza di un collegamento, viene rimossa

I valori configurati vengono mantenuti. Se i valori vengono modificati nel gruppo di stile, la modifica non viene applicata in questi elementi.

Tutte le proprietà collegate di questo elemento vengono separate dal gruppo di stile. Le proprietà possono essere collegate ad un altro gruppo di stile, oppure ad altri stili.

Finché non viene collegato un altro stile, continuano a essere utilizzati i valori configurati nel gruppo di stilie originale.


Sostituire o eliminare collegamenti

Manuale -> Stili -> Collegare stili e gruppi di stile -> Sostituire o eliminare collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un gruppo di stile è stato collegato ad un elemento, singole proprietà dell´elemento possono essere sostituite da altri valori, o cancellate.

Sostituire valori

Ci sono diverse possibilità di sostituire un valore:

  • Separare lo stile dal gruppo di stile usando il menù contestuale della proprietà.
    Assegnare alla proprietà un nuovo stile.
  • Collegare un nuovo stile alla proprietà via Drag&Drop.
  • Selezionare un altro stile per la proprietà usando la finestra di dialogo di selezione.

Rimuovere uno stile o un gruppo di stile

Per eliminare il collegamento di uno stile o di un gruppo di stile direttamente sull´elemento:

  • Cancellare lo stile o il gruppo di stile dalla proprietà.
    Nel campo di inserimento corrispondente viene visualizzato il testo "Nessuno stile collegato". Le proprietà attinenti ricevono di nuovo il valore che avevano prima del collegamento.


Limitazioni

Manuale -> Stili -> Collegare stili e gruppi di stile -> Limitazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stili vengono amministrati nel progetto locale o nel progetto globale e usano le impostazioni di questo progetto. A questo proposito bisogna tenere presente quanto segue:

Impostazioni colori

Per quello che riguarda le impostazioni colori, vale quanto segue:

  • Colori statici: sono sempre salvati direttamente nello stile.
  • Tavolozze di colori: possono essere utilizzati o colori di tavolozze del progetto locale, o di tavolozze del progetto globale. A questo proposito bisogna tenere presente quanto segue:
    • Le tavolozze di colori dovrebbero trovarsi nello stesso progetto in cui viene creato lo stile.
    • Se in entrambi i progetti ci sono tavolozze di colori, i colori del progetto globale vengono sovrascritti da quelli del progetto locale.

Tipp Suggerimento

Usare o solo le tavolozze di colori del progetto locale, o quelle del progetto globale, e creare gli stili nel progetto corrispondente.

Tipi di carattere

Per gli stili è possibile utilizzare i tipi di carattere del progetto locale, o del progetto globale.

Lo stile di testo collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • Il progetto ha un´altra impostazione per la proprietà Lista tipi di carattere nell'Editor rispetto al progetto globale.
  • La lista caratteri del progetto globale viene sovrascritta dal progetto locale.

Tipp Suggerimento

Usare o solo le liste caratteri del progetto locale, o solo quelle del progetto globale, e creare gli stili nel progetto corrispondente.


Finestra di dialogo “Selezione stile”

Manuale -> Stili -> Finestra di dialogo “Selezione stile”

Quando si clicca sul pulsante ... della proprietà per collegare uno stile o un gruppo di stile, si apre la finestra di dialogo che consente di selezionare uno stile o un gruppo di stile. In questa finestra di dialogo si può assegnare uno stile o un gruppo di stile e eliminare il collegamento di stili e gruppi di stile.

info Info

Vengono offerti alla selezione solamente quei gruppi di stile e stili che possono essere collegati all´elemento a partire dal quale è stata aperta la finestra di dialogo.

Parametro

Descrizione

Lista progetti

Visualizzazione del progetto globale e del progetto locale.

Lista stili

Lista degli stili e dei gruppi di stile disponibili.
Per selezionare uno stile, cliccarci sopra.

La lista può essere ordinata e filtrata.

Barra degli strumenti e menù contestuale:

  • Rimuovi tutti i filtri:
    Rimuove tutte le impostazioni di filtro.
  • Espandi tutto:
    Consente di estendere o ridurre tutti i nodi della lista o quelli selezionati.

Nessuna selezione

Elimina dalla proprietà lo stile collegato al momento.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Collegare uno stile o un gruppo di stile

Per collegare uno stile o un gruppo di stile:

  1. Aprire la finestra di dialogo.
  2. Cliccare sullo stile o sul gruppo di stile desiderato.
  3. Cliccare su OK

    Lo stile o il gruppo di stile con tutti i suoi stili viene applicato nella proprietà e applicato a tutti gli elementi selezionati.

Regole di collegamento

Per il collegamento di stili e gruppi di stile, vale quanto segue:

  • Vengono collegati solamente quegli stili che corrispondono alla proprietà di destinazione.
  • Quando si esegue il collegamento di gruppi di stile, vengono collegati solamente quegli stili che sono supportati dalle proprietà dell´elemento.

Eliminare collegamento

Per eliminare il collegamento di uno stile o di un gruppo di stile:

  1. Aprire la finestra di dialogo.
  2. Cliccare su Nessuna selezione.

    Lo stile o il gruppo di stile viene rimosso dalla proprietà e la finestra di dialogo viene chiusa.. Gli elementi selezionati mantengono le proprietà dello stile collegato per ultimo.


Temporizzatori

Manuale -> Temporizzatori

I temporizzatori consentono di eseguire azioni a Runtime mediante funzioni tempo. Una funzione tempo attiva una funzione di zenon e la esegue una sola volta ad una determinata ora, oppure ciclicamente. Esempio: è possibile salvare dati della produzione su un´unità di rete sul server.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo temporizzatore | Crea una nuova funzione per il modulo “Temporizzatori”.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML.
Profilo Editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Ancora in questo capitolo

Configurazione nell'Editor

Temporizzatori - Visualizzazione dettagli, barra degli strumenti e menù contestuale

Configurare un temporizzatore


Configurazione nell'Editor

Manuale -> Temporizzatori -> Configurazione nell'Editor

I temporizzatori vengono configurati nell´Editor, nel nodo Temporizzatori del Manager di progetto. I temporizzatori già esistenti vengono visualizzati nella visualizzazione dettagli. Le proprietà consentono di effettuare delle modifiche ai temporizzatori impostati.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.


Temporizzatori - Visualizzazione dettagli, barra degli strumenti e menù contestuale

Manuale -> Temporizzatori -> Temporizzatori - Visualizzazione dettagli, barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuovo temporizzatore | Aggiunge una nuova funzione tempo (temporizzatore) alla lista della visualizzazione dettagli.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML | Importa degli inserimenti da un file XML.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Configurare un temporizzatore

Manuale -> Temporizzatori -> Configurare un temporizzatore

Per creare un nuovo temporizzatore:

  1. Nel Manager di progetto, selezionare il nodo Temporizzatori.
  2. Nel menù contestuale oppure nella barra degli strumenti, selezionare Nuovo temporizzatore

    Verrà creata un nuovo temporizzatore.

  3. Configurare il temporizzatore mediante le sue proprietà.
    Soprattutto:
    1. Attivo: attivando questa proprietà, il temporizzatore verrà eseguito a Runtime.
    2. Nome: nome univoco del temporizzatore.
      Nota: questo nome non è traducibile.
    3. Funzione: selezione della funzione che deve essere richiamata all´ora definita.
    4. Tipo di esecuzione: definizione di quando e in quale intervallo di tempo deve essere eseguita la funzione impostata.
      Con la proprietà Ora partenza e, se necessario, la proprietà, Intervallo.
    5. Se necessario, selezionare nel gruppo Giorni di esecuzione i giorni nei quali la funzione impostata deve essere eseguita.

Eseguire più funzioni

Per eseguire più funzioni di zenon mediante un temporizzatore:

  1. Creare uno script con tutte le funzioni desiderate.
  2. Creare una funzione Esegui script per eseguire questo script a Runtime.
  3. Nella proprietà Funzione, selezionare la funzione che deve eseguire lo script.

Configurare intervalli di tempo

I temporizzatori possono essere eseguiti a intervalli di tempo definiti:
Per eseguire un temporizzatore più volte:

  1. Per la proprietà Tipo di esecuzione selezionare un valore diverso da Solo in questo giorno.
  2. Configurare l´Ora partenza.
  3. Se si configura un´esecuzione ciclica: Configurare una delle proprietà:
    • Intervallo: il temporizzatore verrà eseguito a partire dal punto di partenza impostato nell´intervallo configurato.
      Esempio: se è stato configurato il valore 00:15:00, il temporizzatore verrà eseguito ogni 15 minuti.
    • Intervallo di un mese: il temporizzatore verrà eseguito ogni mese alla stessa ora a partire dal punto di partenza impostato.
    • Intervallo di un anno: il temporizzatore verrà eseguito ogni anno alla stessa ora a partire dal punto di partenza impostato.
  4. Se si vuole un´esecuzione ripetuta in più giorni: Selezionare nel gruppo Giorni di esecuzione i giorni nei quali la funzione impostata deve essere eseguita.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.

Filtrare per gruppi di impianti

È possibile collegare temporizzatori a gruppi di impianti usando la proprietà Gruppi d'impianto. Questo collegamento ha effetto solo nell´Editor. Consente di filtrare i temporizzatori per gruppi di impianti.


Tool

Manuale -> Tool

Una serie di tool aiutano a gestire, analizzare e configurare zenon:

  • Integrazione 3D:
    Questa applicazione di zenon consente di collegare file 3D-CAD a progettazioni di zenon in un´interfaccia user grafica. La progettazione viene visualizzata nel Runtime di zenon mediante un elemento WPF di zenon.
    Nota: Per poter utilizzare l´ambiente di progettazione (3D Configurator) si ha bisogno di un´ulteriore licenza.
  • Diagnosis Viewer: consente la lettura e la configurazione dei file LOG di zenon.
  • Integrazione GIS:
    Questo tool consente di disegnare oggetti inserendoli in un contesto geografico concreto e di collegare questi oggetti a informazioni ALC, variabili e funzioni di zenon.
    Nel Runtime di zenon vengono visualizzate configurazioni ALC utilizzando le carte messe a disposizione da “Map-Provider” selezionabili.
  • Keyblock Runtime Start:
    avvia il Runtime di zenon e, contemporaneamente, blocca tutti i tasti di sistema di Windows.
  • Aggiornamento online dell´help di zenon
    consente l´update online della guida in linea di zenon.
  • Project Translation Interface:
    tool per la traduzione di file di lingua di zenon. Apre o salva file per zenon Language Translation Wizard. Con questo tool si possono importare o esportare progetti rispettivamente in o da zenon.
  • Startup Tool:
    consente di avviare l´Editor e il Runtime con certi parametri, di amministrare differenti versioni di zenon su un computer, di amministrare istanze SQL e di definire lingue per l´Editor e il Runtime.
  • System Information Collector:
    legge informazioni di sistema e di zenon, le visualizza in una finestra di emissione e le salva in forma di file ZIP.
  • COPA-DATA PRP:
    consente di gestire una rete di zenon cpn ridondanza hardware tramite comunicazione PRP.
    Nota: la comunicazione PRP presuppone che si abbia una licenza valida di zenon sul computer.

Per zenon Logic sono disponibili:

  • zenon Logic Runtime Manager: amministra tutti i progetti Runtime di zenon Logic standalone da avviare manualmente sul vostro computer.
    La documentazione di questo tool è parte della documentazione di zenon Logic.

Ancora in questo capitolo

3D Integration

Diagnosis Viewer

Aggiornamento online dell´help di zenon

Keyblock Runtime Start

Integrazione GIS

Tool startup

System Information Collector

COPA-DATA PRP


3D Integration

Manuale -> Tool -> 3D Integration

The 3D integration package from zenon offers an easy and simple possibility to link 3D files from a CAD program to project configurations in zenon.

Included in the 3D integration package:

  • 3D Configurator

    3D files are loaded in this project configuration environment. The structure of a 3D model is transferred into the 3D Configurator and visualized in a preview. In this structure, assembly groups or objects can be selected with the click of a mouse. The preview can be rotated and enlarged or reduced as desired using the mouse. Assembly groups or objects can also be selected in the preview directly, with the click of a mouse.

    The selected assembly group or an individual object can be:

    • Assigned to one or more variables.
      If a variable is linked, the visibility, flashing and color settings are taken from the variable.
    • Assigned to one or more function(s).
      If a function is linked, the function is triggered by clicking on the object in Runtime. This is visualized in Runtime with a different mouse pointer.
    • Be assigned to a variable in addition to a camera position.
      If a camera position is linked, the position is called up if the limit value of the linked variable is breached.
  • zenon WPF screen element
    Display of the 3D project configuration in Runtime in a zenon screen.
    • Free navigation in the 3D model:
      The display can be moved, rotated, enlarged or reduced.
    • Execution of functions in the 3D model:
      A configured function can be executed by clicking on an object or an assembly group.
      Example: Opening a linked online help or calling up an information window.
    • Calling up the 3D model in a defined perspective:
      The 3D model with views of a configured position can be visualized by setting a value of a "camera variable".
    • Visualization of a limit value breach:
      When a limit value is breached, an object or an assembly group can be shown in color or flashing in the 3D model.
    • Objects or assembly groups can be switched to visible or invisible.

info Info

All functionalities can also be executed by means of touch gestures.

Ancora in questo capitolo

Installation and licensing

General

Keyboard shortcut and mouse button assignment

3D Configurator

Engineering in the zenon Editor

Display in Runtime


Installation and licensing

Manuale -> Tool -> 3D Integration -> Installation and licensing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation

The 3D 3D Configurator project configuration tool is included with the standard installation of zenon.

Please note that the 3D Configurator is only available for 64-bit operating systems. Project configuration in the zenon Editor and display in zenon Runtime is also possible with 32-bit operating systems.

info Info

Due to the computer performance required for 3D modeling, operation on 64-bit operating systems is strongly recommended.

Licensing

The engineering (= 3D Configurator) environment has to be licensed.

The display in zenon Runtime is included in every zenon license. This includes also the specific zenon WPF screen element for engineering in the zenon Editor.


General

Manuale -> Tool -> 3D Integration -> General

The 3D integration package includes:

  • 3D Configurator
    Tool for the linking of 3D models to zenon project configurations:
    • Functions
    • Variables

      Limit Values

      Reaction matrixes

  • COPA-DATA WPF screen element
    The parameters for the attendant parameter file are set in the 3D Configurator and automatically applied by clicking a button in the Editor configuration.

Supported 3D model file formats

The following file formats are supported by the 3D Configurator:

  • *.OBJ
  • *3DS
  • *.STL
  • *.DWFX
  • *.STEP
  • *.STP

The maximum file size of a 3D model is limited to 50 MB for performance reasons. This is shown with a warning dialog when a larger file is loaded. The model is not loaded.

Supported functionality

The display in zenon Runtime supports:

  • Display of equipment or parts of equipment with freely-configurable camera positions.
  • Execution of linked functions.
  • Selection of the rendering mode for the display.
  • Selection of the background color, light settings and light angle for display.
  • Linking of numerical variables for the display options.

3D configurator - display language

The 3D Configurator starts with the language set for the zenon Editor.


Keyboard shortcut and mouse button assignment

Manuale -> Tool -> 3D Integration -> Keyboard shortcut and mouse button assignment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D Configurator and Runtime display use the following keyboard shortcut and mouse button assignments:

Parameter

Description

CTRL+Q

CTRL+double click on mouse wheel

Centers the 3D model to the preview and sets the zoom factor to 100%. Ensures that the file model that is loaded is completely visible in the preview.

Sets to default in the preview.

CTRL+E

CTRL+double click

Sets zoom level in the preview to 100%.

Centers the 3D model in the preview; the rotation is retained. Ensures that the file model that is loaded is completely visible in the preview.

Note: There is no centering if the preview is already at zoom stage 100%.

Mouse wheel forwards

Zooms into the preview = larger display.

Mouse wheel backwards

Reduces zoom stage of the preview.

Mouse wheel pressed + mouse movement
(to the left, right, up, down)

Enlarges or reduces the zoom level of the preview:

  • Up or down
    Large zoom stages
  • Left or right
    Small zoom stages

Left mouse button pressed

Moves preview in mouse direction.

The mouse pointer is displayed as the mobile phone symbol.

Right mouse button pressed

Rotates the view of the model by one rotation point in accordance with the mouse movement.

The rotation point is visualized in the middle of the preview with a gray cross-hair.

The mouse pointer is shown as a cross-hair.

CTRL + mouse button pressed

A selection tool is shown when the mouse button is pressed.

The area selected as a result is shown in the preview, enlarged accordingly.

Del key

Deletes configured camera positions in the 3D Configurator.


3D Configurator

Manuale -> Tool -> 3D Integration -> 3D Configurator

In this graphic user interface, variables and functions of an existing zenon project configuration are linked.

Start

To start the 3D Configurator:

  1. Start the zenon Editor.
    Also ensure that a project is active in the Editor. If the Editor has not been started or no project is active, the 3D Configurator does not work properly.
  2. Open the Startup-Tool.
  3. Click the Tools button.
  4. In the Avialable 64-bit applications section, select the 3D Configurator entry.
  5. Click on the Start button.
    The 3D configurator starts in the language in which the Editor has also been started.

As an option, start the 3D Configurator using your computer's Start menu with the zen3DConfig.exe entry.

attention Attenzione

Please note that the 3D configurator is only available for 64-bit operating systems.

Apply 3D project configurations

Project configurations that you carry out in the 3D Configurator are applied in the current project in the zenon Editor by clicking on the Save configuration button.

If you close the 3D Configurator and have not yet applied all project configuration in the Editor, this is visualized in a warning dialog.

zenon Editor:

Ensure that you only start the 3D Configurator if you have activated the correct project in the zenon Editor.

If the 3D Configurator is started and the zenon Editor has not been started yet, this is shown in a dialog.

In this case, close the 3D Configurator and start the Editor first.

Ancora in questo capitolo

User interface

3D file structure

Configuration

Preview

Configuration in the 3D configurator


User interface

Manuale -> Tool -> 3D Integration -> 3D Configurator -> User interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D Configurator's window can be freely scaled. The size of the areas can be moved with the mouse button held down.

The areas in the Configuration section can be opened or closed with the up cursor or down cursor.

The user interface of the 3D Configurator is divided into three areas:

  • 3D file structure
    Tree view of the loaded 3D model,
  • Configuration
    • Link to zenon project.
    • Configuration of display options in Runtime.
  • Preview
    Preview of the selected assembly area.
    In this area, the zoom level and view angle can also be amended.


3D file structure

Manuale -> Tool -> 3D Integration -> 3D Configurator -> 3D file structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D file structure visualizes content of the loaded 3D models.
This content can also be filtered.

Parameter | Description
Search | Search field for entry of search terms for the naming of the existing objects in the loaded 3D model. The number of hits found is visualized with a number next to the search field. Note: if the entry does not match a valid hit, the search field is shown with a red background.
Previous | Jumps to the next hit and selects this hit.
Next | Jumps to the next hit and selects this entry.
Only selected object | Only the selected element is shown in the preview. Default: Not activated
info Info
When selecting a new level, the current view, zoom and direction are reset. The newly-selected element is shown as centered in the preview.


Configuration

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration area of the 3D Configurator is divided into the following areas:

  • File
    File administration and exchange of the project configuration between 3D Configurator and zenon Editor.
  • Linked variables and functions
    Variables and functions of a zenon project configuration and its linking to a 3D model.
  • Camera positions
    Zoom level and view angle of 3D model content
  • Default settings
    Settings for the display (Runtime and preview in 3D Configurator)
  • DWF attributes
    List of DWF attributes.
    This area only becomes visible if the element selected in the 3D file structure contains a corresponding DWF attribute.

Ancora in questo capitolo

File

Linked variables and functions

Camera positions

Default settings


File

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Description

Open 3D model...

Opens the file selection dialog to load a 3D model.

This loading process can last longer depending on the scope of the 3D model. A progress bar is shown during this loading and interpretation process.

Attention: If there is currently a 3D model open, all project configurations are rejected without requesting confirmation!

You should therefore ensure that your 3D project configurations have already been saved.

Replace 3D model...

Replaces the currently-loaded 3D model with the selected file.

Existing 3D project configurations are retained.

Ensure that the new 3D model to be loaded contains the corresponding objects.

Load configuration...

Opens selection dialog to select an existing 3D project configuration of the zenon Editor.

Applies existing project configuration from the active zenon project.
The selection dialog is empty if there is not yet a 3D project configuration saved in the active project.

[Name of the loaded 3D model]

File name of the loaded 3D model.

This is also the name of the configuration as it is applied in the zenon Editor - after clicking on the Save configuration button.

The entry is validated. Possible characters correspond to the permitted characters for file names. If there is an incorrect character entered, this is shown with red error text in the tool. The Save configuration button is grayed out in the event of an error.

Default: [File name]
(if no 3D model is loaded)

Save configuration

Saves current 3D project configuration in the active project of the zenon Editor.

Save location in the Editor:

  • Project nodes Files => Graphics:
    - .cdwpf
    XAML file for linking to the WPF screen element in the zenon Editor.
  • Project nodes Files -> Other -> ThreeD
    This folder is automatically created - if it has not already been created - when the 3D Configurator is created for the active zenon project.

Note: Please note the Clean up 3D project configuration section in the Project configuration in the zenon Editor chapter.

Information bar

Parameter | Description
Project | Name of the project that is currently activated in zenon.
File | File name of the 3D model that is currently loaded.
Model | Not currently used.


Linked variables and functions

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration -> Linked variables and functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The linked variables and functions area visualizes project configurations of the zenon Editor.

The display can be sorted and filtered.

Parameter

Description

Update variables and functions

Clicking on the button updates the displayed variables and functions with the current project configuration in the zenon Editor.

[List of configured variables]

List of the configured variables of the current zenon project.

  • Variable name:
    Configured variable name in the zenon project.
    Corresponds to the Nome variable property in the zenon Editor.
  • Identification:
    Configured variable identification in the zenon project.
    Corresponds to the Identificazione variable property in the zenon Editor.

Note: The list can be updated with the project configuration in the Editor by clicking on the Update variables and functions button.

[List of configured functions]

List of the configured functions from the current zenon project.

  • Function name
    Configured function name in the zenon project.
    Corresponds to the Nome function property in the zenon Editor.
  • Function type
    Configured function type in the zenon project.
    Corresponds to the Tipo function property in the zenon Editor.

Note: The list can be updated with the project configuration in the Editor by clicking on the Update variables and functions button.

Arrow keys

Variables or functions can be transferred to the object list or removed with the cursor keys. This is also possible by double clicking on the respective entry. The double-click functionality is applicable for both object lists as well as for the list of variables or functions.
Please note that there are separate cursor keys for variables and functions.

Object list

The display of this list depends on the level selected in the 3D file structure:

  • Linkings must always be linked to a level.
    Please note: If no level has been selected in the 3D file structure, no linking is possible.
  • Linking to the root node is not permitted.
  • If the root node is selected in the 3D file structure, all linkings are shown in the object list, regardless of where they are linked in the file structure.

Click on the cursor key to transfer a variable or a function to the object list.

Parameter

Description

Object name

Name of the object in the 3D model.
This corresponds to the level selected in the 3D file structure.

Name

Name of the variable or function to be linked.

Type of link

Type of list entry:

  • Variable
  • Function

Camera

Selection from drop-down list.
The content of the drop-down list corresponds to the configured camera positions in the camera positions area. If no camera position has been assigned, this is shown with No camera position.

Note: if the name of a camera position is amended, this is updated by clicking on the drop-down list.


Camera positions

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration -> Camera positions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The camera positions are set up regardless of the level selected in the 3D file structure.

Parameter

Description

[List of configured camera positions]

List of configured camera positions]. The naming of the index and the camera position can be freely configured. Manual entry is validated and must be unique.
The display can be sorted and filtered.

  • Name
    Name of the camera position:
    Default: Camera_n
    n = consecutive number
  • Index
    unique number of the camera position.
    Negative camera indexes are not permitted.

Please note the Configure camera position section in the Configuration in the 3D configurator chapter.

New

Creates a new entry in the list of configured camera positions.

When clicking on the New button, the current orientation, including zoom level, is saved as seen in the preview.

Overwrite position

Overwrites the settings of the selected camera position with the current position, zoom level, etc. of the 3D model, as set up in the preview.

Delete

Deletes selected camera position from the list of configured camera positions.


Default settings

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration -> Default settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Area for the configuration of view options. The options selected in this area are visualized in real time in the preview window.

Parameter

Description

Rendering mode

Rendering mode for the display of the 3D model in <CD_PRODCUTNAME> Runtime.

Please ensure, when selecting the rendering mode, that this is also supported by the loaded 3D file. Otherwise the model will not be shown.

Select from drop-down list.

Use variable for rendering mode

Checkbox for selection of the rendering mode from a variable.

Clicking on the ... opens the dialog to select a numerical variable of the zenon Editor configuration.

  • Active:
    Display is shown with the value of the linked variable.
    If the value of the variable is invalid or if the checkbox is active but no variable is linked, the configured rendering mode is applied.
  • Inactive:
    Rendering mode is taken directly from the project configuration in the 3D Configurator for the display.

Note: You can get the numerical value from the numeric value in the brackets next to the mode in the drop-down list of the Rendering mode option.

[Selected variable]

Display of the name of the linked variable for rendering mode.

Default: No variable selected
(if no variable has been selected)

...

Opens dialog to select variables for the rendering mode.

Show this combobox in the Runtime.

Checkbox to select whether the rendering mode is offered for selection in Runtime.

  • Active:
    Rendering mode can be selected in Runtime from a drop-down list.
  • Inactive:
    No possibility to select rendering mode in Runtime.

Background color

Background color of the display of the 3D model.

Select from drop-down list.

Default: White

Light setting

Light color of the illumination of the 3D model.

Selection from drop-down list

Default: White

Light angle

Slider to configure the light angle for the light settings.
Selection in clockwise direction (from left to right)

Use variable for camera position index

Checkbox for selection of the camera position from a variable.

Clicking on the ... opens the dialog to select a numerical variable of the zenon Editor configuration.

  • Active:
    The camera position is defined with the value of the linked variable.
    If the value of the variable is invalid or if the checkbox is active but no variable is linked, the display is not amended.
  • Inactive:
    Camera position is taken directly from the project configuration in the 3D configurator for the display.

Note: You can find out the numerical value of the camera position from the corresponding entry in the Index column of the Camera positions option.

Default: No variable selected
(if no variable has been selected)

Please note the Configure camera position section in the Configuration in the 3D configurator chapter.

Transformation matrix for 3DS files

Checkbox for improved display of 3DS files.
This option is only applied for 3DS files. With all other file formats, this option has no effect.

Deactivate this option for 3DS files if the display has been moved in the preview.

  • Active:
    3DS file is shown with internal transformation matrix.
  • Inactive:
    3DS transformation matrix is ignored.

Default: activated

Note: a change to the configuration of this option causes automatic reloading of the corresponding 3DS file in the 3D Configurator. Properties that have already been configured in the tool are retained.

Create DWF attributes as variables

Checkbox to select whether attributes of a DWFX file are transferred to the project configuration in the zenon Editor.

The respective DWF attributes are displayed in the 3D Configurator in the DWF attributes field. This area only becomes visible if the element selected in the 3D file structure contains a corresponding DWF attribute.

Contents of the DWF attribute cannot be changed.

  • Active:
    DWF attributes are transferred to the project configuration of the Editor.
  • Inactive:
    DWF attributes are not taken into account. No variables are created.

Please note:

  • This selection is applicable for the complete loaded 3D model.
  • By clicking on the Save configuration button, an internal STRING data type variable is created in the zenon Editor for each attribute.
  • The value of the attribute is written to the initial value of the variable.
  • DWF attributes can only be transferred to the Editor project configuration when a 3D model is first loaded.

Transformation matrix for 3DS files

This property is only applicable for the display of 3DS files.

Example:
Transformation matrix for 3DS files option deactivated:

Example:
Transformation matrix for 3DS files option activated:

DWF attributes

If the loaded 3D model contains DWF attributes, they are loaded in the 3D Configurator in the Configuration area:


Preview

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The loaded 3D model is shown for editing in the preview. The view can be orientated and scaled as desired with the mouse. This can also be carried out by means of touch operation instead of the mouse.

The selected element of a 3D model is shown highlighted in red. An element can be selected in the preview directly or in the structure tree of the 3D file structure.

info Info

If the Selected object only option is activated in the 3D file structure, only the selected object is shown in the preview.

ViewCube

The ViewCube tool is a permanently-visible 3D cube. It offers visual feedback on the current viewpoint of the model. The ViewCube can also be used for orientation in the preview.

Drag the ViewCube or click on it

The ViewCube offers the following functionality:

  • Display of the view in a three-dimensional area
  • Orientation of the preview:
    • Click on the surface
      (for example: View from above when clicking on the top of the ViewCube.)
    • Click on an edge
    • Click on a corner point

If you drag or click on the ViewCube tool, the view of the model is newly aligned by one rotation point. The view is then scaled back to 100% in the process. The rotation point is shown in the middle of the object that was last selected before the ViewCube tool was used.

Rotation and zoom point

The rotation and zoom point for the direction can be defined by means a mouse click.
The following is applicable in the process:

  • If an assembly group is clicked on in the process, the location of the click is the rotation and zoom point.
  • If a point outside an assembly group is clicked on in the preview, the center point of the preview is the rotation and zoom point.


Configuration in the 3D configurator

Manuale -> Tool -> 3D Integration -> 3D Configurator -> Configuration in the 3D configurator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps to link a 3D file to your zenon project configuration:

  1. Start the zenon Editor.
  2. Carry out the configuration in the Editor:
    • Variables
    • Functions
    • ...
  3. Start the 3D Configurator.
  4. Load a 3D model in the 3D Configurator:
    To do this, click on the Open 3D model ... button and select the 3D file.
  5. Configure the camera positions:
    1. Select the desired assembly group.
    2. Select the angle and the zoom level in the preview.
    3. In the Camera positions area, click on the New button.
      A new entry is created for the camera positions option.
  6. Select a level in the 3D file structure.
    Note: The linkings are always connected to a level of the 3D file structure.
    Please note: if no level is selected, no linkings can be configured.
  7. Link a camera position to a function or a variable:
    1. Select a variable in the 3D Configurator in the list of configured variables.
    2. Accept the selection by clicking on the arrow downwards button in the object list.
    3. In the Camera entry in the object list, select a configured camera position in the drop-down list.
  8. Configure additional linkings.
  9. Save your 3D project configurations in the current <CD_PRODCUTNAME> Editor project:
    To do this, click on the Save configuration button.
    The project configurations of the 3D Configurator are saved in the active zenon project.

Configure camera position

  1. Configure camera positions in the 3D Configurator:
    1. Select the desired assembly group.
    2. Select the angle and the zoom level in the preview.
    3. In the Camera positions area, click on the New button.
      A new entry is created for the camera positions option.
  2. Link a variable for the camera index:
    1. In the Default settings area, activate the Use variable for index of the camera position.
    2. Click on the ... button.
      The variable selection dialog is opened.
    3. Select a numeric variable.
    4. By entering the number of the index of the camera position for the linked variable, the 3D model can be visualized in Runtime with the configured view - including zoom level, orientation and positioning.

attention Attenzione

Please ensure that you assign different camera positions for each variable. If several camera positions are linked to a variable, it is always the last-configured position that is visualized in zenon Runtime. If this project configuration has the value "no camera position", there is no repositioning in Runtime.

Load configuration

If you want to add to or correct pre-existing project configurations, carry out the following steps:

  1. Start the zenon Editor.
  2. Start the 3D Configurator
  3. In the 3D Configurator, click on the Load configuration ... button
    The selection dialog of the 3D configurations already saved in the zenon project are opened.
  4. Select a project configuration.
    The project configuration is loaded in the 3D Configurator.
  5. Carry out further configurations in the 3D Configurator.
  6. Save your project configurations by clicking on the Save configuration button.
    If a 3D configuration is already saved in the current zenon project, this is shown in a notice dialog.

Replace 3D model

Click on the Replace 3D model... button in the 3D Configurator to add new file content to existing project configurations. Amended content is shown in a dialog.

Please note that the newly-loaded file contains the same information for existing project configurations in the 3D Configurator. Ensure in particular that, in the newly-loaded file, only additional information is contained and that the existing content is not changed. Especially deleted or renamed content of the newly-loaded 3D model can lead to incorrect project configurations (invalid linkings).

attention Attenzione

Linkings that cannot be transferred are deleted from the configuration.


Engineering in the zenon Editor

Manuale -> Tool -> 3D Integration -> Engineering in the zenon Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in zenon to visualize a 3D configuration in zenon Runtime:

  1. Start the zenon Editor.
  2. Carry out the project configurations in the Editor.
  3. Start the 3D Configurator.
  4. Configure the linkings and camera positions in the 3D Configurator.
  5. Transfer the 3D configuration of the 3D Configurator to the Editor by clicking on the Save configuration button.
    The project configuration in the 3D configurator is saved in the current zenon project.
  6. Configure a zenon screen.

zenon - Create a screen

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Select the desired screen type in the Tipo di immagine property.
      Note: 3D project configurations can be configured for each zenon screen type.
    3. Select the desired frame in the Modello property.
  3. Configure the content of the screen:
    1. to do this, select the WPF element screen element.
    2. Place the WPF screen element on your screen.
      The file selection dialog to select a 3D project configuration is opened.
    3. Select the desired 3D configuration.
      Note: The parameters of the *.CDWPF file are set in the 3D Configurator and transferred to the Editor configuration using the Save configuration button there.
    4. Ensure that the WPF screen element is placed in a corresponding size in the zenon screen.
    5. Place a corresponding screen element in the screen for the display and control of the display in Runtime.
      Example: Numeric value screen element for the entry of camera positions.
  4. Creare una funzione di cambio immagine.

Clean up 3D configuration

3D configurations are not deleted automatically in the zenon Editor. The naming of the files corresponds to the respective 3D model that was loaded during project configuration in the 3D Configurator.

Carry out the following steps to delete an existing 3D project configuration:

  1. Close the 3D Configurator.
  2. Switch to the zenon Editor.
  3. Delete the 3D project configuration files in the zenon Editor:
    1. Go to the Files node in the Workspace.
    2. Select the Graphics folder.
    3. Delete the .cdwpf file.
      This file represents the configuration file for the zenon WPF screen element.
    4. Switch to the Others folder.
    5. Switch to the ThreeD folder.
    6. Delete the .z3m file.
      This file represents the internal 3D model for display in zenon Runtime.
    7. Delete the .png file.
      This file represents the preview screen for the zenon Editor.
    8. Delete the z3d file.
      This file represents the configuration file of the 3D Configurator. This file is loaded if you click on the Load configuration... button in the 3D Configurator.


Display in Runtime

Manuale -> Tool -> 3D Integration -> Display in Runtime

The following is applicable for display in Runtime:

  • The ViewCube is automatically visualized in Runtime for 3D display.
  • With linkings, in the mouse-over view, the display of the mouse pointer switches to the display of an arrow to display a cross.
  • Free navigation in the 3D model:
    The display can be moved, rotated, enlarged or reduced.
  • Execution of functions in the 3D model:
    A configured function can be executed by clicking on an object or an assembly group.
    Example: Opening a linked online help or calling up an information window.
  • Calling up the 3D model in a defined perspective:
    The 3D model with views of a configured position can be visualized by setting a value of a "camera variable".
  • Visualization of a limit value breach:
    When a limit value is breached, an object or an assembly group can be shown in color or flashing in the 3D model.
  • Objects or assembly groups can be switched to visible or invisible.

Linked objects assume the same properties for display in Runtime as the linked variables:

  • Configurations of the Valori limiti variable property group
    In particular the configurations of the Attributi aggiuntivi property group:
    • Colore
    • Invisibile
    • Lampeggio
    • Frequenza di lampeggio [dec.Secondo]
      Note: You can find this property in the project properties,
    • Visibilità
    • Function Cambia tavolozza colori


Diagnosis Viewer

Manuale -> Tool -> Diagnosis Viewer

Tutti i moduli di zenon come, per esempio, Editor, Runtime, driver, nonché zenon Analyzer, scrivono delle segnalazioni in un file Log comune. Esso può essere letto e visualizzato con il programma Diagnosis Viewer. Il Diagnosis Viewer permette la lettura di file di LOG esistenti, l'online-logging, il salvataggio della visualizzazione attuale, e la parametrizzazione di Diagnose-Client e Diagnosis Server.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Diagnosis Viewer avviare

Il Diagnosis Viewer viene installato nella cartella: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP. Apertura sotto:

  • Windows 8: digitate "Diagnosis Viewer" sul Desktop per Apps
  • Windows 7: Start/Tutti i programmi/zenon/Version Independent Tools -> Diagnosis Viewer.

Il Diagnosis Viewer è disponibile solo in lingua inglese.

Uso di IPv6

Il Diagnosis Server funziona anche con client di diagnosi indirizzati tramite indirizzi IPv6. Per questo si è provveduto ad adattare il formato dei file Log. Il Diagnosis Viewer legge solamente il nuovo formato dei file LOG. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.

Analisi driver

zenon driver log all errors in the LOG files.I file LOG sono file di testo con una struttura speciale: La cartella standard per i file Log è la sottocartella LOG della directory ProgramData, per es.:

%ProgramData%\COPA-DATA\LOG.

Attention: With the default settings, a driver only logs error information. With the Diagnosis Viewer you can enhance the diagnosis level for most of the drivers to "Debug" and "Deep Debug". With this the driver also logs all other important tasks and events.

Nel Diagnosis Viewer si può anche:

  • Seguire nuovi inserimenti in tempo reale
  • Individualizzare le impostazioni di registrazione
  • Modificare la cartella in cui vengono salvati i file LOG

Note:

  1. The Diagnosis Viewer displays all entries in UTC (coordinated world time) and not in local time.
  2. The Diagnosis Viewer does not display all columns of a LOG file per default. To display more columns activate property Add all columns with entry in the context menu of the column header.
  3. If you only use Error-Logging, the problem description is in the column Error text. For other diagnosis level the description is in the column General text.
  4. For communication problems many drivers also log error numbers which the PLC assigns to them. They are displayed in Error text or Error code or Driver error parameter (1 and 2). Hints on the meaning of error codes can be found in the driver documentation and the protocol/PLC description.
  5. At the end of your test set back the diagnosis level from Debug or Deep Debug. At Debug and Deep Debug there are a great deal of data for logging which are saved to the hard drive and which can influence your system performance. They are still logged even after you close the Diagnosis Viewer.

attention Attenzione

In Windows CE errors are not logged per default due to performance reasons.

Ancora in questo capitolo

Generale

Topologia del sistema di diagnosi

Procedura

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Programma di analisi

Possibilità di filtro

Lettura del file LOG

Struttura del file LOG

Gestione degli errori per il Diagnosis Viewer


Generale

Manuale -> Tool -> Diagnosis Viewer -> Generale

Il sistema di diagnosi di zenon effettua individua le segnalazioni di errore di zenon e zenon Analyzer. Esso consiste di tre parti:

  • Diagnosis Server: locale oppure impostato nello zenon6.ini zenLogSrv
  • Diagnose Clients: tutti i moduli, driver, servizi ecc che settano delle segnalazioni
  • Diagnosis Viewer: Programma di analisi

Versioni

A partire dalla versione 7.00 di zenon si usa come servizio per il sistema di diagnostica lo zenLogSrv anziché lo zenSysSrv. Questo significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili fra di loro e quelli a partire dalla versione 7.00 sono compatibili fra di loro.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnosis Viewer 6.51 SP0 e versioni precedenti. | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnosis Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnosis Viewer versione 7.00 SP0 e versioni successive, i file LOG creati da un Diagnosis Server della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!

Default Port.s

  • dalla versione 7: 50780 (port del servizio zenLogSrv)
  • fino alla versione 6.51 inclusa: 1101 (port del servizio zenSysSrv)

Se non risulta possibile aprire la porta, il servizio corrispondente si chiude.

attention Attenzione

Se la porta alla quale il Diagnosis Viewer deve connettersi, è chiusa, il sistema cercherà di avviare il server di diagnosi (Diagnosis Server) locale. In tal modo si assicura che il sistema realizzi un login a livello locale se un server di diagnosi (Diagnosis Server) non è disponibile in rete.

Posto occupato nella memoria

Il servizio zenLogSrv salva in un buffer gli inserimenti LOG aspettando che essi possano essere scritti nel file LOG. Se il consumo dello spazio della memoria di lavoro sale in continuazione a causa dello zenLogSrv, ciò è l´indizio evidente che non è possibile scrivere nel file LOG.


Topologia del sistema di diagnosi

Manuale -> Tool -> Diagnosis Viewer -> Topologia del sistema di diagnosi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia del sistema di diagnosi è diversa nelle versioni fino alla 6.51 SP0 e in quelle a partire dalla 7.00 SP0.

Topologia prima della versione 7.00 SP0 zenon

Lo schema mostra tutte le connessioni possibili per le quali è responsabile la versione zenSysSrv. Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si collegano allo zenSysSrv tramite la port 1101, indipendentemente dal fatto se client o server si trovano sullo stesso calcolatore, oppure comunicano tramite una rete.

  1. L´Editor invia gli inserimenti Log, nonché i comandi e i dati del Trasporto Remoto allo zenSysSrv. Lo zenSysSrv manda la configurazione dei Diagnosis Clients (Editor, Runtime, driver, zenon Web Server, zenon Web Client ecc.) e i dati del Trasporto Remoto all´Editor.
  2. Il Diagnosis Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenSysSrv. Lo zenSysSrv manda i dati di diagnosi e la configurazione del Diagnosis Client al Diagnosis Viewer.
  3. Lo zenSysSrv manda la configurazione del Diagnosis Client ai Diagnosis Client. I Diagnosis Client mandano gli inserimenti LOG allo zenSysSrv.

Lo zenSysSrv reagisce in modo corrispondente ad ogni messaggio in arrivo:

  • Gli inserimenti Log vengono scritti nei file LOG.
  • I comandi del Trasporto Remoto (avvia Runtime, carica file / importa file, …) vengono eseguiti.
  • I comandi di diagnosi (setta configurazione Server/Client, inizia Online Logging, …) vengono eseguiti.

Topologia a partire dalla versione 7.00 SP0 zenon

Lo schema mostra tutte le possibili connessioni per cui è responsabile lo zenSysSrv e lo zenLogSrv (a partire dalla versione 7.00 SP0). Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si connettono a zenLogSrv mediante Port 50780. L´Editor si connette a zenSysSrv mediante Port 1101. Non ha alcuna importanza se client e server sono sullo stesso computer, oppure comunicano attraverso una rete.

  1. L´Editor invia comandi e dati del Trasporto Remoto a zenSysSrv. Lo zenSysSrv invia i dati del Trasporto Remoto all´Editor
  2. L´Editor manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione dei Diagnosis Clients all´Editor.
  3. Il Diagnosis Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenLogSrv. Lo zenLogSrv manda i dati di diagnosi e la configurazione dei Diagnosis Client al Diagnosis Viewer.
  4. Lo zenSysSrv manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione dei Diagnosis Clients allo zenSysSrv.
  5. Lo zenLogSrv manda la configurazione del Diagnosis Client ai Diagnosis Client. Die Diagnosis Client mandano gli inserimenti LOG allo zenLogSrv.

Lo zenSysSrv reagisce a comandi Trasporto Remoto in arrivo.
Lo zenLogSrv reagisce a comandi di diagnosi in arrivo e a inserimenti Log.

Esempio

In un ambiente con un Diagnosis Server centrale viene avviato il Runtime su un apparecchio. Sulla base della versione Runtime, la configurazione viene letta andandola a prendere nello zenon6.ini. Le versioni prima della 7.00 SP0 leggono l´inserimento LOG_CONFIG andando a prenderlo nello [SYS_REMOTE], le versioni più recenti leggono questo inserimento andando a prelevarlo da [LOGGING_SYSTEM]. In presenza di questa configurazione, il sistema cerca di instaurare una connessione di diagnosi. (Per i dettagli, vedi Procedura standard.) Anche ogni ulteriore componente scaricata dal Runtime (driver, zenNetSrv ecc.) instaura una connessione di diagnosi.


Procedura

Manuale -> Tool -> Diagnosis Viewer -> Procedura

Di default, i client trasmettono al Diagnosis Server solamente le segnalazioni di errore (Errors).

Il Diagnosis Server salva le segnalazioni ricevute in file TXT con una struttura particolare. La cartella default per i file LOG è la LOG che si trova al di sotto di quella %ProgramData%. Per esempio: %ProgramData%\COPA-DATA\LOG.
Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata all´Installazione e update, nel capitolo Struttura file.

Nota: a causa della limitatezza delle risorse, sotto Windows CE non vengono generate di default neanche delle segnalazioni di errore.

Per comunicare al Diagnosis Server non solo segnalazioni di errore ma anche altre informazioni importanti a fini diagnostici, devono essere effettuate le corrispondenti impostazioni per il Client.

Anche il comportamento del Server può essere configurato.

Configurazione

La configurazione della connessione avviene nello zenon6.ini, suddivisa in:

  • Diagnosis Clients
  • Diagnosis Server
  • versioni, per assicurare che le configurazioni delle versioni non si intralcino l´una con l´altra.

Anche la configurazione del Diagnosis Viewer consente delle impostazioni per configurare la connessione:

  • Impostazioni del Server
  • Impostazione di connessione Diagnosis Server Connection
  • Diagnosis Client
  • Diagnosis Viewer - Programma di analisi

Si consiglia di effettuare la configurazione della connessione per server e client via zenon6.ini.

Procedura

Il Diagnosis Server è:

  • un servizio sul PC
    il servizio si avvia automaticamente al momento della partenza del sistema operativo. Il servizio locale può essere avviato solamente una volta.
  • un´applicazione sotto CE
    Sotto CE, solo un processo può usare la porta. Altri processi eventualmente avviati, vengono chiusi, perché la porta non può essere aperta. Se la configurazione locale del Diagnosis Servers sotto CE è tale che deve essere mostrata solamente la superficie (INIT=2), possono crearsi diversi processi a causa dei tentativi dei Diagnosis Client di avviare il Diagnosis Server locale.

Non appena un Diagnosis Client è attivo, vengono eseguiti i seguenti passi:

  1. Il Diagnosis Client legge la configurazione prendendola dallo zenon6.ini e la usa. Se nello zenon6.ini non c`è alcuna configurazione, viene usata quella standard (Diagnosis Server=localhost:50780).
  2. Il Diagnosis Client cerca di instaurare una connessone con il Diagnosis Server:

    L´instaurazione della connessione riesce:

    1. la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    L´instaurazione della connessione fallisce:

    1. il Diagnosis Client cerca di avviare il Diagnosis Server locale e di usarlo.
      Il sistema cerca di avviare il servizio sul PC.
      Sotto CE, il sistema cerca di generare il processo.
    2. Il Diagnosis Client cerca di instaurare una connessone con il Diagnosis Server: Se ciò riesce, la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    Nel caso in cui la connessione non dovesse riuscire, non verrà creato nessun inserimento LOG.

Ancora in questo capitolo

Inserimenti nello zenon6.ini

Windows CE


Inserimenti nello zenon6.ini

Manuale -> Tool -> Diagnosis Viewer -> Procedura -> Inserimenti nello zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione dello zenSysSrv e dello zenLogSrv viene eseguita nel file zenon6.ini. Ci sono delle differenze fra le versioni fino alla 6.51 e e quelle a partire dalle 7.00. In tal modo è possibile configurare su un apparecchio sia vecchi che nuovi Diagnosis Clients e Diagnosis Server indipendentemente gli uni dagli altri. In questo modo, per esempio, si possono deviare gli inserimenti Log di vecchi Diagnose Client senza che gli inserimenti Log di nuovi Diagnose Client ne siano interessati.

Diagnosis Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione del file zenon6.ini.

Contiene i parametri per zenSysSrv (Trasporto Remoto e Diagnosis Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c`è questo inserimento, il sistema considera come valore standard la cartella LOG che si trova nella cartella %ProgramData% della versione utilizzata.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Stringa di configurazione per il Diagnosis Server e il zenSysSrv . Trasporto Remoto e “diagnosis system” usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usato.
    Sono a disposizione TCP/IP e seriale.
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

  • 0: non attivo (default)

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Nota: in seguito alla separazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Server. Riguarda solamente lo zenLogSrv e non ha alcun effetto sullo zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa:

  • Il percorso estratto dalla registry
    Per es. %ProgramData%\COPA-DATA\LOG
  • La cartella LOG nel percorso %ProgramData% dello zenLogSrv, se nella registry non è definito nessun percorso.
    per e. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Stringa di configurazione per il Diagnosis Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

Default: 0

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Diagnosis Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnosis Client èr salvata qui. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione del file zenon6.ini.

Contiene i parametri per il Diagnosis Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnosis Client èr salvata qui. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnosis Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Note

INIT sotto CE

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnosis Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnosis Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnosis Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnosis Clients, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnosis Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Ragione: client più vecchi usano poi lo zenLogSrv come Diagnosis Server. I nuovi client lo fanno automaticamente. Questo servizio viene avviato automaticamente sul PC quando il sistema viene avviato; con CE deve essere avviato manualmente.

Attenzione: se è impossibile raggiungere la porta, i client più vecchi avviano lo zenSysSrv e ritentano una connessione con questo.


Windows CE

Manuale -> Tool -> Diagnosis Viewer -> Procedura -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows CE, il Diagnosis Server viene avviato come applicazione.

Nell´effettuare la configurazione della connessione, tenete presente il consiglio del parametro INIT:

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnosis Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnosis Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnosis Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnosis Clients, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

Superfici sotto CE

Transport Service (zenSysSrv)

Parametro

Descrizione

Start

Apre la Listening Port e consente allo zenSysSrv di ricevere comandi Trasporto Remoto.

Browse

Apre il dialogo per la ricerca del sistema file.

Stop

Termina la ricezione di comandi Trasporto Remoto e chiude la Listening Port.

Configuration

Selezione di una configurazione server disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione predefinita TCP/IP
  • Configurazione predefinita COM1 - COM4

Hide

Riduce ad icona la superficie nella taskbar.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Riduce ad icona la superficie nella taskbar.

Logging Service (zenLogSrv)

Parametro

Descrizione

Start

Apre la Listening Port e consente allo zenLogSrv di ricevere inserimenti LOG.

Stop

Termina la ricezione di inserimenti LOG e chiude la Listening Port.

Configuration

Selezione di una configurazione disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione predefinita TCP/IP

Hide

Riduce ad icona la superficie nella taskbar.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Riduce ad icona la superficie nella taskbar.


Diagnosis Server

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Server

Lo Diagnosis Server:

  • Crea e gestisce file di Log.
  • Il server è:
    • implementato come zenLogSrv a partire dalla versione 7.00 di zenon
    • integrato nello zenSysService fino alla versione 6.51 di zenon inclusa
  • La configurazione del server viene ripresa dallo zenon6.ini.
  • Il server scrive i file Log ricevuti nel file Log.
  • E' possibile configurare il luogo dove si salvano i file. Standard: %ProgramData%\COPA-DATA\LOG\
  • I file di Log hanno la denominazione LOG<YYMMTThhmmss>.txt.
  • Il server è multi-client. Diverse valutazioni possono collegarsi contemporaneamente al server.
  • C'è la possibilità di connettersi con il server online per seguire le operazioni di Loggin attuali.
  • C'è la possibilità di collegarsi a server diversi dal Diagnosis Server operante localmente e di effettuare le stesse operazioni (configurare il server o i client, Online Logging) che si realizzano sul server locale.
  • Possono essere modificati i parametri nel server attuale (con cui è collegato il Diagnosis Viewer). Nel caso sia necessaria una modifica in un altro Diagnosis Server, la connessione server può essere cambiata usando il menu File - Connetti con... .
  • Nel menu, la voce Settings - Server configuration è disponibile solo nel caso in cui non si usi al momento un Online-Logging.

Ancora in questo capitolo

Controllo integrità sistema

Impostazioni del Server


Controllo integrità sistema

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Server -> Controllo integrità sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento dello start del runtime, viene avviato un thread di controllo che possiede il più elevato livello di priorità. Il thread controlla ogni 10 secondi i parametri critici di sistema e scrive gli eventuali avvertimenti e messaggi di errore nel modulo Supervisor del server di diagnosi.

Vengono controllati i seguenti parametri.

Parametro | Valore limite
Soglia di avvertimento per handle usati | > 5000
Soglia di errore per handle usati | > 9000
Soglia di avvertimento per oggetti GDI usati | > 5000
Soglia di errore per oggetti GDI usati | > 9000
Soglia di avvertimento per carico CPU per il thread principale | > 70 %
Soglia di errore per carico CPU per il thread principale | > 90 %
Soglia di avvertimento per carico CPU complessivo | > 70 %
Soglia di avvertimento per carico CPU complessivo | > 90 %
Soglia di avvertimento per memoria principale libera | < 30 %
Soglia di errore per memoria principale libera | < 10 %
Soglia di avvertimento per OnTimer in mainframe | > 1000 ms
Soglia di errore per OnTimer in mainframe | > 5000 ms


Impostazioni del Server

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Server -> Impostazioni del Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnosis Server può essere configurato facendo uso di inserimenti nello zenon6.ini, oppure ricorrendo al dialogo Server configuration nel Diagnose Client. Si consiglia di effettuare le impostazioni tramite lo zenon6.ini.

Configurazione tramite lo zenon6.ini

Vedi sezione Inserimenti nello zenon6.ini.

Configurazione tramite dialogo

Per configurare un Diagnosis Server facendo uso del dialogo:

  1. Avviare il Diagnosis Viewer
  2. aprire l´inserimento File Connect to...
  3. configurate il server desiderato
    (Fate attenzione a scegliere la port correttamente, a seconda della versione che state utilizzando!)
  4. aprite l´inserimento Settings -> Server configuration
  5. configurate gli eventi desiderati
  6. Chiudere la finestra di dialogo cliccando su OK.

Nota: tutte le modifiche verranno scritte nello zenon6.ini non appena si conferma la finestra di dialogo.

Configurazione degli eventi che vengono presi in considerazione dal Diagnosis Viewer:

Parametro | Descrizione
Modules | Selezione del modulo da configurare.
Messagelevel | Selezione degli eventi da protocollare. Default: Errors
LOGImageCnt | Numero degli inserimento dopo cui vengono scritti tutti i campi incrementali. Default: 0 (non attivo)
LOGMinFreeDiskSpace | Si controlla in continuazione se è disponibile meno posto sul disco di quello che è stato impostato al momento della configurazione. I più vecchi file di LOG vengono cancellati. Posto minimo libero sul disco (espresso in MB) prima che si proceda alla cancellazione di file di LOG. Default: 1024 MB
LOGMaxUsedDiskSpace | Posto massimo sul disco (espresso in MB) usato per il file LOG. Default: 1024 MB
LOGMinUsedDiskSpace | Posto minimo usato sul disco (espresso in MB) indipendentemente dal fatto se il LOGMinFreeDiskSpace sia superato per difetto o no. Default: 5 MB
LOGLogUpdateTime | Tempo in millisecondi dopo cui vengono salvati gli inserimenti ricevuti. Default: 2000 ms
LOGMaxBufferedRecs | Il server inserisce nel buffer il contenuto di tutti i campi LOG incrementali per diverse applicazioni, per poter scrivere immagini di queste nel file LOG. Con l'avvio di un file LOG e dopo un numero configurabile di inserimenti-LOG, viene scritta nel file LOG un'immagine completa per tutti gli indirizzi. I dati ricevuti vengono scritti nei file di LOG. L'inserimento non avviene direttamente, ma passando per un buffer temporaneo. Si può stabilire se i dati debbono essere scritti immediatamente o con un tempo di ritardo. Numero degli inserimenti nel buffer quando non è stato possibile salvarli. Default: 10240
LOGMaxLogFileSize | Il server scrive i file Log ricevuti nel file Log. Se quest'ultimo raggiunge la grandezza configurata, viene creato un nuovo file. Grandezza massima di un singolo file LOG in Byte. Default: 5 MB
LOGDirectory | Cartella nella quale viene scritto il file LOG. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Avviene un controllo continuo volto a verificare se la durata del file LOG sia scaduta o meno. I più vecchi file LOG vengono cancellati. Numero dei secondi che vengono conservati nel file LOG. Default: 14 giorni
LOGCheckDiskTime | Intervallo espresso in secondi nel quale si controlla il posto del disco occupato. Default: 60 s
Message level for all modules | Le impostazioni vengono accettate per tutti i moduli.
Default values | Ripristina le impostazioni standard
Accept | Accetta le impostazioni per questo modulo.
Cancel | Rifiuta le modifiche e chiude la finestra di dialogo.
OK | Applica le modifiche e chiude la finestra di dialogo.


Diagnosis Client

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Client

Tutti i programmi che creano inserimenti LOG, sono un Diagnosis Client. Questi inserimenti Log vengono inviati al Diagnosis Server via TCP/IP. Il calcolatore server e la porta vengono letti e contattati (indipendentemente dalla versione utilizzata) a partire dallo zenon6.ini locale. Se la connessione non può essere instaurata, il sistema ci riprova ciclicamente:

  • se il Diagnosis Server non è raggiungibile, il sistema prova ad instaurare una connessione ogni 500 ms.
  • Se, trascorsa la metà del tempo di timeout, non fosse ancora possibile stabilire una connessione, si fa il tentativo di avviare il servizio zenSysSrv o zenLogSrv.

Le impostazioni relative vengono configurate mediante l´inserimento LOG_CONFIG= nella sezione [SYS_REMOTE] (fino alla versione 6.51) oppure il [LOGGING_SYSTEM] (a partire dalla versione 7.00).

Configurazione Diagnosis Client

Per configurare un Diagnosis Client facendo uso del dialogo:

  1. Avviare il Diagnosis Viewer
  2. Aprite l´inserimento Settings -> Client configuration
    (disponibile solamente se il loggin non è attivo)
  3. Evidenziate un client,
  4. Cliccare su List of parameters,
  5. Si aprirà la finestra di dialogo di configurazione.
  6. Configurate il client.
  7. Chiudere la finestra di dialogo cliccando su OK.
  8. Ripetete eventualmente il procedimento per altri client.

Lista client

Parametro | Descrizione
Clients | Ordina in una lista tutti i client disponibili.
Refresh | Attualizza la lista dei client.
List of parameters | Apre il dialogo per la configurazione del client selezionato.
Close | Chiude la finestra di dialogo.

Configura client

I moduli che possono essere selezionati, sono i seguenti:

Modulo

Descrizione

Modules

Selezione del modulo da configurare.

La lista si compone di moduli standard e altri moduli, che dipendono dal client in questione.

  • General: segnalazioni generali
  • Net: Messaggi in rete
  • Proxy: Segnalazioni del Proxy di zenon
  • Db: Messaggi di ZenDbSrv
  • SysSrv: Messaggi di ZenSysSrv
  • Driver: Messaggi di un driver
  • LOG: Messaggi di Logging
  • SAT: <Messaggi speciali di CD_SIEMENS_PRODUCTNAME>

Messagelevel

Tipo delle informazioni

All

Seleziona tutto.

None

Deseleziona tutto.

Message Level for all Modules

Assegna Message Level evidenziati a tutti i moduli.

Max Buffered records

Quantità degli inserimenti che vengono inseriti nel buffer quando esiste una connessione col il Diagnosis Server.
Default: 256

OK

Applica tutte le modifiche e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Accept

Riprende e accetta tutte le modifiche e lascia aperto il dialogo.

Default values

Inserisce i valori standard.


Diagnosis Viewer - Programma di analisi

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnosis Viewer serve alla visualizzazione dei dati LOG. Si collega al Diagnosis Server per visualizzare i file online o per richiamare file LOG storici. I file LOG non contengono solamente i dati LOG; vengono depositate anche ulteriori informazioni necessarie per l´analisi, come titoli colonne.

Per visualizzare un file LOG:

  1. Selezionare File -> Open.
  2. si apre il dialogo che serve alla scelta di un file LOG, con focus sulla cartella standard configurata
  3. Selezionate il file desiderato.
  4. Il file LOG viene visualizzato

  5. Cliccando due volte su un inserimento si apre la visuale dettagli.

Riconoscimento di "Coda driver pieno" in caso di driver

Se delle segnalazioni di un driver vengono cancellate per "Coda driver pieno", i Diagnose Client e il Diagnosis Server, scrivendo un nuovo inserimento per tutti i moduli attivi, settano un segnale nel nuovo inserimento che indica il fatto che degli inserimenti più vecchi sono stati cancellati dalla Queue. Questi segnali presenti nei file LOG aperti vengono contati:

Parametro | Descrizione
Colonna Record version | Questa colonna deve essere contenuta nella selezione colonne. Essa mostra la versione del record. Una versione 8x rimarca Overflows.
Contatore 82 | 8 rimanda a Overflow, 2 alla versione del record in questione.
Riga di stato: queue overflows | Con la riga di stato attiva, viene indicato in questa sede il numero di Overflows.

Nota: non tutti gli inserimenti scritti nel file di LOG vengono anche visualizzati. Se un record LOG non visualizzato è stato rimarcato con una coda, esso viene visualizzato nel prossimo record visualizzato da questo client. Se diversi inserimenti non visualizzati sono rimarcati con una coda, il contatore nella riga di stato può divergere dal numero dei record che sono rimarcati con coda.

Ancora in questo capitolo

Impostazioni globali


Impostazioni globali

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti sono in lingua inglese.

Parametro

Descrizione

File

Comandi nel menù file

Open

Apre il dialogo che serve alla selezione di un file LOG salvato in formato TXT Ogni file di LOG aperto, viene visualizzato in una propria finestra.

Open to active document

Ogni file di LOG selezionato viene aggiunto alla finestra attiva in quel momento.

Close

Chiede la finestra attiva in quel momento.

Save

Salva i file di LOG della finestra attiva al momento.

Save as

Salva la visuale attuale della finestra attiva (per es. dopo le impostazioni di filtro) nel file che l'utente indica.

Remote Download

Disponibile solo se esiste una connessione con un Diagnosis Server remoto. Consente il dowload di dati di logging del server remoto nella cartella LOG locale. Viene creata una sotto-cartella con il nome del calcolatore. Il sistema rende disponibile solo i file che sono stati modificati o che sono nuovi.

Connect to

Viene aperto un dialogo per la selezione di un tipo di connessione.

Online

Viene attivata l'osservazione errori online.
Quando viene avviato il Loggin online, vengono emessi tutti gli inserimenti ricevuti. Può essere impostato anche qui lo stesso dialogo filtro come nel caso della lettura file.

Differenza: nel caso in cui sia stata selezionata una connessione Log, vengono visualizzati tutti gli inserimenti Log ricevuti; in caso contrario solo quelli provenienti dai clienti selezionati.

Nel caso in cui si modifichi il filtro in relazione alla connessione Log, tutti gli inserimenti che non corrispondono alle condizioni di filtro, vanno perduti. (Il file LOG viene però impostato e tutti gli inserimenti vengono salvati.) Gli inserimenti visualizzati possono essere salvati.

Offline

Viene disattivata l'osservazione errori online (default).

Exit

Chiude il Diagnosis Viewer.

Ancora in questo capitolo

Impostazione di connessione Diagnosis Server Connection

Impostazioni colonne

Profili


Impostazione di connessione Diagnosis Server Connection

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Impostazione di connessione Diagnosis Server Connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnosis Viewer si connette automaticamente al momento dello start con uno default-server selezionato. Se non è definito nessun server standard, si usa localhost.
Raccomandazione: eseguire la configurazione del server usando gli inserimenti del file zenon6.ini.

Seleziona Diagnosis Server

Cliccando su File -> Connect to..., si apre la finestra di dialogo per la selezione di un server.

Parametro

Descrizione

Lista server

Ordina in una lista tutti i server configurati e mostra:

  • Stato:
    Con: Server connesso:
    Def: Default Server. Viene visualizzato al momento dell´apertura.
  • Nome
  • Porta
  • Timeout

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla le impostazioni e chiude la finestra di dialogo.

New Server

Apre il dialogo che serve alla configurazione di un nuovo server.

Delete Server

Inserimento "server selezionato" viene cancellato dalla lista.

Edit Server

Apre il dialogo per la configurazione del server selezionato.

Connect to

Instaura la connessione con il server selezionato.

As default

Server selezionato diventa server di default.

Crea e modifica Diagnosis Server

Cliccando su New Server oppure su Edit Server nel dialogo Diagnosis Server connection, si apre il dialogo per la configurazione del server:

Parametro

Descrizione

Server name

Il nome del calcolatore con il quale deve essere effettuata la connessione.
Ogni computer può essere indicato solo una volta come server.

Su esso devono essere attivi:

  • Fino alla versione 6.51: zenSysSrv
  • Dalla versione 7.00: zenLogSrv

Port

Port del servizio sul calcolatore destinatario:

  • fino alla versione 6.51: 1101
  • dalla versione 7.10: 50780

Timeout

Tempo, espresso in secondi, nel corso del quale si attende una risposta del Sysservice.

Default: 10 s

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla le impostazioni e chiude la finestra di dialogo.


Impostazioni colonne

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla voce Settings -> Column settings del menù si possono selezionare le colonne che devono essere visualizzate. La selezione vale solamente per l´intervallo di tempo in cui il file è aperto. Le impostazioni colonna, tuttavia possono essere salvate come profili:

Parametro | Descrizione
available | Colonne disponibili
selected | Colonne che vengono visualizzate
> | aggiunge le colonne selezionate in available a selected
>> | aggiunge tutte le colonne disponibili in available a selected
< | rimuove le colonne selezionate in selected
<< | rimuove tutte le colonne disponibili in selected
^ | ordina gli inserimenti selezionati in un livello superiore (multiselect possibile).
v | ordina gli inserimenti selezionati in un livello inferiore (multiselect possibile).
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla le impostazioni e chiude la finestra di dialogo.

Le colonne possono essere configurate anche nel menù contestuale:

Parametro | Descrizione
Add all columns with entry | Aggiunge tutte le colonne che contengono inserimenti.
Remove Column | Esclude la colonna selezionata.
Remove all empty columns | Esclude tutte le colonne senza inserimento.
Column width automatic | La larghezza della colonna selezionata viene adattata automaticamente all'inserimento più lungo.
All columns widths automatic | La larghezza di tutte le colonne viene adattata automaticamente all'inserimento più lungo.


Profili

Manuale -> Tool -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni colonna possono essere salvate come profili:

Per salvare dei profili:

  1. Indicate nel campo della barra simboli un nome
  2. Cliccate sul simbolo con il dischetto.

Per caricare dei profili:

  1. Selezionare un profilo salvato fra quelli del menù a tendina
  2. Cliccate sul simbolo con il dischetto.

I profili sono salvati nel formato di file *.lvs.


Possibilità di filtro

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro

Per definire dei filtri, aprite il dialogo corrispondente facendo uso dei relativi simboli oppure della scheda del filtro.

Barra simboli Filtro

Per poterla utilizzare, la barra dei simboli deve essere anzitutto attivata nel menu View facendo uso dell´inserimento Icon bar

Simbolo | Tooltip | Descrizione
1 | Change pre-filter settings | Apre il dialogo con cinque schede che serve alla definizione dei filtri.
2 | Change pre-filter for IP-ProcessID-LogID | Apre la scheda IP address - Process No - Log ID.
3 | Change pre-filter for modules | Apre la scheda Modules.
4 | Change pre-filter for additional columns | Apre la scheda Additional columns.
5 | Change pre-filter for time interval | Apre la scheda Time interval.
6 | Change pre-filter for coloring | Apre la scheda Colors.

Finestra di dialogo - Filtro

Schede | Descrizione
IP-ProcessID-LogID | Apre la scheda IP address - Process No - Log ID che serve alla configurazione dei collegamento di cui si deve effettuare il Login.
Modules | Apre la scheda Modules per i moduli di cui si deve effettuare il protocollaggio.
Additional columns | Apre la scheda Additional columns che serve alla selezione delle ulteriori colonne da visualizzare.
Time interval | Apre la scheda Time interval che serve alla definizione dei filtri tempo.
Colors | Apre la scheda Colors che serve alla selezione dei colori da utilizzare per mettere in evidenza determinate informazioni.

Ancora in questo capitolo

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro -> IP address - Process No - Log ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle connessioni e dei processi che devono essere visualizzati.

Parametro | Descrizione
available | Lista delle connessioni disponibili.
selected | Lista delle connessioni selezionate.
Pfeiltasten | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Abbrechen | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Modules

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro -> Modules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione del moduli che devono essere visualizzati.

Parametro | Descrizione
Module filter active | Attiva: viene effettuata un´operazione sulla base di moduli. In tal modo, vengono visualizzati solamente dei record LOG che sono assegnati a un modul selezionato.
available | A disposizione ci sono i seguenti moduli:
selected | Moduli selezionati.
Tasti freccia | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Additional columns

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro -> Additional columns

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione delle ulteriori colonne che devono essere visualizzate.

Parametro | Descrizione
available | Lista delle colonne disponibili. Vengono visualizzate tutte le definizioni di campo presenti nel file.
selected | Lista delle colonne selezionate.
Tasti freccia | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Time interval

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro -> Time interval

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo per la rappresentazione degli inserimenti.

Parametro | Descrizione
Start time: | selezione della data e del momento a partire da cui verranno visualizzati degli inserimenti. Default: Data attuale
End time: | selezione della data e del momento fino a cui verranno visualizzati degli inserimenti. Default: Data attuale
Reset time interval | resetta il filtro sul valore default.
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Colors

Manuale -> Tool -> Diagnosis Viewer -> Possibilità di filtro -> Colors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione dei colori per caratterizzare delle informazioni.

Parametro | Descrizione
Colors for: | selezione del colore
IP address | Attivo: Dei differenti indirizzi IP vengono colorati in modo diverso.
Modules | Attivo: Dei differenti moduli hanno diversi colori.
Log connection | Attivo: Diversi nomi del collegamento LOG vengono colorati in modo differente.
no colors | Attivo: gli inserimenti non vengono colorati.
OK | Applica tutte le modifiche di tutte le schede e chiude la finestra di dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude la finestra di dialogo.


Lettura del file LOG

Manuale -> Tool -> Diagnosis Viewer -> Lettura del file LOG

E' possibile aprire contemporaneamente più file di LOG in una analisi. Per limitare la visualizzazione bisogna impostare un pre-filtro. Ciò è reso possibile da 5 schede. Questo filtro può essere modificato anche in seguito. Una volta impostato il filtro, vengono visualizzati solo gli inserimenti che soddisfano le condizioni del filtro stesso. Gli inserimenti vengono messi in ordine cronologico.

Colonne filtro

Un'altra possibilità di filtro è rappresentata dalle colonne filtro. E' possibile inserire nel campo di inserimento sotto il titolo della colonna delle condizioni di filtro. I campi supportano la Regular Expressions, grazie alla quale è possibile formare anche delle complesse condizioni di filtro. La lista può essere ordinata in senso crescente o decrescente cliccando sul titolo delle colonne. Gli inserimenti visualizzati possono essere salvati. I campi da visualizzare possono essere selezionati usando la voce di menù Settings -> Column settings.

Campi default nel file LOG:

ID | Parametro | Descrizione
i | IP address | Indirizzo IP. Identifica il client e consente di assegnare il messaggio.
i | Log ID | ID dell´inserimento. Identifica il client e permette di effettuare l'assegnazione del messaggio.
i | Message Level | Nome del livello di messaggio per cui è stato inserito il messaggio.
i | Module | Nome del modulo per cui è stato inserito il messaggio.
i | Process ID | ID del processo Identifica il client e consente di assegnare il messaggio.
i | Record type | Tipo di inserimento.
i | Record version | Numero di versione dell´inserimento.
i | Thread ID | ID del Threads da cui la segnalazione è stata inserita.
i | Timestamp | Ora della generazione della segnalazione in UTC.

Campi opzionali con ID fisso:

ID | Costante | Descrizione
1 | Name of log connection | Nome del collegamento di Loggin.
2 | Thread name | Nome del thread.
3 | Name of source files | Nome del file sorgente.
4 | Source line | Sourceline.
5 | Assert condition | Condizione assert.
6 | Computer name | Nome computer.
7 | Function name | Nome funzione.
8 | Project name | Nome progetto.
9 | Project GUID | GUID del progetto.
10 | Project path | Percorso progetto.
11 | Sent Data | Dati inviati.
12 | Received data | Dati ricevuti.
13 | no. serial interface | Numero della porta seriale
14 | Baudrate | Baudrate
15 | dtr setting | Impostazione DTR.
16 | rts setting | Impostazione RTS.
17 | Serial char. length | Lunghezza segni seriale.
18 | Parity | Parità.
19 | No. stopbits | Numero degli stopbit.
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR Sensitivity.
23 | Network port no. | Numero di porta in rete.
24 | Server name | Nome server.
25 | Standby name | Nome Standby Server.
26 | Client name | Nome client.
27 | Server IP | Indirizzo IP server.
28 | Standby IP | Indirizzo IP Standby.
29 | Client IP | Indirizzo IP Client.
30 | Binary buffer | Buffer binario.
31 | Pointer | Pointer.
32 | Class name | Nome della classe.
33 | Error code | Codice di errore.
34 | DLL instance handle | DLL Instanzhandle.
35 | DLL name | Nome DLL.
36 | Driver error parameter 1 | Parametro di errore 1 driver
37 | Driver error parameter 2 | Parametro di errore 2 driver
38 | Trace Message | Messaggio Trace.
39 | Errortext | Testo di errore.
40 | Error file name | Nome error file.
41 | Success condition | Condizione per successo.
42 | Value if successful | Valore se non si è avuto successo.
43 | Net adress | Indirizzo di rete:
44 | Datablock | Blocco dati.
45 | Offset | Offset.
46 | Bit number | Numero Bit.
47 | Area in PLC | Settore nel PLC.
48 | Communication direction | Indica la direzione della comunicazione come valore stringa.
49 | General text | Testo generale.
50 | Main version no. | Numero versione principale.
51 | Sub version no. | Numero sottoversione.
52 | Build no. | Numero Build.
53 | Servicepack | Service Pack.
54 | Hotfix no. | Numero hotfix.
55 | Sending client | Client che ha inviato il comando
56 | Target client for command | Client destinatario del comando.
57 | Database no. | Numero banca dati.
58 | Datapoint no. | Numero punto dati (numero canale).
59 | Datapoint value | Valore del punto dati.
60 | Datapoint status | Stato del punto dato.
61 | Datapoint timestamp | Ora del punto dato in secondi.
62 | Duration in ms | Durata in millisecondi.
63 | Number, counter | Numero, contatore.


Struttura del file LOG

Manuale -> Tool -> Diagnosis Viewer -> Struttura del file LOG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file LOG sono file di testo ANSI. I singoli campi vengono divisi medianti segni di tabulazione. Come segno conclusivo si usa CR+LF. Questi file possono essere aperti anche in Notepad.

I file LOG contengono le informazioni in modo sequenziale, e non in ordine cronologico.

Ancora in questo capitolo

Livelli di segnalazione

Funzione di ricerca


Livelli di segnalazione

Manuale -> Tool -> Diagnosis Viewer -> Struttura del file LOG -> Livelli di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la suddivisione dei messaggi Log esistono otto gruppi: quest'ultimi hanno un codice Bit e, perciò, possono essere anche combinati.

1 | Segnalazioni d'errore
2 | Avvisi
4 | Messaggio di successo
8 | TRACE
16 | ASSERT
32 | Messaggi Log
64 | Debug
128 | Debug esteso


Funzione di ricerca

Manuale -> Tool -> Diagnosis Viewer -> Struttura del file LOG -> Funzione di ricerca

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante View/Find si può effettuare una ricerca nella finestra attuale. Tutti i risultati della stessa vengono marcati.


Gestione degli errori per il Diagnosis Viewer

Manuale -> Tool -> Diagnosis Viewer -> Gestione degli errori per il Diagnosis Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errore

Errore

Possibili cause

La port non può essere aperta.
  • Un´altra applicazione usa la porta.
    Controllate con "netstat".
  • Le porte per gli inserimenti
    [SYS_REMOTE] CONFIG e
    [LOGGING_SYSTEM] CONFIG
    sono identiche. zenLogSrv e zenSysSrv cercano poi di aprire la stessa porta.

Diagnosis Clients non avviano lo zenLogSrv
  • Lo zenAdminSrv è stato chiuso. Senza di esso, il servizio non può essere avviato.
  • Lo zenLogSrv non è registrato sul PC come servizio. In questo caso, digitare nella riga di comandi: zenLogSrv.exe -Service
  • Diagnosis Clients non sono della versione 7.00SP0 oppure dal numero di serie maggiore. Lo zenLogSrv, però, viene usato solamente a partire da questa versione.
  • Sotto Windows CE: le singole componenti (Runtime, SysSrvCE, LogSrvCE) si trovano in diverse cartelle. Esse, però, si devono trovare nella stessa cartella, altrimenti non riescono a trovarsi l´una con l´altra.

Sotto CE, molti processi vengono impostati da SysSrvCE.exe o. LogSrvCE.exe.
  • Uno dei due inserimenti nello zenon6.ini,
    [SYS_REMOTE] INIT oppure
    [LOGGING_SYSTEM] INIT
    ha il valore 2.
    Ciò ha come conseguenza che l´applicazione mostra solamente la superficie e non apre la Listening Port. Ogni Diagnosis Client cerca di avviare il processo, visto che non riesce a collegarsi al Diagnosis Server

Diversi processi si interrompono.

(Unhandled Exceptions del Diagnosis Server al momento di ricevere delle segnalazioni LOG o comandi di configurazione oppure del Diagnosis Client e del Diagnosis Viewer al momento dell´avvio o quando ricevono la configurazione).
  • Le versioni non sono compatibili. Diagnosis Client, Diagnosis Server e Diagnosis Viewer devono essere tutti della versione 7.00 SP0 o successiva, OPPURE della versione 6.51 SP0 o precedenti (vedi Compatibilità).

Inserimenti nei LOG.

Inserimento

Descrizione

SysSrv received not supported network message!

Lo zenSysSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Inserimenti LOG

LogSrv received not supported network message!

Lo zenLogSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Comandi Trasporto Remoto.

Could not open listening port. Server will be stopped.

Lo zenLogSrv oppure zenSysSrv non ha potuto aprire la sua Listening Port. La segnalazione di errore viene protocollata nel modo seguente:

  • zenLogSrv e zenSysSrv sul PC:
    Inserimento nella visualizzazione eventi di Windows.
  • zenSysSrv sotto Windows CE:
    Message-Box per l´utente e inserimento LOG per il Diagnosis Server.
  • zenLogSrv sotto Windows CE:
    Message Box per l´utente.

I seguenti inserimenti LOG vengono assegnati a diversi sistemi. La prima parte della segnalazione indica se il servizio o il client sono interessati:

  • SysSrv: zenSysSrv
  • SysCli: Client a zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnosis Client
Inserimento | Descrizione
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | È stata inizializzata una connessione di rete con la stringa di configurazione visualizzata. Il server apre le port e i client si connettono al server.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Nel corso di un´operazione di rete si è verificato un errore eccezionale. I dettagli vengono emessi.
[SysSrv/LogSrv] Accept Failed! | Un tentativo di connessione di un client non poteva essere accettato.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Non è stato possibile inviare tutti i dati. Il numero dei bytes inviati e quello dei byte da inviare vengono indicati dal sistema.
[SysSrv/LogSrv] Client [String] in List Delete! | Il client si è disconnesso dal server.
[SysSrv/LogSrv] Client [String] in List Insert | Il client si è connesso al server.


Aggiornamento online dell´help di zenon

Manuale -> Tool -> Aggiornamento online dell´help di zenon

Il Documentation-Download Tool gestisce l´aggiornamento della guida in linea, inclusi Embedded Help, Dialog Help, Tool-Tipp e documentazione in formato PDF di zenon e zenon Logic.

L´aggiornamento viene eseguito online. È quindi necessario disporre di una connessione Internet.

Contenuti degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • Documentazione di zenon e zenon Logic
  • Documentazione driver
  • Tutorial
  • Glossario

Formati file degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • Guida in linea per zenon e zenon Logic (.chm)
  • Documentazione di zenon (.pdf)

Nota: questo tool è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Installazione

Inizio programma

Navigazione

Proxy Settings

Selezione della versione

Selezione lingua

Quadro generale degli update disponibili

Dialogo di stato


Installazione

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Documentation-Download Tool viene installato automaticamente con zenon.


Inizio programma

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Inizio programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare Documentation-Download-Tool:

  1. Passate alla cartella %PROGRAMFILES(X86)%\Common Files\COPA-DATA\STARTUP.
  2. Avviate il programma DokumentationDownloadTool.exe cliccando due volte con il mouse.

    La finestra di dialogo di partenza del programma si apre.


Navigazione

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Navigazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si naviga attraverso le finestre di dialogo avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra di dialogo:

Pulsante | Descrizione
Exit | Chiude il Documentation-Download-Tool
Back | Torna alla finestra di dialogo precedente del tool.
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Apre/Chiude la lista espandibile per la Configurazione delle impostazioni Proxy. Attiva solamente nella finestra di dialogo di partenza.


Proxy Settings

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Proxy Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni proxy della rete possono essere configurate attraverso l´inserimentoProxy Settings.

Per aprirle, cliccate nella finestra di partenza del tool su Proxy Settings. L´apertura è possibile solamente nel dialogo di partenza. Questa proprietà, infatti, non è attiva nelle successive finestre di dialogo.

Parametro | Descrizione
Auto-detect proxy settings for this network | Le impostazioni proxy vengono usate per la comunicazione con l´Internet. (Default: attivo)
Manual proxy configuration | Consente la configurazione delle impostazioni proxy.
Proxy: | Indirizzo del server proxy.
Port: | Porta del server proxy. (Default: 8080)
User: | Nome utente sul server proxy (opzionale).
Password: | Password sul server proxy (opzionale).

info Info

Il Documentation-Download-Tool memorizza queste impostazioni proxy. Se modificate regolarmente la password di accesso, dovete modificarla anche nelle impostazioni Proxy del Documentation-Download-Tool!

Ancora in questo capitolo

Impostazioni proxy errate


Impostazioni proxy errate

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Proxy Settings -> Impostazioni proxy errate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettuano inserimenti errati, il sistema visualizza un dialogo di errore.

Confermate questo dialogo cliccando su OK e tornerete automaticamente al dialogo di impostazione delle Proxy Settings.


Selezione della versione

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Selezione della versione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo selezionate la versione di zenon che deve essere aggiornata.

Parametro | Descrizione
Lista delle versioni installate | Elenca le versioni di zenon installate sul computer. Selezione della versione che deve essere aggiornata con un semplice click del mouse. Nota: si può aggiornare solamente una versione di COPA-DATA alla volta. Non è possibile effettuare una scelta multipla.
Exit | Chiude il Documentation-Download-Tool
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Selezione lingua

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Selezione lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo selezionate la lingua di zenon che deve essere aggiornata.

Parametro

Descrizione

Lista delle lingue disponibili

Elenca le lingue disponibili per zenon:

  • Inglese (ENGLISH)
  • Francese (FRENCH)
  • Tedesco (GERMAN)
  • Italiano (ITALIAN)
  • Russo (RUSSIAN)
  • Spagnolo (SPANISH)

Selezione della lingua che deve essere aggiornata con un click del mouse.

Nota: si può aggiornare solamente una versione di COPA-DATA alla volta. Non è possibile effettuare una scelta multipla.

Exit

Torna alla finestra di dialogo precedente del tool.

Back

Torna alla finestra di dialogo precedente del tool.

Next

Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.

Proxy Settings

Non attivo in questa finestra di dialogo.

Ancora in questo capitolo

Nessun update disponibile

Contenuti della guida di zenon dipendenti dalla lingua


Nessun update disponibile

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Selezione lingua -> Nessun update disponibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la guida online e offline non sono aggiornate, il sistema visualizzerà una corrispondente finestra di dialogo:

cliccando sul pulsante OK si torna alla finestra di dialogo Language .


Contenuti della guida di zenon dipendenti dalla lingua

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Selezione lingua -> Contenuti della guida di zenon dipendenti dalla lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I contenuti linguistici disponibili per zenon e zenon Logic:

Lingua | Embedded Help | Guida online/offline | Documentazione driver online/offline
Inglese | inglese | inglese | inglese
Francese | francese | inglese | inglese
Tedesco | tedesco | tedesco | tedesco
Italiano | italiano | italiano | inglese
Russo | russo | inglese | inglese
Spagnolo | spagnolo | inglese | inglese


Quadro generale degli update disponibili

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Quadro generale degli update disponibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una volta scelte le condizioni di update, appare una finestra di dialogo nella quale c´è un elenco degli update disponibili:

Parametro | Descrizione
Lista degli update a disposizione. | Lista dei documenti che sono disponibili nella versione di zenon scelta. Nota: questa lista ha il solo scopo di fornire un´informazione. Non è possibile effettuare una selezione.
Exit | Chiude il Documentation-Download-Tool
Back | Torna alla finestra di dialogo precedente del tool.
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Dialogo di stato

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Dialogo di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo mostra lo stato di avanzamento del download dei file PDF e/o di quelli della guida in linea.

Parametro

Descrizione

Fileinformation

Informazioni dettagliate concernenti il file che viene scaricato al momento:

  • Origine del file
  • Dimensione del file
  • Luogo di salvataggio sul computer locale

Current File:

Visualizzazione dello stato del file attuale, inclusa velocità del download in corso.

Overall Progress

Visualizzazione dello stato dell´intero update, inclusa visualizzazione percentuale e quella della parte restante.

Exit
  • Interrompe il download in corso.
  • Chiude il Documentation-Download-Tool

Pause

Mette in pausa il download in corso.

Resume

Fa ripartire il download interrotto (cliccando su Pausa).

Questo pulsante è attivo solamente se è stato attivato prima il bottone Pausa

Cancel

Termina il download in corso.

Proxy Setting

Non attivo in questa finestra di dialogo.

Ancora in questo capitolo

Download complete

Annulla


Download complete

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Dialogo di stato -> Download complete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo la conclusione del download, viene visualizzata la seguente finestra di dialogo:

Parametro | Descrizione
Exit | Chiude il Documentation-Download-Tool
Resume | Non attivo in questa finestra di dialogo.
Restart | Si torna al Dialogo di partenza del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Annulla

Manuale -> Tool -> Aggiornamento online dell´help di zenon -> Dialogo di stato -> Annulla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´attivazione del pulsante Cancel, viene visualizzata la seguente finestra di dialogo:

Parametro | Descrizione
Exit | Chiude il Documentation-Download-Tool
Resume | Non attivo in questa finestra di dialogo.
Restart | Si torna al Dialogo di partenza del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Keyblock Runtime Start

Manuale -> Tool -> Keyblock Runtime Start

Keyblock Runtime Start è un programma con cui il Runtime di zenon viene eseguito come Shell . In questo caso, il Runtime di zenon viene avviato, ma vengono bloccati tutti i tasti di sistema di Windows. In questo caso, i tasti di scelta rapida, come ad esempio il tasto Windows, oppure la combinazione Ctrl+Alt+Canc, non hanno più nessuna funzione. Gli utenti non possono più accedere al sistema operativo usando questi tasti, ma possono lavorare solamente nell´interfaccia di zenon.

Presupposto perché questo avvenga è che la proprietà di progetto Titolo Runtime sia stata impostata su Nessun titolo (schermo completo). In questo caso zenon viene eseguito in modalità a schermo intero e il Runtime non può essere ridotto a icona.

Si prega di tenere presenti anche le informazioni contenute nel capitolo Proteggere i file Runtime.

Nota: si può aggirare il blocco del tasto Windows. Bloccare il tasto Windows usando l'inserimento corrispondente nello Startup Tool (scheda "General" delle "Application settings.."; abilitare l'opzione "Disable Windows Key")

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Utilizzo

Proteggi file runtime


Utilizzo

Manuale -> Tool -> Keyblock Runtime Start -> Utilizzo

Per usare Keyblock Runtime Start:

  1. Aprire nella cartella di avvio di Windows, alla voce COPA-DATA, i zenon Tools.
  2. Selezionare Keyblock Runtime Start.
  3. il programma viene aperto e avvia automaticamente il Runtime
  4. Il programma blocca tutti gli accessi al sistema operativo:
    • Combinazioni di tasti bloccate:

      Ctrl+Alt+Canc

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Tasto WINDOWS(fatta eccezione perWindows + L)
      Nota:
      Con il blocco dei tasti di sistema, viene bloccata anche la gestione normale delle barre di scorrimento con il mouse a Runtime. Si può aggirare questo blocco usando il menù contestuale.
      Se si blocca il sistema usando la combinazione di tasti Windows + L, tutte gli shortcut di Windows saranno di nuovo a disposizione alla prossima registrazione nel sistema. Per evitarlo, disattivare nello Startup Tool, più precisamente sotto Application -> Options -> General, il tasto Windows.

    • Nascondere il pannello di controllo nel menù di avvio
    • Blocco della barra degli strumenti per la gestione
    • Impedire

      Modifica di password

      Chiusura di Windows

      Logout

      Blocco del computer

      Cambio dell´utente

    • Nascondere tutti gli elementi nel taskmanager

info Info

Se si avvia Keyblock Runtime Start con il meccanismo autostart del sistema operativo, tenere presente quanto segue:

  • La cartella di Autostart è specifica per l´utente:
    Se un altro utente esegue il login, il programma non verrà eseguito.
  • Premendo il tasto SHIFT al momento dell´avvio del sistema operativo si può evitare l´esecuzione dei programmi autostart.

Non è possibile aggirare questo blocco a Runtime. Quando si termina il Runtime in modo normale, anche le restrizioni di sistema sono eliminate. Se si vuole che il Runtime venga eseguito senza queste restrizioni, non si deve avviarlo con Keyblock Runtime Start.

attention Attenzione

Assicurarsi che nel progetto sia configurata una possibilità di chiudere il Runtime Non esiste la possibilità di chiudere regolarmente il Runtime:

  • Può essere chiuso solamente spegnendo il computer.
  • Rimangono bloccati tutti i tasti di sistema anche dopo il riavvio.

Per abilitare di nuovo l´uso dei tasti di sistema anche dopo una chiusura non regolare del Runtime (per esempio per mancanza improvvisa di energia elettrica):

  • Riavviare il Runtime usando Keyblock Runtime Start
  • Chiudere il Runtime in modo regolare usando il pulsante "Chiudi".


Proteggi file runtime

Manuale -> Tool -> Keyblock Runtime Start -> Proteggi file runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´accesso ai file Runtime può essere limitato in modo notevole e, in tal modo, si può creare un meccanismo di protezione dei file stessi. Si può permettere l´accesso di lettura e scrittura alla cartella Runtime a un solo utente Windows. Tutti gli altri utenti Windows non hanno nessun tipo di diritto nell´ambito della cartella Runtime, neanche diritti di sola lettura. Gli operatori eseguono il login a Runtime registrandosi come utenti di zenon.

Per limitare l´accesso al file system:

  1. Creare solamente un singolo utente Windows (per esempio: zenon_ADMIN) autorizzato ad avviare zenon, e a leggere e scrivere nella cartella Runtime di zenon.
  2. Disabilitare l´accesso alla cartella Runtime di zenon per tutti gli altri utenti Windows - inclusa autorizzazione di lettura!
  3. Disabilitare ogni forma di accesso remoto all´utente zenon_ADMIN.
  4. Bloccare ogni software per la manutenzione remota, o per l´ accesso remoto, come il Remote Desktop di zenon .
  5. Assicurarsi che zenon possa essere avviato solamente se questo utente (zenon_ADMIN) ha eseguito il login.
    Visto che altri utenti Windows non hanno nessuna autorizzazione di lettura, il Runtime si avvierà solamente nel contesto di questo utente (zenon_ADMIN).
  6. Assicurarsi che zenon sia eseguito come shell:
    1. A questo scopo, creare un Autostart di zenon con Keyblock Runtime Start
    2. Attivare la proprietà Pulsanti di sistema bloccati nel gruppo Impostazioni Runtime delle proprietà di progetto.
    3. Avviare zenon in modalità schermo intero: per la proprietà Titolo Runtime, selezionare l´opzione Nessun titolo dal menù a tendina.
    4. In fase di configurazione, tenere presenti anche i sistemi con più di un monitor.
    5. Disabilitare "Explorer start".
    6. Non offrire finestre di dialogo di selezione file.
      (in questo caso non devono essere progettate delle funzioni che esigono dall´utente di selezionare dei file nel Runtime)

Seguendo queste indicazioni si riduce l´accesso al file system di zenon.


Integrazione GIS

Manuale -> Tool -> Integrazione GIS

Il pacchetto di integrazione GIS di <CD_PROUDCTNAME> offre la possibilità di disegnare in modo semplice oggetti in un contesto geografico e di collegarli a informazioni ALC, variabili e addirittura funzioni di zenon.

Si può selezionare il Map provider le cui carte sono utilizzate per visualizzare la progettazione ALC nel Runtime di zenon.

Il pacchetto di integrazione GIS contiene:

  • L´Editor GIS
    Tool per configurare una progettazione ALC basata su dati GEO.
    La configurazione viene eseguita con il mouse e parametrizzando proprietà. Il contesto geografico viene visualizzato real time usando mappe che possono essere selezionate dall´utente. I contenuti della progettazione vengono posizionati dirittamente su una carta geografica.
  • Elemento di controllo GIS
    Tramite la configurazione e il posizionamento di un elemento ActiveX in fase di progettazione nell´Editor di zenon, le configurazioni eseguite nell´Editor GIS vengono applicate e visualizzate a Runtime.

Ancora in questo capitolo

Editor GIS

Configurazione nell´Editor di zenon:

Gestione nel Runtime di zenon


Editor GIS

Manuale -> Tool -> Integrazione GIS -> Editor GIS

L´Editor GIS è un tool per la configurazione di una progettazione ALC basata su dati GEO.

Il risultato di questa configurazione viene salvato in un file. Quest´ultimo contiene tutte le informazioni necessarie per la visualizzazione della progettazione nel Runtime di zenon.

Linie, aree e marker sono supportati per la progettazione nell´Editor GIS.

Questi elementi possono:

  • Essere disegnati o posizionati sulla mappa.
    Il tool consente di scegliere fra diversi provider di carte geografiche (Map provider).
  • Essere parametrizzati direttamente nell´Editor GIS.
    Semplice configurazione degli elementi con pochi click del mouse.
  • Essere collegati ad una progettazione realizzata con l´Editor di zenon.
    Si possono collegare:
    • Variabili
    • Funzioni
    • Informazioni ALC

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Installare e aprire l´Editor GIS

Aree dell´Editor GIS

Mappa

Configurazione nell'Editor GIS


Installare e aprire l´Editor GIS

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Installare e aprire l´Editor GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor GIS viene installato automaticamente durante l´installazione standard di zenon.

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

attention Attenzione

L´Editor GIS accetta solamente progettazioni dell´Editor di zenon che sono state già salvate.

Assicurarsi dunque che la progettazione che si intende utilizzare sia salvata (soprattutto nel caso di immagini di zenon aperte).

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo GIS Editor.
  3. Selezionare GIS Editor.

  4. Cliccare su OK.

    L´Editor GIS viene aperto.


Aree dell´Editor GIS

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Aree dell´Editor GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In generale vale quanto segue:

  • Le dimensioni della finestra del tool sono scalabili a piacimento.
  • La dimensione delle diverse aree può essere modificata spostando i bordi delle finestre.
  • Quando l´Editor GIS è aperto non è possibile eseguire nessuna configurazione nell´Editor di zenon.

Nota: l´interfaccia utente è disponibile solo in lingua inglese.

L´interfaccia user dell´Editor GIS´ è suddivisa in diverse aree:

Parametro

Descrizione

(1)

Struttura ad albero della progettazione GIS

Struttura ad albero della configurazione GIS corrente.

Questa struttura è suddivisa in livelli che, a loro volta, contengono degli elementi.

  • [+]
    Espande i nodi della struttura ad albero.
  • [-]
    Riduce i nodi della struttura ad albero.

(2)

Settings

Configurazioni del livello selezionato.
Proprietà dell´elemento selezionato al momento. Le proprietà visualizzate dipendono dal tipo di elemento selezionato.
Selezione dell´elemento nella struttura ad albero della progettazione GIS, oppure direttamente sulla carta, selezionando uno degli elementi progettati cliccandoci sopra con il mouse.

(3)

Guida delle proprietà

Breve descrizione della proprietà selezionata al momento nell´area Settings .

(4)

Contenuti di progettazione dell´Editor di zenon

Contenuti di progettazione del progetto di zenon corrente.

Nota: quest´area viene visualizzata quando si clicca sul pulsante ... di una delle proprietà con opzione di collegamento.
Di default quest´area dell´Editor è esclusa dalla visualizzazione.

(5)

Finestra principale

Finestra principale dell´Editor GIS che visualizza la carta geografica.
Visualizzazione della mappa del Map provider desiderato e degli elementi progettati.

Ancora in questo capitolo

Interfaccia grafica utente (barre degli strumenti/menù contestuali)

CD_GIS

Settings


Interfaccia grafica utente (barre degli strumenti/menù contestuali)

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Aree dell´Editor GIS -> Interfaccia grafica utente (barre degli strumenti/menù contestuali)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra dei menù

Parametro | Descrizione
File | Barra dei menù per la gestione file.
Configure GIS controls... | Apre la finestra di dialogo che consente di collegare un file di configurazione GIS ad un elemento di controllo GIS progettato nella configurazione zenon.

File

Il menù File contiene voci per la gestione del file XML contenente le progettazioni GIS salvate.

Parametro

Descrizione

New

Crea una nuova configurazione GIS vuota.

Open...

Apre una configurazione GIS esistente.

Si apre una finestra di dialogo che consente di selezionare un file. In questa finestra di dialogo possono essere caricati solamente file XML.

  • Se nell´Editor c`è già una configurazione GIS attiva che contiene delle modifiche non salvate, viene visualizzato un avviso che ne informa l´utente.
  • Se si seleziona un file che contiene una struttura non valida (non conforme alla progettazione), viene visualizzato un avviso che ne informa l´utente.

Save

Salva la progettazione corrente dell´Editor GIS.

Default: DefaultGISConfiguration.xml
Percorso di salvataggio di default. C:\ProgramData\COPA-DATA\SQL2012\e6ba3e09-878b-4383-a6ef-56acac1f7ee7\FILES\zenon\custom\additional

Nota: quando si salva la progettazione per la prima volta, si apre la finestra di dialogo per salvare il file.

Save as...

Salva la configurazione GIS corrente in un nuovo file XML.

Si apre una finestra di dialogo che consente di selezionare il percorso di salvataggio.

Exit

Chiude l´Editor GIS.
Se alla configurazione corrente sono state apportate delle modifiche non ancora salvate, viene visualizzato un avviso che ne informa l´utente.

Modifiche non salvate

Parametro | Descrizione
Yes | Salva la progettazione corrente. Si apre una finestra di dialogo che consente di selezionare il percorso di salvataggio. Nota: quando si clicca sul pulsante Annulla della finestra di dialogo per salvare il file, viene chiuso anche l´Editor GIS. In questo caso, le configurazioni non salvate verranno rifiutate.
No | Le modifiche eseguite nella progettazione corrente non vengono salvate. L´Editor GIS viene chiuso.

Caricamento errato del file


CD_GIS

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Aree dell´Editor GIS -> CD_GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura ad albero della configurazione GIS corrente.

Questa struttura è suddivisa in livelli che, a loro volta, contengono degli elementi.

Menù contestuale

Parametro | Descrizione
Add Layer | Crea un nuovo livello.
Show/Hide Lines | Visualizza/nasconde linee. Nota: questo inserimento non viene ancora supportato nella versione corrente.


Settings

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Aree dell´Editor GIS -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area “Settings” vengono visualizzate le proprietà relative al nodo selezionato nella struttura ad albero CD_GIS.

Per ogni proprietà viene visualizzata in basso una guida rapida. Questa guida rapida offre una breve descrizione della proprietà selezionata nell´area Settings e viene visualizzata aggiornata quando si clicca su una proprietà.

Ancora in questo capitolo

GIS control configuration

Livelli (Layer)

Linea

Area

Marker


GIS control configuration

GIS control configuration

In questa area dell´Editor GIS si configurano le impostazioni generali per la visualizzazione. Questa progettazione vale per tutti gli elementi configurati nell´ Editor GIS.

Settings

Parametro

Descrizione

Cache mode

Tipo di aggiornamento della visualizzazione mappa per la visualizzazione della progettazione nel Runtime di zenon.

Selezione mediante apposito menù a tendina:

  • CacheOnly
    La visualizzazione mappa avviene esclusivamente sulla base dei dati caricati.
    Nota: selezionare questa impostazioni per poter eseguire le progettazioni offline.
  • ServerOnly
    La visualizzazione della mappa viene aggiornata automaticamente via Internet.
  • ServerAndCache
    La visualizzazione della mappa viene aggiornata online se necessario.

Default: ServerAndCache

Nota: ServerOnly necessita una connessione Internet attiva per la visualizzazione.

Map

Selezione del “map provider” per la visualizzazione della carta geografica.

Selezione mediante apposito menù a tendina:

  • GoogleMap
  • GoogleSetelliteMap
  • GoogleTerrainMap
  • BingMap
  • BingSatelitteMap
  • OpenStreetMap
  • ArcGISWorldStreet
  • ArcGISWorldTopo
  • EmptyProvider

Default: BingMap

Map variable

Campo per inserire il nome della variabile zenon per la selezione del Map provider.

Quando si clicca sul pulsante ..., si apre un´area nell´Editor GIS che consente di selezionare una variabile di zenon.

Default: MapProvider

Valori numerici per i diversi Map provider

Per la selezione di un Map provider via variable, vale il seguente ordine predefinito:

Valore | Map provider
1 | GoogleMap
2 | GoogleSatelliteMap
3 | GoogleTerrainMap
4 | BingMap
5 | BingSatelliteMap
6 | OpenStreetMap
7 | EmptyProvider
8 | ArcGISWorldStreet
9 | ArcGISWorldTopo

Se si seleziona un valore non valido, non verrà visualizzata nessuna mappa nel controllo GIS.


Livelli (Layer)

Livelli (Layer)

In questa area si configurano le impostazioni generali di un livello (= Layer). Questa progettazione vale per tutti gli elementi configurati di un livello nell´Editor GIS.

  • Se si modifica una configurazione in un livello, il cambio verrà applicato a tutti gli elementi del livello in questione.
  • Se si modifica la configurazione di un elemento, il cambio verrà applicato nelle impostazioni del livello corrispondente.

info Info

I livelli (Layer) corrispondono ai Livello di visibilità nell´Editor di zenon.

Settings per il livello (Layer)

Parametro | Descrizione
Areas | Settings (proprietà) per aree. Quando si clicca sul pulsante ..., si aprono le proprietà delle aree (Settings) in una finestra di dialogo apposita.
Lines | Settings (proprietà) per linee. Quando si clicca sul pulsante ..., si aprono le proprietà delle linee (Settings) in una finestra di dialogo apposita.
Markers | Settings (proprietà) per marker. Quando si clicca sul pulsante ..., si aprono le proprietà dei marker (Settings) in una finestra di dialogo apposita.
Name | Nome del livello. Indicazione di un nome per l´elemento nel campo di inserimento. Default: NewLayer

Menù contestuale “´Layer”

Parametro | Descrizione
Add Line | Aggiunge una nuova linea al livello corrente. Nella mappa, il puntatore del mouse cambia forma e diventa un mirino.Si può disegnare una linea tracciandola direttamente sulla mappa con successivi clic del mouse.
Add area | Aggiunge una nuova area al livello corrente. Nella mappa, il puntatore del mouse cambia forma e diventa un mirino.Si può disegnare un´area direttamente fissando gli angoli della stessa con successivi clic del mouse.
Add marker | Aggiunge un nuovo marker al livello corrente. Nella mappa, il puntatore del mouse cambia forma e diventa un mirino. Un marker può essere posizionato direttamente nella mappa cliccando su un punto di essa.
Show/hide | Visualizza o esclude dalla visualizzazione il livello corrente e di tutti gli elementi progettati per questo. Nota: questo inserimento non viene ancora supportato nella versione corrente.
Rename | Consente di rinominare il livello. Nota: Nota: questo inserimento non viene ancora supportato nella versione corrente. modificare il nome nella proprietà Name.
Delete | Cancella il livello con tutti gli elementi che sono stati progettati per questo livello. Attenzione: la cancellazione del livello e dei suoi contenuti viene eseguita immediatamente, senza una richiesta di conferma.

Finestra delle proprietà dei livelli

Le proprietà in questa finestra di dialogo corrispondono a quelle parametrizzate per il singolo elemento GIS nell´area “Settings”.

attention Attenzione

Modifiche delle proprietà in questa finestra di dialogo modificano anche le parametrizzazioni di un elemento GIS esistente.

Si raccomanda di configurare i parametri degli elementi GIS sempre usando direttamente le proprietà dell´elemento. Si sconsiglia di eseguire la configurazione usando la finestra delle proprietà dei livelli.

Avviso in caso di livello senza elementi

Se si crea un livello e si crea per lo stesso una progettazione errata, il sistema ne informa l´utente visualizzando un avviso. La progettazione non viene applicata e il livello viene cancellato.


Linea

Linea

In questa area si configurano le impostazioni di una linea.

Parametro

Descrizione

Context menu

Funzione di zenon collegata.

La funzione collegata in questa sede viene eseguita a Runtime cliccando con il mouse.

Quando si clicca sul pulsante ..., si apre l´area dell´Editor GIS che consente di selezionare una funzione progettata di zenon.

Quando si clicca sul pulsante ... , si apre l´area dell´Editor GIS con funzioni della corrente progettazione di zenon.

Default: vuota.

Per ulteriori dettagli su questo tema, consultare il capitolo Collegamento di funzioni.

Description

Campo di inserimento per una descrizione dell´elemento che può essere configurata a piacimento. Il contenuto progettato in questa proprietà viene visualizzato come tooltip nel Runtime di zenon.

Default: vuota.

Nota: questo inserimento non viene ancora supportato nella versione corrente.

GEO coordinates

Progettazione della linea tramite inserimento di coordinate GEO.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente l´inserimento manuale di coordinate GEO.

Nota: una linea deve consistere di almeno due coordinate GEO.

Line color

Colore statico per la visualizzazione dell´elemento GIS nel Runtime di zenon.
Quando si clicca sul pulsante..., si apre il menù a tendina che consente di selezionare un colore.

Nota:

Default: 0; 0; 0 (Nero)

Line color from ALC

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime da una progettazione ALC esistente nell´Editor di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi agli elementi ALC. <>

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Line color from limit

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime dalla progettazione della variabile di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi alle variabili.

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Line type

Tipo di linea.

Selezione mediante apposito menù a tendina:

  • Solid
    Linea continua.
  • Dash
    Linea tratteggiata.
  • Dot
    Linea con punti.
  • DashDot
    Linea con alternanza trattino-punto.
  • DashDotDot
    Linea con alternanza di trattino-due punti.
  • Custom

Default: Solid

Nota: il tipo di lineaCustom non viene supportato e viene visualizzato come quello Solid.

Line width

Spessore della linea in pixel.

Inserimento di un valore numerico nell´apposito campo.
L´inserimento viene convalidato. Se si inserisce un valore numerico non valido, viene visualizzato un avviso corrispondente che ne informa l´utente.
Default: 3

Name

Nome della linea.

Indicazione di un nome per l´elemento nel campo di inserimento.

Default: NewLine

Menù contestuale

Parametro | Descrizione
Delete | Cancella l´elemento selezionato. Attenzione: la cancellazione del livello e dei contenuti progettati viene eseguita senza precedente richiesta di conferma.


Area

Area

In questo settore si configurano le impostazioni di un´area.

Un oggetto “area” è un poligono con un numero qualsiasi di angoli. Un´area deve consistere di almeno due punti.

Parametro

Descrizione

Context menu

Funzione di zenon collegata.

La funzione collegata in questa sede viene eseguita a Runtime cliccando con il mouse.

Quando si clicca sul pulsante ..., si apre l´area dell´Editor GIS che consente di selezionare una funzione progettata di zenon.

Quando si clicca sul pulsante ... , si apre l´area dell´Editor GIS con funzioni della corrente progettazione di zenon.

Default: vuota.

Per ulteriori dettagli su questo tema, consultare il capitolo Collegamento di funzioni.

Description

Campo di inserimento per una descrizione dell´elemento che può essere configurata a piacimento. Il contenuto progettato in questa proprietà viene visualizzato come tooltip nel Runtime di zenon.

Default: vuota.

Nota: questo inserimento non viene ancora supportato nella versione corrente.

Fill color

Colore statico per la visualizzazione dell´elemento GIS nel Runtime di zenon.
Quando si clicca sul pulsante..., si apre il menù a tendina che consente di selezionare un colore.

Nota:

Default: 175; 238; 238 (Cyan)

Fill color from ALC

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime da una progettazione ALC esistente nell´Editor di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi agli elementi ALC. <>

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Fill color from limit

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime dalla progettazione della variabile di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi alle variabili.

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Fill color transparency

Trasparenza del colore di riempimento (Fill color) dell´elemento GIS.
Il grado di trasparenza viene stabilito inserendo un valore percentuale. Se si inserisce il valore 100, l´elemento sarà visualizzato completamente senza colore o trasparente.

Nota: i valori di questa proprietà vengono usati anche per la visualizzazione di oggetti in colori di valore limite. Se per l´elemento non si vuole utilizzare la trasparenza per i colori di valori limite, configurare in questa sede il valore 0.

Default: 50

GEO coordinates

Progettazione dell´area tramite inserimento di coordinate GEO.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente l´inserimento manuale di coordinate GEO.

Nota: un´area deve consistere di almeno due coordinate GEO.

Line color

Colore statico delle linee esterne dell´area.

Colore statico per la visualizzazione dell´elemento GIS nel Runtime di zenon.
Quando si clicca sul pulsante..., si apre il menù a tendina che consente di selezionare un colore.

Default: 0; 0; 0 (nero)

Line color from ALC

Il colore delle linee esterne dell´area viene acquisito da un elemento ALC di zenon progettato.

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime da una progettazione ALC esistente nell´Editor di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi agli elementi ALC. <>

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Line color from limit

Il colore delle linee esterne dell´area viene acquisito da una variabile di zenon.

Il colore dell´elemento GIS viene acquisito in modo dinamico per la visualizzazione a Runtime dalla progettazione della variabile di zenon.

Quando si clicca sul pulsante ..., viene visualizzata nell´Editor GIS un´area con i contenuti di progettazione dell´Editor di zenon relativi alle variabili.

Per ulteriori informazioni su questo argomento, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.

Default: vuota.

Line type

Tipo della linea esterna dell´area.
Selezione di uno dei tipi offerti dal menù a tendina:

  • Solid
  • Dash
  • Dot
  • DashDot
  • DashDotDot
  • Custom

Default: Solid

Nota: il tipo di lineaCustom non viene supportato e viene visualizzato come quello Solid.

Line width

Larghezza in pixel della linea esterna dell´area.

Default: 1,3

Name

Nome dell´area.

Indicazione di un nome per l´elemento nel campo di inserimento.

Default: NewArea

Menù contestuale

Parametro | Descrizione
Delete | Cancella l´elemento selezionato. Attenzione: la cancellazione del livello e dei contenuti progettati viene eseguita senza precedente richiesta di conferma.


Marker

Marker

In questo settore si configurano le impostazioni di un marker.

Un oggetto “area” è un poligono con un numero qualsiasi di angoli. Un´area deve consistere di almeno due punti.

Parametro

Descrizione

Context menu

Funzione di zenon collegata.

La funzione collegata in questa sede viene eseguita a Runtime cliccando con il mouse.

Quando si clicca sul pulsante ..., si apre l´area dell´Editor GIS che consente di selezionare una funzione progettata di zenon.

Quando si clicca sul pulsante ... , si apre l´area dell´Editor GIS con funzioni della corrente progettazione di zenon.

Default: vuota.

Per ulteriori dettagli su questo tema, consultare il capitolo Collegamento di funzioni.

Description

Campo di inserimento per una descrizione dell´elemento che può essere configurata a piacimento. Il contenuto progettato in questa proprietà viene visualizzato come tooltip nel Runtime di zenon.

Default: vuota.

Nota: questo inserimento non viene ancora supportato nella versione corrente.

GEO coordinate

Progettazione del marker tramite inserimento di coordinate GEO.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente l´inserimento manuale di coordinate GEO.

Nota: un marker consiste sempre di una coordinata GEO.

Graphics file

Grafica per la visualizzazione del marker.

Cliccando sul pulsante ..., si apre la finestra di dialogo che consente di selezionare un file grafico.

Se non viene selezionato nessun file grafico per il marker, viene usata una grafica predefinita nell´Editor GIS.

Default: CD_Marker.png

Nota: se si seleziona un tipo di dato non valido, viene visualizzato un avviso che ne informa l´utente. In questo caso non viene usato un nuovo file per il marker.

Graphics heigt

Altezza della grafica in pixel.

Inserimento di un valore numerico nell´apposito campo.
L´inserimento viene convalidato. Se si inserisce un valore numerico non valido, viene visualizzato un avviso corrispondente che ne informa l´utente.

Default: 25

Graphics width

Larghezza della grafica in pixel.

Inserimento di un valore numerico nell´apposito campo.
L´inserimento viene convalidato. Se si inserisce un valore numerico non valido, viene visualizzato un avviso corrispondente che ne informa l´utente.

Default: 25

Name

Nome del marker.

Indicazione di un nome per l´elemento nel campo di inserimento.

Default: NewMarker

Menù contestuale

Parametro | Descrizione
Delete | Cancella l´elemento selezionato. Attenzione: la cancellazione del livello e dei contenuti progettati viene eseguita senza precedente richiesta di conferma.

Simbolo per il marker.

Si può personalizzare l´aspetto grafico del marker utilizzando grafiche. Questo significa che i diversi marker di una configurazione GIS potranno avere un aspetto grafico differente.

Quando si clicca sul pulsante ... della proprietà Graphics file, viene aperta la finestra di dialogo che consente la selezione di un file. Di default, vengono visualizzati in questo dialogo i contenuti della cartella ..\ProgramData\COPA-DATA\SQL2012\[PROJECTGUID]\FILES\zenon\custom\graphics. In questa cartella si trovano i contenuti del nodo File => Grafiche del progetto corrente dell´Editor di zenon.

Selezionare un file grafico per usarlo poi per la visualizzazione del marker nell´Editor GIS e nel Runtime di zenon.

Tipp Suggerimento

La selezione di un file grafico per la visualizzazione del marker, però, non è limitata ai contenuti della cartella del progetto di zenon. È possibile selezionare un file grafico di qualsiasi cartella.

Dopo essere stato selezionato, il file viene applicato nella progettazione di zenon. Oltre ad essere applicato nella progettazione GIS, questo file viene salvato automaticamente anche nel nodo File => Grafiche del progetto correntemente attivo nell´Editor di zenon. Il file grafico viene copiato in questa cartella.


Mappa

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Mappa

Gli elementi GIS vengono progettati nella mappa usando il mouse.

  • La visualizzazione dipende dal Map provider selezionato.
  • Le voci del menù contestuale dipendono dall´elemento selezionato.
  • Se non è disponibile nessun Map provider valido, l´area dell´Editor riservata alla mappa è visualizzata in color grigio.

Navigazione all´interno della mappa

La visuale può essere orientata e scalata a piacimento usando il mouse.

  • Rotellina del mouse in avanti:
    Zooma all´interno della carta geografica = visualizzazione dei dettagli.
  • Rotellina del mouse indietro:
    Riduce il livello dello zoom nella visuale della mappa.
  • Spostare il puntatore tenendo premuto il tasto destro del mouse
    Sposta la mappa nella direzione in cui si sposta il mouse.
  • Tasto destro del mouse premuto su elemento
    Visualizzazione del menù contestuale
    Nota: Il menù contestuale può essere escluso dalla visualizzazione premendo il tasto ESC.


Configurazione nell'Editor GIS

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che riguarda la progettazione nell´Editor GIS, vale quanto segue:

  • La progettazione viene eseguita usando il mouse e tramite la configurazione delle proprietà.
  • Le modifiche apportate alle proprietà vengono visualizzate in tempo reale nell´area dell´Editor GIS riservata alla mappa.
  • Il contesto geografico viene visualizzato real time usando mappe che possono essere selezionate dall´utente.
  • Gli elementi configurati vengono posizionati dirittamente su una carta geografica.
  • Quando si vogliono eseguire collegamenti, vengono visualizzati i contenuti dei progetti correntemente attivi nell´Editor di zenon.
  • La progettazione viene salvata in un file XML.
    Questo file contiene i parametri necessari per il GIS-Control per la visualizzazione nel Runtime di zenon.

Procedura della progettazione nell'Editor GIS

Per realizzare una nuova progettazione GIS, eseguire i seguenti passaggi nell´Editor GIS:

  1. Avviare l´Editor GIS nell´Editor di zenon.
  2. Creare un nuovo file di configurazione:
    Per farlo, selezionare l´inserimento New nella barra dei menù File.
  3. Progettare l´elemento GIS.
    Nota: per ulteriori informazioni su questo argomento, consultare le istruzioni di progettazione dei singoli elementi.
  4. Collegare le progettazioni GIS ad immagini di zenon.
    1. Per farlo, selezionare la voce Configure GIS controls... nella barra dei menù.
      Viene aperta la finestra di dialogo di configurazione GIS Control configuration.
  5. Salvare la progettazione:
    Per farlo, cliccare sull´inserimento Save o Save as... nella barra dei menù File.

Modificare una progettazione GIS esistente.

Per modificare una progettazione esistente, procedere come segue:

  1. Avviare l´Editor GIS nell´Editor di zenon.
  2. Caricare una configurazione GIS esistente.
    1. Per farlo, selezionare la voce Open... nella barra dei menù File.
      Si apre la finestra di dialogo di selezione file.
    2. Selezionare un file XML.
      Viene caricata la configurazione del file selezionato. . I contenuti vengono visualizzati nell´Editor GIS.

Ancora in questo capitolo

Configurazione di un livello

Configurazione di una linea

Configurazione di una linea

Configurazione di una linea

Collegamento di funzioni

Collegamento di funzioni

Collegamento di funzioni

Dialogo di configurazione “GIS control configuration”

Finestra di dialogo “GEO coordinates”


Configurazione di un livello

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Configurazione di un livello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura per creare un nuovo livello:

  1. Nella struttura ad albero della progettazione GIS, selezionare la voce di menù Add Layer.
    Al nodo viene aggiunto un nuovo livello con il nome NewLayer.
  2. Configurare le proprietà del livello.

Per cancellare un livello esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare il livello da cancellare.
  2. Selezionare la voce di menù contestuale Delete.
    Il livello selezionato sarà cancellato dal nodo senza richiesta di conferma.


Configurazione di una linea

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Configurazione di una linea

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova linea:

  1. Nella struttura ad albero della progettazione GIS selezionare il livello in cui deve essere creata la nuova linea.
  2. Selezionare la voce di menù contestuale Add Line.
    Al nodo viene aggiunta una nuova linea con il nome NewLine.
  3. Con click del mouse posizionare i punti in cui si articola la linea (punti di appoggio) nella carta visualizzata nella finestra principale dell´Editor GIS.
  4. Terminare la procedura di disegno dell´elemento premendo il tasto Esc.
  5. Configurare le proprietà della nuova linea.

Per cancellare una linea esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare la linea da cancellare.
  2. Selezionare la voce di menù contestuale Delete.
    La linea selezionata e le configurazioni corrispondenti saranno cancellate dal nodo senza richiesta di conferma.

Per estendere una linea esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare la linea da estendere.
    Questa linea viene attivata nella finestra principale dell´Editor.
  2. Nella finestra principale, selezionare una delle seguenti voci del menù contestuale:
    • Add point
    • Extend line at end
    • Extend line at begin

Posizionamento della linea

Le linee vengono posizionate nella finestra principale dell´Editor GIS con click del mouse. Quando si clicca con il mouse viene creato un nuovo “punto di snodo” della linea, oppure vengono spostati i punti già esistenti.

Premendo il tasto ESC si termina la procedura di disegno o di modifica dell´elemento. Il simbolo della croce (mirino) viene sostituito da quello normale del cursore mouse.

attention Attenzione

Lineepossono essere progettati solo per un livello.
Per ulteriori informazioni su come creare un livello, si prega di consultare il capitolo Configurazione di un livello.

Voci del menù contestuale

Quando si clicca con il tasto destro del mouse su una linea già progettata nella carta geografica, viene visualizzato un menù contestuale con le seguenti voci:

Parametro | Descrizione
Add Point | Estende la progettazione corrente aggiungendo un nuovo puntoin corrispondenza della posizione del cursore del mouse.
Extend line at end | Estende la progettazione corrente aggiungendo un nuovo puntoalla fine della linea.
Extend line at begin | Estende la progettazione corrente aggiungendo un nuovo puntoall´inizio della linea.
Delete point | Cancella il punto o il marker selezionato.

Errore di progettazione di una linea

Una linea deve consistere di almeno due punti (punti di snodo). Se si interrompe la progettazione di una linea premendo il tasto ESC dopo che è stato posizionato un solo punto sulla mappa, non viene creata nessuna linea e viene visualizzata una finestra di dialogo che informa l´utente dell´errore verificatosi. Come detto, la progettazione della linea non riesce e la linea viene cancellata dalla struttura ad albero del livello.


Configurazione di una linea

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Configurazione di una linea

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova area:

  1. Nella struttura ad albero della progettazione GIS selezionare il livello in cui deve essere creata la nuova area.
  2. Selezionare la voce di menù contestuale Add Area.
    Al nodo viene aggiunto una nuova area con il nome NewArea.
  3. Con click del mouse posizionare i vertici dell´area nella carta visualizzata nella finestra principale dell´Editor GIS.
  4. Terminare la procedura di disegno dell´elemento premendo il tasto Esc.
  5. Configurare le proprietà dell´area.

Per estendere un´area esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare l´area da estendere.
    Quest´area viene attivata nella finestra principale dell´Editor.
  2. Nella finestra principale, selezionare la voce di menù contestuale Add Point.

Per cancellare un´area esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare l´area da cancellare.
  2. Selezionare la voce di menù contestuale Delete.
    L´area selezionata e le configurazioni corrispondenti saranno cancellate dal nodo senza richiesta di conferma.

Posizionamento dell´area

Le aree vengono posizionate nella finestra principale dell´Editor GIS con click del mouse. I punti che costituiscono i vertici (angoli) dell´area possono essere spostati con click del mouse.

Premendo il tasto ESC si termina la procedura di disegno o di modifica dell´elemento. Il simbolo della croce (mirino) viene sostituito da quello normale del cursore mouse.

attention Attenzione

Areepossono essere progettati solo per un livello.
Per ulteriori informazioni su come creare un livello, si prega di consultare il capitolo Configurazione di un livello.

Voci del menù contestuale

Quando si clicca con il tasto destro del mouse su un´area già progettata nella carta geografica, viene visualizzato un menù contestuale con la seguente voce:

Parametro | Descrizione
Add Point | Estende la progettazione corrente aggiungendo un nuovo puntoin corrispondenza della posizione del cursore del mouse.

Errore di progettazione di una linea

Un´area deve consistere di almeno tre punti (vertici/angoli). Se si interrompe la progettazione di un´area premendo il tasto ESC dopo che è stato posizionato solo uno o due punti sulla mappa, non viene creata nessuna area e viene visualizzata una finestra di dialogo che informa l´utente dell´errore verificatosi. Come detto, la progettazione dell´area non riesce e quest´ultima viene cancellata dalla struttura ad albero del livello.


Configurazione di una linea

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Configurazione di una linea

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova area:

  1. Nella struttura ad albero della progettazione GIS selezionare il livello in cui deve essere creato il nuovo marker.
  2. Selezionare la voce di menù contestuale Add Marker.
    Al nodo viene aggiunto una nuova area con il nome NewArea.
  3. Con click del mouse posizionare il marker nella carta visualizzata nella finestra principale dell´Editor GIS.
  4. Configurare le proprietà del marker.

Per cancellare un´area esistente:

  1. Nella struttura ad albero della progettazione GIS selezionare l´area da cancellare.
  2. Selezionare la voce di menù contestuale Delete Element.
    L´area selezionata e le configurazioni corrispondenti saranno cancellate dal nodo senza richiesta di conferma.

Posizionamento del marker

Un marker viene posizionato nella finestra principale dell´Editor GIS con un click del mouse. Per spostare un marker nella carta geografica, tenere premuto il tasto del mouse e trascinare il marker nella posizione desiderata. Durante questo processo di modifica, il marker è visualizzato in una cornice di color nero.

attention Attenzione

Markerpossono essere progettati solo per un livello.
Per ulteriori informazioni su come creare un livello, si prega di consultare il capitolo Configurazione di un livello.

Voci del menù contestuale

Quando si clicca con il tasto destro del mouse su un marker già progettata nella carta geografica, viene visualizzato un menù contestuale con la seguente voce:

Parametro | Descrizione
Delete point | Cancella il punto o il marker selezionato.


Collegamento di funzioni

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Collegamento di funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´area riservata ai contenuti della progettazione dell´Editor di zenon si articola in due finestre:

  • Function
    Lista di tutte le funzioni configurate nel progetto corrente dell´Editor di zenon.
    L´inserimento in questa lista corrisponde alla proprietà Nome nell´Editor di zenon.
    Nota: La lista può essere filtrata. Cliccare sul simbolo “imbuto” per selezionare un criterio di filtro.
  • Funzione (i) collegata (e)
    Lista della (e) funzione (i) collegate alla proprietà Editor GIS.
    Le funzioni della lista Function possono essere riprese oppure rimosse dalla Lista delle funzioni collegate con un doppio click lento.
    La larghezza delle colonne della lista può essere modificata spostando i bordi delle colonne stesse tenendo premuto il tasto del mouse. Per filtrare la lista, cliccare sulla barra del filtro e inserire parametri.
    • Display name in the Runtime
      Questo nome può essere modificato; per farlo, cliccare sul campo di inserimento corrispondente; il campo stesso passa in modalità di modifica.
    • Function
      Nome della funzione progettata in zenon.
      Questo nome non è modificabile.

Configurazione nell'Editor GIS

Per eseguire una funzione di zenon a Runtime via menù contestuale:

  • Nella carta geografica, selezionare l´elemento GIS che si vuole collegare alla funzione progettata nell´Editor di zenon.
  • Nella proprietà Context menu dell´elemento GIS, cliccare sul pulsante ....
    Viene visualizzata l´area dell´Editor GIS con i contenuti di progettazione dell´Editor di zenon.
  • Selezionare nella lista la funzione di zenon desiderata.
  • Aggiungere la funzione selezionata nella lista delle funzioni collegate con un doppio click.


Collegamento di funzioni

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Collegamento di funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´area riservata ai contenuti della progettazione dell´Editor di zenon per le variabili elenca tutte le variabili progettate nell´Editor di zenon.

  • L´inserimento in questa lista corrisponde alla proprietà Nome nell´Editor di zenon.
  • La lista può essere filtrata.
    Cliccare sul simbolo “imbuto” per selezionare un criterio di filtro.
  • Per collegare una variabile selezionata alla proprietà, cliccare due volte sul nome della variabile in questione nella lista.

Configurazione nell'Editor GIS

Per collegare una variabile di zenon alla progettazione GIS:

  • Nella carta geografica, selezionare l´elemento GIS che si vuole collegare alla variabile progettata nell´Editor di zenon.
  • Nella proprietà Fill color from limit dell´elemento GIS, cliccare sul pulsante ....
    Viene visualizzata l´area dell´Editor GIS con i contenuti di progettazione dell´Editor di zenon.
  • Selezionare nella lista la variabile di zenon desiderata.
  • Per accettare la variabile selezionata nella progettazione GIS, cliccarci sopra due volte.


Collegamento di funzioni

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Collegamento di funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´area riservata ai contenuti della progettazione dell´Editor di zenon per gli elementi ALC elenca le variabili progettate nell´Editor di zenon.

  • La lista può essere filtrata.
    Cliccare sul simbolo “imbuto” per selezionare un criterio di filtro.
  • Per collegare una variabile selezionata alla proprietà, cliccare due volte sul nome della variabile in questione nella lista.
  • Gli inserimenti della lista hanno la seguente struttura:

    [zenon Nome immagine].[zenon Nome elemento della linea ALC]

Configurazione nell'Editor GIS

Per collegare una variabile di zenon alla progettazione GIS:

  • Nella carta geografica, selezionare l´elemento GIS che si vuole collegare alla variabile progettata nell´Editor di zenon.
  • Nella proprietà Line color from ALC dell´elemento GIS, cliccare sul pulsante ....
    Viene visualizzata l´area dell´Editor GIS con i contenuti di progettazione dell´Editor di zenon.
  • Selezionare nella lista l´elemento ALC di zenon desiderato.
  • Per accettare la variabile selezionata nella progettazione GIS, cliccarci sopra due volte.


Dialogo di configurazione “GIS control configuration”

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Dialogo di configurazione “GIS control configuration”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configura il collegamento di un file contenente una progettazione GIS ad un ActiveX GIS Control dell´Editor di zenon.

Parametro | Descrizione
Screen name | Nome dell´immagine della progettazione Editor di zenon. Corrisponde alla proprietà Nome nell´Editor di zenon. In questa finestra di dialogo vengono visualizzate solo le immagini di zenon che contengono un elemento GIS-Control.
Control name | Nome del GIS ActiveX Control progettato nell´Editor di zenon. Corrisponde alla proprietà Nome elemento nell´Editor di zenon.
Select file... | Apre la finestra di dialogo che consente di selezionare un file di configurazione GIS (Default: GisConfigLoadFile.xml).
Clear | Rifiuta tutte le impostazioni configurate. La finestra di dialogo rimane aperta.
Close | Applica le impostazioni e chiude la finestra di dialogo.
info Info
Il numero di inserimenti a disposizione e le loro denominazioni dipendono dalla configurazione nel progetto corrente di zenon.

Gestione degli errori

Se il file selezionato con il comando Select file... non può essere caricato, viene visualizzato un messaggio di errore che ne informa l´utente.

Possibili soluzioni:

  • Se il file selezionato è bloccato da un servizio in esecuzione, terminare il task che provoca il blocco usando il Task Manager.
  • Se il file è bloccato perché viene modificato in un´applicazione esterna, chiudere quest´ultima.
  • Se il file selezionato contiene una struttura XML non valida, selezionare un file che abbia una struttura valida.


Finestra di dialogo “GEO coordinates”

Manuale -> Tool -> Integrazione GIS -> Editor GIS -> Configurazione nell'Editor GIS -> Finestra di dialogo “GEO coordinates”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano le coordinate GEO inserendo manualmente valori per latitudine e longitudine.

Parametro

Descrizione

Members

Lista delle coordinate GEO progettate:

  • Nuove coordinate:
    Click sul pulsante Add.
  • Cancellare coordinata (e):
    Selezione e click sul pulsante Remove.
    Nota: è possibile una selezione multipla.

Misc

Proprietà delle coordinate GEO selezionate nel settore Members:

  • Lat:
    Coordinata GEO per la latitudine del punto.
  • Lng:
    Coordinata GEO per la longitudine del punto.

Add

Inserisce una nuova coordinata GEO alla lista del settore Members della finestra di configurazione.

Remove

Cancella la coordinata GEO selezionata dalla lista del settore Members della finestra di configurazione.

Tipp Suggerimento

Si consiglia di utilizzare il mouse per definire le coordinate GEO dei punti nella finestra principale dell´interfaccia utente dell´Editor GIS.


Configurazione nell´Editor di zenon:

Manuale -> Tool -> Integrazione GIS -> Configurazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione nell´Editor di zenon è la base della progettazione nel GIS-Editor. Per questa ragione, assicurarsi che tutte le progettazione eseguite in zenon (specialmente i contenuti di immagini aperte nell´Editor) siano salvate. I contenuti non salvati, infatti, non saranno a disposizione nell´Editor GIS e non li si potrà collegare agli elementi qui configurati.

Tipp Suggerimento

Una ben strutturata nomenclatura degli elementi nell´Editor di zenon facilita il lavoro quando si vuole collegare questi elementi nell´Editor GIS.

Attenzione:
prima di avviare l´Editor GIS, si deve necessariamente progettare un´immagine di zenon contenente un elemento di controllo GIS.

info Info

Come detto, una progettazione eseguita nell´Editor di zenon e una progettazione GIS sono messe in relazione reciproca mediante collegamenti. Questo significa che, quando si modifica la progettazione nell´Editor di zenon, non si deve creare o collegare di nuovo la configurazione GIS, né la si deve adattare.

Ancora in questo capitolo

<Immagine di CD_PRODUCTNAME> ed elemento di controllo GIS

Funzioni e colori

Variabili, valori limite e matrici di reazione

GIS-Control - Progettazione nell´Editor di zenon.


<Immagine di CD_PRODUCTNAME> ed elemento di controllo GIS

Manuale -> Tool -> Integrazione GIS -> Configurazione nell´Editor di zenon: -> ed elemento di controllo GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché la progettazione GIS venga visualizzata a Runtime, eseguire i seguenti passaggi di configurazione nell´Editor di zenon:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
  3. Creare una nuova immagine:

    Nella barra degli strumenti oppure nel menù contestuale del nodo Immagini, selezionare il comando Nuova immagine.
    Viene creata un´immagine vuota di tipo Standard.

  4. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare il tipo di immagine desiderato.
      Nota: l´elemento di controllo GIS può essere progettato ed inserito in qualsiasi tipo di immagine.
    3. Select the desired frame in the Modello property.
  5. Progettare i contenuti dell´immagine:
    1. Posizionare l´elemento ActiveX nell´immagine.
      Si apre la finestra di dialogo Introduzione elemento.
    2. In questa finestra di dialogo, selezionare l´inserimento GisControlGISControl nella lista degli elementi ActiveX.
    3. Confermare la selezione cliccando sul pulsante OK
    4. L´elemento viene visualizzato nell´immagine con l´anteprima di una mappa.
      Nota: questa anteprima rispecchia sempre le preferenze di sistema internazionali impostate nel sistema operativo. Il livello di zoom e l´area di carta geografica effettivamente configurati nell´Editor GIS non vengono visualizzati in questa anteprima nell´Editor di zenon.
    5. Fare attenzione a configurare per questo elemento ActiveX delle dimensioni sufficienti in modo tale che la configurazione GIS venga visualizzata in modo corretto a Runtime.
    6. Se necessario, progettare altri elementi per l´immagine.
  6. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

    Passare al nodo Preferiti.

    1. Selezionare la funzione Cambio immagine.
    2. Si apre la finestra di dialogo che consente di selezionare un´immagine.
    3. Selezionare l´immagine desiderata.
      Nota: se si seleziona un´immagine di un altro progetto, ci si deve assicurare che questo progetto sia attivo a Runtime.
    4. Assegnare un nome alla funzione nella proprietà Nome.


Funzioni e colori

Manuale -> Tool -> Integrazione GIS -> Configurazione nell´Editor di zenon: -> Funzioni e colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzione(i) - Configurazione

Procedura per creare una nuova funzione:

  1. Creare una nuova funzione:
    • Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
      Si apre la finestra di dialogo che consente di selezionare una funzione.
  2. Selezionare la funzione desiderata nella lista delle funzioni.
  3. Si apre la finestra di dialogo che consente di selezionare un´immagine.
  4. Selezionare l´immagine desiderata.
    Nota: se si seleziona un´immagine di un altro progetto, ci si deve assicurare che questo progetto sia attivo a Runtime.
  5. Passaggio facoltativo: Configurare i filtri.
  6. Assegnare un nome alla funzione nella proprietà Nome.

Nota: per ulteriori informazioni su questo tema, consultare la parte della guida dedicata a Funzioni e script.

Colore(i) - Configurazione

Procedura per creare colori:

  1. Creare una nuova tavolozza di colori:
    • Selezionare il nodo Tavolozze (o estendendo il nodo Immagini del Manager di progetto del progetto locale o in quello globale).
  2. Nel menù contestuale oppure nella barra dei simboli, selezionare Nuova tavolozza colori
    Una nuova tavolozza viene creata con:
    • Il nome standard tavolozza colori più numero di indice (per es. Tavolozza colori 0)
    • Lo stesso numero di colori delle tavolozze già esistenti; tutti i colori sono di default bianco
  3. Creare nuovi colori:
    • Nel menù contestuale oppure nella barra degli strumenti selezionare il comando Nuovo colore, oppure premere il tasto Invio.

    In fondo alla tabella di colori viene inserito per tutte le tavolozze un nuovo colore con

    • Colore standard bianco e
    • Il nome standard colore più un numero di indice, per es. Colore 10
  4. Definire il colore e assegnargli un nome:
    1. Selezionare il colore desiderato nella tavolozza.
    2. Inserire il colore:
    • O digitando il corrispondente codice esadecimale direttamente nella cella della tabella della visualizzazione dettagli, oppure usando il dialogo di selezione che si apre quando si clicca sul pulsante ...
    • O digitando il corrispondente codice esadecimale nel campo della proprietà Colore del gruppo Colore, oppure usando il dialogo di selezione che si apre quando si clicca sul pulsante ...

Nota: per ulteriori informazioni su questo argomento, consultare il capitolo Tavolozze di colori del manuale dedicato alle Immagini.

info Info

<Le funzioni di CD_PRODUCTNAME> vengono collegate nell´Editor GIS nella proprietà Context menu.

Per ulteriori informazioni relative alla visualizzazione a Runtime, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.


Variabili, valori limite e matrici di reazione

Manuale -> Tool -> Integrazione GIS -> Configurazione nell´Editor di zenon: -> Variabili, valori limite e matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Colore(i) - Configurazione

Procedura per creare una variabile:

  1. Creare una nuova variabile:
    • Nel menù contestuale del nodo Variabili, selezionare il comando Nuova variabile.
      Si apre la finestra di dialogo che consente di configurare la nuova variabile.
  2. Configurare le proprietà della variabile.

Nota: per ulteriori informazioni su questo tema, consultare il capitolo Creare, modificare e usare variabili del manuale dedicato alle Variabili.

Valore (e) limite - Configurazione

Procedura per creare un nuovo valore limite:

  1. Nella struttura ad albero del Manager di progetto, selezionare il nodo Variabili.
    • Selezionare una variabile nella visualizzazione dettagli del Manager di progetto.
  2. Creare un valore limite:
    1. Cliccare sul gruppo Valori limiti delle proprietà della variabile.
    2. Creare un nuovo valore limite cliccando sulla proprietà {Nuovo limite}.
      Viene creato un nuovo valore limite. Si passa dalla visualizzazione della proprietà della variabile a quella del gruppo di proprietà del nuovo valore limite.
    3. Configurare le proprietà del valore limite.
    4. Optional per configurare il colore da usare per il valore limite, usare le tavolozze di colori.
      Per aprire queste ultime, cliccare sul pulsante ... della proprietà Colore e selezionate nel menù a tendina la scheda Tavolozza colori.
  3. Ripetere il punto 2 per creare nuovi valori limite.

Nota: per ulteriori informazioni su questo argomento, si prega di consultare la parte della guida relativa alla Variabili, nel capitolo Valori limite.

Matrice di reazione - Progettazione

Procedura per creare una matrice di reazione:

  1. Creare una nuova matrice di reazione.
    1. Nel nodo Variabili del Manager di progetto, passare al sotto-nodo Matrice di reazione.
    2. Nella barra degli strumenti, oppure nel menù contestuale del nodo, selezionare il comando Nuova matrice di reazione....
      Si apre la finestra di dialogo per la selezione di una matrice di reazione.
    3. Assegnare un nome alla matrice di reazione e selezionarne il tipo fra quelli della lista sottostante.
    4. Confermare gli inserimenti cliccando sul pulsante OK.
      Si apre la finestra di dialogo che consente di configurare la matrice di reazione.
  2. Configurare la matrice di reazione.
    1. Configurare gli stati.
    2. Nell´area Attributi aggiuntivi di questa finestra di dialogo, configurare la proprietà Colore valore limite.
    3. Optional Attivare l´opzione Lampeggio:
  3. Collegare la matrice di reazione ad una variabile:
    1. Nella struttura ad albero del Manager di progetto, selezionare il nodo Variabili.
    2. Selezionare una variabile nella visualizzazione dettagli del Manager di progetto.
    3. Passare al gruppo proprietà Valori limiti.
    4. Cliccare sul pulsante ... Della proprietà Matrice di reazione.
      Si apre la finestra di dialogo che consente di selezionare una matrice di reazione.
    5. Selezionare una delle matrici di reazione progettate e confermare la selezione cliccando sul pulsante OK.

Nota: per ulteriori informazioni su questo argomento, consultare nel manuale dedicato alle Variabili, il capitolo Matrici di reazione.

info Info

<Nell´Editor GIS, valori limite e matrici di reazione di CD_PRODUCTNAME> vengono collegati ad una variabile di zenon nella proprietà Limit color from limit, o nella proprietà Fill color from limit.

La variabile per la rappresentazione della visuale mappa viene collegata nell´Editor GIS nella proprietà Map variable.

Per ulteriori informazioni relative alla visualizzazione a Runtime, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.


GIS-Control - Progettazione nell´Editor di zenon.

Manuale -> Tool -> Integrazione GIS -> Configurazione nell´Editor di zenon: -> GIS-Control - Progettazione nell´Editor di zenon.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Linea ALC - Progettazione

Perché la progettazione GIS venga visualizzata a Runtime, eseguire i seguenti passaggi di configurazione nell´Editor di zenon:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
  3. Creare una nuova immagine:

    Nella barra degli strumenti oppure nel menù contestuale del nodo Immagini, selezionare il comando Nuova immagine.
    Viene creata un´immagine vuota di tipo Standard.

  4. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare il tipo di immagine desiderato.
      Nota: l´elemento di controllo GIS può essere progettato ed inserito in qualsiasi tipo di immagine.
    3. Select the desired frame in the Modello property.
  5. Progettare i contenuti dell´immagine:
    1. Collocare l´elemento Linea nell´immagine.
      Cliccare nell´immagine sull´inizio della linea e trascinarla tenendo premuto il tasto del mouse.
      La fine della linea viene collocata sulla carta nel punto in corrispondenza del quale si rilascia il tasto del mouse.
  6. Modificare le proprietà della linea:
    1. Assegnare un nome alla linea nella proprietà Nome elemento del gruppo Generale.
    2. Attivare la proprietà Colori da ALC nel gruppo Automatic Line Coloring.
    3. Optional Adattare la parametrizzazione per l´Automatic Line Coloring nelle proprietà del gruppo delle proprietà di progetto Automatic Line Coloring.
  7. Salvare le configurazioni eseguite per l´immagine di zenon.
  8. Optional Progettare altre linee ALC:
    • Ripetere i passaggi dei punti dal 5 al 7.

Nota: per ulteriori informazioni relative a questo tema, si prega di consultare nel manuale Automatic Line Coloring il capitolo Linee.

Lampeggio - Configurazione

Procedura per attivare il lampeggio di elementi d´immagine:

  1. Posizionare l´elemento desiderato in un´immagine di zenon.
  2. Modificare le proprietà dell´elemento d´immagine:
    1. Per farlo, attivare la proprietà Lista di informazione allarmi attiva nel gruppo Lista di informazione allarmi.
    2. Attivare la proprietà Lampeggio allarmi non riconosciuti.
    3. Optional Progettare ulteriori impostazioni di allarme.

info Info

<Nell´Editor GIS, le linee ALC di CD_PRODUCTNAME> vengono collegate ad una linea ALC configurata in zenon nella proprietà Limit color from ALC , o nella proprietà Fill color from ALC.

Per ulteriori informazioni relative alla visualizzazione a Runtime, consultare il capitolo Colorazione di elementi GIS nel Runtime di zenon.


Gestione nel Runtime di zenon

Manuale -> Tool -> Integrazione GIS -> Gestione nel Runtime di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Navigazione all´interno della mappa

Si naviga all´interno della mappa con il mouse:

  • Rotellina del mouse in avanti:
    Zooma all´interno della carta geografica = visualizzazione dei dettagli.
  • Rotellina del mouse indietro:
    Riduce il livello dello zoom nella visuale della mappa.
  • Spostare il puntatore tenendo premuto il tasto destro del mouse
    Sposta la mappa nella direzione in cui si sposta il mouse.
  • Tasto destro del mouse premuto su elemento
    Visualizzazione del menù contestuale
    Nota: Il menù contestuale può essere escluso dalla visualizzazione premendo il tasto ESC.

Esecuzione di funzioni collegate via menù contestuale.

Cliccando con il tasto destro del mouse su una linea oppure su un´area, si apre il menù contestuale dell´elemento. In questo menù contestuale vengono offerte alla selezione le funzioni di zenon che sono state collegate in fase di progettazione nell´Editor. La funzione viene eseguita a Runtime quando si seleziona la voce corrispondente del menù contestuale.

Visualizzazione in caso di Map provider non valido

Se è stato selezionato un Map provider non valido, oppure se la carta geografica non può essere caricata con la progettazione esistente, a Runtime verrà visualizzato uno sfondo grigio.

Ancora in questo capitolo

Colorazione di elementi GIS


Colorazione di elementi GIS

Manuale -> Tool -> Integrazione GIS -> Gestione nel Runtime di zenon -> Colorazione di elementi GIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la visualizzazione nel Runtime di zenon, gli elementi GIS adottano il colore impostato in fase di configurazione della variabile nell´Editor di zenon. Se per un elemento GIS esiste più di una configurazione relativa alla colorazione, verranno applicate regole predefinite che definiscono la priorità dei colori da utilizzare.

A Runtime verrà visualizzato sempre solo il colore con il maggiore livello di priorità.

Regole per definire la priorità per la colorazione

La colorazione di un elemento GIS viene visualizzata nel Runtime di zenon sulla base della seguente successione:

  1. Automatic Line Coloring
    Se nella progettazione GIS è stata implementata una linea ALC configurata in zenon, la colorazione dell´elemento collegato a Runtime corrisponderà alle impostazioni eseguite in fase di progettazione della linea ALC.
  2. Matrice di reazione
    Se la progettazione GIS contiene un collegamento ad una variabile di zenon a sua volta collegata ad una matrice di reazione, la colorazione dell´elemento GIS a Runtime corrisponderà alle impostazioni eseguite in fase di configurazione della matrice di reazione.
  3. Valore limite
    Se si verifica una violazione di un valore limite di una variabile che è stata collegata nell´Editor GIS, per la visualizzazione dell´elemento a Runtime vengono utilizzati i colori di valore limite collegati nella variabile in questione.
  4. Colore configurato nell´Editor GIS
    Se nella progettazione eseguita nell´Editor GIS non è stata collegata nessuna variabile per ALC, matrici di reazione o valori limite, viene visualizzato a Runtime il colore (statico) impostato nell´Editor GIS.

Lampeggio

Se nell´Editor di zenon è stato configurato il lampeggio per l´elemento collegato nell´Editor GIS (variabile, linea ALC, ...), quest´ultimo verrà utilizzato anche per la visualizzazione dell´elemento GIS nel Runtime di zenon. Il valore per l´intervallo di lampeggio è predefinito ed è pari a 750 millisecondi. Questa proprietà non può essere modificata.


Tool startup

Manuale -> Tool -> Tool startup

Lo Startup Tool permette di:

  • Avviare Editor e Runtime con determinati parametri.
  • Far funzionare diverse versioni di zenon parallelamente su un computer
    (le versioni di zenon già installate vengono aggiunte automaticamente nello Startup Tool al momento dell´installazione della nuova).
  • Gestire diverse istanze SQL per la stessa versione di zenon
  • Gestire impostazioni di diverse versioni.
  • Definire la lingua dell´Editor e del Runtime prima dello start.
  • Definire la lingua del Web Client prima dello start.
  • Avviare tool direttamente nello Startup Tool.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

attention Attenzione

Il tool Startup Tool non si avvia se non funziona il zenAdminSrv. Se quest´ultimo non dovesse essere attivo, può essere avviato manualmente nel Pannello di controllo di Windows alla voce Gestione/Servizi.

Ancora in questo capitolo

Dialogo di partenza

Properties

Messaggi durante la registrazione

Riga di comando

Tool


Dialogo di partenza

Manuale -> Tool -> Tool startup -> Dialogo di partenza

Nel dialogo di partenza gestite le versioni attualmente installate di zenon. A partire dalla versione 7.10, avete la possibilità di avviare l´Editor e il Runtime sia come applicazione a 32-Bit che a 64-Bit.

Se è stata specificata solamente una versione a 32 bit di zenon 7.10, oppure viene riconosciuta una versione più vecchia, il sistema visualizza solamente un pulsante per l´Editor e uno per il Runtime:

Se sono state specificate entrambe le versioni, il sistema visualizza due pulsanti separati per 32 bit e 64-bit.

Pulsante

Funzione

Lista delle versioni di zenon.

Mostra tutte le versioni di zenon installate.

Move entry down

Sposta verso l´alto l´inserimento selezionato all´interno della lista.

Move entry up

Sposta verso il basso l´inserimento selezionato all´interno della lista.

Editor

Avvia l´editor della versione selezionata di zenon.

Due pulsanti separati sono disponibili per versioni a 64-bit. Il bottone per 64-bit contiene un´indicazione corrispondente nell´angolo in basso a sinistra.

Runtime

Avvia il Runtime della versione selezionata di zenon

Due pulsanti separati sono disponibili per versioni a 64-bit. Il bottone per 64-bit contiene un´indicazione corrispondente nell´angolo in basso a sinistra.

Register

Avvia tutti i servizi della versione selezionata di zenon:

  • Standard: Registra zenon. Lo ZenSysSrv vien registrato come processo.
  • Terminal Server: registra zenon per l´uso con un Terminal Server. Procedimenti:
    Viene annullata la registrazione dello ZenDBSrv che non viene più registrato e neppure avviato.
    Lo ZenSysSrv vien registrato come servizio.
    Gli inserimenti nello zenon6.ini vengono adattati all´uso sul Terminal Server.

Se in un inserimento non c`è nessun Parametro per Workspace e/o Runtime, l´attuale versione viene registrata di nuovo. Ciò vale per la registrazione come Standard e come Terminal Server.

Help

Apre la guida online.

Update Help

Avvia il Documentation-Download-Tool.

Tools

Apre un dialogo per avviare ulteriori applicazioni della versione selezionata di zenon.

Se vengono aperti i tool per una versione a 64-bit valida, essi verranno visualizzati in due liste, per 32-bit tools e 64-bit tools.

Processi al momento dello start

Al momento dell´avvio dell´Editor, oppure del Runtime, i dati delle impostazioni standard vengono scritti nel file zenon6.ini. Le impostazioni presenti in quel momento nel file INI vengono sovrascritte.

A partire dalla versione 5, la comunicazione di rete si effettua mediante i servizi (zenNetSrv.exe e zenSysSrv.exe). Entrambi i file devono trovarsi nella cartella zenon. Questi servizi dipendono dalle diverse funzioni e proprio per questo devono essere registrati in modo adeguato alle diverse versioni.

attention Attenzione

Dopo la conversione di un progetto in una versione di zenon più recente, questo progetto non potrà essere più modificato, né potrà più funzionare con la versione precedente. Tuttavia, la versione di backup creata al momento della conversione, potrà continuare ad essere usata nell´Editor originario.

Nel caso di progetti di rete, sul server e sui client devono essere usate le stesse versioni dell´Editor di zenon.

Ancora in questo capitolo

Application

Item

Guida


Application

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Funzione
Options | Apre il dialogo per la configurazione dell´impostazione.
Exit | Termina lo Startup Tool.

Options

  • L´inserimento Options nel menù Application apre la finestra di dialogo per la configurazione delle proprietà per:
  • General:
    Impostazioni generali
  • Network configuration:
    Configurazione della rete e della forte cifratura della comunicazione di rete
  • Listening ports:
    Configurazione delle listening ports.
  • Service startup:
    Avviare programmi come servizio

Ancora in questo capitolo

Generale

Network configuration

Listening ports:

Service startup


Generale

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Application -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni generali:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Opzione

Attivo

Inattivo

Start Startup Tool mimimized

Apre il Tool come icona. Il Tool può essere aperto cliccando sul pulsante corrispondente che si trova sulla barra task.

Il menù contestuale offre per la versione attiva di <CD_PRODUKTNAME> tutte le azioni possibili nel Dialogo start.

Apre il Tool sul desktop (default).

Remember last registered version

Setta la versione selezionata su standard e la sceglie automaticamente al momento del prossimo start. La versione non viene più registrata in seguito (default).

Al momento dello start dello Startup Tool, offre alla scelta dell´utente la prima versione che si trova nella lista. Quando si apre l´Editor o il Runtime, viene registrata sempre di nuovo la versione in questione.

Disable Windows Key

Sulla tastiera viene bloccato il tasto Windows che non può più eseguire nessuna funzione.

Le modifiche diventano effettive solamente dopo il riavvio del sistema. Lo stato di avanzamento di questo processo necessario di restart viene visualizzato mediante un´apposita finestra di dialogo.

Il tasto Windows è di nuovo a disposizione.

Le modifiche diventano effettive solamente dopo il riavvio del sistema.

Lo stato di avanzamento di questo processo necessario di restart viene visualizzato mediante un´apposita finestra di dialogo.

Opzione

Descrizione

Language for Editor and Runtime

Avvia l´Editor oppure il Runtime con la lingua selezionata. Selezione della lingua fra quelle offerte nel menù a tendina:

  • Ceco
  • Cinese
  • Tedesco
  • Inglese
  • Spagnolo
  • Francese
  • Italiano
  • Russo

Garantisce che zenon venga sempre avviato con la lingua impostata nello Startup Tool. Non ha alcuna influenza sull´avvio diretto di zenon.exe.

Comportamento dell´opzione Disable Windows Key

L´opzione Disable Windows Key si comporta come segue:

Setta blocco

  • Situazione di partenza: L´opzione non è settata.
  • Azione: L´opzione viene attivata.
  • Risultato:
    • Il sistema deve essere riavviato.
    • Il tasto Windows viene disattivato e non può essere utilizzato. Windows Le combinazioni di tasti sono bloccate.

Rimuovi blocco

  • Situazione di partenza: L´opzione non è settata.
  • Azione: L´opzione viene disattivata.
  • Risultato:
    • Il sistema deve essere riavviato.
    • Il tasto Windows è disponibile e può essere utilizzato. Il blocco delle combinazioni tasti Windows viene rimosso.


Network configuration

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Application -> Network configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon si può:

  • Usare IPv6
  • Crittografare la trasmissione in rete

Configurare questo dialogo:

  • Timeout
  • l´uso di TCP/IP tramite IPv4 o IPv6
  • l´elevato livello di crittografia della comunicazione di rete sul calcolatore locale
  • La crittografia per il Runtime Connector

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

General settings

Impostazioni generali.

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini e sovrascrivono lì le configurazioni manuali eventualmente divergenti.

Le impostazioni modificate devono essere eseguite per tutti calcolatori Runtime oppure tutte le stazioni collegate. Nel caso di modifiche dell´impostazione IPv6 , il calcolatore deve essere riavviato.

Le modifiche vengono eseguite alla chiusura del dialogo solo dopo che l´utente ha confermato una segnalazione del sistema cliccando sul pulsante Sì.

Parametro

Descrizione

Network communication timeout

Timeout per comunicazione di rete in secondi.
Default = 30

Corrisponde all´inserimento NET_TIMEOUT_MSEC= nello zenon6.ini.

Network module timeout

Timeout per comunicazione moduli in secondi. Non è usato per la richiesta di modulo (module request) spontanea sul client o sul Server-Standby. Se non perviene una risposta dal server entro il tempo impostato, l´azione viene cancellata.

Default = 30

Esempi: chiamata di dati d'archivio per Trend esteso, gestione ricette, lista password...

Corrisponde all´inserimento NET_NETMODULE_TIMEOUT_MSEC= nello zenon6.ini.

Time synchronisation with server project

Checkbox per l´impostazione della sincronizzazione ora.

  • Attivo:
    il tempo viene sincronizzato con un progetto server (default)
  • Non attivo:
    il tempo non viene sincronizzato (per esempio per ridondanza circolare)

Default: inattivo

Corrisponde all´inserimento TIMESYNCH= nello zenon6.ini.

Use IPv6 for all TCP/IP connections

Checkbox per l´attivazione di IPv6 per la comunicazione TCP/IP.

  • Attivo:
    tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.
  • Non attivo:
    tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Default: inattivo

Non è possibile un funzionamento simultaneo dei due protocolli.

Corrisponde all´inserimento USEIPV6= nello zenon6.ini.

Nota: se si modifica questa opzione, il calcolatore deve essere riavviato. La modifica deve essere eseguita anche su tutte le stazioni collegate.

I seguenti componenti non sono interessate dall´impostazione (usano IPv4):

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic
  • Comunicazione del servizio Trap SNMP (zenSnmpTrapSrv.exe) con il driver SNMPNG32

Attenzione: Funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

Encrypt network communication

Impostazioni per l´elevata crittografia in rete.

Parametro

Descrizione

Encrypt network communication

Checkbox di attivazione della crittografia avanzata.

  • Attivo:
    La comunicazione viene cifrata.
  • Non attiva:
    La comunicazione non viene crittografata.

Default: non attivo

Password

Campo di inserimento per la password per la comunicazione di rete crittografata.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo Elevata crittografia della comunicazione di rete.

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

La password configurata in questa sede viene depositata nello zenon6.ini .

Confirm password

Campo di inserimento per la conferma della password.
Inserire di nuovo la password per confermare quella impostata.

Encrypt Runtime Connector communication

Impostazioni per la comunicazione crittografata di HTML Web Engine, di SCADA Runtime Connector (CD_PRODUCTNAME e <ZRS> del Remote Runtime Driver (RemoteRT.exe).

Parametro

Descrizione

Encrypt Runtime Connector communication

Checkbox per l´attivazione della comunicazione crittografata con SCADA Runtime Connector (HTML Web Engine, zenon, zenon Analyzer) e Remote Runtime Driver.

  • Attivo:
    La comunicazione di rete viene cifrata.
  • Inattivo:
    La comunicazione di rete viene cifrata.

Default: inattivo

Nota: Questa crittografia vale anche per la comunicazione del Web Client di zenon .

Password

Campo di inserimento per la password per la comunicazione di rete crittografata.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo Elevata crittografia della comunicazione di rete.

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

Corrisponde all´inserimento ENCRYPTION_PWD= nello zenon6.ini.

Confirm password

Campo di inserimento per la conferma della password.
Inserire di nuovo la password per confermare quella impostata.

attention Attenzione

Se sono stati modificati manualmente degli inserimenti nello zenon6.ini locale, essi verranno sovrascritti non appena, effettuando la registrazione, si conferma la corrispondente richiesta del sistema con un "Sì".

Finestra di dialogo con richiesta di conferma

Eventuali modifiche della configurazione vengono applicate solo dopo essere state confermate tramite un´apposita finestra di dialogo:

  • Cliccare sul pulsante Sì per applicare le configurazioni eseguite.
  • Se si clicca sul pulsante Annulla, si torna al dialogo di configurazione.

Segnalazioni

Trovate una spiegazione concernente le segnalazioni di sistema e di errore nella sezione Segnalazioni in fase di registrazione.

info Info

Informazioni relative ai messaggi di errore per la crittografia avanzata si trovano in:

Guida in linea relativa alla Rete -> capitolo Crittografia avanzata della comunicazione di rete ->, nella sezione Messaggi di errore.


Listening ports:

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Application -> Listening ports:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si possono configurare in modo individuale le porte usate da zenon per singole applicazioni. Nel Runtime vengono usate le impostazioni salvate nello zenon6.ini corrispondente.

attention Attenzione

Quando effettuate la configurazione, tenete presente quanto segue:

  • Le modifiche effettuate in questa scheda possono causare un riavvio del calcolatore.
    Nota: l´utente ne viene informato da un messaggio corrispondente. Se si chiude questa finestra di dialogo cliccando sul pulsante No, non verrà applicata nessuna modifica.
  • Tutti i calcolatori con i quali esiste una comunicazione, devono avere le stesse, identiche impostazioni.
  • Queste impostazioni non sono disponibili con Windows CE.
  • Se è definito un indirizzo IP, esso deve essere adattato se l´impostazione per IPv6 viene attivata o disattivata.
  • Se una scheda di rete definita non è collegata nel momento in cui il servizio viene avviato, non viene aperto nessun listening socket.
  • I messaggi di errore non vengono registrati nel Diagnosis Server, ma in Windows Application Event Log.

Finestra di dialogo Listening ports

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Parametro

Descrizione

Services

Lista comprendente tutte le applicazioni configurabili. L´applicazione selezionata può essere configurata mediante le opzioni disponibili in Settings.

Settings

Impostazioni per l´applicazione selezionata in Services.

All network adapters

Per il binding delle Listening ports si usano tutte le schede di rete disponibili.

Single network adapter

Per il binding delle Listening ports si usa l´indirizzo locale definito in questa sede.

Protocolli supportati:

  • IPv4
  • IPv6

Single network adapter

Per il binding delle Listening ports si usa il primo indirizzo delle schede di rete definite in questa sede.

Default port

Per il binding si usa il numero di porta standard.

Customer port

Per il binding si usa il numero di porta definito in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Port standard

Assegnazione delle porte-standard alle applicazioni:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Service startup

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Application -> Service startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I programmi possono essere avviati automaticamente usando il servizio zenStartupMgr.

Tipp Suggerimento

Sfruttare la possibilità di avviare il Runtime di zenon automaticamente come servizio.

Dialogo Service startup

Parametro | Descrizione
Liste Services | Lista dei servizi configurati.
New | Apre la finestra di dialogo che serve a selezionare un programma.
Edit | Apre la finestra di dialogo che serve a modificare l´inserimento evidenziato.
Delete | Cancella l´inserimento evidenziato.
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Finestra di dialogo Seleziona programma

Parametro | Descrizione
Program | Percorso per il programma che deve essere avviato come servizio. Cliccando sul comando ..., si apre la finestra di dialogo che consente di selezionare un file. Lunghezza massima: 259 caratteri
Parameters | Inserimento di parametri. I parametri configurabili dipendono dal programma selezionato nell´opzione Program. Lunghezza massima: 259 caratteri
OK | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Avviare il Runtime come servizio

Per avviare un Runtime come servizio:

  1. Registrare il file zenStartupMgr.exe come servizio.
  2. Configurare le proprietà per la registrazione.
  3. Avviare, se necessario, il Trasporto Remoto con lo zenStartupMgr.
  4. Definire nello Startup Tool il Runtime da avviare.
  5. Configurare un ritardo di avvio per il Runtime di zenon se si utilizza una registrazione della licenza tramite dongle.

I dettagli su questo tema li trovate nella parte della guida dedicata alla Runtime, nel capitolo Avviare il Runtime come servizio.

Attenzione: Se il Runtime viene lanciato con lo zenStartupMgr, non potrà più essere terminato o riavviato dagli utenti.

Registrare il servizio

Per registrare zenStartupMgr.exe come servizio:

  1. Aprire la riga di comando.
  2. Passare al percorso di salvataggio del file zenStartupMgr.exe.
    (Default con 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default con 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrare il file come servizio con il comando zenStartupMgr.exe –service.
    Nota: se già in esecuzione, il servizio sarà prima fermato e poi registrato. Se zenStartupMgr è in esecuzione, verrà chiuso.

Configurare un servizio per l´uso di molti driver

A causa dello spazio di memoria fisso riservato al desktop, il sistema operativo Windows consente la creazione di un numero limitato di finestre; questo numero dipende dalla versione e dalla possibile interazione con il desktop.

Versione/azione | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-Bit | 20 MB | 768 KB

Ogni driver di zenon ha bisogno di più finestre. Si può influire sul numero di driver utilizzabili, usando l´opzione Consenti al servizio di interagire col desktop delle proprietà del servizio.

  • Non attiva:
    è possibile avviare un massimo di 20 driver.
  • Attiva:
    possono essere avviati tanti driver quanti in un Runtime lanciato come processo utente.

Per attivare l´opzione Consenti al servizio di interagire col desktop :

  1. Aprire il "Service Manager" di Windows.
  2. Aprire le proprietà del servizio zenStartupMgr.
  3. Passare alla scheda Connessione.

  4. Attivare l´opzione Consenti al servizio di interagire col desktop.
    Per questo servizio, il "Tipo di avvio" deve essere impostato su automatico. Quando il servizio è attivo, l´utente loggato sul calcolatore viene informato se il Runtime di zenon apre come servizio un´ulteriore finestra, per esempio in caso del verificarsi di un nuovo allarme con la riga di stato attiva.

    Nota per Windows 8/Server 2012: perché il servizio possa essere avviato, il relativo inserimento deve essere settato correttamente nel registro di sistema di Windows.

    1. Passare alla voce HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Aprire, oppure creare il valore DWORD NoInteractiveServices.
    3. Cambiare il valore decimale settandolo da 1 a 0.
  5. Per evitare che sul desktop vengano visualizzate segnalazioni-Runtime, procedere come segue:
    disattivare il servizio Rilevamento servizi interattivi.


Item

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Item contiene le seguenti voci:

Inserimento | Funzione
New | Realizza un nuovo inserimento nella lista e apre il dialogo Properties.
Delete | Elimina l´inserimento selezionato dopo una richiesta di conferma.
Properties | Apre il dialogo Properties per l´inserimento selezionato.


Guida

Manuale -> Tool -> Tool startup -> Dialogo di partenza -> Guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù Help per aprire:

  • Help:
    Apre la guida in linea per lo Startup Tool.
  • Info about:
    Visualizza informazioni sulla versione per lo Startup Tool.
  • Update Help:

    Avvia il Documentation-Download-Tool.


Properties

Manuale -> Tool -> Tool startup -> Properties

Nel dialogo Properties vengono definiti i parametri di ogni inserimento:

Inserimento | Funzione
General | Impostazioni generali
Database | Impostazioni concernenti il collegamento alla banca dati.
Extras | Impostazioni per la registrazione di ActiveX Controls (ocx) e COM Server (dll), nonché per lo start di ulteriori programmi o file di batch.

Ancora in questo capitolo

Generale

Database

Extras


Generale

Manuale -> Tool -> Tool startup -> Properties -> Generale

In questa sezione vengono inseriti i dettagli delle versioni dizenon. Il percorso per la versione a 32-Bit di zenon è assolutamente necessario. Se lo Startup Tool riconosce una versione a 64-bit, viene sbloccato per inserimenti il percorso per la versione a 64-bit.

Sono disponibili le seguenti proprietà per un inserimento:

Generale

Parametro

Descrizione

Name

Nome univoco, nel modo in cui deve essere visualizzato nella lista. L´inserimento è assolutamente necessario.

Version

Startup Tool inserisce automaticamente il numero della versione di zenon. A tal scopo, bisogna selezionare in precedenza alla voce Program Path un percorso di programma.

Programm path (32-bit)

Percorso di programma in cui si trova la versione eseguibile a 32-Bit del file zenon (Zenrt32.exe).

Se il sistema riconosce qui una versione a 64-Bit di zenon, esso sblocca la proprietà Programm path (64-bit) per l´input.

Programm path (64-bit)

Percorso di programma in cui si trova la versione eseguibile a 64-Bit del file zenon (Zenrt32.exe).

L´Input è possibile solamente se è stato indicato il percorso per la versione a 32-bit e una versione a 64-bit è stata riconosciuta da zenon.

Non appena entrambi i percorsi sono stati inseriti in modo corretto, i pulsanti per lo start di Editor e Runtime vengono divisi rispettivamente in due bottoni, uno per la versione a 32-bit e uno per quella a 64-bit.

Overwrite INI settings

Attivo: Al momento dello start dell´editor, vengono usate sempre le impostazioni di questo dialogo. Le modifiche che sono state apportate lavorando con l´editor, vengono rimosse. Sono interessati Workspace, Editor-Project, Runtime-Project e Runtime-Path.

Take over INI settings

Attivo: Tutte le impostazioni modificate per Workspace, Editor-Project, Runtime-Project, e Runtime-Path vengono, salvate nello zenon6.ini dopo la chiusura dell´Editor, lette nello Startup Tool e utilizzate al momento del nuovo start.

Editor

Parametro | Descrizione
Workspace | Il workspace desiderato al momento dell´apertura dell´editor. Non appena si è indicato questo workspace, tutti i progetti che vi si trovano vengono visualizzati automaticamente nella lista a cascata alla voce Editor - progetto (Editor-Projekt).
Editor-Project | Selezione del progetto che deve essere attivo dopo lo start dell´editor.

Runtime

Parametro | Descrizione
Runtime-Project | Il progetto che è settato come progetto di partenza per il runtime.
Runtime-Path | Il percorso del progetto. Nel caso in cui il progetto RT sia contenuto nel workspace, il percorso viene impostato automaticamente.

info Info

Parametri sconosciuti?

Nel caso in cui le impostazioni per il workspace non dovessero essere conosciute, utilizzate il seguente procedimento:

  1. Name, inserire Program Path e Workspace
  2. Editor-Project, lasciare vuoti Runtime-Project e Runtime-Path.
  3. Read back the INI settings Attivare
  4. chiudere il dialogo cliccando su OK .

Dopo che l´editor è stato avviato e chiuso, le impostazioni standard vengono riprese automaticamente dal file INI.


Database

Manuale -> Tool -> Tool startup -> Properties -> Database

In questa sede definite le proprietà della banca dati. Queste ultime consentono di usare diverse istanze SQL per diversi inserimenti (versioni zenon).

attention Attenzione

A partire dalla versione 6.51, può essere definita l´istanza SQL e la password viene salvata in forma cifrata. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti.

Compatibilità: finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precedenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Visualizzazione dialoghi: La visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi.

  • SQL Instance
  • DB Path
  • User
  • Password

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

SQL Instance

Selezione dell´istanza del server SQL che deve essere usata.

Il nome può essere scritto direttamente nel campo di inserimento, oppure selezionato fra quelli della lista a cascata.
Nota: cliccando sulla lista a cascata, il sistema ricerca nel calcolatore locale le istanze, che poi vengono presentate in una lista. La ricerca può durare un po´di tempo.

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Esempi: %ProgramData%\COPA-DATA\SQL\

Attenzione: Diversi server SQL (per es. 2008R2 e 2012) devono assolutamente usare percorsi separati.

Background: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

User

Nome user per la banca dati.

Diritti necessari

L´utente deve disporre nel server SQL dei seguenti Server roles:

  • public
  • sysadmin

Password

Password dell´utente. Essa viene depositata in modo cifrato. La lunghezza dell´inserimento viene visualizzata sempre con 20 caratteri, indipendentemente dalla lunghezza reale.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Le impostazioni vengono salvate nello zenon6.ini.

Ancora in questo capitolo

Database prima della versione 6.51


Database prima della versione 6.51

Manuale -> Tool -> Tool startup -> Properties -> Database -> Database prima della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazione per le proprietà della banca dati prima di zenon 6.51:

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi Provider e DB Path.

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

Provider

Collegamento con la istanza SQL. Gli inserimenti importanti sono:

  • nome istanza
  • provider utilizzato
  • Nome utente
  • User password

Per esempio:
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Esempi: %ProgramData%\COPA-DATA\SQL\

Attenzione: il SQL Server 2005 e il SQL Server 2008 R2 devono usare assolutamente dei percorsi separati.

Background: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

attention Attenzione

L´inserimento per Provider in questo dialogo è differente da quello nel zenDB.ini.

Dialogo: La stringa inizia con Provider=...

zenDB.ini: La stringa inizia con Provider=Provider=...


Extras

Manuale -> Tool -> Tool startup -> Properties -> Extras

In questa sede definite ActiveX Controls (*.ocx) oppure COM Server (*.dll), che devono essere registrati con la versione di zenon in questione. Questi file OCX e DLL possono provenire da qualsiasi sorgente, essere scritti dunque autonomamente, oppure essere di altri produttori. Inoltre, potete definire in questa sede i programmi che devono essere eseguiti prima dello start e dopo la chiusura dell´editor o del Runtime.

Registrazione di ActiveX Controls - COM Server

Tutti i file qui indicati vengono registrati automaticamente al momento della registrazione della versione corrispondente di zenon, indipendentemente dalla Impostazione centrale Registro.

Parametro | Descrizione
Filename/Filepath | Lista di tutti i file da registrare
Add | Apre il dialogo di Windows che serve alla selezione di un file da registrare. In questa finestra di dialogo, si possono selezionare singoli file ocx o dll che possono essere aggiunti alla lista. A questo scopo, selezionate nel dialogo in primo luogo il tipo di file desiderato (ocx o dll). Tutti i file vengono salvati con indicazione del percorso. Se cambia il percorso, eliminate il riferimento corrispondente usando il comando Remove e impostate poi un altro percorso.
Remove | Cancella tutti gli inserimenti selezionati dalla lista di selezione dei file da registrare. Attenzione: gli inserimenti selezionati verranno cancellati senza richiesta di conferma.

Programmi pre e post start.

Pre Start e Post Start vi consentono di definire quei programmi e file batch che devono essere eseguiti prima dello start o dopo la chiusura di zenon.

Parametro

Descrizione

Pre Start

Programma esterno che deve essere avviato prima dello start dell'editor o del Runtime. Se si clicca su ..., si apre la finestra di dialogo Windows che consente di selezionare un programma da eseguir eo un file batch.

Attenzione: Editor o Runtime saranno avviati solo dopo che questo programma sarà stato chiuso.

Post Start

Programma esterno che deve essere avviato dopo la chiusura dell'Editor o del Runtime.

Se si clicca su ..., si apre la finestra di dialogo Windows che consente di selezionare un programma da eseguir eo un file batch.

Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata.


Messaggi durante la registrazione

Manuale -> Tool -> Tool startup -> Messaggi durante la registrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Popup durante la registrazione

Segnalazione

Significato

You have changed the IPv6 setting. All internal TCP/IP connections will be switched to IPv6/IPv4.

To ensure that all affected components are properly switched you have to restart the computer! You will also have to change this setting on all connected station!

Do you really want to apply the change?

Modificate le impostazioni per il protocollo IP da IPv4 a IPv6 o viceversa.

Dopo aver effettuato la modifica, dovete riavviare il computer in modo tale che tutti i service vengano modificati nel modo corrispondente. La modifica deve essere effettuata anche su tutte le stazioni collegate.

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini oppure nel filezenon.ini e sovrascrivono lì le configurazioni che dovessero divergere dalle nuove.

Gerneral network configuration settings will be changed.

You have to restart the runtime to apply the changes!

Attention: Do not forget to adept the settings on other stations as well.

Apply settings.

Are you sure this is your intent?

Modificate Impostazioni generali come timeout.

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini oppure nel filezenon.ini e sovrascrivono lì le configurazioni che dovessero divergere dalle nuove.

Le impostazioni modificate devono essere effettuate per tutti i Runtime.

Messaggi durante la registrazione

Al momento di registrare i servizi, tutti gli stadi del processo vengono visualizzati un una finestra propria, che viene poi chiusa autonomamente dopo quattro secondi. Se si verifica un errore, una segnalazione corrispondente Vi informa sulla causa che l´ha provocato. Dopo aver confermato la segnalazione stessa cliccando su ok, il processo viene interrotto e zenon non viene avviato. Possibili segnalazioni di errore:

Segnalazione | Causa | Suggerimento
Couldn´t find zenNetSrv Service! | O manca il file zenNetSrv.exe nella cartella dei programmi di zenon, oppure è presente, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenNetSrv.exe still running! | Non è stato possibile chiudere il servizio zenNetSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.
Couldn´t find zenSysSrv Service! | O manca il file zenSysSrv.exe nella directory di programma di zenon, oppure c´è, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenSysSrv.exe still running! | Non è stato possibile chiudere il servizio zenSysSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.


Riga di comando

Manuale -> Tool -> Tool startup -> Riga di comando

Lo Startup Tool può essere gestito anche facendo uso della riga comandi. A tal fine, però, zenon_Startup.exe si deve trovare nel percorso di sistema. Questo file si trova nella cartella %Program Files%\Common Files\COPA-DATA\STARTUP

Facendo uso della barra comandi potete:

  • creare nuovi inserimenti
  • riorganizzare degli inserimenti esistenti (per es. dopo la cancellazione di versioni precedenti).
  • registrare degli inserimenti

Ancora in questo capitolo

Parametro


Parametro

Manuale -> Tool -> Tool startup -> Riga di comando -> Parametro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´indicazione viene avviata con zenon_Startup.exe seguito da un Parametro e da eventuali nomi campo.

Parametri:

Parametro | Funzione | Nomi campo | Valore di risposta
-new | Crea un nuovo inserimento | sì, Lista vedi new | 0 oppure 1
-reg | registra servizi | Nome dell´inserimento | Nessuno
-reorg | controlla e riorganizza gli inserimenti esistenti. | non esistente | Nessuno

Se si apre lo Startup Tool solamente con -reg, verrà ri-registrata solamente la versione. L´accesso allo zenon6.ini si limita in questo caso alla sola lettura. Viene registrata la versione definita nella sezione [PATH], tutti i parametri vengono ripresi dallo zenon6.ini.

Uso di più parametri contemporaneamente:

E´possibile usare più parametri contemporaneamente. Se si usano più parametri -new contemporaneamente, il valore di risposta non può essere analizzato in modo univoco.

In linea di principio, nel caso di denominazioni multiple si procede nella seguente successione:

  1. –new: Crea nuovi inserimenti.
  2. –reg: Registra l´inserimento impostato.
  3. –reorg: Rimuove tutti gli inserimenti non validi per le versioni cancellate di zenon.

Ancora in questo capitolo

new - Creazione di nuovi inserimenti

reorg - Riorganizzare gli inserimenti

reg - Registrazione di inserimenti


new - Creazione di nuovi inserimenti

Manuale -> Tool -> Tool startup -> Riga di comando -> Parametro -> new - Creazione di nuovi inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro -new serve a creare dei nuovi inserimenti. Sono necessari almeno due nomi campo:

  • NAME, il nome univoco dell´inserimento.

    Nel caso in cui il nome dovesse essere stato già assegnato, il sistema non crea nessun inserimento.

  • PATH, il percorso in cui è stato depositato zenon.

Sintassi

La sintassi è strutturata nel seguente modo: zenon_Startup.exe -> Parametro > Nome campo="TEXT"

  1. zenon_Startup.exe
  2. Passaggio vuoto
  3. Parametro
  4. Passaggio vuoto
  5. Nome campo
  6. = Segno
  7. Virgolette di apertura
  8. Testo
  9. virgolette di chiusura

Example Esempio

zenon_Startup.exe -new NAME="Nuovo inserimento" PATH="C:\Esempio Cartella\Test"

Nomi campo

Possono essere utilizzati i seguenti nome campo:

Nome campo | Campo obbligatorio | Descrizione
NAME | X | Nome univoco dell'inserimento. Per es.: NAME="Test"
PATH | X | Il percorso d´uso in cui si trova zenon. Per es.: PATH="C:\Program Files (x86)\COPA-DATA\zenon 7.10 SP0"
PATH64 | - | Il percorso d´uso in cui si trova la versione a 64 Bit di zenon. Per es.: PATH="C:\Program Files\COPA-DATA\zenon 7.10 SP0"
PROJECT_RT | - | Nome del progetto Runtime da avviare. Per es.: PROJECT_RT="progetto test"
PROJECT_RT_PATH | - | La cartella Runtime del progetto (vedi PROJECT_RT). Per es.: PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\Testprojekt"
PROJECT_ED | - | Il progetto che deve essere attivato nell'editor. Per es.: PROJECT_ED="progetto test"
WSP | - | La postazione di lavoro che deve essere caricata con l´editor. Per es.: WSP="C:\Users\Public\Documents\zenon_Projects\DEMO760.WSP6"
SQLSRV | - | Denominazione del server SQL che deve essere usato dall´editor. Per es.: SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | String provider per la inizializzazione della connessione SQL. Per es.: PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Percorso della banca dati SQL da utilizzare. Per es.: DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Apertura di programma che deve essere eseguita prima dello start dell´editor oppure del runtime, nonché prima della registrazione di questa versione. Per es.: PRESTART="C:\zenon Versionen\zenon7.60\Dlls\zenVNCCli.exe"
POSTSTART | - | Apertura di programma che deve essere eseguita dopo la chiusura dell´editor. Per es.: POSTSTART="C:\zenon Versionen\zenon7.60\Dlls\zenVNCCli.exe" Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata nello Startup Tool o nel file Startup.ini.

Più nomi campo sono divisi da spazi vuoti.

info Info

I percorsi con segni vuoti devono essere messi sempre fra parentesi.

Valori di feedback

  • 0: esecuzione senza errori
  • 1: non è stato possibile realizzare l´inserimento


reorg - Riorganizzare gli inserimenti

Manuale -> Tool -> Tool startup -> Riga di comando -> Parametro -> reorg - Riorganizzare gli inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro -reorg controlla tutti gli inserimenti per verificare se la versione collegata di zenon è ancora presente nel sistema file. Nel caso in cui i dati di applicazione non dovessero essere più reperibili, l´inserimento viene definitivamente cancellato dallo Startuptool.

Il comando non fornisce alcun valore di risposta. Dopo l´esecuzione, viene avviato lo Startup Tool.

Esempio: zenon_Startup.exe -reorg


reg - Registrazione di inserimenti

Manuale -> Tool -> Tool startup -> Riga di comando -> Parametro -> reg - Registrazione di inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro –reg registra tutti i servizi necessari nella cartella dell´inserimento indicato. L´apertura avviene tramite:

  • -reg “Nome dell´inserimento"

Nel caso in cui lo Startup Tool dovesse essere già avviato, non si effettua la registrazione, ma lo Startup Tool viene aperto in primo piano.
Il comando non fornisce alcun valore di risposta.

Example Esempio

zenon_Startup.exe -reg “Versione 6750"

registra la versione 07:50.

Presupposto: nello Startup Tool deve esistere un inserimento con questo nome.


Tool

Manuale -> Tool -> Tool startup -> Tool

Tool consente di avviare applicazioni direttamente dallo Startup Tool. A seconda dell´applicazione, possono essere trasmessi anche parametri per la riga di comando. Quali tool sono a disposizione dipende dalla versione di zenon e dal sistema operativo.

I Tool si trovano in una finestra di dialogo apposita. Per aprirla, cliccare sul pulsante Tools nello Startup Tool:

Available 32-bit applications

Lista delle applicazioni a 32-Bit disponibili.

Opzione | Descrizione
Keyblock Runtime Start | Avvia il Runtime correntemente attivo con l´opzione Keyblock. In questo modo, al momento dello start del Runtime vengono bloccati tutti i tasti di sistema Windows. Tenere presenti le informazioni contenute nel capitolo Keyblock Runtime Start nel manuale Runtime. Nome del file EXE: zenKeyBlock.exe
Licensing | Avvia la finestra di dialogo che consente di registrare la licenza. Nome del file EXE: LizenzKnd.exe
OPC Server | Avvia zenon OPC Server. Nome del file EXE: zenOPCSrv.exe
Process Gateway | Avvia il Process Gateway. Tenere presenti le informazioni relative alla configurazione dei parametri. Nome del file EXE: zenProcGateway.exe Parameter: /ini:MyConfig.INI Sostituire MyConfig.INI con il nome corretto del vostro file INI.
Redundancy Management Tool | Avvia zenon Redundancy Management Tool. Nome del file EXE: zenon_redman.exe
Remote runtime update | Apre il dialogo per la configurazione di Remote Runtime Update per CE. Nome del file EXE: UpdateCE.exe
SharpDevelop IDE | Apre SharpDevelop IDE per la creazione di AddIns. Nome del file EXE: SharpDevelop.exe
SQL Server communication test tool for zenDBSrv | Apre la finestra di dialogo che consente di accedere al database di zenon Admin Client. Nome del file EXE: zenDBAdmin.exe
zenon Logic Compare projects | Apre la finestra di dialogo che consente di confrontare due progetti di zenon Logic. Nome del file EXE: K5DiffTest.exe
zenon Logic Library Manager | Apre la finestra di dialogo di zenon Logic Library Manager. Nome del file EXE: K5LibMan.exe
zenon Logic Licence Manager | Apre il Manager delle licenze dizenon Logic. Nome del file EXE: K5LicMan.exe
zenon Logic Monitoring | Apre zenon Logic Monitor. Nome del file EXE: W5Monitoring.exe
zenon Logic Runtime | Apre il Runtime di zenon Logic. Ulteriori informazioni si trovano anche nel capitolo Avviare il Runtime ne manuale zenon Logic Runtime. Nome del file EXE: STRATONRT.exe
zenon Remote Desktop | Apre la finestra di dialogo che consente di stabilire una connessione con un zenon Remote Desktop. Nome del file EXE: zenVNCCli.exe
Available 64-bit applications | Lista delle applicazioni a 64-Bit disponibili.
Keyblock Runtime Start | Avvia il Runtime correntemente attivo con l´opzione Keyblock. In questo modo, al momento dello start del Runtime vengono bloccati tutti i tasti di sistema Windows. Tenere presenti le informazioni contenute nel capitolo Keyblock Runtime Start nel manuale Runtime. Nome del file EXE: zenKeyBlock.exe

Available applications (current folder)

Lista delle applicazioni disponibili nella cartella corrente.

Opzione | Descrizione
Diagviewer | Avvia il Diagnosis Viewer. Nome del file EXE: DiagViewer.exe
System Information Collector | Avvia il System Information Collector. Nome del file EXE: SIC.exe
Web Engine Deployment Tool | Avvia il Web Engine Deployment Tool. Ulteriori informazioni si trovano anche nel capitolo Deployment di Web Engine nel manuale zenon Web Server. Nome del file EXE: WebEngineDeploymentTool.exe Parametri: nessuno
zenon Remote Desktop Configuration | Apre la finestra di dialogo che consente di configurare un zenon Remote Desktop. Nome del file EXE: zenVNCCfg.exe
Command line parameters | Inserimento dei parametri per la riga di comando. Sintassi: [Nome del file EXE] /[Parametri] Attenzione: è necessario indicare il nome del file EXE.
Start | Chiude la finestra di dialogo e avvia l´applicazione selezionata con i parametri impostati.
Cancel | Chiude la finestra di dialogo.

Ancora in questo capitolo

Avviare un Tool


Avviare un Tool

Manuale -> Tool -> Tool startup -> Tool -> Avviare un Tool

Per avviare un Tool:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Tools.

    Si apre la finestra di dialogo che consente di configurare i zenon Tools.

  3. Selezionare il Tool desiderato.
  4. Se necessario, inserire nel campo Command line parameters:
    [Tool].EXE /[Parameter]
    Achtung: I soli parametri non sono sufficienti. Si deve indicare anche il file EXE.
  5. Cliccare su Start.

File EXE disponibili.

Applicazione

EXE

Nota

Diagviewer

DiagViewer.exe

Keyblock Runtime Start

zenKeyBlock.exe

Licensing

LizenzKnd.exe

OPC Server

zenOPCSrv.exe

Process Gateway

zenOnOnline.exe

Process Gateway

zenProcGateway.exe

Nome del file INI.

/ini:MyConfig.INI

Sostituire MyConfig.INI con il nome corretto del vostro file INI.

Redundancy Management Tool

zenon_redman.exe

Remote runtime update

UpdateCE.exe

SQL Server communication test tool for zenDbSrv

zenDBAdmin.exe

System Information Collector

SIC.exe

Parametri:

  • forcedbaction:
    SQL Attach/Detach Consentire sempre.
  • externalxmlenable:Consentire
    consentire caricamento di Query-XML esterni.
  • developer:
    Scan veloce.

Web Engine Deployment Tool

WebEngineDeploymentTool.exe

--

zenon Logic Compare projects

K5DiffTest.exe

zenon Logic Library Manager

K5LibMan.exe

zenon Logic Licence Manager

K5LicMan.exe

zenon Logic Monitoring

W5Monitoring.exe

zenon Logic Runtime

STRATONRT.exe

zenon Logic Runtime Manager

StratonRT_Manager.exe

zenon Remote Desktop

zenVNCCli.exe

zenon Remote Desktop Configuration

zenVNCCfg.exe


System Information Collector

Manuale -> Tool -> System Information Collector

Per poter essere in grado di risolvere problemi, il supporto tecnico di COPA-DATA Vi chiederà eventualmente di fornire dati rilevanti sul vostro sistema operativo e zenon. Il modo più semplice per creare questi dati è farlo automaticamente usando il SystemInformation Collector, e poi mandare quest´ultimo al supporto tecnico.

Ancora in questo capitolo

Avviare il System Information Collector

Raccogliere le informazioni

Utilizzare le informazioni

Inoltrare il report a COPA-DATA.


Avviare il System Information Collector

Manuale -> Tool -> System Information Collector -> Avviare il System Information Collector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il System Information Collector viene installato con zenon. Lo trovate sul:

  • Computer nel percorso %Program Files (x86)%\Common Files\COPA-DATA\STARTUP
  • Supporto di installazione nel percorso \AdditionalSoftware\COPA-DATA System Information Collector.

Per avviare System Information Collector:

  1. Windows 8: digitate sul desktop come criterio di ricerca SIC per Apps.
    Windows 7: passate a Start/Tutti i programmi/zenon/Version Independent Tools
    oppure: avviate dal supporto di installazione.
  2. Cliccate su System Information Collector
  3. il System Information Collector si avvia

Menù e barra degli strumenti

Menù

Nel menù ci sono queste opzioni a disposizione:

  • File
    • New Scan: apre la finestra iniziale
    • Open: apre un report salvato
    • Save: salva il report visualizzato al momento come file ZIP
    • Exit: chiude il System Information Collector
  • Edit
    • Copy: copia il testo evidenziato negli appunti.
    • Find: apre una finestra di dialogo per la ricerca nel report attuale
  • View
    • Expand: espande tutti i nodi.
    • Collapse: chiude tutti i nodi.
  • Help
    • About: Informazioni sulla versione del programma

Fatta eccezione per Exit e About, tutte le opzioni sono disponibili anche nella barra degli strumenti.

Barra degli strumenti

Simbolo | Descrizione
Home New Scan | Apre la finestra start.
Open | Apre un report salvato
Save | Salva il report visualizzato al momento come file ZIP
Copy | Copia il testo evidenziato negli appunti.
Find | Apre una finestra di dialogo per la ricerca nel report attuale
Expand | Espande tutti i nodi.
Collapse | Chiude tutti i nodi.


Raccogliere le informazioni

Manuale -> Tool -> System Information Collector -> Raccogliere le informazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per raccogliere informazioni in modo automatico:

  1. avviate il System Information Collector
  2. selezionate una delle quattro opzioni cliccando sul pulsante corrispondente
    • Full: raccoglie informazioni sul sistema e zenon. File Dump non vengono raccolti.
    • System: raccoglie solamente informazioni sul sistema
    • Scada: raccoglie informazioni su zenon, senza file dump
    • Scada with dumpfiles: raccoglie solamente informazioni su zenon e include i file dump

  3. il System Information Collector crea un report contenente le informazioni desiderate

  4. quando è pronto, il report viene visualizzato nella finestra principale


Utilizzare le informazioni

Manuale -> Tool -> System Information Collector -> Utilizzare le informazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le informazioni raccolte vengono visualizzate in System Information Collector. Non possono:

  • salvare il report
  • navigare attraverso il report e cercare informazioni determinate
  • evidenziare informazioni selezionate e copiarle negli appunti

salvare il report

Per salvare un report:

  1. cliccate sul simbolo Salva oppure sul comando Save nel menù File
  2. Si apre la finestra di dialogo che serve all´inserimento volontario di una password per la crittografia del report.
  3. si apre il dialogo per selezionare una cartella e un nome file
  4. il report viene salvato come file ZIP

Apri report.

Per aprire un report salvato:

  1. Cliccate sul simbolo Cartella nella barra dei simboli.
  2. Selezionate il report.
  3. Se avete inserito al momento del salvataggio una password per la crittografia del report, inseritela di nuovo in questa sede, oppure saltate questo passaggio cliccando su OK.
  4. Il report viene aperto.

Salvare informazioni selezionate

Per salvare solamente informazioni selezionate:

  1. selezionate l´informazione desiderata
  2. cliccate sul simbolo Copia oppure sul comando Copy nel menù Edit
  3. la selezione viene copiata negli appunti
  4. aggiungete il contenuto in un file di testo e salvatelo
  5. ripetete l´operazione per tutte le altre informazioni selezionate


Inoltrare il report a COPA-DATA.

Manuale -> Tool -> System Information Collector -> Inoltrare il report a COPA-DATA.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seconda della sua dimensione, il report può essere inoltrato‑come allegato di una E-Mail, oppure come upload in un definito posto di salvataggio a COPA-DATA . Potete ottenere informazioni dettagliate su come inviare il report e su quale posto di salvataggio online utilizzare dal vostro fornitore di fiducia, oppure rivolgendovi al supporto tecnico di COPA-DATA.


COPA-DATA PRP

Manuale -> Tool -> COPA-DATA PRP

zenon supporta il Parallel Redundancy Protokoll (PRP) per la comunicazione hardware ridondante in una rete Ethernet. Questo protocollo è standardizzato nella norma IEC 62439-3.

La comunicazione PRP avviene direttamente a livello OSI Layer 2, indipendentemente dall'Editor di zenon e dal Runtime di zenon. Non è necessario effettuare configurazioni speciali in zenon. Per usare questo protocollo, il computer deve avere due schede di rete ed essere configurato in modo corrispondente.

Per poter usare PRP, si ha bisogno di:

  • Servizio di rete COPA-DATA PRP driver
  • PRP Configuration and Diagnostics Tool

Lo trovate sul supporto di installazione. Una descrizione dettagliata dei passaggi di configurazione necessari si trova nel capitolo Installazione e configurazione di questo manuale.

Nota: Il confronto pacchetti del servizio di rete supporta reti fino a100 Mbit.

tutorial Informazioni sulla licenza

Il servizio di rete è fornito con il prodotto.
Per usarlo, è richiesta una licenza valida di zenon sul computer.

Ancora in questo capitolo

Requisiti di sistema

Requisiti hardware

Installazione e configurazione

PRP Configuration and Diagnostics Tool


Requisiti di sistema

Manuale -> Tool -> COPA-DATA PRP -> Requisiti di sistema

La comunicazione PRP è supportata per 100-Mbit/s-Ethernet nei seguenti sistemi operativi:

  • Windows 7
  • Windows 8
  • Windows 10, a partire dalla versione 1607
    Attenzione: le versioni precedenti di Windows 10 non sono supportate.


Requisiti hardware

Manuale -> Tool -> COPA-DATA PRP -> Requisiti hardware

Per la comunicazione PRP valgono i seguenti requisiti hardware:

  • Entrambe le schede di rete utilizzate devono supportare Jumboframes.
  • Una configurazione dell´indirizzo MAC amministrato localmente è possibile per entrambe le schede di rete.

attention Attenzione

La comunicazione PRP è supportata solamente in una rete ridondante. Via PRP possono essere connesse due reti fisiche.

Un´ulteriore connessione in un´altra rete PRP, però, non è supportata.


Installazione e configurazione

Manuale -> Tool -> COPA-DATA PRP -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per preparare il computer all´installazione di PRP:

  1. Spegnere il computer e scollegarlo dall´alimentazione di corrente (reset fisico).
  2. Riavviare il computer.

Poi eseguire i seguenti passi di configurazione nel sistema operativo:

  1. Configurare i due adattatori di rete a disposizione.
  2. Creare un bridge di rete (= Bridge) utilizzando gli adattatori.
  3. Installare il COPA-DATA PRP driver per il bridge di rete.
  4. Configurare la connessione PRP.

Una descrizione dettagliata dei passaggi di configurazione si trova nei capitoli seguenti.

Note

Attenzione:

  • Per eseguire l'installazione bisogna avere i diritti di amministratore sul computer.
  • Il sistema deve essere riavviato per completare l'installazione.
  • Seguire le istruzioni per i singoli passaggi.
  • Il confronto pacchetti del servizio di rete supporta reti fino a100 Mbit.
  • Un update dei file PRP può essere eseguito solamente con una versione principale di zenon, oppure con un Service Pack.
    Versioni Build non consento di eseguire quest´operazione.

attention Attenzione

Fare attenzione ad eseguire i passaggi della configurazione nella successione indicata.

Ancora in questo capitolo

Installazione e configurazione

Installazione e configurazione

Installazione e configurazione

Configurazione della connessione PRP (quarto di quattro passaggi)


Installazione e configurazione

Manuale -> Tool -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel primo passaggio, modificare la configurazione del sistema operativo per entrambi gli adattatori di rete. La finestra di dialogo di configurazione e la denominazione delle proprietà estese dipendono dalla scheda di rete usata.

Adattatore di rete 1

Nel sistema operativo, configurare il primo adattatore di rete.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare l'adattatore di rete desiderato.
  3. Con il tasto destro del mouse selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà dell'adattatore di rete.
  4. Cliccare sul pulsante Configura...
    Si apre la finestra delle proprietà dell'adattatore di rete.
  5. Passare alla scheda Avanzate.
  6. Nella lista Settings, selezionare l'inserimento Jumbo Packet.
    Nota: il nome di questo inserimento può essere diverso a seconda della scheda di rete.
  7. Selezionare un valore nel menù a tendina Value.
    Scegliere il valore più piccolo fra quelli disponibili che sia maggiore di 1530 Byte.
    Attenzione: l´impostazione disabilitato non deve essere selezionata.
  8. Nella scheda Avanzate selezionare l'impostazione Locally-administered address.
  9. Digitare nel campo di inserimento Value: un indirizzo MAC univoco. Il formato dell'indirizzo MAC dipende dall'hardware utilizzato.
    Esempi:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Assicurarsi che entrambe le connessioni usino lo stesso indirizzo MAC.
    Modificare questo indirizzo nel campo di inserimento Value:
    • L'indirizzo MAC deve cominciare con 0A!
    • L'indirizzo MAC nella rete locale deve essere univoco.
  11. Terminare la configurazione della scheda di rete cliccando sul pulsante OK

Adattatore di rete 2

Ripetere i passaggi per il secondo adattatore di rete.
Fare attenzione ad inserire lo stesso indirizzo MAC indicato nella configurazione precedente.

attention Attenzione

Assicurarsi che:

  • L'indirizzo MAC usato sia lo stesso per entrambi gli adattatori di rete.
  • Non sia utilizzato da un altro computer in rete.


Installazione e configurazione

Manuale -> Tool -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si combinano i due adattatori di rete con un bridge di rete. A questo scopo, adattare la configurazione di entrambi gli adattatori di rete usati.

Creare un bridge di rete nelle impostazioni di sistema.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare i due adattatori di rete che si vuole usare per la comunicazione PRP.
    Nota: assicurarsi che entrambi gli adattatori siano già stati configurati in modo corrispondente. Una modifica della configurazione di un adattatore di rete diventa effettiva solo dopo che si è creato un nuovo bridge.
    Attenzione: entrambi gli adattatori di rete devono essere stati configurati con lo stesso indirizzo MAC!
  3. Con il tasto destro del mouse, selezionare il comando Connessioni con bridging.
    Verrà realizzato un bridge di rete per lì adattatore selezionato. Questo processo viene visualizzato per mezzo di una apposita finestra di dialogo.
  4. Il bridge creato viene visualizzato nel Pannello di controllo.

    Attenzione: il bridge deve contenere solamente due adattatori.


Installazione e configurazione

Manuale -> Tool -> COPA-DATA PRP -> Installazione e configurazione -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si installa il servizio di sistema necessario per la comunicazione PRP.

Installare il COPA-DATA PRP driver

  1. Selezionare il bridge appena creato (Bridge).
  2. Con il tasto destro del mouse, selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà del bridge.
  3. Cliccare sul pulsante Installa....
    Si apre la finestra di dialogo per installare un tipo di funzionalità di rete.
  4. Selezionare Servizio come funzionalità di rete da installare.
  5. Cliccare sul pulsante Aggiungi...
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  6. Cliccare sul pulsante Supporto dati...
    Si apre la finestra di dialogo per la selezione del luogo dove è salvato il programma di installazione del servizio di rete.
  7. Cliccare sul pulsante Sfoglia.
  8. Passare alla seguente cartella del computer locale:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 32-Bit.
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 64-Bit.
  9. Scegliere il file CDPrpFlt.inf.
    Attenzione: assicurarsi di selezionare l'installer corretto per il sistema operativo utilizzato (32-Bit o 64-Bit).
  10. Confermare la selezione cliccando su OK.
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  11. Selezionare il servizio di rete COPA-DATA PRP driver.
  12. Confermare la selezione cliccando su OK
    • Confermare la richiesta di conferma di Windows cliccando sul pulsante "Installa".
      Attenzione: a questo punto potrebbe essere necessario riavviare il computer.

      Nota: questa richiesta di conferma non verrà visualizzata se è stato già abilitato il box "... Considera sempre attendibile" in occasione di precedenti installazioni di componenti di programma di zenon
  13. Dopo che l'installazione è stata portata a termine con successo (e dopo il riavvio del computer), il servizio è visibile nella finestra delle proprietà dell'adattatore di rete, nella lista degli elementi utilizzati.
  14. Assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano abilitati (segno di spunta nei checkbox corrispondenti).

attention Attenzione

Assicurarsi che l'uso nel sistema produttivo non sia pregiudicato dal necessario riavvio del computer.


Configurazione della connessione PRP (quarto di quattro passaggi)

Manuale -> Tool -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione della connessione PRP (quarto di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di eseguire la configurazione, assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano attivi.

Configurazione PRP

  1. Avviare il programma PRPCfgDiag.exe.
    Questo software si trova nella cartella C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    Si apre la finestra di dialogo PRP Configuration and Diagnostics.

    Nota: Il PRP Configuration and Diagnostics Tool è disponibile solo in lingua inglese.
  2. Cliccare sul pulsante Configuration.
    Si apre la finestra di dialogo per la selezione degli adattatori di rete.

    Nota: Il contenuto del menù a tendina si basa sulle impostazioni di sistema.
  3. Selezionare nel menù a tendina l'adattatore di rete per LAN_A e LAN_B.
    Nota: assicurarsi che le relazioni fra rete fisica e LAN_A o LAN_B siano state configurate nello stesso modo per tutti i dispositivi di rete compatibili con PRP.
  4. Confermare l'assegnazione cliccando su OK.
  5. Concludere la configurazione cliccando sul pulsante Exit.

info Info

Una descrizione dettagliata del PRP Configuration and Diagnostics Tools si trova nel capitolo PRP Configuration and Diagnostics Tool .


PRP Configuration and Diagnostics Tool

Manuale -> Tool -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IlPRP Configuration and Diagnostics Tool svolge due compiti:

  • Visualizzazione
    Visualizzazione del traffico dati inviati via PRP. La visualizzazione avviene separatamente per i due adattatori di rete utilizzati.
  • Configurazione
    Assegnazione degli adattatori di rete configurati.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Il programma PRPCfgDiag.exe è incluso nel pacchetto d zenon.
Trovate questo software sul vostro computer nella cartella C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP.

Requisiti

Per configurare ilPRP Konfigurations- und Diagnose Tool e per usarlo, si ha bisogno di quanto segue:

  • Due adattatori di rete combinati in bridge nelle impostazioni di sistema.
    Nota: In questo bridge possono essere configurati solamente i due adattatori che sono usati per la comunicazione PRP. Non devono essere contenuti altri adattatori di rete in questo bridge.
  • Il driver CDPrpFlt deve essere installato.

info Info

Le informazioni relative all'installazione e alle necessarie preparazioni da effettuare nelle impostazioni di sistema si trovano nel capitolo Installazione e configurazione.

Ancora in questo capitolo

Statistica

Configurazione


Statistica

Manuale -> Tool -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool -> Statistica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il flusso di dati viene visualizzato nella finestra di dialogo Statistics. La visualizzazione avviene separatamente per i due adattatori LAN.

Il flusso di dati viene sempre registrato, anche quando il tool non è aperto.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Send count

Visualizzazione del frame Ethernet inviato.

Receive count

Visualizzazione del frame Ethernet ricevuto.

Error count

Visualizzazione dei frame PRP con errori.

Mismatch count

Visualizzazione dei frame PRP ricevuti/inviati differentemente quando il traffico di dati via rete dei due adattatori LAN presenta delle divergenze.

Link status

Stato della scheda di rete:

  • Active
    PRP-Supervision frames vengono ricevute in modo corretto per la relativa rete LAN (LAN_A o LAN_B).
  • Inactive
    Nei due secondi appena trascorsi non è pervenuta nessuna PRP-Supervision frames. Non c'è nessuna stazione PRP nella rete, oppure si è verificato un errore.

Configuration

Apre la finestra di dialogo per la configurazione.

Exit

Chiude il programma.
Nota: i dati continuano ad essere registrati.


Configurazione

Manuale -> Tool -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tool -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Configuration:

  • Si può assegnare l'adattatore usando il menù a tendina.
    Il contenuto del menù a tendina si basa sulle impostazioni del bridge di rete.
    Ulteriori informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.
  • Viene visualizzato l'indirizzo MAC multicast.
  • Vengono visualizzati i messaggi di errore relativi alla configurazione degli adattatori di rete in una finestra di emissione.

attention Attenzione

Il computer deve essere riavviato dopo che sono state fatte delle modifiche alla configurazione.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Primary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN primario.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

Secondary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN secondario/ridondante.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

LAN_A/LAN_B Multicast MAC

Indirizzo MAC multicast per PRP-Supervision frames.
Questo indirizzo per la comunicazione in rete è predefinito e non può essere modificato.

Nota: assicurarsi che questo indirizzo non venga usato da nessun altro adattatore nella rete!

L'ultimo byte può essere configurato nel campo di inserimento. Il formato di input di questo inserimento è HEX.

Error message

Finestra di emissione per i messaggi di errore.

OK

Accetta tutte le modifiche e passa alla finestra di dialogo Statistic.

Cancel

Rifiuta tutte le modifiche e passa alla finestra di dialogo Statistic.


Trasporto remoto

Manuale -> Trasporto remoto

Il trasporto remoto permette di trasportare i file Runtime ad un sistema di destinazione. Informazioni sul tema salvataggio e realizzazione di backup di file esistenti, le trovate nel capitolo Backup di progetto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Informazioni generali

Nel caso in cui Runtime e l'Editor si trovino sullo stesso calcolatore, i file Runtime sono direttamente a disposizione del Runtime. Se il Runtime si trova su di un altro calcolatore, i file Runtime vengono trasmessi via Trasporto Remoto per essere disponibili localmente in quella sede.

Con il Trasporto Remoto

  • vengono trasmessi solamente i file di volta in volta necessari in rete.
  • può essere trasportato anche qualsiasi altro file (ActiveX Control, Font, ecc.)
  • si può provocare l´effettuazione di un upload automatico su Server 1 e Server 2
  • possono essere utilizzate molte altre funzionalità.

Suggerimento: Usate la visuale Topologia di rete nell´Editor per configurare tutti i calcolatori Runtime e il trasporto dei file Runtime.

Nota: Fate attenzione che, nel caso della gestione multi-progetto, la trasmissione dei singoli progetti sia corretta.

attention Attenzione

I file immagine di tipo PNG non possono essere sovrascritti mentre sono visualizzati a Runtime.

Background: il Runtime blocca i file .png aperti. In questo modo evita che possano venire sovrascritti.

Soluzione: prima di inizializzare il Trasporto Remoto, bisogna assicurarsi che immagini con file *.png:

  • Non siano aperte a Runtime:
  • Non vengano utilizzate da un altro programma.

Questo vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).

Funzionalità

Il trasporto remoto mette a disposizione, oltre alla mera funzionalità di copia, anche una serie di altre funzionalità.

Parametro | Descrizione
Copia incrementale | L´Editor riconosce automaticamente quali file del sistema di destinazione sono ancora diversi da quelli da trasmettere e trasmette solo quelli che sono stati modificati.
Imposta progetto di partenza | Attraverso il trasporto remoto il progetto di partenza può essere settato sul calcolatore remoto.
Avvia e termina Runtime remoto | Il Runtime può essere avviato e chiuso sul calcolatore remoto.
Richiedi lo stato del sistema remoto | Può essere visualizzato lo stato attuale del calcolatore remoto (sistema operativo, zenon versione, lettori esistenti ecc.).
Riavvia OS | Un calcolatore può essere riavviato in modo remoto.
Aggiornamento online | In questo modo il Runtime remoto viene aggiornato online.
Avvia collegamento desktop remoto | Instaura un Collegamento desktop remoto
Rileggi tutti i file progetto | Un progetto completo può essere ricopiato da un sistema remoto.
Copia e registra file | I file non sono solo copiati, ma anche registrati nel sistema di destinazione. Particolarmente interessante per font e elementi Active X.
Copia e esegui file | I file eseguibili vengono copiati e avviati.

attention Attenzione

Nel caso di avvio del Runtime per trasporto remoto, tenete presente quanto segue:

  • il 32-Bit zensyssrv.exe avvia il Runtime a 32-Bit
  • il 64-Bit zensyssrv.exe avvia il Runtime a 64-Bit

info Info

In teoria è possibile anche la trasmissione via Windows Explorer, oppure la messa a disposizione di unità di rete. Si sconsiglia di adottare questa procedura! La trasmissione via Trasporto Remoto è più sicura e sistematica e riduce il carico che grava sulla connessione di rete. Nel caso di implementazione come unità di rete, il funzionamento del Runtime dipende dal fatto se è disponibile un drive e se le sue prestazioni sono sufficienti.

Ancora in questo capitolo

Barra degli strumenti "Trasporto remoto"

Menù contestuale Trasporto remoto

Configurazione nell'Editor

Stabilisci collegamento

Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente


Barra degli strumenti "Trasporto remoto"

Manuale -> Trasporto remoto -> Barra degli strumenti "Trasporto remoto"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un computer di sviluppo può stabilire connessioni remote con altri PC. La barra degli strumenti Trasporto remoto mette a disposizione delle funzioni per eseguire il trasferimento e la richiesta di dati fra i diversi PC.

Simbolo

(da sinistra a destra)

Funzione

Trasporto Remoto: stabilisci il collegamento.

Apre la finestra di dialogo di configurazione del Trasporto Remoto per impostare il sistema di destinazione e la cartella di destinazione.

Trasporto Remoto: stabilisci collegamento tramite Trasporto remoto.

Stabilisce una connessione via Trasporto Remoto con il sistema remoto.

Trasporto remoto: trasporta solo file modificati

Trasferisce al computer di destinazione tutti i file Runtime modificati dal momento dell´ultima modifica sul computer di sviluppo.

Trasporto remoto: importa tutte le cartelle Runtime

Importa i file Runtime dalla cartella definita sul sistema Remoto nella cartella Runtime locale.

Trasporto remoto: imposta il progetto di partenza su Runtime remoto.

Imposta il progetto attivo come progetto di partenza nel sistema connesso in remoto.

Trasporto remoto: partenza Runtime remoto

Lancia il Runtime sul sistema remoto.

Trasporto remoto: termina Runtime remoto

Termina il Runtime sul sistema remoto.

Trasporto remoto: aggiorna Runtime remoto

Esegue la funzione Aggiorna sul sistema remoto.

Remote Desktop: avvia connessione

Avvia una connessione per gestire il computer di destinazione tramite zenon Remote Desktop. In questo modo sarà possibile gestire il computer di destinazione sul proprio PC.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menù:

Attiva: viene visualizzata la barra degli strumenti.

Se la barra degli strumenti non viene visualizzata, la si può attivare usando il menù Visuale-> Toolbar.

Nota: in caso di posizionamento libero della barra degli strumenti (sganciata dall´Editor), le opzioni non vengono visualizzate. La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Ulteriori simboli possono essere aggiunti usando le opzioni della barra degli strumenti:

Trasporta tutti i file Runtime

Trasferisce tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo una richiesta di conferma. Questa opzione non viene supportata da Windows CE.

Richiedi stato del sistema remoto

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • La versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Nota: tutti i comandi per il Trasporto remoto sono a disposizione anche nel Menù contestuale del progetto.


Menù contestuale Trasporto remoto

Manuale -> Trasporto remoto -> Menù contestuale Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avete accesso ai comandi per il trasporto remoto tramite la barra dei simboli oppure il menù contestuale del progetto:

  1. cliccate con il tasto destro del mouse sul progetto nel manager di progetto
  2. selezionate nel menù contestuale il nodo Trasporto Remoto
  3. scegliete poi nella lista a cascata che si aprirà il comando desiderato;

Comando

Funzione

Stabilisci collegamento

Instaura un collegamento con il computer destinatario.

stabilisci il collegamento.

Apre il dialogo per la configurazione del collegamento..

Trasporta file Runtime modificati

Trasmette al computer di destinazione tutti i file runtime modificati sul computer di sviluppo.

Trasporta tutti i file Runtime

Trasmette tutti i dati Runtime dal computer di sviluppo a quello di destinazione.

importa tutte le cartelle Runtime

Rilegge tutti i file modificabili a Runtime (come ricette, oppure gestione user) sul computer di sviluppo.

Imposta come progetto di partenza

Setta il progetto di partenza per il computer di destinazione.

Avvia Runtime

Avvia il Runtime sul computer di destinazione.

Termina Runtime

Chiude il Runtime sul computer di destinazione.

Aggiorna progetto

Esegue sul computer di destinazione la funzione aggiorna.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo una richiesta di conferma. Questa opzione non viene supportata da Windows CE.

Richiedi stato del sistema remoto

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • La versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Remote: Avvia connessione con il desktop

Avvia una connessione per gestire il computer di destinazione tramite zenon Remote Desktop.


Configurazione nell'Editor

Manuale -> Trasporto remoto -> Configurazione nell'Editor

Si configura il Trasporto remoto nelle proprietà di progetto alla voce Generale/Trasporto remoto e lo si gestisce facendo uso della Barra dei simboli del trasporto remoto.

Al fine di configurare il trasporto remoto:

  1. Nelle proprietà di progetto, passare al nodo Generale.
  2. Nella finestra delle proprietà, cliccare sulla proprietà Trasporto remoto del gruppo “Manager gruppi di ricette”.
  3. viene aperta la finestra di dialogo che serve alla configurazione delle proprietà della connessione e dei file da trasmettere.
    Nota: lo screenshot mostra la configurazione della modalità di trasporto TCP/IP a rete attiva.

Parametro

Descrizione

Medio di trasporto

Seriale

Trasmissione tramite una connessione seriale, per es. a un terminale CE.

Porta

Selezione della porta COM per la connessione seriale.

Nota: Non visibile se è stato selezionato Seriale come Modalità di trasporto.

TCP/IP

Trasmissione per TPC/IP in una rete o tramite un modem.

Upload su Server 1 e Server 2

Con checkbox attivo, nel corso di un download i file Runtime vengono trasmessi non solo al calcolatore indicato, ma anche a quelli indicati in rete come Server 1 e Server 2.

Attenzione: La trasmissione dei dati al Server 2 avverrà solamente se per il Server 2 sarà stato inserito un nome PC!

Default: inattivo

Nota: visibile solamente se nelle impostazioni di progetto è stata attivata la rete ed è stata selezionata la modalità di trasporto TCP/IP.

Nome PC o Indirizzo IP

Il nome calcolatore o l´indirizzo TPC/IP viene indicato come destinazione.

  • Inserimento del nome calcolatore manualmente o cliccando sul pulsante ...
  • Inserimento manuale dell´indirizzo IP

L´indirizzo IP deve corrispondere al formato della versione IP impostata (IPv4 o IPv6).

Sorgente/Destinazione

Lista delle connessioni.

Nella prima riga può essere definita una destinazione per la cartella più alta della struttura. Cliccando con il tasto destro del mouse si apre il menù contestuale che consente la selezione.

Il percorso può essere inserito anche manualmente. Tenere presente quanto segue:

  • Backslash iniziale (\): Percorso relativo al progetto.
  • Drive letter inziale: Percorso assoluto.
    Nota Windows CE: Con zenon si può inserire anche per Windows CE una Drive Letter. Quest´ultima segnala solamente il fatto che si tratta di un percorso assoluto, e viene ignorata nella trasmissione.
  • Attenzione: questo percorso deve esistere permanentemente nel sistema di destinazione. Non progettate nessun processore di rete implementato, nessun dispositivo USB e nessun supporto removibile!

Nota: Fate attenzione che, nel caso della gestione multi-progetto, la trasmissione dei singoli progetti sia corretta.

La larghezza delle colonne della lista può essere adattata con il mouse.

Attivo

Definisce i file opzionali da trasmettere.

Percorso base del progetto non può essere escluso.

Origine

Cartella per file che vengono trasmessi.

Destinazione

Cartella di destinazione.

Definisce la root. Possono essere definiti nuovi inserimenti.

Le sottocartelle non possono essere modificate. In tal modo si garantisce che a Runtime tutti i file vengano trovati sul sistema di destinazione.

Nota: la cartella di Default è la cartella Runtime definita nelle proprietà di progetto. Se la cartella di destinazione viene inserita manualmente, fate attenzione che essa termini con il nome del progetto. Ciò è importante per la gestione multi-progetto.

Per esempio:
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Elaborazione

Modo di trasmissione. Può essere scelto liberamente per la root e nuovi inserimenti. Cliccando sulla parola (Copia) si apre il menù a tendina:

  • Copia:
    copia file (Default)
  • Copiare e registrare:
    copia file e li registra nel sistema. Utile per elementi ActiveX e per caratteri (file ttf).
  • Copiare ed eseguire:
    copia file e li esegue.

Nota: questa modalità di trasporto è disponibile solamente per gli inserimenti liberamente definiti. I file necessari per garantire la funzionalità del Runtime, invece, vengono impostati automaticamente nella lista e la modalità del loro trasporto non è modificabile.

Descrizione

Per nuovi inserimenti, inserimento testo opzionale per descrivere i file da trasmettere.

attention Attenzione

Nell’utilizzo della ridondanza vale la seguente regola: se si utilizzano driver che hanno bisogno di un file di configurazione, l´inserimento \zenon\custom\drivers deve essere disattivato.

Gestire trasporto remoto in rete

Selezionate nel menù contestuale del progetto -> Trasporto Remoto -> <Comando>:

Parametro

Descrizione

Stabilisci collegamento

Viene instaurata una connessione con il sistema destinatario per mezzo del servizio zenSysSvr. Su entrambi i sistemi deve essere stato attivato il servizio zenSysSvr, oppure deve essere avviato sull'apparecchio CE il servizio SysSrvCE.exe. Le versioni devono essere identiche.

Trasmetti i file Runtime modificati

Nel caso in cui si selezioni questa impostazione, vengono trasmessi solo i file Runtime che sono stati modificati dal momento dell'ultima trasmissione. Se non esistono dei file Runtime nel sistema destinatario, vengono trasmessi tutti i file Runtime.

Trasmetti tutti i file Runtime.

Se si attiva questa impostazione, vengono trasmessi di nuovo tutti i file Runtime. La sola eccezione sono quei file, per, per esempio, le ricette standard o il Message Control, che siano stati esplicitamente esclusi dalla trasmissione selezionando l'impostazione: RT dati modificabili.

Rileggi tutti i file Runtime.

Se si seleziona questa impostazione, tutti i file Runtime dei moduli Ricette, Manager gruppi ricette, Message Control , Gestione utentie Production & Facility Scheduler (PFS) vengono trasferiti dal sistema destinatario alla directory Runtime locale. Le modifiche del Runtime possono poi essere lette nell'editor tramite l'opzione "importa i file Runtime".

Imposta come progetto di partenza

Il progetto selezionato è definito come progetto di partenza. Ogni volta che viene aperto il Runtime, viene caricato questo progetto.

Avvia Runtime

Lancia il progetto in Runtime.

Termina Runtime

il Runtime viene chiuso.

Aggiorna progetto

Il progetto viene aggiornato. Vengono letti i file Runtime modificati.

Riavvia il sistema operativo

Il sistema, con il quale esiste una connessione, viene rilanciato dopo una richiesta di conferma da parte del sistema. E´possibile che dobbiate effettuare un nuovo login nel sistema operativo. Questa opzione non viene supportata da Windows CE.

Richiedere lo stato di sistema

Si verifica se il Runtime è attivo sul sistema di destinazione e qual è lo stato e la versione di zenon che vi è installato. Il sistema rileva:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • La versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password
  • Visualizzazione e modifica della licenza
  • Configurazione della crittografia

Inizia connessione Desktop remoto

Avvia una connessione per gestire il computer di destinazione tramite zenon Remote Desktop.

Ancora in questo capitolo

TCP/IP

Seriale

Definizione di file

Configurazione file modificabili a Runtime

Windows CE


TCP/IP

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> TCP/IP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome o l´l'indirizzo IP del calcolatore di destinazione verrà indicato nella configurazione del trasporto remoto. L´indirizzo IP deve corrispondere al formato della versione IP impostata, cioè essere conforme a IPv4 se si usa IPv4, e conforme a IPv6 se si usa IPv6.

se usate il nome, verranno salvati gli ultimi nomi utilizzati a cui si potrà poi accedere per selezionarne uno mediante una lista a cascata. L´uso di numeri di porta è possibile solo in collegamento ad un nome.

attention Attenzione

Di default, il Trasporto Remoto usa la porta TPC 1101. Questa porta non deve essere bloccata da altre applicazioni,

Ancora in questo capitolo

Impostazione automatica nel caso di progetti di rete


Impostazione automatica nel caso di progetti di rete

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> TCP/IP -> Impostazione automatica nel caso di progetti di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il progetto da trasmettere è stato configurato come progetto di rete, non sarà necessario effettuare altre impostazioni nel campo di inserimento Nome PC o Indirizzo IP nelle Remote-Transport Impostazioni di connessione. Il trasporto remoto utilizza in tal caso sempre quel calcolatore che è stato definito come Server 1 nel campo delle proprietà della configurazione di rete . Ciò garantisce che le modifiche verranno sempre trasmesse sul server che le trasmette a sua volta automaticamente ai client!

Se il checkbox Upload su Server 1 su Server 2 è attivo, l´aggiornamento non sarà effettuato solamente sul calcolatore con il quale esiste una connessione. L´aggiornamento avverrà anche sui calcolatori indicati come server.

I presupposti perché ciò accada sono:

  • Checkbox attivo:
  • Rete attiva
  • Server 1 impostato.

La trasmissione al Server 2 avverrà solamente se per Server 1 sarà stato inserito un nome PC:

Se il calcolatore connesso è uno dei server (non importa se collegato via nome o IP), non ci sarà nessun ulteriore upload di dati verso questo calcolatore. Questo upload sarebbe infatti ridondante visto che l´aggiornamento avviene già via trasporto remoto.

info Info

Ulteriori informazioni sulla rete di zenon le trovate nel capitolo Rete.


Seriale

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> Seriale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione nel trasporto remoto avviene di default via TCP/IP. Si può però passare anche ad una comunicazione seriale. In tal modo, ad esempio, si può entrare in comunicazione con apparecchi sui cui è installato Windows CE. In questo caso, devono essere soddisfatti i seguenti presupposti:

  • cambiare sull´apparecchio remoto mediante lo zenon6.ini il tipo di comunicazione del servizio di trasporto
  • configurare nell´Editor il trasporto remoto

attention Attenzione

Una modifica del file zenon6.ini avrà effetto solo dopo un nuovo avvio del servizio di trasporto remoto.

Inserimenti nel file zenon6.ini

Nel caso in cui il servizio trasporto dovesse essere utilizzato per il trasporto seriale, in zenon6.ini sul calcolatore remoto dovrebbero essere inserite le seguenti impostazioni manualmente.
Nota: (con Windows CE queste impostazioni saranno generate automaticamente attraverso l'interfaccia del servizio trasporto remoto nel file zenon6.ini).

[SYS_REMOTE]

CONFIG=DEVICE=COM;

PORT=COM2;

attention Attenzione

Non dev'essere dimenticato il ; (punto e virgola) conclusivo.

Con questa impostazione, il trasporto remoto funziona con un baudrate di 115200 bit/secondo. Nell´editor è definito in forma standard lo stesso baudrate.

Impostazioni dell´Editor

Selezionate nell´Editor:

  • seriale come modalità di trasporto
  • nella lista a cascata della port COM del calcolatore sorgente


Definizione di file

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> Definizione di file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali file vengono trasmessi, lo definite nel dialogo di configurazione facendo uso della checkbox della colonna attivo. La riga con il percorso del progetto di base non può essere deselezionata. I file di progetto verranno sempre trasmessi.

Nota: i percorsi sorgente sono sempre impostati in relazione al percorso base del progetto.

attention Attenzione

Tenete presente quelli che sono gli effetti delle impostazioni che prendete se il progetto viene usato in rete!

Ad esempio:

la tramissione di grafiche può essere disattivata visto che questi dati si trovano già sul server. Allora viene avviato il client. Il client determina che le grafiche non sono state trasportate e non se le va neanche a prendere da solo. Sul client, dunque, non verrà visualizzata nessuna grafica.

Oppure, vengono trasmessi al client dei file che ne sovrascrivono degli altri lì presenti.

File da trasmettere

Con il Trasporto Remoto vengono trasmessi tutti i file necessari per il progetto al sistema di destinazione.

Vengono sempre trasmessi tutti i file delle cartelle:

Standard

  • Tutti i file che si trovano nella cartella Runtime (...\RT\FILES\zenon\system\) del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

info Info

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re

Optional

In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Trasporto Remoto. Questi file si trovano nei seguenti sotto percorsi della cartella di progetto:

  • \zenon\custom\graphics: per grafiche
  • \zenon\custom\lists: per tabelle lingua
  • \zenon\custom\media: per tutti i file media
  • \zenon\custom\reports: per le tabelle del generatore Report.
  • \zenon\custom\help: per i file dell´help
  • \zenon\custom\additional: per ulteriori file
  • \zenon\custom\rdlc: per file Report Viewer
  • \zenon\custom\drivers: per driver
  • \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene trasmesso automaticamente. Non deve essere effettuata nessun´altra impostazione. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiché inclusi nel progetto specifico!

Imposta progetto di partenza

Per il Runtime, il progetto di partenza deve essere indicato nel zenon6.ini. A tale scopo, cliccate sul pulsante Remote Runtime Setta progetto di partenza che si trova nella Barra simboli Trasporto Remoto. Vengono fatti i seguenti inserimenti:

[PATH]

VBF30=percorso del progetto

[DEFAULT]

DEFANWENDUNG30=nome del progetto

Selezione di file individuali

Per trasmettere propri file individuali:

  1. cliccate con il tasto destro del mouse nella prima cella vuota della colonna Sorgente
  2. selezionate nel menù contestuale Scegli file oppure Selezione cartella
  3. verrà aperto l´explorer per effettuare la selezione
  4. selezionate il file desiderato oppure la cartella desiderata
  5. attivate la checkbox nella colonna attivo
  6. cliccate con il tasto destro del mouse nella cella della colonna Destinazione
  7. definite la cartella di destinazione
    Se la destinazione rimane vuota, i file vengono trasmessi nell´ordine definito alla voce sorgente.

attention Attenzione

Indicare i percorsi in modo relativo!

Indicate i percorsi per i vostri file individuali in modo relativo al percorso base del progetto. In tal modo, il sistema di destinazione manterrà sempre la struttura cartelle corretta.
Esempio:

Indicazione per Sorgente: inserire /default.iso.
Così il trasporto remoto sa automaticamente che il file si trova nel percorso base del progetto.
Le cartelle vengono indicate analogamente.

Windows CE:

Se l´apparecchio di destinazione è un terminal Windows CE, e nel caso in cui non sia stata definita una destinazione specifica per il percorso base di progetto, verrà utilizzata in forma standard la destinazione /Storage Card/Data.

Azione in caso di trasmissione

Nella colonna Edita si regola con righe aggiunte che cosa succederà con i file durante il Trasporto remoto Ci sono tre possibilità:

Azione | Descrizione
Copia | Copia il file sul sistema remoto.
Copiare & registra | Copia il file sul sistema remoto e lo registra lì nella registry ( es *.ocx, dll). Suggerimento: Utile per elementi ActiveX e per caratteri (file ttf).
Copia & esegui | Copia il file sul sistema remoto e lo esegue.


Configurazione file modificabili a Runtime

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> Configurazione file modificabili a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon esiste una serie di dati che possono essere modificati sia nell'Editor che a Runtime. Sono file per:

  • Manager gruppi di ricette
  • Ricette standard
  • Gestione utenti
  • Schedulatore

Proteggere i file Runtime perché non possano essere sovrascritti

Se si crea o trasmette di nuovo tutti i file Runtime, i file modificabili a Runtime vengono sovrascritti. Se lo si vuole evitare, si può selezionare nella finestra di dialogo “RT dati modificabili” tramite l´opzione Non rigenerare e ritrasmettere quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor perché non possano essere sovrascritti

I dati modificati a Runtime possono essere riletti nell´Editor. Nel corso di questo processo, i dati corrispondenti vengono sovrascritti nell´Editor. Se lo si vuole evitare, si può selezionare nella finestra di dialogo “RT dati modificabili” tramite l´opzione Non decompilare quali file non devono essere riletti.

Finestra di dialogo: RT dati modificabili

Per aprire la finestra di dialogo di configurazione dei file Runtime modificabili, cliccare nelle proprietà di progetto su Generale/RT dati modificabili:

Possono essere selezionati i seguenti tipi di file:

Parametri | Descrizione
Manager gruppi di ricette | Gruppi di ricette e ricette del Manager gruppi di ricette. Nel corso del processo di trasferimento, vengono trasmessi nuovi file e create delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard.
Gestione user | Gestione utenti per login e gestione dei diritti a Runtime.
Schedulatore | Modifiche nei modelli tempo e negli orari del PFS.

attention Attenzione

Quando si converte un progetto, si deve fare attenzione a convertire anche i file Runtime modificabili. Per farlo, i file Runtime devono essere importati nella versione originaria dell´Editor, e, dopo l´update, caricati di nuovo a Runtime. Per i dettagli al proposito, si prega di consultare il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasferimento dei file

Al Runtime

Possibilità di trasferimento di file al Runtime:

  1. Vengono trasferiti tutti i file.
  2. Vengono trasferiti solamente i file modificati.

In entrambi i casi, si tiene conto dei tipi di file definiti nella proprietà RT dati modificabili.

Dal Runtime

Ci sono due possibilità di rileggere file dal Runtime:

  1. Rileggere tutti file Runtime:
    1. Tutti i file Runtime vengono riletti nella cartella che è stata definita nella proprietà Cartella Runtime.
    2. Indipendentemente dalle impostazioni configurate nella proprietà RT dati modificabili.
  2. Importare i file Runtime:
    1. Importa i file definiti nella proprietà RT dati modificabili e
    2. Sostituisce la progettazione nell´Editor con questi file Runtime.
    3. Sistema particolarmente adatto se si vogliono accettare e applicare nell´Editor i dati di un sistema remoto.

Errore di connessione

Nel processo di trasferimento vengono sovrascritti i file esistenti in modo corrispondente alle impostazioni configurate.

Se si verificano errori durante la trasmissione, oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Windows CE

Manuale -> Trasporto remoto -> Configurazione nell'Editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La trasmissione a sistemi Windows CE può avvenire direttamente tramite una connessione TPC, o una connessione seriale, oppure tramite scheda di memoria.

Configurazione

Seriale o TCP/IP

  1. Fate attenzione che sia attiva nelle proprietà del progetto nel nodo Generale la proprietà Progetto WindowsCE.
  2. Selezionate il tipo di connessione:
    • TCP/IP
    • Seriale
  3. Il dialogo di configurazione contiene adesso dei nuovi inserimenti, come directory di destinazione è predefinito C:\Storage Card\Data.
    Il C:\ viene poi eliminato automaticamente dal Trasporto Remoto visto che la comunicazione con i sistemi CE avviene senza Drive letter.

Scheda di memoria

Il trasporto remoto supporta una possibilità di trasporto speciale con il quale il progetto viene trasportato al posto di un collegamento seriale o TCP/IP direttamente sulla scheda di memoria. Per questo è necessario un calcolatore nel quale può essere inserita la scheda di memoria (PCMCIA, ATA , Compact Flash etc...).

attention Attenzione

Bisogna fare attenzione, però, che il CE Runtime e il zenon6.ini si trovino nel ROOT della scheda!

Inserisca la scheda nell’unità corrispondente e faccia attenzione su quale lettore del sistema operativo viene collegata la scheda. (per es.. D: oppure E: oppure...)
  1. Attivate la checkbox Utilizza dispositivo locale di lettura.
  2. Definite la cartella Runtime sul dispositivo di destinazione.

    Esempio: se la scheda di memoria in CE è visualizzata come \Storage Card, dev´essere indicato C:\Storage Card\Projektpfad come Cartella Runtime sul dispositivo! Il C:\ verrà automaticamente eliminato dal trasporto remoto.

  3. Instaurate una connessione con il Vostro PC e trasferite i file sulla scheda di memoria locale.
  4. Scrivete la cartella Runtime sul dispositivo di destinazione con la funzione Settare progetto di partenza remoto (Barra simboli Remote-Transport) nello zenon6.ini sulla scheda di memoria.
  5. Infilate la scheda di memoria nel terminale CE e avviate il Runtime.


Stabilisci collegamento

Manuale -> Trasporto remoto -> Stabilisci collegamento

Per instaurare una connessione remota:

  1. cliccate sul pulsante corrispondente che si trova sulla Barra dei simboli Remote-Transport

    Oppure selezionare nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

  2. verrà aperto il Dialogo per stabilire una connessione

Parametro |  | Descrizione
Password di connessione |  | Impostazioni per la password per la connessione remota.
Password |  | Inserimento della password per l´instaurazione della connessione (facoltativo).
Modifica password per l´instaurazione della connessione |  | Apre il dialogo che serve a modificare la password.
Configurazione sistema remoto |  | Impostazioni del sistema di destinazione.
Configurazione numero di serie e di attivazione |  | Attivo: la Licenza del calcolatore remoto viene visualizzata dopo l´instaurazione della connessione e può essere modificata in questa sede. Default: Non attivo
Configura crittografia della comunicazione di rete | Attiva: dopo l´instaurazione della connessione, la crittografia della comunicazione di rete può essere attivata o disattivata sul sistema di destinazione. Nota: la connessione del Trasporto Remoto deve essere protetta con una password. Default: Non attivo
Non visualizzare questa finestra |  | Attivo: questo dialogo non viene più aperto al momento dell´instaurazione della connessione. Nota: per far sì che il dialogo venga visualizzato di nuovo, selezionate nel menù contestuale del progetto Remote-Transport -> Cambia la password e visualizza la licenza Default: Non attivo
OK |  | Riprende le impostazioni e instaura la connessione.
Annulla |  | Rifiuta le modifiche e chiude il dialogo senza instaurare la connessione.
Guida |  | Apre la guida in linea.

Ancora in questo capitolo

Codifica


Codifica

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connessione Trasporto Remoto può avvenire in modo cifrato tramite lo SysSrv. A tal fine, assegnate una password nel Trasporto Remoto. A partire dalla versione 7.20, la password viene salvata in forma cifrata:

  • All´origine (Editor) nel project.ini, sezione TRANSPASS.
  • Alla destinazione (Runtime) nello zenon6.ini, sezione TRANSPASS.

Anche la comunicazione del Trasporto Remoto può essere cifrata. A tal fine, si deve attivare nello Startup Tool la Crittografia della rete zenon.

Salvare la password in forma crittografata

La password per la trasmissione via Trasporto remoto viene salvata di default nel file project.ini, nella sezione [TRANSPASS] nell´inserimento KEYCRYPT=. La password può essere salvata nell´inserimento KEY= come testo non crittografato. Questo metodo è stato usato fino alla versione 7.11 compresa. Quando si converte un progetto nella versione 7.20, il valore impostato per l´inserimento KEY= viene cancellato e la password viene salvata in forma crittografata nell´inserimento KEYCRYPT=.

Per il trasferimento vale quanto segue:

  • Se esiste un valore per l´inserimento KEY=, SysSrv usa la password non crittografata. Questo vale anche se per l´inserimento INI KEYCRYPT= è configurata una password crittografata.
  • Se per KEY= non è stato configurato nessun inserimento e per KEYCRYPT= esiste un inserimento, invece, SysSrv usa la password crittografata.
  • Inserimento o modifica della password:
    Se per l´inserimento KEY= è stata già configurata una password, questo inserimento viene aggiornato. Se non è stata configurata nessuna password e la versione di zenon è più recente della 7.20, il sistema crea automaticamente un inserimento in KEYCRYPT=.
  • Conversione progetto:
    Se nel file project.ini esiste un inserimento per KEY=, il valore impostato per questo inserimento viene cancellato, e viene generato e popolato un nuovo inserimento KEYCRYPT=.

Comportamento

Editor locale | Remote PC | Password remota | Risultato | Condizione
<7.20 | <7.20 | no | Connessione OK | Con password vuota.
<7.20 | <7.20 | Non crittografata | Connessione OK | Con password corretta.
<7.20 | <7.20 | Crittografata (no) | Connessione OK | PW remota crittografata viene ignorata.
>=7.20 | <7.20 | no | Connessione OK | Con password vuota.
>=7.20 | <7.20 | Non crittografata | Connessione OK | Con password corretta.
>=7.20 | <7.20 | Crittografata (no) | Connessione OK | Password remota crittografata viene ignorata.
>=7.20 | >=7.20 | no | Connessione OK | Con password vuota.
>=7.20 | >=7.20 | Non crittografata | Connessione OK | Con password corretta.
>=7.20 | >=7.20 | Crittografata | Connessione OK | Con password corretta.
>=7.20 | >=7.20 | Crittografata + non crittografata | Connessione OK | Con password corretta.
<7.20 | >=7.20 | no | Connessione OK | Con password vuota.
<7.20 | >=7.20 | Non crittografata | Connessione OK | Con password corretta.
<7.20 | >=7.20 | Crittografata | Connessione OK | Con password corretta.
<7.20 | >=7.20 | Crittografata + non crittografata | Connessione OK | Con password corretta.

Conversione

  • Nell´Editor (source system), quando si converte un progetto dalla versione X alla 7.20, l´inserimento KEY= è sostituito da quello KEYCRYPT= e la password è salvata in questa sede in forma crittografata.
  • Nel sistema di destinazione c´è una query per verificare se KEY= ha un inserimento nello zenon6.ini.
    Se questo inserimento è stato configurato, esso ha il massimo livello di priorità. Per consentire la conversione, l´inserimento in questione deve essere cancellato manualmente nel sistema di destinazione.

Crittografare l´intera comunicazione di rete.

Mediante l´attivazione della crittografia del traffico della rete di zenon, si può fare in modo che l´intera comunicazione avvenga in forma cifrata.

Comportamento

Versione Sorgente (Editor) | Versione Destinazione (Runtime) | Crittografia rete Sorgente | Crittografia rete Destinazione | Connessione possibile
<7.20 | <7.20 | Qualsiasi | Qualsiasi | Sì
<7.20 | >= 7.20 | Qualsiasi | Attivo | No
<07:20 | >= 7.20 | Qualsiasi | Non attivo | Sì, non crittografata
>= 7.20 | <7.20 | Non attivo | Qualsiasi | Sì
>= 7.20 | <7.20 | Attivo | Qualsiasi | No
>= 7.20 | >= 7.20 | Non attivo | Non attivo | Sì, non crittografata
>= 7.20 | >= 7.20 | Non attivo | Attivo | No
>= 7.20 | >= 7.20 | Attivo | Non attivo | No
>= 7.20 | >= 7.20 | Attiva, password "abc" | Attiva, password "def" | No
>= 7.20 | >= 7.20 | Attiva, password "xyz" | Attiva, password "xyz" | Sì, crittografata

Attivazione della crittografia di rete via Trasporto Remoto

Se si attiva la crittografia di rete via Trasporto Remoto, vale quanto segue:

  • Finché il sistema non viene riavviato, il Trasporto Remoto funziona senza crittografia anche dopo che si sia settata una password per la crittografia di rete.
  • Dopo il riavvio del sistema della destinazione, però, questo sistema richiede una connessione crittografata con la corretta password.

Ancora in questo capitolo

Modifica password per l´instaurazione della connessione

Configura crittografia della connessione di rete


Modifica password per l´instaurazione della connessione

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica -> Modifica password per l´instaurazione della connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare la password di connessione:

  1. selezionate nel menù contestuale del progetto Remote-Transport -> Stabilisci collegamento oppure Cambia la password e visualizza la licenza
  2. cliccate all´interno del dialogo sul pulsante Modifica password di connessione
  3. si apre il dialogo che serve alla modifica della password

Parametro | Descrizione
Vecchia password | Inserire la password esistente.
Nuova Password | Inserire la nuova password
Conferma password | Confermare la nuova password inserendola una seconda volta.


Configura crittografia della connessione di rete

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica -> Configura crittografia della connessione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione di rete può essere protetta tramite un´elevata forma di crittografia. La crittografia viene attivata sia localmente mediante lo Startup Tool di zenon, mediante un tool per il Web Client di zenon oppure via Trasporto Remoto nel dialogo Stabilisci collegamento:

Parametro

Descrizione

Acquisisci configurazione locale

Legge i parametri di crittografia del calcolatore locale.

Codifica comunicazione di rete

Attivo: sul calcolatore remoto viene attivata la crittografia della rete.

Default: Non attivo

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo "Elevata crittografia della comunicazione di rete".

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

Conferma password

Confermare la password inserendola una seconda volta.

OK

Salva le modifiche e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida in linea.

La password configurata in questa sede viene depositata nello zenon6.ini del calcolatore remoto.

info Info

Informazioni relative ai messaggi di errore per la crittografia avanzata si trovano in:

Guida in linea relativa alla Rete -> capitolo Crittografia avanzata della comunicazione di rete ->, nella sezione Messaggi di errore.


Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente

Manuale -> Trasporto remoto -> Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto dell´elaborazione batch, più calcolatori possono essere raggiunti contemporaneamente.

Progettazione del Remote-Transport Elaborazione batch:

  1. create un file hosts.txt.A-Z
  2. Inserite per ogni computer l´indirizzo IP o il nome calcolatore in una riga differente.

    Esempio:

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Aggiungete nella cartella \zenon\custom\additional die hosts.txt.


Trend esteso

Manuale -> Trend esteso

Il trend esteso serve a visualizzare in forma di curve valori online e valori storici (Valori d´archivio) di variabili di processo e variabili di processo derivate. Questo modulo consente di rileggere i dati storici. Lo scrolling all´interno del Trend esteso può essere eseguito tramite una funzione righello, lo zoom e una analisi trend. A differenza di quanto accade con l’elemento dinamico Curve trend, esiste qui la possibilità di zoomare, sfogliare e scalare valori online e valori di archivi.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Nota: una Starter Edition del Trend esteso con uno spettro di funzionalità ridotto, è compresa nella licenza standard del software.

Trend esteso - Starter Edition

Nel pacchetto standard di zenon è contenuta una versione del Trend esteso dalle funzionalità ridotte, denominata Starter Edition.

La "Starter Edition" presenta le seguenti limitazioni:

  • Nessun trend XY.
  • Nessun secondo asse tempo.
  • Numero di curve limitato a 8.
  • Nessuna rappresentazione logaritmica.
  • Interrogazione con un cursore.

Per quello che riguarda le ulteriori limitazioni in caso di uso in progetti Windows CE, si veda il capitolo Limitazioni per zenon della parte della guida dedicata allo zenon Operator con Windows CE.

attention Attenzione

Se nell'Editor è disponibile solo la licenza per la "Starter Edition" del Trend esteso, non potranno essere configurate tutte quelle funzionalità che superano i limiti sopra indicati.

Se a Runtime è disponibile solo una licenza per la “Starter Edition” del Trend esteso, non sarà possibile eseguire in modo corretto le funzioni di cambio immagine che non corrispondono alle regole sopra citate. L'immagine di tipo Trend esteso verrà poi aperta con il filtro di default (= filtro vuoto). Verrà generato un inserimento nel Diagnosis Server.

Esempio: a Runtime si dispone solo della “Starter Edition” del Trend esteso; si cerca di eseguire una funzione di cambio ad un'immagine con 10 curve. Quest´immagine di tipo “Trend esteso” verrà aperta, ma non verrà visualizzata nessuna curva.

Registrazione della licenza

È possibile eseguire in qualsiasi momento sul PC un upgrade dalla Starter Edition del Trend esteso a quella completa del modulo, mantenendo la compatibilità dei dati. Per le versioni con licenza I/O, la “Starter Edition” non è disponibile.

Windows CE

Per il Runtime di Windows CE 6.0, si può ottenere la “Starter Edition” del Trend esteso in combinazione con la “Starter Edition “ del Server di archiviazione. Per le versioni più vecchie di Windows CE, non è disponibile nessuno dei due moduli. L´elemento di controllo Lista curve estesa non è disponibile con CE. Per questo motivo, tutti gli elementi di controllo che si riferiscono a questo elemento verranno visualizzati solo se il progetto non è un progetto CE.

Ancora in questo capitolo

Configurazione nell'Editor

Gestione a Runtime


Configurazione nell'Editor

Manuale -> Trend esteso -> Configurazione nell'Editor

Per poter usare il Trend esteso a Runtime, devono essere eseguite le seguenti configurazioni nell´Editor:

  • Si deve creare un´immagine di tipo “Trend esteso”.
  • Si deve creare una funzione di cambio immagine.
  • Si devono configurare le curve.

Ancora in questo capitolo

Creare un'immagine di tipo “Trend esteso”

Cambio immagine – Trend esteso

Configurazione delle curve

Profili filtro

Funzione "Stampa diagramma Trend esteso"

Inserimenti nel file project.ini


Creare un'immagine di tipo “Trend esteso”

Manuale -> Trend esteso -> Configurazione nell'Editor -> Creare un'immagine di tipo “Trend esteso”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Trend esteso consente di gestire il Trend esteso a Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare Trend esteso.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Inserisci template

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Selezione della finestra da visualizzare a Runtime per diagrammi e curve.

Elemento di controllo

Descrizione

Diagramma

Finestra per la visualizzazione della curva di trend.

Non disponibile se l´immagine è stata aperta con l´opzione Visualizza dialogo di selezione lotto-> Selezione lotto relativo.

Nome diagramma

Visualizza il nome del diagramma.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Filtro inserito

Visualizza a Runtime il filtro tempo impostato attualmente.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Cursore lista interrogazione

Mostra la posizione del cursore nella finestra di diagramma e i valori impostati alla voce Impostazioni diagramma e aspetto cursore.

Lista curve estesa

Lista curve che può essere modificata a Runtime. Possono essere modificati:

  • Nome della curva
  • Titolo
  • Colore
  • Colore di sfondo
  • Visualizza area
  • Asse Y
  • Attivo
  • Ordinamento

Nota: non è disponibile con Windows CE. Con Windows CE, questo elemento di controllo è sostituito dalla Lista curve (obsoleta).

Lista curve CE

Lista delle curve.

Viene usata per CE per ragioni di compatibilità. Per tutti gli altri progetti si consiglia l´uso della Lista curve estesa.

Funzioni diagramma

Elementi di gestione per i diagrammi.

Elemento di controllo | Descrizione
Filtro | Visualizzazione del filtro impostato.
Impostazioni Trend | Attiva la finestra di dialogo per le impostazioni diagramma e per l´aspetto cursore.
Curve | Modifica dei parametri delle curve
Asse X | Apre la finestra di dialogo che consente di configurare le impostazioni per l´asse X. Non disponibile se l´immagine è stata aperta con l´opzione Visualizza dialogo di selezione lotto-> Selezione lotto relativo.
Aggiorna | Attualizza la visualizzazione.
Stop | Non aggiornare lo schermo.
Avanti | Aggiornare lo schermo.
Cursore on/off | Query dei valori.
Doppio cursore on/off | Visualizza i valori che si trovano fra 2 cursori.
Stampa | Stampa il diagramma. Nota: se si stampa usando il pulsante Stampa dell´immagine Trend esteso, i risultati possono essere diverse da quelli che si ottengono se si stampa mediante le funzioni Cambio immagine - Trend esteso e Stampa diagramma Trend esteso. La stampa tramite funzioni parte dal presupposto che la dimensione della finestra sia 1000 x 700 pixel. La stampa tramite il pulsante, invece, parte dal presupposto che la dimensione della finestra sia quella definita nell´Editor.
Dialogo di stampa | Selezione della stampante prima che il diagramma venga stampato.
Copia negli appunti | Copia la visualizzazione negli appunti.
Esportazione dati visualizzati | Esporta in un file CSV tutti i dati visibili di tutte le curve visualizzate.

Navigazione diagramma

Pulsanti per la navigazione nel diagramma.

Elemento di controllo

Descrizione

Cursore Sx di un Pixel

Sposta il cursore di un pixel a sinistra.

Se si tiene premuto il tasto Shift, il cursore verrà spostato di 10 pixel.

Cursore Dx di un Pixel

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore verrà spostato di 10 pixel.

Indietro

Scorrimento all´indietro sull’asse tempo (storico).

Indietro di un quarto

Sposta l´intervallo di tempo visualizzato indietro di un quarto dell´unità di misura impostata.

Avanti

Scorrimento in avanti sull’asse tempo (attuale)

Avanti di un quarto

Sposta in avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura impostata.

Zoom

Ingrandisce la visualizzazione.

Sequenza precedente

Rimpicciolisce la visualizzazione.

Zoom +

Riduce gli intervalli di tempo della visualizzazione.

Zoom -

Ingrandisce gli intervalli di tempo della visualizzazione.

Zoom 100 %

Imposta il fattore zoom a 100 %.

Quest´azione “zoom” viene salvata nella zoom-history.

Esempio: Si usa lo zoom,

  • Per ingrandire del doppio un´area selezionata del Trend esteso.
  • Poi si seleziona Zoom al 100% e
  • Poi si zooma di nuovo in un´area selezionata.

In questo caso ci saranno quattro “eventi zoom” nella history. Usando il pulsante Sequenza precedente, si potrà fare a ritroso questi quattro passaggi/eventi.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Nome Diagramma | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Elemento di controllo | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.

info Info

Gli elementi di controllo Cursore Sx di un Pixel e Cursore Dx di un Pixel spostano solamente il cursore (se attivo), ma non il trend.

Al posto di questi elementi di controllo, si possono usare anche i tasti freccia della tastiera.

Se si tiene premuto il tasto SHIFT quando si esegue lo spostamento usando i tasti freccia o gli elementi di controllo, lo spostamento avviene in passi da 10 pixel.


Cambio immagine – Trend esteso

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella configurazione della funzione di cambio immagine vengono definiti i parametri per il diagramma trend da visualizzare a Runtime. Ogni curva trend è caratterizzata da un nome proprio. Per non compromettere una visione d´insieme chiara, si dovrebbe evitare di visualizzare contemporaneamente troppe curve. La configurazione delle curve può essere eseguita per più variabili contemporaneamente, che vengono poi attivate a Runtime.

Configurazione

Procedura di creazione della funzione:

  1. Creare una nuova funzione:

    Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
    Si apre la finestra di dialogo che consente di selezionare una funzione.

  2. Passare al nodo Immagini.
  3. Selezionare la funzione Cambio immagine.

    Si apre la finestra di dialogo che consente di selezionare un´immagine.

  4. Selezionare l´immagine desiderata.
    Nota: se si seleziona un´immagine da un altro progetto, ci si deve assicurare che questo progetto sia attivo a Runtime.
  5. Configurare i filtri.
  6. Assegnare un nome alla funzione nella proprietà Nome.

Finestra di dialogo “Filtro” del cambio immagine

Scheda | Descrizione
Dati | Configurazione della sorgente dati e della gestione delle curve.
Visualizzazione | Configurazione della visualizzazione del diagramma.
Asse X | Configurazione dell´asse X.
Ora | Configurazione del filtro di tempo.
Lotto | Configurazione del filtro lotto.
Impostazione colonne | Configurazione delle colonne da visualizzare.
Impostazioni stampante | Configurazione delle impostazioni per la stampa dei diagrammi o per il salvataggio come immagine.
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ancora in questo capitolo

Dati

Visualizzazione

Asse X

Ora

Lotto

Impostazioni colonne

Impostazioni stampante


Dati

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione di sorgente dati e curve e della visualizzazione a Runtime.

Le opzioni a disposizione sono diverse a seconda della sorgente dati.

  • Dati online
  • Dati array
  • Dati archivio

info Info

Il Trend esteso supporta la visualizzazione di dati di più progetti. Viene supportata sia la visualizzazione di dati di sottoprogetti in un progetto di integrazione, che la cosa opposta. Questa possibilità esiste per tutti i tipi di sorgente dati.

Ulteriori informazioni riguardanti lo scambio dati per più progetti si trovano nel capitolo Gestione multi-progetto.

Configurazione: scheda “Dati”

Sorgente dati

Parametri

Descrizione

Sorgente dati

Selezione della sorgente dati:

  • Dati online
  • Dati array
  • Dati archivio

Selezionabile solamente finché non sono state configurate delle curve.

Dati online

Attivo: per la visualizzazione del diagramma vengono usati dati online attuali e valori salvati.

Dati array

Attivo: per la visualizzazione del diagramma vengono usate variabili con valori array. In questo modo si può limitare la visualizzazione a quelle variabili che si basano su un driver che supporta variabili con valori array.

La visualizzazione di variabili con valori array funziona esattamente come quella XY. Tuttavia, non è necessario selezionare nessun filtro tempo e nessuna variabile X. Nella scheda Asse X (visualizzazione XY), nell´area Scala inserire nelle opzioni Da e Fino i corrispondenti indici Array dei dati sorgente.

Nota: “dati array” corrisponde alla proprietà Grandezza array che può essere configurata in una variabile, e non è identico a variabili array.

Dati archivio

Attivo: per la visualizzazione del diagramma vengono usati valori d´archivio salvati nella banca dati (formato ARX, oppure dati SQL)

Nota: archivi in formato XML-, dBase- oppure TXT non vengono più visualizzati dopo che il ciclo di salvataggio è scaduto.

Opzioni

Parametri

Descrizione

Opzioni

Configurazione di opzioni; le opzioni disponibile dipendono dalla sorgente dati selezionata.

Ordina dati

Disponibile solamente per Dati online e Dati d'archivio.

Attivo: dopo essere stati caricati, i dati vengono ordinati sulla base del loro time stamp.

Nota: l´uso di questa opzione può compromettere le prestazioni, perché ogni volta tutti i dati devono essere riordinati.

Raccomandazione: usare questa opzione se i dati provengono da una sorgente esterna e non è certo che la successione sia corretta.

Solo Delta-Dati

Disponibile solamente per Dati d'archivio.

Attivo: quando si apre o attualizza il trend, vengono caricati solamente quegli archivi che contengono dati modificati.

Lettura archivi dal percorso di backup

Disponibile solamente per Dati d'archivio.

per la visualizzazione del diagramma vengono usati i dati storici della cartella di rilettura.

Quando vengono caricati i dati d'archivio dalla cartella di rilettura, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di rilettura archivi.

Seleziona automaticamente l'archivio compresso corrispondente

Disponibile solamente per Dati d'archivio.

Attivo: a Runtime, il sistema seleziona automaticamente l´archivio compresso adatto.

Come funziona a Runtime:

  • se si seleziona un intervallo di tempo molto grande nell´archivio base, oppure si utilizza spesso il pulsante “zoom-”, di norma vengono richieste grande quantità di dati.
    Se si attiva questa opzione, invece, verranno visualizzati solamente i dati del prossimo archivio compresso. Se si torna a zoomare nel diagramma usando il pulsante “zoom+”, il sistema ripassa all´archivio precedente.
  • Valore soglia: radice quadrata di larghezza diagramma = numero dei valori presi dall´archivio in cascata.
    Esempio: con una larghezza diagramma pari a 625 Pixel, si ha un valore soglia di 25 valori.
    Se non è possibile determinare il valore soglia, 15 valori è usato come impostazione di default.
  • Dagli archivi in cascata viene scelta la variabile di compressione che appare per prima nella successione seguente: - Media
    - Massimo
    – Minimo
    – Somma
    Attenzione: se la variabile per il diagramma viene scelta da un archivio in cascata, accade quanto segue:
    - Si usa solo la stessa funzione di compressione
    - Non si torna più in direzione dell´archivio base.
  • Se esistono più archivi in cascata allo stesso livello e con la stessa funzione di compressione, si usa sempre il primo.
  • Se per una variabile dell´archivio base si trova solamente una variabile somma, verrà visualizzato un avvertimento corrispondente nel Diagnosis Viewer e nella finestra di emissione dell´Editor.

Impostazione di default:

  • attivo.
  • Eccezion fatta per progetti realizzati con una versione precedente alla 7.11 e convertiti nella versione attuale.

Curve

Parametri

Descrizione

Curve

Visualizzazione e attivazione delle curve configurate. Con un doppio clic su un inserimento, si apre la finestra di dialogo che consente di configurare la curva.

Qui si può attivare o disattivare la visualizzazione a Runtime, e configurare la successione di visualizzazione.

Le colonne visualizzate nella lista curve corrispondono alla configurazione attuale della Lista curve estesa che si trova nella scheda Impostazioni colonne.

Colonne importanti:

  • Nome curva: visualizzazione del nome della curva.
  • Titolo: visualizzazione del titolo della curva configurato.
  • Colore: visualizzazione del colore curva configurato.
  • Asse Y: Facendo o eliminando il segno di spunta nella checkbox corrispondente, si attiva/disattiva la visualizzazione dell´asse Y a Runtime.
    Se questa checkbox è stata disattivata, l´asse Y per la curva potrà essere selezionato e visualizzato a Runtime nell´immagine Trend esteso.
  • Attivo: facendo o eliminando il segno di spunta nella checkbox corrispondente, si attiva/disattiva la visualizzazione della curva a Runtime.
    Se la checkbox è stata disattivata, la curva potrà essere selezionata e visualizzata a Runtime nell´immagine Trend esteso.
  • Nome variabile:: visualizzazione del nome della variabile.
  • Identificazione variabile: visualizzazione dell´identificazione della variabile.
  • Ordinamento: definisce la successione in cui le curve vengono visualizzate in questa scheda e a Runtime. Questa successione può essere modificata cliccando in una cella e inserendo una cifra. In alternativa, la successione può essere modificata cliccando sull´intestazione di questa colonna e poi trascinando la curva desiderata via Drag&Drop.
    Minimo: 1
    Massimo: numero delle curve.
    L´ordinamento viene eseguito quando si clicca sull´intestazione di colonna.
    L´ordinamento può essere configurato anche a Runtime.

Note:

  • il numero consentito di curve dipende dal tipo di licenza.
  • Se si sceglie una variabile archivio di tipo stringa, nella finestra di dialogo Impostazioni curve viene attivata automaticamente l´opzione Diagramma Gantt.
  • Se si ordina sulla base di colonne diverse da Ordinamento, questo non ha effetto sulla successione della visualizzazione delle curve.

Inserisci

Apre la finestra di dialogo che consente di selezionare variabili; il tipo di finestra di dialogo che viene aperta dipende dal tipo di origine dati selezionato.

  • Dati online: variabili numeriche.
  • Dato array: variabili numeriche.
  • Dati archivio: variabili degli archivi esistenti.

Modifica

Apre la finestra di dialogo che consente di configurare le curve.

Si può aprire questa finestra di dialogo anche cliccando due volte su una curva nella lista curve.

Elimina

Cancella le curve selezionate dalla lista.

Questo pulsante è disponibile solamente se sono state configurate delle curve.

Proposta per salvataggio dati su Hard Disk

Parametri

Descrizione

Proposta per salvataggio dati su Hard Disk

È disponibile solo se è stata selezionata l´opzione Dati online come “Sorgente dati”.

Offre valori proposti dal sistema per le proprietà del gruppo Salvataggio dati su Harddisk nell´Editor di zenon.

Il calcolo della proposta dipende direttamente dalla Refreshrate (scheda Visualizzazione ). Nel caso della Visualizzazione YT, viene preso in considerazione per questo calcolo anche il periodo di tempo configurato nel filtro tempo.

Quantità

Numero dei valori che vengono scritti. Corrisponde al valore che viene inserito nella proprietà Quantità valori.

Ciclo

Tempo di ciclo in secondi. Corrisponde al valore che viene inserito nella proprietà Frequenza d'interrogazione [s].

Anteprima

Visualizza i valori attuali delle variabili che devono essere sostituiti dai valori proposti.

Accetta proposta

Attivo: scrive i valori proposti nelle corrispondenti proprietà della variabile quando si chiude la finestra di dialogo cliccando su OK.

Nota: viene attivato se la proprietà HD attivo è disattivata.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: le opzioni per l´importazione e l´esportazione di questo filtro disponibili fino alla versione 7.10 sono state temporaneamente rimosse. L´importazione di filtri da progetti realizzati con altre versioni, dunque, non è possibile al momento.

Salvataggio dati su Hard disk

Se si vuole che variabili online vengano visualizzate nel Trend esteso, si consiglia di realizzare un coordinamento dei valori per il salvataggio dei valori variabile sul disco fisso. Se è stata selezionata l´opzione Dati online come “Sorgente dati” in fase di configurazione della funzione di cambio all´immagine di tipo Trend esteso , il sistema propone valori ottimali per il salvataggio dei valori variabile sul disco fisso. Questi valori possono essere modificati anche manualmente.

Nell´Editor di zenon, queste proprietà si trovano nel gruppo Salvataggio dati su disco fisso.
Questo gruppo comprende le proprietà:

  • HD attivo: attiva o disattiva il salvataggio dati.
  • Quantità valori: numero dei valori che vengono salvati.
  • Frequenza d'interrogazione [s]: tempo ciclo in secondi.
  • Tipo di registrazione: tipo di registrazione:
    • Valori su Hard Disk (ciclici): scrittura ciclica dei valori sul disco fisso.
    • Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso.
      Questo tipo di registrazione si presta per la cosiddetta analisi post-mortem. Il PLC deve essere configurato in modo tale che salvi i dati in caso di errore e scriverli sul disco fisso dopo essere tornato in funzione.

Se non si usa il salvataggio dati su disco fisso, i dati non verranno salvati a Runtime.

Ancora in questo capitolo

Dati array


Dati array

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Dati -> Dati array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare variabili con dati array:

  • Per le variabili in questione, definire la proprietà Grandezza array nel gruppo Impostazioni aggiuntive, inserendo, per esempio, il valore 10.

  • Quando si configura la funzione di cambio all´immagine di tipo Trend esteso, selezionare la proprietà Dati array:

Risultato a Runtime.

  1. Quando si avvia il Runtime, l´immagine “Trend esteso” è ancora vuota:

  2. Non appena vengono settati i valori della ricetta, vengono visualizzati i valori delle variabili con dati array.


Visualizzazione

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per la visualizzazione del diagramma a Runtime.

Nome Trend

Parametri

Descrizione

Nome Trend

Nome diagramma liberamente configurabile.

Lunghezza massima: 30 caratteri
Integra nome lotti in modo dinamico: il nome diagramma può contenere nomi lotti. A questo scopo, inserire nel nome la successione di caratteri %c%. A Runtime, %c% verrà sostituito da quel nome lotto che soddisfa le condizioni di filtro.
Per esempio: se si imposta il nome diagramma Diagramma1_%C%_Fine, a Runtime verrà visualizzato Diagramma1_Lotto1_Fine

Aggiornamento

Impostazioni per l´aggiornamento del diagramma.

Larghezza scroll

Definizione dello scorrimento dell'immagine in percentuale quando si arriva al margine destro del diagramma.

Valori possibili: da 0 a 100
Attenzione: disponibile solo per la Visualizzazione YT.

Refresh rate

Definizione dell´aggiornamento immagine in secondi.

  • Per i Dati online e i Dati array, il valore deve essere superiore a 0.
  • Per i Dati online e Dati array non è possibile un´apertura statica dell´immagine
  • Per i Dati archivio, la Refreshrate si adatta dinamicamente al tempo di carico dei dati. Se l´operazione di carico dei dati dura più della metà dell´intervallo di refresh, la refreshrate viene raddoppiata.
    In alternativa, per i Dati d'archivio si può impostare per la refreshrate il valore 0. La conseguenza sarà che i dati visualizzati non verranno aggiornati.
    Quest´impostazione è molto utile se si deve visualizzare una grande quantità di dati nell´ETM. In questo caso, infatti, può succedere che si verifichi un “infinite loop” se è stato impostato un valore troppo piccolo per la refresh rate.

Massimo rispettivamente: 3600 s

Ottimizzare la refresh rate: Quando vengono letti i valori d´archivio, il server (anche standalone) e client generano all´inizio e alla fine una segnalazione LOG, che può essere letta con il Diagnosis Viewer. In questo modo si può determinare quanto dura il processo di lettura dei dati e si può scegliere di conseguenza la migliore Refreshrate.

Offset

Spostamento del punto zero dell´asse tempo in maniera corrispondente al valore indicato in secondi.

Massimo: 65535 s

Non disponibile se è stata selezionata l´opzione Block-Array come “Sorgente dati”.

Design

Parametri | Descrizione
Design | Impostazioni per i design del diagramma.
Carattere | Selezione del carattere definito dall’utente per le didascalie sugli assi e per la visualizzazione valori in menù a tendina.
Sfondo | Selezione del colore di sfondo per la grafica visualizzata. Cliccando sul colore, si apre la finestra di dialogo che consente di selezionare un colore.
Griglia | Selezione del colore della griglia sovrapposta Cliccando sul colore, si apre la finestra di dialogo che consente di selezionare un colore.
Distanza diagramma da bordo finestra | Impostazioni per definire la distanza fra diagramma e bordo della finestra. Minimo rispettivamente: 10 px Massimo rispettivamente: 2000 px
In su | Distanza tra il bordo superiore dell'elemento di controllo e la curva trend in questo visualizzata. (Attenzione: considerare lo spazio per eventuale visualizzazione successiva delle informazioni salvate a righello attivo).
In giù | Distanza tra il bordo inferiore dell'elemento di controllo e l’asse X (origine 0% asse Y). (Attenzione: considerare lo spazio per la legenda a due righe dell’asse X con i caratteri definiti dall´utente)
Sinistra: | Distanza tra il bordo sinistro dell’elemento di controllo e l’asse Y (origine 0% asse X) (Attenzione: considerare lo spazio per la legenda a sinistra dell’asse Y con i caratteri definiti dall´utente)
Destra | Distanza tra il bordo destro dell’elemento di controllo e l’asse Y (origine 100% asse X). (Attenzione: considerare lo spazio per la legenda a destra dell´asse Y con i caratteri definiti dall´utente)

Runtime

Parametri

Descrizione

Runtime

Impostazioni per il comportamento a Runtime.

Proponi dialogo a Runtime

Requisito: nel filtro tempo si deve definire un intervallo di tempo. Se nella scheda Asse X si imposta l´opzione Compara a 2° intervallo di tempo per la visualizzazione XY , il sistema offrirà due filtri tempo per i due assi X.

Attiva: prima di ogni apertura dell´immagine, viene visualizzato il dialogo di filtro. Questo consente di modificare le impostazioni di filtro. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: se nella scheda Lotto del dialogo di configurazione del filtro, si seleziona anche l´opzione Visualizza dialogo di selezione lotto, quest´ultimo verrà aperto a Runtime. Questo dialogo non verrà più visualizzato in caso di un reload.

Note sul filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso attivo:
    si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo:
    si usa l´intervallo di tempo corrente.

Sostituisci filtro tempo con immagine

Disponibile solo se l´opzione Proponi dialogo a Runtime è attiva.

A Runtime, sostituisce la finestra di dialogo con un´immagine di tipo filtro tempo. Viene visualizzata l´immagine collegata attualmente. Si può selezionare solamente un´immagine di tipo Filtro tempo. Non è consentito scegliere immagini di tipo Filtro Lotto. Queste ultime vengono configurate nella scheda Lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine. Vengono proposte alla selezione solamente le immagini del progetto da cui si apre la finestra di dialogo, e solo quelle di tipo Filtro tempo.

Se si seleziona un´immagine filtro, nella colonna Parametri della visualizzazione dettagli della funzione verrà visualizzata anche l´informazione BOX SCREEN; se non è stata collegata nessuna immagine, invece, viene visualizzato solo BOX.

Visualizza reticolo nel diagramma XY

Visualizzazione del reticolo a Runtime:

  • Attivo: acceso.
  • Non attivo: spento.

La checkbox è disponibile solamente se è stata attivata l´opzione Visualizzazione XY nella scheda Asse X.

Asse Y: variabile per valore del 1° cursore Cursore

Variabile per ascisse del primo cursore.

Se si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile di tipo LREAL oppure DWORD/DINT/UDINT.

Quando si visualizza e si muove il cursore a Runtime, le sue ascisse (valori tempo o X) vengono scritte nella variabile collegata in questa sede. I valori vengono salvati nel formato Unix time (numero di secondi passati dal 1° gennaio 1970, ore 00:00 UTC).

Asse Y: variabile per valore del 2° cursore Cursore

Variabile per ascisse del secondo cursore.

Se si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile di tipo LREAL oppure DWORD/DINT/UDINT.

Quando si visualizza e si muove il cursore a Runtime, le sue ascisse (valori tempo o X) vengono scritte nella variabile collegata in questa sede. I valori vengono salvati nel formato Unix time (numero di secondi passati dal 1° gennaio 1970, ore 00:00 UTC).

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Asse X

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Asse X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per l´asse X. Possono essere configurate in due modi diversi:

  • Visualizzazione YT: visualizzazione della curva trend nell`intervallo di tempo progettato.
    In fase di configurazione dell’asse tempo, sono definibili l'intervallo di tempo, i lotti e la visualizzazione dell´asse.
  • Visualizzazione XY: visualizzazione dei valori tramite una variabile o una variabile derivata (curve locali e punti d´operazione ecc.)
    Disponibile solamente se nella scheda Lotto non è attiva l´opzione Selezione lotto relativo.

Ancora in questo capitolo

Visualizzazione YT

Visualizzazione XY


Visualizzazione YT

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Asse X -> Visualizzazione YT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Asse X

Parametri

Descrizione

Asse X

Scelta della modalità di visualizzazione:

Visualizzazione YT

Attivo: viene impostata la visualizzazione delle curve su base tempo.

Visualizzazione XY

Attivo: viene impostata la visualizzazione delle curve sulla base di un´altra variabile.

Variabile per l'asse X

(Non è disponibile per la visualizzazione YT )

Titolo asse

(Non è disponibile per la visualizzazione YT )

Posizione

Inserimento di un valore percentuale per il posizionamento dell´asse X riferito all´altezza dell´asse Y.

Valori possibili: da 0 fino 100

Esempio:

  • 0 %: posizionamento all´estremità inferiore dell´asse Y.
  • 100 %: posizionamento all´estremità superiore dell´asse Y.
  • 50 %: posizionamento al centro dell´asse Y.

Colore

Definizione del colore dell´asse. Cliccando su colore, si apre la finestra di dialogo che consente di selezionare un colore.

Nota: questo parametro può essere configurato indipendentemente dal colore della curva trend.

Linee griglia

Attivo: a Runtime vengono visualizzate linee verticali in corrispondenza delle suddivisioni principali.

Compara a 2° intervallo di tempo

Attivo: visualizza il confronto con un secondo intervallo di tempo.

Solo per archivi per cui è impostato un filtro su base di un intervallo di tempo o di un lotto. Non è possibile un confronto con filtro lotti relativo.

Per ogni variabile di archivio vengono visualizzati contemporaneamente due intervalli di tempo (per esempio: confronto settimane).

Verranno aperti due trend. Il secondo intervallo di tempo verrà visualizzato dalla parte opposta dell´asse tempo con il colore della griglia.

Disponibile solamente se si ha una licenza per la versione completa del modulo.

Visualizza in tempo reale

Attivo: l´asse viene segnato con le determinazioni tempo esistenti.

Non attivo: il momento di apertura viene definito con 00:00 e viene descritto in modo relativo nel passato (-01:00).

Descrizione

Posizione della descrizione dell´asse.

Sopra l'asse

Descrizione sopra l´asse.

Sotto l'asse

Descrizione sotto l´asse.

Tipologia asse

(Non è disponibile per la visualizzazione YT )

Lineare

(Non è disponibile per la visualizzazione YT )

Logaritmica

(Non è disponibile per la visualizzazione YT )

Suddivisione asse

Impostazione delle suddivisioni dell´asse.

Num. divisioni principali

Numero di suddivisioni principali con segnalazione valori.

Massimo: 60

Lunghezza divisioni

Lunghezza delle suddivisioni principali in pixel.

Massimo: 10

Num. divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Massimo: 60

Scala automatica

(Non è disponibile per la visualizzazione YT )

Punto di selezione cursore

Parametri

Descrizione

Punto di selezione cursore

Definizione del punto di selezione a forma di cerchio, rappresentato centrato al fine di facilitare l´uso dei righelli, per esempio nella gestione mediante touch screen.

Diametro

Diametro del punto di selezione cursore in pixel.

  • 0: nessun punto di selezione (compatibile con progetti di versioni precedenti alla 7)
  • >0: il punto di selezione viene visualizzato in modo corrispondente al valore indicato.

Default: 0

Massimo: 100

Scala

Parametri

Descrizione

Scala

Definizione dei valori per la scala attivando le checkbox corrispondenti:

  • AA: anno
  • MM: mese
    GG: giorno
  • HH: ora
  • MM: minuti
  • SS: secondi
  • MS: millisecondi

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Visualizzazione XY

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Asse X -> Visualizzazione XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Disponibile solamente se nella scheda Lotto non è stata attivata l´opzione Selezione lotto relativo.

Parametri

Descrizione

Asse X

Selezione della modalità di visualizzazione:

Visualizzazione YT

Attivo: viene impostata la visualizzazione delle curve su base tempo.

Visualizzazione XY

Attivo: viene impostata la visualizzazione delle curve sulla base di un´altra variabile.

Variabile per l'asse X

Selezione di una variabile assegnata al diagramma. Questa variabile viene utilizzata per l'asse X.

Cliccando sul pulsante ..., si apre una finestra di dialogo che consente di selezionare una variabile; quale tipo di dialogo viene visualizzato, dipende dalla sorgente dati selezionata.

Titolo asse

Testo del titolo asse a Runtime.

Lunghezza massima: 30 caratteri

Posizione

Inserimento di un valore percentuale per il posizionamento dell´asse X riferito all´altezza dell´asse Y.

Valori possibili: da 0 a 100

Esempio:

  • 0 %: posizionamento all´estremità inferiore dell´asse Y.
  • 100 %: posizionamento all´estremità superiore dell´asse Y.
  • 50 %: posizionamento al centro dell´asse Y.

Colore

Definizione del colore dell´asse. Cliccando su colore, si apre la finestra di dialogo che consente di selezionare un colore.

Nota: questo parametro può essere configurato indipendentemente dal colore della curva trend.

Linee griglia

Attivo: a Runtime vengono visualizzate linee verticali in corrispondenza delle suddivisioni principali.

Compara a 2° intervallo di tempo

(Non disponibile per visualizzazione XY)

Visualizza in tempo reale

(Non disponibile per visualizzazione XY)

Descrizione

Posizione della descrizione dell´asse.

Sopra l'asse

Descrizione sopra l´asse.

Sotto l'asse

Descrizione sotto l´asse.

Tipologia asse

Selezione della modalità di rappresentazione dell´asse.

  • Lineare
  • Logaritmica

Lineare

Attivo: rappresentazione lineare dell´asse.

Logaritmica

Attivo: rappresentazione logaritmica dell´asse.

Disponibile solamente se si ha una licenza per la versione completa del modulo.

Suddivisioni asse

Impostazione delle suddivisioni dell´asse.i.

Num. divisioni principali

Numero di suddivisioni principali con segnalazione valori.

Massimo: 100

Lunghezza divisioni

Lunghezza delle suddivisioni principali in pixel.

Massimo: 4 - 10

Num. divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Massimo: 4 - 10

Scala automatica

(Non è disponibile per la visualizzazione YT )

Punto di selezione cursore

Punto di selezione cursore | (Non disponibile per visualizzazione XY)
Diametro | (Non disponibile per visualizzazione XY)

Scala

Scala

Definizione dei valori per la scala attivando le checkbox corrispondenti:

  • AA: anno
  • MM: mese
    GG: giorno
  • HH: ora
  • MM: minuti
  • SS: secondi
  • MS: millisecondi

Chiudi finestra di dialogo.

Opzione

Descrizione

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Info

Visualizzazione dell´asse x nel diagramma a partire dalla versione 6.51.

Per ragioni di performance, i dati di archivio per l´asse x non vengono più caricati automaticamente. Tuttavia, se si desidera visualizzare l´asse X nel diagramma:

  • Aggiungere la variabile selezionata per l´opzione Variabile per l´asse X anche come curva nel diagramma.
  • Disattivare la visualizzazione per questa curva.

info Info

Se è stata configurata la modalità di visualizzazione XY, all´inizio dell´interrogazione viene sempre visualizzato soloi il rispettivo valore attuale. Questo valore non può essere aggiornato. Il cursore non può essere spostato.


Ora

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo. I parametri di questa scheda non potranno essere configurati se è stata selezionata l´opzione Dati array come “Sorgente dati”.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

I filtri tempo possono essere predefiniti nell´Editor, ma anche modificati a Runtime, per:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo di tempo

In linea di principio, il filtro tempo può essere realizzato in due modi:

  1. Definizione di un intervallo di tempo nell´Editor
    Vengono utilizzati intervalli di tempo fissi. Si configura un intervallo di tempo nell´Editor. A Runtime, poi, sarà possibile eseguire il filtro solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non saranno più modificabili a Runtime.
  2. Filtro tempo configurabile a Runtime
    Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere nel Runtime.

Filtro tempo.

Filtro

Selezione del filtro.

Parametro

Descrizione

Nessun filtro tempo

Attiva: non viene usato nessun filtro tempo.

Nota: A Runtime verranno visualizzati tutti gli inserimenti a partire dal 1° 1. 1990.

Periodo assoluto

Attiva: viene definito un intervallo di tempo fisso nell´Editor. Quando si esegue la funzione, verrà usato esattamente il periodo di tempo assoluto impostato.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Periodo relativo

Attiva: si definisce qui un periodo di tempo relativo.

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attiva: viene definito un orario a partire dal quale il filtro è attivo. Se l´orario impostato non è ancora scaduto alla data odierna, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle offerte dal menù a tendina:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di start di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo di tempo

Attiva: viene definito un intervallo di tempo fisso. Selezione dell´area fra quelle offerte dal menù a tendina:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 minuti
  • 30 minuti
  • 60 minuti

Nell´area “Impostazioni” della scheda “Ora”, vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: l´opzione Nessun filtro tempo non è a disposizione per il Trend esteso.

Ancora in questo capitolo

Periodo assoluto

Periodo relativo

Da

Intervallo di tempo

Impostare intervallo di tempo nell´Editor

Filtro tempo configurabile a Runtime


Periodo assoluto

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro assoluto, si può definire un intervallo di tempo fisso. Quando si esegue la funzione a Runtime, verrà usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo assoluto della voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro.
Da | Momento di avvio del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino | Momento della chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un periodo di tempo relativo.

Attenzione: questo filtro viene aggiornato costantemente e continua ad essere applicato.
Esempio: si imposta un periodo relativo di 10 minuti e alle ore 12:00 si apre un´un´immagine per cui è stato impostato questo filtro tempo. In questo caso, al momento dell´apertura dell´immagine verrano visualizzati i dati del periodo che va dalle 11:50 alle 12:00. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01, quindi, si vedranno i dati del periodo che va dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Periodo relativo alla voce Filtro.
  2. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attiva: il filtro tempo viene configurato a Runtime.
Default | Attiva: il filtro tempo viene definito nell´Editor. In questo caso, a Runtime si potrà definire solamente il momento di avvio per l´applicazione del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un momento a partire dal quale il filtro sarà attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Da della sezione Filtro.
  2. Selezionare il filtro desiderato fra quelli contenuti nel menù a tendina.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. Configurare l´intervallo di tempo desiderato nella sezione Impostazioni.

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

Partendo dalle impostazioni eseguite per l´opzione Da, qui si configura il momento a partire dal quale il filtro sarà attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! Il momento dell´attivazione di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi esistenti al momento dell´apertura dell´immagine, anche se quest´ultima rimane aperta e si arriva alle ore 23:00:00.
In questo tipo di filtro, il punto di chiusura non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro sarà attivo. Se l´orario impostato non è ancora scaduto nel giorno corrente, il sistema eseguirà il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che si indichi come orario le 23:00:00. Se sono le 23:30 quando viene eseguita la funzione, il filtro verrà applicato dalle 23:00:00 fino all´orario attuale. Se, però, sono le 22:30, allora il filtro verrà applicato dalle 23:00 del giorno precedente fino all´orario attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nel mese corrente, si utilizzerà il tempo corrispondente del mese precedente.

Esempio: facciamo il caso che si indichi come giorno il 5 e come orario le 23:00:00. Se è il 10 del mese e sono le 23:30 quando viene eseguita la funzione, il sistema eseguirà il filtro a partire dalle 23:00:00 del 5 del mese corrente fino al momento attuale. Se, però, la funzione viene eseguita il 4 del mese, il filtro verrà effettuato a partire dalle 23:00:00 del 5 del mese precedente fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non è stato ancora raggiunto nell´anno corrente, verrà utilizzato il tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che si indichi come giorno il 5, , come mese ottobre - e come ora le 23:00:00. Se la funzione viene eseguita il 10 di ottobre alle 23:30, il sistema applicherà il filtro dalle 23:00:00 del 5 di ottobre fino al momento attuale. Se, però, la funzione viene eseguita già il 4 di ottobre, il filtro verrà applicato a partire dalle 23:00:00 del 5 di ottobre e fino al momento attuale.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo di tempo

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Intervallo di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. Nella scheda “Ora” della finestra di configurazione “Filtro”, selezionare l´opzione Intervallo di tempo della sezione Filtro.
  2. Configurare il tempo desiderato nella sezione Impostazioni

Opzione

Descrizione

Intervallo di tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

A Runtime, l´operazione filtro verrà eseguita sulla base dell´intervallo di tempo selezionato in questa sede. Il filtro fa riferimento al momento in cui viene aperta l´immagine.
Esempio: se si imposta il valore 60 minuti, verranno visualizzati tutti gli archivi dell´ultima ora.

Se questa finestra di dialogo può essere aperta anche a Runtime, si può selezionare il punto da cui deve incominciare a scorrere l´intervallo di tempo.

Impostazioni

Impostazioni facoltative per l´intervallo di tempo.

Modifica intervallo di tempo

Consente di adattare il ciclo, di spostare e estendere gli intervalli di tempo.

Attiva: l´analisi viene eseguita secondo il seguente schema:

  • Prima di tutto viene analizzata l´opzione Utilizza l´ultimo intervallo di tempo concluso.
  • Poi si applica Modifica periodo di.
  • Poi si applica l´opzione Spostamento intervallo avanti di.

Non attiva: non viene eseguita nessuna modifica all´intervallo di tempo.

Attenzione: a partire dalla versione 7.10, le azioni filtro eseguite sulla base di questa funzione hanno altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attiva: l´intervallo di tempo definito nel filtro verrà spostato in avanti, nel futuro. Questo significa che gli orari di avvio e chiusura del filtro verranno spostati in avanti per un valore corrispondente a quello impostato in questa opzione.

Il valore viene impostato in ore - minuti - secondi.

Se si imposta un tempo di spostamento pari o maggiore al valore impostato per la proprietà Intervallo di tempo, il sistema visualizzerà una messaggio che invita a verificare i dati della progettazione.

Modifica periodo di

Attiva: l´intervallo di tempo definito nel filtro viene modificato. L´orario di chiusura viene spostato per un valore pari a quello impostato in questa sede. L´orario di attivazione del filtro, invece, rimarrà lo stesso.

Il valore viene impostato in ore - minuti - secondi.

L´intervallo di tempo può essere aggiunto o sottratto. La selezione avviene tramite i seguenti pulsanti di opzione:

  • Aggiungi tempo: il tempo indicato nell´opzione Modifica periodo di verrà aggiunto a quello definito nell´opzione Intervallo di tempo.
  • Sottrai orario il tempo indicato nell´opzione Modifica periodo di verrà sottratto a quello definito nell´opzione intervallo di tempo.

Se si imposta una modifica e uno spostamento pari o maggiore al valore configurato per l´opzione Intervallo di tempo, il sistema visualizzerà un messaggio che invita a verificare i dati della progettazione.

Utilizza ultimo intervallo di tempo concluso

Attiva: verrà utilizzato l´ultimo intervallo di tempo selezionato nell´opzione Intervallo di tempo e concluso per intero.

Esempio: Per l´opzione Intervallo di tempo è stato selezionato il valore Un giorno. Di conseguenza, il filtro tempo verrà applicato a “Ieri”, perché ieri è l´ultimo giorno concluso per intero.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostare intervallo di tempo nell´Editor

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Impostare intervallo di tempo nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, si indica già nell´Editor un intervallo di tempo fisso per l´applicazione del filtro, che verrà poi utilizzato quando viene eseguita la funzione a Runtime. A Runtime, sarà possibile solo definire il momento di avvio del filtro, ma non sarà possibile modificare nessun´altra impostazione di filtro.

Ad esempio: è stato impostato un filtro tempo di 30 minuti. A Runtime, sarà possibile solamente definire quando deve incominciare a scorrere questo periodo di 30 minuti. Ma non sarà possibile modificare il filtro impostandolo come filtro di un giorno.

attention Attenzione

Se si usa questo tipo di filtro, a Runtime non sarà più possibile adeguare neanche tutti gli altri filtri che sono disponibili nella scheda Generale! Continuerà ad essere possibile filtrare per testo, stato e impianto.

Per creare il filtro:

  1. Nell´immagine deve esistere il pulsante Filtro; usando questo pulsante, sarà possibile avviare il filtro a Runtime.
  2. Selezionare il filtro desiderato.
  3. Configurare l´intervallo di tempo selezionato.

Suggerimento per l´intervallo di tempo: Nella scheda “Filtro archivio”, attivare l´opzione Proponi dialogo a Runtime. In questo modo si avrà l´opportunità di modificare e adeguare il momento di avvio del filtro già prima dell´esecuzione della funzione. Se non si prevede che il filtro venga visualizzato prima dell´esecuzione della funzione a Runtime, verrà sempre utilizzato l´intervallo di tempo attuale. Se è stata attivata l´opzione Utilizza ultimo intervallo di tempo concluso, verrà visualizzato l´ultimo intervallo di tempo.
Per esempio: è stato impostato un filtro di 30 minuti. La funzione viene attivata alle 10:45. Se l´opzione Utilizza ultimo intervallo di tempo concluso non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Se l´opzione è attiva, invece, il filtro verrà settato sull´intervallo di tempo precedente già concluso, quello che va dalle 10:00:00 alle 10:29:59.


Filtro tempo configurabile a Runtime

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Ora -> Filtro tempo configurabile a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, si definisce anzitutto un filtro tempo nell´Editor. Questo filtro potrà poi essere modificato a Runtime prima di essere applicato. Per creare il filtro:

  1. Nell´immagine, devono esistere i pulsanti Filtro e Mostra filtro
  2. Selezionare il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. Nella sezione “Impostazioni”, selezionare l´opzione Proponi data e ora attuale
  4. A Runtime, il dialogo di filtro verrà aperto con la data e l´ora correnti.


Lotto

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configura la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Disponibile solamente se è stata selezionata l´opzione Dati archivio come “Sorgente dati”.

info Info

In zenon, alcuni filtri possono essere configurati indipendentemente l´uno dall´altro nell´Editor, e poi combinati a Runtime. Nel caso del filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor.

Quando si configura la funzione di cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo visualizzato non corrisponde a quello configurato nell´Editor.

Nota: l´opzione Selezione lotto relativo è disponibile solo per l´Asse YT e solamente se non sono state progettate delle curve.

Filtro

Impostazioni per l´uso del filtro lotto. Selezione di una delle seguenti opzioni:

  • Nessun filtro lotto
  • Applica direttamente filtro lotto
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametro

Descrizione

Nessun filtro lotto
  • Attiva: il filtro lotto viene disattivato e non potrà essere configurato. A Runtime non verrà eseguita un´operazione di filtro per lotti.

Applica direttamente filtro lotto
  • Attiva: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: In questo caso non sarà possibile far in modo che venga visualizzata una lista contenente tutti i lotti e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare di conseguenza il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attiva: a Runtime, la finestra di dialogo che consente di selezionare un lotto verrà visualizzata:

  • Cliccando sul pulsante Filtro, oppure
  • Con il cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzata in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Questa opzione è disponibile solo se è stato selezionato Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che consente di selezionare un´immagine.

Se non trova a Runtime l´immagine collegata, il sistema cerca immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non verrà usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per l´ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva, e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attiva: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Nota: se l´opzione è attiva, non saranno disponibili a Runtime i pulsanti Diagramma e Asse X. Questo vale anche per la funzionalità “tasto destro”.

Panoramica sull´implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Ora"

Parametro

Descrizione

Nessun filtro
  • Attiva: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione è abilitata solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente di combinare le due opzioni Visualizza lotti correnti e Visualizza lotti chiusi. Almeno una di queste due opzioni deve essere attivata. Quando sono entrambe disattivate, l´esito a Runtime corrisponde a quello dell´impostazione Nessun filtro.

  • Attiva: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere eseguita l´operazione di filtro. Si può digitare il numero nell´apposito campo numerico, oppure utilizzare i tasti freccia che si trovano accanto al campo stesso.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti attivi e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si seleziona l´opzione “Visualizza lotto corrente”, o la combinazione delle due opzioni “Visualizza lotto corrente” e “Visualizza lotti chiusi”, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotti correnti
  • Attiva: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attiva: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Ora"
  • Attiva: il sistema esegue un filtro preliminare usando le impostazioni della scheda Ora.

Nell´ambito di questo intervallo di tempo, si potrà poi adattare l´effettiva estensione dell´applicazione del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Ora per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di avvio impostata nel filtro Ora, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Ora, ma devono iniziare dopo o in corrispondenza dell´ora di avvio configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono accorciati sulla base dei termini temporali fissati per inizio e fine nel filtro Ora.

Archivio (i)

Configurazione del filtro per archivi. Questo filtro viene applicato come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si esegue un´operazione di filtro per nome archivi.

Statico
  • Attiva: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento delle identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono separate da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attiva: a Runtime, il valore della variabile collegata in questa sede viene applicato come filtro per nomi archivi.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile per i moduli AML e CEL, se è stata selezionata l´opzione Applica direttamente filtro lotto. Gli altri moduli utilizzano configurazioni proprie.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro per nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante il modulo Trend esteso: nel modulo ETM gli archivi sono determinati dalle curve progettate nella funzione di cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, cosa che, a sua volta, è definita dalla selezione possibile di archivi. L´archivio filtrato, dunque, deve essere uno di quelli su cui si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene solo visualizzata nella lista delle curve.
C | EP |  | Viene solo visualizzata nella lista delle curve.

Nota riguardante la post elaborazione archivio: l´archivio per cui viene aperta l´immagine viene definito già in fase di configurazione della funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso realizzare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nome (i)

Configurazione del filtro per nomi. Selezione di una delle seguenti opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro
  • Attiva: non si filtra per nome lotti.

Statico
  • Attiva: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più nomi sono separati da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attiva: a Runtime si usa il valore della variabile collegata in questa sede come filtro per nomi lotti.

Quando si clicca sul pulsante ..., si apre la finestra di dialogo che consente di selezionare una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Note riguardante le variabili a Runtime:

  • A Runtime, la selezione variabili viene attivata solamente se già nell`Editor è stata collegata una variabile valida. Il pulsante ... è sempre disattivato a Runtime. Sarà dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, verrà registrata e letta. Questa procedura può causare dei ritardi se si usano connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro per nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudere la finestra di dialogo.

Parametro | Descrizione
OK | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonne

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle impostazioni di colonna della lista curve estesa.

Parametri

Descrizione

Produzione cursore/Valori tra il primo e il secondo cursore

Configurazione dei tipi di colonne da visualizzare e della larghezze delle colonne.

Tipo colonne

Sono disponibili i seguenti tipi di colonna:

Emissione cursore

  • Data
  • Curva
  • Valore
  • Unità di misura
  • Testo valore limite
  • Stato

Valore tra primo e secondo cursore

  • Minimo
  • Media valori
  • Massimo
  • Differenza tempo
  • Differenza valore
  • Somma
  • Deviazione standard con trigger
  • Numero inserimenti

Si attiva/disattiva la visualizzazione di un tipo di colonna a Runtime, cliccando nella checkbox corrispondente.

Larghezza

Larghezza della colonna dell´emissione cursore o larghezza della colonna dei punti di misurazione fra primo e secondo cursore nella lista emissione cursore. Il valore corrisponde al numero di caratteri.

Cliccando sul valore, si passa alla modalità di modifica.

Visualizza intestazione in modalità compatibilità

Attivo: per le versioni di zenon precedenti alla 6.51 SP0, vengono visualizzate intestazioni di colonna per la "finestra di interrogazione in modalità compatibilità”. Si usa questa opzione per esempio, per visualizzare a Runtime progetti convertiti.

Non è necessaria per i progetti realizzati con versioni a partire dalla 6.51. In questo caso vengono visualizzate nella Lista di interrogazione tutte le intestazioni di colonna.

Lista curve estesa

Configurazione della visualizzazione della lista curve estesa.

Campo elenco

Visualizzazione delle colonne configurate.

Selezione colonne

Apre la finestra di dialogo che consente di selezionare colonne.

Formato colonne

Apre la finestra di dialogo che consente di formattare le colonne.

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Info

I titoli dell´intestazione dell´emissione cursore possono essere modificati a piacere usando il cambio lingua.

Per rendere disponibile l´intestazione anche in caso di conversione di vecchi progetti, si può cancellare la lista emissione cursore esistente e sostituirla con la nuova, oppure attivare la checkbox Visualizza intestazione.

Quando si realizza un progetto per una versione di zenon anteriore alla 6.51 SP0, si può aggiungere la corrispondente lista emissione cursore dopo aver impostato la versione Runtime di destinazione.

Ancora in questo capitolo

Selezione colonne

Formato colonne

Adattare l´aspetto delle liste


Selezione colonne

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano le colonne da visualizzare a Runtime.

Opzione | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate dalla finestra delle colonne disponibili (sinistra) a quella delle colonne selezionate (destra). Dopo aver confermato il dialogo cliccando su OK, le colonne aggiunte verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutti -> | Sposta tutte le colonne disponibili nella finestra delle colonne selezionate.
<- Elimina | Elimina le colonne selezionate nella finestra delle colonne selezionate e le sposta nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, queste colonne verranno eliminate dalla visualizzazione dettagli.
<- Rimuovi tutti | Cancella tutte le colonne dalla lista delle colonne selezionate.
In alto | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.
In basso | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per i singoli inserimenti; non è possibile però una selezione multipla.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si formattano le colonne.

Configurazione delle proprietà delle colonne per le liste configurabili. Queste impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (in caso di configurazione della funzione di cambio immagine) a Runtime.

Colonne disponibili

Opzione | Descrizione
Colonne disponibili | Lista delle colonne rese disponibili tramite la scheda Selezione colonne. La colonna selezionata viene configurata usando le opzioni della sezione Impostazioni.

Impostazioni

Opzione

Descrizione

Impostazioni

Impostazioni per la colonna selezionata.

Descrizione

Nome del titolo della colonna.

Il titolo colonna è traducibile online. Perché venga tradotto, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per la larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene usando pulsanti di opzione.

Possibili impostazioni:

  • Orientamento a sinistra: il testo è allineato sul margine sinistro della colonna.
  • Centrato: il testo viene visualizzato centrato all´interno della colonna.
  • Orientamento a destra: il testo è allineato sul margine destro della colonna.

Colori definiti da utente

Proprietà per l´impostazione per ogni colonna di colori definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto sia nell´Editor che a Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per le liste configurabili.
  • A Runtime, inoltre, si può evidenziare dove si trova il focus in un lista usando diversi colori di testo e di sfondo. La configurazione di questi colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attiva: vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Colore di sfondo

Colore usato per lo sfondo delle celle. Cliccando sul colore, si apre la tavolozza che consente di selezionare un colore.

Disattiva filtro colonne a Runtime
  • Attiva: il filtro per questa colonna non potrà essere modificato a Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager di gruppi ricette
  • Gestione turni
  • Lista contestuale

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Adattare l´aspetto delle liste

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Impostazioni colonne -> Adattare l´aspetto delle liste

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´aspetto della "Lista curve estesa” e della lista “Emissione cursore” può essere personalizzato:

Barre di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto delle barre di scorrimento, dell´intestazione e di una griglia per la tabella:

  1. Nel gruppo Visualizzazione, attivare la proprietà Funzionalità grafiche avanzate.
  2. Configurare le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia.

info Info

Se per la proprietà Stile di visualizzazione si seleziona l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, verranno visualizzati con un effetto di riempimento. Per gli elementi di controllo delle liste, non si possono usare grafiche trasparenti.

Ordinamento a Runtime

Per contrassegnare a Runtime la colonna rilevante per l´ordinamento e stabilire la successione in cui quest´ultimo deve essere eseguito, devono essere progettati degli elementi grafici per l´intestazione:

  1. Selezionare per la proprietà Stile di visualizzazione (gruppo “Intestazione e griglia” delle proprietà dell´elemento) il valore File grafico.
  2. Collegare le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico.

    A Runtime, la grafica selezionata per la rispettiva direzione di ordinamento verrà visualizzata nella colonna rilevante per l´ordinamento stesso.

    • Cliccando sulla grafica, si modificherà la successione di ordinamento
    • Per ordinare una colonna, bisogna cliccare sulla sua intestazione.

Gestire l´intestazione a Runtime

Per la “Lista curve estesa”, sono disponibili anche proprietà che consentono l´ordinamento delle colonne mediante clic del mouse.

È possibile consentire agli utenti di gestire l´intestazione a Runtime. In questo modo sarà possibile per gli operatori personalizzare l´aspetto della visualizzazione a Runtime:

  • Spostare colonne via Drag&Drop.
  • Modificare la larghezza colonne usando il mouse.
  • Modificare l´ordine degli inserimenti.

Per farlo, usare le proprietà:

  • Posizione colonne fissa: dalla configurazione di questa proprietà dipende se è possibile o meno modificare la larghezza o spostare le colonne di una tabella a Runtime usando il mouse.
    • Attiva: non è possibile spostare le colonne o modificare la loro larghezza via Drag&Drop.
    • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.
  • Blocca ordinamento: dalla configurazione di questa proprietà dipende se è possibile o meno ordinare le colonne della tabella a Runtime.
    • Attiva: la tabella non può essere ordinata a Runtime.
    • Non attiva: la tabella può essere ordinata cliccando sull´intestazione.

Per la “Lista emissione cursore” si ha a disposizione la proprietà Posizione colonne fissa.

Anteprima

Quando si attiva la proprietà Funzionalità grafiche avanzate, l´intestazione e le barre di scorrimento vengono visualizzate come anteprima nell´Editor. Così diventa molto semplice configurare i dettagli, come colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde a quella a Runtime, la dimensione complessiva della lista nell´Editor può divergere da quella a Runtime. Questo vale anche per le dimensioni e per il carattere dell´intestazione.


Impostazioni stampante

Manuale -> Trend esteso -> Configurazione nell'Editor -> Cambio immagine – Trend esteso -> Impostazioni stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle impostazioni per la stampa o l´emissione in un file.

Emissione

Parametri

Descrizione

Emissione

Configurazione del tipo di emissione e delle opzioni corrispondenti.

Stampante

Attivo: il diagramma viene emesso sulla stampante definita nella voce Configurazione generale del menù “File” di zenon come standard per screenshot. Si veda anche il capitolo Stampanti.

File

Attivo: il diagramma viene salvato come file. Configurare l´emissione con le opzioni:

  • Tipo
  • Larghezza
  • Altezza
  • Nome file predefinito
  • Nome file automatico
  • Con prefisso

Queste opzioni sono disponibili solamente per l´emissione in un file.

Tipo

Selezione del tipo di file fra quelli proposti dal menù a tendina. Sono a disposizione:

  • JPG
  • BMP
  • SVG

Larghezza

Definizione della larghezza del file grafico in pixel.

Altezza

Definizione dell´altezza del file grafico in pixel.

Nome file predefinito

Attivo: indicazione di un nome file a piacere.

Nome file automatico

Attivo: il nome file viene assegnato automaticamente.

Formato: <Prefisso_><YYYYMMDD>_<HHMM>.<Tipo>

Con prefisso

Disponibile solo se è stata attivata l´opzione Nome file automatico.

Indicare un prefisso a piacere per il nome file generato automaticamente. Questo prefisso verrà messo davanti al nome da cui è separato da un trattino basso (_).

Opzioni

Parametri | Descrizione
Opzioni | Configurazione delle opzioni.
Visualizza legenda | Attivo: viene stampata una legenda con il diagramma. Questa fornisce informazioni, ad es., sulle curve e i loro colori.
Stampa in una pagina | Attivo: la legenda verrà stampata sulla stessa pagina del diagramma.

Intestazione e piè di pagina, titolo e commento

Parametri

Descrizione

Intestazione e piè di pagina, titolo e commento

Si possono configurare ulteriori informazioni per intestazione e pie` di pagina, e un titolo e un commento da utilizzare per la stampa di un diagramma del Trend esteso.

Per facilitare l´inserimento dei dati nei campi corrispodenti, sono a disposizione quattro pulsanti:

  • Inserisci data
  • Inserisci ora
  • Inserisci nome diagramma
  • Inserisci numero di pagina

Intestazione

Indicazione di informazioni per l´intestazione da inserire a:

  • Sinistra:
  • Centro
  • Destra

Piè di pagina

Indicazione di informazioni per il piè di pagina da inserire a:

  • Sinistra:
  • Centro
  • Destra

Titolo

Inserimento di un titolo.

Commento

Inserimento di commento.

Ok

Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: se si stampa usando il pulsante Stampa dell´immagine Trend esteso, i risultati possono essere diverse da quelli che si ottengono se si stampa mediante le funzioni Cambio immagine - Trend esteso e Stampa diagramma Trend esteso. La stampa tramite funzioni parte dal presupposto che la dimensione della finestra sia 1000 x 700 pixel. La stampa tramite il pulsante, invece, parte dal presupposto che la dimensione della finestra sia quella definita nell´Editor.


Configurazione delle curve

Manuale -> Trend esteso -> Configurazione nell'Editor -> Configurazione delle curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le curve vengono create nella scheda Dati cliccando sul pulsante Aggiungi. Per configurare le curve:

  1. Selezionare la curva nella lista.
  2. Cliccare sul pulsante Modifica.
  3. Si apre la finestra di dialogo di configurazione.
  4. Configurare:
    1. Parametri curve
    2. Parametri asse y

Ancora in questo capitolo

Parametri curve

Parametri asse y

Diagramma Gantt


Parametri curve

Manuale -> Trend esteso -> Configurazione nell'Editor -> Configurazione delle curve -> Parametri curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni curva trend possono essere parametrizzate le impostazioni della curva stessa.

Curva

Parametri | Descrizione
Curva | Configurazione della curva.
Nome curva | Nome della curva liberamente definibile. Di default, viene inserito il nome della variabile. Nota: una modifica del nome della variabile non ha alcun effetto sul nome della curva esistente.
Spessore linea | Definizione dello spessore della curva in pixel.
Distanza dal margine superiore [Pixel]. | Disponibile solo per la visualizzazione Gantt. Definizione della distanza in pixel del diagramma Gantt dal margine superiore del diagramma.

Tipo linea

Parametri

Descrizione

Tipo linea

Definizione del tipo di linea da utilizzare per la curva trend: Possibili forme di visualizzazione:

  • Linea
  • Tratti
  • Punti
  • Tratto-punto
  • Tratto-punto-punto

Nota: se per la proprietà Qualità grafica si seleziona l´opzione Windows standard, con uno spessore della linea maggiore a 1 potranno essere visualizzate solo linee continue nel Trend esteso.

Interpolazione

Attivo: i valori vengono collegati per mezzo di polilinea (punti d’ appoggio).

Non attivo: le modifiche di valore vengono rappresentate come “salti” nella linea.

Lunghezza curve

Attivo: la curva viene prolungata dall'ultimo punto dato disponibile fino al punto corrispondente al momento attuale.

Visualizza area

Attivo: i valori vengono rappresentati come superfici, anziché come linee.

Diagramma Gantt

Attivo: viene attivata la rappresentazione Gantt per questa curva. Il nome della curva viene usato come didascalia.

Per informazioni relative alle limitazioni, si vedano le sezioni Diagramma Gantt e Parametri asse Y.

Visualizza valore limite

Disponibile solo per la visualizzazione Gantt.

Attivo: Viene rappresentato il valore limite numerico.

Visualizza testo valore limite

Disponibile solo per la visualizzazione Gantt.

Attivo: viene rappresentata la denominazione del valore limite.

Colore

Parametri

Descrizione

Colore

Configurazione dei colori per la visualizzazione.

Colore curva

Configurazione del colore della curva. Cliccando sul colore, si apre la finestra di dialogo che consente di selezionare un colore.

Colore riempimento

Configurazione del colore di riempimento. Cliccando sul colore, si apre la finestra di dialogo che consente di selezionare un colore.

Questa opzione è attiva e configurabile solamente se è stata attivata l´opzione Visualizza area.

Trasparenza colore riempimento [%]

Definizione della trasparenza del colore di riempimento in percentuale. In questo modo si può evitare che delle curve vengano coperte da altre curve in caso si sia scelta l´opzione visualizza area.

  • 0 %: nessuna trasparenza
  • 100 %, trasparenza totale

Nota: non disponibile con Windows CE.

Offset di visualizzazione

Parametri | Descrizione
Offset di visualizzazione | Configurazione dell´offset per la visualizzazione
Giorni | Sposta la curva del numero di giorni impostato.
Ore | Sposta la curva del numero di ore impostato.
Minuti | Sposta la curva del numero di minuti impostato.
Cambio mese | Sposta la curva di un mese.
Annualmente | Sposta la curva di un anno
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Parametri asse y

Manuale -> Trend esteso -> Configurazione nell'Editor -> Configurazione delle curve -> Parametri asse y

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri delle curve vengono definiti in questa scheda e nel dialogo Impostazioni curve.

Visualizzazione

Parametri

Descrizione

Visualizzazione

Parametri per la visualizzazione delle curve a Runtime.

Titolo asse

Denominazione dell´asse

Posizione

Posizionamento dell´asse Y rispetto all´asse X in percentuale della lunghezza dell´asse X.

  • 0: sinistra
  • 100: destra

Colore

Configurazione del colore dell´asse. Cliccando sul colore, si apre la finestra di dialogo che consente di selezionare un colore.

Attenzione: configurabile in modo indipendente dal colore della curva trend

Linee griglia

Visualizzazione di linee per le suddivisioni principali.

Non disponibile per il diagramma Gantt.

Tipologia asse

Parametri | Descrizione
Tipologia asse | Impostazione per la scala dell’asse Y. Non disponibile per il diagramma Gantt.
Lineare | Divisione lineare dell’asse Y. Non disponibile per il diagramma Gantt.
Logaritmica | Divisione logaritmica dell’asse Y.

Scala

Parametri

Descrizione

Scala

Impostazione del campo di visualizzazione delle variabili di processo all’interno dei limiti tecnici configurati (funzione zoom).

Non disponibile per il diagramma Gantt.

Da

Valore iniziale scala.

A

Valore finale scala.

Autoscaling

Attivo: la scala dell´asse viene determinata per questa curva automaticamente a Runtime. Per definire i limiti dell´asse vengono utilizzati i valori min/max dell´area da visualizzare.

Se la checkbox è attivata, i campi di inserimento per la “Scala” (Da/A) sono disabilitati e non sarà possibile eseguire una configurazione personale.

Descrizione

Parametri | Descrizione
Descrizione | Posizione della descrizione dell´asse.
A sinistra dell'asse | I valori vengono visualizzati a sinistra dell´asse.
A destra dell'asse | I valori vengono visualizzati a destra dell´asse.
Visualizzazione esponenziale | I valori vengono visualizzati in modo esponenziale. Non disponibile per il diagramma Gantt.
Nascondi unità | Attivo: l´unità per la didascalia dell´asse non verrà visualizzata. Consente di visualizzare diverse variabili con differenti unità. Default: non attiva. Non disponibile per il diagramma Gantt.

Suddivisione asse

Parametri | Descrizione
Suddivisione asse | Impostazione della suddivisione dell´asse. Non disponibile per il diagramma Gantt.
Num. divisioni principali | Numero di suddivisioni principali con visualizzazione valore.
Lung. divisioni principali (pixel) | Lunghezza delle suddivisioni principali in pixel.
Num. divisioni secondarie | Numero di suddivisioni tra due suddivisioni principali.
Scala automatica | Impostazione automatica di scala e di suddivisione dell´asse a Runtime.
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La visualizzazione della curva e quella dell´asse Y vengono configurate attivando le checkbox Asse Y e Attivo della scheda “Dati”.


Diagramma Gantt

Manuale -> Trend esteso -> Configurazione nell'Editor -> Configurazione delle curve -> Diagramma Gantt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato di un impianto nel Trend esteso può essere visualizzato mediante il diagramma Gantt. È possibile visualizzare, per esempio, quando un´impianto era in funzione, in manutenzione, in pausa ecc. Mediante la visualizzazione nel Trend esteso, si possono poi confrontare gli stati dell´impianto con le linee di sviluppo processo. Si potrà poi valutare il comportamento/il rendimento di un impianto. Un esempio: si rileva un comportamento anormale delle linee di sviluppo processo, ma, grazie al diagramma di Gantt, si vede che l´impianto, al momento del rilevamento dell´anomalia, si trovava in fase di manutenzione.

Configurazione

Nel diagramma Gantt, per eseguire l´analisi vengono utilizzati i valori limite e le matrici di reazione, e non i valori effettivi delle variabili in questione. La visualizzazione rispecchia lo stato dell´impianto; il valore esatto non gioca nessun ruolo.

I singoli diagrammi Gantt vengono visualizzati nella cornice superiore dell´elemento di controllo “Diagramma”. Fare attenzione di configurare la cornice in modo tale che sia abbastanza grande da non causare nessun problema di visualizzazione.

Come base per il colore dei singoli diagrammi di Gantt si usa il valore limite violato, oppure la matrice di reazione. Vengono presi in considerazione i valori limite e gli stati attualmente progettati della rema. Se si modificano valori limite o stati, anche le analisi storiche verranno visualizzate con i valori attuali. Non esiste una storia per i valori limite oppure gli stati delle matrici di reazione.

Nota: se una curva Gantt deve visualizzare anche lo stato attuale, nella configurazione dell´archivio, in particolare nella scheda Tipo di registrazione, deve essere attivata l´opzione Salva valori all'avvio.

Parametri curve

Le impostazioni della curva per il diagramma Gantt vengono eseguite nella stessa finestra di dialogo che serve ad eseguire quelle relative alla configurazione generale delle curve. I parametri da impostare sono in parte differenti:

  • Il nome curva viene usato come didascalia.
  • Distanza da margine superiore: per far sì che la curva venga visualizzata all´interno del Trend esteso, si deve inserire in questo campo un valore negativo.
  • Visualizza valore limite
  • Visualizza testo valore limite

    Se si usano insieme le opzioni Visualizza valore limite e Visualizza testo valore limite, la visualizzazione avviene nella forma seguente:
    testo valore limite/valore limite

Asse Y

La configurazione dell´asse Y viene eseguita tramite la stessa finestra di dialogo che consente di eseguire le configurazione generale delle curve. Qui si configura la didascalia.

  • Colore
  • Posizione in % della larghezza dell´asse X (misurata da sinistra)

Le seguenti impostazioni dell´asse Y non sono a disposizione per il diagramma Gantt:

  • Linee griglia
  • Tipologia asse
  • Scala
  • Visualizzazione esponenziale
  • Suddivisione asse

Visuale a Runtime:

Diagramma Gantt per variabili stringa

La configurazione delle impostazioni delle curve per il diagramma Gantt è in parte diversa se si utilizzano delle variabili d´archivio di tipo stringa; ci sono le seguenti differenze:

  • Visualizza valore limite: è disattivata.
  • Visualizza testo valore limite: è disattivata.
  • Colore alternativo: sostituisce la proprietà Colore di riempimento ed è impostata inizialmente con un colore diverso dal Colore curva.

A Runtime:

Il diagramma viene visualizzato in linea di principio come un comune diagramma Gantt, ma con le seguenti differenze:

  • Ad ogni nuovo valore della variabile, la barra cambia colore passando dal colore curva al colore alternativo.
  • Come testo, viene visualizzato il valore stringa della variabile.

Note sulla progettazione del diagramma Gantt per variabili stringa

In caso di curve Gantt con testo, lo spessore linea non viene adattato automaticamente. Il valore di default 0 corrisponde qui ad uno spessore di 1 Pixel. Viene utilizzato il carattere indicato nelle impostazioni della scheda Visualizzazione; il colore del carattere è nero.

Se per la registrazione delle variabili stringa nell´archivio si è scelta l´opzione Registrazione spontanea e si vuole che sia visualizzato lo stato attuale, deve essere attivata anche l´opzione Salva valori all'avvio.

Se si compilano i file Runtime per una versione precedente a zenon 7.11, avverrà quanto segue:

  • La curva del diagramma Gantt per variabili stringa non viene rimossa.
  • Viene visualizzata una barra senza testo finché la variabile ha un valore.


Profili filtro

Manuale -> Trend esteso -> Configurazione nell'Editor -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente a Runtime in relazione ad una determinata immagine.

Per poter utilizzare i profili filtro, devono essere configurati nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profili filtro | Gestione profili a Runtime.
Selezione profili | Selezione di un profilo salvato a Runtime fra quelli contenuti nel menù a tendina.
Salva | Cliccando sul pulsante a Runtime, si salvano le impostazione di filtro come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cliccando sul pulsante (Elimina) a Runtime, si cancella il profilo selezionato.

Usando questi elementi di controllo, a Runtime sarà possibile:

  • Salvare filtri.
  • Usare i filtri salvati.
  • Cancellare profili filtro.

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.


Funzione "Stampa diagramma Trend esteso"

Manuale -> Trend esteso -> Configurazione nell'Editor -> Funzione "Stampa diagramma Trend esteso"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo la funzione Stampa diagramma Trend esteso si possono stampare diagrammi del modulo Trend esteso, oppure li si può salvare in un file (JPG, BMP o SVG), senza dover aprire l´immagine di tipo Trend esteso.

Per configurare questa funzione:

  1. Creare una nuova funzione.
  2. Passare al nodo “Applicazioni”.
  3. Selezionare “Stampa diagramma Trend esteso”.

La funzione si configura in modo analogo a quella di Cambio immagine.

Nota: se si stampa usando il pulsante Stampa dell´immagine Trend esteso, i risultati possono essere diverse da quelli che si ottengono se si stampa mediante le funzioni Cambio immagine - Trend esteso e Stampa diagramma Trend esteso. La stampa tramite funzioni parte dal presupposto che la dimensione della finestra sia 1000 x 700 pixel. La stampa tramite il pulsante, invece, parte dal presupposto che la dimensione della finestra sia quella definita nell´Editor.


Inserimenti nel file project.ini

Manuale -> Trend esteso -> Configurazione nell'Editor -> Inserimenti nel file project.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono eseguire i seguenti inserimenti nel file project.ini che riguardano il Trend esteso.

Parametri

Descrizione

[DEFAULT]

Impostazioni generali.

MILLISEK=
  • 1: visualizzazione in griglia millisecondi
  • 0: minimale in griglia di update

[EW_TREND]

ANZEIGE_GWTEXT=
  • 1: visualizza il testo di valore limite (default)
  • 0: non visualizzare.

[ARCHIV]

Configurazione archivio

ARCHDIGITS=

Numero delle cifre decimali quando si esportano archivi in formato TXT, XML oppure DBF, e per l´esportazione in un server SQL
Default: 1

TRENNZEICHEN=

Separatore in caso di dislocazione in file ASCII.
Default: ;

SPEICHER=

Numero massimo di valori che vengono letti per il Trend esteso, la Post-elaborazione archivio e i report.

Default: 1000

SQL_MAXROWS=

Numero massimo di valori che possono essere letti da SQL.

L´inserimento avviene in intervalli pari a 1.000.
100 = 100.000 valori.

A partire dalla versione 6.50, il sistema verifica automaticamente che almeno il 10% della memoria sia libero.


Gestione a Runtime

Manuale -> Trend esteso -> Gestione a Runtime

A Runtime, la finestra del Trend esteso viene aperta mediante una chiamata funzione. Viene aperta la immagine predefinita nell´Editor.

Con lista curve estesa:

In questa immagine ci sono diversi elementi di controllo che consentono la gestione e la visualizzazione del Trend esteso; quali elementi di controllo sono disponibili a Runtime dipende dalla configurazione dell´immagine eseguita nell´Editor.

Elemento

Descrizione

Finestra

Selezione della finestra da visualizzare a Runtime per diagrammi e curve.

Elemento di controllo

Descrizione

Diagramma

Finestra per la visualizzazione della curva di trend.

Non disponibile se l´immagine è stata aperta con l´opzione Visualizza dialogo di selezione lotto-> Selezione lotto relativo.

Nome diagramma

Visualizza il nome del diagramma.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Filtro inserito

Visualizza a Runtime il filtro tempo impostato attualmente.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Cursore lista interrogazione

Mostra la posizione del cursore nella finestra di diagramma e i valori impostati alla voce Impostazioni diagramma e aspetto cursore.

Lista curve estesa

Lista curve che può essere modificata a Runtime. Possono essere modificati:

  • Nome della curva
  • Titolo
  • Colore
  • Colore di sfondo
  • Visualizza area
  • Asse Y
  • Attivo
  • Ordinamento

Nota: non è disponibile con Windows CE. Con Windows CE, questo elemento di controllo è sostituito dalla Lista curve (obsoleta).

Lista curve CE

Lista delle curve.

Viene usata per CE per ragioni di compatibilità. Per tutti gli altri progetti si consiglia l´uso della Lista curve estesa.

Funzioni diagramma

Elementi di gestione per i diagrammi.

Elemento di controllo | Descrizione
Filtro | Visualizzazione del filtro impostato.
Impostazioni Trend | Attiva la finestra di dialogo per le impostazioni diagramma e per l´aspetto cursore.
Curve | Modifica dei parametri delle curve
Asse X | Apre la finestra di dialogo che consente di configurare le impostazioni per l´asse X. Non disponibile se l´immagine è stata aperta con l´opzione Visualizza dialogo di selezione lotto-> Selezione lotto relativo.
Aggiorna | Attualizza la visualizzazione.
Stop | Non aggiornare lo schermo.
Avanti | Aggiornare lo schermo.
Cursore on/off | Query dei valori.
Doppio cursore on/off | Visualizza i valori che si trovano fra 2 cursori.
Stampa | Stampa il diagramma. Nota: se si stampa usando il pulsante Stampa dell´immagine Trend esteso, i risultati possono essere diverse da quelli che si ottengono se si stampa mediante le funzioni Cambio immagine - Trend esteso e Stampa diagramma Trend esteso. La stampa tramite funzioni parte dal presupposto che la dimensione della finestra sia 1000 x 700 pixel. La stampa tramite il pulsante, invece, parte dal presupposto che la dimensione della finestra sia quella definita nell´Editor.
Dialogo di stampa | Selezione della stampante prima che il diagramma venga stampato.
Copia negli appunti | Copia la visualizzazione negli appunti.
Esportazione dati visualizzati | Esporta in un file CSV tutti i dati visibili di tutte le curve visualizzate.

Navigazione diagramma

Pulsanti per la navigazione nel diagramma.

Elemento di controllo

Descrizione

Cursore Sx di un Pixel

Sposta il cursore di un pixel a sinistra.

Se si tiene premuto il tasto Shift, il cursore verrà spostato di 10 pixel.

Cursore Dx di un Pixel

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore verrà spostato di 10 pixel.

Indietro

Scorrimento all´indietro sull’asse tempo (storico).

Indietro di un quarto

Sposta l´intervallo di tempo visualizzato indietro di un quarto dell´unità di misura impostata.

Avanti

Scorrimento in avanti sull’asse tempo (attuale)

Avanti di un quarto

Sposta in avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura impostata.

Zoom

Ingrandisce la visualizzazione.

Sequenza precedente

Rimpicciolisce la visualizzazione.

Zoom +

Riduce gli intervalli di tempo della visualizzazione.

Zoom -

Ingrandisce gli intervalli di tempo della visualizzazione.

Zoom 100 %

Imposta il fattore zoom a 100 %.

Quest´azione “zoom” viene salvata nella zoom-history.

Esempio: Si usa lo zoom,

  • Per ingrandire del doppio un´area selezionata del Trend esteso.
  • Poi si seleziona Zoom al 100% e
  • Poi si zooma di nuovo in un´area selezionata.

In questo caso ci saranno quattro “eventi zoom” nella history. Usando il pulsante Sequenza precedente, si potrà fare a ritroso questi quattro passaggi/eventi.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Nome Diagramma | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.
Filtro inserito | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Elemento di controllo | Descrizione
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo. Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi. sono proibiti: ! \ / : * ? < > | ""
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di esportazione.
Esporta | Esporta profili filtro in un file.

info Info

Gli elementi di controllo Cursore Sx di un Pixel e Cursore Dx di un Pixel spostano solamente il cursore (se attivo), ma non il trend.

Al posto di questi elementi di controllo, si possono usare anche i tasti freccia della tastiera.

Se si tiene premuto il tasto SHIFT quando si esegue lo spostamento usando i tasti freccia o gli elementi di controllo, lo spostamento avviene in passi da 10 pixel.

Se nel Trend esteso vengono visualizzati valori d’archivio, oppure se l’aggiornamento continuo dei valori online è disattivato, quando si preme il pulsante Aggiorna verranno letti di nuovo i valori attuali delle curve fino a giungere al momento attuale. In alternativa, si attualizzano i dati con il tempo di aggiornamento impostato alla voce Diagramma.

Nel Trend esteso è possibile, inoltre, scorrere anche al di là dell´asse X visualizzato cliccando sul pulsante << (visualizzare valori più vecchi), oppure sul pulsante >> (visualizzare valori più recenti). Quando si visualizzano i valori online, si potrà visualizzare al massimo la portata di inserimenti definita per la variabile di processo. Per i valori d’archivio, invece, è decisiva la progettazione degli archivi salvati nella banca dati.

info Info

Nel caso del trend di archivio, la frequenza di aggiornamento si adatta dinamicamente al tempo di carico dei dati. Se l´operazione di carico dei dati dura più a lungo della metà dell´intervallo di refresh, la frequenza di aggiornamento viene raddoppiata.

Zoom

Se si clicca sul pulsante Zoom + e si trascina un´area sul diagramma, il sistema visualizza i valori in una risoluzione più fine e in un intervallo minore (asse X e asse Y). Lo zoom è possibile solamente se l’area selezionata contiene almeno una suddivisione per asse. Si può zoomare più volte. Cliccando sul pulsante Zoom -, si ripristinano i livelli predefiniti del fattore di zoom.

Dati online

Con dati online e aggiornamento continuo, la visualizzazione passa ad ogni refresh sempre all´inserimento più attuale. Per poter scorrere, bisogna disattivare l’aggiornamento continuo per i dati online, usando il pulsante Stop. Se si desidera riattivare l’aggiornamento continuo, bisogna premere il pulsante Avanti. Con il successivo ciclo di aggiornamento del diagramma, vengono attualizzati i nuovi dati e la nuova area dell´asse X.

info Info

Variabili online nel Trend esteso:

Le variabili online per il Trend esteso vengono progettate nell `Editor e non possono più essere modificate a Runtime. In sede di configurazione nell´Editor, viene configurato anche il buffer circolare HDD per le variabili. Non è possibile né creare, né modificare il buffer per le variabili a Runtime. Per questo motivo, le curve di variabili online non possono essere modificate a Runtime.

Le variabili d´archivio, invece, possono essere aggiunte anche a Runtime.

Ancora in questo capitolo

Cursore

Esportare dati

Impostazioni Trend

Gestire la lista curve estesa

Filtro nel cambio immagine

Modifica rapida dei parametri degli assi a Runtime

Differenze di visualizzazione dei metodi di dislocazione


Cursore

Manuale -> Trend esteso -> Gestione a Runtime -> Cursore

Cliccare sul pulsante Cursore on/off per avviare la modalità di interrogazione. Viene visualizzato un cursore al centro del diagramma. Si può spostare il cursore cliccando su di esso, e muovendo il mouse tenendo premuto il tasto del mouse. In alternativa si può usare anche la tastiera. Premere il tasto a sinistra oppure a destra per muovere il cursore a piccoli passi. Per eseguire uno spostamento più grande, tenere premuto anche il tasto Shift. Il valore corrispondente sarà visualizzato nella finestra di emissione del cursore. Cliccare di nuovo sul pulsante Cursore on/off per terminare la modalità di interrogazione. Nella finestra di emissione del cursore possono essere visualizzate le seguenti informazioni:

Parametri | Descrizione
Data | Data/ora del valore salvato Scala minima: millisecondi
Curva | Nome della variabile da cui proviene il valore.
Valore | Valore.
Unità | Unità del valore salvato
Testo valore limite | Testo di stato (testo valore limite) del valore salvato.
Stato | Stato del valore salvato.
Minimo | Valore minimo dell´intervallo di misurazione (facoltativo).
Medio | Valore medio dell´intervallo di misurazione (facoltativo).
Max | Valore massimo dell´intervallo di misurazione (facoltativo).
Differenza tempo | Differenza di tempo. Scala minima: millisecondi
Differenza valore | Differenza dei valori.
Somma | Somma
Deviazione standard con trigger | Deviazione standard
Quantità punti di misurazione | Numero dei punti di misurazione.

Per modificare le informazioni visualizzate e le larghezze delle colonne relative, cliccare sul pulsante Trend Si aprirà la finestra di dialogo di configurazione del Trend esteso. :

Nella scheda Impostazioni colonne si può impostare la larghezza delle colonne della finestra di emissione cursore che contengono le diverse informazioni. Attivando o disattivando le checkbox corrispondenti, si definisce quali colonne verranno visualizzate.

info Info

Se è stata configurata la modalità di visualizzazione XY, all´inizio dell´interrogazione viene sempre visualizzato soloi il rispettivo valore attuale. Questo valore non può essere aggiornato. Il cursore non può essere spostato.

Doppio cursore on/off

Se l´elemento di controllo Doppio cursore on/off è stato progettato nell´immagine, si ha la possibilità di usare un secondo cursore nel diagramma. Sarà dunque possibile eseguire un´interrogazione con due cursori. Cliccando sul pulsante Doppio cursore on/off verranno visualizzati due cursori posti al margine destro e sinistro della finestra di diagramma. È possibile spostare il secondo cursore con il mouse, oppure con la tastiera. Per farlo, tenere premuto il tasto Ctrl e premere il tasto a sinistra, oppure a destra; il cursore si sposterà in piccoli passi. Per eseguire uno spostamento più ampio, tenete premuto anche il tasto Shift.

In questo modo sarà possibile visualizzare i valori fra primo e secondo cursore nella finestra di emissione del cursore. Le colonne a disposizione nella finestra di emissione del cursore, possono essere personalizzate nel dialogo “Impostazioni diagramma e aspetto cursore”. Per aprire questa finestra di dialogo si deve cliccare sul pulsante “Impostazioni”.

info Info

Il cursore doppio non è disponibile quando è stata selezionata come sorgente dati Dati array.

Scrivere ascisse in variabili

Possono essere definite per i cursori due variabili in cui vengono scritte a Runtime le ascisse (valori tempo o valori X) quando si attivano i cursori e quando li si sposta. Queste variabili possono essere di tipo LREAL oppure DWORD/DINT/UDINT , e vengono configurate in fase di progettazione della funzione di cambio immagine, nella scheda Visualizzazione. I valori vengono salvati nel formato Unix time (numero di secondi passati dal 1° gennaio 1970, ore 00:00 UTC).


Esportare dati

Manuale -> Trend esteso -> Gestione a Runtime -> Esportare dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile inserire nell´immagine di tipo “Trend esteso” un elemento di controllo “Esportazione dati visualizzati” che sarà poi disponibile all´uso a Runtime. Tutti i dati visibili di tutte le curve visualizzate vengono salvati in un file di testo in formato CSV.

Formato del file CSV

  • L´output avviene in un file di testo Unicode.
  • Separatore: punto e virgola (;)
  • Il luogo di salvataggio e il nome del file possono essere configurati liberamente nella finestra di dialogo “Salva”.
  • Il file non ha nessun header.
  • I dati vengono visualizzati in un file di testo nella successione seguente:

    Nome variabile;identificazione;valore;unità;stato;tempo

Proprietà

Formato

Nome variabile:

Stringa.

Identificazione:

Stringa.

Valore:
  • fino ad otto cifra prima del separatore decimale,
  • 8 cifre dopo il separatore decimale.

Unità:

Stringa.

Stato

Stringa.

Tempo:

dd.mm.yyyy hh:mm:ss.ms

Se una proprietà di variabile esportata è vuota, non verrà emessa.

Esempio: MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attention Attenzione

Se vengono selezionate molte curve per l´esportazione, l´operazione potrebbe richiedere un periodo di tempo considerevole a causa della grande quantità di dati da esportare.


Impostazioni Trend

Manuale -> Trend esteso -> Gestione a Runtime -> Impostazioni Trend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime si possono apportare delle modifiche temporanee (non salvate) alla configurazione del Trend esteso eseguita nell´Editor. Per aprire a Runtime la finestra di dialogo di configurazione, cliccare sul pulsante Trend.

Importanti possibilità di modifica:

Parametri | Descrizione
Dati: Curve -> Attivo | Attiva e disattiva la visualizzazione della curva.
Dati: Curve -> Asse Y | Visualizzazione dell’ asse Y per la curva.
Dati: Curve-> Modifica | Modifica delle proprietà della curva trend selezionata
Impostazioni colonne | Impostazioni dei parametri diagramma
Visualizzazione: Design | Carattere definito dall’utente per la descrizione dell´asse X e dell´asse Y e per la visualizzazione valore.
Visualizzazione: Aggiornamento | Aggiornamento del diagramma in caso di visualizzazione di dati online.


Gestire la lista curve estesa

Manuale -> Trend esteso -> Gestione a Runtime -> Gestire la lista curve estesa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nell´Editor è stata configurata una lista curve estesa per l´immagine di tipo Trend esteso, le curve potranno essere modificate a Runtime. E' possibile:

  • Filtrare sulla base di:
    • Attivazione
    • Colore
    • Nome curva
    • Ordinamento
    • Titolo
    • Nome variabile
    • Identificazione variabile
    • Asse Y
  • Modificare i nomi delle curve
  • Modificare i titoli
  • Modificare i colori
  • Attivare o disattivare l´asse Y
  • Attivare o disattivare le curve
  • Modificare la successione di visualizzazione.

Per modificare un elemento, cliccare due volte sulla cella corrispondente della lista.

info Info

Con Windows CE non è possibile visualizzare la lista curve estesa, sostituita dalla normale lista curve

Ordinare le curve

La successione nella quale le curve vengono disegnate nel modulo Trend esteso può essere definita:

  • Nell´Editor: quando si configura il cambio immagine, nella scheda Dati, nella configurazione della lista curve.
  • A Runtime: nella finestra “Lista curve estesa”.

Per poter modificare l´ordine, la colonna Ordinamento deve essere visualizzata nella lista curve.

A Runtime

Per cambiare l´ordine in cui le curve vengono disegnate:

  1. Cliccare nella “Lista curve estesa”.
  2. Selezionare la curva da modificare.
  3. Cliccare nella cella della colonna Ordinamento.
  4. Inserire la cifra desiderata. L´ordine delle altre curve verrà modificato automaticamente. Una posizione inferiore, significa che la curva verrà disegnata prima (visualizzata più indietro); una posizione più in alto, significa che la curva verrà disegnata dopo (visualizzata più avanti):
    • Minimo: 1
    • Massimo: numero delle curve

L´ordinamento viene eseguito quando si clicca sull´intestazione della colonna. Un ordinamento eseguito sulla base di una colonna diversa da Ordinamento non ha effetto sulla successione della visualizzazione delle curve.

Drag&Drop:

In determinate circostanze, le lista curve può essere ordinata nell´Editor e a Runtime via Drag&Drop:

  1. Ordinare la lista sulla base della colonna Ordinamento.

    Attenzione: anche quando viene visualizzata per la prima volta, la lista è ordinata in una determinata successione. Per cambiare l´ordinamento via Drag&Drop, tuttavia, si deve cliccare esplicitamente sull´intestazione della colonna “Ordinamento”! Non ha nessuna importanza se l´ordinamento è ascendente o discendente.

  2. Fare attenzione che non ci sia nessun raggruppamento.
  3. Cliccare sulla riga con la curva desiderata.
  4. Trascinare la curva al posto desiderato. Il posto nel quale essa viene inserita, viene visualizzato con una cornice di color rosso.

Definire l´aspetto delle checkbox con grafica

Si personalizzare l´aspetto delle checkbox con grafiche. A questo scopo, assegnare le grafiche desiderate alle corrispondenti proprietà della lista curve nell´Editor. Le grafiche devono essere già state create nel nodo File\Grafiche. Proprietà da configurare nel gruppo Visualizzazione:

  • On
  • In (inattivo)
  • Off
  • Out (inattivo)

La grafica definita viene visualizzata a Runtime tenendo conto delle relazioni pagine (Aspect Ratio).


Filtro nel cambio immagine

Manuale -> Trend esteso -> Gestione a Runtime -> Filtro nel cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni di filtro eseguite nella configurazione della funzione di cambio immagine possono essere modificate a Runtime. Procedura:

  1. Aprire nell´Editor la funzione di cambio immagine.
  2. Attivare nella scheda Visualizzazionel´opzione Proponi dialogo a Runtime.

Quando si apre l´immagine a Runtime, verrà visualizzato (a seconda della configurazione) quanto segue:

  • Finestra di configurazione completa.
  • Filtro lotti attivato: verrà visualizzato il filtro lotti.
  • Filtro lotti disattivato, filtro tempo intervallo di tempo: verrà visualizzato il filtro tempo.

Configurazione del filtro lotti

Se in fase di progettazione si seleziona l´opzione Nessun filtro tempo come tipo di filtro tempo, a Runtime verranno visualizzati tutti gli inserimenti a partire dal 1/ 1/ 2000.

attention Attenzione

Nella lista degli archivi vengono elencati tutti gli archivi lotti progettati. In questa finestra di dialogo deve essere scelto lo stesso archivio selezionato nel cambio immagine. Solo in questo caso verranno visualizzati dei dati.

Parametro

Descrizione

Filtro Lotto

Selezione del lotto da utilizzare per eseguire il filtro. Il filtro consiste delle due liste seguenti:

  • Lista archivi: lista degli archivi.
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Selezione dell’archivio desiderato.

Nodo *:

  • Riunisce tutti i lotti di tutti gli archivi visualizzati.
  • La chiave è il nome lotto.
  • L´ora d´inizio è quella del lotto che comincia prima.
  • L´ora di termine è quella del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Per filtrare, digitare un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti della lista possono essere ordinati cliccando sull´intestazione di colonna.

Nome lotti

Visualizza i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Verranno visualizzati solamente quei lotti il cui nome contiene la successione inserita.

Data inizio

Visualizza la data di inizio di tutti i lotti disponibili.

Filtro: inserimento di una data di inizio o selezione di una data dal calendario.

Ora d´avvio

Disponibile solamente se è stata indicata una data di inizio.

Visualizzazione dell´ora di avvio di tutti i lotti disponibili.

Filtro: inserimento di un´ora di avvio. * sta per l´orario 0:00:00.

Data termine

Visualizza la data di termine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Ora termine

Disponibile solamente se è stata indicata una data di termine.

Visualizzazione dell´ora di termine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di termine. * sta per l´orario 23:59:59.

Durata

Questa colonna visualizza la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Info

Vengono visualizzati anche i lotti non ancora portate a termine, a patto che corrispondano ai criteri di filtro.

info Info

Il valore della variabile lotto viene scritto all´inizio del lotto sia nel file di indice, che nell´Header del file ARX. Ogni volta che la variabile cambia, questi inserimenti vengono adeguati. Quando si chiude il lotto, il valore corrente della variabile lotto viene scritto definitivamente nel file di indice e nell´Header.

Solo quando un lotto è concluso, il nome lotto è scritto in modo definitivo.

SQL

Il filtro lotti su valori dislocati in SQL viene eseguito tramite un filtro tempo. Questo filtro contiene tutti i valori dell´archivio compresi fra il tempo di avvio e quello di fine del lotto. Sono compresi anche il tempo di avvio e di fine del lotto. In questo filtro tempo non si tiene conto dei millisecondi.

Configurazione dell´intervallo di tempo

Si può far in modo che il dialogo per le impostazioni di filtro temporali sia visualizzata a Runtime in modo specifico per consentire la configurazione di un intervallo di tempo. Procedura:

  1. Aprire nell´Editor la funzione di cambio immagine.
  2. Cliccare su Filtro.
  3. Aprire la scheda “Ora”.
  4. Selezionare l´opzione Intervallo tempo.

A Runtime, al posto dell´intera finestra di dialogo visualizzata nell´Editor, verrà offerto solo un dialogo specifico che consentirà solamente la configurazione di un intervallo di tempo. Per esempio, per l´impostazione Un giorno:

Esempio

Con questa impostazione, anche intervalli di tempo individuali, come ad esempio i turni, possono essere aperti e configurati velocemente.

Ad esempio: turno dalle 06:00 alle 14:00.

  1. Selezionare come intervallo di tempo: Un giorno.

    Un giorno dura di default dalle 00:00 alle 24:00.

  2. Settare il valore dell´opzione “Spostamento intervallo avanti di” su 6 ore.

    Adesso il giorno comincerà alle 6:00 e terminerà alle 6:00 del giorno successivo.

  3. Settare adesso il valore dell´opzione “Modifica periodo di” su 16 ore.
  4. Mantenete invariata l´opzione Sottrai orario.

    Questo significa che, partendo dalle 6:00 del giorno successivo, si tornerà indietro di 16 ore. Di conseguenza, il giorno durerà dalle 6:00 alle 14:00, il che corrisponde esattamente al turno desiderato.

  5. Trasferire i nuovi file Runtime.
  6. Riavviare il Runtime.
  7. Selezionare il giorno desiderato nel cambio immagine.

Si otterranno i dati del giorno selezionato dalle 06:00 alle 14:00.


Modifica rapida dei parametri degli assi a Runtime

Manuale -> Trend esteso -> Gestione a Runtime -> Modifica rapida dei parametri degli assi a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per definire in modo esatto i valori delle curve visualizzate, si può spostare gli assi X e Y. Lo spostamento può essere eseguito:

  • Via Drag&Drop, usando il tasto sinistro del mouse.
    • Spostando l´asse X verticalmente.
    • Spostando l´asse Y orizzontalmente
      Quando viene spostato, l´asse Y viene duplicato: mentre si sposta la copia, l´asse originale rimane al suo posto.
  • Cliccando con il tasto destro destro del mouse sull´asse, per aprire la finestra di dialogo di configurazione:
    • Scheda asse X visualizzazione YT
    • Dialogo asse Y

Quando si riapre l´immagine, lo spostamento viene annullato.


Differenze di visualizzazione dei metodi di dislocazione

Manuale -> Trend esteso -> Gestione a Runtime -> Differenze di visualizzazione dei metodi di dislocazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione a Runtime di dati di archivi dislocati dipende dal metodo di dislocamento configurato:

  • Metodo di dislocamento ARX
    Il trend disegna una linea costante fra una modifica di un valore.
    Archivi dislocati senza cambiamento di valore non vengono collegati. Si forma un Weixx.
  • Metodo di dislocamento database-SQL
    Il trend disegna una linea costante fra una modifica di un valore.
    Archivi dislocati vengono collegati fra di loro.

Esempio seguente:

Tipo di registrazione: Spontanea

Ciclo di salvataggio: Ciclico, ogni minuto

Esempio in caso di metodo di dislocamento ARX

cc

Esempio in caso di metodo di dislocamento database-SQL

cc


Variabili

Manuale -> Variabili

Le variabili, chiamate anche variabile di processo o punti di dato, sono l’interfaccia tra la sorgente dati (PLC, bus di campo) e zenon. Rappresentano determinati valori di misurazione o stati dell´hardware, incluse proprietà come scala, valori limite ecc.

Le variabili sono gestite e parametrizzate nella lista variabili centrale di un progetto e sono lì accessibili da qualsiasi punto (funzioni, variabili, archivi etc.). Nei cosiddetti progetti d´integrazione si può accedere anche a variabili di progetti subordinati.

Una variabile è basata sempre su due componenti: tipo di dato e tipo di oggetto del driver. Entrambe le componenti sono indipendenti l´una dall´altra e possono quindi essere configurate in maniera separata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova Variabile... | Apre l´assistente per la creazione di una nuova variabile.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Import/Export esteso | Apre il menù a tendina che consente di importare ed esportare progetti Step 7, dBase e CSV. Nota: ulteriori informazioni a questo proposito si trovano nella parte della guida in linea dedicata a "Import - Export", nel capitolo Importazione di progetto Step 7.
Visualizza variabili non utilizzate... | Esegue un´analisi per rilevare le variabili non utilizzate nel progetto corrente e le visualizza in una lista che viene aperta una finestra apposita.
Apri in una nuova finestra. | Apre una finestra propria per la visualizzazione e la modifica delle variabili. (Di default, essa si trova nella parte inferiore dell´editor)
Profilo Editor | Apre il menù a tendina contenente i profili Editor predefiniti.
Guida | Apre la guida online.

Ad ogni variabile possono essere conferiti attributi propri. Complessivamente sono definiti 64 stati / attributi.

info Info

Gli elementi d'immagine, che sono collegati con una variabile che non ha né valore, né stato, vengono resi invisibili durante il Runtime.

Ancora in questo capitolo

Variabili - Visualizzazione dettagli: barra degli strumenti e menù contestuale

Denominazione di oggetti

Tipi di dato

Driver

Creare, modificare e usare variabili

Concetto di trasmissione ereditaria

Calcolo valore

Valori limiti

Matrici di reazione

Funzioni per variabili

Immagine Diagnosi variabili

Cambio unità di misura


Variabili - Visualizzazione dettagli: barra degli strumenti e menù contestuale

Manuale -> Variabili -> Variabili - Visualizzazione dettagli: barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo | Azione
Nuova Variabile | Apre la finestra di dialogo che consente di creare di una nuova variabile.
Crea funzione standard | Apre l´assistente che consente di selezionare una variabile e di impostare valori e che crea di conseguenza una funzione adatta. L´azione verrà documentata nella finestra di emissione.
Utilizzo variabile | Esegue un´analisi per rilevare le variabili selezionate nel progetto attuale e le visualizza in una lista che viene aperta una finestra apposita.
Visualizza variabili non utilizzate... | Esegue un´analisi per rilevare le variabili non utilizzate nel progetto corrente e le visualizza in una lista che viene aperta una finestra apposita.
Torna all'elemento di partenza | Ritorna alla posizione di partenza nell´Editor di zenon. Nota: questa voce del menù contestuale è disponibile solamente se si è passati alla posizione attuale da un altro punto dell´Editor usando il comando di menù contestuale Elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Espandi/riduci | Menù a tendina che consente di espandere tutti nodi o quelli selezionati, oppure di ridurli.
Attiva tutte | Attiva tutti gli elementi non attivi di una variabile strutturata.
Attiva | Attiva gli elementi selezionati di una variabile strutturata.
Disattiva | Disattiva gli elementi selezionati di una variabile strutturata.
_Esporta selezione in XML | Esporta gli elementi selezionati in un file XML.
Importa file XML | Importa variabili da un file XML.
Importazione/Esportazione | Apre il menù a tendina che consente di importare ed esportare progetti Step 7, dBase e CSV. Nota: ulteriori informazioni a questo proposito si trovano nella parte della guida in linea dedicata a "Import - Export", nel capitolo Importazione di progetto Step 7.
Filtro esteso | Attiva/disattiva il filtro esteso. Apre la finestra di dialogo che consente di selezionare i criteri di filtro.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo nei valori limiti... | Apre la finestra di dialogo che consente di selezionare la dynamic property. Dopo che è stata selezionato una proprietà, se si clicca su OK si apre la finestra di dialogo per la ricerca e la sostituzione.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.

Menù contestuale

Voce di menù

Azione

Nuova Variabile

Apre la finestra di dialogo che consente di creare di una nuova variabile.

Crea funzione standard

Apre l´assistente che consente di selezionare una variabile e di impostare valori e che crea di conseguenza una funzione adatta. L´azione verrà documentata nella finestra di emissione.

Elemento collegato

Apre sottomenù che visualizza gli elementi collegati.

Utilizzo variabile...

Esegue un´analisi per rilevare le variabili selezionate nel progetto attuale e le visualizza in una lista che viene aperta una finestra apposita.

Visualizza variabili non utilizzate...

Esegue un´analisi per rilevare le variabili non utilizzate nel progetto corrente e le visualizza in una lista che viene aperta una finestra apposita.

Copia

Copia gli inserimenti selezionati negli appunti

Incolla

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Espandi/riduci nodi

Consente di espandere o ridurre tutti i nodi della lista, o solo quelli selezionati. Selezione:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Attiva tutte

Attiva tutti gli elementi non attivi di una variabile strutturata.

Attiva

Attiva gli elementi selezionati di una variabile strutturata.

Disattiva

Disattiva gli elementi selezionati di una variabile strutturata.

_Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa file XML

Importa degli inserimenti da un file XML.

Import/Export esteso

Apre il menù a tendina che consente di importare ed esportare progetti Step 7, dBase e CSV.

Nota: ulteriori informazioni a questo proposito si trovano nella parte della guida in linea dedicata a "Import - Export", nel capitolo Importazione di progetto Step 7.

Filtro esteso

Attiva/disattiva il filtro esteso

Apre la finestra di dialogo che consente di selezionare i criteri di filtro.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata

Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.

Sostituisci testo nei valori limite...

Apre la finestra di dialogo che consente di selezionare la dynamic property. Dopo che è stata selezionato una proprietà, se si clicca su OK si apre la finestra di dialogo per la ricerca e la sostituzione.

Proprietà

Apre la finestra Proprietà.

Guida

Apre la guida online.


Denominazione di oggetti

Manuale -> Variabili -> Denominazione di oggetti

Il nome di un oggetto deve essere univoco in zenon.

info Info

Quando assegnate il nome, tenete presente quanto segue:

  • I caratteri # e @ non sono consentiti per i nomi variabili.
  • La lunghezza massima di Nome, Identificazione e Valore di riempimneto arch. per tipo String è rispettivamente di 128 caratteri.
  • La lunghezza massima di Identificazione servizio è di 255 caratteri.

Per la denominazione, si distingue fra lettere maiuscole e minuscole. Ne consegue che possono essere create delle variabili con lo stesso nome, che si distinguono solamente per l´uso di lettere maiuscole e minuscole. Per esempio, le variabili test e Test sono due variabili differenti.

Attenzione: nomi identici che divergono solamente per l´uso delle lettere maiuscole e minuscole, possono provocare delle difficoltà in relazione a driver o zenon Logic, in particolare nel caso di:

  1. Configurazione driver:

    Se la denominazione driver diverge solamente per l´uso di lettere maiuscole e minuscole, entrambi i driver in questione usano lo stesso file allocazioni.

  2. zenon Logic:

    zenon Logic non distingue fra lettere maiuscole e minuscole. Due variabili che in zenon si differenziano solamente per la scrittura in lettere maiuscole e minuscole, non possono essere usate in zenon Logic. Ciò riguarda le variabili:

    • per un progetto zenon Logic con driver zenon Logic, driver IEC870 e driver IEC850.
    • che sono settate in zenon su Visibile esternamente.
    • che sono assegnate ad un driver per cui è stato creato un progetto zenon Logic per Simulazione - programmata

info Info

Raccomandazione: usate nomi oggetto univoci, che non si differenzino solamente per la scrittura in lettere maiuscole e minuscole.


Tipi di dato

Manuale -> Variabili -> Tipi di dato

Ogni variabile è basata su un tipo di dato IEC. Il tipo di dato dispone delle stesse proprietà della variabile stessa (unità, risoluzione segnale, valori limite ecc.). Un´eccezione sono le proprietà specifiche del driver, come, ad esempio, l´indirizzamento del PLC. Un tipo di dato è un modello di base per la variabile senza riferimento al processo. Il riferimento al processo viene creato per la variabile soltanto con il tipo d´oggetto del driver.

Al momento di creare una nuova variabile, dev´essere selezionato un tipo di dato. Tutte le proprietà del tipo di dato vengono riprese dalla variabile. Le proprietà vengono referenziate al tipo di dato che ne è alla base. Il che significa: quando si modifica una proprietà a livello di tipo di dato, essa sarà modificata anche in tutte le variabili che sono state crete con questo tipo di dato. Se un valore è referenziato lo si vede dal rispettivo simbolo (freccia) nella finestra delle proprietà. Questo meccanismo di trasmissione ereditaria può anche essere bloccato. Ulteriori informazioni le trovate nella sezione Concetto di trasmissione ereditaria .

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo tipo di dato semplice... | Apre il dialogo per la creazione di un nuovo tipo di dato.
Nuova struttura di dato... | Apre il dialogo per la creazione di un nuovo tipo dato strutturato.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa inserimenti da un file XML.
Guida | Apre la guida online.

Tipi di dato IEC

I tipi di dato IEC sono tipi di dato standardizzati da IEC nella norma IEC 61131-3. Al momento, zenon supporta i seguenti tipi di dato IEC:

Nome breve

Nome lungo

Commento/Intervallo valori

Numero bit

BOOL

Boolean

Bit.

Intervallo di valori: 0/1 - FALSE/TRUE

1

BYTE

Oktett

Gruppo ordinato di 8 Bit.

Intervallo di valori: 0 A +256

8

DATE

Date

Data IEC: in intervalli di 1 giorno.

Intervallo di valori: 1990-1-1 A 2168-12-31

16

DATE_AND_TIME

Date and time of day

Definisce un intervallo di tempo con 64 bit e viene salvato in formato Binary-Coded Decimal.

Intervallo di valori: 1990-1-1-0:0:0.0 A 2089-12-31-23:59:59.999

64

DINT

Double integer

Signed double

Intervallo di valori: -2147483648 A +2147483647

32

DWORD

Double Word

Numeri binati ed esadecimali con 32 bit.

Intervallo di valori: (0,0,0,0) A (255,255,255,255)

32

INT

Integer

Word con segno.

Intervallo di valori: -32768 Fino a +32767

16

LINT

Long integer

Visto che zenon non può mantenere l´intervallo valori di un numero a 64, il vero campo numeri viene limitato a 52 Bit. I numeri con segni sono possibili da –2251799813685248- 2251799813685247. I numeri al di fuori di questo intervallo causano un overflow oppure un underflow, corrispondente ad un Integer 52 Bit.

Le seguenti componenti funzionano con una piena risoluzione 64 Bit nel Runtime di zenon:

  1. Shared Memory VBA Interface, se il valore in risoluzione segnale viene indicato.
  2. Shared Memory zenon Logic interface.
  3. Il kit driver funziona per tutto l'ambito di 64 Bit, e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC.

Nota: il Manager di gruppi ricette e le ricette non possono salvare neanche un valore 52 bit con un'esattezza completa.

Intervallo di valori: -9223372036854775808 A +9223372036854775807

64 oppure 52

LREAL

Real numbers

Numero reale

Intervallo di valori: -1,7E+308 A

+1,7E+308

Esattezza: 15 cifre

64

REAL

Real numbers

Numero reale

Il tipo di dato REAL con single point precision (32-Bit) copre un ampio campo valori, ma ha un grado di precisione limitato.

Quando si convertono valori decimali in valori del tipo di dato REAL, è possibile, a seconda dalla dimensione, che occorrano errori di arrotondamento a partire dalla settima cifra decimale. Da un punto di vista tecnico, si sconsiglia, pertanto, un´amministrazione di valori decimali con più di 6 cifre significative.

Raccomandazione: usare il tipo di dato LREAL invece di REAL, se il PLC lo supporta. L´uso di questo tipo di dato garantisce una maggiore precisione rispetto al tipo di dato REAL; una maggiore esattezza che è necessaria, per esempio, per gli stati contatore.
Quando si ha a che fare con valori contati in intervalli di numeri interi, si consiglia di usare il tipo di dato Integer. Per esempio, una variabile del tipo UDINT può salvare senza errori ogni valore intero compreso fra 0 e +4.294.967.295. Se gli stati contatore superano questo limite, normalmente verranno eseguiti aggiornamenti a catena di due variabili di tipo DINT, oppure verrà resettato il contatore.

Suggerimento/Soluzione alternativa: Se, tuttavia, volete Tipo di dato REAL (per es. in caso di limitazioni dei tipi di dato dovute al PLC a disposizione), la bit string del PLC può essere letta come DINT invece che come REAL.
Questa stringa bit può essere scomposta in zenon Logic con i blocchi funzione AND_MASK e OR_MASK e si possono estrarre le componenti del valore REAL (segno, esponente, mantissa). In tal modo, si possono calcolare esatti valori numerici.

Intervallo di valori:
-3,4E+38 A +3,4E+38

Esattezza: 6 cifre

32

SINT

Short integer

Intervallo di valori Byte.

con segno: -128 A +127

8

STRING

Variable-length single byte character string

Stringa ASCII

La lunghezza massima della stringa dipende dal driver.
La lunghezza della stringa è settata di default a 5 caratteri. È possibile che, in fase di progettazione, debba essere indicata la lunghezza corretta.

Intervallo di valori: 0 fino a +254 caratteri (n)

>= 8x lunghezza della stringa.

TIME

Duration

Durata in formato IEC.
Numero intero con segno.
. Tempo IEC in intervalli di 1 ms.

Intervallo di valori: -24D_20H_31M_23S_648MS

A

24D_20H_31M_23S_647MS

32

TOD

Time of day

Orario (ora del giorno) in intervalli di 1 ms ms.

Intervallo di valori: 0:0:0.0 A 23:59:59.999

32

UDINT

Unsigned double integer

Double:

Intervallo di valori: 0 A +4294967295

32

UINT

Unsigned integer

Word.

Intervallo di valori: 0 A +65535

16

ULINT

Unsigned long integer

Visto che zenon non può mantenere l´intervallo valori di un numero a 64bit, il vero campo numeri viene limitato a 52 Bit. I numeri senza segno sono possibili da 0 a +4503599627370495. I numeri al di fuori di questo intervallo causano un overflow oppure un underflow, corrispondente ad un integer 52Bit.

Le seguenti componenti funzionano con una piena risoluzione 64 Bit nel Runtime di zenon:

  • La "shared memory VBA Interface" se il valore è indicato in risoluzione segnale.
  • La "shared memory Interface" di zenon Logic.
  • Il kit driver funziona per tutto l'ambito di 64 Bit, e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC. Al momento questi sono Sample32, Intern e STRATON32.

Il manager gruppi ricette e le ricette non possono salvare neanche un valore 52bit con un'esattezza completa.

Intervallo di valori:
0 A +18446744073709551615

64 oppure 52

USINT

Unsigned short integer

Byte:

Intervallo di valori: 0 A +255

8

WORD

Word

Numeri binati ed esadecimali con 16 bit.

Intervallo di valori: (0,0) A (255,255)

16

WSTRING

Variable-length

multi-byte character string

Contiene stringhe multi-byte, ad esempio stringhe in codifica Unicode (UTF-8 ecc).
La lunghezza stringa è settata di default a 5 caratteri. È possibile che, in fase di progettazione, debba essere indicata la lunghezza corretta.

Intervallo di valori: 0 fino a +16382 caratteri (n)

>= Nx lunghezza della stinga

Nota: per una descrizione dettagliata di come funziona la trasmissione ereditaria delle proprietà dei tipi di dato, consultare il capitolo Concetto di trasmissione ereditaria.

attention Attenzione

Nel Runtime di zenon, i tipi di dato DATE, TIME, TOD vengono trattati come un tipo di dato UDINT nel formato tempo Unix (secondi trascorsi dal 01/ 01/ 1970). Il tipo di dato DATE_AND_TIME corrisponde al tipo di dato FLOAT nel formato tempo Unix. Nel formato UNIX, il tempo viene salvato in modo esatto fino ai millisecondi (tre cifre dopo la virgola). In un primo momento, il driver trasforma il tipo di dato usato in zenon in quello corrispondente e manda il nuovo valore al PLC.
Non tutti i driver supportano questi tipi di dato. Per sapere se esso supporta i tipi di dato, leggete la documentazione del driver.

Ancora in questo capitolo

Tipi di dato - Visualizzazione dettagli - Barra simboli e menù contestuale

Forme di tipi di dato


Tipi di dato - Visualizzazione dettagli - Barra simboli e menù contestuale

Manuale -> Variabili -> Tipi di dato -> Tipi di dato - Visualizzazione dettagli - Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuovo tipo di dato semplice... | Apre il dialogo che serve a creare un nuovo tipo di dato semplice.
Nuova struttura di dato... | Apre il dialogo che serve a creare un nuovo tipo dato strutturato.
Nuovo elemento struttura | Apre il dialogo che serve ad aggiungere un elemento di struttura per un tipo dato strutturato.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
_Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa in XML | Importa degli inserimenti da un file XML.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo nei valori limiti | Apre la finestra di dialogo che consente di selezionare la dynamic property. Dopo che è stata selezionato una proprietà, se si clicca su OK si apre la finestra di dialogo per la ricerca e la sostituzione.
Proprietà | Apre la finestra Proprietà.
Guida | Apre la guida online.


Forme di tipi di dato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono principalmente due diverse forme di tipi di dato:

  • tipi di dato semplici; essi, a loro volta, consistono di:
    • tipi di dato semplici preconfigurati
    • tipi di dato semplici definiti dall´utente
  • Tipi di dato strutturato

Ancora in questo capitolo

Tipi di dato semplici preconfigurati

Tipi di dato semplici definiti dall´utente

Tipi di dato strutturato


Tipi di dato semplici preconfigurati

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici preconfigurati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Essi vengono forniti con il pacchetto standard di zenon e sono a disposizione immediatamente quando si crea una nuova variabile. Corrispondono ai tipi di dato semplici previsti dalla norma IEC 61131-3, come INT, USINT ecc. Essi definiscono un´area di valori fissa (limiti superiori e inferiori fissi) con un numero fissato di valori. Pertanto i numeri reali possono essere rappresentati come numeri in virgola mobile solamente con una certa approssimazione.

Le proprietà dei tipi di dato semplici possono essere modificate. I nomi di questi tipi di dato corrispondono ai nomi dei tipi di dato IEC. I nomi dei tipi di dato IEC non possono essere né cambiati, né cancellati.

I tipi di dato sono visibili in zenon soltanto quando nel progetto è stato creato un driver. Ogni driver ha una lista contenente i tipi di dato che esso supporta. Se un tipo di dato IEC non compare nella lista di tipi di dato, vuol dire che non è supportato da nessuno dei driver implementati.

Modifiche delle proprietà di tipi di dato hanno un effetto su tutte le variabili collegate, ed anche sui tipi dato strutturato collegati!


Tipi di dato semplici definiti dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questi tipi di dato possono essere creati dall´utente. Per la creazione viene utilizzato un tipo di dato già esistente. Al momento della creazione, tutte le proprietà di questo tipo di dato vengono copiate sul nuovo tipo di dato e possono essere poi modificate. Non esiste alcun riferimento con il tipo di dato che originariamente ne era alla base. Tutti i tipi di dato, dunque, possono essere configurati indipendentemente l´uno dall´altro.

Per i tipi di dato definiti dall´utente possono essere modificate tutte le proprietà, ivi inclusi nome e tipo di dato IEC.

attention Attenzione

Può essere che tutte le variabili che si basano su un tipo di dato per il quale viene modificato il tipo di dato IEC debbano essere configurate di nuovo manualmente.

Esempio

Un dato IEC del tipo INT viene modificato in un tipo di dato IEC BOOL. Tutti i limiti di valore impostabile di tutte le variabili, ovunque la variabile sia stata utilizzata (immagini), non sono più corretti. Questo fatto diventa particolarmente critico, se le proprietà della variabile sono state sovrascritte e non sono più collegate con il tipo di dato!

Per questa ragione, quando si crea un nuovo tipo di dato definito dall´utente, si dovrebbe sempre utilizzare un tipo di dato che ha lo stesso tipo di dato IEC di cui si ha bisogno.

attention Attenzione

Sconsigliamo vivamente di modificare in un secondo momento il tipo di dato IEC!
Dal tipo di dato IEC, infatti, dipendono moltissime impostazioni che devono essere poi configurate manualmente se esso viene modificato. (Es. risoluzione segnale, area di misurazione, isteresi, limiti di valori impostabili, adattamento non lineare del valore etc….).
In caso di modifica del tipo di dato IEC, tutte le proprietà specifiche per questo tipo di dato devono essere controllate!!! In parte le proprietà devono essere adeguate prima della modifica, dato che, p. es., per una variabile BOOL non potranno più essere modificati né la risoluzione segnale, né l´area di misurazione .

Ancora in questo capitolo

Creazione di un nuovo tipo di dato definito dall´utente

Modifica delle proprietà di un tipo di dato definito dall´utente

Cancellazione di un tipo di dato definito dall´utente


Creazione di un nuovo tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Creazione di un nuovo tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo tipo di dato definito dall´utente:

  1. Aprire il nodo Variabili.
  2. Cliccare su Tipi di dato.

    Tutti i tipi di dato già esistenti sono elencati nella visualizzazione dettagli.

    • Quando si apre la visualizzazione dettagli per la prima volta, sono elencato solo i tipi di dato predefiniti, il cui nome corrisponde a quelli IEC.
    • Un tipo di dato definito dall’utente è basato sempre su un tipo di dato IEC.
  3. Cliccare con il tasto destro del mouse nella lista.
  4. Nel menù contestuale,cliccare su Nuovo tipo di dato semplice.....

    Viene visualizzata la finestra di dialogo Crea tipo di dato semplice.

  5. Indicare il nome del tipo di dato definito dall´utente.

    Nota: la lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri!

  6. Selezionare un tipo di dato già esistente. Questo tipo di dato serve da modello per quello da creare.
  7. Cliccare sul pulsante Termina.

    Il nuovo tipo di dato definito dall´utente sarà adesso visualizzato nella lista dei tipi di dato semplici nella visualizzazione dettagli.

Nota:

  • tutte le proprietà vengono copiate nel nuovo tipo di dato. Potranno essere modificate e adeguate nella finestra di proprietà .
  • Non esisterà più nessun riferimento al tipo di dato originario dal quale è stata eseguita la copia.
  • Il nuovo tipo di dato appena creato potrà poi essere utilizzato come base per altri tipi di dato.


Modifica delle proprietà di un tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Modifica delle proprietà di un tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modifica della proprietà di un tipo di dato definito da utente può essere effettuata nella finestra di proprietà nella quale sono elencate tutte le proprietà del tipo di dato.

Vi preghiamo di tenere presente che il tipo di dato IEC non dovrebbe essere cambiato, perché, in tal caso, cambierebbe anche la risoluzione del segnale.


Cancellazione di un tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Cancellazione di un tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare il tipo di dato da cancellare nella lista della visualizzazione dettagli e confermare l´operazione di cancellazione nel box di dialogo seguente.

attention Attenzione

In caso di eliminazione di un tipo di dato definito da utente, tutte le variabili basate su questo tipo di dato verranno cancellate.


Tipi di dato strutturato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi dato strutturato sono sempre tipi di dato definiti dall'utente. Contrariamente ai tipi di dato semplici che consentono solo una lista di variabili “piana”, con questo tipo di dato può costruire una vera e proprio struttura. Questa struttura può essere anche di tipo nidificato e essere anche molto complessa.

Per creare una struttura di variabile, dev´essere prima creato un tipo dato strutturato. Una struttura consiste di un nome di struttura e di elementi di struttura. Elementi di struttura possono essere tipi di dato semplici, oppure altre strutture. Elementi di struttura possono anche essere degli array (campi) con al massimo 3 dimensioni.

attention Attenzione

Quando si crea il tipo di dato, si definisce se l´elemento di struttura usa il tipo collegato o scollegato. Non è possibile apportare delle modifiche in un secondo momento.

Esempio di tipo dato strutturato:

Nella figura qui sopra sono visualizzate due strutture:

La struttura Regolatore consiste di due elementi di struttura: Numero di giri impostabile e un Numero di giri effettivo.

  • L'elemento di struttura Engine speed actual è stato collegato al tipo di dato “INT”, il che significa, che tutte le proprietà del tipo di dato predefinito “INT” vengono ereditate da questo elemento di struttura.
  • L'elemento di struttura Numero di giri impostabile è stato reso indipendente in questa struttura. Tutte le proprietà di un tipo di dato, quindi, potranno essere impostate direttamente nell´elemento di struttura stesso.

La struttura illustrata "Motore", invece, consiste dei seguenti elementi di struttura: Activity Inpu, Charging Rate, Voltage, Temperature [3] e la struttura Engine Speed Control.

  • L'elemento di struttura Activity Input è collegato al tipo di dato predefinito “UINT”- vengono ereditate tutte le proprietà relative UINT.
  • L'elemento di struttura Charging Rate ha reso indipendente (embedded) il tipo di dato “INT” – tutte le proprietà possono essere impostate direttamente sull'elemento di struttura.
  • L´elemento di struttura Voltage è collegato con il tipo di dato definito dall´utente “Voltage”. L´elemento eredita tutte le proprietà da questo tipo di dato.
  • L'elemento di struttura Temperature è rappresentato in un array unidimensionale (un campo) di tre elementi del tipo di dato predefinito “SINT”.
  • L'elemento di struttura Engine Speed Control è collegato con alla struttura Controller, che è già stata descritta più in alto. Non possono essere inserite in modalità indipendente delle strutture in una struttura . Esse sono sempre collegate alla struttura originale. La struttura contiene altri due elementi di struttura: „Valore impostabile numero di giri“ e „Valore effettivo numero di giri“ le cui proprietà vengono accettate dalla struttura orginaria.

Ancora in questo capitolo

Creare un tipo di dato strutturato.

Aggiungere ulteriori elementi di struttura

Modificare le proprietà di un elemento di struttura

Sposta elemento di struttura

Eliminazione di un tipo dato strutturato


Creare un tipo di dato strutturato.

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Creare un tipo di dato strutturato.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedura:

  1. Cliccare con il tasto destro del mouse nella lista su un tipo di dato definito dall´utente e selezionare nel menù contestuale Nuovo tipo dato strutturato.
  2. Apparirà una finestra di dialogo nella quale potete definire il nome.

    Nota: La lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri.

  3. Concludete l'operazione con Termina. Il nome del tipo dato strutturato può essere poi modificato nella finestra di proprietà.
  4. Adesso si apre una finestra di dialogo nella quale create il primo elemento di struttura.
  5. Assegnate un nome univoco.
  6. Selezionate il tipo di dato sul quale deve basarsi l´elemento. Cliccando sul pulsante ... si apre il dialogo di selezione.

    Potete collegare anche delle strutture come elementi di struttura. Non è possibile inserire delle strutture in modo indipendente (scollegato) come elemento di struttura. Inoltre è possibile collegare solamente intere strutture e non parti di esse.

  7. Stabilite se il tipo di dato deve essere inserito in in maniera scollegata (reso indipendente), oppure collegato.
  8. Definite le dimensioni array.
    Se non volete usare nessun array, inserite la dimensione 0.
  9. Concludete l'operazione cliccando su Termina.

Inserire in modo scollegato (rendere indipendente) o collegare

Parametri | Descrizione
Elementi di struttura scollegati | Possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà vengono definite appositamente e salvate per ogni singolo elemento di struttura.
Elementi di struttura collegati | Riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario, si modificano anche tutti gli elementi di struttura collegati!


Aggiungere ulteriori elementi di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Aggiungere ulteriori elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere ulteriori elementi struttura:

  1. Cliccate con il tasto destro del mouse sul tipo di dato struttura desiderato.
  2. Selezionate nel menù contestuale Nuovo elemento di struttura
  3. Nella finestra di dialogo che si aprirà, definite:
    1. Una denominazione univoca (il nome è limitato ad un lunghezza massima di 128 caratteri)
    2. Le dimensioni array e
    3. Se volete un elemento di struttura scollegato (reso indipendente) oppure collegato.

Se adesso evidenziate il tipo di dato struttura nella visuale dettagliata, gli elementi struttura già esistenti vengono visualizzati come sotto-punti.


Modificare le proprietà di un elemento di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Modificare le proprietà di un elemento di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare le proprietà di un elemento struttura:

Elementi di struttura scollegati (resi indipendenti)

  1. Selezionare l´elemento di struttura nella visualizzazione dettagliata.
  2. Nella finestra delle proprietà, modificare la proprietà desiderata.

Elemento di struttura collegato

Per quello che riguarda gli elementi di struttura collegati, si può modificare nella finestra delle proprietà:

  • Nome
    Nota: se, dopo la rinomina, si ha un nome di variabile non valido, verrà visualizzato un avviso che la variabile non verrà attivata. Questo vale anche per l´importazione XML.
  • Offset
  • dimensione dell´array
  • Descrizione

Tutte le altre proprietà devono essere modificate direttamente nel tipo di dato originario.

attention Attenzione

Vi preghiamo di tenere presente che le modifiche sul tipo di dato hanno effetto immediato su tutte le variabili collegate ed anche su tutti gli altri tipi dato strutturato che avete collegato a questo tipo di dato!

Non si consiglia di effettuare delle modifiche al tipo di dato. Esse devono essere preparate in modo molto prudente ed effettuate con attenzione. Soprattutto per quello che riguarda le impostazioni del tipo di dato IEC, dell´area di misurazione, dei limiti di valori impostabili ecc.

Si corre il rischio, infatti, di dover modificare manualmente tutte le variabili e le immagini in cui vengono usate queste variabili!


Sposta elemento di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Sposta elemento di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi di un tipo di dato struttura possono essere spostati per per Drag&Drop. Per spostare degli elementi:

  1. Selezionare l´elemento desiderato.
  2. Si possono selezionare anche più elementi correlati.
  3. Cliccare nella selezione e trasportare gli elementi al posto desiderato

Nel caso di progetti multiutente, il sistema provvederà a verificare se lo stato del tipo di dato da modificare è settato su Rendi possibili le modifiche, oppure se può essere settato in tal modo.

Spostare più oggetti

Elementi correlati possono essere spostati via Drag&Drop. In questo caso, valgono le seguenti regole:

  • Possono essere spostati solo elementi di struttura correlati.

  • Nel caso di una selezione multipla, se rileva l´esistenza di una lacuna, il sistema non consentirà di effettuare l´azione “drop”.


Eliminazione di un tipo dato strutturato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Eliminazione di un tipo dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eliminare un tipo dato strutturato:

  1. Cliccare nella lista con il tasto destro del mouse sul tipo dato strutturato desiderato.
  2. Nel menù contestuale, selezionare la voce Elimina.
  3. Il tipo dato strutturato viene eliminato con tutti i suoi elementi struttura.

attention Attenzione

Anche tutte le variabili basate su questo tipo dato strutturato verrano eliminate!!


Driver

Manuale -> Variabili -> Driver

zenon offre più di 300 diverse connessioni ai più diversi PLC, sistemi bus e applicazioni.

Per potere comunicare con una fonte di dati è necessario collegarsi attraverso un driver di interfaccia (driver di protocollo). Il driver crea il collegamento tra un PLC e zenon. La sorgente dati però non deve essere necessariamente un PLC. Il driver DDE comunica con un server DDE, il driver OPC client con un server OPC ed il driver SNMP con gli agenti SNMP ecc.

C´è a disposizione un gran numero di driver diversi che possono anche essere utilizzati in parallelo.

attention Attenzione

Con Windows CE può essere lanciato solo un tipo di driver alla volta.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo driver... | Apre la finestra contenente la lista dei driver disponibili.
Guida | Apre la guida online.

Al momento della creazione di una nuova variabile, si deve sempre definire il driver per il quale la variabile viene creata.

I driver di zenon sono driver protocollo. Non sono da confondere con driver d´interfaccia del sistema operativo (p.e. driver per una scheda LAN o driver per un´interfaccia seriale). I driver di zenon sono sempre basati sui driver d´interfaccia del sistema operativo e comunicano attraverso il protocollo (p.e. Modbus RTU, MPI, Melsec A ecc), che è comprensibile per il rispettivo PLC.

I driver di base sono a disposizione gratuitamente in zenon: Le variabili basate su questi driver non sono considerate nel calcolo della licenza:

Parametri

Descrizione

Driver di simulazione SIMUL32

Per variabili interne.

Le variabili generate all' interno dello scada (variabili harddisk, Merker) possono essere definite come oggetti merker; per la simulazione dinamica gli oggetti merker possono cambiare automaticamente il valore!

Driver matematico MATHDR32

Le variabili di questo driver servono al calcolo di funzioni matematiche, oppure per contatori impulsi e contatori ore di servizio.

Driver di sistema Sysdrv

Variabili per il monitoraggio e la gestione dell´hardware, della rete ed altre proprietà specifiche progetto.

Driver interno Intern

Variabili definibili dall'utente senza collegamento con un PLC. (Simili alle variabili del driver di sistema definibili dall'utente).

Ogni variabile ha il suo valore individuale. Non è possibile, dunque, per es. estrarre delle variabili Bit o Byte da una variabile Integer.

La progettazione di informazioni sull'indirizzo non è necessaria; le proprietà interessate non possono essere modificate neanche nella finestra di proprietà.

Trovate le descrizioni dettagliate dei singoli driver nelle corrispondenti documentazioni, che sono a vostra disposizione nella guida online, nel capitolo Driver.

Al momento della creazione di un nuovo driver, viene aperto un dialogo di selezione dove sono elencati tutti i driver disponibili. Le informazioni di questo dialogo sono salvate nei file Treiber_DE.xml, Treiber_EN.xml, a seconda della lingua. Se volete aprire o modificare i singoli file XML, potete utilizzare il tool driverinfo.exe.

Ancora in questo capitolo

Tipo di oggetto del driver

Creare un driver

Configurazione di un driver

Simulazione driver

Cambiare driver

Eliminare un driver

Dettagli di comunicazione

Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Documentazioni driver


Tipo di oggetto del driver

Manuale -> Variabili -> Driver -> Tipo di oggetto del driver

I tipi di oggetto del driver determinano quale area di una variabile deve essere indirizzata nel PLC. Attualmente i produttori usano diverse denominazioni per le aree nei loro PLC. Nel mondo Siemens ci sono blocchi dati, markers, in/output ecc; nel mondo Modbus ci sono coil e Holding register. Ogni driver mette a disposizione internamente una lista contenente i tipo di oggetto del driver disponibili. Quando si crea una nuova variabile deve essere definito a quale area nel PLC è assegnata la variabile.

Nota: i tipi di oggetto del driver non sono traducibili. Vengono visualizzati sempre nella lingua in cui sono stati creati, indipendentemente dalla lingua dell´Editor. Questo vale anche per i nomi dei driver.

Separazione netta fra tipo di dato e tipo di oggetto del driver

La separazione netta consente di creare una struttura come tipo di dato in modo completamente indipendente e, per questo, in modo indipendente dal PLC. Questa struttura può essere assegnata a qualunque driver come variabile. Usando il driver corrispondente, ad esempio, è possibile collegare una struttura 1:1 sia con un PLC Siemens che con un PLC Modbus.


Creare un driver

Manuale -> Variabili -> Driver -> Creare un driver

Nella finestra di dialogo Creazione driver, selezionare nella lista il driver che si vuole creare.

Parametri | Descrizione
Driver disponibili | Lista di tutti i driver disponibili. I driver disponibili sono visualizzati in una struttura ad albero: Cliccando su [+] si estende il ´corrispondente nodo della struttura ad albero: verranno visualizzati tutti i driver in esso contenuti. Cliccando su [-] si riduce il nodo della struttura ad albero. Default: Nessuna selezione
Nome del driver | Nome univoco del driver. Default: vuoto Dopo che è stato selezionato un driver nella lista di quelli disponibili, nel campo di inserimento viene inserito il Nome predefinito.
Informazioni sul driver | Informazioni sul driver selezionato. Default: vuoto Dopo che è stato selezionato un driver nella lista di quelli disponibili, vengono visualizzate in questa area le informazioni riguardanti il driver selezionato.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica tutte le impostazioni e apre la finestra di dialogo di configurazione del driver selezionato.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

I contenuti di questa finestra di dialogo sono salvati nel file Driver_[Abbreviazione].xml. Questo file si trova nella cartella C:\ProgramData\COPA-DATA\zenon[Numero versione].

Creare un nuovo driver

Per creare un nuovo driver:

  1. Nel Manager di progetto, cliccare con il tasto destro del mouse sul nodo Driver e selezionare nel menù contestuale Nuovo driver....
    Alternativa: cliccare sul pulsante Nuovo driver della barra degli strumenti nella visualizzazione dettagli delle Variabili.
    Si apre la finestra di dialogo Creazione driver.
  2. La finestra di dialogo contiene una lista dei driver disponibili.

  3. Selezionare il driver desiderato e assegnargli un nome nel campo di inserimento Nome del driver.
    Questo campo di inserimento corrisponde alla proprietà Nome. Per Default, il nome del driver selezionato viene inserito automaticamente in questo campo di inserimento.
    Per il Nome del driver vale quanto segue:
    • Il Nome del driver del driver deve essere univoco.
      Se un driver è utilizzato più volte in un progetto, gli si deve attribuire ogni volta un nuovo nome.
      Il sistema esegue un´analisi corrispondente quando si clicca sul pulsante OK di questa finestra di dialogo. Se un driver esiste già in un progetto, il sistema ne informa l´utente visualizzando un avvertimento.
    • Il Nome del driver del driver è una parte del nome file.
      Perciò può contenere solamente caratteri che vengono supportati dal sistema operativo. I caratteri non validi verranno sostituiti da una lineetta bassa (_).
    • Attenzione: il nome non può essere cambiato in seguito.
  4. Confermare la finestra di dialogo cliccando sul pulsante OK
    Si apre la finestra di dialogo di configurazione del driver selezionato.

Nota: i nomi dei driver non sono traducibili. Vengono visualizzati sempre nella lingua in cui sono stati creati, indipendentemente dalla lingua dell´Editor. Questo vale anche per i tipo di oggetto del driver.

Finestra di dialogo Nome del driver già in uso

Se un driver esiste già in un progetto, il sistema ne informa l´utente visualizzando una finestra di dialogo. Se si clicca sul pulsante OK, la finestra di dialogo di avvertimento viene chiusa. Poi si potrà assegnare al driver un nome univoco.

Progetto <CD_PRODUCNTAME>

I seguenti driver vengono creati automaticamente quando si crea un nuovo progetto:

  • Intern
  • MathDr32
  • SysDrv

info Info

In un progetto di zenon devono esistere assolutamente solo i driver necessari. Se necessario, altri driver potranno essere aggiunti in un secondo momento.


Configurazione di un driver

Manuale -> Variabili -> Driver -> Configurazione di un driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un driver, si apre il dialogo di configurazione corrispondente. Se si vuole aprire il dialogo in un secondo momento per poter eseguire delle modifiche alla configurazione, cliccare due volte sul driver nella lista, oppure cliccare sulla proprietà Configurazione.

Opzione

Descrizione

Mode

Consente di passare fra modalità hardware e modalità di simulazione.

  • Hardware:
    Viene stabilita una connessione con il PLC.
  • Simulazione - statica:
    Non viene stabilita nessuna comunicazione con il PLC, i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti, oppure le variabili mantengono i valori settati mediante zenon Logic. Ogni variabile ha il suo proprio settore di salvataggio. Per esempio: due variabili del tipo merker con offset 79 possono avere diversi valori nel Runtime, e non si influenzano reciprocamente. Eccezione: Driver di simulazione.
  • Simulazione – conta:
    Non viene stabilita nessuna comunicazione con il PLC, i valori vengono simulati dal driver. In questa modalità, il driver incrementa i valori nell'ambito della loro area di misurazione in modo automatico.
  • Simulazione - programmata:
    Non viene stabilita nessuna comunicazione con il PLC, i valori vengono simulati da un progetto di simulazione configurabile a piacimento. Il progetto di simulazione viene realizzato con il workbench di zenon Logic ed è eseguito in un Runtime di zenon Logic integrato nel driver. Per i dettagli vedi il capitolo Simulazione driver.

Tenere variabili in memoria

Le variabili che sono state richieste una volta vengono richieste anche in seguito dal PLC, anche se esse non sono più necessarie.
Ciò ha il vantaggio che, ad esempio, i cambi immagini ripetuti vengono velocizzati dopo la prima apertura visto che le variabili non devono essere richieste nuovamente. Lo svantaggio è un maggiore carico della comunicazione verso il PLC.

Settare le uscite

Attiva: gli output possono essere settati.

Non attiva: la scrittura degli output non è consentita.

Nota: non è disponibile per ogni driver.

Immagine di variabile ritentiva

Questa opzione salva e ripristina il valore attuale, il time stamp e lo stato di una variabile.

Requisito fondamentale: la variabile deve avere un valore e un time stamp validi.

L´immagine della variabile viene salvata in modalità hardware se:

  • uno degli stati da S_MERKER_1(0) a S_MERKER8(7), REVISION(9), AUS(20) o ERSATZWERT(27) è attivo.

L´immagine della variabile viene salvata sempre se:

  • La variabile ha il tipo di oggetto Dettagli di comunicazione
  • Il driver è eseguito in modalità di simulazione (simulazione non programmata).

I seguenti stati non vengono ripristinati all´avvio del Runtime:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

La modalità Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentiva.

Stop al server standby

Impostazione per la ridondanza con driver che consentono solamente una connessione di comunicazione. In questo caso il driver verrà terminato sul Server-Standby e riavviato solamente quando quest´ultimo verrà settato come server.

Attenzione: se questa opzione è attiva, non è più possibile assicurare un´archiviazione completa e senza soluzioni di continuità.

Attiva: fa passare automaticamente il driver sul server non primario in uno stato simile a quello di stop. A differenza di quando accade in caso di stop mediante il comando driver, la variabile non riceve lo stato spento, ma un valore vuoto. In tal modo il sistema evita che, nell´upgrade al ruolo di server, vengano creati dei valori non rilevanti in AML, CEL e archivi.

Nota: non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata a zenon Operator, nel capitolo CE Terminal come data server.

Tempo di update globale

Attiva: il tempo di update globale impostato in ms viene usato per tutte le variabili del progetto. La priorità impostata nelle variabili non viene utilizzata.
Disattivo: le priorità impostate vengono usate per le singole variabili.

Priorità

Qui si impostano i tempi di polling per le singole classi di priorità. Per tutte le variabili con la corrispondente priorità viene realizzato il polling nel tempo impostato.

L'assegnazione alle variabili viene effettuata in modo separato per ogni variabile mediante l'impostazione nelle proprietà delle variabili.
Con le classi di priorità la comunicazione delle singole variabili può essere ridotta secondo i criteri dell'importanza e della attualità necessaria. Ne deriva una migliore distribuzione del carico della comunicazione.

Attenzione: le classi di priorità non sono supportate da tutti i driver. I driver a comunicazione spontanea, ad esempio, non le supportano.

Chiudi finestra di dialogo.

Opzione | Descrizione
Ok | Accetta le modifiche in tutte le schede e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Tempo di update per driver ciclici

Per i driver ciclici vale quanto segue:

Con Imposta valore, Advising di variabili e Requests, viene attivato immediatamente un ciclo di lettura per tutti i driver, indipendentemente dal tempo impostato per l´update. In tal modo c´è la garanzia che il valore, dopo la scrittura, sia subito disponibile nella visualizzazione. Per questa ragione, nel caso di driver ciclici i tempi dell´update possono essere più corti di quanto è stato fissato in fase di impostazione.


Simulazione driver

Manuale -> Variabili -> Driver -> Simulazione driver

Se, al momento della progettazione, non è disponibile il processo di base, quest´ultimo può essere simulato e poi testato. A tal scopo, sono a disposizione tre modalità:

  • Simulazione - statica: valori constanti simulati dal driver.
  • Simulazione - conta: i valori simulati dal driver vengono calcolati
  • Simulazione - programmata: i valori vengono calcolati mediante un progetto di simulazione con zenon Logic

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.

Nota: Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

info Info

Le variabili di zenon che rappresentano , IO variabili zenon Logic, non sono disponibili nel progetto nello stato Simulazione driver - programmata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Simulazione statica

Simulazione – conta

Simulazione - programmata


Simulazione statica

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione statica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione statica, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti. I valori possono essere modificati dal runtime oppure dall´utente. Al riavvio del runtime con Simulazione - statica, tuttavia, questi valori non verranno salvati e andranno dunque perduti.


Simulazione – conta

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione – conta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione - conta, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità il driver incrementa i valori automaticamente all´interno di un intervallo valori cominciando da 0. Quando si raggiunge il valore massimo, il procedimento di conta riprende da 0.

info Info

Se si hanno valori di partenza negativi, il procedimento di conta inizia solamente da 0.

INT usa per contare il valore massimo di USINT.

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.


Simulazione - programmata

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione programmata, non viene instaurata una comunicazione con il controller; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene creato con l´aiuto del workbench di zenon Logic ed eseguito nel runtime di zenon Logic. Ciò consente di modificare lo stato e il time stamp di variabili sul driver. I comandi di scrittura su variabili vengono trasmessi alla simulazione tramite zenon; il server ridondante e il server di standby vengono sincronizzati. In tal modo è possibile simulare anche procedimenti complessi.

Per avviare il programma di simulazione selezionate nella Configurazione driver la modalità Simulazione - programmata.

info Info

Windows CE

La simulazione-programmata non è disponibile sotto Windows CE.

Ancora in questo capitolo

Editor

Configurazione driver.

zenon Logic Workbench

Runtime

Indicazioni sulle variabili in progetti di simulazione

Messaggi d'errore


Editor

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Crea progetto

Elimina progetto

Engineering distribuito

Cambia driver

XML-Export/Import


Crea progetto

Crea progetto

Per poter creare un progetto per la simulazione - programmata, si deve procedere come segue:

  • si deve selezionare un solo driver di processo
  • il nome progetto deve essere valido.

attention Attenzione

Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

Per creare un progetto di simulazione:

  • cliccate all´interno del gruppo Progetto di simulazione del driver, in corrispondenza della proprietà Modifica su Clicca qui ->
  • viene creato un nuovo progetto zenon Logic
  • Nome e numero di porta per Porta eventi e Porta standard vengono attribuiti automaticamente; potete modificarli a piacere.
  • viene aperto il workbench di zenon Logic

Il workbench del progetto di simulazione viene chiuso automaticamente se:

  • si chiude l´editor di zenon
  • si cancella un driver il cui progetto di simulazione viene redatto al momento nel workbench
  • il progetto di simulazione per il driver viene chiuso usando la proprietà Elimina
  • il progetto di simulazione viene rinominato

info Info

Numeri di porta: Quando viene generato il progetto di simulazione, gli viene assegnato automaticamente un numero di porta univoco. Un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multi-gerarchici, ci si deve assicurare che un numero di porta sia usato una sola volta in tutti i progetti eseguiti nel Runtime. Se un numero di porta viene usato più di una volta, infatti, si possono verificare degli errori di comunicazione con il Workbench/Runtime di zenon Logic.

I numeri di porta possono essere modificati ed adeguati manualmente. Un numero di porta deve soddisfare le seguenti condizioni:

  • Deve essere libero nel progetto.
  • Deve essere univoco per tutti i progetti che sono eseguiti nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, si consiglia adeguamento manuale)
  • Massimo: 6999 (in caso di assegnazione automatica, si consiglia adeguamento manuale)

Luogo in cui salvare il progetto

Un progetto zenon Logic contiene molti file e cartelle. Per facilitare il lavoro, soprattutto nel caso di una progettazione distribuita, tutti i file vengono salvati in forma compatta nel file Simul_<Treiber-ID>.zip che si trova nella cartella <Sql Projekt Pfad>\FILES\zenon\custom\drivers. Nell´editor, questo file si trova con quelli del driver. Al momento dell´avvio del workbench di zenon Logic, i file vengono decompressi automaticamente e, al momento della chiusura del workbench, vengono di nuovo compressi.

Crea variabili

Quando si creano delle variabili in un progetto di simulazione, è importante procedere rispettando la seguente successione di passaggi:

  1. prima di tutto create la variabile
  2. selezionate poi il tipo di dato valido nel workbench di zenon Logic
  3. solo dopo attivate la proprietà embed symbol

Background: le variabili vengono create di default con il tipo di oggetto driver PLC marker. Questo tipo di oggetto non supporta per tutti i driver tutti i tipi di dato. Se una variabile viene copiata nel workbench di zenon Logic con la proprietà embed symbol attiva, quest´ultima dovrà essere disattivata per poter poi procedere al cambiamento del tipo di dato. In tal modo, la variabile viene cancellata in zenon.

info Info

Segnalazione di errore "Can not create variable"

Non è possibile creare una variabile nell´oggetto di simulazione se il driver non ha nessun tipo di oggetto driver (escluso

Variabile del driver) che supporta questo tipo di dato.

Quando si attiva embed symbol, verrà poi visualizzata la segnalazione di errore "can not create variable".

Tipo di dato strutturato

Quando si creano delle variabili con un tipo dato strutturato, avviene quanto segue:

  • le variabili vengono create, se possibile, con il tipo di oggetto driver PLC marker.
  • il sistema prova tutti i tipi di oggetto driver (fatta eccezione per Variabile del driver) finché non ne trova uno utilizzabile per tutti gli elementi.
  • se non è disponibile nessun tipo di oggetto driver adeguato, avviene quanto segue:
    • non viene creata nessuna variabile nel caso di non-variabili struttura
    • nel caso delle variabili struttura, si usa il tipo di oggetto driver PLC marker.

Esempio:

un tipo dato strutturato contiene elementi del tipo UINT e STRING. Viene creata una variabile per il driver S7TCP e embed symbol viene attivata.

  • La variabile non viene creata in PLC marker, ma come Ext. Datablock, in cui sono presenti tutti gli elementi di struttura.
  • Viene aggiunto un nuovo tipo LINT; esso non viene supportato da Ext. Datablock.
  • Quando si crea una nuova variabile, essa viene impostata come tipo PLC marker. Può essere attivata solamente la prima variabile complessa (UINT). Nel caso della variabile strutturata esistente, il tipo di oggetto rimana Ext. Datablock e l´ultimo elemento di struttura (LINT) non può essere attivato.

Compilazione dei file

Se un progetto di simulazione viene compilato nel workbench di zenon Logic, ciò comporta in zenon la creazione delle variabili e del file di programma nel runtime.
Nel compilare, nella cartella runtime \RT\FILES\zenon\custom\drivers viene generata una sottocartella con il nome del progetto di simulazione. In questa cartella viene poi depositato il file con il codice della simulazione in SIMULRT.COD.

Durante la compilazione, nella finestra di emissione viene visualizzata la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

attention Attenzione

Nel caso di Progetti multiutente, non si può creare nessun nuovo progetto di simulazione offline. Esso non può essere più cancellato.


Elimina progetto

Elimina progetto

Per cancellare un progetto di simulazione:

  1. cliccate all´interno del gruppo- Progetto di simulazione del driver in corrispondenza della proprietà Elimina sul pulsante su Clicca qui >
  2. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza
  3. il file ZIP contenente i file di progetto viene cancellato subito
  4. il workbench di zenon Logic viene chiuso

Tenere presente quanto segue:

  • la cartella Runtime per il progetto di simulazione, invece, viene conservata
  • la funzione Annulla non è disponibile per questa azione,
  • cliccando su Modifica si crea un nuovo progetto di simulazione
  • nel caso di Progetti multiutente:
    • si deve configurare il driver su Consenti modifiche per consentire la cancellazione del programma di simulazione
    • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;

      se si cerca di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.

    • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Il progetto di simulazione viene rimosso già al momento della cancellazione dalla banca dati locale e da quella del server. Non sarà possibile annullare questa operazione!

Nota: Anche la cancellazione del file ZIP con i file del driver porta all´eliminazione del progetto di simulazione. Requisito il workbench di zenon Logic per questo driver non è aperto. Si sconsiglia di adottare questa procedura!


Engineering distribuito

Engineering distribuito

Nel caso di progetti multiutente, tutte le funzionanti workbench zenon Logic appartenenti al progetto vengono chiuse per la simulazione driver in corrispondenza di:

  • Riprendi modifiche per moduli, che per Permetti modifiche vengono completamente bloccati per altri utenti, come variabili, driver e tipi di dato.
  • Cancella modifiche:
    • non vengono creati nuovi progetti sul server
    • le modifiche vanno perse nel programma di simulazione
    • i file driver non presenti nella banca dati del server vengono cancellati anche nelle banche dati locali
  • Sincronizza:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.
  • Attualizza la versione locale:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.

attention Attenzione

Lo stato del file ZIP del progetto di simulazione non deve essere in alcun modo modificato extra (, Permetti modifiche, Rifiuta modifiche Stato Multiuser), per salvare operazioni corrette Riprendi modifiche e Permetti modifichedel driver!

Elimina progetto

Nel caso di Progetti multiutente

  • si deve configurare il driver su Consenti modifiche per far sì che il programma di simulazione possa essere cancellato.
  • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;
    • se si cerca di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.
  • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Un progetto di simulazione con lo stato rendere possibili le modifiche, nella modalità Offline non può essere cancellato.

per questa ragione un progetto di simulazione generato in un progetto multiutente offline non può essere più cancellato.


Cambia driver

Cambia driver

Nel caso di cambiamento di driver in zenon vale quanto segue:

  • Il progetto di simulazione rimane.
  • Tuttavia, tutte le porte vengono settate su 0. Per ottenere numeri di porta funzionanti, aprite il progetto nell´Editor. Il sistema provvederà automaticamente a inserire nuovi numeri di porta. Questi possono essere anche assegnati manualmente.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML-Export/Import

XML-Export/Import

Un progetto in modalità simulazione - programmata può essere esportato via XML. Non può essere importato però come nuovo progetto per un altro driver.

Workaround:

  1. Esportate i programmi zenon Logic.
  2. Importateli nel nuovo progetto per il nuovo driver.
  3. Sostituite le variabili mediante Cerca e Sostituisci.


Configurazione driver.

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Configurazione driver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando procedete alla configurazione del driver, sono a Vostra disposizione quattro modalità:

  • Hardware
  • Simulazione – conta
  • Simulazione statica
  • Simulazione - programmata

Selezionate la modalità Simulazione - programmata.

Ancora in questo capitolo

Stato Variabile driver

Sincronizzazione ciclica


Stato Variabile driver

Stato Variabile driver

Lo stato del runtime di zenon Logic viene visualizzato nella variabile driver SimulRTState su Offset 60. La variabile è numerica e non può essere scritta. Il valore fornisce informazioni sullo stato del runtime:

Bit | Significato | Descrizione
31 | senza applicazione | Runtime non ha caricato nessun programma; il programma è stato bloccato, oppure non è caricato nel runtime.
30 | non istanziato | Il runtime non è stato istanziato, per esempio perché non è stato possibile caricare DLL con il runtime, oppure perché non c`è abbastanza spazio di memoria, oppure perché DLL non è disponibile o lo è nella versione sbagliata.
18 | p-code available | p-Code è disponibile insieme a codice compilato; è possibile passare dall´uno all´altro.
17 | compiled code active | Il runtime è funzionante con code compilato (altrimenti: p-Code interpretato).
16 | compiled code available | compiled code di C-Compiler è disponibile.
15 | application is loaded | un´applicazione è presente, il runtime funziona.
14 | cant start - missing handlers | Mancano alcune funzioni "C".
13 | active breakpoints installed | E´stato settato dal debugger almeno un breakpoint.
12 | CT segment exists | L´applicazione è stata compilata con l´opzione "complex variables in separate segment".
11 | Riservato | (Interno, solo per il runtime.)
10 | sysinfo request is available | (Interno, solo per il runtime.)
9 | freeze event production | Binding non trasmette nessun evento.
8 | single cycle mode | (Interno, solo per il runtime e debugger)
7 | Riservato | (Interno, solo per il runtime.)
6 | locked variables | Perlomeno una variabile è bloccata.
5 | trigo functions are in degrees | Le funzioni trigonometriche vengono indicate in gradi.
4 | log message(s) in stack | (Interno, solo per il runtime.)
3 | application stopped between 2 progs | Il runtime é stato bloccato nell´effettuazione dell´operazione di debugging nel mezzo di due passaggi.
2 | application stopped on SFC breakpt | (Interno, solo per il runtime.)
1 | application stopped on error | Il runtime viene bloccato per errore grave. Necessario un nuovo start.
0 | application is running | TRUE = l´applicazione è nella modalità "run". FALSE = l´applicazione fa una pausa nella modalità "cycle to cycle".

info Info

La variabile driver SimulRTState con Offset 60 indica lo stato del runtime sul server. Ciò vale anche se viene visualizzata la variabile sul server in standby.


Sincronizzazione ciclica

Sincronizzazione ciclica

Le simulazioni funzionano in rete sul server e sul Server-Standby in modo autonomo. Al momento dello start del Server-Standby si verifica una sincronizzazione con il server, ma:

  • se questa prima sincronizzazione viene rimandata in modo corrispondente alla scadenza pacchetti
  • delle piccole differenze portano a crescenti divergenze nell´esecuzione.

Anche lo stato delle variabili simulate varia. Per limitare l´entità di queste differenze, sfruttate la funzione Trasmetti Immagine di simulazione driver allo standby per la sincronizzazione dell´immagine di simulazione:

  • Creare una nuova funzione.
  • selezionate Trasmetti driver-immagine di simulazione allo standby

  • Si apre il dialogo per la selezione dei driver.

  • nella lista sono indicati tutti i driver collegati al processo (escluso simulatore) disponibili (cliccate sulla cima della colonne per cambiare il criterio secondo il quale i driver sono ordinati nella lista).
  • selezionate adesso quel driver che devono essere sincronizzati
  • per ogni richiamo della funzione sul Server-Standby viene richiesta un´immagine dal server per il driver selezionato.

Mediante attivazione ciclica, possono essere ridotte al minimo le differenze nello stato di simulazione attuale. Adattate la griglia dell´esecuzione alla quantità dei dati da sincronizzare, visto che questa operazione significa un carico per rete e computer.

La Esecuzione: della funzione è impostata in modo fisso a Server Standby e non può essere modificata. Essa si verifica solamente se:

  • il calcolatore è il Server-Standby
  • il server online è
  • il progetto è un progetto di rete
  • sono stati selezionati driver per la sincronizzazione

Per modificare la selezione del driver

  • cliccate nelle proprietà del driver sul gruppo Generale e sulla proprietà Parametri
  • Si apre il dialogo per la selezione dei driver.


zenon Logic Workbench

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Simulazione - programmata viene programmata nel workbench zenon Logic, che collabora in modo stretto con l´Editor di zenon. Per la simulazione (a differenza della soluzione integrata) vengono scambiate fra gli editor solamente le variabili di un driver.

Definizione delle variabili da scambiare

Al momento dell´avvio del workbench di zenon Logic, tutte le variabili del driver che non sono ancora esistenti in zenon Logic vengono impostate come variabili globali. Per queste ultime è sempre attiva automaticamente l´impostazione Rendere simbolo indipendente.

Visibilità

Se si definisce nel workbench una nuova variabile nell´area globale oppure ritentiva, essa è visibile solamente in zenon Logic. Per renderla visibile anche in zenon, deve essere attivata l´opzione Rendi indipendenti simboli. A partire da questo momento, la variabile viene attualizzata da entrambi gli editor.

Nel caso in cui si disattiva per la variabile l´opzione Rendere simbolo indipendente, la variabile viene cancellata nell´editor di zenon. Questo comportamento del sistema permette di definire in zenon Logic delle variabili globali e ritentive, che non sono visibili per zenon.

Per una variabile creata con il workbench di zenon Logic in zenon, il sistema prova l´assegnazione all´area SPSMERKER. Se però il zenon Drivernon supporta il tipo di dato configurato in essa, il sistema cerca la prima area dati che supporta questo tipo di dato. Se il sistema non trova nessun´area, la variabile non può essere impostata.

Una variabile è bloccata solamente se si ha un Progetto multiutente e quest´ultimo non possiede ancora lo stato Abilitare le modifiche.

Impostazioni di progetto

Alcune impostazioni sotto Progetto -> Parametri-progetto.... -> Altre opzioni -> Estese in zenon Logic hanno influenza sulla funzionalità della simulazione.

Impostazioni Estese

Descrizione

Runtime: Modalità di esecuzione

Consigli:

Modalità: con trigger

Tempo di ciclo: da 1/4 a 1/3 del tempo necessario all´attualizzazione del driver
Delle modifiche di valore troppo frequenti di variabili simulate portano a sottoporre il computer ad un carico elevato

Compiler/Opzioni: Rendere indipendenti simboli di tutte le variabili

Consigli: disattivare.
Attiva: i dati per una variabile vengono scambiati visto che l´assegnazione avviene nel runtime mediate i nomi simbolo.

Ma: le modifiche alla progettazione delle variabili non vengono attualizzate fra zenon e zenon Logic. non è più possibile l´online change.

Compiler/Opzioni: mantenere la scrittura in lettere maiuscole/minuscole dei simboli.

Senza conseguenza: nel runtime, i nomi variabili vengono sempre convertiti nella scrittura in lettere maiuscole.

Compiler/Opzioni: impostare bit di stato per variabili con profilo.

Attivo: Nel programma di simulazione lo stato delle variabili viene simulato o il sistema reagisce ad esso.

„C" Compiler

Nativer Code viene supportato.

Nome del DLL che deve contenere il codice compilato: t5app.dll.


Runtime

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Funzionalità

Array e simulazione

File Runtime

Scambio dati

Formato dati

Ridondanza

Stato

Start/Stop

Comandi driver

Assegnazione variabili

Data e ora


Funzionalità

Funzionalità

Il runtime di zenon Logic mette a disposizione le seguenti funzionalità.

  • Trasferimento file
  • Tipi di dato:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Array di zenon (vedi anche Array e simulazione)
  • Dato relativo alla data/ dato ora
  • Registrazione valori digitale
  • Blocchi funzione collegati in modo dinamico, reperibili in t5block*.dll
  • Hot restart
  • Logging:
    • Segnalazioni Trace del programma (printf)
    • Segnalazioni errore del Runtime
    • Tutte a Workbench a e Diagnosis Server
  • Codice macchina: Native compiled code con C-Postcompiler (non disponibile per Windows CE)
  • Online change
  • Linguaggi di programmazione: AWL, AS, FUP, KOP, ST
  • Dati Retain (dati ritentivi)
  • Blocchi funzioni e features speciali:
    • serializzazione dati
    • Occupazione di memoria dinamica
    • Ricette indipendenti
    • Lista variabile indipendente
    • File Management
    • Files
    • Mathe
    • Random
    • Segnali
    • Tabelle stringe
    • Trigonometria
    • Ora
  • Comunicazione spontanea:
    • Cambio valori come evento
    • 16 collegamenti
    • Isteresi
  • UDP & TCP/IP per linguaggi IEC
  • Variabili - Interblocco


Array e simulazione

Array e simulazione

Per simulare array multidimensionali nel contesto di una simulazione driver, dovete attivare nel workbench di zenon Logic la proprietà "Salva variabili complesse in segmento proprio".

Array con indice di partenza 1

Se, nel corso di una simulazione, ci sono degli array con indice di partenza 1, questi vengono creati nel workbench di zenon Logic con un ulteriore indice.

Example Esempio

Un array dispone in zenon degli indici da 1 a 4. Questo tipo di array ha, invece, nel workbench di zenon Logic gli indizi da 0 a 4.

In tal modo si assicura che in zenon e in zenon Logic vengano usati gli stessi indici. L´indice 0 non viene trasmesso al driver.

Se cambiate degli array nel workbench di zenon Logic, dovete tener presente questo ulteriore indice.


File Runtime

File Runtime

Al momento della creazione dei file runtime, viene generata nel Cartella Runtime del progetto nel percorso \RT\FILES\zenon\custom\drivers una sottocartella recante il nome del progetto di simulazione. In questa cartella viene depositato il file simulrt.cod con il codice della simulazione.

Nella caso che la compilazione nel workbench e la trasmissione nella cartella runtime abbiano avuto successo, nella finestra di emissione dell´editor apparirà la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

Trasporto remoto

I file runtime per la simulazione vengono generati come sottocartella dei file del driver. Nel caso del Trasporto Remoto, la sottocartella viene trasmessa con tutti i file in essa contenuti al computer di destinazione.


Scambio dati

Scambio dati

Lo scambio dati provenienti dal Runtime di zenon Logic verso il driver inizia con il secondo ciclo del Runtime di zenon Logic. In tal modo, il primo ciclo è a disposizione per inizializzare tutte le variabili nel runtime.

Uno scambio ha luogo solamente se:

  • la variabile viene richiesta e:
    • non ha ancora ricevuto nessun valore.
    • nel driver non ha lo stato Spento (OFF/_VSB_N_UPD) oppure Valore di riserva (ALT_VAL/_VSB_AVALUE)
    • è ancora usato dal driver.
    • sono cambiati valore o stato.

Lo scambio dati in direzione del driver avviene in modo asincrono rispetto al ciclo del runtime. Il driver passa in rassegna le modifiche dei valori una volta per ciclo di update. Tutti i valori modificati - fatta eccezione per quelli con lo stato Spento (OFF/_VSB_N_UPD) oppure valore di riserva (ALT_VAL/_VSB_AVALUE) - vengono inseriti nella lista delle variabili da attualizzare nel driver e vengono registrati durante il runtime.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Simulazione valore

Le modifiche di valore non vengono trasmesse subito, ma sono depositati un un buffer. La grandezza del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande. Il ritardo della trasmissione a causa del ciclo del driver può essere di al massimo 100 ms. Se cambia di nuovo il valore di una variabile mentre essa attende di essere trasmessa, tutti i valori non ancora trasmessi durante il runtime vengono depositati subito; solo dopo si prende nota dei nuovi valori. Ciò può provocare un carico più elevato per computer e rete, ma, nel contempo, è garanzia del fatto che tutti i valori vengano trasmessi durante il runtime.

Driver Comando di scrittura

Se è stata configurata Simulazione - programmata ed essa è attiva, i comandi di scrittura sullo standby vengono passati fino al runtime.

Le operazioni di scrittura vengono eseguite dal driver in modo asincrono rispetto al runtime. Lo scambio dati ha luogo tramite un buffer. La dimensione del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande.

I comandi di scrittura vengono passati attraverso il runtime dopo le modifiche di valore. Se un comando di scrittura non può essere eseguito in modo corretto, viene visualizzata la segnalazione di errore Write queue full! Write command for <DP-Name> lost!.

Se i bit di stato sono attivi, lo stato Scrittura avvenuta con successo indica che il driver è riuscito a scrivere il valore sulla variabile. Il programma Runtime dovrebbe cancellare questo stato dopo aver elaborato il comando di scrittura. Un bit di stato già attivo non ritarda una nuova operazione di scrittura del driver. I comandi di scrittura vengono eseguiti anche quando il programma Runtime è stato interrotto da un punto di interruzione (breakpoint).

Nota: non tutti i comandi di scrittura del driver devono essere visibili nel runtime. Se per una stessa variabile ci sono nel buffer più comandi di scrittura, è visibile nel programma runtime solamente l´ultimo.

Disattiva variabile, passa a valore sostitutivo.

Se la variabile viene disattivata, oppure se si passa al valore sostitutivo, ciò non è rilevabile per il runtime. Modifiche di valore effettuate con il runtime, non vengono assegnate alle variabili nel driver. Se la variabile passa di nuovo al valore spontaneo oppure viene attivata, anche il valore attuale proveniente dal runtime viene di nuovo trasmesso al driver. Alla disattivazione del valore spontaneo, viene settato il bit di stato OFF; quando si ritorna al valore spontaneo, viene resettato il bit OFF.


Formato dati

Formato dati

Dati ritentivi

Dati ritentivi vengono depositati nel file SimulRt<TreiberID>.ret. Per ogni simulazione viene generato un file del genere, sempre che siano presenti delle variabili ritentive. Si tiene conto di questo file al momento del confronto in rete.

Driver ritentivo

L´impostazione Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentivamanente.


Ridondanza

Ridondanza

Start sul Server-Standby

Se il driver è già attivo sul Server-Standby, dovrebbe essere disponibile anche l´immagine per la simulazione. In questo caso, la simulazione viene avviata "hot" con quest´immagine. In caso di mancanza dell´immagine si verifica un warm start.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Allineamento

Oltre ai file di programma della simulazione, vengono sincronizzati anche:

  • dati ritentivi (*.ret)
  • tutti i file *.simul
    Questa parte finale del nome file viene generata dal programma di simulazione per file specifici della simulazione stessa e collocata nella cartella con la denominazione computer sotto a Cartella Runtime.


Stato

Stato

Simulazione stato

Per quello che concerne la simulazione di stato, in zenon Logic alla voceProgetto -> Parametro di progetto -> Estese -> Compiler -> Opzioni -> deve essere attivo Imposta bit di stato per variabil con profilo. Nel caso in cui lo stato di una variabile venga modificato, si verifica la trasmissione della variabile al driver.

La modifica al seguente stato non causa un aggiornamento del valore nel driver e non viene neanche ripresa dalla simulazione:

  • External Real-Time (T_EXTERN/_VSB_RT_E)
  • Internal Real-Time (T_INTERN/_VSB_RT_I)
  • Ora solare (T_STD/_VSB_WINTER)
  • Conferma scrittura (WR_ACK/_VSB_WR_ACK)
  • Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC)
  • Stato normale (NORM/_VSB_NORM)
  • Normal deviation (N_NORM/_VSB_ABNORM)
  • Seleziona nella rete (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In costruzione (PROGRESS/_VSB_DIREC)
  • Spento (OFF/_VSB_N_UPD)
  • Valore di riserva (ALT_VAL/_VSB_AVALUE)

info Info

Il bit di stato Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC) è disponibile nel programma Runtime può essere resettato per visualizzare la scrittura avvenuta con successo.

Tuttavia, il reset non causa di per sé la trasmissione dal Runtime di zenon. Solo i cambiamenti di valore vengono inviati dal driver al Runtime.

Bit di stato trattati in modo particolare

I seguenti bit di stato si escludono a vicenda:

Bit

Descrizione

17: Spontaneo-
(SPONT/_VSB_SPONT)

Viene settato lo stato SPONTAN. Lo stato settato è lo stesso anche se il trattamento di stato è disattivato, oppure non è stato definito alcuno stato. Lo stato GI + INVALID viene cancellato.

18: Non valido-
(INVALID/_VSB_I_BIT)

Viene settato lo stato INVALID . Lo stato SPONTAN + GI viene cancellato.

16: General Interrogation
(GI/_VSB_GR)

Viene settato lo stato General Interrogation . Lo stato SPONTAN + INVALID viene cancellato.

8: Seleziona nella rete
(NET_SEL/_VSB_SELEC)

Se questo bit di stato è attivo (BSO attivazione/disattivazione), per il riconoscimento di una modifica i seguenti bit di stato devono essere pari a 0 e devono essere trasmessi come 0 al driver:

  • Seleziona nella rete (NET_SEL)
  • Causa di trasmissione (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Scrittura avvenuta con successo (WR_SUC)

Select before operate (SBO)

Perché il sistema reagisca a Select Before Operate, nel programma runtime deve essere disponibile la simulazione di stato. La procedura per Select Before Operate viene fissata nel programma runtime.

Attivazione

Se viene inviato al driver un SBO select, ciò provoca per il runtime una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_act).

Nel programma Runtime deve essere implementata una corrispondente procedura SBO che verrà avviata.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.

Disattivazione

La disattivazione causa una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_deact).

Nel programma runtime deve essere terminata la procedura SBO.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.


Start/Stop

Start/Stop

Partenza driver

L´aggiornamento dei valori inizia sul Server-Standby se il driver ha ricevuto dal suo server l'immagine di processo. L´immagine deve giungere prima della scadenza del timeout del modulo, altrimenti il driver si avvia senza di essa. Se il Server-Standby passa ad essere server prima della scadenza del tempo di attesa, l´attesa stessa termina. I driver che si avviano in un progetto server oppure senza rete, non hanno tempo di attesa. Questo comportamento si verifica sia nel caso di una simulazione che nella modalità hardware.

Lanciare runtime

Se il driver lancia la Simulazione - programmata, in un primo passo il sistema carica la DLL con il runtime di simulazione. In seguito viene parametrizzato il runtime e il programma runtime si avvia, sempre che sia stato possibile caricarlo con successo.

Se è disponibile un´immagine del runtime, quest´ultimo viene avviato con essa Hot. Altrimenti il sistema esegue un Warm start. Se anche quest´ultimo non risulta possibile, si cerca di lanciare il runtime in modalità Cold Start. Nel caso in cui non sia disponibile alcun programma valido, il runtime si avvia "fermato". Lo stato di tutte le variabili viene settato su INVALID.

Il programma di simulazione funziona in un proprio thread e, perciò, è completamente indipendente dal ciclo driver.

info Info

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

Arresta runtime

Se il runtime viene fermato, viene settato per tutte le variabili lo stato INVALID. Le variabili che vengono richieste mentre il runtime è bloccato, ricevono come inizializzazione lo stato INVALID. Il runtime salva tutti i dati per il warm start e l´online change:

  • SIMULRT.HOT: contiene i dati per il riavvio hot.
  • SIMULRT.UPD: contiene i dati per l´online change.

Questi due file vengono generati nella cartella del programma runtime. Il runtime deve possedere un´autorizzazione di scrittura relativa a questa cartella.

Aggiorna progetto Runtime

  • Nuova compilazione di un progetto di simulazione:
    fa sì che il driver corrispondente venga caricato di nuovo.
  • Modifica del timeout di modulo:
    il runtime non la riconosce come modifica e non determina il fatto che il driver venga caricato un´altra volta.

L´implementazione standard nel kit driver provoca un hot start del runtime nel momento in cui il progetto di simulazione viene aggiornato. Se ciò non risulta possibile (per esempio perché il programma è diverso), viene eseguito un cold start con retain.

Scarico del runtime

Se il runtime è aperto, esso viene arrestato. Prima di scaricare il runtime, il sistema trasmette tutti gli aggiornamenti di valori in attesa al driver. Solo in seguito il runtime viene reso disponibile e si scarica SimulRuntime.dll sul PC.


Comandi driver

Comandi driver

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver.

Arresta/avvia driver

Se il driver viene terminato nella modalità Simulazione - programmata, ne consegue la chiusura del runtime. Tutte le variabili ricevono lo stato INVALID. Se so riavvia il driver, la simulazione viene ricaricata e il runtime viene avviato.

Driver Passaggio Hardware/Simulazione

Nel cambio fra le modalità Hardware e Simulazione, il driver si comporta secondo il seguente schema:

  1. se il driver è stato configurato nell´Editor per la modalità hardware:
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione il driver viene portato nella modalità simulazione - statica.
  2. Se il driver è stato configurato nell´Editor per una delle modalità di simulazione (statica, conta, programmata):
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità hardware il driver viene portato nella modalità hardware e comunica con il controllo.
    • il driver ritorna dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione alla modalità di simulazione configurata.


Assegnazione variabili

Assegnazione variabili

L´assegnazione del driver di zenon alle variabili di zenon Logic avviene mediante il nome convertito in lettere maiuscole. Se il runtime di zenon richiede una variabile dal driver, quest´ultimo la inoltra alla simulazione. Se non è caricata nessuna simulazione, la variabile riceve lo stato spento ( OFF/VSB_N_UPD) quando il driver è arrestato. Altrimenti quello non valido (INVALID/_VSB_I_BIT). Le variabili del tipo oggetto-driver Variabile del driver non vengono mai richieste dalla simulazione.


Data e ora

Data e ora

Per usare il time stamp, deve essere attivo in zenon Logic l´inserimento Progetto -> Parametri progetto -> Estesi -> Compilatore -> Opzioni -> Imposta bit di stato per variabili con profilo

Se nel programma runtime viene settata la data per una variabile, il valore di data e tempo viene usato come time stamp. Ogni volta che cambia la data o l´ora di una variabile durante l´ultimo ciclo, questa modifica attiva sempre una trasmissione dei valori al driver. Ciò vale anche nel caso in cui non siano cambiati né valore né stato.

La maggior parte dei driver trasmettono un nuovo time stamp al runtime solo quando cambiano contemporaneamente anche valore e/o stato. Un´eccezione, però, è rappresentata, per esempio, dai driver IEC870, che trasmettono nuovi time stamps al runtime dall´hardware (oppure Simulazione - programmata) con lo stesso valore o lo stesso stato.

info Info

Si deve far in modo che sia garantito il fatto che data e ora progrediscano. Se ciò non si verifica, si avranno dei problemi di archiviazione. La data deve avere un valore maggiore/minore a 0.

Alle variabili che hanno ricevuto uno stamp dal programma runtime viene attribuito lo stato Tempo reale esterno (T_EXTERN/_VSB_RT_E).

Tutte le variabili trasmesse al driver che non hanno ricevuto uno stamp dal runtime, ottengono durante il ciclo un time stamp comune. In tal modo si assicura che il tempo corrisponda a quello della modifica. Questi driver ottengono lo stato Tempo reale interno (T_INTERN/_VSB_RT_I).

Data & tempo

Per tutte le informazioni concernenti data e tempo vale quanto segue:

  • i tempi corrispondono a UTC.
  • Tutti i tempo devono essere compresi fra 02. 01. 1970 e 2038.
  • La conversione della data in una stringa avviene nel formato YYYY/MM/DD.
  • Il tempo viene convertito nel formato HH:MM:SS.


Indicazioni sulle variabili in progetti di simulazione

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Indicazioni sulle variabili in progetti di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vogliono creare e modificare delle variabili in progetti di simulazione, vale quanto segue:

  1. zenon Logic

    Se le variabili per un progetto di simulazione vengono create nel workbench di zenon Logic, esse non dispongono ancora di un indirizzamento valido per la comunicazione. Se si passa alla comunicazione hardware, essa può essere interrotta se le nuove variabili vengono usate in immagini senza un indirizzamento adeguato in modo corretto.

  2. Rinomina

    Se una variabile di un progetto di simulazione viene rinominata, cambia in modo corrispondente anche il nome della variabile in zenon. Così, ad esempio, i nomi delle variabili che vengono usate in un progetto VBA, devono essere adeguate anche nel codice VBA.

  3. Soluzioni integrata

    Variabili di soluzioni integrate come zenon Logic, IEC 870 oppure IEC 850, non possono essere rinominate nel progetto di simulazione. In questo caso, la variabili perdono le loro informazioni di progetto.
    Ad esempio: se nel progetto di simulazione Project0/Global/NewVar viene rinominata in myNeVariablenwVar, essa diviene in zenon myNewVar. Dopo la rinomina, la comunicazione con il Runtime di zenon Logic è impossibile.

  4. La comunicazione si basa sul nome variabile

    Le variabili di un driver che comunica sulla base di nomi variabili, non possono essere rinominate nel progetto di simulazione.

  5. Cancella o importa variabili

    Quando si cancella o importa una variabile quando in zenon Logic è attivo online change, tutte le variabili vengono rimosse e poi inserite di nuovo in zenon Logic.

  6. Variabili con simbolo "embed" attivo

    Le variabili presenti in un programma e il cui simbolo "embed" è stato attivato, non sono accessibili tramite l´interfaccia Shared Memory in zenon. Se una variabile con simbolo"embed" attivo viene spostata dall´area globale in un programma, essa viene cancellata in zenon.


Messaggi d'errore

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le segnalazioni di errore nell´Editor di zenon:

Messaggio di errore

Causa e soluzione

Il nome selezionato è già utilizzato da un altro driver o contiene caratteri non validi. Selezionare un altro nome.

Il nuovo nome del progetto di simulazione viene usato già nel progetto oppure non è valido.

  • Assegnate un nome valido.

Il progetto di simulazione del driver <Nome file>/<Denominazione> non è compilato e perciò non può essere usato! Compilare il progetto nel Workbench.

Per il driver in questione c`è un progetto di simulazione. Esso, però, non è stato compilato.

  • Avviate il workbench di zenon Logic con il progetto di simulazione di questo driver.
  • Compilate il progetto

Suggerimento: Non fa alcuna differenza se nelle impostazioni driver la simulazione è settata su Simulazione - programmata.

Write queue full! Write command for <Name Variable> lost!

Indica la perdita di un comando di scrittura.


Cambiare driver

Manuale -> Variabili -> Driver -> Cambiare driver

In zenon si possono sostituire i driver. Le variabili sono disponibili e funzionanti anche dopo il cambio del driver, sempre che esistessero nel driver cambiato. Il cambio della definizione driver è possibile solamente per i driver già rilasciati e che sono stati già dichiarati compatibili.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.

Per sostituire un driver già esistente:

  1. Selezionare il driver da sostituire nella visualizzazione dettagli.
  2. Aprire il menù contestuale cliccando con il tasto destro del mouse.
  3. Selezionare il comando Cambia driver....
  4. Si aprirà la stessa finestra di dialogo che si apre quando si crea un driver.
  5. Selezionate il nuovo driver.

Le impostazioni necessarie per il o i driver (interfaccia, interrupt address ecc.) vengono definite al momento della progettazione delle variabili.

Example Esempio

Durante la fase di creazione di un progetto, il concetto indirizzi per zenon non esiste ancora.. Sono definite solamente le variabili da utilizzare.

Per consentire una modifica in parallelo del progetto, si implementa come driver il Driver per simulatore-variabili. In questo modo è possibile creare immagini con elementi dinamici ed eseguire test online (settaggi valore etc.).

Una volta stabilito il concetto indirizzi definitivo con il collegamento a zenon, si effettua il cambio del driver che servirà in condizione di funzionamento definitivo.

Il cambio di un driver, però, è possibile solamente a condizione che il driver utilizzato durante la progettazione e quello definitivo abbiano le stesse caratteristiche (tipi di variabili).


Eliminare un driver

Manuale -> Variabili -> Driver -> Eliminare un driver

Per eliminare driver:

  1. Selezionare i driver desiderati (possibile selezione multipla).
  2. Selezionare Elimina nel menù contestuale oppure nella barra degli strumenti.
  3. I driver verranno eliminati.

    L´azione di cancellazione deve essere confermata.

Attenzione: vengono eliminate anche tutte le variabili appartenenti a questi driver.


Dettagli di comunicazione

Manuale -> Variabili -> Driver -> Dettagli di comunicazione

Il kit driver implementa una serie di variabili driver che sono riassunte nel tipo di oggetto del driver Dettagli di comunicazione . Queste sono suddivise in:

  • Informazione
  • Configurazione
  • Statistica e
  • Messaggi di errore

Le definizioni delle variabili implementate nel kit driver si trovano nel file d´importazione drvvar.dbf (sul supporto di installazione nella cartella \Predefined\Variables) e possono essere importati da lì.

Nota: In zenon i nomi variabili devono essere univoci. Se, dopo un´importazione di variabili del tipo di oggetto del driver Dettagli di comunicazione da drvvar.dbf, si deve eseguire un nuovo import, le variabili precedentemente importate devono essere rinominate.

info Info

Non ogni driver supporta tutte le variabili del tipo di oggetto del driver Dettagli di comunicazione .

Ad esempio:

  • Le variabili per informazioni modem vengono supportate solamente da driver modem-compatibili.
  • Le variabili per il ciclo polling, solo per i puri driver polling
  • Informazioni relative alla connessione come, ad esempio, ErrorMSG, sono supportate solo da driver che elaborano solamente una connessione alla volta.

Informazione

Nome dall´import

Tipo

Offset

Descrizione

MainVersion

UINT

0

Numero di versione principale del driver

SubVersion

UINT

1

Numero di versione secondaria del driver

BuildVersion

UINT

29

Numero di versione build del driver

RTMajor

UINT

49

Numero della versione principale di zenon:

RTMinor

UINT

50

Numero della versione secondaria di zenon

RTSp

UINT

51

Numero di Service Pack di zenon

RTBuild

UINT

52

Numero build di zenon:

LineStateIdle

BOOL

24.0

TRUE, se linea modem è occupata

LineStateOffering

BOOL

24.1

TRUE, quando arriva una chiamata

LineStateAccepted

BOOL

24.2

La chiamata viene accettata.

LineStateDialtone

BOOL

24.3

Segnale di chiamata è stato riconosciuto.

LineStateDialing

BOOL

24.4

Selezione chiamata attiva.

LineStateRingBack

BOOL

24.5

Connessione in corso.

LineStateBusy

BOOL

24.6

Destinazione occupata.

LineStateSpecialInfo

BOOL

24.7

Ricevuta informazione di stato specifica.

LineStateConnected

BOOL

24.8

Connessione stabilita.

LineStateProceeding

BOOL

24.9

Composizione numero eseguita.

LineStateOnHold

BOOL

24.10

Connessione in attesa.

LineStateConferenced

BOOL

24.11

Connessione in modalità conferenza.

LineStateOnHoldPendConf

BOOL

24.12

Connessione in attesa per conferenza.

LineStateOnHoldPendTransfer

BOOL

24.13

collegamento in attesa per trasferimento.

LineStateDisconnected

BOOL

24.14

Connessione terminata.

LineStateUnknow

BOOL

24.15

Stato di connessione non conosciuto.

ModemStatus

UDINT

24

Stato di modem attuale.

TreiberStop

BOOL

28

Driver fermato

Nel caso di Stop driver, la variabile ha il valore TRUE e un bit OFF. Dopo l´avvio del driver, la variabile ha il valore FALSE e nessun bit OFF.

SimulRTState

UDINT

60

Fornisce informazioni sullo stato del Runtime nella simulazione driver.

ConnectionStates

STRING

61

Stato interno di connessione al PLC del driver. I

Stati di connessione:

0: Connessione OK

1: Connessione disturbata.

2: Connessione simulata.

Formattazione:

<Netzadresse>:<Verbindungszustand>;…;…;

Una connessione è nota solo dopo il primo advise di una variabile. Perché una connessione sia contenuta nella stringa, una variabile di questa connessione deve essere registrata.

Lo stato di una connessione viene aggiornato solo se una variabile di questa connessione è registrata. Altrimenti non ci sarà comunicazione con il PLC corrispondente.

Configurazione

Nome dall´import | Tipo | Offset | Descrizione
ReconnectInRead | BOOL | 27 | Se TRUE, viene creata automaticamente una nuova connessione alla lettura.
ApplyCom | BOOL | 36 | Attribuire le modifiche delle impostazioni alle interfacce seriali La scrittura su questa variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyCom (attualmente senza ulteriori funzioni).
ApplyModem | BOOL | 37 | Attribuire le modifiche alle impostazioni del modem La scrittura su questa variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyModem Esso chiude la connessione attuale e ne apre una nuova corrispondente alle impostazioni PhoneNumberSet e ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Numero di telefono da usare.
ModemHwAdrSet | DINT | 39 | Indirizzo hardware appartenente al numero di telefono.
GlobalUpdate | UDINT | 3 | Tempo di update in millisecondi (ms).
BGlobalUpdaten | BOOL | 4 | TRUE, se il tempo di update è globale
TreiberSimul | BOOL | 5 | TRUE se il driver è in simulazione
TreiberProzab | BOOL | 6 | TRUE, se le variabili sono tenute in memoria
ModemActive | BOOL | 7 | TRUE, se il modem è attivo con questo driver
Device | STRING | 8 | Nome dell´interfaccia seriale o nome del modem.
ComPort | UINT | 9 | Numero della porta seriale
Baudrate | UDINT | 10 | Baud rate della porta seriale
Parity | SINT | 11 | Parità della porta seriale
ByteSize | USINT | 14 | Numero di bit per carattere dell´interfaccia seriale. Valore = 0, se il driver non può instaurare nessuna comunicazione seriale.
StopBit | USINT | 13 | Numero dei bit di stop dell´interfaccia seriale.
Autoconnect | BOOL | 16 | TRUE se la connessione modem dev´essere creata automaticamente alla lettura/scrittura.
PhoneNumber | STRING | 17 | Numero di telefono attuale
ModemHwAdr | DINT | 21 | Indirizzo hardware del numero di telefono attuale
RxIdleTime | UINT | 18 | Se c´è nessun traffico di dati con successo più a lungo di questo tempo definito in secondi (s), sarà interrotto il collegamento modem.
WriteTimeout | UDINT | 19 | Massima durata di scrittura per una connessione modem in millisecondi (ms).
RingCountSet | UDINT | 20 | Numero di squilli prima che la chiamata sia accettata
ReCallIdleTime | UINT | 53 | Tempo di attesa fra chiamate in secondi (s).
ConnectTimeout | UINT | 54 | Tempo in secondi (s) per l´instaurazione della connessione.

Statistica

Nome dall´import | Tipo | Offset | Descrizione
MaxWriteTime | UDINT | 31 | Il tempo più lungo in millisecondi (ms) necessario per la scrittura.
MinWriteTime | UDINT | 32 | Il tempo più corto in millisecondi (ms) necessario per la scrittura.
MaxBlkReadTime | UDINT | 40 | Tempo più lungo in millisecondi (ms) impiegato per la lettura di un blocco dati
MinBlkReadTime | UDINT | 41 | Tempo più corto in millisecondi (ms) impiegato per la lettura di un blocco dati
WriteErrorCount | UDINT | 33 | Numero degli errori di scrittura
ReadSucceedCount | UDINT | 35 | Numero di tentativi di lettura con successo
MaxCycleTime | UDINT | 22 | Tempo massimo in millisecondi (ms) impiegato per la lettura di tutti dati richiesti
MinCycleTime | UDINT | 23 | Tempo minimo in millisecondi (ms) impiegato per la lettura di tutti dati richiesti
WriteCount | UDINT | 26 | Numero di tentativi di scrittura
ReadErrorCount | UDINT | 34 | Numero di tentativi di lettura falliti
MaxUpdateTimeNormal | UDINT | 56 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Normale in millesecondi (ms).
MaxUpdateTimeHigher | UDINT | 57 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Piú alto in millesecondi (ms).
MaxUpdateTimeHigh | UDINT | 58 | Intervallo dall´ultimo aggiornamento del gruppo di priorità alto in millesecondi (ms).
MaxUpdateTimeHighest | UDINT | 59 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Il più alto in millesecondi (ms).
PokeFinish | BOOL | 55 | Va per un'interrogazione su 1, se tutti i pokes in attesa sono eseguiti.

Messaggi di errore

Nome dall´import | Tipo | Offset | Descrizione
ErrorTimeDW | UDINT | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore
ErrorTimeS | STRING | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore come stringa.
RdErrPrimObj | UDINT | 42 | Numero dell´oggetto Prim quando l´ultimo errore di lettura è stato causato
RdErrStationsName | STRING | 43 | Numero della stazione quando l´ultimo errore di lettura è stato causato
RdErrBlockCount | UINT | 44 | Numero dei blocchi da leggere quando l´ultimo errore di lettura è stato causato
RdErrHwAdresse | DINT | 45 | Indirizzo hardware quando l´ultimo errore di lettura è stato causato
RdErrDatablockNo | UDINT | 46 | Numero di componente quando l´ultimo errore di lettura è stato causato
RdErrMarkerNo | UDINT | 47 | Numero di merker quando l´ultimo errore di lettura è stato causato
RdErrSize | UDINT | 48 | grandezza del blocco quando è stato causato l´ultimo errore di lettura.
DrvError | USINT | 25 | Numero messaggio di errore.
DrvErrorMsg | STRING | 30 | Stringa contenente il messaggio di errore.
ErrorFile | STRING | 15 | Nome del file degli errori.


Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Manuale -> Variabili -> Driver -> Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuovo driver | Apre la finestra di dialogo per la creazione di un nuovo driver.
Cambia driver... | Apre la finestra di selezione che serve alla definizione di un driver.
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Configurazione driver... | Apre il dialogo per la configurazione del driver.
Importa variabili dal driver... | Apre la finestra di dialogo che serve all´import delle variabili.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Proprietà.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Documentazioni driver

Manuale -> Variabili -> Driver -> Documentazioni driver

Informazioni su tutti i driver di zenon le potete trovare nella documentazione relativa. Quest´ultima la trovate nel capitolo Driver.

info Info

Nel caso in cui non doveste trovare un driver o una documentazione driver, potete rivolgervi a support@copadata.com.


Creare, modificare e usare variabili

Manuale -> Variabili -> Creare, modificare e usare variabili

Si possono creare delle variabili.

  • come variabili semplici
  • in arrays
  • come variabile strutturate

Finestra di dialogo Variabili

Per creare una nuova variabile, non importa di quale tipo:

  1. Selezionare nel nodo Variabili il comando Nuova variabile... del menù contestuale.

    Si apre la finestra di dialogo che consente di configurare la variabile.

  2. Configurare la variabile.
  3. Le impostazioni possibili dipendono dal tipo della variabile.

Proprietà

Descrizione

Nome

Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.

Lunghezza massima: 128 caratteri

Attenzione: I caratteri # e @ non sono consentiti per i nomi variabili. Se si usano caratteri non consentiti, non sarà possibile portare a termine la creazione della variabile; il pulsante Termina non è attivo (di color grigio).
Nota: alcuni driver consentono l´indirizzamento anche tramite la proprietà Indirizzo simbolico.

Driver

Selezionare il driver desiderato fra quelli del menù a tendina.

Nota: Se nel progetto non è stato nessun driver, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).

Tipo di oggetto del driver

Selezionate il tipo oggetto del driver adeguato fra quelli del menù a tendina.

Tipo di dato

Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..

Impostazioni array

Impostazioni estese per variabili array. I dettagli relativi li potete trovare nel capitolo Array

Opzioni di indirizzamento

Impostazioni estese per array e variabile strutturate. I dettagli relativi li potete trovare nel capitolo corrispondente.

Attivazione automatica elementi

Impostazioni estese per array e variabile strutturate. I dettagli relativi li potete trovare nel capitolo corrispondente.

Indirizzo simbolico

La proprietà Indirizzo simbolico può essere usata per l´indirizzamento in alternativa al Nome o alla Identificazione delle variabili. La selezione viene effettuata nel dialogo driver, la configurazione, invece, nella proprietà della variabile. La proprietà viene inserita automaticamente al momento dell´import di variabili di driver supportati.

Lunghezza massima: 1024 caratteri.

Eredità da tipo di dato

Area di misurazione, Risoluzione segnalee Setta valore impostabile sono sempre:

  • derivati dal tipo di dato
  • adeguati automaticamente in caso di modifica del tipo di dato

Nota per risoluzione segnale: se si passa ad un tipo di dato che non supporta la risoluzione segnale impostata, la risoluzione segnale viene adeguata automaticamente. Per esempio, nel caso di passaggio da INT a SINT, la risoluzione segnale viene modificata a 127. L´adeguamento avviene anche se la risoluzione segnale non è ereditata dal tipo di dato. In questo caso la area di misurazione deve essere modificata manualmente.

Ancora in questo capitolo

Variabili semplice

Array

Variabili struttura

Variabili comuni a più progetti

Uso in zenon Analyzer


Variabili semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili semplici consistono sempre di un tipo di dato e di un tipo di oggetto del driver. Esse costituiscono la base di variabili array e variabile strutturate.

Ancora in questo capitolo

Creazione di una variabile semplice

Modifica delle proprietà di una variabile semplice

Eliminazione di variabili semplici


Creazione di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Creazione di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Manager di progetto, cliccare con il tasto destro del mouse su “Variabile”; poi nel menù contestuale, selezionare la voce Nuova variabile....

Nella finestra di dialogo successiva, definire il nome, Driver, Tipo di oggetto del driver e Tipo di dato.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | Selezionare il driver desiderato fra quelli del menù a tendina.
Tipo di oggetto del driver | Selezionare il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..

La nuova variabile verrà poi visualizzata nella visualizzazione dettagli del manager di progetto. Le ulteriori proprietà delle variabili le definite nella finestra delle proprietà delle variabili.


Modifica delle proprietà di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modifiche di proprietà di variabili si effettuano nella finestra delle proprietà. A questo scopo cliccate sulla variabile da modificare nella visualizzazione dettagli e inserite le modifiche desiderate nella finestra delle proprietà.

Ancora in questo capitolo

Modifica variabile

Errori nella modifica delle variabili


Modifica variabile

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice -> Modifica variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La finestra di dialogo Modifica variabile si apre quando vengono selezionate una o più variabili e viene scelta una delle seguenti proprietà:

  1. Tipo di dato
  2. Driver
  3. Tipo di oggetto del driver
  4. Impostazioni array
    1. Dim 1
    2. Dim 2
    3. Dim 3
    4. Indice di start Array
  5. Calcolo offset
  6. Tipo di dato

In questa finestra di dialogo si modificano le impostazioni che formano una unità, per tutte le variabili selezionate con multiselect.

Modifica, quando sono state selezionate più variabili:

Se il valore della proprietà è uguale per tutte le variabili selezionate, questo valore viene visualizzato nella finestra di dialogo corrispondente; altrimenti l'inserimento rimane vuoto. Questo spazio vuoto significa che l'impostazione non è stata definita. Se è stata eseguita una selezione, non sarà più possibile scegliere "nessuna selezione". Se lo si desidera, si deve chiudere la finestra di dialogo cliccando su Annulla e la si deve riaprire. (Eccezione: checkbox).

Finché non è stato definito il driver, il menù a tendina Tipo di oggetto del driver contiene tutti i tipi possibili per il driver della variabile selezionata. Quando si è selezionato il driver, vengono visualizzati solo i tipi del driver specificato. Se un driver viene modificato da o in uno di zenon Logic, il nome della variabile viene modificato e adeguato automaticamente.
Nel caso di una selezione multipla di variabili, i checkbox hanno tre stati: on, off e non definito. I campi non definiti non vengono modificati nella variabile. Un campo specificato definisce il nuovo valore per tutte le variabili selezionate.

Controllo prima della modifica:

Per ogni variabile, il sistema controlla prima della modifica, se l'impostazione risultante è permessa o no.

Example Esempio

Esempio di una modifica proibita: una variabile array e una variabile semplice sono state selezionate e la dimensione array viene modificata. Errore: una variabile semplice non può essere modificata a posteriori in una del tipo array.

Per quelle variabili che non possono essere modificate secondo le nuove impostazioni, viene generato un messaggio di errore. Prima della modifica, questi messaggi vengono visualizzati nella finestra di dialogo 'Errore nella modifica delle variabili', a modifica avvenuta, nella finestra di emissione dell'editor.


Errori nella modifica delle variabili

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice -> Errori nella modifica delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la modifica non è consentita per una o più variabili, viene aperto il dialogo Errore nella modifica delle variabili. Esso serve a indicare le variabili che non possono adottare le modifiche apportate. Questa finestra di dialogo viene aperta prima che una modifica venga applicata e solo se non esistono delle variabili per cui questo cambiamento è possibile. Gli inserimenti sono filtrabili e ordinabili.

Parametri | Descrizione
Nome | Nome della variabile che non può adottare le modifiche.
Driver | Nome del driver con relativa definizione sul quale si basa la variabile in questione.
Tipo di dato | Tipo di dato usato dalla variabile.
Tipo di oggetto del driver | Tipo di oggetto del driver che la variabile utilizza.
Descrizione d´errore | Descrizione della causa per cui la variabile non può adottare la modifica.
Annulla | La modifica della variabile viene interrotta. Non viene eseguita nessuna modifica.
Ignora Tutti | Tutte le variabile che non possono adottare le modifiche, vengono ignorate. Le variabili, invece, per cui la modifica è possibile, vengono modificate. Per quelle ignorate, viene generato un messaggio nella finestra di emissione. Il testo corrisponde a quello della "Descrizione di errore".
Indietro | Si torna indietro al dialogo di modifica.
Riga di stato | Numero delle variabili selezionate e delle cause che hanno impedito le modifiche. Con il riconoscimento della prima causa, la variabile viene considerata non modificabile. Ci possono essere anche delle altre cause che impediscono la modifica, ma esse non vengono cercate dal sistema. Nel caso delle variabili complesse (array o strutturate), vengono controllate anche tutte le variabili già attivate, per verificare se ci sono problemi con le modifiche. Per ogni variabile attivata non modificabile, viene generato un messaggio. Da quanto detto deriva che il numero degli ostacoli può essere maggiore a quello delle variabili selezionate.


Eliminazione di variabili semplici

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Eliminazione di variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate nella visualizzazione dettagli con il tasto destro del mouse sulla variabile da cancellare per ottenete l´opzione di cancellazione nel menù contestuale:

Cliccate su Elimina e si apre la finestra contenente la richiesta di conferma:


Array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Array sono campi di tipi di dato o di variabili. Distinguiamo fra:

  • Arrays di tipo di dato: possono essere realizzati solo in strutture.
  • Arrays di variabili: possono essere invece realizzati con tipi di dato semplici.

Gli arrays possono essere realizzati con al massimo 3 dimensioni.

Example Esempio

Esempio per una variabile array a due dimensioni.

Numero di giri [2,3]
Questa variabile consiste in sostanza di 6 variabili (2x3):

  • Numero di giri [1,1]
  • Numero di giri [1,2]
  • Numero di giri [1,3]
  • Numero di giri [2,1]
  • Numero di giri [2,2]
  • Numero di giri [2,3].

Internamente gli array sono trattati come delle strutture. Questo riguarda specialmente l´indirizzamento.

attention Attenzione

Le variabili array, che si basano su un driver stratonNG oppure straton32, non possono cominciare con 1. Un array zenon della dimensione 1,2,2 viene creato in zenon Logic solamente come semplice variabile.

Variabili non attive

In un array, singole variabili possono essere disattivate. Variabili non attive

  • Non sono disponibili in zenon
  • Non vengono registrate nel driver.
  • Non vengono tenute in considerazione nel calcolo di I/Os per la dimensone della licenza.

Potete impostare in un array delle variabili di riserva, che in un secondo momento, p.es. in una estensione, possono essere riattivate.

Dimensione di grandezza array (fino alla versione 5.50)

Fino alla versione 5.50 si poteva definire la grandezza array tramite la proprietà Grandezza array. In questo modo è possibile, ad esempio, utilizzare solamente una variabile con licenza, ma indirizzare indirettamente in RGM o in VBA differenti variabili con driver che usano indirizzi offset. Questa proprietà è ancora disponibile per ragioni di compatibilità.

Vengono create delle variabili con il suffisso da [0] a [n].
Attenzione: nel progetto non ci devono essere atrte variabili con lo stesso nome!

Nota: il driver interno non supporta questa proprietà. Si può definire un valore nell´Editor, ma nel Runtime non viene visualizzata nessuna variabile (valore sempre 0).

Ancora in questo capitolo

Creazione di variabili array

Indirizzamento

Modifica delle proprietà di un array

Attivazione/Disattivazione di elementi array


Creazione di variabili array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Creazione di variabili array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili array semplici vengono create allo stesso modo delle variabili semplici.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | Selezionare il driver desiderato fra quelli del menù a tendina. Nota: se nessun driver è stato creato nel progetto, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionare il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Questa dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzo segue l´offset del tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato per l´elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di array. Attivo: per ogni elemento array inizierà un nuovo offset. Non attivo: gli offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Al momento della creazione della nuova variabile array, attiva tutti gli elementi automaticamente
Attiva elementi manualmente | Gli elementi non vengono attivati al momento della loro creazione. Devono essere attivati manualmente nella lista delle variabili Ciò può esser fatto usando il menù contestuale della lista variabile.


Indirizzamento

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, gli array vengono indirizzati automaticamente. Nel caso di variabili array, si indicano:

  • Indirizzo di rete
  • Start-Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Non devono essere fatte ulteriori impostazioni per i singoli elementi array. Il calcolo dell´indirizzo avviene automaticamente.

In caso di indirizzamento manuale di array, l'opzione Indirizzamento automatico dev´essere attivata già alla creazione dell´array, oppure in un secondo momento nella finestra proprietà.

Il calcolo dell´indirizzo viene eseguito di nuovo nel caso di modifica di:

  • Tipo di dato di un array
  • Tipo di oggetto del driver
  • Driver
  • Dimensione dell´array

Ancora in questo capitolo

Esempio di array con indirizzamento automatico per una variabile INT

Esempio di un array con indirizzamento automatico per una variabile BOOL:

Esempio di array con indirizzamento manuale


Esempio di array con indirizzamento automatico per una variabile INT

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di array con indirizzamento automatico per una variabile INT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vogliamo creare un array di 5 variabili integer.

Configurazione di base

Nel dialogo di configurazione delle variabili

  • Nome: assegnazione libera.
  • Driver: S7 TCP/IP
  • Tipo di oggetto del driver: Ext. Blocco dati
  • Tipo di dati: INT
  • Array: Start array con indice 1
  • Dim 1: 5
  • Dim 2: 0
  • Indirizzamento: Indirizzamento automatico
  • Ogni tipo di dato parte con un nuovo offset: attivo
  • Attivazione elementi: Attiva tutti gli elementi

Cliccando su OK vengono create le 5 variabili desiderate, ed una rispettiva variabile array nella quale possiamo definire le proprietà array.

Configurazione dettagliata

Se selezioniamo la variabile array nella visualizzazione dettagli, possiamo definire le proprietà di tutto l´array nella finestra delle proprietà. Le impostazioni più importanti si trovano nel gruppo “Indirizzamento”. In questa sede, impostiamo per l´array:

  • Blocco dati
  • Indirizzo di rete (=indirizzo bus)
  • Offset di partenza

Avendo selezionato "indirizzamento automatico", tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza. Nel nostro esempio, modifichiamo il blocco dati passando a 50; l´indirizzo di rete lo lasciamo a 0 , mentre cambiamo l´Offset portandolo a 100.

La granularità dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile INT necessita di 16 bit. Ne risulta il seguente indirizzamento automatico per il nostro array:

Array | Indirizzo di rete | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100
Array of INT[2] | 0 | 50 | 102
Array of INT[3] | 0 | 50 | 104
Array of INT[4] | 0 | 50 | 106
Array of INT[5] | 0 | 50 | 108

Ogni offset, quindi, è sempre maggiore di 2 unità rispetto al precedente, perché una variabile di 16 bit necessità due offset di 8 bit.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5, la situazione sarebbe un´altra. Sul driver S5, infatti, l´area dei blocchi dati ha una granularità di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD. Con la medesima configurazione, avremo dunque la situazione seguente:

Array | Indirizzo di rete | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100NT
Array of INT[2] | 0 | 50 | 101
Array of INT[3] | 0 | 50 | 102
Array of INT[4] | 0 | 50 | 103
Array of INT[5] | 0 | 50 | 104

Ogni offset è adesso maggiore di una unità rispetto al precedente, perché una variabile a 16 bit necessita solo di un offset di 16 bit.


Esempio di un array con indirizzamento automatico per una variabile BOOL:

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di un array con indirizzamento automatico per una variabile BOOL:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procediamo come nell´esempio dell´indirizzamento automatico con il tipo di dato INT, ma usiamo il tipo di dato standard BOOL. Tutte le altre impostazioni restano come descritto sopra e creiamo una nuova variabile array.

Nelle proprietà della variabile array definiamo i valori come segue:

Blocco dati: 50

Indirizzo di rete/bus 0

Offset: 100

Numero bit: 0

Nel caso del driver S7, dall´indirizzamento automatico deriva la seguente situazione:

Array | Indirizzo di rete | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 101 | 0
Array of INT[3] | 0 | 50 | 102 | 0
Array of INT[4] | 0 | 50 | 103 | 0
Array of INT[5] | 0 | 50 | 104 | 0

Una variabile 1 bit trova spazio in un offset 8 bit. Avendo impostato Ogni tipo di dato parte con un nuovo offset, ogni elemento di array è stato posto su un nuovo offset.

Se disattiviamo questa proprietà della variabile array, otterremo la situazione seguente:

Array | Indirizzo di rete | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 1
Array of INT[3] | 0 | 50 | 100 | 2
Array of INT[4] | 0 | 50 | 100 | 3
Array of INT[5] | 0 | 50 | 100 | 4

I bit vengono quindi messi nello stesso offset uno dopo l´altro. Nel caso in cui un offset non bastasse (come, per esempio, con un array di 20 variabili BOOL), si continuerà con il prossimo offset. Per un array di 20 variabili BOOL, quindi, sarebbe sufficiente dall´offset 100 numero bit 0 fino all´offset 102 numero bit 3.


Esempio di array con indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di array con indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´indirizzamento automatico, nella configurazione variabili deve essere selezionata la proprietà Indirizzamento manuale. Poi possono essere indicate manualmente per ogni elemento array le informazioni concernenti:

  • Indirizzo di rete
  • Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Per l´esempio di array con indirizzamento automatico per una variabile BOOL, potremmo avere la cosa seguente:

Array | Indirizzo di rete | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 2
Array of INT[3] | 0 | 50 | 101 | 0
Array of INT[4] | 0 | 50 | 101 | 2
Array of INT[5] | 0 | 50 | 102 | 0

attention Attenzione

Se l'offset di partenza dell'array o la grandezza della dimensione dell'array stesso vengono modificate, tutte le informazioni d'indirizzo (offset e indirizzo Bit) vengono ricalcolate.

Nel caso di una modifica dello start-offset, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili array rimane dunque immutata.


Modifica delle proprietà di un array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Modifica delle proprietà di un array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà vengono modificate mediante la finestra di proprietà e il dialogo Modifica variabili.

Tenete presente soprattutto due proprietà in particolare:

  • Ultimo offset utilizzato: Indica quale offset (incluso numero di bit) è stato utilizzato come ultimo nell´indirizzamento automatico.
  • Dimensione in byte: mostra quanti byte sono utilizzati dall´array in questione.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | Selezionare il driver desiderato fra quelli del menù a tendina. Nota: se nessun driver è stato creato nel progetto, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionare il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Questa dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzo segue l´offset del tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato per l´elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di array. Attivo: per ogni elemento array inizierà un nuovo offset. Non attivo: gli offset vengono usati completamente (le variabili vengono messe in successione).

Note a proposito della modifica del tipo di dato IEC

Se il tipo di dato IEC d un array viene modificato, vale quanto segue:

  • finché il valore della risoluzione segnale attuale si trova nell´ambito delle risoluzioni segnale del tipo di dato, non viene effettuato alcun adattamento:
  • L´area di misurazione non viene adattata:

    Eccezione: nel caso del tipo di dato BOOL la risoluzione segnale e l´area di misurazione vengono sempre adattate.

Per l´adattamento della risoluzione segnale vale la regola per cui la nuova risoluzione deve essere minore di quella precedente:

  • Risoluzione segnale min. viene adattato solamente se SignalbereichMinNeu < è SignalbereichMinAlt
  • Risoluzione segnale max. viene adattato solamente se SignalbereichMaxNeu < è SignalbereichMaxAlt


Attivazione/Disattivazione di elementi array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Attivazione/Disattivazione di elementi array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni array può essere attivato e disattivato in maniera separata. L´attivazione può essere effettuata o alla creazione dell´array (“attiva tutti gli elementi”) o manualmente attraverso il menù contestuale dei singoli elementi array. L´indirizzamento automatico considera gli elementi array inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.


Variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una struttura consiste di elementi singoli. Essi sono sempre dei tipi di dati. Per creare di un elemento di struttura deve sempre essere selezionato un tipo di dato già esistente. Elementi di struttura possono essere o embedded o collegati.

Parametri | Descrizione
Elementi di struttura scollegati | Possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà vengono definite appositamente e salvate per ogni singolo elemento di struttura.
Elementi di struttura collegati | Riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario, si modificano anche tutti gli elementi di struttura collegati!

Struttura di tipi di dato

I dettagli sulla creazione dei tipi di dato struttura li potete trovare nel capitolo Tipi di dato/Tipi di dato struttura.

Variabili struttura

Variabili struttura si basano sempre su un tipo di dato struttura. Rappresentano quindi principalmente la costruzione della struttura sulla quale sono basate. Nella creazione di una struttura di variabili possono essere indicate le seguenti opzioni:

Parametri

Descrizione

Arrays

Può essere definito se una struttura deve consistere in una singola struttura di variabile oppure in un array. Per le strutture di arrays possono essere definite fino a tre dimensioni.

Indirizzamento

L´indirizzamento delle strutture di variabili può essere effettuato automaticamente o manualmente. Di default l´indirizzamento è calcolato in modo automatico. Il calcolo dell´indirizzo dipende dalla risoluzione dal tipo di oggetto del driver e dagli elementi di struttura utilizzati.

Nel caso dell´indirizzamento automatico, ogni tipo di dato può essere avviato con un nuovo offset.

Attivazione di elementi in variabili struttura

Può essere impostato se tutti gli elementi di struttura sono attivati oppure no.

Attivazione significa che tutti gli elementi sono attivi. Le variabili attive possono essere utilizzate subito in zenon. Le variabile disattivate non sono disponibili e non vengono considerate nel calcolo I/O in zenon per quanto riguarda la licenza e non sono neanche registrate nel driver. In tal modo, potete impostare in una struttura delle aree di riserva che possono essere attivate in un secondo momento. Al momento, tutti gli elementi di una variabile struttura sono attivabili e disattivabili mediante il menù contestuale.

Nota: anche le variabili struttura disattivate vengono tenute in considerazione per il calcolo di indirizzamento. Se non lo si desidera, gli indirizzi devono essere assegnati manualmente, oppure deve essere cancellato l´elemento struttura corrispondente nel tipo di dato.

Comportamento nel caso di import XML

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di queste strutture vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati mediante il nome.
  • Per quello che riguarda gli elementi di struttura già esistenti, il tipo viene adattato se differente.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo tipo dato strutturato, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che non attive. Gli elementi esistenti non vengono sovrascritti quando si esegue l´importazione. Se quindi si importa in un progetto una variabile non attiva e poi la si attiva, questa variabile rimane attiva anche dopo un nuovo processo di importazione XML.

Ancora in questo capitolo

Creazione di variabili struttura

Modifica di variabili struttura

Cancellazione di variabili struttura


Creazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una variabile struttura:

  1. Creare anzitutto una variabile semplice
  2. Come tipo di dato, selezionare un tipo dato strutturato.
  3. Selezionare driver e tipo di oggetto del driver.
  4. Definire le dimensioni array.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | Selezionare il driver desiderato fra quelli del menù a tendina. Nota: se nessun driver è stato creato nel progetto, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionare il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Questo dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzo segue l´offset del tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato per l´elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attivo: per ogni elemento struttura inizierà un nuovo offset. Un Bit-Offset > 0 causa l´aumento dell´Offset pari a 1. Non attivo: gli offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Attiva automaticamente alla creazione della nuova variabile struttura tutti gli elementi
Attiva elementi manualmente | Gli elementi non vengono attivati al momento della loro creazione. Devono essere attivati manualmente nella lista delle variabili Ciò può esser fatto usando il menù contestuale della lista variabile.

Orientamento di tipi di dato nel caso di indirizzamento automatico

  • Un driver con granularità BYTE può usare con BOOL solamente i bit da 0 a 7. Tutti gli altri tipi di dato iniziano con bit 0.
  • Con WORD: BOOL Bits 0 fino a 15, U(S)INT i Bits 0 e 8, Tutti gli altri tipi di dato iniziano con bit 0.
  • Con DWORD: BOOL Bits 0 fino a 31, U(S)INT i Bits 0, 8, 16 e 24, (U)INT i Bits 0 e 16. Tutti gli altri tipi di dato iniziano con bit 0.
  • Le stringhe devono iniziare sempre con Bit 0.
    Ne consegue che: se nell´indirizzo attuale il Bitoffset > è 0, la variabile viene settata su bit 0 e offset+1.

Esempio

USINT = 8Bit, granularità WORD = 16bit.

La variabile può iniziare solamente con i bit 0 oppure 8. Se, per esempio, è stato progettato come bitoffset 2 e l´indirizzo attuale è Offset=0 Bit=0, la variabile viene settata su Offset 0 Bit 8. Se invece l´indirizzo attuale fosse Offset=0 e Bit=7, su Offset=1 Bit=0

Ancora in questo capitolo

Struttura semplice con indirizzamento automatico

Variabile struttura come array con indirizzamento automatico

Indirizzamento manuale


Struttura semplice con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Struttura semplice con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio

In un primo passo, creiamo un tipo di dato struttura. A questo scopo, creiamo una struttura Slider con quattro elementi:

  • numero di giri set value (UINT),
  • numero di giri attuale (USINT),
  • Array [2] di
    • on/off (BOOL) e
  • controllo (SINT).

Poi dobbiamo creare facendo uso del dialogo Crea variabile una variabile strutturata che si basa su questo tipo di dato. Usiamo per questo esempio:

  • il driver S7 TCP/IP
  • il blocco dati Area
  • la dimensione array 0
  • le opzioni attivate
    • Indirizzamento automatico
    • Ogni tipo di dato parte con un nuovo offset
    • Attiva tutti gli elementi

Nella lista variabili viene generata, facendo clic su finisci, la struttura desiderata con tutti gli elementi.

Se si seleziona la struttura di variabile “Regolatore numero di giri” nella sezione lista, è possibile influire sulle proprietà di tutta la struttura nella finestra di proprietà. Le impostazioni più importanti si trovano nel gruppo Indirizzamento. Li vengono definiti il blocco dati, l´indirizzo di rete (=indirizzo bus) e l´offset di partenza per la struttura. Avendo selezionato Indirizzamento automatico, tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza.

Nel nostro esempio impostiamo:

Blocco dati: 50

Offset: 100

Indirizzo di rete: 0

La risoluzione dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile UINT necessita 16 bit, ogni variabile USINT 8 bit, ogni variabile BOOL 1 bit ed ogni variabile SINT 8 bit.

Ne risulta il seguente indirizzamento automatico per la nostra struttura.

Variabile | Indirizzo di rete | Blocco dati | Offset | Numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 104 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 105 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 106 | 0

Ultimo offset utilizzato: 106 Bit 7

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile 8 bit „Regolatore-Giri.Valore impostabile numero giri" utilizza 1 offset, la variabile 16 bit „regolatore numero giri. valore attuale numero giri" utilizza 2 offset, le 2 variabili BOOL utilizzano in un´offset 2 bit e la variabile „regolatore numero giri. sorveglianza numero giri" utilizza 1 offset.

Gli indirizzi non possono essere adattati che attraverso la struttura di tipo di dato o attraverso le impostazioni indirizzo nella struttura di variabile, non possono essere adattati attraverso i singoli elementi di struttura. Soltanto l´indirizzamento manuale permetterebbe questo.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5 si presenterebbe un'altra scena. Sul driver S5 i blocchi dati hanno una risoluzione di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD.

Con la medesima configurazione, avremo dunque la situazione seguente:

Variabile | Indirizzo di rete | Blocco dati | Offset | Numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 101 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 102 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 102 | 8

Ultimo offset utilizzato: 102 Bit 15

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile a 8 bit „Regolatore-Giri.Valore impostabile numero di giri" utilizza metà offset (bit 0 – 7); la variabile 16 bit „Regolatore-Giri. Valore attuale numero giri" utilizza un offset. Le 2 variabili BOOL utilizzano solo i primi 2 bit dell´offset 102 e quindi la variabile „Regolatore-Giri.Sorveglianza" parte nello stesso offse delle 2 BOOL con numero bit 8.


Variabile struttura come array con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Variabile struttura come array con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Array nel caso di elemento struttura con tipo di dato semplice

Le variabili vengono indirizzate in forma compatta a partire dall´offset, in corrispondenza di tipo di dato IEC e granularità. Non esiste dunque nessuna differenza rispetto all´indirizzamento "a pacchetto".

Variabili struttura come array

L´indirizzo del primo elemento struttura nell´indice n deriva dall´indirizzo dell´ultimo elemento struttura nell´indice n-1 più l´offset nell´elemento struttura.

Se la proprietà ogni tipo di dato parte con nuovo offset

  • attivo: l´indice comincia sempre con un Offset intero (Bit è 0, eventualmente spostato di Offset in elementi struttura).
  • inattivo: si indirizza "a pacchetto" in modo corrispondente al tipo di dato e granularità e spostato dell´offset dell´elemento struttura. Indipendentemente da ciò, la variabile viene orientata in corrispondenza di tipo di dato e granularità.

Esempio

Usiamo lo stesso esempio come nel capitolo Struttura semplice con indirizzamento automatico, cambiamo però nelle proprietà della variabili struttura la dimensione array 1 da 0 a 2.

Cliccando su Finiscisi presenta la scena seguente nella lista delle variabili:

La struttura esistente è stata modificata in modo da mettere a disposizione ogni elemento di struttura in modo duplice.

Per il nostro esempio con il driver S7 si presenta quindi la scena seguente per l´indirizzamento automatico, quando sono state effettuate le impostazioni seguenti: Ogni tipo di dato parte con nuovo offset:

Variabile | Indirizzo di rete | Blocco dati | Offset | Numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 103 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 103 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 104 | 0
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 105 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 106 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 109 | 0

Ultimo offset utilizzato: 109 Bit 7

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce.

Alla modifica del driver verso il driver S5 si presenta la scena seguente:

Variabile | Indirizzo di rete | Blocco dati | Offset | Numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 102 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 102 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 102 | 8
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 103 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 104 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 105 | 7

Ultimo offset utilizzato: 105 Bit 15

Ogni tipo di dato parte con un nuovo offset

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce. Ci possono essere delle differenze a causa dell'opzione Ogni tipo di dato parte con nuovo offset. Se questa opzione è settata la partenza della prossima struttura di array è depositata sempre su un nuovo offset, anche se la prossima struttura riuscirebbe a rientrare ancora in questo offset.

Example Esempio

L´ultimo elemento di struttura è un SINT (8Bit) e usa offset 102 Bit 0 a 7. Per l´esempio del driver S5 (16 bit offsets), la prossima struttura inizierebbe nel modo illustrato di seguito:

  • opzione attivata: “Ogni tipo di dato parte con nuovo offset”: Offset 103 Bit 0
  • Opzione disattivata: “Ogni tipo di dato parte con nuovo offset": Offset 102 Bit 8 Le strutture verranno allineate direttamente una all´altra.


Indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso dell´indirizzamento manuale, gli indirizzi possono essere assegnati in modo semiautomatico o completamente automatico.

Soluzione semiautomatica

Gli offset ed il numero bit sono definiti negli elementi di struttura nel tipo di dato. Tuttavia, in quella sede è definito soltanto un offset relativo. Nella struttura di variabile è definito un offset di partenza e tutti gli offset relativi vengono aggiunti a questo offset di partenza.

Esempio

come in struttura semplice con indirizzamento automatico, creiamo il tipo di dato struttura Struttura Regolatore. Con i singoli elementi di struttura, poi, viene impostato per ogni elemento un qualsiasi offset, per es.offset 3 per l'elemento struttura numero di giri oggettivo.

Alla creazione di una variabile struttura, l´opzioneIndirizzamento automaticoviene disabilitata. Nelle proprietà della struttura di variabile viene definito 100 come offset di partenza.. zenon calcola adesso per l´indirizzo della variabile „Regolatore-giri.Valore impostabile numero di giri“ l´offset 103 (100 dalla struttura e 3 dall´elemento di struttura).

In caso di modifica dell´offset relativo in un ulteriore momento si deve procedere come segue:

  • Prima l´offset dell´elemento di struttura dev´essere modificato nel tipo di dato.
  • Poi l´offset di partenza deve essere modificato nella variabile struttura (per esempio portandolo a 101).
  • E poi di nuovo all´offset di partenza (nel nostro esempio 100).

Background: Il nuovo calcolo d´indirizzo viene effettuato soltanto alla modifica dell´offset di partenza nella struttura di variabile e non se soltanto l´offset in un elemento di struttura viene modificato.

Soluzione completamente manuale

La progettazione si effettua nella stessa maniera della soluzione semiautomatica a differenza che, nella struttura di variabile, gli indirizzi vengono definiti manualmente per ogni elemento.

Nel caso di una modifica dello start-offset di una variabile struttura, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili struttura rimane dunque immutata.


Modifica di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

le modifiche vengono effettuate mediante le proprietà e il dialogo Modifica variabili.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | Selezionare il driver desiderato fra quelli del menù a tendina. Nota: se nessun driver è stato creato nel progetto, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionare il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionare il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Questo dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzo segue l´offset del tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attivo: per ogni elemento struttura inizierà un nuovo offset. Non attivo: gli offset vengono usati completamente (le variabili vengono messe in successione).

Ancora in questo capitolo

Modificare le proprietà

Attivazione e disattivazione di elementi di struttura

Modificare l’ordine


Modificare le proprietà

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modifiche vengono effettuate attraverso la finestra di proprietà.

Consideri, che le modifiche nella struttura di variabile possano avere un effetto sui singoli elementi della struttura di variabile (p.e. calcoli d´indirizzamento alla modifica dell´offset di partenza resp. del driver). Le proprietà di ogni elemento di struttura di variabile possono essere modificate separatamente. Modifiche possono essere effettuate o per singoli elementi o per gli elementi di struttura della “struttura di tipo di dato” che fa da base. Le modifiche vengono poi ereditate. (A questo proposito vedi capitolo Concetto di trasmissione ereditaria)


Attivazione e disattivazione di elementi di struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Attivazione e disattivazione di elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento deve essere selezionato e poi la relativa azione viene eseguita tramite menù contestuale. L´indirizzamento automatico considera gli elementi inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.

Variabili non attive

  • Non sono disponibili in zenon
  • Non vengono registrate nel driver.
  • Non vengono tenute in considerazione nel calcolo di I/Os per la dimensone della licenza.

Indicazioni importanti

tenete presente al momento della disattivazione di variabili delle cose seguenti:

  • riferimenti variabili in elementi ad immagine vanno perduti. Questi riferimenti possono essere ripristinati solo manualmente.
  • Se un elemento di struttura è basato su un tipo di dato IEC che non è ammissibile con il driver selezionato, l´elemento non può essere attivato!
  • Quando si disattivano e poi si riattivano delle variabili, gli elementi dinamici per queste variabili non sono attualizzati nell´editor. Per attualizzarli, cliccate all´interno della finestra delle proprietà dell´elemento sulla variabile in questione.


Modificare l’ordine

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare l’ordine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una modifica degli elementi di una struttura di variabile può essere effettuata solo dalla rispettiva struttura di tipo di dato. In caso di modifiche sulla struttura di tipo di dato, tutte le strutture di variabili basate su questa verranno di conseguenza modificate!


Cancellazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Cancellazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate la variabile nella visuale dettagliata e premete il tasto Canc.


Variabili comuni a più progetti

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili comuni a più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere selezionate anche le variabili di altri progetti. Esse possono poi essere usate in più progetti contemporaneamente. È anche possibile stabilire un meccanismo di tipo gerarchico. Le variabili di progetti di livello superiore, dello stesso livello o subordinati, ma anche quelle di progetti non collegati ad altri, possono essere usate a piacere.

Per poter utilizzare delle variabili in diversi progetti, tutti questi, sia nel momento della progettazione che durante il runtime, devono:

  • essere attivi
  • essere accessibili in rete
    Indicazione: zenon controlla durante il runtime se il progetto non è accessibile nell´ambito della rete.

Nel progetto, le variabili provenienti da altri progetti vengono visualizzate nel seguente modo:
[Nome progetto]#[Nome variabile], per esempio Projekt1#WIZ_VAR_10

Nel caso in cui un uso in diversi progetti non dovesse essere possibile, altri progetti vengono visualizzati in colore grigio (non selezionabili) nel Dialogo di selezione variabili.

Nota: le dimensioni di questa finestra di dialogo possono essere modificate. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, a Runtime e nel Web Client di zenon in modo indipendente dal progetto.

attention Attenzione

Se i nomi progetto vengono modificati in un secondo momento, o se il progetto viene copiato, si deve provvedere a preservare un´assegnazione corretta. Per far questo, usare il Dialogo di sostituzione dei riferimenti di progetto.

Tenete presente le particolari condizioni che vigono nel caso delle variabili in uso in diversi progetti in riferimento alla funzione comandi!


Uso in zenon Analyzer

Manuale -> Variabili -> Creare, modificare e usare variabili -> Uso in zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usarle nell´ambito del prodotto di COPA-DATA zenon Analyzer, le variabili possono essere dotate di informazioni speciali per report. . A tal scopo, è messo a disposizione degli utenti un gruppo speciale di proprietà.

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

I dati vengono ripresi da zenon in zenon Analyzer tramite l´export effettuato per mezzo dell´Analyzer Export Wizard.

Ancora in questo capitolo

Parametro Diagramma waterfall


Parametro Diagramma waterfall

Manuale -> Variabili -> Creare, modificare e usare variabili -> Uso in zenon Analyzer -> Parametro Diagramma waterfall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un grafico a cascata può essere creato per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. A partire da zenon 7.20, i parametri per il diagramma vengono salvati nella proprietà delle variabili Analyzer/Parametro per diagramma a cascata. Essi possono essere inseriti manualmente, oppure creati con il Meaning and Waterfall Chart Wizard.

Esportazione

Durante il caricamento del workspace di zenon, il Wizard legge la proprietà Parametro per diagramma a cascata. Se ci sono degli inserimenti corretti, essi vengono esportati in background e scritti nella banca dati di zenon Analyzer.

Struttura degli inserimenti

A seconda della loro struttura, il sistema decide se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea o sulle macchine.

  • Basati sulle macchine: Struttura con 4 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
    Esempio: MyWaterfall,4,2,#80FF00;

  • Basati sulla linea: Struttura con 7 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];
    Esempio: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regole di lettura

Per la lettura vale quanto segue:

  • Se ci sono inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
    La struttura è il criterio per stabilire se l´inserimento va considerato a base macchina o a base linea.
  • L´identificazione WF= non è necessaria, ma la si può usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio. Qui deve essere premessa l´identificazione WF=.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono ripresi dalla proprietà zenon Identificazione servizio.


Concetto di trasmissione ereditaria

Manuale -> Variabili -> Concetto di trasmissione ereditaria

Trasmissione ereditaria significa che le proprietà di un oggetto vengono trasmesse ad un oggetto derivante da questo oggetto. L´oggetto derivante accetta principalmente tutte le proprietà dell´oggetto di base; possono però essere modificate=sovrascritte tutte le proprietà o in parte.

Esiste anche il contrario, il collegamento. Anche qui il nuovo oggetto ha tutte le proprietà dell´oggetto di base, però nonpossono essere modificate /sovrascritte nell´oggetto di base. Una modifica è possibile solo nell´oggetto di base.

Vale per tutte le due possibilità: Se una proprietà viene modificata nell´oggetto di base, tutti gli oggetti derivanti da questo oggetto di base, accettano questa modifica. Le proprietà individuali quindi non sono salvate nell´oggetto, esiste un riferimento all´oggetto di base.

Eccezione: Appena un valore è stato sovrascritto (modificato) nell´elemento questa proprietà non ha più nessun effetto sull´oggetto di base. Se una proprietà sovrascritta è modificata nell´oggetto di base, questa modifica non ha nessun effetto sull´oggetto trasmesso. Questo vale soltanto per quelle proprietà che hanno perso il loro riferimento all´oggetto base. Tutte le altre proprietà mantengono il loro riferimento con l´oggetto di base. Una proprietà sovrascritta può essere ad ogni momento rimodificata con una proprietà derivante.

Ancora in questo capitolo

Eredità in zenon

Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici


Eredità in zenon

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon gli oggetti base sono i tipi di dato. Tipi di dato semplici come anche le strutture di tipi di dato collegano le loro proprietà alle variabili basate su di loro.

Le variabili rappresentano gli oggetti derivanti dai tipi di dato. Da questi sono trasmessi in ereditarietà principalmente tutte le proprietà. Un´eccezione la troviamo nelle proprietà che

sono impostabili solo con le variabili, come, ad esempio, l'indirizzamento, che non hanno la loro origine in tipi di dato, ma che dipendono dal tipo di oggetto driver.

Nelle strutture esistono gli elementi di struttura. Questi possono essere embedded o collegati . In caso di collegamento accettano tutte le proprietà dal tipo di dato con il quale sono collegati. Tutte le modifiche effettuate sul tipo di dato originario vengono adottate 1:1. Non può però essere sovrascritta nessuna proprietà, dato che è soltanto collegata e non trasmessa in eredità.

Gli elementi di struttura embedded di una struttura di tipo di dato in principio non hanno più nessun riferimento con il loro tipo di dato originario. Sono delle copie, nelle quali tutte le impostazioni possono essere effettuate separatamente. Modifiche al tipo di dato originario non hanno nessun effetto. Elementi di struttura embedded possono essere modificati di nuovo in qualsiasi mo,ento in elementi di struttura collegati e viceversa.

Ancora in questo capitolo

Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili


Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon -> Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come nelle strutture di variabili funziona allo stesso modo nelle variabili semplici. Solo le proprietà sono da impostare per ogni singolo elemento di struttura. Ogni elemento di una “variabile strutturata” è collegato con un “elemento di struttura” della “struttura di tipo di dato” sul quale si basa la variabile.

Un elemento di struttura a sua volta può essere anche collegato con un tipo di dato.

In tal modo l´elemento di struttura di variabile prende le proprietà dell´elemento di struttura il quale a sua volta è collegato con un tipo di dato.

Diventa ancora più complesso se delle strutture sono utilizzate nelle strutture.

Variabile con una struttura in una struttura

Nell'esempio descritto sopra vediamo la variabile “Motore.Regolatore-giri”. “Regolatore-Giri“ è derivata dalla struttura motore. Questa, a sua volta contiene, l'elemento di struttura “Regolatore-giri”, che è una struttura. Questa struttura è collegata con la struttura motore, dato che le strutture nelle strutture possono solo essere collegate. In questa struttura „Regolatore numero di giri” è collegato il tipo di dato UINT.

Se allora in questo tipo di dato ci sono delle modifiche, queste hanno un effetto diretto sulla variabile “Motore.Regolatore-Giri .valore effettivo numero di giri“.

Anche qui raccomandiamo molta prudenza per le modifiche sui tipi di dato.

Sovrascrivere le proprietà o il ripristino del riferimento al tipo di dato viene effettuato come descritto sopra.


Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla creazione di una nuova variabile tutte le proprietà sono trasmesse dal tipo di dato. Questa circostanza è segnalata tramite una simbolo di collegamento davanti alla proprietà.

Proprietà derivanti sono riconoscibili tramite una freccia verso l’alto.

In questo esempio, tutte le proprietà provengono dal tipo di dato, tranne “cifre decimali”. Questa è stata sovrascritta nella variabile. Nel caso in cui la proprietà unità di misura venisse modificata nel tipo di dato originario, verrà modificata l´unità di misura in tutte le variabili basate su questo tipo di dato. Questo non vale per quelle variabili le quali proprietà sono state sovrascritte (modificate).

attention Attenzione

Faccia attenzione al fatto, che tutte le modifiche apportate al tipo di dato modificano sempre tutte le variabili basate su questo tipo di dato (ad eccezione che queste proprietà siano state modificate).

Ancora in questo capitolo

Sovrascrivere le proprietà

Ripristino delle proprietà di un tipo di dato


Sovrascrivere le proprietà

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Sovrascrivere le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà di variabili possono essere sovrascritte in due modi:

  • La proprietà viene modificata tramite tastiera o mouse. Una volta effettuata la modifica, il riferimento di questa proprietà con il tipo di dato non esiste più.
  • La proprietà viene separata dal tipo di dato tramite il menù contestuale relativo. In questo caso o solo la proprietà selezionata o tutte le proprietà della variabile possono essere separate da questo tipo di dato. (Vedi screenshot!)

Una volta sovrascritta la proprietà il simbolo sparisce. Tutte le modifiche nel tipo di dato non avranno più nessun effetto sulle proprietà sovrascritte di una variabile.


Ripristino delle proprietà di un tipo di dato

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Ripristino delle proprietà di un tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate la proprietà sovrascritta e scegliete nel menù contestuale la voce Tutti i valori del tipo di dato oppure solo il '<Nome>' Valore del tipo di dato. Alla proprietà o a tutte le proprietà vengono restituiti i loro simboli di collegamento.


Calcolo valore

Manuale -> Variabili -> Calcolo valore

Il calcolo valore definisce mediante diverse proprietà il campo valore di una variabile.

Isteresi e valore soglia

Valori che cambiano velocemente (per es. fluttuanti) possono essere aggirati facendo uso di diverse proprietà, in modo tale da poter evitare delle reazioni indesiderate come allarmi e inserimenti in archivi. Si differenzia fra:

  • Isteresi: Impedisce la trasmissione di valori che cambiano velocemente dal driver alle variabili.
  • Isteresi per archivio: Impedisce la generazione di inserimenti archivi nel caso di modifiche rapide di valori relative all´area di misurazione.
  • Valore soglia: Impedisce reazioni indesiderate, come allarmi nel caso di valori numerici che cambiano rapidamente.

Adeguamento non lineare dei valori

Le variabili il cui valore non elaborato (controller) non può essere scalato in modo lineare nel valore misurato (zenon), possono essere adeguate facendo uso della proprietà Adattamento di valori non lineari su macro. I valori non elaborati vengono adeguati mediante delle macro VBA nel PLC e mediante una macro in zenon.
Le macro necessarie devono già esistere nella lista macro di zenon. Le si seleziona usando le seguenti proprietà:

  • AdjustHardwareValue: viene richiamata nel Runtime ogni qualvolta cambia un valore grezzo nel PLC e adegua il valore in zenon.
  • AdjustScadaValue: viene richiamata ogni qualvolta viene settato un valore da zenon; essa adegua il valore grezzo sul PLC.

attention Attenzione

Devono essere configurate entrambe le proprietà. La macro AdjustHardwareValue deve essere creata come funzione inversa rispetto a AdjustScadaValue.

Ancora in questo capitolo

Isteresi


Isteresi

Manuale -> Variabili -> Calcolo valore -> Isteresi

L´isteresi definisce l´area all´interno della quale il sistema ignora una modifica di valore. In tal modo si vuole evitare che dei valori che cambiano velocemente vengano visualizzati nell´elemento ad immagine e scatenino una continua violazione di valori limite.

In <CD_PRODUCTNAME si possono definire delle isteresi nelle proprietà delle variabili (Calcolo valore/Isteresi) per:

  • calcolo valore delle variabili:
    Proprietà Positiva per il segnale e Negativa per il segnale.
    I valori in cambiamento che sono compresi all´interno dell´isteresi, non vengono trasmessi dal driver alla variabile.
  • Inserimento in archivi nel caso di modifica valore:
    Proprietà Positiva per l'archivio e Negativa per l'archivio.

    Valori modificati che sono compresi nell´ambito dell´isteresi non vengono inseriti nell´archivio.

Example Esempio

Un valore limite è definito con 50° C. La temperatura oscilla un po´ normalmente. Per questo motivo, ogni superamento verso il basso o verso l´alto del valore di 50° C causerebbe una violazione del valore limite e dunque provocherebbe un allarme e un inserimento nell´archivio.

Per evitare che ciò accada, si definisce per la variabile l´isteresi:

  • Positiva per il segnale: 2
  • Negativa per il segnale: 2

E per l´archivio l´isteresi:

  • Positiva per l'archivio: 8
  • Negativa per l'archivio: 6

In tal modo:

  • solamente nel caso in cui si superino i 52° o si vada sotto i 48°, il sistema riconoscerà una violazione di valore limite
  • solamente nel caso in cui si superino i 58° o si vada sotto i 44°, il sistema genererà un inserimento di archivio

Nota: le isteresi che devono solamente evitare il verificarsi di reazioni non volute (come allarmi) a violazioni di valori limite in caso di valori che cambiano rapidamente, possono essere realizzate tramite valori soglia.

info Info

Tenere presente quanto segue:

  • Non ogni driver supporta le isteresi. Se il Vostro driver supporta le isteresi o meno, lo potete verificare consultando la documentazione del driver in questione.
  • Progetto di integrazione
    Se si configura un´isteresi per una variabile in un sottoprogetto, ciò non ha nessun effetto se la variabile stessa si trova in un archivio del progetto di integrazione.


Valori limiti

Manuale -> Variabili -> Valori limiti

I valori limite hanno il compito di avviare una reazione al raggiungimento o al superamento di un valore o di uno stato. Il limite è definito di maniera fissa nell´editor oppure si definisce in dipendenza del valore di un´altra variabile nel Runtime. I metodi di reazione sono vari. Esempio: Citiamo come esempio il cambio di colore, inserimenti allarme o CEL, stampe, chiamate di funzione ecc. L'esecuzione della reazione viene eseguita inzenon.

La progettazione di

  • valori limite definisce il comportamento per le variabili numeriche
  • Stato definisce il comportamento per le variabili binarie (low, high o logiche 0, 1).

    Nota: per ragioni di validità generale, useremo in seguito anche per lon stato la denominazione di valore limite.

Nel caso in cui fosse necessaria un analisi complementare delle informazioni di stato delle variabili, la relativa progettazione deve essere effettuata tramite matrici di reazione. Possono essere usate delle matrici di reazione anche per valori stringa. Potete trovare delle informazioni dettagliate sulle matrici di reazione nella sezione Matrici di reazione.

Uso con EPLAN

Quando si verifica un allarme, può essere aperto anche un documento EPLAN. A questo scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nel file zenon6.ini .
Configurazione:

  • Inserimento della successione di caratteri $PRG:xxxxxx nella proprietà File guida del gruppo Valori limiti

    Nota: xxxxxx è un placeholder per il parametro da trasferire.

  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Per i dettagli vedi il capitolo Apri EPLAN dalla guida nel manuale Guida Runtime.

Ancora in questo capitolo

Progettazione di valori limite nell'editor

Valori limite a Runtime

Testo dinamico di valore limite


Progettazione di valori limite nell'editor

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la selezione di una variabile nella sezione liste del manager di progetto vengono visualizzate tutte le proprietà della variabile selezionata nella finestra proprietà.

Per creare nuovi valori limiti, clicchi su Nuovo limite. Ogni volta che clicca su inserisci valori limite viene inserito un nuovo valore limite (valore limite 1, valore limite 2 ….) nella lista dietro.

Tutte le opzioni per la progettazione di valore limite si trovano nella finestra proprietà e sono descritte nella guida delle proprietà. Questa guida specifica viene automaticamente visualizzata ogni volta alla selezione di una proprietà.

Può essere definito per ogni variabile un numero qualsiasi di limiti.

Apra adesso la lista cliccando sul segno + davanti alla proprietà “Valori limite”. Tutti i valori limite generati sono elencati in questa lista. Se seleziona adesso un valore limite facendo un clic con il mouse, si apre la lista delle proprietà di valore limite da definire.

Ancora in questo capitolo

Tempo di ritardo:

Valore soglia

Derivazione di valori limite da tipi di dato

Selezione multipla

Cancellazione di valori limite

Valori limiti sovrapposti

Anteprima limiti


Tempo di ritardo:

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Tempo di ritardo:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite la proprietà Tempo di ritardo [s], si può progettare nelle proprietà per il valore limite un valore per un tempo di ritardo. Questo valore definisce l´intervallo in secondi per cui deve esistere una violazione di valore limite perché vengano attivate le azioni definite per la violazione stessa.
Default: 0 - : nessun ritardo.

Valore massimo: 4294967295 secondi

Il tempo di ritardo vale indipendentemente in quale direzione il valore limite viene violato.

Esempio:

  • Configurazione
    • Valore limite 1 è settato sul valore 50.
    • Valore limite 2 è settato sul valore 100.
    • Il tempo di ritardo è di 3s.
  1. Il valore sale a 110.
    • Dopo che la violazione è durata per 3 secondi, essa viene visualizzata per il valore 100.
  2. Il valore scende a 70.
    • Non appena questo valore è durato per 3 secondi, viene disattivato l´allarme per la violazione di valore limite 100 e viene visualizzata una violazione per il valore 50.
  3. Se il valore scende a 40, viene disattivato l´allarme dopo 3 secondi.

Timestamp e valore

Come dato data/ora per la violazione del valore limite nella AML e nella CEL viene inserito il punto temporale della prima violazione.
Come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

Legenda:

Cifra

Descrizione

1

Momento del superamento del valore limite.

Avvio del tempo di ritardo progettato.

Valore scatenante.

2

Fine del tempo di ritardo progettato. Allarme in entrata:

  • Tempo: Momento della violazione del valore limite (1)
  • Valore visualizzato valore dopo il tempo di ritardo (2)

info Info

In combinazione con la proprietà Lampeggio, questa proprietà ha i seguenti effetti in rete:
Elementi collegati per valori limite e allarmi, con o senza ritardo, vengono visualizzati con lampeggio sul server e sui client.


Valore soglia

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Valore soglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I cosiddetti valori soglia impediscono il verificarsi di reazioni non desiderate a valori numerici in rapido cambio. Essi generano una isteresi di valore limite. In questo caso il valore limite all´inizio della violazione è un altro al momento della fine della violazione stessa.

Esempio: valore limite max. a 100, valore soglia 10. Non appena il valore della variabile raggiunge 100, siamo in presenza di una violazione del valore limite stesso. Se il valore cade a 95, non avviene nessuna reazione. Solo quando il valore cade a 89, la violazione del limite sarà terminata.

I valori soglia possono essere settati sia per definire un valore massimo che minimo. Nel caso del massimo, il valore soglia si muove verso il basso, nel caso del minimo, verso l´alto.
Esempio valore massimo: valore massimo 900, soglia=10 = 890
Il valore limite è violato a partire dal valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio valore minimo: valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.


Derivazione di valori limite da tipi di dato

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Derivazione di valori limite da tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limite possono essere già definiti con i tipi di dato. I valori limite progettati sono a disposizione in tutte le variabili che sono basate sul rispettivo tipo di dato. Viene adottato anche qui il concetto di trasmissione ereditaria come descritto più in alto: Tutte le proprietà si comportano come il tipo di dato e possono essere sovrascritte per ogni singola variabile. In tal modo un valore limite può essere disattivato per ogni singola variabile in modo selettivo. Un valore limite derivante da un tipo di dato non può essere cancellato in una variabile (può essere cancellata solo con il tipo di dato). Possono essere aggiunte però ad una variabile anche ulteriori valori limite. Questi valori limiti specifici della variabile invece possono essere cancellati nella variabile stessa.

Potete trovare delle informazioni dettagliate sui tipi di dato nella sezione Tipi di dato.


Selezione multipla

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Selezione multipla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla simultanea selezione di più variabili possono essere modificate anche le proprietà di più valori limite nello stesso tempo. Se una delle variabili selezionate non possiede il valore limite da modificare, questo non viene neanche generato.

Con la funzionalità Multi-select le proprietà comuni delle variabili sono rappresentate in colore rosso nella finestra della proprietà. (Viene visualizzata la proprietà della prima variabile selezionata.) Se ci sono delle proprietà che non sono in comune con le variabili scelte (es. val. limiti), esse sono rappresentate in colore giallo.


Cancellazione di valori limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Cancellazione di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate nelle proprietà-valore limite su "cancella valore limite".


Valori limiti sovrapposti

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Valori limiti sovrapposti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limiti analogici possono già essere progettati in maniera sovrapposta. zenon riconosce automaticamente quale valore limite è valido in quel momento.

Example Esempio

Valore limite 1 (Massimo) configurato a 100. Valore limite 2 (Massimo) configurato a 200. Se la variabile raggiunge nel funzionamento online un valore da 100 fino a 199 viene violato il valore limite 1. Se il valore raggiunge o sorpassa il valore 200 avviene una violazione del valore limite 2.


Anteprima limiti

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima limiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limite per una variabile, oppure per un tipo di dato semplice, nonché le matrici di reazione collegate, possono essere visualizzate in una finestra di dialogo di anteprima.
L´apertura della visualizzazione avviene per:

  • Per le variabili, i tipi di dato semplici e le matrici di reazione: alla voce "valori limiti".
  • Per gli elementi d'immagine: in corrispondenza delle rispettive proprietà per colori, Glow, lampeggio o visibilità, sempre che queste siano definite usando variabili.

Visualizza anteprima del valore limite

Per visualizzare l´anteprima del valore limite, aprite la finestra di dialogo tramite la proprietà corrispondente:

Elemento

Gruppo di proprietà

Proprietà

Elementi d´immagine

Lampeggio

Visualizza anteprima lampeggio

Elementi d´immagine

Colore(i) riempimento dinamico(i)

Visualizza anteprima colori per Colore linea

Visualizza anteprima colori per Colore sfondo / riempimento

Visualizza anteprima colori per Sfumatura colore

Elementi d´immagine

Effetto glow (solo DirectX)

Visualizza anteprima colori per Variabile colore

Visualizza anteprima visibilità per Variabile per visibilità

Visualizza anteprima lampeggio per Variabile lampeggio

Elementi d´immagine

Visibilità

Visualizza anteprima visibilità

Variabili
e
tipi di dato semplici

Valori limiti

Anteprima limiti

A seconda del tipo di definizione del valore limite (via valori limite o matrici di reazione), si apre la finestra di dialogo corrispondente:

  • Anteprima valori limite
  • Anteprima stati della matrice di reazione

Ancora in questo capitolo

Finestra di dialogo Anteprima del valore limite

Finestra di dialogo Anteprima stati della matrice di reazione


Finestra di dialogo Anteprima del valore limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima limiti -> Finestra di dialogo Anteprima del valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finestra di dialogo Anteprima del valore limite

L´anteprima visualizza delle informazioni concernenti i valori limite configurati: La proprietà Matrice di reazione non deve contenere nessun collegamento.

Parametri

Descrizione

Anteprima limiti

Visualizzazione dei valori limite definiti con le seguenti proprietà:

  • Min/Max
  • Testo valore limite
  • Colore
  • Lampeggio
  • Invisibile
  • Valore limite

Configurazione non possibile.

OK

Chiude la finestra di dialogo.

Annulla

Chiude la finestra di dialogo.

Guida

Apre la guida.


Finestra di dialogo Anteprima stati della matrice di reazione

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima limiti -> Finestra di dialogo Anteprima stati della matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se è stata selezionata una matrice di reazione per i valori limite, quelli predefiniti vengono disattivati. L´anteprima mostra delle informazioni concernenti la matrice di reazione collegata.

Parametri

Descrizione

Anteprima matrice di reazione

Visualizza la matrice di reazione selezionata con le seguenti informazioni:

  • Valore
  • Stato
  • Colore
  • Invisibile
  • Lampeggio.
  • Testo valore limite

Configurazione non possibile.

OK

Chiude la finestra di dialogo.

Annulla

Chiude la finestra di dialogo.

Guida

Apre la guida.


Valori limite a Runtime

Manuale -> Variabili -> Valori limiti -> Valori limite a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon reagisce in caso di variabili binarie al raggiungimento dello stato (fronte positivo). In caso di variabili numeriche avviene la reazione al raggiungimento e superamento del valore massimo impostato (maggiore uguale operazione) oppure se il valore va al di sotto del valore minimo impostato (minore uguale operazione.). Si parla allora di una violazione di valore limite.

info Info

Nel caso delle variabili binarie ci sono due valori limite, un valore limite "min" e uno "max". Vale quanto segue: indicare come valore limite 1 il "valore limite MIN", come valore limite 2 quello MAX.

Nel calcolo dei valori limite di variabili numeriche, se non viene definito in altro modo mediante 'l'adattamento valore non lineare', il valore grezzo delle variabile (risoluzione del segnale) viene ricalcolato per l'uso nel sistema di controllo sempre in modo lineare nell'area di misurazione.

Esempio: Un sensore della temperatura trasmette il suo valore al PLC. La variabile Byte corrispondente ha una risoluzione di 0...255. In zenon, la variabile assegnata ha un'area di misurazione di 0...100. Da ciò consegue:

Hardware | Sistema di controllo
0 | 0
127 | 50
255 | 100

Ad una nuova partenza di zenon, se un valore limite viene violato, la reazione viene eseguita subito al momento della partenza.

Eccezione: Se per la reazione è definito un inserimento allarme oppure CEL viene prima verificato se questo inserimento è già presente nella rispettiva lista. Se questo è il caso,non viene eseguito nuovamente l´inserimento allarme / CEL. In tal modo vengono evitati inserimenti duplici. L´esecuzione dell´altra reazione viene effettuata comunque.

attention Attenzione

Può essere attivo sempre solo un valore limite alla volta.

Trova dettagli sulla conversione dall'area di risoluzione nell'area di misurazione nell’help della finestra proprietà sotto “Valore”.

Ancora in questo capitolo

Fine della violazione del valore limite


Fine della violazione del valore limite

Manuale -> Variabili -> Valori limiti -> Valori limite a Runtime -> Fine della violazione del valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un valore limite è stato violato, un cambio di valore entro l´area del limite non provoca nessuna nuova reazione.

Esempio: Un valore limite è definito da 100-200. Se il valore cambia da 110 a 115 non avverrà nessun altra reazione. Se il valore cambia verso 210 avviene un'altra reazione dovuta al prossimo valore limite.

In questo modo possono essere evitate delle reazioni indesiderate causate da valori numerici instabili tramite Valori soglia.


Testo dinamico di valore limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico di valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo dinamico di valore limite consente di includere nel testo del valore limite di una variabile e di matrici di reazione valori correnti di altre variabili e ulteriori informazioni relative a variabili. E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua (si veda anche Uso di parole chiave in liste di testi).

Il testo dinamico di valore limite può essere visualizzato in:

  • Lista di informazione allarmi
  • Lita Eventi Cronologica
  • Reportviewer
  • Barra stato allarmi
  • ElementoCollega testo

info Info

Se un testo dinamico di valore limite viene visualizzato tramite l´elemento Collega testo, viene usato sempre il valore corrente della variabile.

Sintassi

Per la parametrizzazione del Testo Valore Limite vale la seguente nomenclatura:

Parametri | Descrizione
$ | Identificazione di un testo dinamico di valore limite. Questo segno deve essere al primo posto (all'inizio) del testo stesso.
; | separatore per istruzioni Utilizzato per la separazione delle parti di testo costanti dalle parti di testo dinamiche. Nel caso della separazione con la variabile, non deve esserci nessuno spazio vuoto fra il segno di separazione e la variabile stessa.
@Testo | Testo dalla tabella lingua caricata al momento.
%PV | Valore di un'altra variabile con il nome „PV“
@Text+%PV: | Parola chiave composta per il testo della tabella lingua attualmente caricata. Viene salvato il valore della variabile "PV" e il sistema cerca al momento di visualizzarla un testo della tabella lingua che si compone di "testo" e valore della variabile.
%Placeholder | Visualizzazione di ulteriori informazioni; Visualizzazione di informazioni sulla variabile.

Grazie all'uso di parole chiave composte, sono possibili dei testi valore limite dinamici di una lunghezza superiore a 80 caratteri.

Example Esempio 1

Testo valore limite = $@Text; X-Pos ;%Wert1; Y-Pos ;%Wert2

Valgono i presupposti:

  • @Text è una parola chiave nella tabella lingua corrispondente a „Testo dalla tabella“
  • Wert1 è una variabile integer con il valore 14
  • Wert2 è una variabile integer con il valore 12

Emissione = Testo dalla tabella X-Pos 14 Y-Pos 12

Example Esempio 2

$AUS in Stellung ;%String1

Valgono i presupposti:

  • %String1 è una variabile string con il contenuto „ORT“

Emissione = AUS in posizione ORT

Example Esempio 3

$%@message_+Valore1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • Wert1 è una variabile integer con il valore 12

Con la parola chiave composta, ne deriva la parola chiave „Meldung_12“ e il testo corrispondente della tabella lingua viene visualizzato.

Example Esempio 4

$%@message_+String1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • String1 è una variabile string con il contenuto „zenon“.

Con la parola chiave composta, ne deriva la parola chiave „Message zenon“ e il testo corrispondente della tabella lingua viene visualizzato.

Limitazioni a causa testi di valori limite dinamici.

Salvare i testi dinamici di valore limite causa alcune limitazioni:

  1. Testo statico viene salvato nell´area di memoria per il valore limite:
    Al massimo 1024 caratteri.
  2. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:
    al massimo 80 caratteri e al massimo 3 variabili.
  3. Se vengono utilizzati testi di valori limite dinamici, non possono essere inseriti dei commenti per questi allarmi.

Queste limitazioni possono essere evitate:

Evitare queste limitazioni mediante lunghi testi di valori limite dinamici.

Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio.

Requisito: Nelle proprietà del progetto sono nel gruppo Lista informazioni allarmi la proprietà Testi lunghi per valori limiti - AML e nel gruppo Lista eventi cronologica la proprietà Testi lunghi per valori limiti - CEL attiva.
Invece che nel campo riservato al commento, i valori vengono salvati in un file proprio.

In linea di principio, per il valore limite sono a disposizione 1032 byte. Per ogni variabile collegata nel testo di valore limite, viene sottratto da questa quantità un certo numero di byte. Tale quantità dipende dal tipo di dato. Perciò, se si usano molte variabili collegate nel testo dinamico di valore limite, si ridurrà in modo corrispondente il numero dei caratteri a disposizione.

Esempio 1: Valore limite con una variabile stringa:
Dei 1032 byte

  • vengono utilizzati per le informazioni di struttura 9 byte
  • 1023 Byte rimangono per il contenuto della variabile stringa.

Esempio 2: Valore limite dinamico con due variabili stringa:
Dei 1032 byte

  • vengono utilizzati per le informazioni di struttura 18 byte (2 x 9 byte)
  • 1014 byte rimangono per il contenuto delle due variabili stringa.

Nota:

  • Non esiste alcuna limitazione per il numero consentito di variabili per testo di valore limite.
  • La quantità di byte necessari per le informazioni di struttura dipende dal tipo di dato.
  • I nomi dei file per i file da creare sono Dxxx.aml e Dxxx.cel.
  • Per il buffer circolare vengono salvate le ulteriori informazioni in aml.bin e cel.bin.

Testi erronei nel runtime

Parametri | Descrizione
XXX: | la variabile per la quale è disponibile un valore, ha subito una modifica
--- | Il valore della variabile non è ancora presente (possibile all’avviamento del programma).
>>> | Il numero massimo consentito di caratteri per il testo di valore limite dinamico è stato superato.

Ancora in questo capitolo

Visualizzazione di informazioni sulla variabile

Parole chiave dinamiche in testi di valori limite


Visualizzazione di informazioni sulla variabile

Manuale -> Variabili -> Valori limiti -> Testo dinamico di valore limite -> Visualizzazione di informazioni sulla variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa un testo dinamico di valore limite, si possono visualizzare mediante placeholder le seguenti informazioni sulla variabile:

Identificazione servizio

Placeholder | Descrizione
%r | Visualizza l'identificazione servizio.
%r,1,2 | Visualizza l'identificazione servizio dalla posizione 1 per 2 caratteri.
%R | Visualizza l'identificazione servizio.
%R,3,2 | Visualizza l'identificazione servizio meno i primi tre caratteri e meno gli ultimi due caratteri.

Unità di misura

Placeholder | Descrizione
%u | Visualizza l´unità di misura.
%u,1,2 | Mostra l'´unità di misura dalla posizione 1 per 2 caratteri.
%U | Visualizza l´unità di misura.
%U,3,2 | Visualizza l´unità di misura meno i primi tre caratteri e meno gli ultimi due caratteri.

Identificazione variabile

Placeholder | Descrizione
%l | Visualizza l'identificazione della variabile.
%l,1,2 | Visualizza l'identificazione della variabile dalla posizione 1 per 2 caratteri.
%L | Visualizza l'identificazione della variabile.
%L,3,2 | Visualizza l´identificazione della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Nome variabile

Placeholder | Descrizione
%n | Visualizza il nome della variabile
%n,1,2 | Visualizza il nome della variabile dalla posizione 1 per 2 caratteri.
%N | Visualizza il nome della variabile
%N,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Valore variabili

Placeholder | Descrizione
%v | Visualizza il valore corrente della variabile.
%v,1,2 | Visualizza il time stamp dalla posizione 1 per 2 caratteri.
%V | Visualizza il valore corrente della variabile.
%V,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Time stamp.

Placeholder | Descrizione
%t | Visualizza il time stamp.
%t,1,2 | Visualizza il time stamp dalla posizione 1 per 2 caratteri.
 | Visualizza il time stamp.
%T,3,2 | Visualizza il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

I formati per le impostazioni temporali vengono ripresi dal sistema operativo.

Example Esempio
  • Visualizzazione di un testo traducibile, del valore della variabile e dell´unità di misura:

    $@Text - ;%v; ;%u

  • Visualizzazione di un testo traducibile e dell´identificazione della variabile, limitata ai primi tre caratteri:

    $@Text - ;%l,1,3


Parole chiave dinamiche in testi di valori limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico di valore limite -> Parole chiave dinamiche in testi di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allarmi di variabili booleane in caso di segnalazioni multiple non danno informazioni sul motivo di attivazione dell'allarme. Per far sì che il testo di valore limite esprima nonostante questo la causa dell´allarme, la causa stessa può essere trasmessa con l´aiuto di una variabile index. Facendo uso del testo dinamico di valore limite, il sistema cerca nella tabella lingua (vedi capitolo Cambio lingua) il testo corretto e lo visualizza. Come parola chiave non ne viene usata una fissa, ma una dinamica. Essa si compone di prefisso+valore della variabile index: %@errornr+mIndex

È possibile usare delle parole chiave a più dimensioni (diversi indici).
Esempio: testo fisso; @Motorfehler%meinIndex1-%meinIndex2 diventa a Runtime, per esempio, @Motorfehler4-67. Il sistema cerca questa parola chiave nella tabella lingua e visualizza il testo corrispondente.

Esempi

Esempio 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Spiegazione:

$ definisce un testo dinamico di valore limite.

@error in module: una normale parola chiave tratta dalla tabella lingua

%moduleNr: viene sostituito nel runtime dal valore della variabile ModuleNr (funzionalità del testo dinamico di valore limite)

@error type: una normale parola chiave presa dalla tabella lingua.

@errornr: la prima parte della parola chiave dinamica

+mIndex: viene sostituito nel runtime con il valore della variabile mIndex, e completa la parola chiave @errornr

Risultato:

valore di mIndex | Parola chiave
1 | @errornr1
2 | @errornr2

Esempio 2: Stringhe

$%@Meldung_+Index_UINT_001;/;%@Ursache_+Index_STRING_004

Se Index_UINT_001 ha il valore 4 e Index_STRING_004 quello 'Feuer', il sistema cerca i testi Meldung_4 e Ursache_Feuer nella tabella lingua e li visualizza nella AML/CEL.


Matrici di reazione

Manuale -> Variabili -> Matrici di reazione

E' possibile definire delle informazioni su valori limite in sede centrale utilizzando una matrice di reazione (abbreviazione: Rema).
Se, ad esempio, deve essere eseguito lo stesso controllo per diversi stati di riempimento, ciò può essere definito in un'unica matrice di reazione. Ciò consente, ad esempio, di modificare il valore inferiore a livello centrale.

Vantaggi nei confronti di valori limite:

  • le matrici di reazione sono utilizzabili più volte. Una matrice di reazione può anche essere collegata con più variabili, che si possono basare su differenti tipi di dato.
  • Matrici di reazione per variabili numeriche possono trattare ogni modifica del valore di variabile come nuova violazione di valore limite. Per i valori limite questo non è possibile.
  • Per mezzo delle matrici di reazione si possono interrogare anche stato come, per esempio, Invalida (vedi Modifica di stato). Ciò non è possibile con valori limite.

Potete trovare delle informazioni dettagliate sui valori limite nella sezione Valore limite.

Ancora in questo capitolo

Creazione di una matrice di reazione

Editare una matrice di reazione

Collegare matrici di reazione con variabili o tipi di dato

Tipi di matrici di reazione

Testi dinamici di valore limite nelle matrici di reazione

Stati in caso di modifica del valore e tempo di ritardo

Lista dei bit di stato


Creazione di una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Creazione di una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare „Matrice di reazione“ sotto “Variabili” nel Manager di progetto ed aprire il menù contestuale con il tasto destro del mouse. Selezionare Nuova Matrice di reazione....

Nel box di dialogo che si apre inserisca il nome ed il tipo della matrice di reazione. Tenete presente che questa attribuzione non sarà più modificabile in seguito. Il nome può essere modificato anche più tardi.

I singoli tipi della matrice di reazione possono essere utilizzati nel modo seguente:

Parametri | Descrizione
Binario | Evacuazione di stati discreti (Orientati a bit)
Numerico | Valutazione di stati analogici (orientati valore)
Multi binaria | Analisi estesa di variabili a 32 bit; i primi 16 bit determinano il valore della variabile e vengono trasmessi come numero; manovra di bit di stato; funzione speciale (disattivare variabili a bit di stato settato)?(progettazione dati protetti - solamente SAT)
Multi analogica | Analisi estesa con simultanea gestione di stato e funzione speciale (disattivare variabili a bit di stato settato)
Stringa | Valutazione di stati per variabili stringa


Editare una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Editare una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare una matrice di reazione:

  • selezionate anzitutto la matrice di reazione nella visualizzazione dettagliata;
  • scegliete poi nel menù contestuale che si aprirà il comando desiderato;

Menù contestuale Visualizzazione dettagliata Matrice di reazione

Parametri | Descrizione
Nuova matrice di reazione | Crea una nuova matrice di reazione.
Configurazione | Apre il dialogo per la configurazione della matrice di reazione.
Copia | Copiare la matrice di reazione selezionata
Inserisci | Inserire la matrice di reazione copiate o tagliata
Elimina | Cancellare la matrice di reazione selezionata
_Esporta selezione in XML | Esporta inserimenti selezionati in un file XML.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro.
Modifica cella selezionata | Apre la cella che serve per apportare delle modifiche, sempre che essa possa essere modificata nella lista.
Proprietà | Apre la finestra delle proprietà.
Guida | Apre la guida online

Dialogo stati e reazioni

Cliccando su Configurazione si apre il dialogo che serve alla configurazione degli stati. Le possibilità di configurazione dipendono dal tipo di matrice di reazione.

Nella lista Stati possono essere selezionati e modificati anche diversi stati. Diverse impostazioni vengono evidenziate grazie allo sfondo rosso, oppure ad una cornice rossa.

Suggerimento: in questo modo potete modificare contemporaneamente stato e valori di più stati.

Menù contestuale Stati

Nella finestra liste "Stati" sono a disposizione i seguenti comandi nel menù contestuale:

Comando | Descrizione
Nuovo stato. | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo per multi-binarie: crea un nuovo sottostato per quello attualmente selezionato.
Copia | Copia lo stato selezionato negli appunti Nota Multi-binarie: è possibile copiare solo degli stati principali. I sottostati vengono copiati con quelli principali.
Incolla | Incolla lo stato selezionato proveniente dagli appunti
Elimina | Cancella lo stato selezionato dalla lista. Lo stato di default non può essere cancellato.
Test | Apre il dialogo che serve a testare lo stato.
In su | Sposta gli inserimenti selezionati verso l´alto. (Possibile anche per Drag & Drop.)
In basso | Sposta gli inserimenti selezionati verso il basso (Possibile anche per Drag & Drop.)
Guida | Apre la guida in linea relativa alla matrice di reazione corrispondente.

Impostazioni generali e definizione dei valori li trovate nella relativa matrice di reazione:

  • Binario
  • Numerico
  • Stringa
  • Stati multi-binari e reazioni
  • Stati multi-numerici e reazioni

info Info

Se viene avviato un reload, oppure viene eseguito un cambio server/Server-Standby, i feedback in attesa o le conferme di scrittura verranno rifiutate!


Collegare matrici di reazione con variabili o tipi di dato

Manuale -> Variabili -> Matrici di reazione -> Collegare matrici di reazione con variabili o tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A variabili e tipi di dato si possono collegare matrici di reazione invece che valori limite.

Per collegare una matrice di reazione:

  1. Selezionate la variabile desiderata, oppure il tipo di dato desiderato.
  2. Passare al gruppo delle proprietà Valori limiti.
  3. Cliccate in corrispondenza della proprietà Matrice di reazione sul pulsante ....
  4. Si apre la finestra di dialogo per la selezione e la configurazione di matrici di reazione
  5. Selezionate la matrice di reazione desiderata.
  6. Chiudere la finestra di dialogo cliccando su OK.

Nota: per rimuovere una matrice di reazione collegata in precedenza, cliccate nella finestra di dialogo su Nessuna selezione.

info Info

Se collegate un tipo di dato ad una matrice di reazione, tutte le variabili che sono state create sulla base di questo tipo di dato, usano automaticamente questa matrici di reazione.

Finestra di dialogo Selezione matrice di reazione

Questa finestra di dialogo consente di selezionare una matrice di reazione per una variabile o un tipo di dato. Per ogni matrice di reazione esistente viene visualizzato:

  • Nome
  • Tipo
  • Numero di stati configurati
  • Applica in AML
  • Applica in CEL
  • Se c´è una funzione collegata.
  • Se il lampeggio è attivo i disattivato.

Si può usare questa finestra di dialogo anche per configurare delle matrici di reazione, o per crearne delle nuove. Non è però possibile cancellare delle matrici di reazione.

Parametri

Descrizione

Lista progetti

Visualizzazione del progetto attivo. Solo le matrici di reazione di questo progetto possono essere collegate.

Lista delle matrici di reazione

Lista delle matrici di reazione già configurate nel questo progetto. Per ogni matrice di reazione sono visualizzate delle informazioni riguardanti nome, tipo e configurazione.

Selezione cliccando sulla matrice di reazione e poi su OK.

La lista può essere visualizzata in forma filtrata. A tal scopo, digitate il criterio di filtro nell´apposito campo. Si possono usare i i placeholder * e ?.

Le matrici di reazione possono essere configurate, copiate e create facendo uso della barra degli strumenti, oppure del menù contestuale.

Le si può anche rinominare. Per rinominare una matrice di reazione, cliccate due volte lentamente nella cella Nome, oppure evidenziate la cella e premete il tasto F2.

Nessuna selezione

Cliccando si rimuove il collegamento esistente e si chiude la finestra dialogo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Barra degli strumenti e menù contestuale

Le azioni per le matrici di reazione contenute nella finestra di dialogo Selezione matrice di reazione possono essere eseguite mediante la barra degli strumenti e il menù contestuale.

Simbolo/Comando | Descrizione
Nuova matrice di reazione | Apre la finestra di dialogo che serve a creare una nuova matrice di reazione.
Configurazione | Apre la finestra di dialogo per la configurazione della matrice di reazione selezionata.
Copia | Copia la matrice di reazione selezionata negli appunti. Nota: si possono selezionare più matrici di reazione contemporaneamente al fine di copiarle.
Incolla | Inserisce le matrici di reazione come copia nella lista.
Rimuovi tutti i filtri | Elimina tutti i filtri settati.


Tipi di matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono 5 tipi di matrici di reazione:

  • Binario
  • Numerico
  • Stringa
  • Multibinaria
  • Multi analogica

Per i tipi Multi-binaria e Multi-numerica possono essere configurati anche Testo AML/CEL, Gestione stato e Trattamento variabile.

Ancora in questo capitolo

Binario

Numerica

Stringa

Matrice di reazione multipla in generale

Simulazione matrice di reazione


Binario

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Binario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione binaria viene utilizzata per l’analisi di qualsiasi bit di stato di variabili digitali. La valutazione è orientata bit. Anche variabili analogiche possono essere analizzate in questo modo.

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In basso | Sposta lo stato selezionato verso il basso.
Imposta stati | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio.

Attiva: Lampeggio in caso di violazione di valore limite

Invisibile

Attiva: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attiva: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attiva: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppi allarme/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Numero di stati per contatore nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Attivando le caselle delle opzioni si definisce una combinazione di valori e/o di condizioni e di stato. Il valore di stato è il valore di origine con cifratura binaria delle variabili binarie. Non viene considerato il valore convertito nell´area di misurazione (adattamento di valore lineare resp. non-lineare) !

L'attribuzione bit è:

Stato: |
Bit valore raw "0" | 2^0 = 1
Bit valore raw "1" | 2^1 = 2
Bit valore raw "2" | 2^2 = 4 ....

Sono possibili 2 collegamenti. Il significato delle caselle è :

Stato: |
Non rilevante: | Punto, non settato
Verifica su “0” | Verificare se il bit ha il valore logico “0”
Verifica su “1” | Verificare se il bit ha il valore logico “1”

L’ordine della progettazione è decisivo per la successiva applicazione. Quando si esegue la matrice di reazione nel funzionamento online, il controllo della combinazione di stato parte dalla riga superiore. Si prosegue con il controllo fino alla riga che soddisfa le condizioni impostate. Tutte le altre condizioni non si controllano più. Se nessuna riga soddisfa lo stato attuale delle variabili, vale lo stato default. In questo modo è possibile definire un criterio di priorità per i testi di valore limite della lista eventi cronologica, dell’allarme e della lista allarmi. La verifica del valore di stato viene effettuata nello stesso modo come la verifica di stato della variabile.

Analisi

Nelle variabili binarie viene discriminato solo il bit 0. Gli altri bit non vengono considerati. Nelle variabili 8 bit (tipo di dato IEC, SINT, USINT) vengono discriminati i bit da 0 fino a 7.

Esempio | (segnalazione singola con controllo disturbi)
Verificare INVALID-Bit settato | ................, ............1...
Verifichi se Bit= è settato | ...............0, ................
Verifichi se Bit è settato | ...............1, ................

Nell’esempio sopra riportato si conclude il controllo INVALID-Bit presente indipendentemente dallo stato della singola segnalazione (variabile disturbata) dopo la prima riga. Le attribuzioni delle variabili (allarme, lampeggio, CEL etc.) sono gestite esclusivamente da questa condizione. Se lo stato INVALID-Bit non è più presente si eseguono le altre righe. Per modificare l’ordine delle righe, si seleziona la rispettiva riga e si attivano i pulsanti Nuovo, Elimina, in su e in giù.


Numerica

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Numerica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione numerica viene utilizzata per l’analisi di qualsiasi stato di valore limite e bit di stato delle variabili. Al contrario alla matrice di reazione binaria,la discriminazione degli stati avviene attraverso valori numerici. Non il valore di origine viene considerato per l'analisi ma il valore convertito nell´area di misurazione (dopo adattamento di valore lineare o non lineare).

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In basso | Sposta lo stato selezionato verso il basso.
Imposta stati | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio.

Attiva: Lampeggio in caso di violazione di valore limite

Invisibile

Attiva: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attiva: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attiva: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppi allarme/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Area: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Info

Per inserire un valore decimale si può usare sia la virgola che il punto; ma la virgola verrà convertita automaticamente in un punto.


Stringa

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione Stringa si utilizza per l’analisi di valori limiti e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In basso | Sposta lo stato selezionato verso il basso.
Imposta stati | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio.

Attiva: Lampeggio in caso di violazione di valore limite

Invisibile

Attiva: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attiva: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attiva: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppi allarme/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Area: Indicazione di un´area (da.... a)

Rispetta minuscolo/maiuscolo

Nel confronto delle stringhe vengono rispettati i caratteri minuscolo/maiuscolo.

Rispetta Wildcards

Gli stati possono utilizzare le wildcard di Windows.

(Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Example Esempio

Esempio:

In successione con una analisi da grande a piccolo:

  • Strings: Mein,Name,ist,Hase.
  • Successione dell'analisi: ist,Name,Mein,Hase.
  • Motivazione:
    ist: inizia con una lettera minuscola ed è perciò più grande di tutte le altre stringhe.
    Name: N è più grande di M e H,
    Mein: M è più grande di H

Visualizzazione nella colonna Valore nella AML e nella CEL

Nella AML e nella CEL, nella colonna Valore possono essere visualizzati solamente i valori di tipi di dato numerici. Per gli inserimenti con un tipo di dato String, la colonna rimarrà vuota. String-Valori possono essere visualizzati usando un elemento di tipo Collega testo.


Matrice di reazione multipla in generale

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Schede | Descrizione
Stati e reazioni | Configurazione degli stati e reazioni, diversa per Multibinari e Multi-numerici.
Testo Allarmi / CEL | Configurazione dell´emissione del valore accanto al testo di stato AML e CEL.
Gestione stato | Configurazione della gestione di stato.
Funzioni speciali | Configurazione delle funzioni speciali.

Nota: i bit NORM e N_NORM sono a disposizione in entrambi i tipi di matrici a reazione multipla (non nelle matrici standard).

Elaborazione di messaggi

I 16 bit maggiori (bit 16... 31) si utilizzano per elaborare le segnalazioni nella progettazione dati protetti; nei 16 bit maggiori è depositato il numero di segnalazione.

La matrice di reazione multibinaria è identica alla matrice di reazione binaria per gli stati principali. Quando si modificano gli stati principali vengono eseguite le rispettive progettazioni di stato (allarme, CEL, testo etc.):

  • Se uno stato principale possiede stati secondari, si controllano al raggiungimento dello stato principale prima gli stati secondari.
  • Se nessuna condizione secondaria coincide con la condizione attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato principale.
  • Se lo stato secondario coincide con lo stato attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato secondario.
  • Se lo stato della variabile cambia dallo stato secondario allo stato principale, non si effettua una nuova emissione alla CEL e alla Lista di informazione allarmi (per es. breaker tripping treatment nel sistema SAT).

Esempio:

Parametri | Descrizione
Valore principale | Engineering -> Valore inferiorexxxxxx00 nessun allarme, testo CEL off -> xxxxx100 allarme, testo CEL Interruttore off xxxxxx01 nessun allarme, testo CEL on xxxxxx10 allarme, testo CEL differenza xxxxxx11 allarme, testo CEL malfunzione
cambio da “ON” a “OFF” | nessun allarme, inserimento CEL “on”
cambio da “ON” a “ Interruttore OFF” | Immissione allarme "Interruttore off", testo CEL "Interruttore off" -> Ripristino dell'interruttore (commutare da "INTERRUTTORE OFF" a "OFF") allarme in uscita "Interruttore off"; nessun ulteriore testo CEL.

Per l’emissione nella CEL e nelle immagini di processo si può suddividere il contenuto totale delle variabili in due parti. Una parte si utilizza per la progettazione del testo valore limite, l’altra parte (valore) si trasmette alle immagini. (Applicazione: telegrammi protetti in SAT 1703).

Causa di trasferimento:

Matrici di reazione multibinarie e multianalogiche consentono l´analisi della Causa di trasmissione conformemente

alla norma IEC 60870-5-101/104. La causa di trasmissione consiste in:

Bit | Descrizione
6 bit: | Valore della causa di trasmissione da 0 ... 63
1 bit: | N_CONF (P/N-Bit): 0 = positiva 1 = conferma negativa
1 bit: | Test-Bit

Nella matrice di reazione, ad ogni stato può essere assegnata l´identificazione della causa di trasmissione + ed il bit (P/N-Bit) N_CONF. Così lo stato è violato soltanto se la causa di trasmissione ricevuta è la stessa come la causa di trasmissione definita.

Parametri | Descrizione
Checkbox Causa di trasmissione | Attiva la valutazione del campo d´inserimento Causa trasmissione.
Campo d´inserimento Causa di trasmissione | Attende un valore di 0-63 come identificazione della causa trasmissione.

Ancora in questo capitolo

Stati multi-binari e reazioni

Stati multi-numerici e reazioni

Configurazione testo AML/CEL

Configurazione Gestione stato

Configurazione Funzioni speciali


Stati multi-binari e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-binari e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione multibinaria serve all’analisi di bit di valore e di stato delle variabili digitali. I bit inferiori (bit 0..15) si utilizzano come valore da visualizzare nelle immagini (elementi dinamici) e nella lista eventi cronologica (casella “Valore”). Oltre alla nota progettazione delle combinazioni di valore e di stato sono possibili progettazioni aggiuntive.

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In basso | Sposta lo stato selezionato verso il basso.
Imposta stati | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio.

Attiva: Lampeggio in caso di violazione di valore limite

Invisibile

Attiva: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attiva: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attiva: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppi allarme/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Checkbox Status

Ogni status può assumere cinque possibili stati. La definizione avviene cliccando nella checkbox dello status corrispondente.

Stati possibili:

  • non considerato (Punto)
  • ein (1)
  • aus (0)
  • kommend (Freccia verso l´alto)
  • gehend (Freccia verso il basso)
  • wechselnd (Doppia freccia)

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Testo di stato per contatori nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Info

Per inserire un valore decimale si può usare sia la virgola che il punto; ma la virgola verrà convertita automaticamente in un punto.


Stati multi-numerici e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-numerici e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione multinumerica viene utilizzata per l’analisi di valori limite e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In basso | Sposta lo stato selezionato verso il basso.
Imposta stati | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio.

Attiva: Lampeggio in caso di violazione di valore limite

Invisibile

Attiva: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attiva: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attiva: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attiva: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppi allarme/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Area: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Info

Per inserire un valore decimale si può usare sia la virgola che il punto; ma la virgola verrà convertita automaticamente in un punto.


Configurazione testo AML/CEL

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione testo AML/CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene configurata la emissione nella AML e nella CEL.


Configurazione Gestione stato

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione Gestione stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene configurata la gestione stato. Esegue il routing di bit (anche negati) su altri Bit

Possibili origini: Bit valore 0 ... 31l

Parametri | Descrizione
Bit d'origine | Selezione di un bit d´origine fra quelli proposti dal menù a tendina.
NEG | Negare il bit d´origine nel routing.
Bit di stato | Selezionare bit di destinazione fra quelli proposti dal menù a tendina.
Applica | Conferma il routing selezionato.
Elimina | Cancella il routing selezionato; attenzione: non sarà eseguita nessun altra interrogazione.
In su | Sposta il routing selezionato una posizione verso l´alto nella “Lista routing”.
In giù | Sposta il routing selezionato una posizione verso il basso nella “Lista routing”.


Configurazione Funzioni speciali

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione Funzioni speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono configurate le funzioni speciali.

Con bit di stato attivi, le variabili possono essere disattivate automaticamente, oppure possono essere applicate modifiche di stato (per reset) per le variabili disattivate. Per i dettagli sui questo tema, si veda il capitolo Definizione di stato.

Parametri | Descrizione
Spegnimento con: | Bit di stato in corrispondenza dei quali la variabile deve essere disattivata. Controllo possibile per verificare valore "0" oppure "1".
Modifiche stato applicate: | Bit di stato in corrispondenza dei quali deve essere applicata una modifica dello stato.
Nessun confronto vecchio/nuovo | Non viene eseguito nessun monitoraggio delle modifiche
Nessun confronto vecchio/nuovo via RT. | Non viene eseguito nessun monitoraggio delle modifiche sulla base di dati real time.


Simulazione matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Simulazione matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consente di testare le impostazioni eseguite per la matrice di reazione. A seconda della configurazione della matrice di reazione, il sistema simula che cosa accade quando si raggiungono i valori definiti. Vengono simulati inserimenti nella CEL o nella AML. Questa funzionalità riguarda SICAM 230.

Parametri | Descrizione
Imposta stati | Per simulare modifiche di stato.
Valore | Simulazione di modifiche di valore.
Risultato test | Emissione di modifiche di stato e valore nella CEL e AML.
Trasmetti TR | Inviare modifiche in tempo reale.
Trasmetti NTR | Invia modifiche.


Testi dinamici di valore limite nelle matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Testi dinamici di valore limite nelle matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I testi valore limite dinamici possono essere visualizzati anche nelle matrici di reazione:

$ %PV

$ @text

Vedi anche capitolo Testo dinamico valore limite.

Le matrici di reazione possono essere utilizzate per diverse variabili.


Stati in caso di modifica del valore e tempo di ritardo

Manuale -> Variabili -> Matrici di reazione -> Stati in caso di modifica del valore e tempo di ritardo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stati possono generare degli allarmi in dipendenza di valori e tempo di ritardo. Così, ad esempio, un allarme può essere generato quando una variabile non ha subito modifiche per un certo lasso di tempo.

Configurazione:

  • Valore: qualsiasi
  • Interpreta ogni cambio valore come nuova violazione: attivo
  • Tempo di ritardo: >0

In questo caso vale quanto segue:

  • l´allarme è attivato se il valore è costante per un periodo più lungo del Tempo di ritardo.
  • Se il valore cambia prima della scadenza del Tempo di ritardo, il Tempo di ritardo viene azzerato e ricomincia a scorrere. Così, ad esempio, un allarme può essere generato quando una variabile non ha subito modifiche per un certo lasso di tempo.


Lista dei bit di stato

Manuale -> Variabili -> Matrici di reazione -> Lista dei bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Nome breve | Nome lungo | Identificazione zenon Logic
0 | M1 | Stato utente 1, o tipo di azione "Blocco" nel modulo "Comandi", oppure Service Tracking del driver IEC 850. | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Seleziona nella rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | Direzione | _VSB_DIREC
11 | TIMEOUT | Comando Runtime exceeded (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_STD_E | Orario standard (ora solare) esterno Attenzione: fino alla versione 7.50, questo era il bit di stato T_CHG_A | _VSB_SUWI
20 | OFF | Spento | _VSB_N_UPD
21 | T_EXTERN | Real time - time stamp esterno | _VSB_RT_E
22 | T_INTERN | Time stamp interno | _VSB_RT_I
23 | N_SORTAB | Non ordinabile | _VSB_NSORT
24 | FM_TR | Messaggio di errore Valore trasformatore | _VSB_DM_TR
25 | RM_TR | Messaggio default Valore trasformatore | _VSB_RM_TR
26 | INFO | Informazione della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva | _VSB_AVALUE
28 | RES28 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non aggiornato (rete di zenon) | _VSB_ACTUAL
30 | T_STD | Orario standard interno | _VSB_WINTER
31 | RES31 | Riservato a uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Cause of Trasmissions Bit 1 | _VSB_TCB0
33 | COT1 | Cause of Trasmissions Bit 2 | _VSB_TCB1
34 | COT2 | Cause of Trasmissions Bit 3 | _VSB_TCB2
35 | COT3 | Cause of Trasmissions Bit 4 | _VSB_TCB3
36 | COT4 | Cause of Trasmissions Bit 5 | _VSB_TCB4
37 | COT5 | Cause of Trasmissions Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del comando dal dispositivo (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma di scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura eseguita con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time stamp esterno non valido | non definito
50 | CB_TRIP | Intervento sezionatore rilevato | non definito
51 | CB_TR_I | Rilevamento di intervento sezionatore disabilitato | non definito
52 | OR_DRV | Valore fuori intervallo di validità (OR_DRV) | non definito
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non definito
54 | PR_NR | Non registrato nel process recorder | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

info Info

Nelle formule sono disponibili tutti i bit di stato. Per altri usi, i bit di stato possono essere disponibili solo in forma ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Funzioni per variabili

Manuale -> Variabili -> Funzioni per variabili

Le funzioni consentono di eseguire comandi a Runtime usando un pulsante o uno script.

Per creare una funzione:

  1. Nel menù contestuale oppure nella barra degli strumenti del nodo "Funzioni", selezionare il comando Nuova funzione...
  2. Si apre la finestra di dialogo “Selezione funzione”; in questa finestra selezionare il nodo Variabile.
  3. Selezionare la funzione desiderata.

Ancora in questo capitolo

Esporta dati

Leggi file dBase

Stampa valori attuali

Attiva gestione HD

Disattiva gestione HD

Attiva/disattiva gestione HD

Imposta valore

Comandi driver

Scrivi data/ora nella variabile

Acquisisci ora dalla variabile


Esporta dati

Manuale -> Variabili -> Funzioni per variabili -> Esporta dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di esportare dati relativi a variabili a Runtime.

Il formato d´esportazione e il nome file vengono definiti nell´Editor. Quando si esegue la funzione a Runtime, il luogo di salvataggio dei file è la cartella Export nella cartella Runtime.

Suggerimento: per aprire la cartella di progetto, selezionare il progetto nell´Editor e premere la combinazione tasti Ctrl+Alt+R.

Procedura per creare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare Esporta dati.
  3. Si aprirà la finestra di dialogo di configurazione.

Formato di emissione

Parametri

Descrizione

Formato

Selezionare uno dei possibili tipi di dato:

  • dBase IV (*.dbf)
  • XML (*.xml)
  • CSV (*.txt)

Come Unicode

Questa checkbox è attiva solamente se CSV (*.txt) è stato selezionato come Tipo di dato
Attiva: il file viene salvato in Unicode (UTF-16).

Nome file

Definire il nome file.
Nel caso di file DBF, è consentito usare un numero massimo di 8 caratteri.

Nota: il nome non è più modificabile a Runtime.

Luogo di salvataggio a Runtime: cartella Export nella cartella Runtime.

Variabili

Parametri

Descrizione

Selezione variabili

Numero delle variabili da esportare. Cliccando sul pulsante, si apre la finestra di dialogo che consente di selezionare delle variabili.

Questa selezione non è più modificabile a Runtime.

Nota: Una variabile può essere selezionata se per essa è stata attiva la proprietà HD attivo del gruppo Salvataggio dati su disco fisso.

Inizializzare nuovamente i valori
  • Per i dati HD viene popolato un buffer circolare, che viene gestito e aggiornato parallelamente.
    Attivo :
    quando si esegue l´esportazione, il buffer circolare viene vuotato e inizializzato di nuovo.
  • Non attivo:
    Il buffer circolare viene mantenuto quando si esegue l´esportazione.


Leggi file dBase

Manuale -> Variabili -> Funzioni per variabili -> Leggi file dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione viene usata per leggere un file DBase a Runtime e per scrivere il suo contenuto come valori impostabili.

info Info

Questa funzione esiste solamente per ragioni di compatibilità.
Raccomandazione: al suo posto, usare zenon Logic per scrivere singoli valori o ricette, e il Manager di gruppi ricette per la scrittura in blocchi.

I nomi di variabili e i valori impostabili corrispondenti sono contenuti nel file DBase. Se, nel corso dell'esecuzione della funzione, la variabile definita esiste nel progetto attivo in quel momento, il valore impostato nel file dBase viene trasmesso al PLC come nuovo valore impostabile.

  • Parametri di trasferimento: Nome del file DBase.
    Il nome e il nome della cartella devono corrispondere alle convenzioni DOS.

Il file dBaseIV deve avere la seguente struttura ed i seguenti contenuti:

Titolo colonna

Tipo

Valore

Commento

NAME

Char

32

Nome della variabile.

WERT

Num

20

Valore delle variabili.

TYP

Char

8

Tipo di dato
Possibili valori:

  • C: Stringa
  • N: Numerico

DIRECTION

Char

12

(Non viene usato al momento.)

Attenzione: la larghezza colonne deve corrispondere esattamente ai valori dati. Perciò non modificare il file in un calcolo tabelle, perché in questo caso viene modificata la larghezza colonne. Per creare il file, usare un programma che può trasferire la larghezze delle colonne e Header fissi.


Stampa valori attuali

Manuale -> Variabili -> Funzioni per variabili -> Stampa valori attuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, si può stampare un semplice protocollo dei valori correnti delle variabili (variabili di processo e variabili derivate).

Come parametro di trasferimento bisogna indicare un file di formattazione. La configurazione della funzione viene eseguita tramite una apposita finestra di dialogo.

Le proprietà configurabili sono:

Parametri | Descrizione
Pulsanti di sistema | OK, Annulla, Guida
Con dialogo per annullare | Visualizza il dialogo "annulla" durante la generazione dell'operazione di stampa nello stato online
Scelta formato file | Apre un box di dialogo che serve alla selezione del file *.FRM. Quest'ultimo viene generato con il bottone situato sotto. La descrizione del formato FRM si trova più avanti in questo capitolo.
Lancia l'Editor formato | lancia l'editor di testo per la generazione del file
Carattere | stabilisce il carattere da usare

Selezionato il pulsante “Scelta formato file”, si può scegliere il file (tipo file *.FRM).

Nel file di formattazione vengono utilizzate determinate parole chiave. Nel Runtime vengono inoltre inseriti, al posto delle parole chiave, i rispettivi parametri delle variabili.

Le parole chiave sono:

Parola chiave | Descrizione
@TTA.name | Emetti nome variabile
@TTA.wert | emettere il valore tecnico più attuale; emettere stati binari come valore oppure come contenuto di variabili stringa.
@TTA.einheit | emetti l’unità di misura definita per la variabile di processo
@TTA.text | emetti il testo definito per la variabile di processo
@TTA.status | emetti gli attuali bit di stato della variabile di processo in successione con l’identificazione breve (dal file ZENON6.INI).

Per la formattazione della pagina da emettere oppure come generale informazione sono disponibili le seguenti parole chiave:

Parola chiave | Descrizione
%DATE | emissione della data attuale
%TIME | emissione dell’ora attuale
%PAGE | emissione del numero pagina attuale

Sono configurabili l’intestazione e il piè di pagina. Con un “%%” bisogna selezionare l’inizio e la fine delle aree (intestazione, parte principale, piè di pagina). Dopo l’ultimo “%%” bisogna immettere tre spazi.

L’utilizzo di tabulati potrebbe causare errori nel caso di emissioni di lunghezza diversa. Per il posizionamento si devono usare solo spazi. Il simbolo chiave “@” non va contato.

File FRM “PROJEKT.FRM”

%%
Intestazione della pagina
%%
%%
%date Protocollo del valore di misurazione dell'impianto XYZ %time ora

Identificazione dell'unità di valore tecnica
Valore di misurazione 1 @MESSWERT1.valore bar
Valore di misurazione 2 @MESSWERT2.valore kV
Valore di misurazione 3 @MESSWERT3.valore ºC

Pagina %page
%%
%%
Piè di pagina
%%

Stampa online con il file “PROJEKT.FRM”

Intestazione

21.02.1995 Protocollo del valore di misurazione dell'impianto XYZ ore 12:00

Denominazione dell'unità di valore tecnica
Valore di misurazione 1 0.63 bar
Valore di misurazione 2 9.98 kV
> Valore di misurazione 3 17.3 ºC

> Pagina 5

Piè di pagina

Se la formattazione dei valori attuali è più stretta del posto tra le parole chiave TTA, si può utilizzare un file QRF con lo stesso nome. Le variabili di processo nel file QRF si riferiscono a merker definiti. Ogni merker (xxx) inizia con un “$” ed è definito da un determinata sintassi.

"define $" xxx as "Variable" |
- xxx | identificazione breve libera oppure cifra
- Variabile | Nome variabile

attention Attenzione

il formato di definizione QRF atteso dal codice è, per es.:
define "$001" as "REAL_VAR_NAME"
Molto importanti sono le virgolette!

Nel file FRM si può accedere a questi merker. Le variabili di processo rispondono quindi ad altri parametri.

$xxx.1 | nome variabile di processo
$xxx.2 | Valore tecnico
$xxx.3 | Unità
$xxx.4 | Testo di stato

Nota: i nomi delle variabili con un punto devono essere messi tra virgolette, per es.: "Variable.Test".

Esempio per la struttura del file QRF

File QRF “MOMENT.QRF”

"define $001" as "TTA1 "
"define $002" as "TTA2"

File FRM “MOMENT.FRM”

%%
Intestazione
%%
%%
Area principale
Valore di TTA1= @$001.2
Valore di TTA2= @$002.2
%%
%%
Piè di pagina
%%

Stampa online con il file “MOMENT.FRM”

Intestazione
Valore di TTA1= 100.25
Valore di TTA2= 25.745
Piè di pagina


Attiva gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Attiva gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

Non è necessario nessun parametro di trasferimento.


Disattiva gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Disattiva gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

attention Attenzione

Non si salvano più valori! Valori online vengono aggiornati. Non è necessario nessun parametro di trasferimento.


Attiva/disattiva gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Attiva/disattiva gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione commuta nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online) tra le due condizioni. All’avviamento del funzionamento online si legge lo stato salvato nel file project.ini.

[DEFAULT] |
… |
HDDATEN= | 0 – off
 | 1 – on


Imposta valore

Manuale -> Variabili -> Funzioni per variabili -> Imposta valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo questa funzione a Runtime, si può settare un valore impostabile su una variabile.

Si devono indicare come parametri di trasferimento la variabile, il valore impostabile ed il tipo di impostazione. La configurazione della funzione viene eseguita tramite una apposita finestra di dialogo. La configurazione della funzione avviene con dialoghi propri per:

  • Variabili numeriche
  • Variabili binarie
  • Variabili stringa

L´inserimento nel Runtime avviene mediante la maschera d’inserimento del valore impostabile. Se disponibile nel progetto, viene usata automaticamente l'immagine keyboard SETVALUEKBD.

info Info

Se viene avviato un reload, oppure viene eseguito un cambio server/Server-Standby, i feedback in attesa o le conferme di scrittura verranno rifiutate!

Ancora in questo capitolo

per variabili numeriche

Per variabili binarie

per variabili stringa

Controllo di impostazione valori


per variabili numeriche

Manuale -> Variabili -> Funzioni per variabili -> Imposta valore -> per variabili numeriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Valore impostabile

Inserimento del valore impostabile da settare per la variabile.

Minimo

Inserimento di un valore per “minimo”.

Massimo

Inserimento di un valore per “massimo”.

Utilizza i limiti della variabile

Attivo : i valori impostabili consentiti vengono acquisiti dalla definizione della variabile (Descrizione/Imposta valore).
Non attivo: i valori impostabili consentiti possono essere impostati direttamente nella funzione (Minimo e Massimo).

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : il valore attivo al momento nel PLC viene proposto come valore di default, oppure direttamente scritto sull'hardware. Inoltre la descrizione del campo Valore impostabile cambia e diventa Modifica di; il valore impostato in questo campo di inserimento viene aggiunto a quello di default (o sottratto in caso di valori negativi).
Non attivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : a Runtime, il valore impostabile viene settato dopo l'attivazione della funzione senza bisogno di ulteriore conferma.
Non attivo: prima che il valore impostabile venga settato, viene visualizzata la finestra di dialogo corrispondente e l'utente può modificare le impostazioni a Runtime.

Attendi conferma scrittura

Attivo : l'esecuzione della funzione viene terminata solo quando è giunta conferma che l´operazione di scrittura è riuscita, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In questo modo si può garantire mediante script che la funzione successiva venga eseguita solo quando quella in esecuzione è stata effettivamente portata a termine.
La conferma può essere analizzata anche tramite il bit di stato WR-SUC.
Non attivo: Non si attende una conferma scrittura.

Imposta valore tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo: il valore impostabile viene settato a Runtime mediante un box di dialogo.
  • Programma: il valore impostabile viene settato a Runtime usando un programma. Selezione cliccando sul pulsante ....

OK

La configurazione viene accettata, la funzione creata e la funzionalità chiusa.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.

info Info

Si può digitare un valore decimale sia usando una 'virgola' (,), che con un 'punto’ (.). Il separatore decimale viene poi sempre convertito automaticamente in un punto .


Per variabili binarie

Manuale -> Variabili -> Funzioni per variabili -> Imposta valore -> Per variabili binarie

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

OFF (0)

Setta valore variabile su Off (0).

ON (1)

Setta valore variabile su ON (1).

TOGGLE

Il valore variabile passa fra i due stati (stato complementare).

Suggerimento: se si deve effettuare il toggling del valore della variabile, si consiglia di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Valore impostabile

Inserimento del valore impostabile da settare per la variabile.

Minimo

Inserimento di un valore per “minimo”.

Massimo

Inserimento di un valore per “massimo”.

Utilizza i limiti della variabile

Attivo : i valori impostabili consentiti vengono acquisiti dalla definizione della variabile (Descrizione/Imposta valore).
Non attivo: i valori impostabili consentiti possono essere impostati direttamente nella funzione (Minimo e Massimo).

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Inoltre la descrizione del campo Valore impostabile cambia e diventa Modifica di; il valore impostato in questo campo di inserimento viene aggiunto a quello di default (o sottratto in caso di valori negativi).
Non attivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : a Runtime, il valore impostabile viene settato dopo l'attivazione della funzione senza bisogno di ulteriore conferma.
Non attivo: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.

Attendi conferma scrittura

Attivo : L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere analizzata anche tramite il bit di stato WR-SUC.
Non attivo: Non si attende una conferma scrittura.

Setta valore impostabile tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo : il valore impostabile viene settato durante il Runtime usando un box di dialogo.
  • Immagine: il valore impostabile viene settato durante il Runtime usando un´immagine.
  • Programma: il valore impostabile viene settato durante il Runtime usando un programma. Selezione cliccando sul pulsante ....

OK

La configurazione viene accettata, la funzione creata e il dialogo chiuso.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.


per variabili stringa

Manuale -> Variabili -> Funzioni per variabili -> Imposta valore -> per variabili stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Valore impostabile

Inserimento del valore impostabile da settare per la variabile.

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Inoltre la descrizione del campo Valore impostabile cambia e diventa Modifica di; il valore impostato in questo campo di inserimento viene aggiunto a quello di default (o sottratto in caso di valori negativi).
Non attivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : a Runtime, il valore impostabile viene settato dopo l'attivazione della funzione senza bisogno di ulteriore conferma.
Non attivo: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.

Attendi conferma scrittura

Attivo : L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere analizzata anche tramite il bit di stato WR-SUC.
Non attivo: Non si attende una conferma scrittura.

Setta valore impostabile tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo : il valore impostabile viene settato durante il Runtime usando un box di dialogo.
  • Immagine: il valore impostabile viene settato durante il Runtime usando un´immagine.
  • Programma: il valore impostabile viene settato durante il Runtime usando un programma. Selezione cliccando sul pulsante ....

OK

La configurazione viene accettata, la funzione creata e il dialogo chiuso.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.


Controllo di impostazione valori

Manuale -> Variabili -> Funzioni per variabili -> Imposta valore -> Controllo di impostazione valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene scritto un valore, questo riceve un bit di stato. Se il processo di scrittura riesce, viene settato il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: scrittura riuscita.

    Valore 0: scrittura non riuscita. Non è stato possibile settare il valore.

info Info

In caso di reload del progetto o di passaggio al Server-Standby in un sistema ridondante, i messaggi di feedback e le conferme di scrittura in attesa vengono rifiutate!

Questa combinazione di stati permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati passano a 0, finché il procedimento di scrittura non è concluso. Per analizzare questo processo, nella REMA si deve eseguire una query di questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: operazione di scrittura riuscita.
  • WR-ACK 1, WR-SUC 0: operazione di scrittura non riuscita.

attention Attenzione

Questo meccanismo verifica solamente se il processo di scrittura su PLC è riuscito o meno. Questo non significa, però, che il valore sia stato effettivamente modificato sul PLC, poiché il PLC può resettare/sovrascrivere il valore immediatamente. (Per esempio, nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Imposta valore: attivare l´opzione Attendi conferma scrittura nella finestra di dialogo di configurazione della funzione.
  • Ricette standard: attivare la proprietà Scrittura sincrona .
  • Manager gruppi di ricette: attivare la proprietà Scrittura sincrona.

Inserimento nella CEL

  • Funzione “Imposta valore”

    Per l´inserimento nella CEL, si deve attivare nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto la proprietà Funzioni impostazione valore. Poi, ogni volta che si esegue la funzione, la risposta positiva o negativa verrà scritta nella CEL.

  • Ricette standard e Manager di gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa al valore 1 quando la scrittura della ricetta è riuscito. Per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita, viene analizzata una variabile globale sul server, una locale sul client.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le matrici di reazione. La query avviene con una matrice di reazione multianalogica o una multibinaria.


Comandi driver

Manuale -> Variabili -> Funzioni per variabili -> Comandi driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capito descrive le funzionalità standard valide per la maggiore parte dei driver di zenon. Non tutte le funzionalità descritte in questa sede sono a disposizione per ogni driver. Per esempio, un driver, che secondo la descrizione non supporta una connessione modem, non contiene nessuna funzionalità modem.

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver. A tale scopo:

  • create una nuova funzione.
  • selezionateVariabili > Comandi driver
  • si apre il dialogo di configurazione

Parametri

Descrizione

Driver

Lista a cascata con tutti i driver caricati nel progetto.

Stato attuale

Inserimento fisso, nelle versioni attuali senza funzione.

Comando driver

Lista a cascata che serve alla selezione del comando.
  • Start driver (modalità online)

Reinizializzare e lanciare il driver
  • Stop driver (modalità offline)

Il driver viene fermato, non si accettano più nuovi dati.

Nota: se il driver è nella modalità offline, tutte le variabili che sono state impostate per questo driver, ricevono lo stato Spento (OFF; Bit 20).

  • Driver in modalità simulazione

Il driver viene settato nel modo simulazione.
Il Driver simula i valori di tutte le variabili del driver. Non viene visualizzato nessun valore dall’Hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Driver in modalità hardware

Il driver viene settato nella modalità hardware.
Per le variabili del driver vengono visualizzati i valori provenienti dall’hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Comando specifico del driver

Inserimento di comandi driver specifici Apre il campo per l´inserimento di un comando.
  • Setpoint driver On

E´ permesso settare valore impostabile su driver
  • Setpoint driver Off

Settare valore impostabile su driver non è permesso
  • Connetti driver modem

Creare collegamento (per modem driver). Apre il campo di inserimento per digitare l´indirizzo hardware e per inserire il numero da selezionare.
  • Disconnetti driver modem

Terminare collegamento (per driver modem)

Proponi questo dialogo a Runtime

Nel runtime viene offerto un dialogo per consentire delle modifiche.

Comandi driver in rete

Se un computer sul quale viene eseguita la funzione comandi driver , si trova nella rete di zenon, vengono eseguite ulteriori azioni. Viene spedito dal computer al server del progetto uno speciale comando di rete che esegue poi l´azione desiderata sul suo driver. Il server manda poi lo stesso comando driver allo standby del progetto. Anche lo stanby esegue l´azione anche sul suo driver.

In tal modo si assicura che il server e lo standby siano sincronizzati. Ciò funziona solamente se il server e lo standby hanno entrambi una connessione funzionante e indipendente con l´hardware.


Scrivi data/ora nella variabile

Manuale -> Variabili -> Funzioni per variabili -> Scrivi data/ora nella variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione, viene presa l´ora di sistema e scritta in una variabile string nel formato: DD.MM.YYYY HH:MM:SS .

Come parametro va indicato il nome della variabile.


Acquisisci ora dalla variabile

Manuale -> Variabili -> Funzioni per variabili -> Acquisisci ora dalla variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione la variabile string viene letta dal PLC e se la differenza di tempo tra il calcolatore e il PLC è più grande di un secondo, viene settato il tempo di sistema del calcolatore e scritto un inserimento CEL. La variabile string deve avere il formato seguente: DD.MM.YYYY HH:MM:SS.

Nota: viene salvata l´ora locale. Informazioni dettagliate su questo argomento si trovano nel capitolo Gestione di data e ora, nella parte della guida dedicata al Runtime.

Come parametro va indicato il nome della variabile.


Immagine Diagnosi variabili

Manuale -> Variabili -> Immagine Diagnosi variabili

Un´immagine Diagnosi - variabili permette di visualizzare variabili a Runtime e di settare valori impostabili.

info Info

Informazioni di carattere generale sui tipi di immagine predefiniti a disposizione si trovano nel manuale Immagini , nel capitolo Tipi di immagine.

Ancora in questo capitolo

Creare un´immagine di tipo “Diagnostica variabili”

Creare un´immagine di tipo “Diagnostica variabili”

Cambio immagine - Diagnostica variabili

Gestione a Runtime


Creare un´immagine di tipo “Diagnostica variabili”

Manuale -> Variabili -> Immagine Diagnosi variabili -> Creare un´immagine di tipo “Diagnostica variabili”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine, selezionare l´opzione Diagnostica variabili.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.
    Configurare la funzione di cambio immagine.
    Per ulteriori informazioni su questo argomento, consultare il capitolo Cambio immagine - Diagnostica variabili.


Creare un´immagine di tipo “Diagnostica variabili”

Manuale -> Variabili -> Immagine Diagnosi variabili -> Creare un´immagine di tipo “Diagnostica variabili”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo “Diagnostica variabili” visualizza variabili a Runtime.

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista variabili

Finestra lista a Runtime.

  • E' possibile ordinare e filtrare le colonne di questa lista a Runtime.
  • È possibile salvare filtro e ordinamento della lista nei profili filtro.
  • La larghezza delle colonne può essere modificata tenendo premuto il tasto destro del mouse e trascinando i bordi delle colonne stesse.
  • La successione delle colonne può essere modificata trascinando le singole colonne via Drag&Drop.

Colonna

Descrizione

Nome

Nome della variabile.

Corrisponde alla proprietà Nome dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Identificazione

Identificazione della variabile.

Corrisponde alla proprietà Identificazione dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Valore attuale

Valore attuale della variabile.

Per eseguire l´update dei valori, premere il pulsante Aggiornamento ON o il pulsante Aggiorna adesso.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Imposta valore

Valore impostabile della variabile.

Default: Visibile a Runtime

Unità di misura

Unità di misura della variabile.

Corrisponde alla proprietà Unità di misura dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Minimo

Risoluzione segnale massima della variabile nel PLC.

Corrisponde alla proprietà Risoluzione segnale min. dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Massimo

Risoluzione segnale minima della variabile nel PLC.

Corrisponde alla proprietà Risoluzione segnale max. dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Stato

Stato corrente della variabile.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Data e ora

Time stamp attuale della variabile.

  • Se un valore ha lo stato T_EXTERN e non T_INVAL, come time stamp del valore verrà utilizzato il time stamp esterno.
    Il time stamp esterno è il dato orario che il PLC ha fornito al driver insieme al valore.
  • Se un valore ha lo stato T_INTERN o T_EXTERN e T_INVAL,, come time stamp del valore verrà utilizzato il time stamp interno.
    Il time stamp interno è il momento in cui il driver ha ricevuto il valore dal PLC.

Visualizzazione con risoluzione in secondi.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Timestamp interno (UTC)

Corrente time stamp interno della variabile espresso in formato UTC.

Visualizzazione con risoluzione in millisecondi.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Timestamp esterno (UTC)

Corrente time stamp esterno della variabile espresso in formato UTC.

Visualizzazione con risoluzione in millisecondi.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Indirizzo simbolico

Indirizzo simbolico della variabile.

Corrisponde alla proprietà Indirizzo simbolico dell´Editor di zenon.

Colonna vuota se l´indirizzo simbolico non è disponibile.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Indirizzo

Indirizzo della variabile.

Corrisponde al gruppo di proprietà Indirizzamento dell´Editor di zenon.

Default: Visibile a Runtime

Nota: non modificabile a Runtime.

Effettivo (dati grezzi)

Dati grezzi del valore attuale della variabile. Corrisponde al valore attuale della variabile prima dell´adattamento valore.

Default: non viene visualizzato di default a Runtime.

Nota: non modificabile a Runtime.

Stato (binario)

Stato della variabile.

Formato di visualizzazione: visualizza l´intero registro stati a 64 bit in rappresentazione binaria. Questa rappresentazione è sempre binaria, indipendentemente dal tipo di visualizzazione valore selezionata.

Default: non viene visualizzato di default a Runtime.

Nota: non modificabile a Runtime.

Timestamp esterno (locale)

Corrente time stamp esterno della variabile espresso in ora locale.

Visualizzazione con risoluzione in millisecondi.

N/A, se non è disponibile nessun time stampo esterno.

Default: non viene visualizzato di default a Runtime.

Nota: non modificabile a Runtime.

Timestamp interno (locale)

Corrente time stamp interno della variabile espresso in ora locale.

Visualizzazione con risoluzione in millisecondi.

Default: non viene visualizzato di default a Runtime.

Nota: non modificabile a Runtime.

Opzioni di visualizzazione

Elementi di controllo per la visualizzazione dei valori numerici della lista variabili. Un cambio della visualizzazione valori resetta la larghezza delle colonne al valore di default. Le colonne la cui larghezza è stata aumentata manualmente, per esempio, verranno ristrette.

I seguenti contenuti della lista delle variabili vengono visualizzati in valori numerici (per questi contenuti si può cambiare la visualizzazione dei valori):

  • Valore attuale
  • Imposta valore
  • Minimo
  • Massimo
  • Effettivo (dati grezzi)
Elemento di controllo | Descrizione
Visualizzazione valore: decimale | I valori della lista delle variabili vengono visualizzati in formato decimale.
Visualizzazione valore: esadecimale | I valori della lista delle variabili vengono visualizzati in formato esadecimale.
Visualizzazione valore: binario | I valori della lista delle variabili vengono visualizzati in formato binario.
Visualizzazione valore: ottale | I valori della lista delle variabili vengono visualizzati in formato ottale.
Visualizzazione valore: esponenziale | I valori della lista delle variabili vengono visualizzati in formato decimale esponenziale.

Variabili

Elemento di controllo | Descrizione
Aggiungi variabili... | Aggiunge variabili alla lista a Runtime.
Elimina variabile | Elimina variabile dalla lista a Runtime.

Update valori

Elemento di controllo | Descrizione
Update valore attuale ON | Attiva la lettura automatica dei valori correnti della variabile.
Update valore attuale OFF | Disattiva la lettura automatica dei valori correnti della variabile.
Update valore attuale | Legge di nuovo i valori correnti della variabile.
Tutte le variabili: imposta valore | Scrive i valori impostabili di tutte le variabili nell´hardware.
Variabili selezionate: imposta valore | Scrive i valori impostabili delle variabili selezionate nell´hardware.
Modifica valore impostabile | Modifica il valore impostabile della variabile selezionata

Variabili selezionate

Elemento di controllo | Descrizione
Commuta su valore spontaneo | Passa al valore spontaneo per le variabili selezionate.
Commuta sul valore di riserva | Passa al valore di riserva per le variabili selezionate.
Modifica valore di riserva | Modifica il valore di riserva delle variabili selezionate.
Attiva stato REVISION | Per la variabili selezionate viene attivata la revisione. A questo scopo viene settato il bit di stato REVISION (Bit 09).
Disattiva stato REVISION | Per la variabili selezionate viene disattivata la revisione. A questo scopo viene resettato il bit di stato REVISION (Bit 09).
Attiva stato OFF | Per la variabili selezionate viene attivato il valore spontaneo. A questo scopo viene resettato il bit di stato OFF (Bit 20).
Disattiva stato OFF | Per la variabili selezionate viene disattivato il valore spontaneo. A questo scopo viene settato il bit di stato OFF (Bit 20).

Profilo filtro

Pulsanti per impostazioni filtro a Runtime.

Elemento di controllo

Descrizione

Selezione profilo

Selezionare un profilo dalla lista.
Selezione dal menù a tendina. Questo menù a tendina contiene i profili salvare con il pulsante Salva.

Salva

Salva l´impostazione attuale come profilo.

Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi.
sono proibiti: ! \ / : * ? < > | ""
I profili salvati vengono visualizzato nel menù a tendina Selezione profili.

Nota: il nome non può avere più di 31 caratteri und può contenere solamente caratteri validi.
sono proibiti: ! \ / : * ? < > | ""

Elimina

Cancella il profilo selezionato.Il profilo cancellato non sarà più disponibile nella Selezione profili.

Importa

Importa profili filtro da un file di esportazione.

I profili filtro importati sono poi disponibili nel menù a tendina Selezione profili.

Esporta

Esporta profili filtro in un file.

info Info

Si può digitare un valore decimale sia usando una virgola, che con un punto. Il carattere decimale viene trasformato automaticamente in un punto.

Tipp Suggerimento

Si può filtrare sulla base dei bit di stato NORM e N_NORM.


Cambio immagine - Diagnostica variabili

Manuale -> Variabili -> Immagine Diagnosi variabili -> Cambio immagine - Diagnostica variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari per aprire un´immagine di tipo Diagnostica variabili sono le variabili da visualizzare nell´immagine ed i valori impostabili proposti per le variabili selezionate.

Procedura di creazione di una funzione di cambio immagine per l´immagine di tipo Diagnostica variabili:

  • Selezionare "Nuova funzione..."
  • Selezionare "Cambio immagine".
  • Selezionare l´immagine del tipo “Diagnostica variabili”.
  • Si apre una finestra di dialogo di configurazione.

Parametri | Descrizione
Variabili | Lista delle variabili e delle loro proprietà.
Aggiungi variabile | Apre la finestra di dialogo che consente la selezione di variabili, per aggiungerle alla lista.
Rimuovi variabile | Le variabili selezionate vengono cancellate dall´immagine.
Modifica valore impostabile | I valori impostabili proposti per le variabili dell´immagine possono essere modificati. I valori impostabili possono essere modificati anche cliccando sulla cella con il valore che si intende cambiare.

Opzioni

Parametri

Descrizione

Base numerica di visualizzazione

Definisce la modalità di rappresentazione dei valori a Runtime. Selezione della modalità di rappresentazione fra quelle proposte dal menù a tendina.

Valori possibili:

  • Decimale
  • Esadecimale
  • Binaria
  • Ottale
  • Esponenziale

Update valore attuale ON

Attivo: quando si apre la finestra a Runtime, i valori attuali vengono aggiornati.

Proponi dialogo a Runtime

Checkbox che consente di definire se questa finestra di dialogo debba essere visualizzata a Runtime o meno:

  • Attiva: la finestra di dialogo verrà visualizzata a Runtime.
    In questo caso, sarà possibile modificare le impostazioni prima dell´esecuzione della funzione.
  • Non attiva: la finestra di dialogo non verrà visualizzata a Runtime.
    In questo caso verranno applicate le impostazioni eseguite nell´Editor in questa finestra di dialogo.

info Info

È possibile modificare le colonne (testo visualizzato, tipi colonne e larghezza colonne) cliccando con il tasto destro del mouse sul titolo della colonna. Nel menù contestuale si trovano le impostazioni per eseguire le modifiche.


Gestione a Runtime

Manuale -> Variabili -> Immagine Diagnosi variabili -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre l´immagine Diagnostica variabili a Runtime, vengono visualizzate le variabili impostate in fase di configurazione della funzione di cambio immagine.

Eseguire a Runtime le seguenti operazioni per cancellare o aggiungere variabili dalla lista:

  • Cliccare sul pulsante Inserisci...
    Si apre la finestra di dialogo di selezione di variabili.
  • Selezionare le variabili desiderate È possibile selezionare più inserimenti contemporaneamente.
    Nota: Le variabili dell´area di selezione possono essere filtrate e ordinate.
  • Cliccare sul pulsante “Aggiungi” per aggiungere le variabili selezionate.
  • Confermare la selezione cliccando su OK.
  • La finestra di dialogo di selezione variabili si chiude.
    Le variabili selezionate vengono visualizzate nella lista delle variabili.

Nascondere variabili

  • Selezionare la variabile desiderata nella lista eseguendo un clic con il tasto destro del mouse.
  • Se lo si desidera, selezionare altre variabili con il tasto Ctrl + click destro (selezione multipla).
  • Cliccare sul pulsante Rimuovi.
    Le variabili selezionate vengono rimosse dalla lista delle variabili.

Finestra di dialogo di selezione di variabili

La finestra di dialogo di selezione di variabili si apre quando si clicca sul pulsante Inserisci.

Le variabili già visualizzate nella lista sono contenute in quella delle variabili da visualizzare.

Parametri

Descrizione

Workspace

Visualizzazione ad albero del workspace attuale.

Sono visualizzati il progetto attivo al momento e i progetti di integrazione in esso contenuti.

Per selezionare un progetto, cliccare su di esso nella visuale ad albero.

Lista delle variabili

Lista di tutte le variabili impostate in un progetto.

Questa lista può essere ordinata e filtrata.

È possibile visualizzare altre colonne usando il menù contestuale. Per visualizzare questo menù contestuale, cliccare con il tasto destro del mouse in un titolo di colonna.

Nel pie´di pagina della Lista delle variabili vengono visualizzate come testo informazioni relative alle variabili disponibili e a quelle selezionate.

Lista delle variabili da visualizzare

Lista di tutte le variabili selezionate.

Aggiungi

Accetta le variabili selezionate nella Lista delle variabili e le sposta nella Lista delle variabili da visualizzare.

Nota: si può aggiungere le variabili della lista della variabili a quella delle variabili da visualizzare anche cliccandoci sopra due volte.

Elimina

Cancella le variabili selezionate dalla Lista delle variabili da visualizzare.

Nessuna selezione

Cancella tutte le variabili dalla Lista delle variabili da visualizzare e chiude la finestra di dialogo.

A Runtime non verrà visualizzata nessuna variabile. La lista sarà vuota.

Tasto freccia in su

Viene selezionato l´inserimento che si trova immediatamente sopra quello selezionato al momento.

Tasto freccia in giù

Viene selezionato l´inserimento che si trova immediatamente sotto quello selezionato al momento.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.


Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura

La funzionalità di "Cambio unità di misura" consente la conversione e il cambio di unità di base in cosiddette unità di conversione, per esempio metro in yard, metro in decimetro, centimetro in millimetro. Un´unità di base contiene il valore di partenza per eseguire la conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe hanno una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Quando si configurano i parametri di una variabile, si può selezionare un´unità di base. A Runtime, si può poi passare da un unità di misura ad un´altra usando la funzione cambio unità di misura.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova unità base | Crea una nuova unità di base.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Guida | Apre la guida online.

info Info

Il cambio unità di misura non deve essere usato insieme alla funzione variablerw del Generatore di report. Questa funzione, infatti, mette a disposizione uno strumento per il cambio unità di misura per progetti più vecchi. Se un´unità di misura di una variabile definita nel "cambio unità di misura" viene modificata usando questa funzione di report, si dovrà configurare nuovamente il cambio unità di misura.

Ancora in questo capitolo

Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Configurare un´unità di misura

Attribuzione di un´unità di base ad una variabile

Funzione Cambio unità di misura

Runtime


Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Manuale -> Variabili -> Cambio unità di misura -> Unità di misura - Visualizzazione dettagli - Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - Unità di misura - Visualizzazione dettagli

Voce di menù | Azione
Nuova unità di misura base | Crea una nuova unità di base.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Guida | Apre la guida online.

Menù contestuale e barra degli strumenti Unità base/Unità di conversione

Voce di menù | Azione
Nuova unità di misura base | Crea una nuova unità di base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento di partenza | Menù a tendina che consente tornare all´elemento dal quale si è passati all´unità di misura. Questa voce di menù è attiva solamente se l´unità di misura è collegata ad un altro elemento.
Rinomina | Consente di modificare il nome dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura già collegate a variabili o utilizzate in funzioni, dovranno essere adattate manualmente nella variabile o nella funzione cui sono collegate. Vedere anche: Attribuzione di unità di base ad una variabile Funzione "Cambio unità di misura".
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML | Importa unità di misura da un file XML.
Copia | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se esiste già un inserimento con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Guida | Apre la guida online.


Configurare un´unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Configurare un´unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire la conversione, si deve anzitutto creare un´unità di base e un´unità di conversione, e si devono configurare i parametri sulla base dei quali verrà effettuata la conversione. La conversione viene eseguita secondo la formula y=kx+d (Austria) oppure y=mx+b (Germania). Ogni unità di base può essere assegnata a una variabile come unità di misura.

Procedura per creare una nuova unità di base:

  1. Nel Manager di progetto, selezionare il nodo "Unità di misura".
  2. Cliccare con il tasto destro del mouse su "Unità di misura".
  3. Nel menù contestuale, selezionare il comando "Nuova unità di base".
  4. Viene creato un nuovo inserimento nella lista visualizzata nella Visualizzazione dettagli.
  5. Assegnare una denominazione all´unità di misura.
  6. Creare un´unità di conversione.

Procedura per creare un´unità di conversione:

  • Cliccate con il tasto destro del mouse su unità di base.
  • Nel menù contestuale, selezionare il comando "Nuova unità di conversione".
  • Viene creato un nuovo inserimento nella lista visualizzata nella Visualizzazione dettagli.
  • Assegnare una denominazione all´unità di misura.
  • Impostate un Fattore per la conversione.
  • Configurare un valore per la Posizione della virgola decimale.
  • Configurare un valore per l´Offset.


Attribuzione di un´unità di base ad una variabile

Manuale -> Variabili -> Cambio unità di misura -> Attribuzione di un´unità di base ad una variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assegnazione di unità di base ad un variabile viene eseguita nella proprietà Unità di misura della variabile stessa (nodo Generale).

Qui si può assegnare una denominazione a piacere all´unità di misura. Se si vuole utilizzare la funzionalità di cambio unità di misura a Runtime, si deve selezionare un´unità di base definita in precedenza scegliendola fra quelle offerte dal menù a tendina.

Suggerimento: quando si assegna una denominazione a piacere, si dovrebbe creare subito dopo nel nodo "Unità di misura" l´unità base con lo stesso nome.

Perché a Runtime possa essere eseguita la conversione di unità, si deve impostare una Funzione "Cambio unità di misura" .

attention Attenzione

Se si modificare l´unità di misura in un secondo momento, il cambiamento di nome non viene eseguito automaticamente per le variabili già connesse.

Procedura per cambiare la denominazione di unità di misura già collegate a variabili:

  • Selezionare la visualizzazione dettagli del Manager di progetto.
  • Selezionare la colonna "Unità di misura", oppure aggiungerla alla visualizzazione se non è ancora visualizzata.
  • Selezionare poi nel menù contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nella finestra di dialogo che si aprirà, cercare il vecchio nome e sostituirlo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Nota: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Sostituisci in | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

info Info

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attention Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Variabili -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e contatore cicli di funzionamento nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella immagine EMS vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Visualizzazione globale

Manuale -> Visualizzazione globale

In zenon, per "visualizzazione globale" si intende ogni immagine per cui è stata disattivata l´opzione Ricava dimensioni dal modello, e che è più grande del modello, o ha almeno le stesse dimensioni del modello. La visualizzazione globale consente di visualizzare le immagini la cui grandezza supera le dimensioni del modello, e permette di navigare e zoomare in queste immagini. In questo modo è possibile visualizzare in modo completo degli impianti molto grandi e navigare al loro interno. Si può zoomare all´interno della visualizzazione globale globale per visualizzare delle parti dell´impianto. A seconda dei livelli di zoom, si può definire quali dettagli verranno visualizzati (zooming, panning e decluttering). Si può anche saltare direttamente da un elemento ad un altro.

info Info

Alcuni elementi, come, ad esempio, Combo/Listbox, Lista di informazione allarmi, diagramma del modulo Trend esteso ecc., non possono essere ingranditi e rimpiccioliti con lo zoom. La dimensione di questi elementi rimane costante, tuttavia la loro posizione nell´immagine può cambiare.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Configurazione nell'Editor

Funzione di cambio all´immagine di tipo "Supervisione globale"

Gestione durante il runtime


Configurazione nell'Editor

Manuale -> Visualizzazione globale -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare una visualizzazione globale, si deve avere:

  1. Un´immagine che sia più grande del suo modello; questa è la visualizzazione globale.
  2. Un´immagine di tipo Supervisione globale, che serve alla navigazione nella visualizzazione globale e ha effetto sul modello dell´immagine globale.

Nota: queste due immagini devono essere basate su modelli diversi.

Quando si apre un´immagine di tipo Supervisione globale, si deve definire quale modello deve essere controllato da questa immagine.

Suggerimenti:

  • Non usare la Visualizzazione globale come immagine di partenza.
  • Avviare la Visualizzazione globale e la Supervisione globale contemporaneamente tramite uno script.

info Info

In caso della navigazione con gesti multitouch, non è necessaria un´immagine di tipo "Supervisione globale". Con Multi-Touch si può navigare direttamente nella visualizzazione globale.

Elementi d´immagine

La visibilità degli elementi dinamici e di quelli vettoriali, e il loro nome per le liste oggetti, vengono definiti nelle proprietà dell´oggetto in questione: Runtime/Visualizzazione globale/...

Ancora in questo capitolo

Imposta immagine globale

Creare un'immagine di tipo "Supervisione globale"

Livelli di zoom

Oggetti


Imposta immagine globale

Manuale -> Visualizzazione globale -> Configurazione nell'Editor -> Imposta immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un´immagine globale:

  1. impostate una nuova immagine.
  2. passate al gruppo proprietà Modello
  3. selezionate la proprietà Ricava dimensioni dal modello
  4. disattivate questa proprietà (eleminare segno di spunto, se esistente)
  5. selezionate per le proprietà Larghezza [Pixel] e Altezza [Pixel] dei valori che superino la dimensione del modello di questa immagine

    Valori massimi: 32.000

  6. impostate una funzione di cambio immagine per questa immagine

info Info

Faceplates non sono adatti per la visualizzazione globale. Perché le immagini collegate in Faceplate Container non vengono scalate, ma visualizzate sempre nelle dimensioni originali.


Creare un'immagine di tipo "Supervisione globale"

Manuale -> Visualizzazione globale -> Configurazione nell'Editor -> Creare un'immagine di tipo "Supervisione globale"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare nella proprietà Tipo di immagine Supervisione globale.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Finestra

Elementi di controllo per la finestra panoramica.

Elemento di controllo | Descrizione
Panoramica | Visualizzazione dell´immagine gestita al momento.
Lista oggetti | Lista degli oggetti cui si può accedere direttamente.
Visualizzazione dei livelli di zoom | Visualizza il livello di zoom corrente. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Zoom

Elementi di controllo per la gestione dello zoom.

Elemento di controllo | Descrizione
Zoom min. | Disattiva lo zoom; l´immagine viene visualizzata nella dimensione del modello.
Zoom max. | Livello di zoom massimo.
Ingrandisci | Zooma all´interno dell´immagine.
Riduci | Zooma al di fuori dell´immagine.
Zoom (slider) | Slider per impostare il livello di zoom.

Navigazione

Elementi di controllo per la navigazione nella visualizzazione globale.

Elemento di controllo | Descrizione
Sinistra | Sposta la parte visualizzata dell´immagine a sinistra.
Destra | Sposta la parte visualizzata dell´immagine a destra.
In alto | Sposta la parte visualizzata dell´immagine verso l´alto.
In basso | Sposta la parte visualizzata dell´immagine verso il basso.

Elementi compatibili

Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.

Elemento di controllo | Descrizione
Visualizzazione dei livelli di zoom | Elemento di controllo statico Win32. È stato sostituito da un campo di tipo Collega testo. Per la descrizione, vedi elemento attuale.


Livelli di zoom

Manuale -> Visualizzazione globale -> Configurazione nell'Editor -> Livelli di zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I livelli di zoom definiscono la relazione fra la dimensione del modello e l´immagine visualizzata. Ci sono diversi livelli di zoom cui viene assegnato una cifra percentuale. 100 % corrisponde alla grandezza del modello. Tanto più grande è la sezione d´immagine, tanto minore è il livello di zoom.

Nota: non è possibile lo zoom di visualizzazione globali in faceplate.

Per progettare i livelli di zoom:

  1. Nelle proprietà di progetto, passare al gruppo Aspetto grafico/Runtime generale
  2. Passare alla proprietà Livelli di zoom immagine globale e cliccare sul pulsante ...
  3. Si aprirà la finestra di dialogo per configurare i livelli di zoom.

Parametro | Descrizione
Livelli zoom esistenti | In questa lista vengono visualizzati i livelli di zoom disponibili al momento.
Nuovo... | Crea un nuovo livello di zoom. Il valore proposto può essere modificato manualmente. Il valore deve essere compreso fra 1 e 100.
Modifica... | Apre il campo d´inserimento del valore percentuale per il livello di zoom selezionato.
Elimina... | Cancella il livello di zoom selezionato.

Livello di zoom minimo

Il livello di zoom minimo è limitato dalla relazione fra la dimensione dell´immagine e quella del modello.

Esempio:

  • Vengono configurati 10 livelli di zoom da 10% a 100%.
  • L´immagine ha una grandezza doppia a quella del modello.
    • I livelli di zoom arrivano fino a 50%. A partire da questo punto viene visualizzata sempre l´intera immagine.
  • L´immagine ha una grandezza pari al quadruplo di quella del modello.
    • I livelli di zoom arrivano fino a 20 %.


Oggetti

Manuale -> Visualizzazione globale -> Configurazione nell'Editor -> Oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni elemento di un´immagine può essere dotato di un nome univoco. Questo nome può essere usato anche per la navigazione nella Supervisione globale. Cliccando sul nome nella lista oggetti, si fa in modo che la sezione visualizzata si sposti finché l´elemento non si trova al centro della sezione stessa.

Per definire gli oggetti:

  1. cliccate sull´elemento desiderato
  2. navigate nelle proprietà fino a giungere al gruppo Runtime
  3. cliccate sulla proprietà Nome f. lista oggetti
  4. assegnate un nome all´oggetto

Nel Runtime vegono visualizzati tutti gli oggetti nominati nella lista.


Funzione di cambio all´immagine di tipo "Supervisione globale"

Manuale -> Visualizzazione globale -> Funzione di cambio all´immagine di tipo "Supervisione globale"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre un´immagine di tipo "Supervisione globale" a Runtime, il sistema provvede a determinare in quale modello si naviga con l´immagine. Per l´immagine in cui si naviga, non deve essere attiva la proprietà Ricava dimensioni dal modello; l´immagine, inoltre, deve essere più grande del relativo modello.

Procedura per configurare una funzione di cambio ad un´immagine di tipo "Supervisione globale":

  1. Creare una nuova funzione.
  2. Selezionare "Cambio immagine".
  3. Si apre la finestra di dialogo per la selezione di un´immagine.
  4. Selezionare l´immagine di tipo Supervisione globale.
  5. Si apre la finestra di dialogo per configurare l´immagine.

Parametro | Descrizione
Panoramica modelli | Selezione del modello da gestire fra quelli proposti dal menù a tendina.
Colore struttura | Definisce i colori per la visualizzazione a Runtime:
Standard | Colore della cornice che delimita la parte selezionata nell´immagine globale. Se si clicca sul colore, si apre la tavolozza per selezionare un colore.
Selezione al click con tasto destro | Colore della cornice se si clicca sulla sezione con il tasto destro del mouse per trascinarla. Se si clicca sul colore, si apre la tavolozza per selezionare un colore.
Impostazioni |
Larghezza cornice | Larghezza della cornice che delimita la parte selezionata nell´immagine globale.
Aggiornamento ciclico della pagina | Attivo: gli elementi dinamici nell´immagine assegnata vengono aggiornati ad intervalli definiti.
Secondi | Tempo espresso in secondi per l´update ciclico.
Evidenzia oggetto selezionato | Attivo: se si clicca su un oggetto della lista oggetti, questo verrà evidenziato.
Zoom | Proprietà dello zoom.
Rispettare le relazioni pagina | Attivo: la relazione fra altezza e larghezza del rettangolo viene mantenuta quando si trascina.
Disattiva punti di ancoraggio di pagina | Attivo: i punti di ancoraggio della cornice vengono disattivati e non più visualizzati, ad eccezione di quelli agli angoli.
Zoomare con tasti “+”/”-“ | Selezione di come usare i tasti + e - per lo zoom. I tasti devono essere assegnati in modo adeguato.
% | Con questi tasti si ingrandisce o riduce l´immagine in modo corrispondente al valore percentuale inserito. Inserimento di un valore compreso fra 1 e 100. Default: 10
Livelli di zoom | Con i tasti assegnati, si ingrandisce o riduce l´immagine usando i livelli di zoom configurati.
Spostamento in pixel con i tasti freccia | Inserimento del numero di pixel di cui un´immagine viene spostata usando i tasti freccia. I tasti devono essere assegnati in modo adeguato. Inserimento di un valore compreso fra 1 e 16.000. Default: 100
OK | Applica le impostazioni, chiude la finestra di dialogo e apre quella per sostituire i collegamenti.
Annulla | Annulla tutti gli inserimenti e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Eventuali modifiche delle proprietà eseguite nell´Editor hanno effetto a Runtime solo dopo che l´immagine Supervisione globale sarà stata riaperta.


Gestione durante il runtime

Manuale -> Visualizzazione globale -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in un´immagine globale durante il Runtime, usate:

  • l´immagine del tipo supervisione globale
    oppure
  • gesti multitouch sul touchscreen

Supervisione globale

  1. aprite anzitutto l´Immagine globale con una funzione di cambio immagine
  2. aprite l´immagine del tipo Supervisione globale con una Funzione di cambio immagine

Suggerimento: usate uno script per richiamare contemporaneamente entrambi i cambi immagine.

Con l´aiuto degli elementi di controllo, del mouse e della tastiera, potete poi navigare nell´immagine globale, e zoomare al suo interno. I dettagli relativi li potete trovare nel capitolo Supervisione globale

Multi-Touch

Con Multitouch potete navigare direttamente nella Visualizzazione globale anche senza Supervisione globale propria. I dettagli relativi li potete trovare nel capitolo Navigazione con multitouch nell´immagine globale

Ancora in questo capitolo

Supervisione globale

Navigazione con multitouch nella visualizzazione globale.


Supervisione globale

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, la supervisione globale mette a disposizione diverse possibilità per gestire il livello di zoom e la sezione dell´immagine che viene visualizzata:

  • Elementi di controllo
  • Mouse e touch
  • Tastiera

Gli elementi di controllo possono essere gestiti anche via touch screen. I punti di contatto per la gestione con il mouse hanno dimensioni tali da poter essere utilizzati senza problemi anche in modalità touch.

Con i gesti Multi-Touch si può navigare direttamente all´interno della visualizzazione globale; in questo caso non è necessaria nessuna immagine di tipo Supervisione globale.

info Info

A Runtime, la "Supervisione globale" è sempre visualizzata in una propria finestra che si trova in primo piano, indipendentemente dalle impostazioni nell´Editor relative agli elementi d'immagine.

Ancora in questo capitolo

Navigazione tramite elementi di controllo

Azioni con il mouse

Navigazione con la tastiera


Navigazione tramite elementi di controllo

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Navigazione tramite elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Zoom min. | Disattiva lo zoom. La sezione viene visualizzata nella grandezza del modello.
Zoom max. | Livello massimo dello zoom.
+ | Zoomare all´interno dell´immagine.
- | Zoomare al di fuori dell´immagine.
Slider | Slider che serve a impostare i livelli dello zoom.
A sinistra | Sposta la sezione visualizzata a sinistra.
A destra | Sposta la sezione visualizzata a destra.
in sù | Sposta la sezione visualizzata in sù.
in giù | Sposta la sezione visualizzata in giù.
Lista oggetti | Lista degli Oggetti cui si può accedere direttamente. Cliccando su un oggetto si ottiene che l´oggetto stesso venga visualizzato al centro della sezione dell´immagine mostrata in quel momento.


Azioni con il mouse

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Azioni con il mouse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il mouse e la gestione touch possono essere eseguite le seguenti azioni:

  • Sposta sezione:

    Ci sono più possibilità di spostare la sezione visualizzata dell´immagine globale:

    1. Cliccare al centro della sezione in questione e muovere il mouse sul modello tenendo premuto il tasto sinistro.
    2. Premere il tasto Space e cliccare all´interno della visualizzazione globale: Il puntatore del mouse assumerà l´aspetto di una mano. Adesso è possibile spostare l´immagine con il mouse. I clic eseguiti con il tasto sinistro del mouse non vengono analizzati nella visualizzazione globale se il tasto Space è premuto.
    3. Cliccare con il tasto destro del mouse all´interno della sezione d´immagine e muovere il mouse sul modello tenendo premuto il tasto destro.
    4. Tenere premuta la rotella del mouse e muoverlo sul modello.
  • Zoomare:
    Cliccare all´interno della sezione d´immagine e girare la rotella del mouse per zoomare. L´immagine verrà ingrandita o ridotta sulla base dei livelli di zoom impostati. Mentre si zooma, il puntatore rimane sul posto scelto all´interno dell´immagine.
  • Scorrere (scroll):
    Si può scorrere all´interno della visualizzazione globale usando la rotella del mouse:
    • Verticalmente: Cliccare all´interno della visualizzazione globale e girare la rotella del mouse.
    • Orizzontalmente: Cliccare nella visualizzazione globale, tenere premuto il tasto Shift e girare la rotella del mouse.

      Tasto Shift + rotella del mouse verso l´alto: scorrimento verso destra.

      Tasto Shift + rotella del mouse verso il basso: scorrimento verso sinistra.

info Info

I modelli possono essere spostati anche con il mouse, se l´immagine non è una visualizzazione globale. A questo scopo, si deve attivare la proprietà Muovi modello via mouse. A Runtime, quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si sposterà l´intera immagine.

Interazioni

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse


Navigazione con la tastiera

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Navigazione con la tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete zoomare e spostare le sezioni dell´immagine anche usando la tastiera. A tale scopo dovete anzitutto assegnare dei tasti agli elementi di controllo, per es.:

  • su -> Tasto freccia in su
  • giù -> Tasto freccia in giù
  • sinistra -> Tasto freccia a sinistra
  • destra -> Tasto freccia a destra
  • + (Slider) -> Tasto +
  • - (Slider) -> Tasto -

Per assegnare un tasto a un elemento di controllo:

  1. selezionate l´elemento di controllo
  2. passate alla proprietà Combinazione tasti
  3. cliccate sul pulsante ... oppure nel campo di inserimento
  4. si aprirà il dialogo per fissare la combinazione di tasti
  5. cliccate nel campo Combinazione tasti
  6. premete il tasto desiderato oppure la combinazione tasti, per es.: +
  7. la combinazione di tasti verrà visualizzata nel campo di inserimento
  8. chiudete il dialogo cliccando su OK.


Navigazione con multitouch nella visualizzazione globale.

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con multitouch nella visualizzazione globale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche per navigare all´interno della visualizzazione globale. A questo scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: se un´immagine in un contenitore non è una visualizzazione globale, riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale nel contenitore di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Visualizzazione globale incorporata in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Muovere modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: viene spostato il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Conversione del progetto

Valori per Sposta orizzontalmente e Sposta verticalmente quando si converte in zenon 7.20 un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: nessuna reazione.

Ancora in questo capitolo

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch con Windows 7 per navigare nella visualizzazione globale, li si deve:

  • attivare usando la proprietà Multi-Touch per Zoom e Scrolling
  • o implementare con VBA/VSTA

Zoom e scrolling mediante la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare multi-touch senza VBA/VSTA:

  1. Nel nodo Interazione delle proprietà di progetto, selezionare l´opzione Windows 7 per la proprietà Analisi.
  2. Disattivare la proprietà Ricava dimensioni dal modello nel nodo Modello delle proprietà dell´immagine.
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In questo modo sarà possibile scorrere e zoomare nell´immagine usando i gesti multi-touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicture sono a disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode)

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con multitouch nella visualizzazione globale. -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivare nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


Wizards

Manuale -> Wizards

Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, zenon mette disposizione dei wizard concernenti diversi settori dell´engineering.

Gli utenti possono creare anche dei propri wizard.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Avvia wizard

Per avviare un wizard:

  • Nel menù Extras, selezionare l´inserimento Avvia Wizards in Editor....

    oppure

  • premere la combinazione di tasti Alt+F12

    Si apre la finestra di dialogo che consente di selezionare un Wizard per l'Editor:

Il wizard per la creazione di un progetto viene offerto dal sistema automaticamente quando si vuole creare un nuovo progetto.

Impostazioni nel file zenon6.ini

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Ancora in questo capitolo

Temi

Crea o adatta wizard

Aggiorna Wizard


Temi

Manuale -> Wizards -> Temi

In zenon sono disponibili i seguenti Wizard:

  • Analyzer
    • Export Wizard for Analyzer 2.10
    • Export Wizard for Analyzer 02:20
    • Export Wizard for Analyzer 03:00
    • Export Wizard for Analyzer 3.10
    • Meaning and Waterfall Chart Wizard
    • Sankey Wizard
  • Energy
    • Driver Simulation
    • IEC 61850 SSD Import
    • IEC850 Driver Configuration
  • Export - Import
    • FactoryLink Import Wizard
    • PDiag Import Wizard
    • WinCC Import Wizard
    • XML Export Wizard
    • XML Import Wizard
  • Language Table
    • Language Table Wizard
    • Language Translation Wizard
    • System Text Wizard
  • Metering Point Administration Wizard
  • Industria farmaceutica.
    • Pharmaceutical Wizard
  • Project
    • Backup Comparison Wizard
    • Wizard di documentazione
    • Wizard di progetto
  • Variables
    • Everywhere Essentials QR Code Generator
    • Variable creation wizard
  • Wizards VSTA
    • Demo Wizard: modello vuoto che può essere adattato alle esigenze individuali.

Ancora in questo capitolo

Analyzer

Settore dell´energia

Esportazione/Importazione

Language Table

Metering Point Administration - Amministrazione punti di misurazione

Industria farmaceutica.

Project

Variables


Analyzer

Manuale -> Wizards -> Temi -> Analyzer

zenon Analyzer dispone di Wizard che aiutano gli utenti ad effettuare una corretta parametrizzazione del sistema SCADA e a realizzare l´esportazione di dati dal sistema SCADA stesso. Attualmente, il sistema SCADA zenon viene supportato.

Wizard:

  • Export Wizard for Analyzer 2.10: supporta l´Export di metadati da zenon per il zenon Analyzer Version 2.10.
  • Export Wizard for Analyzer 2.20: supporta l´Export di metadati da zenon per il zenon Analyzer Version 02:20.
  • Export Wizard for Analyzer 3.00: supporta l´Export di metadati da zenon per il zenon Analyzer Version 03:00.
  • Export Wizard for Analyzer 3.10: supporta l´Export di metadati da zenon per il zenon Analyzer Version 03:10.
  • Meaning and Waterfall Chart Wizard: Vi aiuta a predisporre un progetto di zenon alla elaborazione di informazioni variabile in zenon Analyzer.
  • Sankey Wizard: Vi aiuta nella creazione di diagrammi Sankey, che possono essere usati nel Runtime o nel zenon Analyzer.

I wizards per zenon Analyzer vengono installati automaticamente al momento dell´installazione di zenon 7.20. L´Analyzer Export Wizard dispone di una DLL propria. Meaning and Waterfall Chart Wizard e Sankey Wizard condividono una DLL. Installazione e manutenzione, dunque, sono diversi da quelli di altri wizard di zenon. Analyzer Wizard vengono aggiornati automaticamente con gli update di zenon a partire dalla versione 7.20. A partire dalla versione 7.10, l´update può essere effettuato anche (se necessario) manualmente, tramite il file Build per zenon contenuto nel supporto di installazione sul zenon Analyzer. Questi wizard non vengono aggiornati tramite il meccanismo di aggiornamento dei wizard di zenon. Ulteriori dettagli li trovate nel capitolo Installazione e Update nella guida concernente il zenon Analyzer.

Sintassi per inserimenti in zenon

L´inserimento in zenon dipende dalla versione di zenon usata.

Fino alla versione 07:11 di zenon

Fino alla versione 7.11 di zenon compresa, modello Meaning e Waterfall vengono inseriti nella proprietà di zenon Identificazione servizio. Essa può contenere significati per molte categorie.

Per inserimenti nella proprietà

  • Le categorie vengono separate da un punto e virgola (;).
  • Le aree all´interno di una categoria vengono separate da virgole (,).
  • Le categorie vengono contrassegnate tramite un indice:
    • ME=: Identifica un significato (Meaning).
      Sintassi: ME=[Significato principale come testo],[Significato aggiuntivo come testo],[Significato aggiuntivo come testo],…;
      Esempio: ME=Station_1,Station_2;
    • WF=: Identifica una variabile per la rappresentazione waterfall.
      Sintassi: WF=[Nome modello Testo],[Indice righe INT],[Indice colonne INT],[Codice colore come testo #XXXXXX];;
    • Anche ogni altro inserimento viene inteso come Meaning

Sintassi completa per la proprietà Identificazione servizio: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Attenzione: La proprietà Identificazione servizio è limitata a 255 caratteri nell´Editor di zenon.

Da zenon 07:20

A partire da zenon 7.20, sono disponibili in zenon delle proprietà specifiche per la definizione di Meaning e waterfall, nonché per l´inserimento di un nome di visualizzazione. Questi inserimento non necessitano di un´identificazione che li preceda.

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Attenzione: Nell´Editor di zenon, tutti questi campi di inserimento possono contenere un massimo di 255 caratteri

  • Nel caso di export sul zenon Analyzer, vengono controllate sia la proprietà vecchia, che quelle nuove. Se tutte sono occupate, vengono ripresi gli inserimenti della nuove proprietà. Gli inserimenti che vengono creati mediante il Meaning and Waterfall Chart Wizard, sono sempre inseriti nelle nuove proprietà. .

Ancora in questo capitolo

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 02:20

Export Wizard for Analyzer 3.00

Export Wizard for Analyzer 3.10

Meaning and Waterfall Chart Wizard

Sankey Wizard


Export Wizard for Analyzer 2.10

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L`Export Wizard di zenon for Analyzer 2.10 supporta l´export di metadati da zenon a partire dalla versione 7.10 SP0 per il zenon Analyzer 2.10.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/eventi
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili

Nota: il Wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Ancora in questo capitolo

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Chiudere il Wizard


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Export Wizard for Analyzer 2.10.

  4. Cliccare su OK.

    Il Wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si esporta con l´Analyzer Export Wizard, il sistema offre in successione tutti i moduli selezionati nella scheda Settings per la configurazione dei dettagli. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Si possono selezionare le singole schede anche direttamente cliccando sull´intestazione della scheda stessa.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings:
    Opzioni per la raccolta dei metadati
  • Equipment model :
    Esportazione dei gruppi modelli dal progetto globale.
  • Event classes:
    Classi allarme/evento dal progetto globale.
  • Event Event groups:
    Gruppi allarme/evento dal progetto globale.
  • Users:
    Utente da progetto globale
  • Projects:
    Progetto dal workspace
  • Historian:
    Archivi dei progetti selezionati.
  • Variables:
    Variabili dei progetti selezionati.
  • Finish:
    Avvio dell´export ed emissione del risultato.

Attenzione: si può esportare solamente un progetto globale nella banca dati! aree di lavoro i cui progetti devono essere esportati nella banca dati, devono contenere questo progetto globale.

Ancora in questo capitolo

Navigazione

Settings

Equipment model

Classi di allarme/eventi

Event groups

Users

Projects

Historian

Variables

Finish


Navigazione

Navigazione

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante

Descrizione

Freccia a sinistra

Torna una scheda indietro nel processo di configurazione del Wizard.

Freccia a destra

Passa alla prossima scheda nel processo di configurazione del Wizard.

Export

Esporta i dati nella banca dati dell´Analyzer .

Attivo solamente se la scheda Finish è aperta.

Cancel

Chiude il Wizard senza eseguire l´esportazione.

Alla chiusura del Wizard, viene visualizzata una finestra di dialogo che domanda se la configurazione deve essere salvata.

  • Sì: scrive le impostazioni configurate nella scheda Settings nella registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • No: chiude il Wizard senza salvare la configurazione.

Il salvataggio della configurazione dipende dall´utente.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Opzione

Descrizione

Settings

Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB instance

Istanza del database

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication. Con Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication. Nel caso di Windows Authentication non è possibile nessun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication. Nel caso di Windows Authentication questa opzione è disattivata.

Options

Opzioni generali per l´export

Load every project of this workspace into the memory

Attiva: carica tutti i progetti che si trovano nel workspace, anche se non sono attivi e per cui non è stata settata l´opzione Mantieni progetto in memoria.

Keep the exisiting data in the Analyzer database

Attiva: nel database vengono scritti solamente i nuovi inserimento del workspace.

Non attiva: gli inserimento nella banca dati vengono anche aggiornati oppure cancellati.
Eccezione: I progetti non vengono cancellati.

Preselect existing Analyzer database content

Attiva: gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Opzione

Descrizione

Lista degli oggetti modificati

Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Vengono visualizzati nella lista i seguenti oggetti che sono stati rinominati:

  • nomi dei gruppi di modelli di impianto
  • nomi delle classi allarmi/eventi
  • nomi dei gruppi allarmi/eventi
  • nomi progetto
  • nomi variabili

Eccezioni:

  • gli utenti vengono impostati sempre nuovamente.
  • I nomi archivio vengono impostati nella banca dati solo una volta come Visualname e possono essere sovrascritti in zenon Analyzer.

Rename

Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.

Cancel

Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Equipment model

Equipment model

Configurazione dei gruppi modello da esportare dal progetto globale.

attention Attenzione

Ad ogni gruppo di impianti in zenon può essere assegnato solamente un unico modello tempo.

Se sono stati assegnati più gruppi modelli di tempo, l´Analyzer Export Wizard usa solamente il primo che trova e lo esporta nei metadati dell´Analyzer. Gli altri gruppi modelli di tempo saranno ignorati.

Opzione

Descrizione

Equipment modeling

Informazioni e indicazioni concernenti l´export

Selezione Impianto/media

Menù a tendina che serve a selezionare quello che verrà offerto nella Lista modelli di impianto/Media ai fini della configurazione:

  • Plant: mostra modelli di impianto
  • Media: mostra media

Lista modelli di impianto/media

Campo lista con possibilità di selezione per modelli di impianto e gruppi modelli e/o media. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Quei gruppi di impianti che sono stati cancellati nel progetto globale non verranno più visualizzati.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Cliccando su questo pulsante si selezionano tutti i gruppi di impianti.

Deselect all

Cliccando su questo pulsante si deselezionano tutti i gruppi di impianti.


Classi di allarme/eventi

Classi di allarme/eventi

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Opzione

Descrizione

Alarm/event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Event groups

Event groups

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Opzione

Descrizione

Alarm/event groups

Informazioni e indicazioni concernenti l´export

Lista dei gruppi allarmi/eventi

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Users

Users

Configurazione degli utenti da esportare dal progetto globale.

Opzione

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Lista degli utenti

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Se un utente è stato rinominato in zenon, esso verrà considerato nuovo e verrà impostato nuovamente nel progetto. Il vecchio utente verrà cancellato.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di server e Server-Standby possono essere modificati in questa sede. Procedura:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per server e Server-Standby

se nel progetto di zenon si cambia il nome del server o del Server-Standby, esso verrà aggiornato nella banca dati dell´Analyzer solo se nelle proprietà di progetto è stata attivata l´impostazione Rete attiva.

Opzione

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server

Indirizzo del server per il progetto selezionato nella finestra lista.

Standby

Indirizzo del Server-Standby per il progetto selezionato nella finestra lista.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Historian

Historian

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Opzione

Descrizione

Historian

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Opzione

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Variable Filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • Show all: vengono visualizzate tutte le variabili.
  • Historians only: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups only: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.
  • Show not selected only: vengono visualizzate solo le variabili che non sono state selezionate.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si effettua l´export di variabili collegate aRema, vengono esportati anche il testo di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca metadati dell´Analyzer. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

Stringa

  • Vengono completamente ignorati e non sono esportati.


Finish

Finish

Per esportare i dati configurati:

  1. cliccate nell´ambito della scheda Finish sul pulsante Export

  2. Viene avviato il processo di esportazione.
  3. Il sistema fornisce una completa documentazione concernente gli elementi esportati, con segnalazioni che indicano se l´import è stato effettuato con successo o si sono verificati degli errori.
    Inoltre verrà visualizzato il numero degli oggetti inseriti, aggiornati e cancellati, nonché il numero degli errori verificatisi.

  4. Cliccate suClose per chiudere il Wizard.

Riconfigurare il Wizard

Per riconfigurare il wizard:

  1. aprite la tab Settings
  2. cliccate sul pulsante "Load data“
  3. Configurare la schede


Chiudere il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Chiudere il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • cliccate sul pulsante Cancel
  • un dialogo pone la domanda se la configurazione debba essere salvata.
    • Se si clicca su Sì, il sistema scrive le impostazioni settate nella scheda Settings nella registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
    • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Export Wizard for Analyzer 02:20

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Export Wizard di zenonper Analyzer 2.20 supporta l´export di metadati da zenon a partire dalla versione 7.0 SP0 per il zenon Analyzer 2.20.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/eventi
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili con:

      - Nome visualizzato (vedi capitolo Nome di visualizzazione)

      - Significato (vedi capitolo Significato)

      - Parametro per diagramma a cascata (vedi capitolo Parametri Diagramma waterfall)

  • Diagrammi di Sankey (vedi capitolo Diagrammi di Sankey)

Nota: il Wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Ancora in questo capitolo

Diagrammi di Sankey

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Chiudere il Wizard


Diagrammi di Sankey

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Diagrammi di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard legge automaticamente in tutti i progetti attivi e nel progetto globale le definizioni per il diagramma di Sankey.. In zenon queste ultime si trovano nella cartella di progetto \Dateien\Sonstige.
Tenere presente quanto segue:

  • Vengono presi in considerazione solo file XML validi che sono stati impostati per zenon Analyzer.
    Validi sono i diagrammi che nel file XML Sankey hanno settati gli attributi Analyzer e Valid su True. Tutti gli altri diagrammi di Sankey vengono ignorati e non vengono caricati.
  • Tutte le definizioni di diagramma di Sankey vengono scritte nella banca metadati zenon Analyzer nelle tabelle SANKEY_DIAGRAMM, SANKEY_OBJECT e SANKEY_VARIABLE.
  • A seconda delle impostazioni dell´ Opzione Keep the existing data in the Analyzer database, i diagrammi vengono aggiunti come segue:
    • Attiva: vengono aggiunti solamente nuovi diagrammi nella banca dati Analyzer.
    • Non attiva: i nuovi diagrammi vengono aggiunti e quelli già esistenti vengono attualizzati.
  • I diagrammi cancellati In zenon (file XML) non vengono cancellati nell´Analyzer. In zenon Analyzer i diagrammi possono essere cancellati direttamente solo nella banca dati.
  • Per aggiungere oppure aggiornare diagrammi, tutte le variabili di zenon necessarie devono:
    • essere selezionate mediante la scheda Variables
      , oppure
    • devono trovarsi già nella banca dati.

    Se delle variabili necessarie per il diagramma di Sankey non sono selezionate per l´export, questo diagramma non verrà esportato.

  • Se il diagramma di Sankey esiste già, le tabelle della banca metadati vengono aggiornate in modo corrispondente alle modifiche.
  • Cliccando sul pulsante Export della scheda Finish, si avvia l´export dei diagrammi di Sankey da zenon in zenon Analyzer.
    L´export dei diagrammi avviene solamente dopo quello di tutti gli altri dati come progetti o variabili. Il successo dell´operazione di export viene visualizzato nella lista di messaggi della scheda Finish.

attention Attenzione

L´import di diagrammi di Sankey avviene automaticamente sullo sfondo. Non sono disponibili interfacce che consentano di effettuare delle operazioni di configurazione.


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Export Wizard for Analyzer 2.20.

  4. Cliccare su OK.

    Il Wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli disponibili per l´export vengono offerti per realizzarne la configurazione dettagliata. Vengono esportati solamente i dati selezionati. L´export di Diagrammi di Sankey avviene sullo sfondo, senza che ci sia una possibilità di configurazione. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Potete anche selezionare direttamente le singole schede cliccando sull´intestazione delle stesse.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings: Opzioni per esportare i metadati
  • Equipment models: Esportazione dei gruppi di impianti dal progetto globale.
  • Event classes: Classi allarme/evento dal progetto globale.
  • Event groups: Gruppi allarme/evento dal progetto globale.
  • Users: Utente da progetto globale
  • Projects: Progetto dal workspace
  • Archives: Archivi dei progetti selezionati.
  • Variables: Variabili dei progetti selezionati.
  • Finish: Avvio dell´export ed emissione del risultato.

Ancora in questo capitolo

Navigazione

Settings

Equipment models

Classi di allarme/eventi

Event groups

Users

Projects

Archives:

Variables

Finish


Navigazione

Navigazione

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante

Descrizione

Freccia a sinistra

Torna una scheda indietro nel processo di configurazione del Wizard.

Freccia a destra

Passa alla prossima scheda nel processo di configurazione del Wizard.

Export

Esporta i dati nella banca dati dell´Analyzer .

Attivo solamente se la scheda Finish è aperta.

Cancel

Chiude il Wizard senza eseguire l´esportazione.

Alla chiusura del Wizard, viene visualizzata una finestra di dialogo che domanda se la configurazione deve essere salvata.

  • Sì: Scrive le impostazioni settate nella scheda Settings nella registry e chiude il wizard. Quando verrà lanciato nuovamente, il Wizard verrà aperto con questa configurazione.
  • No: chiude il Wizard senza salvare la configurazione.

Il salvataggio della configurazione dipende dall´utente.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Settings

Opzione | Descrizione
Settings | Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Parametro

Descrizione

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB instance

Istanza del database

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non è possibile alcun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non attivo.

Projects

Parametro

Descrizione

Projects

Lista dei progetti disponibili nell´attuale area di lavoro zenon. Il checkbox indica se vengono utilizzati i dati del progetto vengono utilizzati:

  • Attivo: Viene usato il progetto.

Vengono preselezionati i progetti che si trovano nella memoria attiva. I progetti non attivi possono essere aggiunti selezionando il checkbox relativo.

Options

Parametro

Descrizione

Options

Opzioni generali per l´export

Keep the existing data in the Analyzer database
  • Attivo: vengono scritti nella banca dati solamente gl inserimenti completamente nuovi dell´area di lavoro.
    Nota: Se vengono modificati link di variabili, archivi, ecc., o se ne creano dei nuovi, essi non verranno trasferiti. Se si vuole che anche essi vengano ripresi, il checkbox deve essere impostato su Non attivo.
  • Non attivo: Gli inserimento nella banca dati vengono anche aggiornati oppure cancellati. Vengono, dunque, impostati nuovi inserimenti, vengono aggiornati quelli modificati, vengono rimossi quelli cancellati.
    Eccezione: Progetti e diagrammi di Sankey non vengono cancellati.

Preselect existing Analyzer database content
  • Attivo: gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Parametro

Descrizione

Lista degli oggetti modificati

Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Vengono visualizzati nella lista i seguenti oggetti che sono stati rinominati:

  • nomi dei gruppi di modelli di impianto
  • nomi delle classi allarmi/eventi
  • nomi dei gruppi allarmi/eventi
  • nomi progetto
  • nomi variabili

Eccezioni:

  • gli utenti vengono impostati sempre nuovamente.
  • I nomi archivio vengono impostati nella banca dati solo una volta come Visualname e possono essere sovrascritti in zenon Analyzer

Rename

Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.

Cancel

Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Equipment models

Equipment models

Configurazione dei gruppi modello da esportare dal progetto globale.

attention Attenzione

Ad ogni gruppo di impianti in zenon può essere assegnato solamente un unico modello tempo.

Se sono stati assegnati più gruppi modelli di tempo, l´Analyzer Export Wizard usa solamente il primo che trova e lo esporta nei metadati dell´Analyzer. Gli altri gruppi modelli di tempo saranno ignorati.

Opzione

Descrizione

Equipment models

Informazioni e indicazioni concernenti l´export

Selezione Impianto/media

Menù a tendina che serve a selezionare il modello che verrà offerto nella Lista modelli di impianto/Media ai fini della configurazione-

Lista modelli di impianto/media

Campo lista con possibilità di selezione per modelli di impianto e gruppi modelli e/o media. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Quei gruppi di impianti che sono stati cancellati nel progetto globale non verranno più visualizzati.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Cliccando su questo pulsante si selezionano tutti i gruppi di impianti.

Deselect all

Cliccando su questo pulsante si deselezionano tutti i gruppi di impianti.


Classi di allarme/eventi

Classi di allarme/eventi

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Opzione

Descrizione

Event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Event groups

Event groups

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Opzione

Descrizione

Event groups

Informazioni e indicazioni concernenti l´export

Lista dei gruppi allarmi/eventi

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Users

Users

Configurazione degli utenti da esportare dal progetto globale.

Opzione

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Lista degli utenti

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Se un utente è stato rinominato in zenon, esso verrà considerato nuovo e verrà impostato nuovamente nel progetto. Il vecchio utente verrà cancellato.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di Server 1 e Server 2 possono essere modificati in questa sede.

Per modificare il nome di un server o di un Server-Standby:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per Server 1 e Server 2.

se nel progetto di zenon si cambia il nome del Server 1 o del Server 2, esso verrà aggiornato nella banca dati dell´Analyzer solo se nelle proprietà di progetto è stata attivata l´impostazione Rete attiva.

Opzione

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server 1

Indirizzo del Server 1 per il progetto selezionato nella finestra elenco.

Server 2

Indirizzo del Server 2 per il progetto selezionato nella finestra elenco.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Archives:

Archives:

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Opzione

Descrizione

Archives

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale selezionato. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Opzione

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Display

Selezione di quali variabili devono essere visualizzate, effettuata mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Selected: vengono visualizzate solo le variabili che sono state già selezionate.
  • Unselected: vengono visualizzate solo le variabili che non sono state ancora selezionate.

Variable filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Archives: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Vengono visualizzati:

  • Name (Analyzer): Nome in zenon Analyzer.
  • Name (Workspace): A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Nome visualizzato. Deve essere univoco nel progetto. Vedi anche il capitolo Nomi di visualizzazione.
  • Meaning: A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Significato. Vedi anche il capitolo Significato.
  • Ressource label: Corrisponde in zenon alla proprietà Identificazione servizio. Viene usato fino a zenon 7.11 incluso per Significato e Parametri Diagramma waterfall. A partire dalla versione 7.20, zenon mette a disposizione a tal scopo delle proprietà ad hoc.
  • Identification: Corrisponde in zenon alla proprietà Identificazione.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si effettua l´export di variabili collegate a Rema, vengono esportati anche il testo di valore limite, il colore di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca metadati dell´Analyzer. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

Stringa

  • Vengono completamente ignorati e non sono esportati.

Import di informazioni variabili da zenon

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Ancora in questo capitolo

Nomi di visualizzazione

Significato

Parametro Diagramma waterfall


Nomi di visualizzazione

Nomi di visualizzazione

Quando viene caricata l´area di lavoro di zenon (a partire da zenon 7.20), il wizard legge la proprietà Analyzer/Nome visualizzato e la mostra per ogni variabile nella scheda Variables. Per i nomi di visualizzazione vale quanto segue:

  • Il nome deve essere univoco per ogni progetto.
  • I nomi che ricorrono più volte nello stesso progetto vengono evidenziati in rosso nella lista variabili.
  • Quando vengono scritti i dati nella banca metadati, vengono inseriti i Nome visualizzato.
  • Nel caso di un nome che ricorre due volte nell´ambito di uno stesso progetto, il sistema inserisce il Nome visualizzato solo per la variabile trovata per prima. Per la seconda variabile viene usato il Nome della variabile in zenon.
  • Il Nome visualizzato viene settato solo al momento del primo export della variabile. Nel caso in cui esso dovesse essere modificato in un secondo momento nell´Editor, questo cambiamento non verrà più ripreso nella banca metadati. Le modifiche, però, vengono naturalmente adottate al momento dell´export in una nuova banca metadati.
  • Con una versione di zenon precedente alla 7.20, il nome di visualizzazione viene sempre ripreso dalla proprietà zenon Identificazione.


Significato

Significato

Il wizard legge (a partire da zenon 7.20) la proprietà Analyzer/Significato e la mostra per ogni variabile nella scheda Variables
Per i significati vale quanto segue:

  • Se ci sono degli inserimenti per Significato, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio.
  • L´identificazione ME= non è più necessaria, ma la si può ancora usare. Se ad una variabile sono assegnati più significati, una virgola funge da separatore.
  • Con una versione di zenon precedente alla 7.20, il significato viene sempre ripreso dalla proprietà zenon Identificazione servizio.


Parametro Diagramma waterfall

Parametro Diagramma waterfall

Quando viene caricata l´area di lavoro di zenon (a partire da zenon 7.20), il wizard legge la proprietà Analyzer/Parametro per diagramma a cascata e la mostra per ogni variabile nella scheda Variables. Per waterfall vale quanto segue:

  • Se ci sono degli inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio.
  • L´identificazione WF= non è più necessaria, ma la si può ancora usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono sempre ripresi dalla proprietà zenon Identificazione servizio.


Finish

Finish

Per esportare i dati configurati:

  1. Nella scheda Finish, cliccare sul pulsante Export.

  2. Viene avviato il processo di esportazione.
  3. Il sistema fornisce una completa documentazione concernente gli elementi esportati, con segnalazioni che indicano se l´import è stato effettuato con successo o si sono verificati degli errori.
    Inoltre verrà visualizzato il numero degli oggetti inseriti, aggiornati e cancellati, nonché il numero degli errori verificatisi.

  4. Cliccare su Close per chiudere il Wizard.

Riconfigurare il Wizard

Per riconfigurare il wizard:

  1. Aprire la scheda Settings.
  2. Cliccare sul pulsante Load data.
  3. Configurare le schede.


Chiudere il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Chiudere il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • Cliccare sul pulsante Cancel.
  • Viene visualizzata una finestra di dialogo che chiede se la configurazione debba essere salvata.
    • Sì: scrive nella registry le impostazioni settate nella scheda Settings e chiude il Wizard. Quando verrà lanciato nuovamente, il Wizard verrà aperto con questa configurazione. Il salvataggio della configurazione dipende dall´utente.
    • No: chiude il Wizard senza salvare la configurazione.


Export Wizard for Analyzer 3.00

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Export Wizard for Analyzer 3.00 supporta l´export di metadati da zenona partire dalla versione 7.11 SP0 per lo zenon Analyzer 3.00.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/eventi
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili con:

      - Nome visualizzato (vedi capitolo Nome di visualizzazione)

      - Significato (vedi capitolo Significato)

      - Parametro per diagramma a cascata (vedi capitolo Parametri Diagramma waterfall)

  • SankeyDiagramms - (Diagrammi di Sankey vedi capitolo Diagrammi di Sankey)
  • Classi di efficienza

Nota: il Wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Ancora in questo capitolo

Diagrammi di Sankey

Grafico a cascata

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Chiudere il Wizard


Diagrammi di Sankey

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Diagrammi di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard legge automaticamente le definizioni per il diagramma di Sankey da tutti i progetti attivi e dal progetto globale. In zenon queste ultime si trovano nella cartella di progetto \Dateien\Sonstige.
Tenere presente quanto segue:

  • Vengono presi in considerazione solo file XML validi che sono stati impostati per zenon Analyzer.
    Validi sono i diagrammi che nel file XML Sankey hanno settati gli attributi Analyzer e Valid su True. Tutti gli altri diagrammi di Sankey vengono ignorati e non vengono caricati.
  • Tutte le definizioni di diagramma di Sankey vengono scritte nella banca metadati dello zenon Analyzer nelle tabelle SANKEY_DIAGRAMM, SANKEY_OBJECT e SANKEY_VARIABLE.
  • I diagrammi cancellati In zenon (file XML) non vengono cancellati nell´Analyzer. In zenon Analyzer i diagrammi possono essere cancellati direttamente solo nella banca dati.
  • Per aggiungere oppure aggiornare diagrammi, tutte le variabili di zenon necessarie devono:
    • essere selezionate mediante la scheda Variables
      , oppure
    • devono trovarsi già nella banca dati.

    Se variabili necessarie per il diagramma di Sankey non sono selezionate per l´export, il diagramma di Sankey non verrà esportato.

  • Se il diagramma di Sankey esiste già, le tabelle della banca metadati vengono aggiornate in modo corrispondente alle modifiche.
  • Cliccando sul pulsante Export della scheda Finish, si avvia l´export dei diagrammi di Sankey da zenon nello zenon Analyzer.
    L´export dei diagrammi avviene solamente dopo quello di tutti gli altri dati come progetti o variabili. Il successo dell´operazione di export viene visualizzato nella lista di messaggi della scheda Finish.

attention Attenzione

L´import di diagrammi di Sankey avviene automaticamente in background. Non sono disponibili interfacce che consentano di effettuare delle operazioni di configurazione.


Grafico a cascata

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Grafico a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un grafico a cascata può essere creato per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. A partire da zenon 7.20, i parametri per il diagramma vengono salvati nella proprietà delle variabili Analyzer/Parametro per diagramma a cascata. Essi possono essere inseriti manualmente, oppure creati con il Meaning and Waterfall Chart Wizard.

Esportazione

Durante il caricamento del workspace di zenon, il Wizard legge la proprietà Parametro per diagramma a cascata. Se ci sono degli inserimenti corretti, essi vengono esportati in background e scritti nella banca dati di zenon Analyzer.

Struttura degli inserimenti

A seconda della loro struttura, il sistema decide se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea o sulle macchine.

  • Basati sulle macchine: Struttura con 4 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
    Esempio: MyWaterfall,4,2,#80FF00;

  • Basati sulla linea: Struttura con 7 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];
    Esempio: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regole di lettura

Per la lettura vale quanto segue:

  • Se ci sono inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
    La struttura è il criterio per stabilire se l´inserimento va considerato a base macchina o a base linea.
  • L´identificazione WF= non è necessaria, ma la si può usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio. Qui deve essere premessa l´identificazione WF=.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono ripresi dalla proprietà zenon Identificazione servizio.


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Export Wizard for Analyzer 3.00.

  4. Cliccare su OK.

    Il Wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli disponibili per l´export vengono offerti per realizzarne la configurazione dettagliata. Vengono esportati solamente i dati selezionati. L´export di Diagrammi di Sankey avviene sullo sfondo, senza che ci sia una possibilità di configurazione. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Potete anche selezionare direttamente le singole schede cliccando sull´intestazione delle stesse. gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings: Opzioni per esportare i metadati
  • Equipment models : Esportazione dei gruppi di impianti dal progetto globale.
  • Event classes: Classi allarme/evento dal progetto globale.
  • Event groups: Gruppi allarme/evento dal progetto globale.
  • Users: Utente da progetto globale
  • Projects: Progetto dal workspace
  • Archives: Archivi dei progetti selezionati.
  • Variables: Variabili dei progetti selezionati.
  • Efficiency classes: Visualizzazione delle classi di efficienza da esportare.
  • Finish: Avvio dell´export ed emissione del risultato.

Ancora in questo capitolo

Navigazione

Settings

Equipment models

Classi eventi

Event groups

Users

Projects

Archives:

Variables

Efficiency classes

Finish


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Settings

Parametro | Descrizione
Settings | Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Parametro

Descrizione

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non è possibile alcun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non attivo.

Projects

Parametro

Descrizione

Projects

Lista dei progetti disponibili nell´attuale area di lavoro zenon. Il checkbox indica se vengono utilizzati i dati del progetto vengono utilizzati:

  • Attivo: Viene usato il progetto.

Vengono preselezionati i progetti che si trovano nella memoria attiva. I progetti non attivi possono essere aggiunti selezionando il checkbox relativo.

Options

Parametro

Descrizione

Options

Opzioni generali per l´export

Don't modify existing data in the Analyzer metadata database
  • Attivo: vengono scritti nella banca dati solamente gl inserimenti completamente nuovi dell´area di lavoro.
    Nota: Se vengono modificati link di variabili, archivi, ecc., o se ne creano dei nuovi, essi non verranno trasferiti. Se si vuole che anche essi vengano ripresi, il checkbox deve essere impostato su Non attivo.
  • Non attiva: Gli inserimento nella banca dati vengono anche aggiornati oppure cancellati. Vengono, dunque, impostati nuovi inserimenti, vengono aggiornati quelli modificati, vengono rimossi quelli cancellati.
    Eccezione: Progetti e diagrammi di Sankey non vengono cancellati.

Update Visual names

Disponibile solamente se l´opzione Don't modify existing data in the Analyzer metadata database è stata disattivata.

  • Attivo: I nomi di visualizzazione modificati in zenon vengono sovrascritti durante l´esportazione nella banca dei metadati dello zenon Analyzer.
  • Non attiva: I nomi di visualizzazione modificati non vengono modificati nello zenon Analyzer.

Default: Inattivo
L´impostazione non viene salvata. La checkbox viene settata su "disattivata" al momento dello start del Wizard.

Comportamento:

Se la checkbox è spuntata, i nomi di visualizzazione modificati in zenon vengono modificati anche nello zenon Analyzer per:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

I nomi di visualizzazione degli Users non possono essere modificati. In caso di modifiche, questi vengono creati nuovamente. .

Le modifiche apportate ai nomi di visualizzazione vengono mostrati nelle singole liste.

Esempio:

Situazione di partenza:

  • Nome di visualizzazione nel progetto di zenon: Z
  • Nome di visualizzazione nello zenon Analyzer: A

Azioni:

  • A = Z:
    Non succede niente
  • A <> Z:
    Z viene applicato se il nome non è stato ancora assegnato nella tabella dei metadati. Se invece Z esiste già nella tabella, A rimane immutato e viene visualizzato un messaggio di errore.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Parametro | Descrizione
Lista degli oggetti modificati | Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Eccezione: gli utenti vengono sempre creati nuovamente.
Rename | Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.
Cancel | Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Equipment models

Equipment models

Configurazione dei gruppi modello da esportare dal progetto globale.

attention Attenzione

Ad ogni gruppo di impianti in zenon può essere assegnato solamente un unico modello tempo.

Se sono stati assegnati più gruppi modelli di tempo, l´Analyzer Export Wizard usa solamente il primo che trova e lo esporta nei metadati dell´Analyzer. Gli altri gruppi modelli di tempo saranno ignorati.

Parametro

Descrizione

Equipment models

Informazioni e indicazioni concernenti l´export

Selezione Impianto/media

Menù a tendina che serve a selezionare il modello che verrà offerto nella Lista modelli di impianto/Media ai fini della configurazione-

Lista modelli di impianto/media

Campo lista con possibilità di selezione per modelli di impianto e gruppi modelli e/o media. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Quei gruppi di impianti che sono stati cancellati nel progetto globale non verranno più visualizzati.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Cliccando su questo pulsante si selezionano tutti i gruppi di impianti.

Deselect all

Cliccando su questo pulsante si deselezionano tutti i gruppi di impianti.


Classi eventi

Classi eventi

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Parametro

Descrizione

Event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Event groups

Event groups

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Parametro

Descrizione

Event groups

Informazioni e indicazioni concernenti l´export

Lista dei gruppi allarmi/eventi

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Users

Users

Configurazione degli utenti da esportare dal progetto globale.

Parametro

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Lista degli utenti

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Se un utente è stato rinominato in zenon, esso verrà considerato nuovo e verrà impostato nuovamente nel progetto. Il vecchio utente verrà cancellato.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di Server 1 e Server 2 possono essere modificati in questa sede.

Per modificare il nome di un server o di un Server-Standby:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per Server 1 e Server 2.

Nota: è possibile effettuare delle modifiche solo se nella scheda Settings è stata disattivata l´opzione Don't modify existing data in the Analyzer metadata database. Le informazioni visualizzate per i server dipendono dalle impostazioni nel progetto e nel database. Per i dettagli, vedi il capitolo Visualizzazione delle impostazioni.

Parametro

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server 1

Indirizzo del Server 1 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Server 2

Indirizzo del Server 2 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Visualizzazione delle impostazioni server

Per la visualizzazione e la configurazione dei server in questa scheda, vale quanto segue:

  • Nel progetto di zenon la proprietà Rete attiva è attiva:
    vengono visualizzati il Server 1 e il Server 2 del progetto.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata:
    vengono visualizzati il Server 1 e il Server 2 della banca dati.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata e nella banca dati non ci sono inserimenti relativi ai server:
    in questo caso ci saranno gli inserimenti per Server 1 e Server 2 saranno vuoti.


Archives:

Archives:

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Parametro

Descrizione

Archives

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

  • Name (Analyzer): nome dell´archivio nello zenon Analyzer.
  • Name (Project): nome dell´archivio nel progetto.
  • Archive ID (Project): ID dell´archivio ne progetto.
  • Project: progetto da cui proviene l´archivio.
  • Description: descrizione individuale del progetto.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale selezionato. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Parametro

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Display

Selezione di quali variabili devono essere visualizzate, effettuata mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Selected: vengono visualizzate solo le variabili che sono state già selezionate.
  • Unselected: vengono visualizzate solo le variabili che non sono state ancora selezionate.

Variable filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Archives: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Attenzione: il filtro distingue lettere maiuscole e minuscole (case sensitive).

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Vengono visualizzati:

  • Name (Analyzer): Nome in zenon Analyzer.
  • Name (Workspace): A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Nome visualizzato. Deve essere univoco nel progetto. Vedi anche il capitolo Nomi di visualizzazione.
  • Meanings: A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Significato. Vedi anche il capitolo Significato.
  • Project: progetto da cui deriva la variabile.
  • Identification: Corrisponde in zenon alla proprietà Identificazione.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si esegue l´export di variabili collegate a Remas, vengono esportati anche il testo di valore limite, il colore di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca dei metadati dell´Analyzer.exportiert. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

Stringa

  • Vengono completamente ignorati e non sono esportati.

Import di informazioni variabili da zenon

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Ancora in questo capitolo

Nomi di visualizzazione

Significato


Efficiency classes

Efficiency classes

Selezione e configurazione delle classi di efficienza da esportare. Nel corso di questo processo, vengono visualizzate le matrici di reazione di zenon (REMA) il cui stato corrisponde alle regole della struttura delle classi di efficienza. Vengono lette solamente le REMA che soddisfano certe condizioni.

REMA di zenon: requisiti

Per essere letta come una classe di efficienza, una matrice di reazione deve soddisfare le seguenti condizioni:

  • essere di tipo numerico o multi-numerico
  • Lo stato deve essere configurato in modo corretto
  • Deve essere presente il testo di valore limite

Configurazione stato

Gli stati da configurare devono corrispondere alle seguenti condizioni:

  • Il primo stato è minore rispetto al ad un valore definito. Quest´area è aperta verso il basso.

    Stato n1: <x

  • L´ultimo stato è maggiore rispetto all´ultimo valore definito prima. Quest´area è aperta verso l´alto.

    Statto n4: >z

  • Vengono definiti intervalli fissi fra primo e ultimo valore. Queste aree devono seguire l´una all´altra in modo esatto.

    Stato n2: x-y

    Stato n3: y-z

Configurazione nel Wizard

Per selezionare classi di efficienza per l´esportazione, procedere come segue:

  1. Selezionare le classi di efficienza desiderate.
  2. Configurare la normalizzazione.
    Attenzione: il valore None è riservato a un livello di espansione successivo e non deve essere selezionato.

    Tutte le classi di efficienza preesistenti nel database metadati vengono cancellate durante l´esportazione se sono state create dal Wizard. Quelle, invece, che derivano dal Metadata Editor vengono mantenute. Tutte le classi di efficienza selezionate vengono poi scritte nel database metadati:

Parametro

Descrizione

Efficiency Class Name

Selezione delle classi di efficienza da esportare attivando der
la checkbox che si trova davanti al nome.

Normalisation

Selezione della normalizzazione dal menu a tendina.

  • Minimo: 1 minuto
  • Massimo: 1 anno

Default: per 15 minuti

Attenzione: None non deve essere selezionato. Questo valore è riservato a un livello di espansione successivo e causa configurazioni non valide.

attention Attenzione

Le matrici di reazione vengono identificate in zenon sulla base del nome. Se si modifica il nome di una matrice di reazione in zenon, la classe di efficienza corrispondente verrà creata di nuovo durante l´esportazione, mentre quella esistente verrà cancellata.


Chiudere il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.00 -> Chiudere il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • Cliccare sul pulsante Cancel.
  • Viene visualizzata una finestra di dialogo che chiede se la configurazione debba essere salvata.
    • Sì: scrive nella registry le impostazioni settate nella scheda Settings e chiude il Wizard. Quando verrà lanciato nuovamente, il Wizard verrà aperto con questa configurazione. Il salvataggio della configurazione dipende dall´utente.
    • No: chiude il Wizard senza salvare la configurazione.


Export Wizard for Analyzer 3.10

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Export Wizard for Analyzer 3.10 supporta l´export di metadati da zenona partire dalla versione 07:20 SP0 per lo zenon Analyzer 03:10.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/eventi
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili con:

      - Nome visualizzato (vedi capitolo Nome di visualizzazione)

      - Significato (vedi capitolo Significato)

      - Parametro per diagramma a cascata (vedi capitolo Diagramma waterfall)

  • SankeyDiagramms - (Diagrammi di Sankey vedi capitolo Diagrammi di Sankey)
  • Classi di efficienza
  • Calendario turni

Nota: il Wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Ancora in questo capitolo

Diagrammi di Sankey

Grafico a cascata

Esportare calendari turni

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Chiudere il Wizard


Diagrammi di Sankey

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Diagrammi di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard legge automaticamente le definizioni per il diagramma di Sankey da tutti i progetti attivi e dal progetto globale. In zenon queste ultime si trovano nella cartella di progetto \Dateien\Sonstige.
Tenere presente quanto segue:

  • Vengono presi in considerazione solo file XML validi che sono stati impostati per zenon Analyzer.
    Validi sono i diagrammi che nel file XML Sankey hanno settati gli attributi Analyzer e Valid su True. Tutti gli altri diagrammi di Sankey vengono ignorati e non vengono caricati.
  • Tutte le definizioni di diagramma di Sankey vengono scritte nella banca metadati dello zenon Analyzer nelle tabelle SANKEY_DIAGRAMM, SANKEY_OBJECT e SANKEY_VARIABLE.
  • I diagrammi cancellati In zenon (file XML) non vengono cancellati nell´Analyzer. In zenon Analyzer i diagrammi possono essere cancellati direttamente solo nella banca dati.
  • Per aggiungere oppure aggiornare diagrammi, tutte le variabili di zenon necessarie devono:
    • essere selezionate mediante la scheda Variables
      , oppure
    • devono trovarsi già nella banca dati.

    Se variabili necessarie per il diagramma di Sankey non sono selezionate per l´export, il diagramma di Sankey non verrà esportato.

  • Se il diagramma di Sankey esiste già, le tabelle della banca metadati vengono aggiornate in modo corrispondente alle modifiche.
  • Cliccando sul pulsante Export della scheda Finish, si avvia l´export dei diagrammi di Sankey da zenon nello zenon Analyzer.
    L´export dei diagrammi avviene solamente dopo quello di tutti gli altri dati come progetti o variabili. Il successo dell´operazione di export viene visualizzato nella lista di messaggi della scheda Finish.

attention Attenzione

L´import di diagrammi di Sankey avviene automaticamente in background. Non sono disponibili interfacce che consentano di effettuare delle operazioni di configurazione.


Grafico a cascata

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Grafico a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un grafico a cascata può essere creato per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. A partire da zenon 7.20, i parametri per il diagramma vengono salvati nella proprietà delle variabili Analyzer/Parametro per diagramma a cascata. Essi possono essere inseriti manualmente, oppure creati con il Meaning and Waterfall Chart Wizard.

Esporta

Durante il caricamento del workspace di zenon, il Wizard legge la proprietà Parametro per diagramma a cascata. Se ci sono degli inserimenti corretti, essi vengono esportati in background e scritti nella banca dati di zenon Analyzer.

Struttura degli inserimenti

A seconda della loro struttura, il sistema decide se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea o sulle macchine.

  • Basati sulle macchine: Struttura con 4 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
    Esempio: MyWaterfall,4,2,#80FF00;

  • Basati sulla linea: Struttura con 7 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];
    Esempio: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regole di lettura

Per la lettura vale quanto segue:

  • Se ci sono inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
    La struttura è il criterio per stabilire se l´inserimento va considerato a base macchina o a base linea.
  • L´identificazione WF= non è necessaria, ma la si può usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio. Qui deve essere premessa l´identificazione WF=.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono ripresi dalla proprietà zenon Identificazione servizio.


Esportare calendari turni

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Esportare calendari turni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard cerca automaticamente in tutti i progetti attivati funzioni di tipo Export SQL Calendario turni e legge le informazioni relative ai gruppi di impianti collegati.
In questo caso vale quanto segue:

  • La ricerca viene eseguita in tutti i progetti disponibili di zenon.
  • I gruppi di impianti assegnati vengono creati nella tabella EquipmentShift.
  • Se nessun gruppo di impianti è stato assegnato alla funzione, vengono creati tutti i gruppi di impianti.
  • Vengono esportati solamente i dati dei progetti e dei gruppi di impianti che sono stati selezionati nelle impostazioni del Wizard.

La lettura e l´esportazione sono operazioni eseguite in background.


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Export Wizard for Analyzer 3.10.

  4. Cliccare su OK.

    Il Wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli disponibili per l´export vengono offerti per realizzarne la configurazione dettagliata. Vengono esportati solamente i dati selezionati. L´esportazione di diagrammi di Sankey e di modelli di impianto per il calendario turni viene eseguita in background e l´utente non ha la possibilità di configurare questo processo di export. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Potete anche selezionare direttamente le singole schede cliccando sull´intestazione delle stesse. gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings: Opzioni per esportare i metadati
  • Equipment models : Esportazione dei gruppi di impianti dal progetto globale.
  • Event classes: Classi allarme/evento dal progetto globale.
  • Event groups: Gruppi allarme/evento dal progetto globale.
  • Users: Utente da progetto globale
  • Projects: Progetto dal workspace
  • Archives: Archivi dei progetti selezionati.
  • Variables: Variabili dei progetti selezionati.
  • Efficiency classes: Visualizzazione delle classi di efficienza da esportare.
  • Finish: Avvio dell´export ed emissione del risultato.

Ancora in questo capitolo

Navigazione

Settings

Equipment models

Classi eventi

Event groups

Users

Projects

Archives:

Variables

Efficiency classes

Finish


Settings

Settings

In questa scheda:

  • definite la banca dati alla quale si collega il wizard.
  • fissate le opzioni generali per l´esportazione
  • avviate la lettura dei dati.

Settings

Opzione | Descrizione
Settings | Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Opzione

Descrizione

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non è possibile alcun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non attivo.

Projects

Opzione

Descrizione

Projects

Lista dei progetti disponibili nell´attuale area di lavoro zenon. Il checkbox indica se vengono utilizzati i dati del progetto vengono utilizzati:

  • Attiva: Viene usato il progetto.

Vengono preselezionati i progetti che si trovano nella memoria attiva. I progetti non attivi possono essere aggiunti selezionando il checkbox relativo.

Options

Opzione

Descrizione

Options

Opzioni generali per l´export

Don't modify existing data in the Analyzer metadata database
  • Attiva: vengono scritti nella banca dati solamente gl inserimenti completamente nuovi dell´area di lavoro.
    Nota: Se vengono modificati link di variabili, archivi, ecc., o se ne creano dei nuovi, essi non verranno trasferiti. Se si vuole che anche essi vengano ripresi, il checkbox deve essere impostato su Non attivo.
  • Non attiva: Gli inserimento nella banca dati vengono anche aggiornati oppure cancellati. Vengono, dunque, impostati nuovi inserimenti, vengono aggiornati quelli modificati, vengono rimossi quelli cancellati.
    Eccezione: Progetti e diagrammi di Sankey non vengono cancellati.

Update Visual names

Disponibile solamente se l´opzione Don't modify existing data in the Analyzer metadata database è stata disattivata.

  • Attiva: I nomi di visualizzazione modificati in zenon vengono sovrascritti durante l´esportazione nella banca dei metadati dello zenon Analyzer.
  • Non attiva: I nomi di visualizzazione modificati non vengono modificati nello zenon Analyzer.

Default: Inattivo
L´impostazione non viene salvata. La checkbox viene settata su "disattivata" al momento dello start del Wizard.

Comportamento:

Se la checkbox è spuntata, i nomi di visualizzazione modificati in zenon vengono modificati anche nello zenon Analyzer per:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

I nomi di visualizzazione degli Users non possono essere modificati. In caso di modifiche, questi vengono creati nuovamente. .

Le modifiche apportate ai nomi di visualizzazione vengono mostrati nelle singole liste.

Esempio:

Situazione di partenza:

  • Nome di visualizzazione nel progetto di zenon: Z
  • Nome di visualizzazione nello zenon Analyzer: A

Azioni:

  • A = Z:
    Non succede niente
  • A <> Z:
    Z viene applicato se il nome non è stato ancora assegnato nella tabella dei metadati. Se invece Z esiste già nella tabella, A rimane immutato e viene visualizzato un messaggio di errore.

Load Data

Opzione

Descrizione

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Opzione | Descrizione
Lista degli oggetti modificati | Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Eccezione: gli utenti vengono sempre creati nuovamente.
Rename | Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.
Cancel | Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Classi eventi

Classi eventi

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Opzione

Descrizione

Event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di Server 1 e Server 2 possono essere modificati in questa sede.

Per modificare il nome di un server o di un Server-Standby:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per Server 1 e Server 2.

Nota: è possibile effettuare delle modifiche solo se nella scheda Settings è stata disattivata l´opzione Don't modify existing data in the Analyzer metadata database. Le informazioni visualizzate per i server dipendono dalle impostazioni nel progetto e nel database. Per i dettagli, vedi il capitolo Visualizzazione delle impostazioni.

Opzione

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server 1

Indirizzo del Server 1 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Server 2

Indirizzo del Server 2 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Visualizzazione delle impostazioni server

Per la visualizzazione e la configurazione dei server in questa scheda, vale quanto segue:

  • Nel progetto di zenon la proprietà Rete attiva è attiva:
    vengono visualizzati il Server 1 e il Server 2 del progetto.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata:
    vengono visualizzati il Server 1 e il Server 2 della banca dati.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata e nella banca dati non ci sono inserimenti relativi ai server:
    in questo caso ci saranno gli inserimenti per Server 1 e Server 2 saranno vuoti.


Archives:

Archives:

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Opzione

Descrizione

Archives

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

  • Name (Analyzer): nome dell´archivio nello zenon Analyzer.
  • Name (Project): nome dell´archivio nel progetto.
  • Archive ID (Project): ID dell´archivio ne progetto.
  • Project: progetto da cui proviene l´archivio.
  • Description: descrizione individuale del progetto.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale selezionato. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Opzione

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Display

Selezione di quali variabili devono essere visualizzate, effettuata mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Selected: vengono visualizzate solo le variabili che sono state già selezionate.
  • Unselected: vengono visualizzate solo le variabili che non sono state ancora selezionate.

Variable filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Archives: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Attenzione: il filtro distingue lettere maiuscole e minuscole (case sensitive).

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Vengono visualizzati:

  • Name (Analyzer): Nome in zenon Analyzer.
  • Name (Workspace): A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Nome visualizzato. Deve essere univoco nel progetto. Vedi anche il capitolo Nomi di visualizzazione.
  • Meanings: A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Significato. Vedi anche il capitolo Significato.
  • Project: progetto da cui deriva la variabile.
  • Identification: Corrisponde in zenon alla proprietà Identificazione.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si esegue l´export di variabili collegate a Remas, vengono esportati anche il testo di valore limite, il colore di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca dei metadati dell´Analyzer.exportiert. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

Stringa

  • Vengono completamente ignorati e non sono esportati.

Import di informazioni variabili da zenon

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Ancora in questo capitolo

Nomi di visualizzazione

Significato


Efficiency classes

Efficiency classes

Selezione e configurazione delle classi di efficienza da esportare. Nel corso di questo processo, vengono visualizzate le matrici di reazione di zenon (REMA) il cui stato corrisponde alle regole della struttura delle classi di efficienza. Vengono lette solamente le REMA che soddisfano certe condizioni.

REMA di zenon: requisiti

Per essere letta come una classe di efficienza, una matrice di reazione deve soddisfare le seguenti condizioni:

  • essere di tipo numerico o multi-numerico
  • Lo stato deve essere configurato in modo corretto
  • Deve essere presente il testo di valore limite

Configurazione stato

Gli stati da configurare devono corrispondere alle seguenti condizioni:

  • Il primo stato è minore rispetto al ad un valore definito. Quest´area è aperta verso il basso.

    Stato n1: <x

  • L´ultimo stato è maggiore rispetto all´ultimo valore definito prima. Quest´area è aperta verso l´alto.

    Statto n4: >z

  • Vengono definiti intervalli fissi fra primo e ultimo valore. Queste aree devono seguire l´una all´altra in modo esatto.

    Stato n2: x-y

    Stato n3: y-z

Configurazione nel Wizard

Per selezionare classi di efficienza per l´esportazione, procedere come segue:

  1. Selezionare le classi di efficienza desiderate.
  2. Configurare la normalizzazione.
    Attenzione: il valore None è riservato a un livello di espansione successivo e non deve essere selezionato.

    Tutte le classi di efficienza preesistenti nel database metadati vengono cancellate durante l´esportazione se sono state create dal Wizard. Quelle, invece, che derivano dal Metadata Editor vengono mantenute. Tutte le classi di efficienza selezionate vengono poi scritte nel database metadati:

Opzione

Descrizione

Efficiency Class Name

Selezione delle classi di efficienza da esportare attivando der
la checkbox che si trova davanti al nome.

Normalisation

Selezione della normalizzazione dal menu a tendina.

  • Minimo: 1 minuto
  • Massimo: 1 anno

Default: per 15 minuti

Attenzione: None non deve essere selezionato. Questo valore è riservato a un livello di espansione successivo e causa configurazioni non valide.

attention Attenzione

Le matrici di reazione vengono identificate in zenon sulla base del nome. Se si modifica il nome di una matrice di reazione in zenon, la classe di efficienza corrispondente verrà creata di nuovo durante l´esportazione, mentre quella esistente verrà cancellata.


Chiudere il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Export Wizard for Analyzer 3.10 -> Chiudere il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • Cliccare sul pulsante Cancel.
  • Viene visualizzata una finestra di dialogo che chiede se la configurazione debba essere salvata.
    • Sì: scrive nella registry le impostazioni settate nella scheda Settings e chiude il Wizard. Quando verrà lanciato nuovamente, il Wizard verrà aperto con questa configurazione. Il salvataggio della configurazione dipende dall´utente.
    • No: chiude il Wizard senza salvare la configurazione.


Meaning and Waterfall Chart Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Meaning and Waterfall Chart Wizard vi aiuta a predisporre un progetto di zenon alla elaborazione di informazioni variabile in zenon Analyzer.

Nota: il Wizard è a disposizione solamente in lingua inglese.

attention Attenzione

Se si usa il Meaning and Waterfall Chart Wizard con un progetto con progettazione distribuita (Multi-User), si deve attivare nell´Editor di zenon l´opzione Consenti modifiche per:

  • il progetto (menù contestuale del progetto)
  • le variabili (menù contestuale delle variabili o del modulo Variabili)

Altrimenti, le modifiche effettuate dal Meaning and Waterfall Chart Wizard non verranno riprese. Il sistema provvederà a rimuoverle.

Il Meaning and Waterfall Chart Wizard aiuta nella fase di progettazione di zenon ad effettuare la configurazione di:

  • significati (Meaning)
  • Diagrammi a cascata (Waterfall Charts) per analisi di produzione basate sulle macchine e analisi di produzione basate sulla linea.

Il wizard scrive la configurazione nelle proprietà corrispondenti delle variabili in esso selezionate. Le proprietà di destinazione dipendono dalla versione di zenon utilizzata.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

A partire da zenon 7.20

  • Significati:

    I significati (Meanings) vengono scritti nella proprietà Analyzer/Significato. Più inserimenti sono divisi mediante una virgola (,).

  • Waterfall:

    I parametri per i diagrammi waterfall vengono scritti nella proprietà Analyzer/Parametro per diagramma a cascata. I parametri per un diagramma sono separati da una virgola (,). Più diagrammi vengono divisi mediante un punto e virgola (;).

    • Sintassi (a base macchine): [Nome modello],[Indice righe],[Indice colonne],[Codice colore];Esempio:
    • Sintassi (a base linea) [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Per tutte le due proprietà vale quanto segue: Se ci sono ancora degli inserimenti provenienti da versioni precedenti di zenon nella proprietà Generale/Identificazione servizio, essi verranno cancellati e inseriti nelle proprietà corrispondenti per zenon 7.20.

Fino alla versione 7:11 di zenon inclusa:

I significati (Meanings) e parametri per i diagrammi waterfall vengono scritti nella proprietà-variabili Identificazione servizio. Così facendo, ai significati viene preposto il prefisso ME=, mentre ai parametri waterfall viene preposto il prefisso WF=.

Ulteriori informazioni su questo argomento le trovate nel capitolo Analyzer Wizards.

Ancora in questo capitolo

Installare e aprire il Wizard

Finestra iniziale

Configurazione


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard viene installato automaticamente con <CD_PRODUCTAME>.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Meaning and Waterfall Chart Wizard.

  4. Cliccare su OK.

    Il Wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina iniziale che Vi mostra in una lista e spiega tutti gli oggetti configurabili. La configurazione inizia con la scheda Settings

Meaning

Le variabili di zenon ottengono spesso nella progettazione nomi di carattere molto tecnico. Questa denominazione è spesso non abbastanza efficace per la rappresentazione in un report zenon Analyzer. Mediante il Wizard si può assegnare alle variabili un nome univoco per la rappresentazione nel report zenon Analyzer. Questo nome viene salvato in dipendenza dalla versione di zenon nella proprietà variabili corrispondente. La proprietà e l´inserimento di destinazione vengono selezionati automaticamente dal wizard.

Dopo l´importazione in zenon Analyzer, questo nome viene usato per i report senza che il nome variabile esistente debba essere modificato. Per ulteriori dettagli, si veda il capitolo Analyzer Wizards.

Waterfall chart

Alcuni report dello zenon Analyzer possono visualizzare un diagramma a cascata usando delle variabili di zenon. Perché ciò avvenga, già in partenza devono essere presenti informazioni sull´aspetto del diagramma nell´identificazione servizio della variabile selezionata. Con il wizard si possono definire la struttura e l´aspetto di un diagramma a cascata per report a base macchina e report a base linea . Le informazioni waterfall vengono salvate in dipendenza dalla versione di zenon nella proprietà variabili corrispondente. La proprietà e l´inserimento di destinazione vengono selezionati automaticamente dal wizard. Per ulteriori dettagli, si veda il capitolo Analyzer Wizards.

Navigazione

Cliccando sul pulsante con la freccia, si passa da un passaggio alla´altro della configurazione del Wizard.


Configurazione

Manuale -> Wizards -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Meaning and Waterfall Chart Wizard viene configurato con le seguenti schede:

  • Settings: caricamento dei dati dai progetti.
    Solo dopo che i dati da acquisire sono stati selezionati e caricati, il Wizard offre ulteriori schede per la definizione di significati e/o di diagrammi a cascata.
  • Meaning filter: impostazioni di filtro per i significati.
  • Meaning: selezione e assegnazione dei significati.
  • Waterfall filter: impostazioni di filtro per diagramma a cascata a base macchina, oppure diagramma a cascata a base linea.
  • Waterfall charts: selezione delle variabili e configurazione di diagramma a cascata a base macchina, oppure diagramma a cascata a base linea.
  • Finish: la configurazione e la progettazione eseguita con il wizard viene applicata.

La configurazione della scheda Settings determina quali schede del Wizard devono essere visualizzate.

Ancora in questo capitolo

Navigazione

Settings

Meanings

Machine

Line

Regole generali per diagrammi a cascata

Finish


Navigazione

Navigazione

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante | Descrizione
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Freccia a destra | Passa alla prossima scheda nel processo di configurazione del Wizard.
Finish | Scrive tutte le modifiche sulla variabile di zenon nell´Editor e chiude il Wizard.
Cancel | Chiude il wizard senza effettuare delle modifiche.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Settings

Settings

Selezione e caricamento delle schede da configurare.

Opzione

Descrizione

Settings

Impostazione che stabilisce quali schede devono essere caricate.

Load every project of this workspace into the memory
  • Attiva: quando vengono caricati i progetti, il sistema prende in considerazione anche i progetti del workspace che non sono in memoria. Dopo la chiusura del Wizard, oppure quando si esegue il comando Finish, questi progetti vengono rimossi.

Define Meanings

  • Attiva: Vengono caricate le schede Meaning filter e Meaning.

Define Waterfall Chart

Selezione del diagramma a cascata:

  • Attiva: viene creato un diagramma a cascata.

Selezione del tipo di cascata mediante i pulsanti di opzione.

  • Machine: viene generato un diagramma a cascata del tipo "a base macchina". Vengono caricate le schede Waterfall filter e Waterfall.
  • Line: viene generato un diagramma a cascata del tipo "a base linea". Vengono caricate le schede Line Analysis filter e Line Analysis

Load data

Quando si clicca su questo pulsante, il sistema analizza le variabili di tutti i progetti caricati nel workspace e carica le informazioni richieste per i filtri e la modifica delle variabili. Le schede corrispondenti vengono visualizzate nel Wizard.

Durante il caricamento dei dati viene visualizzata una barra di stato.

Dopo la conclusione del processo di caricamento, sono a disposizione dell´utente tutte le schede per configurare i dati selezionati.


Meanings

Meanings

Configurazione di significati mediante le scheda Meaning filter e Meaning.

Ancora in questo capitolo

Meaning filter

Meaning


Meaning filter

Meaning filter

Le variabili da modificare vengono prefiltrate con questa scheda. Se non si seleziona nessun oggetto in tutti i gruppi, tutte le variabili saranno a disposizione nella scheda Meaning .

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Opzione | Descrizione
Lista gruppi di impianti | Il sistema esegue un´operazione di filtro sulla base dei singoli modelli le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti i modelli di impianto.
Lista progetti | il sistema esegue un´operazione di filtro sulla base dei singoli progetti le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti i progetti.
Lista archivi | il sistema esegue un´operazione di filtro sulla base dei singoli archivi le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti gli archivi.


Meaning

Meaning

In questa scheda si configurano i significati delle variabili. Si possono selezionare delle variabili e si possono assegnare loro nuovi significati; c´è anche la possibilità di eliminare significati esistenti.

Selezione variabili

Opzione

Descrizione

Search meaning

Quando si inserisce un criterio di ricerca, tutte le variabili con significati corrispondenti vengono elencate in una lista.

La lista viene aggiornata subito quando viene inserito un carattere. Non possono essere usati caratteri jolly.

Lista Variablen

Elenca in una lista le variabili a disposizione dopo il filtraggio.

Selezione di variabili da editare: attivazione dei Checkbox davanti alla variabile.

Nella colonna Meanings vengono visualizzati i significati già esistenti delle variabili. Vengono visualizzati solamente significati. Altri inserimenti o inserimenti per il diagramma a cascata vengono esclusi dalla visualizzazione e ignorati nel processo di editazione.

Le variabili possono essere ordinate cliccando su un´intestazione delle colonne.

Select all

quando si clicca su questa opzione, vengono selezionate tutte le variabili per poterle editare.

Deselect all

quando si clicca su questa opzione, vengono deselezionate tutte le variabili.

Visualizzazione statistica

Mostra quante variabili:

  • sono disponibili nella lista
  • sono state selezionate
  • sono state modificate.

Reset

Annulla tutte le modifiche che sono state effettuate cliccando su Update meaning.

Nota: le modifiche vengono accettate in modo definitivo solamente quando si clicca su Finish.

Aggiungi significati.

Opzione | Descrizione
Add new meanings | Consente di aggiungere significati alle variabili. Nuovi significati vengono inseriti nel campo di inserimento, aggiunti alla lista e assegnati alle variabili selezionate tramite il pulsante Update meaning.
Eingabefeld | Inserimento di un nuovo significato. Lunghezza massima: 50 caratteri
Liste Meanings | Ordina in una lista tutti i significati impostati.
Add to list | Aggiunge l´inserimento dal campo testo alla lista dei significati.
Remove from list | Cancella l´inserimento selezionato dalla listaMeanings.
Remove all | Cancella tutti gli inserimenti dalla Lista Meanings.
Update meaning | Quando si clicca su questa opzione, il sistema assegna gli inserimenti della Lista Meanings alle variabili selezionate come nuovo significato. I significati aggiunti vengono visualizzati nella colonna Meanings (preview), la riga con le variabili viene colorata di verde..

Elimina significati

Opzione | Descrizione
Remove existing meanings | Consente l´eliminazione di significati di variabili. Quando si seleziona una variabile, vengono visualizzati nella Lista Meanings tutti i significati assegnati. I significati che devono rimanere, vengono cancellati dalla lista quando si clicca sul pulsante Remove from list. Quando si clicca sul pulsante Update meaning vengono eliminati i significati delle variabili selezionate.
Lista Meanings | elenca in una lista tutti i significati assegnati alle variabili selezionate.
Remove from list | Cancella l´inserimento selezionato dalla listaMeanings.
Remove all | Cancella tutti gli inserimenti dalla Lista Meanings.
Update meaning | Quando si clicca su questa opzione, vengono eliminati tutti gli inserimenti nella Lista Meanings della variabile selezionata. La riga con la variabile viene colorata di rosso.

Attenzione: le modifiche e i nuovi inserimenti vengono scritti solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Esempio Identificazione colore

  • Rosso: tutti i Meanings della variabile sono stati cancellati.
  • Verde: la variabile ha ricevuto nuovi Meaning.


Machine

Machine

Configurazione di un modello a cascata per report a base macchina mediante le schede Waterfall chart filter e Waterfall chart.

Ancora in questo capitolo

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Waterfall chart filter

In questa scheda si definisce il diagramma a cascata a base macchina. Un requisito per procedere a questa configurazione è che tutte le variabili da usare siano assegnate allo stesso gruppo di impianti. Se devono essere usate le variabili di un archivio, sia l´archivio che le variabili devono essere assegnati allo stesso gruppo di impianti.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Opzione | Descrizione
Lista gruppi di impianti | Selezione di un gruppo di impianti.
Lista progetti | Selezione di un progetto.
Lista archivi | Scelta di un archivio.

Devono essere selezionati un gruppo di impianti e un progetto. Esiste l´opzione di poter selezionare anche un archivio del gruppo di impianti adatto.

Nella scheda Waterfall non viene visualizzata nessuna variabile se:

  • non è stato selezionato nessun progetto
  • non è stato selezionato nessun gruppo di impianti
  • sono stati selezionati degli oggetti che non sono assegnati allo stesso gruppo di impianti.


Waterfall chart

Waterfall chart

In questa scheda può essere creata e modificata la definizione cascata.

Opzione

Descrizione

New

Attiva: viene creata una nuova definizione cascata.

Update

Attiva: viene modificata una definizione cascata esistente. Selezione dal menù a tendina.

Chart

Inserimento di un nome per una nuova definizione cascata.

Save

Quando si clicca su questa opzione, viene salvato l´input.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Variablenliste

Elenca in una lista tutte le variabili che corrispondono alla configurazione nella scheda Waterfall filter. Variabili del tipo Bool e String non vengono visualizzate.

La lista può essere ordinata cliccando sull´intestazione colonna. Nella colonna Waterfalls vengono visualizzate le definizioni cascata esistenti. Nella colonna Waterfalls (preview) vengono visualizzate le definizioni cascata nuove o modificate.

Chart

Qui vengono create o modificate definizioni cascata per Drag&Drop.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Crea definizione cascata

Per creare una nuova definizione cascata:

  1. Selezionare New.
  2. Trascinare le variabili desiderate per Drag&Drop una dopo l´altra nell´area Chart.
  3. Organizzare le barre secondo le regole
  4. Assegnare un nome nel campo di inserimento Chart.
  5. Cliccare su Save
  6. La configurazione viene visualizzata nella colonna Waterfalls (preview).
  7. Passare alla scheda Finish.
  8. Cliccare su Finish


Line

Line

Configurazione di un modello a cascata per report a base linea mediante le schede Waterfall chart filter e Waterfall chart.

Ancora in questo capitolo

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Waterfall chart filter

In questa scheda si definisce il diagramma a cascata a base linea. Un requisito per procedere a questa configurazione è che tutte le variabili e gli archivi da usare siano assegnati allo stesso gruppo di impianti.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Parametro | Descrizione
Main machine | Configurazione del macchinario principale.
Equipment | Lista dei modelli di impianto esistenti. Selezione di un modello mediante attivazione della Checkbx corrispondente. La selezione definisce gli archivi che possono essere utilizzati. Si può selezionare solamente un modello.
Project | Progetti esistenti. Si può filtrare la lista degli archivi selezionando i progetti. La selezione è facoltativa.
Archive | Lista degli archivi esistenti. Selezione di un archivio mediante attivazione della Checkbx corrispondente. Si può selezionare solo un archivio.
Side machines | Configurazione dei macchinari secondari.
Equipment | Lista dei modelli di impianto esistenti. Selezione di un modello mediante attivazione della Checkbx corrispondente. La selezione definisce gli archivi che possono essere utilizzati. Si può selezionare quanti modelli si vuole.
Project | Progetti esistenti. Si può filtrare la lista degli archivi selezionando i progetti. La selezione è facoltativa.
Archive | Lista degli archivi esistenti. Selezione di un archivio mediante attivazione della Checkbx corrispondente. Si può selezionare quanti archivi si vuole.

Regole

Per la selezione del macchinario principale vale quanto segue:

  • Deve essere selezionata esattamente un gruppo di impianti.
  • La selezione degli archivi può essere sottoposta ad un filtro preliminare usando il filtro Project.
    Si può selezionare solamente un progetto.
  • Deve essere selezionato esattamente un archivio.

Per la selezione dei macchinari secondari vale quanto segue:

  • Possono essere selezionati più gruppi di impianti. Questi devono però essere dello stesso livello del macchinario principale.
  • Se per il macchinario principale è stato selezionato un gruppo di impianti, possono essere scelti per i macchinari secondari solamente dei gruppi di impianto dello stesso livello del macchinario principale. Il gruppo di impianti del macchinario principale è escluso dalla selezione.
  • La selezione degli archivi può essere sottoposta ad un filtro preliminare usando il filtro Project.
    Si possono selezionare più progetti.
  • Deve essere selezionato almeno un archivio! Se una variabile è già usata nell´archivio del macchinario principale, non sarà disponibile per il macchinario secondario. .

attention Attenzione

Per essere a disposizione per il diagramma, le variabili devono essere sempre collegate allo stesso gruppo di impianti cui è collegato l´archivio in cui si trovano. Questo vale sia per i macchinari principali, che per quelli secondari.


Waterfall chart

Waterfall chart

In questa scheda può essere creata e modificata la definizione cascata.

Tenere presente le regole per il filtro nella scheda Line Analysis filter: per macchinari principali e secondari devono essere settate esattamente le stesse impostazioni di filtro variabili.

Opzione

Descrizione

New

Attiva: viene creata una nuova definizione cascata.

Update

Attiva: viene modificata una definizione cascata esistente. Selezione dal menù a tendina.

Chart

Inserimento di un nome per una nuova definizione cascata.

Save

Quando si clicca su questa opzione, viene salvato l´input.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Legend

Legenda

  • Sub: perdite di macchinari secondari sono sottratte dal macchinario principale.
  • Add: perdite di macchinari secondari sono addizionate al macchinario principale.
  • SMa: macchinari secondari.

Variables main machine

Lista di tutte le variabili disponibili per il macchinario principale.

La lista può essere ordinata cliccando sull´intestazione colonna.

Variables side machine

Lista di tutte le variabili disponibili per i macchinari principali.

La lista può essere ordinata cliccando sull´intestazione colonna.

Chart

Qui vengono create o modificate definizioni cascata per Drag&Drop.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Crea definizione cascata

Per creare una nuova definizione cascata:

  1. Selezionare New.
  2. Trascinare le variabili desiderate per Drag&Drop una dopo l´altra nell´area Chart.
  3. Organizzare le barre secondo le regole
  4. Assegnare un nome nel campo di inserimento Chart.
  5. Cliccare su Save

    La configurazione viene visualizzata nella colonna Waterfall def. preview (preview) della lista.

  6. Passare alla scheda Finish.
  7. Cliccare su Finish

Modifica definizione cascata

Per modificare una definizione cascata esistente:

  1. Selezionare Update.
  2. Selezionare la definizione desiderata fra quelle proposte dal menù a tendina.

    La definizione esistente viene visualizzata nel campo diagramma.

  3. Modificare la definizione.
  4. Cliccare su Save
  5. La configurazione viene visualizzata nella colonna Waterfall def. preview (preview) della lista.
  6. Passare alla scheda Finish.
  7. Cliccare su Finish

Regole per disegnare il diagramma

Quando si disegna, valgono (a differenza di quanto vale per il diagramma a base macchine) le seguenti regole:

Posizione | Regola | Definizione | Abbreviazione
Ultima riga, prima colonna | Solo inserimenti per il macchinario principale. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-colonna, ultima riga e non 1° colonna | Inserimenti del macchinario principale | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (nessuno)
 |  | Alternativa: Cliccando con il tasto destro del mouse sulla cella, si apre un´altra finestra di dialogo dopo quella per la selezione colori. Se si conferma cliccando su Sì, la definizione cambia in: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-colonna, ultima riga e non 1° colonna | Inserimenti dei macchinari secondari. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialogo: addizionare perdite macchinario secondario

Se vengono soddisfatte le condizioni seguenti, dopo la chiusura della finestra di dialogo per la selezione colori, ne viene visualizzata un´altra per addizionare le perdite di macchinari secondari:

  • Clic con il tasto destro del mouse nel diagramma
  • Su una variabile del macchinario principale
  • Nell´ultima riga
  • Dalla seconda colonna.

Opzione | Descrizione
Add side machine losses | Richiesta se le perdite di macchinari secondari devono essere aggiunte o meno.
Sì | Il valore di DD_SIDE_MACHINE_LOSSES viene settato su 1. Le perdite dei macchinari secondari vengono aggiunte.
No | Il valore di DD_SIDE_MACHINE_LOSSES viene settato su 0. Le perdite dei macchinari secondari vengono sottratte.
Annulla | Lo stato rimane quello di prima dell´apertura della finestra di dialogo.


Regole generali per diagrammi a cascata

Regole generali per diagrammi a cascata

Per quello che concerne l´impostazione e la modifica di definizioni warterfall, valgono le seguenti regole:

  1. Per la prima barra, la variabile deve essere trascinata nell´angolo in alto a sinistra dell´area.
  2. La seconda barra può essere inserita solamente al di sotto della prima.
  3. Tutte le ulteriori barre devono essere inserite o sotto oppure a destra di una di quelle esistenti.
    • La prima riga può contenere solamente una barra.
    • Quando si inserisce una barra a destra di una già esistente, quelle che si trovano sopra verranno allungate.
  4. La variabile selezionata viene visualizzata in color verde.
  5. Ogni variabile può essere usata solamente una volta.
  6. La barra riceve un indice:
    • primo numero: indice righe.
    • secondo numero: indice colonne.
  7. Il nome della variabile selezionate viene visualizzato nel tootip della barra. .
  8. Solo per diagrammi a base linea: le variabili di macchinari secondari possono essere inseriti solamente nell´ultima riga.

Nota: tenere presente le regole relative a filtro e design del diagramma in caso di diagrammi a base linea.

Salva definizione cascata

Per salvare definizione cascata:

  1. Assegnate un nome nel campo di inserimento Chart.
  2. Cliccare sul pulsante Save.
  3. La definizione viene salvata nella lista variabili e il nuovo inserimento viene visualizzato nella colonna Waterfall def. preview (preview) della lista.
  4. La nuova definizione cascata viene scritta solo dopo un clic sul pulsante Finish della scheda Finish sulla variabile zenon.

Modifica definizione cascata

Per modificare una nuova definizione cascata:

  1. Selezionare Update.
  2. Selezionate la definizione cascata desiderata fra quelle proposte dal menù a tendina.

    Attenzione: Vengono proposte solamente definizioni che corrispondono alla configurazione nella scheda Waterfall filter.

  3. La definizione cascata viene visualizzata nella superficie Chart.
  4. Modificate la definizione secondo le regole:
    • Aggiungi bara: Trascinare la variabile nella posizione desiderata. La variabile viene colorata di verde.
    • Cancella barra: Trascinare la barra nell´area di cancellazione. La variabile viene visualizzata di nuovo senza il colore di selezione.
    • Sposta barra: Spostare la barra nella posizione desiderata.
    • Modifica colore: Assegnare alla barra il colore desiderati cliccando con il tasto destro del mouse.
  5. Cliccare su Save
  6. Tutte le modifiche vengono visualizzate nella colonnaWaterfall def. preview (preview) della lista.
  7. Passare alla scheda Finish.
  8. Cliccate su Finish.

Cancella barra

Si possono cancellare le barre se:

  • si tratta di barre corte
  • a destra o a al di sotto di esse non ci sono delle altre barre

Per cancellare una barra, trascinatela per Drag&Drop in un posto libero al di fuori del campo Chart (ma non nella lista variabili).

La barra viene cancellata. Tutte le altre barre verranno spostate in modo corrispondente. Sposta barra

Si possono spostare le barre se:

  • si tratta di barre corte
  • lo spostamento si effettua nell´ambito di una riga

Per spostare una barra, trascinatela per Drag&Drop nella nuova posizione. Tutte le altre barre fra la vecchia e la nuova posizione verranno spostate di un posto.

Modifica il colore di una barra

Per modificare il colore di una barra:

  1. Cliccate poi con il tasto destro del mouse sulla barra
  2. Si apre la finestra di dialogo per la scelta del colore
  3. Selezionare il colore desiderato.
  4. Cliccare su OK.


Finish

Finish

In questa scheda vengono scritte le modifiche sulla variabile in zenon e viene visualizzato il risultato nel campo di emissione.

Cliccando sul pulsante Finish, il sistema scrive tutte le modifiche sulla variabile di zenon nell´Editor.

Le modifiche effettuate vengono visualizzate nel campo di emissione:

  • Update variable MEANINGS definition: modifiche apportate alle variabili che riguardano i significati.
  • Update variable WATERFALL definition: modifiche apportate alle variabili che riguardano la definizione cascata.
  • Indicazioni relative a inserimenti nuovi, modificati e cancellati, avvertimenti e messaggi di errore.

    Quando si esegue l´importazione in zenon, il sistema verifica la lunghezza dell´inserimento per le proprietà corrispondenti. La lunghezza massima consentita è di 250 caratteri. Se l´inserimento è più lungo, la successione verrà tagliata dopo il 250° carattere e il sistema scriverà una segnalazione di errore nel campo di emissione della scheda Finish.


Sankey Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard

Un diagramma di Sankey è una rappresentazione grafica di flussi di elementi. Le quantità vengono rappresentate mediante frecce la cui l'ampiezza è disegnata in maniera proporzionale alla quantità di flusso I diagrammi sono usualmente utilizzati per indicare trasferimenti di energia, materiali, nonché per evidenziare inefficienza nell´utilizzo delle risorse e potenziali di risparmio.

IlSankey Wizard vi aiuta a creare diagrammi di Sankey che poi potete vedere nel Runtime zenon ed in zenon Analyzer.

Le seguenti situazioni sono possibili:

  • Creare un nuovo diagramma di Sankey.
  • Usare un diagramma di Sankey già esistente da modello.
  • Modificare un diagramma di Sankey già esistente.
  • Cancellare un diagramma di Sankey già esistente.

Il diagramma Sankey viene salvato in un file XML.

Nota: il Wizard è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Installare il Sankey Wizard

Avvia il Sankey Wizard

Finestra iniziale

Ordinare e filtrare le liste

Navigazione

Action - seleziona azione

Variables - Selezionare variabili

Diagramma - Creare un diagramma

Finish - Termina


Installare il Sankey Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Installare il Sankey Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard viene installato automaticamente con <CD_PRODUCTAME>.


Avvia il Sankey Wizard

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Avvia il Sankey Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Analyzer.
  3. Selezionare il Sankey Wizard.

  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la pagina di benvenuto.


Finestra iniziale

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, viene visualizzata una pagina che elenca e spiega tutti gli oggetti configurabili. La configurazione inizia con la scheda Action.

Cliccando sui pulsanti freccia oppure sui titoli delle diverse schede, si passa fra i diversi passaggi di configurazione del Wizard.


Ordinare e filtrare le liste

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Ordinare e filtrare le liste

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ordinamento delle liste

Tutte le liste delle schede Action e Variables possono essere ordinate.

Di default, gli inserimenti delle liste sono in ordine alfabetico; l´ordine può essere però invertito.

Per ordinare le liste:

  1. Cliccare sull´intestazione della colonna sulla base della quale deve essere ordinata la lista.

    La lista verrà ordinata sulla base di questa colonna.

  2. Se si clicca una seconda volta sull´intestazione della colonna, l´ordine viene invertito.

Possibilità di filtro delle liste

È possibile filtrare tutte le liste delle schede Action e Variables sulla base di determinati criteri. È possibile anche combinare diversi filtri.

Nota: per resettare un filtro bisogna cancellare il testo di filtro dall´intestazione della colonna.

Procedura:

  1. nella lista desiderata, cliccare con il tasto sinistro del mouse nel campo di inserimento con il simbolo del filtro.
  2. Digitare il criterio sulla base del quale deve essere eseguita l´operazione di filtro.
  3. Nella lista desiderata, cliccare con il tasto sinistro del mouse sul simbolo di filtro in questione.

    Si apre il menù contestuale.

  4. Selezionare l´opzione di filtro desiderata cliccandoci sopra con il tasto sinistro del mouse.

    Sono a disposizione:

    • No filter - Nessun filtro impostato (no filter)
    • Contains - include (contains)
    • Does not contain - non include (does not contain)
    • Starts with - inizia con (starts with)
    • Equals - corrisponde (equals)
    • Not equal to - non corrisponde (Not equal to)

    La lista verrà poi filtrata sulla base dell´opzione selezionata.

Nota: l´opzione di filtro impostata di default è "Contains".


Navigazione

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Navigazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante | Descrizione
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Freccia a destra | Passa alla prossima scheda nel processo di configurazione del Wizard.
Finish | Scrive tutte le modifiche sulla variabile di zenon nell´Editor e chiude il Wizard.
Cancel | Chiude il wizard senza effettuare delle modifiche.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Action - seleziona azione

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Action - seleziona azione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate nella scheda Action l´azione desiderata attivandola.

Ci sono le seguente possibilità:

Opzione | Descrizione
Create diagram | Crea un nuovo diagramma.
Use existing diagram as template | Usa un diagramma esistente come modello. Nota: In questo caso, le variabili devono essere collegate di nuovo alle connessioni di nodo. Le connessioni variabili di diagrammi esistenti non vengono visualizzate nel modello.
Edit or delete diagram | Consente la modifica o la cancellazione di un diagramma esistente. Il diagramma da modificare o cancellare può essere selezionato dalla lista di quelli creati.

Possibilità di ordinamento e di filtro

È possibile ordinare la lista della scheda Action e filtrarla sulla base di determinati criteri. Per i dettagli relativi a questo argomento, consultare il capitolo Ordinare e filtrare le liste.

Lista dei diagrammi impostati.

La finestra centrale mostra una lista contenente i diagrammi già esistenti. Gli inserimenti sono visualizzati in grigio se è selezionata l´opzione Create_Diagram. Sono visibili le seguenti informazioni:

Opzione | Descrizione
Project | Nome del progetto in cui è salvato il diagramma.
Diagram | Mostra il nome del diagramma.
Description | Mostra la descrizione del diagramma.
Analyzer | Attiva: Il diagramma può essere usato nell´Analyzer e nel Runtime. Non attiva: Il diagramma può essere usato solo nel Runtime.
Valid | Attiva: Il diagramma è valido. Non attiva: Il diagramma non è valido. Non potete usare il diagramma né nell´Analyzer, né nel Runtime. Nota: In questo caso, modificate il diagramma e adattatelo fino a renderlo valido.
Delete | Cancella il diagramma selezionato. Prima di cancellare il diagramma, il sistema visualizza una finestra di dialogo che chiede conferma della cancellazione.

Project settings

In questa sede potete effettuare le seguenti impostazioni per il progetto:

Opzione

Descrizione

Name

Indicate in questa sede un nome per il progetto.

Nota: Questo nome deve essere univoco. Se il nome assegnato non dovesse essere univoco, una finestra di dialogo ve lo farà presente. Un diagramma di nuova creazione a cui sia stato assegnato un nome già esistente, sostituirà quello esistente se voi confermate il dialogo. Se però cliccate sull´opzione No di questa finestra di dialogo, il nome viene automaticamente integrato con l´aggiunta di _1.

Save into project

Selezionate qui il progetto in cui il vostro diagramma deve essere salvato.

Description

Inserite qui una descrizione.
Nota: È opzionale.

Create diagram for Analyzer

Attiva: Vengono visualizzate solo quelle variabili che si trovano in archivi.
Nota: Le variabili che volete usare devono essere prima esportate facendo uso dell´Analyzer Export Wizard.

Non attiva: La selezione delle variabili non è soggetta a limitazioni, ma il diagramma non può essere usato in zenon Analyzer, ma solo nel Runtime di zenon.

Nota: Dopo aver lasciato questa scheda, non avete più la possibilità di modificare le impostazioni effettuate in questa sede.

Dialogo: Cancella diagramma

Prima di cancellare il diagramma, il sistema visualizza una finestra di dialogo che chiede conferma della cancellazione.

Opzione | Descrizione
Ja | Cancella il diagramma selezionato.
Nein | La cancellazione viene interrotta. La finestra di dialogo verrà chiusa e il diagramma selezionato non verrà cancellato.


Variables - Selezionare variabili

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Variables - Selezionare variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda potete selezionare le variabili per il vostro progetto.

Possibilità di ordinamento e di filtro

È possibile ordinare la lista della scheda Variables e filtrarla sulla base di determinati criteri. Per i dettagli relativi a questo argomento, consultare il capitolo Ordinare e filtrare le liste.

Select project

Opzione | Descrizione
Select project | Lista dei progetti zenon attivi. Selezionate in questa sede quel (quei) progetto (progetti) da cui volete selezionare le variabili per il vostro diagramma. Nota: È possibile una selezione multipla.

Select data source

Opzione

Descrizione

Select data source

Selezionate in questa sede la sorgente dati (archivi).
Nota: L´opzione Online Data è disponibile per tutte le altre variabili che non provengono da archivi. Questa opzione può essere selezionata solamente se nella scheda Action non avete attivato l´opzione create for Analyzer. Per il Runtime si usano valori live, cioè valori online. Per il zenon Analyzer si usano valori storici.

  • Short name
    Identificazione breve dell´archivio
  • Long name
    Nome completo dell´archivio.
  • Project
    Nome progetto dell´archivio.
  • Parent archive
    Versione dell´archivio usato.

Variables

Opzione

Descrizione

Project variables

Selezionate in questa sede le variabili che volete collegare con il vostro diagramma. È possibile una selezione multipla.

Avete le seguenti possibilità:

  • Cliccare due volte sulla variabile desiderata.
  • Evidenziate la variabile desiderata e cliccate infine su Add->.
  • Tenete premuto il Tasto Ctrl, evidenziate più variabili, cliccate su Add->.
  • Cliccate su Add all-> per selezionare tutte le variabili.

Lista variabili

  • Name
    Nome della variabile
  • Project
    Nome del progetto della variabile
  • Archive:
    Identificazione breve dell´archivio
  • Aggregation:
    Tipo di compressione dell´archivio
    • AVG (Valore medio)
    • Max (Valore massimo)
    • Min (Valore minimo)
    • Sum (Somma)
    • RAW (Formato grezzo dati- senza compressione)

Pulsante Add ->

Aggiunge la/le variabile/variabili selezionata/e alla lista delle Diagram variables.

Pulsante Add all ->

Aggiunge tutte le variabili alla lista delle Diagram variables.

Pulsante <- Delete

Cancella la/le variabile/variabili selezionata/e dalla lista delle Diagram variables.

Pulsante <- Delete all

Cancella tutte le variabili dalla lista delle Diagram variables.

Diagram variables

Opzione

Descrizione

Diagram variables

Qui vedete le variabili selezionate. Queste sono rilevanti per la prossima scheda al momento di creare il diagramma.

Per cancellare delle variabili:

  • Selezionate le variabili che volete cancellare e cliccate su <-Delete.
  • Tenete premuto il tasto Ctrl, selezionate quelle variabili che volete cancellare e cliccate <-Delete.
  • Cliccate su<-Delete all per cancellare tutte le variabili selezionate.

Lista variabili

  • Name
    Nome della variabile
  • Project
    Nome del progetto della variabile
  • Archive:
    Identificazione breve dell´archivio
  • Aggregation:
    Tipo di compressione dell´archivio
    • AVG (Valore medio)
    • Max (Valore massimo)
    • Min (Valore minimo)
    • Sum (Somma)
    • RAW (Formato grezzo dati- senza compressione)

Nota: Dopo aver lasciato questa scheda, avete ancora la possibilità di modificare le impostazioni effettuate in questa sede.


Diagramma - Creare un diagramma

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Diagramma - Creare un diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda avete la possibilità di disegnare un diagramma.

Tenere presente che:

  • Si può creare un massimo di 26 nodi iniziali o nodi terminali.
  • I nodi iniziali non si devono sovrapporre.
  • I nodi terminali non si devono sovrapporre.

Superficie di disegno

Nella superficie di disegno posizionate i nodi e le connessioni da voi progettati.

Nodi

Opzione | Descrizione
Name | Nome nodo
Color | Colore del nodo. Visualizza il colore scelto per ultimo. Cliccando sul pulsante, si apre il dialogo di selezione colori.
Create | Imposta nodi e li posiziona sulla superficie di disegno.
Delete | Cancella i nodi selezionati dalla superficie di disegno. Attiva solo se è stato selezionato almeno un nodo nella superficie di disegno.

Diagramma

Opzione

Descrizione

Validate

Verifica se tutti i nodi sono collegati, o se tutti i collegamenti sono dotati di una variabile.

Il risultato della validazione viene visualizzato in una finestra di dialogo.

  • Node xx is not connected!
    Il nodo non ha nessuna connessione ad un altro nodo. .
  • A connection of node xx has no variable linked!
    La connessione del nodo non ha una variabile assegnata.

Save

Salva la progettazione attuale. Prima del salvataggio, il sistema effettua anche una verifica.

Reset

Cancella tutti i nodi e le connessioni già progettate.

Diagram settings

Opzione

Descrizione

Loss detection

Automatica individuazione di perdite con una connessione ulteriore che visualizza il differential flow.

  • Attivata: viene calcolato il rilevamento automatico delle perdite
  • Disattivata: non viene calcolato il rilevamento automatico delle perdite.

Default: non attiva.

Unknown Loss

Se in un nodo si supera la quantità dei flussi in entrata quella dei flussi in uscita, verrà visualizzato un differential flow nel colore prescelto.

Attiva solo se è stata attivata la proprietà Loss detection.

Nota: Questo differential flow è visibile solo nel Runtime di zenon, oppure nello zenon Analyzer.

Undefined Input

Se in un nodo si supera la quantità dei flussi in uscita quella dei flussi in entrata, verrà visualizzato un differential flow nel colore prescelto.

Attiva solo se è stata attivata la proprietà Loss detection.

Nota: Questo differential flow è visibile solo nel Runtime di zenon, oppure nello zenon Analyzer.

Connections (Variables)

Opzione | Descrizione
Connections (Variables) | Lista di tutte le variabili disponibili per la connessione. Se una variabile è già collegata ad una connessione, essa viene visualizzata in color verde nella lista di selezione. Nota: Queste variabili sono a disposizione dell´utente nella scheda Variables .
Link variable | Collega la variabile selezionata con la connessione prescelta. Non attiva se non è stata selezionata nessuna connessione. Nota: Quando si selezionano due nodi e una variabile, il sistema disegna oltre al collegamento anche la connessione.
Delete | Cancella la connessione selezionata. È possibile selezionare più connessioni contemporaneamente. Non attiva se non è stata selezionata nessuna connessione.

Ancora in questo capitolo

Crea diagramma

Rappresentazione di un diagramma di Sankey in zenon Analyzer

Esempi: Wizard - zenon Analyzer


Crea diagramma

Crea diagramma

Per creare un diagramma di Sankey con l´apposito Wizard, procedere come segue:

Creare nodo e connessioni:

Tenere presente che:

  • Si può creare un massimo di 26 nodi iniziali o nodi terminali.
  • I nodi iniziali non si devono sovrapporre.
  • I nodi terminali non si devono sovrapporre.

Procedura:

  1. Assegnare un nome al nodo che si vuole creare nella finestra Node, e più precisamente nel campo Name.
  2. Selezionare un colore per il nodo cliccando nel campo Color.
  3. Poi cliccare suCreate.
  4. Creare i nodi necessari e ordinarli a piacimento.
  5. Collegare i nodi congiungendo una "uscita nodo" (a destra dello stesso nodo) ad "un´entrata nodo" (a sinistra del nodo stesso).

Nota: uno stesso nodo può avere diverse connessioni, oppure diversi nodi possono essere collegati ad uno stesso nodo. A seconda del numero di connessioni esistente, varia la grandezza dell´uscita nodo. Quei nodi che sono collegati solo da una parte, verranno visualizzati in forma rotonda o ovale. Quei nodi che sono collegati da entrambe le parti, verranno visualizzati in una forma geometrica con lati.

Per quello che concerne le connessioni dei nodi, ci sono inoltre le seguenti possibilità:

Retroazione: Creare un collegamento dall´uscita di un nodo alla sua entrata

Procedura:

  • Cliccate due volte sul nodo per il quale volete creare una retroazione.

oppure

  • Trascinate il collegamento dall´uscita del nodo alla sua entrata.

Creare una connessione fra 2 nodi e collegarvi nello stesso tempo una variabile

Procedura:

  1. Evidenziate i due nodi che intendete congiungere e la variabile che vi volete collegare.
  2. Cliccare su Link Variable

Collegare variabili a connessioni.

Ci sono diverse possibilità di collegare variabili a connessioni:

Drag&Drop

  • Trascinate la variabile desiderata dalla finestra Connections (Variables) alla connessione nodi in questione.

Nota: un presupposto per poter far ciò e l´aver già creato una connessione fra i nodi.

Pulsante Link Variable

  1. Evidenziate la connessione nodi desiderata.
  2. Selezionate la variabile che intendete collegare alla connessione.
  3. Cliccate sul pulsante Link Variable.

Nota: Ad ogni connessione potete collegare una sola variabile.

Collegare una variabile a più connessioni nodi:

  1. Tenete premuto il tasto Ctrl e selezionate diverse connessioni nodi.
  2. Selezionate la variabile desiderata.
  3. Cliccare su Link Variable

    oppure

  4. Trascinate la variabile sulle connessioni nodi selezionate.

Nota: per vedere il nome della variabile collegata alla connessione, muovere il mouse sulla connessione stessa.

Impostazioni diagramma (Diagram settings):

Se attivate l´opzione Loss Detection, il sistema calcolerà automaticamente un´ individuazione di perdite. Una connessione addizionale visualizza il differential flow.

Nei campi Unknown Loss e Undefined Input si possono selezionare i colori che dovranno essere usati per visualizzare i differential flows. Per selezionare un colore, cliccare sul campo. Si aprirà la finestra di dialogo per selezionare un colore.

Come concludere di disegnare il diagramma:

Dopo aver portato a termine il disegno del vostro diagramma,

  • cliccate sul pulsante Validate.

Se tutte le connessioni sono state impostate correttamente, apparirà una finestra di dialogo contenente l´informazione che il diagramma è valido. In caso contrario, apparirà una finestra di dialogo contenente l´informazione che ci sono dei nodi non connessi, oppure variabili non collegate alle connessioni.
Perché un diagramma sia valido:

  • tutti i nodi devono essere connessi
  • tutte le connessioni devono essere dotate di una variabile
  • i nodi non devono sovrapporsi se vengono spostati in direzione entrate (a sinistra), o a uscite (a destra).

Per salvare un diagramma,

  • cliccate sul pulsante Save.

Il sistema provvederà a validare il diagramma da voi realizzato. Dopodiché il diagramma verrà salvato e contrassegnato come valido o non valido. Il sistema provvederà a indicare il progetto nel quale esso è salvato.

Per disegnare di nuovo un diagramma,

  • cliccate sul pulsante Reset.

Tutti i nodi e le connessioni disegnati verranno cancellati.

info Info

Cliccando sui pulsanti Validate o Save si orientano i nodi al lato destro e sinistro dell´area di disegno.

Nota: I nodi non devono sovrapporsi.

Modificare i nodi:

Dopo aver creato un paio di nodi, potete

assegnare a più nodi lo stesso nome:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi cui volete assegnare un nome.
  3. Assegnare un nome.

selezionare lo stesso colore per più nodi:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi cui volete assegnare un colore.
  3. Selezionate poi un colore.

spostare più nodi contemporaneamente:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi che volete spostare.
  3. Spostate i nodi. Verranno spostate anche le loro connessioni.

Nota: Potete modificare anche singoli nodi selezionandoli ed effettuando i cambiamenti desiderati.

Cancellare nodi:

  1. Selezionate il nodo che volete cancellare.
  2. Cliccate nella finestra Node su Delete, oppure premete il tasto Canc.

Cancellare più nodi contemporaneamente:

  1. Tenete premuto il tasto Ctrl e selezionate il nodo che volete cancellare.
  2. Cliccate nella finestra Node su Delete, oppure premete il tasto Canc.

Nota: Quando si cancella un nodo verranno cancellate anche le sue connessioni.

Cancellare connessioni:

  1. Selezionate la connessione da cancellare.
  2. Cliccate nella finestra Connections (Variables) su Delete, oppure premete il tasto Canc.

Cancellare più connessioni contemporaneamente:

  1. Tenete premuto il tasto Ctrl e selezionate le connessioni che volete cancellare.
  2. Cliccate nella finestra Connections (Variables) su Delete, oppure premete il tasto Canc.


Rappresentazione di un diagramma di Sankey in zenon Analyzer

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Diagramma - Creare un diagramma -> Rappresentazione di un diagramma di Sankey in zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Rappresentazione di un diagramma di Sankey in zenon Analyzer

In zenon Analyzer i nodi vengono sempre ordinati di nuovo e il loro posizionamento non corrisponde esattamente a quello che hanno nel wizard. In zenon Analyzer la rappresentazione di un diagramma di Sankey viene automaticamente modificata al fine di ottimizzarne la lettura e la consultazione.

In questo caso, si tiene in particolare considerazione la larghezza delle connessioni. Essa dipende dai valori rappresentati (più grandi questi ultimi, tanto più spessa è la connessione).

Orientamento orizzontale

il sistema distribuisce i nodi automaticamente disponendoli orizzontalmente, in maniera proporzionale al loro numero, sulla larghezza complessiva.

Esempio: nel caso ci sono tre nodi, la rappresentazione della prima connessione finirà al centro dell´immagine.

Orientamento verticale

In zenon Analyzer, l´orientamento verticale dei nodi avviene automaticamente sempre in una linea verticale. Ciò significa che il primo livello è sempre ordinato in una linea verticale, indipendentemente dalla progettazione nel wizard.

I nodi finali vengono ordinati automaticamente, a intervalli costanti, da sopra a sotto.

info Info

Vi preghiamo di consultare i seguenti esempi.


Esempi: Wizard - zenon Analyzer

Esempi: Wizard - zenon Analyzer

Esempio di orientamento orizzontale

Progettazione Sankey Wizard

Visuale zenon Analyzer

Esempio di orientamento verticale

Progettazione Sankey Wizard

Visuale zenon Analyzer

Esempio di orientamento misto

Progettazione Sankey Wizard

Visuale zenon Analyzer


Finish - Termina

Manuale -> Wizards -> Temi -> Analyzer -> Sankey Wizard -> Finish - Termina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Finish potete verificare se il vostro diagramma è valido o meno e dove è stato salvato.

  • Cliccate sul pulsante Finish.

Per terminare il Wizard di Sankey,

  • cliccate sul pulsante Close.

info Info

La progettazione del vostro diagramma Sankey viene salvata in un file XML.

Quest´ultimo si trova nel Manager di progetto del progetto selezionato, nel nodo File, nella cartella Altro.

Mediante l´Analyzer Export Wizard potete riprendere il diagramma di Sankey per usarlo in zenon Analyzer.

I dettagli su questa operazione di export li trovate nella guida sull´argomento Analyzer Export Wizard.


Settore dell´energia

Manuale -> Wizards -> Temi -> Settore dell´energia

Wizard per il settore dell´energia.

tutorial Informazioni sulla licenza

Questo gruppo di Wizard è visibile solamente se si ha una licenza per la Energy Edition di zenon.

Ancora in questo capitolo

Simulation Driver

IEC 61850 SSD Import

IEC850 Driver Configuration Wizard


Simulation Driver

Manuale -> Wizards -> Temi -> Settore dell´energia -> Simulation Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard crea un proprio programma zenon Logic per ogni driver del progetto di zenon per cui è stato creato un progetto di simulazione driver. Questo programma zenon Logic simula per tutte le coppie di variabili del driver alle quali si applica una regola una regola di sostituzione, un´assegnazione diretta di variabile di comando a variabile di feedback.

Esempio

  • Variabili di zenon:
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO: USINT
    • Switch_RV: LREAL
  • Regole di sostituzione:
    • *_CO -> *_RV
  • Risultato in zenon Logic:

attention Attenzione

Questo Wizard non supporta la progettazione multiutente e non è utilizzabile nei progetti multi-user.

Ancora in questo capitolo

Avviare il Wizard

Welcome

Settings

Rebuild


Avviare il Wizard

Manuale -> Wizards -> Temi -> Settore dell´energia -> Simulation Driver -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Energy.
  3. In questa cartella, selezionare Driver Simulation Wizard.

  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la pagina di benvenuto.


Welcome

Manuale -> Wizards -> Temi -> Settore dell´energia -> Simulation Driver -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Per chiudere il Wizard, cliccare su Close.


Settings

Manuale -> Wizards -> Temi -> Settore dell´energia -> Simulation Driver -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono create le regole di sostituzione.

Parametro

Descrizione

Execute wizard when compiling straton project

Attivo: non appena viene eseguita in zenon l´azione Compila file Runtime, viene eseguito anche il Wizard.

Nota: la logica di creazione del progetto straton viene eseguita in background. L´interfaccia utente del Wizard non viene aperta.

Drivers with simulation project

Elenca tutti i driver del progetto di zenon correntemente attivo nell´Editor di zenon per il quale è stato impostato un progetto di simulazione driver. Se si seleziona un driver di questa lista, verranno visualizzate nella sezione Replacement pattern le regole di sostituzione definite per questo driver.

Replacement pattern

Regole di sostituzione.

COMMAND Variable

Variabile di comando (command variable)

Si può usare al massimo una Wildcard (*).

RESPONSE Variable

Variabile di feedback (response variable)

Si può usare al massimo una Wildcard (*).

Add

Aggiunge regole alla Lista delle regole.

Modify

Consente di effettuare modifiche alle regole selezionate.

Remove

Cancella le regole selezionate dalla Lista delle regole.

Lista delle regole

Lista delle regole definite.

Tasti freccia

Passano alla scheda precedente o successiva.

Close

Chiude il Wizard.

Se si modificano le regole, il sistema propone di ricreare il processo di simulazione quando si chiude la finestra di dialogo. A questo scopo viene visualizzata questa finestra di dialogo:

Nota: confermare questa finestra di dialogo cliccando su Sì se si vuole che siano cancellate tutte le regole di sostituzione per un driver. I progetti di simulazione senza regole di sostituzione non vengono presi in considerazione al momento della compilazione automatica dei file Runtime in zenon.


Rebuild

Manuale -> Wizards -> Temi -> Settore dell´energia -> Simulation Driver -> Rebuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si può inizializzare un rebuild di tutti i progetti simulazione di straton.

Se si clicca sul pulsante Rebuild , si avvia il processo di nuova creazione dei progetti di simulazione driver per tutti i driver corrispondenti del progetto.


IEC 61850 SSD Import

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC 61850 SSD Import Wizard consente di leggere le configurazioni da un file SSD e di applicarle in un´immagine di zenon, inclusa progettazione compatibile con l´ALC. La posizione dei singoli dispositivi viene calcolata sulla base dei contenuti del file SSD.

La dimensione dei simboli è configurabile. Per la visualizzazione possono essere usati modelli di simboli specifici per certi paesi. È supportato anche l´utilizzo di simboli propri.

Le variabili devono essere ancora assegnate manualmente per una configurazione di progetto completa.

tutorial Informazioni sulla licenza

L´interfaccia utente del Wizard è disponibile solo in lingua inglese.

Si raccomanda di utilizzare il SSD Import Wizard con una versione provvista di licenza della Energy Edition di zenon.

zenon - Moduli e contenuti

Il Wizard utilizza i seguenti moduli e contenuti di zenon. Per ulteriori informazioni cliccare sui link dei singoli capitoli:

  • Immagini
    • Elementi d´immagine
    • Elemento Combinato
    • Modelli
    • Simboli e gruppi elementi
  • Automatic Line Coloring
  • Editor
    • Livelli di visibilità
  • Visualizzazione globale

Ancora in questo capitolo

Avviare il Wizard

Finestra di dialogo di configurazione

Configurazione di un´immagine di zenon conforme all´ALC.


Avviare il Wizard

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC 61850 SSD Import Wizard viene installato automaticamente durante l´installazione standard di zenon.

Aprire Wizard

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Energy.
  3. Cliccare qui su IEC 61850 SSD Import. Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  4. Cliccare su OK.

    Il Wizard si avvia con la finestra di dialogo IEC 61850 SSD Import.

info Info

L´IEC 61850 SSD Import Wizard è a disposizione solamente in lingua inglese.


Finestra di dialogo di configurazione

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano i parametri per la progettazione di un´immagine di zenon, inclusi collegamenti con l´ALC.

Selection

Parametro

Descrizione

File

Campo di selezione del file di importazione SSD.

Cliccare sul pulsante ... e si aprirà la finestra di dialogo che serve alla selezione del file SSD.

Default: vuoto
Percorso predefinito C:\Public\Documents

Formati di file supportati:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Lista dei simboli disponibili

Visualizza una lista di tutti i simboli disponibili nel progetto.
Il Wizard verifica se ci sono simboli per i tipi supportati.

I simboli disponibili vengono visualizzati con un un segno di spunta verde.

Se manca un simbolo per un tipo supportato, viene visualizzato un simbolo di color rosso nella punto corrispondente della lista.

Default: No Symbols Found

Symbols

Menù a tendina per la selezione dei simboli:

  • local
    Vengono usati I simboli della configurazione del progetto attivo.
  • [Dateiname]
    I simboli vengono importati da un file XML. Vengono visualizzati tutti i fil del seguente percorso: C:\ProgramData\COPA-DATA\zenon760\Templates\IEC850Import\

Default: local

Cliccando su ... si importano i contenuti del file XML selezionato nella Symbolbibliothek, nel nodo Bilder del progetto attivo..

La mancanza di simboli viene visualizzata mediante un triangolo rosso.

Nota: Ulteriori informazioni si trovano nel capitolo Simboli per l´importazione SSD.

Import Symbols

Importa i simboli selezionati nel menù a tendina dai Symbols nella libreria simboli.

Visualiazzato in color grigio se non è stata effettuata nessuna selezione nel menù a tendina.

Immagini di zenon disponibili

Lista di tutte le immagini configurate del progetto attivo nell´Editor di zenon. Questa lista può essere ordinata e filtrata.

  • Per ordinare la lista, cliccare su un´intestazione colonna. Un secondo clic inverte la direzione di ordinamento.
    La direzione di ordinamento viene indicata da una freccia.
    Per sfruttare delle possibilità di ordinamento estese, utilizzare il menù contestuale per l´ordinamento.
  • Per eseguire un´operazione di filtro, cliccare sull´elenco filtri. L´impostazione di default per il filtro è "Contiene".
    Per sfruttare delle possibilità di filtro estese, utilizzare il menù contestuale per il filtro.
    Un simbolo filtro di color giallo indica che un filtro è attivo.

Import to screen

Parametro | Descrizione
Name | Nome dell´immagine configurata nel progetto attivo di zenon
Type | Tipo dell´immagine configurata. Nota: il tipo di immagine configurato viene visualizzato nella lista con il prefisso tp.
Frame | Nome del modello assegnato all´immagine.
Size | Dimensione configurata dell´immagine.

Scale and layout

Parametro

Descrizione

Global scaling factor

Dimensione di base di un simbolo per la progettazione automatica in un´immagine di zenon. Indicata in pixel. Questo fattore di ingrandimento vale per tutta la progettazione.

Intervallo di input: 1 bis 1.000
Default: 40

Nota: in linea di principio, si parte dal presupposto che i simboli siano in una dimensione di 1x1. Questo viene moltiplicato per il valore indicato nel campo di inserimento Global scaling factor.

Esempio: con un Global scaling factor pari a 40, il simbolo sarà disegnato come 40x40 pixel.

Non è consentito impostare un valore inferiore a 1. In questo caso, il sistema provvede a correggere automaticamente questo inserimento errato portandolo a 1.

CBR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

CTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

DIS

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

DISG

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

REA

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

IFL

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

PTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

Nota: si raccomanda di configurare simboli di tipo PTR sempre con una grandezza doppia.

VTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

CAP

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Intervallo di input: Da 1 a 20

Default: 1

Layout

Parametro

Descrizione

Bay name position

Posizione della didascalia della bay:

  • Top
    la didascalia viene posizionata nell´immagine di zenon sopra una bay.
  • Bottom
    la didascalia viene posizionata nell´immagine di zenon sotto una bay.

Default: Top

Chiudi finestra di dialogo

Parametro | Descrizione
Cancel | Chiude il Wizard e den Wizard e rifiuta tutte le progettazioni.
Import | Disegna la configurazione sull´immagine selezionata, inclusi i collegamenti con l´ALC. Se nell´immagine ci sono già degli elementi, verrà visualizzato un avvertimento. Il processo di progettazione viene lanciato cliccando sul pulsante OK. Cliccando sul pulsante Cancel, si ritorna al Wizard. Nota: non attivo se non è stato selezionato nessun file SSD.

Ancora in questo capitolo

Simboli per l´importazione SSD

Menù contestuale Ordinamento

Menù contestuale Filtraggio


Simboli per l´importazione SSD

Simboli per l´importazione SSD

Il SSD Import Wizard legge il file SSD selezionato per disegnare un´immagine di zenon. Nel corso di questo processo, il Wizard riconosce i tipi dei ConductingEquipments (in base allo standard) e utilizza i simboli configurati in modo corrispondente.

Formati di file supportati:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Perché questo processo possa funzionare senza problemi, i simboli corrispondenti devono essere presenti nella progettazione di zenon.

Una lista dettagliata degli elementi necessari si trova nel capitolo Tipi supportati.

attention Attenzione

Quando si nomina un elemento bisogna fare attenzione alla scrittura in lettere maiuscole e minuscole.

Simboli mancanti

Se nella progettazione attuale di zenon manca un simbolo necessario, nel SSD Import Wizard verrà visualizzato un simbolo di color rosso. Questa finestra di avvertimento appare nel Wizard sempre accanto al menù a tendina Symbols. Se i simboli vengono importati da un file XML, questo avviso sarà visualizzato solo dopo il completamento dell´operazione di importazione.

  • No Symbols Found
    Nella libreria simboli non c´è nessun elemento.
  • Missing [Nome elemento]
    Nella libreria simboli locale non ci sono tutti gli elementi necessari. I simboli mancanti vengono visualizzati nella lista.

Nota: gli avvisi sono disponibili solo in lingua inglese.

I simboli vengono importati da un file XML.

  • Selezionare il file desiderato fra quelli del menù a tendina.
    Vengono visualizzati tutti i file XML del percorso C:\ProgramData\COPA-DATA\zenon760\Templates\IEC850Import\.
  • Cliccare sul pulsante ... per importare gli elementi del file XML nella libreria simboli.
    Nota: dopo che l´importazione è stata portata a termine con successo, la selezione del menù a tendina ritorna a local.
  • Verificare la denominazione dei simboli importati.

Un nuovo import del file sovrascrive i simboli preesistenti.

Ancora in questo capitolo

Tipi supportati.

Requisti di un simbolo

Dimensione simbolo - Esempi


Tipi supportati.

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Tipi supportati.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipi supportati.

I seguenti tipi dello standard vengono supportati:

Tipo | Descrizione | Nome elemento
CBR | Circuit Breaker Sezionatore | Ulteriori informazioni relative alla progettazione dell´immagine per il sezionatore si trovano CBR_H CBR_V Elemento combinato con diversi stati Switch
CTR | Current Transformer Trasformatore di corrente | CTR_H CTR_V Linee trasparenti "attraverso" il simbolo collegano linee esterne. Switch Nessuno stato
DIS | Disconnector or earthing switch sezionatore o sezionatore di terra | DIS_H DIS_V Elemento combinato con diversi stati
DISG | Disconnector grounded Sezionatore con messa a terra | DIS_grounded_DOWN DIS_grounded_L DIS_grounded_R DIS_grounded_UP Consiste di due elementi combinati - parte presunta vuota contiene a sua volta simboli per tutti gli stati - linea trasparente Colori da ALC
REA | Reactor Reactor | REA_DOWN Line color: da ALC Fill color: da ALC nessuno stato
IFL | Infeeding line linea di alimentazione | IFL to be implemented liberamente configurabile dal cliente
PTR | Power Transformer Trasformatore | PTR per due bobine esiste sempre ha tre elementi combinati uno di questi è invisibile ha progettazione invisibile = quadrato nell´angolo => proprietà: TRANSFORMATOR!! linee invisibili "con una piega" source e source per reverse nelle configurazioni ALC del progetto!!! ==== PTR_3_DOWN
VTR | Voltage Transformer Trasformatore | VTR_L VTR_R VTR_UP VTR_DOWN è elemento combinato nessuno stato Line color: da ALC ha simboli "scollegati"
CAP | Capacitor Condensatore |
 | Linea verticale | LINE_V Colori da ALC Dimensione: 100 x 2 Pixel) Spessore: 2
 | Linea orizzontale | LINE_H
DESC | Description Descrizione dell´elemento | DESC Casella di testo

Eccezioni rispetto allo standard

  • DIS_grounded (DISG)
    DIS_grounded non esiste nello standard. DIS_grounded è un ConductingEquipment del tipo DIS e con un terminale con ConnectivityNode „grounded"
  • PowerTransformer (PTR)
    PTR non è un ConductingEquipment, ma ha un tipo e un simbolo e viene anche disegnato. Questa è la procedura raccomandata nello standard.

attention Attenzione

Quando si nomina un elemento bisogna fare attenzione alla scrittura in lettere maiuscole e minuscole.

I simboli non esistenti vengono visualizzati come un quadrato di color rosso. .


Requisti di un simbolo

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Requisti di un simbolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Requisti di un simbolo

Come configurare in modo corretto


Dimensione simbolo - Esempi

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Dimensione simbolo - Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dimensione simbolo - Esempi

La dimensione dei simboli in caso di progettazione automatica tramite il SSD Import Wizard viene determinata da due grandezze:

  • Global scaling factor
    Dimensione di base di tutti i simboli nell´immagine di zenon.
    La grandezza è espressa in pixel. l.
  • Fattore di ingrandimento per elemento.
    Questo calcola il rispettivo multiple dell´indice configurato.
    Il fattore di ingrandimento può essere impostato per:
    • x = ingrandimento orizzontale
    • y = ingrandimento verticale

Esempio 1

Global scaling factor: 20

Dimensione dell´elemento: 5 (x e y)

Risultato: Dimensione dell´elemento 100 pixel

Esempio 2

Global scaling factor: 50

Dimensione dell´elemento: 1 (x e y)

Risultato: Dimensione dell´elemento 50 pixel

Esempio 3

Global scaling factor: 25

Dimensione dell´elemento x: 2

Dimensione dell´elemento y: 1

Risultato: Dimensione dell´elemento 50 x 25 pixel

Esempio 4

Global scaling factor: 5

Dimensione per l´elemento CBR x: 6

Dimensione per l´elemento CBR y: 6

Dimensione per l´elemento PTR x: 10

Dimensione per l´elemento PTR y: 10

Dimensione per l´elemento REA x: 2

Dimensione per l´elemento REA y: 6

Risultato:

Dimensione per l´elemento CBR: 30 x 30 pixel

Dimensione per l´elemento PTR: 50 x 50 pixel

Dimensione per l´elemento REA: 10 x 30 pixel


Menù contestuale Ordinamento

Menù contestuale Ordinamento

La lista delle immagini di zenon disponibili può essere ordinata, sottoposta a filtro e adattata usando il menù contestuale. Per utilizzare queste possibilità estese di ordinamento, procedere come segue: portate il cursore del mouse su un´intestazione colonna e cliccare con il tasto destro.

Queste impostazioni non sono ritentive. Dopo il riavvio del Wizards, verrà riproposta la visualizzazione Standard.

info Info

I contenuti del menù contestuale sono a disposizione solamente in lingua inglese.

Parametro

Descrizione

Sort Ascending

Ordinamento crescente della colonna selezionata (A - Z).

Nota: sopra l´intestazione della colonna ordinata viene visualizzata una piccola freccia.

Sort Descending

Ordinamento decrescente della colonna selezionata (Z - A).

Nota: sopra l´intestazione della colonna ordinata viene visualizzata una piccola freccia.

Clear Sorting

Cancella l´ordinamento attivo.

Non attiva se non è attivo nessun ordinamento.

Conditional Formatting

Apre la finestra di dialogo per la progettazione di un filtro visualizzazione. In questo filtro si possono configurare delle condizioni per la visualizzazione.

Group by this column

Passa alla visualizzazione raggruppata.

L´intestazione colonna viene visualizzata nella prima riga della lista delle immagini disponibili di zenon.

Si cancella il raggruppamento cliccando sul pulsante der X nella visualizzazione gruppo.

Column Chooser

Apre la finestra di dialogo per mostrare o nascondere colonne.

In questa finestra di dialogo vengono offerte le colonne non visualizzate, che possono essere spostate per Drag&Drop nella lista delle immagini disponibili di zenon.

Le colonne visualizzate possono essere nascoste via Drag&Drop (indetro a questa finestra di dialogo).

Hide Column

Esclude la colonna selezionata.

Per visualizzare di nuovo le colonna, eseguire Column Chooser e trascinare la colonna desiderata con Drag&Drop nella lista delle immagini disponibili di <CD_PRODUCTRNAME>.

Non disponibile se è visualizzata solo una colonna.

Pinned state

Sposta la colonna selezionata:

  • Unpin column
    La posizione della colonna può essere spostata liberamente via Drag&Drop.
  • Pin at left
    Sposta la colonna selezionata all´estrema sinistra.
    Diventa dunque la prima colonna.
  • Pin at right
    Sposta la colonna selezionata all´estrema destra.
    Diventa dunque l´ultima colonna.

Best Fit

Determina la "larghezza ottimale" per la colonna selezionata.". Se possibile, la larghezza della colonna viene modificata in modo tale che tutti i contenuti siano leggibili.

Visualizzazione raggruppata

Le colonne possono essere visualizzate in forma raggruppata nella lista delle immagini disponibili di zenon.

Per ottenere una visualizzazione raggruppata, si hanno le due possibilità seguenti:

  • spostare le intestazioni colonna via Drag&Drop nella zona intestazione
    (Drag a column here to group by this column.)
  • selezionare l´inserimentoGroup by this column del menù contestuale.

Nella visualizzazione raggruppata, si può espandere o ridurre i dettagli della visuale cliccando sulla freccia verso l´alto, o la freccia verso il basso.

Cliccando sul pulsante x accanto al nome della colonna raggruppata, si cancella la visualizzazione raggruppata (per questa colonna).

info Info

Le immagini possono essere filtrate anche nella visualizzazione raggruppata. .


Menù contestuale Filtraggio

Menù contestuale Filtraggio

Menù contestuale per il filtro nella lista delle immagini disponibili di zenon. Per attivarlo, cliccare sul simbolo filtro della rispettiva colonna.

Parametro | Descrizione
No filter | Nessun filtro Cancella il filtro selezionato.
Contains | Contiene Filtra alla ricerca di inserimenti che contengono il criterio indicato.
Does not contain | Non contiene Filtra alla ricerca di inserimenti che non contengono il criterio indicato.
Starts with | Inizia con Filtra alla ricerca di inserimenti che iniziano con il criterio indicato.
Ends with | Finisce con Filtra alla ricerca di inserimenti che finiscono con il criterio indicato.
Equals | È uguale a Filtra alla ricerca di inserimenti che sono esattamente uguali al criterio indicato.
Not equal to | Non è uguale Filtra alla ricerca di inserimenti che non corrispondono al criterio indicato.
Is null | È vuoto Filtra alla ricerca di inserimenti vuoti.
Is not null | Non è vuoto Filtra alla ricerca di qualsiasi inserimento esistente.
Custom | Apre la finestra di dialogo per la configurazione di un filtro definito dall´utente. Nota: con certe risoluzioni dello schermo può succedere che la finestra di dialogo di configurazione del filtro definito dall´utente sia "nascosta" dietro la finestra del Wizard. In questo caso il Wizard non reagirà più a inserimenti e clic del mouse. Premere il tasto Esc per poter utilizzare di nuovo il Wizard.


Configurazione di un´immagine di zenon conforme all´ALC.

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Posizionamento dei tipi - Visualizzazione contesto

Il Wizard usa le coordinate dello standard esteso. Questo significa che, per il posizionamento dei tipi, vengono usate le coordinate (SCLcoordinates), come indicato nel file SSD:

  • X descrive l´orientamento orizzontale
  • Y descrive l´orientamento verticale

SCL è un modello di dati gerarchico. Questo non contiene le coordinate complete. Le coordinate X e Y sono indicate rispettivamente in modo gerarchico rispetto all´elemento precedente.

Ogni nodo conosce la sua posizione relativa rispetto al suo nodo superiore. Substations vengono sempre accettate come nodi principali. La posizione assoluta viene calcolata come addizione di tutti i nodi sovra-ordinati. Questo calcolo viene eseguito dal SSD Import Wizard automaticamente.

Denominazione delle linee

Il ConnectivityNode del file SSD viene utilizzato per la denominazione delle linee di collegamento.

Livelli di visibilità

La progettazione automatica di immagini da parte del Wizard utilizza livelli di visibilità:

  • Livello di visibilità 8
    Elementi e linee di collegamento
  • Livello di visibilità 0
    Descrizione (DESC)

In questo modo è possibile visualizzare nell´Editor progettazioni complesse in modo chiaro.

Ancora in questo capitolo

Configurazione nell'Editor

Progettazione ALC

Messaggio di avviso quando esiste già una progettazione.


Configurazione nell'Editor

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurazione nell'Editor

Prima di avviare il Wizard nell´Editor di zenon, si dovrebbero eseguire le seguenti progettazioni:

  • Creare un´immagine di zenon.
    Il Wizard supporta tutti i tipi di immagine di zenon. Non viene eseguita una verifica se ha senso utilizzare il tipo di immagine prescelto.
    Assicurasi che la dimensione dell´immagine sia sufficiente in caso di ampie descrizioni nel file SSD selezionato.
  • Creare i simboli corrispondenti nella libreria simboli (facoltativo).
    Nella creazione dei simboli, fare attenzione alla corretta denominazione degli elementi.
    I simboli possono essere aggiunti alla libreria dei simboli del progetto attivo anche nel Wizard già avviato importando un file XML.
  • Configurare le impostazioni ALC nelle proprietà di progetto.
    Configurare il comportamento dell´Automatic Line Coloring per il progetto in questione.

Configurazione nel Wizard

Configurare le seguenti impostazioni nel SSD Import Wizard:

  • Selezione di un file SSD.
  • Importazione o selezione dei simboli (facoltativo)
  • Selezione di un´immagine di zenon già progettata.
  • Selezione della posizione della didascalia.
  • Progettazione della dimensione di base (Global scaling factor) dei simboli.
  • Progettazione del fattore di ingrandimento di un elemento.

Ancora in questo capitolo

Preparazione dell´immagine di zenon

Elementi ad immagine - Progettazione conforme a ALC


Preparazione dell´immagine di zenon

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Configurazione nell'Editor -> Preparazione dell´immagine di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Preparazione dell´immagine di zenon

Dimensione dell´immagine

Il SSD Import Wizard ignora la dimensione configurata quando disegna l´immagine. I simboli vengono disegnati sulla base del Global scaling factor configurato e del contenuto del file SSD.

Nonostante questo, in fase di progettazione si dovrebbe fare in modo che l´immagine abbia una grandezza sufficiente. Questa dimensione può essere modificata e adeguata anche dopo la chiusura del Wizard.

Visualizzazione globale

Un´immagine per la quale si configura una dimensione maggiore a quella del modello, è una cosiddetta Visualizzazione globale. In questo tipo di visualizzazione si può spostare l´immagine con il mouse, oppure con i gesti touch.

Per navigare e per scorrere all´interno di visualizzazioni globali, si può usare un´immagine di tipo Supervisione globale, la gestione Touch e il mouse.

Velocità di configurazione

Chiudere l´immagine utilizzata nell´Editor mentre il SSD Import Wizard esegue il processo di disegno. Se l´immagine è aperta per la modifica nell´Editor, il processo di disegno automatico durerà molto più a lungo!


Elementi ad immagine - Progettazione conforme a ALC

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Configurazione nell'Editor -> Elementi ad immagine - Progettazione conforme a ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi ad immagine - Progettazione conforme a ALC

Ancora in questo capitolo

Elemento d´immagine CBR


Elemento d´immagine CBR

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Configurazione nell'Editor -> Elementi ad immagine - Progettazione conforme a ALC -> Elemento d´immagine CBR

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elemento d´immagine CBR

Configurare l´elemento d´immagine per il sezionatore (Circuit Breaker) sulla base dei seguenti requisiti:

Visualizzazione della configurazione nell´Editor di zenon

Esempi di visualizzazione nel Runtime di zenon:


Progettazione ALC

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione ALC

Configurare le impostazioni per il comportamento dell´ALC nelle proprietà di progetto:

  1. Per farlo, selezionare il progetto attivo nel Workspace.
  2. Selezionare il gruppo Automatic Line Coloring delle proprietà di progetto.
  3. Cliccare sul pulsante ...della proprietà Configurazione ALC,
  4. Si aprirà la finestra di dialogo di configurazione.
  5. Configurare le proprietà per:
    • Sorgenti ALC
    • Interblocchi
    • Marker immagine

info Info

Ulteriori informazioni relative alla configurazione si trovano nella guida dedicata all´Automatic Line Coloring (ALC), nel capitolo Configurazione.

Ancora in questo capitolo

Elemento Combinato


Elemento Combinato

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione ALC -> Elemento Combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elemento Combinato

Per una descrizione dettagliata rimandiamo alla story di Thomas Blankers (simboli d'immagine forniti con il prodotto).

Suggerimenti per la configurazione dei simboli utilizzati:

Nominare i simboli in modo corretto.

Configurare i simboli con l´aiuto dell´elemento combinato per i diversi stati ALC.

Configurare gli stati ALC con l´elemento combinato.

Descrizione breve.


Messaggio di avviso quando esiste già una progettazione.

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Messaggio di avviso quando esiste già una progettazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Messaggio di avviso quando esiste già una progettazione.

Dopo che sono state completate le configurazioni necessarie nel Wizard, si clicca sul pulsante Save e quanto è stato progettato viene disegnato sull´immagine di zenon scelta in precedenza.

Se questa progettazione viene eseguita in un´immagine che ha già dei contenuti propri, gli elementi contenuti in questa immagine vengono validati. Se uno degli elementi è già presente nell´immagine, viene visualizzato un dialogo di avviso che ne informa l´utente.

Se questa progettazione viene eseguita in un´immagine che ha già una progettazione propria, viene visualizzato un dialogo di avviso che ne informa l´utente.

Dialogo di avvertimento.

There are already [numero dei simboli] elements on [nome immagine]
Do you want to continue?

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

L´immagine viene ridisegnata se si conferma la finestra di dialogo cliccando sul pulsante OK. Nel corso di questo processo, le progettazioni già esistenti vengono sostituite. Se un elemento viene piazzato di nuovo nell´immagine durante il processo di disegno, viene visualizzato il seguente dialogo di avvertimento:

Confermare questa finestra di dialogo cliccando sul pulsante OK per continuare il processo di disegno.

Tipp Suggerimento

Se la nuova progettazione dell´immagine di zenon è stata iniziata involontariamente e il primo dialogo di avvertimento è stato confermato cliccando sul pulsante OK, è possibile sopprimere i singoli dialoghi successivi procedendo nel modo seguente:

  1. Nella finestra di configurazione, posizionare il cursore del mouse sul pulsante Cancel.
  2. Non confermare con un clic del mouse la finestra di dialogo che verrà visualizzata.
    Usare invece il tasto Ins.
  3. Tenere premuto il tasto Ins.
  4. Nello stesso tempo, cliccare con il mouse sul pulsante il Cancel.

Cancellare poi il contenuto dell´immagine di zenon e riavviate il SSD Import Wizard.


IEC850 Driver Configuration Wizard

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC850 Driver Configuration Wizard aiuta nella configurazione del reporting I RCB corretti possono essere selezionati in un´interfaccia grafica e assegnati tramite Drag&Drop al driver IEC850.

Le variabili che forniscono al driver l´IED usando gli RCB selezionati possono essere create nel Wizard. Anche driver IEC850 possono essere creati nell´Editor di zenon grazie a questo Wizard. . Questi vengono anche configurati nel Wizard sulla base di un file SCL esistente, per es. indirizzamento TCP/IP.

Esempio: un file SCD contiene la descrizione della sottostazione. Nell´Editor di zenon, tutti i driver IEC850 richiesti vengono configurati usando questo file SCD. Se il driver non esiste ancora nel progetto, lo si può creare nel Wizard.

Passo per passo, i contenuti di più file SLC (per es. ICD) possono essere trasferiti consecutivamente nella configurazione driver.

I passaggi di questa configurazione vengono eseguiti nel Wizard usando il Drag&Drop e il menù contestuale.

info Info

Il IEC850 Driver Configuration Wizard è disponibile solo in lingua inglese.

Requisiti:

  • Deve esserci un file SCL (*.scl, *.icd, *.cid, *.scd, *.ssd).

tutorial Informazioni sulla licenza

Per poter usare questo Wizard, si deve avere una licenza per il modulo Energy Edition di zenon.

Ancora in questo capitolo

Avviare il Wizard

Configuration

Menù contestuale

Lavorare con il Wizard


Avviare il Wizard

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC850 Driver Configuration Wizard viene installato automaticamente durante l´installazione standard della Energy Edition di zenon.

Aprire Wizard

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Energy.
  3. Cliccare qui su IEC850 Driver Configuration.

  4. Cliccare su OK.

    Il wizard si avvia con la pagina Configuration

info Info

L´IEC850 Driver Configuration Wizard è disponibile solo in lingua inglese.


Configuration

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si effettua la configurazione del driver IEC850:

Se nel progetto di zenon sono già configurati uno o più driver IEC850, questi verranno visualizzati nella parte destra della finestra di dialogo in una struttura ad albero. È possibile creare altri driver direttamente nel Wizard.

File selection

Selezione del file SCL. Cliccando sul comando ..., si aprirà la finestra di dialogo che consente di selezionare file.

  • Dopo essere stato selezionato, il file viene caricato nel Wizard. I contenuti del file vengono visualizzati nella sezione sinistra del Wizard, nella Lista di IEDs, in una struttura ad albero.
  • Durante il processo di caricamento, viene eseguita anche un´analisi dei contenuti del file. I contenuti non supportati verranno visualizzati nella finestra di anteprima.

Parametro

Descrizione

File name

Visualizzazione del file SCL selezionato.

Se si seleziona un file, il percorso completo viene visualizzato nel campo di visualizzazione. Quest´ultimo non può essere popolato in modo attivo.

Default: vuota

Quando si apre di nuovo il Wizard, viene preselezionato il file scelto per ultimo.

Nota: se il Wizard è stato già lanciato e il file selezionato in quel caso non esiste più, ci sarà un ritardo quando il Wizard sarà aperto di nuovo, oppure quando sarà selezionato di nuovo un file cliccando sul pulsante ....

Questo può succedere se il file in questione si trova su un computer della rete che non è più disponibile al momento.

Configuration

La visualizzazione si articola nelle seguenti sezioni:

  • Colonna a sinistra, con contenuti del file SCL selezionato. I contenuti vengono visualizzati in una struttura ad albero.
  • Pulsanti al centro, che corrispondono alla funzionalità Drag&Drop disponibile.
  • Pulsanti per la gestione delle configurazioni del driver.
  • Colonna a destra, con i contenuti dell´esistente configurazione del driver IEC850 del progetto corrente di zenon. I contenuti vengono visualizzati in una struttura ad albero.

Wizard - Suddivisione delle aree

Parametro

Descrizione

Liste di IEDs
[Contenuti file]

Nella colonna a sinistra vengono visualizzati in una struttura ad albero i contenuti del file SCL assegnato.

I contenuti già assegnati vengono visualizzati in color grigio.

Cliccando su [+] si espande la visuale.
Struttura nodi:

  • [Server IP-Adresse]_[IED-Name]
  • Reports
  • [RCB-Name]_[Dataset-Name]
  • [ClientLN.iedName]

Lista di driver
[Contenuti del progetto]

Nella colonna a destra vengono visualizzati tutti i driver IEC850 creati nel progetto e nel Wizard, con i loro collegamenti. I driver possono essere aggiunti o cancellati direttamente nel Wizard tramite il menù contestuale. I collegamenti vengono assegnati via Drag&Drop e possono essere cancellati usando il menù contestuale.

Default: Configurazione del driver IEC850 nell`Editor di zenon. Vuoto se in zenon non è stato ancora creato un driver IEC850.

Nota: nuove connessioni possono essere aggiunte a driver già impostati in zenon. Connessioni o driver già esistenti In zenon non possono essere cancellati.

Le impostazioni che non possono essere modificate mediante il Wizard sono visualizzate in color grigio.

Finestra di emissione

Testi dei LOG, testi di informazione e testi di stato per ilIEC850 driver configuration Wizard.

Pulsanti per la gestione delle configurazioni del driver.

Parametro

Descrizione

New Driver

Crea un nuovo driver.

Import Quality

Importa il modello per la matrice di reazione quality 850. Si può collegare questa matrice di reazione a variabili che corrispondono agli attributi dati */q[ST|MX].
Un file modello preconfigurato è fornito con il prodotto.

Percorso di salvataggio: %ProgramData%\COPA-DATA\zenon7.60\Templates\EnergyWizard\IEC_61850_Quality.XML

Nota: questo modello viene caricato in modo implicito nella finestra di dialogo Variables in Dataset.

Create Supervision Variable

Crea una variabile di monitoraggio della connessione nel progetto attuale di zenon.

Per questa variabile viene creata e collegata automaticamente una matrice di reazione.

Ulteriori informazioni su questo tema si trovano nella guida dedicata al Trend esteso, nel capitolo Differenze di visualizzazione dei metodi di dislocamento. Connection State-Variable.

Percorso di salvataggio: C:\ProgramData\COPA-DATA\zenon7.60\Templates\EnergyWizard\IEC_61850_Connection_State.XML

Attenzione: se il driver non esiste ancora nel progetto attuale, non sarà possibile creare la variabile di monitoraggio della connessione. Questo si verifica soprattutto quando un driver è stato già creato nel Wizard, ma non è stato ancora acquisito nella configurazione usando il pulsante Apply.

New Connection

Crea una nuova connessione con il server nella configurazione driver e apre la finestra di dialogo New connection per configurare la connessione stessa.

Ulteriori informazioni si trovano nel capitolo Gestisci connessione.

Nota: Disponibile solo se è stato selezionato un driver.

Import Variables

Apre la finestra di dialogo Variables in Dataset per creare le variabili presenti nel daset dei RCBs selezionati.

Queste variabili vengono create nel progetto attuale di zenon.

Gruppo pulsanti centrale

L´attribuzione di connessioni non avviene solamente via Drag&Drop, ma può essere effettuato anche mediante dei pulsanti. Usando i pulsanti, si possono acquisire nei parametri di configurazione del driver dei contenuti del file caricato. Nel corso di questo processo, il sistema tiene conto di quali contenuti sono stati già acquisiti. In questo modo si evita che uno stesso contenuto venga acquisito due volte.

Parametro

Descrizione

IEDs

Pulsanti per acquisire IED con le connessioni (Connections) e i report in essi contenuti in nuovi driver.

>

Accetta solamente IED selezionati nella configurazione del driver.

Nel corso di questo processo, viene creato un nuovo driver con la connessione all´IED selezionato.

>>

Accetta tutti gli IED disponibili come nuovi driver nella configurazione driver.

Connections

Pulsanti per acquisire IED con le connessioni (Connections) e i report in essi contenuti in driver esistenti.

I pulsanti di questa sezione sono abilitati solamente se nella lista dei driver è selezionato un driver. Questi pulsanti non sono a disposizione anche quando nel driver c´è un sottonodo selezionato.

>

Crea una connessione all´IED nel driver esistente.

>>

Accetta tutti gli IED disponibili come connessioni nel driver esistente.

Reports

Pulsante per accettare RCB in una connessione esistente.

I pulsanti di questa sezione sono abilitati solamente se nella lista dei driver è selezionata una Connection.

>

Accetta i RCB selezionati nella configurazione del driver.

>

Accetta tutti i RCB dell´IED nella configurazione del driver.

Chiudere la finestra di dialogo.

Parametro

Descrizione

Apply

Accetta le impostazioni. La finestra di dialogo rimane aperta ed è possibile eseguire altre configurazioni.

Nota: attivo solamente se nel Wizard ci sono delle modifiche della configurazione che non sono state ancora salvate.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Prima della chiusura del Wizard, viene visualizzata una finestra di dialogo contenente una richiesta di conferma.

Richiesta di conferma quando si clicca su Camcel

Parametro | Descrizione
OK | Il Wizard viene chiuso. Le modifiche non salvate andranno perdute.
Annulla | Cancella la chiusura del Wizard.


Menù contestuale

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono diverse versioni del menù contestuale. Il contenuto del menù contestuale dipende dalla posizione del nodo per il quale viene usato.

Menù contestuale

Parametro

Descrizione

Create all connections

Crea più driver IEC850 nuovi. Per ogni IED viene creato un nuovo driver.

Nuovi inserimenti corrispondenti vengono creati nella lista dei driver.

Nome driver: Il driver viene creato con il nome dell´IED.

Ulteriori informazioni si trovano nel capitolo Gestisci driver.

New Driver

Crea un nuovo driver IEC850.
Un nuovo inserimento viene creato nella lista dei driver.

Nome driver standard: Edit (deve essere modificato)

Ulteriori informazioni si trovano nel capitolo Gestisci driver.

Rema Supervision

Crea una variabile di monitoraggio della connessione e la collega alla matrice di reazione.

New Connection...

A seconda della posizione nella struttura ad albero, viene aggiunta una nuova connessione o un nuovo host:

  • Driver
    Crea una nuova connessione con il server nella configurazione driver e apre la finestra di dialogo New connection per configurare la connessione stessa.
    Ulteriori informazioni si trovano nel capitolo Gestisci connessione.
  • Connection o Report
    Crea un nuovo host nella configurazione driver e apre la finestra di dialogo New connection per configurare l´host.
    Ulteriori informazioni si trovano nel capitolo Gestisci host.

Edit

Apre il dialogo per la configurazione della connessione.. A seconda della posizione nella struttura ad albero, si possono modificare differenti configurazioni:

  • Driver
    • stabilisci il collegamento.
    • Impostazioni host
    • Impostazioni report
  • Connessione& nodo Report
    • Indirizzo di rete
    • Indirizzo IP
    • Nome della connessione

    Ulteriori informazioni si trovano nel capitolo Gestisci connessione.

  • Host
    • Impostazioni host

    Ulteriori informazioni si trovano nel capitolo Gestisci host.

  • Report
    • Impostazioni report

    Ulteriori informazioni si trovano nel capitolo Gestisci assegnazioni report.

Delete

Cancella i nodi selezionati senza richiesta di conferma.

Create Variables...

Creazione selettiva di variabili.
Apre la finestra di dialogo Variables in Dataset.

Create all Variables

Creazione di nuove variabili

Le variabili per tutti gli inserimenti dei dataset dei RCB vengono create nell´Editor di zenon.

Expand all

Tutti i nodi vengono estesi.

Collapse all

Tutti i nodi vengono ridotti.

Ancora in questo capitolo

Nodo - Inserimento nel menù contestuale


Nodo - Inserimento nel menù contestuale

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Menù contestuale -> Nodo - Inserimento nel menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nodo - Inserimento nel menù contestuale

Gli inserimenti del menù contestuale dipendono dalla posizione in cui viene aperto il menù. In questo capitolo si offre una visione generale di quali inserimenti di menù contestuale sono disponibili per i diversi nodi.

Lista degli IED

  • Non esiste un menù contestuale per la lista degli IED.

Lista dei driver

  • Nessuna selezione
    Le seguenti voci di menù contestuale sono disponibili quando non è selezionato nessun nodo:
    • New Driver
    • Expand all
    • Collapse all
  • Driver
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di un driver:
    • Create all Connections
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Verbindung (Connection)
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di una connessione:
    • New Driver
    • Rema Supervision
    • New Conncection...
    • Edit...
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Nodo report
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo report:
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit...
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Host
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di un host:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Report
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato un report:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables...
    • Expand all
    • Collapse all


Lavorare con il Wizard

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I passaggi di questa configurazione vengono eseguiti nel Wizard usando il Drag&Drop e il menù contestuale.

Invece del Drag&Drop, si possono usare anche i pulsanti.

Ancora in questo capitolo

Configurazione nel Wizard

Gestisci driver

Configuration

Gestisci host

Gestire assegnazioni report.

Finestra di dialogo - Variables in Dataset


Configurazione nel Wizard

Configurazione nel Wizard

Per configurare dei driver:

  1. Selezionare il file SCL desiderato.
    Per farlo, cliccare sul pulsante ... della voce File selection.
    I possibile file sono:
    • file SCD con la descrizione della sottostazione.
    • file ICD con la configurazione di singoli server IEC61850
    • Altri file: *.scl, *.cid, *.ssd

    Se il file selezionato non contiene tutti gli elementi richiesti, viene visualizzato un messaggio corrispondente nella finestra di emissione. Nel Wizard, la lista degli IED rimane vuota.

  2. Nella Lista dei driver, creare (se necessario) nuovi driver oppure host.
    Questo passaggio è facoltativo. Si può eseguire questa impostazione anche nella configurazione driver nell´Editor di zenon e poi riavviare il Wizard.
    Le modifiche effettuare nel Wizard verranno riprese nella progettazione Editor di zenon.
  3. Nella Liste di IED a sinistra, selezionare la connessione con il server desiderata.
    Trascinarla via Drag&Drop sul driver desiderato nella lista di destra.
  4. Nella Liste di IED a sinistra, selezionare i report desiderati.
    Evidenziare quei report che si vuole assegnare all´host di un driver.
    È possibile una selezione multipla.
  5. Trascinare i report scelti per Drag&Drop sul driver desiderato nella lista di destra.
    Quando si trascina la selezione su un host, questi report vengono accettati automaticamente nella lista del relativo host.
    Nota: l´assegnazione non sarà possibile se per una connessione non è stato creato ancora nessun host. Eseguire il passaggio nr. 2 e creare gli host corrispondenti usando il menù contestuale.

  6. Chiudere il Wizard cliccando sul pulsante OK.

Regole di assegnazione

Per quel che riguarda l´assegnazione dei report di un file ai driver di una configurazione di progetto in zenon vale quanto segue: ogni report di un file può essere assegnato ad un driver solo una volta in zenon.

Ogni report della Lista di IED, dunque, può essere assegnato solo una volta ad un host della Lista di driver. In caso di selezione multipla, i report già assegnati verranno ignorati quando si cerca di assegnarli di nuovo via Drag&Drop. Solo quelli non ancora usati verranno presi in considerazione e aggiunti al nuovo host.

Cancellare report

Per cancellare un report:

  1. Selezionare il report desiderato nel nodo dell´host cui questo è attribuito.
  2. Selezionare nel menù contestuale il comando Delete.
  3. L´attribuzione del report all´host viene rimossa.

Nota: in questo caso non è possibile una selezione multipla. È possibile selezione più report, ma ne verrà cancellato solo uno, quello selezionato per ultimo.

Accettare la configurazione driver nel progetto

Per accettare la nuova configurazione, cliccare sul pulsante OK oppure Apply.

  • Il sistema verifica la configurazione.
  • I nuovi driver vengono creati in zenon.
  • Le nuove connessioni vengono create in zenon.
  • Nella configurazione driver vengono create o aggiornate le configurazioni RCB.
  • Il risultato viene visualizzato nella finestra di emissione.

  • Cliccando sul pulsante OK si chiude il Wizard.


Gestisci driver

Gestisci driver

I driver IEC850 esistenti nel progetto attivo di zenon al momento dello start del Wizard, vengono visualizzati nel Wizard e possono essere configurati.

È possibile creare altri driver direttamente nel Wizard. I driver creati nel Wizard, ma non ancora trasferiti in un progetto di zenon premendo il pulsante Apply o OK, possono essere rimossi.

Aggiungere driver

Per aggiungere un driver:

  1. Selezionare nel menù contestuale della lista dei driver il comando New Driver.
  2. Il driver viene visualizzato nella lista con l´inserimento di default Edit.
    Questo inserimento rimane attivo finché non viene sostituito da una denominazione driver corretta.
  3. Assegnare un nome univoco.
    L´inserimento del nome driver viene analizzato dal sistema che verifica se è veramente univoco e se contiene caratteri validi. Se il driver esiste già o se nel suo nome ci sono dei caratteri non consentiti, si aprirà una finestra di dialogo di errore.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà creato in zenon.

Eliminare un driver

È possibile cancellare nel Wizard solo quei driver che sono stati creati direttamente nel Wizard stesso.. I driver esistenti di una progettazione nell´Editor di zenon sono visualizzati in color grigio e il comando Delete non è disponibile.
Per cancellare un driver:

  1. Selezionare il driver desiderato nella Lista dei driver.
  2. Selezionare nel menù contestuale il comando Delete.
  3. Il driver viene cancellato senza che il sistema faccia una domanda di sicurezza.

Nota: possono essere cancellati solamente i driver che non sono stati ancora creati in zenon.

Wizard e l´Editor di zenon

Se si modifica il nome di un driver nel Wizard, verrà creato un nuovo driver quando si clicca sul pulsante Apply.

Example Esempio

Nel IEC850 Driver Configuration Wizard si crea un nuovo driver.

Quando si clicca sul pulsanteApply nel Wizard, questo nuovo driver viene accettato nell´Editor di zenon.

Questo drver viene poi cancellato nel Wizard usando il menù contestuale. .

Avendo cliccato sul pulsante Apply, però, la configurazione è stata applicata nell´Editor di zenon.

Questo significa che il driver creato e cancellato nel Wizard verrà visualizzato nella lista dei driver quando si riavvierà il Wizard.

Finestra di dialogo di errore in caso di nome driver usato due volte

Se il nome driver è già in uso nella progettazione di zenon, verrà visualizzata la seguente finestra di dialogo:

Finestra di dialogo di errore in caso di caratteri non validi nel nome driver

Se si usano dei caratteri non validi nel nome di un driver, verrà visualizzata la seguente finestra di dialogo:


Configuration

Configuration

La connessione indica con quale server il driver stabilisce una connessione. Un driver può avere una connessione con più server.

Le connessioni possono essere create nel Wizard usando il menù contestuale, oppure trascinando contenuti via Drag&Drop. Queste connessioni possono essere modificate solo se sono state create nel Wizard.

Le configurazioni già esistenti nel driver devono essere modificate direttamente nelle impostazioni driver dell´Editor di zenon.

Aggiungere una connessione via Drag&Drop

Per aggiungere una connessione a un driver via Drag&Drop:

  1. Selezionare con un clic del mouse la connessione desiderata nella Lista degli IED (a sinistra).
  2. Trascinare questa connessione via Drag&Drop nella Lista dei driver sul driver desiderato.
  3. Nella lista dei driver verrà creato un nuovo sottonodo per la connessione selezionata.
    1. La denominazione di questo sottonodo verrà ripresa dalla Lista degli IED:
      [Net address]_[IP address]_[Name]
    2. In questo sottonodo verrà creato un nuovo sottonodo Reports.
    3. In questo sottonodo verrà creato un nuovo sottonodo Host 0.

info Info

I report già assegnati nella lista IED non verranno accettati e assegnati nel corso di questo processo. Verrà creata solamente la connessione corrispondente con un host vuoto.

Aggiungere una connessione via menù contestuale

Per aggiungere una connessione manualmente usando il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver desiderato per cui si vuole creare una nuova connessione.
  2. Selezionare nel menù contestuale del nodo del driver scelto il comando New Connection.
    Si aprirà la finestra di dialogo per la configurazione di una connessione.
  3. In questa finestra di dialogo si configura:
    1. Net address:
      Indirizzo di rete della connessione
    2. IP address:
      Indirizzo IP della connessione
    3. Name:
      Nome liberamente definibile della connessione. Viene usato per il nome delle variabili quando vengono importate delle variabili.
      Corrisponde alla proprietà Server name della configurazione driver.
  4. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella lista dei driver verrà creato per il driver selezionato un nuovo sottonodo per la connessione selezionata.
    1. Denominazione di questo sottonodo:
      [Net address]_[IP address]_[Name]
    2. In questo sottonodo verrà creato un nuovo sottonodo Reports.
  5. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Disponibilità e comportamento di "Cancella connessione" e "Modifica connessione"

È possibile cancellare o modificare nel Wizard solo quelle connessioni che sono state create direttamente nel Wizard stesso. I driver esistenti di una progettazione nell´Editor di zenon sono visualizzati in color grigio e i comandi Delete/Edit non sono disponibili.

Le connessioni esistenti nell`Editor prima dell´avvio del Wizard non vengono cancellate!

I comandi per cancellare e modificare sono disponibili solamente se:

  1. La Connection viene creata direttamente nel Wizard:
    1. tramite il menù contestuale
    2. è stata ripresa via Drag&Drop.

Cancellare connessione

Per cancellare una connessione:

  1. Selezionare l´inserimento connessione desiderato nella Lista dei driver.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Delete.
  3. La connessione viene cancellata senza una richiesta di conferma
    Anche tutti gli host e i report già assegnati a questa connessione vengono cancellati senza una richiesta di conferma.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Quando si riavvia il Wizard, tutte le connessioni saranno visualizzate in color grigio perché sono già create nell´Editor.

Modifica connessione

Per modificare una connessione tramite menù contestuale:

  1. Cliccare nella Lista dei driver sulla connessione desiderata che si vuole modificare.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione di una connessione.
  3. In questa finestra di dialogo si configura:
    1. Net address:
      Indirizzo di rete della connessione
    2. IP address:
      Indirizzo IP della connessione
    3. Name:
      Nome liberamente definibile della connessione. Viene usato per il nome delle variabili quando vengono importate delle variabili.
      Corrisponde alla proprietà Server name della configurazione driver.
    4. Confermare l´inserimento cliccando sul pulsante OK.
      La finestra di dialogo verrà chiusa. Le modifich verranno accettate nel Wizard.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Ancora in questo capitolo

Configuration


Configuration

Configuration

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione della connessione con il server IEC61850. Le proprietà non abilitate sono visualizzate in color grigio. Le configurazioni errate vengono visualizzate con un simbolo (punto esclamativo in un cerchio rosso) accanto al campo di inserimento.

Connection settings

Parametro

Descrizione

Net address

Corrisponde alla proprietà Indirizzo di rete/bus della configurazione delle variabili.

Nota: se il Net address è stato già assegnato nella configurazione driver, viene assegnato automaticamente il numero successivo disponibile.

Valore massimo: 65535

IP address

Indirizzo IP del server con cui deve essere stabilita la connessione.

Name

Nome attribuibile liberamente. Viene usato per il nome delle variabili quando vengono importate delle variabili.

Si raccomanda di attribuire nomi brevi, ma univoci.
Se questo nome viene letto da un file SCL, consiste di IED+LDevice. Questo nome può essere accorciato a piacere con questa proprietà.

Navigazione

Parametro | Descrizione
OK | Accetta le impostazioni e chiude il Wizard.
Cancel | Annulla tutte le modifiche e chiude il Wizard.


Gestisci host

Gestisci host

Un host è il nome del computer su cui viene avviato il driver nel Runtime di zenon.

Esempio:

  • Nome computer del server primario
  • Nome computer del Server-Standby

Host possono essere creati nel Wizard con il menù contestuale, oppure trascinando contenuti via Drag&Drop. Tutti gli host possono essere creati, modificati e cancellati nel Wizard. Queste modifiche effettuate nel Wizard vengono accettate nella configurazione driver dell´Editor di zenon.

Aggiungere host - Drag&Drop

Quando si aggiunge via Drag&Drop una connessione della lista degli IED a quella dei driver, viene creato un host.

Quando si crea una connessione via Drag&Drop, viene creato un inserimento neutrale per un host. Questo host viene creato di default con il nome Host0 nella lista dei driver sotto il driver rispettivamente selezionato.

Aggiungere host - Menù contestuale

Per aggiungere un host con il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver per cui si vuole creare un host.
  2. Espandere la struttura ad albero del driver finché non è possibile selezionare il livello Reports della connessione.
  3. Cliccare sul nodo Reports.
  4. Selezionare nel menù contestuale del nodo della connessione scelta il comando New Connection.
    Si aprirà la finestra di dialogo per la configurazione di un host.
  5. Configurare in questa finestra di dialogo il nome host:
    inserire il nome desiderato nel campo di inserimento Hostname (RT computer Name).
  6. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella lista Lista dei driver verrà creato un nuovo sottonodo per l´host.
  7. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, l´host verrà accettato nella progettazione dell´Editor zenon.

Cancellare host

Per cancellare un host:

  1. Selezionare l´host desiderato nella struttura ad albero della Lista dei driver.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo dell´host scelto, selezionare il comando Delete.
  4. L´host verra cancellato senza una richiesta di conferma.
    Verranno rimosse senza richiesta di conferma.anche tutte le assegnazioni report di questo host.
  5. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Modificare host

Per modificare un host utilizzando il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver per cui si desidera modificare un host.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo dell´host prescelto, selezionare il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione di un host.
  4. Modificare gli inserimenti esistenti nel campo di inserimenti Hostname (RT computer Name).
  5. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella Lista dei driver, l´host verrà visualizzato con il nuovo nome nel sottonodo corrispondente.
  6. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, l´host verrà accettato nella progettazione dell´Editor zenon.

Ancora in questo capitolo

Gestisci host


Gestisci host

Gestisci host

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione dell´host. Le proprietà non abilitate sono visualizzate in color grigio. Le configurazioni errate vengono visualizzate con un simbolo (punto esclamativo in un cerchio rosso) accanto al campo di inserimento.

Impostazioni dell´host

Parametro

Descrizione

Hostname (RT computer name)

Nome del computer su cui viene eseguito il driver che riceve i report.

  • Per i progetti standalone:
    Nome del computer su cui viene eseguito il Runtime di zenon.
  • Nella rete di zenon:
    Nome del computer del server o del Server-Standby del progetto.

Nota: non usare "localhost", ma il nome computer preso dal sistema operativo. .

L´Hostname non può essere vuoto se è stata configurata almeno una delle seguenti impostazioni.

Default: vuota

Client IED name

Nome IED del client IEC61850 nella forma in cui è indicato nel file SCD alla voce RCB.RptEnabled.ClientLN.

Questo campo di inserimento serve alla sola visualizzazione di informazioni e non può essere modificato nel Wizard. Per questo motivo il Client IED name è sempre visualizzato in color grigio in questa finestra di dialogo..

Ulteriori informazioni relative al "Client IED name" si trovano nel capitolo "Assegnazioni report" di questa guida.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Gestire assegnazioni report.

Gestire assegnazioni report.

I report possono essere assegnati ad un host via Drag&Drop. Host RCBs possono essere assegnati nel Wizard. L´host - un driver IEC850 che è stato avviato su un determinato computer - riconosce così quali RCB deve utilizzare.

Si può eseguire l´assegnazione anche usando il gruppo di pulsanti che si trova nella parte centrale della finestra del Wizard.

I RCB trasferiti da un file SCL possono essere assegnati, modificati e cancellati. Queste modifiche effettuate nel Wizard vengono accettate nella configurazione driver dell´Editor di zenon. Non vengono scritte nel file SCL.

Aggiungi report - Drag&Drop

I report possono essere trasferiti via Drag&Drop dalla Lista degli IED di una connessione alla Lista dei driver!

  1. Per farlo, selezionare il RCB desiderato nella struttura ad albero della Lista degli IED.
    Se necessario, espandere la struttura ad albero delle connessioni.
    È possibile anche una selezione multipla.
  2. Tenere premuto il tasto del mouse e trascinare via Drag&Drop i report selezionati nella Lista dei driver sull´host desiderato del driver in questione.
    L´assegnazione di report ad un driver è possibile solo se esiste almeno un host.

Report eliminato

Per assegnare un report ad un connessione:

  1. Selezionare il report desiderato nella struttura ad albero della Lista dei driver.
    Se necessario, espandere la struttura ad albero del driver.
    È possibile selezionare più inserimenti, ma viene modificato sempre solo quello che è stato selezionato per ultimo. Non è possibile modificare o cancellare più report contemporaneamente.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Delete.
  3. Il report viene cancellato senza una richiesta di conferma.
  4. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, la configurazione driver verrà accettata nella progettazione dell´Editor zenon.

Modificare report

Per modificare la configurazione di un report utilizzando il menù contestuale:

  1. Cliccare nella Lista dei driver sul report per cui si vuole modificare la configurazione dell´assegnazione.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo del report prescelto, selezionare il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione delle impostazioni del report.
  4. Modificare gli inserimenti esistenti nei campi di inserimenti Report settings.
  5. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa.
  6. Cliccando sul pulsanteApply oppure cliccando su OK al momento della chiusura del Wizard, la configurazione driver verrà accettata nella progettazione dell´Editor zenon.

Client IED Name - Denominazione host

Se nel file SCL è stata configurata un´istanza del RCB per unClient IED name, la denominazione host nella Lista dei driver viene estesa in modo corrispondente. Questo Client IED name non può essere modificato nel Wizard. Il Client IED name viene visualizzato fra due parentesi accanto al nome dell´host. Non è possibile configurare questo nome nel Wizard.

[Nome Host] (Nome del Client IED come configurato nel file SCL)

Example Esempio

Esempio di configurazione del Client IED name in un file SCL:

<RptEnabled max="4">

<ClientLN iedName="SCADA_Standby_CLIENT" ldInst="LD0" lnClass="ITCI" lnInst="1"/>

</RptEnabled>

Come previsto dalla Edition 2 dello standard, il client con il ClientLN name corrispondente è obbligato a utilizzare l´istanza del RCB se è definito così nel file SCL. I RCB di altri client devono essere evitati.

Non appena un report è stato assegnato ad un host con un ClientLN, l´host assume questo ClientLN name. A partire da questo momento, è possibile assegnare a questo host solamente report senza ClientLN, oppure con lo stesso ClientLN.

Ancora in questo capitolo

Finestra di dialogo - Gestisci report

Attributi RCB


Finestra di dialogo - Gestisci report

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Gestire assegnazioni report. -> Finestra di dialogo - Gestisci report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Finestra di dialogo - Gestisci report

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione dei report Le proprietà non abilitate sono visualizzate in color grigio.

Report Settings

L´aspetto della proprietà Use preconfigured (SCL) options dipende dai contenuti del file SCL. Ulteriori informazioni al proposito si trovano nel capitolo Attributi degli RCB.

Parametro

Descrizione

Use preconfigured (SCL) options

Attivo:

Il driver attiva un report senza sovrascrivere gli attributi dati del Il report è definito sulla base dei contenuti del file SCL del server. I seguenti attributi dati sono interessati:

  • IntgPd
  • BufTime
  • TrgOps
  • OptFields

Non attiva:

Il driver scrive gli attributi dati del RCB durante l´attivazione.

Trigger options

Potete attivare/disattivare le seguenti opzioni di attivazione indipendentemente l´una dall´altra:

  • TrgOp: data-change
  • TrgOp: quality-change
  • TrgOp: data-update
  • TrgOp: integrity
  • TrgOp: general-interrogation

Nota: non tutti i server supportano le TrgOps data-change e data-update contemporaneamente. Anche la TrgOp intergity può causare un sovraccarico inutile della comunicazione se è stato definito nel server per RCB un IntgPd (Integrity Period) troppo breve. In caso di dubbio, settare TrgOps: data-change + quality-change + general-interrogation.

Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.

Optional fields

Gli Optional Fields vengono scritti sul server quando si attiva un report. Questi corrispondono ai bit nell´attributo dati OptFlds del RCB.

Si raccomanda di attivare"Sequence number", "Data set name", "Reason for inclusion" e"Entry ID".

"Data set name" deve essere attivo, perché senza questa impostazione il driver non può analizzare i report ricevuti.

Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.

Time options

Parametro | Descrizione
Integrity period | Intervallo di tempo (IntgPd) in millisecondi in cui il server invia un Integrity Report. Nota: non attivo se TrgOp integrity è disattivata, oppure Use preconfigured (SCL) options è attiva. Visto che un Integrity Report normalmente non contiene nessuna modifica di valore, si raccomanda vivamente di attivare sul server solamente un report con TrgOp: integrity. Con un Integrity Report attivato, il server è in grado di rilevare più velocemente un errore di connessione. Tuttavia, zenon non ha bisogno di questo report. Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.
Buffer time | Intervallo di tempo (BufTime) in millisecondi in cui il server raccoglie i dati per un report. Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.

info Info

Una descrizione più dettagliata delle Trigger options si trova nella Documentazione driver IEC850, nel capitolo statically assigned RCB.


Attributi RCB

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Gestire assegnazioni report. -> Attributi RCB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Attributi RCB

Le proprietà RCB del file SCL vengono trasferite nella configurazione driver via Drag&Drop.
Nel corso di questo processo, il Wizard analizza la sezione "IED.Services.ReportSettings" del file SCL e verifica se esistono le seguenti opzioni:

  • optFields („Optional Fields")
  • bufTime („Buffer Time")
  • trgOps („Trigger options")
  • intgPd („Integrity period")

Si verifica anche se queste opzioni sono definite come dinamiche ("Dyn").

Se queste opzioni non sono definite nel file SCL, viene ripresa la definizione "fix" ("Fix").

Tutti gli attributi RCB sono dinamici

Se tutte le opzioni corrispondenti sono dinamiche ("Dyn"), la finestra di dialogo ha il seguente aspetto:

In questo caso, la proprietà "Use preconfigured (SCL) options" non è attiva.
Il testo della nota sottostante informa di questa cosa.

Attributi RCB non dinamici

Se le opzioni sono non solo "Dyn", ma anche "Fix" o "Conf", la finestra di dialogo ha il seguente aspetto:

In questo caso, la proprietà "Use preconfigured (SCL) options" è attiva e gli attributi RCB (Trigger options, Optional fields, Time options) non sono modificabili.
Il testo della nota sottostante fornisce informazioni su quali attributi RCB un client non deve sovrascrivere mentre attiva il report sul server.


Finestra di dialogo - Variables in Dataset

Manuale -> Wizards -> Temi -> Settore dell´energia -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Finestra di dialogo - Variables in Dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Finestra di dialogo - Variables in Dataset

Questa finestra di dialogo visualizza contenuti del dataset selezionato. I dataset selezionati sono quelli presenti nei RCB che sono stati assegnati al driver nel Wizard.

Questi contenuti possono essere filtrati e preselezionati.

Variabili per l´attuale progetto di zenon possono essere create sulla base di questa preselezione.

Filtro preliminare di variabili

Tutti i contenuti del dataset selezionato sono visualizzati nella finestra di anteprima in alto.

Se si clicca sui pulsanti, viene eseguito un filtro preliminare di quelle variabili che vengono trasferite nella Lista delle variabili da creare cliccando sui pulsanti add oppure add all. Non è possibile una combinazione di checkbox e del campo di inserimento.

Parametro

Descrizione

Functional Constraints (FC)

I contenuti del report vengono sottoposti ad un filtro preliminare sulla base dei Functional Constraints selezionati e visualizzati nella finestra di anteprima.

Il filtro preliminare viene attivato cliccando nella checkbox corrispondente. È possibile una selezione multipla.

Quality Variables

Checkbox per il filtro preliminare delle variabili Quality che corrispondono all´attributo dati */q[ST|MX].

Se questa checkbox è attiva, nella finestra di anteprima verranno visualizzate solamente le variabili Quality.

È possibile una combinazione con Functional Constraints (FC).

Variable Search

Campo di inserimento per testo filtro Nella finestra di anteprima in alto vengono visualizzate solamente variabili contenenti il testo digitato nel campo di inserimento.

Il filtro preliminare viene aggiornato in tempo reale già durante l´inserimento.

Pulsanti di azione

Parametro | Descrizione
Create | Nel progetto attuale di zenon vengono create delle variabili per gli inserimenti selezionati. Poi viene chiusa la finestra di dialogo.
Select all | Questo pulsante non ha nessuna funzione e non è utilizzato nella versione attuale del Wizard.
Cancel | Ignora tutte le modifiche e chiude la finestra di dialogo.

Finestra di anteprima - Lista delle variabili da creare

Nella parte bassa di questa sezione viene visualizzata un´anteprima di quei contenuti del dataset selezionato per cui vengono create variabili nel progetto attuale di zenon cliccando sul pulsante Create.

I contenuti possono essere accettati o rimossi dal filtro preliminare cliccando sui pulsanti.

Parametro | Descrizione
add | L´inserimento selezionato viene aggiunto alla Lista delle variabili da creare.
add all | Tutti gli inserimenti offerti (pre-filtrati) vengono aggiunti alla Lista delle variabili da creare.
remove | L´inserimento selezionato viene rimosso alla Lista delle variabili da creare.
remove all | Tutti gli inserimenti della Lista delle variabili da creare vengono rimossi.
Quality-REMA | Collegamento delle variabili ad una matrice di reazione Se attivata, la matrice di reazione Quality viene collegata a quelle variabili che corrispondono all´attributo dati */q[ST|MX].


Esportazione/Importazione

Manuale -> Wizards -> Temi -> Esportazione/Importazione

Wizard per l´export e l´import di dati.

Ancora in questo capitolo

FactoryLink Import Wizard

PDiag Import Wizard

WinCC Import Wizard

XML Export Wizard VSTA

XML Import Wizard


FactoryLink Import Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il FactoryLink Import Wizard importa progetti FaktoryLink- in una progettazione di zenon.

In questo processo vengono supportate i seguenti componenti FactoryLink:

  • Variabili
  • File grafici (*.bmp, *.png, *.gif, ecc.)
  • Templates (inclusi elementi standard)
  • Mimics (inclusi elementi standard)

info Info

L´attuale FactoryLink Import Wizard è stato realizzato per zenon 7.50 usando VSTA per FactoryLink 7.5. Questo Wizard sostituisce il precedente VBA FactoryLink Wizard.

Ancora in questo capitolo

Installare e aprire il Wizard

Progetto multiutente

Preparazione per l´esportazione dei dati di progetto da FactoryLink

Importazione progetto

Lista degli oggetti importabili


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il FactoryLink Import Wizard viene installato automaticamente durante l´installazione standard di zenon.

Visualizzazione del Wizard nell´Editor di zenon

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Aprire Wizard

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

    .

  2. Selezionare la cartella Export/Import.
  3. Cliccare qui su FactoryLink Import Wizard.

  4. Cliccare su OK.

    Il Wizard si avvia con la finestra iniziale.

info Info

Il FactoryLink Import Wizard è disponibile solo in lingua inglese.


Progetto multiutente

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´avvio del FactoryLink Import Wizard, il sistema analizza il progetto attuale. Se si tratta di un progetto multiutente, verrà visualizzato un dialogo di avvertimento.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Assicurarsi che questi requisiti siano soddisfatti prima di proseguire nell´esecuzione del Wizard.

Parametro | Descrizione
OK | Conferma il dialogo di avvertimento e avvia il Wizard con la Finestra iniziale Welcome.
Annulla | Chiude il Wizard senza una richiesta di conferma.

Requisiti

Si prega di tenere presente il fatto che, per un progetto multiutente, l´impostazione Rendi possibili le modifiche è attiva per i seguenti nodi dell´Editor di zenon:

  • Variabili
  • Immagini
  • Modelli

attention Attenzione

Se l´impostazione "Rendi possibili le modifiche" non è attiva, l´importazione non riuscirà.


Preparazione per l´esportazione dei dati di progetto da FactoryLink

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Preparazione per l´esportazione dei dati di progetto da FactoryLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´export di dati di progetto di FactoryLink deve avvenire nel programmaFactoryLink tramite il menù Display - Library Converter dell´applicazione ClientBuilder. Qui devono essere selezionate le "libraries" necessarie e tutti i contenuti del progetto da convertire.

Inoltre si deve garantire l´accesso alle bitmap usate nel progetto. Tutti i file devono rimanere nella struttura cartelle prevista e creata in FactoryLink .

Import di immagini e mimic da FactoryLink

attention Attenzione

Deve assolutamente essere selezionato ASCII come formato di destinazione delle immagini (Mimics).


Importazione progetto

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Importazione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ancora in questo capitolo

Welcome

Importa

Finestra di emissione

Importa


Welcome

Welcome

Quando si apre il Wizard, verrà visualizzata una pagina di informazioni generali che contiene un riassunto delle sue funzionalità.

Navigazione

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando sul comando Close il Wizard viene chiuso senza una richiesta di conferma. Le cartelle e i file creati in precedenza non vengono salvati.


Importa

Importa

Nella scheda Import si selezionano i file e le cartelle della progettazione FactoryLink.

I nomi fra parentesi corrispondono ai nomi dei file e delle cartelle di una progettazione FactoryLink standard. Cliccando sul pulsante "..." corrispondente, si apre una finestra di dialogo di selezione file.

Nota: non è obbligatorio selezionare tutte le cartelle e tutti i file.

Parametro

Descrizione

Language definitions (MLANG.DAT)

File contenente le informazioni relative alla lingua della progettazione FactoryLink.

L´indicazione di questo file è facoltativa per i contenuti multi-lingua di una progettazione FactoryLink.

Dopo che questo file è stato selezionato, si possono scegliere le lingue a disposizione nel menù a tendina Language for Import.

Un primo risultato dell´analisi viene visualizzato nella finestra di emissione dopo la selezione del file:

n languages found in the language file.

Default: vuota

FactoryLink Standard:

\FactoryLinkProjektName\Config Files\MLANG.DAT

(da FactoryLink Client Builder)

Variables (object.asc)

File per la definizione della(e) variabile(i).

Qui si selezionano le singole variabili. Il file object.asc contiene la definizione delle variabili utilizzate.

Default: vuota

FactoryLink Standard:

\FactoryLinkProjektName\Variables\asc\object.asc

(da FactoryLink Configuration Server - OPC Server Export)

Graphics (Bitmap Files)

Selezione della cartella per le grafiche utilizzate.

Default: vuota

FactoryLink Standard:

\FactoryLinkProjektName\Bitmap Files

(da FactoryLink Client Builder)

Templates (Templates Files)

Default: vuota

FactoryLink Standard:

\FactoryLinkProjektName\Template Files

(da FactoryLink Client Builder)

Mimics (Mimic Files)

Default: vuota

FactoryLink Standard:

\FactoryLinkProjektName\Mimic Files

(da FactoryLink Client Builder)

Import

Parametro

Descrizione

Language for import

Menù a tendina con le lingue a disposizione.

Il menù a tendina visualizza le lingue disponibili come definito nella proprietà Language definitions (MLANG.DAT). Il menù a tendina è vuoto se non è stato selezionato nessun file MLANG.dat.

Il numero delle lingue letto dal file non deve corrispondere necessariamente a quello disponibile nei Mimics/Templates per elementi di testo. Se la lingua scelta non è disponibile per elementi in un Mimic/Template, non sarà possibile importare quest´ultimo.

Default:

  • (vuoto)

    Se non è indicato nessun file MLANG.DAT.

  • DEFAULT

    Lingua (e)

    Se è indicato un file MLANG.DAT.

Nota: se non si seleziona nessun file di definizione lingua, oppure se si sceglie il valore "DEFAULT", le informazioni di testo multi-lingua non verranno prese in considerazione quando viene eseguita l´importazione.

Import

Avvia l´importazione dei dati dai file e dalle cartelle configurate.

Non attivo se si è indicato almeno un file oppure una cartella .asc.

Finestra di emissione

Nella finestra di emissione vengono visualizzati i risultati dell´analisi, gli errori e i passaggi dell´importazione.


Finestra di emissione

Finestra di emissione

Nella finestra di emissione vengono elencate le singole azioni eseguite dal Wizard.

Si può ordinare la lista cliccando sull´intestazione della colonna in questione. Cliccando una seconda volta si inverte la direzione dell´ordinamento.

Parametro

Descrizione

Simbolo azione

Simbolo grafico dell´azione:

Timestamp

Time stamp dell´azione eseguita dal Wizard.
Formato: GG.MM.AAAA hh:mm:ss

Source

Identificatore o origine dell´azione eseguita:

  • Import:
    :Descrizione dettagöliata dei singoli passaggi, per es.:
    • Adding file for import:
    • Starting the import of the Templates.
  • Screen creation:
    Passaggi dell´importazione di immagini di zenon.
  • Element creation:

    Note nella creazione di un elemento, per es.:

    • An Element with the name [Nome elemento] already exists in the screen [Nome immagine]
  • Graphics import:
    Ricerca all´interno della progettazione.
  • Languages:
    Analisi della definizione lingua (Language definitions)

Message

Descrizione breve dell´azione eseguita.

Simboli grafici

Parametro | Descrizione
 | Informazioni generali relative al passaggio attualmente eseguito dal Wizard.
 | Azione portata a termine con successo.
 | Simbolo di errore
 | Simbolo di avvertimento


Importa

Importa

Si prega di tenere presenti i seguenti punti in zenon quando si esegue un Wizard:

  • Per l´importazione di una progettazioneFactoryLink si raccomanda di creare nell´Editor un progetto nuovo, vuoto di zenon. In questo modo si eviterà già prima dell´importazione il problema di nomi di immagini e modelli presenti due volte.
  • Durante l´importazione non vengono sovrascritte le progettazione già esistenti nell´Editor di zenon! Se una progettazione esiste già, verrà visualizzato un inserimento corrispondente nella finestra di emissione.
  • Durante l´import, le variabili vengono mappate automaticamente sul driver interno del progetto di zenon.
    • In questo modo, prima si possono assegnare i tipi di dato a quelli disponibili del driver reale via selezione multipla.
    • Poi si può assegnare il driver reale alle variabili importate.
  • Se le variabili vengono rinominate nell´Editor di zenon, queste verranno di nuovo importate con il nome originale quando il Wizard verrà riavviato. .

attention Attenzione

Non vengono creati simboli di zenon.

Templates e Mimics:

Templates in FactoryLink non devono essere confusi con i modelli di zenon. FactoryLink Templates infatti, corrispondono ai templates per immagini in zenon. Il FactoryLink Import Wizard tratta i Templates e i Mimics nello stesso modo, e crea partendo da essi immagini e modelli (inclusi elementi standard) per la progettazione di zenon.

In questo processo vengono supportati i seguenti elementi:

  • Elemento di testo
  • Ellisse/Cerchio
  • Rettangolo
    (inclusi arrotondamenti)
  • Linea
  • Poligono
  • Bitmap
    (diventa un pulsate con grafica)


Lista degli oggetti importabili

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Lista degli oggetti importabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´importazione da progetti FactoryLink supporta i seguenti oggetti:

  • Variabili
    • Nome
    • Identificazione
    • Tipo di dato
  • Driver
    • Sempre interno - driver interno
  • Import e creazione di FactoryLink Templates e Mimics.
  • Import e creazione di elementi immagine statici:
    • Elemento di testo
    • Ellisse/Cerchio
    • Rettangolo
      (inclusi arrotondamenti)
    • Linea
    • Poligono
    • Bitmap
      (diventa un pulsate con grafica)
  • Import di testi MultiLang da elementi di testo (per elementi statici)


PDiag Import Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> PDiag Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon PDiag Import Wizard supporta l´import di messaggi PDiag. Questo wizard può servire anche come modello per estensioni individuali in questo contesto.

Il PDiag Import Wizard è disponibile solo in lingua inglese.

attention Attenzione

Questo Wizard non supporta la progettazione distribuita e non è utilizzabile nei progetti multiutente.

Ancora in questo capitolo

Requisiti

Impostazioni

Import di messaggi


Requisiti

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard importa un file XML esportato dal moduloSimatic Prozess Diagnose (PDiag). Questo processo di export può essere eseguito nel Simatic Manager/process diagnosis usando il punto di menù Diagnosi di processo | Export .

Il file XML creato in questo modo viene importato in zenon con il wizard. In questo processo di import, le variabili basate sul driver S7-TCP vengono create con il tipo di oggetto de Alarm-S. Ogni messaggio e ogni valore di accompagnamento corrispondono a una variabile di zenon.

Vengono importate solo variabili UINT come valore di accompagnamento. Nel corso di questa importazione, il sistema analizza il testo del messaggio alla ricerca degli identificatori Simatic PDiag "@1X%2d@", "@1X%3d@" e "@1X%4d@" e lo adatta a zenon. E´ possibile usare anche la tabella lingua per i testi dinamici. I testi al di fuori del Wizard devono essere trasferiti nella tabella lingua di zenon.

Questo Wizard importa anche i messaggi S7-Graph generati automaticamente da PDiag e che, perciò, sono contenute nel file XML.


Impostazioni

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Aprire il nodo Export/Import
  3. Selezionare PDIAG Wizard.
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la pagina di benvenuto.

Il Wizard ha le seguenti schede:

  • Welcome
  • Settings
  • Finish

Usando queste schede si esegue l´import del file XML.

Ancora in questo capitolo

Welcome

Settings

Finish


Welcome

Welcome

La cartella Welcome contiene una breve spiegazione relativa al funzionamento e ai requisiti del Wizard.

Per passare alla scheda Settings, cliccare sulla voce di menù Settings (in alto a sinistra), oppure sulla freccia che si trova in basso a sinistra.


Settings

Settings

Nella scheda Settings si eseguono le impostazioni per l´import.

Impostazione

Descrizione

Driver

Selezione del driver S7-TCP dal progetto attivo per il quale deve essere eseguita l´operazione di import.

PDIAG XML File

Selezione del file XML che deve essere importato.

Identification

Inserimento facoltativo per l´identificazione della variabile. Questo inserimento può essere utilizzato come criterio per filtrare la lista delle variabili.

Net Adress

Definisce l´indirizzo di rete per l´indirizzamento della variabile di zenon. Si prega di consultare la documentazione del driver per sapere qual è l´indirizzo di rete valido.

Alarm Group

Definisce il gruppo allarmi/eventi delle segnalazioni importate.

Attenzione: Il wizard non crea autonomamente nessun gruppo allarmi/eventi in zenon. Bisogna dunque crearle manualmente prima di eseguire l´import.

In IPA

Attivo: setta la proprietà Salva nel database IPA per le variabili. In questo modo i messaggi verranno trasmessi all´Industrial Performance Analyzer.

use Identification also as prefix for variable

Attivo: l´identificazione della variabile indicata nel Wizard viene usata come prefisso per il nome variabile delle variabili di allarme. Quest´opzione rende possibile l´assegnazione di nomi variabili univoci in progetti con più driver.

Get Alarm Class

Attivo: la priorità messaggio impostata nel Simatic Manager viene interpretata come una classe allarmi/eventi di zenon.

Attenzione: il Wizard non crea autonomamente nessuna classe allarmi/eventi in zenon. Bisogna dunque crearle manualmente prima di eseguire l´import.

Cliccando su Finish si avvia l´import. Questo pulsante è abilitato solamente nella scheda Finish. Cliccate sulla voce Finish del menù che si trova nella parte sinistra della finestra del Wizard, oppure sulla freccia in basso a sinistra.


Finish

Finish

Per avviare l´import, cliccare sul pulsante Finish.


Import di messaggi

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Import di messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´import vengono visualizzate delle note:

Dopo la conclusione dell´import, viene visualizzata un´informazione relativa al numero delle variabili che sono state importate.

Messaggi importanti

Messaggio | Descrizione
message text too long | Il testo di allarme è troppo lungo e verrà ridotto alla lunghezza consentita in zenon.
creating attribute variable for dynamic limit text | Oltre alla variabile di messaggio, viene creata anche una variabile di valore di accompagnamento per il testo dinamico Valore limite.


WinCC Import Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il WinCC Import Wizard importa parti selezionate di progetti WinCC nel progetto di zenon caricato al momento.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

L´importazione dei dati di progetti WinCC viene eseguito tramite due programmi:

  • WinCC Graphics Converter: esporta immagini, modelli e simboli da WinCC in un file XML
  • WinCC Import Wizard: importa
    • Blocchi dati (Structure TAG), TAG, allarmi e archivi direttamente
    • Immagini, modelli e simboli via file XML creati precedentemente con il WinCC Graphics Converter

Ancora in questo capitolo

Installazione

WinCC Graphics Converter

WinCC Import Wizard


Installazione

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter eseguire il WinCC Import Wizard, si deve in primo luogo installare tutte le componenti.

info Info

Attenzione: zenon NON dovrebbe essere intallato sullo stesso computer dove viene eseguito WinCC.

Installation WinCC Graphics Converter

Per poter accedere alle informazioni WinCC, si deve installare ilWinCC Graphics Converter localmente sul computer sul quale è attivo il progetto WinCC. Il Setup si trova sul supporto di installazione di zenon nella cartella \AdditionalSoftware\COPA-DATA WinCC Graphics Converter.

Dopo l´installazione, alla voce Start - Tutti i programmi - COPA-DATA - WinCC Graphics Converter si trova il tool di conversione per diverse versioni di WinCC. Avviare sempre solo il tool per la versione che si intende utilizzare.

info Info

Un requisito per utilizzare il convertitore è che .NET Framework 3.5 sia installato. Quando si installa il convertitore, il sistema verifica se il Framework è installato. Se questo manca, l´installazione viene terminata. In questo caso, prima installare .NET Framework 3.5 e poi riavviare l´installazione del convertitore.

Installare il Wizard per zenon 7.0 e versioni più recenti

Il Wizard viene installato automaticamente con l`Editor di <CD_PRODUCTAME>. Non sono necessarie altre impostazioni separate. Potete avviare subito il Wizard nell´Editor di zenon, usando la voce File- Wizards... e il nodo Export/Import.

Installazione del Wizard per zenon 6.51

Visto che il Wizard non è una componente di 6.51 SP0, per la sua installazione si devono eseguire i seguenti passaggi:

  • Installare anzitutto almeno la Build 6 di zenon 6.51. Si può richiedere la Build 6 al distributore della propria zona.
  • Installare il Wizard con il WinCC Graphics Converter. Questo Setup installa il WinCC Graphics Converter Tool e anche il Wizard, a patto che zenon 6.51 SP0 sia installato. Si può richiedere il setup al distributore della propria zona.
  • Dopo aver eseguito l´installazione, avviare l´Editor di zenon. Verrà visualizzata la finestra di dialogo per l´aggiornamento del Wizard. Quando si avvia l´aggiornamento, il Wizard viene aggiunto al workspace di VSTA.
    Se si vuole eseguire questo passo in un secondo momento, si può riaprire in qualsiasi momento questa finestra di dialogo nell´Editor di zenon usando il menù File -Aggiorna Wizard ... . .

  • Avviare l´Editor di VSTA nell`Editor di zenon usando il menù File - Apri Editor VSTA..., e selezionare nella finestra Project Explorer il nodo References. Nel menù contestuale, eseguire la voce Add Reference... per aggiungere due riferimenti mancanti:
    • MSDASC: nella finestra di dialogo Add Reference, passare alla scheda COM e aggiungere i componenti Microsoft OLE DB Service Component 1.0 Type Library al progetto.
    • ADODB: nella finestra di dialogo Add Reference passare alla scheda Browse. Passare alla cartella C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies e selezionare il file adodb.dll.

Nota: questo screenshot è a disposizione solamente in lingua inglese.

  • Adesso si può selezionare nella finestra Project Explorer dell´Editor di VSTA il nodo WorkspaceAddin e compilare l´add-in usando il comando Build del menù contestuale.

Non appena il processo di compilazione si è concluso con successo, il Wizard è a disposizione nell´Editor di zenon alla voce File - Wizards..., nella sezione Export/Import.


WinCC Graphics Converter

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Graphics Converter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il WinCC Graphics Converter consente di selezionare immagini, modelli e simboli in progetti WinCC e di esportarli come file XML.

info Info

Al momento possono essere creati file XML con progetti WinCC della versione 7.0 e 7.0 SP1.

Ancora in questo capitolo

Welcome

Select .pdl files

Select output folder

Convert


Welcome

Welcome

Con il WinCC Graphics Convert è possibile convertire file grafici WinCC (pdl) in un formato XML leggibile per il WinCC Import Wizard. Le informazioni grafiche esistenti vengono salvate insieme ai file XML come file PNG e WMF e salvate in una cartella selezionata.

Per eseguire il convertitore:

  1. Cliccare su Start.
  2. Passare a COPA-DATA -> WinCC Graphics Converter
  3. Avviare il WinCC Graphics Converter
  4. Seguire le istruzioni del Wizard.


Select .pdl files

Select .pdl files

In questa scheda si selezionano i file PDL che devono essere esportati dal progetto WinCC Projekt. Procedura:

  1. Cliccare sul pulsante Select .pdl files.
  2. Passare alla cartella di progetto che contiene i file PDL.

    Nota: il progetto WinCC deve essere caricato sul computer. altrimenti non sarà possibile selezionare questi file!

  3. Selezionare i file desiderati.

    Tutti i file PDL selezionati vengono visualizzati nella finestra di anteprima.


Select output folder

Select output folder

In questa scheda si seleziona la cartella in cui devono essere salvati i file esportati. Procedura:

  1. Cliccare sul pulsante Select output folder.
  2. Passare alla cartella in cui devono essere salvati i file esportati.
    Nota: si può anche creare una nuova cartella nel dialogo di selezione.


Convert

Convert

In questa scheda si esegue il processo di conversione.

Dopo aver eseguito l´export, copiare la cartella sul computer con il progetto zenon in cui i dati devono essere importati. Oppure fare in modo che il computer con il progetto zenon abbia accesso alla cartella di esportazione.


WinCC Import Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Import WinCC Wizard viene avviato tramite la finestra di dialogo "Wizard" dell´Editor e serve ad importare i seguenti elementi WinCC:

  • Importazione degli Screens (i file XML creati tramite il WinCC Graphics Converter vengono convertiti in modelli, immagini e simboli in zenon)
  • Importazione di WinCC TAG (solo S7 TCP)
  • Importazione di WinCC Structure TAG ( solo S7 TCP)
  • Importa Alarm Limits
  • Importa Archive TAGs

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Passare al nodo Export/Import.
  3. Selezionare il WinCC Import Wizard.

  4. cliccando su OK aprite il Wizard

Il Wizard è suddiviso in sezioni:

  • Welcome: Panoramica del Wizard.
  • Settings: Impostazioni per la connessione con il progetto WinCC. Dopo aver stabilito la connessione con successo, il sistema visualizza le schede per l´import diretto.
    • Data Blocks: Structure TAGs di WinCC
    • TAGs: TAGs di WinCC
    • Alarm Limits: Classi di allarmi e allarmi di WinCC
    • Archive TAGs: Dati archivio di WinCC
  • Screens: Importazione delle immagini di WinCC tramite il WinCC Graphics Converter

Ancora in questo capitolo

Welcome

Settings

Data Blocks

TAGs

Alarm Limits

TAG di archiviazione

Screens


Welcome

Welcome

La pagina di partenza del Wizard fornisce informazioni relative a tutti i seguenti passi del processo di importazione.

L´importazione diretta di dati è possibile solo dopo che la connessione con il progetto WinCC è stata correttamente configurata nella scheda Settings.


Settings

Settings

In questa scheda si configura la connessione con il progetto WinCC i cui dati devono essere importati.

Parametro | Descrizione
WinCC DB connection | Configurazione della connessione con la banca dati WinCC.
Connected with | Visualizzazione della connessione attiva.
Connect | Instaura la connessione.
New Connection | Apre il dialogo per la configurazione di una nuova connessione.
Driver selection (S7 TCP) | Configurazione del driver di zenon.
Driver | Selezione di uno dei driver di zenon offerti dalla lista a cascata.
Create new Driver | Apre la finestra di dialogo per la creazione di un nuovo driver.

attention Attenzione

Il progetto WinCC deve essere attivo oppure aperto nel WinCC Explorer del PC con cui viene instaurata la connessione; altrimenti non sarà possibile stabilire la connessione.

Configurazione della connessione

Per stabilire una connessione:

  1. Cliccate sul pulsante New connection
  2. Si aprirà la finestra di dialogo per configurare le impostazioni della connessione

  3. Nella scheda Provider , selezionare il provider Microsoft OLE DB Provider for SQL Server
  4. Nella scheda Connection:
    1. alla voce server name, inserire l´istanza del server SQL in cui si trova il progetto WinCC. Per esempio: HOSTNAME\WINCC
      Importante: l´istanza WinCC SQL Server (sqlsrv.exe) deve essere abilitata nel firewall.
    2. Alla voce logon information. inserire i dati di accesso. I dati di accesso devono essere prima creati con il SQL Server Management Studio nell´istanza di SQL Server.
      Importante: Attivate l´opzione Allow saving password
    3. Alla voce database selezionare il progetto Editor WinCC. Si tratta del nome della banca data senza il conclusivo _R
      Indicazione importante: il progetto deve essere caricato e attivo nell´Editor WinCC, altrimenti non è a disposizione nel server SQL.
    4. Testate la connessione.
  5. chiudete il dialogo di configurazione cliccando su OK.
  6. Successivamente si può stabilire una connessione con il progetto WinCC cliccando sul pulsante Connect nel Wizard.
  7. Selezionate un driver di zenon

Dopo che la connessione è stata instaurata con successo ed è stato selezionato un driver di zenon, verranno visualizzate le schede per l´import diretto.


Data Blocks

Data Blocks

In questa scheda si selezionano i blocchi dati visualizzati in WinCC Explorer alla voce Data Blocks e li si importa come tipi di dato in zenon.

I Data Blocks WinCC vengono raggruppati secondo driver e visualizzati in gruppi sulla base di Block-Type e Block-Name.

Per importare dei blocchi dati:

  1. Selezionare i blocchi dati desiderati
  2. Cliccate su Import Data Blocks

Risultato

Data Blocks in WinCC:

Tipi di dato in zenon


TAGs

TAGs

In questa scheda vengono selezionati e importati come variabili di zenon TAG (S7) visualizzati nel WinCC Explorer alla voce Tag Management . L´export può essere eseguito direttamente in zenon, oppure in un file CSV.

Per importare Tag:

  1. Selezionare i TAG desiderati
  2. Cliccare su Import Tags oppure Export to CSV

Risultato

Tag in WinCC:

Variabili in zenon:


Alarm Limits

Alarm Limits

In questa scheda vengono importati classi di allarmi e valori limite:

  • Import Alarm Classes:
    Importa classi allarmi in un progetto globale esistente
  • Import Alarms:
    Importa classi e gruppi allarmi nel progetto zenon locale e crea variabili per i valori limite.

Import Alarm Classes:

Importa classi allarmi da WinCC in in progetto globale in zenon. Il progetto globale deve essere già stato creato ed essere attivo in zenon.

Per importare delle classi di allarmi:

  1. Selezionare le classi allarmi desiderate
  2. Cliccate su Import Alarm Classes

Risultato

Classi allarmi in WinCC:

Classi allarmi in zenon:

Import Alarms

Con questa forma di importazione, tutti le classi e i gruppi allarmi vengono importati nel progetto zenon. I testi Limit di WinCC vengono sostituiti da variabili di valore limite.

Per importare degli allarmi:

  1. Selezionare gli allarmi desiderati
  2. Cliccate su Import Alarms

Risultato

Allarmi in WinCC:

Allarmi in zenon:


TAG di archiviazione

TAG di archiviazione

In questa scheda si possono selezionare ed importare TAG inseriti nel WinCC Explorer alla voce Tag Logging. L´import viene eseguito in uno dei due archivi creati nel progetto di zenon, BINARY o ANALOG.

attention Attenzione

I TAG vengono creati negli archivi di zenon solamente se sono stati precedentemente importati come TAG.

Per importare Tag di archiviazione:

  1. Selezionare i TAG di archiviazione desiderati.
  2. Cliccate su Import Archiv Tags

Risultato

TAG di archiviazione in WinCC:

Archivi in zenon:


Screens

Screens

In questa scheda vengono importati i file XML generati con il WinCC Graphics Converter nel progetto attivo di zenon. In zenon, i modelli, le immagini e gli elementi ad immagine standard vengono creati automaticamente sulla base delle informazioni salvate nel file XML, e sulla base dei file WMF e PNG salvati nella cartella.

Parametro | Descrizione
Lista file | Mostra tutti i file che si trovano nella cartella selezionata.
Select Folder | Apre la finestra di dialogo per selezionare la cartella con i file di importazione.
Select All | Seleziona tutti i file esistenti nell´immagine.
Import XML | Avvia l´importazione

Per importare immagini:

  1. Selezionare i file XML desiderati
  2. Cliccare su Import XML

Risultato

Immagini in WinCC:

Immagini in zenon:

Quali elementi ad immagine WinCC vengono creati automaticamente nell´Editor di zenon?

Elementi ad immagine standard

  • Line
  • Polygon
  • Polyline
  • Ellipse
  • Circle
  • Elipse Segment
  • Pie Segment
  • Elipse Arc
  • Circular Arc
  • Rectangle
  • Rounded Rectangle
  • Static Text

Tube Objects

  • Polygon tube
  • T-piece
  • Double T-piece
  • Tube bend

Smart Objects

  • I/O Field
  • Graphic Object
  • Windows Objects
  • Button

Per tutti gli altri oggetti WinCC viene creato in zenon un segnaposto.

Gestione degli errori

Gli errori che si verificano durante l´import di immagini vengono visualizzati nella finestra di emissione di zenon quando si creano i file Runtime.

Messaggio di errore | Gestione degli errori
Il simbolo "non può essere trovato nella libreria dei simboli"! | Nell´immagine è stato posizionato un segnaposto che sostituisce gli elementi non interpretabili. Background: per ogni elemento non interpretabile viene creato un simbolo nell´immagine mediante il Wizard. Questo, però, non si trova nella libreria dei simboli. Grazie al messaggio di errore, si ha la possibilità di verificare se in un´immagine ci sono ancora degli elementi (segnaposto) da rielaborare.
WRN:(FDV_RECETTE_TUNNEL_TPOS_DETAILS_FOU2->(ZONE_CNS0)Variable: could not be found in the project! | Contrassegna i nomi di variabili salvati in WinCC in I\O Field Element, ma non ancora creati (anche in WinCC) come variabili.


XML Export Wizard VSTA

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il Wizard XML Export si esportano tutti i moduli desiderati di un progetto in una cartella scelta liberamente. Per ogni modulo viene creato un file XML proprio.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

il Wizard è a disposizione solamente in lingua inglese.

Ancora in questo capitolo

Avviare il Wizard

Selezionare i file XML

Esporta


Avviare il Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Export/Import.
  3. In questa cartella, selezionare XML Export Wizard.
  4. Cliccare su OK.

    Il Wizard si avvierà con la pagina di benvenuto e visualizzerà:

    • Una breve introduzione
    • La versione di zenon
    • Il nome del progetto dal quale si esegue l´operazione di export
    • Project-GUID
    • Il percorso di progetto

    • Il tasto freccia porta da un passaggio all´altro della configurazione del Wizard.
      Si può anche cliccare su una scheda per aprire la finestra di configurazione corrispondente.
    • Per attivare il pulsante Export, deve essere aperta la pagina Export XML progress


Selezionare i file XML

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Selezionare i file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare quali moduli del progetto devono essere esportati:

  • Cliccare su Select Directory per definire la cartella da usare per l´ Export.
  • Selezionare, attivando le checkbox, i moduli e gli elementi che devono essere esportati (se necessario, scorrere verso il basso)


Esporta

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare l´esportazione:

  • Cliccate sul pulsante Export
  • Vengono esportati i moduli desiderati.
  • La finestra di emissione mostrerà quali moduli vengono esportati con successo.
  • Il Wizard si chiude automaticamente 3 secondi dopo la fine dell´operazione di export


XML Import Wizard

Manuale -> Wizards -> Temi -> Esportazione/Importazione -> XML Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard aiuta ad eseguire l´importazione di variabili, funzioni, immagini o di script da un file XML.

attention Attenzione

Questo Wizard non supporta la progettazione distribuita e non è utilizzabile nei progetti multiutente.


Language Table

Manuale -> Wizards -> Temi -> Language Table

Wizards per il cambio lingua

Ancora in questo capitolo

Language Table Wizard

Language Translation Wizard

System Text Wizard


Language Table Wizard

Manuale -> Wizards -> Temi -> Language Table -> Language Table Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard

  • Cerca nel progetto attivo i testi traducibili o le parole chiave (testo contrassegnato da un @).
  • Scrive le parole chiave trovate.
    • O nella tabella lingua selezionata del progetto attivo, oppure,
    • Nel progetto globale.

Per esigenze di riferimento, deve essere selezionata almeno una tabella (ZENONSTR.TXT) per l´importazione.

Se vengono trovati testi senza il segno @, è possibile impostarli come parole chiave nel progetto. Per farlo, si dovrà digitare un @ all´inizio del testo.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Il "Language Table Wizard" sostituisce il vecchio Language Change Wizard (VBA).

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Settings

Finish


Avviare il Wizard

Manuale -> Wizards -> Temi -> Language Table -> Language Table Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard può essere selezionato direttamente nella finestra di dialogo che consente di lanciare i Wizard.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì Language Table Wizard

  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Wizards -> Temi -> Language Table -> Language Table Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Per navigare all´interno del Wizard, si può o cliccare sulle singole schede, oppure avanzare step by step cliccando sui tasti freccia.

Per chiudere il Wizard, cliccare su Cancel .


Settings

Manuale -> Wizards -> Temi -> Language Table -> Language Table Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Import options

Nel gruppo "Import options" si può selezionare quanto segue:

  • Se i testi esistenti devono essere sovrascritti nella tabella lingua selezionata,
  • Se i testi traducibili trovati devono essere settati come parole chiave nel progetto (in questo caso i testi verranno contrassegnati nel progetto con una @) e
  • Se le tabelle lingua del progetto globale devono essere utilizzate o no.

Select language tables

Nel gruppo "Select language tables", a seconda dell´impostazione dell´opzione „Add keywords to lanaguage table global project", vengono visualizzate le tabelle lingua del progetto attivo, oppure quelle del progetto globale. La parola chiave viene inserita come testo nelle tabelle lingua selezionate. Deve essere selezionata almeno una tabella!

Project options

Nel gruppo „Project options" è possibile selezionare quali testi o parole chiavi rilevanti per il processo devono essere ricercati.

Screen elements

Nel gruppo "„Screen elements" è possibile selezionare quali elementi d'immagine devono essere analizzati.


Finish

Manuale -> Wizards -> Temi -> Language Table -> Language Table Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si può avviare la ricerca di testi traducibili e parole chiave.

Per avviare la ricerca, cliccare sul pulsante Finish.

I testi traducibili vengono cercati e scritti nelle tabelle lingua selezionate secondo le impostazioni definite nella scheda "Settings".


Language Translation Wizard

Manuale -> Wizards -> Temi -> Language Table -> Language Translation Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard serve per la preparazione dei dati per il Project Translation Interface, uno strumento di traduzione.

Vengono elaborati tutti i dati rilevanti per la traduzione e poi compressi in un file ZIP. Questo file ZIP potrà poi essere decompresso nella Procect Translation Interface e le tabelle lingua potranno poi essere modificate e/o integrate. Dopo aver eseguito le modifiche, il file ZIP può essere caricato nel Wizard e le tabelle lingua modificate possono essere reimportate nel progetto.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Il Language Translation Wizard è incluso anche nelle Project Translation Interfaces (a pagamento).

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Esportazione

Import


Avviare il Wizard

Manuale -> Wizards -> Temi -> Language Table -> Language Translation Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì Language Translation Wizard
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Wizards -> Temi -> Language Table -> Language Translation Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Per chiudere il Wizard, cliccare su Cancel .


Esportazione

Manuale -> Wizards -> Temi -> Language Table -> Language Translation Wizard -> Esportazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguendo l´esportazione, il Wizard analizza tutti i testi di elementi d'immagine, di limits e di altri oggetti di progetto, che sono contrassegnati come testi traducibili tramite il simbolo @.

Questi testi vengono inseriti in file XML ed esportati con le tabelle lingua selezionate in un file ZIP. Inoltre, di ogni immagine del progetto viene generato uno screenshot, che viene inserito nel file ZIP. Il file ZIP contiene anche le liste caratteri del progetto selezionato, e quelle del progetto globale.

Pulsante | Descrizione
Zip Name: | Nome del file di esportazione.
C:\ | Percorso di salvataggio del file di esportazione. Cliccando sul pulsante ..., si apre il browser file ("Cerca cartella") che consente di scegliere una cartella dove salvare il file di esportazione.
Liste Sprachdateien | Campo lista con possibilità di selezione, in cui sono visualizzati tutti i file lingua esistenti nel progetto.
Select all | Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.
Export | Esporta i dati nella cartella di destinazione. È attivo solamente se sono state selezionate una o più tabelle lingua.
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Freccia a destra | Passa alla prossima scheda nel processo di configurazione del Wizard.
Cancel | Chiude il Wizard senza eseguire l´esportazione.

attention Attenzione

I seguenti caratteri speciali non possono essere usati nel nome immagine:
: / \ * < >

Questi caratteri speciali vengono rimossi e sostituiti da un numero progressivo.


Import

Manuale -> Wizards -> Temi -> Language Table -> Language Translation Wizard -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda del Wizard si seleziona il file ZIP da importare.

Pulsante | Descrizione
... | Percorso di salvataggio del file di importazione. Cliccando sul pulsante ..., si apre il browser file che serve alla selezione di una cartella.
Lista file lingua | Campo lista (con possibilità di selezione) dei file lingua tradotti da importare.
Select all | Seleziona tutti gli inserimenti della lista e attiva le relative Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le relative Checkbox.
Import | Importa le tabelle lingua selezionate nell´attuale progetto di zenon. È attivo solamente se sono stati selezionati uno o più file lingua.
Freccia a sinistra | Torna una scheda indietro nel processo di configurazione del Wizard.
Cancel | Chiude il Wizard senza eseguire l´importazione.

attention Attenzione

Quando si aggiunge un nuovo file lingua in zenon 6.51, deve essere eseguito un reload del progetto nel workspace dopo la chiusura del Wizard.

A partire dalla versione 7.00 SP0, invece, i file lingua vengono aggiornati automaticamente.


System Text Wizard

Manuale -> Wizards -> Temi -> Language Table -> System Text Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il "System Text Wizard" consente di importare testi di sistema nella tabella lingua. I testi di sistema sono testi del Runtime, che vengono usati in zenon in dialoghi e menù, e che non possono essere modificati dall´utente. Per rendere traducibili anche questi testi predefiniti da zenon, li si deve anzitutto importare in una tabella lingua usando questo Wizard. Il numero delle parole chiave e dei testi importati può essere limitato usando un´opzione nel Wizard.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Ancora in questo capitolo

Avviare il Wizard

Finestra iniziale

Settings

Finish


Avviare il Wizard

Manuale -> Wizards -> Temi -> Language Table -> System Text Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Language Table.
  3. Selezionare lì System Text Wizard.
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la Pagina di benvenuto.


Finestra iniziale

Manuale -> Wizards -> Temi -> Language Table -> System Text Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il Wizard, verrà visualizzata una pagina "Panoramica" con una documentazione sul Wizard in lingua inglese.

Per navigare all´interno del Wizard, si può o cliccare sulle singole schede, oppure avanzare step by step cliccando sui tasti freccia.

Per chiudere il Wizard, cliccare su Cancel .


Settings

Manuale -> Wizards -> Temi -> Language Table -> System Text Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda „Settings" vengono riassunte le impostazioni per l´importazione dei testi di sistema.

Project settings

Opzione

Descrizione

Overwrite existing language table
  • Attiva: i testi con parole chiave esistenti verranno sovrascritti.

Add keyword to language table global project
  • Attiva: i testi di sistema verranno scritti nella tabella lingua del progetto globale.
  • Non attiva: i testi di sistema verranno scritti nella tabella lingua del progetto locale.

Select keyword language

Selezione della lingua per le parole chiave da un menù a tendina.

Select language

Selezione delle lingue e del file lingua corrispondente. Sono disponibili le lingue supportate da zenon.

Per selezionare una lingua:

  1. Attivare la Checkbox che si trova davanti alla lingua desiderata.
    Una selezione multipla è possibile.
  2. Selezionare nel menù a tendina il file lingua corrispondente.
    Attenzione: il file lingua deve essere già stato progettato in zenon.

Select category

Selezione dei moduli e delle funzionalità per cui devono essere importati i testi di sistema. Per selezionare un oggetto, attivare la checkbox che si trova davanti all´oggetto desiderato.


Finish

Manuale -> Wizards -> Temi -> Language Table -> System Text Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si avvia l´operazione di importazione.

Per avviare l´importazione, cliccare sul pulsante Finish.
Quando si chiude il Wizard, si può salvare la configurazione impostata, in modo tale da poter riutilizzare le stesse impostazioni quando si riavvierà l´assistente.


Metering Point Administration - Amministrazione punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wizard per la progettazione di punti di misurazione nell´Editor.

info Info

Questa documentazione contiene anche delle informazioni relative all´utilizzo del modulo Amministrazione punti di misurazione nel Runtime di zenon.

Ancora in questo capitolo

Amministrazione punti di misurazione


Amministrazione punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´amministrazione punti di misurazione è uno strumento che serve alla gestione di dati tecnici e all´amministrazione di punti di misurazione.

  • Nell´Editor di zenon, la progettazione viene eseguita usando il Metering Point Administration Wizard.
  • Per la visualizzazione a Runtime, si deve configurare nell´Editor un corrispondente elemento ActiveX in una qualsiasi immagine di zenon.
  • A Runtime si possono assegnare contatori a punti di misurazione, li si può sostituire e si può correggere (manualmente) valori.
  • Esiste anche la possibilità di trasmettere a Runtime inserimenti di archivi sorgente esistenti ad un archivio di destinazione mediante un processo di convalida.

Il Wizard è disponibile in inglese, in tedesco e in rumeno.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Ancora in questo capitolo

Generali - Progettazione

Installa ed apri l´amministrazione punti di misurazione.

Wizard - Dialogo Start

Wizard - Metering Point Administration

Configurazione nell´Editor di zenon:

Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Componenti zenon Logic dell´amministrazione punti di misurazione.


Generali - Progettazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Generali - Progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare l´amministrazione punti di misurazione, è necessario eseguire i seguenti passi di configurazione:

  1. Configurate le variabili nell´Editor di zenon.
    Nota: variabili corrispondenti per valori relativi possono essere create anche direttamente nel wizard.
  2. Configurate degli archivi nell´Editor di zenon.
    Nota: Gli archivi possono essere creati anche direttamente dal wizard.
  3. Nell´Editor di zenon, avviare il Wizard Metering Point Administration.
  4. Impostate nel wizard punti di misurazione e contatori.
    Nota: i contatori possono essere impostati anche nel Runtime.
  5. Nel wizard, assegnate ai punti di misurazione le variabile di valore assoluto e di valore relativo provenienti dagli archivi.
    Nota: i valori relativi possono essere calcolati anche automaticamente.
  6. Progettate un´immagine nell´Editor di zenon.
  7. Collocate un elemento ActiveX in questa immagine di zenon.
  8. Nel Runtime, assegnate i contatori ai punti di misurazione corrispondenti.
  9. Se necessario, inserite i valori attuali per i punti di misurazione manuali nel Runtime per i contatori.


Installa ed apri l´amministrazione punti di misurazione.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Installa ed apri l´amministrazione punti di misurazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´amministrazione punti di misurazione viene installata automaticamente come parte dell´installazione standard di zenon.

Aprire Wizard

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Metering Point Administration.
  3. Cliccare qui su Metering Point Administration.

  4. Cliccare su OK.


Wizard - Dialogo Start

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Dialogo Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard Metering Point Administration si avvia con una schermata di benvenuto in lingua inglese.

Quando si avvia l´amministrazione punti di misurazione nell´Editor di zenon, il sistema verifica prima di tutto se il workbench di zenon Logic è aperto. Per evitare delle configurazioni errate, il sistema invita l´utente a chiudere il workbench di zenon Logic. Non è possibile avviare il Wizard se il workbench è aperto!

  • Per proseguire, cliccate sul pulsante Metering Point Administration.
    La finestra passa al dialogo di configurazione per l´amministrazione punti di misurazione.
  • Cliccando sul comando Exit si chiude il wizard.


Wizard - Metering Point Administration

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver confermato la finestra di start del Wizard, iniziare la configurazione dell´amministrazione punti di misurazione. La configurazione inizia con la scheda Database.

Prima di tutto vengono caricati tutti i progetti di zenon attivati del workspace e i database corrispondenti. Lo stato di avanzamento di questo processo viene visualizzato mediante un´apposita barra.

Se sono state già salvate delle impostazione per database, al momento dell´apertura del wizard il sistema prova automaticamente ad instaurare una connessione. Se questo tentativo ha successo, si passa subito alla scheda punti di misurazione. Se il tentativo d´instaurare un connessione fallisce, invece, compare una segnalazione d´errore.

La navigazione a schede avviene cliccando sul titolo della scheda.

Nel menù a tendina si può selezionare la lingua in cui verrà visualizzato il Wizard; le lingue disponibili sono tedesco e inglese e rumeno.

Parametro

Descrizione

Banca dati

Scheda con le impostazioni della necessaria connessione ad un database.

Metering Points (Punti di misurazione)

Scheda per la creazione e la gestione di punti di misurazione nell´Editor di zenon.

Ad ogni punto di misurazione vengono assegnati archivi e variabili corrispondenti.

Contatori

Scheda per la creazione e la gestione di contatori.

Lingua di visualizzazione

Menù a tendina per la selezione della lingua da usare per la visualizzazione del wizard:

  • Deutsch
  • English
  • Româna

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Info
Le impostazioni modificate nel Wizard vengono salvate nel profilo user del sistema operativo e caricate nel momento in cui lo stesso utente riavvia il sistema.

Ancora in questo capitolo

Database

Metering Points (Punti di misurazione)

Meter

Progetto multiutente.


Database

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Database

In questa scheda configurate le impostazioni della connessione ad una banca dati.

Parametro

Descrizione

Database Host (Host banca dati)

Lista a cascata che serve alla selezione del server del database.

Selezionate, per esempio, il vostro computer in questo campo. Nota: Quando aprite questa scheda, il vostro computer viene visualizzato come selezione di default.

Autenticazione

Lista a cascata che serve alla selezione del metodo di login:

  • Windows Authentication (Default):
    Il login nella banca dati avviene usando le informazioni dell´utente registrato sul calcolatore locale.
  • SQL Server Authentication:
    Il nome utente e la password devono essere inseriti manualmente. Per effettuare il login nella banca dati bisogna disporre delle relative informazioni.

User name

Nome utente per il login in una banca dati.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Password

Password per effettuare il login in una banca dati.
Per ragioni di sicurezza, quando si digita la password ogni lettera viene visualizzata per mezzo di *.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Connect (Connetti)

Instaura la connessione con il server di banca dati configurato.

Se non dovesse essere possibile instaurare una connessione (ad es., per inserimento di un nome utente o/e di una password erronei), il sistema provvede a visualizzare una finestra di dialogo che informa dell´errore commesso.

Visualizzato in color grigio (disattivato) se esiste già una connessione al server di database.

Disconnetti

Interrompe una connessione esistente con un server di database.

Visualizzato in color grigio (disattivato) se non c´è nessuna connessione attiva.

Database Name (Nome dal Database)

Menù a tendina per la selezione di un database.

Questa lista mostra tutte le banche dati disponibili del server di database configurato alla voce Datenbank-Host.

Se questa lista è vuota, non esiste nessun collegamento ad un server di banca dati, oppure nessuna banca dati SQL è disponibile sul computer selezionato.

Start configuration (Avvia la configurazione)

Si passa alla scheda Metering Points (punti di misurazione).

Se al momento non esiste una connessione con una banca dati, cliccando sul pulsante Start configuration viene stabilito automaticamente un collegamento utilizzando le informazioni di login che sono già state inserite.

Se questo inserimento è errato o incompleto, non è possibile modificare altre impostazioni nelle schede Metering Points (Punti di misurazione) e Meters (Contatori). Per poterlo fare, si deve sempre avere una connessione con una banca dati!

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Info
Se esiste già una connessione ad una banca dati, tutti i campi di inserimento vengono visualizzati in color grigio (disattivati).

Ancora in questo capitolo

Banca dati - valutazione e adattamento

Industrial Maintenance Manager. Compatibilità


Banca dati - valutazione e adattamento

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Database -> Banca dati - valutazione e adattamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Banca dati - valutazione e adattamento

Se si instaura una connessione ad una banca dati, il sistema effettua immediatamente un´analisi della struttura di questo database. Le tabelle necessarie per l´amministrazione punti di misurazione vengono create automaticamente, se necessario. La validazione viene effettuata nell´Editor e nel Runtime.

Se sono necessari degli aggiustamenti alla banca dati esistente, venite informati tramite una finestra di dialogo. Questo dialogo appare solo se sono necessarie delle modifiche.

Finestra di dialogo di valutazione

  • Confermate questa finestra di dialogo cliccando su Sì se deve essere adattata e modificata la banca dati con le tabelle corrispondenti.
  • Annulla chiude la finestra di dialogo. Non viene effettuata nessuna modifica nella banca dati. Non sarà dunque possibile configurare di punti di misurazione. Il wizard passa alla scheda Banca dati.

Validazione degli archivi.

Una validazione viene effettuata al momento dello start - Gli errori vengono visualizzati.

Se si verifica un problema durante il processo di validazione degli archivi, il sistema provvede a segnalarlo mediante un simbolo di color rosso che appare accanto all´elemento problematico. Una descrizione dettagliata del problema la potete avere in forma di tooltip, che ottenete muovendo il mouse sul simbolo rosso di cui sopra.

Esempio di visualizzazione - Runtime


Industrial Maintenance Manager. Compatibilità

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Database -> Industrial Maintenance Manager. Compatibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Industrial Maintenance Manager. Compatibilità

La funzionalità dell´Industrial Maintenance Manager (IMM) può essere usata per i contatori dell´amministrazione punti di misurazione. L'IMM serve alla gestione dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficace gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Inoltre vengono creati protocolli in cui si trovano i dati relativi a quali lavori di manutenzione sono stati effettuati in passato.

Al momento del controllo della banca dati, il sistema verifica i nomi tabella di una configurazione IMM esistente. Se necessario, questi nomi vengono adattati, dopo che il sistema ha richiesto una conferma all´utente.

  • Confermate questa finestra di dialogo cliccando su Sì quando i nomi tabella devono essere modificati e adattati.
  • Se si clicca su No, la finestra di dialogo si chiude. Non viene effettuata nessuna modifica dei nomi tabella nella banca dati. Non sarà dunque possibile configurare dei punti di misurazione.

IMM Nomi tabelle:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

info Info

A partire dalla versione zenon 7.20, ciò non ha più alcun rilievo per il processo di configurazione. A partire dalla versione 7.20, infatti, i nomi tabella per l´Industrial Maintenance Manager non possono più essere configurati liberamente.


Metering Points (Punti di misurazione)

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points (Punti di misurazione)

In questa scheda si creano nuovi punti di misurazione e si gestiscono quelli già esistenti.

Parametro

Descrizione

Nuovo...

Apre la finestra di dialogo per la creazione di un nuovo punto di misurazione.

Modifica...

Apre la finestra di dialogo per la modifica del punto di misurazione selezionato.

Elimina

Cancella il punto di misurazione selezionato.

Lista dei punti di misurazione

Lista dei punti di misurazione già impostati, così come configurato nella finestra di dialogo per la creazione di un nuovo punto di misurazione.

Selezione mediante clic. Il punto di misurazione selezionato viene sottolineato con una linea colorata. Non è possibile effettuare una scelta multipla.

  • Name (Nome)
    Nome del punto di misurazione.
  • Description (descrizione)
    Breve testo di descrizione del punto di misurazione.
  • Location (Luogo)
    Posizione del punto di misurazione.
  • Automatic (automatico)
    Attivo se il Comportamento dei punti di misurazione è automatic (automatico).
  • Metering type (Tipo di punto di misurazione)
    Tipo del punto di misurazione.
  • Calculation active (Calcolo attivo)
    Attivo se l´opzione Calculate relative value (Calcolo valore relativo) è attivata.
  • Meter name (Nome contatore)
  • Meter description (Descrizione contatore)
  • Behavior (comportamento)
    Comportamento del punto di misurazione.
  • Relative value variable (Variabile di valore relativo)
    Variabile assegnata al valore relativo.
  • Absolute variable value (Variabile di valore assoluto)
    Variabile assegnata al valore assoluto.

Per informazioni più dettagliate sull'argomento, consultare la Descrizione della finestra di dialogo.

Filter variable [...]

Apre la finestra di dialogo per la selezione di una variabile filtro; questa variabile verrà utilizzata a Runtime per filtrare i punti di misurazione. Accanto al nome della variabile, nel campo “Filter variable” viene visualizzato anche il nome del progetto da cui proviene la variabile di filtro; nome della variabile e nome del progetto sono separati da un #.

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.

Ancora in questo capitolo

Creare nuovi punti di misurazione

Modificare punti di misurazione

Cancellare punti di misurazione

New archive

Collegare una variabile filtro


Creare nuovi punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare nuovi punti di misurazione

Cliccare nella scheda Metering Points (punti di misurazione) sul comando New (Nuovo) per creare un nuovo punto di misurazione.

Si apre la prossima finestra di dialogo in cui si può procedere alla configurazione del punto di misurazione.

Parametro

Descrizione

Name

Nome del punto di misurazione.

Campo obbligatorio

Description

Descrizione del punto di misurazione.

Inserimento facoltativo

Location

Luogo del punto di misurazione.

Inserimento facoltativo

Metering Type

Tipo del punto di misurazione.

Inserimento facoltativo

Nota: il sistema tiene una lista di tutti i tipi di punto di misurazione progettati fino a quel punto. Questi vengono visualizzati quando si digita la prima lettera del nome. Se il tipo inserito non è contenuto ancora nella lista, essa viene integrata con l´aggiunta del tipo in questione (auto suggest).

Metering Point Behavior

Campo di inserimento facoltativo per la selezione dell´inserimento valore.

  • Automatic:
    Se si attiva questa opzione, è possibile selezionare per il valore assoluto sia archivi ciclici che spontanei. I valori vengono ripresi dalla variabile.
    I valori relativi possono essere calcolati automaticamente di conseguenza.
    Ulteriori informazioni relative a tale comportamento le trovate nella scheda Valore relativo.
  • Manual:
    Se si attiva questa opzione, è possibile selezionare solo archivi spontanei per il valore assoluto.
    I valori contatori devono essere letti e inseriti manualmente.
  • Validation:
    Se si attiva questa opzione, a Runtime si possono confermare o modificare valori di archivio.
    Per ulteriori informazioni su questo tipo di comportamento, consultare la scheda Validation.

Se per Metering Point Behavior si seleziona l´opzione Automatic o Manual, bisogna tenere presente quanto segue:

Nota: La lista degli archivi e quella delle variabili per valore assoluto e valore relativo è soggetta a filtro effettuato sulla base del comportamento dei punti di misurazione. Questo significa che, con l´amministrazione manuale dei punti di misurazione, solamente gli archivi spontanei o le variabili degli archivi spontanei verranno visualizzati nella lista degli archivi e delle variabili.

Attenzione: se si modifica il comportamento di un punto di misurazione esistente, la variabile di valore assoluto e quella di valore relativo devono essere riselezionate.

Project selection

Menù a tendina con i progetti del workspace corrente nell´Editor di zenon.
Nota: gli archivi e le variabili disponibili in questa sede sono legati al progetto.

Selezionare in questo campo il progetto desiderato.

Absolute value

Scheda per la configurazione del valore assoluto del punto di misurazione.

Relative value

Scheda per la configurazione del valore relativo del punto di misurazione.

Validation

Scheda per la configurazione della convalida.

Summary

Verifica e conclusione della configurazione dei punti di misurazione.

Navigazione

Parametro | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
attention Attenzione
Ad ogni punto di misurazione deve essere necessariamente assegnata una variabile di valore assoluto e una variabile di valore relativo.

Ancora in questo capitolo

Absolute value (Valore assoluto)

Relative value (Valore relativo)

Validation

Summary


Absolute value (Valore assoluto)

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Absolute value (Valore assoluto)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Absolute value (Valore assoluto)

In questa scheda si assegna una variabile di valore assoluto ad un punto di misurazione.

Parametro | Descrizione
Variable from archive (variabile dall´archivio) | Nella lista delle variabili vengono visualizzate le variabili dell´archivio selezionato (lista degli archivi). Selezionate un archivio corrispondente e una variabile corrispondente per il valore assoluto. Attenzione: il calcolo di valori di sostituzione deve essere attivato per questo archivio.
Add variable to archive (Aggiungere delle variabili all´archivio) | Vengono visualizzate variabili appartenenti al progetto. La variabile selezionata viene aggiunta all´archivio scelto. Attenzione: il calcolo di valori di sostituzione deve essere attivato per questo archivio.
Nuovo archivio | Apre la finestra di dialogo per la creazione di un nuovo archivio. Questa opzione è attiva solamente se è attivo Add variable to archive (Aggiungere delle variabili all´archivio).
info Info
Le opzioni di questa scheda non sono disponibili e non possono essere configurate se per Metering Point Behavior è stata selezionata l´opzione Validation .

Archivi (lista)

Selezionate in questa sede l´archivio le cui variabili volete avere visualizzate sul vostro schermo, oppure al quale intendete aggiungere una variabile selezionata.

Nota: Le configurazioni di archivi già disponibili verranno visualizzate nella lista. Esiste inoltre la possibilità di impostare direttamente nel wizard un nuovo archivio cliccando sul pulsante New Archive.

Parametro

Descrizione

Short name

Identificazione dell´archivio.

Archive ID

Nome archivio

Type

Tipo di archivio.

  • Cyclic
    L´archivio è ciclico.
    I valori vengono salvati in intervalli di tempo configurati.
  • EventTriggerd
    L´archivio è gestito dagli eventi.
    Nota: gli archivi gestiti dagli eventi possono essere usati solamente per punti di misurazione automatici.
    Non è possibile configurare archivi gestiti dagli eventi direttamente nell´amministrazione punti di misurazione
  • Value Change
    L´archivio è spontaneo.
    Ogni cambiamento di valore viene scritto immediatamente sulla variabile dell´archivio. Si può progettare un´isteresi.

Archive trigger

Causa che provoca la scrittura di valori in un archivio.

Nota: Disponibile solo per archivi gestiti da eventi.

Cycle time

Intervallo di tempo in caso di registrazione ciclica, nel corso del quale i valori vengono scritti nell´archivio.

Formato:

  • n.A.
    se il tipo di archivio è Value Change oppureEventTriggerd.
  • GG:HH:MM:SS
  • Month In caso di ciclo mensile.

Saving cycle

Tempo intercorrente fra la creazione di nuovi file di archivio.
Formato:

  • GG:HH:MM:SS
  • Month nel caso di tempo di ciclo di salvataggio mensile.
  • Year nel caso di tempo di ciclo di salvataggio cambio anno.

Variabili (Lista)

Parametro | Descrizione
Nome | Nome della variabile.
Unità di misura | Unità di misura della variabile.
Identificazione | Identificazione della variabile.
Driver | Driver della variabile.
Equipment groups (Gruppi d'impianti) | Gruppo di impianti cui è assegnata la variabile. Nota: Una variabile può essere assegnata anche a diversi gruppi di impianti. .

Navigazione

Parametro | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Relative value (Valore relativo)

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Relative value (Valore relativo)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Relative value (Valore relativo)

In questa scheda si assegna una variabile di valore relativo ad un punto di misurazione.

Parametro

Descrizione

Create variable (Generare una nuova variabile)

Viene creata una nuova variabile per il valore relativo.

Tipo: LREAL, Driver: INTERN.

Nome

Nome della nuova variabile da creare.

Il sistema propone un nome valido, basato sulla variabile di valore assoluto selezionata. Il nome deve essere univoco e può essere assegnato a piacere. Non sono consentiti caratteri speciali. Si può usare un massimo di 256 caratteri.

L´inserimento verrà validato. L´esito del processo di validazione (successo o errore) viene visualizzato accanto al campo di inserimento mediante un simbolo.

Nota: Visibile solamente se si è selezionato Generare una nuova variabile. Deve essere selezionata una variabile nella scheda Valore assoluto affinché venga visualizzato in questa sede una proposta di nome.

Variable from archive (variabile dall´archivio)

Mostra la lista degli archivi e delle variabili basate su di esso nell´archivio selezionato.

Attenzione: il calcolo di valori di sostituzione deve essere attivato per questo archivio.

Add variable to archive (Aggiungere delle variabili all´archivio)

Vengono visualizzate variabili appartenenti al progetto. La variabile selezionata viene aggiunta all´archivio scelto.

Attenzione: il calcolo di valori di sostituzione deve essere attivato per questo archivio.

Calculate relative value (Calcolo valore relativo)

Checkbox per l´attivazione del calcolo automatico di valori relativi:

La selezione è facoltativa con punti di misurazione automatici.

La selezione è attivata automaticamente con punti di misurazione manuali Questa preselezione automatica non può essere disattivata.

Nota: Per ulteriori informazioni relative al calcolo automatico di valori relativi, si prega di consultare il capitolo zenon Logic.

New archive

Apre la finestra di dialogo per la creazione di un nuovo archivio.

Questa opzione non è attiva se è attivo Variable from archive.

Archives

Gli archivi che sono stati creati precedentemente nell´Editor di zenon oppure con il pulsante Add variable to archive , sono a disposizione dell´utente che li può selezionate da un lista. Vengono visualizzati esclusivamente archivi ciclici.

info Info

Le opzioni di questa scheda non sono disponibili e non possono essere configurate se per Metering Point Behavior è stata selezionata l´opzione Validation .

Archivi (lista)

Selezionate in questa sede l´archivio le cui variabili volete avere visualizzate sul vostro schermo, oppure al quale intendete aggiungere una variabile selezionata.

Nota: Le configurazioni di archivi già disponibili verranno visualizzate nella lista. Esiste inoltre la possibilità di impostare direttamente nel wizard un nuovo archivio cliccando sul pulsante New Archive.

Parametro

Descrizione

Short name

Identificazione dell´archivio.

Archive ID

Nome archivio

Type

Tipo di archivio.

  • Cyclic
    L´archivio è ciclico.
    I valori vengono salvati in intervalli di tempo configurati.
  • EventTriggerd
    L´archivio è gestito dagli eventi.
    Nota: gli archivi gestiti dagli eventi possono essere usati solamente per punti di misurazione automatici.
    Non è possibile configurare archivi gestiti dagli eventi direttamente nell´amministrazione punti di misurazione
  • Value Change
    L´archivio è spontaneo.
    Ogni cambiamento di valore viene scritto immediatamente sulla variabile dell´archivio. Si può progettare un´isteresi.

Archive trigger

Causa che provoca la scrittura di valori in un archivio.

Nota: Disponibile solo per archivi gestiti da eventi.

Cycle time

Intervallo di tempo in caso di registrazione ciclica, nel corso del quale i valori vengono scritti nell´archivio.

Formato:

  • n.A.
    se il tipo di archivio è Value Change oppureEventTriggerd.
  • GG:HH:MM:SS
  • Month In caso di ciclo mensile.

Saving cycle

Tempo intercorrente fra la creazione di nuovi file di archivio.
Formato:

  • GG:HH:MM:SS
  • Month nel caso di tempo di ciclo di salvataggio mensile.
  • Year nel caso di tempo di ciclo di salvataggio cambio anno.

Variabili (Lista)

Parametro | Descrizione
Nome | Nome della variabile.
Unità di misura | Unità di misura della variabile.
Identificazione | Identificazione della variabile.
Driver | Driver della variabile.
Equipment groups (Gruppi d'impianti) | Gruppo di impianti cui è assegnata la variabile. Nota: Una variabile può essere assegnata anche a diversi gruppi di impianti. .
info Info
La lista delle variabili viene esclusa dalla visualizzazione se è attiva l´opzione Create variable.

Navigazione

Parametro | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Validation

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Validation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation

Nella scheda Validation si configurano variabili di archivio per un punto di misurazione convalidato.

I parametri di questa scheda sono disponibili e potranno essere configurato solamente se per la proprietà Metering Point Behavior è stata selezionata l´opzione Validation.

Parametro

Descrizione

Variable from archive

Nella lista delle variabili vengono visualizzate le variabili dell´archivio sorgente selezionato (lista degli archivi).

Selezionare un archivio corrispondente e una variabile corrispondente per il valore di misurazione.

Add variable to archive

Vengono visualizzate variabili appartenenti al progetto. La variabile selezionata viene aggiunta all´archivio scelto.

Source archive

Lista degli archivi configurati.
Si seleziona l´archivio con un clic del mouse. Dopo che è stato selezionato un archivio, il sistema visualizza le variabili in esso contenute nella lista delle variabili.

New archive...

Apre la finestra di dialogo che consente di creare un nuovo archivio.

Questa opzione non è attiva se è attivo Variable from archive.

Variables

Lista delle variabili:

  • Per Variable from archive:
    Variabili dell´archivio sorgente selezionato.
  • Per Add variable to archive :
    Lista delle variabili del progetto caricato.

Target archive

Lista degli archivi progettati di tipo Liste EventTriggered.

New archive...

Apre la finestra di dialogo che consente di creare un nuovo archivio.

Nota: gli archivi di destinazione sono di default sempre di tipo EventTriggered.

Standard time filter for validation

Campo di inserimento per selezionare l´intervallo di tempo della convalida. L´intervallo di tempo impostato in questa sede viene utilizzato nel processo di convalida a Runtime come filtro tempo per gli inserimenti di archivio da visualizzare.

Questo intervallo di tempo consta di giorni e ore.
Per configurarlo, cliccare sull´area desiderata e effettuare le modifiche. Si eseguono queste ultime cliccando sui tasti freccia, oppure digitando il valore desiderato nel rispettivo campo di inserimento.

In quest´ultimo caso, vale quanto segue:

  • Vengono presi in considerazione solo numeri interi.
  • Se si digita un numero con una virgola, questo numero verrà arrotondato.
  • Se si digita un valore >23 per le ore, questo viene corretto a 23.
  • Se si digita un valore >1000 per i giorni, questo viene corretto a 1000.
  • Se si inseriscono valori negativi, il sistema li corregge automaticamente attribuendo il valore 0.
Parametro | Descrizione
Days | Intervallo di tempo di validazione espresso in giorni. Default: 1
Hours | Intervallo di tempo di validazione espresso in ore. Default: 0

Archivi (lista)

Selezionate in questa sede l´archivio le cui variabili volete avere visualizzate sul vostro schermo, oppure al quale intendete aggiungere una variabile selezionata.

Nota: Le configurazioni di archivi già disponibili verranno visualizzate nella lista. Esiste inoltre la possibilità di impostare direttamente nel wizard un nuovo archivio cliccando sul pulsante New Archive.

Parametro

Descrizione

Short name

Identificazione dell´archivio.

Archive ID

Nome archivio

Type

Tipo di archivio.

  • Cyclic
    L´archivio è ciclico.
    I valori vengono salvati in intervalli di tempo configurati.
  • EventTriggerd
    L´archivio è gestito dagli eventi.
    Nota: gli archivi gestiti dagli eventi possono essere usati solamente per punti di misurazione automatici.
    Non è possibile configurare archivi gestiti dagli eventi direttamente nell´amministrazione punti di misurazione
  • Value Change
    L´archivio è spontaneo.
    Ogni cambiamento di valore viene scritto immediatamente sulla variabile dell´archivio. Si può progettare un´isteresi.

Archive trigger

Causa che provoca la scrittura di valori in un archivio.

Nota: Disponibile solo per archivi gestiti da eventi.

Cycle time

Intervallo di tempo in caso di registrazione ciclica, nel corso del quale i valori vengono scritti nell´archivio.

Formato:

  • n.A.
    se il tipo di archivio è Value Change oppureEventTriggerd.
  • GG:HH:MM:SS
  • Month In caso di ciclo mensile.

Saving cycle

Tempo intercorrente fra la creazione di nuovi file di archivio.
Formato:

  • GG:HH:MM:SS
  • Month nel caso di tempo di ciclo di salvataggio mensile.
  • Year nel caso di tempo di ciclo di salvataggio cambio anno.

Variabili (Lista)

Parametro | Descrizione
Nome | Nome della variabile.
Unità di misura | Unità di misura della variabile.
Identificazione | Identificazione della variabile.
Driver | Driver della variabile.
Equipment groups (Gruppi d'impianti) | Gruppo di impianti cui è assegnata la variabile. Nota: Una variabile può essere assegnata anche a diversi gruppi di impianti. .


Summary

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Summary

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Summary

In questa scheda vengono analizzate e finalizzate le configurazioni di un punto di misurazione.

L´esito viene visualizzato nella finestra di riassunto nella forma di un testo articolato in due campi.

Summary

Parametro

Descrizione

Campo per le informazioni di progettazione

Il campo superiore contiene un riassunto della configurazione del punto di misurazione.

Le diverse informazioni sono contrassegnate dall´uso di colori differenti.

Testo di color nero

Le impostazioni sono corrette. Vengono create e applicate cliccando su Save& New.

Testo di color rosso

Ci sono degli errori di impostazione che devono essere verificati e corretti.

In questo caso non è possibile salvare le impostazioni.

Testo di color verde

Nuove impostazioni vengono create ed applicate. Adesso sarà possibile salvarle.

Testo di color blu

Le configurazioni modificate sono caratterizzate da un testo di color blu.

Testo di color arancione

Avvertimenti.

Le configurazioni di progetto sconsigliate sono visualizzate mediante un testo di color arancione.

Campo per ulteriori informazioni

Le informazioni generali relative ai passi effettuati vengono visualizzate in questo campo, se disponibili.

La colorazione dei testi segue gli stessi principi di quelli già esposti per il campo che ospita le informazioni sulla progettazione. Tuttavia in questo campo di testo vengono visualizzati solamente i passaggi che sono stati eseguiti con successo (testo verde) e quelli non riusciti (testo rosso).

Save & New

Accetta le impostazioni e crea un nuovo punto di misurazione. Tutti i valori vengono resettati ed è possibile procedere alla progettazione di ulteriori punti di misurazione.

In caso di configurazione erronea, il sistema provvede a visualizzare una corrispondente segnalazione di errore nel campo riservato alle informazioni di progettazione.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modificare punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Modificare punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modificare punti di misurazione

Per modificare un punto di misurazione esistente, procedere nel modo seguente:

  1. Nella scheda Metering Points, selezionare il punto di misurazione che si vuole modificare.
    Questo verrà evidenziato con un colore particolare.
  2. Cliccare poi sul pulsante Edit, oppure cliccare due volte sul punto di misurazione desiderato.

    La progettazione esistente viene visualizzata nella finestra di dialogo Edit Metering Point.

  3. Aggiungere ulteriori informazioni, gestire nel modo desiderato il punto di misurazione e cliccare nella scheda Summary sul comando Save & Close.

Summary

In questa scheda, le impostazioni modificate vengono visualizzate in colore blu.

  • Se si clicca su Save& Close, il sistema salva le impostazioni modificate.

attention Attenzione

Quando si modifica un punto di misurazione, ci si deve assicurare che il progetto sia caricato. Se si apportano delle modifiche ad un punto di misurazione senza che il progetto sia caricato, distrugge il punto di misurazione stesso.


Cancellare punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Cancellare punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellare punti di misurazione

Per cancellare un punto di misurazione esistente, procedere nel modo seguente:

  1. Nella scheda Metering Points, selezionare il punto di misurazione che si vuole cancellare.
  2. Cliccare sul pulsante Delete.
  3. Verrà visualizzato un messaggio di avviso .
  4. Confermare la cancellazione cliccando sul pulsante OK.
  5. Il punto di misurazione selezionato è cancellato.

Finestra di dialogo di avvertimento.

Parametro | Descrizione
OK | Il punto di misurazione selezionato viene cancellato.
Annulla | Annulla il procedimento di cancellazione. La finestra di dialogo viene chiusa senza azione.

info Info

Se si cancella un punto di misurazione automatico con calcolo di valore relativo, verranno cancellate anche le configurazioni relative (variabili e righe di codice) da zenon Logic.


New archive

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> New archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
New archive

Il pulsante “New archive" è visibile:

  • Se nella scheda Absolute value del Wizard è attivo il pulsante Add variable to archive.
  • Se nella scheda Relative value del Wizard sono attivi i pulsanti Create variable oppure Add variable to archive.
  • Se nella scheda Validation è attivo il pulsante Add variable to archive.
    Questo pulsante è sempre attivo in caso di convalida di archivi di destinazione. Di default, questi archivi sono di tipo EventTriggered.

Parametro

Descrizione

Identification

Nome breve dell´archivio da creare.

Massimo 2 caratteri, 0-9 oppure A-Z, deve essere univoco.

Attenzione: non è possibile cambiare l´identificazione in un secondo momento.

Name

Nome dell'archivio.

Default: vuota

Archive type

Tipo di registrazione:

  • Cyclic
    I dati vengono scritti nell´archivio nell´intervallo di tempo impostato (Default).
  • ValueChange
    Registrazione spontanea.
  • Event triggered
    È disponibile per la convalida solo per gli archivi di destinazione.

Cycle time

Definire in quale ciclo (giorni, ore, minuti e secondi) il sistema deve leggere i valori per gli archivi ciclici.

Default: 15 minuti (con archivi ciclici)

Monthly

Se attivo: i valori vengono letti ad ogni cambio del mese (archivi mensili).

Default: non attivo.

Saving cycle

Definire in quale ciclo (giorni, ore, minuti) devono essere creati nuovi file d'archivio.

Default: 1 giorno

Nota: il comando è visualizzato in color grigio (non attivo) se il tempo di ciclo è mensile.

Monthly

Se attivo: il salvataggio del file d'archivio avviene ad ogni cambio del mese.

Default: non attivo.

Chiudere la finestra di dialogo.

Parametro | Descrizione
Save | Applica le impostazioni e chiude la finestra di dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

info Info

Per ulteriori informazioni relative agli archivi, consultare la guida dedicata al Server di archiviazione, e più precisamente il capitolo Modifica archivi.

Archivi trigger o archivi gestiti dagli eventi non sono disponibili per l´amministrazione punti di misurazione.

Ancora in questo capitolo

Informazioni di background

Visualizzazione di progettazioni erronee

Verifica degli archivi


Informazioni di background

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> New archive -> Informazioni di background

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Informazioni di background

Quando si creano nuovi archivi per variabili di valore assoluto e di valore relativo nell´amministrazione punti di misurazione, la durata di salvataggio dei file d'archivio è impostata sul massimo valore possibile.

Questo è necessario perché la modifica manuale mediante l´amministrazione punti di misurazione è possibile solo per file d'archivio non esportati (in formato *.ARX). Sono esclusi i dati che sono stati trasferiti in SQL: questi possono essere modificati manualmente in qualsiasi momento.

attention Attenzione

I file d'archivio trasferiti nel formato database interno .ARX non possono essere modificati. Selezionare quindi sempre il database-SQL per i dati d'archivio trasferiti.
Nota: si configura il trasferimento nella scheda Salva della finestra di dialogo Modifica archivio.

Raccomandazione:

per limitare il numero di file da salvare è consigliabile configurare un ciclo di salvataggio abbastanza ampio.

Tipp Suggerimento

Progettare il vostro ciclo di salvataggio sempre >= 1 giorno.
Ulteriori informazioni su questo argomento si trovano nella parte della guida dedicata al Server di archiviazione, e più precisamente nel capitolo Modifica archivio, Salva.

Offset e tempo di attesa

Per garantire una corretta archiviazione del valore relativo, il modulo Amministrazione punti di misurazione esegue progettazioni automatiche.

Le seguenti impostazioni vengono effettuate automaticamente:

  • Offset: 5 secondi (solo per archivi valori relativi)
    Ulteriori informazioni si trovano nella parte della guida dedicata al Server di archiviazione, e più precisamente nel capitolo Modifica archivio, Tipo di registrazione.
  • Tempo di attesa VACO: 10 secondi
    Se è attivato un calcolo automatico di punti di misurazione per il valore relativo, il tempo di attesa di VACO deve essete impostato a 10 secondi e l´offset per nuovi archivi di valore relativo a 5 secondi.
    Per gli archivi di valore relativo già esistenti, l´offset deve essere manualmente verificato e modificato corrispondentemente.
    Ulteriori informazioni al proposito si trovano nella parte nel capitolo della guida Function Block VACO.

Informazioni durante la progettazione

Le informazioni vengono visualizzate durante la progettazione nella scheda Summary per i punti di misurazione:

  • L´archivio per valori assoluti dovrebbe avere un offset 0 (avvertimento corrispondente)
  • L´archivio di valori relativi deve avere un offset 5 (informazione, l´adattamento viene effettuato automaticamente).
  • Entrambi gli archivi devono essere diversi (avvertimento corrispondente)


Visualizzazione di progettazioni erronee

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> New archive -> Visualizzazione di progettazioni erronee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Visualizzazione di progettazioni erronee

Se si verifica un problema durante il processo di progettazione, il sistema provvede a segnalarlo mediante un simbolo di color rosso che appare accanto all´elemento configurato in modo non corretto. Una descrizione dettagliata del problema viene visualizzata in forma di tooltip, che appare quando si porta il puntatore del mouse sul simbolo rosso di cui si parlava sopra.


Verifica degli archivi

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> New archive -> Verifica degli archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Verifica degli archivi

Gli archivi utilizzati nel modulo Amministrazione punti di misurazione vengono analizzati durante il processo di progettazione.

L´analisi della progettazione degli archivi avviene:

  • Dopo l´avvio del Wizard, nella lista dei punti di misurazione.
    Una causa di configurazione erronea può essere la modifica dell´archivio direttamente nell´Editor di zenon.
  • Al momento della creazione/modifica di punti di misurazione (Editor).
  • Al momento della creazione di un nuovo archivio tramite l´amministrazione punti di misurazione (Editor e Runtime).
    La convalida viene inizializzata cliccando sul pulsante Save.

Criteri di configurazione per archivi di valori relativi.

Ai punti di misurazione automatici sono applicabili certi criteri di configurazione per archivi di valori relativi. Questi criteri risultano dalla logica del calcolo del valore relativo.
Gli archivi creati con il Wizard corrispondono sempre a questi criteri.

  • Il tempo di ciclo non può essere maggiore a quello di salvataggio.
  • Il ciclo di salvataggio deve essere pari ad un multiplo intero del tempo di ciclo.
  • Se si è selezionato "Cambio mese" come tempo di ciclo, il ciclo di salvataggio deve essere "Cambio mese" o "Cambio anno".
  • Se si è selezionato "Cambio mese" come ciclo di salvataggio, il tempo di ciclo può essere il tempo di ciclo al massimo pari ad 1 giorno.

Ancora in questo capitolo

Esempi


Esempi

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> New archive -> Verifica degli archivi -> Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi

Il tempo di ciclo è maggiore al ciclo di salvataggio.

Il ciclo di salvataggio non è un multiplo intero del tempo di ciclo.

Tempo di ciclo erroneo in caso di ciclo di salvataggio mensile.


Collegare una variabile filtro

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Collegare una variabile filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Collegare una variabile filtro

Mediante la finestra di dialogo “Select filter variable” si può selezionare una variabile da utilizzare per il filtro a Runtime.

In primo luogo, creare nel progetto una variabile del driver Intern con il Tipo di dato String e Lunghezza stringa sufficiente (per es. 500).

Parametro

Descrizione

Project selection

Menù a tendina che consente di selezionare un progetto. Si può selezionare come variabile filtro anche una variabile di un altro progetto.

Lista variabili

Per selezionare una variabile, cliccarci sopra. La variabile selezionata viene evidenziata mediante un colore. Non è possibile effettuare una scelta multipla.

  • Name
    Nome della variabile
  • Identification
    Identificazione della variabile
  • Driver
    Driver su cui si basa la variabile.

No selection

Cancella la selezione della variabile e chiude la finestra di dialogo.

OK

Applica le impostazioni e chiude la finestra di dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

A Runtime questa variabile verrà utilizzata per eseguire il filtro. Per ulteriori informazioni su questo tema, consultare il capitoloFiltro di punti di misurazione tramite variabile.


Meter

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Meter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Meter

In questa scheda è possibile creare nuovi contatori, di gestire quelli esistenti e di far apparire la lista contenente i contatori creati in precedenza.

Parametro | Descrizione
New.. | Apre la finestra di dialogo che serve a creare un nuovo contatore.
Edit... | Apre la finestra di dialogo per la modifica di un contatore selezionato.
Delete | Cancella il contatore selezionato.

Lista dei contatori configurati.

Parametro | Descrizione
Name | Nome del contatore.
Description | Descrizione del contatore.
Manufacturer | Produttore del contatore.
Metering Type | Tipo di assegnazione del contatore.
Serial number | Numero di serie del contatore.
Note | Commento sul contatore.
Year of construction | Anno di produzione del contatore.

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.

Ancora in questo capitolo

Create new meter

Modificare contatori

Cancellare un contatore


Create new meter

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Meter -> Create new meter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new meter

In questa finestra di dialogo (sia nel Wizard che a Runtime) si configurano i contatori e si modificano le configurazioni esistenti.

Parametro | Descrizione
Name | Identificazione del contatore. Campo obbligatorio
Description | Descrizione del contatore. Inserimento facoltativo
Note | Commento sul contatore. Inserimento facoltativo
Metering Type | Tipo di assegnazione del contatore. Menù a tendina contenente i tipi già progettati. Questo menù a tendina corrisponde anche alla lista dei tipi per la creazione di un nuovo punto di misurazione. Inserimento facoltativo
Manufacturer | Nome del produttore del contatore. Inserimento facoltativo
Serial number | Numero di serie del contatore. Inserimento facoltativo
Year of construction | Anno di produzione del contatore. Inserimento facoltativo

Chiudere la finestra di dialogo.

Parametro | Descrizione
Save & New | Salva il nuovo contatore. Subito dopo si apre di nuovo la finestra di dialogo che serve a creare un nuovo contatore; è di nuovo vuota. Si può procedere alla configurazione di ulteriori contatori.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Nota: una volta che gli inserimenti sono stati salvati, il sistema scrive un nuovo inserimento nella banca dati e la lista dei contatori viene integrata con l´aggiunta di un nuovo inserimento.

Ancora in questo capitolo

Progettazione di un contatore


Progettazione di un contatore

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Meter -> Create new meter -> Progettazione di un contatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione di un contatore

Per creare un nuovo contatore, procedere nel modo seguente:

  1. Cliccare nel Wizard sulla scheda Meter.
  2. Cliccare su New.
  3. Si aprirà la finestra di dialogo per la creazione, o la modifica di un contatore.

  4. Inserire le informazioni relative al contatore.

Nota: il sistema provvede ad informare l´utente nel caso siano stati eseguiti inserimenti errati mediante un simbolo di color rosso che appare accanto al campo di inserimento.


Modificare contatori

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Meter -> Modificare contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modificare contatori

Per modificare un contatore esistente, procedere nel modo seguente:

  1. Passare alla scheda Meter
  2. Selezionare il contatore in questione nella lista di quelli già configurati.
  3. Cliccare su Edit.
  4. Si apre la finestra di dialogo Edit meter.
  5. Aggiungere le informazioni desiderate e modificate il contatore a piacere.
  6. Cliccare su Save & Close.


Cancellare un contatore

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Meter -> Cancellare un contatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellare un contatore

Per cancellare un contatore esistente, procedere nel modo seguente:

  1. Nella scheda Meter, selezionare il contatore che si vuole cancellare.
  2. Cliccare poi sul pulsante Delete; verrà visualizzata una finestra di dialogo per confermare la cancellazione del contatore; cliccare su OK.
  3. Il contatore selezionato viene cancellato.

Nota: se un contatore è già collegato ad un punto di misurazione, non lo si può cancellare. In questo caso il pulsante Cancella sarà visualizzato in color grigio (non attivo). Per cancellare un contatore che è stato già assegnato, lo si deve prima scollegare dal punto di misurazione, oppure sostituire a Runtime.


Progetto multiutente.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Progetto multiutente.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progetto multiutente.

Il Wizard per l´amministrazione punti di misurazione dell´Editor di zenon non supporta i progetti multiutente.

Se nel workspace ci sono dei progetti multiutente, si aprirà una finestra di dialogo al momento dell´avvio del Wizard:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Se nel workspace ci sono solamente dei progetti multiutente, verrà visualizzato il seguente messaggio:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Convertire un progetto multiutente in un progetto standard

È possibile convertire un progetto multiutente in un progetto standard di zenon "non multi-utente":

  1. Creare una copia del progetto:
    Selezionare nel menù contestuale del progetto in questione il comando Progetto -> Salva con nome....
    Si aprirà la finestra di dialogo per salvare i dati di progetto.
  2. Inserire un nuovo nome.
  3. Il progetto salvato verrà riletto e creato nell´attuale workspace come nuovo progetto "non multiutente".

info Info

Se questo progetto si trova in un contesto di progetti multiutente, bisogna tenere presente i riferimenti di progetto.

Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa alla Gestione progetto e Workspace, nel capitolo Sostituzione link progetto.


Configurazione nell´Editor di zenon:

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Configurazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell`Editor di zenon, progettare in un´immagine un elemento ActiveX per poter poi usare la Amministrazione punti di misurazione a Runtime.

  1. Per farlo, creare una nuova immagine nell´Editor di zenon.
  2. Selezionare l´elemento ActiveX e delimitare con questo un´area nell´immagine.
  3. Si aprirà la finestra di dialogo Introduzione elemento.
  4. In questa finestra di dialogo, selezionare MeteringPointControl.MeteringPointUserControl nella lista degli Elementi ActiveX.
  5. Fare attenzione che questo elemento ActiveX abbia delle dimensioni minime pari a 900 pixel di larghezza e a 575 pixel di altezza, in modo tale che possa essere visualizzato in modo corretto a Runtime.

info Info

Ulteriori informazioni sull´elemento ActiveX si trovano nella parte della guida dedicata alle Immagini, nel capitolo Elementi d'immagine/ActiveX.


Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime:

  • Vengono collegati i punti di misurazione e i contatori configurati.
  • Vengono creati i nuovi contatori.
  • Vengono modificate le informazioni esistenti relative ai contatori.
  • Vengono inseriti valori manuali.

Ancora in questo capitolo

Database

Metering Points

Meters

Amministrazione punti di misurazione nella rete di zenon


Database

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Database

Parametro

Descrizione

Database Host (Host banca dati)

Lista a cascata che serve alla selezione del server del database.

Selezionate, per esempio, il vostro computer in questo campo. Nota: Quando aprite questa scheda, il vostro computer viene visualizzato come selezione di default.

Autenticazione

Lista a cascata che serve alla selezione del metodo di login:

  • Windows Authentication (Default):
    Il login nella banca dati avviene usando le informazioni dell´utente registrato sul calcolatore locale.
  • SQL Server Authentication:
    Il nome utente e la password devono essere inseriti manualmente. Per effettuare il login nella banca dati bisogna disporre delle relative informazioni.

User name

Nome utente per il login in una banca dati.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Password

Password per effettuare il login in una banca dati.
Per ragioni di sicurezza, quando si digita la password ogni lettera viene visualizzata per mezzo di *.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Connect (Connetti)

Instaura la connessione con il server di banca dati configurato.

Se non dovesse essere possibile instaurare una connessione (ad es., per inserimento di un nome utente o/e di una password erronei), il sistema provvede a visualizzare una finestra di dialogo che informa dell´errore commesso.

Visualizzato in color grigio (disattivato) se esiste già una connessione al server di database.

Disconnetti

Interrompe una connessione esistente con un server di database.

Visualizzato in color grigio (disattivato) se non c´è nessuna connessione attiva.

Database Name (Nome dal Database)

Menù a tendina per la selezione di un database.

Questa lista mostra tutte le banche dati disponibili del server di database configurato alla voce Datenbank-Host.

Se questa lista è vuota, non esiste nessun collegamento ad un server di banca dati, oppure nessuna banca dati SQL è disponibile sul computer selezionato.

Start configuration (Avvia la configurazione)

Si passa alla scheda Metering Points (punti di misurazione).

Se al momento non esiste una connessione con una banca dati, cliccando sul pulsante Start configuration viene stabilito automaticamente un collegamento utilizzando le informazioni di login che sono già state inserite.

Se questo inserimento è errato o incompleto, non è possibile modificare altre impostazioni nelle schede Metering Points (Punti di misurazione) e Meters (Contatori). Per poterlo fare, si deve sempre avere una connessione con una banca dati!

Chiudere la finestra di dialogo.

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Info
Se esiste già una connessione ad una banca dati, tutti i campi di inserimento vengono visualizzati in color grigio (disattivati).


Metering Points

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points

In questa scheda si gestiscono i punti di misurazione nel Runtime di zenon.

Parametro

Descrizione

Assign Meter...

Attivo solamente se al punto di misurazione selezionato non è stato ancora assegnato nessun contatore.

History...

Crea un Log con le informazioni relative alla modifica dei punti di misurazione e la sostituzione di contatori.

Replace Meter...

Attivo solamente se al punto di misurazione selezionato è stato già assegnato un contatore.

Manual value input...

Consente di inserire manualmente un valore per il punto di misurazione selezionato.

Se nella lista dei punti di misurazione se ne seleziona uno, il pulsante Manual value input... sarà visualizzato in colore grigio (non attivo).

Post-editing...

Consente una modifica manuale dei valori relativi di punti di misurazione.

Fix invalid values...

Apre la finestra di dialogo Fix invalid values.

Consente di individuare, visualizzare e correggere eventuali valori errati.

Disponibile solamente per punti di misurazione di tipo Automatic.

Nota: è possibile selezionare più di punti di misurazione per eseguire la correzione di valori errati.

Validation...

Consente di applicare e modificare valori di un punto di misurazione di tipo Validation.

Attivo solamente se il punto di misurazione selezionato è di tipo Validation.

Reload

Ricarica le configurazioni di zenon a Runtime e aquisisce nuove impostazioni dalla banca dati.

Lista dei punti di misurazione

Lista di punti di misurazione creati.

Selezione mediante clic. Il punto di misurazione selezionato viene evidenziato tramite un colore. Non è possibile effettuare una scelta multipla.

  • Name
    Nome del punto di misurazione.
  • Description
    Breve testo di descrizione relativa al punto di misurazione.
  • Location
    Luogo del punto di misurazione.
  • Metering type
    Tipo del punto di misurazione.
  • Calculation active
    Attivo se l´opzione Calculate relative value è attivata.
  • Meter name
  • Meter description
  • Behavior
    Comportamento del punto di misurazione.
  • Equipment groups

info Info

Se una variabile di un progetto non è disponibile, il sistema ve lo fa presente per mezzo di un simbolo di color rosso che appare nella visualizzazione a lista. In questo caso, verificate se il progetto contenente questa variabile è caricato. .

Ancora in questo capitolo

Assegna, sostituisci e cancella contatori

History

Manual value input

Post-processing

Fix invalid values...

Validation

Filtro di punti di misurazione tramite variabile.


Assegna, sostituisci e cancella contatori

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Assegna, sostituisci e cancella contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegna, sostituisci e cancella contatori

In questa finestra di dialogo potete assegnare singoli contatori ad un punto di misurazione, li potete modificare oppure eliminare.

Nel caso dei punti di misurazione automatici, si apre sempre la finestra di dialogo di post-elaborazione quando si cerca di effettuare una modifica dell´assegnazione di contatori (nuova assegnazione, modifica, cancellazione).

Punto di misurazione

Parametro | Descrizione
Name | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Description | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Measuring unit | Unità di misura del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type | Tipo del contatore. Non modificabile in questa finestra di dialogo.

Manuale

Parametro | Descrizione
Date and time | Data e ora dell´assegnazione contatore o della sostituzione contatore. Default: Intervallo di interrogazione (query time period), arrotondato all´ora piena. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso.
Area | L´area della variabile di valore assoluto.
Min. | Spettro minimo di valori possibili. Non modificabile in questa finestra di dialogo.
Max. | Spettro massimo di valori possibili. Non modificabile in questa finestra di dialogo.
Old value | Valore del vecchio contatore al momento della sua sostituzione. Default: 0 Nota: Visibile solo nel caso di sostituzione del contatore.
Valore nuovo | Valore del nuovo contatore al momento della sostituzione. Default: 0 Nota: Se l´inserimento si trova al di fuori dello spettro dei valori possibili della variabile (min./max.), il dato erroneo viene adattato automaticamente allo spettro possibile.

Contatori disponibili.

Parametro | Descrizione
Available meters | Lista dei contatori disponibili. Vengono visualizzati tutti i contatori del tipo adatto che non sono ancora assegnati a nessun punto di misurazione. Si può selezionare solo un contatore per punto di misurazione.
Select | Assegna il contatore selezionato e trasferisce i suoi valori alla sezione Assign Meter.
Delete | Cancella l´assegnazione di un contatore ad un punto di misurazione. Il contatore stesso non viene però cancellato, e viene mantenuto nella lista dei contatori.

Assign Meter

Parametro | Descrizione
Name | Nome del contatore assegnato. Non modificabile in questa finestra di dialogo.
Description | Descrizione del contatore assegnato. Non modificabile in questa finestra di dialogo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Ancora in questo capitolo

Progettazione - Assegnazione contatori

Assegnazione contatori per punti di misurazione manuali.

Assegnazione contatori per punti di misurazione automatici.


Progettazione - Assegnazione contatori

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Assegna, sostituisci e cancella contatori -> Progettazione - Assegnazione contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione - Assegnazione contatori

Per assegnare un contatore ad un punto di misurazione, oppure per modificare un´assegnazione esistente, procedere come segue:

  1. Selezionare nella Lista dei punti di misurazione un punto di misurazione.
  2. Cliccare su:
    1. Assign Meter, se al punto di misurazione non è ancora stato assegnato nessun contatore.
    2. Replace Meter, se al punto di misurazione è stato già assegnato un contatore..
  3. Si apre la finestra di dialogo Assign Meter/Replace Meter.
  4. In caso di cambio o assegnazione di un contatore, indicare nel campo di inserimento New value il valore attuale del contatore che si vuole assegnare.
    Se questo valore esiste già nell´archivio, verrà visualizzato un messaggio di avvertimento.
    Gli inserimenti che non rientrano nell´intervallo di input, verranno automaticamente modificati nel valore massimo o minimo.
    Nota: per i punti di misurazione automatici, il valore inserito qui nella colonna Absolute value della Finestra di dialogo di post-elaborazione viene visualizzato in color verde.
  5. Quando si sostituisce un contatore o si cancella l´assegnazione di un contatore:
    Digitare nel campo di inserimento Old value anche il valore attuale del contatore da sostituire o da eliminare.
    Gli inserimenti che non rientrano nell´intervallo di input, verranno automaticamente modificati nel valore massimo o minimo.
    Nota: per i punti di misurazione automatici, il valore inserito qui nella colonna Absolute value della Finestra di dialogo di post-elaborazione viene visualizzato in color verde.
  6. Selezionare un contatore fra quelli della lista Available meters.
    Nota: in questa lista si trovano tutti i contatori con lo stesso tipo di punto di misurazione del punto di misurazione selezionato.
  7. Configurare l´assegnazione del contatore:
    1. Per assegnare il contatore scelto al punto di misurazione, cliccare sul pulsante Select.
    2. Per eliminare il collegamento fra il punto di misurazione ed un contatore ad esso assegnato, cliccare sul pulsante Delete.
  8. Il contatore selezionato:
    1. Viene spostato nell´area Assign meter.
    2. Viene cancellato dall´area Assign meter.
  9. Cliccare su OK per finalizzare l´assegnazione.
  10. La finestra di dialogo viene chiusa:
    1. Per i punti di misurazione manuali:
      I valori assoluti vengono scritti nell´archivio valore assoluto. I valori relativi corrispondenti vengono calcolati automaticamente e scritti nell´archivio valore relativo.
    2. Per i punti di misurazione automatici
      Si apre la finestra di dialogo di post-elaborazione.


Assegnazione contatori per punti di misurazione manuali.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Assegna, sostituisci e cancella contatori -> Assegnazione contatori per punti di misurazione manuali.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione contatori per punti di misurazione manuali.

I valori scritti automaticamente nell´archivio dipendono dall´azione:

  1. Riassegna contatore:
    nuovo valore
  2. Cancella contatore:
    vecchio valore
  3. Sostituisci contatore:
    tutte e due i valori
    Nota: time stamp per sostituzione contatore:
    1. vecchio valore: time stamp attuale
    2. nuovo valore: due secondi più tardi rispetto al time stamp del vecchio valore.

Calcolo valore relativo

I valori relativi vengono ricalcolati automaticamente.

  1. Durante l´assegnazione:
    1. Sono i valori relativi fra il nuovo valore e l´ultimo valore assoluto trovato che vengono ricalcolati.
    2. Sono i valori relativi fra il nuovo valore e il primo valore assoluto trovato dopo che vengono ricalcolati.
  2. Durante la cancellazione:
    1. Sono i valori relativi fra il vecchio valore e l´ultimo valore assoluto trovato prima che vengono ricalcolati.
    2. Sono i valori relativi fra il vecchio valore e il primo valore assoluto trovato dopo che vengono ricalcolati.
  3. Durante la sostituzione:
    1. Sono i valori relativi fra il vecchio valore e l´ultimo valore assoluto trovato prima che vengono ricalcolati.
    2. Sono i valori relativi fra il nuovo valore e il primo valore assoluto trovato dopo che vengono ricalcolati.

Finestra di dialogo di avvertimento.

Quando si effettua una sostituzione di contatore in un momento in cui esiste già un inserimento di archivio, esso deve essere sovrascritto. Una finestra di dialogo appare per avvertire l´utente.

Parametro | Descrizione
Yes | Applica le impostazioni e chiude la finestra di dialogo.
No | Annulla tutte le modifiche e chiude la finestra di dialogo.
Cancel | Mantiene tutte le modifiche. Le modifiche non vengono eseguite. La finestra di dialogo rimane aperta per consentire di effettuare correzioni.


Assegnazione contatori per punti di misurazione automatici.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Assegna, sostituisci e cancella contatori -> Assegnazione contatori per punti di misurazione automatici.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione contatori per punti di misurazione automatici.

Con i punti di misurazione automatici, si apre sempre la finestra di dialogo di post-elaborazione quando si modifica l´assegnazione di un contatore. I valori (Old value e New value) configurati nella finestra di dialogo di assegnazione verranno visualizzati in verde nella colonna Absolute value. Il time stamp verrà relativo verrà incrementato di due secondi.

info Info

I nuovi valori vengono accettati nell´archivio di valore relativo solo dopo il completamento della configurazione nella finestra di dialogo di post-elaborazione!!


History

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> History

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
History

La finestra di dialogo "Metering Point History" visualizza il processo di configurazione del punto di misurazione selezionato. Non è possibile effettuare delle modifiche in questa finestra di dialogo.

Parametro | Descrizione
Name | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Description | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type | Tipo di punto di misurazione. Non modificabile in questa finestra di dialogo.

Cronologia - History

Parametro

Descrizione

Time

Tempo dell´assegnazione del contatore o della sostituzione del contatore.

Old meter name

Nome del vecchio contatore.

Old meter value

Valore del vecchio contatore.

New meter name

Nome del nuovo contatore.

New meter value

Valore del nuovo contatore.

User ID

Identificazione dell´utente che ha effettuato l´inserimento di sostituzione del contatore.

User name

Nome dell´utente che ha effettuato l´inserimento di sostituzione del contatore.

Change type

Viene visualizzato il tipo di modifica effettuata.

  • Added
    Quando un contatore viene assegnato per la prima volta.
    = Assign meter
  • Changed
    Quando viene effettuato una sostituzione contatore
    = Replace Meter
  • Deleted
    L´assegnazione di un contatore è stata rimossa. Non è stato assegnato nessun nuovo contatore al punto di misurazione.

Close

Chiude la finestra di dialogo.

info Info

La cronologia mostra solamente le modifiche concernenti le assegnazioni contatore ad un punto di misurazione.

Non mostra i cambi di valore.


Manual value input

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Manual value input

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manual value input

Valori manuali possono essere inseriti solamente per punti di misurazione manuali (cioè non automatici). Con lo strumento dell´inserimento di valori manuali, è possibile inserire valori per un certo punto nel tempo. Non sono consentiti inserimenti di valore per il futuro.

Punto di misurazione

Parametro | Descrizione
Name | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Description | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Measuring unit | Unità di misura del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type | Tipo del contatore. Non modificabile in questa finestra di dialogo.

Impostazioni per valore manuale.

Parametro | Descrizione
Date and time | Data e ora dell´inserimento del valore assoluto. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: momento dell´interrogazione (query time point) arrotondato all´ora completa.
Value | Valore assoluto del contatore manuale. Nota: Se l´inserimento si trova al di fuori dello spettro dei valori consentiti per la variabile (Min./Max.), il sistema provvede ad avvertire l´utente mediante un simbolo di color rosso. Default: ultimo valore assoluto salvato nell´archivio.
Area | Area di valori per il valore assoluto.
Min. | Valore minimo della variabile di valore assoluto. Non modificabile in questa finestra di dialogo.
Max. | Valore massimo della variabile di valore assoluto. Non modificabile in questa finestra di dialogo.

Chiudere la finestra di dialogo.

Opzione | Descrizione
Ok | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Ancora in questo capitolo

Manual value input


Manual value input

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Manual value input -> Manual value input

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manual value input

Per inserire valori manualmente:

  1. Selezionare un punto di misurazione manuale fra quelli della lista dei punti di misurazione.
  2. Cliccare sul pulsante Manual value input
  3. Si apre la finestra di dialogo Manual value input.
  4. Scegliere data e ora del valore manuale:
    Per farlo, cliccare sul menù a tendina Date and time, oppure inserire direttamente nel campo di inserimento il tempo corrispondente.
    Attenzione: inserimenti di valore manuali non possono essere nel futuro!
  5. Inserite il nuovo valore nel campo di inserimento.
    Nota: Lo spettro di valori consentiti per la variabile selezionata è indicato alla voce Area.
  6. Cliccare su OK, per applicare il nuovo valore con il time stamp configurato.
  7. L´inserimento di valore viene convalidato.
    Se per il momento prescelto esiste già un valore, si apre una finestra di dialogo che lo fa presente all´utente.
  8. I valori relativi vengono ricalcolati automaticamente.
    Dopo l´inserimento di valore, accade quanto segue:
    1. Si calcola in modo susseguente dal valore inserito fino all´ultimo valore assoluto trovato.
    2. Si calcola in modo susseguente dal valore inserito fino al prossimo valore assoluto trovato.

Dialogo in caso di doppi inserimenti di valore.

Se esiste già un inserimento di di archivio al momento temporale prescelto, esso deve essere sovrascritto. Una finestra di dialogo appare per avvertire l´utente.

Parametro | Descrizione
Yes | Applica le impostazioni e chiude la finestra di dialogo.
No | Annulla tutte le modifiche e chiude la finestra di dialogo.
Cancel | Mantiene tutte le modifiche. Le modifiche non vengono eseguite. La finestra di dialogo rimane aperta per consentire di effettuare correzioni.

Visualizza inserimenti di valore.manuali

Tipp Suggerimento

Per far sì che gli inserimenti di valore manuali vengano visualizzati, usare il pulsante Post-processing.


Post-processing

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Post-processing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Post-processing

In questa finestra di dialogo si possono modificare in un secondo momento valori acquisiti da un archivio. Gli inserimenti mancanti per valori relativi possono essere interpolati in modo da ottenere una serie di valori relativi ininterrotta, chiudendo per es. eventuali lacune.

Se si si sostituisce o elimina il contatore per un punto di misurazione automatico, si apre anche la finestra di dialogo per la post-elaborazione.

Metering Points

Parametro | Descrizione
Name | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Description | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type | Tipo di punto di misurazione. Non modificabile in questa finestra di dialogo.

Values

Parametro | Descrizione
Time period | Intervallo di tempo dei valori relativi e assoluti che deve essere visualizzato.
From | Inizio della time query. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: momento dell´interrogazione (query time point) - 2 h (arrotondato al minuto completo).
To | Fine della time query. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: momento dell´interrogazione (query time point) - (arrotondato al prossimo minuto completo)
Load | Carica i dati d'archivio per i valori assoluti e relativi relativi all´intervallo di tempo selezionato e li visualizza singolarmente nella lista degli inserimenti di archivio.
Interpolate | Adatta i valori relativi nell´area compresa fra i due valori selezionati dall´utente. Selezione di inizio e fine tramite un clic e premendo il tasto Shift.
Apply | Scrive le modifiche effettuate nell´archivio.
Range | Intervallo di valori del valore relativo.
Min. | Valore minimo della variabile di valore relativo. Non modificabile in questa finestra di dialogo.
Max. | Valore massimo della variabile di valore relativo. Non modificabile in questa finestra di dialogo.

Lista degli inserimenti di archivio,

La lista è vuota quando viene aperta la finestra di dialogo. Dopo che è stato inserito un tempo di interrogazione (query time) ed è stato premuto il pulsante Load (caricare), il sistema provvede a riempire la lista degli inserimento di archivio trovati.

Parametro | Descrizione
Time | Orario dell´inserimento di archivio. Formato: GG.MM.AAAA hh:mm:ss
Absolute value | Valore assoluto dell´inserimento di archivio. Nota: i valori che sono stati accettati da un´assegnazione, cambio o cancellazione di un contatore, vengono visualizzati in color verde.
Relative value | Valore relativo dell´inserimento di archivio.

Chiudere la finestra di dialogo.

Parametro | Descrizione
Close | Chiude la finestra di dialogo.

Ancora in questo capitolo

Post-elaborazione di valori.


Post-elaborazione di valori.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Post-processing -> Post-elaborazione di valori.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Post-elaborazione di valori.

Per modificare dei valori in un secondo momento:

  1. Selezionare innanzitutto nella scheda Metering Points il punto di misurazione desiderato.
  2. Cliccare sul pulsante Post-processing.

    Si aprirà la finestra di dialogo per la post-elaborazione.

  3. Selezionare un time period.
  4. Cliccare su Load per caricare i dati d'archivio relativi ai valori assoluti e relativi dell´intervallo di tempo selezionato.

    Gli inserimenti di valore trovati vengono visualizzati nella lista degli inserimenti di archivio.

Interpolare valori

Un requisito per poter interpolare dei valori è che esistano dei valori assoluti:

  1. Passare alla lista degli inserimenti di archivio e selezionare quei valori assoluti che si desidera usare per il calcolo di valori relativi.
  2. Per farlo, tenere premuto il tasto shift e selezionare il valore iniziale e quello finale che devono essere usati per l´interpolazione.
  3. Cliccare su Interpolate e il sistema calcola automaticamente i valori relativi esistenti tra di essi.

    I nuovi valori verranno visualizzati nella colonna "Relative value".

  4. Cliccare sul pulsante Apply per accettare nell´archivio i valori relativi appena calcolati.

Se si selezionano dei valori errati per l´interpolazione, verrà visualizzata una finestra di dialogo.

Inserimento di valori relativi

  1. Cliccare all´interno della lista degli inserimenti di archivio sul valore relativo che si vuole modificare.

    Si attiverà il campo per l´inserimento del valore relativo.

  2. Digitare il nuovo valore desiderato per il valore relativo.

    L´inserimento verrà validato.

Convalida

Se il valore inserito si trova al di fuori dello spettro di quelli consentiti, il sistema non consente di portare a terminare l´input del valore nel campo di inserimento. In questo caso appare un simbolo di color rosso all´inizio della riga. Una descrizione dettagliata dell´errore la potete avere in forma di tooltip, che ottenete muovendo il mouse sul simbolo rosso di cui sopra.

Nota: non è consentito lasciare vuoto il campo di inserimento riservato all´input valore. In questo caso digitate il numero 0.


Fix invalid values...

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Fix invalid values...

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Fix invalid values...

In questa finestra di dialogo vengono rilevati, visualizzati e corretti i valori non validi.

Time period

In questa area si configura l´intervallo di tempo per il rilevamento dei valori non validi.

Parametro

Descrizione

From

Inizio dell´intervallo di tempo da analizzare.

Si può selezionare un valore dal menù a tendina, oppure digitarne uno direttamente. Eventuali inserimenti errati vengono corretti o rimossi già nel momento in cui li si esegue.

Formato: Giorno della settimana, TT. Mese AAAA hh:mm

Default: 1 giorno prima rispetto alla data di apertura della finestra di dialogo.

To

Fine dell´intervallo di tempo da analizzare.

Si può selezionare un valore dal menù a tendina, oppure digitarne uno direttamente. Eventuali inserimenti errati vengono corretti o rimossi già nel momento in cui li si esegue.

Formato: Giorno della settimana, TT. Mese AAAA hh:mm

Default: momento in cui è stata aperta la finestra di dialogo.

Find invalid values

Avvia la ricerca di eventuali valori non validi per l´intervallo di tempo indicato.

Lo stato dio avanzamento del processo viene visualizzato da un´apposita barra. La ricerca può essere interrotta cliccando sul pulsante “Cancel”.

Nota: non è valido un valore per cui è attivo il bit di stato 18 [INVALID]. Viene analizzato l´archivio di valori relativi del punto di misurazione selezionato.

Lista dei valori non validi

Lista degli inserimenti con valori non validi trovati nell´archivio di valori relativi.

Default: vuota con testo di visualizzazione "No data to display".

Piè di pagina

Parametro

Descrizione

Apply

Inizia la correzione degli inserimenti selezionati.
Lo stato di avanzamento di questo processo viene visualizzato mediante un´apposita barra; si può terminare il processo cliccando sul pulsante “Cancel”.

I valori corretti sovrascrivono i valori relativi errati nell´archivio.

Nota: le correzioni vengono registrate separatamente per ogni inserimento nella CEL.

Correzione valori relativi per punto di misurazione [nome punto di misurazione]: Inizio [data], fine: [data], valore relativo: [Valore relativo]

Non disponibile se non è stato selezionato nessun valore per essere corretto, o non è possibile correggere il valore selezionato.

Chiudi

Chiude la finestra di dialogo.

Lista dei valori errati

In questa lista vengono visualizzati i valori errati.

  • Valori non validi successivi vengono riassunti in un unico inserimento.
  • Valori che non possono essere corretti sono contrassegnati da un cerchio rosso con punto esclamativo.
  • Un tooltip visualizza la causa possibile della correzione automatica.
  • La visuale della lista è configurabile.
    • Per allargare una colonna, cliccare con il mouse sulla linea di separazione del titolo della colonna e poi trascinarlo.
    • Per modificare la successione delle colonne, cliccare con il mouse nel titolo della colonna e trascinarla via Drag&Drop.
  • Questa lista può essere ordinata e filtrata.
    • Gli inserimenti della lista possono essere ordinati cliccando sull´intestazione di colonna.
    • Per filtrare una colonna, digitare il criterio di filtro nell´apposito campo di inserimento sotto il titolo della colonna stessa.
      È possibile selezionare criteri di filtro tramite il menù contestuale.
Parametro | Descrizione
Metering Point | Nome del punto di misurazione.
Start | Time stamp dell´ultimo valore assoluto valido.
Start value | Ultimo valore assoluto valido prima di un valore non valido.
End | Time stamp del primo valore assoluto valido dopo un valore non valido.
End value | Primo valore assoluto valido dopo un valore non valido.
Number of values | Numero dei valori relativi non validi dell´inserimento.
Interpolated value | Valore che viene scritto nell´archivio in caso di correzione.
Fix | Checkbox con cui si attiva la correzione automatica. Default: inaktiv Nota: cliccando sulla checkbox che si trova nel titolo della colonna, si attiva la correzione automatica per tutti gli inserimenti. Non disponibile se non è possibile correggere l´inserimento (simbolo di avviso).

Menù a tendina per la selezione di un intervallo di tempo

Menù a tendina per la selezione di tempo di inizio e di fine del processo di rilevamento di inserimenti errati. Selezione mediante clic del mouse.
Nota: il menù a tendina è a disposizione solamente in lingua inglese.

Barra di avanzamento

Barra che visualizza lo stato di avanzamento del processo di rilevamento o correzione di valori non validi.

Invalid values

Visualizzazione e tooltip per valori che non possono essere corretti.


Validation

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Validation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation

Nella finestra di dialogo Metering point validation vengono visualizzati in una lista tutti i valori di archivio dell´intervallo di tempo selezionato per il punto di misurazione configurato.

I singoli valori possono essere confermati o modificati.

Time period

Filtro tempo per la visualizzazione delle variabili dell´archivio.

Parametro

Descrizione

Time period

L´intervallo di tempo viene acquisito dalla progettazione del punto di misurazione. Per modificare questo intervallo di tempo a Runtime, attivare la checkbox.

  • Attiva:
    l´intervallo di tempo può essere configurato a Runtime.
  • Non attiva:
    l´intervallo di tempo viene acquisito dalla progettazione del punto di misurazione.

Default: non attivo

Days

Intervallo di tempo di convalida espresso in giorni.

Default: 1

Nota: non attivo se non è attivo “Time period”.

Hours

Intervallo di tempo di convalida espresso in ore.

Default: 0

Nota: non attivo se non è attivo “Time period”.

Reload

Aggiorna la lista di valori con l´intervallo di tempo configurato.

Validate Selected

Quando si clicca sul pulsante Validate Selected, il tipo di convalida viene impostato su confirmed per tutti gli inserimenti selezionati.

Lista valori

La lista valori visualizza tutti gli inserimenti degli archivi configurati per il punto di misurazione.

Questa lista può essere ordinata e filtrata.

  • Per ordinare la lista, cliccare su uno dei titoli di colonna.
  • Cliccando una seconda volta si inverte la direzione dell´ordinamento
  • Quando si clicca con il tasto desto del mouse su uno dei titoli di colonna, si attiva il menù contestuale che consente di configurare il processo di filtro.

Parametro

Descrizione

Metering Point

Nome del punto di misurazione come progettato.

Nata: non modificabile.

Time

Time stamp del valore d´archivio.

Nata: non modificabile.

Source value

Valore preso dall´archivio sorgente.

Nata: non modificabile.

Target value

Valore di destinazione, come viene applicato dopo la convalida:

  • Di default viene inserito il valore sorgente acquisito dall´archivio sorgente.
  • Se nell´archivio non esiste ancora un valore, il valore di destinazione è 0.

L´inserimento del nuovo valore di destinazione avviene nel modo seguente:

  • Cliccando due volte nella cella “Target value” dell´inserimento.
  • Inserendo manualmente il valore nella cella “Target value”. L´inserimento prende in considerazione valori numerici validi. Non viene eseguita un´analisi dei valori limite.

Dopo che questo valore è stato modificato, il tipo di convalida viene modificato e settato su manipulated.

Validation type

Stato della modifica di un valore.

  • Unedited:
    Il valore non è stato ancora confermato o adattato.
  • Processed:
    Il valore di destinazione è stato modificato.
    Nota: gli inserimenti modificati della lista sono quelli blu.
  • Confirmed:
    Il valore è stato confermato.
    Nota: gli inserimenti confermati della lista sono quelli verdi.

Chiudere la finestra di dialogo.

Parametro

Descrizione

Close

Chiude la finestra di dialogo.

Prima di chiudere la finestra di dialogo, il sistema controlla se tutti i valori caricati sono stati confermati o modificati.

Se ci sono ancora valori non confermati o corretti nella lista (tipo di convalida: unprocessed), una finestra di dialogo ne informa l´utente.

Apply

Applica l´impostazione e scrive i valori adattati nell´archivio.

Per ogni valore che viene scritto nell´archivio di destinazione, viene creato anche un inserimento CEL corrispondente.

Finestra di dialogo - Missing validation

Quando si clicca sul pulsante Close, il sistema analizza gli inserimenti per individuare quelli con il tipo di convalida unprocessed. Se nel punto di misurazione ci sono ancora inserimenti con il tipo di convalida unprocessed, viene visualizzata una finestra di dialogo che ne informa l´utente.

Parametro | Descrizione
OK | Chiude la finestra di dialogo. Attenzione: i valori non accettati non verranno scritti nell´archivio.
Cancel | Torna alla finestra di dialogo metering point validation. Qui si potranno eseguire ulteriori configurazioni.

Ancora in questo capitolo

Validation - Gestione a Runtime


Validation - Gestione a Runtime

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Validation -> Validation - Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation - Gestione a Runtime

Eseguire i seguenti passaggi per convalidare a Runtime gli inserimenti di un punto di misurazione:

  • Passare alla scheda Metering Points:
    Viene visualizzata una lista contenente i punti di misurazione progettati.
  • Selezionate un punto di misurazione con il comportamento (Behavior) Validation.
  • Cliccare sul pulsante Validation :
    Si apre la finestra di dialogo metering point validation.
    A seconda della dimensione degli inserimenti d´archivio, l´apertura di questa finestra di dialogo può durare un certo tempo. Lo stato di avanzamento di questo processo di viene visualizzato.
  • Convalidare i dati:
    • Modificare gli inserimenti corrispondenti con nuovi valori.
    • Confermare gli inserimenti esistenti per i quali non è necessaria nessuna modifica.
      Si possono selezionare più inserimenti contemporaneamente e si può utilizzare il pulsante Validate Selected.
      Per confermare singoli inserimenti, cliccare due volte nella cella “Target value”.
  • Cliccare sul pulsante Apply per scrivere gli inserimenti adattati nell´archivio di destinazione.
    Se il salvataggio dei dati nell´archivio di destinazione riesce, viene visualizzato un segno di spunta verde accanto al pulsante.
    Lo stato di un inserimento modificato viene settato su “manual value” (MAN_VAL).
  • Eseguire ulteriori adattamenti.
  • Concludere il procedimento di convalida cliccando sul pulsante “Close”.
    Prima della chiusura della finestra di dialogo, il sistema controlla se ci sono ancora inserimenti non confermati nella lista.
  • La finestra di dialogo per la convalida viene chiusa quando si clicca sul pulsante OK.

info Info

Gli inserimenti già modificati o accettati (tipo di convalida: Validated), potranno essere modificati di nuovo. Dopo un´eventuale modifica, questi inserimenti avranno di nuovo il tipo di convalida manipolati. Assicurarsi che ogni modifica sia stata effettivamente applicata nell´archivio mediante il pulsante Apply.


Filtro di punti di misurazione tramite variabile.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points -> Filtro di punti di misurazione tramite variabile.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro di punti di misurazione tramite variabile.

Esiste la possibilità di filtrare la lista dei punti di misurazione sulla base di determinati criteri. Per farlo, scrivere un valore corrispondente sulla variabile filtro.

Tipp Suggerimento

È possibile definire per ogni utente una stringa di filtro che verrà scritta sulla variabile filtro mediante una ricetta non appena l´utente esegue il login.

In questo modo nella lista verranno visualizzate solamente i punti di misurazione rilevanti per l´utente in questione.

Questo filtro può essere utilizzato anche per semplificare il procedimento di convalida: sarà infatti possibile escludere da questo processo mediante il filtro tutti i punti di misurazione non rilevanti, mentre tutti gli altri verranno selezionati automaticamente.

Per il filtro, vale quanto segue:

  • Si può definire un filtro per ogni colonna.
  • Le singole stringe di filtro vengono separate da un #.
  • Il separatore all´interno di una stringa di filtro è uno spazio vuoto.
  • Si può definire a piacimento la successione degli elementi nella stringa.
  • Con la stringa SelectAll si selezionano automaticamente tutti gli inserimenti filtrati.

Struttura di una stringa di filtro:

Abbreviazione colonna Operatore Valore filtro

Panoramica di abbreviazioni colonna e operatori per eseguire il filtro

Per eseguire il filtro, sono a disposizione le seguenti abbreviazioni colonna e operatori.

Panoramica di abbreviazioni colonna

Abbreviazione | Colonna
na | Nome
de | Descrizione
lo | Location
mt | Metering Type
ca | Calculation active
mn | Meter name
md | Meter description
bh | Behavior
eq | Equipment groups

Panoramica degli operatori

Si può scegliere come operatore o il numero o la stringa.

Numero | Stringa
0 | None
1 | IsLike
2 | IsNotLike
3 | IsLessThan
4 | IsLessThanOrEqualTo
5 | IsEqualTo
6 | IsNotEqualTo
7 | IsGreaterThanOrEqualTo
8 | IsGreaterThan
9 | StartsWith
10 | EndsWith
11 | Contains
12 | NotContains
13 | IsNull
14 | IsNotNull
15 | IsContainedIn

Esempi

Inserimento nella colonna Name contiene la stringa Com:
Valore della variabile filtro: na Contains Com

Calculation active è settato:
Valore della variabile filtro: ca 5 True

Inserimento nella colonna Behavior inizia con Auto, selezione automatica degli inserimenti filtrati:
Valore della variabile filtro: bh StartsWith Auto#SelectAll

Combinazione di tutti e tre i filtri:
Valore della variabile filtro: na Contains Com#ca 5 True#bh StartsWidth Auto#SelectAll

Se in una stringa di filtro ci sono dei valori non validi, le altre stringhe verranno utilizzate.


Meters

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Meters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Meters

In questa scheda si gestiscono i contatori a Runtime.

Parametro | Descrizione
New | Apre la finestra di dialogo che serve a creare un nuovo contatore.
Edit | Apre la finestra di dialogo che serve a modificare il contatore selezionato.
Delete | Cancella il contatore selezionato.

Lista dei contatori.

Parametro | Descrizione
Name | Nome del contatore creato.
Description | Descrizione del contatore.
Manufacturer | Produttore del contatore.
Metering Type | Tipo di contatore.
Serial number | Numero di serie del contatore.
Note | Commento relativo al contatore creato.
Year of construction | Anno di produzione del contatore.

Ancora in questo capitolo

Create new meter

Modificare contatori

Cancellare contatori


Create new meter

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Meters -> Create new meter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new meter

In questa finestra di dialogo (sia nel Wizard che a Runtime) si configurano i contatori e si modificano le configurazioni esistenti.

Parametro | Descrizione
Name | Identificazione del contatore. Campo obbligatorio
Description | Descrizione del contatore. Inserimento facoltativo
Note | Commento sul contatore. Inserimento facoltativo
Metering Type | Tipo di assegnazione del contatore. Menù a tendina contenente i tipi già progettati. Questo menù a tendina corrisponde anche alla lista dei tipi per la creazione di un nuovo punto di misurazione. Inserimento facoltativo
Manufacturer | Nome del produttore del contatore. Inserimento facoltativo
Serial number | Numero di serie del contatore. Inserimento facoltativo
Year of construction | Anno di produzione del contatore. Inserimento facoltativo

Chiudere la finestra di dialogo.

Parametro | Descrizione
Save & New | Salva il nuovo contatore. Subito dopo si apre di nuovo la finestra di dialogo che serve a creare un nuovo contatore; è di nuovo vuota. Si può procedere alla configurazione di ulteriori contatori.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Nota: una volta che gli inserimenti sono stati salvati, il sistema scrive un nuovo inserimento nella banca dati e la lista dei contatori viene integrata con l´aggiunta di un nuovo inserimento.

Ancora in questo capitolo

Progettazione di un contatore a Runtime.


Progettazione di un contatore a Runtime.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Meters -> Create new meter -> Progettazione di un contatore a Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione di un contatore a Runtime.

Per creare un nuovo contatore, procedere nel modo seguente:

  1. Cliccare sulla scheda Meters.
  2. Cliccare su New.
  3. Si aprirà la finestra di dialogo per la creazione, o la modifica di un contatore.
  4. Inserire le informazioni relative al contatore.

Nota: il sistema provvede ad informare l´utente nel caso siano stati eseguiti inserimenti errati mediante un simbolo di color rosso che appare accanto al campo di inserimento.


Modificare contatori

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Meters -> Modificare contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modificare contatori

Per modificare un contatore esistente, procedere nel modo seguente:

  1. Passare alla scheda Meter
  2. Selezionare il contatore in questione nella lista di quelli già configurati.
  3. Cliccare su Edit.
  4. Si apre la finestra di dialogo Edit meter.
  5. Aggiungere le informazioni desiderate e modificate il contatore a piacere.
  6. Cliccare su Save & Close.


Cancellare contatori

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Meters -> Cancellare contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellare contatori

Per cancellare un contatore esistente, procedere nel modo seguente:

  1. Nella scheda Meter, selezionare il contatore che si vuole cancellare.
  2. Cliccare poi sul pulsante Delete; verrà visualizzata una finestra di dialogo per confermare la cancellazione del contatore; cliccare su OK.
  3. Il contatore selezionato viene cancellato.

Nota: se un contatore è già collegato ad un punto di misurazione, non lo si può cancellare. In questo caso il pulsante Cancella sarà visualizzato in color grigio (non attivo). Per cancellare un contatore che è stato già assegnato, lo si deve prima scollegare dal punto di misurazione, oppure sostituire a Runtime.


Amministrazione punti di misurazione nella rete di zenon

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Amministrazione punti di misurazione nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Amministrazione punti di misurazione nella rete di zenon

Se si esegue l´Amministrazione punti di misurazione a Runtime su un client e il server primario smette di funzionare, il modulo viene disattivato. In questo caso, verrà visualizzato un messaggio corrispondente nel Runtime di zenon.

Gli inserimenti delle finestre di dialogo ancora aperte al momento dell´interruzione del funzionamento del server, verranno ignorati. In questo modo si evita che ci siano delle incongruenze fra i dati degli archivi/Lista Eventi Cronologica di zenon e i dati storici dell´amministrazione punti di misurazione.

Non appena il server primario è di nuovo online, anche il modulo si riattiva.


Componenti zenon Logic dell´amministrazione punti di misurazione.

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il calcolo di valori relativi nel caso di punti di misurazione automatici è realizzato, se l´impostazione Calcolo valore relativo è attiva, tramite zenon Logic.

Le impostazioni necessarie vengono riprese automaticamente dalla Amministrazione punti di misurazione. Trovate le informazioni su questi passaggi automatici nella scheda Riassunto del wizard Metering Point Administration, nell´Editor di zenon. Questa scheda fornisce informazioni anche su eventuali problemi insorti.

tutorial Informazioni sulla licenza

Non è necessario disporre di una particolare licenza di zenon Logic. È sufficiente quella standard.

Ancora in questo capitolo

Verifica se il workbench di zenon Logic è aperto

Progettazione zenon Logic per l´amministrazione punti di misurazione

Applica modifiche in zenon Logic

Blocco funzioni VACO

Blocco funzioni ArchivTrigger


Verifica se il workbench di zenon Logic è aperto

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Verifica se il workbench di zenon Logic è aperto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Verifica se il workbench di zenon Logic è aperto

Quando si avvia l´amministrazione punti di misurazione nell´Editor di zenon, il sistema verifica prima di tutto se il workbench di zenon Logic è aperto. Per evitare delle configurazioni errate, il sistema invita l´utente a chiudere il workbench di zenon Logic. Non è possibile avviare il Wizard se il workbench è aperto!

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametro

Descrizione

Wiederholen

Nuova verifica se il workbench di zenon Logic è aperto. Se il workbench di zenon Logic non è aperto, il Wizard verrà caricato.

Se il workbench di zenon Logic è ancora aperto, verrà visualizzata nuovamente la finestra di dialogo di errore.

Abbrechen

Cancella l´apertura dell´amministrazione punti di misurazione.


Progettazione zenon Logic per l´amministrazione punti di misurazione

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Progettazione zenon Logic per l´amministrazione punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione zenon Logic per l´amministrazione punti di misurazione

Quando l´impostazione Calcolo valore relativo è attiva, in background avvengono automaticamente le seguenti azioni quando si creano dei punti di misurazione automatici:

Creazione di un driver

  1. Typ STRATONNG
  2. Nome: MeteringPoint
  3. Adattamento delle impostazioni driver.
    1. Host: localhost
    2. Port: 14731
      (Se ci sono più progetti nell´area di lavoro, il numero di porta viene aumentato di 1 unità per ogni progetto caricato).

Creazione di un progetto zenon Logic

  1. Nome: MeteringPoint
  2. Host: localhost
  3. Port: 14731
    (Se ci sono più progetti nell´area di lavoro, il numero di porta viene aumentato di 1 unità per ogni progetto caricato).

Creazione di un programma nel progetto zenon Logic per il calcolo dei valori relativi.

Nome: RelativeValueCalculation

Dopo la conclusione di questa configurazione, vengono compilati il progetto zenon Logic e quello zenon.

Durante la progettazione di un punto di misurazione nel wizard, il workbench di zenon Logic deve essere chiuso. Se si verificano dei problemi, il sistema provvede a visualizzare una segnalazione corrispondente nel riassunto del wizard.

attention Attenzione

Tutte le modifiche manuale effettuate sul driver MeteringPoint, nonché nel progetto zenon Logic MeteringPoint (incluso il programma RelativValueCalculation), possono avere come conseguenza il fatto che il calcolo valore relativo non funziona più correttamente.


Applica modifiche in zenon Logic

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Applica modifiche in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Applica modifiche in zenon Logic

Delle modifiche alla configurazione di punti di misurazione possono causare dei cambi nel programma zenon Logic.

Queste modifiche, però, non verranno accettate nel Runtime di zenon con il semplice reload. L´attuale programma zenon Logic viene caricato solo dopo un riavvio del Runtime.

Example Esempio

Modifica del tempo di ciclo di un archivio esistente.

Per garantire un calcolo corretto per un punto di misurazione con valori relativi calcolati (proprietà Calcolo valore relativo attiva), deve essere riavviato il Runtime di zenon.


Blocco funzioni VACO

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Blocco funzioni VACO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Blocco funzioni VACO

Il blocco funzioni VACO in zenon Logic esegue il calcolo di valori relativi.

Quando si creano o modificano punti di misurazione automatici con l´impostazione „Calcolo valore relativo" attiva, viene generata nel programma zenon Logic un´istanza RelativValueCalculation del blocco funzioni per il punto di misurazione corrispondente. Quando si cancella un punto di misurazione automatico con calcolo di valori relativi attivo o si disattiva il calcolo di valore relativo per un punto di misurazione automatico, le relative configurazioni di progetto in zenon Logic (variabili e righe di codice) vengono rimosse.

Programmazione - Codice sorgente

//Instance for Metering Point MessstellenName

VACO_MessstellenID(ANY_TO_LREAL({AbsolutVariablenName}),INT#1,{FunktionsTriggerVariablenName},T#5s,FALSE,0.0);

{RelativVariablenName}:=ANY_TO_DatenTypRelativVariable(VACO_0001);

{ArchivTriggerVariablenName}:=VACO_MessstellenID.TA;


Blocco funzioni ArchivTrigger

Manuale -> Wizards -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Blocco funzioni ArchivTrigger

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Blocco funzioni ArchivTrigger

Il blocco funzioni ArchivTrigger esegue (in background) i calcoli necessari al fine di inizializzare gli archivi ciclici con il tempo di ciclo configurato.

Quando si cambia la configurazione di un archivio ciclico per l´amministrazione punti di misurazione in zenon, avviene un update automatico del programma zenon Logic dopo l´apertura del wizard. .

Programmazione - Codice sorgente

//Instance for Trigger RE

Trigger_RE(ULINT#1420066800,ULINT#900,ULINT#28800,False,False,False);

OUT_TF_RE:=Trigger_RE.TF;


Industria farmaceutica.

Manuale -> Wizards -> Temi -> Industria farmaceutica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wizard per l´industria farmaceutica.

Ancora in questo capitolo

Pharmaceutical Wizard


Pharmaceutical Wizard

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Pharmaceutical Wizard consente la gestione di progetti validati da usare nell´industria farmaceutica. Esso riassume le impostazioni rilevanti per un progetto Good Maufacturing Process (GMP). Esso possono essere gestite e modificate grazie a questo Wizard. Le impostazioni vengono caricate nel Wizard andando a prenderle da un progetto esistente, oppure facendo uso di un file di configurazione.

Vengono gestite le seguenti impostazioni:

  • impostazioni di progetto generali
  • Gestione user
  • Gruppi utenti
  • Impostazioni lista eventi cronologica (CEL)
  • Impostazioni per la gestione allarmi
  • modelli XML

Le impostazioni progettate nel Wizard:

  • possono essere assegnate ad un progetto attivo
  • possono essere salvate in un nuovo progetto
  • possono essere salvate in uno speciale file di configurazione.
    Questi file di configurazione creati nel Wizard, possono essere sempre riutilizzati ed estesi, ma sono sempre leggibili e modificabili solamente con il Wizard.

Ancora in questo capitolo

Avviare il Wizard

Welcome

Settings

Project properties

User administration

User groups

CEL & Alarms

Templates I

Templates II

Finish


Avviare il Wizard

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Pharmaceutical.
  3. In questa cartella, selezionare Pharmaceutical Wizard.
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la pagina di benvenuto.


Welcome

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Per chiudere il Wizard, cliccare su Cancel. Tutte le modifiche effettuate dal momento dell´ultimo salvataggio in un file o in un progetto vengono rifiutate.


Settings

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda:

  • vengono caricate le impostazioni
  • vengono adattate le descrizioni di progetto

Parametro | Descrizione
Configuration | Definizione di quale progetto viene modificato.
Load from active project | Carica le impostazioni del progetto attivo nel workspace nel Wizard.
Load from configuration file | Carica i dati di un file di configurazione salvato (*.cof). Il file viene selezionato fra quelli della lista. La lista mostra tutti i file di configurazione esistenti nella cartella scelta (Select directory). Info: i file di configurazione possono essere letti, creati e modificati solamente con il Wizard.
Select directory | Apre il dialogo di selezione file che consente di selezionare la cartella in cui si trovano i file di configurazione (*.cof) desiderati. Questi ultimi vengono visualizzati nella lista sotto il pulsante.
Templates | Impostazioni per modelli XML e XRS.
Project description | Indicazioni concernenti il progetto, come definito nel Dialogo della proprietà Descrizione progetto. Viene ripreso dal progetto caricato e può essere modificato in questa sede. Tutte le modifiche vengono visualizzate nella scheda Finish per essere controllate.
Author | Autore del progetto.
Manager | Manager di progetto.
Company | Impresa.
Comment | Commenti.


Project properties

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Project properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per:

  • Rete
  • Autorizzazione operativa in rete
  • Log delle modifiche

Parametro

Descrizione

Network

Rete

Proprietà per l´uso del progetto in una rete.

Ulteriori informazioni nella guida in linea.

Active

Rete attiva

  • Attiva: il progetto viene usato come progetto di rete. Deve essere definito un server:
  • Non attiva: il progetto è un progetto Standalone.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Server name

Server 1

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Quando si clicca su ... si apre la finestra di dialogo contenente la lista dei computer disponibili in rete.

Indicazione Nome: L'indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Standby name

Server 2

Disponibile solamente se nella proprietà Server 1 è stato inserito un computer.

Cliccando su ..., si apre la finestra di dialogo contente la lista dei computer disponibili in rete.
Nei sistemi ridondanti, questo computer assume il ruolo del server primario quando quest´ultimo smette di funzionare. Il sistema riconosce che il server primario ha smesso di funzionare se quest´ultimo non reagisce entro il tempo definito nella proprietà Network communication timeout dello Startup Tool. Un buffer apposito nel Server-Standby supera il tempo morto che trascorre fra il momento in cui il server primario smette di funzionare e quello in cui subentra lo Standby; in questo modo si evita che ci sia una perdita di dati.

Nota sul nome: "localhost" non può essere usato come nome.
Se si cambia il nome, quest´ultimo non potrà essere aggiornato con un semplice reload. Ci sarà un update del nome solo in seguito ad un riavvio del Runtime.
Attenzione: il server primario e il Server-Standby devono avere la stessa ora di sistema.
Ulteriori informazioni nella guida in linea

Redundancy type

Tipo di ridondanza

Disponibile solo se nella proprietà Server 2 è stato indicato un computer.

zenon supporta due tipi di ridondanza:

  • Ridondanza software: Il sistema è formato da un PLC e due computer ridondati su cui è installato il sistema di controllo. Entrambi i PC devono essere connessi al PLC. Entrambi i PC comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene gestita dal computer che funge da server. Il server, dunque, comunica in modo bidirezionale, il Server-Standby in una sola direzione. Se il server smette di funzionare, il Server-Standby assume il compito di gestire la comunicazione bidirezionale con il PLC.
  • Ridondanza hardware: Il sistema è formato da due PLC ridondati e due computer ridondati su cui è installato il sistema di controllo. Ogni PC comunica con un PLC in modalità bidirezionale. Entrambi i computer e entrambi i PLC allineano i loro dati. Se smette di funzionare un componente del primo sistema, subentra il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea.

Network authorization

Autorizzazione

Proprietà per l´autorizzazione comando nella rete.

Ulteriori informazioni nella guida in linea.

Active

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, è sempre possibile.

  • Attiva:
    Solo un PC può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
  • Non attiva:
    più calcolatori possono gestire il progetto contemporaneamente.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Timeout for request [s]

Timeout per la richiesta [s]

Disponibile solamente se per la proprietà Autorizzazione di rete è stata selezionata dal menù a tendina l´opzione Autorizzazioni utenti globali oppure Autorizzazione utente via modello di impianto.
Se l´autorizzazione operativa viene bloccata in rete da una postazione, potrà essere richiesta da un altro computer. Questa richiesta deve ottenere una risposta entro il tempo impostato in questa proprietà. Se questo intervallo di tempo scade senza che sia giunta alcuna risposta, la postazione che ha fatto la richiesta ottiene automaticamente l´autorizzazione.

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

Timeout for acknowlewdgement [s]

Timeout per autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione di rete è stata progettata.
Entro l´intervallo di tempo impostato in questa proprietà il computer (Client) in possesso dell´autorizzazione operativa deve mettersi in comunicazione con il server. In caso contrario, l´autorizzazione operativa verrà rilasciata automaticamente.
Attenzione: questo valore deve essere inferiore al tempo impostato nella proprietà Timeout [s].

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

History of changes

Log delle modifiche

Proprietà per il Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Active

Log delle modifiche attivo

Checkbox con cui si attiva il Log delle modifiche.

  • Attiva:
    le modifiche apportate al progetto vengono protocollate.
  • Non attiva:
    le modifiche apportate al progetto non vengono protocollate

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Detailing level

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli del menù a tendina.

  • Oggetto:
    vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli relativi alle proprietà modificate e ai loro valori non verranno visualizzati nel Log di modifiche.
  • Proprietà:
    oltre ai nomi degli oggetti, verranno registrate nel "Log delle modifiche" anche le proprietà modificate e i loro nuovi valori.
  • Cambio valori:
    questa impostazione garantisce il più alto livello di dettaglio possibile. Se questa opzione viene attivata, verrà salvato nel Log delle modifiche non solo il nuovo valore di una proprietà, ma anche quello vecchio. In questo modo si garantisce una completa tracciabilità delle modifiche riguardanti i valori.

Default: Oggetto

Nota: i valori modificati verranno tagliati se superano una lunghezza di 128 caratteri.


User administration

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per la gestione utenti:

Parametro

Descrizione

User administration

Gestione user

Proprietà relative al progetto per la gestione utenti.

Ulteriori informazioni nella guida in linea.

Delete users

Eliminazione utenti

  • Attivo: è consentita la cancellazione di un utente nel Runtime.
  • Inattivo: è possibile solo evidenziare gli utenti come cancellati. In questo caso gli user continueranno a comparire nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: attiva

Ulteriori informazioni nella guida in linea.

Minimum password length

Lunghezza minima password

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Ulteriori informazioni nella guida in linea.

Period of password validity [days]

Periodo di validità password [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova password.

  • Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea.

Number of invalid user name inputs

Num. max. tentativi Username

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. A meno che non si tratti di amministratori, nessun utente può più effettuare il login. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato nella Lista eventi cronologica (CEL) un inserimento corrispondente. Le modifiche di questo valore avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Number of invalid password inputs

Num. max. tentativi password

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere rimosso solamente da un amministratore. In questo caso, viene generato un inserimento corrispondente nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

User administration storage

Salvataggio della gestione utenti

Selected user storage

Selezione del posto in cui le impostazioni user devono essere salvate:

  • Progetto
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

ADAM connection string

Connessione AD LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=760,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

ADAM user identification

Nome utente AD LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni su AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

ADAM password

Password AD LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Log out/log in

Proprietà per login/logout

Activate automatical logout

Logout automatico attivo

  • Attivo: Avviene il logout automatico dell´utente se esso non ha posto in atto alcuna azione di gestione per il tempo definito nella proprietà Tempo [min].
  • Inattivo: il sistema non effettua il logout automatico dell´utente.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Activate temporary login

Login temp. attivo

Attivazione del login temporaneo per quegli utenti che vogliono gestire un elemento, ma non sono registrati nel sistema.

  • Attivo: l´utente che ha bisogno di un´autorizzazione operativa, viene invitato a inserire la sua identificazione e la sua password. A tal scopo, vengono aperti (a seconda di quanto stabilito in fase di configurazione) o l´immagine del tipo Login, oppure un dialogo modale. Il sistema effettua il logout dell´utente subito dopo che questi ha eseguito l´azione.
  • Inattivo: l´utente che ha bisogno di un´autorizzazione operativa, riceve l´informazione che non ha diritto ad ottenerla.

Default: attiva

Avvertenza:

  • Posizione e grandezza della maschera di login del dialogo modale possono essere definiti nel zenon6.ini alla voce [Befehlsgabe]Position =.
  • Al posto del dialogo modale si può usare l´immagine del tipo Login. Essa viene definita con la proprietà Immagine per Login con firma.

Ulteriori informazioni nella guida in linea.

Locked buttons style

Tasti bloccati

Disponibile solo se la proprietà è Login temp. attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Ulteriori informazioni nella guida in linea.

Set names for authorization levels

Corrisponde alla proprietà Amm. Livelli di aut..

Oltre al numero, si può assegnare ad ognuno dei 128 livelli di autorizzazione un nome. Se si clicca sulla colonna destra, è possibile cambiare questo nome.


User groups

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda assegnate ai gruppi utenti i livelli di autorizzazione.

Parametro | Descrizione
User groups | Lista dei gruppi utenti
User group levels | Lista dei livelli di autorizzazione
Delete | Cancella un oggetto selezionato senza richiesta di conferma.

Se si clicca su un gruppo user, il sistema mostra il relativo livello di autorizzazione. Se si clicca sul livello, è possibile modificarlo. Il nome verrà adattato automaticamente. Se si clicca su un livello vuoto è possibile inserire un nuovo livello di autorizzazione.

Cliccando su Delete si possono cancellare sia gruppi che livelli di autorizzazione assegnati Quando si effettua la cancellazione, il sistema non fa una richiesta di conferma.


CEL & Alarms

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> CEL & Alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione della Lista eventi cronologica e della Gestione allarmi.

Parametro

Descrizione

Chronlogic Event List and Alarm Message List

Lista eventi cronologica (CEL)

Proprietà per la gestione della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

CEL active

Abilita CEL

  • Attivo: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • Inattivo: Non viene registrato nessun evento.

Default: attiva

Nota: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea.

Update automatically

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attiva: mentre è aperta la CEL a Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
  • Non attiva: mentre è aperta la CEL a Runtime, i nuovi inserimenti vengono aggiunti solo prima di ogni scrittura di un valore sul PLC. In questo processo viene scritto nella CEL come valore attuale quel valore che era sul PLC prima della scrittura.
    Gli inserimenti attuali vengono aggiunti solo alla prossima apertura della CEL.

Default: attiva.

Ulteriori informazioni nella guida in linea.

Print system messages

Stampa messaggi di sistema

Attivo: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Long dynamic limit texts CEL

Testi lunghi per valori limiti - CEL

Stabilisce se il campo di commento è a disposizione per i testi di valori limite dinamici. Il testo dinamico con valore limite consente di inserire nel testo di valore limite di una variabile valori attuali di altre variabili.

  • Attiva: i contenuti dinamici verranno salvati in un file con la convenzione di denominazione D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. In questo modo sarà possibile usare il campo note per scrivere dei commenti. I testi di valore limite dinamici possono avere un massimo di 1024 caratteri.
  • Non attiva: il campo di commento viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.

Default: non attiva

Ulteriori informazioni nella guida in linea

Signature text editable

Testo firma modificabile

Attivo: Nel Runtime viene aperta una finestra di dialogo che serve ad editare il testo di firma.

Inattivo: il testo della firma non può essere modificato durante il Runtime.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Data storage CEL

Storico CEL

Proprietà per il salvataggio degli inserimenti nella Lista Eventi Cronologica (CEL) nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Size of the ringpuffer

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Nota: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea.

Save CEL data

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Buffer circolare e Dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.
  • Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
  • Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).

Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea.

Save ringpuffer on change

Salva buffer circolare in modo spontaneo

Selezione del tipo di salvataggio dati.

  • Attivo: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
  • Inattivo: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Logging

Abilita registrazione

Proprietà generali per la Lista Eventi Cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Alarm acknowledgement

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Function Set SW

Funzioni impostazione valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrispondente nella CEL.
  • Inattivo: La scrittura di valori nella CEL non viene messa a protocollo.

Default: inattivo

Nota: Questa proprietà ha effetto durante il Runtime solo se il settaggio del valore impostabile viene eseguito tramite la funzione Imposta valore.

Ulteriori informazioni nella guida in linea.

Send recipes

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Procollo di ricette: Se si deposita una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
  • Protocollaggio valori e ricette: quando si deposita una ricetta, essa viene protocollata nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Change recipes

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio:
    la modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non causa un inserimento nella CEL.
  • Protocolla ricette:
    quando si modifica una ricetta, viene generato un inserimento corrispondente nella CEL con il nome della ricetta modificata.
  • Protocolla ricette e valori:
    quando si modifica una ricetta, viene generato un inserimento corrispondente nella CEL che contiene:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Alarm groups

Gruppi di allarmi/eventi

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuovo gruppo allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella gruppo-allarmi/eventi evidenziato

Alarm classes

Classi di allarme/eventi

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuova classe allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella classe-allarmi/eventi evidenziato


Templates I

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Immagini
  • Tipi di dato
  • Tavolozze dei colori
  • Matrici di reazione

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML disponibili per l´elemento nell´attuale file di configurazione.

Pulsanti | Funzione
Lista a destra |
Export | Apre il dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Import | Apre il dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. L´importazione viene eseguito nella cartella: %ProgrammData%\COPA-DATA\zenon7.60\Templates\PharmaWizard
Delete | Cancella i file XML creati nell´Editor tramite il comando. Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto corrente o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Templates II

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates II

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Simboli
  • Report del generatore di rapporti

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML a disposizione nel file di configurazione attuale. I report vengono salvati come file XRS.

Pulsanti | Funzione
Lista a destra |
Export | Apre la finestra di dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Import | Apre la finestra di dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. C:\\ProgrammData\COPA-DATA\zenon7.60\Templates\PharmaWizard.
Delete | Cancella i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto attuale o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Finish

Manuale -> Wizards -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene:

  • Inserita la descrizione di progetto
  • Definito in che modo le modifiche di progetto devono essere salvate

Parametro

Descrizione

Project description

Indicazioni sul progetto come definito nella scheda Settings. Solo visualizzazione, non è possibile nessuna modifica.

Author

Nome del progettista.

Manager

Nome del manager.

Company

Impresa.

Comment

Commento sul progetto.

Save configuration settings

Opzioni per il salvataggio delle modifiche eseguite nel Wizard.

Campo messaggi

Messaggi che informano se le azioni di salvataggio dati sono riuscite o meno.

... in current project

Tutte le impostazioni vengono caricate nel progetto attuale. In questo caso, le impostazioni nel progetto verranno sovrascritte.

... as new project

Viene creato un nuovo progetto con le impostazioni settate e i modelli selezionati. Deve essere stato selezionato prima un nome progetto.

... as fíle

Viene creato un nuovo file di configurazione del tipo dato *.cof. Se il nome è già utilizzato da un file di configurazione esistente, quest´ultimo verrà sovrascritto.

Attenzione: i file di configurazione creati possono essere letti, creati e modificati solamente con il Wizard.

Name

Nome del file di configurazione.


Project

Manuale -> Wizards -> Temi -> Project

Wizards per:

  • Creazione del progetto
  • il confronto di Backup progetto
  • la creazione di una documentazione di progetto

Ancora in questo capitolo

Project comparison

Project Configuration Wizard

Wizard di documentazione


Project comparison

Manuale -> Wizards -> Temi -> Project -> Project comparison

Il Wizard consente di confrontare fra di loro i backup di progetto. Il fine di questo confronto è stabilire quali oggetti e elementi sono stati cancellati, aggiunti oppure modificati. Il risultato può essere salvato e visualizzato come file XML oppure file HTML.

Requisiti

Il Wizard può leggere e realizzare un confronto fra quei backup di progetto che:

  • sono stati salvati come file ZIP.
  • sono stati creati con versionamento attivo.
  • sono stati creati con export XML attivo.

Per attivare il versionamento e l´export XML:

  1. Aprire il nodo Generale delle proprietà di progetto.
  2. Passare all´area Versionamento.
  3. Attivare la proprietà Attiva versionamento (segno di spunta nella casella).
  4. Attivare la proprietà Esportazione XML attiva (segno di spunta nella casella).

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

File temporanei

Durante il confronto, il Wizard apre i backup di progetto nella cartella temporanea BackUpComparisonWorkingFolder. Essa viene collocata nel percorso C:\Users\Public\Documents\zenon_Projects\Worspace. Questa cartella temporanea viene cancellata non appena si chiude il Wizard.

Ancora in questo capitolo

Avviare il Wizard

Welcome

Settings

Compare

Documentation


Avviare il Wizard

Manuale -> Wizards -> Temi -> Project -> Project comparison -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Project.
  3. In questa cartella, selezionare Backup Comparison Wizard.
  4. Cliccare su OK.

    Il Wizard si avvia visualizzando la pagina di benvenuto.


Welcome

Manuale -> Wizards -> Temi -> Project -> Project comparison -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Per chiudere il Wizard, cliccare su Cancel.


Settings

Manuale -> Wizards -> Temi -> Project -> Project comparison -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab si selezionano i due backup di progetto che devono essere confrontati l´uno con l´altro; in questa sede si effettua anche la scelta dei moduli di zenon che saranno coinvolti in questo confronto.

Parametro

Descrizione

Select project backups

selezione dei file di backup.

Latest version

Versione più recente. Cliccando sul pulsante ... apre il file-browser che serve alla scelta di un backup di progetto.

Nota: i backup di progetto si trovano di norma nella cartella %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Project], ma possono essere depositati a mezzo di export in una qualsiasi altra cartella.

Older version

Versione precedente. Cliccando sul pulsante ... apre il file-browser che serve alla scelta di un backup di progetto.

Select project modules

Selezione del moduli che devono essere confrontati. La selezione avviene mediante l´attivazione delle checkbox che si trovano davanti ai moduli.

Queste impostazioni sono salvate individualmente per ogni utente e sono di nuovo disponibili alla prossima apertura del Wizard.

Tasti freccia

Cliccando sul pulsante si passa alla scheda precedente o seguente.

Cancel

Chiude il Wizard.


Compare

Manuale -> Wizards -> Temi -> Project -> Project comparison -> Compare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda, i backup di progetto vengono confrontati sulla base dei moduli selezionati.

Parametro

Descrizione

Campo elenco

Se si clicca sul pulsante Compare , vengono visualizzate nel campo lista le differenze fra i backup di progetto.

Contenuto delle colonne:

  • Module: nome del modulo.
  • Result: nome dell´oggetto.
  • Element: visualizzazione e descrizione dell´elemento.
  • Parameter: nome del parametro modificato.
  • Old: valore vecchio di un parametro modificato.
  • New: nuovo valore di un parametro modificato.

Identificazione tramite colore:

  • blu: nuovi oggetti e elementi
  • rosso: oggetti e elementi cancellati
  • verde: oggetti e elementi modificati
  • nero: oggetti e elementi immutati

Navigazione

Elementi che consentono la navigazione nella lista.

Changed elements

Attiva: cliccando sul pulsante freccia verticale, si passa all´elemento modificato precedente/seguente.

Deleted elements

Attiva: cliccando sul pulsante freccia verticale, si passa all´elemento cancellato precedente/seguente.

New elements

Attiva: cliccando sul pulsante freccia verticale, si passa al nuovo elemento precedente/seguente.

Show only differences

Attiva: se si clicca sul pulsante Compare verrà rappresentato mediante colori solamente ciò che è cambiato, mentre gli elementi rimasti immutati non verranno visualizzati.

Se si cambia questa opzione, il confronto deve essere riavviato cliccando su Compare.

Compare

Confronta i backup di progetto in base alla selezione e mostra quest´ultima nel campo lista.

Tasti a freccia doppia verticale

Cliccando sul pulsante, si passa al modulo precedente/seguente.

Tasti freccia verticale

Cliccando sul pulsante, si passa (a seconda dell´impostazione) al risultato precedente/seguente dello stesso tipo:

  • Changed elements
  • Deleted elements
  • New elements

Tasti freccia orizzontale

Cliccando sul pulsante si passa alla scheda precedente o seguente.

Cancel

Chiude il Wizard.

Esempio confronto di progetti:

Tutti gli oggetti:

Alcune modifiche:

Nel modulo Immagini:

  • è stata cancellata l´immagine batch .
  • nell´immagine SYSTEM_2 è stato modificato un elemento di testo
  • nell´immagine START è stato aggiunto un pulsante dal nome Name Button_1
  • nell´immagine ALARM non è cambiato nulla

Solo differenze:

le differenze sono riconoscibili come nel precedente screenshot. Gli oggetti e gli elementi rimasti immutati vengono esclusi.


Documentation

Manuale -> Wizards -> Temi -> Project -> Project comparison -> Documentation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il risultato del confronto dei backup di progetto può essere visualizzato e salvato come file XML o HTML in questa tab.

Parametro

Descrizione

Settings

Impostazioni per tipo della documentazione.

Create XML

Attiva: viene creato un file XML.

Create HTML

Attiva: viene creato un file HTML.

Save Path

Percorso per la cartella in cui viene salvato il file. Solo visualizzazione. la selezione avviene attraverso il pulsante Compare.

Create documentation

Cliccando sul pulsante:

  • si apre il file-browser: selezionate in questa sede il posto in cui salvare il file e assegnate un nome al file di documentazione.
  • La documentazione viene salvata nel tipo desiderato e la mostra nel campo lista.

Campo elenco

Visualizzazione del documentazione.

Tasto freccia

Cliccando sul pulsante si passa alla scheda precedente.

Cancel

Chiude il Wizard.

Esempio File XML

Visualizzazione nel wizard:

visualizzazione come file XML:

Esempio File HTML

Durante la creazione di un file HTML vengono creati nel percorso di salvataggio anche un file XML e un file XSLT. Sulla base di questi due file viene creato in modo dinamico il file HTML.

Struttura del file HTML:


Project Configuration Wizard

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With this wizard you can create basic objects for new projects. You can configure:

  • Information about the project:
    including Versioning and History of Changes
  • Drivers
    Including Driver statistic variables
  • Graphics settings
    Resolution, quality, Runtime behavior
  • Basic screens with symbols, WPF element, AML, CEL, system information and an overview of the simulation variables
    • Diagnosis screens
  • Navigation

Settings changed in the wizard are saved in the user profile of the operating system and loaded at the next opening by the same user.

The wizard is executed in English; the language in the project corresponds to that of the open zenon Editor. This wizard is automatically executed when a new project is created.

attention Attenzione

Questo Wizard viene visualizzato nella finestra di selezione solo se nel filezenon6.ini, alla voce [VSTA], l´inserimento CSHARP= è stato settato su 1.

Multi-user projects

The wizard does not support multi-user projects. When a new multi-user project is created, the wizard is not automatically started. With a manual start, it is ended again with a warning message.

info Info

If the wizard is selected manually via the Wizard selection dialog, then the following must be the case:

  • An empty project must be created
  • The project must be active

Ancora in questo capitolo

Starting the wizard

Welcome

Navigation bar

Project Info

Drivers

Graphic Settings

Screen Selection

Finish

Examples in the Runtime


Starting the wizard

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Starting the wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This wizard is automatically executed when a new project is created. It can also be selected directly in the dialog for starting wizards.

attention Attenzione

The complete scope of wizard functions is only available for an empty zenon project. If the wizard is started in a project that already contains project configurations, only the creation of dashboards is supported by the wizard.

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Select the folder Project.
  3. There select the Project Configuration Wizard
  4. Click on OK.

    The wizard starts with the welcome page.

If you call up the wizard from an existing project, you receive a warning:

By clicking on Yes, you confirm that you accept changes to your existing configuration.


Welcome

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Welcome tab provides a brief overview of the wizard's scope.

The navigation through the wizard is done by clicking on the individual tabs or step by step by clicking on the arrow keys.

If, in the zenon project, configurations have already been undertaken, the following start page is shown in the Welcome tab:


Navigation bar

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Navigation bar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can go forwards or backwards by one tab with the navigation bar.

Parameter | Description
Arrow keys | Move one tab forward or back.
Finish Overwrite | Creates project and overwrites possibly existing object. Only active if tab Finish is opened.
Close | Closes the wizard. The made changes can be saved for the current user.


Project Info

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Project Info

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you configure general project settings and settings concerning versioning and the History of Change.

Parameter | Description
Author | Optional input field for the author of the project.
Manager | Optional input field for the project manager.
Company | Optional input field for the project company.
Comment | Optional input field for comments in relation to the project.

Backup settings

Settings for backup and versioning.

Parameter

Description

Versioning

Checkbox for the activation of versioning for project backups.

  • Active:
    Project versioning is used. Every project backup is saved with an own version number.
  • Inactive:
    no versioning of the project backup.

Default: Inactive

More in the online help.

Main version

Input field for the number of the main version. All other versions continue to be counted from the number entered.

Default: 0

Activate XML export

Checkbox for the activation of the XML export when backing up a project.

  • Active:
    At each project backup an zip file (version.zip) is inserted. It includes 24 XML files with the backups of the individual modules.

Note: For multi-user projects only for local backups.

Default: Inactive

More in the online help.

History of changes

Settings for history of changes.

Parameter

Description

Active

Log delle modifiche attivo

Checkbox con cui si attiva il Log delle modifiche.

  • Attiva:
    le modifiche apportate al progetto vengono protocollate.
  • Non attiva:
    le modifiche apportate al progetto non vengono protocollate

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Detailing levels

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli del menù a tendina.

  • Oggetto:
    vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli relativi alle proprietà modificate e ai loro valori non verranno visualizzati nel Log di modifiche.
  • Proprietà:
    oltre ai nomi degli oggetti, verranno registrate nel "Log delle modifiche" anche le proprietà modificate e i loro nuovi valori.
  • Cambio valori:
    questa impostazione garantisce il più alto livello di dettaglio possibile. Se questa opzione viene attivata, verrà salvato nel Log delle modifiche non solo il nuovo valore di una proprietà, ma anche quello vecchio. In questo modo si garantisce una completa tracciabilità delle modifiche riguardanti i valori.

Default: Oggetto

Nota: i valori modificati verranno tagliati se superano una lunghezza di 128 caratteri.


Drivers

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Drivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this tab, the zenon driver is selected, which is automatically configured when the wizard is executed.

Parameter

Description

Driver list

List of the zenon drivers in a tree display.

  • Clicking on [+] expands the entry.
  • Clicking on [-] reduces the entry.

Select the driver by clicking.

Driver information

Display of the additional information about the selected driver.

Driver name

Name of the driver as it is to be created in the project. Free text input.

The driver name is pre-filled with a proposal after it is selected.

Nome univoco del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Questo è necessario, ad esempio, nel caso di driver seriali, se si deve accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: questa proprietà non è disponibile per il cambio lingua.

Add

Adds the selected driver to the list of driver to be created.

Remove

Removes the selected driver from the list drivers to be created.

List of drivers to be created

List of drivers to be created with name, description and file name.

Create screen with driver statistic variables

Checkbox for the activation of automatic configuration of a zenon screen and the attendant system driver variables with static information in the zenon project.

  • Active:
    A screen with driver variables is created for the selected driver(s).
  • Inactive:
    No project configuration in the zenon project.


Graphic Settings

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Graphic Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you configure the resolution and the settings for the Runtime and touch screens.

General project settings

General graphical settings for the project.

Parameter

Description

Current primary monitor size (current)

Display of the current screen resolution. For multi-monitor systems the resolution of the main screen is displayed.

Note: This option cannot be changed.

Screen resolution

Selection of desired screen resolution from drop-down list.

Runtime Title

Titolo Runtime

Display of the Runtime main window.

  • no title:
    Complete display. Title bar is not displayed.
  • Title with min. and max. button:
    The window can be changed in its size and can be moved. Closing is not possible (also not via context menu, task bar or the shortcut Alt+F4). Right click on the header opens the context menu.
  • Title with system, min. and max. button:
    The window can be changed in its size and can be moved and it can be closed by clicking on button X. Right click on the header opens the context menu.
  • Title with system menu:
    The window can be moved and closed by clicking on button X. Right click on the header opens the context menu.
  • Title without buttons:
    The window can be moved and closed by clicking on button X. Right click on the header opens the context menu.

Default: no title

Attention: If this property is changed in the Editor, Runtime must be restarted. Reloading alone does not work, because Runtime must first be closed and then reopened in order for the main menu to be applied.

More in the online help.

Graphics quality

Setting for the quality of the graphics display.
DirectX allows a higher quality than Windows Basic. In principle, when using DirectX, the DirectX Hardware setting is preferable and DirectX Software should only be used if absolutely necessary. Possible selection:

  • Windows Basic:
    Basic graphics settings. Recommended for resource-weak hardware.
  • DirectX Software:
    Graphics calculation is done by the CPU and can lead to high CPU load.
  • DirectX Hardware:
    A part of the graphics calculation is done by the graphics card. If the system does not support the setting, it automatically switches to DirectX Software.

Default: DirectX Hardware

Attention: DirectX Not available under Windows CE.

Note:

  • When switching the mode during the engineering, there can be slight pixel deviation. There set this property before you create screens.
  • When activating Windows basic for all line types that use Larghezza linea > 1, all line types are set to solid line.
  • DirectX is not used for the display of ActiveX elements (file suffix: *.ocx).

More in the online help.

Menu position

Menu position for the display in zenon Runtime. Select from drop-down list:

  • Top:
    Menu bar is configured at the top
  • Bottom:
    Menu bar is configured at the bottom

Runtime settings

Settings for the display when zenon Runtime starts.

Parameter

Description

Alarm status active

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Active:
    As soon as an alarm occurs, a red status line with alarm information is displayed at the top of screen in the Runtime. In this status line the alarm can also be acknowledged with a double right click if the logged in user has the corresponding rights.
  • Inactive:
    No status line is displayed.

Default: active

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

More in the online help.

Note: This wizard automatically activated property Lista di informazione allarmi attiva.

Driver invisible

Driver invisibile

Checkbox for the display of the driver that has been started in the Windows task bar.

  • Active:
    Started drivers are not displayed in the Windows task bar in the Runtime.
  • Inactive:
    Started drivers are displayed in the Windows task bar in the Runtime.

Default: Inactive.

More in the online help.

Touch operation

Settings for touch operation in zenon Runtime.

Parameter

Description

Multi-Touch

Multi-Touch attivo

Checkbox for the application of Multi-Touch.

  • Active:
    Multi-Touch can be used. Flicks (short swipe) and right click (touch and hold) are deactivated.
    Requirements: All corresponding driver and devices are available. The device must be connected and switched on.
  • Inactive:
    no Multi-Touch operation in the zenon Runtime.

More in the online help.

Cursor visible

Cursore visibile

Checkbox for the behavior of the mouse pointer in zenon Runtime.

  • Active:
    The mouse pointer is visible in Runtime.
  • Inactive:
    The mouse pointer will not be displayed during Runtime For projects with a touchscreen, the display of the mouse pointer can be considered to be distracting and can be switched off with this property.

Default: active
Attention: This setting only has an effect on zenon, not on Windows standard elements such as title bars, menus, scroll bars, etc. For Windows elements, the mouse pointer must be deactivated in the operating system directly.

More in the online help.

Automatic keyboard

Tastiera automatica

Checkbox for the activation of an automatic keyboard in zenon Runtime for projects with a touchscreen.

  • Active:
    A keyboard screen is automatically called if input is necessary (for example to write a setpoint value or to log in).
  • Inactive:
    No keyboard screen is opened.

Default: Inactive

More in the online help.

Create keyboard screen

Checkbox for automatic configuration of a keyboard screen.

  • Active:
    Creates DIALOGKBD for alphanumeric input and SETVALUEKBD for numeric input. For details see chapter Create screen of type keyboard. For it to be used in the Runtime, you must activate the option Automatic Keyboard.
  • Inactive:
    No configuration of a keyboard screen.
    None

Keybooard size (%)

Defines in which size - in percent, starting from the original size - the automatic keyboard should be displayed in the Runtime.
Minimum: 50 %
Maximum: 300 %
Default: 100 %

More in the online help.


Screen Selection

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Screen Selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you can select screens which should be created in the project.

Attention: The screen switch function to the selected screens are configured with the default settings. No special settings such as filter, variables, etc. are made.

Create screens from templates

Area for setting parameters of zenon screens that are created automatically in the zenon project when the wizard is executed.

Parameter | Description
Screen types | Selection of the screen types for automatic configuration when the wizard is executed. Selection of the screen type from drop-down list.
List of possible templates | Selection of the template for the screen. Size and preview are displayed.
Width | Width of the screen. This value is pre-set in the template and cannot be changed.
Height | Height of the screen. This value is pre-set in the template and cannot be changed.
Screen preview | Preview of the selected template of the selected screen type.
Eingabefeld Name | Input field for naming the screen in the zenon Editor.
Add | Adds screen with the selected name to list of screens.
Remove | Removes selected screen from list of screens.
Screens list | List of all selected screens with name, screen type and size. A maximum of 14 screens can be created. If the maximum number of screens has been reached, this is shown with a dialog.

Demo project

Settings for the automatic configuration of an example project when the wizard is executed.

Parameter

Description

Create demo screens

Checkbox for the activation of automatic project configuration when the wizard is executed for an example project that can be executed in <CD_PRODCUTNAME> Runtime.

Active: When the wizard is executed, corresponding screens are configured in the zenon Editor and the appearance of the demo project is created, as well as linked automatically for linking in Runtime.

Selection of the demo screens by means of checkbox:

  • Demo pages:
    Example pages (are always created)
  • Alarm message list:
    AML
  • Chronologic event list:
    CEL
  • System information:
    Pages with system information, number depending on the resolution

Create Dashboards

Checkbox for the activation of the automatic configuration of corresponding diagnosis screens when the wizard is executed.

  • Active:
    Checkbox for the activation of automatic configuration of corresponding diagnosis screens and variables when the wizard is executed.
    In addition, the created screens are linked for display in Runtime in the navigation of the example project.
  • Inactive:
    No configuration of diagnosis screens.

Ancora in questo capitolo

Dashboards - Diagnosis screens


Dashboards - Diagnosis screens

Dashboards - Diagnosis screens

All four areas are shown in one screen in the complete display of the dashboard in Runtime:

  • Clicking on the Details... button in a sub-section calls up a new screen with further information in relation to the respective topic.
  • Clicking on the photo camera symbol (top right) creates a screenshot and copies it to the clipboard.
  • Clicking on the Dashboard tab in the navigation bar switches to the dashboard overview page.

The information is divided into the following areas:

  • Local system information
    Screen with system information and information about save locations of the executing computer.
  • Network information
    Screen with network information from the executing computer.
  • Drivers information
    Screen with information in relation to the drivers. Selection of the drivers from a list.
    In addition, with the Variable diagnosis button, it is possible to link a variable diagnosis screen.
  • System events
    Switch to Chronological Event List.
    In addition, the events can be exported to a file. For this export click on the button Export Events...

Available monitor resolutions

The Dashboard screen template is available for the following screen resolutions:

  • 1280 x 960
  • 1280 x 1024
  • 1920 x 1080


Finish

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab the project is created.

Click on button Overwrite to create the project according to the settings on the tabs. Possible already existing objects are overwritten. The wizard remains open for further configuration. To close the wizard, click on button Close.


Examples in the Runtime

Manuale -> Wizards -> Temi -> Project -> Project Configuration Wizard -> Examples in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Below you will find two example how your entry in the wizard effects the display in the Runtime.

  • Example 1: With the Create demo screens options active.
  • Example 2: Without example screens.

info Info

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Ancora in questo capitolo

With demo screens

Without demo screens


With demo screens

With demo screens

Start page:

Navigation:

SIMUL information:

Report Viewer:

AML:

CEL:

SystemInfo_1 ( for each screen resolution 1-3 screens):

SystemInfo_2 (1280x1024):

Driver:


Without demo screens

Without demo screens

Start page:

Navigation:


Wizard di documentazione

Manuale -> Wizards -> Temi -> Project -> Wizard di documentazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo wizard Vi accompagna nei passi che sono necessari per creare un documento del progetto attivo.

Si può stabilire quali moduli devono essere inclusi nel documento e quali no.

Il wizard è modificabile.


Variables

Manuale -> Wizards -> Temi -> Variables

Wizards per variabili.

Ancora in questo capitolo

Everywhere Essentials QR Code Generator

Variable creation wizard


Everywhere Essentials QR Code Generator

Manuale -> Wizards -> Temi -> Variables -> Everywhere Essentials QR Code Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Essentials QR Code Generator Wizard serve a creare codici QR che possono essere visualizzati con l´Everywhere Essentials QR Data App.

info Info

Il Wizard ha bisogno dell´Everywhere Server (a pagamento) per la visualizzazione.

Ulteriori informazioni si trovano nella guida dedicata alle Applicazioni mobili per zenon, nei capitoli Everywhere Server by zenon e Everywhere Essentials QR Data App.

Possibile contenuti del codice QR:

  • Nome progetto
  • Nome variabile
    • Una certa variabile
    • Più variabili collegate ad un gruppo di impianti.
  • Dati di connessione con l´Everywhere Server

Tipp Suggerimento
  • Si usa l´Everywhere Server per poter utilizzare una configurazione di progetto per le applicazioni mobili di zenon.
  • Usare il modello di impianto nell´Editor di zenon per collegare delle variabili (per es. per indicatori e messaggi di allarme) con un gruppo di impianti.
  • Creare un codice QR per questo gruppo di impianti con l´Everywhere Essentials QR Code Generator
  • Stampare questo codice QR e applicarlo direttamente sul macchinario.
  • Eseguire la scansione del codice QR direttamente sul posto con l´Everywhere Essentials QR Data App per visualizzare i dati in tempo reale.

Ancora in questo capitolo

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Generate QR Code


Installare e aprire il Wizard

Manuale -> Wizards -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Essentials QR Code Generator viene installato automaticamente durante l´installazione standard di zenon.

Visualizzazione del Wizard nell´Editor di zenon

Perché i Wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nel file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Aprire Wizard

Per avviare il Wizard:

  1. Cliccare su Extras -> Avvia Wizards nell´Editor....
    Oppure: Premere la combinazione di tasti Alt+F12

    Si aprirà la finestra di selezione con tutti i Wizard disponibili.

  2. Selezionare la cartella Variables.
  3. Cliccare qui su Everywhere Essentials QR Code Generator.

  4. Cliccare su OK.

    Il Wizard si avvia con la finestra iniziale.

info Info

Il Everywhere Essentials QR Code Generator è disponibile solo in lingua inglese.


Finestra iniziale

Manuale -> Wizards -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome fornisce una breve visione d´insieme relativa alle funzionalità del Wizard.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Navigazione

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando sul comando Close si chiude il Wizard. Una finestra di dialogo viene visualizzata prima della chiusura del Wizard.

Parametro | Descrizione
Sì | Chiude il Wizard. Le impostazioni configurate vengono conservate quando il Wizard viene riavviato.
No | Chiude il Wizard. Le configurazioni esistenti non vengono salvate.


Configurazione

Manuale -> Wizards -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Generate QR Code si configurano i contenuti del codice QR.

Contenuti del codice QR:

  • O:
    Una variabile del progetto attuale.
  • Oppure:
    un gruppo di impianti del modello di impianto nel progetto globale, oppure del progetto attuale.
    Le variabili collegate al gruppo di impianti vengono visualizzate nell´Everywhere Essentials QR Data App.
  • Opzionale: Parametri di connessione all´Everywhere Server.

    Contenuto nell´Everywhere Essentials QR Data App:

    • Parametri di connessione non contenuti nel codice QR:

      L´App cerca di stabilire una connessione con l´Everywhere Server usando i profili di connessione esistenti.

    • Il codice QR contiene parametri di connessione:

      L´App stabilisce una connessione con l´Everywhere Server usando i parametri impostati nel Wizard. Mentre viene stabilita la connessione, nell´App viene visualizzata una finestra di dialogo per consentire l´inserimento di nome utente e password.


Generate QR Code

Manuale -> Wizards -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Generate QR Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variable/Equipment Group

Parametro

Descrizione

Variable

Equipment Group

Campo opzionale per la selezione dell´elenco di anteprima :

  • Variable

    Mostra la lista delle variabili del progetto attivo di zenon.

  • Equipment Group

    Mostra il modello di impianto del progetto globale (se ne esiste uno) e quello del progetto attivo di zenon.

Everywhere Server

I parametri di connessione con l´Everywhere Server possono essere inseriti alla voce Everywhere Server.

Anche queste informazioni (se configurate) vengono inserite nel codice QR.

Parametro | Descrizione
Encode connection details | Attiva la codifica dei parametri di connessione nel codice QR.
URL | Nome dell´Everywhere Server con cui si vuole stabilire una connessione.
Port | Indirizzo della porta per la connessione con l´Everywhere Server. Nota: inserimenti non compresi nell'intervallo di immissione valido vengono corretti automaticamente e settati sul valore 65536.

Anteprima

Visualizza un´immagine di anteprima del codice QR della vostra progettazione.

QR Code

Parametro | Descrizione
Save to file | Il codice QR attualmente visualizzato viene salvato come file .png.
Copy to Clipboard | Copia il codice QR visualizzato negli appunti.

Ancora in questo capitolo

Variabile

Equipment Group


Variabile

Variabile

Se è stato selezionato il campo opzioni „Variable", viene visualizzata la lista delle variabili del progetto attivo.

  • Le informazioni della variabile selezionata vengono codificate nel codice QR.
  • Il codice QR viene aggiornato direttamente nell´anteprima.

Parametro

Descrizione

Equipment Group

Campo opzioni per passare alla visuale del modello di impianto.

Filter

Filtra gli inserimenti nella visione d´insieme delle variabili. Questa operazione di filtro è eseguita solamente sulla base del nome variabile.

Il testo inserito in questo campo corrisponde alla condizione "contiene".

Variable

Visione generale di tutte le variabili del progetto attuale.

Si può ordinare la lista cliccando sull´intestazione delle colonne. Cliccando una seconda volta si inverte la direzione dell´ordinamento. La direzione viene indicata da un freccia. Si può modificare liberamente la larghezza della colonna cliccando con il tasto destro del mouse.

  • Name

    Nome variabile. Corrisponde alla proprietà Nome dell´Editor.

  • Identification

    Identificazione della variabile. Corrisponde alla proprietà Identificazione dell´Editor.

  • Driver

    Nome del driver. Corrisponde alla proprietà Nome dell´Editor.


Equipment Group

Equipment Group

Se è stato selezionato il campo opzioni Equipment Group, viene visualizzato il modello di impianto del progetto attivo. :

  • Viene visualizzato quanto segue:
    • Il modello di impianto del progetto globale (se ne esiste uno)
    • Il modello di impianto del progetto attivo.
  • Le variabili collegate al gruppo di impianti selezionato vengono codificate nel codice QR.
  • Il codice QR viene aggiornato direttamente nell´anteprima.

I modelli di impianto del progetto globale vengono offerti alla selezione solo se non esistono modelli di impianto con lo stesso nome nel progetto attivo. Se esistono modelli con lo stesso nome, l´utente ne viene informato tramite un simbolo (triangolo giallo) e un tooltip. l Il modello di impianto del progetto globale viene visualizzato in color grigio.

Se si sposta il cursore del mouse sul triangolo giallo, compare un tooltip con il seguente messaggio di errore:

The following Equipment Model(s) from the Global Project will be ignored! There is at least one Equipment Model with the same name in the local Project:

- [Nome modello nel progetto locale]


Variable creation wizard

Manuale -> Wizards -> Temi -> Variables -> Variable creation wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo wizard serve ad impostare velocemente molte variabili.

attention Attenzione

Questo wizard non supporta l'engineering distribuito e non è utilizzabile nei progetti multi-user.


Crea o adatta wizard

Manuale -> Wizards -> Crea o adatta wizard

I wizard sono comuni formulari, che contengono determinate funzioni nella parte codice. In questo modo i formulari vengono riconosciuti come Wizard di zenon.

I wizard forniti con zenon possono servire da base per wizard proprio.

I wizard propri possono essere salvati in cartelle ad hoc. Tutte le informazioni devono essere inserite nel filewizards.ini. Quest´ultimo può essere utilizzato al momento dell´aggiornamento del wizard.

Wizard VBA e VSTA

Per creare dei Wizard sono necessarie per VBA e VSTA le seguenti indicazioni:

  • Nome
  • Descrizione
  • Categoria
  • Visualizzazione nel dialogo
  • Numero di versione

Queste funzioni vengono lette da zenon per identificare formulari come wizard e visualizzare le informazioni corrispondenti nel dialogo wizard.

attention Attenzione

Non è consentito l´uso di virgole (,) nei campi Wizard (GetWizard...)!
Se si usa una virgola in uno dei campi Wizard, questo non verrà visualizzato nella finestra di dialogo `Wizard" dell´Editor di zenon.

Il wizard demo mette a disposizione un modello vuoto che può essere adattato alle esigenze individuali. I dettagli concernenti la creazione di Wizard VSTA li trovate nella sezione Dettagli VSTA-Wizards.

Nome

indica il nome Wizard così come visualizzato nel dialogo per i Wizard

Esempio: Project Wizard VSTA

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Project-Wizard" End Function | GetWizardName (Type string)

Descrizione

Contiene la descrizione del Wizard come essa viene visualizzata nel settore "Descrizione" del dialogo.

Esempio: This wizard creates a simple zenon Project (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Wizard for creation of a project" End Function | GetWizardInfo (Type string)

Categoria

indica la categoria nella quale viene inserito il Wizard.

Per esempio: Project

Nota: possono essere usate le categorie esistenti. Wizard VBA e VSTA possono essere inseriti nella stessa categoria.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Project" End Function | GetWizardCategory (Type string)

Visualizzazione nel dialogo

Stabilisce se il Wizard viene visualizzato nel dialogo o meno. In tal modo è possibile escludere un Wizard dalla visualizzazione senza che tutte le funzioni debbano essere cancellate, oppure essere rimosse dall´Add-in.

= true: viene visualizzato

= false: viene escluso dalla visualizzazione

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (Type bool)

Numero di versione

Indica i numero di versione che viene visualizzato nella descrizione. Il numero di versione è necessario per gestire l´aggiornamento del wizard.

Esempio: (V.1)

Nota: Nell´ambito di una Wizard class non possono essere contenute delle funzioni con lo stesso nome. Ciò vale anche se rispondono diversi parametri.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (Type int)

Ancora in questo capitolo

Dettagli VSTA-Wizard


Dettagli VSTA-Wizard

Manuale -> Wizards -> Crea o adatta wizard -> Dettagli VSTA-Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VSTA Wizard

#region Wizard_Identification

/// <summary>
/// This Static method returns the name of the wizard,
/// which will be displayed in the wizard-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// This Static method returns the description of the wizard,
/// which will be displayed at the bottom of the wizard-dialog.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// This static method returns the category name of the wizard,
/// which will be used as node-name in the wizards-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

/// <summary>
/// This static method returns a bool which can be used to "switch" the wizard
/// on/off in the wizard dialog (false=wizard is not shown in the tree).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// This static method returns the version of the wizard.
/// Indicated at the bottom of the wizard-dialog.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// This method is called when the wizard has been selected in the
/// wizard dialog and confirmed with "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'This shared method returns the name of the wizard,
'which will be displayed in the wizard-tree.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'This shared method returns the description of the wizard,
'which will be displayed at the bottom of the wizard-dialog.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "A more detailed description of the wizard."
End Function

'This shared method returns the category name of the wizard,
'which will be used as node-name in the wizards-tree.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'This shared method returns a bool which can be used to "switch" the wizard
'on/off in the wizard dialog (false=wizard is not shown in the tree).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'This shared method returns the version of the wizard.
'Indicated at the bottom of the wizard-dialog.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'This method is called when the wizard has been selected in the
'wizard dialog and confirmed with "OK".

Public Sub StartWizard()
Me.Show()
End Sub

C# Workspace

Perché l`Editor possa creare in modo dinamico un´istanza della VSTA-Class, deve essere aggiunta un´ulteriore funzione per "Default" Workspace Code. Questo segmento codice deve essere presente perché il Wizard venga visualizzato nel dialogo. Questo segmento codice non dovrebbe essere modificato!

#region Wizard

/// <summary>
/// This Routine Enables the Dynamic creation of VSTA-Wizards.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Retrieve the ClassType by its Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Since the ClassType has been found, let's create it.
//The wizard from ClassType %strClassname% is required
//to have a Constructor with ZenWorkspace Parameter!

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

And for the VB.Net workspace like this:
'This Routine Enables the Dynamic creation of VSTA-Wizards,
'and should not be modified or removed!

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Aggiorna Wizard

Manuale -> Wizards -> Aggiorna Wizard

Quando installate un Service Pack di zenon, il sistema offre automaticamente l´update dei wizard. I wizard esistenti non vengono sovrascritti dal setup. Per questo motivo può rendersi necessario che dei wizard debbano essere importati e attualizzati manualmente.

attention Attenzione

Queste informazioni valgono solo per i wizard che sono stati programmati in C#. Questi ultimi sono tutti i wizard che vengono offerti nella finestra Aggiorna Wizard.

Queste informazioni non valgono per i wizard che sono stati programmati in .Net, come:

  • Analyzer Wizards
  • Sankey Wizard

.Net I wizard vengono integrati tramite una DLL e vengono aggiornati automaticamente con gli update di zenon. L´update può essere effettuato (se necessario) anche manualmente, tramite il file Build per zenon contenuto nel supporto di installazione zenon Analyzer.

Richiedi update

Un update può essere avviato in qualsiasi momento anche manualmente facendo uso dell´inserimento Aggiorna Add-Ins per l'Editor che si trova nel Combobox Extra.

Parametro

Descrizione

Lista wizard

Ordina in una lista tutti i wizard VBA e quelli VSTA disponibili nell´Add-in attivo.
  • Nome

Nome del wizard.
  • Nome oggetto

Nome oggetto VBA/VSTA.
  • Precedente Versione

Versione usata attualmente.
  • Nuova versione

Versione verso la quale viene effettuato l´update.
  • Informazioni

informazioni sullo stato e sull´azione imminente:

  • Nuovo: il wizard non è ancora presente nel file VBA.
  • Modificato: è disponibile una nuova versione.
  • Non più aggiornato: il wizard disponibile è vecchio e viene cancellato.
  • Tipo

VBA o VSTA
  • Specifico per l'utente

il wizard è stato creato o modificato dall´utente

Fonti dati

Possibilità di definire delle cartelle proprie per propri wizard Viene inserito il luogo in cui è stato salvato il wizards.ini individuale.

Gli inserimenti corrispondenti vengono salvati nello zenon.ini nella sezione [VSTA] o [VBA] come WIZARDPATH=.

Cartelle aggiuntive per Wizard VSTA

Luogo di salvataggio individuale per wizard VSTA propri.

Cartelle aggiuntive per Wizard VBA

Luogo di salvataggio individuale per wizard VBA propri.

Ricorda un'altra volta

il dialogo viene aperto di nuovo al momento del prossimo start dell´editor.

Inizio aggiornamento

I wizard mostrati nella lista corrispondente vengono aggiornati.

Annulla

La finestra di dialogo viene terminato senza update e verrà offerta di nuovo dal sistema solo dopo la prossima installazione di un Service Pack.

Assicurare attualità

Visto che oggetti non istanziati al momento dell´apertura del dialogo non possono essere controllati, il sistema offre sempre l´update di alcuni oggetti. In tal modo il sistema garantisce che Voi non dobbiate lavorare con un versione superata. La versione visualizzata nel dialogo di update funge solamente come forma di informazione per consultig e sviluppo.

Distribuisci wizard nell´azienda

Se avete scritto dei wizard propri e volete metterli a disposizione anche di altri utenti, potete usare anche questo meccanismo.
A tal scopo, esportate i wizard dal Vostro ambiente di sviluppo VBA/VBA; Vi consigliamo di deporre questo file di esportazione in un drive di rete disponibile. A gestire l´import servono i file ini. Dovete creare questi ultimi in modo corrispondente e dovete depositarli nel drive di rete.
La descrizione della struttura dei file la trovate qui: per VBA e per VSTA.

Adesso dovete solamente indicare ai Vostri colleghi il posto in cui li avete salvati ed essi possono comodamente importare i wizard nel loro editor. Se avete nuovi wizard o wizard modificati, dovete esportare solamente lo stato più recente, salvarlo e aumentare il numero di versione. In tal modo potete distribuire dei wizard comodamente all´interno dell´azienda.

Errori che possono emergere al momento dell´aggiornamento di wizard VSTA.

Errori

Possibili cause

Nel dialogo per l´aggiornamento non vengono mostrati wizard VSTA
  • Vengono indicati nella lista solo i wizard che si trovano nell´Add-in caricato.
    Se non vengono indicati i wizard VSTA, deve essere attivato VSTA-Add-in al momento dello start dell´editor. A tal scopo, settato in zenon6.ini nella sezione [VSTA] l´inserimento LOADED= a 1.
  • Se il workspace non può essere compilato a causa di errori nel codice, non viene mostrato nella lista nessun wizard.

Informazioni su come si procede a ripristinare gli Original Wizard le trovate nel capitolo Ripristina Original Wizard.

Non viene mostrato un particolare wizard.
  • Il wizard non supporta i metodi necessari.
  • Il workspace non è stato compilato dopo che il wizard è stato implementato; l´Add-in attivo non contiene ancora il wizard.

Non vengono mostrati wizard di creazione propria.
  • Il percorso configurato è sbagliato.
  • Il wizards.ini aperto nel percorso configurato è vecchio o errato.

Ripristina Original Wizard

Se dei wizard non compaiono nella lista corrispondente, potete ripristinare gli Original Wizard. Procedura:

  1. Chiudete l´Editor di zenon
  2. Passate alla cartella: %ProgramData%\COPA-DATA\zenonxxx\VSTAWorkspace
    (xxx sta per la versione di zenon)
  3. Rinominate l´intera cartella
  4. Riavviate l´Editor

    La cartella e i wizard verrano impostati di nuovo

Ancora in questo capitolo

wizards.ini


wizards.ini

Manuale -> Wizards -> Aggiorna Wizard -> wizards.ini

Struttura del file INI per la gestione dei wizard in VSTA e VBA.

info Info

Questa documentazione è disponibile solamente in lingua inglese.

Ancora in questo capitolo

VSTA wizards.ini

VBA wizards.ini

Metodi necessari per l´aggiornamento


VSTA wizards.ini

Manuale -> Wizards -> Aggiorna Wizard -> wizards.ini -> VSTA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Manuale -> Wizards -> Aggiorna Wizard -> wizards.ini -> VBA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Esempio

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Metodi necessari per l´aggiornamento

Manuale -> Wizards -> Aggiorna Wizard -> wizards.ini -> Metodi necessari per l´aggiornamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio di metodi di cui si ha bisogno per far in modo che i wizard siano visualizzati nel dialogo per l´aggiornamento:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


zenon Logic

Manuale -> zenon Logic

zenon Logic is the programming environment integrated into zenon in accordance with IEC 61131. It is available as Editor and Runtime (Soft-PLC).

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Note: 8 TAGs are included in the standard license for Runtime. There is no limit for the Workbench. For details about licensing see chapter Licensing.

Ancora in questo capitolo

Basics zenon Logic Workbench (IEC 61131-3)

zenon Logic Workbench

zenon Logic Runtime (Soft PLC)

zenon Logic Runtime Manager


Basics zenon Logic Workbench (IEC 61131-3)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In the case of zenon, the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.
With the zenon Logic development environment - the Workbench - PLCs can be engineered and programmed in the five defined programming languages of IEC 61131-3.

Project manager context menu

Menu item | Action
zenon Logic - New project | Opens the assistant to create a new zenon Logic project.
Import XML... | Imports entries from an XML file. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Import external zenon Logic project... | Opens the dialog to select a zenon Logic project folder.
Editor profiles | Opens the context menu with pre-defined Editor profiles.
Help | Opens online help.

Ancora in questo capitolo

General information on zenon Logic help

zenon Logic General

zenon Logic toolbar and context menu detail view

First steps with zenon Logic in zenon

Variable handling

Arrays

Data structures

Distributed engineering (multiuser)

Reusing projects


General information on zenon Logic help

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> General information on zenon Logic help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This help manual provides a quick introduction to the use of zenon Logic in conjunction with the integrated solution with zenon. This manual does not provide an instruction into computer languages, functions and function blocks. For this use the extensive help included directly in the zenon Logic Workbench> (IEC 61131-3 programming environment).

The zenon Logic Workbench provides an extensive help functionality. In order to access this help function, open the entry Help in the menu of the zenon Logic Workbench or click here. In order to access a help chapter about a certain topic (e.g. function block), select it with a mouse click and then press F1.

The in zenon integrated zenon Logic Workbench has not TAG limitation independent of I/O or TAG extension of the zenon Editor.


zenon Logic General

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In the case of zenon, the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.

zenon Logic Workbench

The zenon Logic Workbench is the tool for programming the zenon Logic PLC. The zenon Logic Workbench is started in the zenon Editor. All five IEC 61131-3 predefined languages are available:

Abbreviation | Long form of the language
SFC | Sequential Function Chart (Sequential function chart) - AS
FBD | Function Block Diagram (Function block diagram) - FUP
LD | Ladder Diagram (Ladder diagram) - KOP
ST | Structured Text (Structured text) - ST
IL | Instruction List (Instruction list) - AWL

IEC 61131-3

Part three of the IEC 61131 descubes the syntax and semantic of computer languages for PLCs which have been defined in part 1 of the IEC 61131.

zenon Logic Runtime

The zenon Logic Runtime is the target system and executes the compiled code of the zenon Logic Workbench. There is the zenon Logic Soft PLC for the PC and for Windows CE platforms, as well as selected embedded platforms.

info Info

You can find more information on platforms here: www.copadata.com/en/products/zenon-logic.html.

You can find more information about the operation of zenon Logic Runtime in the zenon Logic Runtime (soft PLC) manual.

straton Runtime

In addition to the zenon Logic soft PLC, there is also the hardware PLC straton, which has implemented the zenon Logic runtime kernel as OEM software. The manufacturers of these hardware PLCs can be found on www.straton-plc.com.


zenon Logic toolbar and context menu detail view

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic toolbar and context menu detail view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Parameter | Description
zenon Logic - New project | Opens the dialog to create a new project, create it in the list and opens the zenon Logic Workbench with the new project.
zenon Logic - Open project in Workbench | Opens the selected project in zenon Logic Workbench.
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Import external zenon Logic project | Opens dialog to select the zenon Logic project files to be imported.
Import XML | Opens dialog to select the XML file to be imported. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column | Apre la finestra di dialogo che serve alla ricerca e alla sostituzione di testi.
Properties | Apre la finestra Proprietà.
Help | Apre la guida online.


First steps with zenon Logic in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here you can find out how you create, configure and edit a zenon Logic project in the zenon Editor.

Ancora in questo capitolo

Create a zenon Logic project in a zenon project

Editing a zenon Logic project

Deleting a zenon Logic project

Design of the Workbench


Create a zenon Logic project in a zenon project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Create a zenon Logic project in a zenon project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new zenon Logic project:

  1. right click on node zenon Logic (IEC 61131-3) or in the detail view
  2. select in the context menu or in the toolbar command New zenon Logic project...
  3. The configuration dialog is opened
  4. give it a valid name
  5. select the desired driver
    • straton driver are automatically configured
    • for IEC driver the configuration dialog is opened after the dialog is closed
  6. create the project by clicking on Finish

info Info

You adjust the properties of the zenon Logic projects in the zenon project in the properties window of the zenon Editor. You will find a description of the single properties in the property help.

You can change the settings of the zenon Logic project in its project settings. In order to do this open the project settings in the Workbench under Project/Settings....

Notes for project configuration

Note when configuring the project:

General:

  • In the zenon Editor, no zenon Logic projects with the name __Global can be created.
    Note: Projects with the name __Global that already exist are not shown.
  • zenon Logic Workbench creates, for each zenon Logic project, a project with the name <Projectname>__Global. These projects are not visible in the zenon Editor. They are also not deleted if the attendant zenon Logic project is deleted.

Distributed engineering:

  • In the zenon Logic Workbench, lines can be created in the All projects node MultiSpy and the global Binding Editor can be called up. The following is applicable for these settings: They are
    • Not saved as multi-user
    • Not transferred to the project server
    • Removed again in the next synchronization
  • If new zenon Logic projects are created in the zenon Logic Workbench via File -> Add new project, the following is applicable: They are
    • Not transferred to the project server
    • Deleted again in the next synchronization

Attention: Multi-user zenon Logic projects can only be created using the zenon Editor.

info Info

In general you should only create zenon Logic projects with the zenon Editor. This is because the attendant drivers are also automatically created in the zenon project.

New dialog project

Parameter

Description

Name

Freely definable name for the zenon Logic project.

Note: The Name

  • consists of alphabetic characters
  • must not exceed 15 characters
  • must not be empty
  • must only contain valid characters:
    invalid characters are: all numbers and special characters such as \ / , ; ß ú ý : * ? " < > | ( )
    a dot may only be used within the name not at the beginning of the name

Button Finish is only active if a valid name was entered.

Driver

Selection of the driver. You have the choice between:

  • stratonNG (Default)
    creates a new connection with the correct project name, the zenon Logic Runtime port and the IP address 127.0.0.1
  • straton32:
    creates a new connection with the zenon Logic Runtime port and the IP address 127.0.0.1
  • IEC870:
    opens configuration dialog
  • IRC850:
    opens configuration dialog

This selection defines the eventual Runtime communication between zenon Logic and zenon. In addition the creation of the operating and monitoring (O and M) variables is based on this:

  • name based at the STRATON driver,
  • address based at the IEC driver

Finish

Creates the new zenon Logic project.

Cancel

Cancels project creation

Help

Opens online help.

Driver selection

Decision aid for the driver selection:

Driver

Properties

stratonNG driver:

Default driver for zenon Logic projects:

  • can be used cyclic or spontaneous (on change)
  • supports complex data types (structure data types or arrays)
  • enables several connections with one driver to several Runtimes at the same time (recommended for using with Windows CE))

straton32 driver:

Ethernet TCP/IP based.

Note: Only included for compatibility reasons. Use of the stratonNG driver is recommended.

IEC870 driver:

It is mostly used in the infrastructure automation.

Properties:

  • can be operated serial (-101) or over Ethernet TCP/IP (-104)
  • Data traffic is generally spontaneous (on change)
  • complex data types are not supported

IEC850 driver:

Successor of the IEC60870 standard and is completely object-orientated.

For information about the configuration of the driver see the respective help of the driver:

  • straton32 driver: straton32
  • stratonNG driver: stratonNG
  • IEC870 driver: IEC870
  • IEC850 driver: IEC850

attention Attenzione

If you have selected a driver once, you cannot change it afterwards.

Exception: Changing from the straton32 to the stratonNG driver is not possible.

Change driver

To make a driver change from starton32 to stratonNG:

  • select the detail view of node Variables/Driver of the zenon Logic project with the straton32 driver
  • select Change driver in the context menu
  • the dialog for the selection of the driver is opened
  • you can only select the stratonNG driver
  • select the driver
  • close the dialog
  • the configuration is taken over in the zenon Logic project


Editing a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Editing a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With a double click on the project or the context menu, you can open an existing zenon Logic project for editing. Alternatively you can click the corresponding icon in the toolbar in the details window.


Deleting a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Deleting a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To delete a zenon Logic project:

  1. select menu item delete in the context menu of the project or in the toolbar

    (Multi-select is possible)

  2. confirm the confirmation message whether you really want to delete the project
  3. select whether you want to delete the driver of the project

    (When simultaneously deleting several projects, the deleting the driver is prompted for each project.)

attention Attenzione

When you delete the driver, all variables linked to the driver in zenon are also deleted.


Design of the Workbench

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Design of the Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Workbench can be divided in the following areas:

Range | Description
1 | In this section documents are displayed and edited (programs, watch lists, ...).
2 | The workspace: Documents are created and opened in this list.
3 | The output window displays messages and provides diagnosis tools.
4 | In the variable editor variables and instances are declared.
5 | The properties tab is used for the configuration of the graphics documents.
6 | The tab Libraries lists all available functions and function blocks
7 | The tab Spy list displays the online values of selected variables during the debugging.
8 | The tab Definitions displays all definitions.
9 | The tab Graphics lists al graphical objects.

Each section (except section 1) can be shown and hidden with commands from the menu Views.

In the central area you will find the documents of the workspace. If several documents are opened at the same time, you can switch between the different documents using the tab at the bottom. With button X in the header the active document can be closed.

The variable editor and the document area in the center can be maximized at any time with the corresponding button (blue symbol with white line) or a double-click on the header.

If several documents are open in the central area, one of these can be fixed in the top or left part. In order to do this right click the corresponding tab and select Fix. With the same menu you can unfix the document at any time and fix another one:

Display of version and license information

Use the Help -> Info... menu item to open the dialog to display version and license information.

Parameters/buttons | Description
Version | Version number of the integrated workbench.
Edition | Edition used.
Serial Number | License serial number.
Activation number | License activation number.
Close | Closes the dialog.


Variable handling

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The integration of zenon Logic into zenon offers considerable advantages in the configuration of PLC and SCADA projects. The O&M variables (operating and monitoring) from the PLC system are available in zenon with just a few mouse clicks. When changing the variable (name, datatype, ...) these changes are immediately passed on the other system.

The advantage of the integration:

  • Easy handling of O&M variables
  • Immediate alignment of changes
  • Saving of labor because of omission of import/export
  • Increased quality by minimizing causes for errors

attention Attenzione

Instances of UDFBs are not available as B&B variables.

Ancora in questo capitolo

Create O&M variables in zenon Logic

Create O&M variables in zenon

Using zenon variables in zenon Logic

Variable names


Create O&M variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O&M variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All variables created in the zenon Logic Workbench can be marked as O&M (operating and monitoring) variables:

  • Local program variables
  • Global variables
  • Retain variables (=remanent variables)
  • Array variables
  • Structure variables

Note: Variables of data type TIME cannot be declared as O&M variables.

Highlight variables as O&M

In order to do this the following steps are necessary:

(Refer to the online help of the zenon Logic Workbench for the exact steps to create a variable in zenon Logic.)

  1. Right click on a variable in the variable list.
  2. Select Properties from the context menu.
  3. Activate checkbox Embed symbol in the following dialog.
  4. Change the profile in the drop-down list from None to STRATON (*Operating and Monitoring for zenon*).
  5. Click on OK.

Now the O&M variable has been entered in the zenon variable list.

attention Attenzione

As soon as a zenon Logic variable is declared as O&M variable, you must not edit it as text in the Workbench!

This leads to the loss of variable declarations.

The O&M variable is displayed with a prefix in zenon. The prefix has the following structure:

[zenon Logic project name >/zenon Logic program name or Global or Retain]/[variable name]

attention Attenzione

Variables have a character length limitation. Including prefix the variable name must not be longer than 128 characters.

Activate in variable list

You can update the profile and the checkbox directly in the variable list of zenon Logic so you do not have to go to the context menu and the profile dialog.

Mark the line Properties of the corresponding variable. Press Ctrl+F12. Thus the profile zenon Logic is displayed in this line. In addition you must activate the checkbox for embedding the symbol via double click or Enter in column Symb..

attention Attenzione

The checkbox Embed symbol must be activated. Variables for which this checkbox is not active are not able to communicate with zenon using the STARTON driver and will not supply any values.

Additional attributes of the variable

The additional attributes Identification and Description of a variable are also displayed in zenon when you select the profile STRATON (*Operating and Monitoring for zenon*). You can find the content of the identification and description in zenon in the Identificazione and Identificazione servizio variable properties.

Arrays and structure variables

If arrays or structure variables are marked with the profile STRATON (*Operating and Monitoring for zenon*), they are also displayed in the variable list in zenon. You must however activate the desired elements of the variable.

attention Attenzione

If a O&M variable is an array, you must take care when setting initial values.

Recommendation: Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 1024 characters.

UDFB instances

  1. Input variables at UDFB instances are not available via the integrated solution in zenon.
  2. In zenon variables of an UDFB instance cannot be created. This is only possible if an instance of the UDFB is created in zenon Logic and the zenon Logic profile is set.

    UDFB instances which are marked with profile zenon Logic (*Operating and Monitoring for zenon*), they are not automatically available in zenon. In case you want them to be available, you must activate this functionality manually with the help of the following entry in file K5DBXS.INI. In file K5DBXS.INI scroll to section [XS] and enter ShareUDFBDatatype=1 .

    If you deactivate this entry, existing UDFB data types in a project are still modified. However no new UDFBs are created.

Hardware IO declarations

zenon Logic IO variables can be used zenon if in the zenon Logic Workbench they:

  • have a profile
  • have an alias name; this name is used in zenon instead of %IX0.0 (board type, board index, bit number)
    An alias is necessary if the zenon Logic profile is used and property Embed symbol was activated. In this case the variable is also available in zenon (Editor and Runtime).

Note: If an I/O group is deleted in zenon Logic, the variables of the I/O board with zenon Logic profile are also deleted in zenon.

Attention:

  • IO variables cannot be renamed in zenon.
  • IO variables for zenon Logic IO cards cannot be created in zenon.
  • The data type of IO variables should not be changed in zenon: Changes are not adopted in the zenon Logic Workbench.
  • Changes to the hardware IO declaration should always be carried out in zenon Logic. In zenon no new variable for the straton32 driver can be created as hardware I/O variable for zenon Logic.


Create O&M variables in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O&M variables in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

O&M (operating and monitoring) variables for the soft PLC zenon Logic can also be declared in zenon. In order to do this create a variable in zenon as usual:

attention Attenzione

Take care that the naming convention is IEC 61131-3 compatible (no special characters, ...); otherwise the button Finish will not be available in the dialog. See also: Variable names

info Info

The variables declared in zenon are always entered in the Global area of the variable list in zenon Logic.

Changes to variables of a zenon Logic driver in zenon

If variables of a driver which is linked to a zenon Logic project are modified:

  • a change recognition in the zenon Logic project is carried out
  • the zenon Logic Workbench connection to the Runtime asks whether the project should be recompiled

This behavior is regardless of whether the changes affects the zenon Logic project.


Using zenon variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Using zenon variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is very easy to further process variables from PLC systems such as e.g. Siemens S7 or Beckhoff TwinCAT in zenon Logic, variables which were read in by the according zenon drivers in zenon.

There are two possibilities available for this:

  • Allocation:
    The variable from the PLC (e.g. S7 ) is linked to a zenon Logic variable with an allocation.
    In this case only a unidirectional communication is possible.
  • Logic to SCADA connection:
    The PLC variables (e.g. from a S7) are exchanged between zenon and zenon Logic using a Logic to SCADA connection. In order to switch the PLC variables in zenon Logic Workbench to visible, you must activate the Visibile esternamente property in the properties of the variables. The variable is thus included in the variable list of zenon Logic Workbench.
    Advantage: This process works in two directions. It can also be configured very quickly and easily.
    Note: Please be aware, that such a connection only works locally on a PC or a CE device. Here it is not possible to communicate with a zenon Logic Runtime on another device.

Logic to SCADA connection

A Logic to SCADA connection variable is specially marked in zenon Logic, because it can no longer be changed in zenon Logic. Changing the variable here would lead to problems, as the source of the variable is the PLC programming environment in the external PLC (e.g. Step7).

In order for communication with Runtime for Logic to SCADA connection variables to also take place, an I/O driver - the Logic to SCADA connection driver - must also be created in zenon Logic.
Configuration:

  1. Opens the field bus configuration in zenon Logic Workbench.
    To do this, double click on the field bus configuration module or click on the symbol in the toolbar.
  2. Right-click in the I/O driver area.
  3. Select Add configuration in the context menu.
  4. In the All group, select the Logic to SCADA connection entry.
    This configuration is entered and displayed.

It is thus ensured that the externally-visible variables from zenon communicate with zenon Logic.

attention Attenzione

Note when choosing the variable name:

The name of the variable from an external PLC must comply with IEC 61131-3 with regard to how it is written.
Allowed are:

  • Numbers
  • Letters from A to Z (no umlauts)
  • Underscores

In addition the name must not start with a number.
(for details, see also variable names.)
Tip: To use a variable with non-permitted characters in zenon Logic, the name can be set in the code directly in curly brackets.
Example: The variable myArray[3] is called up in the program with {myArray[3]}.

Possible interactions

Note for Logic to SCADA connections, possible interactions with the Isteresi property.
If a Isteresi was configured for the zenon variable, the value in zenon Logic does not match the value in the PLC. It is also possible that it does not match the value in zenon.
The following rules apply:

  • The value changes in the PLC and within the configured hysteresis bandwidth:
    The value is not communicated to zenon Runtime and therefore also not to zenon Logic.
  • The value is changed by the user in zenon (by means of a function for example) and the value remains within the configured hysteresis bandwidth:
    The value remains the same in zenon and in zenon Logic but it changes in the PLC.
  • The value is changed in zenon Logic and remains within the configured hysteresis:
    The value changes in the PLC and in zenon Logic, but remains unchanged in zenon.
    If in this situation the value changes in the PLC and stays within the hysteresis, three different values exist.
    One in the PLC, one in zenon and one in zenon Logic.

attention Attenzione

Events are only triggered in the event of value changes. In special groups of applications, there may be inconsistencies between values.

This can be avoided very easily in that different variables are used for reading and writing.


Variable names

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Variable names

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon Logic variable names must be in accordance with the IEC 61131-3 regulations. The correctness of the entry is checked by zenon as well as by zenon Logic (communication take place using the STRATON driver).

In contrast, for variables of other drivers (e.g. S7 TCP/IP driver), the person configuring the project has to ensure that the variable name corresponds to the conventions of IEC 61131-3 (communication using Logic to SCADA connection).

Examples for the IEC 61131-3 notation

Permitted name | Impermissible name | Invalid because:
_XYZ | __XYZ | Two underscores.
xy_z | xy__z | Two underscores.
xyz_ | xyz__ | Two underscores.
MotorOn | Motor On | Space.
Motor_On | Motor/On | Slash.
mw10 | 1mw10 | Number at the beginning.
xyz | #xyz | Hash.
_Motor1 | _Motor 1 | Space.
Stoerung | Störung | Umlaut.
Ueberbruecken | Überbrücken | Umlaut.
Mo_tor | Mo-tor | Hyphen.

From version 6.22 SP1 on it is possible to use variables which are not conform with the IEC 61131-3 regulations (free variable names). Take care when using free variable names.

Follow these rules when using free variable names:

  • The following characters are not allowed to be part of a variable name: '(*', '*)', '//', '{' and '}'
  • Variable names are not allowed to start with '__' (two underscores)
  • If free variable names are used when using programming language ST or IL, they must be between curly brackets {}.
  • If free variable names are used with structure of array, they must be between curly brackets {}.
  • Variables with free variable names with a basis data type can be used without curly braces {} in programming languages FBD and LD. They must be declared as global variables.
  • Variables with the same name once with {} and once without {} are regarded as two different variables.

info Info

Structure variables and arrays of structure variables with dot (".") in the name are displayed correctly. Standard arrays with slash ("/") or dot (".") in the name do not display values in the spy list.


Arrays

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Arrays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Arrays can be created in zenon and zenon Logic for both systems. The declaration as O&M variable takes place as described in chapters Creating O and M variables in zenon Logic and Creating O and M variables in zenon. Take care when creating arrays in zenon Logic that you must activate the single elements in zenon.

When creating arrays in zenon, set the array start to 0. Thus the arrays have the same indices in both systems.

attention Attenzione

Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 255 characters.


Data structures

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Data structures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Structure datatypes can be created in zenon or in the zenon Logic Workbench.

info Info

When creating structure data types in zenon the IEC 61131-3 naming convention has to be used otherwise the structure data type is not available in zenon Logic. Also see Variable names. Here the spelling is not checked by zenon!

info Info

If you create structure data types in zenon Logic, they are always declared as linked in zenon.

Therefore it is better to create a structure data type in zenon because then you can decide whether you want a linked or an embedded data type.


Distributed engineering (multiuser)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Distributed engineering (multiuser)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several people configuring a project can work together on one zenon project. Thus for example one project engineer works on a zenon Logic project and another works on the zenon project.

Variables

In distributed engineering O&m variables (operating and monitoring) are handled separately by the zenon Logic project.

You can create variables in zenon Logic as usual. If the variables should also be available in zenon, they have to be equipped with the corresponding property (element group, profile STRATON (*Operating and Monitoring for zenon*)). After that the variable in created in zenon. You can check it in for other engineers (apply changes). You cannot edit a checked in variable in the zenon Logic Workbench. It is marked accordingly in the zenon Logic variable list.

Driver

STRATON drivers are attended separately in distributed engineering by the zenon Logic project. That means if you want to make changes, you have to check out the STARTON driver (enable changes).

zenon Logic projects

In order to edit a zenon Logic project in a multi-user zenon project, the zenon Logic project must be checked out (Check out). After the engineering, the changes can be accepted or undone.

zenon Logic - Delete project

In order to delete zenon Logic projects, it must be checked out (check out) or edited in offline mode.


Reusing projects

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Reusing projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic projects can easily be integrated into a zenon project:

  1. Select, in the context menu of the detail view of the zenon Logic (IEC 61131-3) module, External zenon Logic Import project....
  2. Enter an existing zenon Logic project (highlight folder).
  3. Click on OK to integrate the existing zenon Logic project into the zenon project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Another possibility is the XML import:

  1. In the context menu of the detail view of the zenon Logic (IEC 61131-3) module, click on Import XML.
  2. Select the desired XML file.
  3. Click on OK to import the zenon Logic project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Note: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.


zenon Logic Workbench

Manuale -> zenon Logic -> zenon Logic Workbench

In this area you can find the manual for the zenon Logic Workbench. It is only available as online help.


zenon Logic Runtime (Soft PLC)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime interprets the compiled PLC Code of the zenon Logic Workbench.
This manual gives you an overview of the use of zenon Logic Runtime.

Supported systems

Visione generale dei sistemi operativi server e desktop fino a Windows 8.1.

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 e 8.1/ Server 2008 (R2) SP1, 2012 e 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime per Windows CE | -- | -- | -- | X
Web Server | X | X | X | X (Solo Web Server Pro Light)
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Legenda:

  • X: supportata
  • --: non supportato

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Visione generale dei sistemi operativi desktop supportati per Windows 10.

Versione Windows | zenon Supervisor/Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Legenda:

  • X: disponibile
  • --: non funzionante

zenon Web Client

zenon Logic is not supported by the zenon web client.

Ancora in questo capitolo

User interface

Licensing

Start the zenon Logic Runtime

zenon Logic Runtime cycle

Close the zenon Logic Runtime

Creating the hot restart file

Remote systems

zenon Logic Runtime with Real Time Kernel (RTK)

Redundancy zenon Logic and zenon

OEM specification

Forwarding time stamps and the variable status information

zenon Logic I/O driver support

zenon Logic I/O driver: Hot-Restart/Online Change

Error message


User interface

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime is available as a symbol in the system tray. This shows the current status of Runtime. A double-click on the symbol or on the Show item in the context menu opens the zenon Logic Runtime user interface.

The user interface shows a different status depending on the current status:

  • runs
  • Step mode
  • Breakpoints set
  • stopped

A bar chart shows the PLC load.

In addition to information about the status of the zenon Logic project running, the following actions can be executed in the zenon Logic Runtime user interface:

  • Slider Allowed maximum of the PLC resources: set allowed maximum.
  • Settings... button : Makes configuration possible via three tabs
    • General Settings
    • Redundancy
    • Advanced users
  • Start/Stop button: opens the dialog to start Runtime or stops Runtime
  • Messages button: opens and closes the message window

Ancora in questo capitolo

Slider Allowed maximum

Settings

Messages


Slider Allowed maximum

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Slider Allowed maximum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The slider Allowed maximum is used to guarantee other applications which run on the same device - such as zenon - system resources.

With this slider the maximal allowed execution time related to the cycle time can be set. If with a set cycle time of 10 ms the slider is set to 50% the PLC cycle may take a maximum of 5ms. If the PLC cycle takes longer that 5 ms, the remaining calculation is done in the next cycle. So one cycle has to be omitted from the PLC. This results in a cycle overflow.

The slider can be set between 10% and 100% steplessly.

The bar graph (PLC load) shows, how high the PLC load is in relation to the setting of the slider. From this you can conclude how to set the slider for an optimal tuning.

PLC load high (Slider between 50 and 100%): Set slider towards 100% or increase cycle time.


Settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings make it possible to configure the zenon Logic Runtime with the help of three tabs:

  • General Settings
  • Redundancy
  • Advanced users

Ancora in questo capitolo

General

Redundancy

Extended settings


General

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the tab General the different parameter of the zenon Logic Runtime can be changed:

Parameter | Effect
Communication |
Port (Main): | IP port of the zenon Logic Runtime for the cyclic data transfer (e.g. zenon Logic Workbench).
Port (Binding): | IP port of zenon Logic Runtime for spontaneous data transfer (e.g. zenon Logic Workbench or binding).
Run-up |
No start. Open this box: | When the zenon Logic Runtime is started, first this box is opened.
Cold start: | Initialized run-up. Also retain variables are started initialized.
Cold start (loading of RETAIN variables): | Initialized run-up with current values of the retain variables. They only contain values, no states (see Info box).
Warm start: | Restart with all variable values from the last stop.
Start in step mode | Starts the zenon Logic Runtime and immediately stops it in debug mode.
Delay [s] | Delays the start by the set number of seconds. Default: 0
Retain Data |
Storage path Retain data | Here the file with the retain variables is stored. The default setting depends on whether the zenon Logic Runtime is started.
Save retain variables with their names | Activate this checkbox if you want to save retain data in the format with the variable names. With this the values of the retain variables can also be saved if you add or delete a retain variable. Note: To save a variable, it must be highlighted as embedded in the <CA:PRODUCTNAME> Workbench. If you do not activate the check box, the retain data are saved the conventional way. After changing the retain variable, the Runtime starts with the initial values for all retain variables. Default: deactivated
Cyclic saving of retain variables | If you deactivate this check box, the retain data are no longer saved cyclically but only when the Runtime is closed. They are still saved after a change but not more frequent than about every 10 ms. Default: activated
Real-time priority | Sets the zenon Logic Runtime process to the windows priority Realtime. If the flag is not set, it means priority Normal.

info Info

If you activated option Salva con nome variabile ritentiva in zenon and also want to use it with manual Runtime start, you must make sure that in file K5DBXS.INI in area [CMD] option RETAINBYNAME is set. With this all retain variables are highlighted as embedded when the zenon Logic Workbench is started.
Note: The INI file is only checked at the start of the zenon Logic Workbench. Changes during the Workbench runs have no effect.

info Info

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

info Info

If the zenon Logic Runtime has been started with the zenon Runtime or with the zenon Logic Runtime Manager, changes done in this user interface are not effective after a restart of the zenon Logic Runtime.

Please make the changes as usual in the zenon Logic project properties of the zenon Editors or in the zenon Logic Runtime Manager.

In such cases the dialog helps to determine which parameters were forwarded to the zenon Logic Runtime.

The changes to the settings which were done in this dialog are only effective if the zenon Logic Runtime is started directly (e.g. using the Windows Explorer).


Redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In tab Redundancy you can see the redundancy settings for the zenon Logic Runtime.

You can check or enter the following entries:

Entry | Meaning
Activate redundancy | Runtime runs in redundancy mode
Server Port: | Port for replication connection
Server Timeout [ms] | Timeout in order to determine if the passive client is available. After the timeout expires, the replication is stopped.
Client Timeout [ms] | Timeout in order to determine that the active server is no longer available. After the timeout expires, the passive client becomes the active server.
Partner address | IP address of the redundancy partner.

info Info

You can find details on configurating the redundancy of zenon Logic and zenon in chapter Redundancy zenon Logic and zenon.

Limitations

Redundancy is not supported in zenon Logic RTK Runtime.


Extended settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Extended settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you carry out settings for the on change communication with external applications (Binding, zenon driver, ...).

The following settings are available:

Entry | Meaning | Range of values
System | Max. length of the system queue. In this queue e.g. overflows of the event queue are buffered. | 1024 ... 65520 Default: 1024
Alarms | Length of the alarm queue (not used at the moment) | 0 ... 65520 Default: 0
Events | Length of the event queue: The events of the zenon Logic Runtime event sever are written in this queue. From there they are sent via TCP. If this queue overflows, the overflow messages are written in the system queue. | 0 ... 65535 Default: 8192
Messages | Length of the info queue. In this queue the messages to the zenon Logic Workbench are buffered. | 1024 ... 65520 Default: 32768
max. puffer | Buffer size of the events per cycle. This parameter defines how many variables can be processed by the event server per cycle. | 128 ... 65535 Default: 1024
Reset to default settings | Restores the default settings |

info Info

If in large projects more than 1024 variables are transferred between zenon Logic and zenon with the straton32.exe driver, the parameter Max. buffer must be increased accordingly. An easy method to find out the number of Max. buffer is the value for the compiled I/Os in the output window of zenon Logic compilers. See illustration below.


Messages

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Runtime messages can be displayed in the zenon Logic Runtime user interface. Click on the Messages>> button to activate the view. The message display opens. Click on the Messages<< button to close the message display.

For actions in the message display, click in the message display with the left or right mouse button. You obtain a context menu:

Menu entry | Description
Display time stamp of messages | Adds a time stamp to each message.
Copy messages to the clipboard | Copies selected entries to the clipboard.
Delete all messages | Deletes all messages from the message window.

You administer the settings for zenon Logic logging and the drivers with the Diagnosis Viewer.


Licensing

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation with zenon (zenon Runtime and zenon Logic Runtime on one PC)

The zenon Logic Runtime is automatically licensed with the zenon serial number. During the installation enter the serial number and the activation number in the according dialog. If no license number is available, click on Demo Version.

Later licensing with license order

You also can do the licensing later with the License order. Open the license order in the Windows start menu under Programs -> COPA-DATA -> Licensing. For later licensing the serial number and the activation number are entered in this dialog. The procedure is finished with OK.

For soft-licensing the so-called license number must be read from the hardware configuration of your PC. Click the License request for soft-licensing button and follow the requests in the following dialogs.

info Info

Please note that the License request for soft-licensing button is not available for all OEM versions.

Afterwards licensing using the zenon Editor

In the zenon Editor, the dialog for licensing is opened via the File -> General configuration -> License product... menu entry. You can enter the serial number and the activation key here.

Information about the license of the zenon Logic Runtime

Open the user interface of the zenon Logic Runtime by clicking on the zenon Logic Runtime icon in the system tray. Then click on the top left corner on select About STARTONRT.... A window appears with information about version and license of the zenon Logic Runtime.

Ancora in questo capitolo

TAG handling zenon - zenon Logic

Demo mode


TAG handling zenon - zenon Logic

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> TAG handling zenon - zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The number of the TAGs used in zenon Logic is the number of I/Os in zenon Logic minus the number of the used I/Os with a zenon or zenon Logic profile. These I/Os are already considered at the TAG calculation in zenon.

This makes sure that no I/Os are counted twice.

The I/Os used are displayed in the <CA_PRODUCTNAME< Runtime user interface.


Demo mode

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> Demo mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime starts in Demo Mode if you enter a false (or no) serial number or a false (or no) activation key or if no dongle is connected. The Demo Mode stops the zenon Logic Runtime after 15 minutes. With a special demo serial number the zenon Logic Runtime runs continuously for 30 days. After these 30 days then the maximal time of the zenon Logic Runtime is again 15 minutes.

zenon Logic Mini

You did not buy the zenon Logic Runtime license but you own a valid zenon Runtime license. Then a mini version of the zenon Logic Runtime is licensed automatically.
With the mini version up to eight TAGs (=variables) can be used by zenon Logic via input/output mechanisms. TAGs are variables of field bus drivers and variables with profiles (e.g. B&B profile zenon Logic). With the exception of the calculation, the zenon internal profiles STRATON and zenOnRT for zenon-internal communication.

Calculation example:

  • Four variables for communication with zenon
    (are not calculated)
  • four variables for the communication with Profibus
  • four variables for the communication with the IEC 61850 Client.

This equals the maximum number of eight TAGs (0 + 4 + 4 = 8).


Start the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Start the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime supports multi-instances and therefore needs parameters (transfer parameters), when it is started.

There are the following possibilities for starting zenon Logic Runtime:

  • with the help of the zenon Runtime
  • with the help of the zenon Logic Runtime Manager
  • With a BAT file
  • Using the command line

Start with the help of the zenon Runtime

In order to start the zenon Logic Runtime with the zenon Runtime:

  • Select the zenon Logic project in the zenon Editor.
  • Change the Start type (Runtime) as you wish. The properties of Tipo di start are described in the embedded help in zenon.

Note: If the Posto di partenza property is set to Server 1 and Server 2, then localhost has to be used in the Host as a value. Otherwise zenon Logic Runtime can no longer start.

Start with the help of the zenon Logic Runtime Manager

You can use the zenon Logic Runtime Manger to start the zenon Logic Runtime manually. You can find the zenon Logic Runtime Manager in the COPA-DATA area in the Windows® start menu. The zenon Logic Runtime manager is used to start zenon Logic Runtime instances on a PC. You can for example chose hard real time here in order to start the zenon Logic real time version (zenon Logic RTK) or to start a zenon Logic Runtime instance during the booting of the system ("Auto start").

You receive accurate information about the individual elements of the zenon Logic Runtime manager by moving the mouse pointer over them. The corresponding help is displayed in the property help.

You receive the complete help about this application by clicking the ? in the menu bar.

attention Attenzione

Runtime Manager must be started with administrator rights.

Start in a DOS Shell

zenon Logic Runtime can be started using the command line interface or a BAT file. This start process is also valid for starting under Windows CE. If the path under CE contains a space, the path parameter must be defined between individual quote marks. Example: -PATH='\hard disk\project1\'

For the command the following is true:

  • all commands must be entered in capitals
  • the following signs are allowed:
    • -
    • / (must not be used as a last character for the value of PATH!)

The following handover parameters are available:

Main parameter

Settings as under Settings -> General in the user interface of zenon Logic Runtime.

Parameter

Description

PORT=<Zahl>

Communication port.

If no parameter is set: 1200 (Default)

PORTTRACE=<Zahl>

Event port.

If no parameter is set: PORT+7800

PATH=<DB-Path>

Storage area of the zenon Logic application code.

If no parameter is set: zenon Logic Runtime folder.

Note:

  • Must be set.
  • Path must not end with a Backslash (\).
  • For error detection, the driver checks the project name at the end of the path.
  • zenon Runtime discovers, when starting, zenon Logic Runtimes that are already running by comparing the complete path.

ZENPATH=<Pfad>

zenon path

ZENPROJECT=<Name>

zenon project name.

Note: Must be set.

DONTHIDE

Do not hide the Runtime after starting (it is the only parameter without the = character)

STEP=<0|1>

Activation/deactivation of the stepping mode:

  • 1: Start in stepping mode
  • 0: no stepping mode
  • Without parameters: no stepping mode

START=<0|1|2|3>

Type of Runtime start:

  • 0: Display setup dialog
  • 1: Coldstart
  • 2: Warm start
  • 3: Hot start
  • Without parameters: Warm start

LOWPRIORITY=<0|1>

Priority:

  • 0: low priority
  • 1: Windows real time priority
  • Without parameters: low priority

WRITELOG=<0|1>

Setting for logging:

  • 0: Do not create LOG
  • 1: Create LOG
  • Without parameters: Create LOG

The log file that is stated in the PATH parameter is created. Name: STRATONRTLOG.TXT

Additional parameters

Parameter | Description
REMPATH=<Pfad> | Path for remanent data. If no parameter is set: PATHfolder
DELAY=<Zahl> | Start delay in [s]: Delayed start of the zenon Logic Runtime. If no parameter is set: 0
MAXUTILPRCT=<Zahl> | Position of the slider for maximum PLC workload in %. If no parameter is set: 100

Event parameter

Settings as under Settings -> Advanced settings in the user interface of zenon Logic Runtime for the queue/events.

Parameter | Description
QSSYSTEM=<Zahl> | Size of system queue. If no parameter is set:1024
QSALARM=<Zahl> | Size of alarm queue. If no parameter is set: 0
QSEVENT=<Zahl> | Size of event queue. If no parameter is set: 8192
QSINFO=<Zahl> | Size of info queue. If no parameter is set: 32768
NBEVENT=<Zahl> | Maximum number of recordable events. If no parameter is set: 1024
EVENTCON=<Zahl> | Number of possible event connections. If no parameter is set: 256

Redundancy parameter

Settings as under Settings -> Redundancy in the user interface of zenon Logic Runtime.

Parameter | Description
REDENABLE=<0,1> | Redundancy on/off. Without parameters: 0
REDADDR=<IP> | Redundancy partner address.
REDPORT=<Zahl> | Redundancy port for replication.
REDCLITIMEOUT=<Zahl> | Redundancy client time out [ms]; time out which is used to determine when a passive client becomes an active server. If no parameter is set: 1000
REDSRVTIMEOUT=<Zahl> | Server Timeout redundancy [ms]. Time-out for ending the replication. If no parameter is set: 1000
REDZENON=<0,1> | If set to 1, the partner address is read from the PROJECT.INI. If no parameter is set: 0


zenon Logic Runtime cycle

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime cycle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime cycle consists of:

  • Calc. time: Time for data exchange, calculation, save calculated values, read and write modified values, idle time.
  • Cycle time: Complete cycle time determined by system latency.
  • System latency: Response time of the system.

These values can be displayed in the zenon Logic user interface. Use the shortcut Alt+S or Shift+Alt+A.

Property | Description
Binding exchange | Reading of the Binding values which are published in the network and which were configured by the application (if they were configured).
I/O exchange | Data exchange between the I/O drivers (except Modbus slave/server) and the I/O boards (if they were configured).
Application executione | Execution of the programs.
Digital sampling trace | Execution of the digital sampling (if it was configured).
Events | Sending of the events (Binding or straton32.exe driver of zenon) (if they were configured).
Forced values | Reading of the forced values of zenon from the zenon Logic Workbench (online debugging) and data exchange of the Modbus slave/server (if they were configured).
Sleep | Wait the remaining time until the cycle time is over. When cycle setting is As fast as possible (free run), the time is always 1 ms. The Sleep time is used in order to execute tasks of the operation system and of other windows applications.

Time allocation PLC and Windows

With the help of the slider in the zenon Logic Runtime user interface, you can determine how much time is reserved for the PLC and for Windows. The value displayed in the bar display always refers to the ratio set in the slider.

Ancora in questo capitolo

Error message cycle time


Error message cycle time

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime cycle -> Error message cycle time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the cycle time is exceeded, messages are displayed in the zenon Logic Runtime or in the Workbench and corresponding entries are written to the LOG file.

Error message user interface | Entry log file | Meaning
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Number (x) of not executed cycles due to cycle time out. The execution time is higher than the set cycle time or there are not enough CPU resources available.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | The execution time is higher than 80% of the set cycle time; actually (x)%.

Troubleshooting

You can rectify the cycle time being exceeded by:

  • cycle time increasing
  • decreasing execution time, e.g.:
    • use a system with more CPU resources
    • use C compiled code
    • reduce the program


Close the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Close the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime can be closed manually either by using the context menu of the symbol in the system tray or by using the open window of the zenon Logic Runtime:

Context menu symbol

Right clicking the icon in the system tray opens the following context menu:

  1. A dialog is opened if Close is clicked on.

  2. Clicking on Yes stops and closes Runtime.

In the windows of the zenon Logic Runtime

Another possibility to close the Runtime is in the open window of the zenon Logic Runtime.

The following menu opens after a click to the upper, left corner of the window:

  1. A dialog is opened if Close is clicked on.
  2. If you acknowledge the dialog, the zenon Logic Runtime is closed immediately.

info Info

If the zenon Logic Runtime was started together with the zenon Runtime and for the zenon Logic project the start type 'autom. start/stop' was selected in the zenon Editor, the zenon Logic Runtime is automatically closed when the zenon Runtime is closed.


Creating the hot restart file

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Creating the hot restart file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When you close the zenon Logic Runtime, a Hot Restart file is created automatically. You can trigger the writing of the WriteHot file via function Hot Restart.

Every time a Hot Restart file is created, a backup file is also created for which the last character of the file name is replaced with a '_'. In addition the files are created with a header which contains the Checksum of the data. When reading the data, header and Checksum are checked. If an error occurs, the backup file is used.

Function WriteHot has the following input parameters:

Parameter | Description
I | Trigger; if this parameter is TRUE the function is executed.
SYNC | If this parameter is TRUE, the cycle is hold for as long as the Hot Restart file is written. If the parameter is FALSE , the function is carried out asynchronous.
BUSY | This parameter is TRUE if the function is executed.

info Info

If you call up the function several times in a cycle, only the last call is considered.


Remote systems

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This chapter deals with target systems which are not on the local computer. The target system is accessed via Ethernet TCP/IP.

Ancora in questo capitolo

zenon Runtime and zenon Logic Runtime on one remote PC


zenon Runtime and zenon Logic Runtime on one remote PC

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems -> zenon Runtime and zenon Logic Runtime on one remote PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation on the target system

First you install and license the zenon Runtime on the remote PC. The zenon Logic Runtime is automatically installed and licensed.

Download the project data with zenon Logic Runtime, start type "autom. start/stop" or "autom. start"

In order to download the zenon and zenon Logic Runtime files, use the Remote Transport function of zenon. You will find more information in the chapter Remote Transport.

The zenon Logic Runtime is started and closed together with the zenon Runtime automatically.

Download of the application data with the zenon Logic Runtime start type "start manually"

If the zenon Logic Runtime is started manually on the target PC (e.g. during boot up of the operating system), the PLC code has to be loaded manually to the target platform with the zenon Logic Workbench. For that

  • enter the correct parameters in the property dialog Workbench in the zenon Editor: Host di destinazione and Porta
  • in the zenon Logic Workbench click on the button Online
  • with this the zenon Logic Workbench establishes a connection to the target system.
  • now you can transfer the PLC code to the target system via button Download; the progress of the download is displayed with the help of a progress bar
  • after the download the PLC starts automatically with the new application.

If the download was successful and the PLC program runs on the target system faultless, RUN is displayed in the toolbar


zenon Logic Runtime with Real Time Kernel (RTK)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic RTK (Realtime Kernel) is the zenon Logic Runtime system for hard realtime. With that highest determinism and failure safety towards the operating system are guaranteed.

Requirements:

  • zenon Logic RTK is available for the following Windows operating systems:
    • Windows 7, 32-bit version
    • Windows 8 and 8.1, 32-bit version
    • Windows 10, 32-bit version
  • The zenon Logic RTK can only be started with the zenon Logic Runtime Manager (Hard real time flag must be set) or in the command line input BAT file.

attention Attenzione

Do not operate two real-time extensions in parallel on one computer. This means:

  • If another real-time extension is already active on the computer, do not start the zenon Logic RTK.
  • Only one instance of the zenon Logic RTK can be started at a time.

The Realtime Kernel is designed, so that it triggers the zenon Logic Runtime cycle independent of Windows. So the zenon Logic Runtime cycle is guaranteed to be executed deterministically.

The PC's part of the calculating capacity can be set with a slider.

Depending on the size of the PLC application and the defined cycle time the slider has to be adjusted to the PLC load. The slider can be set between 10% and 85%. The current load (bar) indicates whether the allowed maximum for executing the PLC cycle is sufficient.

If the bar is near 100%, there is a danger of cycle overflows! In this case set the slider higher (towards 85%). If this is not possible because of the applications in Windows (e.g. bad screen opening times of zenon) the cycle time of the zenon Logic application has to be increased.

attention Attenzione

If the bar reaches the 100% mark, there is a danger of cycle overflows!

Example Esempio

Slider at 10%, cycle time 10ms:

The zenon Logic RTK must process the PLC program in 1 ms which equals 10% of the set cycle time of 10 ms.

Slider at 50%, cycle time 5ms:

For executing the PLC program 2.5ms are available for the zenon Logic RTK.

Slider at 85%, cycle time 20ms:

For executing the PLC program 17ms are available for the zenon Logic RTK.

Formula

The following formula can be used to find out, if the setting of the slider does not lead to cycle overflows in combination with the cycle time:

cycle time > (100 / Sliderposition [%] ) * calculating time

In order to find out the calculating time of the PLC cycle, click Shift+Alt+A and note the value Max. Cal. . time [µs].

Assumption:

Max. cal. Time: 274µs

Slider position: 50%

Set cycle time: 1ms (1000µs)

Calculation:

(100/50)*274 = 548µs

This means that the defined cycle time of 1 ms is sufficient.

attention Attenzione

Please note: If you do not stick to the described formula, the determinism which is based in the cycle time is not given anymore!

Cycle time

Cycle times from 100 µs or higher can be set.
Note: The actual use of the set cycle time depends on the system and the selected HAL Timer. Information on the current system load is provided by the system load time (keyboard shortcut: ALT+S) and Advanced statistics (keyboard shortcut: SHIFT+ALT+A).

Description of the measured values displayed:

System latency (Alt+S) |
Current [µs] | Current system latency (see also Runtime cycle)
Maximum [µs] | Maximum system latency (since the start of the Runtime)

Extended statistic (Shift+Alt+A) |
Cal. time [µs]. | Current calculation time of the last cycle
Max. cal. time [µs]. | Maximal calculation time for a PLC cycle (since the start of the Runtime)
Cycle time [µs] | Current cycle time
Min. cycle time [µs] | Minimal cycle time (since the start of the Runtime)
Max. cycle time [µs] | Maximal cycle time (since the start of the Runtime)
Cycle overflow [1] | Counter for cycle time exceedance (since the start of the Runtime)
Driver overflow [1] | Counter for failed PLC cycles of Windows (non-realtime) drivers (since the start of the Runtime)

The value of the cycle time can always only be a multiple of the HAL TimerPeriode (time basis). The time basis depends on the selected timer and its time basis (see also zenon Logic RTK configuration). That means: A set cycle time of 10 ms of a hardware with a time basis of 122 µs is not executed with exactly 10,000 ms but with 10,004 ms.

Ancora in questo capitolo

Restrictions and requirements of the zenon Logic RTK

zenon Logic RTK configuration

Blue Screen Handling

Error codes at starting the zenon Logic RTK


Restrictions and requirements of the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Restrictions and requirements of the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hardware requirements for the zenon Logic RTK

ACPI:

The hardware (PC or IPC) and the operating system must support ACPI:

  • ACPI-Multiprocessor-P
  • ACPI-PC (Advanced Configuration and Power Interface)
  • ACPI uniprocessor PC

You can check whether your PC supports ACPI in the system control (system/device manager/computer).

CPUs:

The zenon Logic RTK is supported from the following processor generations on:

  • Pentium II or younger
  • AMD Athlon XP or younger

Limitations

The zenon Logic Real Time Kernel (RTK) runs as a separate process at hardware level independently of the operating system. In contrast, zenon Logic Runtime runs on Windows®. The real-time-enabled zenon Logic RTK has a few restrictions compared to the zenon Logic Runtime.

  • Virtual Machines Are not supported.
  • zenon Logic redundancy is not supported
  • Not all function blocks are supported.
  • Not all I/O drivers are supported.
  • Some real-time drivers must be registered/deregistered manually.

Function blocks

The following funciton blocks are not processed directly in the Kernel Mode, but only emulated:

  • all file operations (category 'Files')
  • all TCP/IP modules (category 'TCP-IP')

Following function blocks are not supported by the zenon Logic RTK:

  • day_time_local (Category 'Clock')

info Info

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

After you have selected the configuration, the function blocks which are not supported are marked red in the library.

I/O Driver

The following zenon Logic I/O drivers are executed by the zenon Logic RTK in Kernel Mode (real time):

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universal (Hilscher SYCON configuration)

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

Register and de-register real time drivers

There is a small chance that the real time driver of the zenon Logic RTK must be registered and de-registered manually. In order to do this start the command prompt via:
Start > execute > cmd.

Use the following syntax:

  • Register:

    <Folder of the zenon Logic RTK>:\ stratonrtkvm -regsrv

  • De-register:

    Folder of the zenon Logic RTK>:\ stratonrtkvm -unregsrv

Example of the <folder of the zenon Logic RTK>: %Programme (x86)%\COPA-DATA\zenon 760


zenon Logic RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Real Time Kernel (RTK) runs as an own instance on hardware level and is independent of the operating system. The Timerticks which are used for control are directly obtained from the motherboard. Which timer are available depends on the used hardware. The configuration is carried out by the zenon Logic RTK configurator.

Ancora in questo capitolo

Start RTK configuration

RTK basis information

RTK basic settings

RTK Taskmanager

RTK hardware configuration

RTK Logs

Close RTK configuration


Start RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Start RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double click the button for zenon Logic RTK Configurator in the windows control panel.

The window for editing the configuration opens. In the left window you see a menu tree with the following options:

  • CDrtHAL Configuration
  • Default settings
  • Task manager
  • Hardware configuration
  • Access to the physical memory.
  • LOG messages

In the right-hand window you can see information about the menu items and configure the RTK.


RTK basis information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basis information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

After the start menu item 'CDrtHal configuration' is active in the left-hand window of the configuration software. In the right-hand window displays basic information about the configuration and the system:

Property | Information
Version | Version of the real time driver (CDrtHAL).
Status | RTK is active or inactive
Interrupt controller | Type of interrupt controller.
High precision event timer | Support depends on hardware:
Process cores | Number of available process cores.


RTK basic settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basic settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RTK basic settings

In the basic setting you define the following:

  • Source for the Timertick
  • CPU on which the RTK is carried out
  • Basic time as basis for the multiplication factor for the calculation of the cycle time

Timer for real-time source

Which time is displayed on the selection list depends on the used hardware. This information is also displayed on the start page of the RTK configuration. Available can be:

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High precision event timer)

The follwoing possibilities arisefrom this:

  1. PIC without HPET
    • Timer (8254 Timer), basic times: 334 µs, 143 µs, 112 µs, 53 µs
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
  2. APIC without HPET
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (8254 Timer), basic times: choose anywhere between 50 - 500 µs
  3. APIC with HPET
    • Timer (HPET timer o), basic times: 500 µs, 250 µs, 125 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (HPET timer 2), basic times: choose anywhere between 50 - 500 µs

Whether and to what extend basic times are available depends on the hardware (real-time clock) and the operating system. When using the 'timer' real-time source, the source for the Windows Timer Interrupt is used for the real time execution. In this case the set basic time must be an integral factor of the Windows Timer Interrupt basic time.

real-time source: depends on the operating system Select using list field (drop down).

We recommend the following basic setting: Unused (HPET Timer2).

Real time CPU: Select the CPU on which the process of the RTK should be carried out.

Basic time: Basic time of the timerticks. Depending on the real time source, the basic time is selected from a list or entered freely. During operation the multiplication factor for the timer ticks refers to the entered basic time.

attention Attenzione

When using Profile: Real time source the kernel profiling must not be activated under any circumstances as long as a zenon Logic RTK application is executed. For more information about kernel profiling see: http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


RTK Taskmanager

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Taskmanager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The task manager displays cycle times and execution times.

Property | Information
Cycle time (in microseconds) | Minimal, maximal and current value. Cycle refers to the cycles of the Timerticks based on the basic time.
Execution time (in microseconds) | Minimal, maximal and current value.


RTK hardware configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seperate reserved storage area is needed for the communictation with the I/O drivers (e.g. Profibus) which are executed in the kernel mode. zenon Logic RTK and the I/O driver system agree on an area on which both have read and write access.

The configuration offers three settings:

Option | Effect
Generally prohibit access to the physical memory. | Free access memory areas are a saftey risk with regards to malware. Thus access to the physical memory is denied in the shipping state. Default settings
Generally allow access to the physical memory. | Allows the communication to use the whole memory, zenon Logic RTK und Profibus set their communication areas randomly. Unsafe setting which is not recommended.
Allow access to a defined physical memory area. | . zenon Logic RTK and I/O driver have a strictley allocated memory area. Recommended setting

Ancora in questo capitolo

Define memory area


Define memory area

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration -> Define memory area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Define memory area

In order to allocate a fixed memory area for zenon Logic and I/O driver, click on Access to the physical memory in the left window and then on Allow access to defined physical memory area in the right selection window.

Property | Information
Range | The number is assigned by the configurator automatically.
Base address | Start address for the free memory. It can for example be determined with the help of the Hilscher Tool (included in the delivery of the card).
Length | Length of the free area. Attention: must be stated in Bytes.
Add | Creates a new entry in the list.
Remove | Deletes an existing entry from the list.


RTK Logs

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Logs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RTK messages are shown in the Log messages.

Property | Information
Date/Time | When did the event happen
Type | What type of message (status, error, ...)
Description | What has happened?


Close RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Close RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

By clicking button OK all changes are saved and the configurator is closed. If the system needs to be rebooted, a corresponding message is displayed.

If you close the configurator by clicking the close symbol (X) or by clicking Cancel, a dialog appears asking whether you want to save the changes.


Blue Screen Handling

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Blue Screen Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A possible Bluescreen of Death (BSOD) is recognized by the zenon Logic RTK immediately.

  • If the zenon Logic RTK is configured for stopping in case of a BSOD, the shut down program - if defined - is executed immediately, i.e. before the next cycle.
  • If the zenon Logic RTK is configured to continue, the next cycle is executed after a minimum delay of approximately 10 [ms] (switching of the graphics mode).
    To achieve this, in the zenon Logic application, the zenon Logic RTK_OnBugCheck function must be added to the zenon Logic standard library with TRUE.

attention Attenzione

In case of a BSOD the execution of the zenon Logic application can be limited.

Following functions are no longer supported when this occurs:

  • File Operations
  • TCP functions
  • Functions of the serial interface
  • Non real-time field bus driver
  • System clock functions
  • RETAIN variables
  • Writing of log messages (the right to make changes due to product version cycles is reserved)

In order to check in the zenon Logic application if a BSOD has occurred, use the zenon Logic function RTK_IsBugCheck.

Options for Profibus Master (Hilscher CIF Profibus):

No restart after stop (keeping outputs): If this option is active, the outputs of the Profibus I/Os remain set after the shut down. Otherwise the outputs would be set to the defined alternate values after the shut down sequence.


Error codes at starting the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Error codes at starting the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The displayed error code refers to starting the STRATONRTKVM.exe.

Error code | Meaning
0x00000000 | If an error occured in the zenon Logic RTK, usually the error is explained in a message: The log message with the error code 0x00000000 can be ignored.
0xFFFFFFFF | A timeout occured on starting the STRATONRTKVM.exe. Possible reasons: STRATONRTKVM.exe does not exist, too high load of the system. Attention: After such an error make sure that the STRATONRTKVM.exe as well as the STRATONRTK.exe no longer run (task manager) before you restart STRATONRTK.
0x00000001 – 0x0000FFFF | Is an error code of the zenon Logic virtual machine (COPALP error message).
0xFFFF01, 0xFFFF02 | Error loading the non-realtime bus drivers! probable reason: incompatible (old) version of one or more bus driver(s).
0xFFFFF000 | rtHAL error code (0xFFFFF000 is added to the rtHAL code)
0xFFFFF001 | Make sure, that the rtHAL driver has been installed correctly. If the problem still exists, contact your zenon support and tell them the Windows version (service pack, hot fix, ...) and the used Windows HAL. The name of the used HAL is shown in the device manager under computer. System requirements: ACPI, Pentium II or AMD Athlon or higher.

rtHAL error codes:

0x0

No error

Possible error codes on starting

Error code | Meaning
0x1 | Error while loading the driver. Reason: Driver is not registered correctly.
0x2 | START could not be executed. Reason: Wrong version of the driver is installed.

Error codes during Runtime

Error code | Meaning
0x6 | SUSPEND could not be executed.
0x7 | STOP could not be executed.

Internal zenon Logic virtual machine error codes

T5RET_OK 0
T5RET_ERROR 1
T5RET_BADCODE 2 invalid app code - bad header
T5RET_BADCODETARGET 3 invalid code - bad target id
T5RET_BADCODEVERSION 4 invalid code - bad version
T5RET_EXECSIZE 5 exec buffer overflow
T5RET_BADREQUEST 6 unknown comm request
T5RET_SERVEREAD 7 cannot process read request
T5RET_UNKNOWNTIC 8 unknocn tic code
T5RET_DATA8OVERFLOW 9 too many DATA8 used
T5RET_DATA16OVERFLOW 10 too many DATA16 used
T5RET_DATA32OVERFLOW 11 too many DATA32 used
T5RET_DIVZERO 12 division by 0 in TIC (32bit)
T5RET_TIMEOVERFLOW 13 too many TIME variables
T5RET_CANTACTIME 14 active timers not supported
T5RET_SAFETICLOOP 15 awful loop in TIC (safe mode)
T5RET_OUTOFTIC 16 TIC code ointer out of range
T5RET_UNKNOWNSTF 17 not supported std function
T5RET_LDIVZERO 18 division by 0 in TIC (64bit)
T5RET_DATA64OVERFLOW 19 too many DATA64 used
T5RET_STRINGOVERFLOW 20 too many strings
T5RET_SDIVZERO 21 division by zero in TIC (8 bit)
T5RET_WDIVZERO 22 division by zero in TIC (16 bit)
T5RET_HOTRESOURCES 23 HOT restart: system resources used
T5RET_HOTMAP 24 invalid var map in hot restart
T5RET_HOTACTIME 25 change of active timer map
T5RET_HOTSTAMP 26 bad build stamp for hot restart
T5RET_HOTSFC 27 SFC changed - no hot restart!
T5RET_HOTRETAIN 28 retain def has changed - no hot
T5RET_HOTFORMAT 29 bad DB format - no hot restart!
T5RET_CYCLEOVERFLOW 30 cycle time overflow
T5RET_RETAINSTORING 31 cant store retain variables
T5RET_ARRAYBOUND 32 array index out of bounds
T5RET_RECURSE 33 recursive call of sub-program
T5RET_XVOVERFLOW 34 too many external variables used
T5RET_NOBSAMPLING 35 sampling trace not supported
T5RET_TASKOVERFLOW 36 too many tasks
T5RET_HOTCALLSTACK 37 call stack overflow (hot)
T5RET_STACKOVER 38 stack overlow
T5RET_HOTASI 39 cannot hot restart ASi
T5RET_TOXC 40 OXC limit reached
T5RET_WOXC 41 OXC info


Redundancy zenon Logic and zenon

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic can be used redundantly and offers the possibility to combine the zenon redundancy with the zenon Logic redundancy.

In this chapter the configuration of the zenon/zenon Logic redundancy is described. The zenon/zenon Logic redundancy is referred to as SCADA logic redundancy from here on.

Further terms:

  • zenon server = dominant zenon server
  • zenon SB = zenon Standby Server
  • Active zenon Logic Runtime = zenon Logic Runtime instance being executed
  • Passive zenon Logic Runtime = backup system (Standby) of zenon Logic Runtime

Operating systems

You can find information on supported operating systems in the zenon Logic Runtime chapter, Supported systems section.

Limitations

Redundancy is not supported in zenon Logic RTK Runtime.

Ancora in questo capitolo

Requirements

Configure redundancy


Requirements

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Two PCs are necessary for SCADA logic redundancy. The both PCs are connected via Ethernet TCP/IP (100 MBit, recommended 1 GBit).

attention Attenzione

The SCADA logic redundancy requires both systems, zenon and zenon Logic, to be installed on one PC for each server.

We recommend to set the cycle time of the zenon Logic project to twice the cycle time of a single project, but at least to 50 ms.

Since SCADA logic assumes that zenon Logic and zenon communicate with each other using the Logicto SCADA driver, it must be ensured that the zenon server and the active zenon Logic Runtime run on the same PC.

In order to prevent a one-sided switching from zenon Logic or zenon, a synchronization between the zenon Logic Runtime and the zenon Runtime must be engineered. A watchdog is used for this.

Watchdog

zenon Logic

The status of the zenon project (standalone/server/standby server/client) is transferred via the Logic to SCADA connection and is evaluated by the redundancy function block. It has a freely definable time out value as input. As output binary values for redundancy switch and active, passive and failed Runtimes etc. are output. They determine the reaction of the zenon Logic Runtime.

zenon

A watchdog generated by the zenon Runtime driver is transferred using the Logic to SCADA connection and evaluated in zenon. This evaluation takes place in accordance with the settings of properties Mancato riconoscimento dopo [s] and Funzione per la mancata individuazione. They define a time out time and a function (normally Esci dal programma).

In order for the correct watchdog to be evaluated, it must be clear for several active zenon Logic projects from which zenon Logic project the watchdog originated. If zenon Logic is started manually, by means of a zenon function, batch file or command line, the zenon project name (ZENPROJECT=<Name>) must also be given as a transfer parameter.

attention Attenzione

The start of the zenon Runtime must not be performed from the zenon Editor but with a direct call from the zenon Runtime!

The zenon redundancy must be set up. Details: See help chapter Network.


Configure redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Configure redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic and zenon can control each other in redundant operation by means of a watchdog. If the zenon Logic Runtime fails:

  • the local zenon Runtime is also closed
  • both systems are switched to redundancy mode

Configuration in zenon

To activate redundancy:

  • activate property Operazioni ridondate in group Runtime of the properties of the zenon Logic project in zenon
  • define
    • Mancato riconoscimento dopo [s]
    • Funzione per la mancata individuazione

Configuration in zenon Logic

The settings for redundancy are made in tab Redundancy of the zenon Logic Runtime.

Watchdog

With the watchdog each side checks the other for changes to this counter. If the counter for a projected time is not changed, this is reported to the program:

  • zenon: a function configured in an integrated project is carried out (Funzione per la mancata individuazione)
  • zenon Logic: A function block Output becomes active

The watchdog examination starts as soon as the other side has changed its watchdog for the first time. This is necessary because the time is needed to start or the zenon Logic Runtime does not necessarily need to start with the zenon Runtime.

info Info

If zenon Logic Runtime is a started manually, the following command line settings must be made:

  • zenon path:

    ZENPATH=<Pfad>

  • Name zenon project:

    ZENPROJECT=<Name>

  • Information on zenon network project:

    REDENABLE=<0,1>

    REDZENON=<0,1>

Watchdog in zenon

zenon checks zenon Logic Runtime Watchdog if:

  • zenon Logic Runtime executes code, timeout is <> 0 and Runtime can be assigned to an integrated zenon Logic project
  • zenon Logic Runtime is stopped
  • zenon Logic Runtime is passive or started passively
  • zenon Logic Runtime is ended and was previously passive or active

Function for recognizing failures

With the Funzione per la mancata individuazione property, a function is selected that is executed as soon as the timeout defined in Mancato riconoscimento dopo [s] for the watchdog has expired. The watchdog is only rechecked if Runtime is registered again.

If a function from another project is used, the project must already have been loaded when the project with the integrated zenon Logic project is loaded.

Logging

The zenon Logic zenRt driver connection can be logged with the Diagnosis Viewer. The module name is zenon Logic. Each message contains the name of the zenon project and the name of the zenon Logic project. The logging includes:

  • Error
    • zprj:<z-projekt> sprj:<s-projekt> Runtime < Runtime process ID> watchdog expired.
      Runtime watchdog was not operated by Runtime for too long.
    • zprj:<z-projekt> sprj: <s-projekt> Runtime: < Runtime process ID> Unknown zenon Logic project.
      zenon Logic project cannot be assigned to an integrated zenon project.
  • Warnings
    • vm: <Vm-Prozess-ID> zenon project '<Name>' unknown
      Name of the zenon Logic project not known in zenon.

Watchdog in zenon Logic Runtime

The following applies for zenon Logic watchdog:

  • The zenon watchdog is checked regularly as long as the timeout of the zenon failure recognition is <>0.
    This check takes place if:
    • Code is executed
    • Runtime is active or passive.

Function block zenrt_Red and RedSwitch

In zenon Logic it is possible, with the help of function blocks, to check whether there is a connection to a zenon server and if it is possible to switch the zenon Logic state if necessary.

The function block zenrt_Red checks via the timeout information from driver "straton_to_zenon_Runtime_Connection" whether zenon Logic is connected to a zenon Server. If this is not the case, you can switch the affected zenon Logic to inactive with the help of function block RedSwitch and switch the Standby to active.

For more information about function blocks see the zenon Logic online help.

Time handling in function block zenrt_Red

The number of switch attempts count up in the timeout cycle. If the zenon Logic Runtime project cannot be assigned to a zenon network project, the network timeout time (Timeout [s] property in Rete group) is added to the failure recognition time (Mancato riconoscimento dopo [s] property). The time that the ERROR output is active is not MAX_SWITCH * cycle but MAX_SWITCH * timeout [+ network timeout].

The non-process-handling, non-dominant zenon computer is considered to be the Standby (Server 2).
The non-process handling, dominant computer (server starts as standby) is not considered a standby.


OEM specification

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> OEM specification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this OEM specification the possibilities of the COPA-DATA zenon Logic Runtime are described which are referred to in the zenon Logic Workbench help with "see OEM specification".

Configuration (Project properties)

As a standard the zenon Logic Workbench contains several features and an extensive library of functions and function blocks.. Depending on the Runtime configuration, some features or blocks may be not available. Therefore it is possible to select configurations for the Workbench in order to highlight the features which are not supported by the Runtime.

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

File administration function (function blocks)

This function makes it possible to read and write files sequentially.

The follwoing functions are supported by zenon Logic Runtime versions

  • CE
  • RT (PC)
  • RTK (PC)

and are implemented not blocking:

F_ROPEN, F_WOPEN, F_AOPEN, F_CLOSE, F_EOF, FA_READ, FA_WRITE, FM_READ, FM_WRITE, FB_READ, FB_WRITE, F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME, LogFileCSV

The following functions are only supported by zenon Logic Runtime versions

  • CE
  • RT (PC)

and are implemented not blocking:

F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME

The possible paths vary depending on the operation system. Note that some folders are write-protected if UAC (User Account Control) is activated.

SFC execution

The execution of the SFC program equals that of a T5 standard target system und follows the information of the zenon Logic Workbench help.

The exclusiveness of transitions within a divergence is supported.

Interlink applications - Binding

A maximum of 65535 Binding variables can be published in the network. However this value is reduced by every variable which is sent to zenon using the event service.

The standard IP port number of a zenon Logic Runtime is 9000.

Project properties - "C" compiler

This feature is supported by all zenon Logic target systems (RT, CE, RTK). All C compilers which are normally proposed by the zenon Logic Workbench can be used. Attention: Only use the default name of the created Runtime-DLL.

LogFileCSV (function block)

See first point: File administration function (function blocks).

Additional OEM relevant features and functions:

Feature | RT (PC) | RTK (PC) | CE
DTAT (function block) | x | x | x
TCP/IP management functions | x | x | x
Dynamic memory allocation function | x | x | x
PrintF (Function) | x | x | x
Step by Step Debugging | x | x | x
Functions for real time clock administration | x | x | x
Digital sampling recording | x | x | x
UDP management function | x | x | x
T5 registry management functions | - | - | -
DTFORMAT (Function) | x | x | x
GETSYSINFO (function) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Variable status bits | x | -1 | x
DAY_TIME (Function) | x | x | x
SET_DAY_TIME (Function)2 | x | - | x

Key:

  • x: Supported
    • 1: Driver which support the variable status bits are only emulated or not supported by the zenon Logic RTK. Therefore no access is granted to the status bits or the time stamps.
    • 2: zenon internally works with UNIX time. Therefore only system times within their validity are allowed (0-MAXDINT starting with 1.1.1970 0:00 GMT). Data which refer to an earlier point in time affect the functionality of the zenon Runtime.
  • -: Not supported

RETAIN variables (remanent flags)

Retain variables saved at the defined saving location - normally in the instance path (hand over parameter PATH) - when the Runtime is stopped or closed in a normal way. Depending on the system, it can be the hard disk or a flash card.

With function "WriteHot" retain data and hot restart data can be saved explicitly, e.g. after every change or cyclically.

Some zenon Logic I/O drivers support saving the RETAIN values to the SRAM (battery buffered RAM).

In order for the RETAIN values to be loaded when the PLC application is restarted, the zenon Logic Runtime must be started with the corresponding handover parameters/settings (cold start - load RETAIN variables).

You can find information regarding the configuration of Retain data with the zenon Logic Runtime in the chapter settings/general.

I/O Driver

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

You can find information about the support of Online Change or Hot Restart here: zenon Logic I/O driver: Hot-Restart/Online Change

Ancora in questo capitolo


Forwarding time stamps and the variable status information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Forwarding time stamps and the variable status information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As of version 6.22 SP1 Build 3 the zenon Logic Runtime automatically forwards time stamp and variable status information from the zenon Logic I/O driver to the event handler of the zenon Logic Runtime and thus via straton32 to zenon. Therefore in zenon (e.g. CEL) the time stamp of the source (I/O driver slave or server) are displayed and not the time stamp of the zenon Logic Runtime.

The following prerequisites are necessary:

  • The variable must have a time stamp in the zenon Logic I/O driver. It depends on the protocol. Some drivers do not provide time stamps.
  • The zenon Logic project must have been compiled and loaded with compiler flag Create status bit for variable with profile turned on.

Overview forwarding the time stamp:


zenon Logic I/O driver support

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver support

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I/O drivers which are supported by different zenon Logic Runtime types:

Driver | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | -- | -- | --
Anybus Konfiguration | X | E | --
ApplicomIO Konfiguration | X | E | --
AS-interface | X | -- | --
BECKHOFF CX1000 | -- | -- | x
Brodersen IOTOOLS | X | E | --
CAN-bus | -- | -- | --
Hilscher CIF Profibus | X | X1 | X
Hilscher SYCON Konfiguration | X | E | X2
Hilscher SYCON Konfiguration [universal] | X | X | X
Hilscher SYCON.net Konfiguration | X | E | --
IEC 60870 Slave | X | -- | X
IEC 61850 Client | X | E1 | X
IEC 61850 Server | X | -- | X
Interbus-S | X | E | --
MODBUS Master Protokoll | X | E | X
MODBUS Slave Protokoll | X | E | X
PROFINET IO | X | E | X
SoftNet ProfibusDP | X | E | --
Logic zu SCADA Verbindung | X | -- | X
ThinkIO/IO System 758 | -- | -- | X
Wago 750-860 | -- | -- | --
Weihenstephan Standard - Client | X | E | X
Win32 Shared memory | X | -- | --
XFlow | -- | -- | --

Legend

  • X: Fully supported
  • --: Not supported
  • E: Carried out as emulation (performance loss possible, determinism is limited in the PLC cycle, driver selection at a BSOD)
    • 1: The driver specific function blocks do not work under zenon Logic RTK.
    • 2: Hilscher DLLs must be available on the target platform.


zenon Logic I/O driver: Hot-Restart/Online Change

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver: Hot-Restart/Online Change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic I/O drivers support the Hot-Restart or Online Change in different ways:

Driver | Hot-Restart | Online Change | Online Change including change of the bus driver configuration
Anybus Konfiguration | X | X | X1
ApplicomIO Konfiguration | X | X | X1
AS-interface | X | X | X1
BECKHOFF CX1000 | X | X | --
Brodersen IOTOOLS | X | X | X1
Hilscher CIF Profibus | X | X | --
Hilscher SYCON Konfiguration | X | X | X1
Hischer SYCON Konfiguration [universal] | X | X | X1
Hilscher SYCON.net Konfiguration | X | X | X1
IEC 61850 Client | X | X | --
Interbus-S | X | X | --
MODBUS Master Protokoll | X | X | X1
MODBUS Slave Protokoll | X | X | X1
PROFINET IO | X | X | --
SoftNet ProfibusDP | X | X | X1
straton zu zenon Runtime Verbindung | X | X | --2
ThinkIO/IO System 758 | X | X | --
Weihenstephan Standard - Client | X | X | X1
Win32 Shared memory | X | X | X1

Key

  • X: Functionality available
  • --: Functionality not available
    • 1: Online Change including the change of the bus driver configuration is always followed by the reinitialization of the I/O driver. Because of the reinitialization I/Os can fail for a short period!
    • 2: No need for change in the bus driver configuration.


Error message

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Error message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errors during the execution are logged in the log file.

Error message | Description
General error. | Error which could not be specified any further.
Invalid application code - bad header. | STRATON.cod file is invalid. Header invalid.
Invalid application code - bad target ID. | STRATON.cod file is invalid. Target ID invalid.
Invalid application code - bad version. | STRATON.cod file is invalid. Version invalid.
Unknown communication request. | Host and Runtime not compatible (T5 protocol).
Cannot process read request. | Incoming communication request cannot be processed.
Unknown TIC code. | Invalid instruction in file straton.cod.
Too many DATA8 used. | Too many SINT/USINT variables used.
Too many DATA16 used. | Too many INT/UINT variables used.
Too many DATA32 used. | Too many DINT/UDINT/REAL variables used.
Division by 0 in TIC (32bit). | Division by 0 in the PLC logic of the user.
Too many TIME variables. | Memory overflow for online change.
Infinite loop in TIC (safe mode). | Not closed loop in the application code.
Standard function used, which is not supported by this runtime. | PLC logic of the user refers to a function which is not available in this version of the Runtime.
Division by 0 in TIC (64bit). | Division by 0 in the PLC logic of the user.
Too many DATA64 used. | Too many LINT/LREAL variables used.
Too many strings. | Memory overflow for online change.
Division by zero in TIC (8 bit). | Division by 0 in the PLC logic of the user.
Division by zero in TIC (16 bit). | Division by 0 in the PLC logic of the user.
HOT restart: System resources used. | Hot restart not possible.
Invalid variable map in hot restart. | Hot restart not possible.
Bad build stamp for hot restart. | Hot restart not possible. Invalid straton.cod version.
SFC changed - no hot restart! | Hot restart not possible.
Retain definition has changed - no hot restart. | Hot restart not possible.
Bad DB format - no hot restart! | Hot restart not possible.
Cycle time overflow. | Cycle time overflow. For details, see the Cycle time error messages section.
Can not store retain variables. | Not enough memory in order to save retain variable.
Array index out of bounds. | Access to invalid array index.
Recursive call of sub-program. | A sub-program calls up itself.
Too many external variables used. | Memory overflow for online change.
Too many tasks. | Memory overflow for online change.
Call stack overflow (hot). | Memory overflow for online change.
Stack overflow. | Too many call ups of intricate sub programs.
Can not hot restart (ASi). | Hot restart not possible (Asi bus driver).
Online change not supported. | Online change not possible
Online change failed - Bad code. | Online change not possible. Invalid straton.cod version.
Online change - Not the same application. | Online change not possible
Online change failed - IO drivers. | Online change not possible
Online change failed - CT segment changed. | Online change not possible
Online change failed - bus drivers. | Online change not possible. Bus driver does not permit online change.
Online change failed - variable map / profiles. | Online change not possible
Online change failed - tasks. | Online change not possible
Online change failed - MODBUS. | Online change not possible
Online change failed - CAN bus. | Online change not possible
Online change failed - event production. | Online change not possible
Online change failed - change D8 alloc. | Online change not possible
Online change failed - change D16 alloc. | Online change not possible
Online change failed - change D32 alloc. | Online change not possible
Online change failed - change D64 alloc. | Online change not possible
Online change failed - change TMR alloc. | Online change not possible
Online change failed - change STR alloc. | Online change not possible
Online change failed - change FBI alloc. | Online change not possible
Online change failed - change CFC alloc. | Online change not possible
Online change failed - change XV alloc. | Online change not possible
Online change failed - STR buff size. | Online change not possible
Online change failed - STR length. | Online change not possible
Online change failed - FBI buffer. | Online change not possible
Online change failed - FBI changed. | Online change not possible
Online change failed - Program style. | Online change not possible
Online change failed - Number of programs. | Online change not possible

Error message cycle time

If the cycle time is exceeded, messages are displayed in the zenon Logic Runtime or in the Workbench and corresponding entries are written to the LOG file.

Error message user interface | Entry log file | Meaning
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Number (x) of not executed cycles due to cycle time out. The execution time is higher than the set cycle time or there are not enough CPU resources available.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | The execution time is higher than 80% of the set cycle time; actually (x)%.

Troubleshooting

You can rectify the cycle time being exceeded by:

  • cycle time increasing
  • decreasing execution time, e.g.:
    • use a system with more CPU resources
    • use C compiled code
    • reduce the program


zenon Logic Runtime Manager

Manuale -> zenon Logic -> zenon Logic Runtime Manager

The zenon Logic Runtime Manager administrates all zenon Logic Runtime projects, which are stand alone or must be started manually, on your computer. It does not matter whether there is a zenon Runtime installed on the computer.

Ancora in questo capitolo

Why should you use the zenon Logic Runtime Manager?

Main Menu

Property help


Why should you use the zenon Logic Runtime Manager?

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Why should you use the zenon Logic Runtime Manager?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • If you created your zenon Logic project in zenon and you set the zenon property of the zenon Logic project RT start type to start manually, the zenon Logic Runtime Manager is the ideal tool for organizing the parameters for the manual start.
  • If you want to start your zenon Logic Runtime project during the booting of the Windows operating system, you can set this with one mouse click in the zenon Logic Runtime Manager.
  • If you want to reorganize your zenon Logic project, you can do this with the zenon Logic Runtime Manager.
  • If you want to run the zenon Logic Runtime autarchically (without the zenon Runtime), it is best to call up the zenon Logic Runtime instance using the zenon Logic Runtime Manager.


Main Menu

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Main Menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Configurations: Configurations: There you can administrate the zenon Logic Runtime projects
  • Languages: There you can switch between languages online
  • Settings: Enter the path of the zenon Logic Runtime
  • ?: Open the Help
  • Exit: Exits the programs - Note: Do not forget to save the settings before you exit the zenon Logic Runtime Manager!


Property help

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Place the mouse cursor over an element in the zenon Logic Runtime Manager in order to see the corresponding help text in the property help.

In addition all elements of the zenon Logic Runtime Managers are described here:

Ancora in questo capitolo

Configuration list

zenon Logic project folder

Name of the configuration

Port (Main)

Port (Binding)

Startup

Start in step mode

Windows real time priority

Hard real time

Report output

Autostart

Button "New"

Button "Edit"

Button "Save"

"Delete" button

Button "Start"

zenon Logic Runtime (settings)

Language selection (languages)

Show splash screen (setting)


Configuration list

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Configuration list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This list contains all available zenon Logic Runtime configurations.

  • Click on an entry in the list in order to display its parameter settings.
  • After that click on Edit in order to change the parameters.
  • Click on Save in order to save the changes.


zenon Logic project folder

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> zenon Logic project folder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The selected path of the zenon Logic Runtime project (storage location of the PLC code) is entered there automatically. You can change this entry manually or by left-clicking the folder symbol.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Name of the configuration

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Name of the configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The name of the last path of the zenon Logic Runtime files is entered automatically if a new configuration is created. You can changes this name freely.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Main)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Port (Main)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the main port for the zenon Logic Runtime instance. This port defines the connection of the zenon Logic Workbench and a zenon drivers. Per default this port is set to 1200.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Binding)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Port (Binding)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the binding port for the zenon Logic Runtime instance. The binding port defines the connection for spontaneous TCP/IP communication to other zenon Logic Runtimes. Per default this port is set to 7800 higher than the main port.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Startup

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Define the startup behavior of the zenon Logic Runtime instance.

  • Cold start
    zenon Logic Runtime starts with initialized variables.
  • Cold start (load RETAIN variables)
    Die zenon Logic Runtime starts initialized with remanent markers.
  • Hot restart
    zenon Logic Runtime starts with the variable values from the time Runtime was stopped.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Start in step mode

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Start in step mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start the zenon Logic Runtime in step mode, activate this checkbox.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Windows real time priority

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Windows real time priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for the zenon Logic Runtime instance to run in the Windows real time priority, activate this check box.

info Info

We recommend to always have the real time priority activated. First and foremost deactivating the real time priority is used for testing purposes (e.g. if there may be infinite loops).

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Hard real time

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Hard real time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you activate this checkbox, the zenon Logic real time PLC (zenon Logic RTK) is called up when the configuration is started. As the zenon Logic real time PLC may only run once on the computer, it is validated that this checkbox is only activated for one configuration.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Report output

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Report output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate this checkbox in order to activate the writing of messages of the Runtime in a LOG file.

info Info

Writing a LOG file will influence the performance.

info Info

The LOG file is named zenon Logic RTLOG.txt and is saved in the zenon Logic Runtime project folder.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Autostart

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Autostart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start a zenon Logic Runtime instance directly with the booting of the Windows operating system, activate this checkbox.

info Info

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Button "New"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "New"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you want to create a configuration, click on button New. After that a dialog opens in which you can select the folder in which you want to save the zenon Logic Runtime files (the PLC code). Confirm your selection with OK. You can change the name of the configuration. In order to save the configuration and the name of the configuration, click on Save.


Button "Edit"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Edit"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before you can change the parameters of a configuration, you must click on button Edit after you have selected an entry from the configuration list. In order to save the changes, you must click on Save.


Button "Save"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Save"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Click on button Save in order to save all changes.


"Delete" button

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> "Delete" button

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To delete a configuration, select the entry from the configuration list and click on the Delete button.


Button "Start"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Start"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start the zenon Logic Runtime with the respective configuration, select a configuration from the list and click on button Start. The zenon Logic Runtime starts immediately.

info Info

If the folder of the configuration does not contain any zenon Logic Runtime files (PLC code), the <CA_PRODUCTNAME >Runtime starts in mode No program.


zenon Logic Runtime (settings)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> zenon Logic Runtime (settings)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the folder of the zenon Logic Runtime (folder of stratonRT.exe). In order to browse through your hard disk, left-click the folder symbol.


Language selection (languages)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Language selection (languages)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select the desired language by clicking on the respective flag.


Show splash screen (setting)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Show splash screen (setting)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you activate this check box, the splash screen of the zenon Logic Runtime Manager is displayed at the start.


Elemento WPF

Manuale -> Elemento WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

Nota: nell´Editor di zenon non viene visualizzato il tooltip standard per l´elemento WPF se è collegato un file .wpf. Nel Runtime di zenon, inoltre, non viene supportato lo zenon tooltip per gli elementi WPF.

info Info

Tutti nomi di marchi e prodotti contenuti in questa documentazione sono marchi o marchi registrati del relativo proprietario.

Ancora in questo capitolo

Nozioni di base

Linee guida per i designer

Linee guida per progettisti.

Progettazione nell´Editor di <CD_PRODUCTNAME:>


Nozioni di base

Manuale -> Elemento WPF -> Nozioni di base

XAML

XAML significa Extensible Application Markup Language e si pronuncia ['zæ:m?l]. Questo linguaggio di markup basato su XML sviluppato da Microsoft definisce elementi grafici, animazioni, trasformazioni, rappresentazione di sfumature di colore ecc., in interfacce utenti Silverlight e WPF. L´uso di XAML permette di separare in modo rigoroso design e programmazione. Il designer prepara, ad esempio, l´interfaccia grafica e crea delle animazioni base che vengono poi riprese dallo sviluppatore/progettista che crea logica dell´applicazione.

WPF

WPF significa Windows Presentation Foundation, e definisce un framework grafico che è una parte di Windows .NET Framework.

  • WPF mette a disposizione del programmatore un modello ampio.
  • XAML descrive, basandosi su XML, la gerarchia delle interfacce come linguaggio markup.
    A seconda della struttura del file XAML si ha la possibilità di collegare proprietà, eventi e trasformazioni degli elementi WPF a variabili e funzioni di zenon.
  • Il framework unisce le diverse aree di una presentazione, come l’interfaccia utente, disegni, grafiche, audio, video, documenti e tipografia.

Per l´esecuzione in zenon si ha bisogno di Microsoft .NET Framework Version 3.5, oppure di una versione ancora più recente.

info Info

Trasparenza

Perché i controlli WPF per cui è stato definito uno sfondo trasparente, siano effettivamente trasparenti nella visualizzazione a Runtime, devono essere soddisfatti i seguenti requisiti sul computer (sia per l´Editor che per il Runtime):

  • Il sistema operativo deve essere almeno Windows 8.1.
  • Deve essere installata almeno la versione 4.6 di .NET Framework.

Con Windows 7 o 8, i controlli WPF non vengono visualizzati trasparenti. Le aree trasparenti vengono riempite con il colore impostato come colore di sfondo nell´immagine di zenon.

Ancora in questo capitolo

WPF nella visualizzazione di processo

Assembly referenziati

Workflow


WPF nella visualizzazione di processo

Manuale -> Elemento WPF -> Nozioni di base -> WPF nella visualizzazione di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

XAML rende possibili diverse opzioni grafiche per zenon, Elementi di visualizzazione ed elementi dinamici possono essere creati ed adattati nella loro forma grafica, indipendentemente dalla progettazione. Per esempio, prima un designer crea delle illustrazioni complesse, che poi vengono importate in forma di file XAML in zenon e collegate alla logica desiderata. Ci sono molte possibilità di applicazione concreta:

Elementi dinamici in analog-look.

Le grafiche non devono più essere disegnate in zenon, ma possono essere importate direttamente sotto forma di file XAML. Ciò permette l´uso di elementi illustrati in modo complesso nella visualizzazione di processo. Riflessi, ombreggiature, effetti 3D ecc, ad esempio, vengono supportati come grafica. Gli elementi, adattati al settore industriale in questione, permettono all´operatore una gestione intuitiva, analoga alla gestione tramite i comandi sul macchinario.

Illustrazioni complesse per una gestione intuitiva

L´implementazione di elementi di visualizzazione basati su XAML migliora la veste grafica dei vostri progetti e permette una visualizzazione di processo più semplice e chiara. Gli elementi, ottimizzati in fatto di usabilità, facilitano la gestione. La visualizzazione chiara dei dati semplifica la comprensione di contenuti complessi. La possibilità flessibile di modifica ed adeguamento dei singoli elementi aumenta il comfort della gestione. Perciò è possibile per il progettista determinare in piena autonomia valori, scale e unità.

Chiara presentazione dei dati e riepiloghi

Elementi di visualizzazione riassuntiva permettono una rappresentazione chiara dei dati di processo più rilevanti, in modo tale che l´operatore che gestisce l´impianto sia sempre informato su quanto sta accadendo nel processo. Analisi grafiche, visualizzazione valori e slider possono essere raggruppati in un solo elemento, consentendo così una gestione veloce e semplice.

Visualizzazione di processo specifica per i diversi settori industriali

Elementi, come termometro, scale o bargraf, sono gli elementi base della visualizzazione di un processo. Usando XAML, è possibile adeguare l´aspetto grafico di questi elementi alle diverse esigenze dei differenti settori industriali. In tal modo, nella visualizzazione del processo sul terminale, gli operatori ritrovano quegli elementi cui sono abituati e che conoscono già per via del loro lavoro con i macchinari.

Adattamento a Corporate Design

Le illustrazioni grafiche possono essere adeguate alle indicazioni stilistiche delle diverse imprese, permettendo così di raggiungere un aspetto omogeneo nella visualizzazione di tutto il processo produttivo. Si possono usare come base gli elementi di controllo standard di zenon, che potranno poi essere modificati adeguando colori, caratteri, stile delle illustrazioni a quelli tipici e caratteristici per una determinata impresa.


Assembly referenziati

Manuale -> Elemento WPF -> Nozioni di base -> Assembly referenziati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento WPF non si possono rappresentare solamente oggetti standard (rettangoli, grafiche, ecc.), o effetti (sfumature di colore, animazioni, ecc.), ma anche controlli utente personalizzati (con logica nel code behind), che vengono referenziati come assembly.

Per esempio, si può creare un controllo utente che ha l´aspetto di un tachimetro e offre delle proprietà speciali e degli effetti ottici; per esempio, la proprietà "Value", che fa sì che la lancetta del tachimetro si muova e/o indichi il valore.

Il workflow per raggiungere questo obiettivo:

  • L´aspetto di un user control viene disegnato con gli oggetti standard messi a disposizione da WPF.
  • Le proprietà e le interazioni vengono programmate.
  • Il pacchetto completo viene compilato ed è disponibile come .NET Assembly.

Questo assembly può essere usato per progetti WPF. Per far ciò, deve essere referenziata (collegata) nell´Editor WPF (per es: Microsoft Expression Blend). Per far ciò, selezionate l´assembly nel dialogo di selezione file in zenon:

A partire da questo momento, gli user control WPF dell´assembly possono essere selezionati nel toolbox alla voce Custom UserControls e possono essere usati nel progetto WPF.

A tal proposito, vedi anche il capitolo: Linee guida per progettisti.

Usare assembly referenziati in zenon

Per usare un assembly in zenon, esso deve essere disponibile in forma di file.
File collection del formato .cdwpf gestiscono ciò autonomamente, il che significa che non c´è bisogno di altri passi di configurazione. Per i file del formato .xaml, invece, si deve aggiungere gli assembly alla cartella File:

  • Cliccate nella struttura ad albero su File.
  • Selezionate Altro.
  • Selezionate nel menù contestuale Aggiungi file....
  • Si apre il dialogo per la selezione file.
  • Aggiungete l´assembly desiderato.

Quando un file WPF viene visualizzato nell´elemento WPF (editor e runtime), gli assembly vengono caricati da questa cartella. In tal modo si garantisce che, quando vengono trasmessi i file runtime per mezzo di Trasporto Remoto, tutti gli assembly referenziati siano esistenti sul computer di destinazione.

Una file collection (.cdwpf) e un file XAML con lo stesso nome possono esistere in parallelo. Tutti gli assembly (*.dll) di tutte le file collection e della cartella Altri vengono copiati nella cartella di lavoro. Nel caso esistano diversi assembly con lo stesso nome, viene usato quello che ha il numero di versione file più alto.

Tipp Suggerimento

Le DLL che appartengono ad un elemento WPF possono essere sostituite anche durante il funzionamento dell´Editor. Il riferimento avviene tramite collegamento nel file XAML.
Per sostituire una DLL:

  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Sostituire nell´Explorer la DLL nella cartella \wpfache dei file Editor.
    Questa cartella si trova nella directory SQL, alla voce:
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Un´opzione alternativa alla sostituzione via Explorer, è quella di sostituire il file direttamente nell´Editor di zenon. Procedura:

  • Nelle impostazioni del progetto Visual Studio, incrementare la versione file della DLL.
  • Ricostruire la DLL.
  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Nell´Editor di zenon, cancellare la DLL dalla cartella \File\Altri e aggiungerla con il numero di versione incrementato.

Gestione multi-progetto

Nella gestione multi-progetto, deve essere usato lo stesso assembly in tutti i progetti. Se in un progetto un assembly viene sostituito da un´altra versione, la sostituzione deve essere effettuata anche in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.


Workflow

Manuale -> Elemento WPF -> Nozioni di base -> Workflow

La tecnologia WPF/XAML rende possibili nuovi workflow nella visualizzazione di processo. La separazione fra design e funzionalità consente di realizzare una chiara divisione dei compiti fra progettista e designer; il lavoro di quest´ultimo è facilitato dalla possibilità di utilizzare design già esistenti, che non devono essere più modificati dal progettista.

Al workflow per la creazione di elementi WPF in zenon partecipano le seguenti persone:

  • Designer
    • illustra elementi
    • si occupa dell´aspetto grafico per MS Expression Design
  • Operatore MS Expression Blend
    • anima gli elementi
    • crea variabili per l´animazione degli elementi WPF in zenon, ai quali può accedere il progettista.
  • Progettista
    • implementa gli elementi in zenon
    • imposta logica e funzionalità

Distinguiamo fra:

  • workflow con Microsoft Expression Blend
  • workflow con Adobe Illustrator

Ancora in questo capitolo

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Elemento WPF -> Nozioni di base -> Workflow -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Microsoft Expression Blend, la creazione di un elemento WPF avviene in quattro passaggi:

  1. Illustrazione dell´elemento in MS Expression Blend
  2. Aprire l´elemento in MS Expression Design ed esportarlo come WPF
  3. Animazione in MS Expression Blend
  4. Integrazione in zenon

Un esempio di creazione di un elemento WPF con Microsoft Expression Blend lo trovate nel capitolo Creare un pulsante come file XAML usando Microsoft Expression Blend.


Workflow con Adobe Illustrator

Manuale -> Elemento WPF -> Nozioni di base -> Workflow -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Adobe Illustrator abbiamo il seguente workflow:

  1. Illustrazione degli elementi in Adobe Illustrator
  2. Import di file .ai ed elaborazione in MS Expression Design
  3. Export WPF da MS Expression Design
  4. Animazione in MS Expression Blend
  5. Integrazione in zenon

Un esempio di questa procedura lo trovate nel capitolo Workflow con Adobe Illustrator.


Linee guida per i designer

Manuale -> Elemento WPF -> Linee guida per i designer

Questo capitolo fornisce delle informazioni concernenti il modo corretto di creare file WPF in Microsoft Expression Blend e Adobe Illustrator. Le esercitazioni per la Creazione di un elemento pulsante e di un elemento bargraf mostrano il modo in cui, in pochi passaggi, si possono creare dei file WPF completamente funzionanti per zenon partendo da grafiche già esistenti.

Tale scopo si raggiunge usando i seguenti strumenti:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon

info Info

Se si vogliono usare in WPF degli oggetti referenziati (assembly), si devono tener presenti le indicazioni contenute nel capitolo Oggetti referenziati.

Ancora in questo capitolo

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Microsoft Expression Blend, un elemento WPF viene:

  • illustrato
  • convertito in formato WPF usando MS Expression Design
  • animato

L´esempio seguente mostra l´illustrazione e la conversione di un elemento pulsante in un file XAML.

Nota: una versione di prova di "Microsoft Expression Blend" può essere scaricata dalla Website di Microsoft.

Ancora in questo capitolo

Creare un pulsante come file XAML con Microsoft Expression Blend


Creare un pulsante come file XAML con Microsoft Expression Blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend -> Creare un pulsante come file XAML con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un pulsante

  1. Avviate Expression Blend
  2. Selezionate l´opzione New Project

  3. Selezionate come tipo di progetto WPF
  4. Assegnate un percorso a vostra scelta e un nome (per es. MyBlendProject)

    Potete ignorare le impostazioni Language e Version, visto che non deve essere programmata nessuna funzionalità.

  5. Dopo aver chiuso il dialogo cliccando su OK, Microsoft Blend crea un nuovo progetto con le impostazioni selezionate. Expression Blend aggiunge un file XAML vuoto, che contiene già un riferimento di classe.
  6. Cancellate il file appartenente a quello XAML facendo uso del menù contestuale.
  7. Rinominate il file XAML cambiandone il nome da MainControl.xaml a MyButton.xaml.
  8. La dimensione development del file è settata di default su 640 volte 480 pixel e dovrà essere ancora modificata:
    1. Passate alla visuale XAML
    2. Correggete la dimensione portandola a 100 volte 100 pixel.
    3. Cancellate il riferimento di classe x:Class="MyBlendProject.MyButton".

  9. Passate alla visuale Design.

  10. Aggiungete un pulsante usando la barra dei simboli.
  11. Definite le proprietà.
    • Width: 50
    • Height: 50
    • Margins: 25

    Così il pulsante si troverà al centro del control.

  12. Salvate le modifiche e aprite il file in Internet Explorer a fini per controllarlo. Vedrete che il pulsante viene visualizzato nella dimensioni di 50 x 50 pixel.

Rendere il pulsante scalabile

Se implementate questo file in zenon così com´è adesso, il pulsante avrà sempre esattamente la dimensione pari a 50 x 50 pixel. Visto però che il pulsante deve essere usato come bottone scalabile, passate di nuovo a Expression Blend:

  1. Selezionate il pulsante nella visione ad albero.
  2. Selezionate nel menù contestuale del bottone la voce Group Into->Viewbox
  3. Il pulsante viene inserito in un Viewbox.
  4. Definite le proprietà del Viewbox
    • Width: Auto
    • Height: Auto
  5. Salvate il file.

  6. Se adesso aprite il file in Internet Explorer, il pulsante viene automaticamente scalato in caso di cambio delle dimensioni della finestra IE. Questo file si adatterebbe automaticamente anche in zenon ad un eventuale cambio delle dimensioni dell´elemento WPF.

Modifica nome

Prima di poter implementare il file in zenon, dovete dare un nome all´elemento WPF. Di default, gli elementi WPF non hanno un nome in Expression Blend e sono distinti da parentesi quadre e dal loro tipo. L´attribuzione di content zenon a content WPF avviene tramite il nome degli elementi WPF:

  • Nella struttura ad albero, modificate il nome:
    • del pulsante nominandolo MyButton
    • del ViewBox nominandolo MyViewBox

Questo pulsante può essere adesso integrato come file XAML in zenon.


Workflow con Adobe Illustrator

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Adobe Illustrator, un elemento WPF viene:

  • illustrato in Adobe Illustrator
  • convertito in un WPF in MS Expression Design
  • animato in MS Expression Blend

L´esempio seguente mostra l´illustrazione e la conversione di un elemento bargraf in un file XAML.

Ancora in questo capitolo

Illustrazione bargraf

Export WPF

Animazione in blend


Illustrazione bargraf

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Illustrazione bargraf

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un bargraf viene creato in Adobe Illustrator.

  1. AI: elemento di partenza bargraf

    Illustrato in Adobe Illustrator CS3.

  2. AI: visualizzazione percorso bargraf in Adobe Illustrator

    • Tutti gli effetti devono essere convertiti (Object -> Convert appearance)
    • Tutte le linee vengono trasformate in percorsi (Object -> Path -> Contour line)
    • Non usare nessun filtro come ombreggiatura, sfocatura, ecc.

Note concernenti la compatibilità

Le illustrazioni che vengono realizzate con Adobe Illustrator, si prestano in linea di principio ad un export WPF. Tuttavia, non tutti gli effetti possibili in Illustrator possono essere convertiti in modo adeguato in Expression Design/Blend. Tenere presente quanto segue:

Effetto

Descrizione

Maschere di ritaglio

Le maschere di ritaglio create in Adobe Illustrator non vengono interpretate correttamente da Expression Design. Per lo più, esse vengono visualizzate in Blend come delle superfici di color nero.

Vi consigliamo di creare le illustrazioni senza maschere di ritaglio.

Filtri e effetti

Non ogni filtro di Adobe Illustrator viene ripreso in Expression Design in modo esattamente corrispondente. I filtri di sfocatura gaussiana, effetti per il design degli angoli di Illustrator, per esempio, non funzionano in Expression Design.

Soluzione:

  • facendo uso del comando Oggetto -> Trasforma aspetto in Adobe Illustrator, potete trasformare la maggior parte degli effetti in modo tale da renderli leggibili per Expression Design.
  • Gli effetti per gli angoli di Adobe Illustrator vengono interpretati correttamente da MS se vengono trasformati in percorsi in Adobe Illustrator.

Campi di testo

Per poter collegare campi di testo a codice, essi devono essere creati separatamente in Expression Blend. Labels" sono necessari per testi dinamici; per le informazioni statiche, invece, sono sufficienti semplici „Campi testo".

MS Design non prevede la possibilità di creare label di testo. Dovete crearli direttamente in MS Blend.

Trasparenze e trasparenze di gruppo

Ci possono essere delle difficoltà in Adobe Illustrator per la corretta interpretazione di impostazioni di trasparenza, in particolare di quelle concernenti le trasparenze di gruppo.

MS Expression Blend e MS Expression Design, però, offrono la possibilità di creare nuove impostazioni di trasparenza.

Moltiplica livelli

Queste Impostazioni livello in Adobe Illustrator non vengono riprodotte sempre correttamente in MS Expression Blend.

C´è però la possibilità di impostare direttamente in Expression Design "Moltiplica livelli".

Strumenti analogici e posizioni standard

Per preparare le grafiche all´animazione nel modo migliore, lancetta e indicatore devono essere sempre nella posizione di partenza, per lo più leore 0 o 12:00.

In questo modo, i parametri di posizione per rotazioni ecc, vengono indicati in Blend correttamente e l´animazione può avvenire senza la necessità di una conversione dei dati concernenti la posizione.


Export WPF

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Export WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per realizzare l´animazione in Microsoft Expression Blend c´è bisogno di file WPF. Consigliamo l´uso di Microsoft Expression Design per realizzare questo export, dato che esso fornisce buoni risultati e che la maggior parte degli effetti Illustrator vengono interpretati correttamente.

Nota: in Internet c`è un plug-in gratuito per l´export diretto di file WPF da Adobe Illustrator. Questo plug-in offre la possibilità di effettuare un export veloce e non complicato da Illustrator; per l´applicazione attuale, però, non è molto adatto visto che comporta delle perdite di qualità grafica. Sono possibili anche delle divergenze di colore rispetto al documento originario.

File nel formato .ai possono essere importati regolarmente in Expression Design. I percorsi sono mantenuti in questo processo.
Attenzione alcuni comuni effetti Illustrator, però, non possono essere rappresentati correttamente da Expression Design (vedi capitolo Illustrazione).

Esportiamo in 5 passaggi l´elemento bargraf già creato:

  1. ED: Importa
    • Importate in Microsoft Expression Design il file Illustrator preparato usando File -> Importa
  2. ED: Ottimizzazione

    • Se il file originario non viene correttamente visualizzato in MS Expression Design, esso può essere modificato e ottimizzato in questa sede.
  3. ED: Seleziona

    • Evidenziate con la freccia Selezione diretta in MS Expression Design l´elemento per l´export WPF, in questo caso l´intero orologio.
  4. ED: Avvia Export

    • Avviate l´export mediante File -> Esporta
    • Si apre il dialogo per la configurazione delle impostazioni di export.
  5. ED: Impostazioni di esportazione

    • Effettuate le seguenti impostazioni di esportazione:
    1. Formato: XAML Silverlight 4 / WPF Canvas

      Assegna sempre un nome agli oggetti: Attivate l´opzione con simbolo di spuntatura.

      Piazzate gli oggetti raggruppati in un XAML layout container: Attivate l´opzione con simbolo di spuntatura.

    2. Testo: Blocco di testo modificabile
    3. Effetti linea: Rasterizza tutto.

Il file esportato ha la desinenza.xaml. Nel successivo passaggio, esso viene preparato e animato in MS Expression Blend.


Animazione in blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Animazione in blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con MS Expression Blend:

  • vengono animati i file XAML di MS Expression Design.
  • vengono create variabili per la gestione degli effetti che possono essere indirizzati da zenon,

In 13 passaggi giungiamo dallo statico XAML all´elemento animato, che può essere integrato in zenon:

  1. EB: Crea progetto

    1. Aprite Microsoft Expression Blend.
    2. Create un nuovo progetto.
    3. Selezionate come Tipo di progetto WPF-> WPF- Control Library
    4. Assegnate un nome (nella nostra esercitazione: My_Project)
    5. Selezionate un luogo dove salvare il progetto.
    6. Selezionate un linguaggio (nella nostra esercitazione: C#)
    7. Selezionate la Framework Version 3.5.
  2. EB: Cancella MainControl.xaml.cs

    1. Passate a MainControl.xaml.cs.
    2. Cancellate questo file usando il comando Cancella del menù contestuale.
  3. EB: apri file XAML esportati
    1. Aprite il menù contestuale per My_Project (con il tasto destro del mouse).
    2. Selezionate Aggiungi elemento esistente…
    3. Selezionate il file XAML esportato da Microsoft Expression Design per aprirlo in Microsoft Expression Blend.
  4. EB: Apri MainControl.xaml

    1. Aprite il MainControl.xaml generato automaticamente.
    2. Navigate nel settore Oggetti e assi tempo e passate alla voce UserControl.
  5. EB: Adatta XAML-Code

    1. Cliccate con il tasto destro del mouse su UserControl
    2. Selezionate nel menù contestuale visualizza XAML
    3. Cancellate nel XAML-Code le righe 7 e 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: Controlla XAML-Code

    • Adesso il XAML Code dovrebbe avere il seguente aspetto:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: Copia elementi

    1. Aprite il file XAML importato da Expression Design.
    2. Evidenziate tutti gli elementi.
    3. Selezionate nel menù contestuale Copia.
    4. Tornate al file XAML generato automaticamente.
  8. EB: Inserisci elementi

    1. Cliccate con il tasto destro del mouse su Layout Root.
    2. Selezionate Aggiungi.
  9. EB: Adatta tipo layout

    1. Cliccate con il tasto destro del mouse su LayoutRoot -> Modifica tipo di layout -> Viewbox
    2. Adesso la struttura dovrebbe avere il seguente aspetto: UserControl -> LayoutRoot -> Grid -> Elementi
    3. Assegnate un nome a LayoutRoot e Grid cliccando due volte sul nome
  10. EB: Testi e formati

    • Testi dinamici e statici vengono contrassegnati con campi di testo.
    • Valori (numeri) vengono emessi con Labels
  11. EB: Inserisci label

    • Label sostituiscono i numeri che devono essere collegati in seguito per mezzo di variabili Int (deve essere eseguito per tutti gli elementi-numeri)
  12. EB: Setta proprietà

    • Per visualizzare il 100%, settate la proprietà MaxHeight dell´elemento visualizzazione bargraf sul valore 341 (l´altezza massima dell´elemento indicatore corrisponde a 340).
  13. EB: prepara per uso in zenon

    1. Cancellate tutte le denominazioni (si possono assegnare nomi solamente agli elementi che devono essere indirizzati tramite zenon).
    2. Salvate il file XAML con un nome qualsiasi.
    3. Implementate il file XAML in zenon

Consiglio per effettuare un controllo: se il file XAML viene visualizzato in Microsoft Internet Explorer senza problemi e si adegua alla grandezza della finestra di Internet Explorer, verrà usato correttamente anche in zenon.


Linee guida per progettisti.

Manuale -> Elemento WPF -> Linee guida per progettisti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo si occupa della creazione di un semplice user control WPF con funzionalità code-behind mediante Microsoft Visual Studio, e del debugging di questo user control nel Runtime.

A tal scopo, si usano i seguenti strumenti:

  • Microsoft Visual Studio 2015.
  • zenon

info Info

Si consiglia di usare una versione di Microsoft Visual Studio a partire da quella 2012, a causa della migliore integrazione di XAML Designer.

Ancora in questo capitolo

Creazione di un semplice user control WPF con funzionalità code-behind.

Debug del WPF User Control nel Runtime

Scambio di dati fra zenon e controlli utenti WPF

Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.


Creazione di un semplice user control WPF con funzionalità code-behind.

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Creazione di un semplice user control WPF con funzionalità code-behind.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo capitolo si descrive la creazione e l´implementazione di un semplice user control WPF. Visto intendiamo descrivere solo il meccanismo/procedimento di base d´integrazione in zenon, la funzionalità dell´user control creato si limiterà all´addizione di due valori. Al fine di fornire un esempio semplice e chiaro, si è rinunciato volutamente ad un´esposizione della gestione degli errori estesa; né questo esempio pretende di fornire un quadro esplicativo completo ed esaustivo dell´argomento.

Creare WPF User Control

  1. Create in Visual Studio una nuova Solution, ed in essa un progetto WPF User Control Library.

    In questo esempio, si è optato per .NET Framework Version 4. Si può scegliere anche un´altra versione che deve essere installata sul sistema di destinazione sul quale sarà poi avviato il Runtime.

    Info: Se il relativo modello di progetto non è contenuto nella lista dei modelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome WPFUserControlLibrary.

  2. Create 3 caselle di testo ed un pulsante nel file UserControl1.xaml:

  3. Aggiungete il seguente codice nell´evento click del pulsante:

Adesso disponete dell´user control, che fornisce la funzionalità desiderata. Visto, però, che zenon può rappresentare solamente quei file XAML che non rimandano ad un file code-behind, si ha bisogno di un ulteriore file XAML che referenzi la libreria (assembly) appena creata.

Creazione del file XAML (senza code-behind) per zenon

Per creare il file necessario in zenon, procedete come segue:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library
  2. Nel nostro esempio, esso viene nominato WPFUserControlNoCodeBehind.
  3. Aggiungete in questo nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono inclusi nella DLL creato in precedenza e che non è consentito usare nessun file code-behind, cancellate le seguenti righe:

    x:Class="WPFUserControlNoCodeBehind.UserControl1"

    xmlns:local="clr-namespace:WPFUserControlNoCodeBehind"

  6. Cancellate anche (per l´impostazione della dimensione del Designer) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Trascinate l´user control creato in precedenza (dal progetto WPFUserControlLibrary) sulla casella degli strumenti nel XAML-Designer.
  9. Assegnate un nome alla Grid, nonché all´user control.

    Attenzione: se non si assegna nessun nome in questa sede, questi elementi non compariranno nella finestra di dialogo Collegamento dell´Editor di zenon; di conseguenza essi non potranno essere dinamizzati.

  10. Il file XAML dovrebbe avere il seguente aspetto:

Il prossimo passaggio illustra come implementare la DLL e il file XAML in zenon.

Passaggi in zenon

  1. Aprire l´Editor di zenon.
  2. Passare al nodo File -> Grafiche.
  3. Nel menù contestuale, selezionare Aggiungi file...

  4. Scegliere il file XAML nel luogo di salvataggio (UserControl1.xaml del progetto WPFUserControlNoCodeBehind) e aggiungerlo:

  5. Aggiungere la DLL con la funzionalità per il file XAML.

    Procedura:

    1. Nel menù contestuale del nodo File -> Altri, selezionare Aggiungi file....
    2. Selezionare il file WPFUserControlLibrary.dll (dal percorso di output) del primo progetto (WPFUserControlLibrary).

  6. Creare un´immagine di zenon.
  7. Aggiungere un elemento WPF e selezionare il file XAML precedentemente implementato.

    Adesso si dovrebbe vedere quanto segue nell´Editor di zenon:

  8. Avviare il Runtime di zenon per testare il control anche lì.

info Info

Il file XAML e gli assembly referenziati possono essere salvati anche insieme come file *.cdwpf. Così dovrà essere importato solo un file nell´Editor (alla voce File -> Grafiche). Ulteriori informazioni su questo argomento si trovano nel capitolo File CDWPF (file collection).

Suggerimento: quando si sviluppa un controllo utente WPF, nella maggior parte dei casi è più pratico aggiungere separatamente il file XAML e la/le DLL referenziato/i. . Ciò semplifica lo scambio della DDL e il debugging. Ulteriori informazioni su questo argomento le trovate nel capitolo Debug del WPF User Control nel Runtime.

Tipp Suggerimento

Le DLL che appartengono ad un elemento WPF possono essere sostituite anche durante il funzionamento dell´Editor. Il riferimento avviene tramite collegamento nel file XAML.
Per sostituire una DLL:

  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Sostituire nell´Explorer la DLL nella cartella \wpfache dei file Editor.
    Questa cartella si trova nella directory SQL, alla voce:
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Un´opzione alternativa alla sostituzione via Explorer, è quella di sostituire il file direttamente nell´Editor di zenon. Procedura:

  • Nelle impostazioni del progetto Visual Studio, incrementare la versione file della DLL.
  • Ricostruire la DLL.
  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Nell´Editor di zenon, cancellare la DLL dalla cartella \File\Altri e aggiungerla con il numero di versione incrementato.

Ulteriori esempi li trovate nel capitolo Esempi: Integrazione di WPF in zenon.


Debug del WPF User Control nel Runtime

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Debug del WPF User Control nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare il debug del WPF User Control nel Runtime, procedete nel modo seguente:

In questo esempio si usa il control descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Debug via Attach to Process (Connetti a processo)

  1. Assicuratevi che il Runtime zenon sia avviato e che sia aperta un´immagine con l´user control WPF.

    Assicuratevi poi che la DLL usato corrisponda alla Build attuale (versione) del progetto dello User Control (WPFUserControlLibrary).

  2. Settate poi nel progetto Visual Studio un punto di interruzione nell´Evento click del pulsante.

  3. Selezionate in Visual Studio, al punto Debug , la voce di menù Attach to Process.
  4. Selezionate il processo Runtime zenon.

  5. Selezionate alla voce Attach to o Automatico , oppure la versione .NET Framework corrispondente (v4.x in questo caso)

  6. Cliccare su Attach
  7. Attivate adesso il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

Debug via Start External Program (Avvia programma esterno)

  1. Assicuratevi che il Runtime di zenon sia terminato.
  2. Assicuratevi che il progetto contente l´user control WPF sia settato come progetto di partenza nell`Editor di zenon.
  3. Assicuratevi che il progetto dell´User Control (WPFUserControlLibrary) sia settato come progetto di partenza in Visual Studio.

  4. Nelle proprietà di progetto del progetto Visual Studio selezionate sotto Debug, alla voceStart action: Start external program
  5. Per Start external program selezionate il percorso dell´applicazione zenon Runtime.
  6. Sotto Working Directory, selezionate la cartella \wpfcache dei file Runtime (...\PROJECTNAME\RT\FILES\zenon\custom\wpfcache)

    Suggerimento: Avendo selezionato il progetto nell´Editor di zenon, pigiate la combinazione di tasti CTRL+ALT+R per saltare direttamente al root path del file Runtime.

  7. Nelle proprietà di progetto, alla voce Build indicate anche come Output path la cartella \wpfache dei file Runtime.

  8. Realizzate il progetto in Visual Studio.
  9. Avviate il debug in Visual Studio con Start.

  10. A questo punto verrà avviato automaticamente il Runtime di zenon.
  11. Attivate il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

info Info

Al momento dell´avvio del Runtime di zenon, gli assembly referenziati in WPF User Controls (DLL) della cartella \FILES\zenon\custom\additional, oppure gli assembly dei file CDWPF vengono copiati nella cartella \FILES\zenon\custom\wpfcache. Se la versione file del DDL esistente nella cartella \wpfache è la stessa, o più recente di quella del "file originale", esso non viene sostituito!

Per il debug, dunque, è sufficiente sostituire solamente il file direttamente nella cartella \wpfache.

Per la fornitura, si deve assicurare che la versione attuale della DLL sia effettivamente presente nella cartella \additional, o nel file CDWPF!

Attenzione: se si aggiorna solamente il DDL nella cartella \additional, oppure in CDWPF, ma non si aumenta il numero di versione, si deve prima cancellare manualmente la DLL nella cartella \wpcache, visto che, in caso contrario, non verrebbe aggiornato (a causa del meccanismo descritto in precedenza).

Tipp Suggerimento

Le DLL che appartengono ad un elemento WPF possono essere sostituite anche durante il funzionamento dell´Editor. Il riferimento avviene tramite collegamento nel file XAML.
Per sostituire una DLL:

  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Sostituire nell´Explorer la DLL nella cartella \wpfache dei file Editor.
    Questa cartella si trova nella directory SQL, alla voce:
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Un´opzione alternativa alla sostituzione via Explorer, è quella di sostituire il file direttamente nell´Editor di zenon. Procedura:

  • Nelle impostazioni del progetto Visual Studio, incrementare la versione file della DLL.
  • Ricostruire la DLL.
  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Nell´Editor di zenon, cancellare la DLL dalla cartella \File\Altri e aggiungerla con il numero di versione incrementato.


Scambio di dati fra zenon e controlli utenti WPF

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di effettuare lo scambio di dati fra zenon e i controlli utenti WPF.

  • Scambio di dati via Dependency Properties
  • Scambio di dati via VSTA

Ancora in questo capitolo

Scambio di dati via Dependency Properties

Scambio di dati via VSTA


Scambio di dati via Dependency Properties

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via Dependency Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modo più elegante e più sicuro di scambiare dati fra zenon e controlli utenti WPF di creazione propria, è quello di usare le Dependency Properties.

Da base serve il progetto WPF User Control (WPFUserControlLibrary) creato nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Anche in questo capitolo ci concentreremo solamente sulla tematica di fondo (in questo caso, le Dependency Properties e lo scambio di dati fra il controllo utente e zenon). Non descriveremo specifiche funzionalità di WPF, come Databinding (Associazione dati) ecc., né tratteremo in modo esplicito la problematica della risoluzione dei problemi.

Estensioni nel codice

  1. Create l´evento TextChanged per l´elemento textBoxA nel file UserControl1.xaml

    TextChanged="textBoxA_TextChanged"

  2. Inserite le seguenti righe di codice nella classe UserControl1 del file code-behind (UserControl1.xaml.cs).

/// <summary>

/// Gets or sets the ValueA.

/// </summary>

public double ValueA

{

get

{

return (double)GetValue(ValueADependencyProperty);

}

set

{

SetValue(ValueADependencyProperty, value);

}

}

/// <summary>

/// Dependency property for ValueA

/// </summary>

public static readonly DependencyProperty ValueADependencyProperty =

DependencyProperty.Register("ValueA", typeof(double),

typeof(UserControl1), new FrameworkPropertyMetadata(0.0, new PropertyChangedCallback(OnValueADependencyPropertyChanged)));

/// <summary>

/// Called when [value a dependency property changed].

/// </summary>

/// <param name="source">The source.</param>

/// <param name="e">The <see cref="DependencyPropertyChangedEventArgs"/> instance containing the event data.</param>

private static void OnValueADependencyPropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)

{

UserControl1 control = source as UserControl1;

if (control != null)

{

try

{

control.ValueA = (double)e.NewValue;

control.textBoxA.Text = control.ValueA.ToString();

}

catch (Exception)

{}

}

}

/// <summary>

/// Handles the TextChanged event of the textBoxA control.

/// </summary>

/// <param name="sender">The source of the event.</param>

/// <param name="e">The <see cref="TextChangedEventArgs"/> instance containing the event data.</param>

private void textBoxA_TextChanged(object sender, TextChangedEventArgs e)

{

try

{

ValueA = Convert.ToDouble(textBoxA.Text);

}

catch (Exception)

{}

}

Poi creare la solution.

info Info

In questo esempio si usa una proprietà numerica (double). Si possono anche usare altri tipi di dato semplice (come bool, string, int, ecc.).

Collegamento in zenon

  1. Aggiornare l´user control WPF (DLL) nell´Editor di zenon.
  2. Per farlo, procedere come descritto nel capitolo Creazione di un semplice controllo utente WPF con funzionalità code-behind.
  3. Creare una variabile numerica in zenon. Collegare questa variabile a un elemento di testo dinamico. Nell´immagine, inserire il testo di elemento dinamico accanto all´elemento WPF con l´User Control.
  4. Aprite l´immagine contenente l´elemento WPF e selezionate presso quest´ultimo, alla voce WPF links: Configuration

  5. Espandete il nodo nel tree in alto a sinistra e selezionate AdditionControl

  6. Scegliete la riga conValueA (è il nome della proprietà creata in precedenza nel code), e selezionate alla voce Type of link: Variable

    Suggerimento: attribuite alle proprietà un prefisso, in modo da poterle trovare con facilità, per esempio: _ValueA

  7. Nella colonna, alla voce Linkage, selezionate la variabile creata precedentemente in zenon.

  8. Confermate il dialogo cliccando su OK e compilate i file Runtime.
  9. Avviate il Runtime per testare il controllo utente WPF.

  10. Se cambia il valore nel controllo utente, cambia automaticamente anche quello in zenon e viceversa.
  11. Naturalmente, potete effettuare il debug del controllo utente come descritto nel capitolo Debug del controllo utente WPF nel Runtime, e potete anche creare delle ulteriori Dependency Properties.

info Info

Per accedere (automaticamente) al momento dell´inizializzazione (per es. all´apertura del controllo utente) ai valori delle Dependency Properties, si può usare l´evento UserControl_Loaded.


Scambio di dati via VSTA

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via VSTA si possono anche scambiare dati fra zenon e i controllo utenti WPF.

A tal scopo, si usano i

  • get_WPFProperty (lettura di valori)
  • set_WPFProperty (scrittura di valori)

.

L´esempio qui addotto si basa su quello illustrato nel capitolo Scambio di dati via Dependency Properties.

Creazione di una macro VSTA per lo scambio di dati fra zenon e il controllo utente WPF.

  1. Create la seguente macro nel ProjectAddin del progetto zenon.

    Tenete presente quanto segue:

    • "Screen" è il nome dell´immagine zenon in cui si trova l´elemento WPF.
    • "WPF_Element" è il nome dell´elemento WPF che contiene il controllo utente WPF.
    • "AdditionControl" è il nome del controllo utente WPF stesso (definito nel file (UserControl1.xaml).
    • "ValueA" è il nome dell´User Control Properties.
  2. Create una funzione "Esegui macro VSTA" e collegatela ad un pulsante nell´immagine in cui si trova anche l´elemento WPF.
  3. Avviate il Runtime per testare le modifiche.

    Quando viene eseguita la macro, il valore viene letto dal controllo, raddoppiato e riscritto.

info Info

Le proprietà User Control usate in questo metodo per lo scambio dei dati non devono essere eseguite necessariamente come Dependency Properties, come illustrato in questo esempio. Si possono usare anche "Standard" Properties; a questo proposito, vedi il capitolo Accesso via VSTA "Variable Link".


Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere al modello ad oggetti zenon a partire da un controllo utente WPF ci sono diverse possibilità. Esse verranno illustrate nei capitoli seguenti.

attention Attenzione

Quando si usano oggetti COM di zenon in user Control di creazione propria, oppure in applicazioni esterne, questi devono essere resi disponibili usando il metodo Marshal.ReleaseComObject. Il rilascio mediante il metodo Marshal.FinalReleaseComObject non può essere usato perché Add-In di zenon smettono di funzionare quando si usa questo metodo.

Ancora in questo capitolo

Accesso via VSTA "Variable Link"

Accesso via Marshalling


Accesso via VSTA "Variable Link"

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via VSTA "Variable Link"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via "Variable Link", procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Info

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

/// <summary>

/// Property for the Variable link via VSTA

/// </summary>

public object zenonVariableLink

{

get { return null; }

set

{

if (value != null && zenonProject == null)

{

zenOn.Variable zenonVariable;

try

{

zenonVariable = (zenOn.Variable)value;

}

catch (Exception)

{

return;

}

if ((zenonVariable!= null) && (!string.IsNullOrEmpty(zenonVariable.Name)))

{

zenonProject = zenonVariable.Parent.Parent;

}

}

}

}

/// <summary>

/// Trigger used to notify the control from VSTA to release the COM resources

/// </summary>

public object zenonReleaseTrigger

{

get { return null; }

set

{

if ((bool)value && zenonProject != null)

{

try

{

Marshal.ReleaseComObject(zenonProject);

}

catch (Exception)

{

return;

}

zenonProject = null;

GC.Collect();

GC.WaitForPendingFinalizers();

GC.Collect();

}

}

}

Alle proprietà zenonVariableLink (per l´inizializzazione dell´oggetto COM ) e zenonReleaseTrigger (per il rilascio dell´oggetto COM) si accede dopo da VSTA (scrittura).

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsane esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

info Info

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

Necessari adeguamenti e modifiche nel zenon Project/VSTA Code

Nel code VSTA si devono effettuare i seguenti passaggi:

Creazione di una macro VSTA per l´inizializzazione

/// <summary>

/// Macro for API initialization in the WPF User Control

/// </summary>

public void MacroWPFInit()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonVariableLink", this.Variables().Item(0));

}

Creazione di una macro VSTA per il rilascio

/// <summary>

/// Macro for API release in the WPF User Control

/// </summary>

public void MacroWPFRelease()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonReleaseTrigger", true);

}

Create due funzioni "esegui macro VSTA", che vengono collegate a pulsanti che si trovano nella stessa immagine dell´elemento WPF.

Avviate adesso il Runtime per testare la funzionalità.

  • Eseguite la macro di inizializzazione.
  • Premete il pulsante del controllo utente WPF User Control; appare un MessageBox contenente il nome del progetto.

  • Eseguite la macro di rilascio.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

Tipp Suggerimento

Ai fini di una chiara dimostrazione, l´inizializzazione ed il rilascio dell´oggetto COM avviene nel presente esempio semplicemente via funzioni macro VSTA. A seconda dell´impiego concreto, gli eventi in VSTA possono rivelarsi più idonei.

Ad esempio, il code per l´inizializzazione può essere eseguito nell´evento _Open dell´immagine con l´elemento WPF, e il code per il rilascio nell´evento _Close.

Il meccanismo qui descritto viene usato anche nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).


Accesso via Marshalling

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via Marshalling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via Marshalling, procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Info

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

Inoltre, il costruttore del controllo utente deve essere esteso con l´aggiunta delle righe sottostanti (per l´inizializzazione dell´oggetto COM):

/// <summary>

/// Constructor for UserControl1, initialize COM Object

/// </summary>

public UserControl1()

{

InitializeComponent();

try

{

zenonProject = ((zenOn.Application)Marshal.GetActiveObject("zenOn.Application")).Projects().Item("TESTPROJECT");

}

catch (Exception)

{

}

}

L´oggetto COM deve essere rilasciato nell´evento UserControl_Unloaded:

/// <summary>

/// Release COM Object

/// </summary>

private void UserControl_Unloaded(object sender, RoutedEventArgs e)

{

try

{

if (zenonProject != null)

{

Marshal.ReleaseComObject(zenonProject);

zenonProject = null;

}

}

catch (Exception)

{

}

}

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsante esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

Compilate adesso la soluzione e aggiornate il controllo utente WPF nel progetto di zenon.

Avviate il Runtime per testare il controllo utente.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

info Info

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).

info Info

Nel Web Client di zenon non è possibile un accesso via Marshalling. Se è necessario qui un accesso all´interfaccia COM, si deve seguire il metodo descritto nel capitolo die Accesso via VSTA "Variable Link".


Progettazione nell´Editor di <CD_PRODUCTNAME:>

Manuale -> Elemento WPF -> Progettazione nell´Editor di

Per poter usare User Control WPF in zenon, la versione 3.5 (o una ancora più recente, a seconda della versione .NET Framework usata nell´user control) deve essere installata sia sul computer su cui è eseguito l´Editor, che su quello in cui è eseguito il Runtime.

Condizioni per visualizzazione WPF in zenon

Al momento, la dinamicizzazione è disponibile per i tipi di dato semplici (tipi di dato numerici, nonché stringa). Array e strutture non possono essere dinamizzate.

Perciò in zenon possono essere utilizzate le seguenti funzioni WPF:

  • Proprietà dell´elemento che corrispondono a tipi di dato semplici come String, Int, Double, Bool ecc.
  • Proprietà dell´elemento del tipo "Object", che possono essere settate con tipi di dato semplici.
  • Eventi dell´elemento possono essere usati con funzioni; i parametri degli eventi, però, non sono disponibili/analizzabili in zenon.
  • Trasformazione dell´elemento per la quale esista un RenderTransform per l´elemento nel file XAML.

    Attenzione: se il content si trova al di là dell´area dell´elemento WPF durante la trasformazione, esso non verrà non disegnato.

Indicazioni sull´ombra: Per gli elementi WPF non è possibile visualizzare un´ombra in zenon.

attention Attenzione

Se vengono generati i file runtime di un progetto per una versione precedente a quella 6.50, gli elementi WPF esistenti non vengono implementati nelle immagini runtime.

Ancora in questo capitolo

CDWPF-file (file collection)

Crea elemento WPF

Configurazione del collegamento

Validità di file XAML

Elementi predefiniti

Visualizzazione di elementi WPF nel Web Client di zenon

Esempi: Integrazione di WPF in zenon

Gestione degli errori


CDWPF-file (file collection)

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> CDWPF-file (file collection)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un file CDWPF (con il suffisso *.cdwpf) è un file ZIP rinominato che contiene le seguenti componenti:

  • File XAML (per referenziare l´User Control Assembly)
  • File DLL (il vero e proprio WPF User Control, facoltativo)
  • Grafica di anteprima (per anteprima, facoltativa).

Regole per l´uso di file collection:

  • I file (XAML, DLL, grafica di anteprima) possono trovarsi direttamente nel file CDWPF, oppure in una cartella comune.
  • Il nome del file collection deve corrispondere a quello del file XAML.
  • Può essere contenuto solamente un file XAML.
  • La grafica di anteprima dovrebbe essere piccola e non più alta di 64 pixel.
    Nome dell´anteprima file: preview.png oppure il nome del file XAML con la desinenza png.
  • Si possono usare quante assembly si voglia. La distinzione avviene sulla base della versione della versione file.
  • File collection non devono necessariamente contenere un assembly.
  • Vengono analizzate tutte le sottocartelle; si tiene conto solamente dei file dei tipi *.dll, *.xaml, o *.png.
  • Se un file collection (*.cdwpf) viene sostituito da un file di una differente versione, devono essere adeguati tutti i file CDWPF corrispondenti, in tutti i simboli ed immagini in tutti i progetti.


Crea elemento WPF

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Crea elemento WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un elemento WPF:

  1. Selezionate nella barra dei simboli degli elementi il simbolo Elemento WPF, oppure scegliete l´inserimento corrispondente nel menù Elementi
  2. Selezionate nella finestra principale il punto start
  3. Delineate l´elemento trascinando il mouse.
  4. Selezionate nelle proprietà del gruppo Visualizzazione quella File XAML.
  5. Si apre la finestra dialogo di selezione file.
  6. Selezionate il file desiderato.
    Sono validi i file del formato:
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF file collection, mostra anche anteprima.

    (Il file deve essere già esistere nel manager di progetto alla voce File/Grafiche oppure essere creato nella finestra di dialogo.)

  7. Configurate i collegamenti.

info Info

Se volete usare in WPF degli oggetti referenziati (assembly), tenete presente le indicazioni contenute nel capitolo Assembly referenziati.


Configurazione del collegamento

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare un elemento WPF

  1. Selezionate nelle proprietà del gruppo Collegamenti WPF quella Configurazione.
  2. Si apre un dialogo con tre schede; esso contiene un´anteprima del file XAML, nonché degli elementi presenti nel file.

Configurazione della finestra di dialogo

Parametro

Descrizione

Elementi esistenti

Mostra in una struttura ad albero i detti elementi del file. L´elemento selezionato può essere collegato a dati di processo.

L´attribuzione di WPF a dati di processo avviene sulla base del nome elemento. Per questo motivo, gli elementi vengono visualizzati solamente se essi ed i relativi elementi sovraordinati posseggono un nome. Le attribuzioni vengono configurate e visualizzate nelle schede Proprietà, Eventi e Trasformazione.

Suggerimento: se gli elementi corrispondenti non vengono visualizzati, controllate nel file XAML se esso ha una nome (per es.: <Grid Name="GridName">).

Anteprima

Nell´anteprima, l´elemento selezionato lampeggia.

Proprietà

Configurazione e visualizzazione delle proprietà (variabili, autorizzazioni, interblocchi, valori collegati).

Eventi

Configurazione e visualizzazione degli eventi (funzioni).

Trasformazione

Configurazione e visualizzazione delle trasformazioni.

Nome

Nome della proprietà.

Collegamento

Selezione del collegamento.

Tipo di collegamento

Tipo di collegamento (variabile, autorizzazione, funzione)

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

info Info

Nel dialogo di configurazione possono essere visualizzati solamente oggetti logici. Gli oggetti visivi non vengono visualizzati. Ulteriori informazioni su come si fa a dinamizzare oggetti visuali, le potete leggere nella sezione Attribuzione di oggetto zenon a WPF Content.

Modifica collegamenti

Tutti i collegamenti configurati possono essere modificati usando le proprietà dell´elemento. A tal scopo, cliccate sull´elemento e aprite il gruppo delle proprietà Collegamenti WPF Qui potete continuare a configurare i collegamenti senza dover aprire la finestra di dialogo.

Limitazioni:

  • Il tipo di collegamento non può essere modificato in questa sede.
  • Nuovi collegamenti possono essere creati solo tramite il dialogo di configurazione.
  • Aggiunta di un elemento WPF in un simbolo: I collegamenti WPF non possono essere esportati.

Ancora in questo capitolo

Proprietà

Eventi

Trasformazione


Proprietà

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà permettono il collegamento di:

  • Variabili
  • Valori
  • Autorizzazioni e interblocchi

Parametro |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Variabile, autorizzazione operativa collegata, o valore collegato. Se si clicca su questa colonna, si apre il dialogo di selezione corrispondente a quanto indicato nella colonnaTipo di collegamento.
Tipo di collegamento | Selezione di un collegamento.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

Crea collegamento

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate il collegamento desiderato fra quelli proposti dal menù a tendina.

    Sono a disposizione:

    • <non collegato> (elimina un collegamento esistente)
    • Autorizzazioni utente/Interblocco
    • Valore costante
    • Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre a finestra di dialogo per la configurazione del collegamento desiderato.

info Info

Le proprietà di WPF e di zenon possono essere differenti. Se si collega, ad esempio, la proprietà Visibilità, sono a disposizione in .NET tre valori:

  • 0 - visibile
  • 1 - invisibile
  • 2- compressa

Questi valori devono essere rappresentati mediante la variabile di zenon collegata.

Ancora in questo capitolo

Collegamento variabile

Collega valori

Collega autorizzazione o interblocco


Collegamento variabile

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Proprietà -> Collegamento variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare una variabile ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della variabile

Questa finestra di dialogo vale anche per la scelta di variabili per trasformazioni. La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametro

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Per esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

OK

Applica le impostazioni e chiude il dialogo.

Annulla

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online.


Collega valori

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Proprietà -> Collega valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Valori collegati possono essere o una String, oppure un valore numerico del tipo Double. Quando si apre l´immagine, viene settato il valore scelto nel WPF content, dopo che quest´ultimo è stato caricato.

Per collegare una valore ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina l´opzione Collegamenti valori
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione del collegamento valori.

Parametro

Descrizione

Valore collegato:

Inserimento di un valore numerico o di un valore stringa.

Utilizza Stringa

Attivo: un valore stringa viene usato al posto di un valore numerico.

I valori stringa sono convertibili per quello che concerne la lingua. Nel runtime, il testo viene tradotto al momento dell´apertura dell´immagine e salvato in WPF content. Se si effettua un cambio lingua mentre l´immagine è aperta, il valore stringa viene tradotto di nuovo e salvato.

Valore stringa/numerico

A seconda della scelta effettuata per la proprietà Utilizza Stringa, viene inserito in questo campo un valore numerico o stringa. Per i valori numerici, può essere inoltre selezionata un´unità di misura.

Unità:

Selezione di un´unità di misura del menù a tendina. Essa deve essere stata definita in precedenza nel Cambio unità di misura.

L´unità di misura viene assegnata al valore numerico. Se nel runtime viene eseguito un cambio unità, il valore viene convertito nella nuova unità di misura e salvato nel content WPF.

Chiudere la finestra di dialogo.

Opzione | Descrizione
OK | Applica le impostazioni e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Collega autorizzazione o interblocco

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Proprietà -> Collega autorizzazione o interblocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le autorizzazioni non possono essere assegnate per tutto l´elemento WPF. All´elemento viene assegnato un livello utente. Le autorizzazioni vengono concesse nell´ambito del livello utente per singoli control. Se un´autorizzazione è attiva, viene scritto il valore 1 sulla proprietà nell´elemento.

Per collegare un´autorizzazione o un interblocco ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina Autorizzazione/Interblocco
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione dell´autorizzazione.

Parametro | Descrizione
Collega autorizzazione/interblocco | Definizione dell´autorizzazione
Stato collegato | Selezione di un´autorizzazione che viene collegata ad un control WPF fra quelle del menù a tendina. Ad esempio: la visibilità e la gestione di un pulsante WPF può dipendere dallo stato dell´utente.

Autorizzazione | Descrizione
Livelli di autorizzazione disponibili | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Nessuna autorizzazione | Se l´utente non possiede diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Non bloccato | Se l´elemento non viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Bloccato | Se l´elemento viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Accessibile | Se esiste l´autorizzazione e l´elemento non è bloccato, viene scritto il valore 1 sulla proprietà.
Non operabili | Se manca l´autorizzazione o se l´elemento è bloccato, viene scritto il valore 1 sulla proprietà.


Eventi

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi permettono di collegare delle funzioni di zenon ad un elemento WPF.

Parametro |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Funzione collegata. Cliccando nella cella, aprite il dialogo di configurazione .
Tipo di collegamento | Selezione di un collegamento. Cliccando nella cella, aprite il dialogo di selezione.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

Collega funzioni

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Funzione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della funzione

Parametro |  | Descrizione
Funzione collegata | Selezione della funzione da collegare. Cliccate sul pulsante ... e si apre la finestra di dialogo per la selezione della funzione.
OK | Applica la selezione e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida in linea.


Trasformazione

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Configurazione del collegamento -> Trasformazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF non supporta alcuna funzionalità di rotazione. Se, per esempio, l´elemento WPF si trova in un simbolo, e quest´ultimo viene ruotato, l´ elemento WPF non partecipa alla rotazione. Proprio per questo motivo, per WPF è stato introdotto un meccanismo proprio, detto trasformazione, che consente la rotazione oppure una trasformazione degli elementi. Queste trasformazioni vengono configurate nella scheda Trasformazione.

Attenzione: se il content si trova al di là dell´area dell´elemento WPF, questa parte del content va persa, oppure non viene disegnata.

Parametro

Descrizione

Nome

Nome della proprietà.

Collegamento

Selezione delle variabili collegate.

Le trasformazioni vengono visualizzate in XAML come oggetti di trasformazione con proprietà proprie. Se un elemento supporta una trasformazione, le possibili proprietà degli oggetti di trasformazione vengono rappresentate nella visualizzazione elenco. (Ulteriori informazioni in merito: integra pulsante come WPF-XAML in zenon.

Se la variabile collegata viene settata, ad esempio, sul valore 10, questo valore viene scritto sulla destinazione WPF e l´elemento WPF viene ruotato di 10°.

Tipo di collegamento

Selezione del tipo di collegamento trasformazione.

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

Collega trasformazione

Per collegare una trasformazione ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina trasformazione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della variabile

La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametro

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Per esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

OK

Applica le impostazioni e chiude il dialogo.

Annulla

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online.


Validità di file XAML

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Validità di file XAML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La validità di file XAML è legata ad alcuni presupposti:

  • Spazio dei nomi corretto
  • Nessun riferimento class
  • Scalabilità

Spazio dei nomi corretto

L´elemento WPF può visualizzare esclusivamente WPF-Content, il che significa:

Solamente i file XAML con uno spazio dei nomi WPF corretto, possono essere visualizzati nell´elemento WPF. I file che usano uno spazio dei nomi Silverlight, non possono essere caricati o visualizzati in modo corretto. Nella maggior parte dei casi è però sufficiente sostituire lo spazio dei nomi Silverlight con quello WPF.

WPF-Namespaces:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Nessun uso di riferimento class

Visto che i file XAML vengono caricati in modo dinamico, non è possibile usare quei file XAML che contengono dei riferimenti di classe (chiave, „Class" im Header). La funzionalità che è stata programmata in un file C# proprio, non può essere usata.

Per usare User Control di WPF con code behind, si deve procedere come descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Scalabilità

Se il contenuto di un elemento WPF deve essere adeguato alla grandezza dell´elemento WPF, i control dell´elemento WPF devono essere interlacciati in un control che offra questa funzionalità, ad esempio, una ViewBox. Inoltre bisogna far in modo che, per questi elementi, altezza e larghezza vengano configurati su automatico.

Controllo di un file XAML per verificarne la correttezza.

Per controllare se un file XAML ha il formato corretto:

  • Aprite il file XAML in Internet-Explorer.
    • Se lo si può aprire senza ulteriori plug-ins (Java o simili), si può presumere che questo file possa essere caricato o visualizzato anche da zenon con un elevato grado di sicurezza.
    • Se emergono problemi al momento di caricare il file, essi vengono visualizzati in Internet-Explorer; si può facilmente vedere in quale riga si sono verificati i problemi.

Anche la scala può essere testata in questo modo: Se il file è stato creato in modo corretto, il contenuto si adeguerà alla grandezza della finestra di Internet Explorer.

Messaggio di errore

Se si usa in zenon un file non valido, al momento del caricamento del file stesso nell´elemento WPF viene visualizzata una segnalazione di errore nella finestra di emissione.

Per esempio:

„Errore nel caricamento di xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

Non è possibile trovare l´attributo "Class" nel XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml". Riga 7 Posizione 2."


Elementi predefiniti

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

C´è una serie di elementi WPF forniti con zenon. Altri possono essere scaricati dal web shop.

Tutti gli elementi WPF hanno delle proprietà che determinano l´aspetto grafico dell´elemento in questione. (Dependency Properties). Settando i valori con un file XAML, oppure collegando la proprietà via zenon, si può modificare l´aspetto direttamente nel Runtime. Le tabelle nella descrizione dei singoli elementi contengono le relative Dependency Properties, , in dipendenza del control.

Elementi disponibili:

  • Orologio analogico
  • Bargraf verticale
  • Comtrade-Viewer
  • Diagramma - Energy class
  • Barra di avanzamento
  • Diagramma di Pareto
  • Diagramma di Sankey
  • Visuale rotonda
  • Indicatore della temperatura
  • Slider universale
  • Grafico a cascata

Sostituisci Assembly con nuova versione

Per ogni progetto, si può usare sia nell´Editor che nel Runtime di zenon solamente un Assembly per un elemento WPF. Se in un progetto esistono due versioni di un Assembly, verrà usato il file caricato per primo. Il sistema provvederà a chiedere all´utente quale versione deve essere utilizzata. Se si decide di continuare ad usare la versione utilizzata fino a quel momento, non sono necessarie ulteriori azioni. Se si sceglie una versione più recente, però, dovranno essere adattati tutti i file CDWPF corrispondenti in tutti i simboli e immagini in tutti i progetti.

Indicazioni concernenti la gestione multi-progetto: Se in un progetto un Assembly viene sostituito da una versione più recente, essa deve essere sostituita in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.

Ancora in questo capitolo

Orologio analogico - AnalogClockControl

Bargraf verticale - VerticalBargraphControl

Barra stato di avanzamento - ProgressBarControl

COMTRADE-Viewer

Diagramma - Energy class

Diagramma di Pareto

Visualizzazione circolare - CircularGaugeControl

Diagramma di Sankey

Indicazione della temperatura - TemperatureIndicatorControl

Slider universale - UniversalReglerControl

Grafico a cascata


Orologio analogico - AnalogClockControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Orologio analogico - AnalogClockControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

Offset

Valore in ore (h) che rappresenta la differenza di tempo rispetto all´orologio di sistema.

Int16

OriginText

Testo visualizzato nell´orologio (per es. indicazione del luogo).

Stringa


Bargraf verticale - VerticalBargraphControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Bargraf verticale - VerticalBargraphControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Valore minimo della scala. | Double
MaxValue | Valore massimo della scala. | Double
MajorTicksCount | Numero delle suddivisioni principali della scala. | Integer
MinorTicksCount | Numero delle suddivisioni secondarie della scala. | Integer
MajorTickColor | Colore delle suddivisioni principali della scala. | Color
MinorTickColor | Colore delle suddivisioni secondarie della scala. | Color
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush
ElementGlasReflection | Attivazione dell´effetto glas reflection sull´elemento. | Visibility
ElementFontFamily | Carattere dell´elemento. | Font
ScaleFontSize | Dimensione carattere della scala. | Double
ScaleFontColor | Colore carattere della scala. | Color
IndicatorBrush | Colore di riempimento del bargraf. | Brush
BargraphSeparation | Numero dei trattini di separazione del bargraf. | Integer
BargraphSeparationColor | Colore delle suddivisione della scala. | Color


Barra stato di avanzamento - ProgressBarControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Barra stato di avanzamento - ProgressBarControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Il valore minimo del campo valori. | Double
MaxValue | Il valore massimo del campo valori. | Double
ProgressbarDivisionCount | Numero delle suddivisioni della barra stato di avanzamento (Boxed). | Integer
VisibilityText | Visibilità della visualizzazione valore. | Boolean
TextSize | Dimensione carattere della visualizzazione valore. | Double
TextColor | Colore della visualizzazione valore. | Color
ProgressBarBoxedColor | Colore della cornice della barra stato di avanzamento (Boxed). | Color
ProgressBarMarginDistance | Distanza del Progressbar-Box dal bordo dell´elemento (sinistra, sopra destra, sotto). | Double
ProgressBarInactiveBrush | Colore indicatore non attivo. | Brush
ProgressBarActiveBrush | Colore indicatore attivo. | Brush
ProgressBarPadding | Distanza della barra di stato avanzamento dal Progressbar-Box (sinistra, sopra destra, sotto). | Double
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush


COMTRADE-Viewer

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> COMTRADE-Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il COMTRADE-Viewer Elemento WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite la COPA-DATA Partner Community.

Serve all´analisi grafica dei dati relativi a guasti ed eventi contenuti in un file COMTRADE.

info Info

Il controllo supporta i file conformi alla norma IEEE C37.111 (IEEE Standard Common Format for Transient Data Exchange (COMTRADE) for Power Systems). Possono essere visualizzati file in formato ASCII o binario conformi all´edizione 1999 o 2013.

I file più vecchi, o quelli che non hanno un´identificazione relativa all´anno, non sono supportati. Quando si seleziona un file non valido o non supportato, viene visualizzato un avviso che ne informa l´utente.

Possibilità del controllo COMTRADE-Viewer WPF nel runtime di zenon:

  • Selezione di un file in formato COMTRADE.
  • Visualizzazione del file COMTRADE selezionato.
    Nota: Nell´editor di zenon si può stabilire quali colori devono essere usati per la visualizzazione.
    • Corrente (rappresentazione in forma di onda sinusoidale)
    • Tensione (rappresentazione in forma di onda sinusoidale)
    • Segnali digitali (rappresentazione in forma di digrammi a barre binari)
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Se si seleziona un elemento che non rappresenta né la corrente, né la tensione (ad es.: la frequenza), esso viene visualizzato in entrambe le aree analogiche (corrente e tensione).
  • Navigazione:
    • Zoom avanti e zoom indietro con la rotella del mouse e con gesti multi-touch.
    • Ingrandimento di un´area.
      Selezione di quest´area con un clic del mouse.
    • Spostamento dell´area visualizzata usando il tasto destro del mouse, barra di scorrimento o gesti multi-touch.
  • Export degli oggetti selezionati in un file CSV.

Tipp Suggerimento

Per trasportare dei file COMTRADE su un computer su cui è attivo il Runtime di zenon, potete anche usare il trasferimento file del driver IEC 61850, oppure il FTP function block di zenon Logic .

Ulteriori informazioni su questo tema le trovate nella documentazione relativa al driver IEC 61850, oppure in quella di zenon Logic.

Ancora in questo capitolo

Visuale durante il Runtime

Visuale Runtime - Pagina di configurazione

Visuale Runtime - Visualizzazione di dati COMTRADE

Proprietà configurabili del controllo - Visualizzazione colori


Visuale durante il Runtime

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF COMTRADE offre due visuali nel Runtime:

  • Visuale di configurazione
    • Selezione di un file COMTRADE di configurazione.
    • Selezione degli elementi che devono essere visualizzati.
  • Visuale grafici
    • Zoom avanti e zoom indietro.
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Export degli elementi selezionati in un file CSV.

info Info

Il passaggio da una visuale all´altra è integrato nell´elemento WPF. Non è dunque necessario progettare una funzione di cambio immagine.


Visuale Runtime - Pagina di configurazione

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale Runtime - Pagina di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre nel Runtime un´immagine in cui è stato configurato un elemento WPF COMTRADE-Viewer, la relativa pagina di configurazione apparirà vuota.

Nota: Ciò vale anche quando, nel Runtime di zenon,si passa da un´altra a questa immagine con la funzione di cambio immagine.

Configurazione del Comtrade Viewer

Il comando COMTRADE Viewer Configuration posto lateralmente in alto, consente il passaggio dalla visuale configurazione a quella grafici e viceversa.

Seleziona file

Il pulsante Open... apre la finestra di dialogo che serve a selezionare un file.

Il sistema realizza una preselezione per la visualizzazione nella finestra di dialogo di selezione file:

  • Esso trova le coppie di file *.cfg- e *.dat.
    Nota: I file opzionali del tipo*.hdr oppure *.inf non vengono presi in considerazione.
  • Vengono visualizzati solamente i corrispondenti file *.dat.
  • Cliccando sul file desiderato e sul pulsante OK, vengono caricati tutti i file attinenti (*.dat, *.cfg).
  • Si può caricare solo un file.
  • Caricato il file, il suo contenuto viene visualizzato nelle due colonne Analog Channels e Digital Channels.
    Le denominazioni e le unità degli elementi hanno origine nella configurazione COMTRADE e non possono essere modificate.

Ulteriori informazioni sull´elaborazione di file _*.cfg- e *.dat.

Le informazioni del file *.cfg consentono l´analisi del file *.dat. Quest´ultimo contiene i dati delle diverse serie di misurazioni analogiche e digitali di correnti e tensioni. I dati sono suddivisi in singoli dataset e rappresentati in formato Hex.

File *.cfg.

  • L´ultimo inserimento di un file di questo tipo di dato è un moltiplicatore di tempo. Quando viene letto un messaggio di errore, viene moltiplicato per il time stamp di ogni singolo inserimento del file *.dat. Se non ci dovesse essere nessun moltiplicatore di tempo, si applica internamente un fattore con il valore di 1. Il file *.cfg, però, non viene modificato.
  • Per gli inserimenti delle serie di misurazione digitali valgono certi standard. Esempio di inserimento di un valore di misurazione digitale conforme allo standard: 1,LOPHC,,,0. Se, però, non ci dovesse essere lo zero alla fine dell´inserimento, il COMTRADE-Viewer lo aggiunge internamente. Il file *.cfg, però, non viene modificato.

File *.dat

  • Il COMTRADE-Viewer può leggere file di questo tipo di dato che iniziano con l´indice 0 o >1. Nel corso di questo processo, il sistema analizza sempre se questi dataset sono numerati progressivamente in passaggi discreti da 1. Se i datset non sono numerati in modo corretto, il file non potrà essere letto.

Analog Channels

Parametro | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Digital Channels

Parametro | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Mostra la selezione

Per far sì che la vostra selezione venga adesso visualizzata nella vista grafici, cliccate sul pulsante Apply.

Nota: Cliccando sul comando di switch COMTRADE Viewer Configuration posto lateralmente in alto, si passa solamente da una visuale all´altra. Non si tiene conto nel processo di una modifica nella selezione dei canali.


Visuale Runtime - Visualizzazione di dati COMTRADE

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale Runtime - Visualizzazione di dati COMTRADE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I canali selezionati sono visualizzati nel vista grafici dell´elemento WPF COMTRADE-Viewer. I colori da utilizzare possono essere configurati nell`Editor di zenon.

Export dei dati selezionati

I canali analogici e digitali selezionati possono essere esportati in un file CSV usando il pulsante CSV-Export.

Visuale grafici

La visuale grafici del COMTRADE-Viewers è divisa in tre sezioni:

  • Intensità di corrente
    Sezione in alto.
  • Tensione
    Sezione centrale.
  • Canali digitali
    Sezione in basso.

Denominazione assi

  • Asse orizzontale
    L´asse orizzontale rappresenta l´intero periodo di tempo, così come registrato nel file COMTRADE (*.dat).
    La scala di questo asse tempo dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione temporale delle informazioni.
  • Asse verticale
    L´asse verticale rappresenta i valori.
    • La scala di questo asse dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione dei valori.
    • La denominazione dei canali analogici viene visualizzata verticalmente accanto ai valori e corrisponde all´unità di misura definita nel file COMTRADE (*.cfg).
    • I canali digitali vengono visualizzati nella successione definita nel file COMTRADE (*.cfg).
      Il Channel identifier del file COMTRADE serve da identificazione.

Legenda

La legenda colori dei grafici appare sopra ai grafici stessi.

  • La denominazione dei canali digitali corrisponde a quella definita nel file COMTRADE (*.cfg).
  • I colori di ogni canale sono assegnati automaticamente con la tavolozza dei colori configurata.
  • Il tempo è visualizzato in un barra che si trova al di sotto del grafico. Il tempo iniziale viene visualizzato in forma di testo.

Navigazione e zoom

La navigazione (scrolling e zoom) è applicata sempre a tutte e tre le sezioni della rappresentazione grafica.

  • Usando la barra di scorrimento, potete spostare la visualizzazione scorrendo sulla linea orizzontale che rappresenta il tempo.
  • Zoom avanti e zoom indietro.
    • Usando la rotella del mouse, potete ingrandire o ridurre la visualizzazione con lo zoom nel punto in cui si trova attualmente il cursore.
    • Se si vuole visualizzare un´area particolare, la si seleziona tenendo premuto il tasto sinistro del mouse.
      Nota: La visualizzazione dei valori è sempre adeguata all´area che è stata selezionata via drag and drop. Ciò può avere come conseguenza l´appiattimento della curva nella visuale grafica ingrandita.
    • Con un doppio clic sulla barra di scorrimento si resetta l´ingrandimento al fattore iniziale.

Analisi

Gli esatti valori corrispondenti alla posizione attuale del cursore mouse appaiono in forma di blocchi di valore. Un cursore di tipo cross hair offre un ulteriore supporto ottico alla precisa determinazione del punto di lettura dei valori.


Proprietà configurabili del controllo - Visualizzazione colori

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> COMTRADE-Viewer -> Proprietà configurabili del controllo - Visualizzazione colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione nell'Editor

L´elemento chiamato COMTRADE.CDWPF può essere configurato e collocato in ogni tipo di immagine di zenon.
La progettazione della Larghezza [Pixel] e della Altezza [Pixel] dell´elemento dipende dalle proporzioni. Ciò impedisce che la visualizzazione del COMTRADE-Viewer venga distorta nel Runtime.

Nota: Quando configurate il progetto, assicuratevi che ci si spazio sufficiente a garantire una visione chiara.

Adattamenti grafici

Il design grafico lo configurate nelle proprietà dell´elemento WPF.
Ulteriori informazioni a questo proposito le trovate nel capitolo Configurazione del collegamento di questa guida.

Possibili valori del colore:

  • Valori colore esadecimali
    #RRGGBB
    Esempio - Valori colore: #000000 = nero, #FFFFFF = bianco, #FF0000 = rosso
  • Valori colore per nome
    Riferimento: https://msdn.microsoft.com/en-us/library/system.drawing.color.aspx

Tipp Suggerimento

Le proprietà per l´elemento WPF COMTRADE-Viewer hanno la lettera iniziale "z". Usate il filtro nomi per assicurare una rappresentazione chiara quando configurate il collegamento.

Pagina di configurazione

Testo e colore di sfondo della pagina di configurazione.

Parametro | Descrizione | Valore
zConfiguratinPageTextColor | Colore del testo della pagina di configurazione. | String
zConfigurationPageBackgroundColor | Colore di sfondo della pagina di configurazione. | String

Pulsanti

Colore del testo e colore di sfondo dei pulsanti.

Parametro | Descrizione | Valore
zButtonTextColor | Colore del testo dei pulsanti. | String
zButtonBackgroundColor | Colore di sfondo dei pulsanti. | String

Chart

Colore del testo delle scritte dell´asse o legenda e colore di sfondo.

Parametro | Descrizione | Valore
zChartTextColor | Colore del testo delle scritte dell´asse. | String
zChartBackgroundColor | Colore di sfondo delle scritte dell´asse. | String

Label

Colore del testo e dello sfondo della visualizzazione dei valori in corrispondenza della posizione selezionata del cursore.

Parametro | Descrizione | Valore
zChartLabelTextColor | Colore del testo della visualizzazione del valore. | String
zChartLabelBackgroundColor | Colore di sfondo della visualizzazione del valore. | String

Chart

Tavolozza di colori della visuale grafici e della corrispondente legenda.

Parametro | Descrizione | Valore
zChartPalette | Tavolozza dei colori per grafici e legenda. Riferimento a nomi tavolozze dei colori (vedi visione generale). Default: se non è stata configurata nessuna tavolozza dei colori, si usa quella del sistema operativo del computer. | String

Possibili tavolozze dei colori - Visione generale


Diagramma - Energy class

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Diagramma - Energy class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma Energy class, Elemento WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite la COPA-DATA Partner Community.

Si deve usare una matrice di reazione per modellare un diagramma energy class. Questa matrice di reazione deve essere collegata a quella variabile il cui valore è previsto per la visualizzazione e la distribuzione in classi di energia. Il nome della variabile deve essere trasferito alla proprietà "zVariableName".

Matrice di reazione per il diagramma Energy class.

La matrice di reazione collegata deve corrispondere al seguente schema:

  • Il primo stato deve essere un´area, oppure una definizione "meno di".
  • Poi si possono definire quante aree si vuole.
  • L´ultimo stato deve essere un´area, oppure una definizione "maggiore di".

Per la progettazione vale quanto segue:

  1. Se il primo stato è un´area e il valore della variabile è compreso in quest´area, ciò nonostante nel diagramma viene visualizzato il primo stato. Lo stesso vale, viceversa, per l´ultimo stato.
  2. I colori usati dal diagramma WPF per le classi sono i colori di valore limite definiti nella matrice di reazione.
  3. Le lettere usate per le classi sono in ordine alfabetico partendo dalla "A".
Property | Descrizione | Valore
zenonFontID | ID di un font dalla prima lista caratteri (la dimensione carattere non viene presa in considerazione). | Integer
zenonNumberOfDecimalPlaces | Numero delle cifre decimali visualizzate. | Integer
zenonVariableName | Nome della variabile da visualizzare. | Stringa

Nota: Per la visualizzazione del diagramma Energy class nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Diagramma di Pareto

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Diagramma di Pareto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Pareto, Elemento WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite la COPA-DATA Partner Community.

Qui di seguito forniamo un esempio di un diagramma di Pareto nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
zenonBarColor1 | Colore della 1° barra | Color (String)
zenonBarColor2 | Colore della 2° barra | Color (String)
zenonBarColor3 | Colore della 3° barra | Color (String)
zenonBarColor4 | Colore della 4° barra | Color (String)
zenonBarColor5 | Colore della 5° barra | Color (String)
zenonBarColor6 | Colore della 6° barra | Color (String)
zenonBarColor7 | Colore della 7° barra | Color (String)
zenonBarColor8 | Colore della 8° barra | Color (String)
zenonBarColor9 | Colore della 9° barra | Color (String)
zenonBarColor10 | Colore della 10° barra | Color (String)
zenonColorPercentageLine | Colore della percentage line (relative sumfrequency). | Color (String)
zenonLineVisibility | Visibilità della percentage line (relative sumfrequency). | Boolean
zenonVariable1_Label | Iscrizione della 1° barra | Stringa
zenonVariable1_Value | Valore della 1° barra | Double
zenonVariable2_Label | Iscrizione della 2° barra | Stringa
zenonVariable2_Value | Valore della 2° barra | Double
zenonVariable3_Label | Iscrizione della 3° barra | Stringa
zenonVariable3_Value | Valore della 3° barra | Double
zenonVariable4_Label | Iscrizione della 4° barra | Stringa
zenonVariable4_Value | Valore della 4° barra | Double
zenonVariable5_Label | Iscrizione della 5° barra | Stringa
zenonVariable5_Value | Valore della 5° barra | Double
zenonVariable6_Label | Iscrizione della 6° barra | Stringa
zenonVariable6_Value | Valore della 6° barra | Double
zenonVariable7_Label | Iscrizione della 7° barra | Stringa
zenonVariable7_Value | Valore della 7° barra | Double
zenonVariable8_Label | Iscrizione della 8° barra | Stringa
zenonVariable8_Value | Valore della 8° barra | Double
zenonVariable9_Label | Iscrizione della 9° barra | Stringa
zenonVariable9_Value | Valore della 9° barra | Double
zenonVariable10_Label | Iscrizione della 10° barra | Stringa
zenonVariable10_Value | Valore della 10° barra | Double

I seguenti eventi possono essere usati e collegati a funzioni di zenon:

Event | Funzione | Valore
zenonBar1Click | Funzione che viene eseguita quando si clicca sulla 1° barra. | Funzione
zenonBar2Click | Funzione che viene eseguita quando si clicca sulla 2° barra. | Funzione
zenonBar3Click | Funzione che viene eseguita quando si clicca sulla 3° barra. | Funzione
zenonBar4Click | Funzione che viene eseguita quando si clicca sulla 4° barra. | Funzione
zenonBar5Click | Funzione che viene eseguita quando si clicca sulla 5° barra. | Funzione
zenonBar6Click | Funzione che viene eseguita quando si clicca sulla 6° barra. | Funzione
zenonBar7Click | Funzione che viene eseguita quando si clicca sulla 7° barra. | Funzione
zenonBar8Click | Funzione che viene eseguita quando si clicca sulla 8° barra. | Funzione
zenonBar9Click | Funzione che viene eseguita quando si clicca sulla 9° barra. | Funzione
zenonBar10Click | Funzione che viene eseguita quando si clicca sulla 10° barra. | Funzione


Visualizzazione circolare - CircularGaugeControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Visualizzazione circolare - CircularGaugeControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

IsReversed

Orientamento scale, in senso orario o antiorario.

Boolean

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

PointerStyle

Forma del pointer che indica il valore.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

PointerSize

Dimensione del pointer.

Size

PointerCapRadius

Dimensione del punto di fissaggio del pointer.

Double

PointerBorderBrush

Colore della cornice del pointer

Brush

PointerCapStyle

Forma/tipo del punto di fissaggio del pointer.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Colore del punto di fissaggio del pointer.

Brush

PointerBrush

Colore del´indicatore.

Brush

GaugeBorderBrush

Colore della cornice dell´elemento.

Brush

GaugeBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

PointerOffset

Offset del pointer (spostamento).

Double

RangeRadius

Raggio dell’area totale di visualizzazione.

Double

RangeThickness

Spessore dell’area totale di visualizzazione.

Double

RangeStartValue

Valore iniziale dell’area totale di visualizzazione.

Double

Range1EndValue

Valore finale della 1° area e valore di start della 2° area.

Double

Range2EndValue

Valore finale della 2° area e valore di start della 3° area.

Double

Range3EndValue

Valore finale della 3° area e valore di start della 4° area.

Double

Range4EndValue

Valore finale della 4° area e valore di start della 5° area.

Double

Range5EndValue

Valore finale della 5° area e valore di start della 6° area.

Double

Range6EndValue

Valore finale della 6° area.

Double

Range1ColorBrush

Colore della 1° area.

Brush

Range2ColorBrush

Colore della 2° area.

Brush

Range3ColorBrush

Colore della 3° area.

Brush

Range4ColorBrush

Colore della 4° area.

Brush

Range5ColorBrush

Colore della 5° area.

Brush

Range6ColorBrush

Colore della 6° area.

Brush

ScaleOuterBorderBrush

Colore del bordo della scala.

Brush

ScaleBackgroundBrush

Colore dello sfondo della scala.

Brush

ValueTextFrameStyle

Forma/tipo della visualizzazione valore.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Contenuto della visualizzazione valore.

Enum:

  • Testo
  • TextValue
  • Value

ValueTextSize

Dimensione carattere della visualizzazione valore.

Double

ValueTextColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

GaugeOffsett

Abbassamento del punto di rotazione di tutto l´elemento.

Double


Diagramma di Sankey

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Diagramma di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Sankey, Elemento WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite la COPA-DATA Partner Community.

Per modellare un diagramma di Sankey, si deve usare il Sankey Wizard. Questo wizard genera un file XML,che poi viene analizzato dall´elemento WPF. A tal scopo, si deve dotare la proprietà zSankeyName del nome del file XML. Il file XML deve trovarsi nella cartella Altro di un progetto nel workspace. Il file viene salvato dal wizard in questa cartella.

Qui di seguito forniamo un esempio di un diagramma di Sankey nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
FontSize | Grandezza carattere di testi. | Integer
zBackgroundColor | Colore di sfondo del diagramma. | Color (String)
zFontColor | Colore dei testi. | Color (String)
zFontFamily | Tipo di carattere di tutti i testi. | Font (String)
zLossDetectionActive | Automatica individuazione di perdite attivata/disattivata Se true, le perdite sono rappresentate automaticamente ad un punto nodale come flussi. | Bool
zNoDataText | Testo che viene visualizzato se non ci sono valori da rappresentare e zPrevireActive è false. | String
zNoValidXMLText | Testo che viene visualizzato se non è stato trovato nessun file XML valido con il nome inserito e zPreviewActive è false. | String
zNumberOfDecimalPlaces | Indica quante cifre decimali vengono visualizzate. | Integer
zPreviewActive | Visualizzazione di un´anteprima attivata/disattivata. L´anteprima viene visualizzata se Non ci sono dati da visualizzare (il diagramma modellato viene riempito usando valori di default), oppure Il file XML non è stato trovato, oppure esso non contiene una definizione valida (viene visualizzato un esempio di diagramma di Sankey). | Bool
zRefreshRate | Refreshrate del diagramma in ms. | Integer
zSankeyName | Nome del file XML con la modellazione del diagramma. | String
zShowRelativeValues | Visualizzazione dei valori in assoluti false oppure relativi true. | Bool

Nota: Per la visualizzazione del diagramma di Sankey nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Indicazione della temperatura - TemperatureIndicatorControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Indicazione della temperatura - TemperatureIndicatorControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

TickNegativColor

Colore della suddivisione principale negativa (che passa gradualmente a TickPositivColor).

Color

TickPositivColor

Colore della suddivisione principale positiva (che passa gradualmente a TickNegativColor).

Color

MinorTickColor

Colore delle d secondarie.

Color

ElementBorderBrush

Colore della cornice dell´elemento.

Brush

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

ElementFontFamily

Carattere dell´elemento.

Font

IndicatorColor

Colore di riempimento dell´indicatore.

Color

IndicatorBorderColor

Colore della cornice dell´indicatore.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

ScaleLetteringDistance

Distanza della didascalia della scala (verticale); bisogna scrivere una didascalia per ogni x suddivisione principale.

Integer

IndicatorScaleDistance

Distanza fra indicatore e scala (orizzontale).

Double

ScaleFontSize

Dimensione carattere della scala.

Double

ScaleFontColor

Colore carattere della scala.

Color

Unit

Unità.

Stringa

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallFrame
  • Unit
  • None


Slider universale - UniversalReglerControl

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Slider universale - UniversalReglerControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

Radius

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

ElementStyle

Tipo di visualizzazione dell´elemento:

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

BackgroundBorderBrush

Colore della cornice dell´elemento.

Brush

BackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

ValueFontSize

Dimensione carattere della visualizzazione valore.

Double

ValueFontColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

KnobBrush

Colore del bottone.

Brush

IndicatorBrush

Colore dell´indicatore.

Brush

IndicatorBackgroundBrush

Colore di sfondo dell´indicatore non attivo.

Brush

KnobSize

Diametro del bottone.

Double

KnobIndicatorSize

Dimensione indicatore del bottone.

Size

ElementSize

Grandezza dell´elemento.

Size

VisibilityKnob

Attivazione del bottone.

Boolean

ValuePosition

Posizione della visualizzazione valore.

Double

ValueVisibility

Attivazione della visualizzazione valore.

Boolean


Grafico a cascata

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Elementi predefiniti -> Grafico a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grafico a cascata, Elemento WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite la COPA-DATA Partner Community.

Per la modellazione di un grafico a cascata si deve usare il Meaning and Waterfall Chart Wizard. Con questo Wizard si può modellare un grafico a cascata. L´informazione viene salvata direttamente nelle variabili interessate nella proprietà Parametro per diagramma a cascata (gruppo Analyzer delle proprietà delle variabili).

Qui di seguito forniamo un esempio di un grafico a cascata nel Runtime:

Nota: questo screenshot è a disposizione solamente in lingua inglese.

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF alla voce COPADATA-ELEMENT:

Property | Funzione | Valore
zenonRefreshRate | Tempo in ms. intercorrente fra i diversi aggiornamenti del diagramma. | Integer
zenonWaterfallIdentifier | Nome del grafico a cascata. | String
zenonZSystemModel | Gruppo di impianti delle variabili usate. | String

Nota: Per la visualizzazione del grafico a cascata nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi a questo argomento si trovano nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.

Collegare le barre ad una funzione di zenon

Le barre di un diagramma a cascata possono essere collegate a Runtime con una funzione. Per eseguire la funzione a Runtime, si potrà cliccare su barre, descrizione e visualizzazione valore.

Per collegare le barre di un diagramma a cascata con un funzione, procedere nel modo seguente:

  1. Configurare l´elemento WPF per il diagramma a cascata.
    Nota: si consiglia di utilizzare il Meaning and Waterfall Chart Wizard.
  2. Creare una funzione di zenon:
    1. Creare una nuova funzione:

      Nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni", selezionare il comando Nuova funzione.
      Si apre la finestra di dialogo che consente di selezionare una funzione.

    2. Selezionare la funzione desiderata.
    3. Configurare i parametri della funzione.
  3. Assegnare un nome alla funzione nella proprietà Nome.
    Attenzione: il nome della funzione deve contenere i parametri della variabile per il diagramma a cascata senza codice colore!
    Questi parametri si trovano anche nella proprietà della variabile Parametro per diagramma a cascata del gruppo Analyzer.
  4. Collegare la funzione con lo stesso gruppo di impianti cui sono collegate le variabili.
    Nota: Questo collegamento si trova nella proprietà Gruppi d'impianto della funzione.

Per questa progettazione valgono le seguenti regole:

  • La funzione e le le variabili collegate devono essere nello stesso progetto di zenon.
  • Le variabili devono essere collegate ad un gruppo di impianti.
  • La funzione e le variabili devono essere collegate allo stesso gruppo di impianti.

Example Esempio

Per una barra con la definizione a cascata WF= WF1,02,05,#E9ED92; , per esempio, deve usato il nome funzione Function_WF1,02,05.


Visualizzazione di elementi WPF nel Web Client di zenon

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Visualizzazione di elementi WPF nel Web Client di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gli elementi WPF predefiniti "Diagramma Energy class", "Diagramma di Sankey" e "Grafico a cascata" anche per la visualizzazione in un Web Client di zenon, è necessario effettuare adeguamenti e modifiche nel progetto:

  • Progettazione nell´Editor di zenon:
  • Modifica XAML-Code

Ancora in questo capitolo

Configurazione nell´Editor di zenon:

VSTA code (complesso)

VSTA code (semplificato)


Configurazione nell´Editor di zenon:

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Visualizzazione di elementi WPF nel Web Client di zenon -> Configurazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguite nell´Editor di zenon le seguenti operazioni di configurazione per poter visualizzare determinati elementi WPF anche nel Web Client di zenon:

Posizionare WPF nell´immagine di zenon:

  • Posizionate l´elemento WPF in un´immagine di zenon.
  • Dategli un nome univoco nella proprietà Nome elemento.
    Trovate questa proprietà nel gruppo Generale.
    Nota: un messaggio di avviso appare se il nome di un elemento è stato già assegnato in un´altra immagine.
  • Usate il nome elemento assegnato qui nel code VSTA.


VSTA code (complesso)

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (complesso)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire il codice di programmazione per la visualizzazione di elementi WPF nel Web Client di zenon, eseguite i seguenti passi:

  1. Passate nell´Editor di zenon al nodo Scripting.
  2. Scegliete il nodo VSTA, e selezionate con un clic con il tasto destro del mouse la voce del menù contestuale Apri Editor VSTA con ProjectAddin ...
  3. Si apre la finestra di dialogo per creare un progetto VSTA.
  4. Selezionate nella finestra di dialogo Crea nuovo progetto VSTA la voce C#.
  5. Create (copiate) il codice sottostante.
  6. Inserite il nome dell´elemento WPF nel codice.

Nota: aprendo l´Editor di VSTA, verificate se contenuti del codice seguente sono già presenti nella configurazione di progetto. Per ottenere la visualizzazione dell´elemento WPF nel Web Client, confrontate il codice esistente ed effettuate le aggiunte necessarie. Vi preghiamo di tenere presenti i commenti relativi nel codice del modello.

VSTA Code

//As member:

zenOn.IDynPictures zScreens = null;

string[] WPFElements ={"WPF_Control", "WPFWebclient_1", "WPFWebclient_2" }; //Nomi degli elementi ad immagine WPF che compaiono nel progetto zenon e necessitano accesso all´API (tanti/ tanto pochi si vuole)

//Aggiungete le seguenti tre righe di codice nella funzione project archive:

void ThisProject_Active()

{

zScreens = this.DynPictures();

zScreens.Open += new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close += new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

}

//Aggiungete le seguenti due righe di codice nella funzione project inactive:

void ThisProject_Inactive()

{

zScreens.Open -= new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close -= new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//Aggiungete due nuovi gestori eventi:

void zScreens_Open(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

obDynPicture.Elements().Item(element).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

}

void zScreens_Close(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

zenOn.IElement zWPFElement= obDynPicture.Elements().Item(element);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}

}


VSTA code (semplificato)

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (semplificato)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa solamente un elemento WPF in un´immagine di zenon, si può usare anche il seguente codice, più semplice. A tal scopo, si devono inserire i nomi dell´elemento WPF e dell´immagine in cui esso viene usato. Si raccomanda l´uso di questo codice quando, per ogni progetto, si intende usare solamente uno degli elementi WPF predefiniti.

VSTA Code:

zenOn.IDynPicture zScreen = null;

string wpfElement = "WPF_Control"; //Nome dell´elemento WPF nell´immagine.

string wpfPicture = "@Details_Overview_Online"; //Nome dell´immagine di zenon

//Aggiungere nella funzione project active:

void ThisProject_Active()

{

zScreen = this.DynPictures().Item(wpfPicture);

zScreen.Open += new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close += new zenOn.CloseEventHandler(zScreen_Close);

}

//Aggiungere nella funzione project inactive:

void ThisProject_Inactive()

{

zScreen.Open -= new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close -= new zenOn.CloseEventHandler(zScreen_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zScreen_Open()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zScreen.Elements().Item(wpfElement).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

void zScreen_Close()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zenOn.IElement zWPFElement = zScreen.Elements().Item(wpfElement);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}


Esempi: Integrazione di WPF in zenon

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Esempi: Integrazione di WPF in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come vengono creati i file XAML e integrati in zenon come elementi WPF, lo potete vedere nei seguenti esempi:

  • Integra pulsante come WPF-XAML in zenon
  • Integra bargraf come WPF-XAML in zenon
  • Integrare DataGrid Control in zenon

Ancora in questo capitolo

Integra bargraf come WPF-XAML in zenon

Integra pulsante come WPF-XAML in zenon

Integrare un controllo DataGrid in zenon


Integra bargraf come WPF-XAML in zenon

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Esempi: Integrazione di WPF in zenon -> Integra bargraf come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di una bargraf in Adobe Illustrator e trasformazione in WPF
  • integra in zenon
  • Collegamento con variabile
  • adatta l´elemento bargraf-WPF

crea bargraf

Create in primo luogo un bargraf come descritto nel capitolo Workflow con Adobe Illustrator. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra bargraf

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • 4 variabili del driver interno per
    • scala 0
    • scala media
    • scala alta
    • valore attuale
  • una variabile del driver matematico per la visualizzazione del valore attuale 255)

Per integrare il bargraf:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML desiderato (per esempio bargraph_vertical.xaml) e chiudete il dialogo

Adatta bargraf

Prima della configurazione, la scala del file XAML viene adattata, se necessario.

Procedura:

  • impostate una nuova variabile matematica che calcola il nuovo valore in riferimento alla scala, per esempio:
  • Variabile: 0-1000
  • variabile matematica {valore creato in xaml}*Variabile/1000

    Poi viene configurato il file XAML.

Configura bargraf

  1. cliccate sull´elemento WPF e selezionate la proprietà Configurazione
  2. Il dialogo di configurazione mostra un´anteprima del file XAML selezionato
  3. selezionate il valore minimo, quello medio e quello massimo e collegate la variabile corrispondente nella proprietà Content

  4. selezionate lo Slider e collegate la proprietà Value con la variabile matematica (nel nostro esempio: calculation)
  5. Controllate la progettazione nel runtime:


Integra pulsante come WPF-XAML in zenon

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Esempi: Integrazione di WPF in zenon -> Integra pulsante come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di un pulsante in Microsoft Expression Blend
  • integra in zenon
  • Collegamento di una variabile o con una funzione.
  • Adattamento del pulsante alla grandezza dell´elemento.
  • Crea un pulsante

Create in primo luogo un pulsante come descritto nel capitolo Crea pulsante come file XAML con Microsoft Expression Blend. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra pulsante

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • una variabile interna int del tipo Int
  • una funzione Funktion_0 del tipo setta valore impostabile con:
    • Attiva opzione Direttamente su Hardware
    • Valore impostabile settato a 45

Per integrare il pulsante:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML (per es.: MyButton.xaml) e chiudete il dialogo
  5. Selezionare la proprietà Configurazione

Configura pulsante

Il dialogo di configurazione mostra un´anteprima del file XAML selezionato. Nella struttura ad albero c´è una lista di tutti gli elementi nominati nel file XAML_:

  1. selezionate il pulsante WPF, che si trova inLayoutRoot->MyViewBox->MyButton
  2. Cercate nella scheda Proprietà l´inserimentoContent; esso contiene il testo del pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Variabile.
  5. cliccate nella colonna Collegamento
  6. Si apre il dialogo di selezione variabili.
  7. selezionate la variabile int, per collegarla alla proprietà Content.

Eventi

Per assegnare anche eventi:

  1. Selezionare direttamente la scheda “Eventi”

  2. Cercate l´inserimento Click; questo evento viene avviato dall´elemento WPF non appena si clicca sul pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Funzione.
  5. cliccate nella colonna Collegamento
  6. Si apre il Dialogo di selezione funzioni.
  7. selezionate Funktion_0
  8. Confermate la modifica effettuata con OK.
  9. Aggiungete nell´immagine ancora un Elemento Valore numerico
  10. collegate anche questo Valore numerico alla variabile int.
  11. poi compilate i file runtime e avviate il runtime.

Nel runtime viene visualizzato l´elemento WPF; il testo del pulsante è 0. Non appena cliccate sul pulsante, viene avviato l´evento Clicke la funzione Setta valore impostabile viene eseguita. Il valore 45 viene settato direttamente sull´hardware e sia il Valore numerico, che il Pulsante indicano il valore 45 .

Settate per mezzo dell´elemento Valore numerico un valore impostabile di 30; in tal modo questo valore verrà ripreso anche dall´elemento WPF.

Autorizzazione operativa

In modo analogo di quanto accade con un Valore numerico, un elemento WPF può essere bloccato (simbolo del lucchetto) oppure reso disponibile a seconda dell´autorizzazione di gestione. Settate a 1 il livello autorizzazione dell´elemento WPF e impostate un utente Test con lvello di autorizzazione 1. Poi impostate le funzioni Login con dialogo e Logout . Collegate queste due funzioni con 2 nuovi pulsanti con testo nell´immagine.

Nel dialogo di configurazione dell´elemento WPF, selezionate il pulsante WPF MyButton e scegliete il tab Proprietà

  1. Selezionate l´elemento IsEnabled
  2. cliccate nella colonna Tipo di collegamento
  3. Selezionate nella lista a cascata l´inserimento Autorizzazione di gestione/Blocco.
  4. cliccate nella colonna Collegamento
  5. Selezionate nella lista a cascata l´opzione Autorizzazione di gestione esistente.

  6. Chiudete il dialogo cliccando su OK.

Compilate i file runtime e fate attenzione a selezionare anche le Autorizzazioni di gestione per trasmissione. Dopo l´avvio del runtime, il pulsante WPF dell´immagine viene visualizzato come non attivo ed è inutilizzabile. Se effettuate il Login con l´utente Test, il pulsante viene attivato e può essere utilizzato. Non appena effettuate il Logout, il pulsante viene bloccato.

Trasformazione

Per poter usare delle trasformazioni, dovete adattare il file XAML.

  1. Passate al programma Expression Blend
  2. Selezionate MyButton, in modo tale che le proprietà del pulsante siano visibili nella finestra delle proprietà.

  3. Selezionate alla voce Transform di RenderTransform l´opzione Apply relative transform

    In tal modo, viene aggiunto un blocco al file XAML; esso salva durante il runtime le impostazioni per la trasformazione.

  4. Salvate il file e sostituite nel progetto zenon la vecchia versione con questo nuovo file.
  5. aprite di nuovo il dialogo di configurazione dell´ elemento WPF:
    1. Selezionate il pulsante MyButton.
    2. Passate alla scheda Trasformazioni

    1. Selezionate l´elemento RotateTransform.Angle
    2. cliccate nella colonna Tipo di collegamento
    3. Selezionate nella lista a cascata l´inserimento Trasformazioni.
    4. cliccate nella colonna Collegamento
    5. Si apre il dialogo di selezione variabili.
    6. selezionate la variabile int, per collegarla alla proprietà RotateTransform.Angle.

Poi compilate i file runtime e avviate il runtime. Effettuate il Login come utente Test e cliccate sul pulsante. Il pulsante riceve il valore 45 e l`elemento WPF ruota di 45°.


Integrare un controllo DataGrid in zenon

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Esempi: Integrazione di WPF in zenon -> Integrare un controllo DataGrid in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un controllo DataGrid per zenon avete bisogno di:

  • Visual Studio (in questo esempio Visual Studio 2015)

Creare un controllo utente WPF

  1. In Visual Studio create una nuova Solution e, al suo interno, un progetto WPF User Control Library in .NET Framework 4, o in una versione più recente.

    Info: Se il relativo modello di progetto non è contenuto nella lista dei modelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome DataGridControlLibrary.

  2. Create una nuova connessione dati nel Server Explorer,

    Nel nostro esempio usiamo la banca dati Northwind, messa a disposizione da Microsoft gratuitamente come esempio di database.

    Per creare la connessione database:

    1. Cliccate con il tasto destro del mouse su Data Connections.
    2. Selezionare Add connection….
    3. Scegliete Microsoft SQL Server (SQLClient) come Data source.
    4. Selezionate il corrispondente nome server e database.

    Dopo aver aggiunto una connessione, la finestra del Server Explorer dovrebbe avere più o meno il seguente aspetto:

    Il prossimo passo consiste nella creazione di un nuovo DataSet.

Creazione di un DataSet.

  1. Cliccate con il tasto destro del mouse sul progetto.
  2. Nel menù contestuale, selezionare Add – New Item….
  3. Create un nuovo DataSet con il nome DataSet1.
  4. Cliccate due volte sul DataSet per aprirlo nella finestra di progettazione.
  5. Trascinate le tabelle che vi servono (in questo esempioCustomers e Orders) nella finestra di progettazione DataSet.

Il prossimo passo consiste nella modifica del file XAML.

Configurazione del file XAML

  1. Nel caso in cui non dovesse ancora esserci, aggiungete nel file XAML il Namespace come riferimento alla classe:

  2. Definite le risorse e il DataGrid, che deve essere usato in WPF:

    <UserControl.Resources>

    <local:DataSet1 x:Key="DataSet1"/>

    <CollectionViewSource x:Key="CustomersViewSource" Source="{Binding Path=Customers, Source={StaticResource DataSet1}}"/>

    </UserControl.Resources>

    <Grid DataContext="{StaticResource CustomersViewSource}">

    <DataGrid Name="DataGrid1" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"/>

    </Grid>

  3. Aprite il file code-behind (UserControl1.xaml.cs) e aggiungete nel costruttore le seguenti righe:

    public UserControl1()

    {

    InitializeComponent();

    DataSet1 ds = ((DataSet1)(FindResource("DataSet1")));

    DataSet1TableAdapters.CustomersTableAdapter ta = new DataSet1TableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    CollectionViewSource CustomersViewSource = ((CollectionViewSource)(this.FindResource("CustomersViewSource")));

    CustomersViewSource.View.MoveCurrentToFirst();

    }

    Nel far ciò, avviene quanto segue:

    • Si ottiene il DataSet.
    • Si crea un nuovo TableAdapter.
    • Si riempe il Dataset.
    • Si rendono disponibili queste informazioni DataGrid Control

Adesso si può compilare la soluzione.

Build

Compilate adesso la soluzione. Adesso viene creato il corrispondente file DLL (DataGridControlLibrary.dll) nella cartella di output del progetto.

Adesso disponete della DLL che offre la funzionalità necessaria.

Tuttavia zenon può visualizzare solamente file XAML che non possono essere collegati al file code-behind; proprio per questo si ha bisogno di un ulteriore file XAML che referenzi il DDL appena creato.

Procedura:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library
  2. Nel nostro esempio, esso viene nominato DataGridControl.
  3. Aggiungete in questo nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono presenti nella DLL creata in precedenza e che non si ha bisogno di un code-behind, cancellate:

    x:Class="DataGridControl.UserControl1"

    xmlns:local="clr-namespace:DataGridControl"

  6. Cancellate anche (per il posizionamento) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Definite quello che deve essere visualizzato nel file XAML.

    Per far ciò, modificate il file XAML nel modo seguente:

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary">

    <Grid x:Name="Grid1">

    <dataGridLibrary:UserControl1 Name="DataGridControl" HorizontalAlignment="Left" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La riga xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary" definisce lo spazio nome dataGridLibrary e stabilisce che esso deve usare l´assembly precedentemente creato.

  9. Assegnate un nome al Grid.
  10. Aggiungete il Control dataGridLibrary:UserControl1 della nostra libreria e assegnate un nome, perché zenon può modificare solamente quegli oggetti che hanno un nome.
  11. Compilate adesso la soluzione.

Il prossimo passaggio illustra come implementare la DLL, nonché il file XAML in zenon.

Passaggi in zenon

  1. Aprire l´Editor di zenon.
  2. Passate al nodo File -> Grafiche.
  3. Selezionate nel menù contestuale Aggiungi file...

  4. Scegliete il file XAML nel luogo di salvataggio (UserControl1.xaml dal progetto DataGridControl) e aggiungetelo:

  5. Aggiungete il DLL con la funzionalità per il file XAML.

    Procedura:

    1. Selezionate nel menù contestuale del nodo File -> Altri Aggiungi file....
    2. Selezionate il file DataGridControlLibrary.dll del primo progetto (DataGridControlLibrary).

  6. Impostate un´immagine di zenon.
  7. Aggiungete un elemento WPF e selezionate il file XAML precedentemente implementato.

    Adesso dovreste vedere quanto segue nell´Editor di zenon:

  8. Avviate il Runtime di zenon per testare il control anche lì.

Tipp Suggerimento

Le DLL che appartengono ad un elemento WPF possono essere sostituite anche durante il funzionamento dell´Editor. Il riferimento avviene tramite collegamento nel file XAML.
Per sostituire una DLL:

  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Sostituire nell´Explorer la DLL nella cartella \wpfache dei file Editor.
    Questa cartella si trova nella directory SQL, alla voce:
    ...\PROJECT-GUID\FILES\zenon\custom\wpfcache

Un´opzione alternativa alla sostituzione via Explorer, è quella di sostituire il file direttamente nell´Editor di zenon. Procedura:

  • Nelle impostazioni del progetto Visual Studio, incrementare la versione file della DLL.
  • Ricostruire la DLL.
  • Chiudere tutte le immagini di zenon in cui è utilizzato l´elemento WPF.
  • Chiudere tutti i simboli che usano un qualsiasi elemento WPF.
  • Nell´Editor di zenon, cancellare la DLL dalla cartella \File\Altri e aggiungerla con il numero di versione incrementato.


Gestione degli errori

Manuale -> Elemento WPF -> Progettazione nell´Editor di -> Gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti nei file LOG.

Inserimento | Livello | Significato
Xaml file found in %s with different name, using default! | Avviso | Il nome del file collection e quello del file XAML in esso contenuto non corrispondono. Per evitare dei conflitti interni, nella cartella viene usato il file con il nome del file collection e la desinenza .xaml.
no preview image found in %s | Avviso | Il file collection non contiene una grafica anteprima valida (preview.png oppure [Nome del file XAML].png). Perciò non può essere visualizzata nessuna anteprima.
Xaml file in %s not found or not unique! | Errori | Il file collection non contiene nessun file XAML, oppure più file con la desinenza .xaml; non può essere usato.
Could not remove old assembly %s | Avviso | Nella cartella di lavoro si trova un assembly che deve essere sostituito con una nuova versione, ma non può essere cancellato.
Could not copy new assembly %s | Errori | Per un assembly nella cartella di lavoro è disponibile una nuova versione, che però non può essere copiata nella cartella stessa. Possibile causa: per es. il vecchio Assembly è ancora caricato. La vecchia versione continua ad essere usata, la nuova non può essere utilizzata.
file exception in %s | Errori | Si è verificato un errore file nel momento di accedere al file collection.
Generic exception in %s | Errori | Si è verificato un errore generale al momento di accedere al file collection.


zenon Operator

Manuale -> zenon Operator

Lo zenon Operator è adattato per essere utilizzato per la gestione dei macchinari. Consta di Editor e Runtime. Il Runtime è disponibile sia per sistemi operativi PC, che per sistemi operativi CE. Windows CE è supportato solo fino alla versione 7.20 inclusa. Con la versione corrente viene fornita e installata anche la versione 7.20. Si può continuare a creare progetti per Windows CE con la versione corrente. Per farlo, nelle proprietà di progetto si deve impostare per la proprietà Crea file Runtime per la versione 7.20. Questa proprietà si trova nel gruppo Generale delle proprietà di progetto.

In linea di principio, la modalità di funzionamento è quella dello zenon Supervisor. Rispetto allo zenon Supervisor, però, lo spettro di funzionalità a disposizione è più limitato.

Quando si usa l´Operator con Windows CE, ci sono ulteriori restrizioni dovute al sistema operativo.

Per modificare un progetto Operator, si può usare l´Editor dello zenon Operator, oppure l´Editor dello zenon Supervisor. Se si configurano nell´Editor del Supervisor funzionalità non disponibili nel Runtime dell´Operator, queste non verrano eseguite.

Ancora in questo capitolo

Restrizioni per lo zenon Operator

Lo zenon Operator con Windows CE


Restrizioni per lo zenon Operator

Manuale -> zenon Operator -> Restrizioni per lo zenon Operator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo spettro di funzionalità dello zenon Operator differisce da quello dello zenon Supervisor. Quando poi si utilizza l´Operator con Windows CE, ci sono delle ulteriori restrizioni dovute a questo sistema operativo. I dettagli a questo proposito si trovano nella seguente panoramica:

Legenda:

  • +: standard
  • *: possibile
  • -: impossibile
  • o: modulo opzionale ottenibile con apposita licenza.
Features Operator Runtime | Per PC | Per CE
Generale |  |
Controlli ActiveX | + | *
Licenza dongle | * | -
64 - 8192 TAG | * | *
DirectX/Graphics | * | -
Progetto globale | * | *
Progettazione multiutente nell´Editor | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Progettazione multiutente a Runtime | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Wizard | + | -
Moduli |  |
Server di archiviazione | o | -
Server di archiviazione - Starter Edition | o | o (a partire da CE 6.0)
Server di archiviazione SQL | - | -
Automatic Line Coloring | o | o
Batch Control | - | -
Load Management | - | -
Trend esteso | o | -
Trend esteso - Starter Edition | o | o (a partire da CE 6.0)
Industrial Maintenance Manager | - | -
Industrial Performance Analyzer | - | -
Message Control incluso Text To Speech Engine | o | -
OPC Server | - | -
PLC Diagnose Step 7 Graph | o | o
Process Gateway | o | -
Production & Facility Scheduler | - (Disponibile “Schedulatore”) | - (Disponibile “Schedulatore”)
Simulazione progetto | - | -
Generatore Report (senza archiviazione dati) | o (sola lettura) | -
RDL Viewer | o | -
Manager di gruppi ricette | o | o (a partire da CE 6.0)
Interfaccia SAP | - | -
Schedulatore | + | +
SQL Export | - | -
Server SQL | - | -
Text to Speech Engine. | - | -
Driver: 1 driver incluso, esclusi driver Energy (IEC870-101/103/104, IEC850, DNP3, Modbus Energy) | * | *
Driver: più istanze | - | -
S7 Graph | o | o
Rete |  |
Rete di zenon | + (solo Server Client) | + (solo Server Client)
Ridondanza | - (solo server client) La ridondanza non viene supportata, ma è possibile una connessione ad un sistema ridondante. | - (solo server client) La ridondanza non viene supportata, ma è possibile una connessione ad un sistema ridondante.
zenon Web Server Pro Light, 3 client. Solo con connessione al Runtime locale. | o | o
zenon Web Server/zenon Web Server Pro | o | -
zenon Web Client | * | - (sono possibili client classici).
Interfacce di programmazione |  |
Accesso via API | + | +
Process Control Engine | + | +
VBA/VSTA | Runtime: - Editor: + | -
zenon Logic |  |
zenon Logic Monitoring Builder/Viewer | + | -
Numero di variabili zenon Logic Runtime | 64 - 8192 | 64 - 8192
zenon Logic Workbench Pro | o | -

Tutti i moduli e le funzioni non menzionati sono disponibili con lo zenon Operator.

Ancora in questo capitolo

Speciali restrizioni per la versione CE.


Speciali restrizioni per la versione CE.

Manuale -> zenon Operator -> Restrizioni per lo zenon Operator -> Speciali restrizioni per la versione CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Moduli disponibili solo in Windows CE 6.0 e nelle versioni più recenti di questo sistema operativo:

  • Server di archiviazione - Starter Edition
    Per quello che riguarda le restrizioni, si prega di consultare il capitolo Server di archiviazione - Starter Edition nella parte della guida dedicata al Server di archiviazione.
  • Trend esteso - Starter Edition
    Per quello che riguarda le restrizioni, si prega di consultare la parte della guida dedicata al Trend esteso.
    Inoltre, per i progetti CE non sono disponibili i seguenti elementi di controllo:
    • Pulsante grafico
    • Pulsante curve
    • Impostazioni Trend
    • Dialogo di stampa
    • Pulsante asse X
    • Finestra di emissione-cursore
    • Profili filtro
  • Manager di gruppi ricette

Ripristinare la barra di stato allarmi

Con il sistema operativo Windows CE non è possibile riconoscere e ripristinate la barra di stato allarmi cliccando con il tasto destro del mouse.

Server di archiviazione

Per eseguire l´archiviazione di dati, con Windows CE è possibile utilizzare solamente la “Starter Edition” del “Server di archiviazione”. Rispetto alla versione completa del modulo “Server di archiviazione”, la Starter Edition presenta alcune restrizioni. I dettagli a questo proposito si trovano nel capitolo Server di archiviazione - Starter Edition del manuale dedicato al Server di archiviazione.

Risoluzione del dispositivo CE e visualizzazione dei dialoghi filtro CEL e AML

Sia la Gestione allarmi che la Lista eventi cronologica (CEL) consentono di eseguire una selezione del filtro a Runtime. Tuttavia, ha senso usare quest´opzione solo a partire da una risoluzione 800x600. La Gestione profili non è disponibile nelle immagini corrispondenti. Di conseguenza, anche i pulsanti Salva ed Elimina non hanno alcuna funzione in queste immagini. Visto che con Windows CE il Dialogo di stampa non può essere aperto, anche il corrispondente pulsante perde la sua funzione.

Tipi d´immagine non disponibili:

  • Diagnostica variabili
  • Video

Gestione user

Active Directory e ADAM/AD LDS non sono a disposizione con il sistema operativo Windows CE.

Stampa

Con Windows CE non è disponibile nessun spooler di stampa. La stampa ha luogo durante il processo. La stampa, dunque, blocca anche la funzionalità del Runtime.
Con Windows CE, la funzionalità della stampa è disponibile solamente se è già presente nella CE-Image. Non la si può aggiungere in seguito, né estenderla ad altre stampanti.

Cose da tener presenti riguardo la funzionalità della stampa con Windows CE:

  • Stampa online:
    La stampa viene eseguita sempre direttamente su LPT1. Questo numero di porta deve esistere sul dispositivo CE; inoltre deve essere connessa una stampante di linea.
  • Stampa offline:
    La stampa viene eseguita sempre sulla stampante standard configurata sul sistema.
    La stampante non può essere configurata, né modificata a Runtime di zenon.

    Nota: perché la stampa offline funzioni con Windows CE, il produttore del dispositivo deve rendere disponibile questa opzione nella CE-Image. Inoltre, ci deve anche essere la possibilità di definire la stampante standard, per esempio usando applicazioni come Pocketword o Notepad CE.

Dinamiche

Effetti dinamici come, ad esempio, rotazione, modifica di altezza e larghezza, posizione dinamica X e Y, non sono disponibili.

Elementi dinamici

Elementi ActiveX: registrazione sotto Windows CE.

Gli elementi Active X devono essere registrati prima di poter essere utilizzati in CE. Indicazioni utili su questo argomento si trovano nel capitolo "Suggerimenti di progettazione - ActiveX".

Slider universale

Non è disponibile la modalità di visualizzazione Nastro.

File XAML e WPF

WPF non è disponibile. Quindi non viene utilizzato neanche XAML, usato come linguaggio di markup per il WPF.

Filtri in AML e CEL

I filtri per la “Lista di informazione allarmi” e per la “Lista eventi cronologica” non possono essere configurati se è stata attivata la proprietà Progetto Windows CE. Dato che queste finestre di dialogo sono molto grandi, è stata introdotta questa restrizione per assicurarne il funzionamento anche su piccoli display (PDA). Se si crea un progetto Windows CE senza attivare la proprietà Progetto Windows CE, però, è possibile utilizzare i dialoghi di filtro come al solito.

Profili filtro

Non è possibile lavorare con i profili a Runtime con il sistema operativo Windows CE.

Modello a forma libera

Per i modelli, non è disponibile Modello a forma libera con Windows CE.

Funzioni

Selezionare stampante

La funzione Selezionare stampante è disponibile sui dispositivi CE!

Grafica

Rotazione e posizionamento dinamico

La proprietà Rotazione [°] (gruppo “Posizione”) e proprietà del gruppo Dimensione e rotazione dinamica non sono disponibili con Windows CE. Quando si attiva la proprietà Progetto WindowsCE (gruppo “Generale” delle proprietà di progetto), le proprietà già impostate verranno resettate.

Effetti di riempimento

Gli effetti di riempimento di elementi statici possono essere visualizzati sul terminale CE in modo diverso dal PC.

Effetti di riempimento 3D

Gli effetti di riempimento 3D sono abilitati e potranno essere configurati, ma richiedono elevate prestazioni grafiche dai dispositivi CE.
Perciò se ne sconsiglia l'uso.

Qualità grafica

DirectX e funzioni grafiche come, ad esempio, tipi di riempimento ombreggiati e trasparenza, non sono disponibili sotto Windows CE.
Nota: possono essere visualizzati file GIF trasparenti e (con restrizioni) file PNG.

File GIF

Per visualizzare dei file GIF con Windows CE, ci si deve assicurare che il file IMGDECEMP.dll sia presente sul dispositivo di destinazione. Se manca, potete richiedere il file IMGDECEMP.dll al consulting di COPA-DATA.

Linee

Le linee non possono essere rappresentate con angoli arrotondati. Anche se per la proprietà di progetto Qualità grafica (gruppo “Aspetto grafico”) è stato selezionato Windows Standard, non verranno visualizzati arrotondamenti quando si usa il sistema operativo CE.

Visualizzazione dei nomi ricetta

Nell´immagine di tipo “Manager gruppi di ricette”, i nomi delle ricette possono essere visualizzati solamente in un menù a tendina. La visualizzazione di tipo Listbox (tramite Style L) non viene supportata dalle piattaforme CE.

Menù principali

Con Windows CE possono essere visualizzati solo i menù principali standard. Non è possibile cambiare colore, dimensione e tipo di carattere.

Registrazione licenza (Dongle)

Per Windows CE non è possibile una registrazione licenza via dongle, né a livello locale, né tramite un dongle di rete.

Progettazione multiutente

Con Windows CE non è possibile una progettazione multiutente; questo significa che può essere eseguito solo un progetto alla volta. Ne consegue che non è possibile realizzare strutture gerarchiche (progetto di integrazione) nell´ambito di progetti di rete. Questa restrizione non riguarda il progetto globale.

Dimensione del progetto

Con Windows CE 6 e con le versioni successive del sistema operativo, la memoria può essere usata completamente; è però limitata in alcuni dispositivi CE. Questo può provocare problemi di spazio di memoria, soprattutto se si usano i moduli Trend esteso e Server di archiviazione - Starter Edition. In questo caso, si prega di tenere presente la regola del 20%.

info Info

Regola del 20%: dopo che sono state aperte tutte le immagini di zenon e quando c´è il numero maggiore di allarmi attivi in memoria, deve rimanere libero almeno il 20 % dello spazio di memoria disponibile. Se non si rispetta questo limite, non è possibile garantire un funzionamento corretto di zenon.

Per verificare lo spazio di memoria libero, usare la variabile del driver di sistema Memoria libera RAM % (tema “Risorse HW”).

Lista incrociata

Se in un progetto CE si collega una funzione ad un pulsante non disponibile con Windows CE, quest´ultimo verrà visualizzato a Runtime con la dicitura "La funzione è stata eliminata".

Tasto destro del mouse

La funzione di doppio clic con il tasto destro del mouse non è disponibile con Windows CE.

Ridondanza

La ridondanza è possibile con un dispositivo CE che funge da client. Non è possibile, però, creare un sistema ridondante in cui il dispositivo CE svolga le funzioni di server o di Server-Standby.

Introduzione valore

Non tutte le impostazioni configurate per i parametri del settaggio di valori impostabili (o su elemento, o tramite funzione, macro o via API) sono eseguibili con CE. Con CE, settare un valore impostabile è possibile direttamente solo usando una finestra di dialogo standard o direttamente sul´elemento.

Se in un dispositivo CE si setta un valore impostabile (per es. mediante uno slider universale) su una variabile HD (per la quale, cioè, è stata configurata l´opzione "Salvataggio dati su disco fisso"), la conseguenza sarà un certo ritardo perché la scrittura sulla scheda di memoria non è abbastanza veloce. E' possibile che ci siano ritardi anche quando tutti i valori impostabili vengono registrati nella CEL e la CEL viene salvata immediatamente ad ogni inserimento (proprietà di progetto).

Simulazione driver

La "simulazione-programmata" non è disponibile con Windows CE 6.

Elementi vettoriali

Curva

Con Windows CE, l'elemento statico curva viene visualizzato in modo corretto solo con una larghezza di linea pari a 1.
Attenzione: curve più spesse verranno visualizzate in modo errato anche in progetti di rete. In questo caso, le curve appaiono frammentate e non corrispondono alla progettazione sul PC.

Arco di cerchio

L´elemento arco di cerchio non è disponibile con Windows CE.

Variabili

Le variabili con il tipo di dato LINT non sono disponibili con Windows CE.

Visualizzazione globale

La visualizzazione globale non è disponibile con Windows CE perché presuppone requisiti di grafica troppo elevati.

File WMF e EMF

L´uso di Meta File (*.wmf) e (*.emf) non è possibile.


Lo zenon Operator con Windows CE

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime CE dello zenon Operator può essere eseguito su diverse piattaforme Hardware CE. In linea di principio, la versione CE di zenon offre le stesse funzionalità della versione dello zenon Operator per il PC, con alcune limitazioni dovute alle più modeste risorse hardware.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Nota: per farlo, impostare per la proprietà Crea file Runtime per la versione 7.20. Questa proprietà si trova nel gruppo Generale delle proprietà di progetto.

I dettagli relativi all´installazione dei Runtime di zenon e di zenon Logic per Windows CE si trovano nei seguenti capitoli:

  • Runtime dello zenon Operator per Windows CE
  • Runtime dello zenon Logic per Windows CE

tutorial Informazioni sulla licenza

Per il Runtime di zenon per Windows CE si deve avere una licenza.

Ancora in questo capitolo

Generale

Requisiti

File di sistema

Rete

Connessione via Windows Mobile Device Center

Manager di gruppi ricette

Trasparenza

Pocket PC e Windows Mobil Edition


Generale

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows CE è una piattaforma aperta e scalabile per un gran numero di dispositivi utilizzati nel settore della comunicazione, dell'intrattenimento, dell'industria e dell´elaborazione mobile dati. Per dirla in modo sintetico, si tratta di un sistema operativo ridotto all'essenziale, che richiede solo risorse hardware molto ridotte. Questo significa che componenti hardware di basso costo possono essere dotati di un sistema operativo a base Windows.
Windows CE consente di avere dispositivi in grado di comunicare fra di loro, di scambiare informazioni con PC con sistemi operativi Windows e di collegarsi a Internet.
Windows CE è un sistema operativo real-time a 32 bit, con funzioni come multitasking e multithreading; Windows CE ha un´architettura aperta e supporta un ampio spettro di dispositivi. Windows CE è compatto, in grado, cioè, di fornire elevate prestazioni anche in presenza di una memoria di lavoro limitata.

I vantaggi di Windows CE sono, fra l´altro:

  • Avvio rapido del dispositivo, perché il sistema operativo viene aperto e caricato nuovamente in memoria ad ogni procedimento di boot-up.
  • Dato che nessun software può essere installato su un dispositivo CE, non c'è pericolo che il funzionamento del sistema operativo possa essere pregiudicato da processi d'installazione non riusciti o da virus.
  • Elevato grado di robustezza, visto che nei dispositivi Windows CE di regola non ci sono parti mobili (come, ad esempio, dischi fissi ...).

Gli svantaggi di Windows CE sono, fra l´altro:

  • Funzionalità limitata, perché non è disponibile la completa Windows API (Application Programming Interface).
  • Accessi in lettura e scrittura più lenti alla scheda Compact-Flash.
  • Riduzione del ciclo vitale dei supporti di archiviazione a causa della elevata frequenza di accesso.

In linea di principio, il Runtime di zenon mette a disposizione le stesse funzionalità sia con CE, che sul PC. Il fatto che con CE queste funzionalità possano essere utilizzate in misura ridotta, dipende dalle minori risorse hardware dei dispositivi CE rispetto al PC e dai limiti intrinseci del sistema operativo.

Ancora in questo capitolo

Creare progetti per CE.

Registrazione licenza


Creare progetti per CE.

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Generale -> Creare progetti per CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´Editor, l´utente può creare progetti piccolissimi, piccole e medie applicazioni, ma anche progetti dalle grandi dimensioni. In tutti i casi, lo strumento di progettazione è lo stesso. Indipendentemente dalla piattaforma per la quale si creano i progetti, il lavoro di progettazione è sempre estremamente confortevole. È sempre garantita la compatibilità dei dati di progetto, indipendente dalla risoluzione.

Windows CE è supportato solo fino alla versione 7.20 inclusa. Con la versione corrente viene fornita e installata anche la versione 7.20. Si può continuare a creare progetti per Windows CE con la versione corrente. Per farlo, nelle proprietà di progetto si deve impostare per la proprietà Crea file Runtime per la versione 7.20. Questa proprietà si trova nel gruppo Generale delle proprietà di progetto.

Editor CE

Quando si crea un progetto CE nell´Editor, si deve attivare la checkbox 'Progetto Windows CE'; questa proprietà si trova alla voce -> Proprietà di progetto -> Generale. Una volta attivata la casella, il sistema consentirà di configurare solo quelle funzioni che sono effettivamente disponibili anche con Windows CE. Tutte le altre funzioni verranno disattivate (visualizzate in grigio). Fatta eccezione per VBA: nell'Editor, VBA può essere utilizzato per Wizard; questo non è possibile però a Runtime.

A seconda del tipo di licenza, l´´Editor è limitato a 8.192 TAG.

VBA con CE

Nell´Editor, VBA può essere usato per Wizard. VBA non è supportato a Runtime.


Registrazione licenza

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Generale -> Registrazione licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La registrazione della licenza per il Runtime per Windows CE si esegue con il Trasporto Remoto. Quando si stabilisce la connessione con il sistema destinatario, si può digitare il numero di serie e il numero di licenza per la versione CE. Il numero di serie viene salvato sul dispositivo CE nel file zenon6.ini. Il numero di attivazione viene salvato nella registry.

info Info

La validità del numero di serie e del numero di attivazione viene verificata solo in modo parziale al momento dell´inserimento via Trasporto Remoto sul PC. Il controllo di validità completo viene eseguito solo al momento dell´avvio del Runtime sul dispositivo CE. Si prega dunque di avviare una volta il Runtime dopo aver eseguito l´update del numero di serie/numero di attivazione, al fine di verificare se questi numeri sono stati digitati in modo corretto.

Nel pacchetto standard è contenuto un numero di serie “CE demo”, per cui non è necessario inserire nessun numero di attivazione.

Example Esempio

Numero di serie demo per CE 6.0: 0.59211400.0.-256.0

La versione demo per CE 6.0:

  • È limitata a
    • 4.096 variabili
    • Una durata di 10 minuti.
  • Contiene
    • Process Control Engine
    • Modulo Trend esteso (Starter Edition)
    • Server di archiviazione (Starter Edition):
    • zenon Web Server Pro (3 client)

attention Attenzione

Con la “Windows Mobile Edition”, possono essere caricate solo circa 800 - 1000 variabili; il numero varia a seconda dello spazio di memoria disponibile sul dispositivo utilizzato, dai programmi installati e dalla dimensione del progetto.


Requisiti

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Windows CE, il Runtime è eseguibile sui più diversi dispositivi, indipendentemente dal loro produttore. Per ogni combinazione di sistema operativo e tipo di processore, è necessario un proprio Runtime che deve essere compilato per questa specifica piattaforma.
Requisiti minimi per il dispositivo CE:

  • 64 MB di memoria RAM.
  • 32 MB liberi di spazio su disco.

Dato che la velocità del processore dipende in larga misura dal tipo di processore usato, non è possibile definire una velocità minima. In generale, però, si può dire che il processore dovrebbe avere una frequenza di clock di almeno 400 MHz.
Si raccomanda:

  • 128 MB di RAM o più.
  • 64 MB o più.
  • Processore con 800 MHz per processori ARM, oppure 600 MHz per quelli con architettura x86.
  • Interfaccia di rete

info Info

Runtime e progetti dovrebbero essere salvati su una memoria a scrittura permanente.

I dispositivi CE con touch screen hanno di solito una bassa risoluzione dello schermo. Bisogna tenerne conto nella fase di creazione del progetto. Alcune finestre di dialogo, come, ad esempio, quella della "Selezione variabili" per le ricette standard, ma anche altri dialoghi, sono difficili da gestire a Runtime o non lo sono affatto, con una risoluzione dello schermo di 320 x 240. In questo caso, però, non c`è un requisito minimo.
Nella parte della guida contenente suggerimenti su come eseguire la progettazione, si trovano anche indicazioni su come configurare risoluzioni basse.

Avvio del Runtime sul pannello CE.

Per poter avviare zenon su un pannello CE, tutti i moduli necessari devono essete presenti nell´image.

Nel caso in cui dovessero mancare dei moduli, dopo un doppio clic su zenonrce.exe apparirà solamente una clessidra che gira su se stessa. Dopo la scomparsa della clessidra, il Runtime di zenon non verrà avviato, né verrà visualizzato un messaggio di errore.

Questa reazione del sistema indica che mancano degli elementi nel sistema operativo CE e che l´image non è stata generata in modo corretto. Contattate il produttore del pannello per risolvere il problema. Il supporto tecnico di COPA-DATA sarà felice di aiutare il produttore ad analizzare l´errore.

Ancora in questo capitolo

Versioni CE e processori supportati


Versioni CE e processori supportati

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Requisiti -> Versioni CE e processori supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 7.20 di zenon vengono supportate le seguenti versioni di Windows CE ed i seguenti processori:

Processori:

  • x86
  • ARM V4/V5

Versioni CE:

  • CE 6.00
  • Windows Embedded Compact 7

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon, le trovate nella documentazione relativa, oppure le potete richiedere al supporto tecnico di COPA-DATA.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


File di sistema

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché il Runtime per Windows CE possa funzionare, devono essere disponibili alcuni file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che non è stato possibile trovare uno o più componenti. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il Runtime. Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
msvcr90.dll | Necessario per il Runtime Se questo file non esiste, viene visualizzato un messaggio di errore al momento dell'avvio.
atl90.dll | Non necessario per l´avvio del Runtime, ma per l´utilizzo di un driver con connessione di rete, o per usare zenon in rete. Se questo file non esiste, il dispositivo non potrà fungere da client, oppure non funzioneranno le connessioni driver TCP/IP.
IMGDECMP.dll | Non necessario per l´avvio del Runtime, ma per la visualizzazione della trasparenza, se alpha blending non è integrato nel sistema operativo. L´animazione di file GIF non è possibile con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non necessario per l'avvio del Runtime. Questo file è necessario per il PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE e possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
il file toolhelp.dll è necessario per le versioni di CE precedenti alla 6.0. Attivare il seguente inserimento nel Platform Manager per garantire che il file sia disponibile sul dispositivo CE, e che il "Toolhelp" sia disponibile nel SDK:
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In questo modo, Toolhelp.dll sarà parte dell´immagine.
Consiglio: si consiglia di usare sempre il service pack più recente del Platform Builder.

Nota: il file toolhelp.dll non è necessario per Windows CE 6, e non dovrebbe essere utilizzato con CE 6.

Ancora in questo capitolo

Runtime


Runtime

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> File di sistema -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime per Windows CE consiste dei seguenti file:

Nome file | Descrizione
zenonrCE.exe | L'applicazione Runtime
Cd_tooCE.dll | Necessario per il Runtime
ZennetsrvCE.dll | Il servizio di rete per Windows CE. Necessario per progetti di rete.
SysSrvCE.exe | Il servizio di trasporto
LogCliLibCE.dll | Il client Logserver
zenon6.ini | File di testo con le impostazioni per il Runtime, come, ad es., progetto di partenza, lingua del Runtime ecc.
UpdateCE.exe | Applicazione necessaria per il "CE Update Tool".
RgermaCE.dll | File lingua tedesco
RengliCE.dll | File lingua inglese
RfrancCE.dll | File lingua francese
RitaliCE.dll | File lingua italiano
RrussiCE.dll | File lingua russo
RspaniCE.dll | File lingua spagnolo

Per installare il Runtime su un dispositivo CE, usare l´inserimento "Aggiorna Runtime di Windows CE..." del menù Extras.

info Info

Per le connessioni a Windows CE 6.0 tramite CX1000, Profibus oppure SYCONuni, vale quanto segue: assicurarsi che il file CDMemDrv.dll sia stato inviato al dispositivo CE. CDMemDrv.dll è un driver di dispositivo Windows CE. La DLL è disponibile per x86 e per ARMV4I.

Esistono anche molti altri driver per la comunicazione hardware. Se il tipo di processore del dispositivo CE viene riconosciuto dall´Editor, il Trasporto Remoto trasferisce automaticamente al dispositivo CE insieme al progetto anche i driver in esso utilizzati. Il tipo o la quantità dei file trasferiti è visualizzato nella finestra di emissione dell'Editor.

Questi file devono essere sempre compatibili con la corrispondente versione di CE e con il tipo di processore. Mischiare file di diverse versioni CE o, addirittura, diversi service pack, può causare errori nel funzionamento del sistema, o altri effetti indesiderati; perciò non è consentito.

info Info

Se, al momento dello start di zenonrce.exe, viene eseguito anche il file syssrvce.exe, si può garantire che possa sempre essere instaurata una connessione TCP. Pertanto è necessario solamente un file per la funzionalità autostar. Tuttavia, si deve provvedere a configurare un intervallo di tempo (ritardo) fra i due start.

Causa: con lo start di zenonRCE, si avvia automaticamente anche zenLogSrvCE. Ma anche al momento dello start di syssrvce, il sistema avvia automaticamente zenLogSrvCE.

Se, dunque, zenonRCE e syssrvce vengono avviati nel giro di poco tempo, entrambi cercheranno di aprire zenLogSrvCE. Ciò causa un messaggio di errore.

Soluzione: per evitare il verificarsi di questo problema, configurate un intervallo di tempo (ritardo) fra lo start di zenonRCE e quello di zenLogSrvCE. Per far ciò, potete settare nello zenon6.ini l´inserimento STARTDELAY=. Così il Runtime (zenLogSrvCE) verrà avviato più tardi. Il sistema, poi, provvederà a verificare se zenLogSrvCE è già in esecuzione, e non tenterà più di avviarlo.


Rete

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Naturalmente zenon può essere usato in una rete anche sotto Windows CE. Il terminale CE può fungere da server o da client in combinazione con altri terminali o PC standard.

La ridondanza in rete non è supportata con Windows CE; ciò significa che un terminale CE non può avere la funzione di Server-Standby. Se, però, si usano PC come server e Server-Standby, il terminale CE può connettersi come client e collegarsi automaticamente al server attuale in caso di un cambio di ridondanza.

info Info

La funzionalità "Progettazione multiutente" non è supportata sotto Windows CE.

È possibile. però, combinare più progetti CE in un progetto d´integrazione su di un PC.

Se si vuole usare il Runtime CE in rete, devono essere soddisfatti i seguenti requisiti:

  • Connessione di rete del terminale CE
  • Rete TCP/IP con completa (!) Risoluzione dei nomi
  • Nomi calcolatori e indirizzi IP univoci in rete
  • File di sistema necessario, nonché Runtime sul terminale CE. (vedi anche capitolo "Requisiti")
  • Licenza Runtime con supporto di rete sul terminale CE.

info Info

Se un terminale CE viene usato in rete, non importa se come server o come client, su di esso si deve disporre di una licenza Runtime con la rete.

Per la funzione del Trasporto Remoto non è necessaria una licenza di rete!

In mancanza di una licenza di rete, zenon viene avviato automaticamente come standalone e ogni dispositivo CE stabilisce una propria connessione con il PLC.

Ancora in questo capitolo

Impostazioni di rete

Terminale CE come server

Terminale CE come client

Possibilità di diagnostica


Impostazioni di rete

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Rete -> Impostazioni di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che la risoluzione dei nomi non esiste sempre sotto Windows CE, può essere necessario rendere noti il nome calcolatore e l'indirizzo IP del terminale CE e del PC. Sul PC si usa a questo scopo il file di testo HOSTS, che si trova nella cartella /Windows/System32/Drivers/ETC. Si devono inserire in questo file l'indirizzo IP e il nome calcolatore del terminale CE, in lettere maiuscole e separati da un tab stop. Esempio: 192.168.0.100 WINDOWSCE2

info Info

Quando salvate questo file, fate attenzione a non salvarlo con l´estensione .txt!

Il link fra il nome computer e l'indirizzo IP deve essere definito sia sul PC, che sul terminale CE, se la rete non supporta completamente una risoluzione dei nomi dinamica. (In caso di risoluzione dinamica, la risoluzione del nome computer avviene sulla base dell'indirizzo IP). Sul PC, questa informazione viene salvata nel file 'HOSTS', che si trova sotto '/Windows/system32/drivers/etc'.

Il sistema operativo Windows CE non supporta la funzionalità di un file HOSTS. Per far in modo che la risoluzione del nome funzioni correttamente anche sul terminale CE, bisogna inserire il nome calcolatore e il corrispondente indirizzo IP nello zenon6.ini del terminale CE. Si deve effettuare il seguente inserimento:

Example Esempio

[IPADDR]
My computer name=my IP address
CE_Terminal Name =CE_Terminal IP-Adresse

SERVERNAME=192.168.1.152

Inserite alla voce "SERVERNAME " il nome del vostro server. Modificate l'indirizzo IP inserendo l'indirizzo IP del vostro server.

Esempio: il vostro server è PC0815 e ha l'indirizzo IP 192.52.9.32: in questo caso inserite sopra: PC0815=192.52.9.32

Ricordatevi di scrivere il nome calcolatore in LETTERE MAIUSCOLE!

Altri esempi

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Visto che non è sempre detto che il terminale CE conosca il proprio nome calcolatore, è possibile che dobbiate inserire anche quest´ultimo in questa sede.

attention Attenzione

Non usate indirizzi IP dinamici se non c´è risoluzione del nome in rete.


Terminale CE come server

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Rete -> Terminale CE come server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, il progetto sul terminale CE è un progetto server (con ambito di funzionalità ristretto). Tutti gli altri calcolatori che si connettono al terminale sono client (sia i PC client, che CE client; anche Web Client sono possibili).

I driver utilizzati vengono avviati sul terminale CE. Visto che un terminale CE è utilizzato da server, anche l'ambito di funzionalità sui PC client è ridotto. L'utilizzo di un terminale CE come server in standby, come già detto, non è possibile.

Questo modello ha i seguenti caratteri:

Il progetto CE continua ad avere un ambito di funzionalità ridotto, il che significa che non è possibile un'archiviazione dei dati e che non sono disponibili dei moduli.

Il terminal CE manda i dati di processo a tutti i client connessi. La gestione allarmi, i calcoli matematici REMAs sono gestiti dal terminale CE.

Nel caso in cui siano connessi molti client, il terminale CE è sottoposto ad un carico di rete relativamente grande, il che può condurre a problemi di sovraccarico del terminale CE stesso.

La progettazione del terminale CE come server in pratica:

Per poter dichiarare il Terminale CE come server, bisogna inserire il nome calcolatore del Terminale CE come server in fase di configurazione del progetto. Fate attenzione a digitare il nome calcolatore in lettere maiuscole. Una volta conclusa la fase di progettazione, i file runtime devono essere trasmessi mediante Trasporto Remoto al server (terminale CE). Poi dovete trasferire per una sola volta i dati runtime a tutti i client.

Deve essere realizzato un solo progetto per l'intero sistema. Eventuali modifiche del progetto devono essere solamente trasferite al server. In caso di modifiche del progetto, tutti i client vengono riforniti dei dati di progettazione attuali.

Devono essere usate nel progetto solo quelle funzionalità che un terminale CE può supportare. L'interruttore Progetto CE è uno strumento molto utile a questo scopo. Impedisce che impostiate moduli (immagini, funzioni ecc.) che con Windows CE comunque non funzionerebbero.

Per consentire, nonostante l'uso di un terminale CE, l'archiviazione dei dati, nonché la possibilità di usare moduli, come ad es. "trend esteso" o "generatore di rapporti" e per poter rifornire una molteplicità di client di dati senza che questo significhi una riduzione delle possibilità di gestione su posto, sono state sviluppate ulteriori possibilità di progettazione:


Terminale CE come client

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Rete -> Terminale CE come client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa configurazione, il progetto sul terminale CE non è un progetto server. Il progetto sul terminale CE si collega, dunque, come client ad un server. Quest´ultimo può essere sia un PC, che un altro terminale CE.

Questo modello ha le seguenti caratteristiche:

Il progetto CE ha un limitato ambito di funzionalità sul client; ciò significa che sul client CE vengono visualizzate solo quelle funzioni che sono supportate da CE. Archivi, trend esteso, manager di gruppi ricette, Message Control ecc. non sono disponibili. Il progetto sul server, tuttavia, può naturalmente contenere tali elementi, a patto che il server sia un PC. Su un PC client - se si dispone di una licenza valida - è disponibile l´intero progetto. Per evitare di confondere inutilmente l´operatore, il sistema mette a disposizione del progettista la seguente opzione: "Visibile sotto CE" Se questo Checkbox non è spuntato, non vengono visualizzati gli elementi corrispondenti sul terminale CE.

Il carico di rete per il CE Client è irrilevante, visto che esiste sempre solo una singola connessione, quella con il server. I driver sono avviati sul server.

La progettazione del terminale CE come client in pratica:

Deve essere realizzato un solo progetto per l'intero sistema. Questo progetto è attivo sul server cui spetta la priorità gerarchica per tutti i dati.

La progettazione si svolge al PC dal quale vengono trasmessi al server e ai client tutti i file di runtime prodotti mediante la funzione del Trasporto Remoto.

Nel caso in cui ci siano delle modifiche apportate al progetto in un secondo momento, è sufficiente trasmetterle al server tramite Trasporto Remoto. I client ricevono queste modifiche dopo aver eseguito la funzione "aggiorna progetto runtime".

Non deve essere settato l'interruttore Progetto CE. A disposizione del progetto c'è la completa funzionalità di zenon. Visto che dalla parte di CE è disponibile solo un limitato ambito di funzionalità, le funzioni che non esistono in CE, non vi vengono eseguite (moduli, determinate funzioni, ecc.)

Per non confondere inutilmente l´operatore che gestisce il macchinario mostrando sul terminale CE immagini e funzionalità che non funzionano o che non deve usare, nell´Editor il progettista ha la possibilità di abilitare l´opzione "Visibile sotto CE" per immagini e pulsanti. Abilitando tale opzione, il progettista ha la possibilità di creare il suo progetto in tal modo che una parte sia visibile con CE, ed un'altra solo sul PC (server PC, altri PC client...).


Possibilità di diagnostica

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Rete -> Possibilità di diagnostica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Terminale CE come server

Per sincerarsi che il terminale CE abbia effettivamente assunto la funzione di server, si può provare a cancellare mediante Explorer sul terminale CE uno dei driver usati nel progetto mentre il Runtime è in esecuzione. Se questa operazione riesce, significa che il Runtime non è in esecuzione sul terminale CE come server (non è possibile cancellare delle applicazioni aperte in modo esclusivo). E' possibile che il terminale CE non conosca il suo nome corretto o che il Runtime sul terminale CE non possieda una licenza per la rete.

Terminale CE come client

Se il client non riesce a stabilire una connessione con il server, vengono visualizzati dei punti blu sugli elementi dinamici. L'opzione "Visualizza stato" deve essere attivata per gli elementi dinamico nella finestra delle proprietà.

Driver di sistema:

Il driver di sistema offre una molteplicità di variabili per la diagnosi di rete.

Altro

Se il terminale CE è usato in rete, deve essere possibile stabilire una connessione con esso usando il comando: telnet NOME COMPUTER 1100 nel prompt dei comandi. (Cursore lampeggiante nell'angolo in alto a sinistra). Il Runtime deve essere avviato sul terminale CE.

NOME COMPUTER è in questo caso il nome del terminale CE (a cui si può risalire attraverso il pannello di controllo del terminale stesso); 1100 è il numero di porta attraverso la quale comunica il servizio di rete (zennetsrvce.dll).

Se il tentativo di connessione via telnet fallisce, ciò può dipendere dalle seguenti cause: la risoluzione dei nomi in rete non funziona; il Runtime del terminale CE non ha una licenza di rete; oppure il file di sistema atl90.dll non esiste sul terminale.

Il file zennetsrvce.dll per la rispettiva piattaforma viene trasferito automaticamente al terminale CE via Trasporto Remoto (Trasporto remoto: "Trasporta tutti i file Runtime"). Se non dovesse essere il caso, probabilmente non sono installati sul calcolatore i file runtime per CE. Se nel menù "Opzioni" dell´Editor c´è il comando "Aggiorna Runtime di Windows CE ", i file Runtime per CE sono installati.

Se succede che si connette ad un server una volta un client ed una volta un altro client, la causa potrebbe essere che probabilmente entrambi i terminali CE usano lo stesso nome calcolatore. Windows CE non genera una segnalazione di errore se un nome calcolatore è già usato in rete.


Connessione via Windows Mobile Device Center

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Connessione via Windows Mobile Device Center

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto del programma Windows Mobile Device Center potete instaurare una connessione fra un terminale industriale CE e un PC.

Ancora in questo capitolo

Connessione USB sotto Windows 7

Update del Runtime Windows CE


Connessione USB sotto Windows 7

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Connessione via Windows Mobile Device Center -> Connessione USB sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si ha una connessione USB fra un dispositivo CE e un calcolatore sotto Windows 7:

  1. assicuratevi che sia possibile connettersi a Internet
  2. collegate i due dispositivi con un cavo USB
  3. se esiste una connessione Internet, il Windows Mobile Device Center viene installato automaticamente e viene instaurata la connessione.
  4. potete poi trasferire dati nel modo descritto nel capitolo Update Windows CE Runtime .

info Info

Se non c`è una connessione Internet attiva, però, il Windows Mobile Device Centermnon non verrà installato e configurato automaticamente. In questo caso:

  • instaurate la connessione Internet
  • aprite il Pannello di controllo e passate alla Gestione periferiche
  • cliccate con il tasto destro del mouse sul dispositivo che non è stato ancora riconosciuto
  • selezionate "Aggiornamento software driver"
  • Windows installa il driver
  • Windows installa il Windows Mobile Adapter e, con esso, il Windows Mobile Device Center


Update del Runtime Windows CE

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Connessione via Windows Mobile Device Center -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire un update del Runtime Windows CE:

  • Assicurarsi che il servizio di trasporto di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicurarsi di non aver stabilito una connessione remota con il dispositivo tramite l´Editor di zenon.
  • Selezionare nel menù Extras dell´Editor di zenon, il comando Aggiorna Runtime di Windows CE

    Si apre la finestra di dialogo che consente di trasferire i file Runtime.

  • Configurare la connessione.
  • Definire i file che si vuole trasferire.
  • Selezionare la versione.
  • Avviare l´update.

Nota: quando si trasferiscono i file Runtime/si installa il Runtime per la prima volta, tenere presente le informazioni contenute nel capitolo Installazione manuale e update del Runtime .

Configurare la connessione.

La connessione con il dispositivo Windows CE si configura nella scheda Connection della finestra di dialogo "Remote Runtime update....".

Parametro | Descrizione
Serial | Impostazione della connessione seriale con il dispositivo Windows CE; si deve selezionare il numero di porta.
TCP/IP | Impostazioni della connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazioni per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; si deve selezionare il numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync.
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: il file syssrvce.exe viene trasferito durante il primo trasporto via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Definizione dei file che devono essere trasferiti

Parametro | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attiva
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: non attivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attiva
Update zenon6.ini | Trasferisce il file zenon6.ini al dispositivo di destinazione. In questo caso verranno modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: Inglese
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver selezionati.
Remove | Cancella i driver selezionati dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Remove all | Cancella tutti i driver dalla lista dei driver scelti e li sposta nella finestra di quelli disponibili.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Selezione della versione

Nella scheda Versions della finestra di dialogo "Remote Runtime update....", selezionare la versione corretta di CE, quando questa non viene riconosciuta automaticamente dal sistema.

Parametro | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che consente la selezione.
Processor type | Tipo di processore del dispositivo.
Source path | Percorso della cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto alla lista.
Delete | Cancella l´inserimento selezionato dalla lista dopo una richiesta di conferma.
Test | Verifica la correttezza delle impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di update CE e offre prima la possibilità di salvare tutte le modifiche non ancora salvate.

Avvia update

Per stabilire una connessione:

  1. Nella scheda Update della finestra di dialogo "Remote Runtime update....", cliccare sul pulsante Start.

    Il sistema verifica i dati per il trasferimento che verranno poi visualizzati in in una finestra.

  2. Cliccando sul pulsante Next, si avvia il trasferimento al dispositivo di destinazione.

    Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

    Se viene visualizzato il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Info

Se si vuole sostituire zenVNCServer.exe eseguendo un update, il file verrà chiuso, e riavviato dopo l´update. Il file zenVNCSrvCE.exe,

che si trova nel UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esistenti di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Manager di gruppi ricette

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


Trasparenza

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows CE, i file GIF possono essere visualizzati con l´effetto della trasparenza. Al contrario, sotto Windows CE le impostazioni di trasparenza non sono disponibili per le funzioni grafiche estese.

Per visualizzare un file GIF trasparente sotto Windows CE, bisogna procedere come segue:

  • sul dispositivo di destinazione deve esserci il file IMGDECEMP.dll.
    Se esso manca, potete richiederlo a support@copadata.com.
  • La trasparenza può avere il valore 0% o 100%. Valori intermedi non sono possibili.

info Info

La trasparenza di file PNG da 0% a 100% sotto Windows CE non è un elemento di zenon, ma se ne può fare uso tenendo presenti certe condizioni:

  • Si deve usare la versione di zenon 6.22 SP1 o quelle più recenti.
  • Alpha Blending deve essere stato già implementato dal produttore del dispositivo di destinazione; COPA-DATA non può offrire alcun supporto in questo caso.


Pocket PC e Windows Mobil Edition

Manuale -> zenon Operator -> Lo zenon Operator con Windows CE -> Pocket PC e Windows Mobil Edition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di chiudere zenon con X su un Pocket PC oppure sulla Windows Mobile Edition, tenete presente che l'applicazione non viene chiusa, ma che continua ad essere attiva in background.

Se si vuole evitare che, quando si avvia di nuovo l'applicazione, il dispositivo tenti di avviare nuovamente zenon, avete la possibilità con il tool Start_CERT.exe di recuperare l'applicazione in primo piano, oppure, se questa non dovesse essere stata già avviata, di farlo in quel momento.

Se lavorate con Pocket PC o con piattaforme Windows Mobile, vi consigliamo di avviare il Runtime usando Start_CERT.exe, e non direttamente con un link.

Nota: Pocket PC non verrà più supportato da partire dalla versione 7 di zenon.


zenon Remote Desktop

Manuale -> zenon Remote Desktop

Con il zenon Remote Desktop potete creare una connessione "Remote Desktop" con un un sistema di destinazione remoto e amministrare semplicemente un calcolatore remoto. Ciò significa che potete realizzare dalla Vostra postazione di lavoro una connessione visiva con un altro PC o un apparecchio CE. La visualizzazione del desktop corrisponde esattamente a quella del sistema destinatario.

Il zenon Remote Desktop stabilisce una connessione di semplice osservazione del sistema remoto, oppure una connessione che consente anche di gestire il dispositivo remoto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Differenze fra la rete di zenon, zenon Remote Desktop e Windows Remote Desktop

Il zenon Remote Desktop non può sostituire una rete zenon. Si tratta infatti di una pura trasmissione delle informazioni visualizzate sullo schermo. Ciò significa che in tutti i computer collegati viene visualizzata la stessa immagine. Servendovi della rete di zenon, invece, siete in grado naturalmente di visualizzare delle diverse immagini su ognuno dei client.

Rispetto a quello di Windows, il zenon Remote Desktop di zenOn ha il vantaggio che più computer possono connettersi contemporaneamente con il sistema destinatario. Il sistema destinatario, da parte sua, rimane gestibile in modo completo anche se viene creata una connessione remota. Nel caso si usi il Remote Desktop di Windows, invece, si può lavorare solo o dal PC remoto, oppure dal sistema destinatario.

Attivazione

Per evitare delle falle nel sistema che possono rivelarsi pericolose ai fini della sicurezza, il zenon Remote Desktop non viene attivato sul PC al momento della installazione. Per poterlo utilizzare, dovete prima di tutto attivarlo (vedi Configurazione). Con Windows CE, il servizio Remote Desktop zenVNCSrvCE.exe deve essere avviato manualmente, oppure mediante i meccanismi di autostart di Windows CE.

Il zenon Remote Desktop non viene disinstallato quando si disinstalla zenon con il setup, ma rimane sul computer. Se volete eliminare questa funzione, leggete come fare nel capitolo Disinstallazione.

attention Attenzione

Il zenon Remote Desktop viene fornito con delle password standard. Vi consigliamo, però, di modificarle nel software di configurazione! (vedi sezione Configurazione).

Ancora in questo capitolo

Struttura

Configurazione

Stabilisci collegamento

Limitazioni

Configurazione multi-monitor

Presupposti / Ricerca degli errori

Disinstallazione


Struttura

Manuale -> zenon Remote Desktop -> Struttura

Il zenon Remote Desktop consiste di tre componenti:

Parametro

Descrizione

zenon Remote Desktop - Servizio

Il servizio zenon Remote Desktop trasmette le informazioni del desktop attraverso la rete al software di osservazione. Sul PC il servizio non ha alcuna interfaccia e funziona in background come programma Windows invisibile. Non viene avviato come servizio Windows.
Con Windows CE, il servizio è visibile come Tray-Icon.

Il servizio zenon Remote Desktop dispone anche di un server web HTTP integrato. Quest'o Web Server offre un punto di entrata per qualsiasi browser web. Potete avviare una connessione visuale Remote Desktop direttamente nel Vostro browser.

zenon Remote Desktop - Configurazione

Mediante il software di configurazione potete stabilire le modalità di funzionamento del servizio.

zenon Remote Desktop - Software di osservazione

Facendo uso del software di osservazione potete vedere il zenon Remote Desktop dal Vostro PC. Ce ne sono due tipi:

  • un software di osservazione Windows standard, che si avvia o dal Trasporto Remoto nell'editor, oppure mediante il menù "Start" di Windows.
  • Connessione diretta mediante web browser standard senza software estraneo. La visualizzazione del Remote Desktop avviene in questo caso direttamente nel browser web.


Configurazione

Manuale -> zenon Remote Desktop -> Configurazione

Con il software di configurazione del zenon Remote Desktop potete adattare la connessione desktop remoto alle Vostre esigenze personali.

Impostazione

Descrizione

Enable Remote Desktop service

Attiva il servizio Remote Desktop.

Se il servizio è disattivato, ne viene eliminata la registrazione completamente e non è più a disposizione. Esso può essere attivato di nuovo solo facendo uso di questo software di configurazione.

Tenete presente che, nel caso in cui il server HTTP è attivo, la password dovrebbe essere modificata prima della disattivazione.

Enable built-in HTTP server

Attiva il server HTTP integrato. La pagina di Start visualizzata è fissa e non può essere modificata.

Attenzione: Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la password oppure chiudete la porta del Remote Desktop 5610.

Primary password

Consente un accesso di gestione al calcolatore.

Trattamento della password

  • La password standard per la prima installazione è SCADA-ALL.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della password è limitata a 8 caratteri.
    Può essere inserita però la password standard SCADA-ALL.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

View-only password

Se inserite questa password al momento della creazione della connessione, ottenete un accesso al desktop limitato alla sola visione.

Trattamento della password

  • La password standard per la prima installazione è SCADA.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della password è limitata ad un numero massimo di 8 segni.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

Log information to zenVNC.log

Il servizio zenon Remote Desktop scrive informazioni di analisi nel file zenVNC.log. Il file si trova nella cartella user temp: C:\Users\Default\AppData\Local\Temp

Potete vedere questa cartella solo se avete attivato nelle proprietà delle cartelle di Windows Explorer l'opzione "mostra file e cartelle nascosti"..

Log detailed debugging information

Il servizio zenon Remote Desktop scrive informazioni dettagliate di errore e di debugging nel file zenVNC.log. Questa opzione è necessaria solo per effettuare un'ampia analisi degli errori.

Block remote input events

Se volete rendere impossibile un accesso dall'esterno che permetta delle modifiche, anche se la primary password è nota, potete impostare questa opzione. In questo caso ogni tentativo di accesso da PC remoti volto ad effettuare delle modifiche è reso impossibile. E' possibile solo un accesso per pura osservazione.

Block remote input on local activity

Se sul computer locale si verificano delle operazioni di gestione (sia per mezzo della tastiera che per mezzo del mouse), sono esclusi degli interventi di gestione di computer remoti. Alla scadenza del tempo impostato, la gestione da fuori ridiventa possibile.

attention Attenzione

Se non cambiate le password, ognuno può accedere inosservato al Vostro computer!!

Sono permesse anche delle password vuote, ma Vi consigliamo vivamente di non adottare questa soluzione. Ciò perché, con delle password vuote, permettete che ognuno possa accedere inosservato al Vostro computer.

info Info

Tutte le modifiche divengono effettive solo dopo che avete cliccato su OK . In questo modo il servizio zenon Remote Desktop viene sempre riavviato. I computer collegati perdono la connessione.


Stabilisci collegamento

Manuale -> zenon Remote Desktop -> Stabilisci collegamento

Avete le seguenti possibilità di instaurare una connessione desktop remoto:

Integrata nel Trasporto Remoto:

Il zenon Remote Desktop è direttamente integrato in zenon. Mediante il pulsante Remote Desktop:: avvia connessione, potete instaurare una connessione nella barra degli strumenti del trasporto remoto. Viene automaticamente utilizzato il sistema destinatario impostato nel Trasporto Remoto. Se in quest'ultimo non è stato indicato alcun computer, viene utilizzato il server impostato nella configurazione di rete.

Vi preghiamo di tenere presente, che nel Trasporto Remoto deve essere impostato come mezzo di trasporto TPC/IP.

La creazione della connessione avviene secondo lo stesso meccanismo del collegamento instaurato mediante il menù "Start"; l'unica differenza è che non deve essere indicato il nome del computer remoto.

Mediante il menù "Start":

Nel caso in cui abbiate l'intenzione di instaurare una connessione zenon Remote Desktop con un altro sistema destinatario, potete farlo usando il collegamento presente nel menu "Start" alla voce Start - COPA-DATA - ToolsXX - Avvia connessione Remote Desktop.

Parametro | Descrizione
Server | Qui dovete inserire il nome computer oppure l'indirizzo IP del sistema destinatario.
Connection profile | I profili della connessione stabiliscono la larghezza di banda necessaria della rete. Tanto minore è la larghezza di banda disponibile da Voi impostata, tanto maggiore è la compressione della trasmissione dei dati e tanto peggiore sarà anche la visualizzazione delle immagini. Queste opzioni possono essere impostate solamente all'inizio della connessione e non possono essere più modificate in seguito. Nel caso vogliate effettuare delle modifiche, dovete chiudere la connessione e instaurarne un'altra.
Options | Apre il dialogo Connection Options. Le opzioni di connessione potete modificarle anche più tardi, dopo aver instaurato il collegamento. La descrizione delle opzioni la trovate nel capitolo Opzioni di connessione.

Appena cliccate su Connect, si instaura la connessione.

Per mezzo di un browser web:

Un'altra possibilità è quella di creare una connessione per mezzo di un browser web standard. Ciò è possibile solo nel caso in cui sia installato un runtime Java sul Vostro computer. La versione più attuale di quest'ultimo, la potete trovare sulla Java Homepage. http://www.java.com.

Avviate il browser web e inserite nella riga dell'indirizzo il nome computer oppure l'indirizzo IP del sistema destinatario, seguiti dal numero di porta :5600.

Esempio: http://MyRemotePCName:5600.

Java Version 8.45 o superiore

Con la versione 8.45, sono stati implementati in Java dei livelli di sicurezza più elevati. Può dunque accadere che non sia più possibile instaurare una connessione via http con un server di connessione zenon remote desktop.

Per continuare a connettersi via http:

  • Installate la versione 7 di Java.
  • Usate un client VPN, invece di un web browser.
  • Usate TightVNC (a partire dalla versione 2.7.10) per la connessione HTTP.
    • Website del produttore:
      www.tightvnc.com/
    • Link per il download:
      www.tightvnc.com/release-2.7.10.php

info Info

Vale per tutte le possibilità di connessione: non è possibile una connessione al PC locale!

Nel caso ci dovessero essere problemi di collegamento, controllate i Presupposti.

Ancora in questo capitolo

Autenticazione

Software di osservazione standard

Software di osservazione Web


Autenticazione

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Autenticazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Software di osservazione standard

Mentre la connessione viene instaurata, appare un dialogo di informazione nel quale potete sincerarvi che state creando il collegamento con il sistema destinatario giusto.

Dovete inserire in questo dialogo la password di connessione. Non è necessario un nome utente.

Interfaccia Web

_

Dovete inserire in questo dialogo la password di connessione. Nella riga dei titoli vedete adesso con quale Remote Desktop siete connessi.

Password

Per poter instaurare un collegamento, dovete conoscere le password di connessione. La password PrimaryVi consente l'accesso completo al remote desktop. La password View-only, invece, consente solo la modalità di osservazione. A seconda della password utilizzata, viene avviata la relativa modalità di funzionamento. La lunghezza della password è limitata ad un numero massimo di 8 segni. (Vedi Configurazione.)

attention Attenzione

Se l'opzione "Block remote Input Events" è settata nel software di configurazione del remote desktop, non potrete gestire il remote-system anche se usate la password Primary.

info Info

In occasione della prima installazione, la password Primary viene settata a SCADA-ALL e quella View-only a SCADA . Potete modificare in ogni momento le password nel remote-system facendo uso del software di configurazione (vedi Configurazione).


Software di osservazione standard

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Appena avete instaurato la connessione, il software di osservazione visualizza il contenuto dello schermo del desktop remoto.

Avete la possibilità di effettuare delle ulteriori impostazioni utilizzando la barra dei simboli, mediante il menù contestuale oppure tramite il menù a tendina. Anche se la barra degli strumenti non è visibile, potete accedere al menù contestuale con un clic del tasto destro del mouse sull´header del software di osservazione, oppure sul simbolo nella barra delle applicazioni. Nel caso in cui abbiate attivato la modalità a schermo intero, dovete anzitutto disattivarla usando la combinazione di tasti <Ctrl><Alt><Shift><F>.

La barra dei simboli ed il menù contestuale offrono le seguenti possibilità:

Parametro

Descrizione

Chiudi

Interrompe la connessione e chiude il programma.

Connection options...

Apre il dialogo che serve ad impostare le opzioni di connessione. Vedi Opzioni di connessione.)

Connection info

Apre il dialogo che visualizza le informazioni di connessione attuali.

Request screen refresh

Provoca un refresh e dunque un ridisegnamento del Remote Desktop.

Full Screen

Passa alla modalità a schermo intero.

  • Se viene utilizzata la stessa risoluzione del monitor sul computer remoto e su quello locale, l'immagine remota viene visualizzata in modo da coprire l'intero schermo.
  • Se, invece, il computer remoto ha una risoluzione minore, il desktop remoto viene centrato e visualizzato in una cornice nera.
  • Se, infine, il computer remoto ha una risoluzione maggiore di quello locale, il desktop remoto non viene visualizzato per intero (tagliato). Se si porta il puntatore del mouse verso la parte non visibile dell'immagine, il monitor scrolla automaticamente in quella direzione.

Con la combinazione di tasti <Alt><Tab>potete passare dal computer remoto a quello locale o viceversa.

Se volete chiudere la modalità a schermo intero, potete farlo con la combinazione di tasti ctrl+alt+MAIUSC+F.

Show Toolbar

Attiva: viene visualizzata la barra degli strumenti.

Send Ctrl-Alt-Del

Questa azione non ha alcun effetto.

Send Ctrl-Esc

Apre il menù "Start" sul desktop remoto.

Ctrl key down

Mantiene premuto sul desktop remoto il tasto ctrl. Cliccando un'altra volta, il tasto ritorna in posizione normale.

Alt key down

Mantiene premuto sul desktop remoto il tasto alt. Cliccando un'altra volta, il tasto ritorna in posizione normale.

New connection...

Apre il dialogo che serve a instaurare una nuova connessione desktop remoto. Vedi Crea collegamento. La connessione esistente viene interrotta.

Save connection info as...

Salva un collegamento a questa connessione in forma di file RDC (Remote Desktop Communication File). Potete salvare questo file, per esempio, sul desktop. Al momento di effettuare il salvataggio, il sistema Vi chiede se volete salvare la password nel file.
Nota: salvare la password rappresenta un rischio per la sicurezza.

Cliccando due volte sull'icona corrispondente al file, viene avviato il software di connessione e viene creata automaticamente un collegamento con il desktop remoto indicato, senza che Voi siate obbligati ad inserire un nome computer (e la password, nel caso in cui l'abbiate salvata nel file).

Nota: L´opzione Transfer files per trasferire file è disponibile solamente fino alla versione 6.22SP1 Build 7.

Ancora in questo capitolo

Opzioni di connessione


Opzioni di connessione

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione standard -> Opzioni di connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla voce Connection potete effettuare le seguenti operazioni di configurazione:

Opzione | Descrizione
Scale by | Scala la visualizzazione del desktop remoto sulla base della grandezza impostata. Si tratta di un'opzione vantaggiosa se il desktop remoto ha una risoluzione di monitor maggiore a quelle del computer locale.
Full-screen mode | Passa alla modalità a schermo intero Chiudete la modalità a schermo intero usando la combinazione di tasti <Ctrl> <Alt> <MAIUSC> <F>
Deiconify on remote Bell event | Questa impostazione non ha alcun effetto.

Alla voce Globals potete effettuare le seguenti operazioni di configurazione:

Opzione | Descrizione
Show toolbars by default | Mostra la barra degli strumenti. Se la barra degli strumenti è stata disattivata, può essere riattivata mediante il menu contestuale del software.
Warn at switching to the full-screen mode | Se passate alla modalità a schermo intero, viene visualizzata una segnalazione che Vi informa come la si può richiudere.
Number of connections to remember | Il software di osservazione memorizza le ultime connessioni. Quando poi stabilite una connessione, Vi viene offerta una lista di selezione contenente gli ultimi collegamenti realizzati. Potete impostare il numero delle connessioni che debbono essere memorizzate.
Clear the list of saved connections | Cancella la lista delle connessioni memorizzate.
Dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come punto nero.
Small dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come piccolo punto nero.
Normal arrow | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato nella forma di freccia tipica per il puntatore del mouse standard di Windows.
No local cursor | Viene visualizzato solo il puntatore remoto.


Software di osservazione Web

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione Web

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'interfaccia del browser sono a disposizione le seguenti possibilità:

Parametro | Descrizione
Disconnect | Interrompe la connessione. Il browser web rimane aperto.
Options | In questo caso potete impostare diverse opzioni di connessione. Esse non sono documentate. Vi consigliamo di lasciarle nella impostazione originale. Le impostazioni non vengono salvate. Quando si instaura di nuovo una connessione, sono di nuovo valevoli le impostazioni originali.
Clipboard | Permette di leggere delle informazioni testuali salvate negli appunti del zenon remote desktop, o di inviarle agli appunti. Nel dialogo, potete vedere gli appunti del zenon Remote Desktop. Se modificate il testo, esso viene inviato agli appunti del zenon Remote Desktop premendo su Close.
Send Ctrl-Alt-Del | Questa opzione non viene supportata.
Refresh | Attualizza il contenuto dello schermo.


Limitazioni

Manuale -> zenon Remote Desktop -> Limitazioni

Il servizio zenon Remote Desktop funziona solo nel contesto dell'utente. Viene avviato su Windows al momento della registrazione dell'utente.

Una connessione remota, quindi, può essere creata solo se c'è un utente registrato. Non è possibile un log-in remoto con ctrl-alt-canc. Nel momento in cui l'utente si disattiva, anche il servizio del zenon Remote Desktop viene chiuso. Gli eventuali osservatori collegati perdono la connessione.

Non può essere realizzata una connessione anche nel caso il cui il computer remoto è bloccato, Il computer è bloccato anche nel caso in cui sia stato attivato un salvaschermo con l'opzione Inserimento password al momento della riattivazione.

Nel caso in cui diversi utenti siano registrati contemporaneamente sul computer remoto (veloce cambio di utenti), il servizio zenon Remote Desktop viene avviato più volte. Il software di osservazione, però, si può connettere sempre solo con il servizio avviato per primo. Se questo primo utente non è più attivo, la connessione viene creata, ma chiusa immediatamente dopo l'inserimento della password.

La connessione viene interrotta anche se l'utente registrato per primo clicca su Cambia utente e diviene così inattivo.


Configurazione multi-monitor

Manuale -> zenon Remote Desktop -> Configurazione multi-monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su un Remote Desktop Client con più monitor, questi ultimi possono essere utilizzati via connessione remota se sono soddisfatte certe condizioni. Questo è possibile anche per le configurazioni multi-monitor nel Runtime di zenon, anche se il sistema in vero e proprio supporta inizialmente solo un monitor.

Requisiti per la configurazione di un sistema multi-monitor per Remote Desktop:

Client:

  • Windows Enterprise o Ultimate
  • Il protocollo RDP consente un vero e proprio supporto multi-monitor
    Supporta l´opzione /multimon

Server:

  • Windows Enterprise o Ultimate
    o
  • Terminal Server/Remote Desktop Services role
  • Linee guida consentono supporto multi-monitor.

Per informazioni dettagliate sulla configurazione, si prega di consultare (fra l´altro) questo blog di Microsoft: https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Presupposti / Ricerca degli errori

Manuale -> zenon Remote Desktop -> Presupposti / Ricerca degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché si possa instaurare una connessione con un sistema remoto, devono essere soddisfatti i seguenti presupposti:

  • zenon (almeno la versione 6.22 o quelle successive) deve essere installato.
  • Sul PC deve essere attivato il servizio zenon Remote Desktop (zenVNCSrv.exe). Potete attivare il servizio nel software di configurazione del zenon Remote Desktop (vedi Configurazione). Potete controllare questo servizio nel taskmanager di Windows.
  • Sul PC remoto deve essere registrato un utente, ed il computer non deve essere bloccato. Vedi Limitazioni.)
  • Con Windows CE, dovete avviare il servizio zenon Remote Desktop zenVNCSrvCE.exe manualmente o per mezzo delle opzioni autostart di Windows. Come attivare queste ultime lo potete apprendere leggendo la descrizione del produttore degli apparecchi. Potete controllare se il servizio funziona regolarmente nel taskmanager di Windows CE (se disponibile).
  • Questo servizio deve essere attivato sia nel firewall di Windows, che in tutti gli altri firewall, oppure debbono essere attivate le due porte 5600 (http Port) e 5610 (zenon Remote Desktop Port). Potete verificare se queste porte sono registrate e attivate stabilendo una connessione Telnet da un altro PC con la porta 5600 o 5610. Aprite la riga comandi ( cmd.exe) e inserite il seguente comando:
    telnet RemotePCName 5610.
    Nel caso in cui la connessione viene stabilita con successo, appare una finestra nera.
    Con Windows, Telnet non è installato a priori. Però potete installare questo programma nel modo seguente:
    Cliccate sul pulsante "Start", su "Pannello di controllo", su "programmi", e poi su "Avvia escludi funzioni Windows".
    Nel dialogo delle funzioni Windows, attivate la casella di controllo "Telnet-Client" e poi cliccate su OK.
  • Le due porte 5600 e 5610 non debbono essere occupate da altri programmi, altrimenti vengono prese altre porte in modo del tutto casuale. Se le porte sono occupate o meno, lo potete verificare con il comando Windows netstat -n -a -o dalla riga comandi. L´ID di processo del servizio <CD_PRODUCTNAME Remote Desktop (zenVNCSrv.exe) potete leggerlo nel taskmanager, alla scheda Processi. Se questa colonna non è visibile, potete attivare la colonna PID (ID di processo nel menù Visualizza - Seleziona colonne.....
  • Se avviate la connessione tramite l'editor, dovete avere impostato nel Trasporto Remoto TCP/IP come mezzo di trasporto. Come sistema destinatario dovete aver indicato un computer o nel Trasporto Remoto oppure come server di progetto.
  • Il veloce cambio utente non viene supportato da Windows. La connessione viene dunque interrotta. Vedi Limitazioni.

info Info

Disattivazione del server HTTP:

Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla zenon Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la password oppure chiudete la porta del Remote Desktop 5610.


Disinstallazione

Manuale -> zenon Remote Desktop -> Disinstallazione

Il zenon Remote Desktop non viene cancellato quando si disinstalla zenon, visto che esso viene utilizzato anche fra diverse versioni. Il setup non ha alcuna possibilità di verificare quali versioni di zenon siano ancora in uso.

Per cancellare il zenon Remote Desktop, dovete effettuare le seguenti operazioni:

  1. Avviate il software di configurazione.
  2. Eliminate il segno di spunto da Enable Remote Desktop service.
  3. Cliccare su OK.
  4. Il servizio zenon Remote Desktop viene terminato e ne viene eliminata la registrazione.

Adesso potete cancellare i file zenVNCSrv.exe, zenVNCcfg.exe e oem.dll nella cartella C:\Programmi\File condivisi\COPA-DATA\zenVNCSrv.


zenon Science Package per LEGO MINDSTORMS

Manuale -> zenon Science Package per LEGO MINDSTORMS

Lo zenon Science Package for LEGO MINDSTORMS consente la programmazione di LEGO MINDSTORMS NXT 2.0 e MINDSTORMS EV3 Brick. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO controller con straton. zenon Logic è l´ambiente di sviluppo IEC 61131-3 integrato in zenon.

tutorial Informazioni sulla licenza

Lo zenon Science Package for LEGO MINDSTORMS contiene una licenza limitata (Per i dettagli, consultare il capitolo Licenza per zenon Science Package). Questa viene installata quando non c`è sul computer un´altra installazione zenon con una licenza valida.

Queste istruzioni guidano attraverso i passi della procedura d´installazione e programmazione per realizzare l´automazione di un LEGO MINDSTORMS NXT 2.0 oder MINDSTORMS EV3 Brick con zenon. In questa documentazione sono contenute solamente della informazioni sul funzionamento con zenon Logic/straton. Per le informazioni di base relative alla programmazione e alla gestione degli oggetti LEGO MINDSTORMS si prega di consultare la documentazione LEGO.

Tutto il software necessario è incluso sul supporto di installazione per zenon Science Package for LEGO MINDSTORMS. Questo pacchetto non contiene hardware, componenti o controller della ditta LEGO.

Per la configurazione dell´hardware LEGO con zenon, usare il seguente software

  • zenon: software per il monitoraggio e la gestione, che contiene l´integrato zenon Logic.
  • zenon Logic Workbench: ambiente di programmazione che viene eseguito sul firmware embedded straton.
  • straton: firmware per il controller LEGO.

Tutte le applicazioni e informazioni necessarie si trovano sul supporto di installazion Queste dovrebbero già essere state create nella vostra cartella zenon sul PC. Le cartelle più importanti sono:

  • FIRMWARE: questa cartella contiene il firmware, che potete scaricare con il LEGO Firmware Loader sul LEGO MINDSTORMS controller.
  • USB_DRIVER: questa cartella contiene il file INF per il driver USB-to-serial.

info Info

LEGO, MINDSTORMS, NXT eEV3 sono marche e prodotti della Ditta LEGO.

Ancora in questo capitolo

zenon Science Package per Lego MINDSTORMS 2.0

zenon Science Package per LEGO MINDSTORMS EV3


zenon Science Package per Lego MINDSTORMS 2.0

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS 2.0 consente la programmazione di oggetti LEGO MINDSTORMS NXT 2.0. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO Controller con straton. zenon Logic è l´ambiente di sviluppo IEC 61131-3 integrato in zenon.

Ancora in questo capitolo

Installazione

Creare una connessione fra zenon Logic e straton.

Sviluppare delle applicazioni di straton per NXT

Connettere MINDSTORMS 2.0 Runtime con zenon

Domande e risposte

Uso di variabili complesse


Installazione

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare zenon Science Package for LEGO MINDSTORMS si ha bisogno di quanto segue:

  • zenon a partire dalla versione 7.00 SP0
  • Firmware per il LEGO Controller

Se zenon 7.00 (oppure una versione più recente) è già installato sul computer, si ha anche una licenza per usare zenon Science Package for LEGO MINDSTORMS. Se zenon non è ancora stato installato, si deve installare la versione di zenon utilizzando il supporto di installazione. Si tratta di una licenza limitata all´uso con LEGO MINDSTORMS 2.0.

Ancora in questo capitolo

Installare zenon

Progetti demo

Installare il firmware

Cosa fare con un firmware già esistente

Stabilire una connessione bluetooth con il controller


Installare zenon

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare zenon nella sua versione più recente:

  1. Collegare il supporto di installazione con il computer.
  2. Se la procedura d´installazione non dovesse partire automaticamente, selezionare start.exe.
  3. Selezionare zenon 7.60
  4. Seguire le istruzioni dell´installazione guidata.

Nota: se si ha già una versione di zenon a partire dalla 7.00, non è necessario installare nulla.

Ancora in questo capitolo

Licenza di zenon Science Package


Licenza di zenon Science Package

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare zenon -> Licenza di zenon Science Package

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS 2.0 è contenuto nella licenza standard di zenon. Se questa versione viene installata su un sistema senza zenon, verrà eseguita con una licenza zenon Science Package. Con questa licenza è possibile anche creare e modificare dei progetti di zenon nell´ambito dei moduli provvisti di licenza..

Questa licenza contiene:

  • 128 variabili
  • Trend esteso - Starter Edition
  • Server di archiviazione - Starter Edition
  • VBA
  • zenon Logic Workbench
  • straton Firmware

Nota: con questa licenza il sistema funziona per un massimo di 90 minuti. Poi l´Editor deve essere chiuso e riavviato.


Progetti demo

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Progetti demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Forum di COPA-DATA (www.copadata.com/forums) potete trovare anche due progetti demo:

  • MINDSTORMS_DEMO: dà una visione generale su sensori e controller. Usare questo progetto per imparare a conoscere LEGO MINDSTORMS 2.0 e la sua programmazione.
  • LEGO_DEMO_SHOOTERBOT: un esempio di progetto per lo Shooterbot. Può essere adeguato alle esigenze individuali.

Caricare il workspace con i due progetti in zenon:

  1. Cliccare con il tasto destro del mouse sul workspace attuale.
  2. Selezionare nel menù contestuale -> Ripristina backup progetto...
  3. Passare al backup del workspace che si trova sul supporto di installazione (*.wsb)
  4. Selezionare il file e cliccare su OK

Per aprire i progetti:

  1. Nel workspace, passare al nodo zenon Logic (IEC 61131-3)
  2. Selezionare il nodo cliccandoci sopra con il tasto sinistro del mouse.
  3. Selezionare il progetto mindstorms
  4. Cliccare sul simbolo apri nella barra degli strumenti, oppure cliccare due volte sul progetto per aprirlo nel workbench di zenon Logic.


Installare il firmware

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare il firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare LEGO MINDSTORMS 2.0 con zenon, si deve scaricare il firmware di straton sul controller. Questo capitolo illustra la procedura:

  • Scaricare il firmware di straton sul controller
  • Aggiornare il firmware già esistente di straton, oppure sostituire altro firmware già esistente.
  • Instaurare una connessione USB con il controller usando il driver USB di COPA-DATA.
  • Stabilire una connessione Bluetooth con il controller.

Scaricare il firmware di straton sul controller

Per scaricare il firmware di straton sul controller LEGO MINDSTORMS NXT 2.0, si ha bisogno del software LEGO MINDSTORMS NXT 2.0 fornito con LEGO MINDSTORMS NXT 2.0.

attention Attenzione

Se sul controller c´è già un firmware diverso da quello fornito da LEGO, procedere come descritto nella sezione Cosa fare nel caso di firmware già esistente.

Per scaricare il firmware:

  1. Lanciare il software LEGO MINDSTORMS NXT 2.0.
  2. Selezionare nel menù Tools -> Update NXT Firmware.

  3. Assicurarsi che venga usato il formato corretto: *.rfw.
    Se la desinenza del file è ancora *.bin, cambiarla in *.rfw.
    In zenon 7.20, questo file si chiamerà: STRATON_NXT_103_2011_08_10.rfw.
    Lo si può trovare sul supporto di installazione nel percorso AdditionalSoftware\Science Package - Firmware\NXT2.
  4. Cliccare sul pulsante Browse.
  5. Selezionare la cartella contenente il firmware.

  6. Avviare il NXT Controller.
    Per far ciò, premere il tasto arancione.
  7. Collegare il controller al PC via USB.
  8. Cliccare sul pulsante Download per scaricare il firmware sul controller.

  9. Disconnettere il cavo USB.
  10. Il controller si avvia con il firmware aggiornato.o.

info Info

Per aggiornare in un secondo momento lo straton scaricato, oppure per sostituirlo con un firmware di LEGO, seguire le istruzioni della sezione Cosa fare nel caso di firmware già esistente.


Cosa fare con un firmware già esistente

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sul controller c´è un firmware non fornito dalla Ditta LEGO, questo deve essere settato su Firmware-Load-Mode; poi sarà possibile installare altro firmware. Questa modalità è necessaria anche se si vuole eseguire un update del firmware di straton , o caricare di nuovo un firmware di LEGO. Per settare il controller nel Firmware-Load-Mode:

  1. Premere contemporaneamente perlomeno per 5 secondi, finché si sente un clic flebile:
    • Il pulsante Start arancione e
    • Il "rest-button" che si trova sulla parte posteriore del dispositivo.
      Il modo migliore di premere il "rest-button" è usare un oggetto appuntito.

  2. Accendere il controller NXT premendo il tasto arancione.

  3. Il controller NXT si avvia in Firmware-Load-Mode . Si sente un suono regolare.
  4. Avviare il download del firmware desiderato.
    A questo scopo si deve instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è richiesto il driver COPA-DATA.

attention Attenzione

Il Firmware-Load-Mode può essere terminato solamente con il download di un firmware.

Ancora in questo capitolo

Connessione USB senza LEGO Firmware


Connessione USB senza LEGO Firmware

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente -> Connessione USB senza LEGO Firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il firmware utilizzato non è fornito da LEGO, è possibile che si debba installare il driver corrispondente. In questo caso, il controller USB non viene riconosciuto durante la connessione con il computer. Per stabilire una connessione USB:

  1. Aprire il Pannello di controllo -> Sistema -> Gestione periferiche.
  2. Cliccare due volte su Periferica sconosciuta.
  3. Cliccare nella scheda Driver su Aggiorna driver.
  4. Si apre la finestra di dialogo per la selezione del driver.
  5. Scegliere Cerca nel computer software driver.
  6. Selezionare la cartella contenente il file Mindstorm_straton.inf .
  7. Viene visualizzato un avvertimento concernente il produttore del driver.
  8. Selezionare Installare il driver comunque.
  9. Il dispositivo è adesso in grado di comunicare via USB.


Stabilire una connessione bluetooth con il controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Stabilire una connessione bluetooth con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il computer ha una porta Bluetooth, la connessione con il controller può essere stabilita anche via Bluetooth. Per configurare Bluetooth per la connessione fra PC e controller:

  1. Accendere il LEGO Controller premendo il tasto arancione.

  2. Premere di nuovo il tasto arancione.
  3. Selezionare Settings con la freccia grigia a destra.

  4. Confermare la selezione premendo il tasto arancione.
  5. Passare al menù per le impostazioni Bluetooth usando i tasti grigi.
    1. Attivare Bluetooth.
    2. Assegnare un nome Bluetooth.
    3. Impostare lo stato Bluetootth suvisible.
    4. Cliccare sul pulsante grigio scuro per uscire dal menù Bluetooth.
  6. Passate al menu Connections.
  7. Selezionare Bluetooth usando i pulsanti grigi.
  8. Adesso il controller può essere trovato via Bluetooth.
  9. Aprire la "Gestione periferiche Bluetooth" sul PC.
    1. Selezionare l´inserimento Aggiungi periferica.
    2. Windows cercherà i dispositivi Bluetooth visibili.
    3. Nella lista, selezionare il proprio controller MINDSTORMS NXTe cliccare su Avanti.
    4. Il controller MINDSTORM richiede l´inserimento di una password per stabilire una connessione: viene proposto
      1234_. Confermare la password premendo il tasto arancione.
    5. La password definita nel MINDSTORMS 2.0 Controller deve essere inserita anche sul PC.
    6. Cliccare su Avanti (Next).
  10. La connessione viene stabilita e il driver viene installato.
  11. Cliccare due volte sulla periferica Bluetooth creata.
    Vengono visualizzati il dispositivo installato e la porta COM. Connettere il workbench di zenon Logic con questa porta COM, oppure connettere zenon con il driver stratonNG-Treiber.
    Per modificare la porta:
    1. Cliccare sulla proprietà.
    2. Cliccare sul pulsante Avanzate.
    3. Modificare il numero di porta nel modo desiderato.


Creare una connessione fra zenon Logic e straton.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una connessione fra zenon Logic e straton:

  1. Avviare anzitutto zenon. Si apre il progetto MINDSTORMS.
    Se si desidera aprire un progetto differente, oppure un altro workspace, aprire il workspace per il progetto usando il menù contestuale del workspace.
    Se si vuole creare un nuovo progetto:
    1. Selezionare il file -> Nuovo progetto
    2. Creare un nuovo progetto zenon Logic cliccando con il tasto destro del mouse sul nodo zenon Logic e poi selezionando nell´albero di progetto zenon Logic Nuovo progetto...
  2. Aprire il progetto zenon Logic cliccando due volte nel workbench.
  3. Nel workbench di zenon Logic, cliccare su Tools ->Parametri di comunicazione.

  4. Si aprirà la finestra di dialogo Opzioni, con la scheda Debug per configurare la connessione.
  5. Cliccare sul pulsante ... per aprire la finestra di dialogo di definizione delle impostazioni della comunicazione seriale.

  6. Configurare le impostazioni seriali in modo corrispondente a quelle per il controller LEGO.
    Nota: in questa finestra di dialogo è possibile selezionare solamente le porte COM dalla 1 alla 4. Tuttavia, si può inserire la porta COM direttamente, nel campo Parametri di comunicazione della scheda Debug della finestra di dialogo Opzioni.

  7. In questo modo, è stata completata la configurazione della connessione fra zenon Logic e straton.

Ancora in questo capitolo

Aggiungere il driver NXT in zenon Logic

Connetti controller NXT

Impostazioni base del controller


Aggiungere il driver NXT in zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Aggiungere il driver NXT in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere il driver NXT in zenon Logic:

  1. Nell´albero di progetto del workbench di zenon Logic, cliccare due volte su Configurazione fieldbus.
  2. Cliccare nella finestra "Driver I/O" sul simbolo, oppure sul comando nel menù contestuale per Aggiungi configurazione.

  3. Si aprirà la finestra di dialogo di configurazione.

  4. Selezionare LEGO MINDSTORMS NXT 2.0.
  5. Ci sono tre sezioni:
    • NXT (Status)
    • Drives
    • Sensors

    Cliccando sul segno più (+) davanti alla sezione e si apre la sottoarea. Per ognuna di queste sezioni si possono creare molto semplicemente delle variabili predefinite.

Creare variabili

Creare le variabili richieste:

  1. Cliccare con il tasto destro del mouse sul ramo NXT, Drives, oppure Sensors.

  2. Nel menù contestuale, selezionare Create variable.

Drives

Ci sono due versioni: easy e advanced. Per iniziare, è meglio scegliere easye poi Create variable. Ulteriori informazioni sull´uso di Advanced Variables si trovano nella sezione Uso di variabili complesse di questa guida.

Sensors

Prima di creare una variabile nella sezione Sensors, si deve selezionare un tipo di sensore nel campo Type. A questo scopo, cliccare due volte sul campo Value.

Esempio di configurazione:


Connetti controller NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Connetti controller NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per connettere il controller NXT:

  1. Sul controller, selezionare USB come mezzo di connessione:
    1. Premere il tasto arancione.
    2. Usare i tasti grigi per passare al menu Settings e aprirlo premendo il tasto arancione.
    3. Selezionare Connection.
    4. Scegliere USB.
      (Se si vuole stabilire una connessione via Bluetooth, selezionare qui Bluetooth.)
  2. Compilare il progetto zenon Logic:
    1. Cliccare con il tasto destro del mouse nell´albero di progetto su mindstorms.
    2. Selezionare nel menù contestuale Compila progetto
  3. Andare online:
    1. Selezionate l´inserimento Online nel menù Progetto di zenon Logic.
    2. Si aprirà la richiesta di download.

    3. Cliccare su Yes.
  4. Il progetto è online e si può vedere come i sensori leggono i valori.


Impostazioni base del controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Impostazioni base del controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione di base

  1. Configurare le impostazioni di comunicazione (per i dettagli consultare la sezione seguente: Settings).
  2. Attivare o disattivare Bluetooth (per i dettagli consultare la sezione seguente: Connection).
  3. In caso di Bluetooth attivo: assegnare un nome univoco alla comunicazione Bluetooth.

Gestione

Accendere

Per accendere il controller, premere il tasto arancione.

Navigazione nel menù

  • Per aprire il menù: premere il tasto arancione.
  • Per chiudere il menù: premere il tasto grigio scuro.
  • Per navigare nel menù: premere il tasto freccia grigio di sinistra o di destra. Si seleziona una voce di menù con il tasto arancione. Per uscire da un sottomenù senza salvare, premere il tasto grigio scuro.

Spegnere

  1. Selezionate nel menù principale Turn off e premere il tasto arancione.
  2. Selezionare un´opzione:
    1. Save: salva tutte le impostazioni sulla memoria flash e chiude il controller. L´applicazione straton attualmente caricata, i dati ritentivi e la configurazione (Connection, Volume) vengono salvate sulla memoria flash.
    2. Don't save: chiude l´applicazione senza salvare i dati o la configurazione sulla memoria flash.
    3. Cancel: la chiusura viene interrotta e viene aperto il menù principale.

Durante l´avvio successivo, vengono caricati i dati salvati l´ultima volta (applicazione straton.

Menù di straton

Con il menù di straton si può avviare o terminare l´applicazione straton caricata. Per aprire il menù, selezionare l´inserimento straton del menù principale.

Statistics

Statistics visualizza le informazioni relative all´applicazione attualmente in esecuzione. Per visualizzare i dati corrispondenti, selezionare l´inserimento Statistics del menù principale. Verrà visualizzato quanto segue:

  • Il nome dell´applicazione caricata
  • La dimensione codice in kB
  • Le dimensioni database in kB
  • Il tempo di esecuzione del ciclo di straton
  • La latenza del ciclo in microsecondi

Menu Settings

In questo menù si configura e viene visualizzato quanto segue:

  • Versions: informazioni sulla versione utilizzata.
  • Bluetooth: attivazione o disattivazione di Bluetooth. Si possono amministrate i nomi e i contatti.
    • Name: inserite un nome per il dispositivo Bluetooth. Il nome dovrebbe essere unico nell´ambito della rete Bluetooth.
    • On/Off: attiva/disattiva Bluetooth sul controller.
    • Visibility: stabilisce se il dispositivo è visibile per altri dispositivi Bluetooth.
    • Search: avvia la ricerca di dispositivi Bluetooth. Per aggiungere un dispositivo ai contatti Bluetooth, selezionarlo fra quelli della lista dei dispositivi trovati.
    • Contacts: amministra i contatti. Potete cancellare dei contatti (dispositivi che si potrebbero connettere), oppure stabilire delle connessioni (per es. per pairing).

Connection

Selezionare la connessione che deve essere utilizzata dal server di comunicazione di straton. Questa connessione viene usata per la comunicazione con il workbench di zenon Logic. Il server di comunicazione include anche un MODBUS Slave. Anche il driver di zenon per straton deve essere connesso con il server di comunicazione. Le impostazioni possibili sono:

  • USB
  • Bluetooth: connessione Bluetooth in ingresso.
  • RS-485: porta RS-485 con i parametri 115200, E, 8, 1
    Attenzione: l´uso di RS-485 disattiva la Sensor-Port 4. Bisogna tenete anche presente che il protocollo del server di comunicazione di straton può essere usato solamente punto a punto
  • None: il server di comunicazione non viene utilizzato.

Volume

Determina il volume degli altoparlanti incorporati. I possibili valori vanno da 0 a 4:

  • 0: spenti.
  • 4: Massimo


Sviluppare delle applicazioni di straton per NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le applicazioni straton su LEGO MINDSTORMS 2.0 valgono le seguenti restrizioni:

straton Runtime:

  • Dimensione massima del codice: 26 kB
  • Dimensioni massime della banca dati di straton: 20 kB

Nota: si può verificare la dimensione del codice e della banca dati nel menù Statistics.

zenon Logic Workbench

  • Si possono usare solamente le porte COM dalla 1 alla 9. Se ad un dispositivo USB, oppure ad una porta COM bluetooth è stato assegnato un numero di porta superiore a 9, si deve cambiare manualmente questa impostazione assegnando un numero inferiore a 10.
  • Nel workbench possono essere selezionate solamente le porte COM1 – COM4. Tuttavia, dei numeri di porta possono essere inseriti direttamente nella stringa del parametro, per es. COM9:19200,N,8,1. (Vedere anche la sezione Crea collegamento fra zenon Logic e stratondi questa guida.)
    Nota: in caso di una connessione USB o bluetooth, è sufficiente indicare la porta, per es. COM5

info Info

Per le informazioni generali sulla programmazione di LEGO MINDSTORMS NXT 2.0 si prega di consultare la documentazione LEGO.

Ancora in questo capitolo

Usare le porte di comunicazione NXT

Funzioni


Usare le porte di comunicazione NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti NXT contengono tre porte di comunicazione, che possono essere raggiunte dalle applicazioni straton.

Nel menù Settings si seleziona una di questa connessioni per il server di comunicazione. Questa connessione non potrà più essere usata al di fuori dell´applicazione straton (per es. da un MODBUS Master, oppure da un blocco funzioni). Se, tuttavia, è stata aggiunta una configurazione MODBUS Slave, un MODBUS Slave può usare la porta qui configurata.

Ulteriori informazioni sull´uso delle porte seriali nel programma straton e via driver MODBUS I/O, si trovano nella documentazione di zenon Logic. Per visualizzarle, premere nel workbench il tasto F1, o usare la voce di menù Help.

Tutte le porte che non vengono usate dal server di comunicazione, possono essere utilizzate dall´applicazione di straton e vengono raggiunte nel modo descritto di seguito:

Ancora in questo capitolo

USB

Bluetooth

RS-485 Port (seriale)

Fieldbus


USB

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> USB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il componente NXT può essere connesso ad un computer tramite la porta USB. NXT viene riconosciuto dal PC come una connessione seriale.

La porta USB può essere raggiunta dall´applicazione di straton quando si seleziona USB come porta COM.


Bluetooth

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Bluetooth

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La porta Bluetooth può essere usata in due modi:

  1. Per connessioni in ingresso:
    in questo caso, la connessione viene stabilita da un dispositivo remoto, per es. un PC. In questo caso è sufficiente la stringa BT per usare la porta Bluetooth.
  2. Per connessioni in uscita:
    NXT viene configurato per stabilire una connessione con un altro dispositivo Bluetooth, per es. un altro oggetto NXT. In questo caso, usare una stringa che inizia con BT e finisce con il nome del dispositivo, per esempio BT:NXT.
    Nota: il dispositivo da raggiungere deve già essere contenuto nei contatti Bluetooth. Per aggiungere manualmente un dispositivo ai contatti, avviare la ricerca e stabilite la connessione manualmente una volta. Al momento del primo contatto, è probabile che venga richiesto un pairing.


RS-485 Port (seriale)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> RS-485 Port (seriale)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti NXT contengono anche una porta seriale RS-485. Questa, però, è condivisa con il sensore 4. Si potrà usare, dunque, o solo la porta o solamente il sensore.

La porta RS-485 viene raggiunta tramite la stringa di caratteri HS. Di default si aprirà la porta con i seguenti parametri:

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Modificare i parametri

Se si vogliono modificare i parametri di comunicazione, aggiungerli dopo i due punti, separati da virgole. La successione:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Per esempio: HS:19200,N,8,1

Nota: se si usa la porta RS-485 con MODBUS oppure con il protocollo di straton, settare i Data Bits sempre su 8.


Fieldbus

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con straton NXT è possibile usare anche la configurazione MODBUS Slave e MODBUS Master. Le informazioni relative a MODBUS si trovano nella documentazione di zenon Logic. Per visualizzarle, premere nel workbench il tasto F1, oppure usate la voce di menù Help. L´uso di sensori NXT e di porte motore si configura quando si configura LEGO LEGO MINDSTORMS NXT 2.0.

Ancora in questo capitolo

Variabili di stato

Variabili drive

Variabili del sensore colori

Touch Sensor Multiplexer (HT)

Il sensore giroscopico (HT)

Il Digital Acceleration Sensor (HT)

Il Compass sensor digitale (HT)

Altri sensori


Variabili di stato

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili di stato

Sono disponibili le seguenti variabili di stato:

  • STATUS_BATTERYVOLTAGE: carica attuale della batteria in minivolt.
  • STATUS_BATTERYSTATE: capacità della batteria.
    Valore: da 0 a 4 (come visualizzato sul display NXT)
  • STATUS_BLUETOOTHSTATE: stato Bluetooth
    Valori:
    • 0: on
    • 1: visibile
    • 2: connesso
    • 3: connesso e visibile
    • 4: off
  • STATUS_USBSTATE: stato USB
    Valori:
    • 0: disconnesso
    • 1: connesso
    • 2: in funzione.
  • STATUS_RECHARGEABLE: stato per accumulatori ricaricabili.
    Valori:
    • 0: non esiste nessun accumulatore ricaricabile
    • 1: esistono accumulatori ricaricabili
  • STATUS_ERROR: Codice di errore


Variabili drive

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili drive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili drive

Per il drive sono a disposizione le seguenti variabili:

  • PORT_x_AUTOSPEED (SINT, Output): Definisce la velocità del motore.
    Valori: da -100 a 100
    • 0: motore spento
    • -100: velocità massima indietro
    • 100: velocità massima in avanti
  • PORT_x_TACHOCOUNT (DINT, Input): Contiene il numero assoluto di giri del motore in gradi angolari. 360° sono un giro completo al secondo. Valori possibili: da -2.147.483.648 a 2.147.483.647

Variabili complesse

Operazioni più complesse del drive vengono configurate ricorrendo a variabili complesse. Si seleziona questo tipo di variabili usando l´inserimento Create advanced variables del menù contestuale.

attention Attenzione

Non usare la variabile AUTOSPEED e le Advanced Variables contemporaneamente. L´uso contemporaneo di queste variabili, infatti, può avere delle conseguenze incerte e indesiderate sul drive.

Una descrizione del modo in cui configurare queste variabili si trova nella sezione Uso delle variabili complesse di questa guida.


Variabili del sensore colori

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili del sensore colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili del sensore colori

Per la rilevazione dei colori sono a disposizione le seguenti variabili:

  • PORT_x_COLOR (INT, Output): definisce la modalità del sensore.
    • 0: modalità passiva (misura della intensità della luce)
    • 1: viene misurato il colore rosso.
    • 2: viene misurato il colore verde.
    • 3: viene misurato il colore blu.
    • 4: vengono misurati tutti i colori.
  • PORT_x_VALUE (INT, Input)

    Se la modalità è passivo, rosso, verde o blu:

    • Un valore compreso fra 0 e 255 definisce l´intensità del colore.

    Se la modalità è tutti i colori:

    • 1: nero
    • 2: blu
    • 3: verde
    • 4: giallo
    • 5: rosso
    • 6: bianco
  • PORT_x_RED: nella modalità tutti i colori viene misurata l´intensità del colore rosso.
  • PORT_x_GREEN: nella modalità tutti i colori viene misurata l´intensità del colore verde.
  • PORT_x_BLUE: nella modalità tutti i colori viene misurata l´intensità del colore blu.
  • PORT_x_GRAY: viene misurata la luminosità.


Touch Sensor Multiplexer (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Touch Sensor Multiplexer (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Touch Sensor Multiplexer (HT)

Per i sensori tattili sono a disposizione le seguenti variabili:

Se si usa l´Hitechnic Touch Sensor Multiplexer, si può connettere fino ad un massimo di quattro sensori con una porta NXT:

  • PORT_x_SWITCH1: stato del sensore 1
  • PORT_x_SWITCH2: stato del sensore 2
  • PORT_x_SWITCH3: stato del sensore 3
  • PORT_x_SWITCH4: stato del sensore 4


Il sensore giroscopico (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il sensore giroscopico (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il sensore giroscopico (HT)

Il LEGO MINDSTORMS 2.0 NXT Gyro Sensor informa sul numero di giri del motore e sul senso di rotazione. I giri vengono misurati in gradi angolari. 360° sono un giro completo al secondo.

Dopo l´avvio dell´applicazione di straton, il sensore viene calibrato automaticamente durante la connessione. A questo scopo viene calcolato il valore zero attuale. Questa procedura dura circa 200 ms. Durante questo periodo di tempo, non si deve muovere il sensore.

  • PORT_x_VALUE: numero di gradi angolari per rotazione al secondo.
  • PORT_x_INVALID: è TRUE quando:
    • Il sensore viene calibrato.
    • Il valore non può essere letto


Il Digital Acceleration Sensor (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Digital Acceleration Sensor (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il Digital Acceleration Sensor (HT)

Il sensore accelerometro di LEGO MINDSTORMS 2.0 NXT è un sensore digitale che rileva l´accelerazione lungo i tre assi cartesiani x, y e z . L´accelerazione viene misurata e visualizzata nell´intervallo compreso fra -2g a +2g, con circa 200 valori per g.

L´accelerometro può essere anche utilizzato per misurare l´inclinazione in tre assi. Questo è possibile perché la gravitazione è percepita come accelerazione. Se il sensore è immobile nella normale posizione orizzontale, l´asse X e l´asse Y, essendo orizzontali, saranno prossimi allo 0, mentre il valore dell´asse Z sarà vicino a 200, che corrisponde a 1g. Se poi si inclina il sensore, anche gli altri assi percepiranno la gravitazione terrestre e il valore dell´asse Z diminuirà. Visto che la gravitazione terrestre viene divisa fra tre vettori parziali, è possibile determinare l´inclinazione del sensore.

  • PORT_x_VALUE_X: accelerazione in direzione dell´asse X.
  • PORT_x_VALUE_Y: accelerazione in direzione dell´asse Y.
  • PORT_x_VALUE_Z: accelerazione in direzione dell´asse Z.
  • PORT_x_INVALID: diventa TRUE se i dati del sensore non possono essere letti.


Il Compass sensor digitale (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Compass sensor digitale (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il Compass sensor digitale (HT)

Il sensore bussola digitale di LEGO MINDSTORMS 2.0 NXT contiene una bussola magnetica digitale, che misura il campo magnetico terrestre ed invia un valore che rappresenta la rotta che si sta seguendo Il sensore bussola può essere connesso ad una porta NXT con un cavo NXT standard e usa il protocollo di comunicazione digitale I2C. La rotta attuale viene calcolata sul prossimo numero intero: il nord è rappresentato dal valore 0, l’est da 45, il sud da 90 e l’ovest dal 135.

L´HiTechnic Compass Sensor viene influenzato da interferenze magnetiche locali, come ogni altra bussola magnetica. Oggetti di metallo, come motori, batterie e cavi, possono causare delle interferenze magnetiche. Queste interferenze possono far sì che la bussola restituisca dei valori che differiscono di più gradi dalla prora magnetica attuale. Questo effetto viene chiamato "deviazione della bussola". Per correggere queste deviazioni, l´HiTechnic Compass-Sensor ha una funzione di calibrazione integrata, che corregge la deviazione e salva i valori nella bussola.

La calibrazione è opzionale e, di regola, non necessaria durante il funzionamento normale. Per ridurre al minimo la necessità di una calibrazione, montare la bussola perlomeno 10/15 cm (4/6 pollici) distante dal NXT e dal motore NXT.

Per calibrare la bussola nel programma:

  • Selezionare calibration mode.
  • Programmare l´oggetto NXT in modo tale che ruoti in un cerchio molto stretto.
  • Deve ruotare fra una volta e mezzo e 2 volte (più di 360 gradi).
  • Deve eseguire una rotazione completa in circa 20 secondi.

La bussola manterrà l´impostazione di calibrazione finché non verrà eseguita una nuova calibrazione, anche nel caso che le si tolga la corrente.

  • PORT_x_VALUE: attuale prora in gradi.

    0: Nord

  • PORT_x_INVALID: viene settato TRUE se i dati del sensore non possono essere letti.
  • PORT_x_CAL: (emissione) controlla la modalità di calibrazione.
    • TRUE: passa al calibration mode
    • FALSE: passa alla modalità di misurazione.

    Nota: nella modalità di calibrazione, il sensore restituisce dati non validi.


Altri sensori

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Altri sensori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Altri sensori

Le seguenti variabili aggiuntive sono disponibili per i sensori:

  • PORT_x_VALUE: valore sensore, dipendente dal tipo di sensore.
    • Sound dB
    • Sound dBA
    • Ultrasonic: distanza in centimetri (cm).
    • Temperature: temperatura in gradi centigradi Celsius (°C/10)
  • PORT_x_INVALID:
    • TRUE: il sensore si trova in stato di errore.


Funzioni

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter selezionare delle funzioni, queste devono trovarsi nella cartella corrispondente. Copiare la cartella Mindstorms NXT dalla cartella HWDEF, che si trova sul supporto di installazione, nella cartella HWDEF della vostra installazione straton.
Per esempio: %ProgramData%\COPA-DATA\zenon7.60711\straton\HWDEF\Mindstorms NXT

Sono disponibili le seguenti funzioni:

  • BUTTONENABLE: straton assume il controllo sui tasti NXT.
  • BUTTONGET: trasmette informazioni relative a quale tasto è stato schiacciato.
  • DISPLAYERASE: cancella il contenuto dello schermo.
  • DISPLAYLINE: traccia una linea.
  • DISPLAYPIXEL: disegna un pixel.
  • DISPLAYSTRING: scrive una stringa.
  • SOUNDFREQUENCY: emette dei suoni.

Ancora in questo capitolo

BUTTONENABLE

BUTTONGET

DISPLAYERASE

DISPLAYLINE

DISPLAYPIXEL

DISPLAYSTRING

SOUNDFREQUENCY


BUTTONENABLE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> BUTTONENABLE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL BUTTONENABLE (BOOL ENABLE)

Durante l´attivazione con ENABLE e lo stato TRUE, il controllo viene trasmesso a straton usando i pulsanti dell´oggetto NXT. Gli stati dei tasti possono essere letti con BUTTONGET.

Nota:

  • in questo caso, il menù System viene disattivato sull´oggetto NXT.
  • L´attivazione di questa funzione è possibile solamente se il menù non è attivo sull´oggetto NXT.
  • Questo stato può essere interrotto, per es. da una finestra di dialogo Bluetooth-Pairing. In questo caso, BUTTONGET restituisce il valore -1.

Valore di risposta:

  • TRUE: azione eseguita con successo.


BUTTONGET

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> BUTTONGET

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SINT BUTTONGET

Valori di risposta:

  • -1: i tasti non possono essere letti da straton. Il menù System dell´oggetto NXT è attivo.
  • 0: nessun tasto premuto.
  • 1: tasto sinistro premuto.
  • 2: tasto Invio (tasto arancione) premuto.
  • 3: tasto destro premuto.
  • 4: tasto Esci (tasto grigio scuro) premuto.


DISPLAYERASE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYERASE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYERASE

Cancella il contenuto dello schermo.

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYLINE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYLINE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Traccia una linea dal punto X1,Y1 al punto X2,Y2.

Valori per C:

  • TRUE: traccia linea
  • FALSE: cancella linea

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYPIXEL

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYPIXEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Disegna un punto con le coordinate X,Y.

Valori per C:

  • TRUE: disegna un punto
  • FALSE: cancella un punto

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYSTRING

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYSTRING

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Scrive una stringa che inizia con la posizione XY indicata.

Valore di risposta:

  • TRUE: azione eseguita con successo.


SOUNDFREQUENCY

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> SOUNDFREQUENCY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Riproduce un suono con la frequenza indicata in Hz per una durata definita in millisecondi. Il volume (VOL) viene indicato in un intervallo che va da 1 a 4. Il limite massimo è rappresentato dal volume massimo configurato nel menù Volume

Valore di risposta:

  • TRUE: azione eseguita con successo.


Connettere MINDSTORMS 2.0 Runtime con zenon

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Connettere MINDSTORMS 2.0 Runtime con zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo progetto zenon Logic in zenon, si raccomanda di usare il driver stratonNG. Questo supporta la comunicazione seriale.

Quando si crea un nuovo progetto zenon Logic, si definisce nella finestra di dialogo il nome del progetto e il driver usato.

Selezionare nel menù a tendina l´inserimento STRATONNG.

Nota: la selezione driver non può più essere cambiata in seguito.

Configurare il driver stratonNG

Per configurare il driver:

  1. Selezionare nell´albero di progetto di zenon il nodo Variabili -> Driver
  2. Selezionare il driver stratonNG
    Nota: questo driver viene visualizzato con il nome definito per il progetto, per es. straton: mindstorms
  3. Selezionare nel menù contestuale Configurazione driver
  4. Si aprirà la finestra di dialogo per la configurazione del driver.
  5. Aprire la scheda "Connections".

Per modificare il driver:

  1. Selezionare il nome della connessione.
  2. Cliccate su Edit
  3. Configurare la connessione.
  4. Cliccate su Save e poi su OK

Configurazione del driver per la connessione nell´ambito di LEGO MINDSTORMS 2.0:

Opzione

Descrizione

Connection name

Deve corrispondere al nome progetto.

Se il nome è differente da quello del progetto, si verificheranno degli errori durante la connessione con il controller.

Adressing

Nella comunicazione con straton NXT via USB o Bluetooth, è sufficiente settare la porta, senza eseguire ulteriori impostazioni, per es. COM5:

Primary IP address

Inserimento della porta COM.

Gli inserimenti che cominciano con COM e finiscono con due punti, vengono interpretati come porta COM.

Attenzione: i due punti (:) devono essere presenti alla fine della definizione della porta. Altrimenti non sarà possibile stabilire una connessione.

Se non si indicano altri parametri, viene usata la configurazione standard della porta COM.

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Se si vuole modificare i parametri di comunicazione, si deve aggiungerli dopo i due punti, separati da virgole. La successione:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Per esempio: COM5:19200,N,8,1

Limitazioni: se viene impostata una porta COM, non è possibile usare:

  • Event-Connection
  • Connessioni multiple (più di una connessione con il driver)

La documentazione di queste impostazioni riguarda la comunicazione nell´ambito di LEGO MINDSTORMS 2.0. I dettagli sulla configurazione generale del driver stratonNG si trovano nella guida in linea (F1), nel capitolo stratonNG.


Domande e risposte

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le domande più comuni riguardanti l´installazione e il funzionamento di LEGO MINDSTORMS con straton e lo zenon Science Package.

Domanda | Domanda
Perché viene visualizzata una segnalazione di errore durante l´installazione? | Probabilmente c`è già un´installazione zenon nel sistema. Usate l´installazione esistente. Dettagli: messaggi di errore durante l´installazione dello zenon Science Package.
Come tornare al firmware originale di LEGO? | Per tornare al firmware originale si deve seguire la procedura usata per installare il firmware di straton quando esiste nel sistema un altro firmware. Dettagli: attivare il firmware originale di LEGO.
Cosa si fa se il LEGO Firmware Loader non trova il controller? | Cambiare la porta USB, oppure installare di nuovo il suo driver. Dettagli: LEGO Firmware Loader non trova il controller.
Che cosa si fa se il driver del workbench di zenon Logic non comunica più con il controller? | Ci possono essere diverse cause. Controllare le impostazioni e se tutti i dispositivi sono online. Dettagli: il driver del workbench di zenon Logic non comunica con il controller
Che cosa si fa se il driver stratonNG non comunica più con il controller? | Ci possono essere diverse cause. Controllare i parametri di comunicazione, Runtime e il progetto. Dettagli: il driver stratonNG non comunica con il controller.

Ulteriori domande e risposte si trovano nell´user forum di COPA-DATA: www.copadata.com/forums/.

Ancora in questo capitolo

Messaggio di errore durante l´installazione di zenon Science Packages

Attivare il firmware originale di LEGO

Il LEGO Firmware Loader non trova il Controller.

il driver del workbench di zenon Logic non comunica con il controller

Il driver stratonNG non comunica con il controller.


Messaggio di errore durante l´installazione di zenon Science Packages

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Messaggio di errore durante l´installazione di zenon Science Packages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´installazione dello zenon Science Package for LEGO MINDSTORMS Science Package viene visualizzato un messaggio di errore che si riferisce ad un´installazione già esistente.

Questa versione di zenon è stata già installata sul vostro sistema. Non si deve più installare zenon e si può usare la versione già esistente. Importare i progetti demo dal supporto di installazione e continuare con il punto installare il firmware.


Attivare il firmware originale di LEGO

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Attivare il firmware originale di LEGO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sul controller c´è un firmware non fornito dalla Ditta LEGO, questo deve essere settato su Firmware-Load-Mode; poi sarà possibile installare altro firmware. Questa modalità è necessaria anche se si vuole eseguire un update del firmware di straton , o caricare di nuovo un firmware di LEGO. Per settare il controller nel Firmware-Load-Mode:

  1. Premere contemporaneamente perlomeno per 5 secondi, finché si sente un clic flebile:
    • Il pulsante Start arancione e
    • Il "rest-button" che si trova sulla parte posteriore del dispositivo.
      Il modo migliore di premere il "rest-button" è usare un oggetto appuntito.

  2. Accendere il controller NXT premendo il tasto arancione.

  3. Il controller NXT si avvia in Firmware-Load-Mode . Si sente un suono regolare.
  4. Avviare il download del firmware desiderato.
    A questo scopo si deve instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è richiesto il driver COPA-DATA.

attention Attenzione

Il Firmware-Load-Mode può essere terminato solamente con il download di un firmware.

Download del firmware di LEGO:

  1. Collegate il controller al PC via USB.
  2. Lanciare il software LEGO MINDSTORMS NXT 2.0.
  3. Selezionare nel menù Tools l´inserimento Update NXT Firmware.
  4. Il firmware originale LEGO MINDSTORMS NXT è preselezionato.
  5. Cliccare sul pulsante Download.
  6. Il controller si riavvia con il firmware originale di LEGO.


Il LEGO Firmware Loader non trova il Controller.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il LEGO Firmware Loader non trova il Controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il LEGO Firmware Loader non trova il controller, collegare il cavo USB con un´altra porta USB. In questo modo, il driver USB viene installato per il "Firmware Loader mode".

Se questo non dovesse risolvere il problema, si deve disinstallare il driver. Procedura:

  1. Aprire la "Gestione periferiche" nel Pannello di controllo mentre il controller è connesso.
  2. Selezionare il driver LEGO MINDSTORMS NXT Firmware Update Mode.
  3. Cliccarci sopra una volta con il tasto destro del mouse

  4. Selezionare Disinstalla nel menù contestuale.
  5. Scollegare il cavo USB dal controller LEGO MINDSTORMS 2.0 e ricollegatelo.
  6. Il driver viene reinstallato automaticamente.


il driver del workbench di zenon Logic non comunica con il controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> il driver del workbench di zenon Logic non comunica con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto via porta seriale virtuale. È possibile collegare solo un´applicazione alla volta.

Diverse possono essere le cause per la quali la comunicazione non funziona. Le più frequenti sono:

  1. Il driver stratonNG e zenon sono ancora online.
  2. Le impostazioni della porta COM sono errate. Nel menù Communication parameters, settare le impostazioni corrette per la porta COM..
  3. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Settarle sulla connessione usata al momento.


Il driver stratonNG non comunica con il controller.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il driver stratonNG non comunica con il controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto via porta seriale virtuale. È possibile collegare solo un´applicazione alla volta.

Diverse possono essere le cause per la quali la comunicazione non funziona. Le più frequenti sono:

  1. Il workbench di zenon Logic è ancora online.
  2. Le impostazioni della porta COM sono errate.
  3. Il Runtime di straton non è stato lanciato sul controller LEGO MINDSTORMS 2.0.
    Per avviare il Runtime:
    1. Premere il tasto arancione.
    2. Appena viene visualizzato l´inserimento straton, premere un´altra volta il tasto arancione.
    3. Selezionare Start e premere il tasto arancione.

    Che il Runtime è attivo, si capisce dal fatto che il simbolo quadrato accanto allo stato della batteria ruota su se stesso.

  4. Il progetto straton non è stato scaricato sul controller.
    Se un progetto è stato scaricato, bisogna controllare se si tratta di quello corretto.
  5. I nomi simbolo delle variabili non sono stati attivati.
  6. Il nome connessione del driver stratonNG non è identico a quello del progetto zenon Logic.
  7. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Settarle sulla connessione usata al momento.


Uso di variabili complesse

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Uso di variabili complesse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa sezione spiega come controllare un motore con variabili complesse.

info Info

L´uso di variabili complesse è consigliato solo ad utenti esperti!

Con una programmazione addizionale, si può far sì che i motori NXT si muovano con un angolo definito. Questo è il requisito per progettare dei movimenti molto precisi. Per la progettazione:

  1. Creare tutte le variabili cliccando sulla porta e selezionando Create advanced variables nel menù contestuale.

  2. Si ottengono 15 variabili.

Quelle di rilievo sono:

  • PORT_n_FLAGS
    • Maschera di bit da cui devono essere scritte le variabii.
  • PORT_n_TACHOLIMIT
    • Il limite relativo per il numero di gradi per il quale il motore deve ruotare.
    • Attenzione: questo valore è sempre positivo, anche quando il motore ruota all´indietro.
  • PORT_n_MODE
    • Modalità che il motore deve usare.
    • Non si riferisce ad avanti o indietro, o a velocità crescente o decrescente, ma a comandi interni.
  • PORT_n_SPEED
    • Velocità del motore.
    • Ambito: da -100 (indietro) fino 100 (avanti)
  • PORT_n_RUNSTATE
    • Come deve funzionare il motore.
    • Proprietà fisiche (set speed instantly, Ramp UP o Ramp DOWN)

attention Attenzione

Tutte le variabili devono essere scritte in un ciclo!

Questo significa: le variabili non possono essere forzate dal zenon Logic Workbench.

Struttura

Internamente, NXT usa una struttura. Tutte le variabili di questa struttura vengono create cliccando con il tasto destro del mouse sulla porta e selezionando Create advanced variables nel menù contestuale. Questa struttura viene scritta in ogni ciclo. Tuttavia, visto che PORT_n_FLAGS viene settata da straton su 0 dopo ogni ciclo, non succederà nient´altro.

La variabile PORT_n_Flags è una maschera di bit per quelle variabili che sono rilevanti in questo ciclo per la struttura che straton interroga. Per impartire un comando Move n degree, settare la variabile PORT_n_FLAGS su una maschera di bit [ST]:

In questo modo si è definito che i dati sono disponibili per PORT_n_MODE, PORT_n_SPEED e PORT_n_TACHOLIMIT. Quali valori devono avere queste variabili?

Anche per PORT_n_MODE avete bisogno di una maschera di bit. In linea di principio, bisogna settare sempre entrambe se si vuole avere un movimento in avanti [ST]:

Adesso è stata settata la maschera di bit l´update delle variabili e di alcuni parametri flag interni.

Adesso ci si può concentrare sulla parte più interessante: La modalità di rotazione del motore - PORT_n_RUNSTATE. In questo caso non si ha a disposizione nessuna maschera di bit. I valori sono esclusivi.

E finalmente: PORT_n_SPEED e PORT_n_TACHOLIMIT:

attention Attenzione

Ci si deve assicurare che questi valori non siano scritti in ogni ciclo. Altrimenti il comando di rotazione sarà eseguito in ogni ciclo. Tuttavia, si devono scrivere tutte le variabili in ogni ciclo. Bloccare la scrittura di questi valori.


zenon Science Package per LEGO MINDSTORMS EV3

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS EV3 consente la programmazione di oggetti LEGO MINDSTORMS EV3.

Preparazione:

zenon 7.20 è già installato e il supporto di installazione è disponibile.
Se zenon non è stato ancora installato, si deve installare lo <CD_PRODUCTNAME zenon Science Package for LEGO MINDSTORMS Science Package nella versione 7.20, oppure più recente.

Ancora in questo capitolo

Requisiti

Installazione

zenon Logic - Creare un progetto

Configurazione di EV3 in zenon Logic

Collega EV3 con l´Editor di zenon Logic

Primi passi nel progetto demo

COPA-DATA Forum


Requisiti

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hardware:

  • Netgear WNA1100 Wi-Fi Dongle
  • LEGO MINDSTORMS EV3 con "Firmware Version" 1.03E , 1.03H oppure una versione più recente.

Software:

  • zenon a partire dalla versione 7.20.
  • Runtime di LEGO MINDSTORMS EV3 (si trova sul supporto di installazione nella directory \AdditionalSoftware\Science Package - Firmware\EV3)
  • Bricx Command Center (disponibile su http://bricxcc.sourceforge.net/)

Firmware per LEGO MINDSTORMS EV3

La versione del firmware sul LEGO MINDSTORMS EV3 deve essere almeno 1.03E, 1.03H o una versione ancora più recente.

Per verificare la versione del firmware, selezionare Brick Info nella scheda Impostazioni del LEGO MINDSTORMS EV3. La più recente versione del Firmware (file *.bin) è a disposizione per il download nella web site di LEGO.

Per aggiornare il firmware, usare il software LEGO.


Installazione

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´installazione comprende:

  • zenon Science Package
  • EV3 Setup
  • zenon Logic Editor e Runtime

Se zenon 7.20,(oppure una versione più recente) è stato già installato, si può eseguire immediatamente il setup di EV3.

Installazione dello zenon Science Package

Avviare la procedura di installazione dal supporto di installazione di zenon e seguire le indicazioni dell´assistente. Si può scaricare lo zenon Science Package anche dalla Homepage di COPA-DATA. Questa installazione comprende già zenon Logic.

Installazione del Runtime straton su LEGO EV3

  1. Installare il Bricx Command Center.
    Il programma si trova su http://bricxcc.sourceforge.net/test_releases.
  2. Scaricare un test_release attuale .
    In queste istruzioni si usa test_release2013007.zip.
  3. Collegare il LEGO MINDSTORMS EV3 al PC usando un cavo USB.
  4. Aprire Bricx CC: Tools -> Find Brick
  5. Configurare la connessione.

    • Port: usb
    • Brick Type: EV3
    • Firmware: Linux
  6. Aprite il Bricx Explorer: Tools -> Explorer.

  7. Create una nuova cartella T5 Runtime.
  8. Aprite sul supporto di installazione la cartella T5 Runtime nel percorso \AdditionalSoftware\Science Package – Firmware\EV3\apps.
  9. Copiate i file in essa contenuti e aggiungeteli alla vostra cartella T5 Runtime- nel Brick Explorer.
  10. Aprite sul supporto di installazione la cartella \AdditionalSoftware\Science Package – Firmware\EV3\prjs.
  11. Qui copiate il file t5ev3 nella cartella in cui si trova anche la cartellaT5 Runtime.

  • Sul LEGO EV3 Brick c´è adesso il nuovo inserimento T5 Runtime.


zenon Logic - Creare un progetto

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> zenon Logic - Creare un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic contiene un tool di configurazione completamente integrato per il LEGO MINDSTORMS EV3, e una libreria con Functions e Function Blocks.

La prima cosa da fare è creare un progetto zenon e, al suo interno, un progetto zenon Logic.

zenon Creare un progetto

  1. Aprire l´Editor di zenon.
  2. Selezionare il File -> Progetto nuovo.
  3. Si apre la finestra di dialogo che serve alla creazione del progetto.

  4. Assegnare un nome al progetto.
  5. Cliccare su OK
    • Viene avviato il wizard per la creazione del progetto.
    • Chiudere il wizard.

In alternativa, si può anche aprire il progetto demo fornito con il pacchetto.

zenon Logic - Creare un progetto

  1. Nell´Editor di zenon, passare al nodo zenon Logic (IEC 61131-3).
  2. Selezionare nel menù contestuale, oppure nella barra degli strumenti della visualizzazione dettagli, Nuovo progetto zenon Logic .

  3. Si apre la finestra di dialogo per la creazione del progetto.
  4. Assegnare un nome al progetto.
  5. Cliccare su Fertigstellen


Configurazione di EV3 in zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime gestisce una tabella di allocazione che contiene iLEGO MINDSTORMS EV3 Inputs e Outputs. Nello zenon Logic Workbench è integrato un tool per la configurazione.

Per iniziare la procedura di configurazione:

  1. Nello zenon Logic Workbench cliccare due volte su Configurazione feldbus.

  2. Si apre la finestra Diver I/O.
  3. Cliccare con il tasto destro del mouse su un punto vuoto di questa finestra.
  4. Selezionare nel menù contestuale Aggiungi configurazione.
  5. Si apre la finestra Aggiungi configurazione.

  6. Aprire il nodo Tutte.
  7. Selezionare LEGO EV3.
  8. Cliccare su OK.

La configurazione verrrà creata nella visualizzazione ad albero:

Configurazione di LEGO EV3

  • EV3
    • Pulsanti
  • Sensors
    • Porta 0
    • Porta 1
    • Porta 2
    • Porta 3

Ancora in questo capitolo

Definire tipo sensore

Creare variabili

Function Blocks e Functions


Definire tipo sensore

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Definire tipo sensore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel gruppo "Sensori", si definisce un tipo di sensore per ogni porta.

Procedura:

  1. Cliccare due volte sulla porta.
  2. Si apre la finestra di configurazione.
  3. Cliccate due volte su Tipo.
  4. Si aprirà la lista di selezione.
  5. Selezionare il Tipo desiderato.

  6. Chiudere il dialogo cliccando su OK.


Creare variabili

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Creare variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili possono essere create automaticamente, oppure collegate manualmente.

Creare variabili automaticamente.

  1. Cliccare con il tasto destro del mouse sulla porta
  2. Selezionare nel menù contestuale Crea variabile
  3. Tutte le variabili necessarie verrano create automaticamente.

Nota: Se il tipo di sensore è stato impostato nessuno, non verrà creata nessuna variabile.

Collegare variabili manualmente.

Per collegare variabili manualmente:

  1. Cliccare con il tasto destro del mouse sulla porta
  2. Selezionare nel menù contestuale Inserire variabile
  3. Si aprirà la finestra di dialogo di configurazione.
  4. Cliccando su un valore, si apre la lista di selezione contenente i valori possibili per questo tipo.

Configurare le variabili

Parametro

Descrizione

Symbol

Selezione di una variabile corrispondente alla sintassi IEC 61131-3.

Area

Ambito.

Format

Tipo di dati:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non viene utilizzato.

Bit Number

Numero bit.

Tipi di dato

Si possono collegare variabili con qualsiasi tipo di dato ai LEGO EV3 I/Os. Il Runtime converte i valori degli I/O nei tipi di dato della variabile.

Nota: le variabili di tipo STRING non vengono supportate.


Function Blocks e Functions

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella libreria ci sono alcuni Function Blocks e Functions a disposizione degli utenti per la gestione di LED, sound, LCD e motori di LEGO EV3.

I seguentiFunction Blocks vengono descritti in modo più preciso:

  • LED
  • Sound
  • Motor

Ancora in questo capitolo

LED

Suono

Motore


LED

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> LED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea LED pattern:

Parametro

Descrizione

SetLed

Crea un LED pattern

[IN] LED

Indice dei LED pattern da utilizzare:

  • 0: Tutti i LED off.
  • 1-9: LED pattern corrispondente.

[OUT] Q

LED pattern attuale.


Suono

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> Suono

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Regolare la riproduzione del suono.

Generale:

Parametro

Descrizione

PlaySnd

Riproduzioni suoni.

[IN] ENABLE

Accendi riproduzione suono;

  • TRUE: I suoni vengono riprodotti.
    Per attivare la riproduzione, l´impostazione deve essere stata prima FALSE.
  • FALSE: I suoni non vengono riprodotti.

[IN] FREQ

Frequenza del suono.

[IN] DURATION

Durata del segnale.

[IN] VOLUME

Volume.

  • Minimo: 0
  • Massimo: 100

[OUT] PLAYING

TRUE, se i suoni vengono riprodotti.

System sounds:

Parametro

Descrizione

PlaySysSnd

Riproduci system sounds.

[IN] ENABLE

Accendi riproduzione suono;

  • TRUE: I suoni vengono riprodotti.
    Per attivare la riproduzione, l´impostazione deve essere stata prima FALSE.
  • FALSE: I suoni non vengono riprodotti.

[IN] SND

Indice del system sound.

[IN] VOLUME

Volume.

  • Minimo: 0
  • Massimo: 100

[OUT] PLAYING

TRUE, se un system sound viene riprodotto.

Symbol

Nome della variabile corrispondente alla sintassi IEC 61131-3.

Area
  • Data Exchange
  • Data Status.

Format

Tipo di dati:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non utilizzato.

Bit Number

Numero bit.


Motore

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> Motore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Imposta motore.

Informazioni motore.

Informazioni motore:

Parametro | Descrizione
MotorInfos | Richiama informazioni motore.
[IN] MOTOR | Indice del motore: 1 - 4
[OUT] SPEED | Velocità attuale.
[OUT] TACHO | Numero attuale di giri per la visualizzazione della distanza coperta.

Accensione motore

Accensione motore:

Parametro

Descrizione

Rotate

Accensione motore:

[IN] MOTOR

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[OUT] RUNNING

TRUE quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Accensione di più motori:

Parametro

Descrizione

Rotate2

Accensione di diversi motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

-255 fino a -1: Indietro.

0: Stop.

1 fino a 255: In avanti.

[OUT] RUNNING

TRUE quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Angolo di rotazione

Angolo di rotazione per un motore:

Parametro

Descrizione

RotateAngel

Angolo di rotazione per un motore.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] ANGLE

Angolo in gradi.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Angolo di rotazione per più motori:

Parametro

Descrizione

RotateAngel2

Angolo di rotazione per diversi motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] ANGLE

Angolo in gradi.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri

Rotazione per un motore:

Parametro

Descrizione

RotateCount

Girare un motore per un numero definito di impulsi contatore

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] COUNT

Numero degli impulsi di rotazione.

[IN] BRAKE

Freno.

TRUE: Il motore viene frenato alla fine.

FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri per più motori:

Parametro

Descrizione

RotateCount2

Girare più motori per un numero definito di impulsi contatore

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] COUNT

Numero degli impulsi di rotazione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Running time

Running time per un motore:

Parametro

Descrizione

RotateTime

Girare un motore per un determinato tempo.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] SECONDS

Tempo in secondi in cui il motore è in funzione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri per più motori:

Parametro

Descrizione

RotateTime2

Girare più motori per un determinato tempo.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] SECONDS

Tempo in secondi in cui i motori sono in funzione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Prestazione motore.

Definire la prestazione per un motore:

Parametro

Descrizione

SetPower

Definire la prestazione per un motore mentre è in funzione.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] SET

Definire la prestazione:

  • TRUE: La prestazione viene definita. A tal scopo, l´impostazione deve essere stata prima FALSE.
  • FALSE: La prestazione non viene modificata.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

Definire la prestazione per più motori:

Parametro

Descrizione

SetPower2

Girare più motori per un determinato tempo.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] SET

Definire la prestazione:

  • TRUE: La prestazione viene definita. A tal scopo, l´impostazione deve essere stata prima FALSE.
  • FALSE: La prestazione non viene modificata.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

Arresta motore.

Arresta un motore:

Parametro | Descrizione
StopMotor | Arresta un motore.
[IN] MOTOR | Indice del motore: 1 - 4
[IN] STOP | Il motore viene arrestato.

Arresta più motori:

Parametro

Descrizione

StopMotor2

Arresta più motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] STOP

I motori vengono arrestati.


Collega EV3 con l´Editor di zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Collega EV3 con l´Editor di zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LEGO MINDSTORMS EV3 e zenon Logic comunicano via Wi-Fi.

Per stabilire la connessione:

  1. Inserire il Netgear WNA1100 Wi-Fi Dongle nella porta USB del Brick.
  2. Attivare il Wi-Fi sul LEGO MINDSTORMS EV3.
    Procedura:
    1. Aprire la scheda Settings (simbolo tool).
    2. Attivare Wi-Fi.
  3. Collegarsi alla rete.

    Ulteriori informazioni sulla comunicazione via Wi-Fi si trovano nella guida relativa a LEGO MINDSTORMS EV3.

  4. Nell´Editor di zenon Logic, definire l´indirizzo IP del LEGO MINDSTORMS EV3.
    Procedura:
    1. Aprire il menù Tools.
    2. Selezionare il comando Parametri di comunicazione.
    3. Si apre la finestra di dialogo per selezionare l´indirizzo IP.
    4. Selezionare l´indirizzo IP dell´EV3. (Vedi anche capitolo Primi passi nel progetto demo.)

      Nota:
      - L´indirizzo IP corretto si trova nel Brick, nella scheda Settings (simbolo tool), alla voceBrick Info.
      - Il Runtime usa la porta 1100.

  5. Avviare il Runtime T5 sul LEGO MINDSTORMS EV3.
    Procedura:
    1. Selezionare nella scheda App (simbolo freccia) del Brick il T5 Runtime.
    2. Premere l´interruttore centrale sul Brick.
    3. Il Runtime viene lanciato.

Adesso si può creare un nuovo programma nel workbench di zenon Logic con cui gestire il LEGO MINDSTORMS EV3.


Primi passi nel progetto demo

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Primi passi nel progetto demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per provare le funzioni di base e la configurazione di LEGO MINDSTORMS EV3 con zenon e zenon Logic si può usare il progetto demo fornito con il pacchetto.

Procedura:

  1. Aprire il progetto demo EV3_DEMO nell´Editor di zenon.
  2. Collegare i sensori ed i motori alle porte corrispondenti.

  3. Configurare il driver zenon Logic: LEGO_EV3.

Configurazione del driver

Per configurare il driver:

  1. Navigare nel progetto di zenon e passare al nodo Driver (sotto Variabili).
  2. Cliccare con il tasto destro del mouse sul driver zenon Logic: LEGO_EV3.
  3. Selezionare Configurazione driver nel menù contestuale.

  4. Si apre la finestra di configurazione.

  5. Nella scheda Generale, selezionare l´inserimento Hardware per l´opzione Modalità.
  6. Passare alla scheda Connections (1).

    1. Selezionare la connessione LEGO_EV3 (2).
    2. Cliccare su Edit (3).
    3. Inserite per l´opzione Primary IP address l´indirizzo IP del vostro Brick.
      L´indirizzo lo trovate nel Brick, nella scheda Settings (simbolo tool), alla voce Brick Info.
    4. Cambiate l´opzione Primary port no (4) e settatela su 1100.
    5. Salvate il vostro inserimento cliccando su Save (5).
  7. Chiudete la finestra cliccando su OK.

Configurare il progetto di zenon Logic e avviare il Runtime

Dopo aver configurato il driver, aprire il progetto di zenon Logic.
Procedura:

  1. Nell´Editor di zenon, passare al nodo zenon Logic (IEC 61131-3).
  2. Cliccare due volte sul progetto

  3. Aprire nel zenon Logic Workbench il menù Tools.
  4. Cliccare su Parametri di comunicazione.

  5. Si apre la finestra di dialogo per configurare i parametri di comunicazione.
    (Vedi anche il capitolo Collegare EV3 con l´Editor di zenon Logic.)

  6. Inserire l´indirizzo IP del Brick di LEGO MINDSTORMS EV3 e il relativo numero di porta.
    Formato: Indirizzo IP: Numero di porta.
    L´indirizzo si trova nel Brick, nella scheda Settings (simbolo tool), alla voceBrick Info.
    Numero di porta: 1100.
  7. Collegatevi online con il Runtime di straton sull´EV3.
    Procedura:
    • Aprire il menù Progetto.
    • Selezionare l´inserimentoOnline.
    • Confermare la domanda visualizzata dopo il download del progetto cliccando su OK.
    • Caricare il progetto nell´EV3.
      (In alternativa: Progetto-> Scarica applicazione.)
  8. Passare all´Editor di zenon.
  9. Nella barra degli strumenti File Runtime cliccare sull´opzione Crea tutti i file Runtime.
  10. Cliccare su Avvia Runtime.

Il Runtime di EV3 verrà avviato.


COPA-DATA Forum

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> COPA-DATA Forum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eventuali domande riguardanti zenon Science Package for LEGO MINDSTORMS, potete avere informazioni e supporto nello Science Package Thread del COPA-DATA Forum: www.copadata.com/forums.


zenon Security Guide

Manuale -> zenon Security Guide

La sicurezza è un tema molto importante per COPA-DATA. Proprio per questo, zenon, zenon Logic e zenon Analyzer vengono regolarmente sottoposti a test per individuare eventuali rischi per la sicurezza; questi test non sono eseguiti solo internamente, ma anche esternamente, in collaborazione con università, istituti di ricerca ed esperti in materia di sicurezza. I problemi individuati vengono corretti immediatamente.

La sicurezza di un sistema dipende sempre dal livello di sicurezza del suo componente più debole. Ispirandosi al principio della Security in Depth, si adottano misure per minimizzare i rischi per la sicurezza a diversi livelli.

I punti di un sistema in cui si possono adottare misure per aumentare il livello di sicurezza sono molteplici e dipendono dalla singola situazione. L´idea, per esempio, che un firewall possa essere da solo una misura in grado di proteggere efficacemente un impianto di produzione, è ormai superata. Le misure di sicurezza adottabili per proteggere un sistema possono essere molto diverse:
Esempio:

  • Attivazione di funzioni di protezione.
  • Uso di ulteriori prodotti per la sicurezza.
  • Disabilitare quelle funzioni di cui non si ha bisogno.
  • Registrazione e monitoraggio di tutta la comunicazione.
  • Isolamento di aree, sia dal punto di vista della rete che dal punto di vista fisico.
  • Spegnimento di sistemi nel caso in cui altre misure di sicurezza non dovessero essere in grado di ridurre un rischio con un impiego di risorse ragionevole.

Per migliorare costantemente la sicurezza dei sistemi si consiglia di:

  • Eseguire regolarmente una validazione e una nuova analisi dei possibili rischi e delle misure adottate per eliminarli o ridurli.
  • Applicare le norme e gli standard.
  • Ricorrere eventualmente alla consulenza di esperti in materia di sicurezza.
  • Analizzare di nuovo i rischi e le misure di sicurezza ogni volta che si fanno delle modifiche al sistema.

Cosiddetti Penetration Tests possono essere utilizzati per verificare se le misure adottate garantiscono un livello di sicurezza sufficiente.

Questo manuale si occupa principalmente del sistema si cui viene installato il Runtime di zenon. Intende fornire delle informazioni relative ai possibili rischi e alle strategie da adottare per eliminarli. Contiene, inoltre, delle raccomandazioni relative alle misure di sicurezza generale. Indipendentemente dalle informazioni e dai suggerimenti contenuti in questo manuale, esortiamo a prendere in considerazione l´adozione di ulteriori misure di sicurezza.

La protezione di un ambiente di automazione comprende (fra l´altro) i seguenti importanti settori:

  1. I sistemi IT in generale:
    • Protezione del sistema operativo e di tutti gli altri software, come il server SQL.
    • Creazione e definizione di regole generali per ogni software, la rete e gli utenti.
  2. HMI/SCADA con zenon:
    • Protezione del Runtime e della sua comunicazione in rete.
    • Protezione dell´Editor.

Come può aiutarvi COPA-DATA a proteggere i vostri sistemi?

In linea di principio, vale quanto segue:

  • COPA-DATA offre delle funzionalità che mirano a rendere più difficile attaccare i server e i client di zenon, nonché la comunicazione di rete fra prodotti di zenon.
  • La comunicazione fra Runtime e PLC può essere protetta solo se protocollo, driver e PLC lo supportano.
  • zenon non si assume il compito di garantire la sicurezza generale del sistema. Questo è di competenza dei tecnici informatici. Se l´autore di un attacco ha superato gli ostacoli messi a protezione del sistema e si è procurato accesso al data system locale, può attaccare con successo anche zenon se dispone del know-how adeguato.
  • In presenza di un accesso non autorizzato con diritti di amministratore, l´applicazione di zenon non può più garantire per la sicurezza e la stabilità del sistema.

In questo modo COPA-DATA cerca di prevenire i problemi

COPA-DATA:

  • Collabora con università, istituti parauniversitari e esperti in materia di sicurezza.
  • Fa sottoporre zenon anche a test esterni per individuare eventuali rischi per la sicurezza.
  • Tiene sotto controllo tutti gli attacchi a software di automazione e test di sicurezza.
  • Analizza i punti deboli conosciuti di altri sistemi per verificarne gli effetti su zenon, zenon Logic e zenon Analyzer
  • Collabora con altri produttori (come, ad. es., NERC) sul tema della sicurezza.

COPA-DATA fornisce informazioni su come utilizzare i suoi prodotti in modo sicuro. Né COPA-DATA né i suoi prodotti possono garantire protezione in caso di configurazione negligente del sistema.
Raccomandazione: rivolgersi ad esperti in materia di sicurezza se nell´azienda non ci sono dipendenti che dispongono delle competenze necessarie in questo campo.

Ancora in questo capitolo

Protezione del sistema IT

Proteggere zenon

Ulteriori informazioni e consulenza


Protezione del sistema IT

Manuale -> zenon Security Guide -> Protezione del sistema IT

La sicurezza dei prodotti di COPA-DATA dipende anche da quella dell´ambiente IT in cui questi vengono utilizzati. COPA-DATA raccomanda di proteggere nel modo migliore possibile sistemi operativi, reti e accessi fisici a sistemi e computer e di sfruttare a questo scopo la consulenza di esperti in materia di sicurezza.

COPA-DATA può fornire consulenza solo per gli aspetti della configurazione dei prodotti di COPA-DATA rilevanti dal punto di vista della sicurezza. Le seguenti raccomandazioni generali relative ai sistemi IT si basano sul bagaglio di esperienze accumulate e di analisi eseguite nella ditta COPA-DATA, non intendono però sostituire l´analisi e la verifica concreta del vostro sistema da parte di esperti in materia di sicurezza.

attention Attenzione

I punti deboli del sistema di sicurezza e le minacce cui un sistema è soggetto possono cambiare molto rapidamente.
Raccomandazione:

  • Per garantire la sicurezza del proprio impianto e dei propri sistemi, ricorrere all´aiuto di esperti del settore.
  • Tenere presenti anche gli standard e le linee guida in materia di sicurezza di Microsoft.

Ancora in questo capitolo

Mettere un computer fuori servizio

Sistema operativo

Installazione di zenon

Microsoft SQL Server

Hardware


Mettere un computer fuori servizio

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Mettere un computer fuori servizio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La sicurezza deve essere garantita anche per quei computer che vengono messi fuori servizio. Assicurarsi che nella propria azienda sia definita una procedura che regola la messa fuori servizio di quei sistemi su cui è installato zenon. Assicurarsi che questo processo venga eseguito nel rispetto delle regole definite.

Per la messa fuori servizio di sistemi su cui è installato zenon, COPA-DATA raccomanda di compiere i passi seguenti:

  • Esaminare i dati esistenti.
  • Eseguire il backup dei dati di cui si ha ancora bisogno.
  • Verificare se i backup creati possono anche essere ripristinati.
  • Distruggere fisicamente i supporti dati In questo modo si evita che le informazioni salvate possano essere lette in un secondo momento.
  • Rendere inutilizzabili backup non più necessari su altri sistemi o supporti dati.


Sistema operativo

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I prodotti di COPA-DATA e i loro componenti possono essere utilizzati su diversi sistemi e in diverse configurazioni:

Da un Runtime con un progetto standalone di zenon su un sistema isolato con un sistema operativo Windows Desktop, ad un sistema con Windows Server, zenon Runtime Server e zenon Web Server con zenon Web Client su sistemi che si trovano su diverse reti. Ma dei prodotti di COPA-DATA possono essere utilizzati anche su sistemi con altri sistemi operativi, per esempio l´Everywhere App oppure il client HTML 5.

Note generali

Per avere una visione generale delle attuali indicazioni di carattere tecnico, organizzativo, nonché relative a personale e infrastrutture rilevanti per la sicurezza dei sistemi IT, consigliamo di consultare le informazioni fornite dall´istituto tedesco Bundesamtes für Sicherheit in der Informationstechnik (BSI).

Le informazioni DES BSI si trovano nel sito web di questo istituto; in generale sono in lingua tedesca, ma in parte sono tradotte anche in altre lingue.
Ulteriori informazioni

  • BSI Protezione di base in generale: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/itgrundschutz_node.html
  • BSI Protezione di base internazionale: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzInternational/itgrundschutzinternational_node.html
  • Catalogo di misure "M 4 Hardware und Software": https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzKataloge/Inhalt/_content/m/m04/m04.html
    Si concentra su una serie di misure per garantire la sicurezza del sistema.
  • Specificazione tecnica internazionale della serie IEC/TS 62443, in particolare le parti della serie IEC/TR 62443-3.

I sistemi operativi di Microsoft

Sul suo sito web, la Microsoft mette a disposizione degli utenti non solo un ampio sistema di informazioni sul tema della sicurezza, ma anche degli strumenti per la protezione e l´utilizzo sicuro dei suoi sistemi operativi.

Ancora in questo capitolo

Installazione e gestione sicura del sistema operativo

Gestione user

Impostazioni di sicurezza di Windows

Impostazioni Windows specifiche


Installazione e gestione sicura del sistema operativo

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Sistema operativo -> Installazione e gestione sicura del sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il sistema operativo è, come zenon, una parte integrante del sistema di automazione e contribuisce a garantire la sicurezza del sistema nel suo complesso. I requisiti per garantire la protezione dell´installazione e del funzionamento del sistema operativo differiscono in complessità e dipendono dal tipo:

  • Sistema operativo client standalone
  • Sistema operativo client in un gruppo di dominio
  • Sistema operativo server

Note generali

Il dipartimento IT della vostra azienda può aiutarvi a installare ed utilizzare in modo sicuro i computer con zenon, zenon Logic oppure zenon Analyzer. Nel farlo, tenere sempre presenti le particolarità dei sistemi che si trovano nell´ambiente della produzione: un server di posta elettronica, per esempio, può essere riavviato senza problemi durante la notte per installare aggiornamenti per la sicurezza. Per un sistema su cui viene eseguito il Runtime di zenon, questo è possibile di regola solo se è stato espressamente concordato e durante un intervallo di funzionamento per consentire l´esecuzione di lavori di manutenzione.

Raccomandazione: affidarsi a personale specializzato per la pianificazione, il design, l´installazione e il funzionamento del sistema operativo dei computer utilizzati nel sistema di automazione. Questo può riguardare anche i computer su cui si usa l´Editor di zenon.

info Info

Molti computer vengono forniti con un sistema operativo preinstallato. Reinstallare completamente il sistema operativo prima di passare all´installazione del Runtime e/o dell´Editor di zenon.

Background: molti produttori installano di default molti tool e programmi diversi che non sono necessari per zenon è che possono addirittura comportare ulteriori rischi per la sicurezza del sistema.

Raccomandazione: installare sempre solo quei componenti e quei programmi che sono effettivamente necessari per il funzionamento del sistema.

Ulteriori indicazioni

Questa sezione del manuale fornisce delle ulteriori indicazioni sul sistema operativo ed i suoi componenti e la loro interazione con zenon.

Gestione dell´impianto

Assicurarsi che ci sia una documentazione completa su:

  • Quali sistemi sono usati nell´impianto.
  • Quali sistemi operativi sono utilizzati su questi sistemi.
  • Quali ruoli vengono svolti dai sistemi.
  • Quali prodotti software sono installati, ed esattamente in quale versione.

Se dovesse essere necessario sostituire un sistema, queste informazioni aiutano a ripristinare più velocemente la funzionalità dello stesso.
Per esempio: perché un certo driver possa funzionare in uno dei vostri progetti zenon, si deve installare un certo software addizionale. Inoltre è installata una Build del software zenon che risolve un problema nella vostra configurazione di progetto. Se mancano queste informazioni o questi backup del setup, il processo di ripristino del funzionamento del sistema durerà più a lungo.

Antivirus

La protezione in tempo reale fornita dai software antivirus può causare il rallentamento di processi quando questi ultimi accedono ad un supporto dati. Per questa ragione si raccomanda di analizzare l´interazione del software antivirus con il Runtime di zenon. Se necessario, definire delle eccezioni alla protezione in tempo reale nel software antivirus per consentire al Runtime di zenon di accedere ai dati Runtime.

Si consiglia di definire all´interno dell´azienda le esatte procedure da seguire quando un software antivirus rileva la presenza di malware.
Tenere presente quanto segue: in caso di una segnalazione del software antivirus (false-positive), la pulizia del sistema può portare ad una paralisi del sistema stesso, oppure avere ripercussioni negative sulla sua funzionalità. Se l´antivirus segnala che un file eseguibile del software zenon potrebbe essere infetto, bisogna anzitutto verificare la validità della firma digitale In caso di dubbio, contattare il supporto di COPA-DATA della vostra zona.

Se si scopre effettivamente del software dannoso, poi, non basta cancellare il file infetto, o impedire l´accesso allo stesso file. Si deve anche verificare come questo software dannoso è penetrato nel sistema, se ed in che misura si è diffuso e quali danni ha già provocato.

Ruoli utente

Per lavorare con il Runtime di zenon basta avere i diritti limitati di un utente del gruppo Utenti di Windows. Assicurarsi che l´utente che esegue il Runtime appartenga solamente a questo gruppo.

Aggiornamenti del sistema operativo

In linea di principio, si raccomanda di tenere sempre aggiornato il sistema operativo e di installare regolarmente almeno gli aggiornamenti per la sicurezza. Eseguire dei test su un sistema di prova per analizzare le possibili forme di interazione fra gli update e zenon, zenon Logic o zenon Analyzer prima di installarli.

Verificare in anticipo quali potrebbero essere le conseguenze per i sistemi dell´azienda se il supporto tecnico per un sistema operativo dovesse essere sospeso e, di conseguenza, il produttore non fornisse più gli aggiornamenti di sicurezza. Pianificare con cura gli update dei sistemi dell´impianto e eseguire delle prove in un ambiente di test. La versione attuale di zenon supporta sempre i sistemi operativi disponibili al momento del release e consente la conversione dei vecchi progetti di <CD_PROJECTNAME> nella versione corrente. Isolare i sistemi che non è possibile aggiornare e adottare delle misure per elevare il loro livello di sicurezza.

Firma digitale

Tutti i file eseguibili di zenon hanno una firma digitale. Grazie a questa firma, si può verificare se il software corrisponde all´originale. A certe condizioni, la firma digitale può essere anche utilizzata da un software Application Whitelisting per impedire l´ esecuzione di software di terzi, oppure software manipolato.

Connessione Internet

Una connessione Internet non è necessaria per il funzionamento del software zenon.
Raccomandazione: non connettere mai direttamente ad Internet i sistemi usati nel sistema produttivo. Se una connessione è assolutamente necessaria, usare almeno una DMZ.

Definire meccanismi e processi che consentano installazioni anche senza una collegamento Internet per:

  • Aggiornamenti di sicurezza per il sistema operativo.
  • Update per firme di software antivirus.
  • Update del software zenon.

Backup di dati e file

Creare dei backup non solo dei dati Runtime, ma anche dei file Runtime compilati. Questo vale soprattutto se non si ha nessun backup di progetto o backup di workspace del progetto Editor. Si può anche riflettere sull´opportunità di eseguire un backup dei dati di registro (log data) del Diagnosis Server di zenon, oppure degli eventi Windows, per poter poi essere in grado di sapere che cosa è successo in caso si sia verificato un errore. Conservare questi backup con cura, proteggerli da tentativi di accesso non consentito e assicurarsi che possano essere ripristinati.

Backup di supporti di installazione

Creare dei backup dei supporti di installazione e anche di eventuali Patches/Builds per il software di COPA-DATA che è stato installato. Si dovrebbero creare backup anche dei set di installazione del software richiesto di terzi. In caso di emergenza, infatti, si può resettare un sistema di sana pianta anche senza disporre di un collegamento Internet.

Backup del sistema

Creare un backup del sistema ogni volta che si fa una modifica. Conservare questi backup con cura e fare attenzione chi vi ha accesso. Verificare anche se il backup può essere effettivamente ripristinato. Un backup del sistema non serve solamente a ripristinare il sistema in caso di emergenza. Può essere usato anche per eseguire un´analisi forense ed un confronto con il sistema attuale, oppure eseguire delle prove in un ambiente di test.

Software aggiuntivo

Limitare allo stretto necessario l´uso di software aggiuntivo sui sistemi su cui si usa software di zenon, e analizzare l´interazione fra zenon e altri prodotti.

Installazione manuale di supporti rimovibili

Windows consente di impedire un accesso diretto ai supporti rimovibili. L´uso di ogni nuovo supporto rimovibile deve essere prima consentito manualmente da un amministratore. In tutti quei casi in cui è assolutamente necessario usare dei supporti mobili, questo meccanismo riduce il rischio che vengano utilizzati nel sistema dei supporti mobili non desiderati.


Gestione user

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Sistema operativo -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA raccomanda di configurare utenti e password con la libertà strettamente necessaria, e nel modo più restrittivo possibile.

Gestione user

Di regola, per il funzionamento di zenon sono necessari 4 utenti Windows:

Ruolo | Esempio | Diritti
Amministratore di sistema | zenon_ADMIN | Amministratore
Servizi di sistema | zenon_SERVICE | Utente standard
System-Engineer | zenon_ENGINEER | Utente standard
Utente (per login nel desktop o Autostart) | zenon_USER | Utente standard

Questi utenti vengono utilizzati anche per la configurazione del server SQL.
Come gestire gli utenti in zenon viene illustrato nel capitolo zenon Login e gestione user a Runtime del manuale dedicato alla Gestione user, .

Password

Le password dovrebbero soddisfare certi requisiti relativi alla lunghezza e alla forza. Incluso l´uso di lettere maiuscole, minuscole, cifre e caratteri speciali.

Raccomandazione:

  • Assegnare già al momento dell´installazione una password all´amministratore locale.
  • Imporre una password per ogni account, inclusi account Guest.
  • Costringere gli amministratori ad usare delle password particolarmente complesse.
  • Costringere gli utenti ad usare delle password complesse.
  • Informare gli utenti come si fa a memorizzare delle password complesse senza doverle annotare.

attention Attenzione

Tenere presente quanto segue:

  • Cercare di usare solamente quei caratteri che possono essere inseriti con qualsiasi tastiera (evitare dunque, per es., le dieresi della lingua tedesca).
  • Le password per gli "Autologon account" non devono scadere automaticamente.


Impostazioni di sicurezza di Windows

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Sistema operativo -> Impostazioni di sicurezza di Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows offre una serie di impostazioni di sicurezza. A questo proposito, tenere presente anche la documentazione di Microsoft.

Consigli:

  • Disattivare Autorun per tutte le unità .
  • Evitare l´esecuzione automatica di update per il sistema operativo e le applicazioni.
    Installare gli update solo dopo averli analizzati in un ambiente di test ed aver verificato che non ci sono problemi nell´interazione fra questi aggiornamenti e le proprie applicazioni.
    Tenere presente che certi Service Packs/Updates possono riattivare la proprietà Aggiornamento automatico senza che il sistema ne informi l´utente.
  • Disattivare tutti i servizi di cui non si ha bisogno.
  • Impostare per ogni account una password complessa.
  • Assegnare delle password anche ad account guest disattivati.
  • Disabilitare i login automatici.
  • Impedire l´accesso di rete agli account di amministratori locali e a account guest.
  • Proteggere le stampanti condivise.
    Abilitate le stampanti solamente per un ben definito gruppo di utenti.

info Info

Criteri di gruppo

Molte impostazioni rilevanti per la sicurezza possono essere settate via criteri di gruppo. Quali impostazioni vengono settate e dove, dipende anche dal sistema operativo utilizzato. Informazioni dettagliate su questo tema si trovano nella documentazione di Microsoft.

Si possono trovare delle informazioni anche online. Per esempio:

  • Group policy for beginners: http://www.microsoft.com/download/en/details.aspx?id=20092
  • Microsoft Technet: sicurezza e update:
    http://technet.microsoft.com/en-us/library/cc498723.aspx
  • Microsoft Technet Solution Accelerators:
    http://technet.microsoft.com/en-us/library/cc936627.aspx
  • Microsoft Compliance Manager:
    http://technet.microsoft.com/en-us/library/cc677002.aspx


Impostazioni Windows specifiche

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Sistema operativo -> Impostazioni Windows specifiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aumentare il livello di sicurezza del sistema tenendo presenti alcune impostazioni specifiche per Windows. Si prega di leggere anche la documentazione di Microsoft dedicata a questo tema.

Consigli per aumentare la sicurezza dei sistemi Windows:

  • Utilizzare sempre la classica schermata di accesso.
    Questa richiede l´inserimento del nome utente e della password e non mostra quali account sono a disposizione.
  • Disattivare le seguenti funzionalità:
    • Supporto remoto e controllo remoto.
    • Update automatico dei certificati radice
    • Update automatico durante un´installazione.
    • Help e Support Center.
    • Servizio per server di destinazione.
      Attivare questo servizio solamente se un computer deve effettivamente svolgere la funzione di server di riferimento ora (Time Server).


Installazione di zenon

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Installazione di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di installare zenon, assicurarsi che il supporto di installazione corrisponda all´originale di COPA-DATA. Creare checksum sicuri di download e contattare COPA-DATA per confrontarli.

Nota: anche se il file proviene da una fonte apparentemente sicura, esiste la possibilità che questo file sia stato manipolato durante il suo trasferimento.

In fase di installazione, si parte dai seguenti presupposti:

  • Il sistema su cui il prodotto viene installato, non è infetto da software nocivi, come virus, trojan ecc.
  • Sul sistema non è installato nessun prodotto software non necessario al suo funzionamento.
  • Il sistema si trova in un ambiente protetto, senza un diretto accesso a Internet.

Nota:

Se non si installa il software nella cartella standard, assicurarsi che solamente utenti con diritti amministratore siano in grado di modificare ed aggiungere file nella cartella scelta. Questo è il requisito richiesto da Windows per consentire le modifiche nelle cartelle standard %Program Files% e %Program Files (x86)%.

Ancora in questo capitolo

Firewall: eccezioni

Porte per zenon e zenon Analyzer


Firewall: eccezioni

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Installazione di zenon -> Firewall: eccezioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il programma di setup configura alcune eccezioni nel firewall di Windows durante il processo d´installazione. A seconda dell´area di utilizzo, delle applicazioni e delle funzionalità usate, queste eccezioni possono non essere necessarie.

La seguente tabella elenca queste eccezioni e fornisce informazioni sul fatto se siano necessarie o meno.

Programma o servizio

File eseguibile

Commento

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessario.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessario.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessario.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessario.

CodeMeterFWEx1

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessario.

zenon Logic Runtime

STRATONRT.exe

Necessario solo se il computer remoto comunica con il Runtime di zenon Logic su questo computer.

zenAdminSrv - Administration service

zenAdminSrv.exe

Non necessario.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Necessario solo se si usa la progettazione multiutente.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Necessario solo se si usa la progettazione multiutente.

zenLogSrv - Diagnosis server

zenLogSrv.exe

Necessario solo se:

  • Questo computer è definito come server registrazione remota
    oppure
  • Un computer remoto con il Diagnosis Viewer deve accedere a questo computer.

zenNetSrv - Network communication service

zenNetSrv.exe 32 bit

Necessario solo se il Runtime è eseguito su questo computer come Server 1 o Server 2.

zenNetSrv - Network communication service

zenNetSrv.exe 64 bit

Necessario solo se il Runtime è eseguito su questo computer come Server 1 o Server 2.

zenon Process Gateway

zenProcGateway.exe

Necessario solo se il Process Gateway di zenon viene usato su questo computer.

ZenSysSrv - Transport service

zenSysSrv.exe 32 bit

Necessario solo se è richiesto il Trasporto Remoto a questo computer.

ZenSysSrv - Transport service

zenSysSrv.exe 64 bit

Necessario solo se è richiesto il Trasporto Remoto a questo computer.

zenVNCSrv - Remote Desktop Service

zenVNCSrv.exe

Necessario solo se è richiesto il Remote Desktop a questo computer.

Nota: consultare anche il capitolo Porte per zenon e zenon Analyzer.


Porte per zenon e zenon Analyzer

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Installazione di zenon -> Porte per zenon e zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´installazione di zenon, il setup crea delle eccezioni nel firewall di Windows per alcune applicazioni e servizi che aprono una TCP Listening Port.

info Info

Dopo il completamento del processo di installazione, configurare le eccezioni nel firewall di Windows in modo restrittivo e adeguato al sistema e alle applicazioni e ai servizi richiesti.

Sui cosiddetti "sistemi multi-homed" con più schede di rete, le applicazioni e i servizi di zenon con le loro impostazioni di default aprono la TCP Listening Port per tutte le schede di rete esistenti nel sistema. Tuttavia, spesso non è necessario avere o non si desidera avere una comunicazione tramite tutte le schede di rete.

Nota: dopo il completamento del processo di installazione, usare lo Startup Tool per configurare le TCP Listening Ports per i singoli servizi e le singole applicazioni, in modo adeguato alle esigenze del sistema. Consentire la comunicazione solo tramite quelle schede di rete o quegli indirizzi IP per cui questo è necessario. Assegnando ad un servizio la scheda local loopback oppure l´indirizzo IP 127.0.0.1, si consente solamente la comunicazione locale. In questo modo, ad esempio, è possibile limitare l´accesso del Diagnosis server locale ai soli Diagnose Client locali.

info Info

Se per una connessione si configura una porta diversa da quella standard, questo non significa che non ci sia più la possibilità che qualcuno stabilisca una connessione indesiderata. Un potenziala aggressore avrà solo bisogno di più tempo per trovare la porta giusta.

Quando si usano delle porte diverse da quelle standard, queste ultime possono essere usate eventualmente come Canary. In questo modo è possibile monitorare le porte standard in un eventuale Intrusion Detection System, e si possono settare degli allarmi che verranno attivati ad ogni tentativo di collegarsi a queste porte. Questi tentativi di connessione potrebbero avere le seguenti cause:

  • Un computer configurato in modo non corretto.
  • Un aggressore che si serve della porta standard per penetrare nel sistema.

Numeri di porta

Applicazione | File | Compito | Porta TCP | Porta UDP
Progetto di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100 |
Trasporto remoto | zenSysSrv.exe | Trasmissione dati tramite Trasporto Remoto (Editor) e Diagnosis Server. | 1101 |
zenon Remote Desktop |  | Connessione diretta ad altri computer con la possibilità di monitorare le operazioni che vi si svolgono o di assumerne la gestione. | 5600 5610 |
zenon Web Server | zenWebsrv.exe | Gateway fra Web Client e Runtime. | 1102 |
Distributed Engineering | zenDBSrv.exe | Distributed Engineering | 1103 |
CodeMeter WebAdmin |  | Configurazione di dongle CodeMeter. | 22350 |
WibuyKey |  | Monitoraggio dei dongle WibuKey. | 22347 |
SQL Server con progetti multiutente |  | Gestione degli oggetti in fase di esecuzione. | 1433 | 1434

Raccomandazione: aprire solamente le porte strettamente necessarie al funzionamento senza problemi del sistema.
I numeri porta possono essere modificati nello Startup Tool, nella scheda Listening ports. Bisogna tenere presente che, in questo caso, la modifica andrà eseguita in tutti i dispositivi interessati!

Porte standard nei prodotti di COPA-DATA

Le seguenti porte vengono utilizzate di default dai prodotti di COPA-DATA:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Nota: i driver di zenon che comunicano via Ethernet, usano TCP e perciò è possibile che necessitino di autorizzazioni nel firewall, a seconda della porta utilizzata.


Microsoft SQL Server

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Microsoft SQL Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Microsoft SQL Server è necessario solo per l´Editor di zenon e per lo zenon Analyzer. Viene installato automaticamente con l´Editor di zenon con lo zenon Analyzer. Anche il rispettivo MS SQL Server, dunque, è contenuto sul supporto di installazione. Durante l´installazione del Runtime di zenon, invece, non viene installato il SQL Server.

La versione del MS SQL Server installata è quella corrente al momento della creazione del supporto di installazione. COPA-DATA consiglia di installare anche patch e update per il MS SQL Server installato.

A questo proposito, tenere presente quanto segue:

  • Caricare e installare update e patch singolarmente, anziché in modo automatico.
  • Testare tutti gli update e le patch su un sistema di prova prima di installarli, in modo da verificare eventuali conseguenze indesiderate.
  • Implementare update e patch nei sistemi produttivi solo quando i test hanno avuto un esito positivo.

attention Attenzione

Per la manutenzione e la protezione del server SQL, consultare la relativa documentazione e le linee guida di Microsoft.


Hardware

Manuale -> zenon Security Guide -> Protezione del sistema IT -> Hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proteggere anche l´hadware da attacchi esterni. A questo scopo, consultare la documentazione dei dispositivi in questione.

Raccomandazioni per la protezione dell´hardware:

  • Proteggere l´accesso al BIOS mediante una password.
    Alcune aree del BIOS sono rilevanti per la sicurezza del dispositivo. Solo l´amministratore dovrebbe essere autorizzato a modificare queste impostazioni.
  • Proteggere il processo di avvio con una password, a meno che non ci siano delle buone ragioni per non farlo.
    Ragioni per non impostare una password di avvio:
    • Un server deve riavviarsi automaticamente dopo un errore di sistema.
      In questo caso, proteggere fisicamente il server mettendolo in un armadio chiuso a chiave.
    • Un avvio doppio non è possibile. Il computer ha solamente un sistema operativo preinstallato. L´avvio doppio non è né previsto, né possibile.
    • Crittografia dell´intero disco fisso, che richiede l´inserimento di una password prima di eseguire l´avvio.
    • Più utenti usano lo stesso computer.
  • Evitare la comunicazione wireless.
    La comunicazione di tastiere wireless (via radio, infrarossi, bluetooth) con il sistema può essere intercettata anche a grande distanza.
  • Evitare controlli di accesso biometrico; usare invece smart card che utilizzano la tecnologia PKI.
    Oggi si sa che i controlli di accesso biometrici per i computer possono essere aggirati in diversi modi. Per questa ragione, si dovrebbe evitare di utilizzarli nei sistemi produttivi.
    Raccomandazione: usare smart card che utilizzano la tecnologia PKI. Le si può combinare anche con controlli biometrici. Per esempio, un lettore di impronte digitali sul lettore smart card può consentire l´accesso alla smart card. zenon supporta la registrazione per Chip Ident System a Runtime.
  • Disattivare la riattivazione LAN (wake-on LAN) in ogni caso in cui non sia necessaria per scopi amministravi.
  • Disattivare la virtualizzazione hardware.
  • Disattivare le interfacce per i supporti rimovibili (USB).
    Nota: <dongle di CD_COMPANYNAME> per la registrazione licenza sono disponibili anche per porte USB interne.
  • Proteggere l´accesso fisico al sistema. Si dovrebbe tenere chiuso l´ambiente che ospita gli armadi con i server e l´accesso a questo ambiente dovrebbe essere monitorato. Sostituite le normali serrature di questi armadi server con serrature di sicurezza. Gli armadi che ospitano i computer dell´impianto dovrebbero essere chiusi. Anche i cavi di collegamento dovrebbero essere protetti.
  • Per le aree dove non c`è personale, utilizzare delle telecamera di sorveglianza con rilevamento del movimento e sistema di allarme.
  • Considerare con cura quali componenti tenere in magazzino, in modo tale da essere sempre in grado di sostituire i componenti critici, anche quando il fornitore fosse impossibilitato a fornire nei tempi richiesti.
  • Assicurarsi di essere informati nel caso in cui un produttore sospenda la fabbricazione di un prodotto o non sia più in grado di fornirlo ed elaborare una strategia per la sostituzione del prodotto stesso.


Proteggere zenon

Manuale -> zenon Security Guide -> Proteggere zenon

zenon assicura una protezione al passo con i tempi attraverso:

  • Separazione di Editor e Runtime:
    Editor e Runtime vengono gestiti separatamente in zenon. Un´infezione del database Editor causata da un attacco non porta automaticamente ad un´infezione del Runtime.
  • Crittografia (a partire dalla versione 7.00):
    Crittografia avanzata opzionale per la comunicazione nella rete di zenon e per quella fra Editor e Runtime.
  • Password crittografate:
    La password per il database Editor può essere salvata in forma crittografata.
  • Server SQL:
    Il "Microsoft SQL Server" è necessario solamente sui computer di progettazione (su cui è installato l´Editor di zenon), oppure per il server dello zenon Analyzer. Il Runtime di zenon non richiede il Server SQL. Installare il server SQL solamente se necessario per utilizzare zenon e configurarlo in modo restrittivo.
  • Firma file (a partire dalla versione 7.00):
    Verifica della firma file del Runtime.
  • Autenticazione (a partire dalla versione 7.00):
    Solo i client autenticati hanno accesso a un server di zenon.
  • Diritti limitati:
    Il software di zenon può essere eseguito nel contesto di un utente standard
  • Avviare come servizio senza GUI:
    Il Runtime di zenon può essere configurato in modo tale che si avvii come servizio con il sistema operativo, senza un´interfaccia utente. Questa opzione può essere utilizzata per quei sistemi su cui il Runtime viene eseguito come server.
  • Client o Webclient di zenon sul Terminal Server:
    Su un Terminal Server possono essere eseguiti il Runtime di zenon come client e il Webclient di zenon. Così si può usare un thin client per una postazione. La gestione e la protezione di thin client e Terminal Server può essere effettuata a livello centrale.
  • Funzionalità generali come:
    • Porte configurabili
    • Componenti che possono essere disattivati, come COM Interface e Everywhere Server
    • Standard di comunicazioni attuali con aspetti di sicurezza, come OPC UA

Ancora in questo capitolo

Sistemi operativi supportati per zenon

Runtime

Editor

La comunicazione con il PLC

Monitoraggio dei dispositivi con il SNMP

Webserver/Webclient


Sistemi operativi supportati per zenon

Manuale -> zenon Security Guide -> Proteggere zenon -> Sistemi operativi supportati per zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali sistemi operativi sono supportati dipende dalla versione di zenon utilizzata. Lo sviluppo di zenon è continuo, anche per quello che riguarda le questioni della sicurezza. Si raccomanda di usare la versione di zenon più recente con un sistema operativo su cui siano state installate le patch più recenti.

info Info

Molti computer vengono forniti con un sistema operativo preinstallato. Reinstallare completamente il sistema operativo prima di passare all´installazione del Runtime e/o dell´Editor di zenon.

Background: molti produttori installano di default molti tool e programmi diversi che non sono necessari per zenon è che possono addirittura comportare ulteriori rischi per la sicurezza del sistema.

Raccomandazione: installare sempre solo quei componenti e quei programmi che sono effettivamente necessari per il funzionamento del sistema.

Le seguenti informazioni si riferiscono alla versione attuale di zenon.


Runtime

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione user di zenon (compresa connessione all´Active Directory) protegge il Runtime di zenon mentre viene eseguito tramite:

  • Autenticazione del client sul server (a partire dalla versione 7)
  • Crittografia avanzata (a partire dalla versione 7)
  • Archiviazione dei dati in formato binario
  • Nessun database-SQL usato
    (richiesto solo per l´Editor zenon)

Si può aumentare il livello di sicurezza nel modo seguente:

  • Limitando l´accesso alla cartella Runtime di zenon
  • Disabilitando le API di zenon.

Ancora in questo capitolo

Proteggere il file system di zenon

Gestione user

Crittografia in rete

API di zenon

IEC 61850

Voice over IP - Message Control


Proteggere il file system di zenon

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Proteggere il file system di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´accesso al file system di zenon dovrebbe essere fortemente protetto per evitare che i dati possano essere manipolati esternamente. Solamente un utente Windows dovrebbe avere accesso in scrittura e lettura. Tutti gli altri utenti non dovrebbero avere diritti relativi alla cartella Runtime di zenon. Gli operatori eseguono il login a Runtime registrandosi come utenti di zenon.

Per limitare l´accesso al file system:

  1. Creare solamente un singolo utente Windows (per esempio: zenon_ADMIN) autorizzato ad avviare zenon, e a leggere e scrivere nella cartella Runtime di zenon.
  2. Disabilitare l´accesso alla cartella Runtime di zenon per tutti gli altri utenti Windows - inclusa autorizzazione di lettura!
  3. Disabilitare ogni forma di accesso remoto all´utente zenon_ADMIN.
  4. Bloccare ogni software per la manutenzione remota, o per l´ accesso remoto, come il Remote Desktop di zenon .
  5. Assicurarsi che zenon possa essere avviato solamente se questo utente (zenon_ADMIN) ha eseguito il login.
    Visto che altri utenti Windows non hanno nessuna autorizzazione di lettura, il Runtime si avvierà solamente nel contesto di questo utente (zenon_ADMIN).
  6. Assicurarsi che zenon sia eseguito come shell:
    1. A questo scopo, creare un Autostart di zenon con Keyblock Runtime Start
    2. Attivare la proprietà Pulsanti di sistema bloccati nel gruppo Impostazioni Runtime delle proprietà di progetto.
    3. Avviare zenon in modalità schermo intero: per la proprietà Titolo Runtime, selezionare l´opzione Nessun titolo dal menù a tendina.
    4. In fase di configurazione, tenere presenti anche i sistemi con più di un monitor.
    5. Disabilitare "Explorer start".
    6. Non offrire finestre di dialogo di selezione file.
      (in questo caso non devono essere progettate delle funzioni che esigono dall´utente di selezionare dei file nel Runtime)

Seguendo queste indicazioni si riduce l´accesso al file system di zenon.

Il tool di zenonKeyblock Runtime Start può essere usato per implementare altri meccanismi di sicurezza attraverso il blocco dei tasti di sistema.

Ancora in questo capitolo

Bloccare i tasti di sistema


Bloccare i tasti di sistema

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Proteggere il file system di zenon -> Bloccare i tasti di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start è un programma con cui il Runtime di zenon viene eseguito come Shell . In questo caso, il Runtime di zenon viene avviato, ma vengono bloccati tutti i tasti di sistema di Windows. In questo caso, i tasti di scelta rapida, come ad esempio il tasto Windows, oppure la combinazione Ctrl+Alt+Canc, non hanno più nessuna funzione. Gli utenti non possono più accedere al sistema operativo usando questi tasti, ma possono lavorare solamente nell´interfaccia di zenon.

Presupposto perché questo avvenga è che la proprietà di progetto Titolo Runtime sia stata impostata su Nessun titolo (schermo completo). In questo caso zenon viene eseguito in modalità a schermo intero e il Runtime non può essere ridotto a icona.

Nota: si può aggirare il blocco del tasto Windows. Bloccare il tasto Windows usando l'inserimento corrispondente nello Startup Tool (scheda "General" delle "Application settings.."; abilitare l'opzione "Disable Windows Key")

Utilizzo

Per usare Keyblock Runtime Start:

  1. Aprire nella cartella di avvio di Windows, alla voce COPA-DATA, i zenon Tools.
  2. Selezionare Keyblock Runtime Start.
  3. il programma viene aperto e avvia automaticamente il Runtime
  4. Il programma blocca tutti gli accessi al sistema operativo:
    • Combinazioni di tasti bloccate:

      Ctrl+Alt+Canc

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Tasto WINDOWS(fatta eccezione perWindows + L)
      Nota:
      Con il blocco dei tasti di sistema, viene bloccata anche la gestione normale delle barre di scorrimento con il mouse a Runtime. Si può aggirare questo blocco usando il menù contestuale.
      Se si blocca il sistema usando la combinazione di tasti Windows + L, tutte gli shortcut di Windows saranno di nuovo a disposizione alla prossima registrazione nel sistema. Per evitarlo, disattivare nello Startup Tool, più precisamente sotto Application -> Options -> General, il tasto Windows.

    • Nascondere il pannello di controllo nel menù di avvio
    • Blocco della barra degli strumenti per la gestione
    • Impedire

      Modifica di password

      Chiusura di Windows

      Logout

      Blocco del computer

      Cambio dell´utente

    • Nascondere tutti gli elementi nel taskmanager

info Info

Se si avvia Keyblock Runtime Start con il meccanismo autostart del sistema operativo, tenere presente quanto segue:

  • La cartella di Autostart è specifica per l´utente:
    Se un altro utente esegue il login, il programma non verrà eseguito.
  • Premendo il tasto SHIFT al momento dell´avvio del sistema operativo si può evitare l´esecuzione dei programmi autostart.

Non è possibile aggirare questo blocco a Runtime. Quando si termina il Runtime in modo normale, anche le restrizioni di sistema sono eliminate. Se si vuole che il Runtime venga eseguito senza queste restrizioni, non si deve avviarlo con Keyblock Runtime Start.

attention Attenzione

Assicurarsi che nel progetto sia configurata una possibilità di chiudere il Runtime Non esiste la possibilità di chiudere regolarmente il Runtime:

  • Può essere chiuso solamente spegnendo il computer.
  • Rimangono bloccati tutti i tasti di sistema anche dopo il riavvio.

Per abilitare di nuovo l´uso dei tasti di sistema anche dopo una chiusura non regolare del Runtime (per esempio per mancanza improvvisa di energia elettrica):

  • Riavviare il Runtime usando Keyblock Runtime Start
  • Chiudere il Runtime in modo regolare usando il pulsante "Chiudi".


Gestione user

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supporta un'amministrazione utenti sia per l’Editor, che per il funzionamento online (Runtime). Il sistema di password soddisfa le direttive della norma FDA (Food and Drug Administration, 21 CFR Part 11).

Il concetto

Il concetto del sistema di password si basa sul presupposto che utenti diversi debbano avere differenti diritti di accesso al sistema (livelli password). Anche gli amministratori dispongono di diversi livelli di autorizzazione. Tuttavia, questi ultimi hanno anche ulteriori funzioni di gestione, come l´amministrazione degli utenti.

Nel sistema di password di zenon è possibile assegnare ad ogni utente differenti livelli password (diritti utente) definiti separatamente. Si può configurare un massimo di 128 (da 0 a 127) livelli password. L´assegnazione degli utenti ai singoli livelli password è completamente libera, così come la creazione di un concetto password specifico per il progetto. Ad ogni utente si può assegnare qualsiasi livello. L'utente 1, ad esempio, può ricevere i livelli 0, 1, 5, 6 e l'utente 2 i livelli 0, 1, 6, 8, 10. È possibile però assegnare solamente quelle autorizzazioni di cui dispone l´amministratore che esegue l´assegnazione.

Il login dell´utente a Runtime avviene attivando la funzione Login. Se si vuole che l´utente venga loggato automaticamente sulla base di un evento (per es. stato di una chiave in un interruttore conosciuto al sistema), si deve utilizzare la funzione Login senza password. Si configura questa funzione in un valore limite, oppure in una matrice di reazione della variabile nella gestione variabili.

L´utente esegue autonomamente il logout a Runtime usando la funzione Esegui logout. Dopo il logout dell´utente, l´utente SYSTEM verrà di nuovo loggato automaticamente. È possibile prevedere che ci sia un logout automatico di un utente nel caso in cui, alla scadenza di un periodo di tempo configurato, non abbia eseguito nessuna nuova azione di gestione.

Per quanto riguarda la creazione e l´amministrazione di utenti e l´assegnazione di password, si prega di tenere presenti anche le informazioni contenute nel capitolo Proteggere il file system di zenon.

Ancora in questo capitolo

Opzioni a Runtime


Opzioni a Runtime

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Gestione user -> Opzioni a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità per la gestione user a Runtime.

Per la gestione utenti si possono utilizzare anche Windows AD o AD LDS. Gli utenti possono essere loggati permanentemente o temporaneamente e amministrati a Runtime.

Nota: non è possibile rinominare gruppi utente a Runtime.

Valori o funzioni possono essere protetti anche mediante una firma. Per farlo, si deve attivare per l´elemento corrispondente la proprietà Firma necessaria. In questo caso, l´utente dovrà inserire di nuovo la sua password e la firma anche se è già registrato e dispone dei diritti corrispondenti. Il sistema genererà un inserimento nella Lista Eventi Cronologica.

attention Attenzione

Le modifiche alle configurazioni utenti eseguite nell´Editor vengono applicate a Runtime solo se la proprietà di progetto RT dati modificabili (gruppo Generale) consente di sovrascrivere le proprietà utenti quando vengono scritti i file Runtime.

Le modifiche alle impostazioni utenti eseguite a Runtime vengono applicate nell`Editor usando il comando Importa file Runtime (barra degli strumenti “File Runtime”). Questo avviene, però, sole se nella proprietà RT dati modificabili è consentita la decompilazione. In questo caso, per il modulo “Gestione user” la checkbox della colonna “Non decompilare” non deve essere attiva.

Login permanente e temporaneo

Dopo un login permanente, l´utente è loggato in modo permanente, e può eseguire tutte le operazioni per cui è autorizzato. Se prova ad eseguire azioni per cui non ha l´autorizzazione necessaria, il sistema visualizza un messaggio corrispondente.

Il login permanente può essere eseguito mediante:

  • Un cambio ad un´immagine di tipo Login.
  • La funzione. Login con dialogo
  • La funzione. Login senza password

Suggerimento: pulsanti di testo protetti da password possono essere resi invisibili agli utenti loggati. Per farlo, si deve configurare in modo corrispondente la proprietà Tasti bloccati (Proprietà di progetto -> Gestione user -> Login e firma).

  • Nota: non è possibile un login temporaneo per utenti loggati. Questa è la ragione per cui il sistema non visualizza la finestra di dialogo per il login temporaneo quando utenti loggati cercano di usare funzioni per cui non hanno i diritti necessari.


Crittografia in rete

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Crittografia in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

il traffico dei dati nella rete di zenon avviene in forma crittografata.

zenon consente di proteggere per mezzo di una crittografia forte la comunicazione nella rete di zenon. A partire dalla versione 7.0 di zenon, la crittografia forte funziona per tutti i sistemi operativi supportati e per zenon Web Client.

Quando la crittografia è attiva, la comunicazione fra server primario, Server-Standby, client e zenon Web Client avviene in modo cifrato; zenon Webserver si limita ad inoltrare i pacchetti dati e non è interessato dalla crittografia.

info Info

La comunicazione di rete era crittografata anche in precedenti versioni di zenon. Con la versione 7, però, è cambiato il metodo. Il termine "crittografia" in relazione a zenon 7 (e versioni successive) comporta una cifratura sempre maggiore.

Nota: la crittografia non è disponibile per VoIP nel modulo Message Control. Perciò questa modalità di invio non dovrebbe essere utilizzata per messaggi che richiedono un certo grado di sicurezza.

Ancora in questo capitolo

Nozioni di base

Attivare la crittografia


Nozioni di base

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Crittografia in rete -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia per il Runtime di zenon è a disposizione a partire dalla versione 7.00. Quando la crittografia è attiva, la comunicazione con le versioni precedenti di zenon non è possibile. La crittografia non pregiudica nessuna delle funzionalità di zenon.

Basi della crittografia a partire dalla versione 7.00 di zenon

Per usare la crittografia forte della rete di zenon bisogna tenere presente quanto segue:

  • La password viene cifrata specificatamente su ogni calcolatore e salvata nel file zenon6.ini. Questo significa:
    • La password non può essere trasferita ad un altro calcolatore copiando il file zenon6.ini.
    • Quando cambiano i componenti hardware, soprattutto a livello di adattatore di rete, la password può perdere la sua validità e deve essere inserita di nuovo.
  • La crittografia deve sempre essere attivata o disattivata per tutti i componenti che fanno parte della rete di zenon. La comunicazione fra sistemi crittografati e non crittografati non è possibile. zenon Web Server fungono solamente da computer proxy e non sono interessati dalla crittografia.
  • Se la crittografia viene attivata su un calcolatore, viene applicata sempre a tutti i progetti di questo computer per i quali è stata attivata la proprietà Rete attiva.

info Info

AES 192 di Microsoft viene usato come algoritmo di crittografia per la comunicazione di rete.

SHA 256 di Microsoft viene usato per generare la chiave dalla password inserita.

Compatibilità:

La crittografia non è compatibile con le versioni precedenti alla zenon 7.00 SP0. Questo significa:

Sistema 1 | Sistema 2 | Comunicazione.
zenon 7 crittografata | zenon 7 crittografata | Si
zenon 7 non crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | Si
zenon 7 crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | No

Gli errori vengono protocollati nel file LOG del Diagnosis Viewer.

Esempio

La seguente immagine mostra un esempio di una rete con server primario, Server-Standby, due client, uno zenon e due Web Client. Su tutti i dispositivi è eseguita la versione 7.00 SP0 di zenon. I dispositivi sono stati configurati nel modo seguente:

  • La crittografia è stata attivata sul server primario usando lo Startup Tool.
  • La crittografia viene attivata anche sul Server-Standby e sul client A via Trasporto Remoto al momento del trasferimento dei file Runtime.
  • Il Client B e il Web Client B comunicano ancora in modalità non crittografata.
  • Sul Web Client A, la crittografia è attivata usando lo Startup Tool.
  • Visto che lo zenon Web Server non analizza i pacchetti dati, ma si limita a inoltrarli, non è necessaria alcuna forma di crittografia. Teoricamente, sul Web Server potrebbe essere installata anche una versione precedente, e, ciò nonostante, i Web Client sarebbero in grado di instaurare delle connessioni crittografate.

Questa configurazione porta al risultato seguente:

  • Il Server-Standby comunica con successo con il server primario.
  • Il client A può registrarsi sul server primario e scambiare dei dati.
  • Visto che il client B invia dei messaggi non crittografati e questi vengono rifiutati dal server primario a causa della crittografia attiva, il client B non può comunicare con il server primario e, perciò, è offline.
  • Il Web Client A si registra sul server via zenon Web Server ed è in grado di scambiare dati.
  • I messaggi non crittografati del Web Client B vengono inoltrati dallo zenon Web Server al server primario, ma vengono rifiutati da quest'ultimo. Il Web Client B non può comunicare con il server primario e, perciò, è offline.

Non appena la crittografia viene attivata via Trasporto Remoto o tramite Startup Tool sul client B e per Encrypt network communication sul Web Client B, anche questi possono instaurare delle connessioni con il server primario.


Attivare la crittografia

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Crittografia in rete -> Attivare la crittografia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata in modi diversi:

  • Con lo Startup Tool per il computer locale e lo zenon Web Client.
  • Via Trasporto Remoto

Tipp Suggerimento

Per attivare la crittografia in rete in modo semplice e veloce, raccomandiamo di effettuare la configurazione su un calcolatore usando il Trasporto Remoto.

Ancora in questo capitolo

Localmente tramite lo Startup Tool

Via Trasporto Remoto


Localmente tramite lo Startup Tool

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Crittografia in rete -> Attivare la crittografia -> Localmente tramite lo Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Localmente tramite lo Startup Tool

Per attivare la crittografia sul computer locale o per lo zenon:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Application -> Options

    Si aprirà la finestra di dialogo delle impostazioni.

  3. Selezionare la scheda Network configuration.

  4. Attivare la checkbox Encrypt network communication.
  5. Digitare la password e verificarla.
  6. Confermare cliccando su OK.

Crittografia Connector

Per attivare la crittografia per lo SCADA Runtime Connector zenon, oppure lo zenon Analyzer, l´ HTML Web Engine, o per il Runtime Remote driver, configurare il gruppo di proprietà “Encrypt Runtime Connector communication”.


Via Trasporto Remoto

Via Trasporto Remoto

La crittografia può essere attivata su computer remoti via Trasporto Remoto. Questo, tuttavia, è possibile solamente se la connessione Trasporto remoto è protetta da una password.

Per attivare la crittografia via Trasporto remoto:

  1. Cliccare sul pulsante corrispondente che si trova nella barra degli strumenti del Trasporto Remoto

    Oppure selezionare nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

    Verrà aperta la finestra di dialogo per stabilire un collegamento

  2. Inserire la password di connessione, oppure crearne una nel caso non ne sia stata definita ancora nessuna.
  3. Attivare la checkbox Configurazione codifica di comunicazione di rete
  4. Cliccare su OK.

    Si apre la finestra di dialogo per la crittografia della comunicazione di rete

  5. Attivare la checkbox Codifica comunicazione di rete
  6. Assegnare una password (per i criteri, vedi capitolo Password - Crittografia di rete.)
    Per trasferire velocemente la configurazione locale ad altri computer, la password locale può essere acquisita usando l´opzione Acquisisci configurazione locale.
  7. Confermare la finestra di dialogo cliccando sul pulsante OK


API di zenon

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> API di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L`API di zenon consente di accedere a zenon usando VBA e VSTA. Questo strumento consente di programmare delle estensioni individuali e di aumentare il grado di automazione di molte procedure. In contesti particolarmente delicati, però, questo accesso rappresenta un fattore di rischio e può essere in parte impedito.

Nota: zenon non supporta DCOM. Per questa ragione, un accesso remoto all´API è impossibile.

info Info

Con la combinazione di tasti Ctrl+Pausa (BREAK) si può interrompere un codice in esecuzione e accedere all´Editor VBA. Se si usa VBA o VSTA nel progetto, disabilitare la funzione BREAK.

Disattivare l´invio di Event

Per disattivare l´invio di event COM:

  1. Aprire il file zenon6.ini.
  2. Passare all´area [VBA].
  3. Inserire il valore 0 per la parola chiave EVENT=.
    In questo modo si impedisce l´invio di Events ad applicazioni esterne.


IEC 61850

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> IEC 61850

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supporta il protocollo IEC 61850 e anche OPC UA , incluse le funzionalità di protezione.


Voice over IP - Message Control

Manuale -> zenon Security Guide -> Proteggere zenon -> Runtime -> Voice over IP - Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modulo Message Control di zenon è disponibile anche la modalità di invio Voice over IP (VoIP). Può essere usata solamente per l´invio di messaggi. Eventuali chiamate in entrata non verranno accettate.

attention Attenzione

Non è disponibile la crittografia per VoIP. Perciò questa modalità di invio non dovrebbe essere utilizzata per messaggi che richiedono un certo grado di sicurezza.


Editor

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il concetto di zenon consente di eseguire il Runtime e l´Editor su computer distinti. Spesso la sicurezza dei sistemi su cui è eseguito il Runtime viene considerata più importante di quella dei sistemi Editor. In realtà, si tratta di due aspetti di uguale importanza.

Background: l´autore di un attacco che è riuscito a penetrare in una rete di produzione e che scopre, per es., un PLC con Modbus, non è in grado di individuare sulla base di Coils, Holding Registers oInputs quali processi e valori ci siano dietro. Le informazioni necessarie può procurarsele eventualmente da un programma PLC, da disegni tecnici, oppure appunto anche dal software HMI/SCADA.

Ancora in questo capitolo

Codifica

Computer Editor senza progettazione multiutente

Rete: Multi Homed

Backup di progetto e backup del workspace

Log delle modifiche

Versionamento di progetto con esportazione XML

Gestione user

Runtime Test

Importazione di variabili


Codifica

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Codifica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Editor di zenon può trasferire dati nella rete in forma crittografata (come il Runtime di zenon). Attivare questa crittografia. I dettagli relativi a questo tema si trovano nel capitolo Crittografia in rete


Computer Editor senza progettazione multiutente

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Computer Editor senza progettazione multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se l´Editor di zenon è installato solamente su un computer e se la progettazione viene eseguita solo su questo computer, si raccomanda di effettuare le seguenti verifiche e modifiche dopo aver eseguito l´installazione:

  • SQL:
    • Modificare la password standard per l´utente SQL sa.
    • Modificare la password standard per l´utente SQL zenonsrv sia nell´istanza SQL, che usando lo Startup Tool.

      Attenzione: nei sistemi che usano la progettazione multiutente, si deve usare la stessa password per l´utente zenonsrv sia sul server, che sui client.

    • Disattivare il servizio browser SQL sul computer con l´Editor di zenon, a meno che questo non sia richiesto da altre istanze SQL Server su questo computer.
    • Disattivare l´accesso remoto al SQL Server.
      Nota: l´accesso remoto è necessario per i sistemi con progettazione multiutente.
  • Limitare l´esecuzione dell´Editor e del Runtime a utenti ben definiti.

    In aggiunta alle impostazioni di protezione di accesso configurate nella gestione utenti di zenon, esiste anche la possibilità di definire quali utenti possano eseguire l´Editor di zenon usando le impostazioni di protezione di Windows.

  • Non chiudere le porte necessarie.
  • Attivare la crittografia di rete e impostare la password in accordo ai sistemi Runtime nel caso in cui si usi il Trasporto Remoto.
  • Controllare le eccezione firewall che sono state aggiunte durante il processo di installazione.
    Cancellare le eccezioni per le applicazioni non utilizzate.


Rete: Multi Homed

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Rete: Multi Homed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impedire la gestione di più reti su uno stesso computer.

I computer Dual-Homed oppure Multi-Homed sono uno dei bersagli preferito degli hacker. Spesso li si può configurare in un bridge attraverso cui si può poi accedere direttamente da una rete ad un´altra. In questo modo si può aggirare con facilità i firewall esistenti. Dato che un computer con l´Editor non viene sempre assegnato la livello della produzione, può succedere che questo computer sia connesso sia alla rete dell´azienda che a quella del processo produttivo. Questa configurazione non è sicura e la si dovrebbe evitare.


Backup di progetto e backup del workspace

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Backup di progetto e backup del workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si dovrebbero ripristinare solo quei backup di progetto e di workspace che provengono da una fonte sicura.

Crittografare le copie dei backup di progetto e di workspace prima di inviarli o di salvarli in un luogo di raccolta centrale. Se necessario, usare delle funzioni aggiuntive oppure software aggiuntivo. Prima di poterlo ripristinare nell´Editor, si deve ripristinare il backup partendo dalla copia crittografata.


Log delle modifiche

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Log delle modifiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attivare il Log delle modifiche per archiviare i cambi effettuati nel progetto. Impostare una password per evitare che il Log delle modifiche possa essere disattivato senza avere l´autorizzazione per farlo. In genere ha senso attivare il Log delle modifiche solo dopo che l´impianto è stato fornito.


Versionamento di progetto con esportazione XML

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Versionamento di progetto con esportazione XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attivare nel progetto il versionamento con l´opzione Esportazione XML attiva. Anche i backup di progetto conterranno l´esportazione in XML. In questo modo sarà possibile confrontare i backup di progetto ed eseguire anche un backup incrementale di singoli componenti.


Gestione user

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utilizzare la gestione user anche nell´Editor.
In questo modo si può evitare che un progetto possa essere caricato da persone non autorizzate e si può controllare la possibilità di eseguire delle modifiche collegandola al possesso di determinati livelli di autorizzazione.


Runtime Test

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Runtime Test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utilizzare la simulazione driver pre eseguire dei test a Runtime.


Importazione di variabili

Manuale -> zenon Security Guide -> Proteggere zenon -> Editor -> Importazione di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´importazione online di variabili direttamente dal PLC presuppone una connessione fra il computer su cui è installato l´Editor e il PLC stesso. L´uso nella rete dell´impianto produttivo di un computer "esterno" che è stato utilizzato anche in altre reti, rappresenta un fattore di rischio.

Per questa ragione si consiglia di utilizzare, se possibile, l´importazione offline, oppure un computer di progettazione (Editor) che sia una parte fissa e integrante della rete dell´impianto produttivo. Se questo non dovesse essere possibile, testare l´importazione online utilizzando un ambiente di prova e controllare il PLC prima di reintegrarlo nella rete dell´impianto produttivo.


La comunicazione con il PLC

Manuale -> zenon Security Guide -> Proteggere zenon -> La comunicazione con il PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la maggior parte dei protocolli di comunicazione con PLC non è prevista la possibilità di crittografare il carico utile, o di verificare l´autenticazione. Molti PLC non offrono la possibilità di crittografare anche il canale di trasporto dei dati.

Di conseguenza, un sistema SCADA oppure un PLC non hanno la possibilità di verificare se la comunicazione avviene veramente in modo diretto, oppure passa per un computer compromesso (man in the middle), che un aggressore che dispone della conoscenza del protocollo può usare per leggere i dati e anche modificarli.

Per la comunicazione via Ethernet, si consiglia di usare, se possibile, Switches, con Port Security per rendere più difficile, o addirittura impedire che la comunicazione passi per un computer compromesso. Intrusion Detection I sistemi possono inoltre monitorare l´ARP o il NDP ed avvertire se viene rilevato un tentativo di deviare la comunicazione.


Monitoraggio dei dispositivi con il SNMP

Manuale -> zenon Security Guide -> Proteggere zenon -> Monitoraggio dei dispositivi con il SNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione dei suoi utenti un driver SNMP_NG che supporta SNMPv1, SNMPv2 e SNMPv3. Questo driver può essere usato su computer collegati in rete per monitorare i dispositivi connessi a Runtime, come Runtime client o PLC, e per visualizzare e analizzare lo stato di componenti di rete come switch o stampanti di rete.

Lettura di SNMP Agents - Ricezione di Traps

Il driver SNMP_NG può leggere dati da dispositivi compatibili con SNMP. Può usare lo stato del ping per stabilire se il dispositivo finale è raggiungibile usando il protocollo ICMP, e se è possibile ricevere trap SNMP.

Stato del ping positivo

Il driver SNMP_NG può essere usato non solo per leggere dispositivi via SNMP, ma anche per inviare ciclicamente un ping ai dispositivi collegati con la rete che non sono agenti SNMP. Il risultato può essere analizzato a Runtime e un allarme può essere attivato se un dispositivo non dovesse più rispondere.

Stato del ping negativo: aree di protezione - DMZ - rete aziendale - Internet

Lo stato del ping può essere utilizzato anche per eseguire test negativi. Lo stato del ping del driver SNMP_NGS può essere usato anche per eseguire ciclicamente una verifica della situazione seguente: un computer parte di una rete viene utilizzato con il Runtime di zenon in un ambiente in cui non deve essere possibile nessuna connessione con altre aree di protezione, la DMZ, la rete aziendale o Internet. In questo caso, il risultato dovrebbe essere sempre "ping non riuscito". Si può poi prevedere che un allarme venga attivato nel caso in cui dovesse giungere una risposta a un ping.

Eventi Windows come trap SNMP

I Log eventi Windows registrano una grande quantità di informazioni relative al sistema locale. Fra l´altro, anche messaggi che possono essere rilevanti dal punto di vista della sicurezza. Tuttavia, se questi messaggi non vengono raccolti e controllati centralmente, importanti indicazioni e avvertimenti potrebbero andare persi. Gli eventi dei "Windows Event Logs" non possono essere letti direttamente da <CD_PROCUTNAME>. Per far questo, però, si può usare una funzione standard di Windows e il driver SNMP_NG.

Windows mette a disposizione un agente SNMP, che può essere attivato come funzione usando il pannello di controllo e configurato come servizio. Con questo servizio, il computer locale può essere configurato come destinatario di trap. Poi si può usare il programma evntwin.exe (Event to Trap Translator) per generare un trap SNMP per qualsiasi tipo di eventi Windows. I trap SNMP possono poi essere creati in zenon come variabili trap. La lettura di un valore iniziale non è possibile per questo trap; tuttavia è possibile impostare un allarme a Runtime che si attiverà quando viene generato un certo evento Windows e viene ricevuto il trap corrispondente.

In questo modo è possibile monitorare anche computer non collegati in rete. Non solo il computer locale può essere configurato come destinatario di trap, ma anche altri computer della rete. Il monitoraggio centrale di computer connessi in rete tramite il Runtime di zenon e il driver SNMP_NG è dunque possibile anche per computer Windows su cui non è installato il Runtime di zenon.

Ulteriori informazioni:

  • Controllo di sicurezza e rilevamento attacchi: https://msdn.microsoft.com/en-us/library/cc875806.aspx
  • Event Log Monitoring: http://www.redblue.team/2015/09/spotting-adversary-with-windows-event.html


Webserver/Webclient

Manuale -> zenon Security Guide -> Proteggere zenon -> Webserver/Webclient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Webserver e Webclient sono concepiti solamente per un utilizzo in una rete protetta. Il Web server non dovrebbe essere raggiungibile direttamente o indirettamente tramite Internet via port-forwarding. In linea di principio è possibile connettere via Webserver un Webclient che si trova in un luogo con un Runtime che si trova in un altro luogo. In questo caso, però, bisogna sempre assicurarsi che l´architettura di rete sia solida. Il Webserver, per esempio, dovrebbe essere configurato in una DMZ. La comunicazione fra le reti del Webserver e del client dovrebbe essere realizzata via VPN-Tunnel.


Ulteriori informazioni e consulenza

Manuale -> zenon Security Guide -> Ulteriori informazioni e consulenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA può fornire un supporto tecnico solamente per la configurazione dei suoi prodotti. Per questioni generali relative alla sicurezza nel settore informatico, ai sistemi operativi, alle reti ecc, contattare il proprio consulente IT.

Per domande relative al tema della sicurezza in zenon, rivolgersi al Consulting di COPA-DATA, o usando il numero telefonico indicato nel contratto di assistenza, oppure inviando una E-Mail al seguente indirizzo: support@copadata.com.


zenon Web Server

Manuale -> zenon Web Server

Lo zenon Web Server è uno strumento che serve a richiamare e rappresentare dei contenuti di visualizzazione tramite un Web Browser. Ciò è possibile senza che sia necessario installare il Runtime di zenon sui dispositivi di destinazione. Tutte le componenti necessarie a consentire la rappresentazione dell´interfaccia utente sui dispositivi di destinazione, infatti, vengono rese disponibili automaticamente. Così si possono implementare nel sistema altri Web Client in modo dinamico.

Lo zenon Web Server, il Web Server Pro e il Web Server Pro Light rappresentano l´ambito completo di una visualizzazione di zenon. Il plugin per il Web Browser necessario a tale scopo può essere installato quando si avvia il Web Client per la prima volta.

L´HTML Web Engine rende disponibili dei contenuti di visualizzazione di zenon in HTML5 . Si possono utilizzare funzionalità selezionate.

Ancora in questo capitolo

zenon Web Server, Web Server Pro e Web Server Pro Light

HTML Web Engine


zenon Web Server, Web Server Pro e Web Server Pro Light

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server è disponibile in tre versioni differenti. Qui di seguito ne vengono descritte brevemente le funzioni.

tutorial Informazioni sulla licenza

Per poter usare zenon Web Server, zenon Web Server Pro e zenon Web Server Pro Light è necessaria una licenza. Per ulteriori dettagli vi preghiamo di consultare il capitolo Registrazione licenza.

zenon Web Server:

  • Inoltra pacchetti dati dal server primario via zenon Web Server al zenon Web Client.
  • Si occupa della registrazione licenza.
  • Funge solamente da viewer.
    Il che significa: non sono possibili azioni di gestione, fatta eccezione per cambio immagine, login e logout.
  • Può essere installato su un computer separato, ad esempio su di una DMZ.
  • Supporta la crittografia di rete.
  • Supporta l´HTTP tunneling.
  • Possibilità di utilizzare molti client (a seconda della licenza di cui si è in possesso).

zenon Web Server Pro:

  • Stesse funzionalità del zenon Web Server, con le seguenti eccezioni:
    • Consente attive azioni di gestione con zenon Supervisor e zenon Operator Runtime.
  • Avvio e gestione sotto Windows CE sono soggetti a certe limitazioni. .
  • Può essere installato su un computer separato, ad esempio su di una DMZ.
  • Supporta la crittografia di rete.
  • Supporta l´HTTP tunneling.
  • Possibilità di utilizzare molti client (a seconda della licenza di cui si è in possesso).

zenon Web Server Pro Light:

  • Consente attive azioni di gestione con zenon Supervisor e zenon Operator Runtime.
  • Il server primario a cui si connettono i zenon Web Client, deve essere lo stesso computer su cui è attivo il zenon Web Server Pro Light.Nota: nel caso dei progetti con ridondanza, il zenon Web Server Pro Light deve essere implementato in forma ridondante; un´istanza sul server e una sul Server-Standby.
  • Massimo 3 Client.
  • Nessun supporto per la comunicazione criptata in rete. Non si avvia o si chiude da solo in caso di comunicazione crittografata.
  • HTTP tunnelling non viene supportato.
  • I progetti devono essere attivi sullo stesso computer come "server". I progetti che sono attivi su questo computer come Client, non sono supportati.
  • I multi-progetti sono supportati se tutti i progetti sono attivi localmente come server.

Nota: fino a zenon 7.10, il zenon Web Server viene fornito come applicazione a 32-Bit. A partire dalla versione 7.11, esso è inoltre disponibile anche come applicazione a 64-Bit.

Ancora in questo capitolo

Esempio di configurazione con il zenon Webserver.

Componenti richieste e loro definizione

Configurazione del progetto

IPv6

Registrazione della licenza

Funzionamento ridondante

HTTP Tunneling

Web Browser supportati

Cartella per i file Runtime:

VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Risoluzione schermo e gestione monitor

Implementare zenon Web Server in un ambiente Internet

Gestione degli errori


Esempio di configurazione con il zenon Webserver.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Esempio di configurazione con il zenon Webserver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dal PC1 ci si collega come client al server primario (cioè al PC3) via zenon Web Server attivo sul PC2 che funge da gateway (vedi la seguente illustrazione). Grazie al zenon Web Server ed al zenon Web Client, il progetto può essere visualizzato dal PC3 sul PC1 in un web browser, senza che si renda necessario installare il Runtime localmente sul PC1. Per abilitare questa funzione sono necessarie le seguenti installazioni:

Nota: la seguente configurazione di componenti non vuole essere altro che un suggerimento. Siete voi a decidere in piena libertà quali componenti installare su quale computer. Tuttavia si deve tenere presente quanto segue: un Web Client di zenon per un progetto A non può essere usato sul computer che funge da server per lo stesso progetto A .

Inoltre: Se si usa il zenon Web Server Pro Light, esso deve essere installato sul computer su cui è attivo il Runtime. Nel nostro esempio, questo computer è PC3.

  1. PC1: Installate su questo computer il zenon Web Client e il Web Browser.
  2. PC2: Installate su questo computer il Servizio Publishing e il zenon Web Server.

    Nota: Per quello che concerne il servizio di pubblicazione, questo manuale si riferisce all´IIS Publishing Service.. Se esso è installato sul computer, la home page per il zenon Web Client verrà configurata automaticamente. Ci sono anche dei servizi di pubblicazione alternativi, come, ad es., quello di Apache. Potete decidere liberamente quale servizio installare. Esiste inoltre la possibilità di rinunciare all´uso di un servizio di pubblicazione. In tal caso, però, si rende necessario effettuare manualmente alcune operazioni di configurazione: trovate una descrizione dettagliata di questi passaggi nel capitolo Servizio publishing.

  3. PC3: Il zenon Runtime e il progetto devono essere su questo computer, e, se lo si vuole, anche il zenon Editor.

    Nota: Se non si dispone di una licenza per il zenon Web Server, esso si avvierà in modalità Demo. In questo caso non ci sarà uno start automatico in contemporanea all´avvio del sistema operativo, e zenon Web Server dovrà essere avviato manualmente tramite l´interfaccia utente. La seduta verrà chiusa automaticamente dopo 30 minuti. Si possono collegare al massimo due client.

Configurazione delle singole componenti:

Di solito è necessario effettuare un configurazione dopo ogni installazione. Per esempio, dopo l´installazione di zenon Web Server sul PC2, è importante il file global.vars . Questo file viene installato automaticamente insieme ad altre cose e deve essere in parte modificato e adattato. Per i dettagli vi preghiamo di consultare il capitolo Impostazioni in global_vars.js.

Il progetto Runtime sul PC3 richiede le seguenti Impostazioni di base nello zenon Editor:

  • Proprietà di progetto -> Rete -> Attivare Rete attiva
  • Proprietà di progetto-> Rete -> Server 1 -> Inserisci Computer (Nome) con Runtime.

Una volta terminata l´installazione e la configurazione, potete far sì che il Runtime venga visualizzato sul PC1. A tal scopo, aprite il web browser e digitate: NomePC2\zenon\index.htm


Componenti richieste e loro definizione

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Componente | Descrizione
Server primario | Il server su cui si trovano il Runtime, l´Editor e il progetto e a cui ci si collega come client tramite il zenon Web Server.
zenon Web Server | Inoltra pacchetti dati dal server primario via zenon Web Server al zenon Web Client. Si occupa, inoltre, della registrazione licenza. Non può settare valori.
zenon Web Server Pro: | Consente attive azioni di gestione con zenon Supervisor. Start e funzionamento sotto Windows CE sono soggetti a determinate restrizioni.
zenon Web Server Pro Light | Consente attive azioni di gestione conzenon Operator e zenon Supervisor.
Servizio publishing | Serve alla pubblicazione di documenti, come, ad esempio, pagine HTML, tramite il protocollo HTTP.
zenon Web Client | Il zenon Web Client è un programma attivo in un WEB Browser standard e visualizza un progetto. Si collega al server primario tramite il zenon Web Server. Visualizza il progetto del server primario nel modo in cui lo mostrerebbe anche un normale client. La sola differenza è la seguente: nel caso del zenon Web Client tale visualizzazione avviene in un browser.
Web Browser | I Web Browser sono speciali programmi che servono per la visualizzazione di siti web nel World Wide Web, oppure in generale per la visualizzazione di documenti e dati. Sorgente: http://de.wikipedia.org/wiki/Webbrowser

Per potere installare o configurare lo zenon Web Server, lo zenon Web Client ed il servizio publishing, è necessario disporre di diritti di amministratore.

Nota: Per il funzionamento normale, invece, non è necessario disporre di diritti amministratore. Sono sufficienti i normali diritti utente.

Ancora in questo capitolo

Installazione del servizio publishing

Installazione di zenon Web Server

Installazione di zenon Web Client


Installazione del servizio publishing

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione del servizio publishing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se usate un sistema operativo Windows sul vostro computer, non è necessario installare il servizio publishing Basta attivarlo mediante le Windows Features. Il seguente esempio si riferisce all´IIS Publishing Service. Se ne può usare anche un altro, come, ad es., quello di Apache. In questo caso, è possibile che i file debbano essere salvati diversamente. Tenere presente in questo caso la seguente Info Box:

Per attivare il servizio publishing IIS:

  1. Premere la combinazione di tasti Windows+R.

    Si apre aperta la finestra di dialogo “Esegui” che consente di inserire un comando.

  2. Nel campo di testo, digitare appwiz.cpl.

    Cliccare su OK.
    Si apre una nuova finestra di gestione del sistema che consente di configurare programmi e funzionalità di Windows.

  3. Cliccare nella parte sinistra di questa finestra su Attivazione o disattivazione delle funzionalità Windows.

    Si apre la finestra di dialogo che consente di selezionare le funzionalità del sistema operativo.

  4. Espandere l´opzione Internet Information Services:
  5. Attivare tutti i World Wide Web Services.

Se l´attivazione di tutti i servizi è riuscita, verrà visualizzata la seguente cartella nella root directory: C:\inetpub\wwwroot

info Info

Se zenon Web Server è stato già installato prima del servizio publishing, oppure se si usa un altro servizio publishing, la cartella impostata al momento dell´installazione del Web Server di zenon C:\Program Files (x86) \COPA-DATA\zenonWebserver\zenon deve essere spostata manualmente in C:\inetpub\wwwroot, oppure nella root directory del servizio publishing alternativo.

Nota: il servizio di pubblicazione semplifica l´accesso ai file di configurazione per il Web Browser. Se, però, i file di configurazione sono accessibili localmente o in rete, si può far a meno di usare il servizio publishing.


Installazione di zenon Web Server

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona il computer su cui installare zenon Web Server e il servizio publishing, tenere presenti i seguenti criteri:

  • Deve essere possibile una comunicazione via TPC fra zenon Web Server e il server primario.
  • Ci deve essere una risoluzione nome completa fra zenon Web Server e il server primario in rete.

Suggerimento: se zenon Web Server deve essere raggiungibile dall´esterno, si raccomanda di usare una connessione VPN e di collocare zenon Web Server e il computer con il servizio di pubblicazione in una DMZ.

Si consiglia di installare zenon Web Server sullo stesso computer su cui è stato attivato e installato il servizio publishing.

Procedura:

  1. Avviare il processo di installazione dal supporto di installazione.
  2. Seguire le istruzioni dell´assistente di installazione.
  3. Riavviare il computer.

La cartella zenon verrà impostata automaticamente nella cartella wwwroot dell´IIS Publishing Service. In questa cartella si trovano, fra l´altro, alcuni importanti file di configurazione che vengono installati automaticamente. Uno di questi è, per esempio. il global_vars.js. È necessario eseguire alcune impostazioni in questo file. Ulteriori dettagli a questo proposito si trovano nel capitolo Configurazione di zenon Web Server.

Ancora in questo capitolo

Configurazione/start di zenon Web Server


Configurazione/start di zenon Web Server

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare o avviare manualmente il Web Server:

  1. Aprire il Pannello di controllo o il menù Start.
  2. Cliccare su zenon Web Server.

    Si apre la finestra di dialogo per la configurazione e la registrazione della licenza

    Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

  3. Selezionare la connessione via TCP oppure HTTP

    Attenzione: attivare l´opzione HTTP Tunneling (segno di spunta nella checkbox corrispondente) solo se tutti i zenon Web Client sono stati configurati in modo corrispondente. TCP è l´impostazione standard.

  4. Cliccare sul pulsante Start per avviare manualmente il Web Server.

Nota: nel funzionamento normale, zenon Web Server viene avviato automaticamente insieme al computer come servizio di Windows. Se è necessario chiuderlo, oppure se si sta inserendo un nuovo numero di licenza. lo si dovrà riavviare manualmente. Se non si ha una licenza valida, il Web Server non verrà avviato come servizio, ma in modalità demo.

Parametri

Descrizione

State:

Mostra la versione e lo stato del Web Server:

Possibili versioni:

  • zenon Web Server
  • zenon Web Server Pro:
  • zenon Web Server Pro Light

Possibili informazioni di stato:

  • running:
    il Web Server funziona con una licenza valida
  • stopped:
    Web Server interrotto:
  • Demomodus:
    il Web Server funziona in modalità demo, senza una licenza valida
  • not installed:
    il Web Server non registrato come servizio, oppure errore di installazione

Max. number of clients:

Numero massimo di Client che possono connettersi al Web Server. Il numero viene definito attraverso la licenza.
Nel caso della modalità demo, questo numero è limitato a 2 Client che funzionano per un massimo di 30 minuti.

Default: 0

Number of active clients:

Visualizza il numero dei Client connessi al momento.

Start

Avvia Web Server.

Stop

Termina il Web Server.

Refresh

Aggiorna la visualizzazione.

Diagnosis Viewer

Apre il Diagnosis Viewer

HTTP tunnelling

Attivo: HTTP tunneling è attivato.

Non disponibile nella versione Web Server Pro Light.
Nota: può essere modificato solamente se il Web Server ha lo stato bloccato. Non si può eseguire uno switch mentre il sistema è operativo.

Default: non attivo.

Active clients

Lista dei Client connessi.

OK

Applica tutte le modifiche e chiude la finestra di dialogo.

Annulla

Annulla le modifiche e chiude il dialogo.

Start e configurazione sotto Windows CE:

Per Windows CE non è a disponibile un dialogo di start. Il zenon Web Server è già integrato nel Runtime.

Per avviare il zenon Web Server sotto Windows CE, deve verificarsi quanto segue:

  • La proprietà Rete attiva deve essere attivata nel progetto,
  • il Runtime deve essere avviato
  • deve essere stata registrata la licenza per il zenon Web Server

Nota: HTTP tunnelling non è a disposizione sotto Windows CE.

Sotto Windows CE, la funzionalità è soggetta a tutte le restrizioni che valgono in generale per Windows CE e zenon Web Server sotto Windows CE.

info Info

Con il Runtime e il Web Server integrato non viene installato nessun servizio publishing. Tuttavia è possibile usare su un computer Windows qualsiasi servizio publishing con i corrispondenti file di configurazione.

Ancora in questo capitolo

Configurazione di global_vars.js

zenon Web Client nella rete ridondante


Configurazione di global_vars.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server -> Configurazione di global_vars.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurazione di global_vars.js

I parametri di connessione necessari per stabilire la connessione fra zenon Web Client e server primario si trovano nel file di configurazione global_vars.js. Se si utilizza il servizio IIS Publishing, questo file si trova nella cartella C:\inetpub\wwwroot\zenon\config\ sul computer su cui viene eseguito l´IIS Publishing.

Modificare e adeguare il contenuto di questo file in un Editor di testo. Note relative ai contenuti richiesti si trovano anche nel testo di commento.

Contenuto di global_vars.js

// Please enter here the string name of your project and make sure that it is identical with the project name in the Editor

var PROJECTNAME = "PROJECT";

// Please enter here the computer name, on which the zenon Runtime is installed and on which it is actively running

// For redundant Runtime servers, please enter both "server1;server2"

var RUNTIMESERVER= "Runtime server";

// Please enter here the computer name, on which you have installed the zenon Web Server

var WEBSERVER = "Webserver";

// Please enter here an optional initial function to be executed when the Web Client connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Optional: Please enable the zoom feature (This step will stretch the project resolution to the size of the Web Client control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Please enter the version number corresponding to the Web Client.

var VERSION = "7,60,0,0";

// Optional: Please enable HTTP tunnelling feature: 0 = inactive (available on Web Client version 7.00 and higher)

var HTTP = "0";

Parametri

Parametri

Descrizione

PROJECTNAME=

Definisce il nome del progetto Runtime.

var PROJECTNAME = "NOMEPROGETTO";

Nota: il progetto deve essere attivo come progetto server sul server Runtime impostato.

RUNTIMESERVER =

Indica il computer di destinazione su cui è attivo il Runtime per il progetto.

  • Progetto standalone:
    var RUNTIMESERVER = "SERVE NAME;
  • Progetto di rete:
    var RUNTIMESERVER = "Runtime server; Runtime server2
    Nota: Runtime server = Server 1; Runtime server2 = Server 2

Il nome deve corrispondere a quello del server indicato nella configurazione di progetto.

Nota: qui non è consentito usare l´indirizzo IP. La risoluzione dei nomi fra computer con zenon Web Server e quello primario in rete deve esistere in entrambe le direzioni Un ping del nome computer deve funzionare in entrambe le direzioni.

Ulteriori informazioni sulla corretta configurazione di zenon Web Server per la gestione di una rete ridondante si trovano nel capitolo zenon Web Client nella rete ridondante.

WEBSERVER=

Indica il computer di destinazione sul quale è stato installato lo zenon Web Server.

Attenzione: non deve essere necessariamente il server publishing!

var WEBSERVER = "WEBSERVER";

Ridondanza - zenon Web Server

Se, oltre al server di zenon, si vuole impiegare anche zenon Web Server in un sistema ridondante, devono essere soddisfatte i seguenti condizioni:

  • Si devono installare due zenon Web Server su diversi computer; per entrambi sarà necessario registrare una propria licenza.
  • Si devono indicare tutti e due zenon Web Server (separandoli con una virgola) nella dichiarazione di variabili sulla pagina HTML:

    var WEBSERVER = "WEBSERVER,WEB-STANDBY-SERVER";

Nota: al posto del nome computer su cui è installato zenon Web Server, si può inserire anche l´indirizzo IP. Se questo computer si trova dietro un router NAT ed è configurato un Port Forwarding, si può usare anche l'indirizzo IP del router NAT.

INITFUNCTION=

Definisce una funzione di zenon che viene eseguita quando un progetto è avviato nel browser.

Questa impostazione è facoltativa.

var INITFUNCTION = “Init"

Nota: l´ortografia deve corrispondere ai nomi delle funzioni in zenon (uso delle lettere maiuscole/minuscole).

ZOOM=

Stabilisce se si può zoomare il progetto nella browser view.

Questa impostazione è facoltativa.

var ZOOM = "VALORE";

  • 0: OFF
  • 1: ON

Default: 0: OFF

Esempio:

var ZOOM = "0";

Nota: L'adattamento dello zoom viene assunto solo nella fase di inizializzazione; ciò non accade nel caso in cui il Runtime sia già attivo. Se si desidera una determinata dimensione, essa dev'essere definita da Active X Control. Se non aprite la finestra browser a tutto schermo e l´ingrandite (massimizzate) in seguito, ci potranno essere dei problemi nella visualizzazione.

var VERSION=

Definisce la versione del zenon Web Client.

var VERSION = "VALORE";

Ad esempio:

var VERSION = "7,60,0,0";

Deve essere sempre la stessa o superiore alla versione del zenon Runtime.

var HTTP=

Definisce il tipo di comunicazione e consente la comunicazione via HTTP. Se questa proprietà è disabilitata, la comunicazione avviene via TCP/IP

Questa impostazione è facoltativa.

  • 0: non attivo
  • 1: attivo

Default: 0: non attivo.

Nota: trovate ulteriori informazioni nel capitolo HTTP Tunneling di questo manuale.

Nota: bisogna far attenzione all´uso di lettere maiuscole e minuscole quando si inseriscono parametri nel file global_vars.js.


zenon Web Client nella rete ridondante

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server -> zenon Web Client nella rete ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
zenon Web Client nella rete ridondante

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal Tipo di ridondanza impostato. È possibile che i ruoli svolti dai computer configurati nell´Editor come Server 1 e Server 2 cambi a Runtime, in modalità che dipendono dalla configurazione del Tipo di ridondanza, e dall´analisi corrente (nel caso sia stata impostata la modalità Tipo di ridondanza ponderata).

Si raccomanda, perciò, di configurare tutti e due i server per lo zenon Web Server. Per farlo, modificare nel file di configurazione global_vars.js la riga con l´inserimento RUNTIMESERVER= e inserire qui entrambi i computer.

La successione dovrebbe corrispondere a quella della progettazione nell´Editor di zenon:

I dettagli relativi alla configurazione si trovano nel capitolo Configurazione del global_vars.js.

Configurazione server modificata

Se il nome server configurato nell´Editor non corrisponde a quello impostato nel file global_vars.js, lo zenon Web Client non si avvia.

Se la configurazione del server viene modificata in zenon per un sistema in esecuzione, nello zenon Web Client verrà visualizzata la finestra di dialogo "Il Runtime è occupato".

Dopo una sincronizzazione di progetto, verranno visualizzate in un´altra finestra di dialogo la configurazione attiva al momento e quella configurata. In questo caso, la finestra browser deve essere chiusa dall´utente e lo zenon Web Client deve essere riavviato.

attention Attenzione

Se si cambia la configurazione di Server 1 e Server 2 nell´Editor di zenon, anche il file global_vars.js deve essere modificato in modo corrispondente.

Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata allo zenon Webserver nel capitolo Configurazione di global_vars.js.


Installazione di zenon Web Client

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare lo zenon Web Client come applicazione a 32-Bit ci sono 4 possibilità.

Nota: Si consiglia di effettuare l´installazione usando la prima possibilità.

1. Tramite la pagina index.htm:

Vi consigliamo di effettuare i seguenti passaggi sul computer sul quale è stato installato e attivato il servizio di pubblicazione. Nel nostro esempio, questo computer è PC2. Per i dettagli vi preghiamo di consultare l´immagine che si trova nel capitolo Esempio di configurazione con zenon Web Server. Tuttavia, non si ha bisogno necessariamente di zenon Web Client su questo computer. Potete scegliere liberamente il computer.

  1. Avviate la pagina index.htm digitando nel Web Browser quanto segue: http://Publishingserver//zenon/index.htm

  2. Poi cliccate sull´icona Starting the zenon Web Client.
  3. La prima cosa ad essere eseguita deve essere il WebClientSmall-Setup.

    Nota: Per far ciò si deve disporre di diritti amministratore. Durante l´installazione del WebClientSmall-Setup, inoltre, è necessario avere una connessione Internet al fine di poter scaricare ulteriori componenti. Se il vostro computer non ha una connessione ad Internet, usate la grande installazione e uno degli altri metodi di installazione.

  4. La pagina init.htm viene aperta dalla pagina index.htm.
  5. La pagina init.htm carica i file javascript. Essi caricano a loro volta il Plugin dello zenon Web Client.

Nota: Se si ha bisogno del più grande file di zenon Web Client, si deve adeguare manualmente la pagina index.htm. Nel capitolo index.htm trovate ulteriori informazioni su questo argomento.

Avete anche la possibilità di aprire la pagina index.htm a partire dalla cartella zenon . Questa cartella viene impostata automaticamente al momento dell´installazione di zenon Web Server nella directory \wwwroot.

2. Via Copia ed incolla:

Dopo l´installazione del servizio Publishing (IIS) e di zenon Web Server, i file di installazione per zenon Web Client si trovano nella sottocartella \inetpub\wwwroot\zenon\controlversions\version720SP0\WebClient.exe, oppure WebClient_small.exe.

Copiare da questa cartella l´applicazione WebClient_small.exe. o WebClient.exe.

  1. Aggiungerla poi localmente dove si è deciso di salvarla.
  2. Installare l´applicazione.

3. Mediante il supporto di installazione:

  1. Copiate dalla cartella: ...\Setup\wwwroot\controlversions\version720SP0\WebClient.exe l´applicazione WebClient.exe o WebClient_small.exe.
  2. Incollatela poi localmente dove avete deciso di salvarla.
  3. Installate l´applicazione.

Nota: Il zenon Web Client consiste soprattutto di un ActiveX Control. Esso visualizza le informazioni in un browser 1:1, come in un normale Runtime Client. La connessione al Runtime Server avviene via TCP/IP tramite il zenon Web Server. zenon Web Client protocolla eventuali errori nel Diagnosis Server locale. Il Diagnosis Server viene installato automaticamente con zenon Web Client.

4. Tramite la pagina init.htm:

Avviate il Web Browser e passate alla pagina init.htm digitando nello stesso Web Browser quanto segue: http://Publishingserver/zenon/init.htm

  1. Avviate in questa sede l´applicazione WebClient.exe

Nota: Il numero dei zenon Web Client utilizzabili contemporaneamente dipende dalla licenza.

Attenzione: potrebbe essere necessario aggiungere questa pagina come "trusted site"" nelle impostazioni dell´Internet-Explorer alla voce Extras -> Internet options-> Security.

Procedura:

  • Aprire il Web Browser.
  • Cliccare su Internet Options..
  • Cliccare su Security..
  • Cliccare su Trusted sites.
  • Cliccare su Sites.
  • Inserire la pagina.

Ancora in questo capitolo

zenon Web Client - compatibilità

Impostazioni lingua del zenon Web Client

Creazione della pagina HTML iniziale di progetto

index.htm

init.htm

browsercheck.js

initcode.js


zenon Web Client - compatibilità

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> zenon Web Client - compatibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il zenon Web Client avete accesso (in modo simile a quanto accade per la Compatibilità runtime) a diverse versioni del runtime. Il numero di versione di zenon Web Client deve corrispondere a quello della versione del Runtime, o essere superiore a quest´ultimo.

La compatibilità online consente l´interazione di sistemi Runtime (anche via zenon Web Client) nella rete di zenon, anche se la versione del Runtime-Client è di numero superiore a quella del Runtime-Server.

Il Runtime corrente può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21 SP0
  • 06:21 SP1
  • 06:22 SP0
  • 6.22 SP1
  • 06:50 SP0
  • 6.51 SP0
  • 07:00 SP0
  • 07:10 SP0
  • 07:11 SP0
  • 07:20 SP0
  • 7.20 SP0 [Nr. Build più recente]:
  • 07:50 SP0
  • 7.60 SP0

Grazie alla gestione multi-progetto, si possono caricare anche diversi progetti. Ad esempio, il progetto di integrazione può essere della versione 7.60, un sotto-progetto della versione 07.50 e un ulteriore sotto-progetto della versione 6.51.

info Info

Si consiglia di usare sempre zenon Web Client con il Service Pack più recente a disposizione per una determinata versione.


Impostazioni lingua del zenon Web Client

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Impostazioni lingua del zenon Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la lingua per il Web Client:

  1. Avviare lo Startup Tool.
  2. Selezionare la voce di menù General.
  3. Nel menù a tendina Language for Editor and Runtime selezionare la lingua desiderata.

Lingue disponibili per il Web Client:

  • Cinese
  • Tedesco
  • Inglese
  • Francese
  • Italiano
  • Russo
  • spagnolo
  • Ceco

info Info

Ulteriori informazioni relative alle impostazioni lingua nello Startup Tool si trovano nella guida dedicata ai Tools, nel capitolo Generale.


Creazione della pagina HTML iniziale di progetto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Creazione della pagina HTML iniziale di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché il Web Browser possa avviare lo zenon Web Client e perché quest'ultimo si possa connettere al corrispondente Server primario, c'è bisogno di una pagina di accesso al progetto. Questa pagina contiene anche il codice necessario. Come lingua per gli script si usa Java Script.

Requisiti:

  • Java Script deve essere attivata nel browser.
  • Il zenon Web Client deve essere installato localmente sul calcolatore su cui viene eseguito il webbrowser .

Raccomandazione: prima della pagina iniziale di progetto (init.htm), aprire una pagina iniziale (index. htm ) che consente di scaricare zenon Web Client. Questa pagina contiene degli hyperlink:

  • Per il download dei zenon Web Client Control
  • Per la pagina iniziale di progetto init.htm, che esegue un browser-check e instaura la connessione fra lo zenon Web Server e il server primario

Ancora in questo capitolo

Esempio di pagina iniziale di progetto init.htm per TCP e HTTP


Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Sulla pagina iniziale di progetto, un browser-check verifica quale browser usi zenon Web Client. A seconda del risultato di questa analisi, viene avviato zenon Web Client, oppure viene visualizzato un messaggio di errore.

Esempio di inizio progetto:

La pagina iniziale inizializza tre script per verificare il browser utilizzato e instaurare una connessione con il Runtime, oppure emettere un messaggio di errore:

  • global_vars.js: definisce i valori dei parametri di trasferimento per lo start di zenon Web Client.
  • browsercheck.js: verifica la versione del browser utilizzato.
  • initcode.js: definisce le funzioni usate per avviare zenon Web Client.

Nota: L´unica differenza in queste impostazioni per le connessioni che usano TCP e quelle che usano HTTP, riguarda l´inserimento UseHTTP .


index.htm

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> index.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La pagina index.htm è quella d'inizio nel nostro esempio. Essa si apre di default in lingua inglese; si può passare però ad un altra lingua direttamente sulla pagina, sfruttando l´opzione posta in alto a destra.

La pagina index.htm:

  • Dà informazioni relative ai browser compatibili
  • Offre dei link per lo start del zenon Web Client
  • Offre link per l´installazione di zenon Web Client Control, necessario se zenon non è installato sul computer con zenon Web Client.
  • Al momento dello start di zenon Web Client, apre la pagina iniziale di progetto init.htm che esegue anche la verifica del browser.


init.htm

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> init.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´init.htm controlla il browser utilizzato e avvia il progetto, oppure, in caso contrario, emette una segnalazione di errore.

A tal scopo si usano tre script:

  1. La configurazione viene caricata dal global_vars.js.
  2. Il browser viene determinato attraverso browsercheck.js.
  3. Se si tratta di un browser supportato, viene eseguita la funzione appropriata per includere il zenon Web Client da initcode.js.

Esempio:

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("invalid parameter");

break;

}

</script>

</html>


browsercheck.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> browsercheck.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Javascript verifica quale Browser vuole avviare zenon Web Client e restituisce il risultato a init.htm.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE = (UserAgent.lastIndexOf('MSIE ') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/') != -1) || (UserAgent.lastIndexOf('Chrome/') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/') != -1));

if(fWin32)

{

//Win32-Browser

if(fMSIE)

{

//Internet Explorer --> use ActiveX-Control

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome or Safari --> use NPAPI-Plugin

return "NPAPI";

}

}

//Non-Win32-Browser or not supported Browser (Opera, ...)

return "UNSUPPORTED_BROWSER";

}


initcode.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> initcode.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo script Java setta:

  • l´inserimento <embed> per avviare lo zenon Web Client in Apple Safari, Google Chrome e Mozilla Firefox
  • l´inserimento <object> per l´avvio del zenon Web Client in Microsoft Internet Explorer

Script:

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write (' UseHTTP = "' +HTTP+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write ('</object>');

}


Configurazione del progetto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il progetto che deve essere avviato mediante il zenon Web Server, deve avere le seguenti impostazioni di base nell´Editor di zenon:

  • Attivare proprietà di progetto -> Rete -> Rete attiva.
  • Proprietà di progetto -> Rete -> Server 1 -> Nome del computer che funge da server nel runtime.
    In caso di configurazione ridondante,si deve progettare anche la proprietà Server 2.
  • Questo nome calcolatore deve poi essere inserito anche nella pagina iniziale del progetto (globalvars.js) affinché sia possibile instaurare una connessione.

attention Attenzione

La configurazione di Server 1 e Server 2 deve essere la stessa nel progetto e nello zenon. Le indicazioni non devono sovrapporsi in nessun caso. Questo significa: Server 1 nel progetto non deve in nessun caso corrispondere a Server 2 sullo zenon Web Server, e viceversa.

Attivare zenon Web Server:

Per attivare zenon Web Server:

  1. Assicurarsi che i servizi publishing WWW siano stati avviati e che sia disponibile la entry page.
  2. Avviare il progetto Runtime sul computer.
  3. Avviare zenon Web Server

attention Attenzione

VBA/VSTA e Data Execution Prevention

Il sistema operativo impedisce tramite la funzione Data Execution Prevention (DEP) che il VBA-Code venga eseguito nel browser.

Microsoft Internet Explorer 8 e 9:
A partire dalla versione 8, il Microsoft Internet Explorer offre la possibilità di disattivare il DEP per il browser.

  • passate a Extras -> Opzioni internet -> Avanzate -> Sicurezza
  • disattivate l´opzione Attiva Protezione di memoria, per diminuire il rischio di attacchi online

Altri browser e Internet Explorer a partire dalla versione 10 (da Windows 8)

Il DEP deve essere disattivato completamente, visto che il processo browser non può essere escluso esplicitamente. Ciò non è raccomandabile per ragioni di sicurezza.

Per disattivare DEP:

  • Aprire la riga comandi con diritti di amministratore.
  • Eseguire il seguente comando:
    bcdedit.exe/set {current} nx AlwaysOff
  • Riavviare il computer.

L´impostazione può essere annullata con il comando bcdedit.exe/set {current} nx AlwaysOn.

Raccomandazione di carattere generale: usare VSTA invvece di VBA.

Ancora in questo capitolo

Restrizioni di carattere generale

Crittografia della comunicazione in rete


Restrizioni di carattere generale

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto -> Restrizioni di carattere generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti che sono gestiti usando zenon Web Client, presentano le seguenti restrizioni:

  • Allarmi:
    Ripristinare allarmi è possibile solamente se si utilizza zenon Web Server Pro.
  • Comandi:
    il modulo “Comandi” non è disponibile.
  • Gestione password

    AD e ADAM/ADLDS funzionano solamente con determinate restrizioni (come sugli Standard-Client):
    AD: il computer deve trovarsi nello stesso dominio.
    ADAM/ADLDS: il zenon Web Client ha bisogno di una connessione fisica al zenon Web Server (più Port aperta) e all´ADAM/ADLDS Server

  • Immagini:
    • L´immagine del tipo Post elaborazione archivio non è disponibile.
  • Stampa:

    Prima di effettuare la prima stampa sul zenon Web Client, deve essere eseguita la funzione selezionare stampante. In questa sede si possono fissare le stampanti per il client. Queste impostazioni vengono salvate nello zenon6.ini in modo tale che l'operazione sopra descritta non debba essere ripetuta ogni volta che si vuole stampare qualcosa.

  • IPA:

    Il modulo Industrial Performance Analyzer (IPA) è disponibile solamente su zenon Web Client in Intranet, perché non è possibile instaurare una connessione alla banca dati via Internet. Se c`è una connessione Intranet, le autorizzazioni database devono essere settate in modo tale che il computer remoto possa avere accesso a questa banca dati come un zenon Web Client.

  • Menù

    Non vengono visualizzati i menu principali nel zenon Web Client.

  • Gestione monitor:

    La gestione monitorfunziona con alcune restrizioni. zenon Web Client può essere gestito solo con un monitor.

  • PFS:

    Il Production & Facility Scheduler (PFS) è disponibile solo a partire dalla versione 6.01.

  • Informazioni di stato:

    Le informazioni di stato che vengono visualizzate tenendo premuto il tasto destro del mouse, sono disponibili solo in parte.

  • Combinazioni di tasti:

    Le combinazioni tasti su pulsanti come, per es., F3 non sono disponibili.

  • VBA:

    VBA è disponibile solo se è stato installato manualmente sul zenon Web Client. Si prega di contattare il supporto tecnico di zenon per avere ulteriori informazioni sull´argomento.

    Nota: le box di messaggio di macro VBA non vengono visualizzate da zenon Web Client se si usa Internet Explorer come browser Web.

  • VSTA: zenon Web Server e zenon Web Client supportano differenti versioni di VSTA.

    In generale, il zenon Web Client supporta VSTA, fatta eccezione di:

    • Debugging
    • Funzione Visualizza VSTA Editor
    • Compiling

    Per maggiori dettagli vedi i capitoli VSTA con zenon Web Client, zenon Web Server e zenon Web Server Pro.

  • zenon Logic non viene supportato da zenon Web Client.

Ulteriori restrizioni per Windows CE:

  • Possono essere collegati contemporaneamente al massimo tre zenon Web Clients con un runtime CE.
  • Il zenon Web Server deve funzionare sullo stesso apparecchio del runtime CE, con il quale deve essere connesso. Una connessione ad un runtime CE su un altro apparecchio non è possibile.

La licenza del zenon Web Servers per CE si effettua mediante la licenza remota.


Crittografia della comunicazione in rete

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto -> Crittografia della comunicazione in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7, la comunicazione in rete può essere protetta con crittografia forte.
A partire dalla versione 7.11 di zenon, la configurazione per la crittografia della comunicazione del Web Server è stata integrata nello Startup Tool.

Per attivare la crittografia nel Web Client:

  1. Avviare lo Startup Tool
  2. Selezionare la voce di menù Options...
  3. Passare alla scheda Network configuration
  4. Attivare la checkbox Encrypt network communication per abilitare la comunicazione crittografata di zenon Web Client.

info Info

Per ulteriori informazioni sulla configurazione di rete nello Startup Tool, consultare la guida dedicata ai Tools nel capitolo Configurazione di rete.


IPv6

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> IPv6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon, IPv6 può essere usato in rete.

info Info

Grazie ad IPv6, un numero maggiore di utenti e dispositivi possono comunicare via Internet usando numeri più grandi per creare indirizzi IP. Con IPv4, ogni indirizzo IP è lungo 32 bit, il che significa che è possibile creare un massimo di 4,3 miliardi di indirizzi IP univoci. Esempio di indirizzo IPv4:

172.16.254.1

Adesso un confronto: gli indirizzi IPv6 sono lunghi 128 bit, il che rende possibile creare circa 340 sestilioni ((3,4e+38) di indirizzi IP univoci. Esempio di indirizzo IPv6:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 offre anche altri vantaggi per quello che concerne la comunicazione di rete. Nella maggior parte dei casi, i computer e i programmi riconoscono automaticamente le reti compatibili con IPv6 e ne sfruttano i vantaggi senza che l´utente debba fare nulla. IPv6, inoltre, elimina anche quei problemi che possono insorgere in rete a causa delle limitate possibilità di IPv4 in fatto di creazione di indirizzi univoci. Esempio: IPv6 riduce la necessità di ricorrere alla cosiddetta traduzione degli indirizzi di rete (network address translations o NAT), un servizio che consente a diversi client di usare un comune indirizzo IP, che però non funziona sempre in modo affidabile.

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento simultaneo dei due protocolli. L´impostazione viene definita:

  • Network configuration Nello Startup Tool
    , oppure
  • nel file zenon6.ini

Attenzione: IPv6 funziona solamente a partire dalla versione 7.
Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata. Ciò riguarda particolarmente zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

I seguenti componenti non sono interessati da quest´impostazione; usano sempre il protocollo IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione via protocollo nel Process Gateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Diagnosis Viewer

Il Diagnosis Server funziona anche con client di diagnosi indirizzati tramite indirizzi IPv6. Per questo si è provveduto ad adattare il formato dei file Log. Il Diagnosis Viewer legge solamente il nuovo formato dei file LOG. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.


Registrazione della licenza

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La licenza determina:

  • quale versione del zenon Web Server è attiva:
    • zenon Web Server
    • zenon Web Server Pro:
    • zenon Web Server Pro Light
  • Numero delle connessioni zenon Web Client possibili in parallelo (Concurrent Use License)

Nota: il zenon Web Server funziona in modalità demo se non si dispone di una licenza valida. Per la modalità demo valgono le seguenti restrizioni:

  • Il zenon Web Server può essere avviato solo manualmente
  • La durata per la quale il programma può funzionare è limitata a 30 minuti.
  • Il numero dei possibili client è limitato a 2.

Per passare dalla modalità demo ad una licenza valida, si deve anzitutto terminare zenon Web Server, e poi inserire un numero di licenza valido nella scheda License. Riavviare poi il zenon Web Server manualmente.

info Info

I seguenti elementi del tipo Collega testo possono essere usati anche senza licenza per lo zenon Web Server Pro sullo zenon Web Client:

  • Nome utente
  • Password
  • Firma

zenon Operator e Windows CE:

Per il zenon Operator è disponibile il zenon Web Server Pro Light.

Per Windows CE è disponibile uno zenon Web Server Pro Light incorporato (per così dire) nel Runtime, il che significa che il Runtime deve essere avviato per far sì che lo zenon Web Server Pro Light possa funzionare. La funzionalità di questo tool è limitata a casa della piattaforma. La registrazione della licenza avviene mediante Trasporto Remoto nell´Editor usando il meccanismo della licenza remota.

Si può inserire la licenza per zenon Web Server anche usando la registrazione licenza. Procedura:

  1. Aprire Start -> Tutti i programmi -> COPA-DATA -> Licensing.

    Oppure:

    Avviare zenon Web Server via Pannello di controllo-> zenon Web Server

  2. Si apre la finestra di dialogo che consente l´inserimento dei dati licenza.
    • Selezionare zenon Web Server
  3. Digitare il numero di serie e quello di attivazione

    I dati relativi si trovano:

    • Sul certificato di licenza.
    • Sull´adesivo di licenza.

      Percorso Windows 7/8: C:\Users\Public\Documents\zenon_Projects\

    Nota: quando si inseriscono i dati, tenere conto della scrittura in lettere maiuscole e minuscole!

  4. Riavviare zenon Web Server nella schedaState.
  5. Dopo il restart dell´Editor, usare zenon Web Server con la licenza inserita.

Finestra di dialogo di registrazione licenza.

Parametri | Descrizione
Editor/Runtime | Attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Web Server | Attivo: la licenza vale per lo zenon Web Server.
Numero di serie (serial number) | Numero di serie della licenza Se si ha già una licenza, il suo numero di serie verrà visualizzato in questo campo. Inserire qui il numero di serie corrente.
Numero di attivazione (activation number) | Numero di attivazione della licenza. Se si ha già una licenza, il suo numero di attivazione verrà visualizzato un questo campo.
OK | Accetta i dati inseriti; quando viene riavviato, zenon verrà aperto con questi dati di licenza.
Annulla (Cancel) | Rifiuta gli inserimenti e usa zenon con la licenza valida finora o senza licenza.
Richiedi Licenza Software (Get soft-license) | Apre l´assistente che consente di richiedere una licenza software.

Alternativa:

  1. Avviare zenon Web Server via Pannello di controllo-> zenon Web Server.
  2. Inserire nella scheda License in zenon Web Server il numero di serie e quello di attivazione che si trovano sul foglio di licenza.

  3. Cliccare su Save per salvare i due numeri.
  4. Riavviare il zenon Web Server nella scheda State.

attention Attenzione

Al momento del riavvio, tutti i zenon Web Client connessi perderanno il collegamento. I zenon Web Clients si ricollegano automaticamente dopo la scadenza del tempo di timeout impostato.

Nota: il numero di licenza e quello di attivazione vengono inseriti nel zenWebSrv.ini.

Ancora in questo capitolo

Registrazione licenza via dongle

Licenza software


Registrazione licenza via dongle

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Registrazione della licenza -> Registrazione licenza via dongle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la licenza Dongle, zenon supporta i sistemi WibuKey e CodeMeter. Per i dettagli relativi a questo argomento, consultare la guida Licenza nel capitolo Licenza dongle.

La licenza mediante un dongle avviene tramite:

  • Dongle relativi al calcolatore oppure
  • Dongle di rete

Dongle relativi al calcolatore:

Usare Dongle relativi al calcolatore:

  1. Riceverete un dongle e un foglio di licenza con un numero di serie e numero di attivazione.
  2. Chiudete il dongle con lo stesso computer sul quale avete installato il zenon Web Server.
  3. Registrate la licenza nel sistema.

Dongle di rete:

In alternativa al dongle sullo stesso calcolatore, si può usare anche il dongle di rete centrale di COPA-DATA. Questo può essere connesso a qualsiasi computer in rete. La registrazione della licenza avviene in modo simile a quello del dongle riferito al computer.

info Info

Se un zenon Web Server la cui licenza è stata registrata con CodeMeter perde la connessione con il dongle, zenon Web Server verrà terminato.


Licenza software

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Registrazione della licenza -> Licenza software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la licenza software:

  1. Avviate il programma Web-Server-Licensing.

  2. Cliccate sul pulsante Richiesta di licenza softwareper Licenza software.
  3. Viene visualizzato il modulo per i Vostri dati licenza.

  4. Riempite tutti i campi e cliccate su Avanti.
  5. Il programma genera un modulo di richiesta di licenza con il numero di licenza valido per il Vostro calcolatore.

  6. Inviate la Vostra richiesta di licenza al Vostro sales partner:
    1. Cliccando su Invia per E-Mail
    2. Cliccando su Stampa come print-out o fax

      Anche il numero della licenza è contenuto nel foglio di licenza e deve corrispondere a quello del Vostro calcolatore.

  7. Un info box riassume il processo.

  8. Non appena avete ricevuto i dati relativi, registrate la licenza nel sistema.

info Info

Bisogna tenere presente che il pulsante Richiesta di licenza per licenza soft non è disponibile per tutte le versioni OEM.


Funzionamento ridondante

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Funzionamento ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server può essere avviato anche in modalità ridondante. Se zenon Web Server smette di funzionare o viene terminato, zenon Web Client si connette automaticamente allo zenon Standby-Web Server.

attention Attenzione

Il ritorno alla situazione precedente non avverrà automaticamente, come nel caso del server primario. zenon Web Client rimane connesso a zenon Standby-Web Server finché:

  • zenon Web Client viene riavviato, oppure
  • zenon Standby-Web Server viene terminato, oppure smette di funzionare.

Poi il zenon Web Client cerca di riconnettersi al primo zenon Web Server definito come standard.

Se si usa solamente un zenon Web Server, si consiglia vivamente di non eseguirlo sul server primario, o sul Server-Standby. Se uno di questi calcolatori smettesse di funzionare, infatti, la stessa sorte toccherebbe anche allo zenon.


HTTP Tunneling

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> HTTP Tunneling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server può accettare, anziché delle connessioni TCP, anche quelle HTTP. Le connessioni HTTP vengono accettare solamente da zenon Web Client. La connessione di zenon Web Server con il server primario è sempre via TCP. Per ogni connessione di zenon Web Client con zenon Web Server, viene creata una connessione HTTP separata.

Le connessioni vengono instaurate di default via TCP.

Per usare HTTP tunnelling,deve verificarsi quanto segue:

  • Deve essere attivato HTTP nella finestra di dialogo di configurazione, oppure si deve attivare un inserimento nel file zenon6.ini
  • La porta 8080, oppure quella configurata in alternativa nel file zenon6.ini, deve essere raggiungibile sul computer su cui è installato zenon Web Server PC.
  • La pagina iniziale di progetto per lo zenon Web Client che deve connettersi a zenon Web Server con HTTP tunnelling, dovrebbe avere il parametro UseHTTP con un valore diverso da 0 nell´inserimento <embed> e <object>

Nota: HTTP tunnelling non è a disposizione sotto Windows CE.

Configurazione della port:

Sul computer con lo zenon Web Server:

  1. Aprite il file zenon6.ini .
  2. Passate all´inserimento NET_PROXYPORT=, oppure createlo
  3. settate la port desiderata.

    Default: 8080
    zenon Web Server utilizza questa porta come listening port e zenon Web Client si collega a questa porta.

  4. Salvare il file zenon6.ini .

Sul computer con zenon Web Client:

  • Configurare la porta HTTP anche nel file zenon6.ini sul computer con zenon Web Client, eseguendo i passaggi sopra descritti ancora una volta su questo PC.

Nota: ogni cambiamento del numero di porta nel file zenon6.ini eseguito sul computer con zenon Web Server, dunque, deve essere configurato in modo analogo su tutti i computer con zenon Web Client. È possibile che sia necessario configurare manualmente la porta HTTP nel Windows Firewall come porta eccezionale per connessioni in entrata sul computer su cui è eseguito zenon Web Server.

Procedura:

zenon Web Client invia i suoi messaggi per il server Runtime via HTTP-POST a zenon Web Server. Quest´ultimo le inoltra usando la connessione assegnata al server Runtime via TCP. Il server Runtime trasferisce via TCP i suoi messaggi per zenon Web Client al zenon Web Server, che li bufferizza.

Il buffer di una connessione viene vuotato da zenon Web Client mediante una HTTP-GET request. Se non c´è nessun messaggio per una connessione, il Client attende per un tempo configurabile (inserimento POLLING_INTERVALL nel file zenon6.ini con valore standard 2 secondi).

Per i dettagli vedi il capitolo Procedura per connessione HTTP.

Messaggi di errore:

Se la connessione HTTP è attiva, al posto dei messaggi specifici di rete, vengono in parte visualizzati messaggi specifici HTTP nel Diagnosis Viewer. Per esempio, se viene instaurata o terminata una connessione, oppure nel caso di errori HTTP.

Ancora in questo capitolo

Procedura nel caso di connessione HTTP.


Procedura nel caso di connessione HTTP.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> HTTP Tunneling -> Procedura nel caso di connessione HTTP.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene avviato, zenon Web Client si connette al Server primario tramite zenon Web Server:

  1. L´utente avvia il Browser e apre la pagina iniziale di progetto.
  2. Quest´ultima fa sì che il browser avvii zenon Web Client con la configurazione Tunneling HTTP impostata.
  3. zenon Web Client stabilisce 3 connessioni HTTP (gestione, sincronizzazione dati e file) con zenon Web Server:
    1. zenon Web Client richiede una connessione ID.
    2. zenon Web Server invia una connessione ID libera, se ce n´è una disponibile. La ID inviata viene inserita nella lista delle connessioni ID assegnate. Ciò accade per evitare che una ID venga assegnata due volte e per poter trasformare la connessione HTTP in una connessione TPC.
    3. Il pacchetto di rete “Init” viene inviato tramite la connessione HTTP a zenon Web Server.
    4. zenon Web Server verifica se questo zenon Web Client è già nella lista di quelli attivi. Se il client è nuovo, il sistema verifica se è già stato raggiunto il numero massimo di client. Se la connessione client può essere accettata, il sistema provvede ad instaurare una connessione TPC durante il Runtime, e trasmette il pacchetto Init. La connessione client accettata e quella server che è stata instaurata vengono coordinate fino al termine della connessione: i dati della connessione client vengono girati tramite quella server e viceversa.
  4. Scambio dati:
    1. zenon Web Server funge da traduttore fra TPC e HTTP e mantiene i messaggi temporaneamente in un buffer.
    2. I dati del Runtime per zenon Web Client vengono salvati temporaneamente sul server. zenon Web Client li richiede mediante GET request.
    3. I dati di zenon Web Client per il Runtime vengono inviati da zenon Web Client mediante POST request e inoltrati a Runtime da zenon Web Server.
  5. Quando si chiude zenon Web Client nel browser (si chiude il browser, oppure si chiude la pagina iniziale del progetto), vengono terminate le connessioni di zenon Web Client.
    1. zenon Web Client invia un “network end packet” a zenon Web Server. zenon Web Server lo inoltra al Runtime, chiude la connessione e libera le risorse impiegate (memoria di lavoro , porte, ID di connessione…).
    2. Mentre il client viene ripulito, un altro “HTTP end packet” viene inviato a zenon Web Server, per assicurare che la connessione ID venga rimossa dalla lista.


Web Browser supportati

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Web Browser supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il zenon Web Client supporta i seguenti browser:

  • Microsoft Internet Explorer

    Attenzione: Per lo zenon Web Client come applicazione a 32-Bit è necessario usare la versione a 32-Bit dell´ Internet Explorer.
    La versione a 64-Bit non può essere utilizzata perché manca il supporto ActiveX.

Si raccomanda di usare sempre la versione più recente.

info Info

Il browser per zenon Web Client deve supportare uno dei seguenti sistemi operativi:

  • Windows 7
  • Windows 8 e 8.1
  • Windows Server 2008 e 2008 R2
  • Windows 10
  • Windows Server 2012

Altri sistemi operativi, come Windows CE, Linux ecc., sono utilizzabili solo in combinazione con un terminal server.

Start del browser:

Sulla base dell´esito dell´identificazione browser, la pagina iniziale del progetto determina se e come viene avviato zenon Web Client:

  • Internet Explorer:
    Start come componente ActiveX
  • Altri browser o versioni non supportate:
    Viene visualizzato un messaggio di errore e zenon Web Client non si avvia.

Versioni supportate:

Browser

A partire dalla versione

Nota

Microsoft Internet Explorer
  • 6.0
  • Raccomandato a partire: 8.0
  • sole versione a 32-Bit
  • Tenete presenti le informazioni concernenti la protezione della memoria per IE 8/9

Attenzione: la versione a 64bit di Internet Explorer 11 non supporta nessun ActiveX, perciò non può essere usata come zenon Web Client. Questo vale anche per IE come applicazioni mobile, Metro Style e sotto RT.


Cartella per i file Runtime:

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Cartella per i file Runtime:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il zenon Web Server salva i file Runtime di default nella cartella %Temp%\zenWebCli.

%Temp% indica sotto Windows la cartella file temporanea. Essa viene salvata individualmente per ogni utente e può essere modificata alla voce Pannello di controllo -> Sistema -> Impostazioni di sistema estese -> Variabili di ambiente.

Nota: La cartella %Temp% dipende dall´utente. Ogni utente Windows scarica i file Runtime dal computer primario.

attention Attenzione

Quando si usa Microsoft Internet Explorer in modalità protetta, i file Runtime vengono salvati nella cartella %Temp%\Low .

Potete definire qualsiasi cartella come luogo dove salvare i file Runtime, effettuando un inserimento nello zenon6.ini:

  1. Aprite il file zenon6.ini .
  2. Passate alla sezione

    [PATH]

  3. Create o modificate l´inserimento:

    WEB_PROJECT_PATH=


VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: VBA viene supportato da zenon in zenon Web Server e zenon Web Server Pro. Per ragioni di sicurezza, tuttavia, si consiglia di passare a VSTA. Ulteriori informazioni su VBA le trovate nella parte della guida dedicata alla Lista macro.

VSTA viene supportato in diverse versioni da zenon in zenon Web Server e zenon Web Server Pro.

Funzione

zenon Web Client con zenon Web Server Standard

zenon Web Client con zenon Web Server Pro

VSTA-Visualizza il dialogo delle Macro

+

+

Lanciare Macro-VSTA

+

+

Apri Editor VSTA

-

-

VSTA Events

+

+

Nota
  • Non viene scritto nessun valore sulle variabili di zenon.
  • I Windows messages boxes possono essere aperti.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.
  • Tutte le funzionalità di zenon VSTA sono completamente disponibili.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.

Installation:

Per l´uso di VSTA

  • Le seguenti applicazioni devono essere presenti nel sistema, oppure devono essere installate manualmente:
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .NET Framework 3.5

    Entrambi i programmi si trovano sul supporto di installazione per il zenon Web Server, oppure per zenon 7.60.

  • VSTAIntegration.dll deve trovarsi nella directory dei programmi di zenon .
    Quest´ultima viene installata automaticamente al momento dell´installazione di zenon.

Inserimenti INI:

I seguenti inserimenti devono essere settati nello zenon6.ini:

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1


Risoluzione schermo e gestione monitor

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Risoluzione schermo e gestione monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La zenon gestione monitor è disponibile per il zenon Web Client solo con delle limitazioni.

Importante per la progettazione: l´adattamento automatico della risoluzione al Client non può essere utilizzata per l´uso web. Per questa ragione, la dimensione dello schermo deve essere configurata in modo adeguato già in fase di progettazione. Di default, il zenon Web Client usa la dimensione dello schermo configurata come standard per il progetto: Proprietà di progetto -> Aspetto grafico -> Configurazione monitor -> Clic sul pulsante ... -> Tab Generale - Risoluzione dello schermo.

La risoluzione può essere scalata usando un´impostazione di zenon Web Client. Per i dettagli, vedi capitolo Configurazione della pagina esempio .

Con l'aiuto della proprietà di zoom, il zenon Web Client può essere portato alla dimensione di un elemento ActiveX.

Grandezza nel browser:

Il browser necessita sempre di un´area della superficie complessiva del monitor per i menù e le scrollbar. L'area a disposizione del zenon Web Client per la visualizzazione è, perciò, sempre minore alla risoluzione del monitor impostata. Se volete avere nel browser un´immagine completa del progetto, dovete configurare la grandezza dello schermo in modo tale che sia minore a quella presente effettivamente sullo zenon Web Client.

Esempio:
risoluzione monitor sul zenon Web Client PC: 1024x768 pixel
Grandezza del monitor nella gestione monitor: 800x600.

info Info

Se volete utilizzare l'opzione "Gestione multi-progetto" sul zenon Web Client, la dimensione dello schermo impostata deve essere uguale per tutti i progetti!

Sistema multi-monitor:

In un sistema multi-monitor, le immagini di processo vengono aperte, come progettato nel profilo, sui diversi monitor reali . Se si usa un zenon Web Client, questi ultimi si trovano al di fuori dell´area visibile, ma li si può raggiungere mediante scrolling.

Raccomandazione: configurate il profilo monitor in modo tale che tutti i monitor siano mappati sul quello principale; in questo caso avrete accesso diretto a tutti i monitor.

info Info

Di default sul zenon Web Client è sempre caricato il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Implementare zenon Web Server in un ambiente Internet

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Implementare zenon Web Server in un ambiente Internet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: se si vuole che zenon Web Client si connetta ad un zenon Web Server via Internet, si raccomanda di usare una connessione VPN fra la rete con il computer zenon Web Client, e quella con il computer zenon Web Server e il zenon Server.

Per implementare il zenon Web Server in un ambiente Internet:

  • I firewall eventualmente esistenti devono essere configurati in modo corrispondente:
    • La Port 1102 sul Firewall deve essere aperta per pacchetti in entrata, in modo tale da permettere ad uno zenon Web Client di accedere ad uno zenon Web Server e, di conseguenza, ad un Server primario.
    • NAT (Network Address Transformation) deve essere attivo nella stazione Gateway. NAT trasforma l'indirizzo LAN interno nell'indirizzo della stazione Gateway-Station. Se, per esempio, qualcuno naviga all'interno della LAN, dall'esterno sembra che le richieste vengano inviate sempre dalla stazione Gateway.
    • Indirizzo IP statico per il zenon Web Server:
      Il Firewall della stazione Gateway deve essere configurato in modo tale da far in modo che tutti i pacchetti in entrata per la Port 1102 vengano inviati automaticamente alla stazione zenon WEB Server. Questo significa: questa stazione deve disporre di un indirizzo IP statico.
  • La pagina iniziale di progetto deve essere adattata affinché il zenon Web Client sappia a quale stazione in Internet deve accedere. La modifica avviene in global_vars.js, oppure, nel caso di versioni più vecchie, in project_A_X.html (X rappresenta la versione lingua, come G per German) :
    • Alla voce Web Server VALUE= WEB-SERVERNAME deve essere indicato il nome del computer della stazione Gateway (la stazione visibile da Internet),e non il nome del zenon Web Server vero e proprio Il vero e proprio zenon Web Server non è visibile da Internet. La stazione Gateway fa pervenire automaticamente le richieste del zenon Web Client alla Porta 1102, poi al vero e proprio zenon Web Server.


Gestione degli errori

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Segnalazioni di errore conosciute oppure errori di esecuzione:

  • Interruzione di funzionamento dopo il Browser Refresh
  • ActiveX control failed to load
  • ActiveX control non installato in modo corretto
  • Errori eccezionali Web Client a partire da Internet Explorer 8
  • Segnalazioni di errore HTTP
  • Init Runtime Error
  • Keyboard in Firefox
  • Max. Client raggiunti

Ancora in questo capitolo

Interruzione di funzionamento dopo il Browser Refresh

ActiveX control failed to load

ActiveX control non installato in modo corretto

Errori eccezionali zenon Web Client a partire da Internet Explorer 8

Segnalazioni di errore HTTP

Init Runtime Error

Keyboard in Firefox

Max. Client raggiunti

Comportamento di zenon Web Client in caso di interruzione della connessione.


Interruzione di funzionamento dopo il Browser Refresh

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Interruzione di funzionamento dopo il Browser Refresh

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si utilizza Internet Explorer 6 con il zenon Web Client, può verificarsi un'interruzione di funzionamento dell'IE, se si fa uso del pulsante Browser Refresh. Vi sconsigliamo pertanto l'uso del pulsante Refresh.

Questo pulsante provoca una cancellazione completa e di un riavvio del zenon Web Client. Questo significa che la connessione al Runtime server viene interrotta e deve essere ristabilita da zenon Web Client.

Error 101

Se su un calcolatore client era già installato un zenon Web Client, possono verificaersi i seguenti messaggi di errore al momento della connessione del zenon Web Client con il zenon Web Server o con il Runtime Server:
Error 101
Il progetto XXX è stato elaborato con la versione XXX, e perciò non può essere aperto.
In questo caso:

  1. Disinstallare zenon Web Client
  2. Riavviare il calcolatore
  3. Installare di nuovo zenon Web Client


ActiveX control failed to load

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> ActiveX control failed to load

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause: La più probabile:

  • le impostazioni di sicurezza del browser impediscono l'esecuzione corretta dell'ActiveX control.


ActiveX control non installato in modo corretto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> ActiveX control non installato in modo corretto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser visualizza solamente una X anziché il Runtime quando si apre la pagina di accesso del progetto:

  • l´ActiveX Control per il zenon Web Client non è stato installato correttamente.
  • È stata installata una versione sbagliata del zenon Web Client


Errori eccezionali zenon Web Client a partire da Internet Explorer 8

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Errori eccezionali zenon Web Client a partire da Internet Explorer 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errori

zenon Web Client viene terminato in caso di errore eccezionale, se nel progetto sono contenute delle macro VSTA o VBA.

Causa

L´Internet Explorer di Microsoft dispone a partire dalla versione 8 di una proprietà per la protezione di memoria. Se essa è attiva, l´esecuzione di macro VBA provoca un errore eccezionale e la chiusura dell´Internet Explorer. VSTA attiva sempre anche VBA.

Soluzione

Disattivate la protezione di memoria nell´Internet Explorer.

Extras->Opzioni Internet->Estese->Attiva Protezione di memoria, per diminuire il rischio di attacchi online


Segnalazioni di errore HTTP

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Segnalazioni di errore HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Segnalazioni di errore e loro significato:

Inserimento | Livello | Descrizione
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-POST request con un errore.
NetSrv Error Do Send HTTP failed! | ERRORS | La HTTP-POST request non ha avuto successo (per es. timeout).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Send HTTP Server failed! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella lista buffer.
NetSrv Error Do Recv HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-GET request con un errore.
NetSrv Error Do Recv HTTP failed! | ERRORS | La HTTP-GET request non ha avuto successo (per es. timeout).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di leggere un messaggio dal buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERRORS | Il pacchetto letto dalla lista buffer è troppo grande per il data buffer. Nota: a causa dell´uniformità della grandezza massima del pacchetto, che serve anche come definizione della lunghezza buffer, questo errore non dovrebbe verificarsi mai.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer.
Error Out Of Memory While Adding Data to HTTP GET Response | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la compilazione di una risposta HTTP sull'HTTP Webserver.
Error On Adding Data to HTTP GET Response | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer nella risposta HTTP.
HTTP Send Get Response Failed: [Status] | ERRORS | L´invio di una risposta a una HTTP-GET request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Receiving Data from HTTP POST | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la lettura di una HTTP-POST request sull´HTTP Webserver.
Error on Receiving Data from HTTP POST [Status] | ERRORS | La lettura dei dati dalla HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Data Block Of HTTP Post Request Too Large | ERRORS | I dati della request ricevuta superano i limiti della grandezza massima del pacchetto definita.
HTTP Send Post Response Failed: [Status] | ERRORS | L´invio della risposta a una HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Parsing HTTP Request | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante l´inoltro di una HTTP request al thread rilevante.
Memory Error on Creating Receive Buffer | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la creazione del buffer di ricezione HTTP.
Error on Creating HTTP Request Event | ERRORS | La creazione dell´evento per la ricezione di HTTP request non ha avuto successo.
Error While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore durante l´attesa di una HTTP request. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Unexpected Result While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | L´attesa di una request HTTP ha prodotto un risultato inaspettato. Lo status code è un system error code (lo si può trovare nella MSDN Library).
HTTP-Request Without ID Received | ERRORS | Nella HTTP request non c´era un ID di connessione.
Error on Extracting HTTP-Request-ID From URL | ERRORS | Non è stato possibile leggere l´ID di connessione della HTTP request.
Error: Closing HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | È stato fatto un tentativo di chiudere uan connessione che non esiste, oppure era già chiusa. Questo errore è meno critico di altri, perché la richiesta di cancellare il connection ID al momento della "pulizia" delle risorse di una connessione dopo la sua conclusione, può essere posta più di una volta.
HTTP-Request With Incompatible ID Format Received | ERRORS | L´ID di connessione nella HTTP request non ha il formato atteso.
Could Not Assign New HTTP ID Because The Map Is Full | ERRORS | Non è stato possibile accettare una nuova connessione perché non c´è più posto disponibile nella lista connessioni. La lista mette a disposizione spazio per più die 4,2 miliardi di connessioni; perciò questo messaggio non dovrebbe mai apparire.
Error During HTTP-Accept | ERRORS | Si è verificato un errore al momento dell´accettazione della connessione HTTP.
Error On Sending HTTP ID: [Status] | ERRORS | L´invio della risposta HTTP con l´ID di connessione per la nuova connessione Client non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error: HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | La risoluzione dell´ID di connessione della HTTP request non è stata possibile.
Error: HTTP Request Could Not Be Assigned To The Socket | ERRORS | Non è stato possibile inoltrare la HTTP request al thread rilevante.
Unsupported HTTP-Request Received | ERRORS | Si è ricevuta una HTTP request non supportata. Vengono supportate le request GET e POST.
Error While Receiving HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore al momento della ricezione una HTTP request.
Error on Removing HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione di un ID di connessione dalla lista. Gli ID di connessione vengono rimossi quando si chiude una connessione.
Removing HTTP Connection ID [ID] From The Map! | DEBUG | La connessione è stata chiusa e l´ID è stato rimosso dalla lista.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione dell´ID di connessione non attiva dalla lista. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DEBUG | L´ID di connessione è stato rimosso dalla lista, perché la connessione non è attiva. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Error While Waiting for HTTP Connection Map Check [Status]! | ERRORS | Il thread per controllare l´ID di connessione ha constatato l´esistenza di un errore durante l´attesa del prossimo ciclo e viene chiuso. Lo status code è un system error code (lo si può trovare nella MSDN Library).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERRORS | Non è stato possibile avviare il thread per rispondere alla HTTP request.
NetSrv Info Accept HTTP Client IP:[IP-Adressr]:[Port] Ok | DEBUG | La connessione HTTP è stata accettata con successo.
NetSrv Memory Error Do Recv HTTP failed! | ERRORS | Si è verificato un errore a causa di una memoria di lavoro troppo piccola disponibile al momento della ricezione di dati via HTTP Tunnelling.

LOG-Einträge aus CNSBlockingSocketExceptions

Level: sempre ERRORS

Inserimento: Exception text | Descrizione
Connect: HTTP Error | Il HTTP Web Server ha risposto ad una connection ID request con un errore.
Connect: ID-Data did not have the expected Format | L`ID di connessione fornito dall'HTTP Webserver non ha il formato atteso.
Connect: Server denied HTTP ID | Il HTTP Webserver ha rifiutato la concessione di un ID di connessione.
Connect: Error during ID-Acquisition | Si è verificato un errore in corrispondenza di una richiesta di un ID di connessione (per es. timeout).
HttpInitialize Failed | Non è stato possibile inizializzare HTTP Server API
HttpCreateHttpHandle Failed | Non è stato possibile creare la lista delle HTTP request
HttpAddUrl Failed | Il server non è potuto entrare in list mode


Init Runtime Error

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Init Runtime Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause:

  • II runtime non attivo sul server Runtime
  • SERVERNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • PROJEKTNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • La risoluzione dei nome fra zenon Web Server e il server primario non è data nella rete.
  • Il zenon Web Server non è avviato.

Trovate delle indicazioni concernenti le cause di errore, li trovate anche nel file zenNetErr.txt . Esso registra informazioni di rete.


Keyboard in Firefox

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Keyboard in Firefox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se le keyboard individuali non funzionano correttamente con Firefox, tenete presente quanto segue:

attention Attenzione

Immagini di tipo Keyboard modificate individualmente potrebbero non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica le nuove finestre in background, senza attribuirgli il focus. A seconda di quanto impostato in fase di progettazione, le immagini keyboard definite individualmente vengono chiuse non appena perdono il focus.

Soluzione: usare un browser differente, come, ad esempio, Microsoft Internet Explorer o Google Chrome, oppure usare l´opzione "Chiusura alla perdita del focus" del gruppo "Generale" delle proprietà del modello. In questo modo, una visualizzazione corretta sarà possibile anche in Mozilla Firefox.

La cosa non riguarda le tastiere automatiche!


Max. Client raggiunti

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Max. Client raggiunti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messaggio sul zenon Web Client.

Più Client di quelli provvisti di una licenza, cercano di connettersi al zenon Web Server.


Comportamento di zenon Web Client in caso di interruzione della connessione.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Gestione degli errori -> Comportamento di zenon Web Client in caso di interruzione della connessione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di interruzione della connessione con il server primario, zenon Web Client usa la successiva configurazione di connessione.

Possibile cause di una perdita della connessione:

  • Il server primario smette di funzionare e lo Standby Server primario ne assume la funzione.
  • Il server primario riprende il suo ruolo e la propria funzione (= lo Standby Server primario interrompe la connessione). .
  • Lo zenon Web Server in uso smette di funzionare.

Il sistema effettua un check delle configurazioni di connessione nella successione seguente (alla fine si riprende dal principio):

  1. zenon Web Server e Server primario
  2. zenon Web Server e Server-Standby
  3. zenon Web Standby Server e Server primario
  4. zenon Web Standby Server e Server primario

Se un zenon Web Standby Server è configurato, ma non raggiungibile, succede quanto segue quando il server primario torna a funzionare:

  1. Il zenon Web Client si trova attualmente nella configurazione di connessione 2 e perde il collegamento, visto che il server primario riprende a gestire il processo.
  2. Il zenon Web Client prova a riconnettersi usando la configurazione di connessione 3, ma il tentativo non riesce allo scadere di un timeout visto che il zenon Web Standby Server non è raggiungibile.
  3. Il zenon Web Client prova a riconnettersi usando la configurazione di connessione 4, ma il tentativo non riesce allo scadere di un timeout visto che il zenon Web Standby Server non è raggiungibile.
  4. Il zenon Web Client prova a riconnettersi usando la configurazione di connessione 1, e il tentativo riesce. Il zenon Web Client è di nuovo online.

Se il tentativo di stabilire la connessione non riesce, lo zenon Web Client non è in grado di accertare se è lo zenon Web Server (o lo Standby zenon Web Server), oppure il Server primario (o lo Standby Server) a non essere raggiungibile; per questa ragione è necessario che il sistema provi tutte queste quattro possibilità di connessione.


HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine

HTML Web Engine serve alla visualizzazione grafica di immagini di zenon in forma di pagina web HTML5. Sul dispositivo destinatario di visualizzazione l´interfaccia utente viene richiamata e visualizzata via Web Browser. Non è necessario installare nessun software speciale (neanche Browser Plug-Ins) sul dispositivo di destinazione. I dati di processo necessari per la visualizzazione vengono acquisiti da un Runtime di zenon.

Funzionalità di HTML Web Engine

Panoramica delle funzionalità di HTML Web Engine:

  • Visualizzazione a base sessione di contenuti di visualizzazione HTML5 su HTML Web Client.
  • Rappresentazione di contenuti di base di visualizzazione creati nell´Editor di zenon.
  • Visualizzazione dei dati:
    • Valori delle variabili.
      Le visualizzazioni vengono aggiornate dinamicamente in HTML Web Engine.
    • Lista Eventi Cronologica (CEL)
      Gli inserimenti della CEL vengono aggiornati dinamicamente in HTML Web Engine.
    • Trend esteso (ETM)
      La visualizzazione in ETM in HTML Web Engine non viene aggiornata. Questo significa che la visualizzazione dell´ETM avviene sulla base dei dati esistenti al momento dell´apertura del modulo, e non viene più eseguito un aggiornamento dei dati stessi.
    • Messaggi della Lista di informazione allarmi (AML)
      Gli inserimenti della AML vengono aggiornati dinamicamente in HTML Web Engine.
  • Inoltro delle informazioni di processo (come valori di variabili, messaggi relativi ad allarmi o eventi) acquisiste da un Runtime di zenon ad uno o più HTML Web Client.
  • Supporto di operazioni di gestione, come settaggio di valore impostabile.
  • Gestione ed osservazione mobile, indipendente da un luogo determinato.
  • Nessuna installazione e/o configurazione necessaria sul dispositivo di destinazione, vale a dire sul client. Visualizzazione indipendente dalle piattaforme nello standard HTML5.
  • Gestione del HTML Webserver su un calcolatore separato, come, ad esempio, in una DMZ.
  • Comunicazione di rete sicura via HTTPS. basata su certificati SSL.
  • Protezione di settori sensibili della visualizzazione o di delicati processi grazie ad un meccanismo di autenticazione utente e mediante il supporto di livello utenti.

HTML Web Engine supporta l´autenticazione di un client Web Engine con impostazioni di protezione avanzate rispetto all´autenticazione utente di zenon e rispetto a Active Directory. Il login viene eseguita mediante l´inserimento di nome utente e password.

Ancora in questo capitolo

Prerequisiti e loro definizione

Struttura di base dell`HTML Web Engine

Requisiti di sistema

Registrazione della licenza

Installazione

SCADA Runtime Connector

Autenticazione client per una connessione con il Runtime

Deployment del Web Engine

Configurazione nell'Editor

Compila progetto per il Web

Svolgimento di una sessione HTML Web Engine

Diagnostica del sistema e risoluzione dei problemi


Prerequisiti e loro definizione

Manuale -> zenon Web Server -> HTML Web Engine -> Prerequisiti e loro definizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Componente

Descrizione

zenon Runtime

I dati di processo per la visualizzazione HTML5 vengono messi a disposizione da un Runtime di zenon (server o client).

HTML Web Engine

HTML Web Engine è lo strumento che consente di visualizzare immagini di processo come web-site HTML5. Sul dispositivo destinatario di visualizzazione l´interfaccia utente viene richiamata e visualizzata via Web Browser. Non è necessario installare nessun software speciale, né plug-in sul dispositivo di destinazione. I dati di processo necessari per la visualizzazione vengono presi da un Runtime di zenon.

Nota: HTML Web Engine elabora dati di processo per consentirne la visualizzazione e la gestione mediante HTML Web Client. I dati di processo, però, vengono amministrati solo ed esclusivamente dal Runtime di zenon.

IIS, servizio publishing

Piattaforma di servizi di Microsoft per PC e server. Viene usata per rendere accessibili documenti e file in rete. HTML Web Engine usa IIS come ambiente Runtime e per la pubblicazione di immagini di zenon. Il protocollo di comunicazione utilizzato è l´HTTPS. Con i cosiddetti Deployment, HTML Web Engine viene istanziato su IIS.

Web Browser

I Web Browser sono software speciali che consentono di visualizzare documenti e dati, in particolare pagine web in World Wide Web.

zenon Web Engine Deployment Tool

Rende disponibile HTML Web Engine in IIS come applicazione web e ne consente la configurazione. Si può anche aggiornare o cancellare un´istanza HTML Web Engine già esistente.

Web Engine Compiler

Partendo da un progetto di zenon, genera quei dati di cui ha bisogno HTML Web Engine per fornire contenuti HTML5 al zenon Web Client. Nel corso del processo di traduzione di questi dati di progetto, HTML Web Engine Compiler analizza i contenuti del progetto e fornisce informazioni relative alle funzioni o alle proprietà non supportate. Il risultato di questo processo di compilazione è un file che viene reso disponibile a Web Engine

SCADA Runtime Connector

Serve da interfaccia di comunicazione con il Runtime di zenon.


Struttura di base dell`HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Struttura di base dell`HTML Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

HTML Web Engine è un´applicazione web che rende disponibile una pagina web HTML5.

attention Attenzione

Consigli:

  • Eseguire l´intero lavoro di configurazione del sistema sempre in un´area sicura della rete.
  • Non pubblicare mai la web-site HTML5 direttamente in Internet.

Nel corso di una sessione, si possono distinguere due diversi livelli di connessione:

  1. Rappresentazione delle pagine di visualizzazione senza dati di processo:
  2. Rappresentazione delle pagine di visualizzazione e visualizzazione dei dati di processo:

Rappresentazione delle pagine di visualizzazione senza dati di processo:

zenon Web Client si connette a HTML Web Engine richiamando l´URL (Uniform Ressource Locator) della pagina Web HTML5. Dopo che che la sessione è stata instaurata con successo, il progetto può essere visualizzato senza accesso ai dati di processo del Runtime di zenon.

Rappresentazione delle pagine di visualizzazione e visualizzazione dei dati di processo:

HTML Web Engine si connette via SCADA Runtime Connector al Runtime di zenon. Questa connessione è consentita solamente se è stata effettuata con successo un´autenticazione utente con user name e password. L`autenticazione avviene tramite autenticazione esterna per la gestione utenti del Runtime di zenon. Il trasferimento delle informazioni utente può avvenire sia manualmente (eseguito da parte dell´utente che gestisce zenon Web Client), che automaticamente via Web Engine.

La configurazione della visualizzazione HTML5 non richiede l´uso di strumenti speciali. La creazione delle immagini e delle funzioni avviene di default nell´Editor di zenon.
Una lista degli elementi, delle proprietà e delle funzioni supportate si trova nel capitolo Funzionalità supportate per la visualizzazione HTML5

Modalità di accesso alla visualizzazione HTML 5 da parte di un dispositivo destinatario

Descrizione di come un Web Browser compatibile con HTML5 può essere utilizzato per accedere alla visualizzazione in HTML5 da un dispositivo di visualizzazione.

Nota: la struttura dei componenti serve solo come semplice rappresentazione del funzionamento di questo strumento. La completa configurazione qui rappresentata, infatti, può essere applicata con qualsiasi distribuzione dei componenti in una rete, ma anche su un unico terminale.

Procedura:

  1. L´operatore della postazione 4 si connette mediante un Web Browser standard inserendo l´URL del Webserver della postazione 3.
    In questo modo, egli riceve tramite Web Engine le pagine di visualizzazione a disposizione sul Web Server
  2. I dati di processo vengono presentati nella visualizzazione HTML5 solo dopo che l´identificazione dell´utente è riuscita.
    Dopo che il sistema ha verificato il nome utente e la password, viene stabilita la connessione al Runtime di zenon (nel nostro esempio, sulla postazione 2).
  3. L´interfaccia fra Runtime di zenon e Web Engine è costituita da SCADA Runtime Connector.
    SCADA Runtime Connector deve essere avviato dal Runtime di zenon.
  4. La configurazione della visualizzazione HTML5 viene acquisita da un progetto Editor di zenon (che, nel nostro esempio, si trova sulla postazione 1).
    Gli stati di processo sulla postazione 2 (zenon Runtime) e postazione 3 (Web Engine) dovrebbero essere identici
    Web Engine Compiler traduce tutti i dati di progetto per renderli utilizzabili per HTML Web Engine. I passaggi necessari per l´installazione di HTML Web Engine sulla postazione 3 e il cosiddetto Deployment sul Internet Information Server, sono descritti nel capitolo Deployment di Web Engine

    Il file del Web Engine Compiler viene salvato in una cartella che può essere definita liberamente dall´utente. Questo file viene letto da HTML Web Engine che lo acquisisce da questa cartella.

Nota: per l´implementazione di una visualizzazione HTML5, rendere disponibile un Runtime di zenon dedicato; questo eviterà l´insorgere di problemi nell´interazione con processi importanti. Dopo avere eseguito modifiche nel progetto di zenon, si consiglia di ricompilarlo.

Rendere disponibili immagini

Grazie a HTML Web Engine determinate immagini del progetto attivo possono essere aperte in un Web Browser. Il progettista definisce quali immagini rendere disponibili per la visualizzazione nel Web Browser; per farlo, deve attivare per ogni immagine singolarmente la proprietà Disponibile per il Web.

Tutte le immagini per le quali è stata attivata questa proprietà (segno di spunta nella checkbox corrispondente), vengono compilate per Web Engine medianteWeb Engine Compiler e sono pronte per essere visualizzate nel Web Browser sul client. Le immagini per le quali questa proprietà non è stata attivata, possono essere utilizzate per la visualizzazione nel Runtime di zenon, ma non sono però disponibili nel Web Browser.

I seguenti tipi d´immagine possono essere usati per la visualizzazione nel Web:

  • AML
  • CEL
  • Trend esteso
  • Login
  • HTML
  • Standard


Requisiti di sistema

Manuale -> zenon Web Server -> HTML Web Engine -> Requisiti di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Web Server

HTML Web Engine supporta i seguenti sistemi operativi:

Sistema operativo | Descrizione
Windows 7 (SP1) | versioni Professional, Enterprise e Ultimate Edition, in tutti i casi le versioni x86 e x64.
Windows 8 e 8.1 | versioni Standard, Professional e Enterprise, in tutti i casi le versioni x86 e x64.
Windows 10 | versioni Pro, Enterprise e Education, in tutti i casi le versioni x86 e x64.
Windows Server 2008 R2 (SP1) | Tutte le edizioni ad eccezione di Core Edition.
Windows Server 2012 e 2012 R2 | Tutte le edizioni ad eccezione di Core Edition.

Nota: per il funzionamento di HTML Web Engine è necessario .NET Framework 4.5 o una versione più recente.

Web Client

Per HTML Web Client non è richiesta nessuna installazione particolare. Di regola funzione con ogni Web Browser che supporta le seguenti tecnologie:

  • HTML5
  • HTML5 Canvas
  • JavaScript (ECMAScript 5.1)

L´elaborazione di contenuti HTML5 nel Web Browser avviene indipendentemente dal sistema operativo. Si consiglia di utilizzare una versione recente di uno dei seguenti Web Browser:

  • Windows Internet Explorer dalla versione 11
  • Microsoft Edge
  • Mozilla Firefox
  • Apple Safari
  • Google Chrome

Nota: Javascript deve essere attivato nel Web Browser.

Connessione Client-Server

Deve essere disponibile una velocità dati sufficiente per la connessione fra Web Server e HTML Client. Se è troppo bassa, vengono visualizzati messaggi sul HTML Web Client che ne informano l´utente. Una velocità dati troppo bassa può avere come conseguenza che una sessione non possa essere avviata, o che debba essere interrotta.

Nota: se si usano sistemi operativi Windows Server, il numero delle connessioni client attive in contemporanea non è limitata a causa di Microsoft IIS. se si usano sistemi operativi Windows Desktop, il numero di connessioni contemporanee possibili dipende dalla versione del sistema operativo installato.


Registrazione della licenza

Manuale -> zenon Web Server -> HTML Web Engine -> Registrazione della licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

HTML Web Engine verifica la licenza di zenon Web Server. Le informazioni riguardanti la procedura di registrazione licenza di zenon Web Server sono disponibili nel capitolo Registrazione licenza della documentazione di zenon riguardante zenon Web Server.

L´adattamento della funzionalità di HTML Web Engine avviene sulla base della variante di zenon Web Server per cui è stata registrata la licenza:

  • zenon Web Server: Accesso in sola lettura alla visualizzazione. HTML Web Client può essere utilizzato come strumento di osservazione.
  • zenon Web Server Pro: Accesso completo alla visualizzazione, sia in lettura che in scrittura.

info Info

Verificare il limite del numero di connessioni Client simultanee definito su Microsoft IIS. Se non si ha una licenza valida, HTML Web Engine viene avviato in modalità demo, con durata limitata. Allo scadere del periodo di funzionamento della modalità demo e di quello dell´estensione demo, sarà possibile riavviare HTML Web Engine in modalità demo.

Nota: se si usano sistemi operativi Windows Server, il numero delle connessioni client attive in contemporanea non è limitata a causa di Microsoft IIS. Se si usano sistemi operativi Windows Desktop, il numero di connessioni contemporanee possibili dipende dalla versione del sistema operativo installato.


Installazione

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare HTML Web Engine si deve installare:

Web Server:

  • IIS servizio publishing:

    Configurare il servizio publishing seguendo le istruzioni del capitolo installare il servizio publishing IIS.

  • zenon Web Server:

    Installare zenon Web Server dal supporto di installazione.

    Microsoft Web Deploy viene installato automaticamente durante il setup.

Progettazione e applicazione Runtime:

  • zenon (Editor e Runtime).

Nota: per il HTML Web Client non è richiesta nessuna installazione particolare.

Ancora in questo capitolo

Installazione del servizio Publishing IIS


Installazione del servizio Publishing IIS

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione -> Installazione del servizio Publishing IIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Internet Information Services (abbreviato in IIS) sono servizi per la pubblicazione di documenti, come, ad esempio, pagine HTML, tramite il protocollo HTTP. Nei sistemi operativi citati nel capitolo Requisiti di sistema il servizio publishing IIS è già compreso nell´installazione standard. Basta solo attivarlo tramite le Funzionalità Windows.

IIS 7, Windows 7

Per attivare il servizio publishing IIS:

  1. Premere la combinazione di tasti Windows+R.

    Si apre aperta la finestra di dialogo “Esegui” che consente di inserire un comando.

  2. Nel campo di testo, digitare appwiz.cpl.

    Cliccare su OK.
    Si apre una nuova finestra di gestione del sistema che consente di configurare programmi e funzionalità di Windows.

  3. Cliccare nella parte sinistra di questa finestra su Attivazione o disattivazione delle funzionalità Windows.

    Si apre la finestra di dialogo che consente di selezionare le funzionalità del sistema operativo.

  4. In questa finestra, espandere il nodo Internet Information Services.
  5. Attivare Servizi Web.
    In tutte le sottocartelle della proprietà verranno settate le impostazioni di default.
  6. Espandere il nodo Funzionalità per lo sviluppo di applicazioni.
  7. Attivare ASP.NET.
  8. Espandere il nodo Strumenti di gestione Web.
  9. Attivare la console di amministrazione IIS.
  10. Cliccare su OK.

Nota: in caso di un´installazione o di un upgrade successivo del NET-Framework su Windows 7, questo software deve essere registrato manualmente nel servizio di publishing IIS. Ulteriori dettagli su questo argomento sono disponibili nel capitolo Registrazione .NET in IIS sotto Windows 7.

IIS 8, Windows 8/8.1

Per attivare il servizio publishing IIS:

  1. Premere la combinazione di tasti Windows+R.

    Si apre aperta la finestra di dialogo “Esegui” che consente di inserire un comando.

  2. Nel campo di testo, digitare appwiz.cpl.

    Cliccare su OK.
    Si apre una nuova finestra di gestione del sistema che consente di configurare programmi e funzionalità di Windows.

  3. Cliccare nella parte sinistra di questa finestra su Attivazione o disattivazione delle funzionalità Windows.

    Si apre la finestra di dialogo che consente di selezionare le funzionalità del sistema operativo.

  4. In questa finestra, espandere il nodo Internet Information Services.
  5. Qui attivare tutti i Servizi Web.
  6. Espandere il nodo Funzionalità per lo sviluppo di applicazioni.
  7. Attivare ASP.NET 4.5
  8. Espandere il nodo Funzionalità Http comuni
  9. Attivare Contenuto statico.
  10. Espandere il nodo Strumenti di gestione Web.
  11. Qui attivare la console di amministrazione IIS.
  12. Espandere il nodo Funzionalità per lo sviluppo di applicazioni.
  13. Attivare Protocollo WebSocket.
  14. Cliccare su OK.

Windows 10

Per attivare il servizio publishing IIS:

  1. Premere la combinazione di tasti Windows+R.

    Si apre aperta la finestra di dialogo “Esegui” che consente di inserire un comando.

  2. Nel campo di testo, digitare appwiz.cpl.

    Cliccare su OK.
    Si apre una nuova finestra di gestione del sistema che consente di configurare programmi e funzionalità di Windows.

  3. Cliccare nella parte sinistra di questa finestra su Attivazione o disattivazione delle funzionalità Windows.

    Si apre la finestra di dialogo che consente di selezionare le funzionalità del sistema operativo.

  4. In questa finestra, espandere il nodo Internet Information Services.
  5. Qui attivare tutti i Servizi Web.
  6. Espandere il nodo Funzionalità per lo sviluppo di applicazioni.
  7. Attivare ASP.NET 4.6
  8. Espandere il nodo Funzionalità Http comuni
  9. Attivare Contenuto statico.
  10. Espandere il nodo Strumenti di gestione Web.
  11. Qui attivare la console di amministrazione IIS.
  12. Espandete il nodo Funzionalità per lo sviluppo di applicazioni.
  13. Attivare Protocollo WebSocket.
  14. Cliccate su OK.

Windows Server 2008 R2

Seguite le istruzioni di Microsoft: https://technet.microsoft.com/en-us/library/cc771209.aspx

  1. Aprite l´assistente Aggiungi ruoli.
  2. Attivate il ruolo server Web (IIS).

    Si apre l´assistente Aggiungi ruoli.

  3. Cliccare su Servizi ruolo.
  4. Espandere il nodo Funzionalità per lo sviluppo di applicazioni.
  5. Attivate i seguenti servizi di ruolo:
  • ASP.NET
  • Estendibilità .NET
  • Estensioni ISAPI
  • Filtro ISAPI

Attenzione: Non disattivate nessuno dei servizi ruolo che sono già pre-selezionati da Microsoft.

Nota: si consiglia di usare Windows Server 2012, perché Windows Server 2008 R2 non supporta i protocolli WebSocket.

Windows Server 2012 (R2)

Seguite le istruzioni di Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Aprite il wizard "Aggiungi ruoli e funzionalità".

  2. Espandete il nodo Sviluppo di applicazioni.
  3. Attivate i seguenti servizi di ruolo:
    • Estendibilità .NET 4.5
    • ASP.NET 4.5
    • Estensioni ISAPI
    • Filtro ISAPI
    • Protocollo WebSocket

Ancora in questo capitolo

Registrazione .NET in IIS in Windows 7


Registrazione .NET in IIS in Windows 7

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione -> Installazione del servizio Publishing IIS -> Registrazione .NET in IIS in Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di un'installazione successiva o di un upgrade del .NET Framework in Windows 7, bisogna registrare questo software nel servizio publishing IIS.

Procedura:

  1. Aprire il prompt dei comandi come l´opzione come amministratore..
  2. Passare alla cartella d'installazione di Microsoft.NET con il numero di versione più alto.
  3. Inserire il comando aspnet_regiis -i.

    Dopo che l´installazione è riuscita, si può cominciare ad usare la versione attuale di Microsoft .NET Framework con IIS.

  4. Assicurarsi che l´Application Pool sull´IIS su cui è eseguito HTML Web Engine, usi la versione corrente di .NET.

    Si può verificare (o impostare) questo requisito tramite l´Information Services Manager :


SCADA Runtime Connector

Manuale -> zenon Web Server -> HTML Web Engine -> SCADA Runtime Connector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SCADA Runtime Connector deve essere avviato da parte del Runtime di zenon non appena è necessaria un'interazione con HTML Web Engine. SCADA Runtime Connector viene installato insieme all´Editor di zenon: L'interazione inizia sostanzialmente con l'autenticazione per il primo HTML Web Client.

SCADA Runtime Connector deve essere avviato manualmente. Avviare l´applicazione direttamente dalla seguente cartella:
%Programfiles(x86)%\Common Files\COPA-DATA\Connectors\zrsConnector.exe.

Per ogni sessione HTML Web Engine, il sistema apre una separata sessione SCADA Runtime Connector.
In questa sessione:

  • Vengono trasferite tutte le variabili necessarie per la visualizzazione dell'immagine attuale sul client HTML.
    Ad esempio quelle necessarie per la visualizzazione dei valori delle variabili, o per le dinamiche degli elementi. Le variabili possono essere registrate e deregistrate per una sessione. Quando l'utente è stato autenticato con successo per un HTML Web Client, HTML Web Engine dichiara una lista di variabili per la comunicazione e l'update spontaneo via SCADA Runtime Connector. In questo modo HTML Web Engine può inoltrare modifiche di valore ai Web Client connessi al momento.

    Nota: vengono dichiarate solo le variabili necessarie per la visualizzazione sui HTML Web Client.

  • Imposta valore tramite SCADA Runtime Connector
    Per garantire un più elevato livello di sicurezza, prima di un cambiamento di valore sul Runtime di zenon, il sistema esegue un´autenticazione esplicita sulla base dei dati utente del HTML Web Client. In questo modo, un blocco o la cancellazione di utenti da parte del Runtime di zenon diventa subito effettiva per il settaggio di valori impostabili.

Comunicazione crittografata

La connessione TCP fra SCADA Runtime Connector (zrsConnector.exe) e SCADA Runtime Connector Client (zrsConnCli.dll) può essere crittografata con AES.

Per utilizzare la comunicazione crittografata, assegnare una password di crittografia per Runtime e client.
Procedura:

  1. Inserire la password nella scheda Network configuration dello Startup Tool di zenon.
    Questa password viene salvata in modo crittografato anche nel file zenon6.ini.
    Sezione: [ZRSCONNECTOR]
    Inserimento: ENCRYPTION_PWD
  2. Nel Deployment Tool di HTML Web Engine, nella finestra Security options, impostare la stessa password nella scheda Security options. Questa password viene salvata in modo crittografato in web.config, nell´impostazione Encryption_Password.

Se, nel corso del processo di validazione, SCADA Runtime Connector è raggiungibile sul computer di destinazione impostato, ma la password di crittografia non è corretta, comincia a scorrere un timeout per il Connector-Test. Viene visualizzato un messaggio che informa l´utente che ha forse digitato la password errata.


Autenticazione client per una connessione con il Runtime

Manuale -> zenon Web Server -> HTML Web Engine -> Autenticazione client per una connessione con il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati del Runtime di zenon, come, ad esempio, i valori variabile per la visualizzazione o le dinamiche di visualizzazione, sono resi disponibili solamente se il client HTML riesce ad autenticarsi nei confronti del Runtime di zenon. Ci sono due modi di eseguire l´autenticazione mediante l´indicazione di nome utente e password:

  • Login automatico mediante la configurazione di un utente nel corso del deployment..
    Per ulteriori dettagli, consultate il capitolo Deployment del Web Engine.
  • Login manuale del zenon Web Client in un´immagine del tipo Login.
    Per i dettagli, vedi capitolo "Crea immagine del tipo Login".

Nota: l´autenticazione può essere eseguita trasferendo i dati di login (nome utente e password) relativi ad un utente di zenon, o quelli di un utente Active Directory La validazione dei dati utente è effettuata dal Runtime di zenon.


Deployment del Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Web Enginge Eeployment Tool è uno strumento per eseguire alcune importanti operazioni di gestione di Web Engine come applicazione Web nell´Internet Information Services (IIS).

Per avviare Deployment Tool:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare sul pulsante Tools.
  3. Alla voce Available Application, selezionare Web Engine Deployment Tool .
  4. Cliccare su Start

    Il tool verrà avviato.

info Info

Nota: il Deployment Tool viene installato automaticamente con zenon Web Server. Per l'uso di questo tool è necessario disporre di diritti di amministratore.

Il Deployment Tool è disponibile solo in lingua inglese.

Ancora in questo capitolo

zenon Web Engine Deployment Tool


zenon Web Engine Deployment Tool

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> zenon Web Engine Deployment Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il zenon Web Engine Deployment Tool si gestiscono istanze HTML Web Engine sull´IIS. Si possono creare nuove istanze, oppure modificare o cancellare istanze già esistenti.

Opzione

Descrizione

Deploy

Rende disponibile una nuova istanza di HTML Web Enginesull´IIS.

Le opzioni necessarie si configurano nelle seguenti schede.

Change

Aggiorna Web Engine Applications esistenti.

Nella seguente scheda si possono modificare per HTML Web Engine:

  • Versione.
  • Configurazione
  • SCADA Runtime Connector:
    Nome host, indirizzo IP.
  • Percorso della cartella dati.
    Data Directory in cui si trovano i dati di progetto esportati (*.webx).
  • Impostazioni di sicurezza:
    Nome utente, password o cambio a registrazione automatica.

Nota: non disponibile se non esiste su IIS nessuna applicazione Web Engine valida.

Remove

Rimuove un´applicazione funzionante di HTML Web Engine.

Nella seguente scheda si seleziona la versione da cancellare.

Se Web Engine deve essere sostituita da una versione più recente, usare l´opzione Change.

Nota: non disponibile se non esiste su IIS nessuna applicazione Web Engine valida.

Ancora in questo capitolo

Impostazioni generali per il Web Engine

Security options

Validation of settings

Avanzamento


Impostazioni generali per il Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> zenon Web Engine Deployment Tool -> Impostazioni generali per il Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano le impostazioni generali per il funzionamento di HTML Web Engine.

Quali opzioni sono disponibili, dipende da quale opzione è stata selezionata nella finestra di dialogo di partenza:

  • Deploy: Nuova configurazione di un HTML Web Engine.
  • Change: Modifica di un HTML Web Engine esistente.
  • Remove: Cancellazione di un HTML Web Engine esistente.
Opzione | Descrizione
Web Engine application to change | Selezione dell´istanza che deve essere modificata. Nota: disponibile solamente se nella finestra di dialogo di partenza è stata selezionata l´opzione Change.
Web Engine application to change | Selezione dell´istanza che deve essere cancellata. Nota: disponibile solamente se nella finestra di dialogo di partenza è stata selezionata l´opzione Remove.
Desired version/type | Selezione della versione dal menù a tendina. Nota: disponibile solamente per Deploy e Change.
IIS application name | Indicazione del nome desiderato per l´applicazione Web Engine. Questo nome sarà una parte dell´URL utilizzata per raggiungere poi la pagina Web HTML5. Esempio: https://Indirizzo server/<Nome applicazione.> Nota: disponibile solamente per Deploy e Remove (solo visualizzazione).
Application version | Versione zenon della istanza (solo visualizzazione). Nota: disponibile solo per Remove.
Runtime Connector host name or IP address | Inserire in questa sede il nome host oppure l'indirizzo IP del computer su cui sono installati il Runtime di zenon e SCADA Runtime Connector. Nota: disponibile solamente per Deploy e Change.
Data directory | Cartella dalla quale Web Engine deve leggere i dati di progetto esportati. Nota: in questa cartella deve esserci il file webx generato da Web Engine Compiler. Quando HTML Web Engine accede per la prima volta a questa cartella, viene caricato il primo file webx nella lista file. Se il file webxcaricato da Web Engine viene modificato o cancellato, Web Engine si riavvia automaticamente e carica di nuovo il primo file webx che trova nella cartella. Cartella di default: C:\Users\Public\Documents\zenon_Projects\Web Nota: disponibile solamente per Deploy e Change.

Navigazione

Cancel | Rifiuta le modifiche e chiude il dialogo.
Back | Torna una scheda indietro nella fase di avanzamento del tool.
Next | Passa alla prossima scheda nella fase di avanzamento del tool.

Verifica dell´inserimento

L´inserimento viene analizzato nel momento in cui viene eseguito:

Se il sistema rileva errori di inserimento, lo segnala all´utente visualizzando simboli di color rosso. Se si sposta il cursore del mouse sul simbolo, compare un tooltip con ulteriori informazioni.


Security options

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> zenon Web Engine Deployment Tool -> Security options

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano le impostazioni di protezione per il funzionamento di HTML Web Engine.

IIS certificate

La comunicazione di zenon HTML Web Engine avviene sempre tramite una connessione protetta (HTTPS, Port 443).

Definire in questa area se via Deployment Tool verrà utilizzato un certificato autofirmato per la comunicazione. Se non ne esiste ancora nessuno, un certificato autofirmato verrà creato dal Deployment Tool. Questo certificato viene assegnato all´IIS.

Nota: un certificato di protezione è un requisito obbligatorio per la crittografia della comunicazione fra zenon Web Server e zenon Web Client.

Opzione

Descrizione

Use self-signed certificate

Attivare questa opzione se si vuole che venga creato un certificato temporaneo, autofirmato.
Questa opzione viene offerta di default al primo Deploy.

Nota: questa opzione è obbligatoria se non esiste ancora un certificato sull´ISS.

Use existing certificate

Selezionare questa opzione se c´è già una configurazione valida.
Se c´è già una configurazione valida, questa opzione viene offerta di default.

Nota: si raccomanda l´uso di un certificato ufficiale di una Certification Authority.

Possibile Certification Authority: https://www.digicert.com/ssl-certificate-installation-microsoft-iis-8.htm

Web Client Authentication

In questo sezione è possibile stabilire come deve avvenire l´autenticazione del zenon Web Client.

Opzione

Descrizione

User name and password (recommended)

Campo di inserimento password per l´autenticazione di zenon Web Client.
L´autenticazione di zenon Web Client avviene mediante l´inserimento manuale di nome utente e password. e

Nota: il nome utente e la password devono essere digitati in un´immagine di zenon di tipo Login.

Automatic login

Attivate questa opzione se desiderate che il Web Engine instauri automaticamente una connessione con il Runtime di zenon. I dati utente indicati vengono usati per eseguire l´autenticazione.

Attenzione: se usate questa opzione, ogni zenon Web Client riceve una connessione con il Runtime di zenon.

User name

Campo di inserimento per il zenon nome utente.

Inserire qui il nome utente desiderato.

Password

Campo di inserimento password dell´utente zenon.

Inserire qui la password utente.

Nota: non disponibile se per Web Client Authentication è stata selezionata l´opzione User name and password.

Password (confirm)

Inserire qui la password utente per una seconda volta.

Nota: non disponibile se per Web Client Atuhentication è stata selezionata l´opzione User name and password.

Runtime communication

Tipo di comunicazione con Web Engine.

Opzione | Descrizione
Cleartext communication | La comunicazione con Web Engine avviene in testo in chiaro, senza crittografia.
Encrypted communication (recommended) | La comunicazione con Web Engine avviene in forma crittografata. Nota: le impostazioni per il Runtime vengono configurate nello Startup Tool, nella scheda Network configuration, con la proprietà Encrypt Runtime Connector communication. Le password per Runtime e HTML Web Engine devono coincidere.
Password | Campo di inserimento password per la comunicazione protetta. Inserire qui la password utente.
Password (confirm) | Inserire qui la password utente per una seconda volta.

Navigazione

Cancel | Rifiuta le modifiche e chiude il dialogo.
Back | Torna una scheda indietro nella fase di avanzamento del tool.
Next | Passa alla prossima scheda nella fase di avanzamento del tool.


Validation of settings

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> zenon Web Engine Deployment Tool -> Validation of settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono convalidate le impostazioni effettuate in precedenza. Durante il procedimento di convalida, una barra di color verde visualizza lo stata di avanzamento del processo.

Il risultato della convalida viene visualizzato in una lista.

Cliccando sul pulsante Copy to clipboard, si copia l´emissione negli appunti.


Avanzamento

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> zenon Web Engine Deployment Tool -> Avanzamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene visualizzato lo stato di avanzamento del Web Engine Deployments sull´IIS.

Cliccando sul pulsante Copy to clipboard, si copia l´emissione negli appunti.

Dopo che il processo è riuscito, cliccare sul pulsante Finish per chiudere il Deployment Tool.


Configurazione nell'Editor

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati necessari per la visualizzazione HTML5 via Web Engine sono creati a partire da un progetto standard di zenon. Prima di tutto, l´Editor di zenon deve essere aperto.

Nota: mentre si configura la visualizzazione HTML5, tenere presenti quali sono le proprietà, gli elementi d'immagine e le funzioni supportati da HTML Web Engine.

Creare un progetto

Per ottenere la visualizzazione HTML5 via zenon Web Server, bisogna creare anzitutto un progetto standard di zenon. È possibile anche usare determinate risorse di un progetto globale.

Ancora in questo capitolo

Funzionalità supportate per la visualizzazione HTML5


Funzionalità supportate per la visualizzazione HTML5

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la visualizzazione HTML5 si possono usare elementi, proprietà e funzioni di base, come:

Generale

Funzionalità

Descrizione

Variabili
  • Visualizzazione di valori statici e dinamici.
  • Imposta valore direttamente in HTML Web Engine.
  • Dinamicizzazione della visualizzazione degli elementi grazie ai valori variabile.
    Per es.: Visibilità/lampeggio, rotazione, posizionamento, adattamento della dimensione...
  • Valori limiti delle variabili per il dinamicizzazione della visualizzazione degli elementi (come Colore, Testo valore limite) sono supportati in linea di principio.

Attenzione: le informazioni di valore limite delle matrice di reazione non vengono supportate!

Tipi di carattere e liste caratteri
  • Selezione e visualizzazione di ogni tipo di carattere desiderato esistente nel sistema.
    Nota: i tipi di carattere selezionati devono esistere sia sul computer di progettazione, sia sul zenon Web Client. I caratteri devono essere definiti nel progetto locale.
  • Visualizzazione nello stile carattere normale, corsivo e grassetto.
  • Selezione e visualizzazione del tipo di carattere conformemente alla lista caratteri.
  • Commutazione online della lista caratteri.

Nota: al momento dell´avvio della sessione, appare la prima lista caratteri del progetto di zenon.

Immagini e modelli

Immagine/Modello

Descrizione

Modello
  • Apertura di un modello rettangolare in una posizione assoluta.

Immagini, generale
  • Visualizzazione di immagini nella dimensione del modello collegato.
  • Visualizzazione di colore di sfondo ed immagine di sfondo.
  • Esecuzione di una funzione di apertura e di chiusura dell´immagine.

Tipo d'immagine standard
  • Visualizzazione di immagini di questo tipo.

Tipo d'immagine Login
  • Visualizzazione di immagini di questo tipo.
  • Autenticazione dell´utente con gli elementi specifici di questo tipo di immagine, Digitare il nome utente e Digitare la password, o con il comando Login.

Tipo d'immagine AML
  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione di liste AML dinamiche. "Dinamiche" significa che i dati visualizzati vengono aggiornati.

Tipo d'immagine CEL
  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione di liste CEL dinamiche. "Dinamiche" significa che i dati visualizzati vengono aggiornati.

Tipo d'immagine HTML
  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione degli elementi specifici di questo tipo di immagine come Web Browser.

Tipo d'immagine HTML
  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione statica di semplici grafici a linee. "Statica" significa che i dati visualizzati non vengono aggiornati.

Elementi d´immagine

Elementi d’ immagine statici

In generale, sono supportati:

  • Supporto standard delle opzioni di rappresentazione specifiche dell´elemento (visualizzazione, colori e opzioni di riempimento, nessun effetto).
  • Supporto standard di dinamiche di visualizzazione tramite l´uso di variabili (colore e dinamiche di posizionamento).

Sono supportati:

  • Cerchio
  • Curva
  • Arco di cerchio
  • Linea
  • Poligono
  • Polilinea
  • Rettangolo
  • Testo statico

Note:

Elemento

Descrizione

Cerchio
  • Supporta la proprietà Inverti colori.
    Quando si seleziona effetto di riempimento per la proprietà Tipo di riempimento, l´andamento dei colori selezionati come colore di sfondo e colore di riempimento viene invertito.

Arco di cerchio
  • Supporta la proprietà Inverti colori.
    Quando si seleziona effetto di riempimento per la proprietà Tipo di riempimento, l´andamento dei colori selezionati come colore di sfondo e colore di riempimento viene invertito.

Poligono
  • Supporta la proprietà Inverti colori.
    Quando si seleziona effetto di riempimento per la proprietà Tipo di riempimento, l´andamento dei colori selezionati come colore di sfondo e colore di riempimento viene invertito.

Rettangolo
  • Supporta la proprietà Inverti colori.
    Quando si seleziona effetto di riempimento per la proprietà Tipo di riempimento, l´andamento dei colori selezionati come colore di sfondo e colore di riempimento viene invertito.

Elementi d'immagine dinamici, generale:

In generale, sono supportati:

  • Supporto standard delle opzioni di rappresentazione specifiche dell´elemento (visualizzazione, colori e opzioni di riempimento, nessun effetto).
  • Supporto standard di dinamiche di visualizzazione tramite l´uso di variabili (colore e dinamiche di posizionamento).

Note:

Elemento

Descrizione

Pulsante
  • Esecuzione di funzioni del progetto locale.
    Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.
  • Proprietà Tipo di riempimento e Effetto riempimento 3-D:
    Effetto riempimento 3-D ha effetto solo se per Tipo di riempimento si seleziona effetto di riempimento.

Collega testo
  • Visualizzazione di informazioni relative alle variabili.Valore della variabile, Nome, Identificazione, Identificazione servizio, Unità di misura e Testo valore limite possibili.
  • Settare valore impostabile con finestra di dialogo.

Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.

Valore numerico
  • Settare valore impostabile con finestra di dialogo, tenendo presenti i limiti statici del valore impostabile.
    Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.

Gruppi elementi e simboli:

Funzionalità

Descrizione

Gruppo elementi
  • Visualizzazione di gruppi elementi.
  • Gli elementi contenuti sono rappresentati in conformità a quanto definito al momento della loro progettazione e sulla base delle proprietà supportate.

Simbolo collegato
  • Visualizzazione di simboli collegati.
  • Supporto di Sostituisci collegamenti per uso nell´immagine; peraltro gli inserimenti devono riferirsi alle risorse del progetto locale.
  • Gli elementi contenuti sono rappresentati in conformità a quanto definito al momento della loro progettazione e sulla base delle proprietà supportate.

Funzioni

Funzione

Descrizione

Cambio immagine
  • Apertura di immagini del progetto locale.
  • Supporto di Sostituisci collegamenti; gli inserimenti devono riferirsi alle risorse del progetto locale.

Chiudi modello
  • Chiude i modelli che hanno il nome indicato.

Imposta valore
  • Settaggio diretto di valori variabile predefiniti.

Cambio lingua
  • Cambio online di file della lingua e lista caratteri.

Cambia tavolozza colori
  • Cambio online della tavolozza dei colori per la rappresentazione grafica.

Esegui script
  • Esecuzione di funzioni del progetto locale. Le funzioni non supportate sono escluse dall´esecuzione.

Esegui logout
  • Logout dell´utente attuale di una sessione zenon Client e chiusura della connessione con il Runtime di zenon.
  • La sessione zenon Web Client continua in modalità offline.

Progetto globale

L´export HTML tiene conto dell´uso delle seguenti risorse di un progetto globale:

  • Modelli
  • Tavolozze di colori
  • File di lingua

Ancora in questo capitolo

Creare, modificare e aprire un´immagine di tipo HTML

Esempio: Schermata Start semplice

AML e CEL Funzionalità supportate

Immagine di tipo “Trend esteso”

Avvio automatico di uno script all´avvio di una sessione zenon Web Client.

Avvio specifico di uno script mediante estensione URL all’avvio di una sessione zenon Web Client.


Creare, modificare e aprire un´immagine di tipo HTML

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Creare, modificare e aprire un´immagine di tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine di tipo HTML e creare una funzione di cambio immagine.

Creare un'immagine del tipo HTML

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine HTML.
    3. Select the desired frame in the Modello property.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Creare una funzione di cambio immagine.

Crea un'immagine del tipo HTML

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Browser | Elementi di controllo per il browser.
Finestra navigazione | Visualizzazione del browser.
Campo indirizzo | Campo per l´inserimento dell´indirizzo (URL).
Pagina iniziale | Richiamo della pagina iniziale.
In avanti | sfoglia in avanti.
Indietro | sfoglia indietro.
Aggiorna | aggiorna la visualizzazione.
Interrompi | termina la navigazione.
Ricerca | Elementi di controllo per la ricerca. Cliccando su un link nel campo Ricerca, viene visualizzata la pagina corrispondente nel browser. Così possono essere visualizzati nel campo 'Ricerca', per esempio, una barra di navigazione oppure il risultato di una ricerca del motore di ricerca, senza che il suo contenuto venga modificato se si clicca su un link.
Trova | visualizzazione della ricerca.
Campo di ricerca | Cercare indirizzi o file.
Pagina iniziale | Ritornare all´inizio nella zona di ricerca
In avanti | Sfogliare avanti nel campo di ricerca
Indietro | Sfogliare indietro nel campo di ricerca
Aggiorna | Aggiorna la visualizzazione nel campo di ricerca.
Stop | Interrompere la ricerca
Filtro | Aprire box filtro

Modificare l´immagine

Per adeguare l´immagine perché possa essere usata con HTML Web Engine:

  1. Attivare per questa immagine la proprietà Disponibile per il Web che trovate alla voce Generale.
  2. Tenete presente le Opzioni di apertura di pagine web esterne.

Creare una funzione di cambio lingua

Creare una funzione di cambio immagine per poter aprire l´immagine a Runtime.

HTML Web Engine supporta le seguenti opzioni:

Opzione

Descrizione

Indirizzi
  • URL statico

L'URL è impostato come URL statico.

Nota: questa impostazione è obbligatoria.

Finestra browser

Digitate l'URL completo della pagina web esterna, incluso https://.

Esempio: https://Serveradresse

Ancora in questo capitolo

Opzioni di apertura di pagine web esterne


Opzioni di apertura di pagine web esterne

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Creare, modificare e aprire un´immagine di tipo HTML -> Opzioni di apertura di pagine web esterne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Opzioni di apertura di pagine web esterne

HTML Web Engine supporta due modi di apertura di una pagina web esterna: mediante una finestra browser incorporata, oppure come nuova finestra browser.

Finestra browser incorporata:

Per visualizzare a Runtime una finestra di navigazione incorporata con l´URL impostato nella funzione di cambio immagine, procedere come segue:

  • Nel menù Elementi di controllo, selezionare l´azione Browser -> Finestra Browser.
  • Usando il mouse, disegnare nell´immagine la cornice della finestra di navigazione. All´interno di questa cornice verrà visualizzata la pagina web (URL) indicata.

Nota: l´apertura della visualizzazione incorporata (iFrame) funziona solamente se le opzioni x-frame sono state configurate in modo corrispondente sul server remoto. L´indirizzo della pagina Web incorporata, inoltre, deve essere disponibile per l´HTTPS tramite la connessione HTTPS fra HTML Web Engine e l´HTML Web Client.

Nuova finestra browser:

Per aprire una pagina Web esterna in una nuova finestra di navigazione, procedete come segue:

  • Cancellate l´elemento di controllo "Finestra browser" dal template inserito nell´immagine.

    La pagina web esterna verrà aperta in una nuova finestra browser se non c´è un elemento di controllo corrispondente nell´immagine.

Nota: l´apertura di più URL è supportata via script. Tuttavia alcuni browser impediscono l´apertura di tab mediante blocchi popup. In questo caso appare un dialogo che mostra gli URL che non è stato possibile aprire. Questi potranno poi essere aperti manualmente.


Esempio: Schermata Start semplice

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Esempio: Schermata Start semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile verificare la funzionalità del HTML Web Engine nel modo seguente.

Procedura:

  1. Creare un'immagine di tipo standard.
  2. Attivare per questa immagine la proprietà Disponibile per il Web che trovate alla voce Generale.
  3. Impostare questa immagine nel gruppo Aspetto grafico delle proprietà di progetto come Immagine di partenza.

    Nota: si può usare uno script Autostart per definire una pagina qualsiasi come pagina di partenza.

  4. Inserire elementi semplici nell'immagine, per esempio un rettangolo, un cerchio o un testo statico.
  5. Assicurarsi che il progetto attivo sia impostato come progetto di start.
  6. Esportare il progetto da utilizzare per la visualizzazione HTML5.

Estensione: autenticazione con login.

Perché possa avvenire uno scambio di dati con il Runtime di zenon, il zenon Web Client deve essere autenticato come utente del Runtime. Ulteriori informazioni su questo argomento sono disponibili nel capitolo: Autenticazione client per una connessione con il Runtime.
Procedura di estensione di un progetto per rendere possibile l´autenticazione manuale:

  1. Inserire un elemento dinamico per visualizzare un valore di una variabile, per esempio Collega testo oppure Valore numerico.
  2. Assegnare a questo elemento una variabile del vostro progetto.

    Nota: i valori delle variabili possono essere usati anche per la posizione e le dinamiche di colore di un elemento.

  3. Creare una nuova immagine di tipo Login, che verrà poi visualizzata a Runtime.
    Creare una funzione di Cambio immagine per poter aprire questa immagine.
  4. Nel gruppo Generale delle proprietà dell´immagine, attivare la proprietà Disponibile per il Web.
  5. Inserire nell'immagine Login gli elementi Nome utente, Password, Login e Annulla.

  6. Eseguire l'export HTML del progetto attuale.

Adesso si potrà eseguire l´autenticazione di zenon Web Client mediante l´inserimento dei dati utente. Se l'autenticazione ha successo, viene instaurata la connessione con il Runtime di zenon. In questo modo sono accessibili i valori della variabili da utilizzare per la visualizzazione HTML5.


AML e CEL Funzionalità supportate

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> AML e CEL Funzionalità supportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di immagine AML e CEL supportano le seguenti funzionalità per HTML Web Engine:

Allarmi: Richiesta causa d'allarme

Si possono creare allarmi per valori limite con la proprietà Causa d'allarme richiesta attivata.
Il ripristino di questi allarmi, però, non è supportato da HTML Web Engine.

Visualizzazione liste

Le liste vengono divise in pagine. Sotto la lista viene visualizzato un piè di pagina per consentire la navigazione.
Per richiamare gli inserimenti della lista, cliccare sui simboli. Cliccando sul menù a tendina, si può definire il numero degli inserimenti di lista da visualizzare.

Ordinamento a Runtime.

Nella AML e nella CEL, le liste possono essere visualizzate sulla base di un determinato ordinamento.
Per modificare l´ordinamento di una lista, cliccare sull´intestazione di colonna.
Cliccando, si seleziona uno dei seguenti tipi di ordinamento:

  • Crescente
  • Decrescente.
  • Standard (quello fornito dal Runtime di zenon)

Le impostazioni relative a intestazione di colonna, ordinamento e larghezza delle colonne vengono configurate nell´Editor di zenon, nelle proprietà di progetto.

Ordinamento di testo

Il testo viene ordinato secondo i criteri dell´orodinamento naturale

  • Ordine alfabetico.
  • Numeri a più cifre vengono interpretate come un carattere.

Esempio:

  • Ordine alfabetico: 1 / 11 / 2 3 33 - 4
  • Ordine “naturale”: 1, 2, 3, 4, 11, 33

Didascalia colonna

Le colonne Identificazione e Identificazione servizio vengono visualizzate con la didascalia Identification e Resource Label. Il testo visualizzato in queste colonne è traducibile.

Cambio lingua a Runtime

Il cambio lingua è disponibile per le seguenti colonne della AML e della CEL:

  • Testo
  • Identificazione
  • Identificazione servizio
  • Unità di misura

Nota: il cambio lingua viene eseguito separatamente per ogni singola cella. Quando si esegue il cambio a Runtime, il passaggio alla nuova lingua può durare alcuni secondi.

Formati tempo

Data e ora nella AML e nella CEL vengono visualizzati localmente sul singolo client. Viene trasmesso il UTC-DateTime che viene riformattato a seconda delle impostazioni del computer locale.

Per ulteriori informazioni a questo proposito, consultare il capitolo Trattamento degli orari nel manuale dedicato al Runtime.

Ancora in questo capitolo

Proprietà e opzioni

Ripristino allarmi


Proprietà e opzioni

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> AML e CEL Funzionalità supportate -> Proprietà e opzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Proprietà e opzioni

HTML Web Engine supporta le seguenti proprietà e opzioni per elementi di controllo, cambio immagine e proprietà di progetto:

Cambio immagine AML e CEL

Scheda

Gruppo

Impostazioni e note

Generale

Filtro variabili
  • Nome variabile
  • Identificazione

Nota: in questo caso non viene presa in considerazione la scrittura in lettere maiuscole e minuscole.

Tipi di allarme (solo AML)

Opzioni:

  • Solo allarmi non ripristinati
  • Solo allarmi rientrati
  • Solo allarmi pendenti

Nota: altre eventuali impostazioni vengono ignorate.

Sorgente dati

Le impostazioni vengono ignorate.
Vengono usati sempre dati storici del Runtime di zenon.
Massimo: 65535

Impostazioni Runtime

Le impostazioni vengono ignorate.
Viene usata sempre l´opzione Apri lista bloccata.
Vengono visualizzati gli inserimenti della lista esistenti nel Runtime di zenon al momento in cui è stata eseguita la funzione di cambio immagine.

Ora

Filtro

Opzioni:

  • Nessun filtro tempo
  • Periodo assoluto
  • Periodo relativo

Impostazioni

Solo l´opzione Default.
Tutte le altre impostazioni verranno ignorate.

Impostazioni colonne

Colonne
  • Stato di allarme
    (inclusa visualizzazione mediante pallino o file grafico).
  • Entra
  • Esce (solo AML)
  • Riconosciuto (solo AML)
  • Testo
  • Nome variabile
  • Valore
  • Unità di misura
  • Nome completo utente
  • Nome Computer
  • Commento (solo AML)

Nota: si segue la successione di visualizzazione impostata.

La descrizione delle colonne può essere modificata ed è traducibile.

Impostazioni di tabella

Sempre attive:

  • Usa colori di sfondo alternativi
  • Mostra griglia
  • Ordinamento decrescente

Nota: il cambio di tavolozze di colore viene supportato per:

  • Colore Linea 1
  • Colore Linea 2

Progettazione impianto

Da progetto locale e globale.

Elementi di controllo per l´immagine di tipo Lista di informazione allarmi.

Gruppo

Sottogruppo

Impostazioni e note

Intestazione e griglia

Intestazione

Visualizza intestazione: impostazione sempre attiva.

Stile di visualizzazione: impostazione sempre Standard.

Colore riempimento: è sempre il colore di sfondo.
Viene usato anche per il pie´ di pagina nel web per:

  • Colore statico/fisso.
  • Tavolozza di colori e cambio di tavolozza di colori.

Carattere viene usato anche per il pie´ di pagina nel web per:

  • Selezione statica.
  • Cambio liste caratteri.

Colore testo viene usato anche per il pie´ di pagina nel web per:

  • Colore fisso/statico.
  • Tavolozza dei colori e cambio di tavolozza dei colori.

Riempimento

Riempimento

Colore testo Viene usato per:

  • Colore fisso/statico.
  • Tavolozza dei colori e cambio di tavolozza dei colori.

Visualizzazione

Visualizzazione

Viene usato per:

  • Selezione statica
  • Cambio liste caratteri.

Proprietà di progetto AML

Gruppo di proprietà | Proprietà supportate
Lista di informazione allarmi | Header AML
Cartella salvataggio AML | Non disponibile.
Allarme in entrata | Tutti
Allarme rientrato | Tutti
Allarme ripristinato | Tutti
Confermato riconoscimento allarme | Non disponibile. Gli allarmi il cui ripristino è stato confermato, non vengono visualizzati in HTML Web Engine.
Barra stato allarmi | Non disponibile.


Ripristino allarmi

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> AML e CEL Funzionalità supportate -> Ripristino allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ripristino allarmi

Gli allarmi possono essere selezionati e ripristinati singolarmente. Sono supportati solamente allarmi per cui la proprietà Con ripristino è stata attivata.

In questo caso, valgono le seguenti regole:

  • Il ripristino dell´allarme viene eseguito cliccando sul pulsante Ripristina dell´immagine di tipo Lista di informazione allarmi.
  • Se per un valore limite non è attivata la proprietà Con ripristino, il pulsante Ripristina dell´immagine di tipo Lista di informazione allarmi è disattivato.
  • Il pulsante Ripristina tutti dell´immagine di tipo Lista di informazione allarmi non viene supportato.
  • Per poter ripristinare un allarme, l´utente registrato deve essere in possesso delle autorizzazioni operative necessarie.
    Se queste ultime mancano, il sistema visualizza un messaggio di errore.

    Nota: assicurarsi che l´utente disponga dell´autorizzazione operativa Ripristino allarme tramite pagina allarmi.
    Per ulteriori informazioni su questo tema, consultare il capitolo Autorizzazioni operative nel manuale Gestione user.

  • Non vengono supportati:
    • Commento richiesto
    • Causa d'allarme richiesta

    Nota: possono essere configurati valori limite con queste proprietà. Il ripristino di allarmi che presuppongono queste proprietà non viene supportati in HTML Web Engine.


Immagine di tipo “Trend esteso”

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Immagine di tipo “Trend esteso”

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Trend esteso supporta per HTML Web Engine le seguenti funzionalità:

Opzioni per la funzione di cambio immagine

Scheda

Gruppo

Impostazioni e note

Dati

Sorgente dati

Opzione:

solo dati archivio.

Opzioni

Le impostazioni della sezione Opzioni non vengono supportate per HTML Web Engine.

Curve

Visualizzazione di curve semplici senza ulteriori opzioni.

Visualizzazione

Nome trend

Visualizzazione del nome del diagramma, come configurato.

Aggiornamento

Le opzioni del gruppo di proprietà Aggiornamento non vengono supportate.

Design

Le opzioni del gruppo di proprietà Design non vengono supportate.

Viene visualizzato un design predefinito.

Runtime

La visualizzazione di questa finestra di dialogo a Runtime non viene supportata in HTML Web Engine.

Non è possibile eseguire un´operazione di filtro.

Asse X

Asse X

Opzione:

  • Solo visualizzazione YT

Nota: non viene supportata la visualizzazione XY.

Ora

Filtro

Sono supportati:

  • Periodo assoluto
  • Periodo relativo

Tutti gli altri filtri tempo non sono supportati.

Attenzione: cambi immagine con configurazioni di filtro non valide non saranno a disposizione in HTML Web Engine. I pulsanti per eseguire questi cambi immagini vengono disattivati.

Lotto

Le impostazioni della scheda Lotto non vengono supportate per HTML Web Engine.

Impostazioni colonne

Le impostazioni della scheda Impostazioni colonne non vengono supportate per HTML Web Engine.

Impostazioni stampante

Le impostazioni della scheda Impostazioni stampante non vengono supportate per HTML Web Engine.

Elementi di controllo Diagramma

Gruppo | Sottogruppo | Impostazioni e note
Darstellung |  | Per HTML Web Engine non viene supportata la configurazione della visualizzazione. Il comportamento è predefinito.
Linien |  | Per HTML Web Engine non viene supportata la configurazione delle linee. Il comportamento è predefinito.
Füllung |  | Per HTML Web Engine non viene supportata la configurazione dei riempimenti. Il comportamento è predefinito.

Ancora in questo capitolo

Compressione dei dati


Compressione dei dati

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Immagine di tipo “Trend esteso” -> Compressione dei dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Compressione dei dati

I dati possono essere compressi per poi visualizzarli nel Trend esteso. In questo modo si riesce a velocizzare la visualizzazione dei dati stessi via HTML Web Engine, che così corrisponde a quella del Runtime di zenon.

Procedura:

  • Il numero massimo di variabili da visualizzare è limitato dalla larghezza in pixel del modello su cui si basa l´immagine.
  • Se una query di archivio restituisce un numero di variabili minore ai pixel dell´immagine, non ci sarà nessuna forma di compressione dei dati.
  • Se il numero di variabili d´archivio supera il valore della larghezza del modello, verrà determinato un valore medio.
    A questo scopo, l´asse tempo viene suddiviso in aree tempo.
    I valori d´archivio trasmessi dal Runtime vengono inseriti nelle rispettive aree tempo. Mediante i valori di archivio nell´ambito di un´area tempo si determina il valore medio. Se nessun valore di archivio si trova all´interno di un´area tempo, quest´ultima viene cancellata.
    Nota: La determinazione del valore medio viene supportata non solamente per le variabili numeriche, ma anche per quelle binarie.
  • Data point non necessari alla visualizzazione non vengono presi in considerazione. In questo modo si riducono i calcoli che il sistema deve eseguire in background, si risparmiano risorse del PC e si riducono i tempi di apertura delle immagini. Questo accade indipendentemente dal numero dei valori di archivio e dalla determinazione del valore medio.
    Il sistema analizza 3 successivi valori di archivio di una variabile. Se tutti i 3 data point hanno lo stesso valore, viene eliminato quello intermedio.
    Se, per esempio, una variabile d'archivio ha lo stesso valore per tutto l´intervallo della query, verranno visualizzati solamente 2 data point (inizio e fine).

Nota: in caso di determinazione di valore medio, la linea trend viene visualizzata di regola in modo diverso da quanto accade per valori non elaborati (row values).


Avvio automatico di uno script all´avvio di una sessione zenon Web Client.

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Avvio automatico di uno script all´avvio di una sessione zenon Web Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può prevedere che uno script venga avviato automaticamente all´avvio di una sessione HTML Web Client. In questo modo, per esempio, si può impostare una pagina iniziale speciale per l´applicazione web.

Per lo script è stato riservato il seguente nome: AUTOSTART_HTML_WEBCLIENT

Nota: questo script viene eseguito ogni volta che una sessione HTML Web Client viene avviata. Il nome dello script non deve essere modificato.


Avvio specifico di uno script mediante estensione URL all’avvio di una sessione zenon Web Client.

Manuale -> zenon Web Server -> HTML Web Engine -> Configurazione nell'Editor -> Funzionalità supportate per la visualizzazione HTML5 -> Avvio specifico di uno script mediante estensione URL all’avvio di una sessione zenon Web Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

HTML Web Engine consente l’esecuzione specifica di funzioni di zenon come parte della procedura di avvio di una sessione per un HTML Web Client. L´esecuzione delle funzioni avviene tramite uno script avviato tramite la funzione Esegui script. Per aprire la pagina web, il nome della funzione di start desiderata viene trasferito nell´URL tramite l´argomento startfunction. La funzione di esecuzione dello script deve essere esplicitamente approvata per la chiamata come funzione di start dell’URL.

Nota: tutte le impostazioni necessarie per l’uso della funzione di start per l’URL, devono essere presenti nel progetto al momento della compilazione per il web.

Procedura per l´applicazione della funzionalità:

  1. Apertura della pagina web con l’argomento aggiuntivo startfunction per attivare la funzione Esegui script desiderata.
    La chiamata avviene tramite il nome della funzione
  2. Se la funzione configurata per essere usata come funzione di partenza dell’URL viene verificata, verrà eseguito lo script configurato nella funzione. L’esecuzione di questo script avverrà una volta solamente per questa specifica sessione HTML Web Client. Se la funzione non esiste, o non è stata abilitata nel modo descritto in precedenza, verrà eseguita una chiamata standard della pagina Web. La sessione verrà poi avviata con una chiamata senza l’argomento startfunction.

Nota: questo screenshot è a disposizione solamente in lingua inglese.

Per quello che riguarda i nomi funzione, si devono tenere presenti le seguenti limitazioni valide per il web:

Consentito | Non consentito
Caratteri alfanumerici (0-9, a-z, A-Z). | Dieresi
$ - _ . + ! * ' ( ) , | Caratteri di controllo ASCII (0x00-0x1F;0x7F)
 | Caratteri riservati (& / : ; ? @)
 | Caratteri non chiari (come spazi vuoti e " ' < > # % { } I \ ^ ~ [ ])


Compila progetto per il Web

Manuale -> zenon Web Server -> HTML Web Engine -> Compila progetto per il Web

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Web Engine Compiler vengono generati, a partire da un progetto di zenon, quei dati di cui si serve HTML Web Engine per rendere disponibili a zenon Web Client i contenuti HTML5. Nel corso del processo di generazione di questi dati di progetto, Web Engine Compiler verifica i contenuti del progetto e fornisce informazioni relative a funzioni o proprietà non supportate. Il risultato di questo processo di compilazione è un file che viene fornito al Web Engine.

Per aprire il Web Engine Compiler:

  1. Cliccare su Extras nella barra dei menù dell'Editor.
  2. Cliccare su Compila progetto per il Web...

    Si apre la finestra di dialogo per la compilazione del progetto.
    Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Finestra di dialogo “HTML Web Engine Compiler”

Opzione | Descrizione
Please select the target directory for the Web Engine data file | Selezione di una cartella per il salvataggio del file Web Engine. Cliccando sul pulsante ... si apre la finestra di dialogo che consente di selezionare una cartella.
Open folder in File Explorer | Apre la cartella selezionata in Windows Explorer.
Progress | Visualizza avvisi, messaggi di errore e informazioni nel corso del processo di compilazione.
Copy to clipboard | Copia il contenuto della finestra di emissione Progress negli appunti.
Open Web Engine Compiler LOG file | Apre il file di Log Web Engine Compiler. Questo file contiene i messaggi della finestra di emissione Progress.
Start compilation | Avvia il processo di compilazione.
Close | Chiude il Web Engine Compiler.


Svolgimento di una sessione HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Svolgimento di una sessione HTML Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver compilato i dati di progetto con successo, sarà disponibile la visualizzazione HTML.
Per aprire la pagina web:

  1. Aprire un Web Browser che supporta HTML5.
    La lista dei Web Browser consigliati si trova nel capitolo Requisiti di sistema.
  2. Digitare nella barra degli indirizzi del Web Browser l´URL della website per la visualizzazione HTML5: https://Indirizzo server/<Nome applicazione>.

    I contenuti HTML5 sono resi disponibili automaticamente. Per ogni singolo zenon Web Client viene avviata e gestita una sessione distinta. Si ha accesso ai dati del Runtime di zenon non appena l´autenticazione dell´utente è riuscita. Per ulteriori dettagli sull´argomento, vedere il capitolo Autenticazione dell´utente per una connessione con il Runtime.

  3. Non appena verrà chiusa la pagina web, la sessione HTML Web Engine e la connessione al Runtime di zenon verranno chiuse automaticamente.

Nota: si lascia la pagina Web (fra l´altro) quando si chiude il Web Browser, la sua scheda, quando si aggiorna la visualizzazione o si inserisce di nuovo l´URL.


Diagnostica del sistema e risoluzione dei problemi

Manuale -> zenon Web Server -> HTML Web Engine -> Diagnostica del sistema e risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si verificano problemi al momento dell´avvio del sistema o durante il suo funzionamento, vengono visualizzate sull´HTML Web Client delle segnalazioni che forniscono delle informazioni sulle possibili cause che hanno provocato l´errore. Il grado di precisione dei messaggi di errore dipende dal modo in cui viene aperta la pagina web HTML5:

  • Web Browser locale: vengono visualizzati messaggi dettagliati.
    Il Web Browser deve essere eseguito sullo stesso computer (con lo stesso indirizzo IP) su cui è eseguito anche Web Engine.
  • Browser remoto: messaggi generali.
    Questo vale nel caso la pagina web viene aperta a partire da un altro dispositivo e/o da un altro indirizzo IP.

Cheklist

Per un funzionamento privo di errori

Per verificare la configurazione generale del sistema, si consiglia di controllare quanto segue:

  • HTML Web Engine è stato installato sull´IIS. Web Engine Deployment è stato eseguito senza che si siano verificati degli errori. Il Web Server è stato avviato e funziona.
  • I dati di visualizzazione sono stati generati con il Web Engine Compiler. Non si è verificato nessun errore nel procedimento di compilazione. I dati compilati tramite Web Engine Compilers sono disponibili all´accesso tramite Web Engine.
    Nota: la visualizzazione di avvisi non compromette in modo sostanziale il funzionamento di HTML Web Engine. Tuttavia, a seconda del tipo di avviso, si possono avere limitazioni delle funzionalità configurate.
  • Le versioni di Web Engine Compiler e HTML Web Engine sono identiche.
    Nota: i dati generati da Web Engine Compiler possono essere interpretati in modo corretto solo da un HTML Web Engine (applicazione Web) con lo stesso numero di versione.

Per quello che riguarda il trasferimento dei dati di processo:

Quando si trasferiscono dati di progetto, bisogna verificare quanto segue:

  • Il Runtime di zenon e SCADA Runtime Connector sono stati avviati. SCADA Runtime Connector è raggiungibile tramite la rete.
    Nota: i processi del Runtime di zenon e di SCADA Runtime Connector devono essere eseguiti nello stesso contesto utente.
  • Gli utenti con i quali viene eseguita l´autenticazione, devono esistere nel Runtime di zenon.


Driver

Driver

In questo settore trovate tutta la documentazione relativa ai driver di zenon.


Tutorial

Tutorial

In questo settore trovate tutti i tutorial di zenon.


Glossario

Glossario

In questo glossario verranno spiegati in modo sintetico tutti i concetti rilevanti contenuti in zenon.


A

Glossario -> A

a destra

Pulsante che muove il cursore sullo schermo verso destra.

a sinistra

Pulsante, che muove il cursore verso sinistra sullo schermo.

abilitazione licenza

Procedura in cui viene assegnata la licenza per l'utente.

ACK

Nella gestione dati di rete, un Ack (o conferma) è un segnale passato durante la comunicazione tra processi o computer per indicare la conferma, o la ricevuta di risposta, come parte di un protocollo di comunicazione.

Active Directory

Il servizio di directory di sistemi operativi Microsoft Windows Server, che gestisce diversi oggetti in una rete, quali utenti, gruppi, computer, server, condivisione di file e altri dispositivi come stampanti o scanner e le loro proprietà.

Active Directory Application Mode

Versione limitata del servizio Active Directory, utilizzata per la connessione di applicazioni che necessitano di informazioni conformi LDAP.La gestione utenti di zenon è in grado, opzionalmente, di ricavare informazioni sugli utenti da questo servizio.

Active X

Tecnologia sviluppata da Microsoft destinata agli sviluppatori e creata per poter estendere le potenzialità e le funzioni di un'applicazione. L'ActiveX è una estensione che, integrata in un'applicazione predisposta all'utilizzo di questa tecnologia, permette di aggiungere nuove possibilità ai componenti COM standard.ActiveX (dall'inglese Active e eXtension, Estensione Attiva).

ActiveX

Tecnologia sviluppata da Microsoft destinata agli sviluppatori e creata per poter estendere le potenzialità e le funzioni di un'applicazione. L'ActiveX è una estensione che, integrata in un'applicazione predisposta all'utilizzo di questa tecnologia, permette di aggiungere nuove possibilità ai componenti COM standard.ActiveX (dall'inglese Active e eXtension, Estensione Attiva).

ADAM

Versione limitata del servizio Active Directory, utilizzata per la connessione di applicazioni che necessitano di informazioni conformi LDAP.La gestione utenti di zenon è in grado, opzionalmente, di ricavare informazioni sugli utenti da questo servizio.

Agent

Piccolo programma che controlla i dispositivi, con i quali zenon comunica bidirezionalmente, e con il quale è possibile anche impostare alcune proprietà.

aggregare

Ridurre la quantità di dati creando la somma, la media e salvando il valore minimo o massimo per un determinato periodo di tempo.

Alarm-S Segnalazione

Tipo di oggetto del driver che trasmette informazioni di un dispositivo S7-PDiag al sistema di controllo. In corrispondenza dell'offset 0 viene trasmesso il numero di segnalazione con tipo di dato UINT. Nell'offset il numero di segnalazione viene trasmesso come BOOL se la segnalazione è in attesa.

Alarm-S valore di controllo

Tipo di oggetto del Driver, che trasmette il valore di controllo di un dispositivo S7 nel sistema di controllo. Il valore di controllo contiene per esempio il numero di passi di un grafico S7.

Alarm-S Variabile

Variabile definita sul tipo di oggetto Allarm-S Segnalazione

albero di progetto

Rappresentazione grafica strutturata di tutti i progetti e di tutti i moduli in un area di lavoro.

ALC

Automatic Line Coloring è un modulo che permette la colorazione di linee (rappresentati da linee, quadrati o linea di elementi di pittura vettoriale) a seconda degli stati di processo. Come elemento di progettazione per questa funzionalità viene utilizzato l'Elemento Combinato. L'ALC è utilizzato per la semplice dinamicizzazione automatica delle linee nell'applicazione e nelle reti topologiche per l'energia elettrica.

Allarm-S Telegramma

Segnalazioni d'allarme dei sistemi Siemens Simatic S7 Pdiag.I telegrammi possono essere letti dal dispositivo con il driver S7-TCP e immessi direttamente come inserimenti d'allarme nella Lista di informazione allarmi.

Alt

Pulsante, che in combinazione con altri tasti permette l'avvio di specifiche opzioni dei programmi oppure velocizza l'esecuzione di voci di menù, per sempio la combinazione Alt+F4 per chiudere il programma.

AML

Gestione centralizzata degli allarmi del sistema. La lista di informazione allarmi comprende una doppia gestione: gestione a buffer circolare in memoria e salvataggio dati su file su disco fisso.A differenza della Lista Cronologica Eventi, la gestione allarmi comprende 3 informazioni temporali: allarme entrato, uscito, riconosciuto.

Amministrazione punti di misurazione

Modulo per l'amministrazione dei punti di misura. Possiblità addizionali: gestione, inserimento di valori manuali e di esecuzione.

analisi ABC

Strumento per la gestione d'affari per la pianificazione delle decisioni. Gli oggetti sono divisi in tre classi A, B e C. Semplice procedura per la ponderazione di oggetti o processi. La struttura consiste di solito in due coppie di valori bidimensionali. Questi sono inizialmente ordinati per dimensione, poi combinati e classificati per tipo. Questa classificazione fornisce un quadro approssimativo della situazione reale, da cui possono essere derivati altri approcci.

Analisi allarmi

Tema (classe di modelli report) nel zenon Analyzer Management Studio. Questo tema è un insieme di Report per la rappresentazione diretta o aggregata di dati d'allarme.

Analisi con formula personalizzata

Tema (classe di modelli report) in zenon Analyzer Management Studio. I modelli report di questo tema calcolano delle formule personalizzate configurate in ZAMS.

Analisi di Produzione Basata sulle Macchine

Questo tema contiene modelli di report che permettono l'analisi dei tempi di perdita e degli indicatori di produttività basati su standard quali DIN 8782, DIN 8743, standard Weihenstephan e buona prassi di diverse aziende manifatturiere

Analisi obiettivo-effettivo

I modelli report di questo tema confrontano i valori target con i valori attuali.I valori target possono essere riletti da archivi o dalla tabella NORM.

Analyzer Tools

Programmi per la configurazione di zenon Analyzer. Sono incluse le seguenti applicazioni: Manual Data Editor, Metadata Editor, Migration Tool oltre a zenon Analyzer Management Studio (ZAMS).

angolo 3-D

Elemento vettoriale obsoleto, utilizzato per la rappresentazione di un angolo con riempimento tridimensionale.

animazione

Tecnica con la quale viene rappresentata un'immagine in movimento tramite una sequenza di singole immagini.

Annulla

Chiude una finestra di dialogo e annulla tutte le modifiche apportate.

anteprima punti di switch

Le operazioni di switch vengono visualizzate in una lista prima dell'esecuzione.

APDU

Nel contesto delle smart card, un application protocol data unit (APDU) è l'unità di comunicazione tra un lettore smart card e la smart card stessa. La struttura del APDU è definita dall'organizzazione ISO/IEC 7816-4.

API

Interfaccia (acronimo per 'Application programming interface') che viene fornito da un sistema software, per permettere la connessione al sistema da parte di altri software.

App

App è l'abbreviazione di software applicativo, ma è spesso usato per indicare un'applicazione mobile (più specifico) o programma per computer (più generale).

App-Bar

Interfaccia grafica sullo schermo principale in Windows 8, in cui sono disposte applicazioni (= programmi applicativi) e da cui possono essere avviate.

Application Programming Interface

Interfaccia (acronimo per 'Application programming interface') che viene fornito da un sistema software, per permettere la connessione al sistema da parte di altri software.

applicazioni mobile

Insieme di programmi per la visualizzazione di applicazioni zenon su dispositivi mobile, tablet e dispositivi desktop. Le applicazioni sono disponibili nei rispettivi App Store.

architettura di processore

I processori hanno una gamma di compiti molto ampia con una serie di competenze molto differenti tra loro. Di conseguenza vengono progettati processori con architetture differenti in base alle differenti finalità di funzionamento.

archiviazione per modifica valore

Per ogni cambio valore, i valori delle variabili collegate vengono salvati nell'archivio con data, ora e stato della variabile.

Archivio di base

Archivio da cui sono derivati gli archivi aggregati. Questo è l'archivio dove vengono salvati i valori grezzi.

arco di cerchio

Elemento vettoriale che rappresenta una parte di un cerchio o di un ellisse. Con la rappresentazione trasparente è possibile visualizzarne solo la linea esterna.

area di lavoro

Area di lavoro dell'editor, nel quale vengono raggruppati i progetti. Solamente progetto inseriti in un'area di lavoro possono essere elaborati.

ASCII

American Standard Code for Information Interchange - è una codifica dei caratteri a 7 bit ed è la variante statunitense dell' ISO 646 e la base per i successivi set di caratteri e codifiche.

asse

Definisce un'asse di coordtinate. In matematica questo può riferirsi a:- l'asse X (ascissa), ovvero l'asse di coordinata orizzontale in un sistema di coordinate Cartesiane, e- l'asse Y (ordinata), ovvero l'asse di coordinata verticale nel sisteama Cartesiano.

asse tempo

Asse di un sistema di coordinate cartesiane, sul quale è indicato un intervallo temporale.

asse X

Asse orizzontale, in un sistema di assi cartesiani (ascissa).

asse Y

Asse di coordinate verticali in un sistema di assi cartesiani (ordinate).

assistente

Lavora tramite una parametrizzazione e consente la semplice creazione di oggetti complessi. A differenza dei Wizards, gli assisenti sono integrati direttamente nel prodotto e non possono essere adattati.

Audit Trail

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

autenticare

Consente, tramite un nome utente, di connettersi al sistema.

autenticazione

Consente, tramite un nome utente, di connettersi al sistema.

Automatic Line Coloring

Automatic Line Coloring è un modulo che permette la colorazione di linee (rappresentati da linee, quadrati o linea di elementi di pittura vettoriale) a seconda degli stati di processo. Come elemento di progettazione per questa funzionalità viene utilizzato l'Elemento Combinato. L'ALC è utilizzato per la semplice dinamicizzazione automatica delle linee nell'applicazione e nelle reti topologiche per l'energia elettrica.

automatizzazione

Trasferimento delle attività da uomo a macchina o sintesi di processi ricorrenti.

Automazione

Trasferimento delle attività da uomo a macchina o sintesi di processi ricorrenti.

AVI

Acronimo di "Audio Video Interleave", è un formato video definito da Microsoft . "Audio Video Interleave " significa che i dati audio e video sono 'intrecciati', e quindi salvati in modalita "interleaved".

AWL

Uno dei 5 linguaggi standardizzati IEC 61131-3 per la programmazione dei controllori a logica programmabile (PLC), utilizzato principalmente per il collegamento logico di ingressi e uscite. La sintassi è basata su un linguaggio assembler e consente solo possibilita molto complesse di strutture 'a salto'. Come vantaggio si ha pero la possibilità di una occupazione CPU estremamente ridotta.

Azure Serice Bus

Un sistema di messaggistica generale, basato su cloud e basata su Microsoft Azure, dove applicazioni, servizi e dispositivi possono essere collegati indipendentemente dalla loro dislocazione.


B

Glossario -> B

Backspace

Tasto che cancella i caratteri alla sinistra del cursore.

Backup

Memorizzazione di dati (ad esempio, progetti o aree di lavoro) per un eventuale successivo ripristino.

Bargraf

Elemento dimanico per la visualizzazione analogia di una grandezza di un segnale. La grandezza delle suddivisioni cambia con la grandezza del segnale.

barra degli strumenti

Una linea, una colonna o un blocco di pulsanti che vengono visualizzati sullo schermo. Se si fa clic su questi pulsanti, vengono eseguiti i relativi comandi.Le barre degli strumenti possono essere spostate ed adattate allo schermo e l'impostazione viene memorizzata nei profili dell'editor. Le barre degli strumenti sono disponibili solamente nell'ambiente di sviluppo.

barra del titolo

Una barra orizzontale nella parte superiore di una finestra, di una finestra di dialogo o di una barra strumenti, che visualizza il nome del documento, del programma o della barra degli strumenti.

barra di scorrimento

Strumento grafico per muoversi sullo schermo lungo un asse orizzontale o verticale.

Barra stato allarmi

Linea di informazione, che durante il Runtime viene sempre posizionata in primo piano rispetto a tutti gli altri programmi in esecuzione, e che visualizza o l'allarme piu recente o il piu vecchio.

Baudrate

Nelle comunicazioni, il baud rate (detto anche 'symbol rate' o 'tasso di simbolo') indica il numero di simboli trasmessi al secondo in un sistema di trasmissione digitale, come un modem. Il termine baud prende il nome da Émile Baudot, inventore del codice Baudot utilizzato in telegrafia

binario topologico

Elemento dinamico per la colorazione di linie in una rappresentazione topologica di reti elettriche. Disponibile solamente per SICAM 230.

Bit

Un po 'è l'unità di base di informazioni nel campo dell'informatica e delle comunicazioni digitali. Un bit può avere solo uno dei due valori, e può quindi essere realizzato fisicamente con un dispositivo a due stati. Questi valori sono più comunemente rappresentati sia come 0 o 1.

bit di parità

Il bit di parità è un codice di controllo utilizzato nei calcolatori per prevenire errori nella trasmissione o nella memorizzazione dei dati. Tale sistema prevede l'aggiunta di un bit ridondante ai dati, calcolato in modo tale che il numero di bit che valgono 1 sia sempre pari o dispari. I bit di parità sono uno dei codici di rilevazione e correzione d'errore più semplici.

Bit di stop

Un bit di Start e fino a due bit di Stop vengono utilizzati normalmente per la trasmissione dati seriale asincrona, per consentire una sincronizzazione al ricevente su ogni singolo carattere trasmesso.

Bitmap

Formato grafico bidimensionale sviluppato dal Microsoft per Windows e OS/2, e introdotto per la prima volta con Windows 3.0. L'estensione del file è '.bmp', raramente '.dib'.

Blocco dati

Area dati in un dispositivo Siemens.

blocco note

Tipo di immagine, con la quale è possibile visualizzare ed elaborare dei file di testo.

Blocco turno

Rappresenta il corso di un singolo turno. Il blocco turno onsiste in un numero a piacere di blocchi di tempo, con un minimo di uno. Inoltre il blocco turno contiene informazioni aggiuntive sul turno. una denominazione libera e una descrizione, l'assegnazione al modello di impianto e alla gestione utenti.

Blockwrite

Unione di piu incarichi di scrittura in un unico telegramma. Viene utilizzato per esempio nell'esecuzione di una ricetta.

Blue Screen of Death

È la descrizione di una specifica categoria di errori che appaiono in particolare nei sistemi operativi Microsoft Windows. L'interfaccia utente del sistema operativo è completamente sostituita da una schermata blu dove appaiono con testo bianco le informazioni di errore.

BMP

Formato grafico bidimensionale sviluppato dal Microsoft per Windows e OS/2, e introdotto per la prima volta con Windows 3.0. L'estensione del file è '.bmp', raramente '.dib'.

bordo schermo

Area che durante le operazioni touch non può essere spostata al di fuori del campo di visualizzazione visibile.

bottone

Un pulsante (engl. 'Button') rappresenta un elemento grafico in un'interfaccia utente. Clickando su questo oggetto viene eseguita l'operazione associata.

Breakpoint

Identifica un punto in un programma, al quale, non appena viene raggiunto, un Debugger si ferma durante la correzione degli errori.

BSOD

È la descrizione di una specifica categoria di errori che appaiono in particolare nei sistemi operativi Microsoft Windows. L'interfaccia utente del sistema operativo è completamente sostituita da una schermata blu dove appaiono con testo bianco le informazioni di errore.

buffer circolare

Un buffer circolare salva continuativamente i dati durante un processo. Se lo spazio a disposizione esaurisce, i dati vengono sovrascritti secondo le modalita FIFO (First In-First Out) oppure LIFO (Last In-First Out).

Build

Le Builds contengono correzioni di errori. Ad ogni compilazione del programma, viene aumentato il numero della Build. Queste compilazioni vengono messe a disposizione di clienti specifici. Le Builds sono soggette solo in parte al processo di garanzia di qualità del prodotto. Tutte le build vengono raggruppate poi in un Service Pack, in cui viene pienamente garantita la qualità.

Byte

Un byte è un'unità di informazioni digitali in informatica e telecomunicazioni che più comunemente è costituito da otto bit. Storicamente, il byte era il numero di bit utilizzati per codificare un singolo carattere di testo in un computer e per questo motivo è la più piccola unità indirizzabile di memoria in molte architetture.


C

Glossario -> C

cadenza turno

Corrisponde all'istanza di un modello o di un blocco turno in uno o più specifici orari ricorrenti.

calendario turni

E' un componente di visualizzazione per la rappresentazione selettiva della programmazione turni in zenon. Questo prevede, tra l'altro, la creazione e la modifica della programmazione turni.

cambio immagine

Apre un'immagine a Runtime con il supporto di una funzione di cambio immagine

campo di inserimento

Elemento di controllo utilizzato per l'immissione di caratteri.

Canc

Tasto che cancella i caratteri alla destra del cursore.

cancellare modifiche

In un progetto multiutente rende gli elementi/moduli nuovamente disponibili per le modifiche, senza salvare i cambiamenti sul server centrale. Le modifiche vengono sostituite dal server e di conseguenza vengono perse.

cartella

Con una cartella vengono organizzati i file su un dispositivo, come programmi e documenti. Le cartelle possono contenere sia file che altre cartelle.

cartella Runtime

In questa cartella vengono salvati i dati generati a runtime dal progetto. Il percorso viene impostato al momento dell'impostazione del progetto di avvio nel file zenon6.ini.Il percorso della cartella runtime può essere modificato nelle proprietà del progetto.Nella cartella Runtime, vengono create una sottocartella con nome 'RT' e una sottocartella che ha per nome il nome del PC dove viene eseguito il Runtime. Nella cartella RT si trovano tutti i dati Runtime, generati dall'ambiente di sviluppo. Nella cartella con il nome del PC si trovano i file che vengono generati durante l'esecuzione del Runtime.

casella di scorrimento

Elemento grafico nella barra di scorrimento per spostare il contenuto visualizzato orizzontalmente o verticalmente. Il rapporto tra la casella di scorrimento e la barra di scorrimento, corrisponde al rapporto tra il contenuto totale e il contenuto visualizzato nell'elemento.

causa allarme

Cause definibili liberamente per il verificarsi di un allarme nell' Industrial Performance Analyzer. Le possibili cause di allarme vengono memorizzate in un elenco e possono essere assegnate agli allarmi IPA. Le cause di allarme possono essere utilizzate come criterio per i filtri.

CEL

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

certificato

Nella crittografia asimmetrica un certificato digitale è un documento elettronico che attesta l'associazione univoca tra una chiave pubblica e l'identità di un soggetto (una persona, una società, un computer, etc) che dichiara di utilizzarla nell'ambito delle procedure di cifratura asimmetrica e/o autenticazione tramite firma digitale.

certificato SSL

Strumento che assicura la trasmissione protetta di dati tra browser e un sito Web, in modo che terzi non possano intercettare o manipolare i dati trasmessi. I certificati sono di norma rilasciati dalla Certificate Authorities, al fine di garantire l'identità del gestore.

Checkbox

E' un elemento standard in un Software con un interfaccia grafica (GUI). Una checkbox ha generalmente 2 stati, raramente 3 o più.

chiave di attivazione

Una stringa di caratteri che attiva il programma. Questo numero viene controllato in relazione al numero di serie e al numero del Dongle, oppure al numero di serie e numero di licenza.

click con tasto sinistro

La pressione del tasto sinistro del mouse.

Client

Un programma che comunica con un altro programma, il server, per ricevere l'accesso a servizi (funzionalità) e / o dati.

coda

Per il salvataggio intermedio di oggetti in una sequenza, prima di essere successivamente processati.

CodeMeter

Sistema di protezione software di Wibu-System.

CoDeSys

Dispositivo IEC 61131-3 della ditta 3S

colore asse

Colore di un'asse in un sistema di assi Cartesiano

colore assi

Colorazione di un asse nel sistema di coordinate Cartesiane.

colore lampeggio

Quando un elemento lampeggia, il colore del valore limite attualmente violato viene utilizzato come colore di sfondo.

colore sorgente

Ogni sorgente nell'Automatic Line Coloring ha una linea e un colore di riempimento. Con questo colore verranno colorati tutti gli elementi connessi con la sorgente.

comando

Si riferisce all'impostazione di valore di un particoplare set-point nel settore Energy. Nello specifico, tramite una variabile (la variabile di azione) viene settato il valore, mentre tramite una seconda variabile (variabile di riconoscimento) il valore viene riletto. Prima che un comando venga eseguto, vengono controllate tutte le consizioni di interblocco (topologiche come gli interblocchi di comando). Allo stesso modo, il sistema controlla se il dispositivo permette l'impostazione di valore - Select Before Operate.

comando doppio

Tipo di comando del tipo di azione "nuovo comando" del modulo comandi.

comando driver

Un comandio, tramite il quale è possibile impostare il driver in uno specifico stato di funzionamento. Esempio: start del driver, stop del driver ecc.

combinazione tasti

Premendo simultaneamente dei tasti viene eseguita un'operazione.

Combo-/Listbox

Elemento dinamico, che visualizza un testo in una lista di selezione, a seconda del valore di una variabile. Selezionando una voce in lista, viene impostato nella variabile il valore configurato per quella specifica voce, oppure viene lanciata la funzione corrispondente. La visualizzazione può essere in forma di Combobox oppure di Listbox.

Combobox

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

Command Sequencer

Modulo per la creazione ed esecuzione di sequenze di programmi formati da uno o più comandi del modulo Command Processing

compilare

Con la compilazione, da un programma scritto in un linguaggio di programmazione (codice sorgente) viene generato un programma un linguaggio in un linguaggio semanticamente equivalente.

compilatore

In informatica, un compilatore è un programma che traduce una serie di istruzioni scritte in un determinato linguaggio di programmazione (codice sorgente) in istruzioni di un altro linguaggio (codice oggetto). Generalmente corrisponde nella traduzione di un codice sorgente, scritto in un linguaggio di programmazione, in codice macchina, codice binario o codice assembler.

computer di licenza

Computer su cui viene eseguito uno speciale software, che dà accesso a Dongle di rete.

confermare modifiche

In un progetto multiutente, tutte le modifiche apportate in un progetto locale vengono trasferite al progetto sul Server.

connessione di processo

Il progetto comunica con i dispositivi (driver in modalità hardware).

Connettore database di 3° parti

Estensione di connettore SQL che collega tabelle di un database esterno. In questo caso, questi database possono avere strutture diverse da zenon. Inoltre possono essere creati i metadati necessari (tag, archivi..) per queste tabelle. Funziona solamente per gli archivi, non per gli allarmi o per la CEL.

contatore

E' un dispositivo per registrare (e spesso per visualizzare) numeri e quantità

contatore cicli di funzionamento

Una variabile, che viene utilizzata per il conteggio delle operazioni di switch (In/Out) eseguite da un dispositivo.

contatore ore di funzionamento

Variabile utilizzata per la misurazione del tempo di funzionamento di un dispositivo.

contenitore immagine

Elemento collegato ad un'immagine esistente e che visualizza il contenuto della suddetta immagine a Runtime.

controllo ActiveX

Un elemento dinamico del sistema o un elemento di controllo per VBA / VSTA basato sulla tecnologia Microsoft ActiveX.

controllo spin

Elemento di controllo, formato da 2 pulsanti con 1 freccia ciascuno, una verso l'alto e una verso il basso. Questo elemento permette all'utente di navigare in un range prestabilito di valori. Utilizzando i tasti-freccia, il valore viene incrementato o decrementato di 1.

ControlLogix

Dispositivo di Allen-Bradley (Rockwell) che combina un dispositivo di controllo flusso, di controllo assi e di controllo di processo. Logix definisce una piattaforma universale di controllo che integra sistemi in precedenza separati.

controllore a logica programmabile

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

conversione di unità

Unità di misura, il cui valore viene calcolato dall'unità principale in base al cambio di unità: il valore viene moltiplicato secondo un fattore e spostato di un offset. Inoltre può essere specificato uno spostamento del punto decimale.

copia locale di progetto

Immagine di un progetto centralizzato, associata con il server. Tutte le modifiche in un progetto multi utente vengono trasmesse e salvate tramite la procedura di conferma delle modifiche.

Copia&Incolla

Un principio in due fasi di trasferimento dei dati tra applicazioni software.In primo luogo, i dati da trasmettere da un'applicazione vengono trasferiti in un buffer (copia , in inglese 'copy'). Da lì, possono essere riletti, anche più volte, nella stessa o in una diversa applicazione utente(inserita, in inglese 'paste'), poiché i dati vengono conservati nella cache.

CSV

Character Separated Values - descrive la formattazione di un file di testo, per il salvataggio o lo scambio di dati strutturati.

cursore

Anche: cursore di inserimento, cursore di scrittura: definisce in un programma per computer, la posizione attuale di elaborazione.

cursore mouse

Simbolo mobile come elemento di puntamento su uno schermo di un pc. Parte integrante della grafica di interfaccia utente.

curva

Mostra il corso per i valori di una variabile. La curva può rappresentare valori diretti della variabile (Trend online) oppure dei valori archiviati (Trend storico).Le curve possono essere visualizzate nel modulo Trend Esteso o nell'elemento Trend online.

curva

Elemento vettoriale, che visualizza una parte di cerchio.

curva trend

Mostra il corso per i valori di una variabile. La curva può rappresentare valori diretti della variabile (Trend online) oppure dei valori archiviati (Trend storico).Le curve possono essere visualizzate nel modulo Trend Esteso o nell'elemento Trend online.

curve di durata

Un diagramma utilizzato nell'industria dell'energia, che visualizza la richiesta di potenza di un oggetto di fornitura basata sul rispettivo periodo di utilizzo. Le curve di durata visualizzano quante ore sono necessarie per un determinato servizio, in un arco di tempo definito.


D

Glossario -> D

Database-Server

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

database-SQL

Sistema di database per la gestione dei dati elettronici, che supporta un linguaggio di query SQL (Structured Query Language). Di solito si tratta di un database relazionale.

Dataset

Un data set (o dataset) è una raccolta di dati.

Dati HD

Opzione per registrare valori di variabili con una modalità Buffer ad anello. I dati possono essere visualizzati solo tramite un elemento 'Trend Online', o con il modulo ETM (Trend Esteso) oppure esportati.

dati Runtime

Dati, creati e gestiti dal Runtime, per esempio dati della lista di informazione allarmi, della lista eventi cronologica, archive server.. Sono compresi anche i dati creati dall'Editor (file Runtime) e che possono essere modificati a Runtime, come per esempio i file per ricette standard, manager gruppi di ricetta, gestione user ecc.

dato ritentivo

Dati salvati su un dispositivo di memoria non volatile, in modo che siano conservati anche dopo l'arresto del programma o lo spegnimento del dispositivo.

dBase

dBASE è stata la prima applicazione di database (più precisamente, un sistema di gestione di database) ampiamente utilizzati per microcomputer, ed è stato sviluppato dalla società Ashton-Tate per il sistema operativo CP / M. Successivamente, la gestione database venne portata anche su piattaforma IBM con sistema operativo DOS. L'idea di base del sistema di dBASE è quello di mantenere le tabelle di un database in file appositamente strutturati (estensione DBF = DataBaseFile).

DCS

Un sistema di controllo distribuito (DCS - Distributed control system) si riferisce ad un sistema di controllo di solito di un sistema di produzione, di processo o qualsiasi tipo di sistema dinamico, in cui gli elementi del controller non sono in posizione centrale, ma sono distribuiti in tutto il sistema.

Decluttering

Funzionalità dell'immagine globale: a seconda del livello di zoom, gli oggetti vengono visualizzati o nascosti. In questo modo si aumenta la chiarezza.

definizione di impianto

Un modulo che consente di raggruppare oggetti in gruppi di apparecchiature, in forma di albero gerarchico. Le variabili, le ricette, le funzioni, archivi, ecc possono essere assegnati a questi gruppi di apparecchiature tra i vari progetti. In Editor e Runtime è disponibile anche un filtro basato su questi gruppi. Questo tipo di progettazione può essere effettuata solo in un progetto globale.

deviazione attuale

Differenza tra il valore effettivo e il valore desiderato.

Diagnose Client

Programma che si connette via TCP / IP con il Diagnose Server e invia a quest'ultimo i messaggi d'errore. Ogni programma zenon opera come Diagnose Client.

Diagnose Server

Programma per l'analisi degli errori: i log di errore vengono inviati dai client al server e da quest'ultimo vengono salvati in file di LOG. Il Diagnose Server è integrato nel Transport Service.

diagnosi variabili

Tipo di immagine, per per la visualizzazione dei valori, dei timestamp e degli stati delle variabili. E' possibile anche impostarne direttamente i valori.

Diagnosis Viewer

Programma che via TCP/IP si connette con il Diagnose Server e visualizza i file di Log disponibili. Il programma può inoltre connettersi online o rileggere i dati storici, e rappresentarli anche tramite filtri.Inoltre permette la configurazione del Diagnose Server.

diagramma

Rappresentazione grafica di dati, per esempio in una curva. Le singole curve sono poi riassunte in un grafico. Nel Trend Esteso, il diagramma viene mostrato nell'apposita finestra di diagramma.

Diagramma a cascata

Introdotti dai consulenti di McKinsey, il grafico a "Waterfall" (cascata in inglese) è quel tipo di grafico che permette di mettere in evidenza gli step (logici o temporali) che portano una certa grandezza da uno stato "iniziale" a uno stato "finale".

Diagramma di Gantt

Il diagramma di Gantt è uno strumento di supporto alla gestione dei progetti, così chiamato in ricordo dell'ingegnere statunitense Henry Laurence Gantt (1861-1919), che si occupava di scienze sociali e che lo ideò nel 1917.

Diagramma di Pareto

Il diagramma di Pareto è un grafico che rappresenta l'importanza delle differenze causate da un certo fenomeno. Esso contiene sia barre che linee grafiche, dove ogni fattore è rappresentato da barre poste in ordine decrescente e la linea rappresenta invece una distribuzione cumulativa (detta curva di Lorenz).

Diagramma di Sankey

Il diagramma di Sankey è un particolare tipo di diagramma di flusso in cui l'ampiezza delle frecce è disegnata in maniera proporzionale alla quantità di flusso.Esso è usualmente utilizzato per indicare trasferimenti di energia, materiali, costi o dati in un processo.

dinamicizzazione

In dipendenza dal valore di una variabile, viene fatta una modifica di visualizzazione. Le forme di dinamicizzazione possono essere molteplici: cambio colore, lampeccio, visualizzazione di diversi file grafici, modifica della posizione, rotazione, visibilità ecc.

dinamismo

In dipendenza dal valore di una variabile, viene fatta una modifica di visualizzazione. Le forme di dinamicizzazione possono essere molteplici: cambio colore, lampeccio, visualizzazione di diversi file grafici, modifica della posizione, rotazione, visibilità ecc.

directory

Con una cartella vengono organizzati i file su un dispositivo, come programmi e documenti. Le cartelle possono contenere sia file che altre cartelle.

Dispositivo di comando

Apparecchiatura fisicamente disponibile che può essere avviata con le operazioni di switch del comando. Utilizzato nelle sequenze di commutazione.

dispositivo di riconoscimento corto circuito

Un dispositivo di protezione in linea per individuare cortocircuiti in un elemento della rete.

Distributed Control System

Un sistema di controllo distribuito (DCS - Distributed control system) si riferisce ad un sistema di controllo di solito di un sistema di produzione, di processo o qualsiasi tipo di sistema dinamico, in cui gli elementi del controller non sono in posizione centrale, ma sono distribuiti in tutto il sistema.

Distribution Management System

Un sistema di gestione di distribuzione (DMS) è un insieme di applicazioni progettate per monitorare e controllare l'intera rete di distribuzione in modo efficiente e affidabile.

documento di licenza

Documento che contiene la licenza rilasciata. Il documento di licenza descrive, tra le altre cose, la lista dei prodotti, il numero di serie, il numero di attivazione, e nelle licenze software, il numero di licenza.

Dominio

In ambito informatico con il termine dominio ci si riferisce a quell'insieme di caratteri alfanumerici che identificano in maniera univoca un sito web o un computer sulla rete internet

Dongle

Hardware, che protegge il software dall'uso non autorizzato.

Dongle di rete

Hardware, nel quale viene impostato un numero preciso di licenze disponibili. Le licenze sono raggiungibili via rete.

Drag&Drop

Indica lo spostamento di un elemento trascinandolo con il mouse.

driver

Programma o modulo per computer, che stabilisce un'interazione con dispositivi integrati o collegati. Per fare questo utilizza delle connessioni al bus o ad altri sistemi di comunicazione, ai quali il dispositivo è collegato, per poter inviare e ricevere dati e/o segnali.

driver Bus

E' un programma o modulo, che lavora per l'interazione con i dispositivi di campo collegati.

driver di simulazione

Driver, sul quale è possibile creare variabili, pensate per il salvataggio di informazioni, che non devono/possono essere scambiate con un dispositivo. Contrariamente al driver interno, questo driver ha un'indirizzamento numerico e i valori delle variabili possono essere modificate tramite diverse funzioni di incremento e decremento.

driver di sistema

Driver integrato nel Runtime, che mette a disposizione delle variabili predefinite. Queste mettono a disposizione informazioni sul progetto e sul computer sul quale è stato avviato il progetto.

driver interno

Driver integrato nel Runtime, pensato per potervi creare variabili adibite al salvataggio dati, senza comunicazione con i dispositivi hardware.

driver matematico

Driver integrato nel Runtime, che mette a disposizione formule matematiche.


E

Glossario -> E

Editor CE

Editor specifico per progetti Windows CE, impostato per progettare solamente le funzionalità compatibili con Windows CE.

editor Form modelli

Interfaccia utente grafica con la quale è possibile definire i Form dei modelli.

editor modelli

Interfaccia grafica utente, con la quale è possibile definire grandezza e posizione del modelli.

Editor Sequenze di comando

Parte del modulo Command Sequencer (sequenze di comando). Serve sia per la progettazione delle sequenze che per la visualizzazione del processo. La progettazione è basata sulle sequenze di azioni del modulo.

EDMS

La gestione dei dati energetici dovrebbe consentire alle aziende di migliorare il consumo di energia e l'efficienza energetica in modo mirato e strutturato. Un pre-requisito per l'attuazione ottimale è la raccolta di dati validi con più automazione possibile e implementarla in un sistema di gestione dei dati energetici (EDMS) o di un sistema di gestione dell'energia (ENM).

EIB

Standard in base a EN 50090, e nella versione attuale KNX anche Standard ISO / IEC 14543-3. Descrive come collegare insieme sensori e attuatori su un impianto di domotica, e definisce il modo in cui devono comunicare (protocollo).

elemento ActiveX

Un elemento dinamico del sistema o un elemento di controllo per VBA / VSTA basato sulla tecnologia Microsoft ActiveX.

elemento collegato

(1) Un elemento che viene utilizzato in un altro elemento, per esempio: un valore numerico è associato a una variabile e visualizza il suo valore. (2) Ogni elemento che serve come base per l'elemento, per esempio: Un tipo di dati e un driver per una variabile.

Elemento combinato

Elemento dinamico universale, che permette la visualizzazione di diversi aspetti grafici: immagini, simboli dalla libreria, simboli in immagine, testi. La rappresentazione viene determinata dal valore della variabile principale o di variabili aggiuntive. E' possibile:-visualizzare informazioni sullo stato della variabile-impostare stati collegati a delle formule-associare gli stati della variabile principale direttamente nell'elemento-configurare elementi di processo per l'Automatic Line Coloring

elemento di comando

Elemento dinamico, conm il quale è possibile eseguire funzionalità del modulo comandi.

elemento di controllo

specifici elementi per ogni tipo di immagine, con i quali è possibile controllare e comandare il dispositivo. Questi possono avere l'aspetto di pulsanti, testi statici, combobox, listbox, con rappresentazione statica o tabellare, campi di inserimento, radiobutton, calendario, data e ora.

elemento di rete

Parte di una rete elettrica. Per esempio: cavo, generatore, switch, trasformatori ecc. Per visualizzarle in pagina vengono utilzzati un elemento combinato assieme a linee, polilniee e tubature.

elemento di segnalazione

Elemento dinamico, che a seconda dei valori di 2 variabili visualizza un testo da un file testuale.

elemento di simbolo

Singolo elemento dinamico o elemento vettoriale, inserito all'interno di un simbolo

elemento di stato

Elemento dinamico, che trasmette al simbolo le proprietà della variabile collegata come p.e. colori, lampeggio ecc. e che visualizza il testo statico del valore limite.

elemento di struttura

Parte di un tipo di dato strutturato. Può basarsi su un tipo di dato semplice come pure a sua volta su un tipo di dato strutturato. Per tipi di dato semplici, può essere specificato se questo deve essere collegato o indipendente. Per indipendente si intende che viene effettuata una copia del tipo di dato e tutte le proprietà vengono rese disponibili come elemento della struttura. Per i tipi di dati collegati, viene creata solamente un riferimento al tipo di dato. Tutte le proprietà vengono ereditate dinamicamente da quest'ultimo.

elemento d'immagine

Tutti gli elementi (simboli, elementi vettoriali e dinamici, elementi di controllo) inseriti in un'immagine.

elemento dinamico

Un elemento dinamico rappresenta i valori delle variabili in forma grafica. La gestione interna è basato su vettori. Di conseguenza è possibile un ridimensionamento senza perdita di dettagli e dati.

elemento trend

Elemento dinamico per la rappresentazione di valori sotto forma di curve di diagramma.

elemento vett.

Un elemento vettoriale, è un elemento di visualizzazione grafica. La gestione interna di questo elemento è basata su vettori. In questo modo sono possibili ridimensionamenti senza perdita di dati. Al contrario di un elemento dinamico, non vengono rappresentati valori di variabili.

elemento vettoriale

Un elemento vettoriale, è un elemento di visualizzazione grafica. La gestione interna di questo elemento è basata su vettori. In questo modo sono possibili ridimensionamenti senza perdita di dati. Al contrario di un elemento dinamico, non vengono rappresentati valori di variabili.

Embedded Help

Finestra nell'editor, che descrive brevemente la proprietà attualmente selezionata.

Energy Management System

La gestione dei dati energetici dovrebbe consentire alle aziende di migliorare il consumo di energia e l'efficienza energetica in modo mirato e strutturato. Un pre-requisito per l'attuazione ottimale è la raccolta di dati validi con più automazione possibile e implementarla in un sistema di gestione dei dati energetici (EDMS) o di un sistema di gestione dell'energia (ENM).

ERP

Enterprise resource planning (letteralmente "pianificazione delle risorse d'impresa", abbreviato in ERP) è un sistema di gestione, chiamato in informatica sistema informativo, che integra tutti i processi di business rilevanti di un'azienda (vendite, acquisti, gestione magazzino, contabilità etc.)

European Installationsbus

Standard in base a EN 50090, e nella versione attuale KNX anche Standard ISO / IEC 14543-3. Descrive come collegare insieme sensori e attuatori su un impianto di domotica, e definisce il modo in cui devono comunicare (protocollo).

evento

Un evento viene utilizzato nell'ingegneria del software per controllare il flusso di programma. Il codice non viene eseguito in modo lineare, ma verranno lanciate particolari routine a seconda di eventi particolari generati durante l'esecuzione del programma.

evento CEL

Una violazione di un limite, che genera un inserimento nella lista eventi cronologica.


F

Glossario -> F

Faceplate

Tipo di immagine di zenon in cui tramite contenitori, possono essere visualizzate a Runtime più immagini contemporaneamente, anche di diverso tipo.

FDA 21 CFR Part 11

Normativa di sicurezza per il salvataggio di informazioni con timestamp generate da computer, protocollando data e ora di tutte le operazioni utente di inserimento, modifica o cancellazione di informazioni.

FDA 21 Code of Federal Regulations Part 11

Normativa di sicurezza per il salvataggio di informazioni con timestamp generate da computer, protocollando data e ora di tutte le operazioni utente di inserimento, modifica o cancellazione di informazioni.

FIFO

Definisce ogni metodo di salvataggio, nel quale il primo elemento salvato, sarà il primo elemento che viene estratto in fase di lettura dei dati. Il principio opposto viene definito Last In First Out (LIFO).

file CSV

File, contenente dati formattati in formato CSV (Character Separated Value).

file di progetto-S7

File per programmi-S7, che può essere elaborato in ambiente Siemens Step 7. Le variabili possono essere importate nella lista variabili tramite l'Import-S7.

file HTML

File di testo, strutturato secondo lo standard HTML del W3C.

file LOG

File di testo, nel quale vengono salvati i messaggi d'errore del protocollo.

file Runtime

Dati creati dall'Editor, che vengono letti e interpretati dal Runtime. Alcuni file Runtime vengono modificati dal Runtime stesso durante l'esecuzione del progetto, per esempio le ricette standard, il manager gruppi di ricetta ecc. I file Runtime vengono creati nella cartella Runtime.

file S7

File di progetto per l'ambiente di programmazione Siemens Step 7. Le variabili di questo progetto possono essere importate nella lista variabili tramite l'importazione-S7.

file Step 7

File di progetto per l'ambiente di programmazione Siemens Step 7. Le variabili di questo progetto possono essere importate nella lista variabili tramite l'importazione-S7.

file XML

File di testo, scritto con la sintassi del linguaggio Extensible Markup Language.

Filtro CEL

Tipo di immagine, con la quale è possibile progettare delle immagini di filtro per la Lista Eventi Cronologica.

Filtro per Lista Eventi Cronologica

Tipo di immagine, con la quale è possibile progettare delle immagini di filtro per la Lista Eventi Cronologica.

Filtro per lista informazione allarmi

Tipo di immagine, con la quale è possibile progettare liberamente immagini di filtro per la Lista di informazione allarmi.

filtro tempo

Filtro configurabile per limitare i dati visualizzati in un determinato periodo di tempo. Esistono filtri assoluti (da - a) e filtri relativi (da ora fino ad un determinato periodo di tempo).

Fine

Tasto che posiziona il cursore nell'ultima posizione possibile nel campo di inserimento.

finestra

Una zona definita del monitor che include elementi/oggetti rappresentanti Macchine, dispositivi e/o processi e ne permette l'utilizzo, il monitoraggio, la valutazione. Esistono diversi tipi di immagini, che hanno integrate delle funzionalità predefinite. Le immagini sono sempre basate su modelli, che ne definiscono la posizione sullo schermo. Inoltre è possibile visualizzare contemporaneamente piu immagini sullo stesso o su piu monitor.

finestra

In editor sono disponibili diverse finestre riposizionabili, ridimensionabili e a scomparsa. Ogni finestra mostrerà uno specifico contenuto. Per esempio, la finestra di output mostra tutte le informazioni di caricamento progetti e la creazione dei file Runtime. Posizione e dimensioni delle finestre sono memorizzate nei profili Editor.

finestra delle proprietà

Area di visualizzazione, che visualizza le proprietà degli elementi selezionati.

finestra di controllo

Un'area di visualizzazione durante il Runtime, che permette di visualizzare una progetto multimonitor su un unico schermo.

finestra di diagramma

La finestra di diagramma visualizza un diagramma

finestra di dialogo

Una finestra di Popup, nella quale possono essere impostate delle proprietà.

Finestra di emissione

Sezione in cui vengono visualizzati i messaggi relativi al trasporto remoto e di Runtime.

Finestra proprietà

Area di visualizzazione, che visualizza le proprietà degli elementi selezionati.

First In First Out

Definisce ogni metodo di salvataggio, nel quale il primo elemento salvato, sarà il primo elemento che viene estratto in fase di lettura dei dati. Il principio opposto viene definito Last In First Out (LIFO).

focus

Seleziona e attiva un elemento da un gruppo di oggetti, e ne consente la ricezione di eventi da tastiera da parte dell'utente.

foglio di licenza

Documento che contiene la licenza rilasciata. Il documento di licenza descrive, tra le altre cose, la lista dei prodotti, il numero di serie, il numero di attivazione, e nelle licenze software, il numero di licenza.

Font di dialogo

Carattere utilizzato nelle finestre di dialogo standard durante il Runtime.

formula

Formula matematica, che può essere utilizzata,per esempio, in un driver matematico, in un Report o in un interblocco.

forzare

Impostare manualmente il valore in una variabile. Il valore precedente viene sovrascritto in ogni caso. Al termine del ciclo, può essere nuovamente richiesto dall'applicazione e visualizzato in un valore ricalcolato.

freccia di scorrimento

Elemento grafico nella barra di scorrimento per il movimento orizzontale o verticale della casella di scorrimento.

fronte di salita

Il passaggio da 0 a 1 o viceversa di una variabile booleana.

fronte positivo

Il cambio di valore di una variabile da un valore più piccolo ad uno più grande.

Full Duplex

In telecomunicazioni e informatica con il termine duplex (in italiano bidirezionale) si indica una modalità di trasmissione e ricezione di informazioni digitali o analogiche su un canale di comunicazione con caratteristiche tipiche di completa bidirezionalità

funzionalità

Comanda l'esecuzione di un'azione, come p.e. l'apertura di un'area di lavoro o l'avvio di un Wizard. Ad ogni pulsante nella barra degli strumenti dell'ambiente di sviluppo è associata una funzionalità. Con un click di mouse sul pulsante la funzionalità viene eseguita.

funzione

Comanda l'esecuzione di un'azione, come p.e. l'apertura di un'area di lavoro o l'avvio di un Wizard. Ad ogni pulsante nella barra degli strumenti dell'ambiente di sviluppo è associata una funzionalità. Con un click di mouse sul pulsante la funzionalità viene eseguita.

funzione

Un'azione predefinita che può essere avviata durante il Runtime, per esempio un cambio immagine oppure un'operazione file ecc.

funzione specifica per il tipo di immagine

Funzione, disponibile per un elemento, solamente se questo viene utilizzato in un definito tipo di immagine.

FUP

Uno dei 5 linguaggi di programmazione definiti nella normativa IEC 61131 per dispositivi a logica programmabile (PLC). Sostituito dal CFC.


G

Glossario -> G

generatore Report

Strumento per la crazioen di report. Ci sono a disposizione funzioni per la lettura di dati dai vari moduli disponibili, come per esempio dalla lista di informazione allarmi, dalla lista eventi cronologica, dall'archive server, valori di variabili, da banche dati SQL ecc. Per i dati d'archivio, c'è la possibilità di modificarli e di scriverli nell'archivio come modifiche manuali. I dati possono essere inoltre essere formattati a piavere e/o ricalcolati con formule. I report che ne risulteranno, possono essere visualizzati, stampati o salvati su file.

Gestione layer

Modulo di zenon per la gestione e l'organizzazione di layer.

Gestione livelli

Modulo di zenon per la gestione e l'organizzazione di layer.

gestione monitor

Utilizzato per la gestione di dispositivi di visualizzazione di immagini e per la gestione delle risoluzioni di visualizzazione. Per sistemi ad un solo monitor deve essere impostata la soluzione ottimale per il target dove verrà eseguito il runtime, come pure se la visualizzazione deve essere adattata automaticamente alla risoluzione dello schermo. Per sistemi multimonitor vengono definite la quantità di monitor e la loro posizione, e inoltre l'assegnazione dei monitor virtuali a quelli reali.

gestione user

Programma o parte di programma, nel quale vengono definiti quali utenti esistono nel sistema, con quali regole possono accedere ad esso e quali autorizzazioni hanno.

gestione utenti

Programma o parte di programma, nel quale vengono definiti quali utenti esistono nel sistema, con quali regole possono accedere ad esso e quali autorizzazioni hanno.

GIF

Graphics Interchange Format è un formato grafico, con una buona compressione senza perdita per le immagini con profondità di colore bassa (fino a 256 colori diversi per ogni frame). In aggiunta, diverse immagini possono essere memorizzate in un singolo file ed essere visualizzate come animazione.

GOOSE

Generic Substation Events (GSE) è un modello di controllo definito secondo IEC 61850, che fornisce un meccanismo veloce e affidabile di trasferimento dei dati di eventi su tutta la rete della sottostazione. Una volta implementato, questo modello assicura che lo stesso messaggio di evento venga ricevuto da più dispositivi fisici che utilizzano servizi di trasmissione multicast/broadcast. Il modello di controllo GSE è ulteriormente suddiviso in GOOSE (Generic Object Oriented Substation Events) e GSSE (Generic Substation Status Events).

grafica

E' il termine collettivo per definire tutti i disegni artistici o tecnici e le illustrazioni.

grafica di sfondo

Grafica esterna, visualizzata come immagine di sfondo dietro tutti gli elementi in pagina.

grafica vettoriale

È composta da primitive matematiche, descritte su piano bidimensionale, come linee, cerchi, poligoni o curve. La grafica vettoriale permette, a differenza della grafica raster, il ridimensionamento senza perdita di dati.

Grafico a cascata

Introdotti dai consulenti di McKinsey, il grafico a "Waterfall" (cascata in inglese) è quel tipo di grafico che permette di mettere in evidenza gli step (logici o temporali) che portano una certa grandezza da uno stato "iniziale" a uno stato "finale".

granularità

Specifica il numero di posizioni in cui i valori sono letti da un PLC. Per esempio, i valori sono letti da un PLC Siemens S7 in area Merker con la granularità di byte. Pertanto, non si può leggere singolarmente un bit.

griglia

Suddivisione uniforme di una superficie, di un volume o di una quantità. Utilizzati per la selezione, l'orientamento, l'ordinamento o la distribuzione.

Griglia sequenze di comando

L'area di lavoro nell'editor sequenze di comando del modulo Command Sequencer.

gruppo di impianti

Elemento di progettazione, con il quale è possibile ordinare ogni singolo elemento (variabili, ricette, funzioni, archivi ecc.) appartenente all'impianto.

gruppo di ricetta

Il gruppo di ricetta raggruppa le ricette RGM nel Manager di gruppi di ricetta. Nel gruppo di ricetta vengono definite le variabili e i valori min./max. possibili. Queste definizioni sono valide per tutte le ricette definite nel gruppo.

Gruppo modello di turno

Sintesi dei modelli di turni in base ad un titolo selezionabile liberamente. Questo può essere utilizzato come raggruppamento in base alle squadre (turni squadre di manutenzione), tipo di turno (turno di produzione, turno di servizio ecc.) o periodi (estivo, invernale, trimestrale ecc.).

gruppo utenti

Sintesi di uno o più livelli di autorizzazione sotto un unico nome. I gruppi di utenti possono essere assegnati agli utenti.

Guida delle proprietà

Finestra nell'editor, che descrive brevemente la proprietà attualmente selezionata.

guida in linea

Guida disponibile direttamente nel programma.

guida online

Guida disponibile direttamente nel programma.


H

Glossario -> H

Half Duplex

Un sistema half-duplex fornisce una comunicazione in entrambe le direzioni, ma con la possibilità di usare soltanto una direzione alla volta (non simultaneamente). Quando una parte comincia a ricevere un segnale deve poi aspettare che il trasmettitore interrompa la trasmissione prima di poter rispondere.

Hard-PLC

Hardware in esecuzione in un armadio PLC. Per esempio, micro-PLC, PLC compatto, hardware PLC modulare , Pannello PLC, PLC embedded , ecc

Hardwaredongle

Hardware, che protegge il software dall'uso non autorizzato.

Header

Parte superiore di una tabella, che contiene i nomi delle colonne.

Help online

Guida disponibile direttamente nel programma.

host di destinazione

Indirizzo IP o l'hostname del sistema di destinazione.

Hot Restart

In Straton, Hot Restart significa riavviare un'applicazione, in modo da avere, nelle variabili, gli stessi valori che avevano al momento dello stop dell'applicazione.

HTML

È un testo basato su linguaggio di markup per strutturare i contenuti come testi, immagini e collegamenti ipertestuali nei documenti. Nelle immagini HTML vengono visualizzati i contenuti HTML.

HTTP

L'HyperText Transfer Protocol (HTTP) (protocollo di trasferimento di un ipertesto) è usato come principale sistema per la trasmissione d'informazioni sul web ovvero in un'architettura tipica client-server.Le specifiche del protocollo sono gestite dal World Wide Web Consortium (W3C). Un server HTTP generalmente resta in ascolto delle richieste dei client sulla porta 80 usando il protocollo TCP a livello di trasporto. (fonte Wikipedia)

HTTPS

In telecomunicazioni e informatica HyperText Transfer Protocol over Secure Socket Layer (HTTPS) è il risultato dell'applicazione di un protocollo di crittografia asimmetrica al protocollo di trasferimento di ipertesti HTTP. Viene utilizzato per garantire trasferimenti riservati di dati nel web, in modo da impedire intercettazioni dei contenuti che potrebbero essere effettuati tramite la tecnica di attacco del man in the middle.

HTTP-Tunneling

L'Http tunneling è una tecnica utilizzata nel campo della trasmissione di dati digitali per veicolare informazioni che normalmente utilizzano altri protocolli, attraverso lo standard HTTP (creando cioè un "tunnel" attraverso la connessione Http).Tale tecnica viene utilizzata anche per bypassare i firewall, utilizzando tipologie di connessioni non bloccate per effettuare altre operazioni che normalmente verrebbero filtrate.

Human Interface Device

Human Interface Device (HID) (l'accesso ai dispositivi di input in Windows 7 ) è una classe di unità in standard USB per computer, che descrive i dispositivi con cui gli utenti interagiscono direttamente. Nella maggior parte dei casi, HID è utilizzato per dispositivi come tastiere, mouse, joystick e tavolette grafiche.


I

Glossario -> I

ID di prodotto

Come prima parte del numero di serie, c'è un ID di prodotto univoco, che identifica in modo univoco la licenza. Nelle licenze hardware, l'ID di prodotto corrisponde al numero del dongle.

ID utente

Identifica univocamente un utente e non può essere modificata successivamente.

identificazione

Testo liberamente impostabile per l'identificazione di una variabile o di un tipo di dato. Complementare al nome della variabile/tipo di dato.

identificazione di impianto

Identificatore aggiuntivo per le variabili, che permette di filtrarle nell Industrial Performance Analyzer. Un'identificazione di impianto può essere definita come prefisso per il nome o per l'identificazione della variabile.

Identificazione servizio

Testo liberamente definibile per identificare variabili o tipi di dato. Viene utilizzata per i significati di zenon Analyzer.

identificazione utente

Identifica univocamente un utente e non può essere modificata successivamente.

IEC 61131-3

Specifica la sintassi e la semantica dei linguaggi di programmazione per i controllori logici programmabili (PLC), come in parte 1, IEC 61131 definisce. Le lingue sono definite le seguenti: 1.) IL-Instruction List, lista istruzioni: Simile a Assembler 2.) LD Ladder Diagram, LD - Ladder Diagram: paragonabile ad una schema elettrico del circuito ruotato di 90 ° 3.) FBD - Function Block Diagram, FBD - Function Block: parziale (noto soprattutto per Step 7), FUP (piano di funzione). 4.) SFC - Sequential Function Chart, AS - SFC: Una sorta di diagramma di stato, nota come Step7 in S7-Graph. La IEC 61131-3:2003 prevede la SFC come uno sviluppo di Grafcet alla EN 60848 5.) ST - Structured Text, ST - Structured Text: Basato su alto lingue livello, di cui al punto 7, come SCL (Structured Control Language). 6.) CFC - Continuous Function Chart; CFC - Continuous Function Chart: non fa parte della IEC 61131-3: interfaccia grafica di progettazione, in particolare per sistemi e blocchi.

IEC 61850

EC 61850 è uno standard per la progettazione dei sistemi di automazioni per le sottostazioni elettriche. Fa parte della Commissione Elettrotecnica Internazionale (International Electrotechnical Commission o IEC in inglese) Commissione Tecnica 57 (TC57) Il modello di dati astratto definito nel IEC 61850 può essere "mappato" su un diverso numero di protocolli. Sono previste le mappature su MMS, GOOSE, Sampled Values (SMV) e alcuni servizi web. Generalmente questi protocolli girano su reti TCP/IP o LAN di stazione con switch ethernet molto performanti per rispondere ai requisiti stringenti dei dispositivi di protezione, che necessitano tempi di risposta inferiori a 4 o 5 millisecondi.

IED

Utilizzato nell'industria dell'energia, un IED (acronimo di Intelligent Elettric Device) è un dispositivo basato su microprocessore; un esempio di IED sono interruttori, trasformatori e banchi condensatori.

IMM

Modulo per la gestione e la manutenzione di macchinari. Possono essere progettati e gestiti gli eventuali intervalli di servizio. E' possibile immediatamente i dispositivi, le attrezzature, i macchinari, ecc che oggi / questa settimana / mese prossimo devono essere sottoposti a manutenzione. Allo stesso modo, è possibile registrare quali manutenzioni sono state programmate in passato. Il modulo memorizza i dati in qualsiasi database ODBC SQL compatibile.

immagine

Una zona definita del monitor che include elementi/oggetti rappresentanti Macchine, dispositivi e/o processi e ne permette l'utilizzo, il monitoraggio, la valutazione. Esistono diversi tipi di immagini, che hanno integrate delle funzionalità predefinite. Le immagini sono sempre basate su modelli, che ne definiscono la posizione sullo schermo. Inoltre è possibile visualizzare contemporaneamente piu immagini sullo stesso o su piu monitor.

immagine comando

Una immagine relativa all'invio comandi che consente il controllo e la verifica delle operazioni del modulo Comandi a Runtime. I comandi vengono gestiti tramite pulsanti.

immagine del driver

Ogni driver gestisce internamente gli stati di processo cosi come gli stati di segnale. Le modifiche vengono sincronizzate con l'immagine di processo.

immagine di caricamento

Finestra con varie informazioni, che viene visualizzata all'avvio del programma.

immagine di processo

L'immagine di processo rappresenta lo stato attuale del Processo. Viene tenuta in memoria dal sistema di controllo e viene aggiornata dai driver. Ogni richiesta di valore online in un modulo(per esempio immagini, archiviazione dati ecc.) viene gestita dall'immagine di processo.

immagine di simulazione

Area di memoria in cui vengono salvati tutti i valori di simulazione.

immagine Keyboard

Immagine rappresentante una tastiera.

immagine popup

Immagine a Runtime, che copre parzialmente le altre immagini.

immagine ricetta

Include un'immagine salvata di tutte le ricette con i rispettivi dati, in esecuzione a Runtime al momento del salvataggio.

impianto

Insieme pianificato di componenti in un ente con un preciso scopo/compito.

impianto di confezionamento

Insieme di macchine, adibite all'impacchettamento automatico di prodotti.

import offline

Estrazione e importazione di dati da un file sorgente, p.e. CSV o XML.

importazione offline

Estrazione e importazione di dati da un file sorgente, p.e. CSV o XML.

Import-S7

Le variabili di un progetto-S7 vengono importate tramite l'import-S7 nella lista variabili.

imposta valore

Trasmette un valore dal sistema di controllo al dispositivo.

impostare ricetta

Trasmettere una ricetta dal sistema di contrllo al dispositivo.

impostazioni ActiveX

Parametri che gestiscono il funzionamento di un elemento ActiveX.

impostazioni di colonna

Definisce la larghezza della colonna, le intestazioni di colonna, la sequenza di righe, la modalità di ordinamento, la visualizzazione della griglia, i colori di sfondo, ecc.

impostazioni di diagnostica

Definisce quali informazioni devono essere inviate al Diagnose Server.

impostazioni griglia

Definizione dei parametri di una griglia, per esempio la spaziatura tra le righe.

in giù

Pulsante che sposta il cursore sullo schermo verso il basso.

in sù

Pulsante che sposta il cursore nello schermo verso l'alto.

indice di partenza

Definisce il punto di partenza di un Array.

indipendente

Esiste indipendentemente da altri componenti.

indirizzamento

L'indirizzamento definisce come può essere localizzata un'area di memoria.

indirizzo

Definisce un'area di memoria in un PLC.

indirizzo di rete

Per il driver TCP/IP: assegnazione di una variabile ad un numero di connessione, quando il driver ha più configurazioni simultaneamente. Per driver seriale: indirizzo bus o di stazione, del dispositivo che fa parte della rete.

indirizzo IP

Vengono utilizzati nelle reti di computer basate su protocollo internet (IP) per scambiare dati da un mittente ad un destinatario. Lo scopo di un indirizzo IP è quello di poter identificare in modo univoco un destinatario.

Industrial Maintenance Manager

Modulo per la gestione e la manutenzione di macchinari. Possono essere progettati e gestiti gli eventuali intervalli di servizio. E' possibile immediatamente i dispositivi, le attrezzature, i macchinari, ecc che oggi / questa settimana / mese prossimo devono essere sottoposti a manutenzione. Allo stesso modo, è possibile registrare quali manutenzioni sono state programmate in passato. Il modulo memorizza i dati in qualsiasi database ODBC SQL compatibile.

Industrial Performance Analyzer

Modulo per valutare statisticamente i dati di allarme e individuare punti deboli dell'impianto. Vengono identificati gli errori che si verificano più frequentemente e che possono causare la maggior parte dei tempi di inattività. Il Runtime scrive le informazioni sugli allarmi (quando si utilizza il Production & Facility Scheduler) in un database ODBC SQL compatibile. E' possibile memorizzare più informazioni da diversi Runtime in un database centralizzato. In questo modo è possibile l'analisi dei dati da diversi impianti / sistemi.

inizio

Pulsante, che posiziona il cursore nell'angolo in alto a sinistra dello schermo, o all'inizio di una casella di inserimento testo.

Ins

Pulsante, che imposta degli inserimenti definiti tramite tastiera.

inserimento CEL

Un singolo evento, registrato nella Lista Eventi Cronologica.

Integrazione verticale

Consente la comunicazione con e a tutti i livelli, dal livello di campo (PLC) fino ai sistemi superiori quali ERP o PDC.

interfacce di programmazione

Offrono la possibilità di ampliare gli strumenti di programmazione funzionale come PCE, VBA e VSTA.

interfaccia ActiveX

Consente di passare dati/comandi di controllo ad un elemento ActiveX

interfaccia EIB

Interfaccia, che soddisfa lo standard EIB.

interfaccia SAP

Modulo per lo scambio dati di valori e di allarmi delle variabili con un sistema SAP esterno.

Internet Protocol Version 4

E' un metodo standard per la trasmissione di dati in una rete. Questo protocollo utilizza 32 bit per memorizzare gli indirizzi. Di coneseguenza, sono possibili solo 4 miliardi di indirizzi circa.

interruttore

Elemento dinamico, che visualizza il valore di una variabile binaria e ne permette la modifica. Può essere utilizzato anche come pulsante.

intervallo di lampeggio

Quantità di lampeggi in un determinato periodo di tempo.

intestazione di colonna

Parte superiore di una tabella, che contiene i nomi delle colonne.

iOS

Un sistema operativo sviluppato da Apple per iPhone, iPad e altri dispositivi Apple.

IPA

Modulo per valutare statisticamente i dati di allarme e individuare punti deboli dell'impianto. Vengono identificati gli errori che si verificano più frequentemente e che possono causare la maggior parte dei tempi di inattività. Il Runtime scrive le informazioni sugli allarmi (quando si utilizza il Production & Facility Scheduler) in un database ODBC SQL compatibile. E' possibile memorizzare più informazioni da diversi Runtime in un database centralizzato. In questo modo è possibile l'analisi dei dati da diversi impianti / sistemi.

iPhone

iPhone è una linea di Smartphone progettati e commercializzati da Apple Inc. a partire dal 2007. Fornito con un sistema operativo chiamato iOS, l'interfaccia interattiva si basa su uno schermo multitouch.

IPv4

E' un metodo standard per la trasmissione di dati in una rete. Questo protocollo utilizza 32 bit per memorizzare gli indirizzi. Di coneseguenza, sono possibili solo 4 miliardi di indirizzi circa.

IPv6

Metodo standardizzato di trassmissione dati in una rete. Questo protocollo utilizza 128bit per memorizzare gli indirizzi. Di conseguenza è possibile definire 340 sestilioni di indirizzi.

ISO 50001

La norma UNI CEI EN ISO 50001:2011 "Sistemi di gestione dell'energia - Requisiti e linee guida per l'uso" è la versione ufficiale italiana della norma internazionale ISO 50001 (edizione ottobre 2011). La norma specifica i requisiti per creare, avviare, mantenere e migliorare un sistema di gestione dell'energia. L'obiettivo di tale sistema è di consentire che un'organizzazione persegua, con un approccio sistematico, il miglioramento continuo della propria prestazione energetica comprendendo in questa l'efficienza energetica nonché il consumo e l'uso dell'energia.


J

Glossario -> J

JPEG

Formato grafico sviluppato dal gruppo di esperti per il Joint Photographic Experts Group standard JPEG. Lo standard di compressione delle immagini JPEG descrive, ma non specifica come i dati risultanti saranno memorizzati. Sono comunemente denominati "i file JPEG o file JPG" i file grafici in formato 'JPEG File Interchange Format' (JFIF). JFIF è solo un modo per memorizzare i dati JPEG.

JPG

Formato grafico sviluppato dal gruppo di esperti per il Joint Photographic Experts Group standard JPEG. Lo standard di compressione delle immagini JPEG descrive, ma non specifica come i dati risultanti saranno memorizzati. Sono comunemente denominati "i file JPEG o file JPG" i file grafici in formato 'JPEG File Interchange Format' (JFIF). JFIF è solo un modo per memorizzare i dati JPEG.


K

Glossario -> K

Keyboard

È un dispositivo virtuale di input che viene visualizzato sullo schermo. Contiene una serie di controlli che permettono di inserire caratteri.


L

Glossario -> L

Ladder Diagram

Uno dei cinque linguaggi standard IEC 61131 per i controller a logica programmabile (PLC). Questo linguaggio grafico è basato su schemi di circuito, ed è particolarmente adatto per collegare i controlli.

Last In First Out

Definisce qualsiasi metodo di salvataggio dati, che preveda che l'ultimo elemento salvato, sarà anche il primo ad essere estratto per la lettura. L'opposto di questo principio è il metodo First-In-First-Out (FIFO).

lavoro a turni

Il lavoro a turni è disciplinato dal D.Lgs. 8 aprile 2003, n. 66 e dalla contrattazione collettiva cui la legge fa rinvio.Il decreto definisce come lavoro a turni ?qualsiasi metodo di organizzazione del lavoro anche a squadre in base al quale dei lavoratori siano successivamente occupati negli stessi posti di lavoro, secondo un determinato ritmo, compreso il ritmo rotativo, che può essere di tipo continuo o discontinuo, e il quale comporti la necessità per i lavoratori di compiere un lavoro a ore differenti su un periodo determinato di giorni o di settimane? e come lavoratore a turni ?qualsiasi lavoratore il cui orario di lavoro sia inserito nel quadro del lavoro a turni?

Layer management

Modulo di zenon per la gestione e l'organizzazione di layer.

LD

Uno dei cinque linguaggi standard IEC 61131 per i controller a logica programmabile (PLC). Questo linguaggio grafico è basato su schemi di circuito, ed è particolarmente adatto per collegare i controlli.

legenda

La legenda (composta da simboli e scritte) è una descrizione più dettagliata di simboli, colori, firme e abbreviazioni per grafici di dati, tabelle e diagrammi.

licenza

Concede all'utente il diritto di utilizzare il software. I diritti di utilizzo sono definiti nel contratto EULA - End User License Agreement.

licenza Dongle

Tipo di licenza, legata ad un dongle. Al contrario della licenza software questo tipo di licenza non è legata alla configurazione hardware di un computer, e di conseguenza è portabile su altri PC.

licenza Dongle

Vincola l'utilizzo del software alla presenza di un Dongle sul computer o di rete.

LIFO

Definisce qualsiasi metodo di salvataggio dati, che preveda che l'ultimo elemento salvato, sarà anche il primo ad essere estratto per la lettura. L'opposto di questo principio è il metodo First-In-First-Out (FIFO).

Limite di riferimento

Il quantitativo di fornitura definita dal fornitore di energia

linea di produzione

Sistema di produzione automatizzato, nel quale diverse stazioni di lavorazione sono connesse tra loro da un sistema di flusso di materiali a partire da una linea iniziale. Diversi prodotti possono richiedere diverse linee di produzione, che possono utilizzare differenti vie di completamento.

linea topologica

Elemento vettoriale per la colorazione di linea per rappresentazioni topologiche di reti elettriche. Disponibile solamente per SICAM 230.

lista a cascata

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

Lista configurabile

Lista, le cui proprietà possono essere definite dall'utente

Lista di informazione allarmi

Gestione centralizzata degli allarmi del sistema. La lista di informazione allarmi comprende una doppia gestione: gestione a buffer circolare in memoria e salvataggio dati su file su disco fisso.A differenza della Lista Cronologica Eventi, la gestione allarmi comprende 3 informazioni temporali: allarme entrato, uscito, riconosciuto.

Lista Eventi Cronologica

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

lista incrociata

Rappresentazione di una interrogazione incrociata all'interno di un progetto, ad esempio per capire in quale punto del progetto stesso vengono utilizzate determinate variabili o pagine.

Lista oggetti

Lista che elenca tutti gli elementi definiti in una immagine di supervisione globale. Con un doppio click è possibile passare direttamente all'elemento.

Listbox

È un elemento standard di un software con interfaccia utente grafica (GUI). E 'utilizzato per visualizzare le voci selezionabili dall'utente in forma di elenco. Le voci sono normalmente in formato testo, ma è possibile anche utilizzare della grafica, o combinazioni di queste due cose (testo + grafica).

livello di autorizzazione

Determina se un utente può eseguire un'azione. Per ogni elemento di controllo in un'immagine può essere assegnato un livello di autorizzazione. Allo stesso modo possono essere assegnati dei livelli di autorizzazione per funzionalità come il riconoscimento allarmi , il caricamento progetto ecc. Ci sono 128 livelli (0-127), dove 0 è il livello di sistema è a disposizione di ciascun utente.

Load Management

Strumento di supporto per la gestione aziendale. E 'utilizzato per implementare una gestione energetica di riferimento per piccole e medie imprese di produzione energetica.

Log delle modifiche

Salvataggio dati, che durante la progettazione in editor protocolla tutte le modifiche e le salva nel database di progetto.

Login

Consente, tramite un nome utente, di connettersi al sistema.

Log-Server

Programma per l'analisi degli errori: i log di errore vengono inviati dai client al server e da quest'ultimo vengono salvati in file di LOG. Il Diagnose Server è integrato nel Transport Service.


M

Glossario -> M

Manager di gruppi ricette

Un modulo per la gestione di gruppi di ricetta e ricette correlate. Per il gruppo di ricetta vengono definte le variabili, i filtri e le altre impostazioni. Le ricette per questo gruppo, erediteranno queste impostazioni. Nelle ricette, è possibile definire l'azione da eseguire per ogni singola variabile configurata in ricetta, come per esempio il settaggio valore, la modifica dello stato della variabile, ottenere il valore di un'altra variabile ecc.

Manager di progetto

Finestra nell'Editor, che visualizza l'albero di progetto, la visualizzazione dettagli e la topologia di rete.

massimo

Il piu grande (dal latino: maximus, il piu grande; adj.: al massimo).

matrice di reazione

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

matrici di reazione

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

max.

Il piu grande (dal latino: maximus, il piu grande; adj.: al massimo).

menù

Una lista drop-down (a tendina) che offre una serie di funzioni selezionabili tramite parole chiave o simboli.

menù a tendina

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

menù contestuale

Una lista a tendina, apribile con il click del tasto destro del mouse, che visualizza una serie di operazioni disponibili visualizzate con parole chiave e/o simboli. Le operazioni (comandi) si riferiscono sempre all'elemento selezionato.

menù popup

Una lista a tendina, apribile con il click del tasto destro del mouse, che visualizza una serie di operazioni disponibili visualizzate con parole chiave e/o simboli. Le operazioni (comandi) si riferiscono sempre all'elemento selezionato.

menù principale

Linea con una serie di voci di menu. Clickando su una voce viene aperto un menu a tendina, che offre una serie di operazioni eseguibili tramite delle sottovoci o dei simboli.

messaggio di manutenzione

Messaggio di servizio o manutezione, che viene trasferito al modulo di manutenzione SAP.

metodo

Un'azione nella programmazione orientata agli oggetti, che può essere selezionata in un oggetto oppure eseguita tramite un oggetto.

Migration Tool

Programma che permette la migrazione di database zenon Analyzer comprensivi di tutte le configurazioni. Può essere utilizzato anche per l'aggiornamento ad una generazione server più recente.

min.

Il minore, il più piccolo (dal latino: minimus, il piu piccolo; agg. minimo).

Min.

Unità di misura temporale

minimo

Il minore, il più piccolo (dal latino: minimus, il piu piccolo; agg. minimo).

modalità hardware

Al contrario della modalità di simulazione, viene instaurata la comunicazione con il dispositivo. I valori delle variabili vengono ottenuti dal PLC. La comunicazione può essere interrotta tramite comandi (modalità offline) e nuovamente riavviata (modalità online).

modalità offline

Il driver si trova in modalità hardware e non comunica con il dispositivo. Il driver è in 'stop'.

modalità online

Il driver si trova in modalità hardware e comunica con il dispositivo.

modalità simulazione

A differenza della modalità hardware, non viene stabilita nessuna comunicazione con il dispositivo sul campo. Le variabili vengono gestite e calcolate in base alla tipologia di simulazione (simulazione statica, simulazione conta oppure simulazione programmata).

Modbus RTU

Protocollo di comunicazione standardizzato per la connessione con dispositivi Modbus via porta seriale (COM). Reso standard da Modbus-IDA (www.modbus.org). Il protocollo può anche essere indirizzato via TCP/IP, però in questo caso viene normalmente utilizzato il protocollo Open Modbus TCP/IP.

modello

Determina la dimensione e la posizione di uno spazio sul monitor, nel quale verranno aperte le immagini durante il Runtime. Ogni immagine è basata su un modello. Ad ogni modello possono essere assegnate delle proprietà, che saranno trasmesse a tutte le immagini basate su quel modello.

modello di impianto

Consente di suddividere un sistema esistente, in un qualsiasi numero gruppi strutturati di impianto.

modello turno

Rappresenta la modalità di una configurazione di ripetizione turni, p.e. "operazione a 2 turni" oppure "operazione a 3 turni". A tal fine, il modello turno si compone di almeno uno o più blocchi turno. Inoltre, il modello turno contiene altre informazioni: nome e descrizione liberamente definibili, un'assegnazione ad un modello di impianto e ad una gestione utenti.

Modulo Trend esteso

Visualizza dati storici e online in forma di diagramma.

Monitor

È un dispositivo di visualizzazione delle immagini collegato ad un computer.

monitor virtuale

In un sistema multimonitor le immagini possono essere assegnate ad uno spazio virtuale di visualizzazione. La definizione di posizionamento di un immagine, viene definita in fase di apertura dell'immagine stessa, oppure nella gestione monitor.

Monitoring Viewer

Strumento per la visualizzazione di tutti i prodotto zenon Logic nel Runtime zenon. E' parte del modulo Diagnosis PLC

MS Azure

Piattaforma di Cloud Computing di Microsoft

multi numerica

Tipo di Matrice di reazione, nella quale oltre al controllo degli stati, possono essere configurati range di stati e funzioni speciali.

Multibin

Elemento dinamico, che a seconda del valore di una variabile, visualizza della grafica, o modifica la colorazione di simboli o visualizza un testo. Può essere associato sia a variabili numeriche che a variabili binarie. Se la prima variabile collegata è una variabile binaria, l'elemento Multibin può essere utilizzato come interruttore o pulsante per il settaggio valori nella prima variabie.Gli stati vengono controllati dall'alto verso il basso, il che significa che il primo stato che viene trovato nella ricerca, sarà quello visualizzato.

Multi-Binaria

Tipo di matrice di reazione, in cui possono essere configurati sottostati, range di stati e funzioni speciali.

Multi-numerica

Tipo di Matrice di reazione, nella quale oltre al controllo degli stati, possono essere configurati range di stati e funzioni speciali.


N

Glossario -> N

nodo principale

Primo livello di una struttura ad albero.

nome Diagramma

Nome del grafico liberamente impostabile nel Trend Esteso. Può essere visualizzato, ed eventualmente stampato, nell'immagine Trend Esteso durante il Runtime. In Editor, per semplicità di comprensione, il nome Diagramma viene visualizzato nella funzione di cambio immagine.

nome gruppo ricette

Nome univoco del gruppo di ricetta nel Manager gruppi di ricetta.

nome ricetta

Nome univoco di una ricetta (ricetta standard o ricetta-RGM).

nome utente

Identifica univocamente un utente e non può essere modificata successivamente.

nome variabile

Nome univoco per una variabile.

numero blocco dati

Numero univoco di un blocco di dati in un dispositivo Siemens.

numero di attivazione

Una stringa di caratteri che attiva il programma. Questo numero viene controllato in relazione al numero di serie e al numero del Dongle, oppure al numero di serie e numero di licenza.

numero di licenza

Sequenza di caratteri specifici per il computer, derivati dalla sua configurazione, utilizzati per l'attivazione software. Il numero di licenza viene controllato assieme al numero di serie, tramite il numero di attivazione.

numero di porta

Fa parte di un indirizzo IP, e può assumere un valore tra 0 e 65535. Il numero identifica un canale di comunicazione univoco. Per una comunicazione TCP/IP sono sempre richiesti l'indirizzo IP e il numero di porta, per identificare univocamente l'indirizzo del destinatario. Ancher per il protocollo UDP e SCTP utilizzano il numero di porta.

numero di serie

Stringa univoca con piu elementi separati ciascuno da un punto. In prima posizione c'è il Product-ID (univoco). Le rimanenti posizioni definiscono il campo di applicazione del prodotto. Nelle licenze Dongle, il Product ID coincide con il numero del Dongle.

numero Dongle

Numero univoco, codificato nel Dongle che deve corrispondere al Product-ID del Serial Number. Il numero Dongle è disponibile sul Dongle stesso con un adesivo e può essere letto dal software WIBU-KEY.

numero ricetta

Numero univoco di una ricetta-RGM.


O

Glossario -> O

OEE

L'Overall Equipments Effectiveness (OEE) è la misura di efficienza totale di un impianto. È un indice espresso in punti percentuali che riassume in sé tre concetti molto importanti dal punto di vista della produzione manifatturiera: la disponibilità, l'efficienza ed il tasso di qualità di un impianto.L'OEE è utilizzato come strumento di misurazione nel TPM (Total Productive Maintenance) e nei programmi di Lean Manufactoring, dove riesce a fornire un'importante chiave di lettura dell'efficacia delle misure adottate fornendo al tempo stesso un supporto per la misurazione dell'efficienza.

Offset

Numero definito in un indirizzamento relativo. Determina per esempio la distanza di una cella di memoria da un punto di partenza. A volte utilizzato anche per i tempi. Distanza da un tempo di partenza.

Online Change

Con la funzione Online Change è possibile in straton, scaricare le applicazioni modificate sul dispositivo di destinazione e aggiornare il progetto senza bisogno di fermarlo e riavviarlo. La funzionalità deve essere attivata e configurata correttamente in straton.

Open Modbus TCP/IP

Protocollo di comunicazione standardizzato per la connessione al PLC tramite Modbus TCP / IP. Standardizzato da Modbus-IDA (www.modbus.org).

operazione batch

Lavoro continuo, sequenziale di una serie di operazioni singole.

orari turni

Orario di inizio e orario di fine turni. La definizione degli orari è impostabile nel Production & Facility Scheduler.

orologio

Elemento dinamico, che visualizza ora e data. Può anche essere utilizzato per la conversione di un valore numerico in un formato di data/ora.

Overall Equipments Effectiveness

L'Overall Equipments Effectiveness (OEE) è la misura di efficienza totale di un impianto. È un indice espresso in punti percentuali che riassume in sé tre concetti molto importanti dal punto di vista della produzione manifatturiera: la disponibilità, l'efficienza ed il tasso di qualità di un impianto.L'OEE è utilizzato come strumento di misurazione nel TPM (Total Productive Maintenance) e nei programmi di Lean Manufactoring, dove riesce a fornire un'importante chiave di lettura dell'efficacia delle misure adottate fornendo al tempo stesso un supporto per la misurazione dell'efficienza.


P

Glossario -> P

Pag. giù

Tasto, che sposta il cursore verso il basso dalla posizione piu alta dello schermo.

Pag. sù

Tasto, che sposta il cursore sullo schermo verso la parte alta dello stesso.

parametro di funzione

In informatica, il parametro è un indirizzo di memoria o un valore (tra quelli di un insieme omogeneo e coerente) che una funzione si aspetta di ricevere per eseguire il suo compito.Nei casi di routine o funzioni interne ai programmi, si utilizza più spesso il termine argomento.

Password

Sequenza di caratteri, che devono essere conosciuti solamente dall'utente. La combinazione tra nome utente e password consente l'identificazione dell'utente nel sistema.

percorso assoluto

Definisce la posizione di file o cartelle tramite nome computer, nome unità e nome cartella. Il punto di partenza è sempre un nome computer (percorso UNC p.e. \\PC1) o un'unità (p.e. C:\).

periodo assoluto

Periodo non dipendente dal tempo attuale.

periodo assoluto

Esatto momento nel tempo, alla cadenza del quale deve essere avviata un'azione.

periodo relativo

Intervallo di tempo in relazione al momento attuale, con tempo di inizio e tempo di fine.

PFS

Strumento completo per controllare direttamente le operazioni di temporizzazione. Supporta due modalità di esecuzione: tempo assoluto e relativo. Tutti gli orari sono definiti su un modello di calendario con una opzione di anteprima che permette di controllare i futuri punti di switch.

PIM

Protocol-Independent Multicast (PIM) è una famiglia di protocolli di rete di instradamento (routing) multicast per reti LAN, WAN o internet. Usa le informazioni di instradamento fornite da altri protocolli di routing tradizionali come il Border Gateway Protocol (BGP).Esistono 4 varianti di PIM:PIM Sparse Mode (modalità sparsa)PIM Dense Mode (modalità densa)PIM BidirezionalePIM source-specific multicast (multicast con sorgente specifica)PIM-SM è comunemente usato nei sistemi IPTV per flussi di instradamento multicast tra reti VLAN, sottoreti o LAN.

PLC

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

popup di dialogo

Una finestra di Popup, nella quale possono essere impostate delle proprietà.

posizione assoluta

In riferimento ad un oggetto di livello superiore, posizione dell'elemento nello schermo. I modelli rispetto al monitor, gli elementi nell'immagine rispetto al modello, elementi in un simbolo rispetto al simbolo ecc. Il punto di origine si trova nell'angolo in alto a sinistra dell'oggetto di livello suoperiore (p.e. per i modelli, ngolo in alto a sinistra del monitor).

Process Control Engine

Sistema per espandere il Runtime con Task programmabili.Il Process Control Engine è costituito in 2 parti: l'ambiente di programmazione per la progettazione dei task e l'ambiente runtime, dove gira il codice in VB-Script o in Java-Script, in modalità ciclica oppure ad evento (esecuzione unica).I task possono essere lanciati all'avvio del Runtime, oppure tramite funzioni. L'interazione con il runtime può essere implementata utilizzando le variabili.

processo di produzione

Processo di produzione che viene eseguito a seconda delle specifiche di tempo e luogo della sequenza di produzione.

Production & Facility Scheduler

Strumento completo per controllare direttamente le operazioni di temporizzazione. Supporta due modalità di esecuzione: tempo assoluto e relativo. Tutti gli orari sono definiti su un modello di calendario con una opzione di anteprima che permette di controllare i futuri punti di switch.

profilo filtro

Salva durante il runtime, le impostazzioni di visualizzazione della finestra corrente. E' possibile salvare più di un profilo.

profilo monitor

Parte della gestione monitor, che definisce la disposizione e la disponibilità di monitor reali, e l'assegnazione di monitor virtuali a monitor reali. Inoltre viene definito se a Runtime deve essere applicato un adattatamento alla risoluzione dello schermo o se devono essere visualizzate delle barre di scorrimento.

profilo Runtime

Salva le posizioni dell'immagine attualmente visualizzata a Runtime, come pure il filtro impostato per la stessa. I profili Runtime sono dipendenti dall'utente. Un amministratore può gestire i profili runtime degli altri utenti come pure i profili dell'utente "System". Possono essere salvati più profili.

profilo standard

Con il profilo standard, vengono ripristinate le impostazioni iniziali di layout dell'editor. Tutte le barre degli strumenti, le posizioni delle finestre ecc. vengono riportate alla loro configurazione iniziale.

progettazione distribuita

Elaborazione contemporanea di un progetto in editor, da parte di più utenti su diversi computer.

Progetto di rete

Progetto per il quale è stata attivata l'opzione di rete. Il progetto verrà eseguito come progetto Server, quando verrà avviato sul terminale definito come Server. Tutti gli altri Runtime, nei quali verrà caricato il progetto, potranno connettersi al progetto Server con il ruolo di Client o di Server Standby.

progetto Windows CE

Ogni progetto può essere usato su Windows CE. Alcune caratteristiche, tuttavia, non sono disponibili nel Runtime sotto Windows CE.Un progetto Windows CE è definito tramite la proprietà del progetto 'progetto Windows CE'.

programma Step 7

Programma per dispositivi S7. La programmazione avviene nel software Step 7. Le variabili possono essere importate nella lista variabili tramite l'Import-S7.

Programmable Logic Controller

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

promotore

Persone oppure organizzazioni, che promuovono un'utenza (per esempio di un software), senza esserne utenti a loro volta.

Property

Proprietà di un elemento/oggetto, intercettabile via VBA/VSTA.

proprietà

Caratteristiche specifiche di un elemento, di un oggetto ecc.

proprietà di progetto

Tutte le proprietà che determinano il comportamento e l'aspetto del progetto.

pulsante

Un pulsante (engl. 'Button') rappresenta un elemento grafico in un'interfaccia utente. Clickando su questo oggetto viene eseguita l'operazione associata.

Pulsante bitmap

Elemento dinamico con il quale è possibile eseguire un'operazione (avviare una funzione, impostare un valore). Il pulsante bitmap può solamente visualizzare della grafica. Dalla versione 6.50 è stato sostituito dall'elemento dinamico Pulsante.

pulsante d'allarme ad immagine

Elemento dinamico, con il quale può essere realizzato l'allarme ad immagine. Disponibile solamente per SICAM 230.

pulsante di opzione

È un elemento standard di un software con interfaccia grafica utente (GUI). Si possono avere due stati: attivato e disattivato. In un gruppo di pulsanti di opzione, almeno una di queste deve essere attiva.

pulsante spin

Elemento di controllo, formato da 2 pulsanti con 1 freccia ciascuno, una verso l'alto e una verso il basso. Questo elemento permette all'utente di navigare in un range prestabilito di valori. Utilizzando i tasti-freccia, il valore viene incrementato o decrementato di 1.

Pulsante testo

Elemento dinamico con il quale è possibile eseguire un'azione (lanciare una funzione, impostare un valore). Il pulsante testo come contenuto può visualizzare solamente del testo. Dalla versione 6.50 è stato sostituito dall'elemento dinamico 'pulsante'.

pulsante zoom

Rappresentazione grafica in un'interfaccia di programma, che consente l'esecuzione delle funzionalità di zoom.

puntatore mouse

Simbolo mobile come elemento di puntamento su uno schermo di un pc. Parte integrante della grafica di interfaccia utente.

punto di interruzione

Identifica un punto in un programma, al quale, non appena viene raggiunto, un Debugger si ferma durante la correzione degli errori.

punto di misurazione

Un'installazione strutturale fissa e/o mobile in un cui in parametro fisico o chimico può essere registrato, secondo un'unità di misura in un determinato periodo.

punto di riferimento

Punto di riferimento per il movimento degli elementi, come per esempio la rotazione, lo zooming, il movimento, il collegamento con altri elementi..

punto di switch

Definizione di un punto temporale alla scadenza del quale deve essere avviata un'azione.

punto di switch assoluto

Associa un tempo assoluto con una ben precisa azione.

punto di switch relativo

In corrispondenza di un determinato evento, viene eseguita un'operazione.


Q

Glossario -> Q


R

Glossario -> R

radiobutton

È un elemento standard di un software con interfaccia grafica utente (GUI). Si possono avere due stati: attivato e disattivato. In un gruppo di pulsanti di opzione, almeno una di queste deve essere attiva.

RAM

RAM, acronimo dell'inglese Random Access Memory ovvero memoria ad accesso casuale, è un tipo di memoria volatile caratterizzata dal permettere l'accesso diretto a qualunque indirizzo di memoria con lo stesso tempo di accesso. Le forme più comuni sono le memorie a semiconduttore. Generalmente implementati con tecnologia al silicio, questi moduli sono utilizzati in tutti i dispositivi elettronici.

ramo

Parte di una sequenza nel modulo Batch Control

registrazione ad evento

I dati vengono scritti nell'archivio al cambio valore con fronte positivo della variabile di registrazione (trigger).

registrazione ciclica

I dati vengono scritti in un archivio ad ogni intervallo di tempo.

registrazione licenza

Procedura in cui viene assegnata la licenza per l'utente.

registrazione spontanea

Quando il valore di una variabile cambia, questo viene salvato nell'archivio.

regolatore di zoom

Regolatore grafico lineare con il quale è possibile modificare i livelli di zoom.

relè di guasto a terra

Un dispositivo di protezione in linea per individuare guasti a terra in un elemento della rete.

Rema

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

rendere possibili le modifiche

In un progetto multiutente, permette l'accesso esclusivo ad un elemento/modulo per poter effettuare delle modifiche. Lo stato viene salvato nel progetto server centralizzato. In questo modo l'accesso a quell'elemento/modulo viene inibito a tutti gli altri utenti connessi al progetto.

rete a gradiente massimo

Ogni nodo di rete è collegato ad uno o più nodi. L'informazione viene diffusa da nodo a nodo fino a raggiungere la destinazione. Se ogni partecipante è collegato ad ogni altro partecipante, si parla di una rete a gradiente massimo. Le reti a gradiente massimo sono di regola auto-rigeneranti, e quindi molto affidabili: se un nodo o un collegamento è bloccato o comunica, la rete riesce comunque a bypassare il nodo. I dati saranno deviati e la rete sarà ancora operativa.

rete ponderata

Rete ridondata, dove il server di processo corrente e il server standby stabiliscono quali ruoli assumono in base ad una valutazione impostata in fase di progettazione, da applicare a Runtime.

retrocompatibilità

Come retro-compatibilità si intende la possibilità di utilizzare le ultime versioni con le restrizioni di funzionalità dettate da versioni precedenti.

rettangolo arrotondato

Elemento vettoriale, che permette di impostare il raggio degli angoli di un rettangolo con l'aiuto di specifiche proprietà o di punti impostabili.

revisione

Stato di variabili, utilizzato nel trattamento di allarmi e comandi nel sistema di controllo. Tramite questo stato è possibile nascondere facilmente singole parti di impianto dalla gestione allarmi e di impostazione valori. Il valore attuale della variabile continua a essere visualizzato nelle immagini.

RGM

Un modulo per la gestione di gruppi di ricetta e ricette correlate. Per il gruppo di ricetta vengono definte le variabili, i filtri e le altre impostazioni. Le ricette per questo gruppo, erediteranno queste impostazioni. Nelle ricette, è possibile definire l'azione da eseguire per ogni singola variabile configurata in ricetta, come per esempio il settaggio valore, la modifica dello stato della variabile, ottenere il valore di un'altra variabile ecc.

riattivazione

Raggruppa allarmi dello stesso tipo, in un unico inserimento nella lista di informazione allarmi. Possono essere visualizzati sia il numero totale di allarmi che sono stati raggruppati, sia i tempi che gli stati degli allarmi che sono subentrati.

riavvio a caldo

In Straton, Hot Restart significa riavviare un'applicazione, in modo da avere, nelle variabili, gli stessi valori che avevano al momento dello stop dell'applicazione.

ricetta

Nelle ricette, è possibile raggruppare e salvare dati utili per il processo, come per esempio parametri macchina o dati di formato. Questi dati possono essere trasferiti al dispositivo con un solo passaggio e viceversa, riletti altrettando facilmente. Le gestione ricette si differenzia in 'ricette standard' e 'gruppi di ricette'.

ricetta di destinazione

Ricetta, sulla quale viene effettuata la scrittura nell'operazione di copia ricetta. La ricetta di partenza viene copiata nella ricetta di destinazione.

ricetta d'origine

Ricetta, che verrà copiata su una ricetta di destinazione. La ricetta d'origine verra copiata sulla ricetta di destinazione.

Ricetta-RGM

Le ricette-RGM permettono una gestione raggruppata delle ricette.Ogni ricetta-RGM è ordinata in un gruppo di ricetta. Possono essere utilizzate variabili basate su qualsiasi tipo di dato. Possono essere elaborati gli stati e inoltre, nelle variabili, possono essere scritti dei valori ottenuti da altre variabili.

ricezione di misura

Dato (record) nel modulo SAP Plant Management (PM): notifica di una misurazione in un punto di rilevamento o contatore per un determinato istante.

richiesta di attivazione

.

riconoscimento lampeggio

Interruzione del lampeggio di un elemento, ma senza riconoscimento dell'allarme.

riempimento 3-D

Oggetti grafici come per esempio rettangoli, cerchi ecc. tranite la gradazione del colore di riempimento, ottengono un aspetto tridimensionale.

rilevamento modifiche

Verifica se i dati sono stati modificati.

risoluzione dello schermo

Numero di pixel visualizzato su un monitor, per esempio: 640x480 (VGA), ecc.

ritentivo

Disponibili permanentemente.

Runtime di straton con Raltime Kernel

Sistema runtime hard-realtime, che funziona indipendentemente dal sistema operativo.

Runtime Windows CE

Un Runtime compilato specificamente per il sistema operativo Windows CE. Il runtime funziona solamente nella speficifica architettura di processore e per la specifica versione del sistema operativo per il quale è stato compilato.


S

Glossario -> S

S7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

S7-Graph

S7-Graph si basa sul software di programmazione Siemens Step 7. E 'utilizzato per le procedure sequenziali con step paralleli o alternati (SFC). In fase Runtime, il flusso di controllo del PLC può essere rappresentato direttamente in tipi di immagini con stesso nome.

salvataggio dati su disco fisso

Salva il valori di una variabile in un buffer circolare in modalità ciclica FIFO. Per ogni variabile viene creato un file con estensione HDD nella cartella Runtime.

SCADA

Concetto per il monitoraggio e controllo di processi tecnici.

SCADA Logic

Logica PLC integrata nel sistema SCADA. Questa logica non ha collegamento diretto con dispositivi in campo, ma riceve informazioni preferibilmente attraverso il sistema SCADA.

scala

Ridimensionamento o regolarazione di diverse proprietà in base ad una scala esistente.

scalabilità

Capacità di adattarsi a condizioni mutabili, in termini di dimensioni di un sistema o del numero di componenti.

scansione spontanea

Quando il valore di una variabile cambia, questo viene salvato nell'archivio.

scheda

Descrive le specifiche pagine di impostazione di una finestra di dialogo.

Schermata Start di Windows

Sostituisce il menu Start in Windows 8. Contiene Apps, pagine web e altre informazioni e impostazioni, configurabili dall'utente.

schermo

È un dispositivo di visualizzazione delle immagini collegato ad un computer.

Screenshot

Immagine con il il contenuto completo dello schermo o una parte di esso.

scrittura a blocchi

Unione di piu incarichi di scrittura in un unico telegramma. Viene utilizzato per esempio nell'esecuzione di una ricetta.

segnale digitale

Trasmette un informazione, per esempio, una tensione alternata elettrica, sotto forma di una colonna di cifre, che descrive le informazioni matematicamente, al contrario di un segnale analogico che trasmette una grandezza fisica direttamente o tramite un'altra grandezza fisica.

selezione ricetta

Permette all'utente di selezionare una ricetta.

sensore

Componente tecnica, che può misurare qualitativamente e quantitativamente, particolari proprietà fisiche o chimiche come radiazione termica, temperatura, umidità, pressione, suono, luminosità, accelerazione e / o la composizione materiale del suo ambiente, per poi convertirli successivamente in valori utilizzabili (tipicamente segnali elettrici).

Sequential Function Chart

Uno dei cinque linguaggi di programmazione IEC 61131-3 per dispositivi PLC.

Sequenza di comando

Diagramma di flusso grafico del modulo Sequenze di comando.

Sequenze di comando

Modulo per la creazione ed esecuzione di sequenze di programmi formati da uno o più comandi del modulo Command Processing

serie di morsetti

Un morsetto è utilizzato in ingegneria elettrica per i collegamenti o la connessione di cavi e fili. Morsetti sono collegati gli uni agli altri in modo arbitrario allineati su una guida (per esempio, su guida DIN TS35 "ferrovia").

server

Un programma che comunica con un altro programma, il client, per permettere l'accesso ai servizi (funzionalità) e/o per scambiare dati.

server Dongle

Computer su cui viene eseguito uno speciale software, che dà accesso a Dongle di rete.

Server primario

Il computer del progetto specifico che si occupa di stabilire la comunicazione dati con i dispositivi, con i clients e con il server standby. Inoltre è incariato per la registrazione di tutti i dati in entrata come ad esempio: AML, CEL, archiviazione...

Server SQL

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

Server-Standby

Programma, che contiene tutti i dati e le connessioni attualmente presenti nel server, e che nel momento in cui quest'ultimo non funziona più, ne prende il posto.

Service Pack

I Service Packs sono un insieme di risoluzioni di errori per una versione. Sono soggetti al processo completo di garanzia di qualità. Comprendono tutte le build rilasciate fino a quel momento. La Service Pack 0 è la prima versione ufficiale rilasciata per una nuova versione.

servizio

Esegue come programma, una routine o un processo, una ben precisa funzione di sistema per supportare altri programmi, in particolare a basso livello. Esempio: servizio SQL Server, servizi di amministrazione ecc.

Servizio publishing

Servizio per la pubblicazione di documenti, come per esempio siti internet, tramite protocollo HTTP.

servizio SQL Server

Processo, che fornisce funzionalità di database. Per lavorare con l'Editor, il servizio deve essere avviato.

settare valore impostabile

Trasferire un valore impostabile dal sistema di controllo al dispositivo.

SFC

Uno dei cinque linguaggi di programmazione IEC 61131-3 per dispositivi PLC.

Significato

Identificazione specifica per i report in zenon Analyzer. Corrisponde alla proprietà 'Identificazione servizio' in zenon

Simatic S7-PDiag

Permette la configurazione di diagnostica di un processo per Siemens S7.

Simatic Step 7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

Simatik S7-Graph

S7-Graph si basa sul software di programmazione Siemens Step 7. E 'utilizzato per le procedure sequenziali con step paralleli o alternati (SFC). In fase Runtime, il flusso di controllo del PLC può essere rappresentato direttamente in tipi di immagini con stesso nome.

simbolo

Reggruppamento di diversi elementi dinamici ed elementi vettoriali in un nuovo elemento, la cui modifica delle dimensioni si basa proporzionalmente sulla modifica tutti i simboli componenti. Un simbolo può essere creato direttamente in una pagina come indipendente oppure essere collegato in libreria. I simboli collegati vengono salvati nella libreria simboli globale o nella libreria di progetto.

simbolo collegato

Simbolo di una libreria di simboli, che viene referenziato in una immagine. Il simbolo è salvato nella libreria. Può essere modificato solo all'interno della libreria stessa. In alternativa ci sono i simboli embedded (scollegati), che vengono memorizzati direttamente nell'immagine.

simbolo di movimento

Elemento dinamico, che movimenta un simbolo in base a valori di variabili, modificandone dimensione e posizione.

simbolo scollegato

Gruppo di element grafici in un'immagine, raggruppati in un unico oggetto con un unico nome.

SIMOTION

Sistema dell'azienda Siemens per l'automazione di impianti di produzione, con un focus sul controllo del movimento. SIMOTION è composto dal SIMOTION SCOUT e dal kernel SIMOTION per piattaforme hardware diverse. La Scout è l'ambiente di programmazione per creare un progetto con la configurazione hardware e di funzionamento.

Simple Network Management Protocol

Protocollo diffuso per il monitoraggio e il protocollaggio delle operazioni di rete. Agenti SNMP (hardware e/o software) forniscono dati sulle attività di ciascun componente della rete (Hubs, Router, ponti ecc.) e le inviano alla MIB (Management Information Base) su un pc di controllo. I componenti vengono controllati in base alla raggiungibilità e alla possibilità di controllo.

Simplex

In telecomunicazioni Simplex ("semplice" in latino) è una modalità di trasmissione dei segnali secondo la quale l'invio delle informazioni attraverso un canale può avvenire in una sola direzione. Quando due entità sono collegate, l'una ha sempre il ruolo di trasmittente, l'altra sempre il ruolo di ricevente, senza mai alternarsi, come avviene ad esempio nella televisione.

simulazione

Esecuzione di operazioni su un modello simile alla realtà, al fine di avere una comprensione del sistema reale, o di sostituirlo.

simulazione - conta

Possibilità di impostare un driver in modalità simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori verranno inizializzati a 0 e verranno ciclicamente incrementati di 1 fino al valore massimo della variabile, ricominciando poi nuovamente da 0.

simulazione - programmata

Possibilità di impostare un driver in modalità simulazione. Non viene stabilita la cumunicazione con il dispositivo, ma i valori sono calcolati da un progetto di simulazione programmabile. Il progetto di simulazione è creato con il Workbench zenon Logic e viene eseguito in zenon Logic Runtime.

simulazione - statica

Possibilità di impostare un driver in modalità di simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori vengono inizializzati con il valore 0.

simulazione progetto

E' possibile impostare in modalità di simulazione non solamente un singolo driver, ma l'intero progetto. Con una impostazione, tutti i dati runtime vengono copiati in un'immagine di simulazione, in modo che le operazioni di modifica in simulazione possano essere registrate ed eventualmente analizzate successivamente.

sistema operativo

Un sistema operativo è il software, che permette di utilizzare un computer. Gestisce le risorse di memoria, i dispositivi di input-output e il funzionamento dei programmi.

sistema S7-PDiag

Permette la configurazione di diagnostica di un processo per Siemens S7.

slider

Regolatore, la cui interazione consiste in un movimento lungo una scala definita su un asse.

slider universale

Elemento dinamico che visualizza un regolatore in varie situazioni. Il valori delle variabili possono essere visualizzati sotto forma di cursori, bargraph, display LED ecc.

Slot-PLC

PLC realizzato come PC-Card.

smartphone

o smartphone (in italiano telefono intelligente, cellulare intelligente, telefonino multimediale) è un telefono cellulare con capacità di calcolo, memoria e di connessione dati molto più avanzate rispetto ai normali telefoni cellulari, basato su un sistema operativo per dispositivi mobili.I primi smartphone combinavano le funzioni di un computer palmare, con quelle di un telefono mobile. I modelli più recenti si sono arricchiti della funzionalità di dispositivi multimediali in grado di riprodurre musica, scattare foto e girare video. Molti smartphone moderni inoltre sono dotati di touchscreen ad alta risoluzione e web browser che sono in grado di caricare sia normali pagine web sia siti web appositamente creati per i dispositivi mobili. Caratteristica diffusa è inoltre quella di poter installare funzionalità aggiuntive attraverso le cosiddette web app, scaricate dai rispettivi market di vendita.

SNMP

Protocollo diffuso per il monitoraggio e il protocollaggio delle operazioni di rete. Agenti SNMP (hardware e/o software) forniscono dati sulle attività di ciascun componente della rete (Hubs, Router, ponti ecc.) e le inviano alla MIB (Management Information Base) su un pc di controllo. I componenti vengono controllati in base alla raggiungibilità e alla possibilità di controllo.

Soft-PLC

Un Soft-PLC (Programmable Logic Controller software) è costituito da un PC o un microcontrollore, un software PLC e delle estensioni I / O o moduli di bus di campo, come per esempio Bus terminal.

SP

I Service Packs sono un insieme di risoluzioni di errori per una versione. Sono soggetti al processo completo di garanzia di qualità. Comprendono tutte le build rilasciate fino a quel momento. La Service Pack 0 è la prima versione ufficiale rilasciata per una nuova versione.

Splash Screen

Finestra con varie informazioni, che viene visualizzata all'avvio del programma.

SQL

Linguaggio di database per la definizione, l'interrogazione e la manipolazione di dati in database relazionali. SQL è standardizzato da ANSI e ISO e viene gestito da tutti i principali sistemi di banche dati. SQL comprende i seguenti linguaggi: Data Manipulation Language, Data Definition Language, Data Control Language.

SQL Server

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

SSL

Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, è un protocollo crittografico che permette una comunicazione sicura su reti TCP/IP.

ST

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

stampa online

Ogni inserimento nell'AML o nella CEL genera un output nella stampante definita.

Standby

Programma, che contiene tutti i dati e le connessioni attualmente presenti nel server, e che nel momento in cui quest'ultimo non funziona più, ne prende il posto.

Starter Edition

Moduli con funzionalità limitate, inclusi nel pacchetto base (escluso Windows CE).

Startup Tool

Programma per la gestione di diverse versioni sullo stesso PC. I componenti specifici per la versione, come il servizio di database, il transport service, gli elementi ActiveX ecc. possono essere registrati e avviati. Possono essere impostati diversi parametri come la lingua da utilizzare, parametri di avvio, il Server SQL utilizzato, il progetto di partenza ecc.

statistica d'allarme

Gestione degli allarmi (durata, frequenza, etc) con l'aiuto dell' Industrial Performance Analyzer.

stato

Stato attuale di un processo, un dispositivo, una variabile, ecc

stato del sistema

Informazioni di stato di un computer, per esempio il sistema operativo installato, il progetto di start impostato, la licenza, lo stato del Runtime ecc.

stato di allarme

Specifica se un allarme è "in attesa" o "terminato".

stato di avanzamento

Informazioni di stato, sull'esito di elaborazione della ricetta, per esempio 'in elaborazione', 'completata', 'errore' ecc.

stato Runtime

Informazione che notifica lo stato del Runtime, se in modalità hardware o in modalità simulazione.

Step 7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

stili

Consentono di estrarre, gestire, e applicare proprieta grafiche degli elementi di immagine. Gli stili sono sempre gestiti in un progetto globale.

stili & temi

Termine collettivo per la gestione di più aspetti per la progettazione in editor e per il loro impatto sulla rappresentazione a Runtime.

Stop bit

Un bit di Start e fino a due bit di Stop vengono utilizzati normalmente per la trasmissione dati seriale asincrona, per consentire una sincronizzazione al ricevente su ogni singolo carattere trasmesso.

Strategia di controllo

Una fase può essere parametrizzata in diverse esecuzioni. Durente ogni strategia di controllo, vengono attivati solo i parametri di comandi assegnati alla modalità operativa.

straton

Ambiente di programmazione flessibile di COPA-DATA per tutti i 5 linguaggi di programmazione IEC 61131-3: Sequential Function Chart (SFC), Function Block Diagram (FBD) / CFC, Ladder Diagram (LD), Structured Text (ST) e Instruction List (IL). Copre molte aree di automazione industriale: livello di controllo di processo (SCADA Logic), livello di controllo (soft-PLC) il livello di campo (straton embedded). Soft PLC e SCADA Logica e straton Workbench sono integrati nel sistema di controllo zenon di COPA-DATA.

straton RTK

Sistema runtime hard-realtime, che funziona indipendentemente dal sistema operativo.

straton Runtime

Permette di avviare progetti di straton indipendentemente dalla piattaforma, quindi indipendenti sia dall'hardware utilizzato che dal sistema operativo. Il Runtime riconosce la 'piattaforma', dove vengono avviati i progetti. Il Runtime non necessita del Workbench per funzionare.

Structured Control Language

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

Structured Query Language

Linguaggio di database per la definizione, l'interrogazione e la manipolazione di dati in database relazionali. SQL è standardizzato da ANSI e ISO e viene gestito da tutti i principali sistemi di banche dati. SQL comprende i seguenti linguaggi: Data Manipulation Language, Data Definition Language, Data Control Language.

Strumento analogico

Elemento dinamico per rappresentare il valore di una variabile come in un dispositivo analogico, che utilizza un puntatore per la visualizzazione.

suddivisione assi

Definisce la quantita di suddivisioni per l'asse.

Supervisione globale

Tipo di immagine per la rappresentazione in miniatura di un'immagine di visualizzazione globale e per la navigazione all'interno della stessa.

Supervisory Control and Data Acquisition

Concetto per il monitoraggio e controllo di processi tecnici.


Symbols

Glossario -> Symbols

.NET

E' una piattaforma software sviluppata da Microsoft. Comprende un ambiente Runtime, delle librerie di interfacce di classi per programmatori (API), e specifici programmi (servizi). Questa piattaforma è disponibile solamente per Windows.

.NET Framework

Il Framework .NET è un modello di programmazione Microsoft per gestione codice, e la creazione di applicazioni con comunicazione trasparente e sicura, oltre alla possibilità di modellare una vasta gamma di processi aziendali. La versione corrente del Framework, la 3.5, include tra le altre cose le Windows Presentation Foundation (WPF), Windows Workflow Foundation (WF), Windows Communication Foundation (WCF), Windows CardSpace, LINQ e la piena integrazione con Visual Studio 2008.

[ms]

Unità di misura; rappresenta 1/1000 di secondo

µs

Un microsecondo è un'unità di tempo pari ad un milionesimo di secondo. È formata usando il prefisso standard micro-, che significa 10?6.

3S

Produttore del CoDeSys. 3S è l'acronimo di Smart Software Solutions.


T

Glossario -> T

tabella di ricetta

Nella tabella di ricetta vengono visualizzate le ricette (standard o ricette-RGM) in formato tabellare. I valori di ricetta possono essere editati direttamente nella tabella.

TAG

Un TAG corrisponde ad una delle variabili esterne, indipendentemente dal tipo. Le variabili interne non vengono conteggiati come TAG. Le TAG vengono utilizzate esclusivamente per le licenze. Per la determinazione della licenza, viene conteggiata la somma delle TAG sui seguenti driver: ? tutti i driver su plc e BUSNon si contano: variabili interne (driver interno), e le variabili di processo ? Driver di sistema ? Driver matematico e ? Driver di simulazione

Tagged Image File Format

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

TAGs

Un TAG corrisponde ad una delle variabili esterne, indipendentemente dal tipo. Le variabili interne non vengono conteggiati come TAG. Le TAG vengono utilizzate esclusivamente per le licenze. Per la determinazione della licenza, viene conteggiata la somma delle TAG sui seguenti driver: ? tutti i driver su plc e BUSNon si contano: variabili interne (driver interno), e le variabili di processo ? Driver di sistema ? Driver matematico e ? Driver di simulazione

TAPI

Il Telephony Application Programming Interface (TAPI) è un API di Microsoft Windows, che consente l'integrazione tra telefono e computer e consente a PC con Microsoft Windows di utilizzare servizi telefonici.

Task

Un programma in VB-Script o in Java per il Process Control Engine (PCE).

tastiera

La tastiera è un dispositivo di input, che contiene come elementi di controllo un certo numero di tasti da premere.

tasto Backspace

Tasto che cancella i caratteri alla sinistra del cursore.

tasto Canc

Tasto che cancella i caratteri alla destra del cursore.

tasto Fine

Tasto che posiziona il cursore nell'ultima posizione possibile nel campo di inserimento.

tasto inizio

Pulsante, che posiziona il cursore nell'angolo in alto a sinistra dello schermo, o all'inizio di una casella di inserimento testo.

tasto Ins

Pulsante, che imposta degli inserimenti definiti tramite tastiera.

tasto Pag. giù

Tasto, che sposta il cursore verso il basso dalla posizione piu alta dello schermo.

tasto Pag. sù

Tasto, che sposta il cursore sullo schermo verso la parte alta dello stesso.

tavolozza dei colori

Una collezione di colori. Ai singoli colori può essere assegnato un nome ed possono essere assegnati ad ogni elemento nella proprietà 'colore'. La Tavolozza dei colori può essere selezionata sia in Editor che durante il Runtime.

TCP

Protocollo tramite il quale vengono scambiati dati tra computer. Tutti i sistemi operativi nei computer di ultima generazione supportano il TCP e lo utilizzano per lo scambio dati con altri computer. Il protocollo di trasporto è affidabile e orientato per le connessioni. Fa parte della famiglia di protocollo Internet, alla base di quest'ultimo.

TCP/IP

È una famiglia di protocolli di rete è per via della sua enorme importanza in campo Internet viene definita come la famiglia di protocolli Internet.

telegramma di dati

Pacchetto di dati, inviato tramite un mezzo di comunicazione ad un partner.

telegramma di lettura

Pacchetto di dati, invitato al dispositivo per leggere dei valori.

telegramma di scrittura

Pacchetto di dati, inviato ad un dispositivo per scrivere dei valori.

Temi

Riassumono gruppi di stile, con i quali è possibile modificare facilmente l'aspetto di una configurazione.

tempo assoluto di switch

Orario, dal quale è stato avviato un punto di switch.

tempo di ritardo dopo la perdita di connessione

Intervallo di tempo che intercorre tra l'interruzione di comunicazione e il successivo tentativo di ripristino.

tempo di switch

Definizione temporale di esecuzione un punto di switch.

tempo relativo

L'azione viene eseguita in relazione ad un evento.

Testo statico

Elemento vettoriale, che visualizza un testo statico.

Testo strutturato

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

Tick

Graduazione di una scala o un asse. Di differenzia in tick principali e tick secondari.

tick principale

Suddivisione primaria di una scala o di un asse.

tick secondario

Suddivisione secondaria di una scala o di un asse.

TIF

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

TIFF

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

Time block

Forma un singolo periodo ininterrotto di un cambiamento di stato con servizio continuo ("produttivo" o "interruzione") e una durata. I Time block vengono utilizzati all'interno dei blocchi di spostamento.

timeout di connessione

Intervallo di tempo, durante il quale non vi è nessuna risposta o reazione dal dispositivo.

tipo dato strutturato

Struttura composita, formata da componenti raggruppati. Questi possono essere dati semplici o altri tipi di dati strutturati.

tipo di asse

Descrive, se la scalatura dell'asse deve essere logaritmica o lineare.

tipo di dato

Definisce i limti prefissati per un valore (valore minimo e massimo) con una quantità definita di valori possibili. Pertanto, i numeri reali possono essere mappati come numeri in virgola mobile solamente con una precisione ben definita.

tipo di dato collegato

Tipo di dato, collegato come elemento di struttura di un tipo di dato strutturato, ma a differenza del tipo di dato scollegato, contiene solamente un riferimento al tipo di dato originale.

tipo di dato IEC

Nella normativa IEC61131-3 tipi di dati semplici come INT, USINT ecc.

tipo di dato indipendente

Tipo di dato, incorporato in una struttura, ma a differenza di un tipo di dato collegato, è una copia del corrispondente tipo di dato semplice. Questo significa che tutte le proprietà dell'elemento di struttura sono modificabili.

tipo di dato scollegato

Tipo di dato, incorporato in una struttura, ma a differenza di un tipo di dato collegato, è una copia del corrispondente tipo di dato semplice. Questo significa che tutte le proprietà dell'elemento di struttura sono modificabili.

tipo di dato semplice

Tipo di dato, direttamente basato su un tipo di dato IEC e che integra le proprietà delle variabili come per esempio l'unità di misura, indirizzamento, valori limiti ecc. Tutte queste proprietà vengono ereditate delle variabili basate su questo tipo di dato.

tipo di immagine

Definisce il tipo di un'immagine e gli elementi standard a disposizione al suo interno. Per ogni tipo di immagine sono presenti specifici elementi (pulsanti, liste ecc.) per ogni singola funzionalità. In questo modo, per esempio, un'immagine di tipo 'Lista informazione Allarmi' avrà tutti gli oggetti necessari per filtrare e visualizzare gli allarmi.

tipo di oggetto del driver

Specifica un'area dati del dispositivo. Dipende generalmente dal produttore del PLC. Alcune aree possibili sono: Merker, Blocco dati, Holding Register ecc.

tipo di registrazione

Modalità di registrazione dei dati in un archivio. Modalità possibili: ciclica, spontanea o ad evento (trigger).

titolo di colonna

Titolo per una colonna in una tabella.

TLS

Transport Layer Security (TLS) e il suo predecessore Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, sono dei protocolli crittografici che permettono una comunicazione sicura dal sorgente al destinatario (end-to-end) su reti TCP/IP (come ad esempio Internet) fornendo autenticazione, integrità dei dati e cifratura operando al di sopra del livello di trasporto.

toccare

Sinonimo di 'cliccare' per le interfacce basate su Multitouch.

Touchscreen

Dispositivo di input, con il cui contatto è possibile interagire con parti delle immagini di un programma su un dispositivo, generalmente un computer.

traffico spontaneo di dati

Impostazione delle connessioni in una rete e trasferimento di dati solo su richiesta.

Transmission Control Protocol

Protocollo tramite il quale vengono scambiati dati tra computer. Tutti i sistemi operativi nei computer di ultima generazione supportano il TCP e lo utilizzano per lo scambio dati con altri computer. Il protocollo di trasporto è affidabile e orientato per le connessioni. Fa parte della famiglia di protocollo Internet, alla base di quest'ultimo.

Transmission Control Protocol/Internet Protocol

È una famiglia di protocolli di rete è per via della sua enorme importanza in campo Internet viene definita come la famiglia di protocolli Internet.

Transport Layer Security

Transport Layer Security (TLS) e il suo predecessore Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, sono dei protocolli crittografici che permettono una comunicazione sicura dal sorgente al destinatario (end-to-end) su reti TCP/IP (come ad esempio Internet) fornendo autenticazione, integrità dei dati e cifratura operando al di sopra del livello di trasporto.

Transportservice

Processo (zenSysSrv.exe), che funge da ricevitore per il trasporto remoto e che integra il Diagnose Server. Pertanto è necessario per l'esecuzione di tutte le applicazioni zenon.

Trasporto Remoto

Strumento che mette a disposizione diverse funzionalità per gestire un progetto su computer remoto: trasferimento dei dati Runtime, impostazione del progetto di partenza, avvio e arresto del Runtime ecc.

Trend esteso

Visualizza dati storici e online in forma di diagramma.

turno

Parte di un giorno lavorativo (vedi lavoro a turni)

TwinCAT

Permette di impostare ogni PC compatibile come dispositivo Real-Time per sistemi multi PLC, controllo assi NC, ambiente di programmazione e stazione operativa. Sostituisce i PLC convenzionali.


U

Glossario -> U

UDP

E' un protocollo di rete minimale, senza richiesta di connessione, che appartiene al livello di trasporto della famiglia di protocolli internet. Il ruolo del protocollo UDP, è di assegnare i dati trasportati via Internet, all'applicazione corretta. L'UDP stabilisce un servizio di trasporto senza connessione non affidabile. Questo significa che non vi è nessuna garanzia che un pacchetto, una volta inviato, arrivi a destinazione, e che i pacchetti arrivino nello stesso ordine con il quale sono stati inviati, o che il pacchetto arrivi solo una volta a destinazione. Un'applicazione che utilizza il protocollo UDP non deve essere sensibile ai pacchetti persi o non ordinati, o deve includere il controllo di queste condizioni.

Uniform Resource Identifier

La locuzione Uniform Resource Identifier (in acronimo URI) in informatica, si riferisce a una stringa che identifica univocamente una risorsa generica che può essere un indirizzo Web, un documento, un'immagine, un file, un servizio, un indirizzo di posta elettronica, ecc.L'URL è un URI, o più comunemente chiamato indirizzo web.Gli URI rendono disponibili le risorse secondo una varietà di protocolli quali HTTP, FTP, ecc.

Uniform Resource Locator

Acronimo di Uniform Resource Locator, identifica e localizza una risorsa tramite il protocollo utilizzato (p.e. HTTP o FTP) e la posizione della risorsa (ing. location) nella rete.

Unità organizzative

Gli oggetti Active Directory presenti all'interno di un dominio possono essere raggruppati fra loro in unità organizzative (Organizational Units - OUs). Utilizzando queste strutture è possibile formare una gerarchia all'interno del dominio e facilitarne così l'amministrazione, ad esempio suddividendo la struttura in termini geografici. Le unità organizzative sono il livello raccomandato per realizzare politiche di gestione dei gruppi, i quali sono oggetti Active Directory chiamati ufficialmente Group Policy Objects (GPOs), e per la delegazione di poteri amministrativi.

URI

La locuzione Uniform Resource Identifier (in acronimo URI) in informatica, si riferisce a una stringa che identifica univocamente una risorsa generica che può essere un indirizzo Web, un documento, un'immagine, un file, un servizio, un indirizzo di posta elettronica, ecc.L'URL è un URI, o più comunemente chiamato indirizzo web.Gli URI rendono disponibili le risorse secondo una varietà di protocolli quali HTTP, FTP, ecc.

URL

Acronimo di Uniform Resource Locator, identifica e localizza una risorsa tramite il protocollo utilizzato (p.e. HTTP o FTP) e la posizione della risorsa (ing. location) nella rete.

User Datagram Protocol

E' un protocollo di rete minimale, senza richiesta di connessione, che appartiene al livello di trasporto della famiglia di protocolli internet. Il ruolo del protocollo UDP, è di assegnare i dati trasportati via Internet, all'applicazione corretta. L'UDP stabilisce un servizio di trasporto senza connessione non affidabile. Questo significa che non vi è nessuna garanzia che un pacchetto, una volta inviato, arrivi a destinazione, e che i pacchetti arrivino nello stesso ordine con il quale sono stati inviati, o che il pacchetto arrivi solo una volta a destinazione. Un'applicazione che utilizza il protocollo UDP non deve essere sensibile ai pacchetti persi o non ordinati, o deve includere il controllo di queste condizioni.

utente

Persona che lavora con un software. Ad un utente possono essere assegnati degli attributi come 'Nome utente', 'Password' ecc. come pure dei diritti di accesso in forma di gruppi di autorizzazione.


V

Glossario -> V

valore analogico

Valore che può assumere un gran numero di stati. Il numero degli stati (o valori) viene ricavato dal tipo di dato.

valore assoluto

Il valore assoluto è sempre un numero reale non nevativo corrispondente alla distanza da zeno (per numeri reali o complessi).

valore attuale

Valore di una variabile al momento dell'interrogazione.

valore attuale

Valore temporaneamente visualizzato nell'immagine di processo. Può essere il valore spontaneo, il valore di riserva e il valore di disturbo (stato con NV-BIT).

valore booleano

Valore che può assumere solamente due stati, per esempio 0 o 1, High o Low, ecc.

valore di ricetta

Il valore di ricetta è il valore che viene inviato al dispositivo durante la procedura di impostazione ricetta. Durante la rilettura dal dispositivo, il valore di ricetta viene sostituito con il valore attuale dal PLC.

Valore di riserva

Il valore di riserva può avere molteplici funzioni. La prima per esempio è, durante il riempimento degli archivi, la scrittura del valore di riserva della variabile come predefinito. Inoltre l'utente può sostituire in visualizzazione il valore corrente della variabile con quello di riserva. Il valore non viene scritto sull'hardware ma rimane esclusivamente nell'immagine di processo. Questo valore poi verra utilizzato ed elaborato da tutti i moduli di zenon.

valore impostabile

Valore, che viene trasferito al dispositivo, e che sovrascrive il valore esistente.

valore massimo

Massimo valore possibile.

valore max.

Massimo valore possibile.

valore minimo

Minimo valore possibile.

valore numerico

Valore che può assumere un gran numero di stati. Il numero degli stati (o valori) viene ricavato dal tipo di dato.

Valore numerico

Elemento dinamico per la visualizzazione dei valori di una variabile in forma numerica.

valore online

Valore attuale di una variabile.

valore relativo

Variazione di un valore assoluto in un dato intervallo. Contrariamente al valore assoluto, il valore relativo viene impostato a 0 dopo ogni intervallo. Cosi non si possono verificare valori non validi in caso di overflow o di modifica.

valore spontaneo

Valore attuale della variabile, che coincide con il valore nel dispositivo, che definisce che il valore non è disturbato (NV-Bit), che non è impostato come stato di revisione e che non è il valore di riserva.

variabile

Una variabile rappresenta un valore nella memoria del sistema di controllo. Ci sono le variabili interne ed esterne. Le variabili sono create sulla base di un tipo di dato e di un oggetto del driver per la quale viene creata. Le variabili hanno memorizzate molte proprietà centralizzate , che vengono utilizzate in diversi punti nel sistema di controllo. Per esempio, nell'editor, alcune funzioni configurabili sono l'unità di misura. A Runtime oltre al valore fanno parte della variabile anche Timestamp e stato.

variabile analogica

Variabile il cui valore è costituito da cifre. La rappresentazione può essere in decimale, ottale, binario o esadecimale.

variabile grafica di ricetta

Consente a Runtime di modificare valori di ricetta in un'immmagine standard.

variabile numerica

Variabile il cui valore è costituito da cifre. La rappresentazione può essere in decimale, ottale, binario o esadecimale.

variabile semplice

Variabile creata sulla base di un tipo di dato semplice.

variabile string

Variabile, il cui valore è costituito da una sequenza di caratteri alfanumerici.

variabile strutturata

Variabile basata su un tipo di dato strutturato.

variabile trigger

Variabile, che tramite il cambio valore innesca un'operazione p.e. l'esecuzione di una attribuzione o il salvataggio di valori in un archivio.

velocità di scansione

Specifica la frequenza, con la quale un segnale viene campionato in ogni intervallo.

verifica valore ricetta

Esegue un confronto tra il valore di ricetta nel sistema di controllo e il valore nel dispositivo (PLC). Se i valori corrispondono, il valore viene evidenziato con sfondo verde, se sono diversi, con sfondo rosso.

VGA

Descrive uno standard di computer grafica (EISA, 1987), che definisce combinazioni ben definite di risoluzione delle immagini e dei colori (profondità di bit di colore) cosi come la frequenza di refresh. Oggi è presente per la maggiore, la risoluzione VGA 640 x 480 pixel.

Video

Tipo di immagine per la visualizzazione di un file AVI o uno stream video online. I dati on-line possono essere salvati come file AVI o BMP.

Video Graphics Array

Descrive uno standard di computer grafica (EISA, 1987), che definisce combinazioni ben definite di risoluzione delle immagini e dei colori (profondità di bit di colore) cosi come la frequenza di refresh. Oggi è presente per la maggiore, la risoluzione VGA 640 x 480 pixel.

Vista

Sistema operativo della Microsoft. Successore di Windows XP.

visualizzare

Dal latino 'visualis', 'per visualizzare correttamente'. In generale definisce la visualizzazione di situazioni astratte con mezzi ottici, l'editing visuale, la presentazione e la comunicazione di informazioni e comprente tutte le forme di visualizzazione e di rappresentazione. Visualizzazione non significa solo illustrazione, ma esprime contenuti complessi con mezzi proprietari.

visualizzatore data

Elemento di controllo che visualizza una data variabile.

visualizzazione

Dal latino 'visualis', 'per visualizzare correttamente'. In generale definisce la visualizzazione di situazioni astratte con mezzi ottici, l'editing visuale, la presentazione e la comunicazione di informazioni e comprente tutte le forme di visualizzazione e di rappresentazione. Visualizzazione non significa solo illustrazione, ma esprime contenuti complessi con mezzi proprietari.

visualizzazione calendario

Elemento di controllo, che visualizza un calendario per la selezione di una data.

visualizzazione dettagli

Fornisce i dettagli dei moduli per la modifica nel Manager di progetto.

Visualizzazione globale

Immagine di dimensioni piu grandi rispetto all'area di visualizzazione del monitor (= dimensioni del modello). E' in grado di creare un'immagine in miniatura, in modo da rappresentare anche aree d'impianto molto estese. La visualizzazione globale comprende funzionalità di zoom e di decluttering, ovvero la possibilità di viualizzare o nascondere degli elementi a seconda del livello di zoom selezionato. La visualizzazione globale include inoltre la possibilità di impostare dei mark sugli elementi: se un oggetto viene selezionato a runtime, è possibile visualizzarlo al centro della pagina e evidenziarlo.

visualizzazione tempo

Elemento di controllo, che visualizza un inserimento di tempo modificabile.

voce di menù

Comando che viene messo a disposizione in un menù come parola chiave e/o simbolo.

VRAM

Descrizione di un tipo di memoria volatile utilizzata nelle schede grafiche, indipendentemente dalla tecnologia di salvataggio. La VRAM è una memoria DRAM con doppio ingresso. Al momento è praticamente obsoleta, sostituita da SDRAM e SGRAM.


W

Glossario -> W

Wakos

Prende gli allarmi del sistema di controllo di processo e e li rappresenta tramite l'interfaccia SAP-RFC in un sistema SAP ERP. I messaggi di allarme del sistema di controllo sono memorizzati in un database per una successiva analisi. La rappresentazione viene presentata su una lista, in cui è possibile classificare i. Solo gli allarmi gravi ( "Grossstörungen)" vengono inseriti nel sistema SAP.

watchdog

l watchdog o watchdog timer (in italiano: "temporizzazione di supervisore" - letteralmente: "cane da guardia") è un sistema di temporizzazione hardware che permette alla CPU la rilevazione di un loop infinito di programma o di una situazione di deadlock.Tale rilevazione può consentire di prendere dei provvedimenti per correggere la situazione, generalmente effettuando un reset del sistema. Possono essere implementati watchdog più complessi che consentano la memorizzazione delle informazioni di contesto per effettuare il debugging delle applicazioni che lo hanno causato. In questo caso un secondo watchdog più semplice dovrà assicurarsi che, se il primo non portasse a termine il suo compito in un determinato lasso di tempo, il sistema comunque venga resettato.Particolari watchdog possono innescare inoltre azioni di sistemi di controllo per effettuare operazioni di messa in sicurezza di apparati secondari come ad esempio, spegnimento di motori, alimentazioni o altro, in attesa che la condizione di errore venga eliminata.

watchdog timer

l watchdog o watchdog timer (in italiano: "temporizzazione di supervisore" - letteralmente: "cane da guardia") è un sistema di temporizzazione hardware che permette alla CPU la rilevazione di un loop infinito di programma o di una situazione di deadlock.Tale rilevazione può consentire di prendere dei provvedimenti per correggere la situazione, generalmente effettuando un reset del sistema. Possono essere implementati watchdog più complessi che consentano la memorizzazione delle informazioni di contesto per effettuare il debugging delle applicazioni che lo hanno causato. In questo caso un secondo watchdog più semplice dovrà assicurarsi che, se il primo non portasse a termine il suo compito in un determinato lasso di tempo, il sistema comunque venga resettato.Particolari watchdog possono innescare inoltre azioni di sistemi di controllo per effettuare operazioni di messa in sicurezza di apparati secondari come ad esempio, spegnimento di motori, alimentazioni o altro, in attesa che la condizione di errore venga eliminata.

Webserver

Servizio, che invia documenti ai client collegati, p.e. un browser Web.

WibuKey

Sistema di protezione software di Wibu-System

Windows CE

Windows CE è una famiglia di sistemi operativi Microsoft per i computer palmari e sistemi embedded. È simile per funzionalità a Windows per PC, ma usa un kernel diverso. Pertanto, i normali programmi per Windows non funzionano. CE supporta le architetture di processore Intel x86, MIPS, ARM (Intel PXA), e Hitachi SuperH. Può essere usato come un sistema operativo hard real time. Esistono versioni specifiche del Runtime per diverse versioni di CE e di processori.

Windows Phone

Windows Phone (abbreviato WP) è una famiglia di sistemi operativi proprietari sviluppati da Microsoft. Rivolti al mercato consumer, pur riprendendo alcune caratterische dal predecessore Winodws Mobile, questa famiglia si presenta radialmente ridisegnata nell'interfaccia e nella struttura: dopo il debutto su Windows Phone (Smartphone), il suo utilizzo si è poi esteso a tutto l'ecosistema Microsoft, comprendendo il sistema operativo Windows 8 e le dashboard di XBox 360 e One.

Windows Start Screen

Sostituisce il menu Start in Windows 8. Contiene Apps, pagine web e altre informazioni e impostazioni, configurabili dall'utente.

Windows Vista

Sistema operativo della Microsoft. Successore di Windows XP.

Windows XP

Sistema operativo di Microsoft. XP sta per "eXPerience".

Windows XP Embedded

Sistema operativo Microsoft. Derivato da Windows XP Professional, ma si differenzia da Windows CE/pocket PC in quanto è indirizzato ad una diversa categoria di Hardware. Windows XP Embedded funziona solamente su dispositivi x86.

Wizard

Lavora tramite una parametrizzazione e consente la semplice creazione di oggetti complessi. A differenza dei Wizards, gli assisenti sono integrati direttamente nel prodotto e non possono essere adattati.

Wizard

Programma VBA, utilizzato durante la progettazione e che può creare e modificare degli oggetti. Tutti i Wizards sono dispnibili come codice sorgente e possono essere personalizzati.

Wizard-VBA

Programma VBA, utilizzato durante la progettazione e che può creare e modificare degli oggetti. Tutti i Wizards sono dispnibili come codice sorgente e possono essere personalizzati.

Workspace

Area di lavoro dell'editor, nel quale vengono raggruppati i progetti. Solamente progetto inseriti in un'area di lavoro possono essere elaborati.


X

Glossario -> X

XML

Extensible Markup Language - è un linguaggio di markup per la rappresentazione di dati gerarchicamente strutturati sotto forma di file di testo.

XP Embedded

Sistema operativo Microsoft. Derivato da Windows XP Professional, ma si differenzia da Windows CE/pocket PC in quanto è indirizzato ad una diversa categoria di Hardware. Windows XP Embedded funziona solamente su dispositivi x86.


Y

Glossario -> Y


Z

Glossario -> Z

zoom avanti

Concentrarsi su una parte di immagine e di ampliare le dimensioni della suddetta parte. 100% significa che ogni pixel dell'immagine corrisponde esattamente a un pixel sullo schermo.

zoom indietro

Concentrarsi su una parte di immagine e di ampliare le dimensioni della suddetta parte. 100% significa che ogni pixel dell'immagine corrisponde esattamente a un pixel sullo schermo.

zoom slider

Regolatore grafico lineare con il quale è possibile modificare i livelli di zoom.


Remarks

Datatype

ReaStatusMaskeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Nell´Editor, il driver salva la sua configurazione nel file TXT, come definito in Configuration file name. Nel Runtime, il driver acquisisce la sua configurazione dalla copia del file messa a disposizione dall´Editor.

Struttura di un file di configurazione del driver

Riga | Descrizione
1 | Numero dei server configurati
2 – (m-1) | Configurazione server (vedi configurazione del server)
m – n | Eventuale (i) ulteriore (i) configurazione (i) del server

Configurazione server

Riga | Descrizione | Esempio
1 | Inizio di una configurazione server (= *** SERVER ***) | *** SERVER ***
2 | Numero di item in questa configurazione server; abbreviato: CNTSRVITEMS | 44
3 | Indirizzo di rete | 1
4 | Nome server | RELAY1
5 | Indirizzo IP primario | 192.168.250.22
6 | Porta IP primaria | 102
7 | Polling rate Intervallo di lettura in millisecondi | 1000
8 | Calling AE qualifier | 12
9 | Called AE qualifier | 12
10 | Calling AP title[0] | 1
11 | Called AP title[0] | 1
12 | Calling AP title[1] | 1
13 | Called AP title[1] | 1
14 | Calling AP title[2] | 1
15 | Called AP title[2] | 999
16 | Calling AP title[3] | 999
17 | Called AP title[3] | 1
18 | Calling AP title[4] | -1
19 | Called AP title[4] | 1
20 | Calling AP title[5] | -12851
21 | Called AP title[5] | -1
22 | Calling AP title[6] | -12851
23 | Called AP title[6] | -12851
24 | Calling AP title[7] | -12851
25 | Called AP title[7] | -12851
26 | Calling AP title[8] | -12851
27 | Called AP title[8] | -12851
28 | Calling AP title[9] | -12851
29 | Called AP title[9] | -12851
30 | Max. auto used URCBs Numero massimo di Unbuffered Reports (URCBs), che il driver attiva con assegnazione automatica per Logical Device | 10
31 | * - in configurazioni più recenti Con la vecchia configurazione: nomi dei BRCBs asegnati, separati da virgole = Buffered Reports (BRCBs) | *
32 | Use preconfigured (SCL) options 0 = vengono usate le impostazioni RCB (TrgOps, OptFlds, IntgPd, BufTm) configurate successivamente 1 = vengono utilizzate le impostazioni RCB già preconfigurate nel server IEC61850 (nel suo file SCL). | 0
33 | Use Report-ID for RCB assignment 0 = le istanze RCB del server vengono identificate per nome. 1 = invece del nome del report, viene utilizzato il Report ID nella finestra di dialogo per il RCB assignment. | 0
34 | Use Authentication 0 = non viene usata l´ISO-Authentication 1 = quando la connessione viene stabilita, il driver invia l´Authentication String | 0
35 | Authentication String |
36 | Indirizzo IP alternativo |
37 | Porta IP alternativa | 0
38 | TrgOp data-change: 0 = inattiva; 1 = attiva | 1
39 | TrgOp quality-change: 0 = inattiva; 1 = attiva | 1
40 | TrgOp data-update: 0 = inattiva; 1 = attiva | 0
41 | TrgOp integrity: 0 = inattiva; 1 = attiva | 0
42 | TrgOp general-interrogation: 0 = inattiva; 1 = attiva | 1
43 | GetNameList on DO 0 = normale GetNameList 1 = il driver legge il modello a oggetti richiedendo gli oggetti dati (DO) per ogni Logical Node esistente nel server, e per ogni Functional Constraint (FC) definito nello standard IEC61850. | 0
44 | Integrity Period | 7000
45 | Buffer Time | 500
46 | OptFlds Optional fields del RCB. | 73
47 | RCBs enable reties Ciclo (in secondi) in cui viene fatto un nuovo tentativo di attivare RCBs non attivati con successo. Presente solo se CNTSRVITEMS > è = 45 | 7
48 | Automatic Watchdog | 1
49 | Data consistency scan | 300
50 | Use SCADA network orIdend | 0
51 | Numero delle configurazioni client |
52 – (m-1) | Configurazione client (vedi configurazione del client) |
m – n | Eventuali ulteriori configurazioni client. |

Configurazione client

Riga | Descrizione | Beispiel
1 | Inizio di una configurazione client (= *** CLIENTCFG ***) | *** CLIENTCFG ***
2 | Numero degli Items in questa configurazione client. | 1
3 | Hostname (RT computer name) Nome del computer su cui viene eseguito il driver che riceve i report. | WKS007
4 | ClientLN.iedName | SCADA_Server1
5 | orIdent |
6 | Numero delle configurazioni RCB | 2
7 – (i-1) | RCB configurazione (vedi configurazione RCB) |
i – (j-1) | Eventuali ulteriori configurazioni RCB |
j | Numero delle configurazioni dataset dinamici |
k – (l-1) | Configurazione dataset dinamici (vedi configurazione dataset dinamica) |
l – m | Eventuale ulteriore configurazione dataset dinamico |

Configurazione RCB

Riga | Descrizione | Esempio
1 | Inizio di una configurazione RCB (= *** RCBCFG ***) | *** RCBCFG ***
2 | Numero di item in questa configurazione RCB | 2
3 | RCB nome o ID | UP_CTRL/LLN0/urcb_QxCSWI1_Pos02[RP]
4 | Nome del dataset dinamico | NEW_DYN_DATASET

Configurazione dataset dinamico

Riga | Descrizione | Esempio
1 | Inizio di un dataset dinamico (= *** DATASET ***) | *** DATASET ***
2 | Numero di item in questa configurazione dataset dinamico | 1
3 | Nome del dataset dinamico | NEW_DYN_DATASET
4 | Numero dei Object References del dataset dinamico | 2
5 | Object Reference | UPCTRL/Q1CSWI1$CF$Pos
6 – n | Eventuali ulteriori Object Reference. | UPCTRL/Q1CSWI1$ST$Pos


Esempio di codice per la registrazione su un Everywhere Server:

// get authentication information from the user interface

String userName = arg0[0].getString("UserName");

String password = arg0[0].getString("Password");

String server = arg0[0].getString("Server");

String project = arg0[0].getString("Project");

String port = arg0[0].getString("Port");

Date curTime = new Date();

// full username -> as described

String fullUserName = Long.toHexString(curTime.getTime())+"|"; // 8 digit hex timestamp

fullUserName = fullUserName + Settings.Secure.ANDROID_ID +"|";

fullUserName = fullUserName + userName;

// set the authentication to basic https (OClientBehaviour from odata4j)

OClientBehavior authBehavior = OClientBehaviors.basicAuth(fullUserName, "=" + password);

OClientBehavior allowSelfSignedBehavior = AllowSelfSignedCertsBehavior.allowSelfSignedCerts();

// Consumer declaration: private ODataConsumer consumer;

// here the url to the server has to be inserted

// we have https:"the server IP or name":Portnumber(for HTTPS 8050)/zendata(fixed)/Projectname

consumer = ODataConsumers.newBuilder("https://"+server+":"+port+"/zendata/"+project).setClientBehaviors

(authBehavior, allowSelfSignedBehavior).build();


Ricevere allarmi

L´esempio seguente mostra in che modo avviene l´update degli allarmi. Questa sintassi può essere utilizzata anche per gli altri tipi di dato.

private class RequestPollAlarmsTask extends ConnectionTask{

public RequestPollAlarmsTask(EverywhereConnectionHandler handler) {

super(handler);

}

@Override

protected Void doInBackground(Bundle... arg0) {

try {

lock.acquire();

} catch (InterruptedException e1) {

// TODO Auto-generated catch block

e1.printStackTrace();

}

int updateIntervall = arg0[0].getInt("Intervall");

String filter = arg0[0].getString("Filter");

try

{

// Consumer declaration: private ODataConsumer consumer;

// alarms declaration: private Enumerable <OEntity>

alarms = consumer.getEntities("Alarms").expand("Variable").execute();

isConnected=true;

}

catch (Exception e)

{

isConnected=false;

connectionException=e;

}

lock.release();

return null;

}


zenon Logic Runtime supports the "printf" function to track messages whilst the program is being executed. These messages are displayed in the output window of the Workbendh. To do this, the Workbench be online in zenon Logic Runtime.

However this only works if, in the Diagnosis Viewer, the logging level "Messages" is active for all modules on the Diagnosis Client. You can find details on these logging levels in the Tools manual - Diagnosis Viewer, in the Diagnosis Client chapter.

The printf command works with the simulator of the zenon Logic Workbench without additional configuration.


Nel caso in cui non riusciate a trovare la soluzione ad un problema specifico, Vi preghiamo di rivolgervi al nostro supporto tecnico o di usare il nostro forum online.

Support Teams

In qualità di utente del contratto di manutenzione Basic (è contenuto gratuitamente in ogni licenza) potete raggiungere il support nel modo migliore mandando una mail a support@copadata.com.
Le informazioni relative alla possibilità di contattare telefonicamente il nostro support le trovate anche sulla nostra Website: Disponibilità del support

Se avete un contratto di manutenzione Advanced o Premium usate il numero di telefono che trovate nel Vostra contratto.

Le informazioni reltive ai contratti di manutenzione COPA-DATA le ricevete dai nostri consulenti usando l'indirizzo sales@copadata.com.

Forum

Molte informazioni e aiuto da parte di utenti e esperti di COPA-DATA le trovate anche in COPA-DATA Forum.

Downloads

Utenti in possesso di un qualsiasi contratto di manutenzione possono trovare sulla Website di COPA-DATA dei manuali, tutorial e video dascaricare.
Gli utenti in possesso di contratti Advanced e Premium hanno accesso online anche a Service Pack, esempi VBA e workshop.

Per scaricare dei file bisogna essere registrati come 'Membri'. La registrazione è gratuita e Vi consente di accedere ad informazioni che sono riservate alla nostra clientela.


HLP_FKT_ACM_RSP

Interno ID: HLP_FKT_ACM_RSP

Salva buffer AML-CEL

Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_BLINK_QUIT

Interno ID: HLP_FKT_ALARM_BLINK_QUIT

Ripristina lampeggio allarmi

Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta attualmente di un modello selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_GRP_KLASSEN

Interno ID: HLP_FKT_ALARM_GRP_KLASSEN

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Questa funzione attiva o disattiva un gruppo di allarmi/eventi o una classe di allarmi/eventi, oppure la completa gestone allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_GRUPPEN_VERB

Interno ID: HLP_FKT_ALARM_GRUPPEN_VERB

Collegare/scollegare gruppo allarmi/eventi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_AUS

Interno ID: HLP_FKT_AML_AUS

Disattiva allarmi

Questa funzione disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_DEL

Interno ID: HLP_FKT_AML_DEL

Conferma il riconoscimento d'allarme

Questa funzione cancella allarmi filtrati.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_EIN

Interno ID: HLP_FKT_AML_EIN

Attiva allarmi

Questa funzione attiva l´intera gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_EXP

Interno ID: HLP_FKT_AML_EXP

Esporta allarmi

Questa funzione esporta inserimenti filtrati della lista allarmi in un formato esterno.

Ulteriori informazioni nella guida in linea.


HLP_FKT_AML_QTT

Interno ID: HLP_FKT_AML_QTT

Ripristina allarmi

Questa funzione ripristina allarmi filtrati.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_TGL

Interno ID: HLP_FKT_AML_TGL

Attiva/disattiva allarmi

Questa funzione attiva o disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_ANALYZER_REPORT_CREATE

Interno ID: HLP_FKT_ANALYZER_REPORT_CREATE

Analyzer: crea report

Questa funzione instaura un collegamento con un server Analyzer, consente la configurazione di un report nell´Editor, nonché la creazione ed il salvataggio del report nel runtime.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_HELP

Interno ID: HLP_FKT_APP_HELP

Apri Guida

Questa funzione apre una pagina di help selezionata da un file CHM.

Ulteriori informazioni nella guida in linea


HLP_FKT_APP_LICENCE_INFO

Interno ID: HLP_FKT_APP_LICENCE_INFO

Visualizza informazioni di licenza

Mediante questa funzione viene visualizzata una finestra di dialogo che mostra informazioni relative alla versione e alla licenza.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_PALETTESWITCH

Interno ID: HLP_FKT_APP_PALETTESWITCH

Cambia tavolozza colori

Crea una funzione per passare durante il runtime da una tavolozza all´altra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_RT_PROFILES

Interno ID: HLP_FKT_APP_RT_PROFILES

Profilo Runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_SAVE_REMDATA

Interno ID: HLP_FKT_APP_SAVE_REMDATA

Salvataggio dati ritentivi

Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_SIMULATION

Interno ID: HLP_FKT_APP_SIMULATION

Attiva/Disattiva progetto di simulazione

Questa funzione avvia e interrompe la simulazione di progetto. Il tipo di simulazione la connessione al processo possono essere configurati.
Inoltre, con questa funzione si può avviare il Runtime per il modulo Process Recorder in modalità di riproduzione. Per la riproduzione si possono poi configurare il tempo di partenza e il filtro tempo.

Ulteriori informazioni nella guida in linea:

  • Simulazione progetto

Process Recorder


HLP_FKT_APP_TEXT_LISTE

Interno ID: HLP_FKT_APP_TEXT_LISTE

Cambio lingua

Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_APP_UNITS_SWITCH

Interno ID: HLP_FKT_APP_UNITS_SWITCH

Cambio unità di misura

Questa funzione passa dall´unità di base all´unità convertita e viceversa. L´assegnazione avviene in un dialogo che viene visualizzato al momento della creazione della funzione; essa può essere modificata mediante la proprietà parametro.

Ulteriori informazioni nella guida in linea.


HLP_FKT_ARV_AKT

Interno ID: HLP_FKT_ARV_AKT

Mostra archivi attivi

Questa funzione mostra una lista degli archivi attivi del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_AUS

Interno ID: HLP_FKT_ARV_AUS

Termina archivio

Questa funzione chiude un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_EIN

Interno ID: HLP_FKT_ARV_EIN

Avvio archivio

Questa funzione apre un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_EXP

Interno ID: HLP_FKT_ARV_EXP

Esporta archivio

Questa funzione esporta inserimenti archivi filtrati del modulo opzionale Archiviazione in un formato esterno.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_IND

Interno ID: HLP_FKT_ARV_IND

Indicizza file d'archivio

Questa funzione serve ad indicizzare archivi. Viene sempre eseguita sul server che gestisce il processo.

Ulteriori informazioni nella guida in linea


HLP_FKT_BATCH_CR_CREATE

Interno ID: HLP_FKT_BATCH_CR_CREATE

Produci ricetta di controllo

Consente di creare durante il Runtime una ricetta di controllo predefinita nell´Editor.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_RECIPE_EXPORT

Interno ID: HLP_FKT_BATCH_RECIPE_EXPORT

Importa ricette Batch

Questa funzione importa ricette da un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_RECIPE_IMPORT

Interno ID: HLP_FKT_BATCH_RECIPE_IMPORT

Esporta ricette Batch

Questa funzione esporta ricette come file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_STATE_CMD

Interno ID: HLP_FKT_BATCH_STATE_CMD

Comandi ricetta-/esecuzione cambio modalità

Consente di inviare durante il Runtime comandi di gestione all´esecuzione batch.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BEDIENBERECHTIGUNG

Interno ID: HLP_FKT_BEDIENBERECHTIGUNG

Autorizzazione di rete

Questa funzione prende o concede la autorizzazione in rete.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD

Interno ID: HLP_FKT_BILD

IDS_FKT_NAMEN2

Descrizione in forma di testo


HLP_FKT_BILD_AUS

Interno ID: HLP_FKT_BILD_AUS

Chiudi immagine

Questa funzione chiude un'immagine selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_EIN

Interno ID: HLP_FKT_BILD_EIN

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_FOKUS

Interno ID: HLP_FKT_BILD_FOKUS

Imposta focus

Questa funzione setta l'impostazione di focus su un elemento determinato in un'immagine, il cui modello ha la focalizzazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_MENU

Interno ID: HLP_FKT_BILD_MENU

Visualizza menu

Questa funzione apre o chiude un menù principale selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_MITTE

Interno ID: HLP_FKT_BILD_MITTE

Spostare il centro dell'immagine

Questa funzione effettua uno scroll o uno zoom in un'immagine globale.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_SW_KDBMDI

Interno ID: HLP_FKT_BILD_SW_KDBMDI

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta per un´immagine del tipo Keyboard un valore predefinito (valore proposto), oppure setta un valore predefinito e chiude l´immagine.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_VAR

Interno ID: HLP_FKT_BILD_VAR

Cambio immagine con variabile

Mediante questa funzione viene selezionata una variabile che contiene il nome dell´immagine da aprire.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BILD_ZURUECK

Interno ID: HLP_FKT_BILD_ZURUECK

Immagine indietro

Questa funzione ritorna all'immagine precedentemente aperta del modello selezionato.

Attenzione: indipendentemente dalla selezione nella funzione, il sistema tiene conto nel Runtime solo di quei modelli che sono stati definiti nella proprietà di progetto Modello principale, nel gruppo Rappresentazione grafica/Runtime generale!

Ulteriori informazioni nella guida in linea.


HLP_FKT_CEL_EXP

Interno ID: HLP_FKT_CEL_EXP

Esporta: lista CEL

Questa funzione esporta inserimenti filtrati della Lista eventi cronologica (CEL) in un formato esterno.

Ulteriori informazioni nella guida in linea.


HLP_FKT_CHANGE_ALC_COLOR

Interno ID: HLP_FKT_CHANGE_ALC_COLOR

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori informazioni nella guida in linea.


HLP_FKT_DATEIOPERATION

Interno ID: HLP_FKT_DATEIOPERATION

Operazioni file

Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_DBASE_READ

Interno ID: HLP_FKT_DBASE_READ

Leggi file dBase

Questa funzione legge un file dBase selezionato e lo esegue come una ricetta.

Ulteriori informazioni nella guida in linea


HLP_FKT_DEL_PIC_BACK_PATH

Interno ID: HLP_FKT_DEL_PIC_BACK_PATH

Cancella percorso per "Immagine indietro"

Questa funzione cancella il percorso della funzione Immagine indietro .

Ulteriori informazioni nella guida in linea.


HLP_FKT_DIAGRAM_PRINT

Interno ID: HLP_FKT_DIAGRAM_PRINT

Stampa diagramma Trend esteso

Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza essere costretti ad aprire l´immagine del tipo Trend esteso.

Ulteriori informazioni nella guida in linea


HLP_FKT_EINGABE_FOCUS

Interno ID: HLP_FKT_EINGABE_FOCUS

Focus: esegui funzione elemento

Questa funzione attiva la funzionalità dell'elemento che ha l'impostazione di focus.

Ulteriori informazioni nella guida in linea


HLP_FKT_EMS_START

Interno ID: HLP_FKT_EMS_START

Avvio Load Management

Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo Load Management.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea.


HLP_FKT_EMS_STOP

Interno ID: HLP_FKT_EMS_STOP

Termine Load Management

Mediante questa funzione viene terminato il processo di ottimizzazione di una zona selezionata nel modulo Load Management.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea.


HLP_FKT_EXECUTE_ADDIN_WIZARD

Interno ID: HLP_FKT_EXECUTE_ADDIN_WIZARD

Avvia Project Wizard Extension

Questa funzione esegue un Project Wizard Extension.

Ulteriori informazioni nella guida in linea.


HLP_FKT_EXP_DATEN

Interno ID: HLP_FKT_EXP_DATEN

Esporta dati

Questa funzione esporta sul disco fisso in un formato esterno valori salvati (*.HDD) di variabili scelte.

Ulteriori informazioni nella guida in linea


HLP_FKT_GNDFLT_ACKNOWLEDGE

Interno ID: HLP_FKT_GNDFLT_ACKNOWLEDGE

Riconosci guasto messa a terra

Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GNDFLT_SEARCH_END

Interno ID: HLP_FKT_GNDFLT_SEARCH_END

Termina ricerca messa a terra

Funzione che serve a terminare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GNDFLT_SEARCH_START

Interno ID: HLP_FKT_GNDFLT_SEARCH_START

Avvia ricerca messa a terra

Funzione che serve a iniziare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GRAPH7_HEURISTIK

Interno ID: HLP_FKT_GRAPH7_HEURISTIK

Valutazione euristica S7-Graph

Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva.

Ulteriori informazioni nella guida in linea.


HLP_FKT_HDD_AUS

Interno ID: HLP_FKT_HDD_AUS

Disattiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Non vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HDD_EIN

Interno ID: HLP_FKT_HDD_EIN

Attiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HDD_TGL

Interno ID: HLP_FKT_HDD_TGL

Attiva/disattiva Gestione HD

Questa funzione attiva o disattiva il salvataggio dati su hard-disk. (Non) vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_AUS

Interno ID: HLP_FKT_HLP_FKT_AUS

Gestione funzioni OFF

Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_EIN

Interno ID: HLP_FKT_HLP_FKT_EIN

Gestione funzioni ON

Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_TGL

Interno ID: HLP_FKT_HLP_FKT_TGL

Funzioni: Disattiva/Attiva

Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_IMM_CHECKMAINT

Interno ID: HLP_FKT_IMM_CHECKMAINT

Determinazione manutenzioni in corso

Questa funzione determina il numero delle operazioni di manutenzione da eseguire per gli impianti indicati facendo riferimento al Industrial Maintenance Manager. Può essere indicato l'arco di tempo da prendere in considerazione. Il numero delle operazioni di manutenzione da realizzare viene scritto su variabili di stato che possono essere definite liberamente.

Ulteriori informazioni nella guida in linea


HLP_FKT_IPA_CREATE_DOCUMENT

Interno ID: HLP_FKT_IPA_CREATE_DOCUMENT

Crea/stampa documento IPA

Questa funzione genera a partire dai dati filtrati del Industrial Performance Analyzer un documento e lo stampa o lo salva in forma di documento HTML.

Ulteriori informazioni nella guida in linea


HLP_FKT_MANAGE_ADDIN_SERVICES

Interno ID: HLP_FKT_MANAGE_ADDIN_SERVICES

Visualizza dialogo "Gestione dei Servizi runtime"

Al momento dell´esecuzione della funzione, verrà aperta la finestra di dialogo Gestione servizi Runtime.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MOMENTAN_PRT

Interno ID: HLP_FKT_MOMENTAN_PRT

Stampa dei valori attuali

Questa funzione stampa i valori attuali delle variabili selezionate.

Ulteriori informazioni nella guida in linea


HLP_FKT_MONITOR_ZUORDNEN

Interno ID: HLP_FKT_MONITOR_ZUORDNEN

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_MOUSE_REVERSE

Interno ID: HLP_FKT_MOUSE_REVERSE

Simula right click

Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro.

Ulteriori informazioni nella guida in linea


HLP_FKT_MSG_AUS

Interno ID: HLP_FKT_MSG_AUS

Disattiva invio messaggio

Questa funzione disattiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


HLP_FKT_MSG_EDB

Interno ID: HLP_FKT_MSG_EDB

Esegui Database destinatari

Questa funzione apre un dialogo in cui un utente può modificare la banca dati di destinazione del modulo opzionale Message Control.


HLP_FKT_MSG_EIN

Interno ID: HLP_FKT_MSG_EIN

Attiva invio messaggio

Questa funzione attiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MSG_SAVEQUEUE

Interno ID: HLP_FKT_MSG_SAVEQUEUE

Salva coda d'attesa corrente

Salva nel Runtime un´immagine della coda messaggi attuale.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MSG_SUPPRESS

Interno ID: HLP_FKT_MSG_SUPPRESS

Sopprimi Gruppi/Classi/Aree/Strutture

Disattiva o attiva degli elementi della lista per cui non deve essere inviato nessun messaggio.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MT_CONCURRENT_EXECUTION

Interno ID: HLP_FKT_MT_CONCURRENT_EXECUTION

Esegui comandi paralleli

Funzione per testare l´implementazione multi-threading.

Solo per uso interno.

Nota: questa funzione non è descritta nella guida in linea. Una descrizione di questa funzione si trova solamente nella documentazione interna Multithreading. Questa documentazione è disponibile solo internamente.

Percorso di salvataggio: G:\zenon760\HELP\COPA-DATA\GERMAN\_Zusatzdokumentation-Nicht_ausliefern\


HLP_FKT_NACHLADEN

Interno ID: HLP_FKT_NACHLADEN

Aggiorna progetto Runtime

Questa funzione carica nell´Editor i file runtime modificati online.

Ulteriori informazioni nella guida in linea


HLP_FKT_PFS_EVENT

Interno ID: HLP_FKT_PFS_EVENT

Attiva evento PFS

Questa funzione esegue un evento PFS creato in precedenza dall'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PR_PLAYBACKMODE

Interno ID: HLP_FKT_PR_PLAYBACKMODE

Attiva/disattiva riproduzione Process-Recorder

Questa funzione attiva/disattiva la modalità di riproduzione del modulo Process Recorder.

Ulteriori informazioni nella guida in linea.


HLP_FKT_PRT_AMLCEL

Interno ID: HLP_FKT_PRT_AMLCEL

Stampa lista allarmi o CEL

Questa funzione stampa inserimenti filtrati o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_HARDCOPY

Interno ID: HLP_FKT_PRT_HARDCOPY

Stampa screenshot

Questa funzione stampa o la schermata attuale, o l'immagine di un modello selezionato attualmente aperta. Nei sistemi multimonitor può essere selezionato il monitor per modelli. Se lo si desidera, si può deviare l'operazione di stampa su un fax.

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_ONLINE

Interno ID: HLP_FKT_PRT_ONLINE

Stampa online on/off

Questa funzione attiva o disattiva la stampa online della lista allarmi e della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_ONLINE_SWITCH

Interno ID: HLP_FKT_PRT_ONLINE_SWITCH

Cambio stampante online

Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_WAHL

Interno ID: HLP_FKT_PRT_WAHL

Selezionare stampante

Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa.
Nota: Questa funzione non è disponibile per tutti i dispositivi CE!

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGIN

Interno ID: HLP_FKT_PWD_LOGIN

Login con dialogo

Questa funzione apre un dialogo di login standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGIN_DIREKT

Interno ID: HLP_FKT_PWD_LOGIN_DIREKT

Login senza password

Questa funzione effettua il login di un utente selezionato senza che quest´ultimo debba inserire la propria password.
Il login può essere eseguito tramite il nome utente, un nome utente da variabile, oppure una variabile con codice login.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGOUT

Interno ID: HLP_FKT_PWD_LOGOUT

Esegui logout

Questa funzione effettua il logout di un utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_PWDEDIT

Interno ID: HLP_FKT_PWD_PWDEDIT

Modifica password

Questa funzione apre un dialogo in cui l'utente può modificare la sua password.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_USREDIT

Interno ID: HLP_FKT_PWD_USREDIT

Modifica utente

Questa funzione apre un dialogo nel quale un amministratore che abbia effettuato il login può creare, editare o cancellare degli utenti e dei gruppi utenti.

Ulteriori informazioni nella guida in linea.


HLP_FKT_QUIT

Interno ID: HLP_FKT_QUIT

Esci dal programma

Questa funzione termina il runtime dello scada.

Ulteriori informazioni nella guida in linea


HLP_FKT_REDUNDANZ

Interno ID: HLP_FKT_REDUNDANZ

Cambio ridondanza

Questa funzione effettua il cambio fra server di processo Server-Standby del progetto.

Ulteriori informazioni nella guida in linea


HLP_FKT_REPORTVIEWER_PRINT

Interno ID: HLP_FKT_REPORTVIEWER_PRINT

Report Viewer: esporta/stampa

Consente di emettere report durante il Runtime in formato PDF oppure come stampa online.

Ulteriori informazioni nella guida in linea.


HLP_FKT_REZ_DIREKT

Interno ID: HLP_FKT_REZ_DIREKT

Richiamo ricetta singola

Questa funzione trasmette i valori di una ricetta standard selezionata al PLC.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZ_WAHL

Interno ID: HLP_FKT_REZ_WAHL

Richiamo ricetta singola con selezione

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire una ricetta standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZ_WAHL_ONL

Interno ID: HLP_FKT_REZ_WAHL_ONL

Richiamo ricetta singola con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare e eseguire (oppure modificare) una ricetta standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZEPT

Interno ID: HLP_FKT_REZEPT

Ricetta Standard

Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_RGM

Interno ID: HLP_FKT_RGM

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_SAP_CALL_FUNCTION

Interno ID: HLP_FKT_SAP_CALL_FUNCTION

Esegui funzione SAP

Esegue una funzione definita in SAP Interface nel runtime. La funzione SAP, a sua volta, effettua il trigger di una Remote Function Call (RFC).

Ulteriori informazioni nella guida in linea.


HLP_FKT_SAT1

Interno ID: HLP_FKT_SAT1

Attivare comando output

Funzione SAT


HLP_FKT_SAT2

Interno ID: HLP_FKT_SAT2

Generare protocollo cambio turno

Funzione SAT


HLP_FKT_SAT_SEA_RUN

Interno ID: HLP_FKT_SAT_SEA_RUN

Switching sequence automatic cycle

Funzione SAT.


HLP_FKT_SAT_TOP_ERDSCHLUSS

Interno ID: HLP_FKT_SAT_TOP_ERDSCHLUSS

Topologia - Ricerca cortocircuito

Attiva o disattiva la ricerca messa a terra. All´inizio della ricerca messa a terra, vengono congelate le malfunzioni in attesa. Nuove malfunzioni vengono visualizzate solo dopo la fine della ricerca.


HLP_FKT_SAT_TOP_LOADSHEDDING

Interno ID: HLP_FKT_SAT_TOP_LOADSHEDDING

Topologia - Verifica collegamenti

Con l´aiuto della funzione Loadshedding, lo stato di alimentazione di utilizzatori topologici può essere verificato e lo si può rappresentare tramite variabili.

Vengono supportate fino a 32 sorgenti.


HLP_FKT_SCHABFOCUS_AUS

Interno ID: HLP_FKT_SCHABFOCUS_AUS

Elimina focus dal modello

Questa funzione elimina l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABFOCUS_EIN

Interno ID: HLP_FKT_SCHABFOCUS_EIN

Attiva focus sul modello

Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABLONE_AUS

Interno ID: HLP_FKT_SCHABLONE_AUS

Chiudi modello

Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABLONE_BRINGTOFRONT

Interno ID: HLP_FKT_SCHABLONE_BRINGTOFRONT

Porta modello in primo piano

Questa funzione porta in primo piano le immagini che vengono coperte da altre. Viene selezionato un modello che porta in primo piano nel Runtime tutte le istanze dei modelli definiti sul monitor scelto.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SCRIPT_DIR

Interno ID: HLP_FKT_SCRIPT_DIR

Esegui script

Questa funzione esegue uno script selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCRIPT_WHL

Interno ID: HLP_FKT_SCRIPT_WHL

Script con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire uno script.

Ulteriori informazioni nella guida in linea


HLP_FKT_SENDE_NACHRICHT

Interno ID: HLP_FKT_SENDE_NACHRICHT

Invia messaggio

Questa funzione manda un messaggio del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Interno ID: HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Esegui comando sequenza comandi/cambio modalità

Questa funzione invia nel runtime comandi di gestione all´esecuzione delle sequenze di comando.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Interno ID: HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Esporta sequenze di comando

Questa funzione filtra ed effettua l´export di sequenze di comando in un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Interno ID: HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Importa sequenze di comando

Questa funzione importa sequenze di comando da un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_TEACHING

Interno ID: HLP_FKT_SEQUENCER_TEACHING

Teaching sequenza comandi

Questa funzione avvia o interrompe il processo teaching nel runtime.
Ulteriori informazioni nella guida in linea.


HLP_FKT_SHRTFLT_ACKNOWLEDGE

Interno ID: HLP_FKT_SHRTFLT_ACKNOWLEDGE

Riconoscimento breve messaggio

Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SIMULATION

Interno ID: HLP_FKT_SIMULATION

Simulazione on/off

Questa funzione attiva o disattiva la simulazione.


HLP_FKT_SM_SQL_EXPORT

Interno ID: HLP_FKT_SM_SQL_EXPORT

Export SQL Calendario turni

A Runtime, esporta turni in SQL dal calendario turni.

Ulteriori informazioni nella guida in linea.


HLP_FKT_TBL_AUS

Interno ID: HLP_FKT_TBL_AUS

Report Generator: esegui report

Questa funzione esegue un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_EXP

Interno ID: HLP_FKT_TBL_EXP

Report Generator: esporta

Questa funzione esporta un rapporto selezionato del modulo opzionale Generatore di rapporti in un formato esterno.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_EXPW

Interno ID: HLP_FKT_TBL_EXPW

Inizia una nuova pagina per la stampa online

Questa funzione termina una pagina e ne comincia una nuova al momento dell'attivazione della stampa online. Il numero di pagina viene riportato a 1.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_PRN

Interno ID: HLP_FKT_TBL_PRN

Report Generator: stampa

Questa funzione stampa un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


HLP_FKT_TM_READ

Interno ID: HLP_FKT_TM_READ

Acquisisci ora dalla variabile

Questa funzione legge il tempo della variabile string del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


HLP_FKT_TM_WRITE

Interno ID: HLP_FKT_TM_WRITE

Scrivi data/ora nella variabile

Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile string nel PLC. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


HLP_FKT_TREIBERKOMMANDO

Interno ID: HLP_FKT_TREIBERKOMMANDO

Esegui comandi driver

Questa funzione trasmette un comando selezionato ad un driver selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_UEBERSICHT

Interno ID: HLP_FKT_UEBERSICHT

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo in modo tale da simulare in un sistema con un solo monitor un sistema con più monitor.

Ulteriori informazioni nella guida in linea


HLP_FKT_VAR_ALIGN_VM_IMAGE

Interno ID: HLP_FKT_VAR_ALIGN_VM_IMAGE

Simulazione per immagine di processo del driver acquisita dal Server Standby

Viene eseguita solamente sul Server-Standby.

Richiede al momento della sua esecuzione del server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione.

Ulteriori informazioni nella guida in linea


HLP_FKT_VAR_SOLLWERT

Interno ID: HLP_FKT_VAR_SOLLWERT

Imposta valore

Questa funzione trasmette al PLC un nuovo valore per una variabile selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_VBA_IDE

Interno ID: HLP_FKT_VBA_IDE

VBA-Visualizza Editor

Questa funzione apre l'editor VBA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_MAKRO

Interno ID: HLP_FKT_VBA_MAKRO

Lanciare Macro-VBA

Questa funzione esegue una macro VBA selezionata.

Attenzione: L'evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. Le macro VBA che dovevano essere eseguite al momento della chiusura del runtime, devono essere attivate mediante l´event Project.Inactive.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_MCR

Interno ID: HLP_FKT_VBA_MCR

VBA-Visualizza dialogo Macro

Questa funzione apre il dialogo Macro VBA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_PCE

Interno ID: HLP_FKT_VBA_PCE

Apri Editor PCE

Questa funzione apre l'editor del modulo opzionale Process Control Engine (PCE).

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_CALLMACRO

Interno ID: HLP_FKT_VSTA_CALLMACRO

Lanciare Macro-VSTA

Questa funzione esegue una macro VSTA selezionata.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_SHOWIDE

Interno ID: HLP_FKT_VSTA_SHOWIDE

Apri Editor VSTA

Questa funzione apre l'editor VSTA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_SHOWMACRODLG

Interno ID: HLP_FKT_VSTA_SHOWMACRODLG

VSTA-Visualizza il dialogo delle Macro

Questa funzione apre il dialogo Macro VSTA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_AUFUEHREN

Interno ID: HLP_FKT_WND_AUDI_AUFUEHREN

Esegui file audio

Questa funzione esegue un file audio selezionato una volta (*.wav).

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_START

Interno ID: HLP_FKT_WND_AUDI_START

Esegui file audio continuo

Questa funzione esegue un file audio (*.wav) ripetutamente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_STOP

Interno ID: HLP_FKT_WND_AUDI_STOP

Termina file audio continuo

Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_BTN

Interno ID: HLP_FKT_WND_BTN

Porta sullo sfondo

Questa funzione sposta il runtime dello scada sullo sfondo.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_PROG_AUFUEHREN

Interno ID: HLP_FKT_WND_PROG_AUFUEHREN

Esegui programma

Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_TOP

Interno ID: HLP_FKT_WND_TOP

Porta in primo piano

Questa funzione porta il Runtime di zenon in primo piano.

Attenzione: se si fa uso del comando "apri in primo piano", viene coperta la barra stato allarmi.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_ADDINFRAMEWORK

Interno ID: HLP_GRP_FKT_ADDINFRAMEWORK

Add-In

Questo gruppo contiene funzioni per la gestione degli Add-Ins.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_AMLCEL

Interno ID: HLP_GRP_FKT_AMLCEL

Allarmi ed eventi

Questo gruppo contiene delle funzioni per gestire la Lista allarmi e la Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_ANWENDUNG

Interno ID: HLP_GRP_FKT_ANWENDUNG

Applicazione

Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_ARV

Interno ID: HLP_GRP_FKT_ARV

Archiviazione

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_BATCH

Interno ID: HLP_GRP_FKT_BATCH

Batch Control

Funzioni per il Batch Control

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_BILD

Interno ID: HLP_GRP_FKT_BILD

Immagini

Questo gruppo contiene delle funzioni per l'utilizzo delle Immagini.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_FAULT_LOCATION

Interno ID: HLP_GRP_FKT_FAULT_LOCATION

Localizzazione guasti nelle reti elettriche

Contiene funzioni che servono alla Localizzazione errore nelle reti elettriche.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_FAVORITEN

Interno ID: HLP_GRP_FKT_FAVORITEN

Preferiti

Questo gruppo contiene i favoriti personali. Essi possono essere modificati e adattati via Drag&Drop, oppure tramite il menù contestuale nella funzione corrispondente.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_NACHRICHT

Interno ID: HLP_GRP_FKT_NACHRICHT

Message Control

Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_NETZ

Interno ID: HLP_GRP_FKT_NETZ

Rete

Questo gruppo contiene delle funzioni per l'utilizzo di una rete.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_PASSWORT

Interno ID: HLP_GRP_FKT_PASSWORT

Password

Questo gruppo contiene delle funzioni per la Gestione utente.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_REZEPT

Interno ID: HLP_GRP_FKT_REZEPT

Ricetta

Questo gruppo contiene delle funzioni per l'utilizzo delle ricette standard e delle ricette del modulo opzionale Manager di gruppi ricette.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_SCRIPT

Interno ID: HLP_GRP_FKT_SCRIPT

Script

Questo gruppo contiene delle funzioni per l'utilizzo degli script.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_SEQUENCE

Interno ID: HLP_GRP_FKT_SEQUENCE

Sequenze di commando

Description as text.


HLP_GRP_FKT_SHIFT_MANAGEMENT

Interno ID: HLP_GRP_FKT_SHIFT_MANAGEMENT

Gestione Turne

Questo gruppo contiene funzioni per il modulo Gestione Turni.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_TABELLE

Interno ID: HLP_GRP_FKT_TABELLE

Generatore Report/Report Viewer/Analyzer

Questo gruppo contiene delle funzioni per il generatore Report, il Report Viewer e il prodotto di COPA-DATA zenon Analyzer.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VARIABLE

Interno ID: HLP_GRP_FKT_VARIABLE

Variabile

Questo gruppo contiene delle funzioni per l'utilizzo delle variabili.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VBA

Interno ID: HLP_GRP_FKT_VBA

VBA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VBA.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VSTA

Interno ID: HLP_GRP_FKT_VSTA

VSTA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VSTA.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_WINDOWS

Interno ID: HLP_GRP_FKT_WINDOWS

Windows

Questo gruppo contiene delle funzioni per l'utilizzo delle funzionalità del sistema operativo.

Ulteriori informazioni nella guida in linea.


HLP_GRP_SHIFT_MANAGEMENT

Interno ID: HLP_GRP_SHIFT_MANAGEMENT

Batch Control

Questo gruppo contiene funzioni per la gestione dei turni.

Ulteriori informazioni nella guida in linea.


ID_230TOP_PROP_B_FOS

Interno ID: ID_230TOP_PROP_B_FOS

Limite per localizzazione guasti da protezione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderFOS


ID_230TOP_PROP_B_SHL

Interno ID: ID_230TOP_PROP_B_SHL

Limite per selfhealing

Se questa proprietà è settata: l´elemento vale come confine per una regione selfhealing.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderSHL


ID_230TOP_PROP_B_SV

Interno ID: ID_230TOP_PROP_B_SV

Limite per il calcolo di distribuzione alimentazione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderSV


ID_230TOP_PROP_B_WBR

Interno ID: ID_230TOP_PROP_B_WBR

Limite per controllo ad ampio raggio

Se questa proprietà è settata: l´elemento vale come confine per un "limite per controllo ad ampio raggio".

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderWBR


ID_230TOP_PROP_INVISIBLE

Interno ID: ID_230TOP_PROP_INVISIBLE

Invisibile a Runtime

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTInvisible


ID_230TOP_PROP_LIRE

Interno ID: ID_230TOP_PROP_LIRE

Inverti sinistra/destra

Cambia il riferimento sinistra/destra per gli elementi topologici che hanno un riferimento di direzione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyLRChanged


ID_230TOP_PROP_NC_CABLETYPE

Interno ID: ID_230TOP_PROP_NC_CABLETYPE

Tipo di cavo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCableType


ID_230TOP_PROP_NC_CURRENTMAX

Interno ID: ID_230TOP_PROP_NC_CURRENTMAX

Capacità di corrente [A]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCCurrentMax


ID_230TOP_PROP_NC_I_MAX

Interno ID: ID_230TOP_PROP_NC_I_MAX

Carico massimo distribuibile

Maximal load which can be assigned.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentMax


ID_230TOP_PROP_NC_I_VAL

Interno ID: ID_230TOP_PROP_NC_I_VAL

Carico [A]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentVal


ID_230TOP_PROP_NC_I_VAR

Interno ID: ID_230TOP_PROP_NC_I_VAR

Corrente/carico misurato

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentVar


ID_230TOP_PROP_NC_LENGTH

Interno ID: ID_230TOP_PROP_NC_LENGTH

Lunghezza [m]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCLength


ID_230TOP_PROP_NC_REAKT

Interno ID: ID_230TOP_PROP_NC_REAKT

Reattanza [Ohm]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCReactance


ID_230TOP_PROP_NC_RESIST

Interno ID: ID_230TOP_PROP_NC_RESIST

Resistenza [Ohm]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCResistance


ID_230TOP_PROP_NC_TYPE

Interno ID: ID_230TOP_PROP_NC_TYPE

Tipo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCType


ID_230TOP_PROP_NC_U_VAL

Interno ID: ID_230TOP_PROP_NC_U_VAL

Livello tensione [V]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCVoltageVal


ID_230TOP_PROP_NC_U_VAR

Interno ID: ID_230TOP_PROP_NC_U_VAR

Valore misurazione tensione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCVoltageVar


ID_230TOP_PROP_RES_NR

Interno ID: ID_230TOP_PROP_RES_NR

Tipo risorsa

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyResourceNr


ID_230TOP_PROP_USE_FRAME

Interno ID: ID_230TOP_PROP_USE_FRAME

Utilizza effetti/bordi per la bordatura

Se questa proprietà è settata: la cornice configurata alla voce Effetti/Bordi (larghezza/distanza) viene usata per supportare l´orlatura anche per gli elementi combinati.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyUseFrame


ID_230TOP_PROP_ZUORD_VAR

Interno ID: ID_230TOP_PROP_ZUORD_VAR

Prefisso per variabili di mappatura

Varibile che serve da base per quelle nella topologia.

Nella topologia potete fissare una variabile per ogni conduttore. Questa variabile serve da base per ulteriori variabili,

che definite nella progettazione della topologia stessa. Potete assegnare poi a queste variabili

dei valori relativi alla prestazione, calcolati dalla topologia.

Cliccate sul pulsante per aprire il dialogo che serve alla scelta delle variabili.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCMappingVar


ID_230TOP_PROP_ZUORD_VAR_IN

Interno ID: ID_230TOP_PROP_ZUORD_VAR_IN

Prefix für Ergebnisvariablen

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NCMappingVarIn


ID_230TOP_PROP_ZUORD_VAR_OUT

Interno ID: ID_230TOP_PROP_ZUORD_VAR_OUT

Prefix für Eingangsvariablen

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NCMappingVarOut


ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Interno ID: ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Anteprima variabili di mappatura

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Info


ID_ADMINUSER

Interno ID: ID_ADMINUSER

Amministratore

L´utente è amministratore. Selezione con segno di spunta nella checkbox. .

  • Attiva:
    l´utente è amministratore. Perciò questo amministratore potrà modificare a Runtime altri utenti e sbloccare il sistema.
    Non attiva:
    questo utente non è un amministratore e dispone delle autorizzazioni operative configurate.

Default: non attiva
Attenzione: Un amministratore può assegnare ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Admin


ID_ADRESSPARAM

Interno ID: ID_ADRESSPARAM

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Adressparam


ID_ALARM_BEREICH_ALARMVAR

Interno ID: ID_ALARM_BEREICH_ALARMVAR

Quantità allarmi attivi

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmVar


ID_ALARM_BEREICH_QUITVAR

Interno ID: ID_ALARM_BEREICH_QUITVAR

Quantità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QuitVar


ID_ALARM_BEREICH_STATUSVAR

Interno ID: ID_ALARM_BEREICH_STATUSVAR

Variabile di stato

Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi in questa area allarmi.
Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati in questa area allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_BEREICHITEM_ALARMVAR

Interno ID: ID_ALARM_BEREICHITEM_ALARMVAR

Quantità allarmi attivi

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmVar


ID_ALARM_BEREICHITEM_DELETE

Interno ID: ID_ALARM_BEREICHITEM_DELETE

{Elimina classe}

L'inserimento area viene cancellato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteEntry


ID_ALARM_BEREICHITEM_KLASSE

Interno ID: ID_ALARM_BEREICHITEM_KLASSE

Classe allarmi/eventi

Classe allarmi/eventi per l´inserimento area.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Class


ID_ALARM_BEREICHITEM_QUITVAR

Interno ID: ID_ALARM_BEREICHITEM_QUITVAR

Quantità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QuitVar


ID_ALARM_BEREICHITEM_STATUSVAR

Interno ID: ID_ALARM_BEREICHITEM_STATUSVAR

Variabile di stato

Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi della classe allami/eventi selezionata in questa area allarmi.
Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_PROP_BEREICH_ID

Interno ID: ID_ALARM_PROP_BEREICH_ID

Nr

Identifica l´area allarmi Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: questo numero è univoco all´interno di un progetto. Se nella gestione multi-progetto si assegna lo stesso numero a più aree allarmi in diversi progetti, verrà visualizzato un messaggio corrispondente al momento della creazione dei file Runtime.

Suggerimento: assegnare numeri univoci quando si utilizza la gestione multi-progetto. .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Id


ID_ALARM_PROP_BEREICH_ITEMS

Interno ID: ID_ALARM_PROP_BEREICH_ITEMS

Collegamento classi

Riassume le variabili di stato, il numero degli allarmi attivi e di quelli non ripristinati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Items


ID_ALARM_PROP_BEREICH_NAME

Interno ID: ID_ALARM_PROP_BEREICH_NAME

Nome

Nome dell´area allarme.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ALARM_PROP_BEREICH_NEU

Interno ID: ID_ALARM_PROP_BEREICH_NEU

{Nuova classe}

Imposta un nuovo inserimento area per l´area di allarme.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

New


ID_ALARM_PROP_GRPKLS

Interno ID: ID_ALARM_PROP_GRPKLS

Generale

Proprietà per gruppi allarmi/eventi o classi allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_GrpCls


ID_ALARM_PROP_GRPKLS_COLOR

Interno ID: ID_ALARM_PROP_GRPKLS_COLOR

Colore

Colore del gruppo allarmi/eventi o della classe allarmi/eventi.
Il colore della classe allarmi/eventi può essere usato per la visualizzazione nelle liste.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_ALARM_PROP_GRPKLS_FUNKTION

Interno ID: ID_ALARM_PROP_GRPKLS_FUNKTION

Funzione

Nome della funzioner che viene eseguita se si verifica un allarme di questo gruppo/classe. Un clic sul comando apre il dialogo che serve alla selezione della funzione. In alternativa potete inserire manualmente il nome della funzione nel campo di testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ALARM_PROP_GRPKLS_ID

Interno ID: ID_ALARM_PROP_GRPKLS_ID

Nr

Identifica il gruppo allarmi/eventi o la classe allarmi/eventi. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: questo numero è univoco all´interno di un progetto. Se nell´ambito della gestione multi-progetto si assegna lo stesso numero a più gruppi allarme/evento, o a più classi allarme/evento in diversi progetti, apparirà una segnalazione corrispondente al momento della creazione dei file Runtime.

Suggerimento: assegnare numeri univoci quando si utilizza la gestione multi-progetto. .

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Id


ID_ALARM_PROP_GRPKLS_IMAGE

Interno ID: ID_ALARM_PROP_GRPKLS_IMAGE

File grafico

Selezionare un file grafico per il gruppo allarmi/eventi o la classe allarmi/eventi. Cliccando con il tasto sinistro del mouse su pulsante .... si apre la finestra di dialogo per selezionare un file grafico. Selezionare il file grafico desiderato.

Default: nessun file.

Ulteriori informazioni nella guida in linea concernente i gruppi allarmi/eventi..

Ulteriori informazioni nella guida in linea concernente le classi allarmi/eventi..

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Image


ID_ALARM_PROP_GRPKLS_NAME

Interno ID: ID_ALARM_PROP_GRPKLS_NAME

Nome

Nome del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ALARM_PROP_GRPKLS_STATUSVAR

Interno ID: ID_ALARM_PROP_GRPKLS_STATUSVAR

Variabile di stato

Nome della variabile il cui valore mostra se in quel momento il gruppo/la classe è attivo/a, oppure se gli allarmi di questo gruppo/questa classe vengono ignorati.

E' possibile usare solo delle variabili binarie: Un clic sul comando apre il dialogo che serve alla selezione delle variabili. In alternativa potete inserire manualmente il nome delle variabili nel campo di testo.

Valore variabile = 1: Gruppo/classe è attivo/a.

Gruppi allarmi/eventi oppure classi allarmi/eventi possono essere attivati con l´aiuto della funzione Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_PROP_GRPKLS_TEXT

Interno ID: ID_ALARM_PROP_GRPKLS_TEXT

Descrizione

Descrizione del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_ALARM_VERWALTUNG

Interno ID: ID_ALARM_VERWALTUNG

Alarm-Verwaltung

Si aprirà il dialogo di configurazione per la Lista allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue: "


ID_ALPHABACKCOLOR

Interno ID: ID_ALPHABACKCOLOR

Trasparenza colore riempimento [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBackColor


ID_ALPHABACKCOLOR2

Interno ID: ID_ALPHABACKCOLOR2

Trasparenza colore di sfumatura [%]

Disponibile solo se nella proprietà Tipo di riempimento è stato selezionato sfumatura.

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBackColor2


ID_ALPHACOLORRAHMEN

Interno ID: ID_ALPHACOLORRAHMEN

Trasparenza del colore bordo [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il grado di copertura del colore mediante un valore compreso fra 0 e 100 %.

  • 0: invisibile
  • 100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBorderColor


ID_ALPHALINECOLOR

Interno ID: ID_ALPHALINECOLOR

Trasparenza del colore linea [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaLineColor


ID_AML_AKTIV

Interno ID: ID_AML_AKTIV

Lista di informazione allarmi attiva

Attivo: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmAdminActive


ID_AML_BLINKQUIT

Interno ID: ID_AML_BLINKQUIT

Riconoscimento dal lampeggio

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: ripristinando il lampeggio di un elemento, si ripristina anche l´allarme corrispondente nella lista allarmi.
Non attiva: il ripristino del lampeggio di un elemento non ha altro effetto che quello per cui l´elemento non lampeggia più. L´allarme corrispondente non viene ripristinato.
Default: non attiva.
Si può ripristinare il lampeggio di elementi cliccando due volte su di essi con il tasto destro del mouse, oppure tramite la funzione "Ripristina lampeggio".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmFlashAcknowledge


ID_AML_CLS_COLOR

Interno ID: ID_AML_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • non utilizzare: I colori delle classi allarmi/eventi non vengono usate nel lista allarmi durante il runtime.
  • come colore testo: I colori delle classi allarmi/eventi vengono usati nel lista allarmi durante il runtime come colori di testo per gli inserimenti corrispondenti.
  • come sfondo righe: I colori delle classi allarmi/eventi vengono usate nel lista allarmi durante il runtime come colori di sfondo per gli inserimenti corrispondenti.

Default: Come colore testo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmClsColor


ID_AML_COLOR_DEL

Interno ID: ID_AML_COLOR_DEL

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Solo per allarmi con attiva proprietà Riconoscimento a due stadi disponibile.

Proprietà per la rappresentazione di Allarme cancellato nella lista allarmi.. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorDel


ID_AML_COLOR_GEHT

Interno ID: ID_AML_COLOR_GEHT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Esce nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorClr


ID_AML_COLOR_KOMMT

Interno ID: ID_AML_COLOR_KOMMT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Entra nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorRec


ID_AML_COLOR_QUIT

Interno ID: ID_AML_COLOR_QUIT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Tempo-ripristino nella Lista di informazione allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorAkn


ID_AML_COMES_PREF

Interno ID: ID_AML_COMES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme entrato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme in entrata. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefComes


ID_AML_COMES_PREF_IMAGE

Interno ID: ID_AML_COMES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in entrata. La grafica aiuta a riconoscere velocemente il data/ora di Allarme in entrata. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageComes


ID_AML_COUNT1

Interno ID: ID_AML_COUNT1

Messaggio 1 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare
Default: 0
Attenzione: Il valore deve essere minore a quello indicato nella proprietà Messaggio 2 numero allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt1


ID_AML_COUNT2

Interno ID: ID_AML_COUNT2

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare: 0
Attenzione: Il valore deve essere minore a quello indicato nella proprietà Messaggio 3 numero allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt2


ID_AML_COUNT3

Interno ID: ID_AML_COUNT3

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt3


ID_AML_DELETEINCEL

Interno ID: ID_AML_DELETEINCEL

Confermato riconoscimento allarme

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme con obbligo di cancellazione viene effettivamente cancellato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: Se si cancellano degli allarmi, non si ha nessun inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmCELDelete


ID_AML_DETACH

Interno ID: ID_AML_DETACH

Gestione buffer circolare:

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Se viene superato nella memoria il numero degli allarmi definiti nella proprietà Dimensione buffer circolare, viene eseguita la seguente azione:
Rifiuta nuovi: I nuovi allarmi verranno ignorati. Attenzione: Essi non verranno salvati e andranno persi!
First In First Out: Un nuovo allarme rimuove l´allarme più vecchio dal buffer circolare mandandolo nel file corrispondente. Esempio: se il buffer circolare ha una grandezza pari a 5, al verificarsi del sesto allarme, il primo viene spostato nel file corrispondente, mentre l´allarme attualmente in attesa ne prende il posto nel buffer (simile al funzionamento di una Queue/fila di attesa).
Last In First Out (LIFO): Un nuovo allarme rimuove l´allarme più recente dal buffer circolare mandandolo nel file corrispondente. Esempio: se il buffer circolare ha una grandezza pari a 5, al verificarsi del sesto allarme, il quinto viene spostato nel file corrispondente. Al verificarsi del settimo allarme, sarà il sesto ad essere spostato e così via.

Default: First In First Out

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDetach


ID_AML_GOES_PREF

Interno ID: ID_AML_GOES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme in entrata. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme rientrato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefGoes


ID_AML_GOES_PREF_IMAGE

Interno ID: ID_AML_GOES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in uscita. La grafica aiuta a riconoscere velocemente il data/ora di Allarme rientrato. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageGoes


ID_AML_GRP_CLEARED

Interno ID: ID_AML_GRP_CLEARED

Allarme rientrato

Proprietà per la rappresentazione di Allarme in uscita nella lista allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Cleared


ID_AML_GRP_COLOR

Interno ID: ID_AML_GRP_COLOR

Farben AML-Einträge

Proprietà per la definizione dei colori per la Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue: "


ID_AML_GRP_DEL

Interno ID: ID_AML_GRP_DEL

Confermato riconoscimento allarme

Proprietà per la rappresentazione di Allarme cancellato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Deleted


ID_AML_GRP_IMAGE

Interno ID: ID_AML_GRP_IMAGE

Graphik AML-Einträge

Proprietà per le impostazioni grafiche della lista allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_AML_GRP_MEM

Interno ID: ID_AML_GRP_MEM

Cartella salvataggio AML

Proprietà per il salvataggio degli allarmi nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Mem


ID_AML_GRP_QUIT

Interno ID: ID_AML_GRP_QUIT

Allarme ripristinato

Proprietà per la rappresentazione di Allarme ripristinato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Acknowledged


ID_AML_GRP_RECIVED

Interno ID: ID_AML_GRP_RECIVED

Allarme in entrata

Proprietà per la rappresentazione di Allarme in entrata nella lista allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Received


ID_AML_GRP_STATUSBAR

Interno ID: ID_AML_GRP_STATUSBAR

Barra stato allarmi

Proprietà per la Riga di stato della gestione allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_StatusBar


ID_AML_IMAGE_DEL

Interno ID: ID_AML_IMAGE_DEL

File grafico per lo stato

Selezione di un file grafico per lo stato Allarme cancellato. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageDel


ID_AML_IMAGE_GEHT

Interno ID: ID_AML_IMAGE_GEHT

File grafico per lo stato

Selezionate un file grafico per lo stato Allarme in uscita. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageClr


ID_AML_IMAGE_KOMMT

Interno ID: ID_AML_IMAGE_KOMMT

File grafico per lo stato

Selezionare un file grafico per lo stato Allarme in entrata. È possibile prevedere che questo file sia visualizzato nella Lista di informazione allarmi a Runtime invece che il colore selezionato dello stato. A questo scopo, nella scheda Impostazioni colonna del filtro per la AML, selezionare la modalità di visualizzazione File grafico per la colonna "Stato di allarme".

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageRec


ID_AML_IMAGE_QUIT

Interno ID: ID_AML_IMAGE_QUIT

File grafico per lo stato

Selezionare un file grafico per lo stato Allarme ripristinato. È possibile prevedere che questo file sia visualizzato nella Lista di informazione allarmi a Runtime invece che il colore selezionato dello stato. A questo scopo, nella scheda Impostazioni colonna del filtro per la AML, selezionare la modalità di visualizzazione File grafico per la colonna "Stato di allarme".

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageAkn


ID_AML_LISTENTRY

Interno ID: ID_AML_LISTENTRY

Impostazione colonna AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Queste impostazioni valgono anche per l´export in CSV, XML o DBF.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmListEntry


ID_AML_LST_STYLE

Interno ID: ID_AML_LST_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Senza intestazione: nella Lista informazioni allarmi non viene visualizzata nessuna intestazione con titoli di colonna a Runtime.
  • Intestazione fissa: nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.
  • Intestazione modificabile: nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. A Runtime si potrà modificare la larghezza delle singole colonne. Si può filtrare la lista di informazioni allarmi sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non funzionano a Runtime se per l´elemento lista dell´immagine AML è stata disattivata la proprietà Funzionalità grafiche avanzate, oppure se nel gruppo Aspetto grafico delle proprietà di progetto la proprietà Qualità grafica è stata settata su Windows standard.
Default: Intestazione modificabile

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmHeader


ID_AML_MEMCOUNT

Interno ID: ID_AML_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMemCount


ID_AML_MITREAKTZEIT

Interno ID: ID_AML_MITREAKTZEIT

Utilizza tempo di riattivazione

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmTimeReactive


ID_AML_MSG1

Interno ID: ID_AML_MSG1

Messaggio 1 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 1 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 1 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg1


ID_AML_MSG2

Interno ID: ID_AML_MSG2

Messaggio 2 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 2 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 2 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg2


ID_AML_MSG3

Interno ID: ID_AML_MSG3

Messaggio 3 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 3 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 3 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg3


ID_AML_ONLY_STACK

Interno ID: ID_AML_ONLY_STACK

Salvataggio dati allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Solo buffer circolare: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
  • Buffer circolare e Dati storici: vengono salvati anche gli allarmi storici (*.aml).
  • Default: Su apparecchi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).

Default: Default.
I file (alarm.bin e *.aml) vengono salvati nella cartella \Projektordner\Computername\Projektname.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmlOnlyStack


ID_AML_QUIT_PREF

Interno ID: ID_AML_QUIT_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme ripristinato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme ripristinato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: --

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefQuit


ID_AML_QUIT_PREF_IMAGE

Interno ID: ID_AML_QUIT_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme ripristinato. La grafica aiuta a riconoscere velocemente il data/ora di Allarme ripristinato. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageQuit


ID_AML_QUITINCEL

Interno ID: ID_AML_QUITINCEL

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmCELAcknowledge


ID_AML_STATUS_AKTIV

Interno ID: ID_AML_STATUS_AKTIV

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Active:
    As soon as an alarm occurs, a red status line with alarm information is displayed at the top of screen in the Runtime. In this status line the alarm can also be acknowledged with a double right click if the logged in user has the corresponding rights.
  • Inactive:
    No status line is displayed.

Default: active

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusActive


ID_AML_STATUS_DISPLAY

Interno ID: ID_AML_STATUS_DISPLAY

Visualizza

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.

  • Allarme più vecchio: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú vecchio allarme non ripristinato nella riga di stato (non attiva) oppure il più vecchio allarme viene visualizzato per primo (attiva).
  • Allarme più recente: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú recente allarme non ripristinato nella riga di stato (non attiva) oppure il più recente allarme viene visualizzato per primo(attiva).

Default: allarme più vecchio:

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusDisplay


ID_AML_STATUS_FONT

Interno ID: ID_AML_STATUS_FONT

Carattere

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
carattere per la riga di stato nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusFont


ID_AML_STATUS_SUBSEQ

Interno ID: ID_AML_STATUS_SUBSEQ

Visualizza all. seguente

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.

  • Attivo: tutti gli allarmi non ripristinati vengono visualizzati nel Runtime nella riga di stato uno dietro l´altro. Non appena viene ripristinato un allarme mediante un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo. A seconda dell´impostazione della proprietà Visualizza viene visualizzato prima il più vecchio o il più recente allarme.
  • Inattivo: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che un allarme è stato ripristinato.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusAlign


ID_AML_UNACKBLINK

Interno ID: ID_AML_UNACKBLINK

Lampeggio allarmi non riconosciuti

Attiva: le righe non selezionate con allarmi non ripristinati lampeggiano nella Lista di informazione allarmi.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmUnackBlink


ID_AUTOLOGOFFTIME

Interno ID: ID_AUTOLOGOFFTIME

Tempo [min]

Tempo (espresso in minuti) senza azioni di comando trascorso il quale il sistema effettua automaticamente il logout di un utente se è attiva la proprietà Logout automatico attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoLogoutTime


ID_AUTOLOGOUT

Interno ID: ID_AUTOLOGOUT

Logout automatico attivo

  • Attivo: Avviene il logout automatico dell´utente se esso non ha posto in atto alcuna azione di gestione per il tempo definito nella proprietà Tempo [min].
  • Inattivo: il sistema non effettua il logout automatico dell´utente.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoLogout


ID_BACKUP_FILE_NAME

Interno ID: ID_BACKUP_FILE_NAME

Nome file

Nome del file di Backup.
Default: JJJJ-MM-TT_hh-mm-ss projektname.zip.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_BiffiDCM_NV

Interno ID: ID_BiffiDCM_NV

NV-Index

L'indice NV è rilevante solo per Node-Data.

Indicate qui l'indice variabili di rete (NVI/NVO) delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NV-Index


ID_BiffiDCM_SENDDIRECT

Interno ID: ID_BiffiDCM_SENDDIRECT

Send directly

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore impostabile deve essere trasmesso al DCM direttamente oppure tramire buffer.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send_direct


ID_BiffiDCM_TRANSIENT

Interno ID: ID_BiffiDCM_TRANSIENT

Transient command

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore attuale ricevuto via command event deve essere resettato automaticamente a 0 dal driver. (z.B. ICON2K Open, Close, Stop)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Transient


ID_BURPVI_ADDRESS

Interno ID: ID_BURPVI_ADDRESS

PVI Name

È il nome della variabile PLC. Il nome è costituito da Nome task/Nome variabile .

Nota: si possono usare variabili globali solamente se sono incluse in un task. Per questa ragione le variabili globali vengono sempre visualizzate con le variabili task in corso di importazione online e vengono indirizzate come variabili task: Nome task/Nome variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_ADDRESS


ID_BURPVI_GROUP

Interno ID: ID_BURPVI_GROUP

PVI Address

Informazioni concernenti l´indirizzo per il bernecker e il driver Reiner PVI (BURPVI).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PVI_Address


ID_BURPVI_VL_LENGTH

Interno ID: ID_BURPVI_VL_LENGTH

PVI Length (VL)

Lunghezza variabili in byte.
Nel caso di variabili singole, essa corrisponde alla lunghezza dei dati di processo. Nel caso delle variabili di campo, la lunghezza è definita come lunghezza elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VL_LENGTH


ID_BURPVI_VN_ELEMENTS

Interno ID: ID_BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Numero degli elementi in caso di variabili di campo.
Nel caso di variabili di campo pluridimensionali, viene indicato il numero degli elementi di tutte le dimensioni del campo (Per esempio: var[10][5] => VN=50).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VN_ELEMENTS


ID_BURPVI_VT_TYPE

Interno ID: ID_BURPVI_VT_TYPE

PVI Type (VT)

Tipo variabile nel PLC. I valori possibili sono descritti nella guida online. Se si usa un tipo di dato divergente in zenon, ne può conseguire un typecasting.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VT_TYPE


ID_CEL_AKTIV

Interno ID: ID_CEL_AKTIV

Abilita CEL

  • Attivo: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • Inattivo: Non viene registrato nessun evento.

Default: attiva

Nota: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELAdminActive


ID_CEL_ARCHIVE_CHANGE

Interno ID: ID_CEL_ARCHIVE_CHANGE

Inserimenti nell'archivio

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Non viene effettuato un protocollo dell´elaborazione di archivi nella CEL.
  • Protocolla modifiche: in caso di modifica di archivi, si protocolla nella CEL:
    • nome del file d'archivio
    • nuovo e vecchio valore della variabile
    • nuovo e vecchio timestamp della variabile
    • Nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchiveChangeToCEL


ID_CEL_CLS_COLOR

Interno ID: ID_CEL_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

non utilizzare: I colori delle classi allarmi/eventi non vengono usate nella CEL durante il Runtime.

come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.

come sfondo righe: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti.

Default: Come colore testo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELClsColor


ID_CEL_COLOR_SORT

Interno ID: ID_CEL_COLOR_SORT

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Definisce il colore del testo utilizzato per gli inserimenti filtrati nella Lista eventi cronologica (CEL).
Nota:

  • Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.
  • Per SICAM 230: per ottenere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELColorSort


ID_CEL_COLOR_UNSORT

Interno ID: ID_CEL_COLOR_UNSORT

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELColorUnsort


ID_CEL_GRP_ALLGEMEIN

Interno ID: ID_CEL_GRP_ALLGEMEIN

Abilita registrazione

Proprietà generali per la Lista Eventi Cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Common


ID_CEL_GRP_COLOR

Interno ID: ID_CEL_GRP_COLOR

Colori inserimenti CEL

Proprietà per la definizione dei colori per la Lista Eventi Cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Color


ID_CEL_GRP_MEM

Interno ID: ID_CEL_GRP_MEM

Storico CEL

Proprietà per il salvataggio degli inserimenti nella Lista Eventi Cronologica (CEL) nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Mem


ID_CEL_LISTENTRY

Interno ID: ID_CEL_LISTENTRY

Impostazioni colonna CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Apre la finestra di dialogo che serve alla definizione delle colonne nella CEL
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Queste impostazioni valgono anche per l´export in CSV, XML o DBF.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELListEntry


ID_CEL_LST_STYLE

Interno ID: ID_CEL_LST_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante.
  • Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna.
  • Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Nel runtime è possibile spostare le singole colonne e si può ordinare secondo una colonna qualsiasi.

Default: Intestazione modificabile

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELHeader


ID_CEL_MEMCOUNT

Interno ID: ID_CEL_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Nota: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELMemCount


ID_CEL_ONLY_STACK

Interno ID: ID_CEL_ONLY_STACK

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Buffer circolare e Dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.
  • Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
  • Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).

Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelOnlyStack


ID_CEL_RECIPE_CHANGE

Interno ID: ID_CEL_RECIPE_CHANGE

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio:
    la modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non causa un inserimento nella CEL.
  • Protocolla ricette:
    quando si modifica una ricetta, viene generato un inserimento corrispondente nella CEL con il nome della ricetta modificata.
  • Protocolla ricette e valori:
    quando si modifica una ricetta, viene generato un inserimento corrispondente nella CEL che contiene:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeChangeToCEL


ID_CEL_RECIPE_WRITE

Interno ID: ID_CEL_RECIPE_WRITE

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Procollo di ricette: Se si deposita una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
  • Protocollaggio valori e ricette: quando si deposita una ricetta, essa viene protocollata nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeWriteToCEL


ID_CEL_SPONTAN

Interno ID: ID_CEL_SPONTAN

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attiva: mentre è aperta la CEL a Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
  • Non attiva: mentre è aperta la CEL a Runtime, i nuovi inserimenti vengono aggiunti solo prima di ogni scrittura di un valore sul PLC. In questo processo viene scritto nella CEL come valore attuale quel valore che era sul PLC prima della scrittura.
    Gli inserimenti attuali vengono aggiunti solo alla prossima apertura della CEL.

Default: attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELSpontan


ID_CEL_SYSMSGPRT

Interno ID: ID_CEL_SYSMSGPRT

Stampa messaggi di sistema

Attivo: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELSysMsgPrint


ID_CEL_VERWALTUNG

Interno ID: ID_CEL_VERWALTUNG

CEL-Verwaltung

Viene aperto il dialogo di configurazione per la Lista Eventi Cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELAdministration


ID_CHANGELOG_COMMENT

Interno ID: ID_CHANGELOG_COMMENT

Commento

Commento per l´inserimento selezionato nel Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment


ID_CHANGELOG_FILTER_DATASETS

Interno ID: ID_CHANGELOG_FILTER_DATASETS

Max. Datensätze

Indica il numero massimo di inserimenti da visualizzare nella lista.
Minimo: 0.
Significa che vengono visualizzati tutti gli inserimenti.
Massimo: 2147483647.
Default: 1000.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Datensätze


ID_CHANGELOG_FILTER_PROP_GRP0

Interno ID: ID_CHANGELOG_FILTER_PROP_GRP0

Erweiterter Filter

Proprietà per il filtro esteso del Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_CHANGELOG_FILTER_TIME_MAX

Interno ID: ID_CHANGELOG_FILTER_TIME_MAX

Max. Zeitstempel

Disponibile solo se è attivo Intervallo tempo:
Termine temporale ultimo per gli inserimenti visualizzati

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimestampMax


ID_CHANGELOG_FILTER_TIME_MIN

Interno ID: ID_CHANGELOG_FILTER_TIME_MIN

Min. Zeitstempel

Disponibile solo se è attivo Intervallo tempo:
Tempo primo possibile per gli inserimenti visualizzati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimestampMin


ID_CHANGELOG_FILTER_TIMERANGE

Interno ID: ID_CHANGELOG_FILTER_TIMERANGE

Zeitbereich aktiv

Attivo: è possibile effettuare un´operazione di filtro sulla base dell´ intervallo di tempo.
inattivo: non è possibile effettuare un´operazione di filtro sulla base dell´ intervallo di tempo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeRange


ID_CHANGELOG_PROP_GRP0

Interno ID: ID_CHANGELOG_PROP_GRP0

Generale

Proprietè generali per gli inserimenti nel Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_COLOR_COLOR_GRP

Interno ID: ID_COLOR_COLOR_GRP

Colore

Contiene tutte le proprietà dei colori per le tavolozze.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Color


ID_COLOR_COLOR_NAME

Interno ID: ID_COLOR_COLOR_NAME

Nome colore

Nome del colore.

Default: Colore più Numero di indice, per es.: Colore 1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorName


ID_COLOR_COLOR_VALUE

Interno ID: ID_COLOR_COLOR_VALUE

Colore

Consente di selezionare o definire un colore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorValue


ID_COLOR_PALETTE_GRP

Interno ID: ID_COLOR_PALETTE_GRP

Tavolozza colori

Contiene le proprietà della tavolozza colori.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Palette


ID_COLOR_PALETTE_NAME

Interno ID: ID_COLOR_PALETTE_NAME

Nome tavolozza

Nome della tavolozza colori.

Default: Tavolozza colori più Numero di indice, per es.: Tavolozza colori 1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PaletteName


ID_COLORRAHMEN

Interno ID: ID_COLORRAHMEN

Colore cornice

Definisce il colore della cornice dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderColor


ID_COMPLEXITEM_BITOFFSET

Interno ID: ID_COMPLEXITEM_BITOFFSET

Bit offset

Numero Bit dell´elemento di struttura nella struttura.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitOffset


ID_COMPLEXITEM_HASREF

Interno ID: ID_COMPLEXITEM_HASREF

Collegato con tipo di dato

Attivo: l´elemento è collegato con il tipo di dato che ne è alla base. Le modifiche apportate nel tipo di dato che ne è alla base, si ripercuotono direttamente sull´elemento. Le proprietà dell´elemento non possono essere più modificate.
inattivo: L´elemento non è più collegato con il tipo di dato che ne è alla base.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HasRef


ID_COMPLEXITEM_INDEX

Interno ID: ID_COMPLEXITEM_INDEX

Pos. Nella struttura

Posizione della variabile nella struttura.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ItemIndex


ID_COMPLEXITEM_OFFSET

Interno ID: ID_COMPLEXITEM_OFFSET

Offset

Offset dell´elemento di struttura nella struttura.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_DELUSER

Interno ID: ID_DELUSER

Eliminazione utenti

  • Attivo: è consentita la cancellazione di un utente nel Runtime.
  • Inattivo: è possibile solo evidenziare gli utenti come cancellati. In questo caso gli user continueranno a comparire nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelUser


ID_DISABLEDBUTTONS

Interno ID: ID_DISABLEDBUTTONS

Tasti bloccati

Disponibile solo se la proprietà è Login temp. attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisabledButtonStyle


ID_DNP3_OPERATION

Interno ID: ID_DNP3_OPERATION

Command Mode

Selezione del comando Mode fra quelli del menù a tendina.

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Outputs binari e Outputs analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputs anologici, si usa Function Code 0x5 - Direct Operate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command_Mode


ID_DNP3_SCANGROUP

Interno ID: ID_DNP3_SCANGROUP

Scangroup

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scangroup


ID_DNP3_VARIATION

Interno ID: ID_DNP3_VARIATION

Variation

Selezione della variazione fra quelle del menù a tendina.

  • Default: Si usa la variazione per variabili come inviata dalla Outstation.
    Se si usa un´altra variazione rispetto a quella della Outstation oppure una per variabili che non appartengono a nessuna classe ma devono essere lette, si può procedere alla definizione di una variazione alternativa. Selezione dal menù a tendina. Le alternative offerte dipendono da tipo oggetto driver della variabile. I valori numerici corrispondono ai valori consentiti della variazione per questo tipo di dato.

Il driver viene dopo ogni Class 0 Poll o inizializzato tramite una variabile Class Poll lettura manuale con la variazione definita. Se si seleziona una variazione diversa da Default, si dovrebbe attivare sempre anche la proprietà Lettura variabile continua.

Nota: la Outstation deve supportare la lettura della variazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variation


ID_DNP3TG_EXPLICITREAD

Interno ID: ID_DNP3TG_EXPLICITREAD

Classless read

Assegnazione dei valori alla variabile in caso di richieste di lettura esplicite:

  • Inattivo: Vengono assegnati alla variabile i valori ricevuti via Integrity-Poll, Event-Poll oppure oder unsolicited responses.
    I valori ricevuti in risposta ad una richiesta di lettura esplicita non vengono assegnati.
  • Attivo: Alla variabile vengono assegnati solo i valori ricevuti in risposta ad una richiesta di lettura esplicita.

Ulteriori informazioni nella guida in linea sui driver.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Classless_Read


ID_DNP3TG_OPERATION

Interno ID: ID_DNP3TG_OPERATION

Command Mode

Solo per il tipo di oggetto del driver Binary Output e Analog Output Selezione del Command Mode fra quelli della lista a cascata:

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Output binari e Output analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputsanalogici, si usa Function Code 0x5 - Direct Operate.
  • Direct Operate NoAck: Per la scrittura diOutputs binari e Outputs analogici, si usa Function Code 0x5 - Direct Operate. Non c`è risposta da parte del PLC; non si ha conferma se la scrittura sia stata eseguita con successo o meno.

Default: Direct Operate

Ulteriori informazioni nella guida in linea sui driver.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command_Mode


ID_DRIVER_EXTERNAL_REF

Interno ID: ID_DRIVER_EXTERNAL_REF

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Nota: In caso di cambio del driver, il contenuto della proprietà viene ripreso dal nuovo driver. Se, nel corso del cambio, due driver vengono unificati in uno, il valore per questa proprietà viene ripreso dal driver rimanente.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_DRV_KNOTEN

Interno ID: ID_DRV_KNOTEN

Connessione driver

Proprietà driver per la variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_DriverConnection


ID_DRV_STRAT_CREATE

Interno ID: ID_DRV_STRAT_CREATE

Modifica

Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CreateSimulPrj


ID_DRV_STRAT_DEL

Interno ID: ID_DRV_STRAT_DEL

Elimina

Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

Cancella il progetto di simulazione dopo una richiesta di conferma.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelSimulPrj


ID_DRV_STRAT_EV_PORT

Interno ID: ID_DRV_STRAT_EV_PORT

Porta eventi

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per lo scambio dati spontaneo. Il numero di porta deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6001

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulEvPort


ID_DRV_STRAT_GRP

Interno ID: ID_DRV_STRAT_GRP

Progetto di simulazione del driver

Contiene tutte le proprietà per la configurazione di simulazione - programmata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Simulation


ID_DRV_STRAT_NAME

Interno ID: ID_DRV_STRAT_NAME

Nome

Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

Condizioni per la validità dei nomi:

- non deve essere vuoto.

- deve essere univoco nel progetto.

- deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

Minimo: 1 caratteri

Massimo: 15 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulName


ID_DRV_STRAT_PORT

Interno ID: ID_DRV_STRAT_PORT

Porta standard

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per la comunicazione con il workbench di zenon Logic.
Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)
  • Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6000

Il numero di porta:

  • Deve essere disponibile e non assegnato nell´ambito del progetto
  • Deve essere univoco per tutti i progetti che sono attivi nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulPort


ID_DYN_PROP_BLINKVAR

Interno ID: ID_DYN_PROP_BLINKVAR

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkVariable


ID_DYN_PROP_BLINKVAR_PREVIEW

Interno ID: ID_DYN_PROP_BLINKVAR_PREVIEW

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BlinkVarPreview


ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BackColorVarPreview


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectBlinkVariable


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectGlowColorVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityFromLimit


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityTo


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome della variabile il cui valore influenza la visibilità dell´effetto glow. La visibilità viene ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dall´intervallo di valori definito nelle proprietà Visibile da e Visibile fino. Cliccando sul comando ... si apre la finestra di dialogo per selezionare una variabile. È possibile anche inserire manualmente il nome della variabile nel campo di testo.

Nota: se non è collegata nessuna variabile, l´effetto glow è visibile sempre.

Default: nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityFrom


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectUseBlinkColor


ID_DYN_PROP_LINECOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_LINECOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVarPreview


ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVarPreview


ID_DYN_PROP_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_USEBLINKCOLOR

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseBlinkColor


ID_DYN_PROP_VISVAR_PREVIEW

Interno ID: ID_DYN_PROP_VISVAR_PREVIEW

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VisVarPreview


ID_DYNPICTURE_DONTRESIZEELEMS

Interno ID: ID_DYNPICTURE_DONTRESIZEELEMS

Non adattare gli elementi alla risoluzione dello schermo

Attivo: Gli elementi contenuti nell´immagine non vengono adattati automaticamente nel Runtime alla risoluzione dello schermo, ma mantengono la posizione e la grandezza progettate nell´Editor.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DontResizeElements


ID_DYNPICTURE_EXPORTFORWEB

Interno ID: ID_DYNPICTURE_EXPORTFORWEB

Disponibile per il Web

  • Attivo: L´immagine viene esportata ai fini della visualizzazione dal HTML Export Wizard su un client via HTML Web Engine.
  • Inattivo: L´immagine non viene esportata ai fini della visualizzazione dal HTML Export Wizard su un client via HTML Web Engine.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportForWeb


ID_DYNPICTURE_MOVEBYMOUSE

Interno ID: ID_DYNPICTURE_MOVEBYMOUSE

Muovi modello via mouse

Attivo: L´immagine può essere mossa nel Runtime usando il mouse, anche se non si tratta di una visualizzazione globale. Quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si muove l´intera immagine.

Nota: Se l´immagine è embedded in faceplate, il sistema non terrà conto di questa impostazione. In questo caso, sono le impostazioni del faceplate ad essere decisive per il movimento. Quando si muove un faceplate, tutte le immagini contenute vengono spostate.

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MoveByMouse


ID_DYNPICTURE_MULTITOUCH

Interno ID: ID_DYNPICTURE_MULTITOUCH

Multi-Touch per Zoom e Scrolling

Attivo: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

Disponibile solamente se si tratta di una visualizzazione globale (immagine più grande del modello e Ricava dimensioni dal modello non attiva) e per la proprietà Multi-Touch attivo è stato selezionato Windows 7.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouch


ID_DYNPICTURE_MULTITOUCH_GROUP

Interno ID: ID_DYNPICTURE_MULTITOUCH_GROUP

Interazione

Proprietà per la configurazione dell´interazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Interaction


ID_DYNPICTURE_MULTITOUCH_MOVE

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE

Verschieben

È disponibile solamente se la proprietà Ricava dimensioni dal modello è disattivata e la proprietà di progetto Analisi è stata impostata su Windows 8.

Definisce la reazione al gestoSposta. Selezione dalla lista a cascata:

  • Sposta contenuto: il contenuto può essere spostato verticalmente o orizzontalmente. La direzione viene definita facendo uso delle proprietà Horizontal verschieben e Vertikal verschieben.
  • Nessuna reazione

Default: Sposta contenuto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMove


ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Horizontal verschieben

È a disposizione solo se la proprietà Verschieben è stata impostata su Sposta contenuto.

Stabilisce se il contenuto può essere spostato orizzontalmente. Selezione dalla lista a cascata:

  • Sposta orizzontalmente: il contenuto può essere spostato orizzontalmente.
  • Nessuna reazione

Default: Sposta orizzontalmente

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMoveHor


ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Vertikal verschieben

È a disposizione solo se la proprietà Verschieben è stata impostata su Sposta contenuto.

Stabilisce se il contenuto può essere spostato verticalmente. Selezione dalla lista a cascata:

  • Sposta verticalmente: il contenuto può essere spostato verticalmente.
  • Nessuna reazione

Default: Sposta verticalmente

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMoveVer


ID_DYNPICTURE_MULTITOUCH_ZOOM

Interno ID: ID_DYNPICTURE_MULTITOUCH_ZOOM

Zoomen

È disponibile solamente se la proprietà Ricava dimensioni dal modello è disattivata e la proprietà di progetto Analisi è stata impostata su Windows 8.

Definisce la reazione al gestozoomare. Selezione dalla lista a cascata:

  • Zoom contenuto
  • Nessuna reazione

Default: Zoom contenuto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchZoom


ID_DYNPICTURE_PROP1

Interno ID: ID_DYNPICTURE_PROP1

Nome file

Nome file dell'immagine.
Il nome file viene generato automaticamente dal sistema e non può essere cambiato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_DYNPICTURE_PROP2

Interno ID: ID_DYNPICTURE_PROP2

Modello

Modifica del modello assegnato, senta che gli elementi d'immagine siano adattati alla nuova grandezza dell´immagine (allungare o comprimere)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Template


ID_DYNPICTURE_PROP3

Interno ID: ID_DYNPICTURE_PROP3

Tipo di immagine

Standard: tipo di immagine per la creazione di immagini di processo. Possono essere usati tutti gli elementi vettoriali e dinamici.
Tipi di immagini speciali: Le immagini che non sono del tipo "Standard" devono essere create una sola volta e possono essere aperte mediante speciali impostazioni di filtro della funzione Cambio immagine con diversi dati. Non appena si è scelto uno speciale tipo di immagine, nel menù Elementi di controllo sono a disposizione i corrispondenti elementi di gestione per il tipo di immagine in questione.

Attenzione: Non appena il tipo d'immagine è stato modificato da 'standard' ad un tipo specifico, è fisso e non può essere modificato.

Default: Standard

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_DYNPICTURE_PROP4

Interno ID: ID_DYNPICTURE_PROP4

Colore di sfondo

Definisce il colore di sfondo dell´immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.
Default: Colore dal modello.
Nota: il Colore dal modello viene ripreso come copia e non collegato. Delle eventuali modifiche apportate successivamente al colore nel modello non hanno alcuna conseguenza sulle immagini esistenti, ma solo su quelle nuove.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_DYNPICTURE_PROP5

Interno ID: ID_DYNPICTURE_PROP5

X da

Coordinata x del punto d’angolo sinistro in alto dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinX


ID_DYNPICTURE_PROP6

Interno ID: ID_DYNPICTURE_PROP6

X fino a

Coordinata x del punto d’angolo destro in basso dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxX


ID_DYNPICTURE_PROP7

Interno ID: ID_DYNPICTURE_PROP7

Y da:

Coordinata y del punto d’angolo sinistro in alto dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinY


ID_DYNPICTURE_PROP8

Interno ID: ID_DYNPICTURE_PROP8

Y fino a

Coordinata y del punto d’angolo destro in basso dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxY


ID_DYNPICTURE_PROP9

Interno ID: ID_DYNPICTURE_PROP9

Altezza [Pixel]

Disponibile solo se la proprietà Ricava dimensioni dal modello non è attiva.
Altezza dell´immagine in pixel.

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_DYNPICTURE_PROP10

Interno ID: ID_DYNPICTURE_PROP10

Larghezza [Pixel]

Disponibile solo se la proprietà Ricava dimensioni dal modello non è attiva.
Larghezza dell´immagine in pixel.

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_DYNPICTURE_PROP11

Interno ID: ID_DYNPICTURE_PROP11

Funzione apertura

Funzione che deve essere eseguita automaticamente al momento dell´apertura dell´immagine nel Runtime.
Apre il dialogo di selezione funzioni.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartFunction


ID_DYNPICTURE_PROP12

Interno ID: ID_DYNPICTURE_PROP12

Funzione chiusura

Funzione che deve essere eseguita automaticamente al momento della chiusura dell´immagine nel Runtime.
Apre il dialogo di selezione funzioni.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni desiderate e collegare in questa sede la funzione per l'esecuzione dello script.

ATTENZIONE: L´apertura di un´altra immagine dello stesso modello porta alla chiusura automatica di questa immagine e all´esecuzione della funzione collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndFunction


ID_DYNPICTURE_PROP13

Interno ID: ID_DYNPICTURE_PROP13

Ricava dimensioni dal modello

Attivo: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Disattivata: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeFromTemplate


ID_DYNPICTURE_PROP14

Interno ID: ID_DYNPICTURE_PROP14

Dialogo modale

Impostazione per visualizzazione come dialogo modale:

  • Attivo: Finché l’immagine è aperta nel Runtime, non si può accedere ad elementi in un‘altra immagine.
    Eccezione: si possono gestire le immagini che vengono aperte a partire dall´immagine modale, se anche queste ultime sono state configurate come immagini modali.

    Attenzione: Non è consentito aprire da un´immagine modale un´immagine non modale!
    Se si apre un´immagine non modale tramite una modale, essa sarà visibile, ma non si potrà interagire con essa. Non sarà possibile interagire neanche con l´immagine modale sottostante, visto che essa è coperta. Il risultato è che il runtime è bloccato!

  • Inattivo: Le altre immagini vengono gestite come di consueto.

Default: inattivo

Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Modal


ID_DYNPICTURE_PROP15

Interno ID: ID_DYNPICTURE_PROP15

Visibile sotto CE

Attivo: L'immagine viene visualizzata anche sotto Windows CE.
inattivo: L'immagine non viene visualizzata sotto Windows CE.
Default: attivo.

In tal modo è possibile usare nell´ambito di reti costituite da PC e apparecchiature CE anche sui computer quelle funzionalità che non vengono supportate da CE, senza che ciò porti all´insorgere di problemi nelle apparecchiature CE.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowInCE


ID_DYNPICTURE_PROP16

Interno ID: ID_DYNPICTURE_PROP16

File grafico

Selezione della grafica di sfondo che viene visualizzata nel livello più lontano dell´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPic


ID_DYNPICTURE_PROP17

Interno ID: ID_DYNPICTURE_PROP17

Orientamento

Disponibile solamente dopo che è stata selezionata una File grafico.
Tipo di rappresentazione della grafica di sfondo nell´immagine:

  • normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
  • Centrato: Grandezza originale, centrato al centro dell´immagine.
  • Allungato: Riempitivo del formato, allungato per la lunghezza dell´immagine.
  • Affiancato grandezza originale, affiancato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicStyle


ID_DYNPICTURE_PROP18

Interno ID: ID_DYNPICTURE_PROP18

Disponibile solamente se è selezionata una cornice nella definizione del modello.:
Tipo di cornice dell'immagine.
Cornice spessa: intorno all´immagine viene visualizzata una cornice spessa. Si può modificare nel Runtime la grandezza dell´immagine.
Cornice fine: intorno all´immagine viene visualizzata una cornice fine.
Nessuna cornice: non viene visualizzata una cornice introno all´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderStyle


ID_DYNPICTURE_PROP19

Interno ID: ID_DYNPICTURE_PROP19

Disponibile solamente se è selezionata una cornice per il modello:
Attivo: Utilizza Header Windows per quest´immagine. L´immagine può essere spostata nel Runtime.
inattivo: non usare nessun Header.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_DYNPICTURE_PROP20

Interno ID: ID_DYNPICTURE_PROP20

Variabile di immagine attiva

La variabile binaria collegata in questa sede viene settata sul valore 1 se l´immagine viene aperta; essa viene resettata a 0 se l´immagine viene chiusa.
Apre il dialogo di selezione variabili filtrato su variabili binarie.

Attenzione: l´apertura di un´altra immagine dello stesso modello porta alla chiusura automatica di questa immagine e all´esecuzione della funzione collegata.

Esempio: il colore di sfondo dei pulsanti in una barra comandi dovrebbe indicare quale immagine è aperta al momento. In tutte le variabili binarie che sono collegate alle singole immagini il colore di valore limite per il valore 1 è il verde e quello per il valore 0 è il bianco. Queste variabili binarie vengono collegate al colore di sfondo dinamico dei pulsanti corrispondenti. Il colore di sfondo del pulsante che apre l´immagine aperta al momento, dunque, è sempre il verde, mentre tutti gli altri bottoni sono bianchi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicActivVar


ID_DYNPICTURE_PROP21

Interno ID: ID_DYNPICTURE_PROP21

Colore di sfondo

Definisce il colore di sfondo del simbolo nell´editor simboli. Cliccate per aprire lo spettro dei diversi colori disponibili sul pulsante oppure indicate il colore desiderato in RGB come valori Hex.

Attenzione: Il colore definito in questa sede finge solo da colore di sfondo dell´ editor simboli. Esso non ha alcun effetto sulla visualizzazione nell´Editor oppure nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_DYNPICTURE_PROP22

Interno ID: ID_DYNPICTURE_PROP22

Altezza [Pixel]

Definisce l'altezza del simbolo in pixel. L´altezza definita serve da altezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_DYNPICTURE_PROP23

Interno ID: ID_DYNPICTURE_PROP23

Larghezza [Pixel]

Definisce la larghezza del simbolo in pixel. La larghezza definita in questa sede serve da larghezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_DYNPICTURE_PROP24

Interno ID: ID_DYNPICTURE_PROP24

Layout tastiera automatica

attivo: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo: tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: attiva

Nota: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoKBLayout


ID_DYNPICTURE_PROP_GRP0

Interno ID: ID_DYNPICTURE_PROP_GRP0

Generale

Proprietà generali dell´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Picture


ID_DYNPICTURE_PROP_GRP1

Interno ID: ID_DYNPICTURE_PROP_GRP1

Modello

la grandezza e la posizione dell´immagine vengono definite dal modello collegato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Size


ID_DYNPICTURE_PROP_GRP2

Interno ID: ID_DYNPICTURE_PROP_GRP2

Rappresentazione

Proprietà per l´aspetto esteriore dell´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Representation


ID_DYNPICTURE_PROP_GRP3

Interno ID: ID_DYNPICTURE_PROP_GRP3

Esecuzione:

Funzioni e variabili collegate all´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Functions


ID_DYNPICTURE_PROP_GRP4

Interno ID: ID_DYNPICTURE_PROP_GRP4

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Background


ID_DYNPICTURE_PROP_GRP5

Interno ID: ID_DYNPICTURE_PROP_GRP5

Generale

Proprietà concernenti la dimensione e il colore di sfondo dell´editor simboli.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Symbols


ID_DYNPICTURE_PROP_GRP6

Interno ID: ID_DYNPICTURE_PROP_GRP6

Colore

Proprietà per le impostazioni colore dell´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Color


ID_DYNPICTURE_REFEXT

Interno ID: ID_DYNPICTURE_REFEXT

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta un´immagine via Copy&Paste, questa proprietà è vuota.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalReference


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Trasparenza di sfondo

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Definisce la trasparenza di Colore di contrasto del modello su cui si basa l´immagine. Un clic sul comando ... apre lo slider che serve alla definizione della trasparenza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmbientAlpha


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Colore di contrasto

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Definisce il colore di ambiente del modello su cui si basa l´immagine. Un clic sul comando ... apre il dialogo che serve alla selezione del colore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmbientColor


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Evidenziare il modello

Disponibile solo se la proprietà Dialogo modale è stata attivata.

  • Attivo: Il modello su cui si basa l´immagine viene evidenziato.
    L´intera area al di fuori del modello viene colorata facendo uso di un Colore di contrasto e di una Trasparenza di sfondo configurabili. L´area del modello evidenziato non viene interessata da questo processo di colorazione.
    Si può aprire solamente un´immagine alla volta con questa proprietà. Tuttavia è possibile aprire delle immagini a partire da quella evidenziata. Anch´esse verranno evidenziate.

Nota: Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Highlight


ID_EDITSIGNATURE

Interno ID: ID_EDITSIGNATURE

Testo firma modificabile

Attivo: Nel Runtime viene aperta una finestra di dialogo che serve ad editare il testo di firma.

Inattivo: il testo della firma non può essere modificato durante il Runtime.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EditSignature


ID_ELE_BITMAP_DOWN

Interno ID: ID_ELE_BITMAP_DOWN

File grafico a tasto premuto

File grafico che deve essere visualizzato sul pulsante quando è premuto (*.bmp, *.wmf, *.jpg, *.gif). Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un file.

Nota: Se per la proprietà Dimensione bitmap è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileNameDown


ID_ELE_CORNER_ALL_X

Interno ID: ID_ELE_CORNER_ALL_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerAll_X


ID_ELE_CORNER_ALL_Y

Interno ID: ID_ELE_CORNER_ALL_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerAll_Y


ID_ELE_CORNER_LEFTBOTTOM_X

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

La proprietà Con valori di luminosità deve essere disattivata

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • Da 0 a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftBottom_X


ID_ELE_CORNER_LEFTBOTTOM_Y

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftBottom_Y


ID_ELE_CORNER_LEFTTOP_X

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftTop_X


ID_ELE_CORNER_LEFTTOP_Y

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftTop_Y


ID_ELE_CORNER_PROPORTIONAL

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Inattivo: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: attivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerProportional


ID_ELE_CORNER_RIGHTBOTTOM_X

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightBottom_X


ID_ELE_CORNER_RIGHTBOTTOM_Y

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Destra/Basso Y [%]

Disponibile solo se la proprietà Proporzionale è stata attivata e la proprietà Con valori di luminosità è stata disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightBottom_Y


ID_ELE_CORNER_RIGHTTOP_X

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Destra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightTop_X


ID_ELE_CORNER_RIGHTTOP_Y

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightTop_Y


ID_ELE_DRAGBEGIN

Interno ID: ID_ELE_DRAGBEGIN

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragBegin


ID_ELE_DRAGDROP

Interno ID: ID_ELE_DRAGDROP

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragDrop


ID_ELE_DRAGOVER

Interno ID: ID_ELE_DRAGOVER

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragOver


ID_ELE_EMBEDDED_FONT

Interno ID: ID_ELE_EMBEDDED_FONT

Carattere

Tipo di carattere utilizzato nella visualizzazione.

Attenzione: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


ID_ELE_LAYER

Interno ID: ID_ELE_LAYER

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Layer


ID_ELE_LIGHTNING

Interno ID: ID_ELE_LIGHTNING

Effetto riempimento 3-D

Disponibile solamente se Tipo di riempimento è stato settato su effetto di riempimento.
Definisce l´effetto di riempimento degli elementi.

  • Lineare: effetto di riempimento omogeneo
  • Da un punto definito: effetto di riempimento dai bordi verso il centro.
  • Da un punto definito effetto beam: effetto di riempimento dai bordi verso il centro con formazione di angoli.
  • Effetto Bright: dal basso fino alla metà, poi riempimento dalla metà verso l´alto (solo se la forma selezionata è "squadrato").

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Lightning


ID_ELE_LINECOLOR

Interno ID: ID_ELE_LINECOLOR

Colore di linea

Definisce il colore di linea dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColorEx


ID_ELE_NUM_BASE_ON

Interno ID: ID_ELE_NUM_BASE_ON

Visualizzazione base

È disponibile solamente se per la proprietà Base numerica di visualizzazione sono state selezionate le opzioni binaria, esadecimale , oppure ottale.

  • Attivo: dietro al valore viene visualizzata un´abbreviazione per la base numerica.

Vengono visualizzate le seguenti abbreviazioni:

  • Binario b
  • Decimale: (nessuna abbreviazione)
  • Esponenziale: (nessuna abbreviazione)
  • Esadecimale: h
  • Ottale: o

Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowValueBasis


ID_ELE_PROP0

Interno ID: ID_ELE_PROP0

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ELE_PROP1

Interno ID: ID_ELE_PROP1

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tab


ID_ELE_PROP2

Interno ID: ID_ELE_PROP2

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnderCE


ID_ELE_PROP5

Interno ID: ID_ELE_PROP5

Tipo controllo

  • ComboBox Questo elemento viene usato come Combobox.
  • Listbox Questo elemento viene usato come Listbox.

Default: Listbox

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlType


ID_ELE_PROP10

Interno ID: ID_ELE_PROP10

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartX


ID_ELE_PROP11

Interno ID: ID_ELE_PROP11

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartY


ID_ELE_PROP12

Interno ID: ID_ELE_PROP12

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndX


ID_ELE_PROP13

Interno ID: ID_ELE_PROP13

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndY


ID_ELE_PROP14

Interno ID: ID_ELE_PROP14

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_ELE_PROP15

Interno ID: ID_ELE_PROP15

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_ELE_PROP16

Interno ID: ID_ELE_PROP16

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Stationname


ID_ELE_PROP17

Interno ID: ID_ELE_PROP17

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomMin


ID_ELE_PROP18

Interno ID: ID_ELE_PROP18

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomMax


ID_ELE_PROP19

Interno ID: ID_ELE_PROP19

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinkedFont


ID_ELE_PROP20

Interno ID: ID_ELE_PROP20

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Init


ID_ELE_PROP21

Interno ID: ID_ELE_PROP21

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftClickUp


ID_ELE_PROP22

Interno ID: ID_ELE_PROP22

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftClickDown


ID_ELE_PROP23

Interno ID: ID_ELE_PROP23

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftDClick


ID_ELE_PROP24

Interno ID: ID_ELE_PROP24

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickUp


ID_ELE_PROP25

Interno ID: ID_ELE_PROP25

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickDown


ID_ELE_PROP26

Interno ID: ID_ELE_PROP26

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightDClick


ID_ELE_PROP27

Interno ID: ID_ELE_PROP27

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetFocus


ID_ELE_PROP28

Interno ID: ID_ELE_PROP28

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KillFocus


ID_ELE_PROP29

Interno ID: ID_ELE_PROP29

Draw

Macro VBA che deve essere eseguita quando l´elemento viene ridisegnato sullo schermo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Draw


ID_ELE_PROP30

Interno ID: ID_ELE_PROP30

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Menu


ID_ELE_PROP31

Interno ID: ID_ELE_PROP31

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tooltip


ID_ELE_PROP32

Interno ID: ID_ELE_PROP32

File guida

File della guida (*.chm) che deve essere usato per questo elemento in combinazione con un menù contestuale. Cliccando su ... si apre la finestra di dialogo per la selezione di un file.
Attenzione: in questa finestra di dialogo sono disponibili solamente i file della guida che esistono già nel nodo File/Guida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Helpfile


ID_ELE_PROP33

Interno ID: ID_ELE_PROP33

Capitolo guida

Capitolo della guida che deve essere usato per questo elemento in combinazione con un menù contestuale. Nome della pagina HTML che ne è la base.
Attenzione: questo inserimento è case sensitive.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


ID_ELE_PROP34

Interno ID: ID_ELE_PROP34

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MouseOver


ID_ELE_PROP35

Interno ID: ID_ELE_PROP35

Imposta valore attivo

  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsSetValue


ID_ELE_PROP36

Interno ID: ID_ELE_PROP36

Imposta valore/modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_ELE_PROP37

Interno ID: ID_ELE_PROP37

Testo valore impostabile

Testo che viene usato nel Runtime come proposta per il settare il valore impostabile.

Disponibile solamente se le seguenti condizioni sono soddisfatte:

  • la proprietà Imposta valore attivo è attiva
  • la proprietà Proponi il valore attuale è disattivata
  • la variabile collegata è del tipo STRING

Lunghezza massima del testo: dipende dal valore della proprietà Lunghezza stringa per la variabile collegata.

Nota: Se si usa questa proprietà quando la proprietà Senza dialogo è disattivata, nel Runtime il valore verrà scritto direttamente nell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueText


ID_ELE_PROP38

Interno ID: ID_ELE_PROP38

Immagine

Immagine collegata che viene visualizzata nel "immagine container". Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Tipi di immagine consentiti: AML, Filtro AML, modello di impianto, CEL, Filtro CEL, ETM, HTML, generatore Report, Report Viewer, Standard, Filtro tempo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictureContainerPictureName


ID_ELE_PROP39

Interno ID: ID_ELE_PROP39

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_ELE_PROP40

Interno ID: ID_ELE_PROP40

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_ELE_PROP41

Interno ID: ID_ELE_PROP41

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HWDirect


ID_ELE_PROP42

Interno ID: ID_ELE_PROP42

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Preset


ID_ELE_PROP43

Interno ID: ID_ELE_PROP43

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitFromVar


ID_ELE_PROP44

Interno ID: ID_ELE_PROP44

Imposta valore tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione mediante il menù a tendina:

  • Comandi: il nuovo valore viene settato mediante i Comandi. Per consentire l´inserimento, verrà aperta l´immagine definita nel gruppo comando della variabile collegata.
  • Box di dialogo : il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine di tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), quest´immagine verrà usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, verrà applicata automaticamente la proprietà Utilizza immagine tipo Keyboard. Se nella proprietà Immagine tipo Keyboard è stata definita un´immagine, verrà usata quest´ultima. Altrimenti si userà una keyboard di tipo SETSTRINGKBD.
  • Elemento: il nuovo valore viene inserito direttamente sull'elemento (questa opzione esiste solamente per gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueWith


ID_ELE_PROP45

Interno ID: ID_ELE_PROP45

Visualizza anteprima in editor

Attivo: l´anteprima dell´immagine collegata viene visualizzata nell´Editor.
Nel caso di problemi di performance, si consiglia la disattivazione di questa opzione.

Standard: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowPreviewInEditor


ID_ELE_PROP46

Interno ID: ID_ELE_PROP46

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Passwordlevel


ID_ELE_PROP47

Interno ID: ID_ELE_PROP47

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Signature


ID_ELE_PROP48

Interno ID: ID_ELE_PROP48

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignatureText


ID_ELE_PROP49

Interno ID: ID_ELE_PROP49

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetProgram


ID_ELE_PROP50

Interno ID: ID_ELE_PROP50

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignatureEditModus


ID_ELE_PROP51

Interno ID: ID_ELE_PROP51

Visualizza testo valore limite

Attivo: Il testo di stato/di valore limite della variabile assegnata viene visualizzato nell´elemento.
Inattivo: Non viene visualizzato alcun testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ContitionText


ID_ELE_PROP52

Interno ID: ID_ELE_PROP52

Solo area di riempimento

Attivo: nel caso di cerchi, poligoni e rettangoli assegnati al simbolo collegato, viene modificato solamente il colore di riempimento secondo la definizione colore della variabile di processo. Si conserva il colore della cornice.
Inattivo: anche il bordo verrà colorato in modo corrispondente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillArea


ID_ELE_PROP58

Interno ID: ID_ELE_PROP58

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ELE_PROP59

Interno ID: ID_ELE_PROP59

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_ELE_PROP60

Interno ID: ID_ELE_PROP60

Interruttore

Disponibile solo se la proprietà Imposta valore attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Switch


ID_ELE_PROP61

Interno ID: ID_ELE_PROP61

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scanner


ID_ELE_PROP62

Interno ID: ID_ELE_PROP62

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScannerOn


ID_ELE_PROP63

Interno ID: ID_ELE_PROP63

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FastReaction


ID_ELE_PROP64

Interno ID: ID_ELE_PROP64

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReactionTime


ID_ELE_PROP65

Interno ID: ID_ELE_PROP65

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShortCut


ID_ELE_PROP66

Interno ID: ID_ELE_PROP66

File grafico

File grafico che deve essere visualizzato sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un file.

Nota: Se per la proprietà Dimensione bitmap è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileName


ID_ELE_PROP67

Interno ID: ID_ELE_PROP67

Bitmap per stato Spento (0)

File grafico predefinito o definito dall´utente per lo stato SPENTO dell´interruttore.

Nota: Se per la proprietà Dimensione bitmap è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLow


ID_ELE_PROP68

Interno ID: ID_ELE_PROP68

Bitmap per stato Acceso(1)

File grafico predefinito o definito dall´utente per lo stato ACCESO dell´interruttore.

Nota: Se per la proprietà Dimensione bitmap è stata selezionata l´opzione Dimensione originale, è consigliabile adottare per tutte le grafiche usate nell´elemento la stessa dimensione; questo perché a Runtime la grandezza dell´elemento si adatta a quella del file grafico visualizzato al momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapHigh


ID_ELE_PROP69

Interno ID: ID_ELE_PROP69

Partenza da zero

Ha effetto solo sulla rappresentazione di valori con segni precedenti:
Attivo: la barra va da zero fino al valore attuale della variabile collegata.
Inattivo: la barra va dal valore minimo visualizzato fino al valore attuale della variabile collegata.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FromZero


ID_ELE_PROP70

Interno ID: ID_ELE_PROP70

Tipo di visualizzazione

Tempo assoluto: segnalare il tempo dell’orologio di sistema con la rispettiva formattazione.
Differenza di tempo: il valore di una variabile collegata è visualizzato nel formato di tempo impostato.
Default: tempo assoluto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewType


ID_ELE_PROP71

Interno ID: ID_ELE_PROP71

Formattazione

Format der Zeit-/Datumsanzeige.
Viene selezionata una stringa di formattazione fra quelle della lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Format


ID_ELE_PROP72

Interno ID: ID_ELE_PROP72

Visualizzazione su due righe

Disponibile solamente con "Tempo assoluto":
Attivo: segnalazione contemporanea di ora e data, nella prima riga l’ora e nella seconda riga la data.
Inattivo: La data e l´ora vengono visualizzati in una riga.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoLines


ID_ELE_PROP73

Interno ID: ID_ELE_PROP73

Separatore

Disponibile solo con differenza di tempo:
Separatore per la visualizzazione di ora/data.
(Per es.: in 10:15)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Separator


ID_ELE_PROP75

Interno ID: ID_ELE_PROP75

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Symbol


ID_ELE_PROP76

Interno ID: ID_ELE_PROP76

Testo

Disponibile solamente se è stata collegata una variabile numerica, e se per la proprietà Testo visualizzato si è selezionato Valore limite.

Inserimento del testo che deve essere visualizzato nel Runtime quando non c´è in attesa nessuna violazione di valore limite. Quando si verifica una violazione di valore limite, viene visualizzato il testo configurato nella variabile .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynText


ID_ELE_PROP77

Interno ID: ID_ELE_PROP77

Tipo linea

Selezione del tipo di linea per l´elemento fra quelli della lista.
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza >1 può essere usata solamente con una linea del tipo "linea continua"..
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineType


ID_ELE_PROP78

Interno ID: ID_ELE_PROP78

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillPattern


ID_ELE_PROP79

Interno ID: ID_ELE_PROP79

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MDIFunction


ID_ELE_PROP80

Interno ID: ID_ELE_PROP80

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Legend


ID_ELE_PROP81

Interno ID: ID_ELE_PROP81

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleL


ID_ELE_PROP82

Interno ID: ID_ELE_PROP82

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleH


ID_ELE_PROP83

Interno ID: ID_ELE_PROP83

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HorizontalOrigin


ID_ELE_PROP84

Interno ID: ID_ELE_PROP84

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VerticalOrigin


ID_ELE_PROP85

Interno ID: ID_ELE_PROP85

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PropSymbolNumber


ID_ELE_PROP86

Interno ID: ID_ELE_PROP86

Nome simbolo

Nome del simbolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinkName


ID_ELE_PROP91

Interno ID: ID_ELE_PROP91

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMin


ID_ELE_PROP92

Interno ID: ID_ELE_PROP92

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMax


ID_ELE_PROP93

Interno ID: ID_ELE_PROP93

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

  • Attivo: visualizzazione del valore della variabile senza segno precedente (-200 = 200).
  • Inattiva: normale visualizzazione del valore.

Default: inattivo

Nota: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Absolute


ID_ELE_PROP97

Interno ID: ID_ELE_PROP97

Animazione GIF continua

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Animate


ID_ELE_PROP98

Interno ID: ID_ELE_PROP98

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AnimateVar


ID_ELE_PROP99

Interno ID: ID_ELE_PROP99

Categoria

Concetto della categorizzazione Si può effettuare il filtro o raggruppare anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Category


ID_ELE_PROP100

Interno ID: ID_ELE_PROP100

Descrizione

Descrizione più precisa del simbolo o del gruppo elementi. Si può effettuare il filtro anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_ELE_PROP101

Interno ID: ID_ELE_PROP101

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


ID_ELE_PROP102

Interno ID: ID_ELE_PROP102

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


ID_ELE_PROP103

Interno ID: ID_ELE_PROP103

Colore barra

Colore per la barra dei Bargraf. Il colore impostato viene usato quando non è in attesa una violazione del valore limite della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


ID_ELE_PROP104

Interno ID: ID_ELE_PROP104

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Transparent


ID_ELE_PROP108

Interno ID: ID_ELE_PROP108

Füllfarbe

Colore di riempimento e/o colore di sfondo dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


ID_ELE_PROP109

Interno ID: ID_ELE_PROP109

Gruppo simboli

Definisce l´appartenenza ai gruppi del simbolo. Questo valore non può essere cambiato. Simboli della libreria simboli nel progetto globale oppure nel progetto locale ricevono il valore Progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Group


ID_ELE_PROP111

Interno ID: ID_ELE_PROP111

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1


ID_ELE_PROP112

Interno ID: ID_ELE_PROP112

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2


ID_ELE_PROP113

Interno ID: ID_ELE_PROP113

A capo automatico

  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wordbreak


ID_ELE_PROP114

Interno ID: ID_ELE_PROP114

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DownText


ID_ELE_PROP115

Interno ID: ID_ELE_PROP115

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktOnDown


ID_ELE_PROP116

Interno ID: ID_ELE_PROP116

Forma pulsanti

Forma del pulsante:

  • Squadrato: Gli angoli del pulsante sono netti; usando le proprietà del gruppo Arrotondamento si può definire l´arrotondamento degli angoli.
  • Rotondo: il pulsante viene visualizzato in forma rotonda.

Default: Squadrato

Da questa impostazione dipendono le impostazioni per Effetto riempimento 3-D.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleBorder


ID_ELE_PROP117

Interno ID: ID_ELE_PROP117

Inverti colori

Disponibile solamente se come Tipo di riempimento è selezionato Effetto di riempimento.
Attiva: l´effetto di luminosità viene invertito.
Inattiva: l´effetto di luminosità non viene invertito.
Default: Inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleInvert


ID_ELE_PROP118

Interno ID: ID_ELE_PROP118

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleFill


ID_ELE_PROP121

Interno ID: ID_ELE_PROP121

Visualizza stato della variabile

Visualizzazione grafica dello stato della variabile. Selezione della checkbox.

  • Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato sull´elemento.

    Colore:

    • Quadrato rosso:
      Comunicazione con il PLC non esistente.
      Esempio: INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Quadrato blu (N_UPDATE):
      Sul client in rete:
      il client ha perso il collegamento con il server primario.

      Con un progetto di integrazione standalone:
      il server primario del sottoprogetto non ha ancora fornito i dati.
    • Quadrato giallo (PR_NR):
      visualizza a Runtime durante la riproduzione nel Process Recorder che la variabile non è stata registrata. Per questa ragione, non c`è nessun valore conosciuto nella riproduzione.

    Posizione:
    la posizione del quadrato sull´elemento dipende dalla forma dell´elemento stesso:

    • squadrato e tutti gli altri elementi:
      angolo in alto a destra
    • elemento rotondo:
      in alto, al centro.
    • elemento arrotondato:
      angolo in alto a destra, spostato leggermente a sinistra
  • Inattivo: lo stato non viene visualizzato.
    Disattiva anche la visualizzazione di ulteriori informazioni sulla variabile con un clic con il tasto destro del mouse.

Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowState


ID_ELE_PROP122

Interno ID: ID_ELE_PROP122

Orientamento orizzontale

Orientamento orizzontale del valore per la visualizzazione.
Selezione dal menù a tendina:

  • Sinistra
  • Destra
  • Centrato

Default: Centrato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HorizontalAlign


ID_ELE_PROP123

Interno ID: ID_ELE_PROP123

Orientamento verticale

Orientamento orizzontale del valore per la visualizzazione.
Selezione dal menù a tendina:

  • In su
  • In giù
  • Centrato

Default: Centrato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VerticalAlign


ID_ELE_PROP124

Interno ID: ID_ELE_PROP124

Cornice elemento

Menù a tendina per la selezione del tipo di cornice. Sono a disposizione:

Per l´elemento pulsante

  • Cornice fine
  • 3D

Default: Cornice fine

Per altri elementi dinamici

  • Bordo in rilievo
  • Bordo non in rilievo
  • Nessuna cornice
  • Aumento classico
  • Modo rilievo classico
  • Margine aumentato
  • Margine abbassato

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Frame


ID_ELE_PROP125

Interno ID: ID_ELE_PROP125

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowUnit


ID_ELE_PROP126

Interno ID: ID_ELE_PROP126

Visualizza valore in una percentuale

  • Attivo: il valore della variabile viene rappresentato in valori compresi fra 0 - 100%.
  • Inattivo: Il valore viene rappresentato come di solito.

Fascia di valori:

  • Area di misurazione: minimo. 0%
  • Area di misurazione: massimo. 100%

La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Percentage


ID_ELE_PROP127

Interno ID: ID_ELE_PROP127

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThreeDimensional


ID_ELE_PROP129

Interno ID: ID_ELE_PROP129

Rappresentazione percentuale

Attivo: il valore della variabile viene visualizzato in valori compresi fra 0 e 100%.
0% = Area di misurazione: minimo.
100% = Area di misurazione: massimo.
La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Inattivo: Il valore viene rappresentato come di solito.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Percentage


ID_ELE_PROP130

Interno ID: ID_ELE_PROP130

Nastro

Disponibile solo se la proprietà Cerchio parziale non è attivata.

Disponibile sotto Windows CE.

  • Attivo: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
  • Inattivo: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Ribbon


ID_ELE_PROP131

Interno ID: ID_ELE_PROP131

Cerchio parziale

Disponibile solo se la proprietà Nastro non è attivata.

  • Attivo: Il valore viene visualizzato in forma di segmento di cerchio che va dal valore minimo al valore attuale.
  • Inattivo: Non viene visualizzato nessun segmento di cerchio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Pie


ID_ELE_PROP132

Interno ID: ID_ELE_PROP132

Esplicito

Questa proprietà ha effetto solamente sulla visualizzazione di valori con valori limite definiti da variabili.
I valori limite da matrici di reazione non vengono analizzati.

  • Attivo: se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se per la variabile sono stati definiti diversi valori limite, le aree corrispondenti della rappresentazione sono visualizzate usando il colore del valore limite corrispondente.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la rappresentazione viene visualizzata usando il colore del valore limite violato.

Default: inattivo

Nota: per l´elemento Strumento analogico disponibile solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Explicit


ID_ELE_PROP135

Interno ID: ID_ELE_PROP135

Visualizza curve come area

Attivo: Le curve vengono visualizzate come superfici.
Inattivo: Le curve vengono visualizzate come linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Area


ID_ELE_PROP136

Interno ID: ID_ELE_PROP136

Non interpolare

Attivo: i valori vengono collegati in livelli senza interpolazione.
Inattivo: I valori vengono collegati con interpolazione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NoInterpolation


ID_ELE_PROP137

Interno ID: ID_ELE_PROP137

Visualizza valori numerici

Attivo: Tutti i valori dell´ultimo refresh vengono visualizzati in forma numerica per tutte le variabili collegate.
Inattivo: I valori non vengono visualizzati.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumericalValues


ID_ELE_PROP138

Interno ID: ID_ELE_PROP138

Visualizza assi

Attivo: Vengono visualizzati l´asse di tempo e percentuale.
Inattivo: Non viene visualizzato nessun asse.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Axes


ID_ELE_PROP139

Interno ID: ID_ELE_PROP139

Visualizza informazione curva

Attivo: Il nome o il testo breve modificato e l´area di misurazione delle variabili collegate vengono visualizzati in una legenda.
Inattivo: Non viene visualizzata nessuna legenda.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Addresses


ID_ELE_PROP140

Interno ID: ID_ELE_PROP140

Settare valore durante il movimento del mouse

Attivo: Continuo invio di nuovi valori mentre si muove il mouse.
Inattivo: invio singolo di un nuovo valore quando si rilascia il tasto del mouse.
(Solo quando nella sezione “Valore impostabile” é attivata l’opzione “Direttamente su Hardware“).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MouseMovement


ID_ELE_PROP141

Interno ID: ID_ELE_PROP141

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell’elemento possono essere scelti liberamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowValue


ID_ELE_PROP142

Interno ID: ID_ELE_PROP142

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: la dimensione del file grafico viene adeguata a quella dell´elemento.
  • Dimensione originale: la grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multi-binari, gli elementi combinati, bottone e interruttore.
    Tutti i file grafici dovrebbero avere la stessa dimensione.

Default: allungato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicSize


ID_ELE_PROP150

Interno ID: ID_ELE_PROP150

Larghezza linea

Larghezza linea (in pixel).

  • Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
  • Massimo: 40

Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidth


ID_ELE_PROP151

Interno ID: ID_ELE_PROP151

Colore valore

Colore per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueColor


ID_ELE_PROP152

Interno ID: ID_ELE_PROP152

Posizione valore

Posizione per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValuePos


ID_ELE_PROP153

Interno ID: ID_ELE_PROP153

Angolo di partenza

Definizione dell’angolo iniziale (0° in basso a sinistra, poi in senso orario).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartAngle


ID_ELE_PROP154

Interno ID: ID_ELE_PROP154

Angolo terminale

angolo di apertura della deviazione dell’ago (max.360° - angolo di start)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpeningAngle


ID_ELE_PROP155

Interno ID: ID_ELE_PROP155

Larghezza scroll [%]

Questa proprietà stabilisce di quale valore in % la curva verrà spostata quando viene raggiunto il limite di visualizzazione; è possibile inserire valori compresi fra 0%-100%; l´inserimento può avvenire direttamente o facendo uso di scrollbar.
0%: Ogni qualvolta viene effettuato un nuovo inserimento, cancellare quello precedente.
50%: Se se ne supera la dimensione, cancellare la metà dell´area immagine e continuare a scrivere.
100%: Se se ne supera la dimensione, cancellare l´intera area immagine e iniziare di nuovo.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScrollWidth


ID_ELE_PROP156

Interno ID: ID_ELE_PROP156

Direzione

Questa proprietà definisce la modalità di visualizzazione dell´asse tempo.
a destra: A sinistra valore più vecchio, a destra valore più recente.
a sinistra: A destra valore più vecchio, a sinistra valore più recente.
in su: Sotto valore più vecchio, sopra valore più recente.
in giù: In alto valore più vecchio, in basso valore più recente.
Se gli assi vengono visualizzati, una freccia posta nell´angolo in basso a sinistra dell´elemento indica la direzione.
Default: a destra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_ELE_PROP157

Interno ID: ID_ELE_PROP157

Testo

Testo che deve essere visualizzato nell´immagine.

con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_ELE_PROP158

Interno ID: ID_ELE_PROP158

Textwinkel [°]

Angolo per la visualizzazione del testo.

ATTENZIONE: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextAngle


ID_ELE_PROP159

Interno ID: ID_ELE_PROP159

Buchstabenneigung [°]

Inclinazione lettere.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextLetterAngle


ID_ELE_PROP160

Interno ID: ID_ELE_PROP160

Base numerica di visualizzazione

Selezione del sistema di numerazione per la rappresentazione dei valori.
Sono disponibili i seguenti sistemi di numerazione:

  • Binari: rappresentazione binaria.
  • Decimale: Rappresentazione decimale.
  • Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
  • Esadecimale: Rappresentazione esadecimale.
  • Ottale: Rappresentazione ottale.

Default: Decimale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueBase


ID_ELE_PROP161

Interno ID: ID_ELE_PROP161

Visualizza scala

Attivo: Viene visualizzata una scala vicino all´elemento.
Inattivo: Non viene visualizzata nessuna scala.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowScale


ID_ELE_PROP162

Interno ID: ID_ELE_PROP162

Distanza [Pixel]

Distanza fra scala ed elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScaleDistance


ID_ELE_PROP163

Interno ID: ID_ELE_PROP163

Altezza [Pixel]

Altezza della scala (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScaleHeight


ID_ELE_PROP164

Interno ID: ID_ELE_PROP164

Suddivisioni principali

Campo valori per i tick principali (indicazione di cifra) della scala.

Esempio: L'inserimento 50 porta alla visualizzazione di un tick principale in intervalli di 50: 0 - 50 - 100 - 150 ...

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTicks


ID_ELE_PROP165

Interno ID: ID_ELE_PROP165

Suddivisioni secondare

Campo valori per le suddivisioni secondarie (nessuna indicazione di cifra) sulla scala.
Esempio: Se si inserisce 100, il sistema visualizzerà una suddivisione secondaria per ogni avanzamento di mille iniziando dal valore più piccolo visualizzato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTicks


ID_ELE_PROP166

Interno ID: ID_ELE_PROP166

Colore divisioni principali

Colore per i tick principali (indicazione di cifra) della scala.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTickColor


ID_ELE_PROP167

Interno ID: ID_ELE_PROP167

Colori divisioni secondarie

Colore dei tick secondari (nessuna indicazione di cifra) sulla scala.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTickColor


ID_ELE_PROP168

Interno ID: ID_ELE_PROP168

Visualizza legenda

Se attivata viene visualizzata una legènda (valori) alla scala.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLegend


ID_ELE_PROP169

Interno ID: ID_ELE_PROP169

Distanza [Pixel]

Distanza fra legenda e scala (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LegendDistance


ID_ELE_PROP170

Interno ID: ID_ELE_PROP170

Colore legenda

Colore della legenda.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LegendColor


ID_ELE_PROP171

Interno ID: ID_ELE_PROP171

Logaritmica

Attivo: Scala logaritmica
Inattivo: Scala lineare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Logarithmic


ID_ELE_PROP172

Interno ID: ID_ELE_PROP172

Direzione invertita

Inversione di valore minimo e massimo nella rappresentazione grafica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReverseDirection


ID_ELE_PROP173

Interno ID: ID_ELE_PROP173

Discreto

Inserimento valore a passi impostati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Discrete


ID_ELE_PROP174

Interno ID: ID_ELE_PROP174

Livelli discreti

Numero dei passi per la proprietà Livelli discreti.

Minimo: 2

Massimo: 20

Default: 5

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DiscreteSteps


ID_ELE_PROP175

Interno ID: ID_ELE_PROP175

Visualizza bottone

Al posto del valore attuale sull’elemento viene visualizzato un elemento di comando (bottone).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowKnob


ID_ELE_PROP176

Interno ID: ID_ELE_PROP176

Forma di bottone

Forma del bottone.

Selezione dal menù a tendina:

  • Elevata
  • Piatto
  • In rilievo

Default: In rilievo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KnobStyle


ID_ELE_PROP177

Interno ID: ID_ELE_PROP177

Colore bottone

Colore del bottone.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KnobColor


ID_ELE_PROP191

Interno ID: ID_ELE_PROP191

Forma

Lineare: Rappresentazione come bara o slider.
Rotondo: Visualizzazione come strumento analogico

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Shape


ID_ELE_PROP192

Interno ID: ID_ELE_PROP192

Orientamento

Nota: disponibile solo per forma lineare.

  • Orizzontale: visualizzazione orizzontale della barra o dello slider.
  • Verticale: visualizzazione verticale della barra o dello slider.

Default: orizzontale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Align


ID_ELE_PROP193

Interno ID: ID_ELE_PROP193

Angolo di partenza

Definizione dell’angolo iniziale (0° in basso al centro, poi in senso orario).

Deve essere minore a Angolo estremo

Per l´elemento slider universale, disponibile solo se è stata selezionata la forma "rotondo".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Start


ID_ELE_PROP194

Interno ID: ID_ELE_PROP194

Angolo estremo

Definizione dell’angolo estremo (0° in basso al centro, poi in senso orario).

Non può essere minore di Angolo di partenza.

Per l´elemento slider universale, disponibile solo se è stata selezionata la forma "rotondo".
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

End


ID_ELE_PROP195

Interno ID: ID_ELE_PROP195

Stile

Tipo di visualizzazione a Runtime.
Selezione dal menù a tendina:

  • Barra
  • Scala animata
    Nota: A Runtime, i valori possono essere modificati solamente usando una finestra di dialogo. Non è possibile modificare i valori direttamente mediante lo slider.
  • Barre LED
  • Slider/Potenziometro

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Style


ID_ELE_PROP196

Interno ID: ID_ELE_PROP196

Tipo di lancetta

Indicazione grafica del valore corrente tramite:

  • Linea
  • Lancetta
  • Triangolo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Pointer


ID_ELE_PROP197

Interno ID: ID_ELE_PROP197

Barra esplicita

Disponibile solamente se per la proprietà Stile Barra si è selezionata l´opzione Scala animata o Barre LED.

Questa proprietà ha effetto solamente sulla visualizzazione di valori con valori limite definiti da variabili.
I valori limite da matrici di reazione non vengono analizzati.

  • Attivo: se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se per la variabile sono stati definiti diversi valori limite, le aree corrispondenti della rappresentazione sono visualizzate usando il colore del valore limite corrispondente.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la rappresentazione viene visualizzata usando il colore del valore limite violato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Explicit


ID_ELE_PROP198

Interno ID: ID_ELE_PROP198

Colore lancetta/barra

Colore della lancetta resp. barra

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerColor


ID_ELE_PROP199

Interno ID: ID_ELE_PROP199

Visualizza lancetta

Lancetta Attivare la visualizzazione min/max.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinMaxView


ID_ELE_PROP200

Interno ID: ID_ELE_PROP200

Rappresentazione

Visualizzazione grafica (lancetta) per valore min. e max. mediante:

  • Linea
  • Lancetta
  • Triangolo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinMaxShape


ID_ELE_PROP201

Interno ID: ID_ELE_PROP201

Colore valore min.

Colore per il minimo visualizzato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinColor


ID_ELE_PROP202

Interno ID: ID_ELE_PROP202

Colore valore max.

Colore per il massimo visualizzato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxColor


ID_ELE_PROP203

Interno ID: ID_ELE_PROP203

Reset automatico

Lancetta comando per visualizzazione MIN/MAX ripristinata automaticamente dopo il tempo inserito.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoReset


ID_ELE_PROP204

Interno ID: ID_ELE_PROP204

Reset automatico dopo [min]

Tempo per il resettaggio automatico di Min./Max. Visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoResetTime


ID_ELE_PROP211

Interno ID: ID_ELE_PROP211

Sinistra [Pixel]

Distanza tra il margine sinistro dell´elemento e la visualizzazione grafica (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftFrame


ID_ELE_PROP212

Interno ID: ID_ELE_PROP212

Destra [Pixel]

Distanza tra il margine a destra dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightFrame


ID_ELE_PROP213

Interno ID: ID_ELE_PROP213

Su [Pixel]

Distanza tra il margine superiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopFrame


ID_ELE_PROP214

Interno ID: ID_ELE_PROP214

Giu [Pixel]

Distanza tra il margine inferiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BottomFrame


ID_ELE_PROP221

Interno ID: ID_ELE_PROP221

Visualizza titolo

Visualizza titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_ELE_PROP222

Interno ID: ID_ELE_PROP222

Posizione titolo

Posizione del titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitlePos


ID_ELE_PROP223

Interno ID: ID_ELE_PROP223

Colore titolo

Colore testo del titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleColor


ID_ELE_PROP224

Interno ID: ID_ELE_PROP224

Testo titolo

Testo che deve essere visualizzato come titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleText


ID_ELE_PROP225

Interno ID: ID_ELE_PROP225

Distanza [Pixel]

Distanza fra titolo e segnalazione del valore (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueDistance


ID_ELE_PROP231

Interno ID: ID_ELE_PROP231

Direzione

Direzione della barra.
in su: valore minore in basso, valore maggiore in alto.
in giù: valore minore in alto, valore maggiore in basso.
a sinistra: valore minore a destra, valore maggiore a sinistra.
a destra: valore minore a sinistra, valore maggiore a destra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_ELE_PROP241

Interno ID: ID_ELE_PROP241

Ore

Ore dell´intervallo di tempo di visualizzazione.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationHour


ID_ELE_PROP242

Interno ID: ID_ELE_PROP242

Minuti

Minuti dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationMinute


ID_ELE_PROP243

Interno ID: ID_ELE_PROP243

Secondi

Secondi dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationSecond


ID_ELE_PROP251

Interno ID: ID_ELE_PROP251

Ore

Ore del tempo di aggiornamento.
Minimo: 0.
Massimo: 119304.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshHour


ID_ELE_PROP252

Interno ID: ID_ELE_PROP252

Minuti

Minuti del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshMinute


ID_ELE_PROP253

Interno ID: ID_ELE_PROP253

Secondi

Secondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 1.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshSecond


ID_ELE_PROP254

Interno ID: ID_ELE_PROP254

Millisecondi

Millisecondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 999.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshMilliSecond


ID_ELE_PROP256

Interno ID: ID_ELE_PROP256

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FunctionParameter


ID_ELE_PROP262

Interno ID: ID_ELE_PROP262

Colore di linea

colore normale; nel caso di violazione valore limite si utilizza il colore valore limite.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColor


ID_ELE_PROP263

Interno ID: ID_ELE_PROP263

Tipo di linea

continua, tratteggiata, tratto punto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineStyle


ID_ELE_PROP264

Interno ID: ID_ELE_PROP264

Range minimo di visualizzazione

Minimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione).
Minimo: valore minimo della variabile.
Massimo: valore massimo della variabile.
Default: valore minimo della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMin


ID_ELE_PROP265

Interno ID: ID_ELE_PROP265

Range massimo di visualizzazione

Massimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione)
Minimo: valore minimo della variabile.
Massimo: valore massimo della variabile.
Default: valore massimo della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMax


ID_ELE_PROP266

Interno ID: ID_ELE_PROP266

Nome curva

Visualizzazione nel caso si sia settata l´opzione "Visualizza informazione curva”.
Se questa proprietà rimane vuota, verrà visualizzato il nome della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TrendText


ID_ELE_PROP271

Interno ID: ID_ELE_PROP271

Rappresentazione

Selezione del tipo di visualizzazione fra quelli della lista a cascata.

  • Bitmap e Simbolo d'immagine: Per ogni stato si può selezionare un file grafico oppure un simbolo d'immagine (simbolo o gruppo elementi).
    Inoltre, si può anche modificare il colore di un simbolo d'immagine.
  • Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
  • Simbolo dalla biblioteca: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
  • Simbolo: Per ogni stato si può definire un carattere (solo SICAM 230).
  • Simbolo d'immagine e Testi di stato: Per ogni stato si può definire un testo.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationStyle


ID_ELE_PROP272

Interno ID: ID_ELE_PROP272

Sovrapposti

Disponibile solo per tipo di visualizzazione "Simbolo dalla libreria":
Attivo: se sono attivi diversi stati, la rappresentazione avviene in modo sovrapposto, cioè vengono indicati tutti gli stati attivi.
Inattivo: viene visualizzato solamente lo stato attivo con la massima priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Overlapping


ID_ELE_PROP273

Interno ID: ID_ELE_PROP273

Colori separati

Disponibile solo se è attivo "Sovrapposti":
Attivo: ogni stato viene rappresentato con il suo colore definito.
Inattivo: viene usato il colore dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparateColors


ID_ELE_PROP274

Interno ID: ID_ELE_PROP274

Lampeggio separato

Disponibile solo se è attivo "Sovrapposti":
Attivo: Il lampeggio di ogni stato viene visualizzato separatamente.
Inattivo: viene usato il lampeggio dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparateBlinking


ID_ELE_PROP275

Interno ID: ID_ELE_PROP275

Testi concatenati

Disponibile solo per tipo di visualizzazione "Testo di stato":
Attivo: Se sono attivi diversi stati contemporaneamente i testi vengono visualizzati come stringa combinata.
Inattivo: viene usato il testo dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Chained


ID_ELE_PROP276

Interno ID: ID_ELE_PROP276

Trasparente

Attivo: Lo sfondo del simbolo è trasparente.
Inattivo: Lo sfondo del simbolo può essere definito separatamente per ogni stato.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillColor


ID_ELE_PROP278

Interno ID: ID_ELE_PROP278

Con dimensione originale

Attivo: Il file grafico viene rappresentato nella sua grandezza originale.
Inattivo: Il file grafico viene allungato in corrispondenza della grandezza dell´elemento.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OriginalSize


ID_ELE_PROP279

Interno ID: ID_ELE_PROP279

Immagine simbolo attivo

Disponibile solamente se per la proprietà Rappresentazione si è selezionato File grafico e simbolo d'immagine oppure Testo di stato e simbolo d'immagine.

  • Attivo: oltre al file grafico e/o al testo di stato animati, si può visualizzare anche un simbolo d'immagine.
  • Inattivo: Non viene usato nessun simbolo d'immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsPictureSymbol


ID_ELE_PROP280

Interno ID: ID_ELE_PROP280

Simbolo immagine

Disponibile solamente se per la proprietà Rappresentazione si è selezionato Solo simbolo d'immagine, oppure se la proprietà Immagine simbolo attivo è stata attivata.
Selezione del simbolo d'immagine il cui colore deve cambiare a seconda dello stato. Può essere un simbolo oppure un gruppo elementi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictureSymbol


ID_ELE_PROP281

Interno ID: ID_ELE_PROP281

Solo area riempimento

Attivo: Il cambio colore riguarda solamente la superficie di riempimento.
Inattivo: Il cambio colore riguarda anche le linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillAreaOnly


ID_ELE_PROP282

Interno ID: ID_ELE_PROP282

Riprendi lampeggio dalla variabile principale

Attivo: L´attributo lampeggio della variabile principale viene ripreso e può essere ripristinato anche sull´elemento.
Inattivo: non c´è nessun lampeggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingFromVariable


ID_ELE_PROP283

Interno ID: ID_ELE_PROP283

Rileva lampeggio di tutte le variabili

Disponibile solamente se l´opzione "Riprendi lampeggio dalla variabile principale" è attiva:
Attivo: Le proprietà di lampeggiamento di tutte le variabili vengon riprese.
Inattivo: Viene ripreso solo l´attributo lampeggio della variabile principale oppure non c´è nessun lampeggio (ciò dipende dalla proprietà "Riprendi lampeggio dalla variabile principale").

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingFromAllVariables


ID_ELE_PROP284

Interno ID: ID_ELE_PROP284

Sfondo lampeggio trasparente

Attivo: Lo sfondo del simbolo durante il lampeggio è trasparente (lo sfondo di un file grafico non può essere trasparente).
Inattivo: Lo sfondo del simbolo non è trasparente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingBackGroundTransparent


ID_ELE_PROP285

Interno ID: ID_ELE_PROP285

Colore lampeggio

Colore di sfondo con l'opzione "Sfondo lampeggio trasparente" non settata

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingBackColor


ID_ELE_PROP286

Interno ID: ID_ELE_PROP286

Visualizza stato della variabile

Con l’utilizzo dell’opzione “Mostra lo stato“, quando si usa il tasto destro del mouse durante il lavoro online viene visualizzato, oltre alla variabile, anche l´attuale settaggio bit di stato per la variabile impostata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowState


ID_ELE_PROP287

Interno ID: ID_ELE_PROP287

Visualizza stato con punto rosso

In presenza di uno stato di errore (per esempio "disturbato") viene segnalata in alto a destra dell’elemento una marcatura rossa.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RedPoint


ID_ELE_PROP288

Interno ID: ID_ELE_PROP288

Tipo topologico

Tipo topologico

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyType


ID_ELE_PROP289

Interno ID: ID_ELE_PROP289

Lato trasformatore

Lato trasformatore

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TransformerSide


ID_ELE_PROP290

Interno ID: ID_ELE_PROP290

Numero di alimentazione

Numero di alimentazione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SupplyNumber


ID_ELE_PROP291

Interno ID: ID_ELE_PROP291

Stati e test

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StateAndTest


ID_ELE_PROP292

Interno ID: ID_ELE_PROP292

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: Se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorFromVariable


ID_ELE_PROP293

Interno ID: ID_ELE_PROP293

Applica proprietà di progetto per "bloccato"

Impostazione che determina se il comportamento dei tasti viene ripreso dalla proprietà di progetto. In questo contesto vengono prese in considerazione le impostazioni delle seguenti proprietà di progetto:

  • Login e firma -> Tasti bloccati
  • Elementi bloccati -> Pulsanti bloccati

Impostazioni possibili:

  • Attivo: Le impostazioni vengono riprese dalla proprietà di progetto.
    Nota: L´impostazione Grigio non ha alcun effetto sui testi all´interno di simboli.
  • Inattivo: Le impostazioni non vengono applicate.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisabledStyleAsButtons


ID_ELE_PROP294

Interno ID: ID_ELE_PROP294

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StayPressed


ID_ELE_PROP296

Interno ID: ID_ELE_PROP296

Stati

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


ID_ELE_PROP298

Interno ID: ID_ELE_PROP298

Colore di riempimento periodo non lavorativo

Colore di sfondo del tempo libero/non lavorativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorNonWorkingHours


ID_ELE_PROP299

Interno ID: ID_ELE_PROP299

Colore di riempimento periodo lavorativo

Colore di sfondo del tempo lavorativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorWorkingHours


ID_ELE_PROP301

Interno ID: ID_ELE_PROP301

Tempo per cambio di testo [s]

a più bits settati delle variabili di riga si esegue il cambio testo automatico dopo il tempo progettato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextChangeTime


ID_ELE_PROP302

Interno ID: ID_ELE_PROP302

File testo

Scelta del file di testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageText


ID_ELE_PROP303

Interno ID: ID_ELE_PROP303

Selezione colonne

La variabile colonne deve essere una variabile del tipo word e definisce la posizione della colonna, dalla quale si riprende il testo.

Attenzione: La variabile colonne deve essere selezionata prima della variabile di riga.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_ELE_PROP304

Interno ID: ID_ELE_PROP304

Attivazione linea

La variabile di riga definisce la posizione della riga, dalla quale si riprende il testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColVars


ID_ELE_PROP306

Interno ID: ID_ELE_PROP306

Impostazioni ActiveX

Selezione dell´elemento ActiveX e della variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActiveX


ID_ELE_PROP312

Interno ID: ID_ELE_PROP312

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OuterBrightness


ID_ELE_PROP313

Interno ID: ID_ELE_PROP313

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InnerBrightness


ID_ELE_PROP321

Interno ID: ID_ELE_PROP321

Modifica direzione X attiva

Attivo: Movimento orizzontale dell´elemento collegato è disponibile.
Inattivo: Movimento orizzontale non è disponibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsXActive


ID_ELE_PROP322

Interno ID: ID_ELE_PROP322

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVariable


ID_ELE_PROP323

Interno ID: ID_ELE_PROP323

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVarMin


ID_ELE_PROP324

Interno ID: ID_ELE_PROP324

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVarMax


ID_ELE_PROP325

Interno ID: ID_ELE_PROP325

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XViewMin


ID_ELE_PROP326

Interno ID: ID_ELE_PROP326

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XViewMax


ID_ELE_PROP327

Interno ID: ID_ELE_PROP327

Modifica direzione Y attiva

Attivo: Movimento verticale dell´elemento collegato è disponibile.
Inattivo: Movimento verticale non è disponibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsYActive


ID_ELE_PROP328

Interno ID: ID_ELE_PROP328

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVariable


ID_ELE_PROP329

Interno ID: ID_ELE_PROP329

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVarMin


ID_ELE_PROP330

Interno ID: ID_ELE_PROP330

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVarMax


ID_ELE_PROP331

Interno ID: ID_ELE_PROP331

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YViewMin


ID_ELE_PROP332

Interno ID: ID_ELE_PROP332

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YViewMax


ID_ELE_PROP333

Interno ID: ID_ELE_PROP333

Modifica larghezza attiva

Attivo: Lo zoom della larghezza dell´elemento collegato è disponibile.
Inattivo: Lo zoom della larghezza non è disponibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsXZoomActive


ID_ELE_PROP334

Interno ID: ID_ELE_PROP334

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVariable


ID_ELE_PROP335

Interno ID: ID_ELE_PROP335

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVarMin


ID_ELE_PROP336

Interno ID: ID_ELE_PROP336

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVarMax


ID_ELE_PROP337

Interno ID: ID_ELE_PROP337

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomViewMin


ID_ELE_PROP338

Interno ID: ID_ELE_PROP338

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomViewMax


ID_ELE_PROP339

Interno ID: ID_ELE_PROP339

Modifica altezza attiva

Attivare lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsYZoomActive


ID_ELE_PROP340

Interno ID: ID_ELE_PROP340

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVariable


ID_ELE_PROP341

Interno ID: ID_ELE_PROP341

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVarMin


ID_ELE_PROP342

Interno ID: ID_ELE_PROP342

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVarMax


ID_ELE_PROP343

Interno ID: ID_ELE_PROP343

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomViewMin


ID_ELE_PROP344

Interno ID: ID_ELE_PROP344

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomViewMax


ID_ELE_PROP345

Interno ID: ID_ELE_PROP345

Drehen aktiv

Attivo: Rotazione dell´elemento collegato è disponibile.
Inattivo: la rotazione non è disponibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsTwistActive


ID_ELE_PROP346

Interno ID: ID_ELE_PROP346

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVariable


ID_ELE_PROP347

Interno ID: ID_ELE_PROP347

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVarMin


ID_ELE_PROP348

Interno ID: ID_ELE_PROP348

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVarMax


ID_ELE_PROP349

Interno ID: ID_ELE_PROP349

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistViewMin


ID_ELE_PROP350

Interno ID: ID_ELE_PROP350

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistViewMax


ID_ELE_PROP351

Interno ID: ID_ELE_PROP351

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


ID_ELE_PROP354

Interno ID: ID_ELE_PROP354

Colore di sfondo

Colori di sfondo dell’elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonFillColor


ID_ELE_PROP357

Interno ID: ID_ELE_PROP357

Globale

Gli allarmi vengono tenuti in considerazione in tutto il sistema.
Uso principale: Allarme somme della lista allarmi globale.
Attiva: Gli allarmi vengono tenuti in considerazione indipendentemente dall'immagine collegata.
La funzione collegata viene utilizzata solo per il cambio immagine.

Non attiva: Solo allarmi dell'immagine collegata vengono presi in considerazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAGlobal


ID_ELE_PROP358

Interno ID: ID_ELE_PROP358

Progetto

Selezione di un singolo progetto oppure di tutti i progetti.

Disponibile solo se è attiva l'opzione Globale.

Uso nel caso di progetti multiutente.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAProjekt


ID_ELE_PROP359

Interno ID: ID_ELE_PROP359

Priorità

Fissare la priorità di classi allarmi/eventi.
Attiva: Anche nel caso della selezione di diverse classi allarmi/eventi ne viene visualizzata solo una.
Regole di priorità:

  1. Tanto più piccolo è il numero della classe, tanto maggiore è la priorità.
  2. Non ripristinato è di maggiore priorità di ripristinato.

Non attiva: tutte le classi selezionate vengono visualizzate contemporaneamente (una accanto all'altra).

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAPriorit?t


ID_ELE_PROP360

Interno ID: ID_ELE_PROP360

Invisibile

L'elemento non viene visualizzato nel Runtime.

Attivo: L'elemento viene escluso nel Runtime.
Viene usato se l'elemento porta solo ad una variabile di visualizzazione, ma esso stesso non deve essere rappresentato.

Non attiva: L'elemento viene visualizzato sotto forma di pulsante.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAUnsichtbar


ID_ELE_PROP361

Interno ID: ID_ELE_PROP361

Classi di allarme/eventi

Selezione della classe allarmi/eventi da visualizzare.

Apre il catalogo della selezione delle classi.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAKlassen


ID_ELE_PROP362

Interno ID: ID_ELE_PROP362

Prima classe di allarmi/eventi visualizzata.

A partire da questa classe, gli stati delle classi vengono scritti sulla variabile d'immagine.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_ELE_PROP363

Interno ID: ID_ELE_PROP363

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteSource


ID_ELE_PROP364

Interno ID: ID_ELE_PROP364

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteDestination


ID_ELE_PROP365

Interno ID: ID_ELE_PROP365

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteOnName


ID_ELE_PROP366

Interno ID: ID_ELE_PROP366

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteMatchCase


ID_ELE_PROP367

Interno ID: ID_ELE_PROP367

Dimensione dall'immagine collegata

Cliccando sul pulsante ..., si adegua la grandezza del contenitore a quella dell´immagine collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeFromLinkedPicture


ID_ELE_PROP377

Interno ID: ID_ELE_PROP377

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TABOrderH


ID_ELE_PROP378

Interno ID: ID_ELE_PROP378

Posizione Focus su/giu

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TABOrderV


ID_ELE_PROP379

Interno ID: ID_ELE_PROP379

Suddivisioni principali

Definisce il tratteggio delle suddivisioni principali della scala.
Il valore indica la distanza fra le suddivisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. Se i valori sono uguali, non verranno visualizzati Suddivisioni secondare.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTicks


ID_ELE_PROP380

Interno ID: ID_ELE_PROP380

Suddivisioni secondare

Definisce la suddivisione della scala in Suddivisioni principali.

Il valore indica la distanza fra le suddivisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. Se i valori sono uguali, non verrà visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTicks


ID_ELE_PROP381

Interno ID: ID_ELE_PROP381

Rappresentazione delle classi di allarme/eventi selezionate

Modalità nella quale gli stati delle classi vengono scritti sulla variabile d'immagine.

Attivo: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente sulla variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1; classe 3: Bits 2,3

Inattiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente su posizioni fisse della variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1;0 (classe 2: Bits 2.3; classe 3: Bits 4,5

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AbbModus


ID_ELE_PROP382

Interno ID: ID_ELE_PROP382

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).

Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:

  • Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
  • Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
  • Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
  • Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
  • Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
  • Interruttore: il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
  • Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vediGuida in linea.
  • Avvallamento: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
  • Valvola di ritegno: Se la valvola di ritegno è aperta, con questo tipo di funzione l´informazione ALC viene inoltrata solamente in una direzione. La direzione è sempre quella dall´entrata verso l´uscita, e non viceversa. L´informazione viene inoltrata solamente quando la valvola di ritegno viene approvvigionata da una sorgente.
  • Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
  • Sezionatore funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Default: Nessuna funzione

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCType


ID_ELE_PROP383

Interno ID: ID_ELE_PROP383

Sorgente

Disponibile solo se è stato selezionato un tipo funzione Sorgente o Trasformatore:
Selezione di sorgenti/trasformatori collegati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCSourceID


ID_ELE_PROP384

Interno ID: ID_ELE_PROP384

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCUseColor


ID_ELE_PROP385

Interno ID: ID_ELE_PROP385

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMultiSource


ID_ELE_PROP386

Interno ID: ID_ELE_PROP386

Numero Link

Disponibile solo se è stato selezionato un tipo funzione Link:
Numero di identificazione del Link. Un altro link su un´altra immagine con lo stesso numero di identificazione riprenderà i dati del link sorgente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLinkID


ID_ELE_PROP387

Interno ID: ID_ELE_PROP387

Visualizza secured supply

E' a disposizione solo se è stata attivata Colori da ALC.

Selezione della modalità in cui deve essere rappresentato il secured supply:

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: normale.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMSecuredSupply


ID_ELE_PROP388

Interno ID: ID_ELE_PROP388

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCPrecedence


ID_ELE_PROP389

Interno ID: ID_ELE_PROP389

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ResetOnLeave


ID_ELE_PROP391

Interno ID: ID_ELE_PROP391

Colore cornice/ombra

Disponibile solamente se è stato selezionato come Tipo di cornice cornice oppure ombra.

Definizione del colore della cornice o dell´ombra. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameColor


ID_ELE_PROP392

Interno ID: ID_ELE_PROP392

Distanza [Pixel]

Disponibile solamente se come Tipo di cornice sono stati selezionati cornice o ombra.

Distanza della cornice o dell´ombra rispetto all´elemento in pixel. Nel caso dell´ombra, la direzione della distanza viene determinata dalla proprietà Angolo [°]. La grandezza del campo valori dipende dalla risoluzione dello schermo.

Default: 10

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameOffset


ID_ELE_PROP393

Interno ID: ID_ELE_PROP393

Larghezza linea

Definizione della larghezza della linea per la cornice espressa in pixel.

Default: 1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameWidth


ID_ELE_PROP394

Interno ID: ID_ELE_PROP394

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeText


ID_ELE_PROP395

Interno ID: ID_ELE_PROP395

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Normal


ID_ELE_PROP396

Interno ID: ID_ELE_PROP396

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Shift


ID_ELE_PROP397

Interno ID: ID_ELE_PROP397

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Ctrl


ID_ELE_PROP398

Interno ID: ID_ELE_PROP398

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1CtrlAlt


ID_ELE_PROP399

Interno ID: ID_ELE_PROP399

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Normal


ID_ELE_PROP400

Interno ID: ID_ELE_PROP400

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Shift


ID_ELE_PROP401

Interno ID: ID_ELE_PROP401

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Ctrl


ID_ELE_PROP402

Interno ID: ID_ELE_PROP402

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2CtrlAlt


ID_ELE_PROP403

Interno ID: ID_ELE_PROP403

Tipo di inizio

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il simbolo per il punto di partenza della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.
Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapStart


ID_ELE_PROP404

Interno ID: ID_ELE_PROP404

Tipo di fine

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il simbolo per il punto finale della linea. Quando si clicca sul campo, si apre una finestra di dialogo che serve alla selezione di un elemento.
Per curva e arco di cerchio, disponibile solamente seTipo di riempimento è stata settata su senza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapEnd


ID_ELE_PROP405

Interno ID: ID_ELE_PROP405

Dimensione

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il fattore di ingrandimento per la larghezza della linea della freccia. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale, come definito nella proprietà Larghezza linea.
Per curva e arco di cerchio, disponibile solamente se la proprietà Tipo di riempimento è stata settata su senza.

Valore: maggiore o uguale a 1.

Default: 4

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapScale


ID_ELE_PROP_BACKCOLOR2

Interno ID: ID_ELE_PROP_BACKCOLOR2

Sfumatura colore

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Per la proprietà Tipo di riempimento deve essere selezionata l´opzione effetto di riempimento.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie "automatico", il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2


ID_ELE_PROP_BACKCOLORBUTTON2

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Verlaufsfarbe

Disponibile solo se la proprietà Riempimento pulsanti non è stata settata su Monocromatico.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2


ID_ELE_PROP_COLORGRADIENTANGLE

Interno ID: ID_ELE_PROP_COLORGRADIENTANGLE

Angolo [°]

Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

Valori: da 0 fino 360°

Default: 0°

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngle


ID_ELE_PROP_COLORGRADIENTOFFSET

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Offset [%]

Disponibile solamente se, per un elemento vettoriale o per un elemento dinamico Pulsante, la proprietà Effetto riempimento 3-D è stata settata su: Lineare oppure Da un punto definito, oppure Da un punto definito effetto beam.

Definisce la distanza del punto di partenza dell´effetto di sfumatura dal punto centrale dell´elemento. Si tratta di un valore percentuale.

Valori: 0 corrisponde al punto centrale dell´elemento, 100 al bordo.
Nota: Questo valore può trovarsi anche al di fuori dell´elemento e, perciò, non è limitato a 100.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffset


ID_ELE_PROP_COMMITONKILLFOCUS

Interno ID: ID_ELE_PROP_COMMITONKILLFOCUS

Imposta alla perdita del focus

Comportamento dell´elemento in fase di settaggio del valore impostabile nel runtime:

  • Attivo: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Inattivo: Il valore viene settato usando il tasto Ins.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.

Valore di default:

  • Come elemento nell´immagine: inattivo
  • Testo dinamico editabile dal menù Elementi di controllo: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommitOnKillFocus


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffect2ndBlinkStateVisible


ID_ELE_PROP_GLOWEFFECT_ACTIVE

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software. La proprietà di progetto Progetto WindowsCE non deve essere in alcun caso disattivata. La disponibilità dipende anche dall´elemento grafico.

  • Attivo: viene usato l´effetto glow per l´elemento.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectActive


ID_ELE_PROP_GLOWEFFECT_ALPHA

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Trasparenza [%]

Valore di trasparenza con cui viene visualizzato l´effetto glow sull´elemento. Unità: in percentuale. Un clic sul comando ... apre la barra di scorrimento.

Minimo: 0%, coprente

Massimo: 100%, trasparenza totale

Default: 20%

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectAlpha


ID_ELE_PROP_GLOWEFFECT_COLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectColor


ID_ELE_PROP_GLOWEFFECT_EVENT

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectEvent


ID_ELE_PROP_GLOWEFFECT_SPREAD

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Estensione [Pixel]

Definisce il fattore di estensione dell´effetto glow. Esso viene definito come numero di pixel che devono essere calcolati per la diffusione da ogni parte.

Minimo: 0 , nessuna diffusione

Massimo: 50

Default: 15

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectSpread


ID_ELE_PROP_GLOWEFFECT_USECOLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attivo: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Inattivo: i colori dell´elemento vengono usati per l´effetto glow.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectUseColor


ID_ELE_PROP_GRP0

Interno ID: ID_ELE_PROP_GRP0

Generale

Proprietà generali.

Ulteriori informazioni nei capitoli della guida online riguardanti gli Elementi d´immagine e gli Stili.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


ID_ELE_PROP_GRP1

Interno ID: ID_ELE_PROP_GRP1

Posizione

Proprietà per la posizione e la dimensione dell´elemento dinamico.

Nota: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position


ID_ELE_PROP_GRP2

Interno ID: ID_ELE_PROP_GRP2

Visualizzazione globale

Proprietà concernenti il comportamento dell´elemento nella visualizzazione globale

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Overview


ID_ELE_PROP_GRP3

Interno ID: ID_ELE_PROP_GRP3

Riempimento

Proprietà colore dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_ELE_PROP_GRP4

Interno ID: ID_ELE_PROP_GRP4

Macro VBA

Proprietà per le macro VBA collegate all´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VBA


ID_ELE_PROP_GRP5

Interno ID: ID_ELE_PROP_GRP5

Eventi generali

Macro VBA per eventi generali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General_Events


ID_ELE_PROP_GRP6

Interno ID: ID_ELE_PROP_GRP6

Imposta valore

Proprietà per il settaggio di valori impostabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueGroup


ID_ELE_PROP_GRP7

Interno ID: ID_ELE_PROP_GRP7

Variabile/funzione

Proprietà per la variabile o la funzione collegata all´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Element


ID_ELE_PROP_GRP8

Interno ID: ID_ELE_PROP_GRP8

Impostazione visualizzazione

Proprietà per la visualizzazione nell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisplayArea


ID_ELE_PROP_GRP9

Interno ID: ID_ELE_PROP_GRP9

Riempimento

Proprietà per colori e tipo di riempimento dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Colors_Static


ID_ELE_PROP_GRP10

Interno ID: ID_ELE_PROP_GRP10

Limiti statici per il valore impostabile

Valori limite dell´elemento definiti in modo fisso.

Attenzione: se il valore minimo è maggiore di quello massimo e la proprietà Imposta valore Senza dialogo è attiva, nel modificare il valore impostabile si cambia fra valore minimo e massimo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueLimits_Static


ID_ELE_PROP_GRP11

Interno ID: ID_ELE_PROP_GRP11

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Representation


ID_ELE_PROP_GRP12

Interno ID: ID_ELE_PROP_GRP12

Scala

Proprietà per la visualizzazione di una scala.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scale


ID_ELE_PROP_GRP13

Interno ID: ID_ELE_PROP_GRP13

Lancetta

Proprietà per la lancetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Look


ID_ELE_PROP_GRP14

Interno ID: ID_ELE_PROP_GRP14

Bordo

Proprietà per la cornice dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Border


ID_ELE_PROP_GRP15

Interno ID: ID_ELE_PROP_GRP15

Titolo

Proprietà per la visualizzazione di un titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_ELE_PROP_GRP16

Interno ID: ID_ELE_PROP_GRP16

Bottone

Proprietà per il bottone.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Knob


ID_ELE_PROP_GRP17

Interno ID: ID_ELE_PROP_GRP17

Durata visualizzazione

Intervallo di tempo che deve essere rappresentato nelle curve.
(ore, minuti, secondi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Time


ID_ELE_PROP_GRP18

Interno ID: ID_ELE_PROP_GRP18

Tempo di aggiornamento

Intervallo di tempo nel corso del quale la visualizzazione viene attualizzata (cioè viene inserito un nuovo valore).
(ore, minuti, secondi, millisecondi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Refresh


ID_ELE_PROP_GRP20

Interno ID: ID_ELE_PROP_GRP20

Impostazioni simbolo d'immagine

Proprietà per l´uso di un simbolo d'immagine per la Rappresentazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictSymbol


ID_ELE_PROP_GRP21

Interno ID: ID_ELE_PROP_GRP21

Automatic Line Coloring

Proprietà per Automatic Line Coloring (ALC).

Ulteriori proprietà le trovate nelle proprietà di progetto, nel gruppo Automatic Line Coloring.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALC


ID_ELE_PROP_GRP22

Interno ID: ID_ELE_PROP_GRP22

Eventi mouse

Macro VBA per eventi mouse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mouse_Events


ID_ELE_PROP_GRP23

Interno ID: ID_ELE_PROP_GRP23

Drag&Drop

Macro VBA per eventi Drag&Drop.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragDrop_Events


ID_ELE_PROP_GRP24

Interno ID: ID_ELE_PROP_GRP24

Effetto riempimento 3-D

Proprietà per la progettazione dell´effetto di riempimento. Disponibile solamente se l´effetto di riempimento è selezionato come Tipo di riempimento.
Ulteriori informazioni in Guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

3D-Filling


ID_ELE_PROP_GRP25

Interno ID: ID_ELE_PROP_GRP25

Automatic Line Coloring

Proprietà per ALC.

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Ulteriori proprietà concernenti gli elementi d'immagine, le trovate nelle proprietà dei singoli elementi, nel gruppo Automatic Line Coloring.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ALC


ID_ELE_PROP_GRP26

Interno ID: ID_ELE_PROP_GRP26

Arrotondamento

Proprietà per la visualizzazione di angoli arrotondati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Roundness


ID_ELE_PROP_GRP27

Interno ID: ID_ELE_PROP_GRP27

Valore binario

Proprietà per il settaggio di un valore impostabile binario.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BinaryValue


ID_ELE_PROP_GRP28

Interno ID: ID_ELE_PROP_GRP28

Valore numerico

Proprietà per il settaggio di un valore impostabile analogico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AnalogValue


ID_ELE_PROP_GRP29

Interno ID: ID_ELE_PROP_GRP29

Intestazione e griglia

Proprietà per l´intestazione e per la griglia.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per Modulo Trend esteso

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Heading


ID_ELE_PROP_GRP30

Interno ID: ID_ELE_PROP_GRP30

Genera inserimento dinamico

Proprietà per Combo-/Listbox dinamiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynEntries


ID_ELE_PROP_GRP31

Interno ID: ID_ELE_PROP_GRP31

Pulsante allarme ad immagine

Disponibile solamente in SICAM 230.
Proprietà per l'elemento allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BA-Elem


ID_ELE_PROP_GRP33

Interno ID: ID_ELE_PROP_GRP33

Rilevazione circuito

Contiene le proprietà per la ricerca errori in corti circuiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShortFaults


ID_ELE_PROP_GRP34

Interno ID: ID_ELE_PROP_GRP34

Formattazione testo

Proprietà per il formato del testo visualizzato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextAlign


ID_ELE_PROP_GRP35

Interno ID: ID_ELE_PROP_GRP35

Impostazioni Bitmap

Proprietà per l´uso dell´elemento con i diversi file grafici per la visualizzazione degli stati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BMPSettings


ID_ELE_PROP_GRP36

Interno ID: ID_ELE_PROP_GRP36

Proprietà simbolo

Proprietà per l´uso dell´elemento con simboli della libreria per la visualizzazione degli stati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LibSymSettings


ID_ELE_PROP_GRP37

Interno ID: ID_ELE_PROP_GRP37

Topologia

Proprietà per SICAM 230.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MrLinzSettings


ID_ELE_PROP_GRP38

Interno ID: ID_ELE_PROP_GRP38

Modo di rappresentazione

Impostazioni per il modo di rappresentazione grafica dello slider.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SuperLook


ID_ELE_PROP_GRP39

Interno ID: ID_ELE_PROP_GRP39

Punto di riferimento

Definisce il punto di partenza per il calcolo della rotazione, oppure del cambiamento dinamico della grandezza dell´elemento.

Attenzione: nel caso di elementi non rettangolari, gli inserimenti si riferiscono sempre al rettagolo che li comprende.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RelPoint


ID_ELE_PROP_GRP40

Interno ID: ID_ELE_PROP_GRP40

Runtime

Proprietà per il comportamento dell´elemento nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Runtime


ID_ELE_PROP_GRP41

Interno ID: ID_ELE_PROP_GRP41

Gestione funzionamento da tastiera

Proprietà per la gestione online dell'elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Operation


ID_ELE_PROP_GRP43

Interno ID: ID_ELE_PROP_GRP43

File grafico

Proprietà del file grafico dell´elemento dinamico Pulsante.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicFile


ID_ELE_PROP_GRP44

Interno ID: ID_ELE_PROP_GRP44

Autorizzazione

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rights


ID_ELE_PROP_GRP45

Interno ID: ID_ELE_PROP_GRP45

Visibilità

Proprietà per la visibilità dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynamicVisibility


ID_ELE_PROP_GRP46

Interno ID: ID_ELE_PROP_GRP46

Range di visualizzazione statico

Proprietà per l´area di visualizzazione definita in modo fisso dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Displayrange_Static


ID_ELE_PROP_GRP47

Interno ID: ID_ELE_PROP_GRP47

Lampeggio

Proprietà per il lampeggio dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynamicBlinking


ID_ELE_PROP_GRP48

Interno ID: ID_ELE_PROP_GRP48

Slider universale

Configurazione dello slider.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Universal_Slider


ID_ELE_PROP_GRP49

Interno ID: ID_ELE_PROP_GRP49

Legenda

Configurazione della legenda dello slider.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Legend


ID_ELE_PROP_GRP50

Interno ID: ID_ELE_PROP_GRP50

Cornice/Ombra

Proprietà per cornice e ombra intorno all´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrame


ID_ELE_PROP_GRP51

Interno ID: ID_ELE_PROP_GRP51

Angolo di apertura

Definizione dell´angolazione per l´arco di cerchio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Segment


ID_ELE_PROP_GRP52

Interno ID: ID_ELE_PROP_GRP52

Visualizzazione per valori Bool

Proprietà per la visualizzazione di valori binari.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicalImage


ID_ELE_PROP_GRP53

Interno ID: ID_ELE_PROP_GRP53

File grafico

Impostazioni per file grafici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlImages


ID_ELE_PROP_GRP54

Interno ID: ID_ELE_PROP_GRP54

Colore di stato

Impostazioni per l´identificazione mediante colore dello stato di un messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlColors


ID_ELE_PROP_GRP55

Interno ID: ID_ELE_PROP_GRP55

Intestazione

Contiene le proprietà per la configurazione dell´Header di una lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ListHeader


ID_ELE_PROP_GRP_ALC_FAULTS

Interno ID: ID_ELE_PROP_GRP_ALC_FAULTS

Riconoscimento messa a terra

Contiene le proprietà per la localizzazione dei guasti a terra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GndFaults


ID_ELE_PROP_GRP_ALC_FOS

Interno ID: ID_ELE_PROP_GRP_ALC_FOS

Locazione dell'errore/distribuzione del carico

Proprietà per posizione guasto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FOS_LoadBal


ID_ELE_PROP_GRP_EFFECTS

Interno ID: ID_ELE_PROP_GRP_EFFECTS

Effetti

Contiene proprietà per la configurazione di effetti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Effects


ID_ELE_PROP_GRP_GLOW_EFFECT

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Effetto glow (solo DirectX)

Proprietà per la configurazione dell´effetto glow. Disponibile solamente se la proprietà Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffect


ID_ELE_PROP_GRP_LINE

Interno ID: ID_ELE_PROP_GRP_LINE

Linea

Proprietà per la progettazione delle linee.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Line


ID_ELE_PROP_GRP_LINECAPS

Interno ID: ID_ELE_PROP_GRP_LINECAPS

Fine linea

Contiene le proprietà per la forma dell´inizio e della fine della linea.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCaps


ID_ELE_PROP_GRP_LINECOLORDYN

Interno ID: ID_ELE_PROP_GRP_LINECOLORDYN

Colore linea dinamico

Proprietà per colori linea dinamici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorDyn


ID_ELE_PROP_GRP_RECORDER

Interno ID: ID_ELE_PROP_GRP_RECORDER

Process Recorder

Proprietà della variabile o del tipo di dato per il modulo Process Recorder.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProcessRecorder


ID_ELE_PROP_GRP_SW

Interno ID: ID_ELE_PROP_GRP_SW

Imposta valore

Proprietà per il settaggio di valori impostabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValue


ID_ELE_PROP_GRP_TEXT

Interno ID: ID_ELE_PROP_GRP_TEXT

Testo

Proprietà per la configurazione del testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TextGrp


ID_ELE_PROP_GRP_TEXTCOLORDYN

Interno ID: ID_ELE_PROP_GRP_TEXTCOLORDYN

Colore testo dinamico

Proprietà per colori testo dinamici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TextColorDyn


ID_ELE_PROP_GRPMULTITOUCH

Interno ID: ID_ELE_PROP_GRPMULTITOUCH

Multitouch_Interaction

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Multitouch_Interaction


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Interno ID: ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Inattivo: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo

Attenzione: Disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFormClickArea


ID_ELE_PROP_UNIT_POS

Interno ID: ID_ELE_PROP_UNIT_POS

Posizione Unita di misura [%]

Disponibile solo se Visualizza unità è attivo.

Posiziona la visualizzazione dell´unità e permette di orientare delle unità di diversa larghezza a valori numerici minori. Per il posizionamento, si deve indicare di un valore percentuale fra 0 e 100.

L´unità viene emessa sempre a destra accanto alla posizione scelta; il valore relativo a sinistra, a seconda dell´orientamento impostato.

Default: 0 - non corrisponde a nessun orientamento percentuale; valore e unità vengono visualizzati sempre insieme.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnitPos


ID_ELE_SplineTension

Interno ID: ID_ELE_SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SplineTension


ID_ELE_TEXT_FROM_VARIABLE

Interno ID: ID_ELE_TEXT_FROM_VARIABLE

Testo da valore variabile

Disponibile solamente per variabili stringa.

Attivo: il testo viene ripreso dal valore delle variabili collegate.

Inattivo: il testo viene ripreso dalla matrice di reazione.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextFromVariable


ID_ELE_TEXT_TEXTSOURCE

Interno ID: ID_ELE_TEXT_TEXTSOURCE

Testo visualizzato

Selezione del contenuto da visualizzare nel Runtime scelto fra quelli proposti dal menù a tendina:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Default: Testo valore limite

Il contenuto selezionato viene visualizzato nell´anteprima dell´elemento nella finestra principale al di sotto delle variabili collegate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextSource


ID_ELE_TEXT_TRANSLATE_TEXT

Interno ID: ID_ELE_TEXT_TRANSLATE_TEXT

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TranslateText


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Attivo: Riconoscimento per Cross Slide settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlide


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideExact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideHorizontal


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideRearrange


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSelect


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSpeedBump


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Drag


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Attivo: Riconoscimento per Hold settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Hold


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_HoldMouse


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Attivo: Riconoscimento per Manipulation settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Manipulation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Exact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Attivo: Riconoscimento per Rotation settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Rotation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RotationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Attivo: Riconoscimento per Scaling settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Scaling


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_ScalingInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_SecondaryTap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Attivo: Riconoscimento per Tap settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Tap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TapDouble


ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Analisi gesture VSTA

Proprietà per l´analisi gesti per gli elementi dinamici mediante VSTA.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognition


ID_ELEMENT_PROP_INTERACTION_ACTIVE

Interno ID: ID_ELEMENT_PROP_INTERACTION_ACTIVE

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognitionActive


ID_ELESEG_END_ANGLE

Interno ID: ID_ELESEG_END_ANGLE

Angolo finale [°]

Fine dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegEndAngle


ID_ELESEG_OFFSET_ADJUSTABLE

Interno ID: ID_ELESEG_OFFSET_ADJUSTABLE

Spessore segmento regolabile

Spessore segmento per l´arco di cerchio. Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.

Attivo: lo spessore dell´arco di cerchio può essere configurato individualmente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffsetAdjustable


ID_ELESEG_OFFSET_END

Interno ID: ID_ELESEG_OFFSET_END

Spessore angolo finale [Pixel]

Spessore segmento in corrispondenza dell´angolo finale, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata e la proprietà Spessore finale coincide con spessore di partenza è stata disattivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndOffset


ID_ELESEG_OFFSET_END_EQUALS_START

Interno ID: ID_ELESEG_OFFSET_END_EQUALS_START

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffsetEndEqualsStart


ID_ELESEG_OFFSET_GRP

Interno ID: ID_ELESEG_OFFSET_GRP

Spessore segmento

Proprietà per lo spessore segmento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegmentOffsets


ID_ELESEG_OFFSET_START

Interno ID: ID_ELESEG_OFFSET_START

Spessore angolo di partenza [Pixel]

Spessore segmento in corrispondenza dell´angolo di partenza, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartOffset


ID_ELESEG_START_ANGLE

Interno ID: ID_ELESEG_START_ANGLE

Angolo di partenza [°]

Inizio dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegStartAngle


ID_ELREST_DEVPARAM

Interno ID: ID_ELREST_DEVPARAM

Device parameter

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver ELREST32.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Device parameter


ID_EMS_PROP0

Interno ID: ID_EMS_PROP0

Nome

Una denominazione univoca per l'identificazione di apparecchiature, zone ed impianti nell´Load Management.

Spettro massimo di valori possibili: 80 caratteri
Non è possibile inserire più di 80 caratteri.

Attenzione: i nomi dovrebbero essere univoci per tutte le reti/zone di approvvigionamento in Load Management.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_EMS_PROP1

Interno ID: ID_EMS_PROP1

Descrizione

Indicazione opzionale di un nome più lungo oppure di una descrizione dettagliata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Longtext


ID_EMS_PROP8

Interno ID: ID_EMS_PROP8

Consumo totale attuale

Variabile che contiene il valore attuale del consumo di area. Il valore deve rappresentare la differenza dei contatori per unità di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValue


ID_EMS_PROP9

Interno ID: ID_EMS_PROP9

Consumo medio corrente

Variabile di processo con l'attuale valore medio di consumo (risultato dei valori di misurazione rilevati). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActMean


ID_EMS_PROP10

Interno ID: ID_EMS_PROP10

Valore finale di previsione

Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgEndValue


ID_EMS_PROP11

Interno ID: ID_EMS_PROP11

Valore iniziale di previsione

Variabile che contiene il valore iniziale della prognosi all'inizio del periodo previsto per la prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgStartValue


ID_EMS_PROP12

Interno ID: ID_EMS_PROP12

Last switching value

Variabile che contiene la somma dei valori medi di alimentazione per i quali sono ancora previste delle azioni di commutazione nel periodo attuale. Per aprire la finestra di dialogo per selezionare una variabile, cliccare sul pulsante.

Attenzione: questa variabile deve essere configurata per il Driver interno, se si vuole garantire un funzionamento senza problemi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastSwitchValue


ID_EMS_PROP13

Interno ID: ID_EMS_PROP13

First switching value

Variabile che contiene il valore medio di alimentazione calcolato in corrispondenza del quale viene eseguita la prossima azione di commutazione. Per aprire la finestra di dialogo per selezionare una variabile, cliccare sul pulsante.

Attenzione: questa variabile deve essere configurata per il Driver interno, se si vuole garantire un funzionamento senza problemi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FirstSwitchValue


ID_EMS_PROP14

Interno ID: ID_EMS_PROP14

Area d'errore prevista

Variabile che contiene il possibile errore di prognosi del valore finale della prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgChannelValue


ID_EMS_PROP15

Interno ID: ID_EMS_PROP15

Media di previsione

Variabile che contiene il valore medio attuale della prognosi di valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgMean


ID_EMS_PROP16

Interno ID: ID_EMS_PROP16

Valore medio stimato per area valori

Variabile che contiene il possibile errore di prognosi del valore medio della prognosi del valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgChannelMean


ID_EMS_PROP17

Interno ID: ID_EMS_PROP17

Supply limit

Variabile che contiene il limite attuale impostato della prestazione acquisita. Se il valore cambia durante il Runtime, anche il limite della prestazione acquisita per un periodo di calcolo viene modificato. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Limit


ID_EMS_PROP18

Interno ID: ID_EMS_PROP18

Limite fornitura regolata

Variabile con limite di prestazione adattato (corretto per eccesso ) in caso di superamento del limite nel periodo precedente. Se il limite di prestazione viene superato in un periodo, esso viene aumentato in misura pari al superamento.

Se non collegate nessuna variabile, non si verifica nessun aumento del limite di prestazione in seguito al suo superamento.

Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustedLimit


ID_EMS_PROP19

Interno ID: ID_EMS_PROP19

Gross actual deviation

Variabile per lo scostamento medio della prognosi di valore reale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore reale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviationActual


ID_EMS_PROP20

Interno ID: ID_EMS_PROP20

Net actual deviation

Variabile per lo scostamento medio della prognosi di valore attuale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore attuale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviationReal


ID_EMS_PROP22

Interno ID: ID_EMS_PROP22

Orizzonte di previsione

Durata di un periodo di calcolo in hh:mm:ss. La fattura trend e l'ottimizzazione usano questo tempo come orizzonte di calcolo. Di regola vengono usati come valori 15, 30 o 60 minuti.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ForecastHorizon


ID_EMS_PROP23

Interno ID: ID_EMS_PROP23

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HysteresisOn


ID_EMS_PROP24

Interno ID: ID_EMS_PROP24

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HysteresisOff


ID_EMS_PROP25

Interno ID: ID_EMS_PROP25

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SafetyClearance


ID_EMS_PROP26

Interno ID: ID_EMS_PROP26

Ciclo di ottimizzazione

Ciclo in hh:mm:ss nell'ambito del quale calcola l'ottimizzazione a breve termine. La visualizzazione dell'immagine viene attualizzata dopo ogni ottimizzazione, e perlomeno una volta per ciclo.

Default: 00:00:30

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OptCycle


ID_EMS_PROP27

Interno ID: ID_EMS_PROP27

Down time begin tariff interval

Tempo in hh:mm:ss all'inizio di un intervallo di calcolo. In questo intervallo di tempo non vengono effettuate delle azioni di commutazione mediante l'ottimizzazione, visto che i risultati della prognosi sono troppo imprecisi.

Default: 00:00:00

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeadLength


ID_EMS_PROP44

Interno ID: ID_EMS_PROP44

Disponibilità

Variabile che indica se il produttore è disponibile per EMS e, perciò, se può essere commutato. Se esiste la disponibilità, il produttore rimane nel suo ultimo stato di commutazione valido. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_EMS_PROP45

Interno ID: ID_EMS_PROP45

Tempo di ritardo per l'accensione

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnDelay


ID_EMS_PROP46

Interno ID: ID_EMS_PROP46

Tempo di ritardo per lo spegnimento

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffDelay


ID_EMS_PROP47

Interno ID: ID_EMS_PROP47

Pre-allarme Attivo

Variabile per il pre-allarme prima dell´accensione dell´utilizzatore. Un pre-allarme viene settato tenendo conto del Tempo di preavviso configurato. Per aprire la finestra di dialogo per selezionare una variabile, cliccare sul pulsante.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnOn


ID_EMS_PROP48

Interno ID: ID_EMS_PROP48

Pre-allarme Spento

Variabile per l'avvertimento al momento dello spegnimento del consumatore. Un avvertimento viene settato in corrispondenza della impostata Tempo di preavviso. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnOff


ID_EMS_PROP50

Interno ID: ID_EMS_PROP50

Stato di Switch

Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_EMS_PROP51

Interno ID: ID_EMS_PROP51

Acceso

Variabile per attivazione del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOn


ID_EMS_PROP52

Interno ID: ID_EMS_PROP52

Spegni

Variabile per spegnimento del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOff


ID_EMS_PROP55

Interno ID: ID_EMS_PROP55

Potenza attuale

Fornisce il valore di misurazione del consumo attuale di un impianto di cogenerazione. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Consumption


ID_EMS_PROP56

Interno ID: ID_EMS_PROP56

{Nuovo tempo di blocco}

Crea un nuovo tempo di blocco. Cliccate a questo scopo nel campo o sulla superficie. I tempi di blocco ottengoo il nome "tempo di blocco" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLock


ID_EMS_PROP57

Interno ID: ID_EMS_PROP57

{Elimina tempo di blocco}

Cancella dopo un'interrogazione di sicurezza il tempo di blocco corrispondente. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi tempi di blocco viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelLock


ID_EMS_PROP58

Interno ID: ID_EMS_PROP58

Inizio

Inizio del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockStart


ID_EMS_PROP59

Interno ID: ID_EMS_PROP59

Fine

Fine del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockStop


ID_EMS_PROP60

Interno ID: ID_EMS_PROP60

Tipo

Stabilisce quali azioni sono proibite durante il tempo di blocco:

  • Switch-off suppression: nessun spegnimento possibile durante il tempo di blocco
  • Switch-on suppression: nessuna accensione possibile durante il tempo di blocco
  • Switch On/Off suppression: nessun spegnimento e accensione possibili durante il tempo di blocco

Default: On/Off

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockType


ID_EMS_PROP61

Interno ID: ID_EMS_PROP61

Min. switch-on time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOn


ID_EMS_PROP62

Interno ID: ID_EMS_PROP62

Max. switch-on time

Tempo massimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOn


ID_EMS_PROP63

Interno ID: ID_EMS_PROP63

Min. switch-off time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di accensione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOff


ID_EMS_PROP64

Interno ID: ID_EMS_PROP64

Max. switch-off time

Tempo massimo in hh:mm:ss che il produttore deve rimanere in questo stato dopo lo spegnimento. Dopo la scadenza di questo tempo il produttore viene acceso automaticamente da EMS indipendentemente se il limite di acquisizione attuale sia stato superato o no.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOff


ID_EMS_PROP67

Interno ID: ID_EMS_PROP67

Tempo di preavviso

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Warn


ID_EMS_PROP68

Interno ID: ID_EMS_PROP68

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxSwitch


ID_EMS_PROP69

Interno ID: ID_EMS_PROP69

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchUnit


ID_EMS_PROP70

Interno ID: ID_EMS_PROP70

Capacity determination

Selezionate tramite la lista a cascata il modo in cui la capacity determination deve essere eseguita.

  • default: Consumo di prestazione viene determinato tramite la prestazione nominale. Questo valore è progettato in modo fisso.
  • misurato: consumo di prestazione attuale viene determinato grazie ad una variabile da Potenza attuale.

Default: default

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerType


ID_EMS_PROP71

Interno ID: ID_EMS_PROP71

Standby output

Indicate qui la potenza nominale del produttore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Power


ID_EMS_PROP72

Interno ID: ID_EMS_PROP72

Standby output variable

Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso della potenza nominale. In tal modo la potenza nominale fornita attualmente da un produttore può essere adattata durante il Runtime, ad esempio, nel caso in cui il valore di prestazione viene rilevato mediante un punto di misurazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerVar


ID_EMS_PROP73

Interno ID: ID_EMS_PROP73

Proprietà accensione

Fissa la priorità per l´accendimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrio


ID_EMS_PROP74

Interno ID: ID_EMS_PROP74

Priorità spegnimento

Stabilisce la priorità per lo spegnimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrio


ID_EMS_PROP79

Interno ID: ID_EMS_PROP79

Picco

Indicate qui la prestazione massima desiderata. Il modulo EMS può passare a partire dalla potenza nominale a questo valore per il picco di prestazione. Il valore di riferimento viene ridotto della differenza di prestazione commutata.

Se il produttore dispone solamente di una prestazione commutabile e non c'è quindi una prestazione di base, allora si deve impostare solo la prestazione massima del produttore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PeakPower


ID_EMS_PROP80

Interno ID: ID_EMS_PROP80

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoTempo di preavviso Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnSwitch


ID_EMS_PROP83

Interno ID: ID_EMS_PROP83

modalità Standby

Variabile di comando che passa a standby. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOff


ID_EMS_PROP84

Interno ID: ID_EMS_PROP84

Switch peak output

Variabile di comando per commutazioni a prestazioni massime. Di regola viene commutata da potenza nominale a prestazione massima. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOn


ID_EMS_PROP86

Interno ID: ID_EMS_PROP86

Stato di Switch

Variabile alla quale deve essere inviato lo stato attuale di switch (Off o On). Per aprire la finestra di dialogo per selezionare una variabile, cliccare sul pulsante.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_EMS_PROP102

Interno ID: ID_EMS_PROP102

Load Management in funzione

Variabile che indica durante il Runtime se l'area di approvvigionamento è stata attivata nell'immagine EMS. L'attivazione avviene mediante una funzione. La variabile deve essere del tipo BOOL. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Running


ID_EMS_PROP103

Interno ID: ID_EMS_PROP103

Switch-on priority variable

Utenze: Variabile che adatta le priorità di accensione dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia LM, ad esempio, di produttori in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrioVar


ID_EMS_PROP104

Interno ID: ID_EMS_PROP104

Switch-off priority variable

Variabile che adatta le priorità di spegnimento dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia EMS ad esempio del produttore in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrioVar


ID_EMS_PROP105

Interno ID: ID_EMS_PROP105

Passaggio a stato interno

Variabile nella quale vengono rappresentati i differenti stati per gli apparecchi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispoStatus


ID_EMS_PROP106

Interno ID: ID_EMS_PROP106

Variabile di Min.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOnVar


ID_EMS_PROP107

Interno ID: ID_EMS_PROP107

Variabile di Max.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOnVar


ID_EMS_PROP108

Interno ID: ID_EMS_PROP108

Variabile di Min.tempo di spegnim.

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOffVar


ID_EMS_PROP109

Interno ID: ID_EMS_PROP109

Max. switch-off time variable

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOffVar


ID_EMS_PROP110

Interno ID: ID_EMS_PROP110

{nuovo livello}

Crea un nuovo livello di commutazione. Cliccate a questo scopo nel campo o sulla superficie. I livelli di commutazione ottengoo il nome "livello di commutazione" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewStufe


ID_EMS_PROP111

Interno ID: ID_EMS_PROP111

{Elimina livello}

Cancella il livello di commutazione attuale. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi livelli di commutazione viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelGrade


ID_EMS_PROP112

Interno ID: ID_EMS_PROP112

Potenza del passaggio

Valore di prestazione del livello di commutazione. Il livello di prestazione che si rileva più tardi durante il Runtime deve corrispondere sempre esattamente ad un valore definito nei livelli di commutazione.

Default: 0.000000

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePower


ID_EMS_PROP113

Interno ID: ID_EMS_PROP113

Variabile di potenza del passaggio

Variabile con cui può venire adattato in modo dinamico durante il Runtime il valore di prestazione di un livello di commutazione di un impianto di cogenerazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePowerVar


ID_EMS_PROP114

Interno ID: ID_EMS_PROP114

Tempo di preavviso

Tempo in hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Tramite la variabile Pre-allarme Attivo oppure Pre-allarme Spento può essere emesso dal sistema un preannuncio a favore dell'utente. L'utente viene informato prima che si verifichi l'azione di commutazione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarn


ID_EMS_PROP115

Interno ID: ID_EMS_PROP115

Pre-allarme Attivo

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoTempo di preavviso in caso di un'azione di accensione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOn


ID_EMS_PROP116

Interno ID: ID_EMS_PROP116

Pre-allarme Spento

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostata variabile Tempo di preavviso in caso di un'azione di spegnimento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOff


ID_EMS_PROP117

Interno ID: ID_EMS_PROP117

Tempo di ritardo per lo switch-on

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOnDelay


ID_EMS_PROP118

Interno ID: ID_EMS_PROP118

Tempo di ritardo per lo switch-off

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. Una caduta di prestazione accade solo dopo la scadenza del tempo impostato.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOffDelay


ID_EMS_PROP119

Interno ID: ID_EMS_PROP119

Min. switch-on time

Tempo minimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMinOn


ID_EMS_PROP120

Interno ID: ID_EMS_PROP120

Max. switch-on time

Tempo massimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMaxOn


ID_EMS_PROP121

Interno ID: ID_EMS_PROP121

Variabile setpoint

Variabile impostabile globale che commuta l'impianto di cogenerazione. I valori singoli oppure le variabili ai livelli di prestazione servono solamente all'indicazioni della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_EMS_PROP122

Interno ID: ID_EMS_PROP122

Isteresi

L'isteresi definisce l'area consentita nell'ambito della quale il valore atuale può essere ancora assegnato ad uno dei livelli di commutazione. Nel caso in cui un valore di consumo non si trovi all'interno dell'isteresi di uno dei livelli di commutazione progettati, l'impianto di cogenerazione vale per l'EMS come non attivo.

Default: 0

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Hysteresis


ID_EMS_PROP123

Interno ID: ID_EMS_PROP123

Accensioni pianificate

Permette il collegamento di una variabile stringa che riceve da EMS tutte le azioni di commutazioni. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScheduledActions


ID_EMS_PROP124

Interno ID: ID_EMS_PROP124

Nominal output

Potenza nominale dell´utilizzatore in KW.

Questo valore può essere modificato e adeguato in modo dinamico a Runtime assegnandogli una variabile nella proprietà Variabile per Potenza Nominale.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Power


ID_EMS_PROP125

Interno ID: ID_EMS_PROP125

Variabile per Potenza Nominale

La potenza nominale correntemente ricevuta da un utilizzatore può essere modificata/adeguata a Runtime usando una variabile, ad esempio se il valore di potenza viene rilevato grazie ad un punto di misurazione. A Runtime, questo valore della variabile sovrascrive il valore fisso configurato nella proprietà Nominal output. Per aprire la finestra di dialogo per selezionare una variabile, cliccare sul pulsante.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerVar


ID_EMS_PROP127

Interno ID: ID_EMS_PROP127

Priorità come fattore primario

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrimaryPrio


ID_EMS_PROP128

Interno ID: ID_EMS_PROP128

Priorità come fattore primario attive

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrioAsPrimary


ID_EMS_PROP129

Interno ID: ID_EMS_PROP129

{nuovo livello}

Utenze: Crea un nuovo circuit stage. Cliccate a questo scopo nel campo o sulla superficie. I circuit stage ottengono il nome "Circuit stage" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NewStufe


ID_EMS_PROP130

Interno ID: ID_EMS_PROP130

Variabile setpoint

Utenze: Variabile impostabile globale che commuta il consumatore. I singoli valori oppure le singole variabili ai livelli di prestazione servono solamente all'indicazione della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_EMS_PROP131

Interno ID: ID_EMS_PROP131

Potenza attuale

Utenze: Fornisce il valore di misurazione del consumo attuale di un consumatore. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Consumption


ID_EMS_PROP132

Interno ID: ID_EMS_PROP132

Isteresi

Utenze: L'isteresi definisce l'area consentita nell'ambito della quale il valore attuale può essere ancora assegnato ad uno dei circuit stage. Nel caso in cui un valore non si trovi all'interno dell'isteresi di uno dei circuit stage progettati, il consumatore viene considerato non attivo per il Load Management.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Hysteresis


ID_EMS_PROP133

Interno ID: ID_EMS_PROP133

Proprietà accensione

Utenze: Fissa la priorità di accensione dell´apparecchio Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi dal Load Management.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrio


ID_EMS_PROP134

Interno ID: ID_EMS_PROP134

Switch-on priority variable

Utenze: Variabile che adegua la priorità di accensione dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni di produttori nella gerarchia del Load Management in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrioVar


ID_EMS_PROP135

Interno ID: ID_EMS_PROP135

Priorità spegnimento

Utenze: Stabilisce la priorità di spegnimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi dal Load Management.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrio


ID_EMS_PROP136

Interno ID: ID_EMS_PROP136

Switch-off priority variable

Utenze: Variabile che adegua le priorità di spegnimento dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni di produttori nella gerarchia del Load Management in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrioVar


ID_EMS_PROP137

Interno ID: ID_EMS_PROP137

{Elimina livello}

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

DelGrade


ID_EMS_PROP138

Interno ID: ID_EMS_PROP138

Potenza del passaggio

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePower


ID_EMS_PROP139

Interno ID: ID_EMS_PROP139

Variabile di potenza del passaggio

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePowerVar


ID_EMS_PROP140

Interno ID: ID_EMS_PROP140

Tempo di ritardo per l'accensione

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOnDelay


ID_EMS_PROP141

Interno ID: ID_EMS_PROP141

Tempo di ritardo per lo spegnimento

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOffDelay


ID_EMS_PROP142

Interno ID: ID_EMS_PROP142

Min. switch-on time

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMinOn


ID_EMS_PROP143

Interno ID: ID_EMS_PROP143

Max. switch-on time

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMaxOn


ID_EMS_PROP144

Interno ID: ID_EMS_PROP144

Tempo di preavviso

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarn


ID_EMS_PROP145

Interno ID: ID_EMS_PROP145

Pre-allarme Attivo

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOn


ID_EMS_PROP146

Interno ID: ID_EMS_PROP146

Pre-allarme Spento

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOff


ID_EMS_PROP_GRP0

Interno ID: ID_EMS_PROP_GRP0

Generale

Proprietà generali del livello Load Management.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_EMS_PROP_GRP1

Interno ID: ID_EMS_PROP_GRP1

Valore di ingresso

Impostazioni per valori attuali e limiti di riferimento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_InputValues


ID_EMS_PROP_GRP2

Interno ID: ID_EMS_PROP_GRP2

GRP_GasParameters

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_GasParameters


ID_EMS_PROP_GRP4

Interno ID: ID_EMS_PROP_GRP4

Tempi di blocco

Grazie all'uso di intervalli di tempo liberamente definiti, singoli apparecchi di Load Management possono essere esclusi dall'ottimizzazione. Quegli apparecchi che hanno un tempo di bloccaggio definito non vengono presi in considerazione da Load Management in questo intervallo di tempo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locks


ID_EMS_PROP_GRP6

Interno ID: ID_EMS_PROP_GRP6

Circuit stages

Queste proprietà sono a disposizione solo per apparecchiature di generazione in reti elettriche.

Gli impianti di cogenerazione differiscono dai produttori standard a causa della presenza di livelli di commutazione predefiniti. Questi impianti possono accettare solo dei valori di prestazione che sono stati definiti come livelli di commutazione. Load Management può eseguire anche commutazione da un livello a quello superiore o a quello immediatamente inferiore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Schaltstufen


ID_EMS_PROP_GRP9

Interno ID: ID_EMS_PROP_GRP9

Valori calcolati

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CalculatedValues


ID_EMS_PROP_GRP10

Interno ID: ID_EMS_PROP_GRP10

Parametri

Queste impostazioni influiscono in modo determinante sull'ottimizzazione dell'area di alimentazione. Le modifiche di questi parametri hanno un effetto diretto sulle operazioni di commutazione che vengono eseguite automaticamente grazie a Load Management.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Parameters


ID_EMS_PROP_GRP11

Interno ID: ID_EMS_PROP_GRP11

Tempo di Switch

Load Management può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerTimes


ID_EMS_PROP_GRP13

Interno ID: ID_EMS_PROP_GRP13

Capacity/Priority

Queste proprietà sono a disposizione solo per apparecchiature di reti di distribuzione di energia elettrica. Esse definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione di energia elettrica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP14

Interno ID: ID_EMS_PROP_GRP14

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattare al processo attuale in dipendenza di valori di misurazione degli importanti parametri Load Management, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ConsumerVariables


ID_EMS_PROP_GRP16

Interno ID: ID_EMS_PROP_GRP16

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattare al processo attuale in dipendenza di valori di misurazione degli importanti parametri Load Management, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerVariables


ID_EMS_PROP_GRP19

Interno ID: ID_EMS_PROP_GRP19

Infomazione di stato

Definisce la trasmissione di informazioni concernenti lo stato di Load Management.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Status


ID_EMS_PROP_GRP20

Interno ID: ID_EMS_PROP_GRP20

Energia

Riassume indicazioni concernenti la prestazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPower


ID_EMS_PROP_GRP21

Interno ID: ID_EMS_PROP_GRP21

Priorità

Contiene l'impostazione delle priorità per la accensione e lo spegnimento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPrio


ID_EMS_PROP_GRP22

Interno ID: ID_EMS_PROP_GRP22

Ora di inizio

Impostazioni per fissare i tempi di inizio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchOn


ID_EMS_PROP_GRP23

Interno ID: ID_EMS_PROP_GRP23

Ora di fine

Impostazioni per fissare le ore di fine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchOff


ID_EMS_PROP_GRP24

Interno ID: ID_EMS_PROP_GRP24

Switching frequency

Contiene dei parametri per fissare Max. switching frequency per time unit.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchFrequency


ID_EMS_PROP_GRP25

Interno ID: ID_EMS_PROP_GRP25

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Stato di Switch e Passaggio a stato interno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerStatus


ID_EMS_PROP_GRP26

Interno ID: ID_EMS_PROP_GRP26

Circuit stages

Queste proprietà sono a disposizione solo per consumatori in reti di trasmissione di elettricità.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Schaltstufen


ID_EMS_PROP_GRP27

Interno ID: ID_EMS_PROP_GRP27

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Potenza attuale Passaggio a stato interno e Stato di Switch.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ConsumerStatus


ID_EMS_PROP_GRP28

Interno ID: ID_EMS_PROP_GRP28

Priorità

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPrio


ID_EMS_PROP_GRP29

Interno ID: ID_EMS_PROP_GRP29

Capacity/Priority

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP30

Interno ID: ID_EMS_PROP_GRP30

Energia

Descrizione in forma di testo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPower


ID_ERSETZEN_ZUSAMMEN

Interno ID: ID_ERSETZEN_ZUSAMMEN

Nomi gerarchici

Sostituzione di variabili in un simbolo.

Il comportamento di questa proprietà dipende direttamente dalle impostazioni della proprietà Attraverso il nome della variabile:
Se la proprietà Attraverso il nome della variabile è attiva, viene usato il nome variabile (proprietà Nome). Se la proprietà Attraverso il nome della variabile non è attiva, invece, viene usata l´identificazione della variabile (proprietà Identificazione).

la proprietà Nomi gerarchici:

  • Attivo: i nomi della variabile/identificazione collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"
  • Inattivo: Sono usati nome variabile o identificazione variabile.

Default: inattivo

Attenzione: Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteCombinedName


ID_EXTERNVISIBLE

Interno ID: ID_EXTERNVISIBLE

Visibile esternamente

Proprietà per poter analizzare le variabili di zenon anche in zenon Logic. Non per variabili del progetto zenon Logic integrato che sono già disponibili, per es., via driver stratonNG .

  • Attivo: La variabile è visibile anche nel workbench di zenon Logic e può essere utilizzata in progetti di zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.

    Nel runtime, i valori possono essere attualizzati tramite una cosiddetta connessione Shared-Memory; a tal scopo, impostate nella configurazione feldbus di zenon Logic il driver 'Logic per connessione SCADA'. Il valore della variabile può essere determinato o in zenon - da un PLC, oppure nel runtime di zenon Logic e poi scritto sul PLC. I valori, però, non possono essere aggiornati né contemporaneamente, né in ogni ciclo di zenon Logic, altrimenti verranno sovrascritti.

    Attenzione: Se in zenon Logic non è impostato un driver 'Logic per connessione SCADA', le variabili sono visibili nel workbench, ma i valori non verranno attualizzati nel runtime!

    Nota: tenete presenti le influenze reciproche con la proprietà Isteresi. Ulteriori informazioni nella guida in linea.

  • Inattivo: La variabile non è visibile in zenon Logic.

Default: inattivo

Attenzione: I nomi delle variabili di zenon Logic devono corrispondere alle norme IEC 61131-3.
Ciò significa: Sono ammessi solo numeri, lettere dalla A alla Z (niente dieresi) e lineette in basso. . Inoltre il nome non può iniziare con un numero. Ciò comporta anche che strutture e arrays del sistema di controllo non possono essere visibili esternamente perché contengono parentesi o punti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternVisible


ID_EXTERNVISIBLE_FOR

Interno ID: ID_EXTERNVISIBLE_FOR

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternVisibleFor


ID_FILE_NAME

Interno ID: ID_FILE_NAME

Nome file

Nome del file collegato.
I file esterni collegati in questo modo, sono salvati sia nella cartella Runtime, che in quella della banca dati del progetto.
Attenzione: Ogni volta che vengono creati nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai quelli della cartella della banca dati. I file esterni dovrebbero essere modificati solamente mediante il menù contestuale del file corrispondente, e non esternamente. In questo modo si garantisce che i file vengano modificati anche nella cartella del database.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FKT_EXTERNAL_REFERENCE

Interno ID: ID_FKT_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una funzione via Copy&Paste, questa proprietà è vuota.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_FKT_PROP1

Interno ID: ID_FKT_PROP1

Tipo

Il tipo viene selezionato al momento dell´impostazione della funzione fra quelle della lista delle funzioni di sistema e può essere modificato in questa sede in un secondo momento.
Apre il dialogo di selezione funzioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktType


ID_FKT_PROP2

Interno ID: ID_FKT_PROP2

Parametri

Parametri di trasferimento della funzione; dipendono dal tipo di funzione.
Cliccando sul pulsante ... si apre la finestra di dialogo per la configurazione della funzione.
Il tipo di dialogo di configurazione parametri aperto dipende dal tipo di funzione.

Ulteriori informazioni nella guida in linea .

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Parameters


ID_FKT_PROP3

Interno ID: ID_FKT_PROP3

Nome

Nome univoco della funzione.
Il nome viene assegnato dal sistema al momento della creazione di una funzione, ma può essere modificato in un secondo momento, a patto che il nome prescelto non sia già usato per un'altra funzione.

Massimo: 128 caratteri

Default: Funzione_x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FKT_PROP4

Interno ID: ID_FKT_PROP4

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsActual


ID_FKT_PROP5

Interno ID: ID_FKT_PROP5

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsServer


ID_FKT_PROP6

Interno ID: ID_FKT_PROP6

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsStandBy


ID_FKT_PROP7

Interno ID: ID_FKT_PROP7

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsClient


ID_FKT_PROP10

Interno ID: ID_FKT_PROP10

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsUrlStartWeb


ID_FKT_PROP_GRP0

Interno ID: ID_FKT_PROP_GRP0

Generale

Proprietà generali per la funzione.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FKT_PROP_GRP1

Interno ID: ID_FKT_PROP_GRP1

Esecuzione:

Disponibile solamente in progetti di rete:
Selezione del computer o dei computer su cui deve essere eseguita la funzione.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Execution


ID_FKT_VBA_XML_PROP_587

Interno ID: ID_FKT_VBA_XML_PROP_587

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset_H


ID_FKT_VBA_XML_PROP_588

Interno ID: ID_FKT_VBA_XML_PROP_588

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset_V


ID_FKTLEVELLIST

Interno ID: ID_FKTLEVELLIST

Autorizzazion Funzioni

Durante il Runtime, determinate funzioni di sistema (per esempio: carica progetto) possono essere bloccate facendo uso dei livelli di autorizzazione, rendendole inaccessibili ad utenti non autorizzati. Per quello che concerne l`Editor, possono essere assegnati livelli di autorizzazione a singoli moduli.

Cliccando sul pulsante ... si apre il dialogo per la configurazione dei livelli di autorizzazione per Runtime ed Editor.

Attenzione: Per ogni livello di autorizzazione deve essere assegnato perlomeno un utente! Altrimenti può succedere che il progetto diventi inaccessibile anche per Lei!

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktLevelList


ID_FONT_NAME

Interno ID: ID_FONT_NAME

Nome

Nome definibile liberamente. Solo a fini informativi.
Default: Nuovo carattere x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FONT_NUMMER

Interno ID: ID_FONT_NUMMER

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Nota: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Number


ID_FONT_PROP_GRP

Interno ID: ID_FONT_PROP_GRP

Carattere

Contiene le proprietà per il tipo di carattere.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FONT_SCHRIFTART

Interno ID: ID_FONT_SCHRIFTART

Carattere

Scelta del tipo di carattere fra quelli che sono installati sul computer.
Nota: il dialogo per la selezione del tipo di carattere è una finestra di dialogo standard di Windows.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


ID_FONTLIST_NAME

Interno ID: ID_FONTLIST_NAME

Nome

Nome della lista caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FONTLIST_PROP_GRP

Interno ID: ID_FONTLIST_PROP_GRP

Lista caratteri

Proprietà per la Lista caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FRAME_BEGRENZUNG

Interno ID: ID_FRAME_BEGRENZUNG

Limite

Disponibile solo se la proprietà Muovi è stata settata su Limita ai bordi del monitor.

Definisce il tipo di limite cui è soggetto lo spostamento dei modelli:

  • Cornice modello: Il modello non può essere spostato al di là del bordo del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di là del bordo del monitor. Tuttavia deve rimanerne una parte sul monitor da poter toccare per eseguire ulteriori azioni. La dimensione di questa area può essere configurata tramite la proprietà Margine minimo del frame.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationArea


ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Interno ID: ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationContactPointSize


ID_FRAME_VERSCHIEBEN

Interno ID: ID_FRAME_VERSCHIEBEN

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationType


ID_GFXRT_CHECKIMAGE_0FF

Interno ID: ID_GFXRT_CHECKIMAGE_0FF

Off

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOffImage


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOffImageInActive


ID_GFXRT_CHECKIMAGE_0N

Interno ID: ID_GFXRT_CHECKIMAGE_0N

On

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOnImage


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0N_INACTIVE

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOnImageInActive


ID_GFXRT_COLUMNORDERSTATIC

Interno ID: ID_GFXRT_COLUMNORDERSTATIC

Posizione colonne fissa

Gestisce la possibilità di modificare la larghezza o spostare colonne di tabella a Runtime con azioni del mouse.

  • Attiva: non è possibile spostare le colonne via Drag&Drop e modificarne la larghezza.
  • Non attiva: è possibile spostare e ordinare le colonne via Drag&Drop; è possibile modificare la larghezza delle colonne trascinando i bordi con il mouse.

Se nell´immagine c´è un elemento con l´operazione specifica per il tipo di immagine Selezione colonne, e se questa impostazione è attiva , l´elemento verrà disattivato a Runtime.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColumnOrderStatic


ID_GFXRT_HEADERHEIGHT

Interno ID: ID_GFXRT_HEADERHEIGHT

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderHeight


ID_GFXRT_HEADERSTATIC

Interno ID: ID_GFXRT_HEADERSTATIC

Intestazione statica

  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderStatic


ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

Interno ID: ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

Disattiva menu contestuale

Consente di visualizzare/nascondere il menù contestuale delle intestazioni di colonna.

  • Attiva: il menù contestuale è disattivato.
  • Non attiva: il menù contestuale è attivo La lista può essere configurata a Runtime.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HideColumnSettingsMenu


ID_GFXRT_NOSORTHEADER

Interno ID: ID_GFXRT_NOSORTHEADER

Blocca ordinamento

Gestisce la possibilità di ordinare le colonne di una tabella a Runtime cliccando sull´intestazione.

  • Attiva: la tabella non può essere ordinata con un clic del mouse.
  • Non attiva: la tabella può essere ordinata cliccando sull´intestazione della colonna.

Default: non attiva.

Nota relativa alla disponibilità per AML e CEL:

  • AML: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Header AML del gruppo Lista di informazione allarmi.
    Ulteriori informazioni nella guida in linea per l´AML.
  • CEL: Nelle proprietà di progetto, deve essere stata selezionata l´impostazione Intestazione modificabile per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
    Ulteriori informazioni nella guida in linea per la CEL.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NoSorting


ID_GFXRT_SHOWFILTER

Interno ID: ID_GFXRT_SHOWFILTER

Visualizza riga di filtro

  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowFilter


ID_GFXRT_SHOWHEADER

Interno ID: ID_GFXRT_SHOWHEADER

Visualizza intestazione

  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowHeader


ID_GRP_CORNER

Interno ID: ID_GRP_CORNER

Corners

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Corners


ID_HILFE_GRP

Interno ID: ID_HILFE_GRP

Guida

Proprietà per la guida in linea dell´oggetto.
Se qui non è definito per l´elemento nessun file della guida in linea, è possibile definire un capitolo generale della guida mediante i menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Help


ID_IEC870_103_FktType

Interno ID: ID_IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Inserite un valore. Corrisponde a FUN nella norma.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_FktType


ID_IEC870_103_Index

Interno ID: ID_IEC870_103_Index

IEC870-103 Index

Inserite un valore. Corrisponde alla successione di MEA in ASDU 3 o 9.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_Index


ID_IEC870_103_InfNo

Interno ID: ID_IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Inserite un valore. Corrisponde a INF nella norma.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_InfNo


ID_IEC870_COA1

Interno ID: ID_IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_COA1


ID_IEC870_IOA1

Interno ID: ID_IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_IOA1


ID_IEC870_TYPE

Interno ID: ID_IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_TYPE


ID_IEC62056_ADDRESS

Interno ID: ID_IEC62056_ADDRESS

IEC62056 Address

Inserimento dell´indirizzo OBIS.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_ADDRESS


ID_IEC62056_TIMEADJUST

Interno ID: ID_IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correzione del timestamp. Selezione della modalità dell´adattamento tempo fra quelle proposte dal menù a tendina:

  • None: non viene effettuata nessuna correzione.
  • Begin of interval: la correzione concerne il timestamp iniziale.
  • End of interval: la correzione concerne il timestamp finale.

Default: None

L´intervallo cui si riferisce la modifica, viene configurato con la proprietà IEC62056 Time Interval.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_TIMEADJUST


ID_IEC62056_TIMEINTERVAL

Interno ID: ID_IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Inserimento dell´intervallo di tempo espresso in minuti.

Disponibile solo se la proprietà IEC62056 Time Adjustment non è stato selezionato none.

Massimo: 65535

Default: 15

Esempio: nel caso che si sia scelto l´intervallo 15 e End of interval per IEC62056 Time Adjustment, il timestampo viene settato sempre alla fine di un quarto d´ora.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_TIMEINTERVAL


ID_IMM_DNS

Interno ID: ID_IMM_DNS

Database

Definizione della connessione ODBC per la banca dati dell´Industrial Maintenance Manager (IMM)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMDns


ID_IMM_TABLEDEV

Interno ID: ID_IMM_TABLEDEV

Tabella dispositivi

Nome della tabella nella banca dati per gli apparecchi.
Visualizzazione solo del nome standard. Viene usato anche per la Gestione punti di misurazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableDevice


ID_IMM_TABLEDOC

Interno ID: ID_IMM_TABLEDOC

Tabella per i documenti

Nome della tabella nella banca dati per i documenti.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableDoc


ID_IMM_TABLEHIST

Interno ID: ID_IMM_TABLEHIST

Tabella per lo storico

Nome della tabella nella banca dati per la storia.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableHist


ID_IMM_TABLEMAINT

Interno ID: ID_IMM_TABLEMAINT

Tabella per elaborazione manutenzione

Nome della tabella nella banca dati per i lavori di manutenzione.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableMaint


ID_IMM_USERLVL

Interno ID: ID_IMM_USERLVL

Livello di autorizzazione:

Livello di autorizzazione di cui si deve disporre per poter cancellare dati dalla banca dati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMUserLvl


ID_INITIALVALUE

Interno ID: ID_INITIALVALUE

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InitialValue


ID_KDNP1_OPERATION

Interno ID: ID_KDNP1_OPERATION

Command Mode

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command_Mode


ID_KNOTEN_VERKN

Interno ID: ID_KNOTEN_VERKN

Regola di sostituzione

Proprietà per la sostituzione dei collegamenti di variabili e/o funzioni per simboli e contenitori in Faceplate.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Linkings


ID_LASTUSEDOFFSET

Interno ID: ID_LASTUSEDOFFSET

Ultimo offset utilizzato

Visualizzazione dell´ultimo offset utilizzato dall´indirizzamento automatico.
Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastUsedOffset


ID_LEVELEDIT

Interno ID: ID_LEVELEDIT

Amm. Livelli di aut.

Oltre al numero, si può assegnare ai 128 livelli di autorizzazione un nome. Qui viene aperto il dialogo per la definizione del nome.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLevelList


ID_LEVELLIST

Interno ID: ID_LEVELLIST

Livelli di autorizzazione

Uno o più dei 128 livelli di autorizzazione possono essere assegnati dall´utente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLevel


ID_MATHVAR_PROP_ENABLE_VAR

Interno ID: ID_MATHVAR_PROP_ENABLE_VAR

Attiva il calcolo

Assegna alla variabile matematica una variabile il cui valore determina se il calcolo viene eseguito. L´assegnazione di una variabile attiva la proprietà.

Se si clicca sul pulsante ... oppure sul campo con la variabile, si apre il dialogo che serve alla selezione di una variabile.

Default: disattivata; nessuna variabile assegnata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableCalc


ID_MATHVAR_PROP_FORMEL

Interno ID: ID_MATHVAR_PROP_FORMEL

Formula

Apre il dialogo che serve ad inserire la formula per il calcolo della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Formula


ID_MINPWLENGTH

Interno ID: ID_MINPWLENGTH

Lunghezza minima password

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinPwLength


ID_MONITOR_VERWALTUNG

Interno ID: ID_MONITOR_VERWALTUNG

Configurazione monitor

Si aprirà il dialogo di configurazione per la gestione monitor.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MonitorAministration


ID_MSGCONTROL_DISPATCHER_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_ACTIVE

Versandart aktiv

Attivo: È possibile l´invio di messaggi con questo mezzo di trasmissione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GSM_SMS_Active


ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Voice Modem (Text-to-Speech)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTSModem_Active


ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Voice Modem (File Audio)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceModem_Active


ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Outlook_Active


ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SMTP_Mail_Active


ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Gateway_Active


ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Voice over IP (Text-to-Speech)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Non disponibile se la proprietà Voice over IP (File Audio) non è attivata.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceVOIP_Active


ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Voice over IP (File Audio)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Non disponibile se la proprietà Voice over IP (Text-to-Speech) non è attivata.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTSVOIP_Active


ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Messaggio vocale

Configurazione e selezione dei tipi di invio per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Dispatchers


ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Sprachnachricht Allgemein

Configurazione delle impostazioni generali per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Messaggio vocale e Text-to-Speech

Proprietà per la configurazione di messaggi vocali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VOICE_GRP


ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Text-to-Speech

Configurazione delle proprietà per Text-to-Speech.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTS


ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Voice over IP

Configurazione delle proprietà per Voice over IP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Interno ID: ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Esportazione impostazioni su Messag32.ini (v6.XX)

Salva le impostazioni che vengono effettuate a partire dalla versione 7, per la versione 6.xx nel messag32.ini. Cliccando sul pulsante si avvia l´operazione di export. Le impostazioni attuali del messag32.ini vengono sovrascritte dopo una richiesta di conferma da parte del sistema. Le impostazioni del messag32.ini servono a garantire la compatibilità e riguardano solamente le versioni 6.xx. di zenon A partire dalla versione 7, le impostazioni vengono salvate nello zenon6.ini .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportToMessag32


ID_MSGCONTROL_ENGINE_GRP

Interno ID: ID_MSGCONTROL_ENGINE_GRP

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Nota: Queste proprietà non sono specifiche per il progetto. Le modifiche effettuate in questo settore, dunque, avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

Definite le impostazioni specifiche per il progetto nell´albero di progetto, in corrispondenza del nodo Message Control, mediante la proprietà per Proprietà specifiche di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlSettings


ID_MSGCONTROL_MODEM_COUNTWELCOME

Interno ID: ID_MSGCONTROL_MODEM_COUNTWELCOME

Ripeti testo di benvenuto

Quantità delle ripetizioni per il testo di benvenuto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CountWelcome


ID_MSGCONTROL_MODEM_GRP

Interno ID: ID_MSGCONTROL_MODEM_GRP

Messaggio vocale (File audio)

Impostazioni per il gruppo Telefono.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Interno ID: ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Ignora disconnessioni

Attivo: L´interruzione della connessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IgnoreDisconnect


ID_MSGCONTROL_MODEM_LINEID

Interno ID: ID_MSGCONTROL_MODEM_LINEID

Id linea

ID-apparecchio generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi apparecchi quando si hanno più modem dello stesso nome. Solo visualizzazione, non modificabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineId


ID_MSGCONTROL_MODEM_LINENAME

Interno ID: ID_MSGCONTROL_MODEM_LINENAME

Nome linea

Selezione del modem da usare fra quelli della lista a cascata.

Se non viene visualizzata nessuna lista a cascata, significa che non è stato configurato nessun modem per il calcolatore in questione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Line


ID_MSGCONTROL_MODEM_TIMEOUT

Interno ID: ID_MSGCONTROL_MODEM_TIMEOUT

Timeout [min]

Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeOut


ID_MSGCONTROL_OUTLOOK_GRP

Interno ID: ID_MSGCONTROL_OUTLOOK_GRP

Messaggio E-Mail (Outlook)

Gruppo per le impostazioni del tipo di invio Outlook.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_OUTLOOK_PROFILE

Interno ID: ID_MSGCONTROL_OUTLOOK_PROFILE

Profilo

Nome del profilo Outlook che deve essere utilizzato per l´invio. Selezione dal menù a tendina. I profili devono essere già stati impostati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Profile


ID_MSGCONTROL_OUTLOOK_SUBJECT

Interno ID: ID_MSGCONTROL_OUTLOOK_SUBJECT

Oggetto (ID)

Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

Lunghezza minima: 4 caratteri

Ulteriori informazioni nella guida in linea.

Nota Conferma di ricezione: Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control. L´oggetto della conferma di ricezione in entrata deve inoltre essere introdotto da tre caratteri a piacere, come, ad esempio, RE:.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Subject


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Interno ID: ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Attivo all'avvio del Runtime

Attivo: Il Message Control viene avviato con il Runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActiveAtStartup


ID_MSGCONTROL_PROJECT_ATTEMPTS

Interno ID: ID_MSGCONTROL_PROJECT_ATTEMPTS

Massimo numero tentativi

Numero massimo di tentativi di invio quando si verificano errori di invio riconosciuti come errori hardware.
Nota: un messaggio che viene inoltrato ad un altro utente, è considerato un nuovo messaggio. Il contatore viene resettato su 1.
Se la chiamata viene interrotta dal chiamato senza conferma o rifiuto, non ci sarà una ripetizione della chiamata stessa.

  • Massimo: 100
  • Minimo: 1

Default: 3

Nota: questa impostazione non dipende da quelle dell´opzione Stile della funzione Invia messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attempts


ID_MSGCONTROL_PROJECT_CELITEMS

Interno ID: ID_MSGCONTROL_PROJECT_CELITEMS

Salva nella CEL

Stabilisce quali eventi vengono protocollati nella CEL. Selezione dalla lista a cascata:

  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
  • Solo conferme positive:
    solo messaggi che sono stati già ripristinati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelDetail


ID_MSGCONTROL_PROJECT_COLOR_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_ERROR

Errore durante l'invio

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando è fallito l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorColor


ID_MSGCONTROL_PROJECT_COLOR_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENDING

Il messaggio verrà inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control mentre è in corso l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SendingColor


ID_MSGCONTROL_PROJECT_COLOR_SENT

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENT

Il messaggio è stato inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando un messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SentColor


ID_MSGCONTROL_PROJECT_GRP

Interno ID: ID_MSGCONTROL_PROJECT_GRP

Proprietà specifiche di progetto

Contiene le impostazioni specifiche per il progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlSettings


ID_MSGCONTROL_PROJECT_LOG_DELETE

Interno ID: ID_MSGCONTROL_PROJECT_LOG_DELETE

Salva nella CEL la cancellazione manuale dei messaggi

Attivo: La cancellazione manuale di inserimenti dalla CEL viene protocollata nella stessa CEL.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LogDeleteActions


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Errore durante l'invio

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato quando è fallito un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Il messaggio verrà inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato mentre è in corso un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SendingImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Il messaggio è stato inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato non appena il messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SentImage


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Parte dinamica dell'oggetto

Definisce la parte dell´oggetto dei messaggi in uscita e in entrata specifica per un progetto. Questa proprietà viene usata insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) o Messaggio E-Mail (SMTP) /Soggetto per E-Mail delle impostazioni di invio globali del modulo Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Il testo può contenere placeholder per:

  • Chiavi dalla tabella lingua.
  • Nome di una variabile
  • Inserimento composto nella tabella lingua

Sintassi:

  • Le parti del testo sono separate da un punto e virgola (;),
  • $ contrassegna il testo che contiene parametri,
  • @ contrassegna il cambio lingua
  • % contrassegna le variabili
  • Il testo deve terminare con un punto e virgola (;).

Esempio: $@Warning;%Var1;

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubjectDyn


ID_MSGCONTROL_PROJECT_TIMETOWAIT

Interno ID: ID_MSGCONTROL_PROJECT_TIMETOWAIT

Tempo di attesa tra tentativi e timeout

Tempo di attesa in minuti fra due tentativi di invio oppure di inoltro di un messaggio.

Default: 6

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeToWait


ID_MSGCONTROL_SMSGATEWAY_GRP

Interno ID: ID_MSGCONTROL_SMSGATEWAY_GRP

Messaggio SMS (Gateway SMS)

Impostazioni per il SMS-Gateway.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_SMSGATEWAY_INBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_INBOX

Cartella in entrata

Cartella dei messaggi in entrata del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Inbox


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Interno ID: ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Identificazione chiamante

Identificazione mittente per invio di SMS.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OriginId


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Cartella in uscita

Cartella dei messaggi in uscita del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Outbox


ID_MSGCONTROL_SMSGATEWAY_PREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_PREFIX

Carattere iniziale del file messaggi

Lettera iniziale dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Prefix


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Prima lettera del file di blocco/semaforo

Lettera iniziale del file semaforo. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SemaPrefix


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Allarmi intelligenti

Attivo: Viene usato smartalarming.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmartAlarm


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Cartella di stato

Cartella del server SMS per la segnalazione di stato in caso di invio di SMS.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Statusbox


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Interno ID: ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Tempo di timeout espresso in minuti per messaggi in uscita. Stabilisce allo scadere di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeOut


ID_MSGCONTROL_SPEECH_GRP

Interno ID: ID_MSGCONTROL_SPEECH_GRP

Messaggio vocale (Text to Speech)

Impostazioni per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_SPEECH_RATE

Interno ID: ID_MSGCONTROL_SPEECH_RATE

Velocità riproduzione voce

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rate


ID_MSGCONTROL_SPEECH_VOICEID

Interno ID: ID_MSGCONTROL_SPEECH_VOICEID

Voce

Selezione della voce e della lingua fra le opzioni offerte dalla lista a cascata.
State attenti a scegliere le voci adeguate all´Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VoiceId


ID_MSGCONTROL_SPEECH_VOLUME

Interno ID: ID_MSGCONTROL_SPEECH_VOLUME

Volume

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0 (viene ripreso il valore dal sistema operativo senza alcuna modifica)

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Volume


ID_MSGCONTROL_VOIP_DOMAIN

Interno ID: ID_MSGCONTROL_VOIP_DOMAIN

Indirizzo server

Inserimento dell´indirizzo server del provider VoIP

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Domain


ID_MSGCONTROL_VOIP_PASSWORD

Interno ID: ID_MSGCONTROL_VOIP_PASSWORD

Password

Inserimento della password per VoIP.
La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Password


ID_MSGCONTROL_VOIP_USERNAME

Interno ID: ID_MSGCONTROL_VOIP_USERNAME

Nome utente

Inserimento del nome utente per VoIP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Username


ID_MSGCTRL_GRP

Interno ID: ID_MSGCTRL_GRP

Message-Control

Proprietà per l´uso degli utenti nel modulo Message Control.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageControl


ID_MSGCTRL_MAIL_POP_APOP

Interno ID: ID_MSGCTRL_MAIL_POP_APOP

Utilizzare un commando APOP per l'autenticazione

Gestisce l´autenticazione sul server di posta in entrata.

Attivo: Per l´autenticazione si usa il comando APOP invece che utente (USER) e password (PASS).

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopUseApop


ID_MSGCTRL_MAIL_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_POP_GROUP

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InboundServerSettings


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Interno ID: ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Lascia sul server le E-Mail già lette

Attivo: Le E-Mail non vengono cancellate dopo essere state caricate sul server.

Default: inattivo

Nota: : visto che POP3 non prevede nessuna possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in entrata. Se questa proprietà è attiva, aumenta lo spazio di memoria richiesto sul server e la performance nell´operazione di carico dei messaggi può ridursi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopKeepMails


ID_MSGCTRL_MAIL_POP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_POP_PASSWORD

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPassword


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Interno ID: ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Periodo minimo tra due richieste (s)

Intervallo minimo espresso in secondi fra due tentativi di carico. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPollingIntervall


ID_MSGCTRL_MAIL_POP_PORT

Interno ID: ID_MSGCTRL_MAIL_POP_PORT

Porta

Port attraverso cui viene raggiunto il server POP3.

Valore massimo: 65535

Default per connessione non crittografata: 110

Default per connessione crittografata: 995

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPort


ID_MSGCTRL_MAIL_POP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_POP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL Version 2 and 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS Version 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: SSL Versione 2 e 3

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopSecurity


ID_MSGCTRL_MAIL_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_POP_SERVER

Indirizzo server

Indirizzo completo del server POP3.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopServer


ID_MSGCTRL_MAIL_POP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_POP_USERNAME

Nome utente

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopUser


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Interno ID: ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

  • Nessuna autenticazione: L´invio viene effettuato senza autenticazione
  • Prima di inviare l' E-Mail accedere al server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.
  • Utilizza autenticazione SMTP sul server di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpAuthentication


ID_MSGCTRL_MAIL_SMTP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_GROUP

Server posta in uscita

Proprietà per la configurazione del server SMTP della posta in uscita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutboundServerSettings


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Utilizza server di posta in arrivo per le E-Mail in uscita

Attivo: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUsePopServer


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Interno ID: ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Attivo: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Inattivo: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpDifferentCredentials


ID_MSGCTRL_MAIL_SMTP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Password

Password per il server di posta in uscita.

Disponibile solo se la proprietà Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà è disattivata, è salvata la password definita nella proprietà Password del gruppo Server di posta in arrivo.

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpPassword


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Messaggio E-Mail (SMTP)

Impostazioni per l´invio di E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCTRL_MAIL_SMTP_PORT

Interno ID: ID_MSGCTRL_MAIL_SMTP_PORT

Porta

Port per la connessione con il server di posta in uscita (SMTP).

Massimo: 65535

Default: 25

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpPort


ID_MSGCTRL_MAIL_SMTP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_SMTP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL Version 2 and 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS Version 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: nessuno

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpSecurity


ID_MSGCTRL_MAIL_SMTP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_SERVER

Indirizzo server

Disponibile solo se Utilizza server di posta in arrivo per le E-Mail in uscita è disattivato.

Indirizzo completo del server SMTP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpServer


ID_MSGCTRL_MAIL_SMTP_SRCADDR

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autenticazione.

  • Attivo: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.
  • Non attivo: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUserIsOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SUBJECT

Interno ID: ID_MSGCTRL_MAIL_SMTP_SUBJECT

Soggetto per E-Mail

Inserimento dell´oggetto per le E-Mail in uscita.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpSubject


ID_MSGCTRL_MAIL_SMTP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Nome utente

Nome user per il server di posta in uscita.

Disponibile solo se Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà non è attiva, viene visualizzato il nome utente dalla proprietà Nome utente del gruppo Server di posta in arrivo. Altrimenti viene visualizzato il nome utente inserito per ultimo per il server di posta in uscita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUser


ID_NETZ_APP_CLOSE_BOX

Interno ID: ID_NETZ_APP_CLOSE_BOX

Messaggio di chiusura

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.

  • Attivo: Quando si chiude il Runtime su un server, su tutti i client collegati appare un messaggio che avverte dell´avvenuta chiusura del Runtime. La chiusura del runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completate in modo corretto.
  • Inattivo: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AppCloseBox


ID_NICHTLINIARE_ANPASSUNG

Interno ID: ID_NICHTLINIARE_ANPASSUNG

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NonlinAdjust


ID_OPCUA_BROWSENAME

Interno ID: ID_OPCUA_BROWSENAME

Browse name

Corrisponde a Browse name della specificazione OPC UA.

Sono permessi dei rifermenti gerarchici in avanti, a partire dalla cartella-oggetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrowseName


ID_PASSWORD_SHOWLOCK

Interno ID: ID_PASSWORD_SHOWLOCK

Identificazione grafica attiva

Attiva: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLock


ID_PICTURE_MIN

Interno ID: ID_PICTURE_MIN

Pulsanti Min./Max.

Disponibile solamente se viene visualizzata un Header per l´immagine:
Attivo: I bottoni per ingrandire e rimpicciolire l´immagine vengono visualizzati nell´header.
Inattivo: Non vengono visualizzati bottoni del genere.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowMinimize


ID_PICTURE_SYSMENU

Interno ID: ID_PICTURE_SYSMENU

Menu di sistema

Disponibile solamente se viene visualizzata un Header per l´immagine:
Attivo: Il menù di sistema dell´immagine viene visualizzato nell´header.
Inattivo: Non viene visualizzato un bottone del genere.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowSysMenu


ID_PICTURE_TITLE

Interno ID: ID_PICTURE_TITLE

Nome

Nome univoco dello script.
Default: Immagine x (x è un numero progressivo).

Lunghezza massima: 260 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_PREDEFINED_BITMAPS

Interno ID: ID_PREDEFINED_BITMAPS

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PredefinedBitmaps


ID_PROFILENAME

Interno ID: ID_PROFILENAME

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Profilename


ID_PROJECT_ALC_CONFIG

Interno ID: ID_PROJECT_ALC_CONFIG

Configurazione ALC

Viene aperto il dialogo di configurazione per Automatic Line Coloring (ALC).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCConfig


ID_PROJECT_ALC_GROUNDFAULTMODE

Interno ID: ID_PROJECT_ALC_GROUNDFAULTMODE

Modalità ricerca messa a terra

Imposta se nella ricerca di messa a terra viene colorata la parte della rete potenzialmente interessata, o tutta la rete in cui si trova una messa a terra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultMode


ID_PROJECT_ALC_IMPEDANCE_BASED_FL

Interno ID: ID_PROJECT_ALC_IMPEDANCE_BASED_FL

Posizione guasto basato su impedenza

Disegno automatico di un marker in un´immagine di zenon per Locazione dell'errore/distribuzione del carico.

  • Attiva:
    in caso di errore, un marker segnala nell´immagine di zenon il posto in cui si è verificato l´errore.
  • Non attiva:
    nessuna visualizzazione della sorgente dell´errore nell´immagine di zenon.

Default: attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCImpedanceBasedFaultLocation


ID_PROJECT_ALC_MARKERLINE

Interno ID: ID_PROJECT_ALC_MARKERLINE

Spessore linea del marker di pagina

Definisce lo spessore linea del marker di pagina in pixel.

Default: 3 Pixel

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerLine


ID_PROJECT_ALC_MARKERSIZE

Interno ID: ID_PROJECT_ALC_MARKERSIZE

Dimensione del marker di pagina

Definisce la grandezza dei marker immagine in pixel.

Default: 20 Pixel

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerSize


ID_PROJECT_ALC_MARKERTYPE

Interno ID: ID_PROJECT_ALC_MARKERTYPE

Tipo visualizzazione del marker di pagina

Tipi di visualizzazione del marker di pagina. Sono a disposizione:

  • Triangolo
  • Cerchio
  • Quadrato
  • Croce

Default: Triangolo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerType


ID_PROJECT_ALC_MAXOVERLOAD

Interno ID: ID_PROJECT_ALC_MAXOVERLOAD

Sovracorrente massima consentita [%]

Sovracorrente massima consentita in percentuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxOverload


ID_PROJECT_ALC_SEARCHMODE

Interno ID: ID_PROJECT_ALC_SEARCHMODE

Metodo di colorazione

Stabilisce la modalità della colorazione per lo stato UNDEFINED. Se si clicca sulla lista a cascata, si apre la selezione:

  • Standard: Il colore sorgente viene distribuito a partire da ogni sorgente accesa nella rete, finché il prossimo interruttore è chiuso.
  • Alimentazione prioritaria: Colora solamente le linee, che sono fornite potenzialmente da almeno una sorgente, ma non esplicitamente da una sorgente.

Default: Standard

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCSearchMode


ID_PROJECT_ASMACTIVE

Interno ID: ID_PROJECT_ASMACTIVE

IPA attivo

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare in diverse liste dati allarmi e, così, a mostrare eventuali tempi di stallo.

Nota: per il modulo Industrial Performance Analyzer bisogna procurarsi la relativa licenza.

Attivo: la funzionalità dell´Industrial Performance Analyzer è a Vostra disposizione. Le ulteriori proprietà che potete impostare in questa sede per l´IPA, potete modificarle adesso.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmActive


ID_PROJECT_ASMAKZ

Interno ID: ID_PROJECT_ASMAKZ

Ident. Impianto

Identificazioni impianti Vi aiutano ad effettuare operazioni di filtro nell´immagine del tipo Industrial Performance Analyzer sulla base dei dati di allarme desiderati. L´identificazione impianto definita in questa sede può ricorrere o nel nome o nell´identificazione della variabile che ha causato l´allarme.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare le identificazioni impianti desiderate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKZ


ID_PROJECT_ASMAKZMODE

Interno ID: ID_PROJECT_ASMAKZMODE

Ident. impianto da

La definizione dell'identificazione impianti può essere indicata sia come prefisso nel nome della variabile, sia nell'identificazione della variabile. Di ciò bisogna tenere conto al momento di definire la variabile stessa.
Identificazione: una parte dell´identificazione della variabile viene usata nell´identificazione impianti nell´Industrial Performance Analyzer (IPA).
Nome variabile: una parte del nome variabile viene usata per l´identificazione impianti.

Default: Nome variabile

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AkzMode


ID_PROJECT_ASMBUFFERSIZE

Interno ID: ID_PROJECT_ASMBUFFERSIZE

Dimensione buffer

Numero massimo di allarmi che vengono scritti nel buffer.

Nota: se il buffer è pieno e altri allarmi devono essere salvati, quelli più vecchi che sono stati salvati nel buffer vanno persi. Tenetelo presente in fase di progettazione.
Minimo: 0.
Massimo: 4294967295.
Default: 10000.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmBufferSize


ID_PROJECT_ASMCYCLETIME

Interno ID: ID_PROJECT_ASMCYCLETIME

Ciclo di salvataggio

Stabilite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer debbono essere scritti nella banca dati. Per ragioni di prestazione, l´Industrial Performance Analyzer (IPA) non mantiene un collegamento continuo con la banca dati. Facendo uso del ciclo di memorizzazione, potete stabilire con quale frequenza i dati devono essere scritti nella banca dati.

Indicate l´intervallo nel formato HH:MM:SS.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmCycleTime


ID_PROJECT_ASMDNS

Interno ID: ID_PROJECT_ASMDNS

Database

Definite in questa sede il collegamento con una banca dati compatibile con ODBC (per es. Microsoft SQL-Server), che l´Industrial Performance Analyzer deve usare per salvare i dati di allarme. Un clic con il tasto sinistro del mouse sul comando apre il dialogo che serve alla selezione della sorgente dati. Se non avete ancora impostato nessuna sorgente dati, potete impostarne una nuova usando questo dialogo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmDns


ID_PROJECT_ASMPREDEFFILTER

Interno ID: ID_PROJECT_ASMPREDEFFILTER

Predefinisci filtro tempo

Per la valutazione di dati allarme nell´immagine del tipo Industrial Performance Analyzer nel runtime, si possono utilizzare dei filtri tempo per far in modo che vengano visualizzati solamente gli allarmi di determinate aree tempo.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare i filtri tempo desiderati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PredefFilter


ID_PROJECT_ASMTABLE

Interno ID: ID_PROJECT_ASMTABLE

Nome della tabella

Indicate un nome per la tabella dell´Industrial Performance Analyzer nella banca dati compatibile con ODBC. Se non esiste ancora una tabella con questo nome, essa viene impostata automaticamente al momento del primo start del runtime.

Nota: i nomi tabella validi possono contenere solo segni alfanumerici e/o spazi vuoti e non possono iniziare con un numero. Non possono contenere più di 128 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmTable


ID_PROJECT_BACKUPTIME

Interno ID: ID_PROJECT_BACKUPTIME

Data creazione backup

Mostra il momento dell´ultimo backup di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackupTime


ID_PROJECT_BACKUPXML

Interno ID: ID_PROJECT_BACKUPXML

Esportazione XML attiva

Checkbox for the activation of the XML export when backing up a project.

  • Active:
    At each project backup an zip file (version.zip) is inserted. It includes 24 XML files with the backups of the individual modules.

Note: For multi-user projects only for local backups.

Default: Inactive

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackupWithXML


ID_PROJECT_DBD_SERVER

Interno ID: ID_PROJECT_DBD_SERVER

Server banca dati

Questa proprietà può essere inserita solamente al momento della creazione di un progetto.
Indica il server di banca dati di un progetto multiutente.
Se non c´è nessun inserimento, vuol dire che il progetto non è del tipo multiutente e la banca dati del progetto si trova sul computer locale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DatabaseServer


ID_PROJECT_EXTERNAL_REFERENCE

Interno ID: ID_PROJECT_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_PROJECT_IPA_ALARMCAUSELIST

Interno ID: ID_PROJECT_IPA_ALARMCAUSELIST

Cause allarmi

Nell´immagine del tipo Industrial Performance Analyzer può essere assegnata una causa allarme proveniente da una lista ad ogni allarme registrato. E´possibile effettuare un´operazione di filtro sulla base di cause allarmi.

La lista delle cause allarmi viene gestita in questa sede.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite le possibili cause allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmAlarmCauseListe


ID_PROJECT_IPA_SHIFTINFOPFS

Interno ID: ID_PROJECT_IPA_SHIFTINFOPFS

Turno dal PFS

Riprende i tempi per i turni definiti nel modulo Production & Facility Scheduler. I tempi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attivo.
Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftInfoPFS


ID_PROJECT_IPA_SHIFTINFOVARIABLE

Interno ID: ID_PROJECT_IPA_SHIFTINFOVARIABLE

Turno da variabile

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il turno del PFS.

Il nome della variabile il cui valore fornisce informazioni sul turno attuale. Selezionate una variabile del tipo INT. In tal modo potete creare il seguente modello di turno.
Esempio:

1 = turno di mattina, 2 = turno posteriore, 3 = turno di notte, -1 = pausa. La denominazione dei turni per la loro analisi può essere definita tramite la proprietà turno dalla lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftInfoVariable


ID_PROJECT_IPA_SHIFTLIST

Interno ID: ID_PROJECT_IPA_SHIFTLIST

Turno dalla lista

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il nome turno del PFS.

In questa sede definite nomi per i valori delle variabili che avete collegato alla voce Turno da variabile.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite singoli nomi per valori.

Ai nomi turno possono essere assegnati i valori di una variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftNameListe


ID_PROJECT_IPA_SHIFTPFS

Interno ID: ID_PROJECT_IPA_SHIFTPFS

Nome turno dal PFS

Riprende i nomi per i turni definiti nel modulo Production & Facility Scheduler. I nomi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attivo.

Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftNamePFS


ID_PROJECT_IPA_USRLEVEL

Interno ID: ID_PROJECT_IPA_USRLEVEL

Per cancellare

Con l´immagine di tipo Industrial Performance Analyzer è possibile cancellare a Runtime dei dati allarmi che si trovano nella banca dati. Per evitare che ci possano essere degli abusi, si può prevedere che l´utente debba essere in possesso di un´autorizzazione per poter cancellare degli inserimenti.

Selezionare il livello di autorizzazione operativa desiderato fra quelli offerti dal menù a tendina.

Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmUsrLvl


ID_PROJECT_IPA_USRLEVELCAUSE

Interno ID: ID_PROJECT_IPA_USRLEVELCAUSE

Per modificare

Con l´immagine di tipo Industrial Performance Analyzer è possibile modificare a Runtime dei dati allarmi che si trovano nella banca dati. Per evitare che ci possano essere degli abusi, si può prevedere che l´utente debba essere in possesso di un´autorizzazione per poter modificare degli inserimenti.

Selezionare il livello di autorizzazione operativa desiderato fra quelli offerti dal menù a tendina.

Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmUsrLvlCause


ID_PROJECT_MAIN_TEMPLATES

Interno ID: ID_PROJECT_MAIN_TEMPLATES

Modelli primari

Nome dei modelli che vengono indicati nella variabile Ultima immagine aperta del driver di sistema. Cliccando su '...', si apre il dialogo per la scelta dei modelli.

Avvertenza:

  • Questa proprietà ha effetto anche sulla funzione Immagine indietro.
  • Quando si modifica il nome di un modello, se necessario, esso dovrà essere reinserito in questa sede. Altrimenti la variabile del driver di sistema Ultima immagine aperta non può più identificare le immagini basate su questo modello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTemplates


ID_PROJECT_MULTIUSER

Interno ID: ID_PROJECT_MULTIUSER

Progetto multiutente

Attivo: il progetto viene usato come progetto multi-utente. Nella struttura ad albero del progetto c`è un nodo ulteriore "In costruzione".

Inattivo: il progetto viene usato come progetto standalone.

Default: inattivo.

Questa proprietà può essere attivata solamente tramite il menù contestuale del progetto.

Attenzione: l´attivazione di questa proprietà non può essere revocata! Tuttavia un progetto multi-utente può essere convertito mediante un backup in un progetto standalone.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiUser


ID_PROJECT_PROCESS_RECORDER

Interno ID: ID_PROJECT_PROCESS_RECORDER

Process Recorder

Attiva/disattiva la registrazione per il modulo Process Recorder.

  • Attiva:
    registrazione attivata nel Process Recorder.
  • Non attiva:
    nessuna registrazione nel Process Recorder.

Default: non attiva.

Attenzione: le variabili attivate con la proprietà Attivazione registrazione vengono registrate solo se questa proprietà è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProcessRecorder


ID_PROJECT_RTVERSION

Interno ID: ID_PROJECT_RTVERSION

Crea file Runtime per

Selezione della versione per cui vengono generati i file Runtime:

  • 6.20 SP4: i file Runtime vengono generati per la versione 6.20 Service Pack 4.
  • 6.21 SP0: i file Runtime vengono generati per la versione 6.21 Service Pack 0.
  • 6.21 SP1: i file Runtime vengono generati per la versione 6.21 Service Pack 1.
  • 6.22 SP0: i file Runtime vengono generati per la versione 6.22 Service Pack 0.
  • 6.22 SP1: i file Runtime vengono generati per la versione 6.22 Service Pack 1.
  • 6.50 SP0: i file Runtime vengono generati per la versione 6.50 Service Pack 0.
  • 6.51 SP0: i file Runtime vengono generati per la versione 6.51 Service Pack 0.
  • 7.00 SP0: i file Runtime vengono generati per la versione 7.00 Service Pack 0.
  • 7.10 SP0: i file Runtime vengono generati per la versione 7.10 Service Pack 0.
  • 7.11 SP0: i file Runtime vengono generati per la versione 7.11 Service Pack 0.
  • 7.20 SP0: i file Runtime vengono generati per la versione 7.20 Service Pack 0.
  • 7.20 SP0[Nr. Build più recente]: i file Runtime vengono generati per la versione 7.20, Service Pack 0, Build [Nr. Build attuale].
  • 7.50 SP0: i file runtime vengono generati per la versione 7.50 Service Pack 0.
  • Default: I file Runtime vengono generati per la versione attuale dell´Editor.

Attenzione: per garantire la coerenza dei file Runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Vengono convertite anche le configurazioni di tutti i driver. Le impostazioni che non esistono nella versione corrispondente, verranno settate su quelle di default.

Tenere presente che per la versione 7.20 esiste una possibilità di selezione dipendente dalla build. Per la versione 7.20 selezionare questa possibilità per essere sicuri di disporre delle funzionalità più nuove.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTVersion


ID_PROJECT_RUNTIMELASSO

Interno ID: ID_PROJECT_RUNTIMELASSO

Selezioni multiple in Runtime (Lazo)

Attiva: muovendo il mouse con il tasto sinistro premuto, si possono selezionare più elementi a Runtime. Una macro VBA può poi accedere a questi elementi.
Non attiva: La funzionalità "Selezioni multiple in Runtime (Lazzo)" non viene utilizzata.
Default: non attiva
Nota: la funzionalità lazzo funziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è collegata una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzionalità lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RuntimeLasso


ID_PROJECT_USEVERSION

Interno ID: ID_PROJECT_USEVERSION

Attiva versionamento

Checkbox for the activation of versioning for project backups.

  • Active:
    Project versioning is used. Every project backup is saved with an own version number.
  • Inactive:
    no versioning of the project backup.

Default: Inactive

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionActive


ID_PROJECT_VERSIONDETAIL

Interno ID: ID_PROJECT_VERSIONDETAIL

Numero de taglio

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionDetail


ID_PROJECT_VERSIONNUMBER

Interno ID: ID_PROJECT_VERSIONNUMBER

Versione generale

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Numero che deve essere assegnato da parte dell´utente. Esso viene completato internamente con un numero file, separato da un punto, e viene visualizzato come Versione progetto.

Attenzione: modifiche non ponderate e non corrette di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionNumber


ID_PROJECT_VERSIONS

Interno ID: ID_PROJECT_VERSIONS

Versionamento

Proprietà per il versionamento dei backup di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Versioning


ID_PROJECT_VERSIONSTRING

Interno ID: ID_PROJECT_VERSIONSTRING

Versione progetto

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Mostra la versione del progetto. Il numero di versione consiste del numero di Versione generale assegnato dall´utente e di quello di dettaglio, che viene conferito internamente e si trova dopo il punto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionString


ID_PROJECT_ZOOM_STEPS

Interno ID: ID_PROJECT_ZOOM_STEPS

Livelli di zoom immagine globale

Verrà aperto il dialogo che serve alla definizione dei livelli di zoom per la funzione Visualizzazione globale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomSteps


ID_PROJEKT_AD_DOMAIN

Interno ID: ID_PROJEKT_AD_DOMAIN

Dominio Active Directory

Ermöglicht einem AD-Benutzer, sich in zenon mit einer anderen Domäne anzumelden als jener, die für die Anmeldung in Windows benutzt wird.
Nur verfügbar, wenn Accesso ad Active Directory aktiviert ist.

  • Wert: Name der gewünschten Domäne.

Mehr im Online-Handbuch.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADDomain


ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

Interno ID: ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

Gruppo utenti per il login Active Directory con credenziali memorizzate nella cache

Disponibile solo se la proprietà Accesso ad Active Directory ha il valore Sì.

Selezione di un gruppo utenti che consente di effettuare un login con con credenziali memorizzate nella cache.
Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActiveDirectoryUsrGrpLogin


ID_PROJEKT_ADAM

Interno ID: ID_PROJEKT_ADAM

Connessione AD LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=760,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAM


ID_PROJEKT_ADAM_PWD

Interno ID: ID_PROJEKT_ADAM_PWD

Password AD LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAMPwd


ID_PROJEKT_ADAM_USER

Interno ID: ID_PROJEKT_ADAM_USER

Nome utente AD LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni su AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAMUser


ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

Interno ID: ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

Benutzergruppe für AD LDS-Login mit zwischengespeicherten Anmeldeinformationen

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAMUsrGrpLogin


ID_PROJEKT_ALARM_CEL

Interno ID: ID_PROJEKT_ALARM_CEL

AML e CEL

Proprietà per la gestione allarmi e la Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_CEL


ID_PROJEKT_ALLGEMEIN

Interno ID: ID_PROJEKT_ALLGEMEIN

Generale

Proprietà generali del progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Project


ID_PROJEKT_ALT_PATH

Interno ID: ID_PROJEKT_ALT_PATH

Cartella dati

vuoto. Il percorso standard viene usato per il salvataggio di Lista allarmi, Lista eventi cronologica (CEL), dati dell´hard disk, dati archivio ecc. (Percorso progetto\Nome computer\Nome progetto).
Percorso: il percorso indicato in questa sede viene usato per salvare i dati ("Percorso inserito\Nome computer\Nome progetto").
Attenzione: se il percorso indicato non esiste (problemi di rete, supporto dati esterno non esistente), non viene più scritto nessun dato dal Runtime. Il che significa: perdita dati del 100%. si può continuare a lavorare con il Runtime, ma lo si deve riavviare. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile.
Consiglio: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltDataPath


ID_PROJEKT_AML

Interno ID: ID_PROJEKT_AML

Lista di informazione allarmi

Proprietà per la configurazione allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML


ID_PROJEKT_AUTOMATIC_FUNC

Interno ID: ID_PROJEKT_AUTOMATIC_FUNC

Esecuzione funzione automatica

Proprietà per l´esecuzione automatica di funzioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AutoFunc


ID_PROJEKT_AUTOMATIC_FUNCTION

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION

Funzione

Disponibile solo nel caso in cui la proprietà Esecuzione aut.funzione attiva è attiva:
Funzione che viene eseguita senza azione di comando una volta trascorso il tempo stabilito.
Se deve essere eseguita più di una funzione, si deve creare uno script con le funzioni desiderate e si deve collegare in questa sede la funzione per l´esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Esecuzione aut.funzione attiva

  • Attivo: Esecuzione automatica della funzione quando il computer non è stato utilizzato per il tempo definito nella proprietà Periodo senza azione di comando (min). Selezione della funzione da eseguire tramite la proprietà Funzione.
  • Inattivo: Nessuna esecuzione automatica della funzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FuncActive


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Periodo senza azione di comando (min)

Disponibile solamente se la proprietà Esecuzione aut.funzione attiva è attiva:
Intervallo di tempo che deve passare senza azioni di comando perché la funzione definita venga eseguita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FuncActiveTime


ID_PROJEKT_BLINK_FREQUENCY

Interno ID: ID_PROJEKT_BLINK_FREQUENCY

Frequenza di lampeggio [dec.Secondo]

Frequenza di lampeggio di elementi dinamico in decimi di secondo (per es.: 5 corrisponde ad un lampeggio al ritmo di 1/2 secondo).

  • Minimo: 0
  • Massimo: 2147483647
  • Default: 5

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkRate


ID_PROJEKT_CEL

Interno ID: ID_PROJEKT_CEL

Lista eventi cronologica (CEL)

Proprietà per la gestione della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL


ID_PROJEKT_CHANGELOG

Interno ID: ID_PROJEKT_CHANGELOG

Log delle modifiche

Proprietà per il Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ChangeLog


ID_PROJEKT_CHANGELOG_AKTIV

Interno ID: ID_PROJEKT_CHANGELOG_AKTIV

Log delle modifiche attivo

Checkbox con cui si attiva il Log delle modifiche.

  • Attiva:
    le modifiche apportate al progetto vengono protocollate.
  • Non attiva:
    le modifiche apportate al progetto non vengono protocollate

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogAktiv


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Interno ID: ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Consenti modifiche automatiche

Disponibile solo progetti multiutente se è attivo il Log delle modifiche:
Attivo: le modifiche concernenti gli inserimenti della lista vengono consentite automaticamente quando vengono aggiunti commenti. Poi dovranno essere accettate manualmente.
Inattivo: si possono aggiungere commenti solo dopo che si è consentito manualmente di effettuare modifiche agli inserimenti.
Default: inattivo.

Attenzione: se viene attivata, questa funzionalità consuma molte risorse.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogCheckout


ID_PROJEKT_CHANGELOG_DETAIL

Interno ID: ID_PROJEKT_CHANGELOG_DETAIL

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli del menù a tendina.

  • Oggetto:
    vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli relativi alle proprietà modificate e ai loro valori non verranno visualizzati nel Log di modifiche.
  • Proprietà:
    oltre ai nomi degli oggetti, verranno registrate nel "Log delle modifiche" anche le proprietà modificate e i loro nuovi valori.
  • Cambio valori:
    questa impostazione garantisce il più alto livello di dettaglio possibile. Se questa opzione viene attivata, verrà salvato nel Log delle modifiche non solo il nuovo valore di una proprietà, ma anche quello vecchio. In questo modo si garantisce una completa tracciabilità delle modifiche riguardanti i valori.

Default: Oggetto

Nota: i valori modificati verranno tagliati se superano una lunghezza di 128 caratteri.

Ulteriori informazioni nella guida in linea .

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogState


ID_PROJEKT_CURSOR_VISIBLE

Interno ID: ID_PROJEKT_CURSOR_VISIBLE

Cursore visibile

Checkbox for the behavior of the mouse pointer in zenon Runtime.

  • Active:
    The mouse pointer is visible in Runtime.
  • Inactive:
    The mouse pointer will not be displayed during Runtime For projects with a touchscreen, the display of the mouse pointer can be considered to be distracting and can be switched off with this property.

Default: active
Attention: This setting only has an effect on zenon, not on Windows standard elements such as title bars, menus, scroll bars, etc. For Windows elements, the mouse pointer must be deactivated in the operating system directly.

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CursorVisible


ID_PROJEKT_DRIVER_INVISIBLE

Interno ID: ID_PROJEKT_DRIVER_INVISIBLE

Driver invisibile

Checkbox for the display of the driver that has been started in the Windows task bar.

  • Active:
    Started drivers are not displayed in the Windows task bar in the Runtime.
  • Inactive:
    Started drivers are displayed in the Windows task bar in the Runtime.

Default: Inactive.

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DriverInvisible


ID_PROJEKT_ENABLEMENU

Interno ID: ID_PROJEKT_ENABLEMENU

Attiva menu principali

Visualizzazione dei menù principali a Runtime:

  • Attiva: sul margine superiore della finestra Runtime appare una barra riservata alla visualizzazione dei menù.
  • Non attiva: a Runtime non verrà visualizzato nessun menù principale.

Default: non attiva.
Attenzione: si deve attivare questa opzione se si vuole usare i menù principali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableMenu


ID_PROJEKT_EXPORT_UNICODE

Interno ID: ID_PROJEKT_EXPORT_UNICODE

Esportazione testo in Unicode

Attivo: esportazione testo in Unicode.
Non attiva: esportazione testo in file ANSI.
Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportUnicode


ID_PROJEKT_GDIPLUS

Interno ID: ID_PROJEKT_GDIPLUS

Qualità grafica

Setting for the quality of the graphics display.
DirectX allows a higher quality than Windows Basic. In principle, when using DirectX, the DirectX Hardware setting is preferable and DirectX Software should only be used if absolutely necessary. Possible selection:

  • Windows Basic:
    Basic graphics settings. Recommended for resource-weak hardware.
  • DirectX Software:
    Graphics calculation is done by the CPU and can lead to high CPU load.
  • DirectX Hardware:
    A part of the graphics calculation is done by the graphics card. If the system does not support the setting, it automatically switches to DirectX Software.

Default: DirectX Hardware

Attention: DirectX Not available under Windows CE.

Note:

  • When switching the mode during the engineering, there can be slight pixel deviation. There set this property before you create screens.
  • When activating Windows basic for all line types that use Larghezza linea > 1, all line types are set to solid line.
  • DirectX is not used for the display of ActiveX elements (file suffix: *.ocx).

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseGDIplus


ID_PROJEKT_GRP0

Interno ID: ID_PROJEKT_GRP0

Stampa

Proprietà per la stampa online della Lista allarmi (AML), o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Print


ID_PROJEKT_GRP1

Interno ID: ID_PROJEKT_GRP1

Nome/Cartella

Proprietà per il nome e la memoria del progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP2

Interno ID: ID_PROJEKT_GRP2

Impostazioni Runtime

Proprietà per il comportamento Runtime del progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Runtime


ID_PROJEKT_GRP3

Interno ID: ID_PROJEKT_GRP3

Tastiera

Proprietà per la gestione touch.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Touch


ID_PROJEKT_GRP4

Interno ID: ID_PROJEKT_GRP4

Logout automatico

Proprietà per il logout automatico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AutoLogout


ID_PROJEKT_GRP5

Interno ID: ID_PROJEKT_GRP5

Login e firma

Proprietà per il login temporaneo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TempLogin


ID_PROJEKT_GRP6

Interno ID: ID_PROJEKT_GRP6

Industrial Performance Analyzer

Proprietà per l´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_IPA


ID_PROJEKT_GRP7

Interno ID: ID_PROJEKT_GRP7

Aspetto grafico

Proprietà per la rappresentazione grafica del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Graphics


ID_PROJEKT_GRP8

Interno ID: ID_PROJEKT_GRP8

Salvataggio dati IPA

Proprietà per il salvataggio dei dati dell´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Storage


ID_PROJEKT_GRP9

Interno ID: ID_PROJEKT_GRP9

Analisi

Proprietà per l´analisi dei dati dell´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Analysis


ID_PROJEKT_GRP10

Interno ID: ID_PROJEKT_GRP10

Generale

Proprietà generali per il file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP11

Interno ID: ID_PROJEKT_GRP11

Generale

Proprietà generali per il progetto zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


ID_PROJEKT_GRP12

Interno ID: ID_PROJEKT_GRP12

Generale

Proprietà generali per il backup di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP13

Interno ID: ID_PROJEKT_GRP13

Elementi bloccati

Proprietà per la visualizzazione di elementi bloccati.
Gli elementi che sono bloccati grazie ad un gruppo autorizzazioni o un interblocco, vengono contrassegnati dalla presenza del simbolo del lucchetto, o mediante una grafica che può essere scelta liberamente dall´utente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_LockSymbol


ID_PROJEKT_GRP14

Interno ID: ID_PROJEKT_GRP14

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Pictures


ID_PROJEKT_GRP15

Interno ID: ID_PROJEKT_GRP15

Industrial Maintenance Manager

Proprietà dell'Industrial Maintenance Manager (IMM) Esse sono disponibili solo se avete una licenza per l'Industrial Maintenance Manager.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_IMM


ID_PROJEKT_GRP16

Interno ID: ID_PROJEKT_GRP16

Diritti di accesso

Autorizzazioni per la cancellazione o la modifica di inserimenti nella banca dati dell´Industrial Performance Analyzers (IPA).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


ID_PROJEKT_GRP17

Interno ID: ID_PROJEKT_GRP17

Runtime generale

Contiene le impostazioni per il Runtime.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RuntimeGeneral


ID_PROJEKT_GRP18

Interno ID: ID_PROJEKT_GRP18

Active Directory/AD LDS

Proprietà per l´uso del

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ActiveDirectory


ID_PROJEKT_GRP19

Interno ID: ID_PROJEKT_GRP19

Colore di selezione per le liste oggetti

Configurazione dei colori utilizzati per evidenziare gli elementi su cui si trova il focus all´interno di liste configurabili. Queste proprietà hanno effetto per le seguenti liste:

  • Active Directory:
    • Lista nella finestra Active Directory (ma non: albero)
  • AML
  • Filtro AML/Filtro CEL/Filtro tempo:
    • Lotti: Gestione archivio
    • Lotti: Selezione lotti
  • Batch:
    • Lista delle ricette master
    • Lista delle ricette di controllo
    • Lista parametri 1
    • Lista parametri 2
  • Comandi
    • Lista interblocchi
  • Lista utenti:
    • Lista utenti
  • CEL
  • Trend esteso
    • Lista curve estesa
  • Message Control:
    • Coda messaggi
  • Process Recorder
  • RGM:
    • Lista ricette e tabella dei valori ricetta (ma non: tabella valori ricette CE).
  • Gestione turni
    • Liste testi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GFX_Lists


ID_PROJEKT_GRP20

Interno ID: ID_PROJEKT_GRP20

Process Recorder

Proprietà per il modulo Process Recorder valide per un progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_GeneralProcessRecorder


ID_PROJEKT_GRP_INTERACTION

Interno ID: ID_PROJEKT_GRP_INTERACTION

Interazione

Proprietà per gestione Multitouch.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Interaction


ID_PROJEKT_GUID

Interno ID: ID_PROJEKT_GUID

ID progetto

Ogni progetto viene identificato tramite un GUID univoco. Questa proprietà non può essere modificata.
Questo è anche il nome della sottocartella nella directory SQL in cui è salvato il progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GUID


ID_PROJEKT_KEYBOARD_SIZE

Interno ID: ID_PROJEKT_KEYBOARD_SIZE

Dimensione Keyboard [%]

Defines in which size - in percent, starting from the original size - the automatic keyboard should be displayed in the Runtime.
Minimum: 50 %
Maximum: 300 %
Default: 100 %

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardSize


ID_PROJEKT_LIMIT_FUNCTION_ON_START

Interno ID: ID_PROJEKT_LIMIT_FUNCTION_ON_START

Esegui funzioni val. limiti all'avvio del RT

Esecuzione di funzioni collegate a valori limite all´avvio del Runtime e quando ci sono violazioni di valore limite in attesa.

  • Attiva: all´avvio del Runtime verrà eseguita di nuovo una funzione collegata al valore limite in attesa.
  • Non attiva: all´avvio del Runtime non verrà eseguita di nuovo una funzione collegata al valore limite in attesa.

Default: attiva
Attenzione: questa proprietà riguarda solamente i valori limite che non sono allarmi!
Esempi:

  • Esempio 1: il Runtime viene chiuso e nessun valore limite è stato violato. Poi c´è una violazione di valore limite e in seguito viene avviato il Runtime. Se il valore limite violato è un allarme, la funzione collegata verrà eseguita all'avvio del Runtime. Se, invece, il valore limite non è un allarme, il sistema utilizzerà l'impostazione di questa proprietà.
  • Esempio 2: il Runtime viene chiuso e un valore limite, che non è un allarme, è stato violato. La funzione collegata è stata già eseguita quando il valore limite è stato violato. Se il Runtime viene riavviato, sussiste ancora la violazione del valore limite in questione. In questo caso, se la funzione collegate verrà eseguita di nuovo o meno, dipende dal modo in cui è stata configurata questa proprietà.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitFunctionOnStart


ID_PROJEKT_MAIN_WINDOW

Interno ID: ID_PROJEKT_MAIN_WINDOW

Titolo Runtime

Display of the Runtime main window.

  • no title:
    Complete display. Title bar is not displayed.
  • Title with min. and max. button:
    The window can be changed in its size and can be moved. Closing is not possible (also not via context menu, task bar or the shortcut Alt+F4). Right click on the header opens the context menu.
  • Title with system, min. and max. button:
    The window can be changed in its size and can be moved and it can be closed by clicking on button X. Right click on the header opens the context menu.
  • Title with system menu:
    The window can be moved and closed by clicking on button X. Right click on the header opens the context menu.
  • Title without buttons:
    The window can be moved and closed by clicking on button X. Right click on the header opens the context menu.

Default: no title

Attention: If this property is changed in the Editor, Runtime must be restarted. Reloading alone does not work, because Runtime must first be closed and then reopened in order for the main menu to be applied.

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainWindowStyle


ID_PROJEKT_MULTITOUCH

Interno ID: ID_PROJEKT_MULTITOUCH

Multi-Touch attivo

Checkbox for the application of Multi-Touch.

  • Active:
    Multi-Touch can be used. Flicks (short swipe) and right click (touch and hold) are deactivated.
    Requirements: All corresponding driver and devices are available. The device must be connected and switched on.
  • Inactive:
    no Multi-Touch operation in the zenon Runtime.

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouch


ID_PROJEKT_NAME

Interno ID: ID_PROJEKT_NAME

Nome progetto

Nome univoco del progetto.
Questo nome serve a garantire una lettura migliore; internamente si usa di norma il GUID.
È consentito l´uso di: numeri, lettere e il carattere speciale di sottolineatura (_).

Nota: si prega di tenere presente che, quando si cambia il nome di un progetto, è possibile che si debbano modificare di conseguenza anche i riferimenti del progetto di integrazione che riguardano più progetti, oppure l´uso per più progetti di variabili, funzioni e VBA. Per far questo, usare il Dialogo di sostituzione dei riferimenti di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Interno ID: ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Impostazioni di ridondanza

Proprietà per la configurazione della ridondanza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NetRed


ID_PROJEKT_NETZ

Interno ID: ID_PROJEKT_NETZ

Rete

Proprietà per l´uso del progetto in una rete.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Net


ID_PROJEKT_NETZ_AKTIV

Interno ID: ID_PROJEKT_NETZ_AKTIV

Rete attiva

  • Attiva: il progetto viene usato come progetto di rete. Deve essere definito un server:
  • Non attiva: il progetto è un progetto Standalone.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetActive


ID_PROJEKT_NETZ_DATENSERVER

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Server 2 come Server dati

Attenzione: questa proprietà non viene più supportata. Per ragioni di compatibilità, è ancora disponibile fino alla versione 7.20 di zenon compresa, in combinazione con un Runtime su dispositivi Windows CE.

Configurazione:
Il server definito qui stabilisce la connessione con l´hardware e inoltra i dati al server. Disponibile solamente se è stato indicato un computer nella proprietà Server 2.

  • Attiva: Server 2 viene usato come server dati.
  • Non attiva: Server 1 viene usato come server dati.

Default: non attiva.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetDataServer


ID_PROJEKT_NETZ_REDUNDANZTYP

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Tipo di ridondanza

Disponibile solo se nella proprietà Server 2 è stato indicato un computer.

zenon supporta due tipi di ridondanza:

  • Ridondanza software: Il sistema è formato da un PLC e due computer ridondati su cui è installato il sistema di controllo. Entrambi i PC devono essere connessi al PLC. Entrambi i PC comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene gestita dal computer che funge da server. Il server, dunque, comunica in modo bidirezionale, il Server-Standby in una sola direzione. Se il server smette di funzionare, il Server-Standby assume il compito di gestire la comunicazione bidirezionale con il PLC.
  • Ridondanza hardware: Il sistema è formato da due PLC ridondati e due computer ridondati su cui è installato il sistema di controllo. Ogni PC comunica con un PLC in modalità bidirezionale. Entrambi i computer e entrambi i PLC allineano i loro dati. Se smette di funzionare un componente del primo sistema, subentra il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetType


ID_PROJEKT_NETZ_ROUTING_AKTIV

Interno ID: ID_PROJEKT_NETZ_ROUTING_AKTIV

Attiva routing

  • Attivo: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
    Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing.

Raccomandazione: disattivare l´impostazione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetRoutingActive


ID_PROJEKT_NETZ_SB

Interno ID: ID_PROJEKT_NETZ_SB

Server 2

Disponibile solamente se nella proprietà Server 1 è stato inserito un computer.

Cliccando su ..., si apre la finestra di dialogo contente la lista dei computer disponibili in rete.
Nei sistemi ridondanti, questo computer assume il ruolo del server primario quando quest´ultimo smette di funzionare. Il sistema riconosce che il server primario ha smesso di funzionare se quest´ultimo non reagisce entro il tempo definito nella proprietà Network communication timeout dello Startup Tool. Un buffer apposito nel Server-Standby supera il tempo morto che trascorre fra il momento in cui il server primario smette di funzionare e quello in cui subentra lo Standby; in questo modo si evita che ci sia una perdita di dati.

Nota sul nome: "localhost" non può essere usato come nome.
Se si cambia il nome, quest´ultimo non potrà essere aggiornato con un semplice reload. Ci sarà un update del nome solo in seguito ad un riavvio del Runtime.
Attenzione: il server primario e il Server-Standby devono avere la stessa ora di sistema.
Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSB


ID_PROJEKT_NETZ_SERVER

Interno ID: ID_PROJEKT_NETZ_SERVER

Server 1

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Quando si clicca su ... si apre la finestra di dialogo contenente la lista dei computer disponibili in rete.

Indicazione Nome: L'indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetServer


ID_PROJEKT_NETZ_TIMEOUT

Interno ID: ID_PROJEKT_NETZ_TIMEOUT

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTimeout


ID_PROJEKT_NETZ_TOKEN

Interno ID: ID_PROJEKT_NETZ_TOKEN

Autorizzazione

Proprietà per l´autorizzazione comando nella rete.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Token


ID_PROJEKT_NETZ_TOKEN_AKTIV

Interno ID: ID_PROJEKT_NETZ_TOKEN_AKTIV

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, è sempre possibile.

  • Attiva:
    Solo un PC può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
  • Non attiva:
    più calcolatori possono gestire il progetto contemporaneamente.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenActive


ID_PROJEKT_NETZ_TOKEN_QUESTION

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout per la richiesta [s]

Disponibile solamente se per la proprietà Autorizzazione di rete è stata selezionata dal menù a tendina l´opzione Autorizzazioni utenti globali oppure Autorizzazione utente via modello di impianto.
Se l´autorizzazione operativa viene bloccata in rete da una postazione, potrà essere richiesta da un altro computer. Questa richiesta deve ottenere una risposta entro il tempo impostato in questa proprietà. Se questo intervallo di tempo scade senza che sia giunta alcuna risposta, la postazione che ha fatto la richiesta ottiene automaticamente l´autorizzazione.

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenQuestion


ID_PROJEKT_NETZ_TOKEN_QUIT

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout per autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione di rete è stata progettata.
Entro l´intervallo di tempo impostato in questa proprietà il computer (Client) in possesso dell´autorizzazione operativa deve mettersi in comunicazione con il server. In caso contrario, l´autorizzazione operativa verrà rilasciata automaticamente.
Attenzione: questo valore deve essere inferiore al tempo impostato nella proprietà Timeout [s].

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenQuit


ID_PROJEKT_NOT_TRANSLATED

Interno ID: ID_PROJEKT_NOT_TRANSLATED

Visualizza parole chiave non tradotte

Impostazioni relative al comportamento in caso di parole chiave che non esistono in nessun file delle lingue:

  • Attiva: le parole chiave non esistenti vengono visualizzate a Runtime con un segno @ come prefisso, per es.: @Text.
  • Non attiva: visualizzazione a Runtime senza segno @ come prefisso, per es.: Text

Nota: se la parola chiave esiste in un file delle lingue, ma non è stata ancora tradotta, a Runtime non verrà visualizzato nessun testo (stringa vuota).

Ulteriori informazioni nella guida in linea .

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowNotTranslated


ID_PROJEKT_PASSWORT

Interno ID: ID_PROJEKT_PASSWORT

Gestione user

Proprietà relative al progetto per la gestione utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Password


ID_PROJEKT_POKEACK

Interno ID: ID_PROJEKT_POKEACK

Funzioni impostazione valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrispondente nella CEL.
  • Inattivo: La scrittura di valori nella CEL non viene messa a protocollo.

Default: inattivo

Nota: Questa proprietà ha effetto durante il Runtime solo se il settaggio del valore impostabile viene eseguito tramite la funzione Imposta valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELPokeAck


ID_PROJEKT_PRINT_ACTIVE

Interno ID: ID_PROJEKT_PRINT_ACTIVE

Stampa attiva

Attivo: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintActive


ID_PROJEKT_PRINT_AML_CEL

Interno ID: ID_PROJEKT_PRINT_AML_CEL

Stampa per

Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
Consente di decidere se AML oppure CEL devono essere stampate nel Runtime Può essere stampata solamente una sola delle due liste.

  • Lista di informazione allarmista allarmi: La Lista allarmi (AML) viene stampata online.
  • Lista Eventi Cronologica: La Lista eventi cronologica(CEL) viene stampata online.

Default: Lista di informazione allarmi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintCEL


ID_PROJEKT_PRINT_LINES_PAGE

Interno ID: ID_PROJEKT_PRINT_LINES_PAGE

Righe per pagina

Disponibile solamente se la proprietà Stampa attiva è attiva.
Numero delle righe per pagina che vengono stampate con la stampa online.
Minimo: 0

Massimo: 65535
Default: 72

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintLines


ID_PROJEKT_PROCESS_REC_AKTIV

Interno ID: ID_PROJEKT_PROCESS_REC_AKTIV

Attiva Process Recorder

Attiva/disattiva la registrazione per il modulo Process Recorder.

  • Attiva:
    le variabili attivate verranno registrate nel modulo Process Recorder.
    L´attivazione/disattivazione delle variabili viene eseguita mediante la proprietà Attivazione registrazione della variabile o del tipo di dato.
  • Non attiva:
    i dati non verranno registrati nel modulo Process Recorder. In questo caso non sarà possibile una successiva riproduzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableProcessRecording


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Interno ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Visualizzazione inserimento per penna

Proprietà per l´uso di Multi-Touch tramite pennino.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PenInputVisualisation


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Interno ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Visualizzazione inserimento per touch

Proprietà per l´uso di Multi-Touch con le dita. .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TouchInputVisualisation


ID_PROJEKT_PROP_GRP_MULTITOUCH

Interno ID: ID_PROJEKT_PROP_GRP_MULTITOUCH

Multi-Touch

Proprietà per l´uso di Multi-Touch nel progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Multitouch


ID_PROJEKT_PROP_MULTITOUCH_MODE

Interno ID: ID_PROJEKT_PROP_MULTITOUCH_MODE

Analisi

Selezione del modo in cui devono essere interpretati i gesti Multitouch:

  • Disattiva: disattiva Multitouch.
  • Windows 7: i gesti attivi che sono supportati da Windows 7 sono attivati. In tal modo, è possibile una gestione Multitouch delle funzioni di zoom e scroll nella visualizzazione globale e Multitouch può essere realizzato mediante VSTA.
  • Windows 8: attiva i gesti che sono supportati da Windows 8. In tal modo, è possibile parametrizzare Multitouch in larga misura ricorrendo alle proprietà di zenon.

Default: Disattiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultitouchMode


ID_PROJEKT_PROP_PEN_ACTIVE

Interno ID: ID_PROJEKT_PROP_PEN_ACTIVE

Attivo

Attivo: Proprietà per la gestione Multi-Touch con pennino sono disponibili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenActive


ID_PROJEKT_PROP_PEN_BARREL

Interno ID: ID_PROJEKT_PROP_PEN_BARREL

Stift-Taste

Attivo: L´opzione tasto pennino è disponibile per la gestione touch per mezzo di pennino.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenBarrel


ID_PROJEKT_PROP_PEN_DOUBLETAP

Interno ID: ID_PROJEKT_PROP_PEN_DOUBLETAP

Doppelt Tippen

Attivo: L´opzione Doppio tocco è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenPenDoubleTap


ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Interno ID: ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Drücken und Halten

Attivo: L´opzione Premi e mantieni è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenPressAndHold


ID_PROJEKT_PROP_PEN_RIGHTTAP

Interno ID: ID_PROJEKT_PROP_PEN_RIGHTTAP

Drücken und Tippen

Attivo: L´opzione Premi e tocca è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenRightTap


ID_PROJEKT_PROP_PEN_TAP

Interno ID: ID_PROJEKT_PROP_PEN_TAP

Tippen

Attivo: L´opzione Tocco è disponibile per la gestione touch per mezzo di pennino.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenTap


ID_PROJEKT_PROP_TOUCH_ACTIVE

Interno ID: ID_PROJEKT_PROP_TOUCH_ACTIVE

Attivo

Attivo: Le proprietà per la gestione touch con le dita sono disponibili.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchActive


ID_PROJEKT_PROP_TOUCH_CONTACT

Interno ID: ID_PROJEKT_PROP_TOUCH_CONTACT

Kontakt

Attivo: L´opzioneContatto è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchContact


ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Interno ID: ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Doppelt Tippen

Attivo: L´opzioneDoppio tocco è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchDoubleTap


ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Interno ID: ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Drücken und Halten

Attivo: L´opzione Premi e mantieni è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchPressAndHold


ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Interno ID: ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Drücken und Tippen

Attivo: L´opzione Premi e tocca è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchRightTap


ID_PROJEKT_PROP_TOUCH_TAP

Interno ID: ID_PROJEKT_PROP_TOUCH_TAP

Tippen

Attivo: L´opzioneTocco è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchTap


ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Interno ID: ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Banda morta post-commutazione[s]

Tempo di attesa (espresso in secondi) perché si verifichi il cambio della gestione del processo dopo una modifica nel ruolo dei calcolatori coinvolti nel meccanismo di ridondanza.

Disponibile solo se la modalità di ridondanza è Nominale.

  • Minimo: 0
  • Massimo: 65535

Default: 10

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetDetectOffTime


ID_PROJEKT_RATED_NET_HYSTERESIS

Interno ID: ID_PROJEKT_RATED_NET_HYSTERESIS

Isteresi

Isteresi in punti di valutazione che devono essere superati per attivare il ritardo del cambio.

Disponibile solo se la modalità di ridondanza è Nominale.

Minimo: 0
Massimo: 4294967296

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetHysteresis


ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Interno ID: ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Tipo di ridondanza

Tipo di modalità di ridondanza in rete. Selezione della modalità di ridondanza fra quelle del menù a tendina:

  • Dominante:
    Se esiste, il Server 1 configurato diventa sempre il server primario. Questo significa che il Server 2 configurato sarà server primario solo se il Server 1 non esiste.
  • Non dominante:
    Il server avviato per primo assume il ruolo di server primario.
    Se il Server 1 configurato smette di funzionare, il Server 2 (oppure viceversa) assume il ruolo di server primario. Questo computer mantiene questo ruolo finché non viene eseguito manualmente un cambio di ridondanza, oppure finché il server primario attuale non smette di funzionare.
  • Ponderata:
    Viene eseguita un´analisi (come configurato nella proprietà Valutazioni). A seconda dell´esito di questa analisi, il sistema determina il ruolo di server primario ed esegue il cambio di ridondanza di conseguenza.

Default: Non dominante

Nota: attiva solo se il Tipo di ridondanza impostato è Ridondanza software. Se è stato selezionato il tipo Ridondanza hardware, viene applicata automaticamente la modalità Dominante.
Non attiva se la proprietà Rete attiva è disabilitata (nessun segno di spunta nella casella), se per la proprietà Tipo di ridondanza è stata selezionata l´opzione Ridondanza hardware, oppure se non sono stati indicati il Server 1 e il Server 2.

Ulteriori informazioni nella guida in linea .

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetMode


ID_PROJEKT_RATED_NET_SUM

Interno ID: ID_PROJEKT_RATED_NET_SUM

Valutazioni

Mostra la somma della valutazione e il numero delle variabili definite nella valutazione. Cliccando sul pulsante ... si apre una finestra di dialogo che serve alla selezione e alla configurazione delle variabili per la valutazione di ridondanza.
Disponibile solo se la modalità di ridondanza è Nominale.

Default: Spazio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSummarization


ID_PROJEKT_RATED_NET_SWITCH_DELAY

Interno ID: ID_PROJEKT_RATED_NET_SWITCH_DELAY

Ritardo di commutazione[s]

Tempo di ritardo (espresso in secondi) prima che il computer passi ad essere server primario.

Disponibile solo se la modalità di ridondanza è Nominale.

  • Minimo: 0
  • Massimo: 65535

Default: 30

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSwitchDelay


ID_PROJEKT_SAME_COMMENTS

Interno ID: ID_PROJEKT_SAME_COMMENTS

Stesso commento

  • Attiva: i commenti che vengono aggiunti a Runtime ad un allarme, vengono salvati anche con l´inserimento corrispondente nella Lista eventi cronologica (CEL).
  • Non attiva: i commenti relativi ad un allarme vengono salvati solamente nella Lista di informazione allarmi. Sono possibili anche inserimenti specifici per la CEL.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SameComments


ID_PROJEKT_SCHALTFOLGEN

Interno ID: ID_PROJEKT_SCHALTFOLGEN

Sequenze di comando

Proprietà relative al progetto per il modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SwitchingSequences


ID_PROJEKT_SEL_WITH_BORDER

Interno ID: ID_PROJEKT_SEL_WITH_BORDER

Seleziona con cornice

  • Attiva: nella Lista di informazione allarmi (AML) e nella Lista Eventi Cronologica (CEL) vengono evidenziate mediante una cornice delle righe selezionate. Si consiglia l´uso di questa opzione per una migliore leggibilità in caso di elevate risoluzioni dello schermo.
  • Non attiva: il colore di sfondo delle righe selezionate viene invertito. Si consiglia l´uso di questa opzione per una migliore leggibilità in caso di basse risoluzioni dello schermo.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SelBorder


ID_PROJEKT_STARTBILD

Interno ID: ID_PROJEKT_STARTBILD

Immagine di partenza

All´avvio del Runtime viene aperta automaticamente questa immagine.

La prima immagine creata in un progetto viene inserita automaticamente in questa proprietà. Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un´immagine.

Se si cancella l´immagine configurata per questa proprietà dalla lista delle immagini, il sistema inserirà automaticamente la prima immagine creata (se esistente), o altrimenti la prossima immagine della lista.

Se si rimuove la selezione, verrà inserita qui

  • O la prossima immagine creata
  • Oppure la prossima immagine salvata.

Suggerimento: se si vuole aprire più immagini all´avvio del Runtime, usare gli script Autostart predefiniti.

Nota: tipi speciali di immagine vengono aperti senza dati come immagine di partenza con un filtro vuoto, e quindi senza dati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartPictureName


ID_PROJEKT_TOUCH1

Interno ID: ID_PROJEKT_TOUCH1

Posizione preferita

Proprietà per la posizione preferita in corrispondenza della quale viene aperta la keyboard automatica in relazione all´elemento selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_KeyboardPosition


ID_PROJEKT_TOUCH2

Interno ID: ID_PROJEKT_TOUCH2

Posizione alternativa

Proprietà per la posizione alternativa in corrispondenza della quale viene aperta la keyboard automatica in relazione all´elemento selezionato, quando essa non può essere aperta nella posizione preferita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_KeyboardPositionAlt


ID_PROJEKT_TOUCHSCREEN

Interno ID: ID_PROJEKT_TOUCHSCREEN

Tastiera automatica

Checkbox for the activation of an automatic keyboard in zenon Runtime for projects with a touchscreen.

  • Active:
    A keyboard screen is automatically called if input is necessary (for example to write a setpoint value or to log in).
  • Inactive:
    No keyboard screen is opened.

Default: Inactive

More in the online help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Touchscreen


ID_PROJEKT_TOUCHSCREEN_HORZ

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelHorz


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione alternativa della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelHorzAlt


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Orizzontale

Posizione orizzontale della keyboard automatica per la posizione preferita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosHorz


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Orizzontale

Posizione orizzontale della keyboard automatica per la posizione alternativa.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosHorzAlt


ID_PROJEKT_TOUCHSCREEN_TOPBOT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT

Verticale

Posizione verticale della keyboard automatica per la posizione preferita.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosVert


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Verticale

Posizione verticale della keyboard automatica per la posizione alternativa .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosVertAlt


ID_PROJEKT_TOUCHSCREEN_VERT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelVert


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dall´elemento selezionato per la posizione alternativa della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelVertAlt


ID_PROJEKT_TREND_MILLISEC

Interno ID: ID_PROJEKT_TREND_MILLISEC

Valori Trend e HD in millisecondi

  • Attivo: rappresentazione ed elaborazione interna dei valori HD, nonché il refresh delle immagini attive in millisecondi.
  • Inattivo: rappresentazione ed elaborazione interna dei valori HD, nonché il refresh delle immagini attive in secondi.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TrendMilliSec


ID_PROJEKT_VARBEZEICHNER

Interno ID: ID_PROJEKT_VARBEZEICHNER

Visualizza variabili tramite

Visualizzazione variabile nel Runtime:
Facendo in runtime un clic con il tasto destro del mouse, e tenendolo premuto sull´elemento, verrà visualizzato come informazione in dipendenza di questa proprietà il nome, l´identificazione o l´indirizzo della variabile.
Questa proprietà inoltre è valida per la visualizzazione della legenda delle variabili del trend.
Viene anche utilizzata per la visualizzazione dell´elemento trend e nel box di dialogo dell´elemento multibin nell´editor.
Indirizzo: le variabili vengono visualizzate con il loro indirizzo.
Identificazione: le variabili vengono visualizzate con la loro identificazione.
Nome: le variabili vengono visualizzate con il loro nome.
Default: Nome.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarIdentifier


ID_PROJEKT_VERWALTUNG

Interno ID: ID_PROJEKT_VERWALTUNG

Projekt-Verwaltung

Viene aperto il dialogo di configurazione per il progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectAdministration


ID_PROJEKT_VERZEICHNIS

Interno ID: ID_PROJEKT_VERZEICHNIS

Cartella Runtime

Cartella per i file runtime del progetto.
In questa cartella vengono salvati i file runtime generati; essa viene salvata come percorso di partenza del runtime.
Di default viene inserita qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Nota! I dati storici già generati dal Runtime devono essere copiati manualmente nella nuova cartella.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingPath


ID_PROJEKT_WINDOWS_CE

Interno ID: ID_PROJEKT_WINDOWS_CE

Progetto WindowsCE

  • Attivo: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
  • Inattivo: è a disposizione la completa funzionalità dell´Editor provvista di licenza.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WindowsCE


ID_PROP_COMBOLIST_DYNCONTENT_USE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Inserimento da variabile string

Attivo: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Inattivo: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseDynContent


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynContentVariable


ID_PROP_COMBOLIST_FGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_FGCOLOR_SEL

Colore testo per la selezione

Definisce il colore del testo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelected


ID_PROP_COMBOLIST_HGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_HGCOLOR_SEL

Colore di sfondo per la selezione

Definisce il colore di sfondo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelected


ID_PROP_COMBOLIST_SOFORTREAKT

Interno ID: ID_PROP_COMBOLIST_SOFORTREAKT

Reazione immediata

Rende possibile nel caso di driver che reagiscono lentamente di rappresentare come se fosse già successa una reazione anche se la risposta del driver non è ancora giunta.

attivo: Rappresenta nella visualizzazione delle reazioni del driver come già avvenuto anche se non si sono ancora verificate.

Default: attivo

Nota: Nel caso in cui un driver non dovesse reagire, la mancanza della reazione non viene notata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InstantReaction


ID_PROP_ELE_RT_LASSO

Interno ID: ID_PROP_ELE_RT_LASSO

selezionabile tramite lazo

La selezione tramite lazzo a Runtime consente di identificare gli elementi dinamici per l´uso con eventi VBA.
Attiva: l´elemento può essere selezionato a Runtime tramite lazzo.
Non attiva: l´elemento non può essere selezionato a Runtime.
Default: attiva

Attenzione: perché l´elemento sia selezionabile a Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazo)!

Nota per i "Comandi": se si usa la proprietà Comando a due mani, il lasso non deve essere attivo per l´elemento di controllo Esegui 2° livello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LassoSelect


ID_PROP_GRP_SYSTEMMODEL_GROUP

Interno ID: ID_PROP_GRP_SYSTEMMODEL_GROUP

Generale

Proprietà generali del gruppo impianti.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROP_GRP_SYSTEMMODEL_MODEL

Interno ID: ID_PROP_GRP_SYSTEMMODEL_MODEL

Generale

Proprietà generali del modello impianti.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Ripristino obbligatorio

Il messaggio deve essere confermato al momento della ricezione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AckReq


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Timeout di avviso ricezione

Intervallo di tempo per la conferma del messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AckTimeOut


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Allegato

Nome dell´allegato di un messaggio. Solo per E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attachment


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Tentativi

Numero dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attempts


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Codice specifico di funzione

Mostra se viene usato un codice individuale per la conferma.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CodesFromFunction


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Identificatore personalizzato

Identifier definito dall´utente.
Può essere settato solamente tramite VBA/VSTA nell´evento MessageCreated".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CustomIdentifier


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Numero ciclo d' invio

Indica il numero delle volte in cui un messaggio è stato inoltrato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleCounter


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Destinazione

Indirizzo della destinazione del messaggio (indirizzo E-Mail, numero di telefono).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Destination


ID_PROP_MSGCTRL_MESSAGE_GUID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Identificazione univoca (GUID) del messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GUID


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Numero Max. Tentativi

Numero massimo dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxAttempts


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Notizia

Testo del messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageText


ID_PROP_MSGCTRL_MESSAGE_SEND

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SEND

prossimo tentativo

Momento del prossimo tentativo di invio del messaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


ID_PROP_MSGCTRL_MESSAGE_SENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SENT

Creato/ultimo invio

Momento nel quale il messaggio è stato generato, oppure nel quale è avvenuto l´ultimo tentativo di invio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sent


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Tempo di attesa

Tempo di attesa espresso in minuti per il monitoraggio di timeout e inoltro di messaggi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeToWait


ID_PROP_MSGCTRL_MESSAGE_TITLE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TITLE

Soggetto

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_PROP_MSGCTRL_MESSAGE_USER

Interno ID: ID_PROP_MSGCTRL_MESSAGE_USER

Nome destinatario

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserName


ID_PROP_SKIN_ADVANCEDSETTINGS

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proprietà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdvancedStyleH


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinAdvanced


ID_PROP_SKIN_ENABLEHEADER

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Intestazione utilizzabile

Consente di gestire l´intestazione per il campo lista corrispondente. A Runtime sarà possibile modificare la larghezza delle colonne e ordinare la visualizzazione della lista in riferimento ad una colonna qualsiasi.

  • Attiva: L´intestazione è modificabile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    se nelle impostazioni di progetto è stata selezionata l´opzione "Intestazione modificabile" per la proprietà Header AML del gruppo Lista di informazione allarmi, oppure per la proprietà Intestazioni CEL del gruppo Lista eventi cronologica (CEL).
  • Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableHeader


ID_PROP_SKIN_GRIDCOLORH

Interno ID: ID_PROP_SKIN_GRIDCOLORH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridColorH


ID_PROP_SKIN_GRIDCOLORV

Interno ID: ID_PROP_SKIN_GRIDCOLORV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridColorV


ID_PROP_SKIN_GRIDGRP

Interno ID: ID_PROP_SKIN_GRIDGRP

Griglia

Proprietà per la griglia del campo lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinGrid


ID_PROP_SKIN_GRIDSIZEH

Interno ID: ID_PROP_SKIN_GRIDSIZEH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridSizeH


ID_PROP_SKIN_GRIDSIZEV

Interno ID: ID_PROP_SKIN_GRIDSIZEV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridSizeV


ID_PROP_SKIN_GRIDTYPEH

Interno ID: ID_PROP_SKIN_GRIDTYPEH

Stile barra orizzontale

Definisce il tipo di linee di griglia orizzontali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore della proprietà Distanza orizzontale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridTypeH


ID_PROP_SKIN_GRIDTYPEV

Interno ID: ID_PROP_SKIN_GRIDTYPEV

Tipo linea verticale

Definisce il tipo di linee di griglia verticali nella visualizzazione lista a Runtime. Cliccare sulla linea e selezionare il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea continua.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Se il valore è >1, il sistema utilizza sempre una linea continua.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridTypeV


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBackColor


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Sfumatura colore

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBackColor2


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Angolo

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderColorGradientAngle


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderColorGradientOffset


ID_PROP_SKIN_HEADERBAR_FONT

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT

Carattere

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per Modulo Trend esteso

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderFont


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderFontColor


ID_PROP_SKIN_HEADERBAR_GRP

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Intestazione

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinHeader


ID_PROP_SKIN_HEADERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Effetto luce

Selezionare qui il tipo di effetto di riempimento per l´intestazione fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderLightning


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine decrescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DescDownImage


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista per "In ordine crescente". Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AscSortImage


ID_PROP_SKIN_HEADERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nell´intestazione del campo lista come sfondo. Questo file viene utilizzato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBarImage


ID_PROP_SKIN_HEADERBAR_STYLE

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Stile di visualizzazione

Disponibile solo se nelle proprietà di progetto, nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL, è stata selezionata l´opzione Intestazione modificabile o Intestazione fissa. Inoltre, si deve attivare anche le proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il rispettivo campo lista.

Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente Carattere e Colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderStyle


ID_PROP_SKIN_HORBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorH


ID_PROP_SKIN_HORBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2H


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonHeightH


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonWidthH


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngleH


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffsetH


ID_PROP_SKIN_HORBAR_GRP

Interno ID: ID_PROP_SKIN_HORBAR_GRP

Barra di scorrimento orizzontale

Proprietà per la barra di scorrimento orizzontale del campo lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinHorBar


ID_PROP_SKIN_HORBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento orizzontale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LightningH


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLeftH


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapRightH


ID_PROP_SKIN_HORBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapSpanH


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento orizzontale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapThumbH


ID_PROP_SKIN_HORBAR_STYLE

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BarStyleH


ID_PROP_SKIN_HORBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_HORBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThumbSizeH


ID_PROP_SKIN_NOSELECTION

Interno ID: ID_PROP_SKIN_NOSELECTION

Non evidenziare la riga selezionata

Con questa proprietà si stabilisce se la riga selezionata nel campo lista deve essere evidenziata graficamente. Se si attiva questa proprietà, non si vedrà quale inserimento è stato selezionato. Tutte le righe della lista avranno lo stesso aspetto.

Default: non attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HideSelection


ID_PROP_SKIN_SHOWBORDER

Interno ID: ID_PROP_SKIN_SHOWBORDER

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowBorder


ID_PROP_SKIN_SHOWHEADER

Interno ID: ID_PROP_SKIN_SHOWHEADER

Visualizza intestazione

Disponibile solamente se nelle proprietà di progetto è stata selezionata l´opzione "Intestazione modificabile" o "Intestazione fissa" nel gruppo Lista di informazione allarmi per la proprietà Header AML, o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la "Lista di emissione cursore" e la "Lista curve estesa" nel modulo Trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione è possibile modificare l´aspetto dell´intestazione adeguandolo alle proprie esigenze individuali.

  • Attiva: l´intestazione verrà visualizzata

Default: attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowHeader


ID_PROP_SKIN_VERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorV


ID_PROP_SKIN_VERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2V


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonHeightV


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonWidthV


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se per la proprietà Stile di visualizzazione è stata selezionata l´opzione Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngleV


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffsetV


ID_PROP_SKIN_VERBAR_GRP

Interno ID: ID_PROP_SKIN_VERBAR_GRP

Barra di scorrimento verticale

Proprietà per la barra di scorrimento verticale del campo lista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinVerBar


ID_PROP_SKIN_VERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Effetto riempimento 3-D

Selezionare qui il tipo di effetto di riempimento per la barra di scorrimento verticale fra le seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da un punto definito effetto beam: andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LightningV


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento SU per la barra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLeftV


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapRightV


ID_PROP_SKIN_VERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista come sfondo per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapSpanV


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionare un file grafico da visualizzare a Runtime nel campo lista per la casella di scorrimento per la sbarra di scorrimento verticale. Questo file grafico verrà usato se per la proprietà Stile di visualizzazione è stata selezionata l´opzione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapThumbV


ID_PROP_SKIN_VERBAR_STYLE

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui si definisce l´aspetto dell´intestazione del campo lista. Selezionare una delle seguenti opzioni:

Effetto riempimento: utilizza uno speciale effetto di riempimento per l´intestazione che potrà essere adeguato alle esigenze personali usando le impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa i file grafici selezionati per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. È possibile modificare solamente il carattere e il colore testo usando le impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BarStyleV


ID_PROP_SKIN_VERBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_VERBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThumbSizeV


ID_PROP_SYSTEMMODEL_GROUP_NAME

Interno ID: ID_PROP_SYSTEMMODEL_GROUP_NAME

Nome

Nome del gruppo. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: GruppoX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROP_SYSTEMMODEL_RELEVANT

Interno ID: ID_PROP_SYSTEMMODEL_RELEVANT

Modello impianto rilevante per le autorizzazioni utenti

Checkbox per l´attivazione di un modello di impianto per l´autorizzazione operativa via modello di impianto:

  • Attiva:
    il modello di impianto verrà utilizzato per l´autorizzazione operativa via modello di impianto.
    Con l´attivazione di questa proprietà, il modello di impianto scelto sarà selezionabile nella finestra di dialogo della funzione Autorizzazione di rete.
  • Non attiva:
    il modello di impianto non verrà utilizzato per l´autorizzazione operativa.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

RelevantForNetToken


ID_PROP_SYSTEMMODEL_ROOT_NAME

Interno ID: ID_PROP_SYSTEMMODEL_ROOT_NAME

Nome

Nome del modello. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: ModelloX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROP_SYSTEMMODELGOUP

Interno ID: ID_PROP_SYSTEMMODELGOUP

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di un gruppo di impianti.
La visualizzazione del gruppo di impianti selezionato comprende anche i livelli superiori. Nella visualizzazione, i livelli sono separati da un punto.

In caso di selezione multipla, i singoli gruppi di impianti saranno separati da un punto e virgola (;).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SystemModelGroup


ID_PROP_VIEWLIMITFROMVAR

Interno ID: ID_PROP_VIEWLIMITFROMVAR

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewLimitFromVar


ID_PROP_WPFCONNECTION

Interno ID: ID_PROP_WPFCONNECTION

WPFConnection

Visualizzazione dei collegamenti WPF esistenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WPFConnection


ID_PROP_WPFCONNECTION_DELETE

Interno ID: ID_PROP_WPFCONNECTION_DELETE

{Elimina collegamento}

Quando si clicca sul pulsante, si cancella questo collegamento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteConnection


ID_PROP_WPFCONNECTIONS

Interno ID: ID_PROP_WPFCONNECTIONS

Collegamenti WPF

Raccoglie tutti i collegamenti configurati in WPF. Essi possono essere configurati in questa sede senza dover aprire la finestra di dialogo.

Limitazioni:

  • Il tipo di collegamento non può essere modificato in questa sede.
  • Nuovi collegamenti possono essere creati solo tramite il dialogo di configurazione.
  • Aggiunta di un elemento WPF in un simbolo: I collegamenti WPF non possono essere esportati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WPFConnection


ID_PROP_WPFELEM_CONFIG_LINKS

Interno ID: ID_PROP_WPFELEM_CONFIG_LINKS

Configurazione

Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinksConfig


ID_PROP_WPFELEM_XAMLFILE

Interno ID: ID_PROP_WPFELEM_XAMLFILE

File XAML

Selezione del file XAML per l´elemento WPF. Cliccando su ... si apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileName


ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Interno ID: ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Tipo di autorizzazione

Auswahl des Berechtigungstyps aus Dropdownliste:

  • Bedienbar: Wenn die Bedienberechtigung vorhanden ist und das Element nicht verriegelt ist, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung nicht vorhanden: Besitzt der Benutzer nicht genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung vorhanden: Besitzt der Benutzer genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht bedienbar: Fehlt die Bedienberechtigung oder ist das Element verriegelt, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht verriegelt: Ist das Element nicht durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Verriegelt: Ist das Element durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.

Mehr im Online-Handbuch.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_PROP_WPFPROPCONNECTION_FUNCTION

Interno ID: ID_PROP_WPFPROPCONNECTION_FUNCTION

Funzione

Funzione collegata. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_PROP_WPFPROPCONNECTION_VARIABLE

Interno ID: ID_PROP_WPFPROPCONNECTION_VARIABLE

Variabile

Variabile collegata. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_PUNCHFRAME_ALPHA

Interno ID: ID_PUNCHFRAME_ALPHA

Trasparenza [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Indica la trasparenza dell´ombra in valori compresi fra 0 e 100 %.

  • 0: coprente.
  • 100: trasparente.

Default: 60

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameAlpha


ID_PUNCHFRAME_ANGLE

Interno ID: ID_PUNCHFRAME_ANGLE

Angolo [°]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Angolo in gradi in cui si sposta l´ombra.

  • Valori: Da 0° a 359°.
    0° corrisponde all´estrema posizione a destra (ore 3); si continua in senso antiorario.

Default: 315°

Un clic sul comando ... apre la barra di scorrimento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameAngle


ID_PUNCHFRAME_SIZE

Interno ID: ID_PUNCHFRAME_SIZE

Dimensioni ombra [%]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Valore in pixel che definisce la grandezza dell´ombra indipendentemente.

La grandezza del campo valori dipende dalla risoluzione dello schermo.

Valore positivo: Ombra diventa più grande dell´elemento.

Valore negativo: l´ombra diventa più piccola dell´elemento.

Default: 100

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameSize


ID_PUNCHFRAME_SOFTFOCUS

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Effetto Blur

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Definisce il grado dell´Effetto Blur in numero di pixel che vengono usati per sfumare. Tanto più grande è questo valore, tanto più dolce è la gradazione dell´ombra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare il valore.

Valori: da 0 fino 50

  • 0: nessun effetto blur.
  • 50: effetto blur massimo.

Default: 0

Attenzione: se qui il valore non è pari a 0, il calcolo dell´ombra potrebbe rallentare la prestazione del sistema. Questo vale nell´editor in particolare per lo spostamento dell´ombra, oppure il collocamento di altri oggetti sull´ombra. Ogni cambio immagine durante il runtime ne è interessato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameSoftFocus


ID_PUNCHFRAME_TYPE

Interno ID: ID_PUNCHFRAME_TYPE

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice.
Sono a disposizione:

  • Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
  • Cornice: l´elemento può essere dotato di una cornice.
  • Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.)
    Eccezione: Alcuni elementi non possono avere un´ombra.

Default: Nessun bordo/ombra

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameType


ID_PWVALID

Interno ID: ID_PWVALID

Periodo di validità password [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova password.

  • Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PWValid


ID_READWRITE

Interno ID: ID_READWRITE

Scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReadWrite


ID_RECIPE_GRP1

Interno ID: ID_RECIPE_GRP1

Generale

Proprietà generali per la ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_RECIPE_PW

Interno ID: ID_RECIPE_PW

Livello di autorizzazione:

I livelli di autorizzazione necessari per modificare la ricetta nel Runtime.
Un utente può effettuare operazioni concernenti le ricette (lettura, cambiamenti effettuati manualmente, cancellazione) solo se dispone del livello di autorizzazione richiesto.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PasswordLevel


ID_REMA_EXTREF

Interno ID: ID_REMA_EXTREF

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una matrice di reazione via Copy&Paste, questa proprietà è vuota.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_REMA_PROP1

Interno ID: ID_REMA_PROP1

Nome

Nome univoco della matrice di reazione.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_REMA_PROP2

Interno ID: ID_REMA_PROP2

Tipo

Tipo della matrice di reazione.
Binario: Evacuazione di stati discreti (Orientati a bit)
multi binari: Analisi estesa di variabili a 32 bit; i primi 16 bit determinano il valore della variabile e vengono trasmessi come numero; manovra di bit di stato; funzione speciale (disattivare variabili a bit di stato settato) (progettazione dati protetti - solamente SAT)
Analogici: Valutazione di stati analogici (orientati valore)
Multi analogiche: Analisi estesa con simultanea gestione di stato e funzione speciale (disattivare variabili a bit di stato settato)
String: Confronto di testo
Il tipo viene definito al momento della creazione di una nuova matrice di reazione e non può più essere modificato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_REMA_PROP46

Interno ID: ID_REMA_PROP46

Informazioni aggiuntive 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserProperty1


ID_REMA_PROP47

Interno ID: ID_REMA_PROP47

Informazioni aggiuntive 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserProperty2


ID_REMA_PROP_GRP0

Interno ID: ID_REMA_PROP_GRP0

Generale

Proprietà generali per la matrice di reazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_REMA_STATES

Interno ID: ID_REMA_STATES

Configurazione

Si aprirà il dialogo che serve a definire gli stati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

States


ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interno ID: ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Colore di sfondo per parametro di ricetta bloccato

Scelta del colore di sfondo per i parametri ricetta bloccati. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: grigio (#D3D3D3)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInterlockedParameter


ID_RGM_BACKCOLOR_INVALID_PLC

Interno ID: ID_RGM_BACKCOLOR_INVALID_PLC

Colore di sfondo per valori PLC non validi

Scelta del colore di sfondo per valori PLC non validi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: blu (#3D6894)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInvalidPLC


ID_RGM_BACKCOLOR_INVALID_VALUE

Interno ID: ID_RGM_BACKCOLOR_INVALID_VALUE

Colore di sfondo per valore di ricetta non valido

Scelta del colore di sfondo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInvalidValue


ID_RGM_BACKCOLOR_MATCH_PLC

Interno ID: ID_RGM_BACKCOLOR_MATCH_PLC

Colore di sfondo per valore di ricetta uguale a valore PLC

Scelta del colore di sfondo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore, o di una tavolozza dei colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: verde (#96BD33)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorMatchPLC


ID_RGM_BACKCOLOR_NOMATCH_PLC

Interno ID: ID_RGM_BACKCOLOR_NOMATCH_PLC

Colore di sfondo per valore di ricetta diverso da valore PLC

Scelta del colore di sfondo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorNoMatchPLC


ID_RGM_GROUP_COLORS

Interno ID: ID_RGM_GROUP_COLORS

Colori

Proprietà per la configurazione dei colori utilizzati per segnalare i risultati dell´analisi dei valori ricetta e per la visualizzazione di interblocchi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Colors


ID_RGM_INTERLOCKING

Interno ID: ID_RGM_INTERLOCKING

Interblocco

Proprietà per la configurazione dei colori per la visualizzazione di interblocchi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Interlocking


ID_RGM_PROP06

Interno ID: ID_RGM_PROP06

Nome gruppo

Nome del gruppo ricette.

Nel caso si sia adottata l´impostazione File Binari per la proprietà DataSource, sono consentiti solamente caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_RGM_PROP13

Interno ID: ID_RGM_PROP13

Numero ricetta

Numero della ricetta

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeNumber


ID_RGM_PROP14

Interno ID: ID_RGM_PROP14

Nome ricetta

Nome per ricetta. Il nome ricetta deve essere univoco. Se File binari è stato selezionato per la proprietà DataSource, il nome può contenere solamente dei caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeName


ID_RGM_PROP15

Interno ID: ID_RGM_PROP15

Commento 1

Riga di commento 1 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment1


ID_RGM_PROP16

Interno ID: ID_RGM_PROP16

Commento 2

Riga di commento 2 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment2


ID_RGM_PROP21

Interno ID: ID_RGM_PROP21

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteSync


ID_RGM_PROP22

Interno ID: ID_RGM_PROP22

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteTimeout


ID_RGM_PROP23

Interno ID: ID_RGM_PROP23

Livello di autorizzazione:

Selezione del livello autorizzazioni fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PWLevel


ID_RGM_PROP26

Interno ID: ID_RGM_PROP26

Valore min.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore minimo delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_RGM_PROP27

Interno ID: ID_RGM_PROP27

Valore max.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore massimo delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_RGM_RECIPE_VALUE_CHECK

Interno ID: ID_RGM_RECIPE_VALUE_CHECK

Interrogazione valore di ricetta

Proprietà per la configurazione dei colori utilizzati per segnalare i risultati dell´analisi dei valori ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

RecipeValueCheck


ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interno ID: ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Colore testo per parametro di ricetta bloccato

Scelta del colore testo per i parametri ricetta bloccati.Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: nero (#000000)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInterlockedParameter


ID_RGM_TEXTCOLOR_INVALID_PLC

Interno ID: ID_RGM_TEXTCOLOR_INVALID_PLC

Colore testo per valori PLC non validi

Scelta del colore testo per valori PLC non validi Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInvalidPLC


ID_RGM_TEXTCOLOR_INVALID_VALUE

Interno ID: ID_RGM_TEXTCOLOR_INVALID_VALUE

Colore testo per valore di ricetta non valido

Scelta del colore testo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInvalidValue


ID_RGM_TEXTCOLOR_MATCH_PLC

Interno ID: ID_RGM_TEXTCOLOR_MATCH_PLC

Colore testo per valore di ricetta uguale a valore PLC

Scelta del colore testo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorMatchPLC


ID_RGM_TEXTCOLOR_NOMATCH_PLC

Interno ID: ID_RGM_TEXTCOLOR_NOMATCH_PLC

Colore testo per valore di ricetta diverso da valore PLC

Scelta del colore testo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorNoMatchPLC


ID_SAP_ADDITIONAL_GRP

Interno ID: ID_SAP_ADDITIONAL_GRP

Messaggi

Con le seguenti proprietà si definisce quali informazioni ulteriori debbano essere inviate in caso di una segnalazione di errore.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapAdditional


ID_SAP_DEBUG_GRP

Interno ID: ID_SAP_DEBUG_GRP

Trova errori

Proprietà per testare la connessione e il protocollaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapDebug


ID_SAP_FIELD_GRP

Interno ID: ID_SAP_FIELD_GRP

Campo di struttura

Impostazioni per la configurazione dei dati di un campo struttura per SAP ERP.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapStructField


ID_SAP_FUNC_ACTIVITY_GRP

Interno ID: ID_SAP_FUNC_ACTIVITY_GRP

Controllo attività

Contiene delle proprietà per il controllo attività.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFuncActivity


ID_SAP_FUNC_ACTIVITY_VAR

Interno ID: ID_SAP_FUNC_ACTIVITY_VAR

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

  • 0: disattivato.
  • 1: inserito in lista attesa aperture
  • 2: Chiamata attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActivityVar


ID_SAP_FUNC_ERROR_CODE_VAR

Interno ID: ID_SAP_FUNC_ERROR_CODE_VAR

Codice di errore

Variabile numerica per il codice di errore della chiamata funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorVar


ID_SAP_FUNC_ERROR_GRP

Interno ID: ID_SAP_FUNC_ERROR_GRP

Segnalazioni d'errore

Contiene proprietà per la configurazione di segnalazioni di errore per funzioni SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFuncError


ID_SAP_FUNC_ERROR_TEXT_VAR

Interno ID: ID_SAP_FUNC_ERROR_TEXT_VAR

Testo di errore

Variabile stringa per la descrizione breve dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorTextVar


ID_SAP_FUNC_INFO

Interno ID: ID_SAP_FUNC_INFO

Informazioni

Testo corto selezionabile liberamente. Serve solo come informazione. Se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SAP_FUNC_LABEL

Interno ID: ID_SAP_FUNC_LABEL

Nome funzione

Denominazione assegnabile a piacere alla funzione SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Label


ID_SAP_FUNC_LAST_ERROR_VAR

Interno ID: ID_SAP_FUNC_LAST_ERROR_VAR

Descrizione di errore

Variabile stringa per una descrizione esaustiva dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastErrorVar


ID_SAP_FUNC_NAME

Interno ID: ID_SAP_FUNC_NAME

RFC function block

Nome del blocco dati funzionale nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SAP_FUNC_SERVERFUNC

Interno ID: ID_SAP_FUNC_SERVERFUNC

Funzione

Selezione di una funzione di zenon che deve essere richiamata dal programma server. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.

Nota: Se viene richiamata una funzione da un altro progetto, dovete assicuravi che questo progetto sia attivo nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ServerFunction


ID_SAP_FUNC_SERVERPRG

Interno ID: ID_SAP_FUNC_SERVERPRG

Esegui come programma server

Definizione di una funzione SAP come programma server.

  • Attivo: La funzione viene eseguita come programma server.
  • Inattivo: La funzione viene eseguita come programma client.

Default: inattivo

Se c´è una variabile collegata alla proprietà Attività, durante l´apertura del programma server essa viene settata su attiva (2).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ServerPgm


ID_SAP_FUNC_SERVERPRG_GRP

Interno ID: ID_SAP_FUNC_SERVERPRG_GRP

Programma server

Proprietà per la progettazione di funzioni SAP come programmi server.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SapFuncServerPrg


ID_SAP_FUNC_WAIT

Interno ID: ID_SAP_FUNC_WAIT

Tempo di attesa

Definizione di un intervallo di tempo in millisecondi che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Raccomandata soprattutto in caso di PLC a comunicazione lenta, e/o con cicli di lettura lunghi

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 0

Raccomandazione:

  • Variabili del driver interno o del driver di sistema. Valori bassi, intorno a 0 ms.
  • Driver matematico. Valori tra 100 – 200 ms. (Questo driver, a seconda del carico del sistema, viene attualizzato circa ogni 100 ms.)
  • Altri driver e PLC: Valori che si trovano un po´ al di sopra dell´update time del driver. Più alto è il numero delle variabili, tanto maggiore dovrà essere tale valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wait


ID_SAP_FUNCTION_GRP

Interno ID: ID_SAP_FUNCTION_GRP

Funzione SAP

Contiene le proprietà per la configurazione di base delle funzioni SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFunctions


ID_SAP_LOG_TO_CEL

Interno ID: ID_SAP_LOG_TO_CEL

Messaggi di Log nella CEL

Scrittura di messaggi Log nella CEL.

  • Attivo: I messaggi vengono scritti nella CEL.
  • Inattivo: I messaggi non vengono scritti nella CEL.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LogToCEL


ID_SAP_LOGON_GRP

Interno ID: ID_SAP_LOGON_GRP

Login SAP

Impostante nelle seguenti Properties le informazioni concernenti il mandante e l'utente che devono essere utilizzate per la connessione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapLogon


ID_SAP_NOTIFICATION_GRP

Interno ID: ID_SAP_NOTIFICATION_GRP

Messaggio di segnalazione

Con le seguenti proprietà si definisce quali informazioni ulteriori debbano essere inviate in caso di segnalazione di errore.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapNotification


ID_SAP_PAR_TAB_INFO

Interno ID: ID_SAP_PAR_TAB_INFO

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SAP_PAR_TAB_NAME

Interno ID: ID_SAP_PAR_TAB_NAME

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SAP_PAR_TAB_OPTIONAL

Interno ID: ID_SAP_PAR_TAB_OPTIONAL

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Optional


ID_SAP_PAR_TAB_TYPE

Interno ID: ID_SAP_PAR_TAB_TYPE

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_SAP_PAR_TAB_VARIABLE

Interno ID: ID_SAP_PAR_TAB_VARIABLE

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_SAP_PARAMETER_GRP

Interno ID: ID_SAP_PARAMETER_GRP

Parametri

Contiene proprietà per la configurazione dei parametri di funzioni SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapParameter


ID_SAP_PROGRAMID

Interno ID: ID_SAP_PROGRAMID

ID Programma

Inserimento dell´ID di programma della RFC-Destination tramite cui deve essere instaurato il collegamento a SAP e viene aperto il programma server.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapProgramId


ID_SAP_PROP_CLIENT

Interno ID: ID_SAP_PROP_CLIENT

Client

Numero o nome del mandante sul sistema SAP con cui viene creata una connessione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapClient


ID_SAP_PROP_END_TIME

Interno ID: ID_SAP_PROP_END_TIME

Fino

Momento entro il quale deve essere eseguito l'orario.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndTime


ID_SAP_PROP_EQUIPMENT

Interno ID: ID_SAP_PROP_EQUIPMENT

Postazione Tecnica/Impianto

Indica se il sistema SAP tratta l'identificazione servizio della variabile trasmessa come numero di un posto tecnico o di un equipment.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapEquipment


ID_SAP_PROP_EVERY_DAY

Interno ID: ID_SAP_PROP_EVERY_DAY

Ogni giorno

Il piano viene eseguito ogni giorno. Se questa proprietà è attiva, quelle dei giorni singoli sono disattivate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EveryDay


ID_SAP_PROP_FRIDAY

Interno ID: ID_SAP_PROP_FRIDAY

Venerdì

Il piano viene eseguito ogni venerdì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Friday


ID_SAP_PROP_INTERVAL

Interno ID: ID_SAP_PROP_INTERVAL

Tutti

Intervallo in cui il piano deve essere eseguito. Se non è indicata alcuna ora finale, il piano viene eseguito entro la mezzanotte dei giorni selezionati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interval


ID_SAP_PROP_LANGUAGE

Interno ID: ID_SAP_PROP_LANGUAGE

Lingua

Lingua utente. Il trattamento da parte del sistema SAP di dieresi, caratteri speciali ecc dipende dalla lingua impostata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapLanguage


ID_SAP_PROP_MESSBELEG

Interno ID: ID_SAP_PROP_MESSBELEG

Crea measurement document

Attiva: Creare un measurement document da inviare al sistema SAP.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapMeasDoc


ID_SAP_PROP_MONDAY

Interno ID: ID_SAP_PROP_MONDAY

Lunedì

Il piano viene eseguito ogni lunedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monday


ID_SAP_PROP_NOTIFICATION_TYPE

Interno ID: ID_SAP_PROP_NOTIFICATION_TYPE

Tipo di segnalazione

Uno dei tipi di segnalazione predefiniti nel sistema SAP. La reazione del sistema SAP ad una segnalazione di errore si differenzia a seconda del tipo di segnalazione.

Se non si indica nessun tipo di segnalazione, il sistema SAP non può generare nessuna segnalazione di errore, ma restituirà un messaggio di errore.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapNotificationType


ID_SAP_PROP_PASSWORD

Interno ID: ID_SAP_PROP_PASSWORD

Password

password dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapPassword


ID_SAP_PROP_PLANT

Interno ID: ID_SAP_PROP_PLANT

Impianto

Impianto in segnalazioni di errore. Se non viene indicato nessun impianto, il sistema SAP usa di default quello della parte di impianto (postazione tecnica, impianto) per cui viene generato il messaggio di manutenzione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapPlant


ID_SAP_PROP_REPORTER

Interno ID: ID_SAP_PROP_REPORTER

Segnalazione

Nel sistema SAP, al messaggio di manutenzione viene aggiunto anche il segnalatore.

Se non si indica nessun segnalatore, il sistema SAP inserisce di default l'utente registrato nel sistema.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapReporter


ID_SAP_PROP_ROUTER

Interno ID: ID_SAP_PROP_ROUTER

Stringa di router

Indirizzo IP o nome del Router SAP tramite il quale viene realizzata la connessione. Nel caso in cui la connessione funzioni tramite diversi router („Hops"), il router SAP più vicino al sistema di controllo deve essere indicato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapRouter


ID_SAP_PROP_SATURDAY

Interno ID: ID_SAP_PROP_SATURDAY

Sabato

Il piano viene eseguito ogni sabato. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Saturday


ID_SAP_PROP_SERVER

Interno ID: ID_SAP_PROP_SERVER

Server dell'applicazione

Indirizzo IP o nome del server SAP tramite il quale viene realizzata la connessione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapServer


ID_SAP_PROP_START_TIME

Interno ID: ID_SAP_PROP_START_TIME

Alle/Da

Tempo di inizio del piano. Se si indicano come intervallo e ora finale 00.00.00, il piano viene eseguito nei giorni selezionati solo una volta a quest'ora.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartTime


ID_SAP_PROP_SUNDAY

Interno ID: ID_SAP_PROP_SUNDAY

Domenica

Il piano viene eseguito ogni domenica. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sunday


ID_SAP_PROP_SYSTEM

Interno ID: ID_SAP_PROP_SYSTEM

System-ID

Numero di sistema del sistema SAP (definito anche numero istanza) servendosi del quale viene si instaura la comunicazione. Su un server d´applicazione possono essere attivi diversi sistemi SAP con differenti ID.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapSystemId


ID_SAP_PROP_TEST

Interno ID: ID_SAP_PROP_TEST

Test di connessione

Cerca di creare una connessione con il sistema SAP con le impostazioni indicate. Se ciò non è possibile, viene emessa una segnalazione di errore dettagliata nella forma di un Messagebox.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapTest


ID_SAP_PROP_THURSDAY

Interno ID: ID_SAP_PROP_THURSDAY

Giovedì

Il piano viene eseguito ogni giovedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thursday


ID_SAP_PROP_TRACE

Interno ID: ID_SAP_PROP_TRACE

Abilita registrazione

Gestisce l'azione di protocollaggio della comunicazione con il sistema SAP.

attivo: La comunicazione fra zenon e il sistema SAP viene messa a protocollo.

Default: inattivo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapTrace


ID_SAP_PROP_TUESDAY

Interno ID: ID_SAP_PROP_TUESDAY

Martedì

Il piano viene eseguito ogni martedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tuesday


ID_SAP_PROP_USER

Interno ID: ID_SAP_PROP_USER

Utente

nome di registrazione dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapUser


ID_SAP_PROP_VAR_NAME

Interno ID: ID_SAP_PROP_VAR_NAME

Nome

Nome della variabile selezionata per il piano selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarName


ID_SAP_PROP_VAR_TAG

Interno ID: ID_SAP_PROP_VAR_TAG

Identificazione

Identificazione della variabile selezionata per il piano selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarTag


ID_SAP_PROP_VAR_TYPE

Interno ID: ID_SAP_PROP_VAR_TYPE

Tipo

Tipo di variabile selezionata per il piano selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarType


ID_SAP_PROP_VAR_UNIT

Interno ID: ID_SAP_PROP_VAR_UNIT

Unità di misura

Unità della variabile selezionata per il piano selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarUnit


ID_SAP_PROP_WEDNESDAY

Interno ID: ID_SAP_PROP_WEDNESDAY

Mercoledì

Il piano viene eseguito ogni mercoledì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wednesday


ID_SAP_SCHEDULE_DATE_GRP

Interno ID: ID_SAP_SCHEDULE_DATE_GRP

Giorni settimanali

Con le seguenti Properties potete stabilire in quale giorno o in quali giorni della settimana deve essere eseguito il piano.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleDate


ID_SAP_SCHEDULE_MEAS_DOC_GRP

Interno ID: ID_SAP_SCHEDULE_MEAS_DOC_GRP

Measurement document

Con le seguenti Properties stabilite quale segnalatore devono essere indicato in caso di segnalazione di errore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleMeasDoc


ID_SAP_SCHEDULE_TIME_GRP

Interno ID: ID_SAP_SCHEDULE_TIME_GRP

Ora

Con le seguenti Properties stabilite a che ora il piano deve essere eseguito.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleTime


ID_SAP_SERVERPRG_GRP

Interno ID: ID_SAP_SERVERPRG_GRP

Programma server

Impostazioni per la connessione all´applicazione SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SapServerPrg


ID_SAP_SYSTEM_GRP

Interno ID: ID_SAP_SYSTEM_GRP

Sistema SAP ERP

Indicate nelle seguenti proprietà il nome o il numero del server, del router e del sistema SAP che devono essere utilizzati per la instaurazione della comunicazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapSystem


ID_SAP_TAB_ROWCOUNT_VAR

Interno ID: ID_SAP_TAB_ROWCOUNT_VAR

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RowCountVar


ID_SAP_TABLE_GRP

Interno ID: ID_SAP_TABLE_GRP

Tabella

Contiene le proprietà per il tipo funzione tabella.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapTable


ID_SATBEF_PROP1

Interno ID: ID_SATBEF_PROP1

Modalità

Selezione dello scopo d'uso.

impostazione: l'elemento di comando serve al comando.

Chiamata di funzione: l'elemento di comando serve all'esecuzione della funzione.
Questa opzione esiste solo per ragioni di compatibilità con versioni più vecchie e non dovrebbe essere più utilizzata.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mode


ID_SATBEF_PROP2

Interno ID: ID_SATBEF_PROP2

Immagine

Selezione dell'immagine che deve essere aperta al momento dell'attivazione dell'elemento nel Runtime.

Vengono proposte solamente immagini del tipo "comando".

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictSwitch_Dlg


ID_SATBEF_PROP3

Interno ID: ID_SATBEF_PROP3

Parametro

Apre il dialogo parametro dell'elemento di comando.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictFilter_Dlg


ID_SATBEF_PROP4

Interno ID: ID_SATBEF_PROP4

Funzione

Selezione della funzione da eseguire nella modalità: Funzione .
Non viene più usata. Disponibile solo per motivi di compatibilità con versioni precedenti

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_SATBEF_PROP5

Interno ID: ID_SATBEF_PROP5

Gruppo di attivazione

Selezione del gruppo di attivazione.

Necessario solo in connessione con la funzione di preselezione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActivationGroup


ID_SATBEF_PROP6

Interno ID: ID_SATBEF_PROP6

Sempre selezionabile

Attiva: Scelta del comando direttamente con clic del mouse (tasto sinistro).

Non attiva: Selezione del comando possibile solo in seguito a precedente funzione di selezione. (Funzioni ->Uso ->attivazione comando)
Dopo l'attivazione del comando nel Runtime viene visualizzata una cornice di tutti gli elementi progettati in tal modo.

Creazione di una nuova azione "comando" cliccando con il tasto destro del mouse -> Nuova azione.

Attenzione: nella visione a dialogo possibile solo nella finestra sinistra.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlwaysSelectable


ID_SATBEF_PROP_GRP1

Interno ID: ID_SATBEF_PROP_GRP1

Azione

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Action


ID_SAVE_ALWAYS_BIN_AML

Interno ID: ID_SAVE_ALWAYS_BIN_AML

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Attivo: ogni modifica dei dati della Lista informazioni allarmi ha come effetto anche il salvataggio dell´intero buffer circolare (alarm.bin).
  • Inattivo: i dati della lista di informazioni allarmi (alarm.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. I dati storici (*.aml) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: inattivo
Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaveAmlStack


ID_SAVE_ALWAYS_BIN_CEL

Interno ID: ID_SAVE_ALWAYS_BIN_CEL

Salva buffer circolare in modo spontaneo

Selezione del tipo di salvataggio dati.

  • Attivo: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
  • Inattivo: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaveCelStack


ID_SCREEN_GRP_API

Interno ID: ID_SCREEN_GRP_API

Programmazione

Gruppo per la configurazione degli accessi API.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

API


ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Interno ID: ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Eventi Multi-Touch

Proprietà per l´analisi di eventi Multi-Touch.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerMessages


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Attivo: Riconoscimento per Cross Slide settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlide


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideExact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideHorizontal


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideRearrange


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSelect


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSpeedBump


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Drag


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Attivo: Riconoscimento per Hold settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Hold


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_HoldMouse


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Attivo: Riconoscimento per Manipulation settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Manipulation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Exact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Attivo: Riconoscimento per Rotation settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Rotation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RotationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Attivo: Riconoscimento per Scaling settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Scaling


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_ScalingInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_SecondaryTap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Attivo: Riconoscimento per Tap settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Tap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TapDouble


ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Analisi gesture VSTA

Proprietà per il riconoscimento gesti per immagini tramite VSTA.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognition


ID_SCREEN_PROP_INTERACTION_ACTIVE

Interno ID: ID_SCREEN_PROP_INTERACTION_ACTIVE

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognitionActive


ID_SCREEN_PROP_NCPOINTERDOWN_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERDOWN_MSG

NCPointerDown

Attivo: Il sistema analizza l´evento NCPointerDown.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerDown


ID_SCREEN_PROP_NCPOINTERUP_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERUP_MSG

NCPointerUp

Attivo: Il sistema analizza l´evento NCPointerUp.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerUp


ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

NCPointerUpdate

Attivo: Il sistema analizza l´evento NCPointerUpdate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerUpdate


ID_SCREEN_PROP_POINTERACTIVATE_MSG

Interno ID: ID_SCREEN_PROP_POINTERACTIVATE_MSG

PointerActivate

Attivo: Il sistema analizza l´evento PointerActivate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerActivate


ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

Interno ID: ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

PointerCaptureChanged

Attivo: Il sistema analizza l´evento PointerCaptureChanged.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerCaptureChanged


ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

PointerDeviceChange

Attivo: Il sistema analizza l´evento PointerDeviceChange.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceChange


ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

PointerDeviceInRange

Attivo: Il sistema analizza l´evento PointerDeviceInRange.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceInRange


ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

PointerDeviceOutOfRange

Attivo: Il sistema analizza l´evento PointerDeviceOutOfRange.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceOutOfRange


ID_SCREEN_PROP_POINTERDOWN_MSG

Interno ID: ID_SCREEN_PROP_POINTERDOWN_MSG

PointerDown

Attivo: Il sistema analizza l´evento PointerDown.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDown


ID_SCREEN_PROP_POINTERENTER_MSG

Interno ID: ID_SCREEN_PROP_POINTERENTER_MSG

PointerEnter

Attivo: Il sistema analizza l´evento PointerEnter.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerEnter


ID_SCREEN_PROP_POINTERHWHEEL_MSG

Interno ID: ID_SCREEN_PROP_POINTERHWHEEL_MSG

PointerHWheel

Attivo: Il sistema analizza l´evento PointerHWheel.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerHWheel


ID_SCREEN_PROP_POINTERLEAVE_MSG

Interno ID: ID_SCREEN_PROP_POINTERLEAVE_MSG

PointerLeave

Attivo: Il sistema analizza l´evento PointerLeave.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerLeave


ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Interno ID: ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Routing eventi Raw

È disponibile solamente se la proprietà Analisi nelle proprietà di progetto per Interazione, è stata impostata suWindows 8.

Si seleziona mediante la lista a cascata quali eventi devono essere analizzati.

  • Tutti gli eventi: vengono analizzati tutti gli eventi.
  • Disattivata: l´analisi è disattivata.
  • Solo eventi selezionati: vengono analizzati soli gli eventi attivati tramite le Checkbox.

Default: Disattiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RawEventRouting


ID_SCREEN_PROP_POINTERUP_MSG

Interno ID: ID_SCREEN_PROP_POINTERUP_MSG

PointerUp

Attivo: Il sistema analizza l´evento PointerUp.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerUp


ID_SCREEN_PROP_POINTERUPDATE_MSG

Interno ID: ID_SCREEN_PROP_POINTERUPDATE_MSG

PointerUpdate

Attivo: Il sistema analizza l´evento PointerUpdate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerUpdate


ID_SCREEN_PROP_POINTERWHEEL_MSG

Interno ID: ID_SCREEN_PROP_POINTERWHEEL_MSG

PointerWheel

Attivo: Il sistema analizza l´evento PointerWheel.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerWheel


ID_SCRIPT_DEL

Interno ID: ID_SCRIPT_DEL

{Cancella Script}

Lo script verrà cancellato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteScript


ID_SCRIPT_GRP0

Interno ID: ID_SCRIPT_GRP0

Generale

Impostazioni grafiche generali per lo script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SCRIPT_IMEX_NAME

Interno ID: ID_SCRIPT_IMEX_NAME

Nome

Nome univoco della ricetta.
Default: Recipe_x (x è un numero progressivo)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeName


ID_SCRIPT_NAME

Interno ID: ID_SCRIPT_NAME

Nome

Nome univoco dello script.

Default: Script_x (x è un numero progressivo)

È possibile definire script individuali e selezionare script predefiniti. Inserimento di un nome nel menù a tendina per gli script individuali, oppure selezione fra le opzioni proposte dal menù a tendina:

  • AUTOSTART: lo script viene eseguito automaticamente all’avvio del Runtime (postazione standalone oppure server) dopo l’apertura dell’immagine di partenza (postazione standalone o sul server), se il progetto è il progetto di partenza del Runtime.
  • AUTOEND: lo script viene eseguito automaticamente alla chiusura del Runtime (postazione standalone oppure server) se il progetto è il progetto di partenza del Runtime.
    Attenzione: le macro VBA che devono essere eseguite in AUTOEND, devono essere attivate mediante Project.Inactive. Non si devono indicare archivi ciclici nello script AUTOEND.
  • AUTOSTART_CLIENT: lo script viene eseguito automaticamente all’avvio del Runtime e prima dell´apertura dell´immagine di partenza sul client, se il progetto è il progetto di partenza del Runtime.
  • AUTOEND_CLIENT: lo script viene eseguito automaticamente alla chiusura del Runtime sul client se il progetto è il progetto di partenza del Runtime.
  • AUTOSTART_SRVPRJ: lo script viene eseguito automaticamente all´avvio del Runtime sul computer che funge da server per il progetto, prima dell´apertura dell´immagine di partenza, se il progetto è il progetto di partenza del Runtime.
  • AUTOEND_SRVPRJ: lo script viene eseguito automaticamente alla chiusura del Runtime sul computer che funge da server per il progetto se il progetto è il progetto di partenza del Runtime.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Nota per progetti multiutente: quando si modifica il nome di script, i parametri delle funzioni collegate vengono adattati automaticamente dopo una richiesta di controllo per Consenti modifiche. Dopo che il nome è stato modificato, viene cambiato anche lo script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SCRIPT_NEW

Interno ID: ID_SCRIPT_NEW

{Nuovo script}

Viene creato un nuovo script con il nome di Default Script_x (x è un numero progressivo).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewScript


ID_SCRIPT_SYNCWRITE

Interno ID: ID_SCRIPT_SYNCWRITE

Scrittura sincrona

Attivo: L'esecuzione della funzione con questa ricetta viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere richiesta anche tramite il bit di stato "WR-SUC".
inattivo: Non si attende una conferma scrittura.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SyncWrite


ID_SCRIPT_SYNCWRITE_TIMEOUT

Interno ID: ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout.
Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue:
3000+(100* Numero di punti dati)
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SyncWriteTimeout


ID_SEA_PROP_ABBRUCH

Interno ID: ID_SEA_PROP_ABBRUCH

Annulla

Stato della variabile di annullamento in corrispondenza del quale deve essere interrotta la successione di commutazione.

0 ... OFF

1 ... ON

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Cancel


ID_SEA_PROP_ABBRUCH_PV

Interno ID: ID_SEA_PROP_ABBRUCH_PV

Annulla variabile

La successione di commutazione corrente può essere interrotta mediante la variabile selezionata.

Variabile di processo e variabile merker (consigliata: driver interno BOOL).

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CancelVariable


ID_SEA_PROP_DIREKT

Interno ID: ID_SEA_PROP_DIREKT

Direttamente eseguibile

La successione di commutazione viene iniziata attraverso una funzione (Applicazione->Successione di commutazione funzionamento automatico).

Smette di funzionare automaticamente se non si verificano degli errori.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DirectExecute


ID_SEA_PROP_GRP0

Interno ID: ID_SEA_PROP_GRP0

Generale

Parametro della successione di commutazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SEA_PROP_LERNEN

Interno ID: ID_SEA_PROP_LERNEN

Autorizza l'apprendimento

La successione di commutazione può registrare nel Runtime delle azioni di commutazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LearningEnabled


ID_SEA_PROP_NAME

Interno ID: ID_SEA_PROP_NAME

Nome

Nome univoco della successione di commutazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SEA_PROP_VAR

Interno ID: ID_SEA_PROP_VAR

Variabile

Variabile (obbligatoria), sulla quale vengono rappresentati gli stati della successione di commutazione.
Variabile merker (consigliata: driver interno DWORD).

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_SGW_PROP1

Interno ID: ID_SGW_PROP1

Nome

Distinct name of the Gateway Parameter Set.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SGW_PROP2

Interno ID: ID_SGW_PROP2

Variabile sorgente

Name of the variable linked as source.

  • In Mirroring mode, state and value of this variable are transferred to the output side.
  • In Setpoint mode, the setpoint event of this variable is passed to the output setpoint action.
  • In all other modes, the state of this variable is evaluated to trigger output actions.

Opens the variable selection dialog.

Usually used with wildcards.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceVariable


ID_SGW_PROP3

Interno ID: ID_SGW_PROP3

Variabile di riferimento

Name of the variable linked as target.

  • In "Mirroring" Mode, this is the output variable.
  • In all other modes, the variable defined in the targets Command Group as "Response variable" serves as Reference to the Command and Setpoint actions.

Opens the variable selection dialog.

Usually used with wildcards.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Add


ID_SGW_PROP5

Interno ID: ID_SGW_PROP5

Identificatore di risorsa filtro

Text based filter: Only apply this Gateway rule to input variables with matching Resource label (wildcards can be used).

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceFilter


ID_SGW_PROP6

Interno ID: ID_SGW_PROP6

Modalità

Mode of the Gateway

  • IEC
  • Mirroring
  • Non IEC
  • Source IEC emulation

Target IEC emulation

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mode


ID_SGW_PROP7

Interno ID: ID_SGW_PROP7

Gruppo di comandi

Name of the Command group to be used.
Selection from drop down box.

Not available in "Mirroring" Mode.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdGrp


ID_SGW_PROP8

Interno ID: ID_SGW_PROP8

Interblocco

Link an existing interlocking to this element.

If a condition in one of the formulas of the interlocking is true, this element is locked so that no operation is possible.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


ID_SGW_PROP9

Interno ID: ID_SGW_PROP9

Rilascio specchiato

This parameter defines what should be transferred when the interlocking condition goes.

Mirroring mode plus interlocking required.

  • Edge: Current value.
    Current source value will be transferred only.
  • Gage: Current value & Updates.
    Current source value and further changes will be transferred

Gage: Updates.
No transfer of the current source value but all further changes.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MirrorMode


ID_SGW_PROP10

Interno ID: ID_SGW_PROP10

Evento

Trigger event (Source).

Select an IEC event, Limit- or REMA Counter number from the drop down box.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CounterID


ID_SGW_PROP11

Interno ID: ID_SGW_PROP11

ID menù di azione

Action Mapping (Target).

Actions defined in the Reference variables Command group.

Select an existing action from drop down box.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActionID


ID_SGW_PROP12

Interno ID: ID_SGW_PROP12

Seleziona variabile di feedback

Mark response variable. To indicate Gateway activity the response variable can be marked with a user defined state bit. This allows a differentiation from HMI user actions.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MarkResponse


ID_SGW_PROP13

Interno ID: ID_SGW_PROP13

Registra azioni bloccate

Enables/disables CEL entry for blocking events.

When enabled all actions blocked by the Gateway Module will be logged in the Event list. Actions blocked at Command Group level will be logged according to the Command Groups logging settings.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteCEL


ID_SGW_PROP14

Interno ID: ID_SGW_PROP14

Anteprima

Opens the dialog for display of variables which would be linked according to the wildcard rules.
In this dialogue also a traffic light indication (red-yellow-green) will be displayed which informs about the validity of the rules.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SGW_PROP_GRP0

Interno ID: ID_SGW_PROP_GRP0

Generale

Displays properties for the Gateway.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SGW_PROP_GRP1

Interno ID: ID_SGW_PROP_GRP1

Input

Displays general properties.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Input


ID_SGW_PROP_GRP2

Interno ID: ID_SGW_PROP_GRP2

Output

Displays input properties.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_OutPut


ID_SGW_PROP_GRP3

Interno ID: ID_SGW_PROP_GRP3

Trigger

Displays trigger properties.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerNew1


ID_SGW_PROP_T_DEL

Interno ID: ID_SGW_PROP_T_DEL

{Cancella trigger}

By clicking the selected trigger will be deleted.
This can also be done in the left part of the window using the right mouse button.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveDel


ID_SGW_PROP_T_NEU

Interno ID: ID_SGW_PROP_T_NEU

{Nuovo trigger}

By clicking a new trigger will be created.
This can also be done in the left part of the window using the right mouse button.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerNew


ID_SIZEINBYTE

Interno ID: ID_SIZEINBYTE

Dimensione in byte

Visualizzazione delle grandezza complessiva della variabile strutturata in byte.
Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeInByte


ID_SPRECON870_COUNTER_NODE

Interno ID: ID_SPRECON870_COUNTER_NODE

Counters

Proprietà per Counter group.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_Counters


ID_SPRECON870_COUNTERACTIVE

Interno ID: ID_SPRECON870_COUNTERACTIVE

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_CounterActive


ID_SPRECON870_COUNTERGROUP

Interno ID: ID_SPRECON870_COUNTERGROUP

Counter group

Disponibile solo se la proprietà Counter value handling è stata attivata.

Nome per l´identificazione del Counter group, secondo quanto configurato nel driver.

Tramite l´assegnazione della variabile ad un gruppo contatori, viene definito il comportamento della variabile stessa. Il gruppo di contatori rappresenta una sorta di matrice di reazione che gestisce il conteggio di elaborazioni (p.e. la conversione da valore assoluto a relativo).

Default: < No group >

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_CounterGroupID


ID_SPRECON870_INITVAL

Interno ID: ID_SPRECON870_INITVAL

Initial value

Il default viene usato solo se la proprietà Reverse direction only è stata attivata, oppure se l´indirizzo di rete della variabile rimanda ad una connessione che è stata evidenziata come Internal connection. Per variabili del tipo di dato String, non si può stabilire nessun default.
Se, quando si avvia il Runtime, non è stato assegnato alla variabile nessun valore dall´immagine ritentiva, il default e lo stato NT vengono scritti sulla variabile stessa.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionInitialValue


ID_SPRECON870_MAXCOUNTDIFF

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceeded.

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_MaxCounterDifference


ID_SPRECON870_ONMAXCOUNTDIFF

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Max. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_OnMaxCounterDifference


ID_SPRECON870_ONNOUPDATE

Interno ID: ID_SPRECON870_ONNOUPDATE

Not updated in time

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce il comportamento per il conteggio di valori che non vengono aggiornati all'interno della finestra temporale, ovvero viene attivata la gestione valore alternativo. Selezione dalla lista a cascata:
- Disabled: Vengono usate le impostazioni dalla proprietà Replacement value handling.

- Set INVALID state: Viene settato lo stato INVALID.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_OnNoUpdate


ID_SPRECON870_REMANENT

Interno ID: ID_SPRECON870_REMANENT

Remanent

Disponibile solo se la proprietà Reverse direction enable è stata attivata. Ultimo valore, time-stamp e stato della variabile vengono salvati nell´immagine ritentiva. Dopo un riavvio del sistema, valore, time-stamp e stato salvati nell´immagine ritentiva, vengono letti e assegnati alla variabile.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionRemanent


ID_SPRECON870_REVDIR_NODE

Interno ID: ID_SPRECON870_REVDIR_NODE

Reverse direction

Proprietà per Reverse direction.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SPRECON870_ReverseDirection


ID_SPRECON870_REVDIRENABLED

Interno ID: ID_SPRECON870_REVDIRENABLED

Reverse direction enable

Attivazione di Reverse-direction.

Attivo: La variabile viene inviata, dopo una corrispondente general interrogation in Reverse-direction.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionEnable


ID_SPRECON870_REVDIRONLY

Interno ID: ID_SPRECON870_REVDIRONLY

Reverse direction only

Disponibile solamente se la proprietà Reverse direction enable è stata attivata.
Attiva: a questa variabile non viene mai assegnato uno dei valori ricevuti dal PLC, Dopo l´avvio del Runtime, viene assegnato alla variabile il default configurato, oppure un valore preso dall´immagine ritentiva. Poi la variabile può essere modificata solo tramite "Settare valore impostabile"-

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionOnly


ID_SPRECON870_STRUCT_COA1

Interno ID: ID_SPRECON870_STRUCT_COA1

COA1

Inserimento strutturato per COA.

Inserimento di Byte 1 per IEC870 COA.

Ulteriori informazioni nella guida in formato PDF.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredCOA1


ID_SPRECON870_STRUCT_COA2

Interno ID: ID_SPRECON870_STRUCT_COA2

COA2

Inserimento strutturato per COA.

Inserimento di Byte 2 per IEC870 COA.

Ulteriori informazioni nella guida in formato PDF.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredCOA2


ID_SPRECON870_STRUCT_IOA1

Interno ID: ID_SPRECON870_STRUCT_IOA1

IOA1

Inserimento strutturato per IOA.

Inserimento di Byte 2 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA1


ID_SPRECON870_STRUCT_IOA2

Interno ID: ID_SPRECON870_STRUCT_IOA2

IOA2

Inserimento strutturato per IOA.

Inserimento di Byte 1 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA2


ID_SPRECON870_STRUCT_IOA3

Interno ID: ID_SPRECON870_STRUCT_IOA3

IOA3

Inserimento strutturato per IOA.

Inserimento di Byte 0 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA3


ID_SPRECON870_SUBSTITUTE_NODE

Interno ID: ID_SPRECON870_SUBSTITUTE_NODE

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementHandling


ID_SPRECON870_SUBSTVALUETYPE

Interno ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementType


ID_SPRECON870_SUBSTVALUEVAL

Interno ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementValue


ID_SPRECON870_SUBSTVALUEVAR

Interno ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sulla variabile disturbata. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: Spazio

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementVariable


ID_STARTATNEWOFFSET

Interno ID: ID_STARTATNEWOFFSET

Ogni tipo di dato parte con un nuovo offset

Disponibile solo se è attiva l´opzione indirizzamento automatico:
Attivo: Ogni tipo di dato della variabile strutturata parte con un nuovo offset.
Inattivo: I tipi di dato della variabile strutturata possono essere anche nello stesso offset.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsStartAtNewOffset


ID_STRATON_1

Interno ID: ID_STRATON_1

Nome progetto

Nome del progetto zenon Logic. Al massimo 15 caratteri.

Attenzione: Le modifiche del nome di progetto possono sciogliere delle connessioni con elementi dinamici.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_STRATON_2

Interno ID: ID_STRATON_2

Cartella di progetto

Percorso di lavoro del progetto zenon Logic.

ATTENZIONE: Questa proprietà non può essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingFolder


ID_STRATON_3

Interno ID: ID_STRATON_3

Host di destinazione

L'Host Runtime (Indirizzo IP o nome del computer) del sistema destinatario di zenon Logic per il collegamento del Workbench, per esempio Online Debugging.
Default: localhost.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMHost


ID_STRATON_4

Interno ID: ID_STRATON_4

Porta

Il Runtime Port del sistema destinatario di zenon Logic per il collegamento del Workbench. Questa informazione è per il workbench di zenon Logic, per collegarsi con il sistema di destinazione (Runtime zenon Logic) per, per esermpio, Online Debugging.
Minimo 0.
Massimo: 4294967295.
Default: 1200.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMPort


ID_STRATON_5

Interno ID: ID_STRATON_5

Tipo di start

Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logic con il sistema Runtime del sistema di controllo.
Partenza automatica: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
start/stop automatico: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logic termina di funzionare.
Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
Default: autom. start e stop.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMStartTyp


ID_STRATON_6

Interno ID: ID_STRATON_6

Posto di partenza

Questa proprietà è rilevante solo in combinazione con i tipi di start del Runtime “Start/stop automatico” e “Partenza automatica”.

  • Tutti i calcolatori
    Il Runtime di zenon Logic viene avviato o avviato e terminato con il Runtime di zenon su tutti i computer (Server 1, Server 2 e client) su cui è stato caricato il progetto di zenon.
  • Server 1:
    Il Runtime di zenon Logic viene avviato o avviato e terminato solamente sul Server 1. Il Runtime di zenon Logic non viene avviato né sui client, né sul Server 2.
  • Server 1 e Server 2:
    Il Runtime di zenon Logic viene avviato o avviato e terminato solo sul Server 1 e sul Server 2. Il Runtime di zenon Logic non viene avviato sui client.
    Attenzione: Se si utilizza questa opzione, si deve assolutamente impostare per la proprietà Host il valore localhost. In caso contrario, il Runtime di zenon Logic non si potrà avviare.

Default: tutti i calcolatori

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMStartArea


ID_Syskron_LDS_FKT_RD

Interno ID: ID_Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definite qui la funzione di accesso per la lettura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_FKT_RD


ID_Syskron_LDS_FKT_WR

Interno ID: ID_Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definite qui la funzione di accesso per la scrittura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_FKT_WR


ID_Syskron_LDS_PARAM_RD

Interno ID: ID_Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la lettura alla funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_PARAM_RD


ID_Syskron_LDS_PARAM_WR

Interno ID: ID_Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la scrittura alla funzione. L'ultimo parametro di trasmissione è sempre il valore impostabile inviato da zenon.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_PARAM_WR


ID_SYSVAR_INHALT

Interno ID: ID_SYSVAR_INHALT

Typ

Definizione del tipo della variabile di sistema. Selezione dal menù a tendina.
Il contenuto di questa proprietà può essere modificato solamente se non c'è ancora nessuna variabile del nuovo tipo.

Per esempio: è possibile creare solamente una variabile[Allarmi] Allarmi ripristinati per ogni progetto.

Attenzione: se si modifica il tipo, i nomi delle variabili non vengono cambiati!

Eventualmente può cambiare il tipo di dato. Si prega di tenere presente che, quando si usano le variabili in elementi dinamici, si dovrà eventualmente adattare l´intervallo di visualizzazione in VBA/VSTA.

Per quelle variabili del driver di sistema che sono definite dall'utente, il menù a tendina rimane vuoto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Inhalt


ID_SYSVAR_THEMA

Interno ID: ID_SYSVAR_THEMA

Thema

Gruppo logico delle variabili di sistema.

Per le variabili del driver di sistema definite dall'utente la lista a cascata rimane vuota.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thema


ID_TEMPLATE_PROP1

Interno ID: ID_TEMPLATE_PROP1

Nome

Nome univoco del modello.

Lunghezza massima:

  • Progetto: 28 caratteri
  • Progetto globale 27 caratteri

Default: Template_x (xè un numero progressivo) ).
Nota: Quando si modifica il nome, se necessario, lo si dovrà inserire di nuovo nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non potrà più identificare le immagini basate su questo modello.

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TemplateName


ID_TEMPLATE_PROP2

Interno ID: ID_TEMPLATE_PROP2

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosTop


ID_TEMPLATE_PROP3

Interno ID: ID_TEMPLATE_PROP3

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosLeft


ID_TEMPLATE_PROP4

Interno ID: ID_TEMPLATE_PROP4

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosRight


ID_TEMPLATE_PROP5

Interno ID: ID_TEMPLATE_PROP5

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosBottom


ID_TEMPLATE_PROP7

Interno ID: ID_TEMPLATE_PROP7

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_TEMPLATE_PROP8

Interno ID: ID_TEMPLATE_PROP8

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicture


ID_TEMPLATE_PROP9

Interno ID: ID_TEMPLATE_PROP9

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPictureStyle


ID_TEMPLATE_PROP10

Interno ID: ID_TEMPLATE_PROP10

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowForeground


ID_TEMPLATE_PROP11

Interno ID: ID_TEMPLATE_PROP11

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_TEMPLATE_PROP12

Interno ID: ID_TEMPLATE_PROP12

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowSysMenu


ID_TEMPLATE_PROP13

Interno ID: ID_TEMPLATE_PROP13

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowMinimize


ID_TEMPLATE_PROP14

Interno ID: ID_TEMPLATE_PROP14

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderStyle


ID_TEMPLATE_PROP18

Interno ID: ID_TEMPLATE_PROP18

Visualizza nell'Editor dei modelli

Attivo: Il modello prescelto viene visualizzato nell'Editor dei modelli.
Inattivo: Il modello prescelto non viene visualizzato nell'Editor dei modelli.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleInEditor


ID_TEMPLATE_PROP20

Interno ID: ID_TEMPLATE_PROP20

Utilizzare posizione standard

attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: attivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StandardPosition


ID_TEMPLATE_PROP21

Interno ID: ID_TEMPLATE_PROP21

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosType


ID_TEMPLATE_PROP22

Interno ID: ID_TEMPLATE_PROP22

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono In su, In giù oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefVert


ID_TEMPLATE_PROP23

Interno ID: ID_TEMPLATE_PROP23

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento oppure Relativo alla posizione del mouse.

Selezionare nel menù a tendina il punto di riferimento desiderato per il modello. Le possibili impostazioni sono Sinistra, Destra oppure Centrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefHorz


ID_TEMPLATE_PROP24

Interno ID: ID_TEMPLATE_PROP24

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono In su o In giù.

Default: In su.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosVert


ID_TEMPLATE_PROP25

Interno ID: ID_TEMPLATE_PROP25

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento preferito sull'elemento. Al momento dell'apertura del modello, il sistema cercherà anzitutto di partire da questo punto. Le possibili impostazioni sono sinistra o destra.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHorz


ID_TEMPLATE_PROP26

Interno ID: ID_TEMPLATE_PROP26

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PixelVert


ID_TEMPLATE_PROP27

Interno ID: ID_TEMPLATE_PROP27

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PixelHorz


ID_TEMPLATE_PROP28

Interno ID: ID_TEMPLATE_PROP28

Alternativa verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su, In giù, oppure Centrato.

Default: In su.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltRefVert


ID_TEMPLATE_PROP29

Interno ID: ID_TEMPLATE_PROP29

Alternativa orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra, destra , oppure centrato.

Default: sinistra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltRefHorz


ID_TEMPLATE_PROP30

Interno ID: ID_TEMPLATE_PROP30

Verticale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono In su o In giù.

Default: In su

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPosVert


ID_TEMPLATE_PROP31

Interno ID: ID_TEMPLATE_PROP31

Orizzontale

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Selezionare nel menù a tendina il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello, il sistema utilizzerà il punto di riferimento alternativo se non sarà possibile aprire il modello in corrispondenza del punto di riferimento preferito. Le possibili impostazioni sono sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPosHorz


ID_TEMPLATE_PROP32

Interno ID: ID_TEMPLATE_PROP32

Spostamento verticale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo verticalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPixelVert


ID_TEMPLATE_PROP33

Interno ID: ID_TEMPLATE_PROP33

Spostamento orizzontale [Pixel]

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Inserendo un valore numerico positivo o negativo, si sposta il punto di riferimento alternativo orizzontalmente nella posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPixelHorz


ID_TEMPLATE_PROP34

Interno ID: ID_TEMPLATE_PROP34

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CloseOnClickOutside


ID_TEMPLATE_PROP35

Interno ID: ID_TEMPLATE_PROP35

Modello a forma libera

Consente di definire una forma libera per il modello selezionato. Questo dà la possibilità di definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

  • Attiva: la forma libera viene usata per questo modello e per le immagini ad esso collegate.
  • Non attiva: per il modello selezionato non è disponibile l´opzione "Modello a forma libera". Nell´Editor dei modelli e in quello delle immagini non verrà visualizzata una forma modello liberamente definibile già esistente.

Default: inattiva.

Nota:

  • Questa proprietà non è disponibile per il modello Barra stato allarmi e per Windows CE.
  • Non può essere combinata con le proprietà del gruppo Cornice.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseFreeForming


ID_TEMPLATE_PROP36

Interno ID: ID_TEMPLATE_PROP36

Definizione libera modelli

Disponibile solamente se è stata attivata la proprietà Modello a forma libera.

Definire la forma per il modello selezionato. Cliccare con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor dei modelli. Qui sarà possibile definire la forma del modello usando cerchi, rettangoli, rettangoli arrotondati e poligoni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefineFreeForm


ID_TEMPLATE_PROP37

Interno ID: ID_TEMPLATE_PROP37

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IgnoreCloseOnClick


ID_TEMPLATE_PROP38

Interno ID: ID_TEMPLATE_PROP38

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NoMoveOnReopen


ID_TEMPLATE_PROP39

Interno ID: ID_TEMPLATE_PROP39

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidth


ID_TEMPLATE_PROP40

Interno ID: ID_TEMPLATE_PROP40

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeight


ID_TEMPLATE_PROP41

Interno ID: ID_TEMPLATE_PROP41

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpenMultiple


ID_TEMPLATE_PROP_GRP0

Interno ID: ID_TEMPLATE_PROP_GRP0

Generale

Proprietà generali dei modelli.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TEMPLATE_PROP_GRP1

Interno ID: ID_TEMPLATE_PROP_GRP1

Cornice

Proprietà per la cornice del modello.

Non sono a disposizione se è attiva la proprietà Modello a forma libera.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Frame


ID_TEMPLATE_PROP_GRP2

Interno ID: ID_TEMPLATE_PROP_GRP2

Posizione

Proprietà concernenti la posizione e la dimensione del modello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Position


ID_TEMPLATE_PROP_GRP3

Interno ID: ID_TEMPLATE_PROP_GRP3

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Grafiche di sfondo per modelli vengono assegnate automaticamente a tutte le nuove immagini che si basano su questo modello. Per quello che concerne le immagini già esistenti, devono essere adattate manualmente in un secondo momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_BackgroundPicture


ID_TEMPLATE_PROP_GRP4

Interno ID: ID_TEMPLATE_PROP_GRP4

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TemplateReference


ID_TEMPLATE_PROP_GRP5

Interno ID: ID_TEMPLATE_PROP_GRP5

Punto di riferimento per l'elemento

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Qui si definisce il punto di riferimento per l´elemento. Il modello verrà poi aperto sulla base di questo punto di riferimento. Se il punto di riferimento, ad esempio, è a sinistra/centrato con un margine di 0 pixel, il punto di riferimento del modello verrà posizionato esattamente su questo punto sul bordo sinistro al centro dell´elemento. Il punto di riferimento per il modello viene impostato con la proprietà Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PrimaryReference


ID_TEMPLATE_PROP_GRP6

Interno ID: ID_TEMPLATE_PROP_GRP6

Punto di rif. Alternativo dell'elemento

Questa proprietà è attiva solo se per Posizionamento è stata selezionata l´opzione Relativo all'elemento.

Qui si definisce il punto di riferimento alternativo dell'elemento. Questa impostazione avrà effetto solamente se il modello non può essere aperto nell´area di visualizzazione dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato con Punto di riferimento per l'elemento). Esempio: se il punto di riferimento è a destra/centrato, il punto di riferimento alternativo dovrebbe essere a sinistra centrato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AlternativeReference


ID_TEMPLATE_PROP_GRP7

Interno ID: ID_TEMPLATE_PROP_GRP7

Modello a forma libera

Proprietà per la forma modello libera.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_FreeTemplateShape


ID_TEMPLOGIN

Interno ID: ID_TEMPLOGIN

Login temp. attivo

Attivazione del login temporaneo per quegli utenti che vogliono gestire un elemento, ma non sono registrati nel sistema.

  • Attivo: l´utente che ha bisogno di un´autorizzazione operativa, viene invitato a inserire la sua identificazione e la sua password. A tal scopo, vengono aperti (a seconda di quanto stabilito in fase di configurazione) o l´immagine del tipo Login, oppure un dialogo modale. Il sistema effettua il logout dell´utente subito dopo che questi ha eseguito l´azione.
  • Inattivo: l´utente che ha bisogno di un´autorizzazione operativa, riceve l´informazione che non ha diritto ad ottenerla.

Default: attiva

Avvertenza:

  • Posizione e grandezza della maschera di login del dialogo modale possono essere definiti nel zenon6.ini alla voce [Befehlsgabe]Position =.
  • Al posto del dialogo modale si può usare l´immagine del tipo Login. Essa viene definita con la proprietà Immagine per Login con firma.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TempLogin


ID_TEXTLIST_PROP01

Interno ID: ID_TEXTLIST_PROP01

Name

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_TEXTLIST_PROP02

Interno ID: ID_TEXTLIST_PROP02

Beschreibung

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_TEXTLIST_PROPGRP1

Interno ID: ID_TEXTLIST_PROPGRP1

Text

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TIMEFILTER_MODIFYTIMEPERIOD

Interno ID: ID_TIMEFILTER_MODIFYTIMEPERIOD

ModifyTimePeriod

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ModifyTimePeriod


ID_TOPOLOGIE_PROP1

Interno ID: ID_TOPOLOGIE_PROP1

Tratteggio 1

Tratteggio 1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrokenLine1


ID_TOPOLOGIE_PROP2

Interno ID: ID_TOPOLOGIE_PROP2

Tratteggio 2

Tratteggio = 2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrokenLine2


ID_TOPOLOGIE_PROP3

Interno ID: ID_TOPOLOGIE_PROP3

Larghezza linea

Larghezza linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidth


ID_TOPOLOGIE_PROP4

Interno ID: ID_TOPOLOGIE_PROP4

Nome oggetto come link

Nome oggetto come link

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OBJNameLink


ID_TOPOLOGIE_PROP5

Interno ID: ID_TOPOLOGIE_PROP5

Modalita di visualizzazione

Modalità di visualizzazione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisplayMode


ID_TOPOLOGIE_PROP6

Interno ID: ID_TOPOLOGIE_PROP6

Ampiezza linea fissata

Ampiezza linea fissata

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidthFGES


ID_TOPOLOGIE_PROP7

Interno ID: ID_TOPOLOGIE_PROP7

Larghezza bordo

Larghezza bordo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaumWidth


ID_TOPOLOGIE_PROP8

Interno ID: ID_TOPOLOGIE_PROP8

Simbolo F1

Simbolo F1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF1


ID_TOPOLOGIE_PROP9

Interno ID: ID_TOPOLOGIE_PROP9

Simbolo F2

Simbolo F2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF2


ID_TOPOLOGIE_PROP10

Interno ID: ID_TOPOLOGIE_PROP10

Simbolo FGES

Simbolo FGES

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFGES


ID_TOPOLOGIE_PROP11

Interno ID: ID_TOPOLOGIE_PROP11

2. numero colore per "non alimentato"

Simbolo bordo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum


ID_TOPOLOGIE_PROP12

Interno ID: ID_TOPOLOGIE_PROP12

Simbolo F1 colori

Simbolo F1 colori

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF1_Mode


ID_TOPOLOGIE_PROP13

Interno ID: ID_TOPOLOGIE_PROP13

Simbolo F2 colori

Simbolo F2 colori

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF2_Mode


ID_TOPOLOGIE_PROP14

Interno ID: ID_TOPOLOGIE_PROP14

Simbolo FGES colori

Simbolo FGES colori

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFGES_Mode


ID_TOPOLOGIE_PROP15

Interno ID: ID_TOPOLOGIE_PROP15

Colori simbolo bordo

Colori simbolo bordo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum_Mode


ID_TOPOLOGIE_PROP16

Interno ID: ID_TOPOLOGIE_PROP16

Variabile SS_1_1

Variabile SS_1_1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_1


ID_TOPOLOGIE_PROP17

Interno ID: ID_TOPOLOGIE_PROP17

Variabile SS_1_2

Variabile SS_1_2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_2


ID_TOPOLOGIE_PROP18

Interno ID: ID_TOPOLOGIE_PROP18

Variabile SS_1_4

Variabile SS_1_4

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_3


ID_TOPOLOGIE_PROP19

Interno ID: ID_TOPOLOGIE_PROP19

Variabile SS_1_4

Variabile SS_1_4

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_4


ID_TOPOLOGIE_PROP20

Interno ID: ID_TOPOLOGIE_PROP20

Variabile start1

Variabile start1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_Start1


ID_TOPOLOGIE_PROP21

Interno ID: ID_TOPOLOGIE_PROP21

Punto separatore variabile

Punto separatore variabile

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariableStandardIsolatingPoint


ID_TOPOLOGIE_PROP22

Interno ID: ID_TOPOLOGIE_PROP22

Variabile Start2

Variabile Inizio 2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_Start2


ID_TOPOLOGIE_PROP23

Interno ID: ID_TOPOLOGIE_PROP23

Variale SS_2_1

Variale SS_2_1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_1


ID_TOPOLOGIE_PROP24

Interno ID: ID_TOPOLOGIE_PROP24

Variabile SS_2_2

Variabile SS_2_2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_2


ID_TOPOLOGIE_PROP25

Interno ID: ID_TOPOLOGIE_PROP25

Variabile SS_2_3

Variabile SS_2_3

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_3


ID_TOPOLOGIE_PROP26

Interno ID: ID_TOPOLOGIE_PROP26

Variabile SS_2_4

Variabile SS_2_4

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_4


ID_TOPOLOGIE_PROP27

Interno ID: ID_TOPOLOGIE_PROP27

Carattere diviso in un'altra posizione

Carattere diviso in un'altra posizione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DistributionLineCharacter


ID_TOPOLOGIE_PROP31

Interno ID: ID_TOPOLOGIE_PROP31

Reattanza

Reattanza in ohm per determinare la locazione guasti.
Solo in corrispondenza dell’ opzione Posizione guasto e Topologia.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Reactance


ID_TOPOLOGIE_PROP_GRP1

Interno ID: ID_TOPOLOGIE_PROP_GRP1

Topologia

Elemento\\Topologia

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Topology


ID_TOPOLOGIE_PROP_GRP2

Interno ID: ID_TOPOLOGIE_PROP_GRP2

Colorazione

Elemento\\Topologia\\Gestione simboli

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopColors


ID_TOPOLOGIE_PROP_GRP3

Interno ID: ID_TOPOLOGIE_PROP_GRP3

Linea di distribuzione

Elemento\\Topologia\\Linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Strang


ID_TOPOLOGIE_PROP_GRP4

Interno ID: ID_TOPOLOGIE_PROP_GRP4

Valutazione rete

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetCalc


ID_TOPOLOGIE_PROP_GRP5

Interno ID: ID_TOPOLOGIE_PROP_GRP5

Cavo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetCalcCable


ID_TOPOLOGIE_PROPxx

Interno ID: ID_TOPOLOGIE_PROPxx

SymbolSaum

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum


ID_TREIBER_CONFIG

Interno ID: ID_TREIBER_CONFIG

Configurazione

Apre la finestra di dialogo per configurare il driver.

Nota: per i seguenti driver non esiste una possibilità di configurazione:

  • Driver per variabili interne
  • Driver per variabili matematiche
  • Driver per variabili di sistema

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Configuration


ID_TREIBER_FILE

Interno ID: ID_TREIBER_FILE

Nome file

Nome file del driver.
Il file si trova nel percorso di programma del sistema di controllo di processo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NameFile


ID_TREIBER_GRP0

Interno ID: ID_TREIBER_GRP0

Generale

Proprietà generali per il driver.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TREIBER_NAME

Interno ID: ID_TREIBER_NAME

Nome

Nome univoco del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Questo è necessario, ad esempio, nel caso di driver seriali, se si deve accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_TREIBER_PROP6

Interno ID: ID_TREIBER_PROP6

Descrizione

Descrizione del driver

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_TREIBER_PROP_GRP0

Interno ID: ID_TREIBER_PROP_GRP0

Indirizzamento

Proprietà generali per il driver.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Address


ID_TREIBER_PROP_GRP1

Interno ID: ID_TREIBER_PROP_GRP1

Connessione driver

Riassume la configurazione della connessione con il tipo di dato IEC, la priorità e lo standby.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Driver


ID_TREIBER_PROP_GRP2

Interno ID: ID_TREIBER_PROP_GRP2

Impostazioni array

Proprietà per la struttura di variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Structure


ID_TREIBER_PROP_GRP3

Interno ID: ID_TREIBER_PROP_GRP3

Opzioni di struttura

Opzioni per elementi di struttura.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_StructureOpts


ID_TREIBER_PROP_GRP4

Interno ID: ID_TREIBER_PROP_GRP4

Opzioni di indirizzamento

Opzioni per l´indirizzamento di variabili array.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AddressOpts


ID_TREND_DEL

Interno ID: ID_TREND_DEL

{Cancella Curva}

La curva viene cancellata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveDel


ID_TREND_NEU

Interno ID: ID_TREND_NEU

{Nuova curva}

Viene realizzata una nuova curva per l´elemento trend.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveNew


ID_TYPE_GW_NEW

Interno ID: ID_TYPE_GW_NEW

{Nuovo limite}

Viene creato un nuovo valore limite per il tipo di dato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLimit


ID_UEBER_HELLIGKEIT

Interno ID: ID_UEBER_HELLIGKEIT

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Brightness


ID_UNIT_PROP_DECSHIFT

Interno ID: ID_UNIT_PROP_DECSHIFT

Posizione della virgola decimale

Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DecShift


ID_UNIT_PROP_FACTOR

Interno ID: ID_UNIT_PROP_FACTOR

Fattore

Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Factor


ID_UNIT_PROP_GRP0

Interno ID: ID_UNIT_PROP_GRP0

Generale

Proprietà per conversione unità.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_UNIT_PROP_NAME

Interno ID: ID_UNIT_PROP_NAME

Unità di misura

Indicazione dell´unità di base in corrispondenza della quale avviene la conversione, oppure dell´unità convertita nella quale avviene la conversione. Per esempio: C°, K, m, y, Celsius, Kelvin, metri, yard ecc.

L´inserimento non può superare i 50 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_UNIT_PROP_OFFSET

Interno ID: ID_UNIT_PROP_OFFSET

Offset

da unità primaria (d per y=kx+d)

Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_USER_ACTIVE

Interno ID: ID_USER_ACTIVE

Utente attivo

Attivo: L´utente viene accettato nel Runtime.
Inattivo: L´utente non viene accettato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserActive


ID_USER_GROUPS

Interno ID: ID_USER_GROUPS

Gruppi utenti

Tutti i gruppi utenti assegnati all´utente selezionato.

Cliccare sul pulsante per aggiungere o cancellare dei gruppi utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroups


ID_USER_GRP

Interno ID: ID_USER_GRP

Utente

Proprietà per l´utente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_USER_LOCKCODE

Interno ID: ID_USER_LOCKCODE

Codice di blocco

PIN-Code a 4 cifre.

Questo codice viene usato dall'utente per bloccare diverse aree oppure per renderle accessibili. Bloccando con questo codice, si evita che si renda involontariamente accessibile un'area e così si possano verificare problemi.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockCode


ID_USER_LOCKED

Interno ID: ID_USER_LOCKED

Bloccato

Attivo: L´utente è bloccato.
Inattivo: L´utente non è bloccato.
Default: inattivo.

Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco.
Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLocked


ID_USER_MSGCTRL_EMAIL

Interno ID: ID_USER_MSGCTRL_EMAIL

E-Mail

Indirizzo E-Mail dell´utente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgEmail


ID_USER_MSGCTRL_ERSATZUSER

Interno ID: ID_USER_MSGCTRL_ERSATZUSER

Sostituto

Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgErsatzUser


ID_USER_MSGCTRL_GSM

Interno ID: ID_USER_MSGCTRL_GSM

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgGSM


ID_USER_MSGCTRL_NACKCODE

Interno ID: ID_USER_MSGCTRL_NACKCODE

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgNACKCode


ID_USER_MSGCTRL_PHONE

Interno ID: ID_USER_MSGCTRL_PHONE

Telefono

Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgPhone


ID_USER_MSGCTRL_PINCODE

Interno ID: ID_USER_MSGCTRL_PINCODE

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgPinCode


ID_USER_MSGCTRL_USER

Interno ID: ID_USER_MSGCTRL_USER

Utente Message Control

Attivo: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMsgCtrlUser


ID_USERGROUP_GRP

Interno ID: ID_USERGROUP_GRP

Gruppo utenti

Proprietà per il gruppo utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_USERGROUP_LEVEL

Interno ID: ID_USERGROUP_LEVEL

Livelli di autorizzazione

Tutti i livelli di autorizzazione assegnati al gruppo utenti selezionato.

Cliccare sul pulsante per aggiungere o cancellare dei livelli di autorizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupLevel


ID_USERGROUP_NAME

Interno ID: ID_USERGROUP_NAME

Nome

Nome del gruppo utenti selezionato.

Cliccare nel campo d´inserimento per cambiare il nome.

Nota: @ non è un carattere valido per il nome di un gruppo utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupName


ID_USERGRP_MSGCTRL_ISMSGCTRL

Interno ID: ID_USERGRP_MSGCTRL_ISMSGCTRL

Gruppo Message Control

Attivo: Il gruppo utenti viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMsgCtrlGroup


ID_USERGRP_MSGCTRL_USERORDER

Interno ID: ID_USERGRP_MSGCTRL_USERORDER

Ordinamento utenti

Definisce la successione degli utenti all´interno del gruppo. Cliccando sul pulsante ....... si apre il dialogo che serve a configurare la successione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupOrder


ID_USERKENNUNG

Interno ID: ID_USERKENNUNG

Nome utente

Identificazione univoca con la quale l´utente deve effettuare il loggin.
Nel caso di diverse azioni dell´utente, questa successione di segni può essere visualizzata nella Lista eventi cronologica (CEL). Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Massimo: 20 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserIdentification


ID_USERNAME

Interno ID: ID_USERNAME

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserName


ID_USERPASSWORD

Interno ID: ID_USERPASSWORD

Password

Apre la finestra di dialogo per modificare la password

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPassword


ID_VAR_AKS_GRP1

Interno ID: ID_VAR_AKS_GRP1

AKS-General

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-General


ID_VAR_AKS_GRP1_ENG

Interno ID: ID_VAR_AKS_GRP1_ENG

AKS-General

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-General


ID_VAR_AKS_GRP2

Interno ID: ID_VAR_AKS_GRP2

AKS-Extended

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-Extended


ID_VAR_AKS_GRP2_ENG

Interno ID: ID_VAR_AKS_GRP2_ENG

AKS-Extended

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-Extended


ID_VAR_AKS_GRP3

Interno ID: ID_VAR_AKS_GRP3

Redundanz

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Redundancy


ID_VAR_AKS_GRP3_ENG

Interno ID: ID_VAR_AKS_GRP3_ENG

Redundancy

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Redundancy


ID_VAR_AKS_GRP4

Interno ID: ID_VAR_AKS_GRP4

Befehle

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command


ID_VAR_AKS_GRP4_ENG

Interno ID: ID_VAR_AKS_GRP4_ENG

Command

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command


ID_VAR_ALARMBEREICH

Interno ID: ID_VAR_ALARMBEREICH

Alarmbereiche

In questa sede si può collegare la variabile con un´area allarmi.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain


ID_VAR_ALARMBEREICH1

Interno ID: ID_VAR_ALARMBEREICH1

Area allarme 1

Prima area allarmi che viene assegnata ad una variabile, una struttura o un tipo di dato. Selezione dal menù a tendina.
Se si collegano più aree allarme, il sistema prenderà in considerazione solo la Area allarme 1 nell´eseguire l´ordinamento per aree allarme a Runtime.

Nota: non disponibile se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain


ID_VAR_ALARMBEREICH2

Interno ID: ID_VAR_ALARMBEREICH2

Area allarme 2

Seconda area allarmi che viene assegnata ad una variabile, una struttura o un tipo di dato. Selezione dal menù a tendina.
Se si collegano più aree allarme, il sistema prenderà in considerazione solo la Area allarme 1 nell´eseguire l´ordinamento per aree allarme a Runtime.

Nota: non disponibile se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain2


ID_VAR_ALARMBEREICH3

Interno ID: ID_VAR_ALARMBEREICH3

Area allarme 3

Terza area allarmi che viene assegnata ad una variabile, una struttura o un tipo di dato. Selezione dal menù a tendina.
Se si collegano più aree allarme, il sistema prenderà in considerazione solo la Area allarme 1 nell´eseguire l´ordinamento per aree allarme a Runtime.

Nota: non disponibile se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain3


ID_VAR_ALARMBEREICH4

Interno ID: ID_VAR_ALARMBEREICH4

Area allarme 4

Quarta area allarmi che viene assegnata ad una variabile, una struttura o un tipo di dato. Selezione dal menù a tendina.
Se si collegano più aree allarme, il sistema prenderà in considerazione solo la Area allarme 1 nell´eseguire l´ordinamento per aree allarme a Runtime.

Nota: non disponibile se la proprietà Utilizza gestione allarmi gerarchici della progettazione impianto è attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain4


ID_VAR_ALARMKANAL0

Interno ID: ID_VAR_ALARMKANAL0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV0


ID_VAR_ALARMKANAL1

Interno ID: ID_VAR_ALARMKANAL1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV1


ID_VAR_ALARMKANAL2

Interno ID: ID_VAR_ALARMKANAL2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV2


ID_VAR_ALARMQUIT

Interno ID: ID_VAR_ALARMQUIT

Variabile di riconoscimento

quando si ripristina un allarme della variabile di gestione, viene settato il valore della variabile di ripristino sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmQuitPV


ID_VAR_ALARMQUIT_VALUE

Interno ID: ID_VAR_ALARMQUIT_VALUE

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmQuitPVValue


ID_VAR_ALARMVIEWQUIT

Interno ID: ID_VAR_ALARMVIEWQUIT

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmViewQuitPV


ID_VAR_ARCHHYSTNEG

Interno ID: ID_VAR_ARCHHYSTNEG

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchHystNeg


ID_VAR_ARCHHYSTPOS

Interno ID: ID_VAR_ARCHHYSTPOS

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchHystPos


ID_VAR_ARRAYSIZE

Interno ID: ID_VAR_ARRAYSIZE

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArraySizeOld


ID_VAR_ARRDIM1

Interno ID: ID_VAR_ARRDIM1

Dim 1

Grandezza della prima dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim1


ID_VAR_ARRDIM2

Interno ID: ID_VAR_ARRDIM2

Dim 2

Grandezza della seconda dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim2


ID_VAR_ARRDIM3

Interno ID: ID_VAR_ARRDIM3

Dim 3

Grandezza della terza dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim3


ID_VAR_AUSRICHTUNG

Interno ID: ID_VAR_AUSRICHTUNG

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Alignment


ID_VAR_BASETYPE

Interno ID: ID_VAR_BASETYPE

Tipo di dato IEC

Tipo di dato che è alla base.

Attenzione: se si modifica in un secondo tempo il tipo di dato di base, tutte le altre proprietà del tipo di dato debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DataTyp


ID_VAR_BEZEICHNUNG

Interno ID: ID_VAR_BEZEICHNUNG

Generale

Proprietà generali della variabile o del tipo di dato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Title


ID_VAR_BIT

Interno ID: ID_VAR_BIT

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitAddr


ID_VAR_BMKENNUNG

Interno ID: ID_VAR_BMKENNUNG

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Recourceslabel


ID_VAR_CANCEL_OPERATE

Interno ID: ID_VAR_CANCEL_OPERATE

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CancelOperate


ID_VAR_CPLX_OFFSET

Interno ID: ID_VAR_CPLX_OFFSET

Offset di partenza

Startoffset per la variabile strutturata.
Si inizia a partire da questo offset con l´indirizzamento delle variabili contenute.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_VAR_DB

Interno ID: ID_VAR_DB

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataBlock


ID_VAR_DDEAKTIV

Interno ID: ID_VAR_DDEAKTIV

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Imposta valore oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DDEActive


ID_VAR_DESC

Interno ID: ID_VAR_DESC

Descrizione

Denominazione del tipo di dato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_VAR_EINHEIT

Interno ID: ID_VAR_EINHEIT

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


ID_VAR_ERSATZ

Interno ID: ID_VAR_ERSATZ

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlternateValue


ID_VAR_EXTERN

Interno ID: ID_VAR_EXTERN

Impostazioni esterne

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_External


ID_VAR_GW_AKTIV

Interno ID: ID_VAR_GW_AKTIV

Limite attivo

Attivo: Si tiene conto del valore limite nel Runtime.
Inattivo: Il valore limite viene ignorato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_VAR_GW_ALARM

Interno ID: ID_VAR_GW_ALARM

Come allarme

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
Non attiva: non viene generato nessun inserimento nella Lista allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Alarm


ID_VAR_GW_ALARMCAUSE

Interno ID: ID_VAR_GW_ALARMCAUSE

Causa d'allarme richiesta

Disponibile solo se la proprietà Con ripristino è attiva.

Attiva: prima di poter riconoscere un allarme, si deve collegare una causa d'allarme.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmCause


ID_VAR_GW_ALARMVERW

Interno ID: ID_VAR_GW_ALARMVERW

Chiama da pulsante nella pagina Allarmi

Disponibile solo se il valore limite è un allarme.

  • Attivo: La funzione non si esegue spontaneamente nel funzionamento online ma soltanto all’attivazione del pulsante “funzione” nella lista allarme.
  • Inattivo: La funzione viene eseguita spontaneamente non appena si verifica l'allarme.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AML_Call


ID_VAR_GW_AMLCEL

Interno ID: ID_VAR_GW_AMLCEL

Allarmi/CEL

Proprietà per la lista allarmi e la lista eventi cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_CEL


ID_VAR_GW_BLINKEN

Interno ID: ID_VAR_GW_BLINKEN

Lampeggio

Attivo: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattivo.
Attenzione: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Blinking


ID_VAR_GW_CEL

Interno ID: ID_VAR_GW_CEL

Nella CEL

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista eventi cronologica (CEL).
Inattivo: Non viene viene generato un inserimento nella Lista eventi cronologica.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Cel


ID_VAR_GW_DEL

Interno ID: ID_VAR_GW_DEL

{Cancella limite}

Il valore limite viene cancellato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelLimit


ID_VAR_GW_DRUCKEN

Interno ID: ID_VAR_GW_DRUCKEN

Stampa

Attivo: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
Non attiva: nessuna stampa online.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Print


ID_VAR_GW_FARBE

Interno ID: ID_VAR_GW_FARBE

Colore

Informazione di colore utilizzata per i simboli e gli stati se la variabile è utilizzata nell’elemento binario; i colori dei testi di allarme nella lista allarmi si stabiliscono nella definizione della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_VAR_GW_FKT

Interno ID: ID_VAR_GW_FKT

Funzione

Proprietà per la funzione collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Function


ID_VAR_GW_FUNKTION

Interno ID: ID_VAR_GW_FUNKTION

Funzione

Funzione che deve essere eseguita automaticamente nel Runtime quando si verifica la violazione di un valore limite.
Se lo stato è definito come allarme, si può impedire l’esecuzione spontanea della funzione. A tal scopo selezionate l´opzione Chiama da pulsante nella pagina Allarmi.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_VAR_GW_GRENZWERT

Interno ID: ID_VAR_GW_GRENZWERT

Valore limite

Disponibile solo se non è definito nessun valore limite dinamico:
Definisce il valore a partire dal quale il limite è da considerarsi violato.
Se dei valori superiori o inferiori provocano una violazione del limite, lo si definisce tramite la proprietà "Minimo/Massimo".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitValue


ID_VAR_GW_GRP1

Interno ID: ID_VAR_GW_GRP1

Limiti

Proprietà per il calcolo del valore limite.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Ranges


ID_VAR_GW_GRUPPE

Interno ID: ID_VAR_GW_GRUPPE

Gruppo allarmi/eventi

Assegnazione di un gruppo allarmi/eventi (massimo 65535) ad un valore limite in caso di uso come allarme.
L'assegnazione di un gruppo allarmi/eventi avviene selezionandolo nella lista.
Default: 0 - (non utilizzato)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Group


ID_VAR_GW_HILFE

Interno ID: ID_VAR_GW_HILFE

File guida

Disponibile solo se per il valore limite è stata attivata la proprietà Come allarme.

Selezione del file CHM da cui deve essere visualizzato un capitolo della guida per questo allarme nella Lista di informazione allarmi.

Progettazione per EPLAN:
È possibile aprire una pagina di EPLAN. A questo scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nello zenon6.ini.
Configurazione:

  • Inserimento della successione di caratteri $PRG:xxxxxx

    xxxxxx è un placeholder per il parametro da trasferire.

  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpFile


ID_VAR_GW_HILFEKAP

Interno ID: ID_VAR_GW_HILFEKAP

Capitolo guida

Disponibile solo se per il valore limite è stata attivata la proprietà Come allarme.
Indicazione del capitolo della guida che deve essere visualizzato per questo allarme nella Lista di informazione allarmi. Perché ciò sia possibile, nella proprietà File guida deve essere stato collegato un file CHM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


ID_VAR_GW_HLP

Interno ID: ID_VAR_GW_HLP

Guida

Proprietà per la configurazione dell´help.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Help


ID_VAR_GW_KLASSE

Interno ID: ID_VAR_GW_KLASSE

Classe allarmi/eventi

Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione di una classe allarmi/eventi avviene selezionandola nella lista.
Default: 0 (non utilizzato)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Class


ID_VAR_GW_KOMMENTAR

Interno ID: ID_VAR_GW_KOMMENTAR

Commento richiesto

Disponibile solo se la proprietà Con ripristino è attiva.

Attivo: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmComment


ID_VAR_GW_LOESCHEN

Interno ID: ID_VAR_GW_LOESCHEN

Riconoscimento a due stadi

Disponibile solamente nel caso che la proprietà Con ripristino sia attiva.

  • Attivo: L´allarme viene rimosso dal buffer circolare solo nel caso in cui sia stato ripristinare , sia uscito, e quando la sua rimozione dal buffer circolare sia stata confermata.
  • Inattivo: L´allarme viene rimosso dal buffer circolare quando è stato ripristinato ed è uscito.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDelete


ID_VAR_GW_MINMAX

Interno ID: ID_VAR_GW_MINMAX

Min/Max

Minimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sotto del valore limite definito.
Massimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sopra del valore limite definito.
Default: Minimo:

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMax


ID_VAR_GW_NEW

Interno ID: ID_VAR_GW_NEW

{Nuovo limite}

Viene inserito un nuovo valore limite.
E' possibile un numero massimo di 65535 valori limite.
Le variabili bit hanno sempre due valori limite.
I valori limite per le variabili string non sono possibili. Al loro posto può essere utilizzata qui (come anche per altre variabili) una matrice di reazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLimit


ID_VAR_GW_PREVIEW

Interno ID: ID_VAR_GW_PREVIEW

Anteprima limiti

Visualizzazione dei valori limite o delle matrici di reazione definiti per la variabile o il tipo di dato semplice

Cliccate sul pulsante ... per aprire la finestra di dialogo che serve a visualizzare i valori limite definiti o la matrice di reazione configurata. Per visualizzare dei valori limite, la proprietà Matrice di reazione non deve contenere alcun collegamento.
Le proprietà configurate vengono solo visualizzate, ma non possono essere modificate. Se le si vuole modificare, bisogna farlo direttamente nelle proprietà per Valori limiti, oppure nella finestra di dialogo Matrice di reazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LimitPreview


ID_VAR_GW_QUITTIEREN

Interno ID: ID_VAR_GW_QUITTIEREN

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmAcknowledge


ID_VAR_GW_SCHWELLWERT

Interno ID: ID_VAR_GW_SCHWELLWERT

Valore soglia

Può essere indicato un valore di soglia utilizzato per causare la violazione di un valore limite. In questo modo si può evitare che ci siano delle reazioni non desiderate in caso di forti fluttuazioni di valori numerici.

Esempio 1: valore massimo = 900, valore soglia = 10 dà come risultato 890.
In questo caso il valore limite sarà violato quando si supererà il valore di 900 e si lascerà il livello critico quando il valore scenderà al di sotto di 890.

Esempio 2: valore minimo = 900, valore soglia = 10 dà come risultato 910.
In questo caso il valore limite sarà violato quando si scenderà al di sotto del valore di 900 e si lascerà il livello critico quando il valore supererà 910.

A differenza dell´isteresi, questa proprietà non ha alcun effetto sulla visualizzazione del valore, ma solamente sul comportamento dell´allarme.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThresholdValue


ID_VAR_GW_TEXT

Interno ID: ID_VAR_GW_TEXT

Testo valore limite

Questo testo verrà visualizzato (a seconda della configurazione) nella Lista di informazione allarmi, nella Lista Eventi Cronologica, e/o nella Barra stato allarmi in caso di violazione del valore limite.

Testo valore limite dinamico: consente di includere nel testo del valore limite di una variabile e di matrici di reazione valori correnti di altre variabili. E' possibile collegare anche un testo fisso usando un indice con parole chiavi di una tabella lingua.

L´uso di testi di valore limite dinamici è causa di alcune restrizioni:
un testo statico viene salvato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 1024 caratteri. I valori delle variabili collegate vengono salvati nell´area di memoria per il testo commento, che ha un limite massimo di 80 caratteri. Non sarà poi possibile inserire nessun commento nella Lista di informazione allarmi o nella Lista Eventi Cronologica.

Queste restrizioni possono essere aggirate mediante l´estensione per lunghi testi di valori limite dinamici. A questo scopo, attivare Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. I valori delle variabili per i testi di valori limite dinamici verranno poi salvati in un file proprio e il campo commento sarà di nuovo a disposizione per inserire commenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_VAR_GW_UNSICHTBAR

Interno ID: ID_VAR_GW_UNSICHTBAR

Invisibile

Attivo: Lo stato non viene visualizzato nell´elemento dinamico "elemento di stato", oppure elementi non vengono visualizzati se la loro visibilità viene gestita mediante questa variabile.
Inattivo: La visibilità non viene influenzata dalla violazione di valore limite.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Invisible


ID_VAR_GW_VARIABEL

Interno ID: ID_VAR_GW_VARIABEL

Valore limite con variabile attivo

Determina se il valore limite è definito in modo fisso oppure viene definito in modo dinamico tramite una variabile.

  • Inattivo: Il valore limite viene definito tramite un'assegnazione fissa.
  • Attivo: Il valore limite viene definito tramite quello di un’altra variabile.
    AML/CEL: come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il timestamp più recente delle due variabili.

Default: inattivo

Attenzione: Se il valore limite variabile cambia, cosicché il valore attuale della variabile (pur non cambiando) viene a trovarsi nell’area critica, viene scatenata una violazione del valore limite.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsVariable


ID_VAR_GW_VARIABLE

Interno ID: ID_VAR_GW_VARIABLE

Variabile

Disponibile solo se "valore limite dinamico" è attivo:
Variabile che deve essere utilizzata come valore limite dinamico.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_VAR_GW_VERZOEGEUNG

Interno ID: ID_VAR_GW_VERZOEGEUNG

Tempo di ritardo [s]

Intervallo di tempo in secondi in cui la violazione del valore limite deve essere attiva. Il valore deve essere attivo ininterrottamente perlomeno per la durata del periodo indicato; solo in questo caso verranno inizializzate le azioni definite per il caso di violazione del valore limite.
AML/CEL:

  • L´ora della prima violazione del valore limite viene utilizzata nella AML e/o nella CEL come time stamp per la violazione stessa.
  • Come valore, il sistema inserisce il primo valore rilevato dopo il tempo di ritardo configurato, quindi non il valore che ha provocato l´allarme.

Attenzione: In combinazione con la proprietà Lampeggio, questa proprietà ha i seguenti effetti in rete:

  • Valore limite con lampeggio e senza ritardo: gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo: gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo: gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo: gli elementi collegati lampeggiano sul server e sui client.

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delay


ID_VAR_GW_ZUSATZ_ATTRIB

Interno ID: ID_VAR_GW_ZUSATZ_ATTRIB

Attributi aggiuntivi

Ulteriori proprietà per il valore limite.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AddAttrib


ID_VAR_HDAKTIV

Interno ID: ID_VAR_HDAKTIV

HD attivo

Attiva: i valori delle variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure per l'importazione/esportazione.

Non attiva: non viene salvato nessun valore delle variabili.

Default: non attiva.

I dati HD hanno bisogno di 24 byte per ogni valore HD salvato, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- Tempo in corrispondenza del quale è stato misurato il valore.
- Millisecondi impiegati per la lettura del valore.
- Stato del valore per adattare gli elementi in modo corrispondente.
- Contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche in caso di passaggio ad un´immagine di tipo Trend esteso, quando vengono analizzati dati online.
Il salvataggio dati su disco fisso non è supportato per le variabili di tipo stringa.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDActive


ID_VAR_HDRDA

Interno ID: ID_VAR_HDRDA

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsKDAActiv


ID_VAR_HDUPDATE

Interno ID: ID_VAR_HDUPDATE

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDUpdate


ID_VAR_HDWERTE

Interno ID: ID_VAR_HDWERTE

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
Numero di valori per il salvataggio valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per i dati online nel Trend esteso, oppure per l´export/import dei valori.

Attenzione: un numero troppo grande di variabili con l´opzione "Salvataggio dati su disco fisso" attiva, e una grande quantità di valori possono causare un calo delle performance a Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDSize


ID_VAR_HYSTERESE

Interno ID: ID_VAR_HYSTERESE

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Hysteresis


ID_VAR_HYSTNEG

Interno ID: ID_VAR_HYSTNEG

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HystNeg


ID_VAR_HYSTPOS

Interno ID: ID_VAR_HYSTPOS

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HystPos


ID_VAR_INTERN_INITIALWERT

Interno ID: ID_VAR_INTERN_INITIALWERT

Valore iniziale

Il valore definito qui viene utilizzato come valore iniziale quando si avvia il Runtime, a patto che per la proprietà Ritentività sia stata configurata l´opzione Valore iniziale.
Nota: Come separatore decimale si può usare sia il punto che la virgola. Il valore verrà convertito dal sistema sempre in un numero con un punto come separatore decimale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Initial_value


ID_VAR_INTERN_LOKAL

Interno ID: ID_VAR_INTERN_LOKAL

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Local


ID_VAR_INTERN_REMANENZ

Interno ID: ID_VAR_INTERN_REMANENZ

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Remanenz


ID_VAR_KANALTYP

Interno ID: ID_VAR_KANALTYP

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DriverTyp


ID_VAR_KENNUNG

Interno ID: ID_VAR_KENNUNG

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tagname


ID_VAR_LBOUND

Interno ID: ID_VAR_LBOUND

Indice di start Array

Selezionate l'indice di inizio dell'array fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LBound


ID_VAR_LINANPASS

Interno ID: ID_VAR_LINANPASS

Adattamento valore lineare

Adattamento valore lineare con range di misurazione.
Impostazioni per la conversione lineare dei valori da PLC per la visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_LinAdjust


ID_VAR_LOCKING

Interno ID: ID_VAR_LOCKING

Gruppo comandi

Collegamento di un gruppo comandi a questa variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockingName


ID_VAR_MAKROHARDWARE

Interno ID: ID_VAR_MAKROHARDWARE

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustHardware


ID_VAR_MAKROZENON

Interno ID: ID_VAR_MAKROZENON

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustZenon


ID_VAR_MAXGRADIENT

Interno ID: ID_VAR_MAXGRADIENT

Gradiente massimo

Disponibile solo in SICAM 230.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxGradient


ID_VAR_MESSMAX

Interno ID: ID_VAR_MESSMAX

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeMax


ID_VAR_MESSMIN

Interno ID: ID_VAR_MESSMIN

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeMin


ID_VAR_NACHKOMMA

Interno ID: ID_VAR_NACHKOMMA

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Digits


ID_VAR_NAME

Interno ID: ID_VAR_NAME

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • Caratteri proibiti: # e @

Nota: per quei driver che si basano su di una connessione zenon Logic, bisogna tener conto di un prefisso. I dettagli relativi a questo argomento si trovano nella sezione della guida dedicata alla Creazione di B e variabili B in zenon Logic.
Le modifiche del nome variabile devono essere effettuate anche negli ambienti di programmazione (VBA, VSTA).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VAR_NETADDR

Interno ID: ID_VAR_NETADDR

Indirizzo di rete/bus

Indirizzo bus o di Indirizzo di rete/bus delle variabili.

  • Minimo: 0
  • Massimo: 4294967295

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetAddr


ID_VAR_NORMALZUSTAND

Interno ID: ID_VAR_NORMALZUSTAND

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NormalState


ID_VAR_NORMALZUSTANDAKT

Interno ID: ID_VAR_NORMALZUSTANDAKT

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NormalStateActive


ID_VAR_OFFSET

Interno ID: ID_VAR_OFFSET

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_VAR_OFS_SOURCE

Interno ID: ID_VAR_OFS_SOURCE

Calcolo offset

Selezionare il tipo di calcolo desiderato per l´offset. Sono disponibili le seguenti possibilità:

  • Indirizzamento segue l'offset del tipo di dato l'offset di partenza
  • Indirizzamento automatico
  • Indirizzamento manuale

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OfsSource


ID_VAR_PRIORITAET

Interno ID: ID_VAR_PRIORITAET

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UpdatePriority


ID_VAR_PROP_ANALYZER1

Interno ID: ID_VAR_PROP_ANALYZER1

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisualName


ID_VAR_PROP_ANALYZER2

Interno ID: ID_VAR_PROP_ANALYZER2

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Meaning


ID_VAR_PROP_ANALYZER3

Interno ID: ID_VAR_PROP_ANALYZER3

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione dei report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure scritti usando il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene eseguito mediante l´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WaterfallParam


ID_VAR_PROP_GRP0

Interno ID: ID_VAR_PROP_GRP0

Indirizzamento

Proprietà per l´indirizzamento della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Address


ID_VAR_PROP_GRP1

Interno ID: ID_VAR_PROP_GRP1

Calcolo valore

Definizione del limite della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Value


ID_VAR_PROP_GRP2

Interno ID: ID_VAR_PROP_GRP2

Impostazioni aggiuntive

Proprietà estese per la variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Extended


ID_VAR_PROP_GRP3

Interno ID: ID_VAR_PROP_GRP3

Salvataggio dati su disco fisso

Proprietà per il salvataggio dei valori variabile sul disco fisso.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_HardDisk


ID_VAR_PROP_GRP4

Interno ID: ID_VAR_PROP_GRP4

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Limits


ID_VAR_PROP_GRP7

Interno ID: ID_VAR_PROP_GRP7

Registrazione nella CEL

Proprietà per protocollare dati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValueProtocol


ID_VAR_PROP_GRP8

Interno ID: ID_VAR_PROP_GRP8

Gestione allarmi

Proprietà per il ripristino e per le aree allarmi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Alarmhandling


ID_VAR_PROP_GRP9

Interno ID: ID_VAR_PROP_GRP9

Allarme ad immagine

Disponibile solo in SICAM 230:
Proprietà per gli allarmi ad immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PictureAlarm


ID_VAR_PROP_GRP10

Interno ID: ID_VAR_PROP_GRP10

Stato normale

Proprietà per lo stato normale di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NormalState


ID_VAR_PROP_GRP11

Interno ID: ID_VAR_PROP_GRP11

Variabili Interne

Proprietà per le variabili interne.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_InternalVariable


ID_VAR_PROP_GRP12

Interno ID: ID_VAR_PROP_GRP12

Variabile del driver di sistema

Proprietà per le variabili del driver di sistema.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SystemVariable


ID_VAR_PROP_GRP13

Interno ID: ID_VAR_PROP_GRP13

Analyzer

Proprietà per l´uso in zenon Analyzer.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Analyser


ID_VAR_PROP_GRP_GOOSE

Interno ID: ID_VAR_PROP_GRP_GOOSE

GOOSE

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE


ID_VAR_READWRITE

Interno ID: ID_VAR_READWRITE

Imposta valore attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InOut


ID_VAR_REMA

Interno ID: ID_VAR_REMA

Matrice di reazione

Selezione di una matrice di reazione per collegarla alla variabile selezionata, o al tipo di dato selezionato. Cliccando sul pulsante ... , si apre la finestra di dialogo per selezionare una matrice di reazione.
Si può usare questa finestra di dialogo anche per copiare e/o configurare delle matrici di reazione, o per crearne delle nuove. Non è però possibile cancellare delle matrici di reazione in questa finestra di dialogo. Se si vuole cancellare il collegamento di una matrice di reazione, cliccare all´interno di questa finestra di dialogo sul pulsante Nessuna selezione.

Default: <Nessuna matrice di reazione collegata>

Nota: La proprietà Anteprima limiti mostra un´anteprima della matrice di reazione collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rema


ID_VAR_REMA_KNOTEN

Interno ID: ID_VAR_REMA_KNOTEN

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rema


ID_VAR_REMAAKTIV

Interno ID: ID_VAR_REMAAKTIV

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsRemaActiv


ID_VAR_SBO

Interno ID: ID_VAR_SBO

Select Before Operate

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SBO


ID_VAR_SIGMAX

Interno ID: ID_VAR_SIGMAX

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignalMax


ID_VAR_SIGMIN

Interno ID: ID_VAR_SIGMIN

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignalMin


ID_VAR_SIGNAL

Interno ID: ID_VAR_SIGNAL

Campo valori PLC

Limite delle variabili nel PLC.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SignalRange


ID_VAR_SOLLMAX

Interno ID: ID_VAR_SOLLMAX

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMax


ID_VAR_SOLLMIN

Interno ID: ID_VAR_SOLLMIN

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMin


ID_VAR_STANDBY

Interno ID: ID_VAR_STANDBY

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Standby


ID_VAR_STRINGLAENGE

Interno ID: ID_VAR_STRINGLAENGE

Lunghezza stringa

Disponibile solo per variabili stringa.
Numero massimo di caratteri che la variabile può avere.
Minimo: 1 carattere
Se si digita il valore non consentito 0, verrà applicato automaticamente l´ultimo valore valido configurato. Se non è stato configurato ancora nessun valore valido, il valore inserito verrà sostituito da quello di default.
Massimo: 65535 caratteri
Default: 5 caratteri

Nota: per le variabili del driver di sistema con il tipo di dato String, il valore di default è 65535.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringLength


ID_VAR_STRINGLAENGE2

Interno ID: ID_VAR_STRINGLAENGE2

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0
Massimo: 65535
Default: 5

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxStringLen


ID_VAR_SWP_ACT

Interno ID: ID_VAR_SWP_ACT

Vecchio e nuovo valore

  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SV_Act


ID_VAR_SWP_ART

Interno ID: ID_VAR_SWP_ART

Abilita registrazione

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueProtocol


ID_VAR_SWP_VBA

Interno ID: ID_VAR_SWP_VBA

Impostazione valori tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SV_VBA


ID_VAR_SYMBADDR

Interno ID: ID_VAR_SYMBADDR

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 256 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbAddr


ID_VAR_TREIBER

Interno ID: ID_VAR_TREIBER

Driver

Driver per la variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.

Nota: i driver per i progetti zenon Logic non possono essere più modificati in seguito.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Driver


ID_VAR_TYPE

Interno ID: ID_VAR_TYPE

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DataTyp


ID_VAR_USEMAKRO

Interno ID: ID_VAR_USEMAKRO

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attivo: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattivo: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel far ciò, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseMacro


ID_VAR_WERTATTRIB

Interno ID: ID_VAR_WERTATTRIB

Attributi valore

Proprietà per gli attributi valore della variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ValueAttrib


ID_VAR_ZWREMANR

Interno ID: ID_VAR_ZWREMANR

Gruppo contatore

Disponibile solo in SICAM 230.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CounterGroup


ID_VARGROUP

Interno ID: ID_VARGROUP

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Vargroup


ID_VARINASM

Interno ID: ID_VARINASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarInASM


ID_VERRIEG_CBTR_FORMULA

Interno ID: ID_VERRIEG_CBTR_FORMULA

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili della lista del gruppo comando; è possibile la sostituzione di nomi tramite '*' come nel caso della definizione di Condizioni di blocco di un´azione.

Nota: le variabili che sono usate nella formula, non possono essere cancellate dalla lista del gruppo comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CBTR_Formula


ID_VERRIEG_CBTR_MONITORED

Interno ID: ID_VERRIEG_CBTR_MONITORED

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

Attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CBTR_Act


ID_VERRIEG_PROP1

Interno ID: ID_VERRIEG_PROP1

Nome

Nome univoco dell´interblocco o del comando.
Default: Interblocco/comando x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che riguarda la creazione di un:

  • Interblocco

Comando

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP2

Interno ID: ID_VERRIEG_PROP2

Variabile

Nome delle variabili collegate con il gruppo comandi.
Apre il dialogo che serve alla selezione variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP3

Interno ID: ID_VERRIEG_PROP3

Nome variabile di feedback

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReturnInformation


ID_VERRIEG_PROP4

Interno ID: ID_VERRIEG_PROP4

Imposta stato di avanzamento

Attivo: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Inattivo: Il bit di stato non viene settato.

Default: inattivo

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DesiredDirection


ID_VERRIEG_PROP5

Interno ID: ID_VERRIEG_PROP5

Watchdog timer

Definisce il processo del watchdog timer.

Nota: questo watchdog timer è attivo solamente per il tipo di azione Comando persistente e Comando impulso.

Possibili impostazioni:

  • Nessuno:
    nessun watchdog timer.
  • Solo tramite variabile di feedback (RV):
    il valore della variabile di feedback viene usato per verificare se il comando è stato eseguito con successo. Il monitoraggio viene attivato solo se il valore da scrivere non corrisponde a quello attuale della variabile di azione.
  • Solo tramite Cause of transmision (COT):
    si usa COT (Cause of Transmission) per controllare se il processo ha avuto successo.
    Per l´azione 'Comando' vengono analizzai i bit di stato della causa di trasmissione (COTx). Il monitoraggio finisce nel momento in cui viene raggiunto COT_actterm (10).
  • Tramite COT e RV:
    attende e reagisce a COT e a modifiche di valore della variabile di feedback. Combina le proprietà di Solo tramite variabile di feedback (RV) e Solo tramite Cause of transmision (COT).

In generale vale quanto segue: Se il watchdog non viene concluso con successo entro il Timeout configurato per quest'azione, viene settato il biti di stato TIMEOUT.

Default: nessuno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WatchDogTimer


ID_VERRIEG_PROP6

Interno ID: ID_VERRIEG_PROP6

Tipo

Disponibile solamente con l´azione Stato comandi:
tipo del comando.
Comando doppio: Scrive il valore della proprietà Stato comandi.
Comando impulso: Scrive il valore della proprietà Stato comandi. Dopo Ritardo fronte viene scritto il valore 0. Essa non è soggetta al monitoraggio runtime.

Nota: Disponibile solamente con l´azione comando Comando impulso. Se si selezionano altre azioni nel comando, esse vengono inserite prima in Tipo e vengono visualizzate in grigio per escluderle dalla successiva modifica

Default: Comando doppio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_VERRIEG_PROP7

Interno ID: ID_VERRIEG_PROP7

Stato-Feedback/Direzione Switch

Definisce il valore atteso oppure lo stato della variabile di feedback dopo l'esecuzione dell'azione.

Gli inserimenti possibili sono diversi a seconda dell´azione.

  • OFF: lo stato di feedback viene disattivato - il valore sarà 0.
  • DIFF: stato intermedio compreso fra 0 e 1.
  • ON: lo stato di feedback viene attivato - il valore sarà 1
  • Nessuno: lo stato di feedback viene ignorato - il valore non cambierà.
  • DIR: xx (disponibile solo per l´azione di comando Impostazione di valore)
  • Imposta valore xx (disponibile solo per l´azione di comando Impostazione di valore)
  • DIST: errore.

Non disponibile per le azioni: Blocco, Blocco accesso e Rilascio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_VERRIEG_PROP8

Interno ID: ID_VERRIEG_PROP8

Interruzione Timeout

Consente di interrompere il timeout nel watchdog timer.

Se il comando Execute- viene già eseguito (dopo che il sistema ha ricevuto COT_actcon), il pulsante Annulla interrompe il watchdog timer. In tal modo, per esempio, i pulsanti saranno di nuovo attivi e disponibili all´uso.
Ma: in caso d´interruzione durante l´esecuzione, il modulo non trasmette nessuna disattivazione (Cancel) al driver.
Se questa proprietà è attiva durante un watchdog timer, è attivo il Cancel-pulsante nell´immagine Comando. Per questo motivo, l´utente ha la possibilità di terminare il watchdog timer cliccando su questo pulsante.

Default: inattivo

Nota: è disponibile solo per azioni gruppo comando Funzionalitàe Impostazione valore. Non viene settato nessun bit Time-out!

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeoutAbortable


ID_VERRIEG_PROP9

Interno ID: ID_VERRIEG_PROP9

Sopprimi inserimento CEL

Attivo: al momento dell´esecuzione dell´azione, non viene generato nessun inserimento nella Lista Eventi Cronologica (CEL).
Disattivato: al momento dell´esecuzione dell´azione, viene generato un inserimento nella CEL.
Default: Inattiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELBlock


ID_VERRIEG_PROP10

Interno ID: ID_VERRIEG_PROP10

Timeout

Timeout per watchdog in secondi per i tipi di azione comando doppio e comando impulso.

Questa impostazione vale anche come timeout per Select di IO. È disponibile solamente per le seguenti azioni di comando: Comando, Comando automatico/remoto, Verifica feedback, Impostazione valore e Comando forzato.

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 30

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


ID_VERRIEG_PROP11

Interno ID: ID_VERRIEG_PROP11

Collegamento logico

Apre il dialogo che serve a definire la formula per la condizione.
Le condizioni di interblocco vengono calcolate in rete sempre a livello locale. Tramite l´uso di variabili locali (per es. driver di sistema o variabili interne), su un client possono essere soddisfatte altre condizioni che sul server.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Formula


ID_VERRIEG_PROP12

Interno ID: ID_VERRIEG_PROP12

Sbloccabile

Disponibile solo in SICAM 230 oppure se si dispone di una licenza per la Energy Edition:
attivo: Un blocco può essere sbloccato manualmente nell´immagine del tipo Comando.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delocking


ID_VERRIEG_PROP13

Interno ID: ID_VERRIEG_PROP13

Testo di interblocco

Descrizione della condizione di blocco.
Durante il runtime, questo testo può essere visualizzato nell´immagine del tipo Comando (se avete la licenza per la Energy Edition), oppure analizzato in una macro VBA.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_VERRIEG_PROP14

Interno ID: ID_VERRIEG_PROP14

Stato comandi

Disponibile solamente con l´azione 'Comando':
definisce il valore che con l´azione 'Comando' viene scritto sulla variabile di comando.
Nota: non attiva con le azioni di comando Blocca, Sostituisci, Rilascia, Correzione manuale, Revisione, Imposta valore così comeModifica stati.

0: La variabile di comando viene settata sul valore 0.
1: La variabile di comando viene settata sul valore 1.
Default: 1.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommandState


ID_VERRIEG_PROP15

Interno ID: ID_VERRIEG_PROP15

Stati modificabili

Disponibile solamente con l´azione 'Modifica stati':

Default: nessuna.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_VERRIEG_PROP16

Interno ID: ID_VERRIEG_PROP16

Comparazione valore Attuale/Nominale

Attivo: si verifica se il valore della variabile di risposta corrisponde già alla direzione di commutazione. Se questo è vero, si visualizza un messaggio di blocco sbloccabile nel comando.
Non attiva: non viene effettuato nessun controllo della direzione di commutazione.
Nota: Disponibile solamente per il comando comando doppio(= azione => Nuovo comando).

Default: inattivo.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Actual


ID_VERRIEG_PROP17

Interno ID: ID_VERRIEG_PROP17

Immagine Modale

Attivo: indipendentemente dalla proprietà "Dialogo modale" dell´immagine, l´immagine comando viene aperta in forma modale. Il che significa che si potrà usufruire di nuovo delle altre immagini solo dopo che quest´immagine sarà stata chiusa.
Inattivo: L´immagine di comando viene aperta normalmente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Modal


ID_VERRIEG_PROP18

Interno ID: ID_VERRIEG_PROP18

Titolo immagine da variabile feedback

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RM-Titel


ID_VERRIEG_PROP19

Interno ID: ID_VERRIEG_PROP19

Immagine

Nome dell´immagine da aprire quando il comando viene eseguito mediante il valore limite di un elemento d'immagine dinamico. Questa immagine viene utilizzata anche quando l´azione viene eseguita mediante il menù contestuale dell´elemento, oppure mediante le sequenze di comando quando non è stata definita nessuna immagine specifica per l´azione stessa.

Nota: se il comando vene inizializzato settando valori sull´elemento, bisogna collegare qui un´immagine. Se invece il comando viene eseguito solo via menù contestuale, oppure via Sequenze di comando e sono state configurate delle immagini proprie per le diverse azioni, il sistema utilizzerà solo queste ultime e questa proprietà può essere lasciata vuota.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicGUID


ID_VERRIEG_PROP20

Interno ID: ID_VERRIEG_PROP20

Immagine

Immagine del tipo Comando che viene usata nell´esecuzione dell´azione mediante il menù contestuale dell´elemento. Se non è indicata alcuna immagine specifica, si usa quella che è stata specificata nella proprietà Immagine del gruppo comandi. Un´immagine creata, ma non disponibile, provoca la generazione di un messaggio di errore quando si creano i file Runtime. In questo caso, l´azione non verrà ripresa.
Default: nessuna.

Nota: se il comando vene inizializzato mediante il settaggio valori nell´elemento, la proprietà è ignorata e viene usata sempre l´immagine che è inserita nella proprietà Immagine nel gruppo di comandi.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicGUID


ID_VERRIEG_PROP21

Interno ID: ID_VERRIEG_PROP21

Pulsante di comando

Non disponibile con le azioni 'Blocco' e Comando automatico/remoto, oppure se non è attribuita nessuna immagine comando.
Attribuzione dell´azione ai pulsanti azionedefiniti in un´immagine del tipo Comando.
Se il gruppo comandi viene usato con un´altra immagine (per esempio mediante una funzione), l´attribuzione ai pulsanti di azione viene mantenuta.. Nel caso in cui manchi un tale pulsante, questa azione non è disponibile nell´immagine.
Nella lista di selezione vengono proposti alla scelta dell´utente solo i pulsanti non ancora attribuiti.
Default: nessuno

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdBtn


ID_VERRIEG_PROP22

Interno ID: ID_VERRIEG_PROP22

Chiusura automatica

Attivo: dopo l´esecuzione dell´azione, l´immagine comando viene chiusa automaticamente..
Non attiva: l´immagine comando non viene chiusa automaticamente.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CloseMDIWnd


ID_VERRIEG_PROP23

Interno ID: ID_VERRIEG_PROP23

Comando a due mani

Disponibile solo per "Esecuzione in due livelli":

  • Attivo: L´elemento di controllo Esegui 2° livello è disponibile solo quando si pigia contemporaneamente il tasto CTRL.
    Attenzione Per l´elemento di controllo Esegui 2° livello, in caso di operazione a due mani, non può essere attiva la proprietà selezionabile tramite lazo.
  • Inattivo: l’ elemento di controllo è sempre disponibile.

Default: inattivo
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoHand


ID_VERRIEG_PROP24

Interno ID: ID_VERRIEG_PROP24

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando impulso.
Dopo la scadenza di questo tempo espresso in millisecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Select Before Operate della variabile di azione è stato attivato.

Nota: Se si seleziona nel comando l´azione Comando automatico/remoto, oppure Comando forzato, esse vengono inserite in Tipo e vengono disattivate per ulteriori modifiche.

Nota:
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EdgeDelay


ID_VERRIEG_PROP25

Interno ID: ID_VERRIEG_PROP25

Doppio-livello

Attivo: L'azione viene eseguita solo se è stato confermato il Control „Esegui 2“.

Inattivo: L'azione viene eseguita:

  • dopo lo sblocco dell'ultimo blocco
  • subito se non c'è alcun altro blocco attivo.

Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: attivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoLevel


ID_VERRIEG_PROP29

Interno ID: ID_VERRIEG_PROP29

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR. Ciò è possibile solamente nel caso delle seguenti azioni di comando: Sostituisci, Aggiorna e Impostazione valore.

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueDirectly


ID_VERRIEG_PROP30

Interno ID: ID_VERRIEG_PROP30

Variabile di feedback

Visualizza il risultato della condizione di interblocco sulla variabile selezionata.

Cliccando sul pulsante, si apre la finestra di dialogo per selezionare una variabile. Esiste anche la possibilità di indicare direttamente il nome della variabile nell´apposito campo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueVariable


ID_VERRIEG_PROP31

Interno ID: ID_VERRIEG_PROP31

Utilizza qualificatore di comando

Disponibile solo se si possiede una licenza della Energy Edition.

Potete aggiungere a comandi anche un'ulteriore informazione (Qualifier of Command) se il driver lo supporta. Driver possibili: IEC850, IEC870 e DNP3.

attivo: attiva l'indicazione sottoQualificatore di comando.

Nota: è disponibile solamente per le seguenti azioni di comando: Comando automatico/remoto, Comando impulsoe Comando forzato.

Default: inattivo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseQOC


ID_VERRIEG_PROP32

Interno ID: ID_VERRIEG_PROP32

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.

  • IEC850: Con i comandi, i valori compresi da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ignorati.
  • IEC870: Con i comandi, i valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ignorati.
  • DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0
Massimo: 127
Default: 0

Nota: questo inserimento è possibile solamente se l´opzione Utilizza qualifica di comando è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QOC


ID_VERRIEG_PROP33

Interno ID: ID_VERRIEG_PROP33

Nome

Parte liberamente definibile della denominazione di un interblocco.

Se si assegna un nome, l´intera denominazione consiste di: Nome: Collegamento logico, ad esempio: Nome: X03 non ripristinato AND X02.

Se non si assegna nessun nome, la completa denominazione viene generata automaticamente da: Condizione <Indice>: Collegamento logico, ad esempio: Condizione 01: X03 non ripristinato AND X02.

Default: Condizione <Indice>

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP34

Interno ID: ID_VERRIEG_PROP34

ID menu

ID univoco dell´azione. Il menù ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale. Nel corso della compilazione, il sistema verifica anche che lo stesso (valore)comando venga utilizzato solo una volta per variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdMenuID


ID_VERRIEG_PROP35

Interno ID: ID_VERRIEG_PROP35

Variabile di blocco

Variabile che può essere usata per le condizioni di blocco. Se si clicca sul pulsante ..., può essere scambiata la variabile senza che la formula debba essere modificata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP_DEL

Interno ID: ID_VERRIEG_PROP_DEL

{Cancella condizione}

La condizione viene eliminata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delete


ID_VERRIEG_PROP_GRP0

Interno ID: ID_VERRIEG_PROP_GRP0

Generale

Proprietà generali per l´interblocco o il comando.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocco

- Commando

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP4

Interno ID: ID_VERRIEG_PROP_GRP4

Immagine di comando

Proprietà per l´immagine di comando.

Nota: se si attiva il tipo di azione Comando automatico/remoto , le proprietà del gruppo Immagine di comando non sono modificabili.

Immagine di comando

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Picture


ID_VERRIEG_PROP_GRP5

Interno ID: ID_VERRIEG_PROP_GRP5

Opzioni

Proprietà per le opzioni dei comandi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Options


ID_VERRIEG_PROP_GRP6

Interno ID: ID_VERRIEG_PROP_GRP6

Impostazioni azioni

Proprietà per le impostazioni azioni dei comandi.

Avvertenza:

  • Il tipo di azione Comando automatico/remoto non supporta nessuna autorizzazione. Il gruppo proprietà Diritto di accesso viene escluso dalla visualizzazione.
  • Il tipo di azione Blocco non supporta nessuna condizione di interblocco. Ne consegue che, se sono state progettate delle condizioni, esse non saranno valide nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP7

Interno ID: ID_VERRIEG_PROP_GRP7

Variabile

Proprietà per le variabili dell´interblocco.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP8

Interno ID: ID_VERRIEG_PROP_GRP8

Condizione

Proprietà per le condizioni dell´interblocco.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP9

Interno ID: ID_VERRIEG_PROP_GRP9

Diritto di accesso

Contiene le proprietà per la constatazione dei livelli di autorizzazioni per il blocco e lo sblocco.
Nota: se si attiva il tipo di azione Comando automatico/remoto , il gruppo delle proprietà Diritto di accesso viene escluso dalla visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


ID_VERRIEG_PROP_GRP10

Interno ID: ID_VERRIEG_PROP_GRP10

Elaborazione stato

Impostazioni per modifica stato nel comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusHandling


ID_VERRIEG_PROP_GRP11

Interno ID: ID_VERRIEG_PROP_GRP11

Immagine di comando

Impostazioni per immagine di comando nel comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommandScreen


ID_VERRIEG_PROP_GRP12

Interno ID: ID_VERRIEG_PROP_GRP12

Sequenze di comando

Proprietà per l´uso di azioni di comando nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Sequences


ID_VERRIEG_PROP_NEW

Interno ID: ID_VERRIEG_PROP_NEW

{Nuova condizione}

Viene impostata una nuova condizione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

New


ID_VORSCHAU

Interno ID: ID_VORSCHAU

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Preview


ID_WORKSPACE_PROP_MSGCTRL

Interno ID: ID_WORKSPACE_PROP_MSGCTRL

MessageControl

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageControl


ID_WORKSPACE_PROP_PATH

Interno ID: ID_WORKSPACE_PROP_PATH

File del Workspace

Nome e luogo di salvataggio del file di workspace. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Workspacepath


ID_WORKSPACE_PROPS_GRP

Interno ID: ID_WORKSPACE_PROPS_GRP

Workspace

Contiene le proprietà per il workspace.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Arbeitsbereich


ID_WPF_CONNECTION_DOUBLEVALUE

Interno ID: ID_WPF_CONNECTION_DOUBLEVALUE

Valore

Inserimento di un valore numerico per la variabile collegata. Disponibile solo se la proprietà Valore Stringa non è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Value


ID_WPF_CONNECTION_ISSTRING

Interno ID: ID_WPF_CONNECTION_ISSTRING

Valore Stringa

Si sceglie se il valore collegato è un valore numerico o un valore stringa.

  • Attivo: Valore Stringa

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsString


ID_WPF_CONNECTION_UNIT

Interno ID: ID_WPF_CONNECTION_UNIT

Unità di misura

Unità di misura utilizzata. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


ID_WPF_CONNECTION_USEVALUEADJUST

Interno ID: ID_WPF_CONNECTION_USEVALUEADJUST

Conversione intervallo valore

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseValueAdjust


ID_WPF_CONNECTION_VALUE

Interno ID: ID_WPF_CONNECTION_VALUE

Valore stringa

Inserimento per valore stringa. Disponibile solo se la proprietà Valore Stringa è stata attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringValue


ID_WPF_CONNECTION_VALUEMAX

Interno ID: ID_WPF_CONNECTION_VALUEMAX

Massimo

Valore massimo della variabile configurata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_WPF_CONNECTION_VALUEMIN

Interno ID: ID_WPF_CONNECTION_VALUEMIN

Minimo

Valore minimo della variabile configurata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_WRONGPW

Interno ID: ID_WRONGPW

Num. max. tentativi Username

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. A meno che non si tratti di amministratori, nessun utente può più effettuare il login. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato nella Lista eventi cronologica (CEL) un inserimento corrispondente. Le modifiche di questo valore avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserTries


ID_WRONGUSER

Interno ID: ID_WRONGUSER

Num. max. tentativi password

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere rimosso solamente da un amministratore. In questo caso, viene generato un inserimento corrispondente nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PasswordTries


ID_ZEITSTG_PROP1

Interno ID: ID_ZEITSTG_PROP1

Nome

Nome univoco del temporizzatore.

Default: Temporizzatore x(x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZEITSTG_PROP2

Interno ID: ID_ZEITSTG_PROP2

Funzione

Selezione della funzione che deve essere eseguita con un temporizzatore.
Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare una funzione.

Se si vuole che vengano eseguite più funzioni:

  1. Bisogna creare uno script che esegua le funzioni selezionate.
  2. Bisogna collegare le funzioni allo script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ZEITSTG_PROP3

Interno ID: ID_ZEITSTG_PROP3

Attivo

Attivo: La funzione tempo viene eseguita nel Runtime.
Inattiva: La funzione tempo non viene eseguita nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_ZEITSTG_PROP4

Interno ID: ID_ZEITSTG_PROP4

Tipo di esecuzione

Selezione del tipo di esecuzione:

  • A partire da questo giorno: la funzione viene eseguita a partire dal giorno impostato, ogni giorno all´ora stabilita.
  • Solo in questo giorno: la funzione viene eseguita il giorno impostato, allo scadere del tempo stabilito, una sola volta.
  • Ciclico a partire da questo giorno: la funzione viene eseguita a partire dal giorno impostato, nell´intervallo definito, ciclicamente.
  • Ciclico solo in questo giorno: la funzione viene eseguita solo il giorno della settimana stabilito, nell´intervallo definito, ciclicamente.

Default: Ciclico a partire da questo giorno

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_ZEITSTG_PROP5

Interno ID: ID_ZEITSTG_PROP5

Ora partenza

Data e ora in corrispondenza della quale o a partire dalla quale deve essere eseguito il temporizzatore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecuteDate


ID_ZEITSTG_PROP7

Interno ID: ID_ZEITSTG_PROP7

Intervallo

Intervallo di tempo in cui deve essere eseguita la funzione.
Default: 00:15:00 esegue il temporizzatore ogni 15 minuti.

Nota: questa proprietà si presta ad essere applicata solamente ad intervalli di tempo non superiori alle 24 ore. Se si vuole ripetere una funzione-tempo in più giorni, configurare i giorni della settimana desiderati nel gruppo delle proprietà Giorni di esecuzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interval


ID_ZEITSTG_PROP8

Interno ID: ID_ZEITSTG_PROP8

Intervallo di un mese

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore Ciclico a partire da questo giorno.

  • Attiva: la funzione viene eseguita a partire dall´ora di partenza impostata, ad intervalli di un mese.
  • Non attiva: vengono applicate le impostazioni della proprietà Intervallo.

Default: non attiva.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monthly


ID_ZEITSTG_PROP9

Interno ID: ID_ZEITSTG_PROP9

Intervallo di un anno

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.

  • Attiva: la funzione viene eseguita a partire dall´ora di partenza impostata, ad intervalli di un anno.
  • Non attiva: vengono applicate le impostazioni della proprietà Intervallo.

Default: non attiva.

Nota: il cambio mese e il cambio anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00.
Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01/01/2017, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Yearly


ID_ZEITSTG_PROP10

Interno ID: ID_ZEITSTG_PROP10

Lunedì

Attivo: La funzione viene eseguita (anche) di lunedì.
Inattiva: La funzione non viene eseguita di lunedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monday


ID_ZEITSTG_PROP11

Interno ID: ID_ZEITSTG_PROP11

Martedì

Attivo: La funzione viene eseguita (anche) di martedì.
Inattiva: La funzione non viene eseguita di martedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tuesday


ID_ZEITSTG_PROP12

Interno ID: ID_ZEITSTG_PROP12

Mercoledì

Attivo: La funzione viene eseguita (anche) di mercoledì.
Inattiva: La funzione non viene eseguita di mercoledì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wednesday


ID_ZEITSTG_PROP13

Interno ID: ID_ZEITSTG_PROP13

Giovedì

Attivo: La funzione viene eseguita (anche) di giovedì.
Inattiva: La funzione non viene eseguita di giovedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thursday


ID_ZEITSTG_PROP14

Interno ID: ID_ZEITSTG_PROP14

Venerdì

Attivo: La funzione viene eseguita (anche) di venerdì.
Inattiva: La funzione non viene eseguita di venerdì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Friday


ID_ZEITSTG_PROP15

Interno ID: ID_ZEITSTG_PROP15

Sabato

Attivo: La funzione viene eseguita (anche) di sabato.
Inattiva: La funzione non viene eseguita di sabato.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Saturday


ID_ZEITSTG_PROP16

Interno ID: ID_ZEITSTG_PROP16

Domenica

Attivo: La funzione viene eseguita (anche) di domenica.
Inattiva: La funzione non viene eseguita di domenica.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sunday


ID_ZEITSTG_PROP_GRP0

Interno ID: ID_ZEITSTG_PROP_GRP0

Generale

Proprietà generali per la funzione tempo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TimeFct


ID_ZEITSTG_PROP_GRP1

Interno ID: ID_ZEITSTG_PROP_GRP1

Impostazioni tempo

Impostazioni tempo per la funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Timeadj


ID_ZEITSTG_PROP_GRP3

Interno ID: ID_ZEITSTG_PROP_GRP3

Solo con un tipo di esecuzione ciclica:
Selezione di cambio mese o anno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_ZEITSTG_PROP_GRP4

Interno ID: ID_ZEITSTG_PROP_GRP4

Giorni di esecuzione

Selezione del/dei giorno/i in cui deve essere eseguita la funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ExecutionDays


ID_ZUWEIS_PROP1

Interno ID: ID_ZUWEIS_PROP1

Nome

Nome univoco dell´attribuzione.
Default: Attribuzione x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZUWEIS_PROP2

Interno ID: ID_ZUWEIS_PROP2

Variabile sorgente

Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceVariable


ID_ZUWEIS_PROP3

Interno ID: ID_ZUWEIS_PROP3

Variabile di destinazione

Nome della variabile a cui deve essere assegnato il valore della variabile sorgente.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TargetVariable


ID_ZUWEIS_PROP4

Interno ID: ID_ZUWEIS_PROP4

Variabile trigger

La variabile bit connessa attiva l´assegnazione. Se non è collegata nessuna variabile, l´assegnazione avviene spontaneamente. Il che significa che, ogni volta che cambia il valore della variabile sorgente, esso viene automaticamente scritto su quella di destinazione.
Apre il dialogo che serve alla selezione delle variabili filtrato per variabili bit.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerVariable


ID_ZUWEIS_PROP5

Interno ID: ID_ZUWEIS_PROP5

Tipo trigger

Fronte: L´attribuzione viene eseguita se il valore della variabile trigger collegata passa da 0 a 1.
Livello: L'attribuzione viene eseguita finché la variabile trigger collegata ha un valore pari a 1.
Default: Fronte.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerType


ID_ZUWEIS_PROP_GRP0

Interno ID: ID_ZUWEIS_PROP_GRP0

Generale

Proprietà generali per l´attribuzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_ZW_PROP_ABFRAGE

Interno ID: ID_ZW_PROP_ABFRAGE

Variabile Contatore di query

Variabile per interrogazione contatore.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QueryPV


ID_ZW_PROP_AUSGANGABS

Interno ID: ID_ZW_PROP_AUSGANGABS

Tipo contatore di uscita: assoluto

Punto di partenza come valore assoluto

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutputAbs


ID_ZW_PROP_AUSGANGREL

Interno ID: ID_ZW_PROP_AUSGANGREL

Tipo contatore uscita: relativo

Emissione come valore relativo.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutputRel


ID_ZW_PROP_EINGANGABS

Interno ID: ID_ZW_PROP_EINGANGABS

Tipo contatore ingresso

Valore assoluto o valore relativo.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputAbs


ID_ZW_PROP_GRP0

Interno ID: ID_ZW_PROP_GRP0

Generale

Con le seguenti proprietà stabilite le proprietà del rema valore numerico.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_ZW_PROP_MAXWERT

Interno ID: ID_ZW_PROP_MAXWERT

Contatore mass.

Stato massimo del contatore

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxCount


ID_ZW_PROP_NAHANDLING

Interno ID: ID_ZW_PROP_NAHANDLING

Trattamento NA

Modalità per trattamento "non attualizzato" (valore numerico al di là della finestra tempo).

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NAHandling


ID_ZW_PROP_NAME

Interno ID: ID_ZW_PROP_NAME

Nome

Nome del gruppo contatore.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZW_PROP_NUMBER

Interno ID: ID_ZW_PROP_NUMBER

ID

Numero interno del gruppo contatore.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Number


ID_ZW_PROP_OFFSET

Interno ID: ID_ZW_PROP_OFFSET

Offset [s]

Tempo dopo un accensione per 1. aggiornamento in secondi

In tal modo si garantisce che la Connection con l'altra posizione sia OK.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_ZW_PROP_OVHANDLING

Interno ID: ID_ZW_PROP_OVHANDLING

Trattamento OV

Comportamento in caso di superamento di valore assoluto o di superamento del gradiente.

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OVHandling


ID_ZW_PROP_TARIF

Interno ID: ID_ZW_PROP_TARIF

Variabile per riconoscimento tariffa

Variabile di gestione per denominazione tariffa.

Assegnazione a stati user 1....8

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TariffPV


ID_ZW_PROP_TIMEOUT

Interno ID: ID_ZW_PROP_TIMEOUT

Finestra tempo [s]

Timeout per controllo di completezza.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


ID_ZW_PROP_TRIGGER

Interno ID: ID_ZW_PROP_TRIGGER

Variabile trigger

Dal punto di interrogazione fino alla fine della finestra tempo: 1

Altrimenti: 0

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerPV


ID_ZW_PROP_ZYKLUSZEIT

Interno ID: ID_ZW_PROP_ZYKLUSZEIT

Tempo Ciclo Gruppi [s]

Tempo del ciclo per interrogazioni contatore in secondi.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleTime


IDD_VARVERWALTUNG5

Interno ID: IDD_VARVERWALTUNG5

Nome

Nome del tipo di dato.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_3TFORM_EDITOR

Interno ID: IDP_3TFORM_EDITOR

Visualizzazione piatta

Definisce quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Pulisci: la superficie dell´elemento viene usata come area di visualizzazione.

Taglia: la superficie dell´elemento viene rimossa dalle superfici che si trovano sotto.

Logica Or: a seconda se sotto l´elemento si trova una superficie coprente o no, si taglia o si copre.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Combine


IDP_ADDIN_CATEGORY

Interno ID: IDP_ADDIN_CATEGORY

Categoria

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Version


IDP_ADDIN_DESCRIPTION

Interno ID: IDP_ADDIN_DESCRIPTION

Descrizione

Visualizzazione della descrizione dell´add-in.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_ADDIN_HASSOURCE

Interno ID: IDP_ADDIN_HASSOURCE

Codice sorgente

Mostra se il codice sorgente è incluso nel package.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

HasSource


IDP_ADDIN_NAME

Interno ID: IDP_ADDIN_NAME

Nome

Visualizzazione del nome dell´add-in.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_ADDIN_RUNSTATE

Interno ID: IDP_ADDIN_RUNSTATE

Stato

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

RunState


IDP_ADDIN_STARTUPMODE

Interno ID: IDP_ADDIN_STARTUPMODE

Tipo di avvio

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StartupMode


IDP_ADDIN_VERSION

Interno ID: IDP_ADDIN_VERSION

Versione

Visualizzazione della versione dell´add-in.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Category


IDP_AMISTS_DEVICE

Interno ID: IDP_AMISTS_DEVICE

AMISTS device

È possibile inserire un dispositivo o un dispositivo di interruzione alimentazione. Questo deve esistere nel database del server transazione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSDevice


IDP_AMISTS_LSDGROUP

Interno ID: IDP_AMISTS_LSDGROUP

AMISTS load switch group

Per i programmi di commutazione si specifica qui il gruppo di dispositivi di interruzione di alimentazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSLSGroup


IDP_AMISTS_REFERENCE

Interno ID: IDP_AMISTS_REFERENCE

AMISTS reference

Qui viene instaurata la connessione fra variabili e il corrispondente server transazione corrispondente come parametrizzato nella configurazione driver.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSReference


IDP_AMISTS_RELAYADDRESS

Interno ID: IDP_AMISTS_RELAYADDRESS

AMISTS relayAddress

In un interruttore di alimentazione va associato il relè corrispondente in un range di valori da 1 a 5. Per un dispositivo questa specificazione è irrilevante.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSRelayNumber


IDP_AMISTS_RELAYPROGRAM

Interno ID: IDP_AMISTS_RELAYPROGRAM

AMISTS relayProgram

Qui viene definito un programma di commutazione. Esso deve essere indicato nel blocco 17 della parametrizzazione del server transazione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSLSDProgram


IDP_AML_BACKCOLOR_STATE

Interno ID: IDP_AML_BACKCOLOR_STATE

Colore di sfondo

Colore di sfondo per la barra stato allarmi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FF0000

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState


IDP_AML_BACKCOLOR_STATE1

Interno ID: IDP_AML_BACKCOLOR_STATE1

Segnalazione 1 colore di sfondo

Colore di sfondo per il messaggio 1. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState1


IDP_AML_BACKCOLOR_STATE2

Interno ID: IDP_AML_BACKCOLOR_STATE2

Segnalazione 2 colore di sfondo

Colore di sfondo per il messaggio 2. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState2


IDP_AML_BACKCOLOR_STATE3

Interno ID: IDP_AML_BACKCOLOR_STATE3

Segnalazione 3 colore di sfondo

Colore di sfondo per il messaggio 3. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState3


IDP_AML_COMMENTS

Interno ID: IDP_AML_COMMENTS

Commenti d'allarme

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmComments


IDP_AML_LONGLIMITS

Interno ID: IDP_AML_LONGLIMITS

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

  • Inattivo: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
  • Attivo: Sono consentiti commenti e testi di valore limite dinamici. Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmLongDynLimits


IDP_AML_TEXTCOLOR_STATE

Interno ID: IDP_AML_TEXTCOLOR_STATE

Colore testo

Colore del testo per la barra stato allarmi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #000000

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState


IDP_AML_TEXTCOLOR_STATE1

Interno ID: IDP_AML_TEXTCOLOR_STATE1

Segnalazione 1 colore testo

Colore del testo per il messaggio 1. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState1


IDP_AML_TEXTCOLOR_STATE2

Interno ID: IDP_AML_TEXTCOLOR_STATE2

Segnalazione 2 colore testo

Colore del testo per il messaggio 2. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState2


IDP_AML_TEXTCOLOR_STATE3

Interno ID: IDP_AML_TEXTCOLOR_STATE3

Segnalazione 3 colore testo

Colore del testo per il messaggio 3. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState3


IDP_AML_TEXTLIST_ENDNODE_SEL

Interno ID: IDP_AML_TEXTLIST_ENDNODE_SEL

Consenti solo nodi terminali come cause d'allarme

Definisce se a Runtime possono essere selezionati come causa d´allarme i testi di tutti i livelli, oppure solamente quelli dei nodi terminali.

  • Attiva: potranno essere selezionati solamente testi di nodi terminali come cause d´allarme.
  • Non attiva: potranno essere selezionati testi di tutti i livelli come cause d´allarme.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextListEndNodeSelection


IDP_AML_TEXTLIST_PIC

Interno ID: IDP_AML_TEXTLIST_PIC

Immagine per selezione cause d'allarme

Selezione di un´immagine di tipo Lista contestuale per selezionare cause allarme a Runtime. L´immagine viene aperta al posto della finestra di dialogo standard di selezione di cause allarme. Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextListPicture


IDP_BATCH_ACTION_ALLOC_GRP

Interno ID: IDP_BATCH_ACTION_ALLOC_GRP

Assegna parametro

Contiene le proprietà per l´attribuzione di parametri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActAllocGrp


IDP_BATCH_ACTION_CEL_CLASS

Interno ID: IDP_BATCH_ACTION_CEL_CLASS

Classe

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per l´evento selezionato. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelClass


IDP_BATCH_ACTION_CEL_GROUP

Interno ID: IDP_BATCH_ACTION_CEL_GROUP

Gruppi

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per l´evento selezionato. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelGroup


IDP_BATCH_ACTION_CELACTIVE

Interno ID: IDP_BATCH_ACTION_CELACTIVE

Crea inserimento CEL

Attivo: Il testo definito nella proprietà Messaggio di testo CEL viene inserito nella CEL.

L´inserimento avviene nella CEL sul server con l´utente registrato in quel momento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActCelEn


IDP_BATCH_ACTION_CELMSG

Interno ID: IDP_BATCH_ACTION_CELMSG

Messaggio di testo CEL

Disponibile solo se la proprietà Crea inserimento CEL è attiva.

Testo che viene inserito nella CEL. Può contenere parole chiave del cambio lingua.

Massimo: 512 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActCelMsg


IDP_BATCH_ACTION_DESCR

Interno ID: IDP_BATCH_ACTION_DESCR

Descrizione

Inserimento di testo libero per descrivere l´evento selezionato.
La descrizione non è visibile durante il Runtime e vale solo per l´Editor.
Massimo: 512 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActDescr


IDP_BATCH_ACTION_DESTTAG

Interno ID: IDP_BATCH_ACTION_DESTTAG

Parametro di destinazione

Disponibile solo se è stato selezionato un Parametro sorgente.

Parametro a cui è trasmesso il valore di quello selezionato nella proprietà Parametro sorgente. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri. Vengono proposti solamente parametri del tipo adatto. Se il parametro viene rinominato, la modifica viene ripresa automaticamente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActDestTag


IDP_BATCH_ACTION_FUNC

Interno ID: IDP_BATCH_ACTION_FUNC

Funzione

Funzione che deve essere eseguita. Un clic sul comando ... apre il dialogo che serve alla selezione.

Sie può selezionare una funzione del progetto locale, oppure di un altro progetto. Il progetto è la funzione devono essere disponibili durante il Runtime. Se la funzione viene rinominata, la modifica viene ripresa automaticamente.

Nel Runtime, il sistema verifica durante il processo di validazione se la funzione esiste o meno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActFunc


IDP_BATCH_ACTION_FUNCTION_GRP

Interno ID: IDP_BATCH_ACTION_FUNCTION_GRP

Funzione

Contiene la proprietà per la selezione funzioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActFuncGrp


IDP_BATCH_ACTION_GENERAL_GRP

Interno ID: IDP_BATCH_ACTION_GENERAL_GRP

Generale

Contiene le proprietà generali per gli eventi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActGeneral


IDP_BATCH_ACTION_LOG_GRP

Interno ID: IDP_BATCH_ACTION_LOG_GRP

Inserimenti nella CEL

Contiene proprietà per inserimenti nella CEL e nei file di LOG.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogGrp


IDP_BATCH_ACTION_LOGMSG

Interno ID: IDP_BATCH_ACTION_LOGMSG

Messaggio di testo di log

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogMsg


IDP_BATCH_ACTION_LOGMSG_EN

Interno ID: IDP_BATCH_ACTION_LOGMSG_EN

Crea inserimento log

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogEn


IDP_BATCH_ACTION_PRIO

Interno ID: IDP_BATCH_ACTION_PRIO

Ordine di esecuzione

Mostra la successione di esecuzione se sono state definite più reazioni allo stesso evento. La successione è definita sulla base della posizione nella lista e viene visualizzata in questa sede. La successione può essere modificata nella lista usando la barra dei simboli, oppure grazie al menù contestuale dell´evento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActPrio


IDP_BATCH_ACTION_REACTION_GRP

Interno ID: IDP_BATCH_ACTION_REACTION_GRP

Reazioni

Contiene proprietà per reazioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTagGrp


IDP_BATCH_ACTION_RECIPE_GRP

Interno ID: IDP_BATCH_ACTION_RECIPE_GRP

Influenza sulla ricetta

Contiene le proprietà per la modalità di esecuzione e il comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActRecipeGrp


IDP_BATCH_ACTION_RESCMD

Interno ID: IDP_BATCH_ACTION_RESCMD

Comando

Comando ricetta o fase che viene eseguito a Runtime al verificarsi dell´evento. I comandi ricetta condizionano l´esecuzione dell´intera ricetta. I comandi fase interessano solamente quella fase per la quale la reazione è stata configurata o per la quale si è verificato l´evento. Il comando ricetta o fase viene eseguito a Runtime solamente se è consentito. Per esempio: il processo di esecuzione di una ricetta non può continuare se la ricetta stessa viene bloccata. Una fase non può essere riavviata se essa si trova in pausa oppure in esecuzione nel Runtime.

Nota: il processo di validazione della ricetta a Runtime non comporta una verifica della plausibilità di comandi fase e/o comandi ricetta.

Selezione del comando fra quelli del menù a tendina.

  • Termina fase
  • Ripristina fase
  • Riavvia fase
  • Fase in pausa
  • Ignora
  • Annulla ricetta
  • Mantieni ricetta
  • Ripristina ricetta
  • Riavvia ricetta
  • Ricetta in pausa
  • Stop ricetta

Default: Ignora

Nota: si può impostare un solo comando per ogni evento. Per tutti gli altri eventi dello stesso tipo, la proprietà verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la proprietà viene settata automaticamente su Ignora. Se si modifica Evento, quest´impostazione viene eventualmente settata su Ignorato .

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActResCmd


IDP_BATCH_ACTION_RESCMDMODE

Interno ID: IDP_BATCH_ACTION_RESCMDMODE

Modalità

Attraverso questa reazione, si può stabilire che la modalità di esecuzione sia nel runtime la reazione all´evento.

Selezione della modalità di esecuzione fra quelle del menù a tendina:

  • Automatico
  • Semiautomatico
  • Ignora
  • Manuale

Default: Ignora

Nota: la modalità di esecuzione può essere settata solamente una volta per ogni singolo evento. Per tutti gli altri eventi dello stesso tipo, la modalità verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la modalità viene settata automaticamente su Ignora. Se Evento viene modificato in un evento per cui è stata già configurata una reazione esistente per la modalità di esecuzione, la reazione viene settata dall´evento modificato su Ignora. Se non c´è ancora nessuna reazione alla modalità di esecuzione per il nuovo evento, la reazione modalità di esecuzione viene mantenuta. Eccezione: "Termine Runtime" avviato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActResCmdMode


IDP_BATCH_ACTION_SETTAG

Interno ID: IDP_BATCH_ACTION_SETTAG

Parametri

Parametro su cui deve essere scritto il valore impostabile definito come reazione all´evento. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro. Per quello che concerne la selezione dei parametri, vale quanto segue:

  • possono essere selezionati solamente parametri della fase cui appartiene la reazione.
  • Possono essere selezionati sia parametri di feedback che parametri di comando.
  • Se un parametro viene rinominato, la modifica viene ripresa automaticamente.
  • Si può inserire il parametro "valore impostabile" in dipendenza dal parametro "tipo di dato".

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTag


IDP_BATCH_ACTION_SETTAG_BO

Interno ID: IDP_BATCH_ACTION_SETTAG_BO

Valore booleano

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Binario.

Valore impostabile per un parametro binario. Selezione dalla lista a cascata:

  • Off (0)
  • On (1)
  • Toggeln: cambia lo stato.
    Al momento dell´avvio della fase, il sistema interroga il valore e lo scrive invertito nella reazione. Se il sistema non ottiene nessun valore valido, esso può reagire con la reazione „Variabile collegata disturbata".

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTBool


IDP_BATCH_ACTION_SETTAG_DUR

Interno ID: IDP_BATCH_ACTION_SETTAG_DUR

Durata

È disponibile solo se nella proprietà Parametro è stato selezionato un Parametri del tipo Durata.

Valore impostabile in giorni, ore, minuti e secondi per parametro del tipo Durata. L´intervallo di tempo viene scritto in forma di valore in secondi sulla variabile collegata nel parametro.

  • Valore massimo: 0G 00:00:00
  • Valore minimo: 9999G 23:59:59
  • Default: 0G 00:00:00

Ad esempio: 30 minuti e 5 secondi= 1805

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se il valore in secondi rientra nell´ambito dei limiti massimo e minimo della variabile collegata nel parametro.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTDuration


IDP_BATCH_ACTION_SETTAG_GRP

Interno ID: IDP_BATCH_ACTION_SETTAG_GRP

Impostazione parametri di valore

Contiene proprietà per Impostazione parametri di valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActReactGrp


IDP_BATCH_ACTION_SETTAG_MEUNIT

Interno ID: IDP_BATCH_ACTION_SETTAG_MEUNIT

Tag Einheit

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTagMeUnit


IDP_BATCH_ACTION_SETTAG_NUM

Interno ID: IDP_BATCH_ACTION_SETTAG_NUM

Valore numerico

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Numerico.

Valore impostabile per parametro del tipo Numerico.
Si può definire un numero intero negativo o positivo, oppure un numero in virgola mobile che viene scritto come reazione sul parametro.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se il valore rientra nell´ambito dei limiti massimo e minimo della variabile collegata nel parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTNum


IDP_BATCH_ACTION_SETTAG_STR

Interno ID: IDP_BATCH_ACTION_SETTAG_STR

Valore stringa

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo String.

Valore impostabile per parametro del tipo String.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se la lunghezza del valore stringa è minore al massimo Lunghezza stringa della variabile stringa collegata nel parametro.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTStr


IDP_BATCH_ACTION_SRCTAG

Interno ID: IDP_BATCH_ACTION_SRCTAG

Parametro sorgente

Parametro il cui valore è trasmesso a quello selezionato nella proprietà Parametro di destinazione. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri.

Al momento dell´avvio della fase durante il runtime, il sistema interroga il valore della variabile collegato al parametro di sorgente. Se il sistema non ottiene nessun valore valido, esso può reagire con la reazione „Variabile collegata disturbata". Se il parametro viene rinominato, la modifica viene ripresa automaticamente.

Nel Runtime, il sistema verifica durante il processo di validazione se Parametro di destinazione esiste e se le variabili collegate nei parametri sono valide e del tipo giusto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSrcTag


IDP_BATCH_ACTION_TYPE

Interno ID: IDP_BATCH_ACTION_TYPE

Evento

Selezione del tipo di evento in presenza del quale deve essere eseguita la reazione. La selezione avviene nella lista a cascata.
Per ogni evento possono essere definite più reazioni. La successione di esecuzione può essere definita nella visualizzazione dettagli.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActType


IDP_BATCH_CEL_CLASS_CMD

Interno ID: IDP_BATCH_CEL_CLASS_CMD

Classe per comandi

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per comandi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassCmd


IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Interno ID: IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Classe per Jump/Force/Step

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per salta, forzare e esegui a passi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassStep


IDP_BATCH_CEL_CLASS_RECIPE

Interno ID: IDP_BATCH_CEL_CLASS_RECIPE

Classe per gestione ricetta

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per l´handling ricette. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassRecipe


IDP_BATCH_CEL_CLASS_VALUE

Interno ID: IDP_BATCH_CEL_CLASS_VALUE

Classe per modifica valore

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per modifiche valori. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassValue


IDP_BATCH_CEL_GROUP_CMD

Interno ID: IDP_BATCH_CEL_GROUP_CMD

Gruppo per comandi

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per comandi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupCmd


IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Interno ID: IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Gruppo per Jump/Force/Step

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per salta, forzare e esegui a passi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupStep


IDP_BATCH_CEL_GROUP_RECIPE

Interno ID: IDP_BATCH_CEL_GROUP_RECIPE

Gruppo per gestione ricetta

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per l´handling ricette. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupRecipe


IDP_BATCH_CEL_GROUP_VALUE

Interno ID: IDP_BATCH_CEL_GROUP_VALUE

Gruppo per modifica valori

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per modifiche valori. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupValue


IDP_BATCH_CELGROUPCLASS_GRP

Interno ID: IDP_BATCH_CELGROUPCLASS_GRP

Gruppi/Classi eventi CEL

Contiene le proprietà per l´assegnazione di gruppi e classi per segnalazioni CEL a ricette, comandi, modifiche valore, salta, forzare e esegui in passi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELGroupClass


IDP_BATCH_COMMUNICATION_FAILURE

Interno ID: IDP_BATCH_COMMUNICATION_FAILURE

Azione con perdita di comunicazione

Configurazione della reazione a problemi della comunicazione. Selezione dalla lista a cascata:

  • Termina fase
  • Fase in pausa

Le condizioni per il riconoscimento di problemi di comunicazione vengono definite nel caso delle fasi mediante la proprietà Errore di comunicazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommunicationFailureAction


IDP_BATCH_COMMUNICATION_FAILURE_GRP

Interno ID: IDP_BATCH_COMMUNICATION_FAILURE_GRP

Errore di comunicazione

Proprietà per la reazione a problemi di comunicazione. Le condizioni per il riconoscimento di problemi di comunicazione vengono definite nel caso delle fasi mediante la proprietà Errore di comunicazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommunicationFailure


IDP_BATCH_CS_DESCRIPTION

Interno ID: IDP_BATCH_CS_DESCRIPTION

Descrizione

Testo a piacere per la descrizione del modo di operazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_CS_GENERAL_GRP

Interno ID: IDP_BATCH_CS_GENERAL_GRP

Generale

Contiene le proprietà per la configurazione dei modi di operazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_CS_IDENTIFIER

Interno ID: IDP_BATCH_CS_IDENTIFIER

Numero modalità di esecuzione

Numero univoco del modo di operazione per l´identificazione all´interno di questa fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Identifier


IDP_BATCH_CS_NAME

Interno ID: IDP_BATCH_CS_NAME

Nome

Nome del modo di operazione.

Il nome:

  • deve essere univoco nell´ambito della fase.
  • non deve essere vuoto.
  • non deve contenere nessun punto.
  • non deve consistere solamente di spazi.
  • può contenere un massimo di 256

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_EVENT_EXECUTE_STARTUP

Interno ID: IDP_BATCH_EVENT_EXECUTE_STARTUP

Consenti esecuzione prima dello Start Event

Attivo: L´evento può essere eseguito prima dell´evento Fase avviata .

Inattivo: L´evento può essere eseguito solamente dopo che quello Fase avviata è stato eseguito.

Configurabile solamente per eventi che sono possibili sia prima che dopo Fase avviata. Per tutti gli altri eventi, il valore viene settato automaticamente in corrispondenza del tipo cui appartengono.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecuteBeforeStartEvent


IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Interno ID: IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Azione al riavvio del Runtime

Proprietà per la definizione di azioni al momento del rilancio del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecutionAfterRestart


IDP_BATCH_GLOB_CYCLETIME

Interno ID: IDP_BATCH_GLOB_CYCLETIME

Frequenza d'interrogazione [s]

Tempo del ciclo espresso in secondi nel corso del quale viene creata una nuova immagine di processo

  • Minimo: 30 s
  • Massimo: 4294967295 s

Default: 30 s

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleTime


IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Interno ID: IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Attivazione scrittura ciclica

Attivo: viene scritto un dump di memoria in modo ciclico; quest´ultimo si svolge sulla base del tempo impostato nella proprietà Frequenza d'interrogazione [s].

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicWriteActive


IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Interno ID: IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Immagine ricetta

Contiene le proprietà per la scrittura ciclica dell´immagine di processo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicImage


IDP_BATCH_GLOB_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_GLOB_EXPLANATION_NEEDED

Motivazione richiesta in caso di cambio valori

Attivo: Se effettua delle modifiche di valore durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione. Questa impostazione vale per l´intero modulo Batch Control e non può essere modificata localmente per singole fasi o ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationNeeded


IDP_BATCH_GLOB_JOBVARIABLE

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE

Job ID

Scelta delle variabili di ordinamento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariable


IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Acquisisci valore dalla variabile di ordinamento in fase di:

Fra le possibilità offerte dalla lista a cascata si sceglie quando il valore della variabile di ordinamento deve avere effetto:

  • Generazione della ricetta di controllo
  • Avvio della ricetta di controllo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableApplyType


IDP_BATCH_GLOB_JOBVARIABLE_GRP

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE_GRP

Job ID

Gruppo per le proprietà delle variabili di ordinamento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableGrp


IDP_BATCH_GLOB_SETVALUE_GRP

Interno ID: IDP_BATCH_GLOB_SETVALUE_GRP

Modifica parametro

Proprietà per l´elaborazione dei parametri nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ParamChange


IDP_BATCH_GLOB_WRITE_TIMEOUT

Interno ID: IDP_BATCH_GLOB_WRITE_TIMEOUT

Timeout per la scrittura sicura

Timeout in secondi per la scrittura sicura.

Minimo: 10 s
Massimo: 3600 s
Default: 20 s

Il tempo di attesa vale per la somma di tutti i tempi di attesa per la scrittura sicura dei parametri di comando: attesa di valori per tutti i parametri che devono essere scritti, più attesa della conferma dei parametri scritti, più attesa della lettura delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteTimeout


IDP_BATCH_GLOB_WRITE_VARS

Interno ID: IDP_BATCH_GLOB_WRITE_VARS

Scrittura sicura

Gruppo per proprietà per la scrittura sicura.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteVars


IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Interno ID: IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Scrivi immagine di ricetta all'attivazione di una fase.

Attivo: ogni volta che si attiva una fase, viene scritto un dump di memoria

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteImageOnPhaseActivation


IDP_BATCH_JOBVARIABLE_LIST

Interno ID: IDP_BATCH_JOBVARIABLE_LIST

Variabile d'ordinamento individuale

Selezione di variabili di ordinamento individuali Esse possono essere assegnate in modo individuale facendo uso di una funzione. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una o più variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableList


IDP_BATCH_KBD_BOOL

Interno ID: IDP_BATCH_KBD_BOOL

Parametro binario

Configurazione della tastiera per l´inserimento di parametri binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BoolKbd


IDP_BATCH_KBD_NUM

Interno ID: IDP_BATCH_KBD_NUM

Parametro numerico

Configurazione della tastiera per l´inserimento di parametri numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumKbd


IDP_BATCH_KBD_SPAN

Interno ID: IDP_BATCH_KBD_SPAN

Parametro durata

@Il valore della variabile per il numero d'ordine è vuota! Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SpanKbd


IDP_BATCH_KBD_STRING

Interno ID: IDP_BATCH_KBD_STRING

Parametro stringa

Configurazione della tastiera per l´inserimento di parametri stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringKbd


IDP_BATCH_MR_GENERAL_GRP

Interno ID: IDP_BATCH_MR_GENERAL_GRP

GRP_General

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_OP_GENERAL_GRP

Interno ID: IDP_BATCH_OP_GENERAL_GRP

GRP_General

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_PHASE_ABORTING_CND

Interno ID: IDP_BATCH_PHASE_ABORTING_CND

Interrotto

Condizione per passare da annulla a annullato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AbortingCnd


IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Interno ID: IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Prüfe Transientbedingungen vor Start Event

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckTransCndBeforeStartEvent


IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Strategia di controllo attiva

Attivo: modi di operazione sono consentiti per questa fase. Al di sotto della fase, viene visualizzato il nodo Modi di operazione per consentirne la configurazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlStrategiesActive


IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Strategia di controllo

Contiene le proprietà per l´attivazione di modi di operazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ControlStrategies


IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Parametro di strategia di controllo

Disponibile solo se la proprietà Strategia di controllo attiva è stata attivata.

Collegamento di un parametro di comando numerico. Esso definisce nel corso dell´esecuzione quale modo di operazione è attivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlStrategiesTag


IDP_BATCH_PHASE_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa della fase. Il nome è traducibile.

Lunghezza massima: 512 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_PHASE_DONE

Interno ID: IDP_BATCH_PHASE_DONE

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... si apre l´editor delle formule che consente di definire una condizione.
A Runtime, la condizione può essere visualizzata, ma non modificata. L´intervallo di tempo durante il quale si attende il soddisfacimento della condizione, viene definito mediante la proprietà Massima durata di esecuzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Done


IDP_BATCH_PHASE_ERROR_PLC

Interno ID: IDP_BATCH_PHASE_ERROR_PLC

Errore PLC

Inserimento della formula per il riconoscimento di errori PLC. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PlcError


IDP_BATCH_PHASE_ESCAPING

Interno ID: IDP_BATCH_PHASE_ESCAPING

Condizione di uscita

Modalità per uscire da una fase.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Escaping


IDP_BATCH_PHASE_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_PHASE_EXPLANATION_NEEDED

Motivazione richiesta per la modifica del tempo minimo di esecuzione

Attivo: Se effettua delle modifiche di valore concernenti questa fase durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationMinExecTimeNeeded


IDP_BATCH_PHASE_FAILURE

Interno ID: IDP_BATCH_PHASE_FAILURE

Errore di comunicazione

Inserimento della formula per il riconoscimento di errori di comunicazione. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Failure


IDP_BATCH_PHASE_FAILURE_GRP

Interno ID: IDP_BATCH_PHASE_FAILURE_GRP

Errore

Proprietà per il riconoscimento di errori di comunicazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GPR_Failure


IDP_BATCH_PHASE_GENERAL_GRP

Interno ID: IDP_BATCH_PHASE_GENERAL_GRP

Generale

Proprietà generali della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_PHASE_HOLDING_CND

Interno ID: IDP_BATCH_PHASE_HOLDING_CND

Fermato

Condizione per passare da in bloccaggio a bloccato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HoldingCnd


IDP_BATCH_PHASE_INTERLOCKING

Interno ID: IDP_BATCH_PHASE_INTERLOCKING

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... si apre l´editor delle formule che consente di definire una condizione.
Se si configura un interblocco di ingresso, la fase verrà eseguita a Runtime solo quando la condizione dell´interblocco di ingresso verrà soddisfatta. La formula può consistere di uno o più parametri di comando e parametri di feedback della fase. Possono essere usati valore e stato della variabile. La formula restituisce TRUE o FALSE come risultato. A Runtime la condizione può essere visualizzata, ma non modificata.
Il tempo di attesa per l´interblocco di ingresso viene configurato tramite la proprietà Tempo di attesa per interblocco di ingresso.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interlocking


IDP_BATCH_PHASE_MINEXECTIME

Interno ID: IDP_BATCH_PHASE_MINEXECTIME

Minima durata di esecuzione

Tempo minimo di esecuzione della fase.

  • >0: tempo minimo di attesa dopo la scrittura del parametro di comando, indipendentemente dal fatto se la condizione di fase completata è soddisfatta o no.
  • 0: non è definita nessuna durata minima di esecuzione.

Nota: la durata minima di esecuzione può superare la Massima durata di esecuzione.

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinExecTime


IDP_BATCH_PHASE_NAME

Interno ID: IDP_BATCH_PHASE_NAME

Nome

Nome della fase. Deve essere inequivocabile per ogni aggregato. Il nome non può contenere nessun punto e non può essere vuoto. Il nome è traducibile.
Default: Fase x (x è un numero progressivo).

Lunghezza massima: 256 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Descrizione unit

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnitDescription


IDP_BATCH_PHASE_PARENT_UNIT_NAME

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_NAME

Unità

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


IDP_BATCH_PHASE_PAUSING_CND

Interno ID: IDP_BATCH_PHASE_PAUSING_CND

In pausa

Condizione per passare da in fase di andare in pausa a in pausa.
Per la condizione si può definire una formula. La formula può consistere di uno o più parametri di comando e parametri di ritorno della fase. Valore e stato delle variabili possono essere usati.
Opzione: Per la validità della fase possono essere collegate delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PausingCnd


IDP_BATCH_PHASE_RECOVER

Interno ID: IDP_BATCH_PHASE_RECOVER

Ripristino perdita di comunicazione

Inserimento della formula per riconoscere quando la comunicazione, dopo essere stata interrotta, viene ripristinata. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Recover


IDP_BATCH_PHASE_RESTARTING_CND

Interno ID: IDP_BATCH_PHASE_RESTARTING_CND

Riavviato

Condizione per passare da in avvio a in funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartingCnd


IDP_BATCH_PHASE_STOPPING_CND

Interno ID: IDP_BATCH_PHASE_STOPPING_CND

Stoppato

Condizione per passare da in fase di arresto a fermato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StoppingCnd


IDP_BATCH_PHASE_TOALLOCATION

Interno ID: IDP_BATCH_PHASE_TOALLOCATION

Tempo di attesa per allocazione unit

Tempo in giorni, ore, minuti e secondi durante il quale si attende l´allocazione aggregato. Il tempo di attesa può essere modificato nel Runtime finché la ricetta si trova nello stato editabile.

Quando il tempo definito è scaduto, viene inizializzato l´evento Superato tempo di attesa aggregato; l´elemento viene evidenziato nella visualizzazione. Ulteriori azioni devono essere definite dal progettista. Se non si verificano ulteriori azioni, l´attesa continua.

Massimo: 9999T 23:59:59
Default: 0T 00:00:00

Nota: Un aggregato può essere allocato sempre solo da un´unica ricetta con lo stato In esecuzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToAllocation


IDP_BATCH_PHASE_TODONE

Interno ID: IDP_BATCH_PHASE_TODONE

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dalla scrittura del parametro di comando. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Tempo massimo di esecuzione superato e l attesa continua. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Nota: Il tempo continua a decorrere quando si mette in pausa la ricetta/fase.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToDone


IDP_BATCH_PHASE_TOINTERLOCK

Interno ID: IDP_BATCH_PHASE_TOINTERLOCK

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dall´inizio della verifica dell` interblocco di ingresso. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToInterlocking


IDP_BATCH_PHASE_TOPHASEEND

Interno ID: IDP_BATCH_PHASE_TOPHASEEND

Tempo di attesa per condizione successiva

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale la fase deve essere disattivata. Il tempo di attesa inizia a decorrere dal raggiungimento della condizione di fase completata. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per condizione successiva e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Nota: Se esistono condizioni successive dipende dalla struttura della ricetta. Per questo motivo, è consigliabile che la configurazione di un tempo di attesa avvenga non nell´Editor, ma nel Runtime.

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea, nel capitolo Tempi.
Ulteriori informazioni nella guida in linea, nel capitolo Condizioni seguenti.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToPhaseEnd


IDP_BATCH_PHASE_TRANS_CND_GRP

Interno ID: IDP_BATCH_PHASE_TRANS_CND_GRP

Condizione stato transizione

Gruppo con le proprietà per le condizioni di transizione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GPR_TransCnd


IDP_BATCH_PHASE_USER_GRP

Interno ID: IDP_BATCH_PHASE_USER_GRP

Fase-utente

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_User


IDP_BATCH_PHASE_USERFKT

Interno ID: IDP_BATCH_PHASE_USERFKT

Funzione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPFunc


IDP_BATCH_PHASE_USERMSG

Interno ID: IDP_BATCH_PHASE_USERMSG

Testo messaggio

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPMsg


IDP_BATCH_PHASE_USERPHASE

Interno ID: IDP_BATCH_PHASE_USERPHASE

Fase-utente

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPhase


IDP_BATCH_PHASE_USERTIMEOUT

Interno ID: IDP_BATCH_PHASE_USERTIMEOUT

Tempo di attesa per azione da eseguire

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPTimeout


IDP_BATCH_RECIPE_FRAME_GRP

Interno ID: IDP_BATCH_RECIPE_FRAME_GRP

Mostra controlli dell'editor

Proprietà per gli elementi di controllo dell´editor ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Appearance


IDP_BATCH_RECIPE_FRAME_PN

Interno ID: IDP_BATCH_RECIPE_FRAME_PN

Finestre ancorabili

Attivo: Nell´editor ricette viene visualizzata la lista delle finestre ancorabili.

Inattivo: Nell´editor ricette viene nascosta la lista delle finestre ancorabili.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WithPanes


IDP_BATCH_RECIPE_FRAME_TB

Interno ID: IDP_BATCH_RECIPE_FRAME_TB

Toolbar

Attivo: Nell´Editor delle ricette vengono visualizzate delle barre degli strumenti.

Inattivo: Nell´Editor delle ricette vengono escluse dalla visualizzazione le barre degli strumenti. Consigliato se le azioni dei singoli simboli sono state poste su pulsanti propri.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WithTBs


IDP_BATCH_RESTART_AFTER_FAILURE

Interno ID: IDP_BATCH_RESTART_AFTER_FAILURE

Riavvio dopo errore di sistema

Definizione dell´azione in caso di restart, dopo che il Runtime era stato chiuso in modo non regolare a causa del mancato funzionamento del sistema.

Selezione dalla lista a cascata:

  • Mantieni ricetta: dopo il restart, viene bloccata l´intera ricetta.
  • Ricetta in pausa: dopo il restart, viene messa in pausa l´intera ricetta.
  • Stato ricetta mantenuto: dopo il restart, la ricetta viene settata nello stesso stato che aveva prima della chiusura del Runtime.

Default: Stato ricetta mantenuto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartAfterFailure


IDP_BATCH_RESTART_AFTER_RTEND

Interno ID: IDP_BATCH_RESTART_AFTER_RTEND

Restart dopo arresto corretto del Runtime

Definizione dell´azione in caso di restart, dopo che il Runtime era stato chiuso regolarmente.

Selezione dalla lista a cascata:

  • Mantieni ricetta: dopo il restart, viene bloccata l´intera ricetta.
  • Ricetta in pausa: dopo il restart, viene messa in pausa l´intera ricetta.
  • Stato ricetta mantenuto: dopo il restart, la ricetta viene settata nello stesso stato che aveva prima della chiusura del Runtime.

Default: Stato ricetta mantenuto

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartAfterRTEnd


IDP_BATCH_SINGLEVERSIONAPPROVED

Interno ID: IDP_BATCH_SINGLEVERSIONAPPROVED

Approva solo una versione

Attivo: nel Runtime, di ogni ricetta master può essere abilitata alle modifiche sempre solo una versione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SingleVersionApproved


IDP_BATCH_TAG_DATATYPE

Interno ID: IDP_BATCH_TAG_DATATYPE

Tipo di dato parametro

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:

  • Binari: dati binari.
  • Numerici: dati numerici.
  • Stringa: Successione di caratteri.
  • durata: Durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Imposta valore.

Nota: il tipo di dato parametro parametro può essere ancora modificato anche dopo che una variabile è già stata collegata e un valore è già stato definito per il parametro comando. Ciò può causare degli errori al momento della validazione della ricetta nel Runtime.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataType


IDP_BATCH_TAG_DEFVALUE

Interno ID: IDP_BATCH_TAG_DEFVALUE

Valore parametro

Valore del parametro che viene settato dopo l´interblocco di ingresso durante l´esecuzione della fase.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValue


IDP_BATCH_TAG_DEFVALUE_BOOL

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Valore binario

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su binaria.

Valore del parametro di comando binario. Selezione dalla lista a cascata:
Off (0):
On (1):
Toggeln: cambia lo stato.

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueBool


IDP_BATCH_TAG_DEFVALUE_MEUNIT

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Einheit

Unità per valore.

Viene ripreso dalle variabili collegate nella proprietà Variabile (Generale/Collegamento variabile). Solo visualizzazione; non si possono effettuare delle modifiche in questa sede.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueMeUnit


IDP_BATCH_TAG_DEFVALUE_NUM

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Valore numerico

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore del parametro di comando numerico.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueNum


IDP_BATCH_TAG_DEFVALUE_STR

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Valore stringa

Successione di caratteri che viene utilizzata per il valore del parametro.
Disponibile solamente se nel gruppo Generale la proprietà Generale è stata settata su comando, e la proprietà Tipo di dato parametro su stringa.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueStr


IDP_BATCH_TAG_DEFVALUE_TIME

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Durata periodo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su durata.

Indicazione della durata in giorni, ore, minuti e secondi per il parametro di comando Durata.

Valore massimo: 0G 00:00:00

Valore minimo: 9999G 23:59:59

Default: 0G 00:00:00

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueTime


IDP_BATCH_TAG_DESCRIPTION

Interno ID: IDP_BATCH_TAG_DESCRIPTION

Descrizione

Testo liberamente impostabile che serve a descrivere in modo più preciso il parametro. Il testo è traducibile nel Runtime e viene visualizzato nel dialogo che serve alla modifica della fase e nel dialogo per la modifica dei parametri.

Massimo: 512 caratteri

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_TAG_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_TAG_EXPLANATION_NEEDED

Motivazione richiesta in caso di cambio valori

Attivo: Se effettua delle modifiche di valore concernenti questo parametro durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationNeeded


IDP_BATCH_TAG_GENERAL_GRP

Interno ID: IDP_BATCH_TAG_GENERAL_GRP

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_TAG_KBD

Interno ID: IDP_BATCH_TAG_KBD

Immagine tipo Keyboard

Disponibile solo se la proprietà Utilizza immagine tipo Keyboard è stata attivata.

Selezione dell´immagine del tipo Keyboard da chiudere. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Keyboard


IDP_BATCH_TAG_KBD_LAYOUT

Interno ID: IDP_BATCH_TAG_KBD_LAYOUT

Tastiere

Gruppo delle proprietà per l´uso di keyboard che servono a consentire l´effettuazione di modifiche dei parametri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Keyboard


IDP_BATCH_TAG_KBD_USAGE

Interno ID: IDP_BATCH_TAG_KBD_USAGE

Utilizza immagine tipo Keyboard

Attivo: L´immagine keyboard viene utilizzata per questo parametro. L´immagine del tipo Keyboard da aprire viene definita mediante la proprietà Immagine tipo Keyboard.

Non disponibile se Modificabile in ricetta master è attiva.

Default: inattivo.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseKeyboard


IDP_BATCH_TAG_MATERIAL

Interno ID: IDP_BATCH_TAG_MATERIAL

Tracking del materiale

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Material


IDP_BATCH_TAG_MAX

Interno ID: IDP_BATCH_TAG_MAX

Parametro massimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore massimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


IDP_BATCH_TAG_MIN

Interno ID: IDP_BATCH_TAG_MIN

Parametro minimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore minimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


IDP_BATCH_TAG_NAME

Interno ID: IDP_BATCH_TAG_NAME

Nome

Nome del parametro. Esso deve essere univoco nell´ambito della fase. Il nome non può essere né vuoto, né contenere punti, né constare solamente di spazi vuoti. Si tiene in considerazione la scrittura minuscola/maiuscola! Il nome è traducibile nel Runtime e viene visualizzato nel dialogo che serve alla modifica della fase e nel dialogo per la modifica dei parametri.

Massimo: 256 caratteri

Default: Parametro x, dove x è un numero progressivo generato automaticamente ed è garanzia della univocità del nome.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_TAG_PARAMCHANGE_GRP

Interno ID: IDP_BATCH_TAG_PARAMCHANGE_GRP

Modifica parametro

Gruppo delle proprietà che servono ad editare i parametri.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ParamEdit


IDP_BATCH_TAG_PARENT_PHASE

Interno ID: IDP_BATCH_TAG_PARENT_PHASE

fase

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Phase


IDP_BATCH_TAG_PARENT_UNIT

Interno ID: IDP_BATCH_TAG_PARENT_UNIT

Unità

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


IDP_BATCH_TAG_RECIPEPARAM

Interno ID: IDP_BATCH_TAG_RECIPEPARAM

Modificabile in ricetta master

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata configurata su Iniziale o Valore.

Attiva: chi ha creato la ricetta può modificare i parametri a Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeParam


IDP_BATCH_TAG_TAGTYPE

Interno ID: IDP_BATCH_TAG_TAGTYPE

Tipo

Selezione del tipo di parametro fra quelli della lista a cascata.

  • Initial: parametro di comando che viene settato prima dell´evento start.
    Valore: parametro di comando che viene settato dopo il blocco input. Al momento dell´esecuzione della fase, Il valore definito per il parametro di comando viene scritto sulla variabile ad esso collegata.
  • Feedback: parametro di feedback. Possono essere scritti nel Runtime mediante reazioni.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se le seguenti condizioni concernenti il parametro di comando sono soddisfatte:

  • se la variabile collegata esiste ed è del tipo giusto.
  • se il valore del parametro di comando rientra nell´ambito dei limiti di valore impostabile delle variabili collegate.
  • se nella fase esiste solamente un parametro di comando per variabile (ciò impedisce che un parametro di comando scriva sulla variabile per es. 0 e un altro 1)

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TagType


IDP_BATCH_TAG_TIME_MAX

Interno ID: IDP_BATCH_TAG_TIME_MAX

Variabile di tempo max.

Massimo per Valore Durata di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxTime


IDP_BATCH_TAG_TIME_MIN

Interno ID: IDP_BATCH_TAG_TIME_MIN

Variabile di tempo min.

Minimo per Valore Durata di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinTime


IDP_BATCH_TAG_VALUE_MAX

Interno ID: IDP_BATCH_TAG_VALUE_MAX

Valore max.

Valore massimo che può essere assegnato al parametro.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMax


IDP_BATCH_TAG_VALUE_MIN

Interno ID: IDP_BATCH_TAG_VALUE_MIN

Valore min.

Valore minimo che può essere assegnato al parametro.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMin


IDP_BATCH_TAG_VALUES_GRP

Interno ID: IDP_BATCH_TAG_VALUES_GRP

Imposta valore

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Values


IDP_BATCH_TAG_VAR_ACTVALUE

Interno ID: IDP_BATCH_TAG_VAR_ACTVALUE

Variabile valore effettivo

La variabile collegata rappresenta il valore attuale del parametro. Il valore della variabile viene visualizzato a Runtime per una fase selezionata nelle liste parametri.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValueVar


IDP_BATCH_TAG_VAR_DATENART

Interno ID: IDP_BATCH_TAG_VAR_DATENART

Tipo di dato della variabile

Tipo di dato della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDataType


IDP_BATCH_TAG_VAR_MAX

Interno ID: IDP_BATCH_TAG_VAR_MAX

Variabile di valore max.

valore massimo della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarMax


IDP_BATCH_TAG_VAR_MIN

Interno ID: IDP_BATCH_TAG_VAR_MIN

Variabile di valore min.

valore minimo della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarMin


IDP_BATCH_TAG_VAR_STRLENGTH

Interno ID: IDP_BATCH_TAG_VAR_STRLENGTH

Lunghezza stringa

Lunghezza stringa, corrispondente a quella progettata nella variabile. Solo visualizzazione

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarStrLength


IDP_BATCH_TAG_VAR_TREIBER

Interno ID: IDP_BATCH_TAG_VAR_TREIBER

Driver

Nome del file EXE del driver della variabile Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDriver


IDP_BATCH_TAG_VAR_TREIBERBEZ

Interno ID: IDP_BATCH_TAG_VAR_TREIBERBEZ

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDriverDesc


IDP_BATCH_TAG_VAR_UNIT

Interno ID: IDP_BATCH_TAG_VAR_UNIT

Unità di misura

Unità della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarUnit


IDP_BATCH_TAG_VARIABLE

Interno ID: IDP_BATCH_TAG_VARIABLE

Variabile

Variabile che viene collegata al parametro. Cliccando sul pulsante ... Apre il dialogo per la selezione delle variabili.

Le variabili vengono visualizzate in modo filtrato in dipendenza dal Tipo di dato parametro selezionato. Si può selezionate una variabile del progetto locale o una di un altro progetto. Variabili e progetti devono essere disponibili anche nel Runtime. Se la variabile viene rinominata, la modifica viene ripresa automaticamente.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


IDP_BATCH_TAG_VARIABLE_GRP

Interno ID: IDP_BATCH_TAG_VARIABLE_GRP

Collegamento variabile

Proprietà per il collegamento di variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Variable


IDP_BATCH_TAG_VARIATIONMAX

Interno ID: IDP_BATCH_TAG_VARIATIONMAX

Abweichung positiv

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariationMax


IDP_BATCH_TAG_VARIATIONMIN

Interno ID: IDP_BATCH_TAG_VARIATIONMIN

Abweichung negativ

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariationMin


IDP_BATCH_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_UNIT_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa dell´unità. Questa descrizione si trova nel Runtime nel dialogo di selezione della fase. La descrizione è traducibile.

Lunghezza massima: 512 caratteri

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_UNIT_GENERAL_GRP

Interno ID: IDP_BATCH_UNIT_GENERAL_GRP

Generale

Proprietà generali dell´unità.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_UNIT_NAME

Interno ID: IDP_BATCH_UNIT_NAME

Nome

Nome dell´aggregato. Il nome deve essere univoco nel progetto. Il nome non deve contenere nessun punto, non può consistere solo di spazi e non può essere vuoto. Il nome è traducibile.

Default: Unità x (x è un numero progressivo).

Lunghezza massima: 256 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_UNIT_RT_CR_DESCR

Interno ID: IDP_BATCH_UNIT_RT_CR_DESCR

Descrizione

Configurazione della variabile che consegna nel Runtime la Descrizione della ricetta di controllo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrDescr


IDP_BATCH_UNIT_RT_CR_ID

Interno ID: IDP_BATCH_UNIT_RT_CR_ID

ID

Configurazione della variabile che consegna nel Runtime l´ID della ricetta di controllo Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrId


IDP_BATCH_UNIT_RT_CR_JOBID

Interno ID: IDP_BATCH_UNIT_RT_CR_JOBID

Job ID (Testo)

Configurazione della variabile che consegna nel Runtime il Numero d'ordine della ricetta di controllo come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrJobId


IDP_BATCH_UNIT_RT_CR_NAME

Interno ID: IDP_BATCH_UNIT_RT_CR_NAME

Nome

Configurazione della variabile che consegna nel Runtime il Nome della ricetta di controllo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrName


IDP_BATCH_UNIT_RT_ERR_NUM

Interno ID: IDP_BATCH_UNIT_RT_ERR_NUM

Fehler (numerisch)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarErrorNum


IDP_BATCH_UNIT_RT_ERR_TXT

Interno ID: IDP_BATCH_UNIT_RT_ERR_TXT

Fehler (Text)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarErrorTxt


IDP_BATCH_UNIT_RT_FAILURE_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_COUNT

Numero errori di comunicazione presenti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorCount


IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Quantita errori di comunicazione risolti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorGoneCount


IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Quantità errori di comunicazione riconosciuti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero dei problemi di comunicazione ripristinati viene visualizzato finché non è conclusa la ricetta nella quale si sono verificati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorAcknCount


IDP_BATCH_UNIT_RT_GRP

Interno ID: IDP_BATCH_UNIT_RT_GRP

Informazioni Runtime

Proprietà per informazioni-Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_Info


IDP_BATCH_UNIT_RT_GRP_CR

Interno ID: IDP_BATCH_UNIT_RT_GRP_CR

Ricetta di controllo

Proprietà per la configurazione di informazioni Runtime per ricette di controllo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_CR_Info


IDP_BATCH_UNIT_RT_GRP_ERR

Interno ID: IDP_BATCH_UNIT_RT_GRP_ERR

Errore

Proprietà per la configurazione di informazioni Runtime per errori che si verificano.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_ERR_Info


IDP_BATCH_UNIT_RT_GRP_MATRIX

Interno ID: IDP_BATCH_UNIT_RT_GRP_MATRIX

Informazioni matrice

Gruppo di proprietà con informazioni concernenti ricette matrice in unità.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_Matrix_Step_Info


IDP_BATCH_UNIT_RT_GRP_MR

Interno ID: IDP_BATCH_UNIT_RT_GRP_MR

Ricetta master

Proprietà per la configurazione di informazioni Runtime per ricette master.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_MR_Info


IDP_BATCH_UNIT_RT_GRP_PH

Interno ID: IDP_BATCH_UNIT_RT_GRP_PH

Funzioni di base

Proprietà per la configurazione di informazioni Runtime per fasi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_PH_Info


IDP_BATCH_UNIT_RT_GRP_REE

Interno ID: IDP_BATCH_UNIT_RT_GRP_REE

Esecuzione:

Proprietà per la configurazione di informazioni Runtime per l´esecuzione (REE).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_REE_Info


IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Numero passi

Configurazione della variabile su cui viene scritto nel Runtime il numero dei passi nella ricetta matrice. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile. Si possono selezionare tutte le variabili numeriche il cui tipo di dato è >= 2 Byte.

Per le ricette PFC, il valore viene sempre settato su 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixStepCount


IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Identificatore passo corrente

Configurazione della variabile per la descrizione del passo matrice in cui si trovano gli oggetti che hanno occupato questa unità. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Per le ricette PFC, il valore rimane sempre vuoto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixCurrentStepName


IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Passo corrente

Configurazione della variabile per il numero del passo matrice in cui si trovano gli oggetti che hanno occupato questa unità. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile. Si possono selezionare tutte le variabili numeriche il cui tipo di dato è >= 2 Byte.

Per le ricette PFC rimane sempre il valore 0.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixCurrentStepNumber


IDP_BATCH_UNIT_RT_MR_DESCR

Interno ID: IDP_BATCH_UNIT_RT_MR_DESCR

Descrizione

Configurazione della variabile che consegna nel Runtime Descrizione della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrDescr


IDP_BATCH_UNIT_RT_MR_ID

Interno ID: IDP_BATCH_UNIT_RT_MR_ID

ID

Configurazione della variabile che consegna nel Runtime ID della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrId


IDP_BATCH_UNIT_RT_MR_NAME

Interno ID: IDP_BATCH_UNIT_RT_MR_NAME

Nome

Configurazione della variabile che consegna nel Runtime il Nome della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrName


IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Interno ID: IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Versione iniziale

Configurazione della variabile che consegna nel Runtime la versione della ricetta d'origine per questa versione. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrSourceVersion


IDP_BATCH_UNIT_RT_MR_VERSION

Interno ID: IDP_BATCH_UNIT_RT_MR_VERSION

Versione

Configurazione della variabile che consegna nel Runtime la versione della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrVersion


IDP_BATCH_UNIT_RT_PH_LIST

Interno ID: IDP_BATCH_UNIT_RT_PH_LIST

Fase attiva

Configurazione della variabile che visualizza nel Runtime i nomi delle fasi attive. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPhList


IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Anzahl der quittierten Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorAckn


IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Anzahl der anstehenden Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione in attesa.. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorCnt


IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Anzahl der behobenen Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorGone


IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Numero di errori PLC in attesa

Configurazione della variabile che visualizza nel Runtime il numero degli errori PLC in attesa Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero degli errori PLC in attesa viene visualizzato per la fase attiva (0 o 1).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarInternalPlcErrorCount


IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Numero di errori PLC risolti

Configurazione della variabile che visualizza nel Runtime il numero degli errori PLC risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero degli errori PLC risolti viene visualizzato finché non è conclusa la ricetta nella quale si sono verificati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarInternalPlcErrorFixedCount


IDP_BATCH_UNIT_RT_REE_CNT

Interno ID: IDP_BATCH_UNIT_RT_REE_CNT

Quantità ricette attive

Configurazione della variabile che visualizza nel Runtime il numero delle ricette attive. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeCnt


IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Interno ID: IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Modalità di esecuzione (numerico)

Configurazione della variabile che visualizza nel Runtime la modalità di esecuzione di una ricetta come valore numerico. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeModusNum


IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Interno ID: IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Modalità di esecuzione (Testo)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeModusTxt


IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Interno ID: IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Stato di esecuzione (numerico)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come valore numerico. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeStatusNum


IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Interno ID: IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Stato di esecuzione (Testo)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeStatusTxt


IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Quantità degli errori di esecuzione presenti

Configurazione della variabile che visualizza nel Runtime il numero degli errori di esecuzione in attesa. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarRunErrorCnt


IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Interno ID: IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Quantità degli errori di esecuzione precedenti

Configurazione della variabile che visualizza nel Runtime il numero degli errori di esecuzione storici. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarRunErrorGone


IDP_BATCH_VERSION_ACTIVE

Interno ID: IDP_BATCH_VERSION_ACTIVE

Attiva versionamento

Attivo: il versionamento di ricette è attivato e viene usato nel Runtime.

Inattivo: il versionamento è disattivato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionActive


IDP_BATCH_VERSION_GRP

Interno ID: IDP_BATCH_VERSION_GRP

Versionamento

Contiene le proprietà per il versionamento di ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionGrp


IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Interno ID: IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExportVariableNumerical


IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

Interno ID: IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExportVariableString


IDP_BATCH_XML_EXPORT_GROUP

Interno ID: IDP_BATCH_XML_EXPORT_GROUP

XML Export

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExport


IDP_BATCH_XML_GROUP

Interno ID: IDP_BATCH_XML_GROUP

XML Import/Export

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImport/Export


IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Interno ID: IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImportVariableNumerical


IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

Interno ID: IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImportVariableString


IDP_BATCH_XML_IMPORT_GROUP

Interno ID: IDP_BATCH_XML_IMPORT_GROUP

XML Import

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImport


IDP_BUTTON_SPOT_FILL

Interno ID: IDP_BUTTON_SPOT_FILL

Evidenzia

Rappresentazione dell´effetto glare:

  • Attiva: il pulsante verrà visualizzato con un effetto glare.
  • Non attiva: non verrà visualizzato nessun effetto glare; si applica l´impostazione della proprietà Effetto riempimento 3-D.

Attiva solo se l´opzione impostata per la proprietà Forma pulsanti è rotondo.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Spot


IDP_BUTTONSAMPLE

Interno ID: IDP_BUTTONSAMPLE

Auswahl

Esempio per Sample driver.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SampleButton


IDP_CEL_ARVERRPERIOD

Interno ID: IDP_CEL_ARVERRPERIOD

Esportazione Archivi [h]

Tempo in ore per Trattamento errori.

Se il sistema rileva un errore al momento della dislocazione di archivi, genera un inserimento nella Lista eventi cronologica (CEL) dopo che è trascorso l´intervallo impostato.

Se non è possibile leggere un file ARX, esso viene rinominato in .ar_ e il sistema usa il prossimo file.
Default: 12

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArciveOverPeriod


IDP_CEL_COMMENTS

Interno ID: IDP_CEL_COMMENTS

Commento CEL

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELComments


IDP_CEL_LONGLIMITS

Interno ID: IDP_CEL_LONGLIMITS

Testi lunghi per valori limiti - CEL

Stabilisce se il campo di commento è a disposizione per i testi di valori limite dinamici. Il testo dinamico con valore limite consente di inserire nel testo di valore limite di una variabile valori attuali di altre variabili.

  • Attiva: i contenuti dinamici verranno salvati in un file con la convenzione di denominazione D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. In questo modo sarà possibile usare il campo note per scrivere dei commenti. I testi di valore limite dinamici possono avere un massimo di 1024 caratteri.
  • Non attiva: il campo di commento viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.

Default: non attiva

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELLongDynLimits


IDP_CEL_TEXTLEN

Interno ID: IDP_CEL_TEXTLEN

Lunghezza testo statico per valori limiti CEL

Lunghezza del testo di valore limite statico nella CEL in caratteri.

Stabilisce qual è il numero massimo di caratteri di cui può constare il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

  • Minimo: 127
  • Massimo: 1023

Default: 127

Limitazione: In caso di dBase-Export, la lunghezza è limitata a 256 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELTextLen


IDP_CMD_GUI_NOT_ACTUAL

Interno ID: IDP_CMD_GUI_NOT_ACTUAL

Eseguibile solo se impostato <> attuale

Questa proprietà è disponibile solamente se la proprietà Comparazione valore Attuale/Nominale è attiva e solo per l´azione comando Comando(comando persistente o comando impulso).

Disattiva un pulsante di comando nell´immagine comando se il valore della variabile di responso corrisponde già al valore impostabile. In caso di cambiamento del valore della variabile di responso, il pulsante di comando corrispondente ritorna ad essere attivo.
La stessa cosa vale anche per le voci dei menù contestuali. In questo caso non viene visualizzata nel menù la corrispondente azione di comando.

Default: Non attivo

Nota: Con questa proprietà è possibile interrogare lo stato attuale già prima di aprire di un´immagine comando o di usare un menù contestuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisableOnActual


IDP_CMDINPUT_SUBSTI_ACTION

Interno ID: IDP_CMDINPUT_SUBSTI_ACTION

Sostituzione in immagine

Sostituzione di azione di comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Nome variabile di feedback: abc_RV.
  • Variabile di feedback progettata nel gruppo comando: *_RV
  • Ulteriori Variabili collegate nell´immagine: xyz_lock, xy_Switch
  • Sostituzione in immagine progettata: xyz;xy
  • Variabili esistenti nel progetto: abc_lock und abc_Switch.
  • Risultato: Rappresentazione delle variabili nell´immagine: abc_lock und abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstiAction


IDP_CMDINPUT_SUBSTI_GROUP

Interno ID: IDP_CMDINPUT_SUBSTI_GROUP

Sostituzione in immagine

Sostituzione di gruppi comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Nome variabile di feedback: abc_RV.
  • Variabile di feedback progettata nel gruppo comando: *_RV
  • Ulteriori Variabili collegate nell´immagine: xyz_lock, xy_Switch
  • Sostituzione in immagine progettata: xyz;xy
  • Variabili esistenti nel progetto: abc_lock und abc_Switch.
  • Risultato: Rappresentazione delle variabili nell´immagine: abc_lock und abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstiGroup


IDP_CMDPICTURE_CMDNAME

Interno ID: IDP_CMDPICTURE_CMDNAME

Nome comando

Nome attribuibile liberamente dell´azione comando.

Nel runtime, esso può essere visualizzato per il modulo Comando tramite l´immagine comando, il campo Nome azione nel gruppo Informazione.

Nel modulo Sequenze di comando, questo nome viene usato per il passaggio (step). A tal scopo, la proprietà Nome attività nella griglia sequenze di comando del gruppo di proprietà di progetto Sequenze di comando deve essere configurata su Nome azione.
Default: Nome azione DIR, Valore
Il nome azione standard viene ripristinato anche quando viene cancellato un nome azione definito dall´utente.

  • DIR: Direzione dell´azione, non disponibile per le azioni Blocco, Bloccare, Rilasciare.
  • Valore: Valore dell´azione. Disponibile solamente per le azioni Valore impostabile diretto, o Correzione manuale diretta

Nota: Se per due azioni risulta lo stesso nome, il sistema lo fa presente all´utente mediante un´icona di avvertimento che appare nell´albero del modulo comandi; ciò avviene anche se gli ID dei menù sono differenti. La macro $NAME$ può essere usata per la progettazione dei menù e fornisce il nome azione che è soggetto a cambio lingua anche nel runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdName


IDP_CMDSEQ_SKIP_ACTUAL

Interno ID: IDP_CMDSEQ_SKIP_ACTUAL

Ignora operazione per valori identici da impostare e attuali

Comportamento di un´azione in caso di valore già in attesa nel modulo Sequenze di comando:

Questa proprietà è disponibile solamente per l´azione comando Comando (comando persistente o comando impulso).

Se questa proprietà è attiva e se il valore attuale corrisponde già a quello impostabile, nel runtime il sistema ignora (salta) l´azione in una sequenza di comando.

Default: Non attivo

Nel runtime viene generato un corrispondente inserimento CEL quando la proprietà Sopprimi inserimento CEL non è attivata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BypassOnActual


IDP_CMDSQ_IGNORE2STAGE

Interno ID: IDP_CMDSQ_IGNORE2STAGE

Ignora "a due stadi"

Comportamento di un´azione two steps nel modulo Sequenze di comando.
Se la proprietà è attiva, le azioni two steps vengono eseguite subito nel modulo Sequenze di comando. Il sistema non tiene conto del fatto che è stata progettata un´esecuzione dell´azione a due livelli (two steps) per il modulo Comando. Nel modulo Sequenze di comando, l´azione viene eseguita subito come passo della sequenza di comando senza che venga aperta una finestra comandi.

Default: Non attivo

Non disponibile se:

  • la proprietà Doppio-livello è disattivata.
  • il tipo di azione è Comando automatico/remoto.
  • il tipo di azione è Blocco.

Nota: Se è stato progettato un interblocco, se ne terrà comunque conto nell´esecuzione nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Ignore2Stage


IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Interno ID: IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Cancella percorso "Immagine indietro" al cambio utente

Impostazione per la cancellazione automatica del percorso della funzione "Immagine indietro" in caso di cambio utente.

  • Attivo: In caso di un cambio utente, il percorso "Immagine indietro" viene cancellato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelPicBackPathAtLogout


IDP_DISPLAYTYPE

Interno ID: IDP_DISPLAYTYPE

Tipo visualizzazione

Proprietà per il tipo di visualizzazione nell´elemento.

Sono disponibili i seguenti tipi di visualizzazione:

  • Nastro: il valore viene visualizzato con un nastro, a partire da quello minimo per arrivare a quello attuale.
  • Cerchio parziale: il valore viene visualizzato con un cerchio parziale, a partire da quello minimo per arrivare a quello attuale.
  • Lancetta: il valore viene visualizzato con una lancetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisplayType


IDP_DYN_ELE_KBD

Interno ID: IDP_DYN_ELE_KBD

Utilizza immagine tipo Keyboard

Quando si seleziona l´elemento nel runtime, viene aperta la keyboard.
Quando si seleziona un campo di inserimento vuoto durante il runtime, viene aperta l´immagine keyboard DIALOGKBD (sempre che essa sia disponibile).
Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KbdUsage


IDP_DYN_ELE_KBD_NAME

Interno ID: IDP_DYN_ELE_KBD_NAME

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KbdName


IDP_DYNELE_ALC_ALIAS

Interno ID: IDP_DYNELE_ALC_ALIAS

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAlias


IDP_DYNELE_ALC_ALIAS_NAME

Interno ID: IDP_DYNELE_ALC_ALIAS_NAME

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAliasName


IDP_DYNELE_ALC_ALTCOL

Interno ID: IDP_DYNELE_ALC_ALTCOL

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAlternativeColor


IDP_DYNELE_ALC_DASHLEN

Interno ID: IDP_DYNELE_ALC_DASHLEN

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCDashLen


IDP_DYNELE_ALC_EXCHANGEINOUT

Interno ID: IDP_DYNELE_ALC_EXCHANGEINOUT

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, valvola, valvola di ritegno oppure Separatore.

Attivo: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCExchangeInOut


IDP_DYNELE_ALC_GROUNDFAULTTYPE

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: Nessuno

Ulteriori informazioni nella guida in linea .

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultType


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarDisp


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarFwd


IDP_DYNELE_ALC_GROUNDFAULTVARREV

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarRev


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarTrg


IDP_DYNELE_ALC_LINELENGTH

Interno ID: IDP_DYNELE_ALC_LINELENGTH

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLength


IDP_DYNELE_ALC_LINEREACT

Interno ID: IDP_DYNELE_ALC_LINEREACT

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCReact


IDP_DYNELE_ALC_LINERESIST

Interno ID: IDP_DYNELE_ALC_LINERESIST

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCResist


IDP_DYNELE_ALC_LOADTYPE

Interno ID: IDP_DYNELE_ALC_LOADTYPE

Carico

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLoadType


IDP_DYNELE_ALC_LOADVAL

Interno ID: IDP_DYNELE_ALC_LOADVAL

Corrente fissa [A]

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLoadVal


IDP_DYNELE_ALC_MAXITYPE

Interno ID: IDP_DYNELE_ALC_MAXITYPE

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxIType


IDP_DYNELE_ALC_MAXIVAL

Interno ID: IDP_DYNELE_ALC_MAXIVAL

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxIVal


IDP_DYNELE_ALC_PROTID

Interno ID: IDP_DYNELE_ALC_PROTID

Schutzgerät-ID

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCProtID


IDP_DYNELE_ALC_REVSRC

Interno ID: IDP_DYNELE_ALC_REVSRC

Sorgente per alimentazione invertita

Disponibile solamente se per la proprietà Tipo funzione è stato selezionato Trasformatore.

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è capace di un´alimentazione a ritroso. Questo significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´ingresso verso l´uscita (in avanti) e dall´uscita verso l´ingresso (indietro). L´unica differenza è che è la proprietà Sorgente per alimentazione invertita e non la proprietà Sorgente ad essere usata per l´inoltro del numero della sorgente.

Nota: stati difettosi della rete o errori di configurazione, come, per es., alimentazione contemporanea da ingresso e uscita, oppure cortocircuito da ingresso e uscita, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCReverseSourceID


IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

Interno ID: IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

Colore marcatore

Colore del marker che, in caso di localizzazione guasto basato su impedenza, segnala il posto in cui si è verificato un errore in un´immagine di zenon.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un colore.

Per utilizzare questa proprietà, devono essere state eseguite le seguenti configurazioni:

  • Tipo funzione: Interruttore
  • Reattanza dalla protezione: questa proprietà deve essere collegata ad una variabile con il tipo di dato REAL.

Nota: attiva solo se la proprietà di progetto Posizione guasto basato su impedenza è attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultMarkerColor


IDP_DYNELE_ALC_SHORTFAULTTYPE

Interno ID: IDP_DYNELE_ALC_SHORTFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Stabilisce il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/indietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: nessuno

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultType


IDP_DYNELE_ALC_SHORTFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarDisp


IDP_DYNELE_ALC_SHORTFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarFwd


IDP_DYNELE_ALC_SHORTFAULTVARREV

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarRev


IDP_DYNELE_ALC_SHORTFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarTrg


IDP_DYNELE_ALC_VARCALCI

Interno ID: IDP_DYNELE_ALC_VARCALCI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCalcI


IDP_DYNELE_ALC_VARCURI

Interno ID: IDP_DYNELE_ALC_VARCURI

Valore attuale corrente

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCurI


IDP_DYNELE_ALC_VARCURP

Interno ID: IDP_DYNELE_ALC_VARCURP

Valore attuale potenza complessa

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCurP


IDP_DYNELE_ALC_VARLOAD

Interno ID: IDP_DYNELE_ALC_VARLOAD

Carico variabile

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarLoad


IDP_DYNELE_ALC_VARMAXI

Interno ID: IDP_DYNELE_ALC_VARMAXI

Valore limite dinamico portata di corrente

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarMaxI


IDP_DYNELE_ALC_VARPROTREACT

Interno ID: IDP_DYNELE_ALC_VARPROTREACT

Reattanza dalla protezione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarProtReact


IDP_DYNELE_LIMITCOLOR_ACTIVE

Interno ID: IDP_DYNELE_LIMITCOLOR_ACTIVE

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitColor


IDP_DYNTEXT_PROPERTIES_GRP

Interno ID: IDP_DYNTEXT_PROPERTIES_GRP

Proprietà per l'elemento testo dinamico

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

DynTextProperties


IDP_ELE_POS_START_ANGLE

Interno ID: IDP_ELE_POS_START_ANGLE

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Angle


IDP_ELE_PROP_GRP_BARFILLING

Interno ID: IDP_ELE_PROP_GRP_BARFILLING

Riempimento barra

Proprietà per il riempimento barra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BarFilling


IDP_ELE_PROP_GRP_TIMEPRESENTATION

Interno ID: IDP_ELE_PROP_GRP_TIMEPRESENTATION

Rappresentazione oraria

Proprietà per la visualizzazione orario.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TimePresentation


IDP_ELE_PROP_GRP_VALUE

Interno ID: IDP_ELE_PROP_GRP_VALUE

Valore

Proprietà per la visualizzazione del valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Value


IDP_ELE_PROP_GRP_VALUEPRESENTATION

Interno ID: IDP_ELE_PROP_GRP_VALUEPRESENTATION

Rappresentazione valore

Proprietà per la visualizzazione dei valori nell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

ValuePresentation


IDP_ELE_TEXT_HIDDEN_INPUT

Interno ID: IDP_ELE_TEXT_HIDDEN_INPUT

Input nascosto

Attivazione dell´inserimento di testo nascosto.

  • Attivo: Nel runtime il testo dell´elemento verrà mascherato e reso invisibile tramite l´uso caratteri.
    Il campo di inserimento verrà riempito usando per 8 volte il carattere selezionato nella proprietà Carattere per mascheratura.
    Carattere standard: *

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HiddenInput


IDP_ELE_TEXT_MASKING_LETTER

Interno ID: IDP_ELE_TEXT_MASKING_LETTER

Carattere per mascheratura

Selezione del carattere da utilizzare per mascherare il testo nel runtime.
Disponibile solo se la proprietà Input nascosto è stata attivata.

  • Si può inserire solo un carattere.
  • Il campo non può essere vuoto.
  • Se si inserisce uno spazio vuoto, il campo verrà visualizzato vuoto nel runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaskingLetter


IDP_ELE_VAR_LOCKING

Interno ID: IDP_ELE_VAR_LOCKING

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


IDP_ELE_VISIBILITY_INTERLOCKINGS

Interno ID: IDP_ELE_VISIBILITY_INTERLOCKINGS

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Interlocking


IDP_ELE_VISIBILITY_TYPE

Interno ID: IDP_ELE_VISIBILITY_TYPE

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityType


IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Interno ID: IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleWhenInterlocked


IDP_ELEDYN_MT_RIGHTCLICKACTION

Interno ID: IDP_ELEDYN_MT_RIGHTCLICKACTION

RightClickMTAction

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickMTAction


IDP_ELEMENTFRAME_GRP

Interno ID: IDP_ELEMENTFRAME_GRP

Cornice elemento

Proprietà per la cornice elemento

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

ElementFrame


IDP_EVERY_WHERE_ACCESS_LEVEL

Interno ID: IDP_EVERY_WHERE_ACCESS_LEVEL

Livello di autorizzazione:

Menù a tendina che serve alla selezione dei livelli di autorizzazione che devono avere accesso a Everywhere Server.

Default: 0 (= accesso illimitato)
Livelli di autorizzazione disponibili: 0 - 127

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EveryWhereAccessLevel


IDP_EVERY_WHERE_NODE

Interno ID: IDP_EVERY_WHERE_NODE

Everywhere Server

Proprietà per Everywhere Server by zenon.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

EveryWhereSettings


IDP_EXTERNALREF_WRITEABLE

Interno ID: IDP_EXTERNALREF_WRITEABLE

Riferimento esterno modificabile

Definisce se la proprietà Riferimento esterno può essere modificata usando l´interfaccia dell´Editor.

Attiva: una modifica mediante l´interfaccia dell´Editor è possibile.

Non attiva: la modifica è possibile solo tramite l´API zenon.

Default: non attiva.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalReferenceWriteable


IDP_FILLINGSTYLE

Interno ID: IDP_FILLINGSTYLE

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillStyle


IDP_FILLINGSTYLE2

Interno ID: IDP_FILLINGSTYLE2

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BarFillStyle


IDP_FILLINGSTYLE2_GRAPHICS

Interno ID: IDP_FILLINGSTYLE2_GRAPHICS

Stile di riempimento per grafica se premuto/on

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicsFillStyle


IDP_FILLINGSTYLE2_POINTER

Interno ID: IDP_FILLINGSTYLE2_POINTER

Stile riempimento per puntatore

Visualizzazione e selezione dello stile di riempimento della lancetta assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillStyle4Pointer


IDP_FILLINGSTYLE2_SELECTION

Interno ID: IDP_FILLINGSTYLE2_SELECTION

Stile riempimento per selezione

Visualizzazione e selezione dello stile di riempimento con la selezione assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillStyleForSelected


IDP_FRAME_AUFSCHALTGROESSE_TYP

Interno ID: IDP_FRAME_AUFSCHALTGROESSE_TYP

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata a Runtime con un linea tratteggiata.
  • Larghezza [px]: larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: la grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpeningSizeType


IDP_FRAME_AUFSCHALTGROESSE_WERT

Interno ID: IDP_FRAME_AUFSCHALTGROESSE_WERT

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

OpeningSizeValue


IDP_FRAME_BEGRENZUNG_TYP

Interno ID: IDP_FRAME_BEGRENZUNG_TYP

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinSizeType


IDP_FRAME_BEGRENZUNG_WERT

Interno ID: IDP_FRAME_BEGRENZUNG_WERT

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

MinSizeValue


IDP_FRAME_HEIGHTMAX

Interno ID: IDP_FRAME_HEIGHTMAX

Höhe(Maximum) [Pixel]

Altezza massima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: Valore Off Altezza (massima) [Pixel]
  • Massimo: 4294967295 (DWORD)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeightMax


IDP_FRAME_HEIGHTMIN

Interno ID: IDP_FRAME_HEIGHTMIN

Höhe(Minimum) [Pixel]

Altezza minima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: 0
  • Massimo: Valore per Dimensioni d'apertura.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeightMin


IDP_FRAME_WIDTHMAX

Interno ID: IDP_FRAME_WIDTHMAX

Breite(Maximum) [Pixel]

Larghezza massima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: Valore off Larghezza (massima) [Pixel]
  • Massimo: 4294967295 (DWORD)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidthMax


IDP_FRAME_WIDTHMIN

Interno ID: IDP_FRAME_WIDTHMIN

Breite(Minimum) [Pixel]

Larghezza minima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: 0
  • Massimo: Valore off Dimensioni d'apertura

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidthMin


IDP_FRAMESTYLE

Interno ID: IDP_FRAMESTYLE

Stile cornice elemento

Visualizzazione e selezione dello stile cornice elemento assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FrameStyle


IDP_GESTUREDOUBLETAP_FUNCTION

Interno ID: IDP_GESTUREDOUBLETAP_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Doppio tocco. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapFunction


IDP_GESTUREDOUBLETAP_GROUP

Interno ID: IDP_GESTUREDOUBLETAP_GROUP

Doppio tocco

Proprietà concernenti il gesto Doppio tocco durante il Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapGroup


IDP_GESTUREDOUBLETAP_REACTION

Interno ID: IDP_GESTUREDOUBLETAP_REACTION

Reazione

Selezione della reazione al gesto Doppio tocco fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapReaction


IDP_GESTUREMANIPULATION_GROUP

Interno ID: IDP_GESTUREMANIPULATION_GROUP

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationGroup


IDP_GESTUREMANIPULATION_X

Interno ID: IDP_GESTUREMANIPULATION_X

Sposta orizzontalmente

Definizione della reazione ad un gesto di spostamento orizzontale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationX


IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Interno ID: IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationXY


IDP_GESTUREMANIPULATION_Y

Interno ID: IDP_GESTUREMANIPULATION_Y

Sposta verticalmente

Definizione della reazione ad un gesto di spostamento verticale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationY


IDP_GESTUREMANIPULATION_ZOOM

Interno ID: IDP_GESTUREMANIPULATION_ZOOM

Zoom

Definizione della reazione ad un gesto zoom. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationZoom


IDP_GESTURETAP_FUNCTION

Interno ID: IDP_GESTURETAP_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Tocco. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapFunction


IDP_GESTURETAP_GROUP

Interno ID: IDP_GESTURETAP_GROUP

Toccare

Proprietà per il comportamento del gesto Tocco durante il Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapGroup


IDP_GESTURETAP_REACTION

Interno ID: IDP_GESTURETAP_REACTION

Reazione

Selezione della reazione al gesto Tocco fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapReaction


IDP_GESTURETAPANDHOLD_FUNCTION

Interno ID: IDP_GESTURETAPANDHOLD_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Tocca e tieni premuto. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldFunction


IDP_GESTURETAPANDHOLD_GROUP

Interno ID: IDP_GESTURETAPANDHOLD_GROUP

Clicca e mantieni

Proprietà per il comportamento del gesto Tocca e tieni premuto durante il Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldGroup


IDP_GESTURETAPANDHOLD_REACTION

Interno ID: IDP_GESTURETAPANDHOLD_REACTION

Reazione

Selezione della reazione al gesto Tocca e tieni premuto fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldReaction


IDP_GFXRT_ROWHEIGHT

Interno ID: IDP_GFXRT_ROWHEIGHT

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RowHeight


IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Interno ID: IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowBoolAsNumber


IDP_GFXRT_WORDWRAP

Interno ID: IDP_GFXRT_WORDWRAP

A capo automatico

Consente di visualizzare testi con più righe nella lista quando la larghezza impostata per le colonne non è sufficiente per il testo da visualizzare. In questo caso, l´altezza delle righe viene aumentata di conseguenza.

  • Attiva: quando la larghezza della colonna non è sufficiente a contenere il testo, si va a capo e l´altezza della riga viene aumentata.
  • Non attiva: non si va a capo, il testo viene visualizzato in una riga.

Info: si va a capo solo quando nel testo da visualizzare ci sono spazi vuoti (spazi, tabulazioni o simili), oppure se si inserisce un´interruzione di riga nel testo manualmente mediante \n. Non viene eseguita un´interruzione di riga in testi privi di interruzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WordWrap


IDP_GLOWEFFECTSTYLE

Interno ID: IDP_GLOWEFFECTSTYLE

Stile effetto Glow

Visualizzazione e selezione dello stile per gli effetti glow assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectStyle


IDP_GRAPHICSFILE_GRP

Interno ID: IDP_GRAPHICSFILE_GRP

File grafico

Proprietà per il file grafico visualizzato dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GraphicsFile


IDP_GROUP_SYS_AUTHORIZATION

Interno ID: IDP_GROUP_SYS_AUTHORIZATION

Autorizzazione

Proprietà generali per l´autorizzazione operativa via modello di impianto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Authorization


IDP_GRP_FCNMANAGER

Interno ID: IDP_GRP_FCNMANAGER

Funzioni

Proprietà per la gestione funzioni.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_FuncManager


IDP_GRP_GAUGE_PRESENTATION

Interno ID: IDP_GRP_GAUGE_PRESENTATION

Rappresentazione strumento

Proprietà per la rappresentazione strumento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GaugePresentation


IDP_GRP_HDDMANAGER

Interno ID: IDP_GRP_HDDMANAGER

Salvataggio dati su Harddisk

Proprietà per la gestione dati hardisk (HDD)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_HDD


IDP_GRP_POINTER_BAR_REPRESENTATION

Interno ID: IDP_GRP_POINTER_BAR_REPRESENTATION

Rappresentazione puntatore/barra

Proprietà per la rappresentazione puntatore/barra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BarRepresentation


IDP_GRP_RGMKEYBOARDS

Interno ID: IDP_GRP_RGMKEYBOARDS

Tastiere

Selezione di una keyboard con cui effettuare nel Runtime inserimenti nella tabella valori di ricetta. Possono essere collegate immagini del tipo Keyboard per:

  • inserimenti binari
  • inserimenti numerici
  • inserimenti stringa

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_RGM_KEYBOARDS


IDP_GRP_RGMSETTING

Interno ID: IDP_GRP_RGMSETTING

Manager Gruppi di Ricette

Opzioni per le impostazioni generali del Manager di gruppi ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RGM


IDP_GRP_RT_BATCHPREF

Interno ID: IDP_GRP_RT_BATCHPREF

Modulo di licenza a Runtime

Proprietà per determinare il comportamento del Runtime in caso di più moduli con registrazione licenza valida.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_BatchPreferred


IDP_GRP_RTDIALOGES

Interno ID: IDP_GRP_RTDIALOGES

Messaggi Runtime per

Proprietà per i messaggi Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RTMessageBoxes


IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

Interno ID: IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

Slider universale

Proprietà per la visualizzazione dello slider universale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

UniversalsliderPresentation


IDP_HDD_ACTIVE

Interno ID: IDP_HDD_ACTIVE

Dati HDD attivi

  • Attivo: Vengono registrati i dati Harddisk (HDD).
  • Inattivo: I dati Harddisk (HDD) non vengono registrati

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


IDP_HDD_FILLDATA

Interno ID: IDP_HDD_FILLDATA

Buffer di dati

  • Attivo: un numero di bytes impostato in modo fisso nell´ambito del sistema viene depositato in un buffer e poi salvato a blocchi.
  • Inattivo: Il valore entrante corrispondente viene salvato.

Default: attiva:

Calcolo: viene salvato ogni tempo di ciclokte. k è la parte più grande a numeri interi dei valori HD da salvare, che è minore o pari a 84.
Esempio: numero valori 300 -> Salvataggio ogni 75. Valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillData


IDP_HORIZONTAL_ALIGN2

Interno ID: IDP_HORIZONTAL_ALIGN2

Orientamento orizzontale

Orientamento orizzontale del titolo per la visualizzazione.
Selezione dal menù a tendina:

  • Sinistra
  • Destra
  • Centrato

Default: Centrato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleHorizontalAlign


IDP_LINESTYLE

Interno ID: IDP_LINESTYLE

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineStyle


IDP_LIST_BACKCOLOR_SELECT_FOCUS

Interno ID: IDP_LIST_BACKCOLOR_SELECT_FOCUS

Colore di sfondo con focus

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelectFocus


IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Interno ID: IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Colore di sfondo senza focus

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelectNoFocus


IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Interno ID: IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Colore testo con Focus

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelectFocus


IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Interno ID: IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Colore testo senza Focus

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelectNoFocus


IDP_LOCKED_BUTTONS

Interno ID: IDP_LOCKED_BUTTONS

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Questa proprietà agisce indipendentemente dalla proprietà Identificazione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockedButtonStyle


IDP_MENU_SEP_COLOR

Interno ID: IDP_MENU_SEP_COLOR

Colore

Definite il colore di riempimento del separatore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Nero

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparatorColor


IDP_MENU_SEP_GROUP

Interno ID: IDP_MENU_SEP_GROUP

Separatore

Impostazioni generali per separatori in un menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Separator


IDP_MENU_SEP_WIDTH

Interno ID: IDP_MENU_SEP_WIDTH

Larghezza

Definite la larghezza del separatore in pixel.

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparatorWidth


IDP_MODUL_KBD_LAYOUT

Interno ID: IDP_MODUL_KBD_LAYOUT

Tastiere

Gruppo delle tastiere disponibili in Batch Control.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ModulKbdLayout


IDP_MSGCTRL_GENERALSETTINGS_GRP

Interno ID: IDP_MSGCTRL_GENERALSETTINGS_GRP

Impostazioni telefono

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PhoneSettings


IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Interno ID: IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD

Definisce la procedura di cancellazione di messaggi. Ci sono due possibilità per la sintassi del comando +CMGD AT: Flag di registro di stato e Index.

  • Attivo: i messaggi vengono cancellati con il metodo Flag di registro di stato.
    Tutte le SMS lette vengono cancellate contemporaneamente.
    Nota: Questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da ogni modem.
  • Inattivo: i messaggi vengono cancellati con il metodo Index. Le SMS lette vengono cancellate singolarmente..

Default: non attiva
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BulkDelete


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Interno ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Verifica connessione

Se si clicca sul pulsante, il sistema testa la connessione con il modem. Il test riguarda:

  • apertura e preparazione della porta COM definita nella proprietà Porta modem (seriale).
  • Risposta del modem.
  • Autenticazione PIN, se necessario.
  • Configurazione del modem.
    La validità del numero SMSC del centro servizi, può essere verificata solamente tramite l´invio di una SMS. Per la verifica del numero SMSC configurato, viene usato il Numero centro messaggi. Se esso non dovesse essere valido, si usa il numero SMSC della scheda SIM.

Un messaggio avverte se il test ha avuto successo o è fallito. Le informazioni concernenti gli errori vengono scritte nel file LOG.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckModem


IDP_MSGCTRL_GSM_SMS_COM_PORT

Interno ID: IDP_MSGCTRL_GSM_SMS_COM_PORT

Porta modem (seriale)

Selezione della porta COM tramite la quale il modem è raggiungibile. Con un clic del mouse aprite la lista a cascata per la selezione. Qual è la porta corretta, lo si può vedere nel pannello di controllo, nel gruppo Telefono e Modem.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SerialPort


IDP_MSGCTRL_GSM_SMS_GRP

Interno ID: IDP_MSGCTRL_GSM_SMS_GRP

Messaggio SMS (Modem GSM)

Impostazioni per l´invio di SMS via GSM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


IDP_MSGCTRL_GSM_SMS_PIN

Interno ID: IDP_MSGCTRL_GSM_SMS_PIN

Codice PIN

Inserimento del PIN per il modem. Esso deve constare solamente di cifre. Se non è necessario inserire un codice PIN per usare il modem, il valore di questa proprietà viene ignorato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PersonalIdentificationNumber


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Interno ID: IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Numero centro messaggi

Indicazione del numero di telefono del SMSC (short message service center) del provider GSM utilizzato. Inserimento deve essere un numero di telefono valido e deve constare solamemte di cifre. È consentito inserire il carattere + all´inizio del numero, che sta ad indicare un prefisso internazionale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmscPhoneNumber


IDP_NET_CHECK

Interno ID: IDP_NET_CHECK

Verifica del risultato

Emissione del risultato del controllo della topologia di rete.

Non è consentito nessun inserimento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Check


IDP_NET_COMPUTER

Interno ID: IDP_NET_COMPUTER

Nome PC

Nome del calcolatore di destinazione nella rete. Cliccando sul comando ... si apre la lista a cascata con i computer registrati in rete.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Computer


IDP_NET_COMPUTER_GRP

Interno ID: IDP_NET_COMPUTER_GRP

Computer

Proprietà per il calcolatore nella topologia di rete.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Computer


IDP_NET_DIRECTORY

Interno ID: IDP_NET_DIRECTORY

Cartella runtime del progetto di partenza

Cartella runtime del progetto di partenza sul calcolatore di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura sul computer locale. Usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingPath


IDP_NET_PROJECT

Interno ID: IDP_NET_PROJECT

Progetto di partenza

Progetto di partenza per il computer di destinazione. Cliccando sulla lista a cascata, si apre la lista contenente i progetti già esistenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_PADDING_STYLE

Interno ID: IDP_PADDING_STYLE

Stile padding

Visualizzazione e selezione dello stile padding assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PaddingStyle


IDP_PR_USE_PROCESSRECORDER

Interno ID: IDP_PR_USE_PROCESSRECORDER

Attivazione registrazione

Attiva/disattiva la variabile o il tipo di dato ai fini della registrazione per il modulo Process Recorder.
È possibile selezionare più variabili.

  • Attiva:
    i cambiamenti di valore della variabile verranno registrati nel Process Recorder.
    Attenzione: Assicurarsi che sia stata configurata anche l´attivazione generale della registrazione nella proprietà Attiva Process Recorder.
  • Non attiva:
    i cambiamenti di valore della variabile non verranno registrati nel Process Recorder.

Default: questa impostazione viene ripresa dal tipo di dato usato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Used_in_ProcRec


IDP_PRJ_CHANGE_PWD_PIC

Interno ID: IDP_PRJ_CHANGE_PWD_PIC

Immagine per la modifica password

Selezione di un´immagine del tipo Modifica utente al fine di poter modificare la propria password. L´immagine viene aperta al posto del dialogo modale. Un clic sul comando ... apre il dialogo che serve alla selezione dell´immagine.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangePwdPicture


IDP_PRJ_DISMENUITEMS_DRAWING

Interno ID: IDP_PRJ_DISMENUITEMS_DRAWING

Voci di menù bloccate

Definisce come avviene la visualizzazione degli inserimenti di menù nel Runtime:

  • Normale: I menù vengono visualizzati nel Runtime. Quando mancano le autorizzazioni operative, appare un dialogo Info.
  • Grigio: I menù sono visualizzati in color grigio nel Runtime, e pertanto non è possibile utilizzarli.
  • Invisibile: Gli inserimenti di menù non vengono visualizzati nel Runtime.

Nota: La proprietà è disattivata se la proprietà Login temp. attivo è attiva.

Default: Normale

Ulteriori informazioni nella guida in linea

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisMenuItemsDrawing


IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Interno ID: IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Blocco sistema causa autentificazione esterna non corretta

Comportamento dell´intero sistema in caso di autenticazione esterna errata:

  • Non attiva:
    nessun blocco dell´intero sistema in caso di autenticazione esterna errata.
  • Attiva:
    Il sistema viene bloccato in caso di autenticazione esterna errata.

Default: attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalLoginSystemLock


IDP_PRJ_EXTERNALLOGIN_USERLOCK

Interno ID: IDP_PRJ_EXTERNALLOGIN_USERLOCK

Blocco utente a causa di una errata autenticazione esterna

Comportamento per User in caso di autenticazione esterna errata.

  • Non attiva:
    nessun blocco dell´utente in questione in caso di autenticazione esterna errata.
  • Attiva:
    L´utente corrispondente viene bloccato in caso di autenticazione esterna errata.

Default: attiva.

Attenzione: Questa impostazione non ha nessun effetto sul blocco utenti in Active Directory quando si usano utenti AD. In questo caso valgono sempre le impostazioni di dominio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalLoginUserLock


IDP_PRJ_LOGIN_PIC

Interno ID: IDP_PRJ_LOGIN_PIC

Immagine per Login

Selezione dell´immagine che vene usata per il Login, oppure per l´esecuzione della funzione Login con dialogo. Selezione cliccando sul pulsante .... È possibile selezionare solamente immagini del tipo Login. Se non c´è nessuna immagine collegata, per consentire l´effettuazione del Login il sistema apre una finestra di dialogo modale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginPicture


IDP_PRJ_LOGINSIGNATURE_PIC

Interno ID: IDP_PRJ_LOGINSIGNATURE_PIC

Immagine per Login con firma

Selezione dell´immagine che viene aperta per effettuare il Login con inserimento della firma. Selezione cliccando sul pulsante .... È possibile selezionare solamente immagini del tipo Login. Se non c´è nessuna immagine collegata, per consentire l´effettuazione del Login con inserimento della firma il sistema apre una finestra di dialogo modale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginSignaturePicture


IDP_PRJ_RECURSIVE_LOGIN

Interno ID: IDP_PRJ_RECURSIVE_LOGIN

Login/Logout automatico nei sottoprogetti

Consente un Login/Logout automatico in sottoprogetti.

Attiva: un utente viene registrato automaticamente anche in tutti i sottoprogetti quando effettua il Login in un progetto, oppure viene disattivato in tutti i progetti quando effettua il Logout.

Questo è possibile a patto che l´utente in questione esista in tutti i progetti.

Non disponibile per progetti globali e per progetti per i quali la proprietà Progetto WindowsCE è attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecursiveLogin


IDP_PRN_MAXJOBS

Interno ID: IDP_PRN_MAXJOBS

Numero massimo code di stampa

Numero massimo di comandi di stampa (print jobs) per il print manager di Windows Se si supera questo numero, viene generato un inserimento nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535
  • Default: 90

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxPrintJobs


IDP_PROJEKT_LOCKVAR

Interno ID: IDP_PROJEKT_LOCKVAR

Blocco utente

Permette di definire un blocco utente in progetti senza rete facendo uso di una variabile binaria.
Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile binaria.

Valore di risposta:

  • >0: Non esiste nessuna autorizzazione comando.
  • 0: Livelli di autorizzazione disponibili

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockVar


IDP_PROJEKT_NETZ_TOKEN_TYPE

Interno ID: IDP_PROJEKT_NETZ_TOKEN_TYPE

Autorizzazione di rete

Menù a tendina per selezionare il tipo di autorizzazione operativa:

  • Non attiva
    Non è necessaria nessuna autorizzazione operativa. Tutti i computer in rete possono gestire il progetto contemporaneamente.
  • Autorizzazione utente globale
    Solo un computer alla volta può gestire il progetto (per es. riconoscere allarmi, settare valore impostabile).
    Questa limitazione vale in generale per tutte le variabili configurate.
  • Autorizzazione utente su modello di impianto
    Il limite dall´autorizzazione viene raggiunto collegando delle variabili ad un modello di impianto. È necessario disporre di un´autorizzazione operativa solamente per accedere a quelle variabili che sono assegnate ad un modello di impianto.
    A quelle variabili, invece, che non sono collegate a nessun modello di impianto, si potrà accedere sempre.

Nota: attivo solo se è stata attivata la proprietà Rete attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenType


IDP_PWL_EXECUTE

Interno ID: IDP_PWL_EXECUTE

Livelli di autorizzazione per l'esecuzione

Definisce i livelli di autorizzazione necessari per effettuare il blocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PwlExecute


IDP_PWL_UNLOCK

Interno ID: IDP_PWL_UNLOCK

Livelli di autorizzazione per lo sblocco

Definisce i livelli di autorizzazione necessari per effettuare lo sblocco. Cliccando sul livello, si apre il menù a tendina che serve alla selezione.

Nota: non attivo nel caso del comando del tipo Comando forzato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PwlUnlock


IDP_RGM_BINARYPARAMETER

Interno ID: IDP_RGM_BINARYPARAMETER

Parametro binario

Selezione di una keyboard per inserimenti binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BoolKbd


IDP_RGM_DATASOURCE

Interno ID: IDP_RGM_DATASOURCE

DataSource

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:

  • MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
  • file binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: Dati Binari (Compatibili con CE)

Nota: Se si attiva l´opzione Progetto WindowsCE, il sistema provvede a settare automaticamente per il salvataggio dati Dati binari. Una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataSource


IDP_RGM_FILTER

Interno ID: IDP_RGM_FILTER

Filtro

Indicazione dei testi filtro per variabili.

Massimo: 65535 caratteri

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Filter


IDP_RGM_GROUP_ALLGEMEIN

Interno ID: IDP_RGM_GROUP_ALLGEMEIN

Generale

Impostazioni generali per gruppi ricette.

Nota: Si può aggiungere un numero massimo di 32.000 variabili a un gruppo di ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Allgemein


IDP_RGM_GROUP_FEEDBACK

Interno ID: IDP_RGM_GROUP_FEEDBACK

Feedback

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback


IDP_RGM_GROUP_FEEDBACK_CHECK

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK

Feedback verifica dei valori di ricetta

Variabile di responso per Controlla valore di ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Commento 1

Commento 1 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment1


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Commento 2

Commento 2 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment2


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Commento 3

Commento 3 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment3


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Commento 4

Commento 4 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment4


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Commento 5

Commento 5 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment5


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Commento 6

Commento 6 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment6


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Commento 7

Commento 7 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment7


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Commento 8

Commento 8 della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment8


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Controllo valori - differenze

Differenze nel risultato del controllo della ricetta come testo.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Different


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Nome ricetta

Nome della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Name


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Numero ricetta

Numero della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Number


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interrogazione valori ricetta - risultato

Risultato del controllo della ricetta come valore numerico.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Result


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Rights


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Nr. stato ricetta

Stato della ricetta controllata per ultima come numero.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Status_Nr


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Testo stato ricetta

Stato della ricetta controllata per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Status_Txt


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Timechange


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Userchange


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Versione ricetta

Versione della ricetta controllata per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Version


IDP_RGM_GROUP_FEEDBACK_READ

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ

Feedback lettura ricetta

Variabile di responso per Leggi ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Commento 1

Commento 1 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment1


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Commento 2

Commento 2 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment2


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Commento 3

Commento 3 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment3


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Commento 4

Commento 4 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment4


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Commento 5

Commento 5 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment5


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Commento 6

Commento 6 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment6


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Commento 7

Commento 7 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment7


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Commento 8

Commento 8 della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment8


IDP_RGM_GROUP_FEEDBACK_READ_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NAME

Nome ricetta

Nome della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Name


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Numero ricetta

Numero della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Number


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Lettura ricetta terminata

Risultato di leggi ricetta come valore numerico.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Result


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Rights


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Nr. stato ricetta

Stato della ricetta letta per ultima come numero.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Status_Nr


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Testo stato ricetta

Stato della ricetta letta per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Status_Txt


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Timechange


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Userchange


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Versione ricetta

Versione della ricetta letta per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Version


IDP_RGM_GROUP_FEEDBACK_WRITE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE

Feedback scrittura ricetta

Variabile di responso per Esegui ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Commento 1

Commento 1 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment1


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Commento 2

Commento 2 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment2


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Commento 3

Commento 3 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment3


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Commento 4

Commento 4 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment4


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Commento 5

Commento 5 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment5


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Commento 6

Commento 6 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment6


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Commento 7

Commento 7 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment7


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Commento 8

Commento 8 della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment8


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Nome ricetta

Nome della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Name


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Numero ricetta

Numero della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Number


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Scrittura ricetta terminata

Risultato dell´esecuzione della ricetta come valore numerico.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Result


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Rights


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Nr. stato ricetta

Stato della ricetta eseguita per ultima come numero.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Status_Nr


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Testo stato ricetta

Stato della ricetta eseguita per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Status_Txt


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Timechange


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Userchange


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Versione ricetta

Versione della ricetta eseguita per ultima.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Version


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Risultato di importazione XML

Variabile di responso per import XML.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_XMLImport


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Risultato di importazione

Successo dell´import XML.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_XMLImport_Result


IDP_RGM_INTERLOCKING

Interno ID: IDP_RGM_INTERLOCKING

Interblocco

Assegnazione di un interblocco per variabili. selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interlocking


IDP_RGM_KEYBOARD

Interno ID: IDP_RGM_KEYBOARD

Immagine tipo Keyboard

Collegamento di un´immagine del tipo keyboard che deve essere aperta durante il runtime cliccando con il tasto sinistro del mouse sulla variabile per inserire un valore. Cliccando sul pulsante, si apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Keyboard


IDP_RGM_NUMERICPARAMETER

Interno ID: IDP_RGM_NUMERICPARAMETER

Parametro numerico

Selezione di una keyboard per inserimenti numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumKbd


IDP_RGM_RCP_COMMENT3

Interno ID: IDP_RGM_RCP_COMMENT3

Commento 3

Riga di commento 3 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment3


IDP_RGM_RCP_COMMENT4

Interno ID: IDP_RGM_RCP_COMMENT4

Commento 4

Riga di commento 4 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment4


IDP_RGM_RCP_COMMENT5

Interno ID: IDP_RGM_RCP_COMMENT5

Commento 5

Riga di commento 5 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment5


IDP_RGM_RCP_COMMENT6

Interno ID: IDP_RGM_RCP_COMMENT6

Commento 6

Riga di commento 6 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment6


IDP_RGM_RCP_COMMENT7

Interno ID: IDP_RGM_RCP_COMMENT7

Commento 7

Riga di commento 7 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment7


IDP_RGM_RCP_COMMENT8

Interno ID: IDP_RGM_RCP_COMMENT8

Commento 8

Riga di commento 8 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment8


IDP_RGM_RCP_COMMENTS_GRP

Interno ID: IDP_RGM_RCP_COMMENTS_GRP

Commento

Gruppo dei commenti ricette. Per ogni ricetta si possono inserire 8 commenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comments


IDP_RGM_RECIPE_ALLGEMEIN

Interno ID: IDP_RGM_RECIPE_ALLGEMEIN

Generale

Proprietà generali della ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Allgemein


IDP_RGM_RECIPE_STATUS

Interno ID: IDP_RGM_RECIPE_STATUS

Stato

Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Manager Gruppi di Ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione ricetta. Questa proprietà può essere modificata nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


IDP_RGM_RECIPE_VERSION

Interno ID: IDP_RGM_RECIPE_VERSION

Versione ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeVersion


IDP_RGM_REPORTFONT

Interno ID: IDP_RGM_REPORTFONT

Font tabelle modificabili

  • Attivo: Nel caso delle immagini del tipo Manager di gruppi ricette, è possibile impostare il carattere. Viene usato il carattere progettato nella proprietà Carattere.
  • Inattivo: Si usa il carattere standard.

Default: Inattivo

Se si usa una tabella definita dall´utente (generata con il Generatore di rapporti), vengono utilizzati i caratteri definiti nel report.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReportFont


IDP_RGM_SHADOW_VARIABLE

Interno ID: IDP_RGM_SHADOW_VARIABLE

Variabile di ricetta grafica

Le variabili grafiche consentono di modificare a Runtime un valore di ricetta RGM usando un´immagine. Per ogni variabile esistente in un gruppo ricette si può definire una variabile grafica. A Runtime, la variabile RGM viene sostituita da una variabile grafica mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili ricetta grafiche; dopo una modifica, viene riscritta nel RGM mediante l´azione Scrivi variabili ricetta grafiche sui valori di ricetta.

Cliccando sul pulsante, si apre la finestra di dialogo per selezionare la variabile d´appoggio Una variabile grafica può essere usata una sola volta per ogni gruppo ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowVariable


IDP_RGM_STATUS_LIST

Interno ID: IDP_RGM_STATUS_LIST

Identificatore stato ricetta

Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusList


IDP_RGM_STRINGPARAMETER

Interno ID: IDP_RGM_STRINGPARAMETER

Parametro stringa

Selezione di una keyboard per inserimenti stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringKbd


IDP_RGM_VARLNK_ALLGEMEIN

Interno ID: IDP_RGM_VARLNK_ALLGEMEIN

Generale

Proprietà generali per variabili nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


IDP_RGM_VARLNK_BORDERS

Interno ID: IDP_RGM_VARLNK_BORDERS

Limiti

Impostazioni per Limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueBorders


IDP_RGM_VARLNK_GENERAL

Interno ID: IDP_RGM_VARLNK_GENERAL

Proprietà del valore

Proprietà per valori.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueGeneral


IDP_RGM_VARLNK_RANGEFROMVAR

Interno ID: IDP_RGM_VARLNK_RANGEFROMVAR

Riprendi limiti di valori impostabili da variabile

Attivo: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeFromVar


IDP_RGM_VARLNK_SHADOW

Interno ID: IDP_RGM_VARLNK_SHADOW

Variabile di ricetta grafica

Proprietà per le variabili ricetta grafiche.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowVarGrp


IDP_RGM_VISIBILITYVAR

Interno ID: IDP_RGM_VISIBILITYVAR

Variabile di visibilità

Selezione di una variabile per la gestione della visibilità. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityVar


IDP_RGM_WRITE_INVALID_RECIPES

Interno ID: IDP_RGM_WRITE_INVALID_RECIPES

Ricette non valide scrivibili via funzione

Definisce se quelle ricette in cui ci sono valori che si trovano al di fuori dell´intervallo di valori valido, possono essere scritte tramite la funzione "Manager gruppi di ricette".

  • Attiva: ricette non valide possono essere scritte.
  • Non attiva: ricette non valide non possono essere scritte.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteInvalidRecipes


IDP_ROUNDINGSTYLE

Interno ID: IDP_ROUNDINGSTYLE

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RoundingStyle


IDP_RT_BATCH_PREFMODULE

Interno ID: IDP_RT_BATCH_PREFMODULE

Modulo preferito

Selezione del modulo che viene usato nel Runtime quando vi sono più moduli che dispongono contemporaneamente di una registrazione licenza valida.

  • Batch Control
  • Sequenze di comando

Default: Batch Control

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchPrefered


IDP_RT_GRP_MSG_PICS

Interno ID: IDP_RT_GRP_MSG_PICS

Immagine Runtime Message Box

Proprietà per le immagini Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_RTMessagePictures


IDP_RT_MSG_PIC_MultiYesNo

Interno ID: IDP_RT_MSG_PIC_MultiYesNo

Message Box [Si, No, Si Tutti, No Tutti]

Selezione di un´immagine del tipo Message Box per confermare [SÌ], oppure per ignorare [NO], [SÌ tutte], [NO tutte] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenMultiYesNo


IDP_RT_MSG_PIC_Ok

Interno ID: IDP_RT_MSG_PIC_Ok

Message Box [Ok]

Selezione di un´immagine del tipo Message Box per confermare [OK], oppure per annullare [Annulla] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenOk


IDP_RT_MSG_PIC_OkCancel

Interno ID: IDP_RT_MSG_PIC_OkCancel

Message Box [Ok, Annulla]

Selezione di un´immagine del tipo Message Box per confermare [OK], oppure cancellare [Cancel] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenOkCancel


IDP_RT_MSG_PIC_YesNo

Interno ID: IDP_RT_MSG_PIC_YesNo

Message Box [Si, No]

Selezione di un´immagine del tipo Message Box per confermare [SÌ], oppure per ignorare [NO] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenYesNo


IDP_RT_MSG_PIC_YesNoCancel

Interno ID: IDP_RT_MSG_PIC_YesNoCancel

Message Box [Si, No, Annulla]

Selezione di un´immagine del tipo Message Box per confermare [OK], ignorare [NO] i o cancellare [Cancel] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenYesNoCancel


IDP_RTD_ACTION_OK

Interno ID: IDP_RTD_ACTION_OK

Esportazione dati

  • Attiva: se l´export dei dati è riuscito, a Runtime si apre una finestra di dialogo.
    Questa finestra di dialogo viene visualizzata solamente per un´esportazione di dati eseguita con la funzione "Esporta dati". Questa funzione si trova nel gruppo Variabile.
    Il risultato di altri tipi di esportazione di dati non viene visualizzato mediante questa finestra di dialogo.
  • Non attiva: viene soppressa la finestra di dialogo contenente il messaggio che l´export è stato eseguito con successo.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActionOK


IDP_RTD_DLGFONT

Interno ID: IDP_RTD_DLGFONT

Carattere di dialogo

Non disponibile se Carattere di dialogo configurabile è attiva.

Definite in questa sede il carattere che deve essere usato nel runtime per dialoghi e impostazioni multiple. Un clic sul comando apre il dialogo che serve alla selezione dei caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtDlgFont


IDP_RTD_ENDLGFONT

Interno ID: IDP_RTD_ENDLGFONT

Carattere di dialogo configurabile

Consente di visualizzare finestre di dialogo e impostazioni a più pagine a Runtime, con un carattere che può essere impostato liberamente. Il carattere da utilizzare viene selezionato usando la proprietà Carattere di dialogo.

  • Attiva: il carattere selezionato alla voce Carattere di dialogo viene usato a Runtime.
  • Non attiva: a Runtime viene usato il tipo di carattere del sistema per le finestre di dialogo e le impostazioni a più pagine.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnRtDlgFont


IDP_RTD_FILE_REPLACE

Interno ID: IDP_RTD_FILE_REPLACE

Sostituzione file

  • Attiva: se, nel corso di un´esportazione di dati, viene sovrascritto un file, a Runtime viene visualizzato un messaggio che informa di quanto è successo.
  • Non attiva: il messaggio viene soppresso.

Default: non attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileReplace


IDP_RTD_INSUFFICIENT_LEVEL

Interno ID: IDP_RTD_INSUFFICIENT_LEVEL

Autorizzazione insufficiente

Disponibile solo se la proprietà Inserimenti errati è attiva.

  • Attiva: se un utente esegue a Runtime una funzione che richiede un livello di autorizzazione che non ha, viene visualizzata una finestra contenente un messaggio di errore.
  • Non attiva: non viene visualizzato nessun messaggio di errore se il livello di autorizzazione non è corretto. Nonostante questo, viene settata la variabile del driver di sistema Funzione non autorizzata, che può essere analizzata tramite valore limite o matrice di reazione.

Default: attiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InsufficientLevel


IDP_RTD_INVALID_INPUT

Interno ID: IDP_RTD_INVALID_INPUT

Inserimenti errati

Consente di attivare o disattivare messaggi Runtime.

  • Attiva: in caso di inserimenti utente errati, vengono visualizzati a Runtime messaggi corrispondenti.
  • Non attiva: i messaggi vengono soppressi.
    In questo caso si può anche collegare nel driver di sistema delle variabili bit con una funzione per reagire individualmente ad input errati tramite un valore limite.

Default: attiva.

L´attivazione ha effetto sulle seguenti azioni utente:

  • Utente bloccato
  • Username non valido
  • Password errata
  • Sistema bloccato
  • Sistema sbloccato
  • L'utente è stato bloccato
  • Setta valore impostabile

Inoltre possono essere visualizzate eventuali autorizzazioni funzioni mancanti. A questo scopo deve essere attivata la proprietà Autorizzazione insufficiente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InvalidInput


IDP_RTP_PICTBACKCOUNT

Interno ID: IDP_RTP_PICTBACKCOUNT

Quantità pag. per funz."Immagine indietro"

Numero delle immagini che devono essere inserite nella lista per la funzione Quantità pag. per funz."Immagine indietro".
Nota: vale ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come Funzione apertura nelle proprietà dell´immagine..

  • Minimo: 0
  • Massimo: 65535
  • Default: 10

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackPictCount


IDP_RTP_SYSKEYLOCK

Interno ID: IDP_RTP_SYSKEYLOCK

Pulsanti di sistema bloccati

  • Attivo: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
  • Inattivo: tasti di sistema non vengono bloccati.

Default: inattivo

Nota: È anche possibile bloccare tutti i tasti di sistema per il Runtime. Per i dettagli, vedi Keyblock Runtime Start.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SysKeyLock


IDP_RTP_WATCHFILES

Interno ID: IDP_RTP_WATCHFILES

Indicizza file Runtime

  • Attivo: Per consentire un accesso veloce, il sistema attiva una cartella cache per i dati Runtime.
  • Inattivo: La cartella Cache non viene utilizzata.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileWatcher


IDP_RUECKMELDE_VAR_GRP

Interno ID: IDP_RUECKMELDE_VAR_GRP

Variabile di feedback

Proprietà delle variabili di responso. Esse mostrano nel runtime azioni in liste configurabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SelectionFeedback


IDP_SAMPLE

Interno ID: IDP_SAMPLE

Sample Additional

Esempio per Sample driver.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SampleTest


IDP_SCALE_STYLE

Interno ID: IDP_SCALE_STYLE

Stile scale

Visualizzazione e selezione dello stile scala assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScaleStyle


IDP_SCHALTFOLGEN_STEPNAME

Interno ID: IDP_SCHALTFOLGEN_STEPNAME

Nome attività nella griglia sequenze di comando

Configurazione della visualizzazione del testo nel runtime per il modulo Sequenze di comando.
L´utente può definire in questa sede quale denominazione dell´azione comando deve apparire nella griglia sequenza comandi.

  • Testo standard
    Visualizzazione del nome standard secondo quanto configurato nell´azione comando.
    Formato: Nome azione RV[DIR]
  • Nome azione
    Nome dell´azione comando così come progettato nella proprietà comandi Nome comando.

Default: Testo standard

Nota: Se due azioni hanno lo stesso nome passaggio (step), solamente la prima di esse sarà disponibile nel runtime. In questo caso appare durante la compilazione una segnalazione di errore nella finestra di emissione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StepName


IDP_SCHALTFOLGEN_VISIBLE

Interno ID: IDP_SCHALTFOLGEN_VISIBLE

Nome visualizzato nella griglia di sequenza comandi

Configurazione del testo da visualizzare nel Runtime per la Sequenze di comando Modulo.

L´utente può definire in questa sede quale testo viene visualizzato dalla variabile nella griglia sequenza comandi.

  • Nome variabile
    Usa il nome variabile come testo da visualizzare nella griglia sequenze di comando.
  • Identificazione variabile
    Usa l´identificazione della variabile come testo da visualizzare nella griglia sequenze di comando.
    Questa identificazione viene configurata presso la variabile nella proprietà Identificazione.
  • Indirizzo simbolico.
    Usa l´indirizzo simbolico della variabile come testo da visualizzare nella griglia sequenze di comando.
    Questa identificazione viene configurata presso la variabile nella proprietà Indirizzo simbolico.

Default: Nome variabile

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleChartName


IDP_SEL_FEEDBACK_VARIABLE

Interno ID: IDP_SEL_FEEDBACK_VARIABLE

Selezione attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SelectionActive


IDP_SHADOWEFFECTSTYLE

Interno ID: IDP_SHADOWEFFECTSTYLE

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowEffectStyle


IDP_SHIFT_BLOCK_DESCRIPTION

Interno ID: IDP_SHIFT_BLOCK_DESCRIPTION

Descrizione

Proprietà generali del blocco turno.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_BLOCK_GENERAL_GRP

Interno ID: IDP_SHIFT_BLOCK_GENERAL_GRP

Generale

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_BLOCK_NAME

Interno ID: IDP_SHIFT_BLOCK_NAME

Nome

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SHIFT_MODEL_DESCRIPTION

Interno ID: IDP_SHIFT_MODEL_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa del modello turno. La descrizione è traducibile.

Lunghezza massima: 512 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_MODEL_GENERAL_GRP

Interno ID: IDP_SHIFT_MODEL_GENERAL_GRP

Generale

Proprietà generali del modello turno.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Interno ID: IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa del modello di turno La descrizione è traducibile.

Lunghezza massima: 512 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Interno ID: IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Generale

Proprietà generali del modello turno.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_MODEL_GROUP_NAME

Interno ID: IDP_SHIFT_MODEL_GROUP_NAME

Nome

Nome del gruppo modello di turno. Il nome deve essere univoco all´interno di ogni progetto, non può constare di spazi vuoti e non può essere vuoto.
I seguenti caratteri sono proibiti: /\.:*?<>!|"'?#%

Il nome è traducibile.

Default: Gruppi modello turno x (x è un numero progressivo).

Lunghezza massima: 256 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SHIFT_MODEL_NAME

Interno ID: IDP_SHIFT_MODEL_NAME

Nome

Nome del modello di turno. Il nome deve essere univoco all´interno di ogni progetto, non può constare di spazi vuoti e non può essere vuoto. I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @ .

Il nome è traducibile.

Default: Modello turno x (x è un numero progressivo).

Lunghezza massima: 256 caratteri.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

Venerdì

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Friday


IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

Lunedì

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Monday


IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

Sabato

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Saturday


IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

Domenica

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Sunday


IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

Giovedì

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Thursday


IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

Martedì

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Tuesday


IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

Interno ID: IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

Mercoledì

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Wednesday


IDP_SM_SHIFT_BREAK_END_DAY

Interno ID: IDP_SM_SHIFT_BREAK_END_DAY

Giorno conclusivo

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

EndDay


IDP_SM_SHIFT_BREAK_END_TIME

Interno ID: IDP_SM_SHIFT_BREAK_END_TIME

Tempo di conclusione

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

EndTime


IDP_SM_SHIFT_BREAK_NAME

Interno ID: IDP_SM_SHIFT_BREAK_NAME

Nome

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SM_SHIFT_BREAK_START_DAY

Interno ID: IDP_SM_SHIFT_BREAK_START_DAY

Giorno iniziale

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StartDay


IDP_SM_SHIFT_BREAK_START_TIME

Interno ID: IDP_SM_SHIFT_BREAK_START_TIME

Orario di avvio

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StartTime


IDP_STRATON_CMD_BINDPORT

Interno ID: IDP_STRATON_CMD_BINDPORT

Porta (Binding)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runtime “autom. start stop” e “autom. start”.

Numero della Port che apre il runtime di zenon Logic allo start. "Binding" rappresenta la Port per la trasmissione dati spontanea (basata su eventi).
Minimo: 0.
Massimo: 4294967295.
Default: 9000.

Attenzione: deve essere superiore di 7800 a Mainport.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDBindPort


IDP_STRATON_CMD_HOST

Interno ID: IDP_STRATON_CMD_HOST

Host

Questa proprietà è rilevante solo in connessione con lo Starttyp Runtime autom. start stop e autom. start.
Il runtime di zenon Logic si avvia solamente se questo parametro corrisponde al proprio indirizzo IP o al nome del computer!

Di norma, qui dovrebbe trovarsi l´indicazione "localhost" oppure 127.0.0.1 In pochi casi è necessario indicare un indirizzo IP deciso (oppure il nome computer). Ciò si rende necessario se, nel caso di più progetti standalone o di un solo progetto standalone, il runtime di zenon Logic deve essere avviato solo su un computer. Un´altra causa potrebbe essere che il runtime di zenon Logic deve essere avviato su un client di zenon, ma non sul server.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Default: localhost

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDHost


IDP_STRATON_CMD_LOG

Interno ID: IDP_STRATON_CMD_LOG

Protokolldatei führen

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse vengono depositate in un file.
Inattivo: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse non vengono depositate in un file.
Default: inattivo.

Attenzione: Una scrittura di file di protocollo può influenzare il ciclo del PLC!

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDTrace


IDP_STRATON_CMD_MAINPORT

Interno ID: IDP_STRATON_CMD_MAINPORT

Porta (principale)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime autom. start stop e autom. start.
Numero di Mainport che è aperto dal Runtime di zenon Logic. "Main" rappresenta la Port per l´interrogazione ciclica (Pollen) dei valori di zenon Logic.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Minimo: 0
Massimo: 4294967295
Default: 1200

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDMainPort


IDP_STRATON_CMD_PRIO

Interno ID: IDP_STRATON_CMD_PRIO

Priorità Realtime

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Setta il processo Runtime di zenon Logic su priorità Windows "Tempo reale".
Inattiva: Setta il processo Runtime di zenon Logic su priorità Windows "Normale".
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDPrio


IDP_STRATON_CMD_REDUNDANCY

Interno ID: IDP_STRATON_CMD_REDUNDANCY

Operazioni ridondate

Attivo: Il Runtime di zenon Logic viene avviato in modo ridondante.
Inattivo: Il Runtime di zenon Logic non viene avviato in modo ridondante.

Default: Non attiva

Attenzione: Deve essere avviato lo Standby Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDRedundancy


IDP_STRATON_CMD_RETAINBYNAME

Interno ID: IDP_STRATON_CMD_RETAINBYNAME

Salva con nome variabile ritentiva

Salva la variabile ritentiva con il suo nome, se avete selezionato il Tipo di start "start/stop automatico. Inoltre le variabili ritentive vengono collegate in modo indipendente automaticamente in zenon Logic.

Nota: per usare questa funzione anche nel caso di uno start manuale del Runtime, dovete attivare quest´opzione. In aggiunta bisogna attivare questa opzione tramite un parametro da linea di comando o con una impostazione nel file INI.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDRetainByName


IDP_STRATON_CMD_START

Interno ID: IDP_STRATON_CMD_START

Startup

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Cold Start: avvio inizializzato. Anche le variabili Retain vengono inizializzate.
Cold Start (caricamento delle variabili RETAIN): avvio inizializzato con i valori attuali delle variabili Retain.
Warm start: riavvio con tutti i valori delle variabili come al momento della chiusura del sistema.
Default: Cold Start.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDStartup


IDP_STRATON_CMD_STEP

Interno ID: IDP_STRATON_CMD_STEP

Partenza in modalità step

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: il Runtime di zenon Logic viene avviato, ma viene mantenuto subito dopo in modalità Debugging.
Inattivo: il Runtime di zenon Logic viene avviato normalmente.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDStep


IDP_STRATON_FKT_WDG_TO

Interno ID: IDP_STRATON_FKT_WDG_TO

Funzione per la mancata individuazione

Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VmFktWdgTo


IDP_STRATON_RUNTIME

Interno ID: IDP_STRATON_RUNTIME

Runtime

Proprietà per il Runtime di zenon Logic (Soft PLC).

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Runtime


IDP_STRATON_TIMEOUT

Interno ID: IDP_STRATON_TIMEOUT

Timeout di connessione [s]

Timeout (in secondi) per la connessione ai sistemi destinatari di zenon Logic.
Nel caso si disponga di piattaforme di destinazione dalle limitate prestazioni, questo timeout può essere aumentato.
Minimo: 0.
Massimo: 4294967295.
Default: 10.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


IDP_STRATON_WDG_TO

Interno ID: IDP_STRATON_WDG_TO

Mancato riconoscimento dopo [s]

Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

0: disattiva il watchdog

Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VmWdgTo


IDP_STRATON_WORKBENCH

Interno ID: IDP_STRATON_WORKBENCH

Workbench

Proprietà per il Workbench di zenon Logic.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Workbench


IDP_STYLE_GRAPHICSFILE

Interno ID: IDP_STYLE_GRAPHICSFILE

Grafikdatei

Selezione del file grafico da utilizzare per lo stile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

FileName


IDP_STYLE_REFEXT

Interno ID: IDP_STYLE_REFEXT

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleExternalReference


IDP_STYLEGROUP

Interno ID: IDP_STYLEGROUP

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccando sul pulsante... ... si apre la finestra di dialogo per selezionare un gruppo di stile.
Se sono stati selezionati più elementi, gli si può assegnare un gruppo di stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleGroup


IDP_STYLES_ITEM_CATEGORY

Interno ID: IDP_STYLES_ITEM_CATEGORY

Categoria

Testo liberamente configurabile per la categorizzazione dello stile o del gruppo di stile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Category


IDP_STYLES_ITEM_DESCRIPTION

Interno ID: IDP_STYLES_ITEM_DESCRIPTION

Beschreibung

Descrizione individuale dello stile o del gruppo di stile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemDescription


IDP_STYLES_ITEM_GUID

Interno ID: IDP_STYLES_ITEM_GUID

ID

ID dello stile o del gruppo di stile.
Solo visualizzazione; non modificabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemGuid


IDP_STYLES_ITEM_NAME

Interno ID: IDP_STYLES_ITEM_NAME

Name

Nome definibile liberamente per uno stile o un gruppo di stile.
Nomi:

  • devono essere univoci per i gruppi di stile e per i singoli stili all´interno di un gruppo.
  • non possono essere vuoti
  • non possono consistere solamente di spazi,
  • non possono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @

Default: [Tipo]+ numerazione progressiva.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemName


IDP_STYLES_ITEM_TYPE

Interno ID: IDP_STYLES_ITEM_TYPE

Typ

Tipo di stile.
Solo visualizzazione, non modificabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemType


IDP_SYS_AUTHORIZATION_AVAILABLE

Interno ID: IDP_SYS_AUTHORIZATION_AVAILABLE

Disponibile su questo PC

Variabile per visualizzare se il computer che apre dispone dell´autorizzazione operativa per questo gruppo di impianti.

Un clic sul pulsante ... apre la finestra di dialogo per selezionare una variabile. Possono essere collegate solamente delle variabili del progetto locale e che hanno il tipo di dato BOOL.

Si consiglia di creare queste variabili per il driver interno. Per queste variabili, inoltre, impostare la proprietà Funzionamento del gruppo Variabili Interne sul valore Locale.

Nota: disponibile solamente se nel gruppo di proprietà Generale del modello di impianto è stata attivata l´opzione Modello impianto rilevante per le autorizzazioni utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

AuthorizationAvailable


IDP_SYS_AUTHORIZATION_OWNER

Interno ID: IDP_SYS_AUTHORIZATION_OWNER

Autorizzazione utente per il computer

Variabile per visualizzare il nome del computer che dispone al momento dell´autorizzazione operativa per questo gruppo di impianti.

Un clic sul pulsante ... apre la finestra di dialogo per selezionare una variabile. Possono essere collegate solamente delle variabili del progetto locale e che hanno il tipo di dato STRING.
Si consiglia di creare queste variabili per il Internen Treiber. Per queste variabili, inoltre, impostare la proprietà Funzionamento del gruppo Variabili Interne sul valore Rete.

Nota: disponibile solamente se nel gruppo di proprietà Generale del modello di impianto è stata attivata l´opzione Modello impianto rilevante per le autorizzazioni utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

AuthorizationOwner


IDP_TEXTLIST_CEL_LOGGING

Interno ID: IDP_TEXTLIST_CEL_LOGGING

Elenco contestuale

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: la modifica dell´elenco contestuale non viene registrata nella CEL.
  • Protocolla elenchi contestuali: viene registrato nella CEL che sono state eseguite delle modifiche all´elenco contestuale, ma senza informazioni dettagliate.
  • Protocolla elenchi contestuali e testi: vengono registrare nella CEL le modifiche all´elenco contestuale con informazioni dettagliate; queste ultime riguardano:
    • Creazione di nodi e testi.
    • Importazione XML dell´elenco contestuale.
    • Modifica di testi (nome e descrizione).
    • Testi contrassegnati come "cancellato/non cancellato"

Default: Nessun protocollaggio.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextListChangeToCEL


IDP_TEXTSTYLE

Interno ID: IDP_TEXTSTYLE

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextStyle


IDP_TEXTSTYLE2

Interno ID: IDP_TEXTSTYLE2

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextStyle2


IDP_TEXTSTYLE2_SELECTION

Interno ID: IDP_TEXTSTYLE2_SELECTION

Stile testo per la selezione

Visualizzazione e selezione dello stile testo nella selezione assegnata all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextStyleForSelected


IDP_TIMESTYLE

Interno ID: IDP_TIMESTYLE

Stile visualizzazione orario

Visualizzazione e selezione dello stile visualizzazione orario assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeStyle


IDP_TRANSFORMATION_ORDER

Interno ID: IDP_TRANSFORMATION_ORDER

Ordine trasformazione

Definisce l´ordine di trasformazione per gli elementi grafici. Quest´ordine ha effetto sulla visualizzazione di un elemento grafico in caso di ingrandimento e di rotazione.

  • Rotazione -> Zoom -> Traslazione
  • Zoom -> Rotazione -> Traslazione

Default: Zoom -> Rotazione -> Traslazione

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TransformationOrder


IDP_TRENDELE_LINETYPES

Interno ID: IDP_TRENDELE_LINETYPES

Tipo di linea

Selezione del tipo di linea.
Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione.
Nota: Il tipo trasparente non è disponibile per questo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

CurveType


IDP_TYPE_EXTERNAL_REFERENCE

Interno ID: IDP_TYPE_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Attenzione:

  • Quando si imposta un tipo di dato semplice, oppure un tipo dato strutturato mediante Copy&Paste, questa proprietà è vuota.
  • Quando si imposta un nuovo tipo dato strutturato basato su di un tipo di dato già esistente, il valore della proprietà Riferimento esterno del tipo di dato originario non viene trasmesso.
  • Non viene trasmesso a elementi di struttura embedded.
  • Quando si cambia il tipo di dato con elementi di struttura embedded, il valore Riferimento esterno viene trasmesso dal vecchio al nuovo tipo di dato.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


IDP_UNIVERSALSLIDERSTYLE

Interno ID: IDP_UNIVERSALSLIDERSTYLE

Stile slider universale

Visualizzazione e selezione dello stile dello slider universale assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UniversalSliderStyle


IDP_USER_LOGIN_CODE

Interno ID: IDP_USER_LOGIN_CODE

Codice Login

Inserimento del codice di login per la registrazione senza password.

Per il codice di login vale quanto segue:

  • Deve essere univoco all´interno di un progetto.
    Nota: Se per il medesimo utente si usa lo stesso codice di login nel progetto locale e in quello globale, al momento della creazione dei file Runtime nell´Editor, l´utente del progetto globale non verrà trasferito. Si prega di tener presente il corrispondente messaggio di errore visualizzato nella finestra di emissione. Quando si modifica il codice di login a Runtime, quest´ultimo non deve essere identico a quello usato per un utente del progetto globale.
  • Può essere vuoto.
    In questo caso è disattivato per questo utente.
  • Lunghezza massima: 1000 caratteri
  • Non può consistere solamente di spazi vuoti.
  • Non è consentito usare degli spazi vuoti all´inizio o alla fine.
  • Tutti gli altri caratteri sono consentiti.

Default: (vuoto).

Se si inserisce un codice non valido, quest´ultimo non verrà accettato quando si lascia il campo di inserimento; verrà invece ripristinato il valore originale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLoginCode


IDP_USER_LOGIN_RTP

Interno ID: IDP_USER_LOGIN_RTP

Profilo runtime

Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili:

nessuno: non viene assegnato nessun profilo.

DEFAULT: viene assegnato il profilo DEFAULT

LAST: viene assegnato il profilo LAST

Default: nessuno

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginRTP


IDP_VALUE_LEADING_ZEROS

Interno ID: IDP_VALUE_LEADING_ZEROS

Visualizza zeri iniziali

Disponibile solamente se per la proprietà Base numerica di visualizzazione, è stata selezionata l´opzione binaria, decimale, esadecimale, oppure ottale.

Stabilisce se devono essere visualizzati anche gli zero iniziali nella visualizzazione del valore numerico.

  • Non attiva: gli zeri all´inizio vengono soppressi.
  • Attiva: i valori numerici vengono visualizzati con un numero diverso di cifre in corrispondenza della loro base numerica. Le cifre non necessarie per il numero vengono riempite con zeri.

Default: non attiva.

Per le diverse basi numeriche sono a disposizione le seguenti cifre:

  • Binaria 32 cifre
  • Decimale: 10 cifre
  • Esadecimale: 8 cifre
  • Ottale: 11 cifre

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLeadingZeros


IDP_VALUESTYLE

Interno ID: IDP_VALUESTYLE

Stile visualizzazione valore

Visualizzazione e selezione dello stile visualizzazione valore assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueStyle


IDP_VAR_ALARMEQUIP

Interno ID: IDP_VAR_ALARMEQUIP

Utilizza gestione allarmi gerarchici della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Il sistema tiene conto del gruppo di impianti della variabile e dei gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmViaEquipmentModel


IDP_VAR_EXTREF

Interno ID: IDP_VAR_EXTREF

Riferimento esterno

Identificazione univoca di componenti zenon disponibile per:

  • Progetti
  • Driver
  • Tipi di dato
  • Variabili
  • Matrici di reazione
  • Funzioni
  • Immagini
  • Stili

La proprietà può essere usata come identificazione per tool di progettazione esterni. Dall´impostazione Riferimento esterno modificabile dipende se l´accesso tramite l´interfaccia dell´Editor è in scrittura o lettura. Tramite l´API di zenon è sempre possibile scrivere su Riferimento esterno.

Default: vuota

Lunghezza massima: 255 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una variabile via Copy&Paste, questa proprietà è vuota.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


IDP_VERRIEG_LISTCONFIG

Interno ID: IDP_VERRIEG_LISTCONFIG

Configurazione elenco

Configurazione dell´elemento di controllo Tutti gli interblocchi nell´immagine di tipo Comandi.

Cliccando sul pulsante ... si apre la finestra di dialogo di configurazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

ListConfig


IDP_VERTICAL_ALIGN2

Interno ID: IDP_VERTICAL_ALIGN2

Orientamento verticale

Orientamento verticale del titolo per la visualizzazione.
Selezione dal menù a tendina:

  • In su
  • In giù
  • Centrato

Default: Centrato

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleVerticalAlign


IDP_VOIP_ENCRYPTION

Interno ID: IDP_VOIP_ENCRYPTION

Verschlüsselung

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Encryption


IDP_VOIP_RTP_PORT_END

Interno ID: IDP_VOIP_RTP_PORT_END

Porta RTCP

Numero della porta RTP.
Non può essere configurato. Viene sempre impostato automaticamente in modo tale che sia 1 maggiore di Porta RTP.

  • Minimo: 1
  • Massimo: 65535

Default: 4001

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipRtpPortEnd


IDP_VOIP_RTP_PORT_START

Interno ID: IDP_VOIP_RTP_PORT_START

Porta RTP

Numero della porta RTP.

  • Minimo: 0
  • Massimo: 65534

Default: 4000

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipRtpPortStart


IDP_VOIP_SIP_PORT

Interno ID: IDP_VOIP_SIP_PORT

Porta SIP

Numero della porta SIP.

  • Minimo: 0
  • Massimo: 65535

Default: 5060

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipPort


IDP_VOIP_TLS_PORT

Interno ID: IDP_VOIP_TLS_PORT

SIP-TLS-Port

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipTlsPort


IDP_WIZARDEXTENSION_CATEGORY

Interno ID: IDP_WIZARDEXTENSION_CATEGORY

Categoria

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Category


IDP_WIZARDEXTENSION_DESCRIPTION

Interno ID: IDP_WIZARDEXTENSION_DESCRIPTION

Descrizione

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_WIZARDEXTENSION_GROUP

Interno ID: IDP_WIZARDEXTENSION_GROUP

GRP_General

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_General


IDP_WIZARDEXTENSION_NAME

Interno ID: IDP_WIZARDEXTENSION_NAME

Nome

Description as text.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_WSP_MON_FRAME_CX

Interno ID: IDP_WSP_MON_FRAME_CX

Larghezza finestra Runtime [Pixel]

Larghezza espressa in pixel della finestra principale nel Runtime.

Nota: Questa impostazione vale solamente per il computer locale.

Campo valori: 0 bis 65535
Default: 0 (automatico)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTMainFrame_CX


IDP_WSP_MON_FRAME_CY

Interno ID: IDP_WSP_MON_FRAME_CY

Altezza delle finestre Runtime [Pixel]

Altezza espressa in pixel della finestra principale nel Runtime.

Nota: Questa impostazione vale solamente per il computer locale.

Campo valori: 0 bis 65535
Default: 0 (automatico)

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTMainFrame_CY


IDP_WSP_MON_GRP

Interno ID: IDP_WSP_MON_GRP

Dimensione Runtime locale

Gruppo per l´impostazione multiprogetto della grandezza della finestra principale nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

CompMonSettings


IDS_A_GERAET

Interno ID: IDS_A_GERAET

A-Device

Numero dell'apparecchio A:

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceA


IDS_ANIMATION

Interno ID: IDS_ANIMATION

Animazione GIF

Proprietà per l´animazione se si usa un file GIF.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Animation


IDS_B_GERAET

Interno ID: IDS_B_GERAET

B-Device

Numero dell'apparecchio B:

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceB


IDS_BACNETNG_DATATYPE

Interno ID: IDS_BACNETNG_DATATYPE

BACnet data type

Definizione di come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionare il tipo di dato desiderato fra quelli del menù a tendina. Una descrizione dei possibili tipi di dato si trova nella guida in linea.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetDataType


IDS_BACNETNG_EVENTSTATE

Interno ID: IDS_BACNETNG_EVENTSTATE

BACnet event state

Visualizzare lo stato di event state come numero. In questo caso, il testo per event state può essere definito liberamente.

Valori:

-1: il testo viene usato.

0: Normale

1: Fault

2: Off-normal

3: High-limit

4: Low-limit

5: Life-safety-alarm

Default: -1

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetEventState


IDS_BACNETNG_PROPERTYID

Interno ID: IDS_BACNETNG_PROPERTYID

BACnet property ID

Impostate la Property ID per proprietà specifiche per l´utente,oppure se non volete indicare la proprietà tramite nome oppure identificazione.

Nota: solo nel caso in cui impostate il valore -1 la proprietà viene individuata tramite nome e/o identificazione.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetPropertyID


IDS_BACNETNG_STRINGLENGTH

Interno ID: IDS_BACNETNG_STRINGLENGTH

BACnet string length

Disponibile solamente se per la proprietà BACnet data type è stato selezionato il tipo di dato BITSTRING.

Definire qui la lunghezza della stringa di bit in bit.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetStringLength


IDS_BACNETNG_WRITEPRIORITY

Interno ID: IDS_BACNETNG_WRITEPRIORITY

BACnet write priority

Indicare la priorità di scrittura con cui viene scritta la variabile. Se si inserisce il valore 0, la variabile verrà scritta senza indicazione della priorità di scrittura.

Possibili valori sono quelli compresi fra 0 e 16.

Il livello di priorità minore: 16

Il livello di priorità maggiore: 1

Default: 0

Per resettare la priorità di un valore scritto (cioè per resettare il bit nel priority-array), si ha bisogno di un´ulteriore variabile. Questa variabile deve avere il tipo di dato String, indirizzare lo stesso oggetto e avere lo stesso BACnet property ID e BACnet data type 'NULL'. Sulla variabile si setta una stringa vuota (per es. con la funzione "Setta valore impostabile"). La BACnet write priority viene resettata, il valore impostabile di questa priorità impostato in precedenza viene annullato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetWritePriority


IDS_BAZ_WERT

Interno ID: IDS_BAZ_WERT

Befehlsausgabezeit

Befehlsausgabezeit

TK160: Befehlsausgabezeit in ms

IEC Datentypen:

0… wie in AX parametriert

1… kurz

2… mittel

3… lang

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAZ_WERT


IDS_BAZ_WERT_ENG

Interno ID: IDS_BAZ_WERT_ENG

Command output time

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAZ_WERT


IDS_BITSIZE

Interno ID: IDS_BITSIZE

BitSize

Bit Size dal PLC.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGBitsize


IDS_C_GERAET

Interno ID: IDS_C_GERAET

C-Device

Numero dell'apparecchio C:

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceC


IDS_CTI_SECONDARYOBJECT

Interno ID: IDS_CTI_SECONDARYOBJECT

Secondary object

Indica il tipo di oggetto secondario per

- Tempo/Contatore

- Drum

- variabile Loop

- Variabile allarmi

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SecondaryObject


IDS_DATENPUNKT

Interno ID: IDS_DATENPUNKT

Datapoint

Numero del punto dato dal DDC.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Datapoint


IDS_DLL

Interno ID: IDS_DLL

Dll

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dll


IDS_DP_GERAET

Interno ID: IDS_DP_GERAET

Datapoint to...

Apparecchio con cui si deve comunicare, per es. apparecchio B.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceDp


IDS_DP_TYPE

Interno ID: IDS_DP_TYPE

Telegrammkennung

Telegrammtyp, Typkennung

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DP_TYPE


IDS_DP_TYPE_ENG

Interno ID: IDS_DP_TYPE_ENG

Telegram Identifier

Telegram type, Message type

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DP_TYPE


IDS_DYNAMICFARBE

Interno ID: IDS_DYNAMICFARBE

Colore(i) riempimento dinamico(i)

Definisce la proprietà Colore sfondo / riempimento e la proprietà Sfumatura colore dell´elemento mediante i colori di valore limite delle variabili selezionate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Colors_Dynamic


IDS_DYNAMISCH

Interno ID: IDS_DYNAMISCH

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili. Non disponibile per progetti realizzati con Windows CE.

Nota: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dynamic


IDS_EIB_ADRESSE

Interno ID: IDS_EIB_ADRESSE

EIB-Address

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver EibV2_32.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EIB-Address


IDS_EKANAL

Interno ID: IDS_EKANAL

Ersatz-PV

Ersatzvariable

Im Fehlerfall wird auf den Wert dieser Variablen umgeschaltet.

(siehe auch Parameter "Invalid-Behandlung")

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_EKANAL


IDS_EKANAL_ENG

Interno ID: IDS_EKANAL_ENG

Substitute variable

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_EKANAL


IDS_ELE_PROP_DREHEN

Interno ID: IDS_ELE_PROP_DREHEN

Rotazione

Rotazione dell´elemento in dipendenza del valore di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Twist


IDS_ELE_PROP_XRICHTUNG

Interno ID: IDS_ELE_PROP_XRICHTUNG

Posizione dinamica X

Spostamento orizzontale dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XPos


IDS_ELE_PROP_XZOOMEN

Interno ID: IDS_ELE_PROP_XZOOMEN

Modifica larghezza

Larghezza dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoom


IDS_ELE_PROP_YRICHTUNG

Interno ID: IDS_ELE_PROP_YRICHTUNG

Posizione dinamica Y

Spostamento verticale dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YPos


IDS_ELE_PROP_YZOOMEN

Interno ID: IDS_ELE_PROP_YZOOMEN

Modifica altezza

Altezza dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoom


IDS_ETS2_DATABASE

Interno ID: IDS_ETS2_DATABASE

ETS Database

Definite in questa sede la banca dati desiderata. Un clic sul comando apre il dialogo che serve alla selezione della banca dati. In alternativa potete inserire manualmente il nome della banca dati nel campo di testo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ETS2Database


IDS_EW

Interno ID: IDS_EW

Ersatzwert

Ersatzwert auf den umgeschaltet wird.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW


IDS_EW_ENG

Interno ID: IDS_EW_ENG

Substitute value

Substitute value to be switched on

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW


IDS_EWB

Interno ID: IDS_EWB

auf Ersatzwert schalten

Auf Ersatzwert schalten

Aktiv: Ersatzwert wird verwendet

Inaktiv: Ersatzwert wird nicht verwendet

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_EWB_ENG

Interno ID: IDS_EWB_ENG

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_EWB_INI

Interno ID: IDS_EWB_INI

Ersatzwert/Normalzustand initialisieren

Ersatzwert Initialisierung

Aktiv: Ersatzwert in der Runtime wird durch Normalzustand überschrieben

Inaktiv: Ersatzwert wird beibehalten

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB_INI


IDS_EWB_INI_ENG

Interno ID: IDS_EWB_INI_ENG

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB_INI


IDS_FOCUS_LINECOLOR

Interno ID: IDS_FOCUS_LINECOLOR

Colore linea di focus

Definisce il colore della cornice che identifica durante il runtime l´oggetto con il focus. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FocusLineColor


IDS_FOCUS_LINEWIDTH

Interno ID: IDS_FOCUS_LINEWIDTH

Dimensioni linea di focus

Definisce la larghezza della linea che identifica durante il runtime l´oggetto con il focus.

Default: 3 Pixel

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FocusLineWidth


IDS_GA

Interno ID: IDS_GA

GA-Antwort

Antwort auf Generalabfrage

Aktiv: Datenpunkt wird bei Generalabfrage gesendet

Inaktiv: Datenpunkt wird bei Generalabfrage nicht gesendet

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GA


IDS_GA_ENG

Interno ID: IDS_GA_ENG

GI-Reply

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GA


IDS_GLOW_BLINKVAR_PREVIEW

Interno ID: IDS_GLOW_BLINKVAR_PREVIEW

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectBlinkVariablePreview


IDS_GLOW_COLORVAR_PREVIEW

Interno ID: IDS_GLOW_COLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectGlowColorVariablePreview


IDS_GLOW_VISVAR_PREVIEW

Interno ID: IDS_GLOW_VISVAR_PREVIEW

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectVisibilityVariablePreview


IDS_GT

Interno ID: IDS_GT

GT (Wdh.-rate in ms)

Befehlszykluszeit (Retriggerzeit) in ms

Regulierbefehle, Retriggerbefehle

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GT


IDS_GT_ENG

Interno ID: IDS_GT_ENG

GT [ms]

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GT


IDS_HAUPTGRUPPE

Interno ID: IDS_HAUPTGRUPPE

Main group

Indicate il numero del gruppo principale desiderato.

Minimo: 0

Massimo: 15

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainGroup


IDS_HGFARBE_VARIABLE

Interno ID: IDS_HGFARBE_VARIABLE

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorVariable


IDS_HGFARBE_VARIABLE2

Interno ID: IDS_HGFARBE_VARIABLE2

Sfumatura colore

Nome della variabile il cui colore da valore limite deve influenzare il colore di sfumatura dell´elemento. Cliccate sul campo di inserimento per aprire il dialogo che serve alla selezione delle variabili.
Cliccate sul campo di inserimento per aprire il dialogo che serve alla scelta delle variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorVariable2


IDS_HGFARBE_VARIABLE2_PREVIEW

Interno ID: IDS_HGFARBE_VARIABLE2_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BackColorVariable2Preview


IDS_I_BIT

Interno ID: IDS_I_BIT

Invalid-Behandlung

keine: keine Behandlung.

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert.

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert.

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV.

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_I_BIT_ENG

Interno ID: IDS_I_BIT_ENG

Invalid treatment

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_IEC61850_ADDR

Interno ID: IDS_IEC61850_ADDR

IEC61850-Address

IEC Indirizzo IEC61850

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_ADR


IDS_IEC61850_CDC

Interno ID: IDS_IEC61850_CDC

CDC

CDC

Selezione del CDC per l'estensione "Nodo logico".

Default: DEFAULT

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_CDC


IDS_IEC61850_EWB

Interno ID: IDS_IEC61850_EWB

Toggle to substitute value

Commutare a valore di sostituzione.

Attiva: Valore attuale = valore di sostituzione

Non attiva: Valore attuale = valore di processo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_IEC61850_EWB_INI

Interno ID: IDS_IEC61850_EWB_INI

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_INI


IDS_IEC61850_GOOSE_ATTR1

Interno ID: IDS_IEC61850_GOOSE_ATTR1

GOOSE Attr1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR1


IDS_IEC61850_GOOSE_ATTR1_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR1_POS


IDS_IEC61850_GOOSE_ATTR2

Interno ID: IDS_IEC61850_GOOSE_ATTR2

GOOSE Attr2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR2


IDS_IEC61850_GOOSE_ATTR2_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR2_POS


IDS_IEC61850_GOOSE_ATTR3

Interno ID: IDS_IEC61850_GOOSE_ATTR3

GOOSE Attr3

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR3


IDS_IEC61850_GOOSE_ATTR3_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR3_POS


IDS_IEC61850_GOOSE_ATTR4

Interno ID: IDS_IEC61850_GOOSE_ATTR4

GOOSE Attr4

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR4


IDS_IEC61850_GOOSE_ATTR4_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR4_POS


IDS_IEC61850_GOOSE_ATTR5

Interno ID: IDS_IEC61850_GOOSE_ATTR5

GOOSE Attr5

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR5


IDS_IEC61850_GOOSE_ATTR5_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR5_POS


IDS_IEC61850_GOOSE_IDX

Interno ID: IDS_IEC61850_GOOSE_IDX

GOOSE Index

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_INDEX


IDS_IEC61850_IBIT

Interno ID: IDS_IEC61850_IBIT

Invalid treatment

Trattamento invalido

nessuno: nessun trattamento.

ultimo valore valido: cambiamento ad un 'immagine di valore sostituivo con ultimo valore non disturbato.

Commutare su valore di riserva: commutazione a un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

Commutare su PV di riserva: commutazione ad un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

allineamento del valore sostitutivo: cambiamento ad un 'immagine di valore sostituivo; il valore deve essere allineato manualmente.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_IEC61850_LANNR

Interno ID: IDS_IEC61850_LANNR

IEC61850-Stationnumber

IEC61850-numero stazione

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_LAN


IDS_IEC61850_MERKER

Interno ID: IDS_IEC61850_MERKER

Marker

Merker

Attivo: variabile senza riferimento di processo (l'indirizzo non viene controllato; per uso interno)

Inattivo: la variabile viene attualizzata dal processo.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_IEC61850_ST_SAVE

Interno ID: IDS_IEC61850_ST_SAVE

Save state

Salva stato.

Attiva: Stato della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Lo stato non viene salvato

Default: Inattivo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_IEC61850_VAL_SAVE

Interno ID: IDS_IEC61850_VAL_SAVE

Save value

Salva valore

Attiva: Valore della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Il valore non viene salvato

Default: Inattivo

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_IEC61850_WERT

Interno ID: IDS_IEC61850_WERT

IEC61850-Value

Valore IEC61850

Questo valore definisce in CDCs INS, INC, SGCB e ACD quale massaggio singolo / comando singolo devono essere analizzati.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_VAL


IDS_IGROUP

Interno ID: IDS_IGROUP

iGroup

Gruppo indici dal PLC.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGIGroup


IDS_ILON_DATAPOINT

Interno ID: IDS_ILON_DATAPOINT

iLON Datapoint

Cliccando sulla superficie apre una connessione con il router ILON per la selezione delle variabili.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

iiLonDataPoint


IDS_INOUT

Interno ID: IDS_INOUT

Prozessrichtung

Prozessrichtung

Empfangen: Datenpunkt wird nur empfangen (z.B. Meldungen, Messwerte)

Senden: Datenpunkt wird gesendet (z.B. Befehle, Sollwerte).

Damit ein Datenpunkt gesendet werden kann, muss auch SW setzen aktiv aktiviert sein (siehe "Sollwert setzen").

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


IDS_INOUT_ENG

Interno ID: IDS_INOUT_ENG

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


IDS_KURVE_NEU

Interno ID: IDS_KURVE_NEU

Curve

Proprietà per le curve dell´elemento trend.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Curves


IDS_LINIENFARBE_VARIABLE

Interno ID: IDS_LINIENFARBE_VARIABLE

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColorVariable


IDS_LOGID

Interno ID: IDS_LOGID

Log ID

Indicate l'indirizzo del Log (Log ID) nel PLC.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Log ID


IDS_LON_DATABASE

Interno ID: IDS_LON_DATABASE

LON Database

Un clic sul comando apre la banca dati Lon per la selezone delle varibiali.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LonDatabase


IDS_MERKER

Interno ID: IDS_MERKER

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

siehe auch Interntreiber

Inaktiv: Variable wird vom Prozess aktualisiert

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_MERKER_ENG

Interno ID: IDS_MERKER_ENG

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_MITTELGRUPPE

Interno ID: IDS_MITTELGRUPPE

Middle group

Indicate il numero del gruppo medio desiderato.

Minimo: 0

Massimo: 7

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MiddleGroup


IDS_NG_ADRESSE

Interno ID: IDS_NG_ADRESSE

Beckhoff specific

Impostazioni per Bitsize e Igroup.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGAddress


IDS_NODE

Interno ID: IDS_NODE

Node

Indicate l'indirizzo del nodo del PLC.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Node


IDS_NWMAGENT

Interno ID: IDS_NWMAGENT

NWM-Agent kopieren

Mediante questa funzione, un agente già impostato può essere copiato su un nuovo agente.

Il nuovo agente deve essere prima impostato.

Vengono generate tutte le variabili corrispondenti.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NWM-Agent


IDS_NWMPARA

Interno ID: IDS_NWMPARA

NWM-Parameter

Apre il dialogo dei parametri.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NWM-Parameter


IDS_OKT1

Interno ID: IDS_OKT1

O1/Region

Regionsnummer bzw. Octet 1 (CASDU1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_NR


IDS_OKT1_ENG

Interno ID: IDS_OKT1_ENG

O1/Region number

Region number or Octet 1 (CASDU1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_NR


IDS_OKT2

Interno ID: IDS_OKT2

O2/Komponente

Komponentennummer bzw. Octet 2 (CASDU2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_NR


IDS_OKT2_ENG

Interno ID: IDS_OKT2_ENG

O2/Component

Component number or Octet 2 (CASDU2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_NR


IDS_OKT3

Interno ID: IDS_OKT3

O3/Baugruppe

Baugruppennummer bzw. Octet 3 (IOA1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_NR


IDS_OKT3_ENG

Interno ID: IDS_OKT3_ENG

O3/Board

Board number or Octet 3 (IOA1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_NR


IDS_OKT4

Interno ID: IDS_OKT4

O4/Wertnummer

Wertnummer bzw. Octet 4 (IOA2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_NR


IDS_OKT4_ENG

Interno ID: IDS_OKT4_ENG

O4/Value number

Value number or Octet 4 (IOA2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_NR


IDS_OKT5

Interno ID: IDS_OKT5

O5/Datenart

Datenart bzw. Octet 5 (IOA3)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DA


IDS_OKT5_ENG

Interno ID: IDS_OKT5_ENG

O5/Subaddress

Data type or Octet 5 (IOA3)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DA


IDS_OKT6

Interno ID: IDS_OKT6

Point

Pointnummer bzw. Octet 6

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PT


IDS_OKT6_ENG

Interno ID: IDS_OKT6_ENG

Point

Point number or Octet 6

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PT


IDS_POS1

Interno ID: IDS_POS1

Position 1

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position1


IDS_POS2

Interno ID: IDS_POS2

Position 2

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position2


IDS_PROJEKT_ACTIVE_DIR

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Accesso ad Active Directory

Selezione se si vuole usare Active Directory, ADAM o nessuna delle due.
Sono disponibili le seguenti opzioni:

  • AD LDS: viene utilizzata AD LDS.
    Assicurarsi di impostare in modo corrispondente le proprietà Connessione AD LDS, Nome utente AD LDS e Password AD LDS.
  • Sì: viene utilizzata Active Directory.
  • No: non si accederà agli utenti di AD LDS o AD.
    Gli utenti usati in zenon sono completamente indipendenti dagli utenti Windows.

Default: no

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseActiveDirectory


IDS_PROJEKT_DIRS

Interno ID: IDS_PROJEKT_DIRS

Percorsi

Si aprirà il dialogo di configurazione per i percorsi di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectPaths


IDS_PROJEKT_INFO

Interno ID: IDS_PROJEKT_INFO

Descrizione progetto

Si aprirà il dialogo di configurazione per l´informazione di progetto.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectInfo


IDS_PROJEKT_MODIFILES

Interno ID: IDS_PROJEKT_MODIFILES

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production & Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectModidata


IDS_PROJEKT_REMTRANS

Interno ID: IDS_PROJEKT_REMTRANS

Trasporto remoto

Si aprirà il dialogo di configurazione per il Trasporto Remoto.
Il Trasporto Remoto serve per trasmettere, ricaricare, avviare e terminare un progetto su un computer remoto e per richiedere lo stato attuale.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectTransport


IDS_PROPNAME_PLURAL_STYLEITEM

Interno ID: IDS_PROPNAME_PLURAL_STYLEITEM

Stili

Proprietà generali dello stile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Styles


IDS_RED

Interno ID: IDS_RED

redundante Peripherieadresse

Redundante Adresse

Aktiv: Redundante Adresse verwenden

Inaktiv: Keine redundante Adresse

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RED


IDS_RED_ENG

Interno ID: IDS_RED_ENG

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RED


IDS_REG

Interno ID: IDS_REG

Regulierbefehl

Regulierbefehle, Retriggerbefehle

Aktiv: Befehl ist Regulierbefehl

Inaktiv: Standardbefehl

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

REG


IDS_REG_ENG

Interno ID: IDS_REG_ENG

Enable regulating commands

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

REG


IDS_RLINE

Interno ID: IDS_RLINE

REYDISP-Linie

REYDISP Liniennummer

Nur bei Störschrieb-Datenpunkt

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LINIE


IDS_RLINE_ENG

Interno ID: IDS_RLINE_ENG

REYDISP-Line

REYDISP line number

Only for disturbance data datapoints

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LINIE


IDS_ROKT1

Interno ID: IDS_ROKT1

Red. O1/Region

Redundante Peripherieadresse

Regionsnummer bzw. Octet 1 (CASDU1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_2


IDS_ROKT1_ENG

Interno ID: IDS_ROKT1_ENG

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_2


IDS_ROKT2

Interno ID: IDS_ROKT2

Red. O2/Komponente

Redundante Peripherieadresse

Komponentennummer bzw. Octet 2 (CASDU2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_2


IDS_ROKT2_ENG

Interno ID: IDS_ROKT2_ENG

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_2


IDS_ROKT3

Interno ID: IDS_ROKT3

Red. O3/Baugruppe

Redundante Peripherieadresse

Baugruppennummer bzw. Octet 3 (IOA1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_2


IDS_ROKT3_ENG

Interno ID: IDS_ROKT3_ENG

Red. O3/Board

Redundant datapoint address

Region number or Octet 3 (IOA1)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_2


IDS_ROKT4

Interno ID: IDS_ROKT4

Red. O4/Wertnummer

Redundante Peripherieadresse

Wertnummer bzw. Octet 4 (IOA2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_2


IDS_ROKT4_ENG

Interno ID: IDS_ROKT4_ENG

Red. O4/Value number

Redundant datapoint address

Region number or Octet 4 (IOA2)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_2


IDS_ROKT5

Interno ID: IDS_ROKT5

Red. O5/Datenart

Redundante Peripherieadresse

Datenart bzw. Octet 5 (IOA3)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

D_2


IDS_ROKT5_ENG

Interno ID: IDS_ROKT5_ENG

Red. O5/Subaddress

Redundant datapoint address

Region number or Octet 5 (IOA3)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

D_2


IDS_SE_ADRESSE

Interno ID: IDS_SE_ADRESSE

Address

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeAddress


IDS_SE_STANDARD

Interno ID: IDS_SE_STANDARD

Standard

attivo: Tutti gli apparecchi C su un apparecchio B vengono considerati come cosiddetti "binari C". Gli apparecchi C non vengono più selezionati direttamente, ma i punti di dato vengono trattati sugli apparecchi C come se si trovassero
sull'apparecchio B.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Standard


IDS_SICHTBARKEIT

Interno ID: IDS_SICHTBARKEIT

Visibilità/lampeggio

Proprietà per la visibilità e il lampeggio dell´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Visibility


IDS_SICHTBARKEIT_AUSGRENZWERT

Interno ID: IDS_SICHTBARKEIT_AUSGRENZWERT

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityFromLimit


IDS_SICHTBARKEIT_BIS

Interno ID: IDS_SICHTBARKEIT_BIS

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityTo


IDS_SICHTBARKEIT_VARIABLE

Interno ID: IDS_SICHTBARKEIT_VARIABLE

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityVariable


IDS_SICHTBARKEIT_VON

Interno ID: IDS_SICHTBARKEIT_VON

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityFrom


IDS_ST_SAVE

Interno ID: IDS_ST_SAVE

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_ST_SAVE_ENG

Interno ID: IDS_ST_SAVE_ENG

Save state

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_STRING78

Interno ID: IDS_STRING78

Visualizza range dinamico

Proprietà per l´area di visualizzazione dinamica.
Esse consentono di modificare in modo dinamico l´area di visualizzazione nel Runtime facendo uso di valori di variabili.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Displayrange_Dynamic


IDS_STRING79

Interno ID: IDS_STRING79

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynMinVar


IDS_STRING80

Interno ID: IDS_STRING80

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynMaxVar


IDS_STRING81

Interno ID: IDS_STRING81

Limiti dinamici per i valori impostabili

Proprietà per i valori impostabili dinamici.

Attenzione: se il valore minimo è maggiore di quello massimo e la proprietà Imposta valore Senza dialogo è attiva, nel modificare il valore impostabile si cambia fra valore minimo e massimo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueLimits_Dynamic


IDS_STRING82

Interno ID: IDS_STRING82

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueDynMin


IDS_STRING83

Interno ID: IDS_STRING83

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueDynMax


IDS_STRING3146

Interno ID: IDS_STRING3146

Linienstil

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare uno stile.
Se sono stati selezionati più elementi, gli si può assegnare uno stile comune.

Nota: vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Style


IDS_SYMADRESSE

Interno ID: IDS_SYMADRESSE

3S Arti specific

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver 3S_Arti_NG.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGAddress


IDS_SYMNAME

Interno ID: IDS_SYMNAME

Symbol name

Nome simbolo delle variabili nel PLC

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGSymName


IDS_TEXTCOLOR_VARIABLE

Interno ID: IDS_TEXTCOLOR_VARIABLE

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVariable


IDS_TRANS

Interno ID: IDS_TRANS

Transparente Daten

Transparente Daten

Nur bei Störschrieb-Datenpunkt.

DISTO: Störschriebauswertung mit DISTO

REYDISP: Störschriebauswertung für REYROLL

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TRANS


IDS_TRANS_ENG

Interno ID: IDS_TRANS_ENG

Transparent Data

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TRANS


IDS_UNTERGRUPPE

Interno ID: IDS_UNTERGRUPPE

Sub group

Indicate il numero del gruppo inferiore desiderato.

Minimo: 0

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubGroup


IDS_VAL_SAVE

Interno ID: IDS_VAL_SAVE

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_VAL_SAVE_ENG

Interno ID: IDS_VAL_SAVE_ENG

Save value

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_VAR_ERSATZWERT_STRING

Interno ID: IDS_VAR_ERSATZWERT_STRING

Valore di riempimneto arch. per tipo String

Viene usato per variabili stringa per popolare archivi ciclici.
Se in archivi ciclici ci sono degli intervalli di tempo durante i quali non c´era connessione con l´hardware, verrà utilizzata la proprietà Valore di riempimneto arch. per tipo String finché non verrà trasmesso un valore dall´hardware. . Altrimenti viene usato l´ultimo valore valido.

Lunghezza massima: 128 caratteri

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlternateValueString


IDS_VTA

Interno ID: IDS_VTA

Adressierungsart

Adresstyp

Muss mit Parametrierung in GW1703.ini und der Gegenstelle übereinstimmen.

STA: Systemtechnisch

VTA: Verfahrenstechnisch

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VTA


IDS_VTA_ENG

Interno ID: IDS_VTA_ENG

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VTA


IDS_WDH

Interno ID: IDS_WDH

WDH (Anz. Wdh.)

Max. Anzahl an Wiederholungen

Regulierbefehle, Retriggerbefehle

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WDH


IDS_WDH_ENG

Interno ID: IDS_WDH_ENG

Repeats

Max. count of repeats

Regulating-, triggered commands

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WDH


IDS_Z_NR

Interno ID: IDS_Z_NR

Zielnummer

LAN-Stations- oder LAN-Gruppennummer

Bei serieller Ankopplung Linkadresse

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_NR


IDS_Z_NR_ENG

Interno ID: IDS_Z_NR_ENG

Destination number

LAN station or LAN group number

Link address if serial connection

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_NR


IDS_Z_TYP

Interno ID: IDS_Z_TYP

Zieltyp

Auswahl LAN-Station oder LAN-Gruppe

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_TYP


IDS_Z_TYP_ENG

Interno ID: IDS_Z_TYP_ENG

Destination typ

Selection of LAN station or LAN group

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_TYP


IDS_ZEIT

Interno ID: IDS_ZEIT

Zeitbeigabe durch AKS

Zeitbeigabe

Aktiv: Rechnerzeit wird beim Empfang beigegeben.

Inaktiv: Zeit aus Telegramm wird verwendet.

Invalide oder unplausible Zeit wird automatisch durch die Rechnerzeit ersetzt.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZEIT


IDS_ZEIT_ENG

Interno ID: IDS_ZEIT_ENG

Time stamp by AKS

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZEIT


IDS_ZENMENU_PROP01

Interno ID: IDS_ZENMENU_PROP01

ID menù

Nome della voce di menù.

In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDS_ZENMENU_PROP02

Interno ID: IDS_ZENMENU_PROP02

Testo

Didascalia della voce di menù. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente la prima di queste voci di menù.

Nota: se nel campo proprietà Tipo di azione facendo uso del menù a tendina isi seleziona il valore Comando, il sistema scrive come valore della proprietà Testo: $ALL$.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Caption


IDS_ZENMENU_PROP04

Interno ID: IDS_ZENMENU_PROP04

File

Disponibile solamente se alla voce Rappresentazione/Tipo è stato selezionato il Tipo di azione Guida.
File della guida un capitolo del quale deve essere visualizzato.
Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpFile


IDS_ZENMENU_PROP05

Interno ID: IDS_ZENMENU_PROP05

Capitolo

Disponibile solamente se alla voce Rappresentazione/Tipo è stato selezionato il Tipo di azione Guida.
File della guida un capitolo del quale deve essere visualizzato.
Attenzione: questo inserimento è case sensitive.
Normalmente vengono visualizzate le pagine della guida degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida, verrà visualizzata quella definita qui.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


IDS_ZENMENU_PROP06

Interno ID: IDS_ZENMENU_PROP06

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Picture


IDS_ZENMENU_PROP07

Interno ID: IDS_ZENMENU_PROP07

Checkmark

Davanti alla voce di menù viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Checked


IDS_ZENMENU_PROP08

Interno ID: IDS_ZENMENU_PROP08

Attivo

Attivo: Normalmente il sistema visualizza la voce di menù e l´azione collegata viene eseguita quando si fa uso dell´inserimento stesso.
inattivo: Normalmente il sistema visualizza l´inserimento di menù "gegreyed" e l´azione collegata non viene eseguita..

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Enabled


IDS_ZENMENU_PROP09

Interno ID: IDS_ZENMENU_PROP09

Visibile

Stabilisce se la voce di menù viene visualizzata nel runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Visible


IDS_ZENMENU_PROP10

Interno ID: IDS_ZENMENU_PROP10

Separatore attivo

Attivo: Al posto di una voce di menù, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Seperator


IDS_ZENMENU_PROP11

Interno ID: IDS_ZENMENU_PROP11

Sottomenù

La voce di menù non esegue nessuna azione, ma apre un sottomenù.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Popup-Menu


IDS_ZENMENU_PROP12

Interno ID: IDS_ZENMENU_PROP12

Tipo di azione

Selezione del tipo di azione.
Quali tipi di azioni sono a disposizione dipende dal tipo di menù.

Disponibili nel menù principale e nel menù contestuale:

  • Funzione: viene eseguita una funzione.
  • Guida: viene visualizzato un inserimento della guida.
  • Nessuna azione: non sarà eseguita nessuna azione.
  • Setta valore impostabile: viene scritto un valore impostabile su una variabile.

Disponibili solo nel menù contestuale:

  • Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale.
  • Ripristina lampeggio: disattiva il lampeggio di tutti gli allarmi di quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. L'allarme, pero, non viene riconosciuto.
  • Comandi: esegue un comando.
  • Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


IDS_ZENMENU_PROP13

Interno ID: IDS_ZENMENU_PROP13

Livello di autorizzazione:

Livello della password necessario per eseguire questa voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Password


IDS_ZENMENU_PROP14

Interno ID: IDS_ZENMENU_PROP14

Colore testo

Colore testo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


IDS_ZENMENU_PROP15

Interno ID: IDS_ZENMENU_PROP15

Colore di sfondo

Colore di sfondo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


IDS_ZENMENU_PROP16

Interno ID: IDS_ZENMENU_PROP16

Carattere

Tipo carattere del menù. Vale per tutti gli inserimenti di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


IDS_ZENMENU_PROP17

Interno ID: IDS_ZENMENU_PROP17

Funzione

Disponibile solo per il tipo di azione"Funzione ":
Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


IDS_ZENMENU_PROP18

Interno ID: IDS_ZENMENU_PROP18

Macro VBA

Disponibile solamente per il tipo di azione "Macro VBA":
Macro VBA che deve essere eseguita tramite la voce di menù selezionata.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VBA-Macro


IDS_ZENMENU_PROP19

Interno ID: IDS_ZENMENU_PROP19

Variabile

Disponibile solamente per il tipo di azione "Setta valore impostabile"::
Variabile sulla quale deve essere settato un valore impostabile tramite l´inserimento di menù selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


IDS_ZENMENU_PROP20

Interno ID: IDS_ZENMENU_PROP20

Valore impostabile/modifica di

Disponibile solamente per tipo di azione "setta valore impostabile":
Valore numerico che deve essere depositato come valore impostabile sulla variabile selezionata. Sono attesi e accettati solamente valori numerici. I valori vengono applicati se contengono fino a 6 cifre decimali.
Se la proprietà Proponi valore attuale è attiva, il valore attuale della variabile viene aumentato (valore positivo) o diminuito (valore negativo) in corrispondenza di questo valore.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sollwert


IDS_ZENMENU_PROP21

Interno ID: IDS_ZENMENU_PROP21

Variabile da elemento

Disponibile solamente per il tipo di azione "Setta valore impostabile" e "Menù contestuale:
Attivo: La variabile per "Setta valore impostabile" viene ripresa dall´elemento dinamico.
inattivo: La variabile per "Setta valore impostabile" viene indicata nelle proprietà della voce di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FromElem


IDS_ZENMENU_PROP22

Interno ID: IDS_ZENMENU_PROP22

Dialogo

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Quando si esegue l´azione, prima del settaggio del valore impostabile si apre un dialogo che dà all´utente l´opportunità di modificarlo.
Se esistono delle immagini Keyboard (per es. SETVALUEKBD, SETSTRINGKBD o SETBOOLKBD), verrano aperte queste automaticamente anziché il box di dialogo.
Inattivo: Il valore definito nelle proprietà della voce di menù viene inviato direttamente all´hardware.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SWDialog


IDS_ZENMENU_PROP23

Interno ID: IDS_ZENMENU_PROP23

Proponi valore attuale

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Il valore attuale della variabile viene proposto come valore impostabile.
Inattivo Il valore impostabile viene indicato direttamente nelle proprietà della voce di menù.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValue


IDS_ZENMENU_PROP24

Interno ID: IDS_ZENMENU_PROP24

Nome

Nome univoco del menù.
Default: nuovo menù principale x o nuovo menù contestuale x (x è un numero progressivo).

Attenzione: questa proprietà non è disponibile per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDS_ZENMENU_PROP34

Interno ID: IDS_ZENMENU_PROP34

Interblocco

Selezione di un interblocco per per la voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


IDS_ZENMENU_PROP36

Interno ID: IDS_ZENMENU_PROP36

File grafico

Grafica di sfondo per la voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicture


IDS_ZENMENU_PROP37

Interno ID: IDS_ZENMENU_PROP37

Orientamento

Grandezza della grafica di sfondo per l´inserimento di menù.
Grandezza originale: L´immagine viene rappresentata nella sua grandezza originale. L´inserimento di menu viene adattato alla grandezza dell´immagine.
Allungato: L´immagine viene allungata in corrispondenza della grandezza dell´inserimento di menù.
Default: Grandezza originaria.

Esempio: i menù dovrebbero essere usati in un progetto Touchscreen. Come impostazioni standard per la grandezza delle singole voci di menù, vengono usate le impostazioni del sistema operativo. Con una grafica di sfondo nella grandezza originale si può gestire in modo individuale la grandezza delle voci di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicRepres


IDS_ZENMENU_PROP_GRP2

Interno ID: IDS_ZENMENU_PROP_GRP2

Autorizzazione

Proprietà per l´autorizzazione della voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


IDS_ZENMENU_PROP_GRP3

Interno ID: IDS_ZENMENU_PROP_GRP3

Rappresentazione/Tipo

Proprietà per la visualizzazione della voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Represantation


IDS_ZENMENU_PROP_GRP4

Interno ID: IDS_ZENMENU_PROP_GRP4

Funzione/macro

Funzione o macro VBA che devono essere eseguite tramite questa voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Function


IDS_ZENMENU_PROP_GRP5

Interno ID: IDS_ZENMENU_PROP_GRP5

Imposta valore

Proprietà per il valore da settare.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValue


IDS_ZENMENU_PROP_GRP6

Interno ID: IDS_ZENMENU_PROP_GRP6

Guida

Proprietà per la pagina della guida relativa alla voce di menù.
Questa funzionalità consente di visualizzare a Runtime usando un pulsante o un menù contestuale delle pagine dell´help a base HTML da un file CHM.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Help


IDS_ZENMENU_PROP_GRP7

Interno ID: IDS_ZENMENU_PROP_GRP7

Immagine di sfondo

Proprietà per la grafica di sfondo della voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_BackgroundPicture


IDS_ZENMENU_PROP_GRP8

Interno ID: IDS_ZENMENU_PROP_GRP8

Azione

Proprietà dell´azione che deve essere eseguita con la voce di menù.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Action


IDS_ZENMENU_PROP_GRP9

Interno ID: IDS_ZENMENU_PROP_GRP9

Generale

Impostazioni generali del menù selezionato.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDS_ZYKLISCH_LESEN

Interno ID: IDS_ZYKLISCH_LESEN

Read cyclical

Stabilisce in quale modo il valore viene trasmesso dal PLC.

attivo: Il valore viene richiesto in modo ciclico dal PLC.

Default: inattivo

Nota: Questa opzione dovrebbe essere usata con grande prudenza visto che il carico dei bus cresce enormemente.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicReading


LOCK_BITMAP_LOCKING

Interno ID: LOCK_BITMAP_LOCKING

File grafico-Interblocco

Disponibile solo se Identificazione grafica attiva è attivo.

Selezione del file grafico che indica un elemento bloccato. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockLockBitmap


LOCK_BITMAP_USER

Interno ID: LOCK_BITMAP_USER

File elemento bloccato

Disponibile solo se Identificazione grafica attiva è attivo.

Selezione del file grafico che indica un elemento bloccato.e non accessibile all´utente. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockUserBitmap


LOCK_FILL_COLOR

Interno ID: LOCK_FILL_COLOR

Colore di riempimento

Disponibile solo se Identificazione grafica attiva è attivo.
Definisce il colore di riempimento del simbolo del lucchetto. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockFillColor


LOCK_LINE_COLOR

Interno ID: LOCK_LINE_COLOR

Colore di linea

Disponibile solo se Identificazione grafica attiva è attivo.

Definisce il colore di linea del simbolo del lucchetto. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Suggerimento: zenon Video-Tutorials.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockLineColor